private rule architecture {
	meta:
		bits = 64
		endianness = "little"
		architecture = "x64"
	condition:
		true
}

rule file_0_10_0 {
	meta:
		name = "??0UMSThreadVirtualProcessor@details@Concurrency@@QEAA@PEAVSchedulingNode@12@PEAUIVirtualProcessorRoot@2@@Z"
		size = 95
		refs = "0026 ??0VirtualProcessor@details@Concurrency@@QEAA@XZ 002e ??_7UMSThreadVirtualProcessor@details@Concurrency@@6B@ 0047 ?Initialize@UMSThreadVirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 48 83 A6 70 01 00 00 00 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_0_12_0 {
	meta:
		name = "??0cancellation_token_source@Concurrency@@QEAA@AEBV01@@Z"
		size = 19
		altNames = "??0cancellation_token@Concurrency@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 8B 02 48 85 C0 74 04 F0 FF 40 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_0_13_0 {
	meta:
		name = "??0location@Concurrency@@QEAA@AEBV01@@Z"
		size = 52
		altNames = "??4location@Concurrency@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { 8B 02 41 B8 FF FF FF 0F 33 01 41 23 C0 31 01 8B 02 33 01 41 23 C0 33 02 89 01 48 8B 42 08 48 89 41 08 8B 42 04 89 41 04 48 8B 42 10 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_0_15_0 {
	meta:
		name = "??1TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAA@XZ"
		size = 34
		refs = "0013 free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 19 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_17_0 {
	meta:
		name = "??1UMSThreadVirtualProcessor@details@Concurrency@@UEAA@XZ"
		size = 59
		refs = "0009 ??_7UMSThreadVirtualProcessor@details@Concurrency@@6B@ 0022 ??_7UMSSchedulingContext@details@Concurrency@@6B@ 002a ??3@YAXPEAX@Z 0037 ??1VirtualProcessor@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 89 70 01 00 00 48 85 C9 74 0F 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_18_0 {
	meta:
		name = "??1cancellation_token_source@Concurrency@@QEAA@XZ"
		size = 29
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 0C F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_0_27_0 {
	meta:
		name = "??_EGlobalCore@details@Concurrency@@QEAAPEAXI@Z"
		size = 110
		refs = "0020 ??1GlobalCore@details@Concurrency@@QEAA@XZ 002d ??_M@YAXPEAX_KHP6AX0@Z@Z 003b ??_V@YAXPEAX@Z 0049 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 F6 C2 02 74 2B 48 8D 79 F8 4C 8D 0D ?? ?? ?? ?? BA 30 00 00 00 44 8B 07 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 EB 1A 48 8B 49 28 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_28_0 {
	meta:
		name = "??_GUMSSchedulingContext@details@Concurrency@@QEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7UMSSchedulingContext@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_635_2 {
	meta:
		name = "??_G?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_636_2 {
	meta:
		name = "??_G?$ISource@_K@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$ISource@_K@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_637_2 {
	meta:
		name = "??_G?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$ITarget@W4agent_status@Concurrency@@@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_638_2 {
	meta:
		name = "??_G?$ITarget@_K@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$ITarget@_K@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_50_0 {
	meta:
		name = "??_G?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_51_0 {
	meta:
		name = "??_G?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_879_1 {
	meta:
		name = "??_G?$_Func_base@EV?$task@_N@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@EV?$task@_N@Concurrency@@@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_834_2 {
	meta:
		name = "??_G?$_Func_base@V?$task@_N@Concurrency@@_N@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@V?$task@_N@Concurrency@@_N@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_835_2 {
	meta:
		name = "??_G?$_Func_base@X$$$V@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@X$$$V@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_643_2 {
	meta:
		name = "??_G?$_Func_base@XAEB_K@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@XAEB_K@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_644_2 {
	meta:
		name = "??_G?$_Func_base@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_645_2 {
	meta:
		name = "??_G?$_Func_base@XPEAV?$message@_K@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@XPEAV?$message@_K@Concurrency@@@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_836_2 {
	meta:
		name = "??_G?$_Func_base@XV?$task@_N@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@XV?$task@_N@Concurrency@@@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_646_2 {
	meta:
		name = "??_G?$_Func_base@_NAEBW4agent_status@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@_NAEBW4agent_status@Concurrency@@@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_647_2 {
	meta:
		name = "??_G?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Func_base@_NAEBW4agent_status@Concurrency@@@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_60_0 {
	meta:
		name = "??_G?$_Ref_count@V__ExceptionPtr@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_61_0 {
	meta:
		name = "??_G?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_848_2 {
	meta:
		name = "??_G?$_Ref_count_obj@U?$_Task_impl@E@details@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_849_2 {
	meta:
		name = "??_G?$_Ref_count_obj@U?$_Task_impl@_N@details@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_850_2 {
	meta:
		name = "??_G?$_Ref_count_obj@U_ExceptionHolder@details@Concurrency@@@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_49_105_2 {
	meta:
		name = "??_G?$codecvt@DDH@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_112_2 {
	meta:
		name = "??_G?$codecvt@GDH@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_347_2 {
	meta:
		name = "??_G?$codecvt@_WDH@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_667_1 {
	meta:
		name = "??_G?$message@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@ 0019 ?Free@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_668_1 {
	meta:
		name = "??_G?$message@_K@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$message@_K@Concurrency@@6B@ 0019 ?Free@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_164_2 {
	meta:
		name = "??_G?$messages@D@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_352_2 {
	meta:
		name = "??_G?$messages@G@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_404_1 {
	meta:
		name = "??_G?$messages@_W@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_165_2 {
	meta:
		name = "??_G?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_354_2 {
	meta:
		name = "??_G?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_355_2 {
	meta:
		name = "??_G?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_166_2 {
	meta:
		name = "??_G?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_407_1 {
	meta:
		name = "??_G?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_357_2 {
	meta:
		name = "??_G?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_49_107_2 {
	meta:
		name = "??_G?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_362_2 {
	meta:
		name = "??_G?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_363_2 {
	meta:
		name = "??_G?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_49_108_2 {
	meta:
		name = "??_G?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_415_1 {
	meta:
		name = "??_G?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_365_2 {
	meta:
		name = "??_G?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_133_0 {
	meta:
		name = "??_GCacheLocalScheduleGroup@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7ScheduleGroup@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_360_37_0 {
	meta:
		name = "??_GCancellationTokenRegistration_TaskProc@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_RefCounter@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_832_57_0 {
	meta:
		name = "??_GContext@Concurrency@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7Context@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_163_38_0 {
	meta:
		name = "??_GExecutionResource@details@Concurrency@@QEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7ExecutionResource@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_135_0 {
	meta:
		name = "??_GFairScheduleGroup@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7ScheduleGroup@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_53_0 {
	meta:
		name = "??_GFreeThreadProxyFactory@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_54_0 {
	meta:
		name = "??_GIThreadProxyFactory@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_137_0 {
	meta:
		name = "??_GRealizedChore@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Chore@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_138_0 {
	meta:
		name = "??_GScheduleGroup@Concurrency@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7ScheduleGroup@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1106_85_0 {
	meta:
		name = "??_GScheduleGroupBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7ScheduleGroup@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_139_0 {
	meta:
		name = "??_GScheduler@Concurrency@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7Scheduler@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_360_38_0 {
	meta:
		name = "??_G_CancellationTokenRegistration@details@Concurrency@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_RefCounter@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_860_2 {
	meta:
		name = "??_G_Chore@details@Concurrency@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Chore@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_861_2 {
	meta:
		name = "??_G_ContinuationTaskHandleBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Chore@details@Concurrency@@6B@ 0019 ?Free@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_114_2 {
	meta:
		name = "??_G_Facet_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_863_2 {
	meta:
		name = "??_G_Future_error_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_57_2 {
	meta:
		name = "??_G_Generic_error_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_76_39_2 {
	meta:
		name = "??_G_Iostream_error_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_866_2 {
	meta:
		name = "??_G_RefCounter@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_RefCounter@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_78_0 {
	meta:
		name = "??_G_RefCounterBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_RefCounterBase@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_913_1 {
	meta:
		name = "??_G_Ref_count_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_59_2 {
	meta:
		name = "??_G_System_error_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_915_1 {
	meta:
		name = "??_G_TaskProcHandle@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Chore@details@Concurrency@@6B@ 0019 ?Free@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_918_1 {
	meta:
		name = "??_G_UnrealizedChore@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Chore@details@Concurrency@@6B@ 0019 ?Free@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_138_1 {
	meta:
		name = "??_Gcodecvt_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_103_127_1 {
	meta:
		name = "??_Gctype_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_69_32_2 {
	meta:
		name = "??_Gerror_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_101_54_2 {
	meta:
		name = "??_Gfacet@locale@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_208_1 {
	meta:
		name = "??_Gmessages_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_432_1 {
	meta:
		name = "??_Gmoney_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_434_1 {
	meta:
		name = "??_Gtime_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Facet_base@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_29_0 {
	meta:
		name = "??_GUMSThreadVirtualProcessor@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSThreadVirtualProcessor@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_654_2 {
	meta:
		name = "??_G?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_655_2 {
	meta:
		name = "??_G?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_898_1 {
	meta:
		name = "??_G?$_RunAnyParam@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$_RunAnyParam@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_660_1 {
	meta:
		name = "??_G?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_661_1 {
	meta:
		name = "??_G?$_SyncOriginator@_K@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$_SyncOriginator@_K@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_116_128_1 {
	meta:
		name = "??_G?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_114_127_1 {
	meta:
		name = "??_G?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_120_108_2 {
	meta:
		name = "??_G?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_662_1 {
	meta:
		name = "??_G?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_663_2 {
	meta:
		name = "??_G?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_664_2 {
	meta:
		name = "??_G?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_669_2 {
	meta:
		name = "??_G?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_670_2 {
	meta:
		name = "??_G?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_671_2 {
	meta:
		name = "??_G?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_672_2 {
	meta:
		name = "??_G?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_673_2 {
	meta:
		name = "??_G?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_674_1 {
	meta:
		name = "??_G?$ordered_message_processor@_K@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_675_2 {
	meta:
		name = "??_G?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_676_1 {
	meta:
		name = "??_G?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_677_1 {
	meta:
		name = "??_G?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_678_2 {
	meta:
		name = "??_G?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_679_2 {
	meta:
		name = "??_G?$single_assignment@_K@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$single_assignment@_K@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_692_2 {
	meta:
		name = "??_G?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_693_2 {
	meta:
		name = "??_G?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_134_0 {
	meta:
		name = "??_GCacheLocalScheduleGroupSegment@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ScheduleGroupSegmentBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_64_0 {
	meta:
		name = "??_GContextBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ContextBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_43_0 {
	meta:
		name = "??_GExternalContextBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ExternalContextBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_136_0 {
	meta:
		name = "??_GFairScheduleGroupSegment@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ScheduleGroupSegmentBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_832_58_0 {
	meta:
		name = "??_GInternalContextBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1InternalContextBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_67_0 {
	meta:
		name = "??_GResourceManager@details@Concurrency@@AEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ResourceManager@details@Concurrency@@AEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_86_0 {
	meta:
		name = "??_GScheduleGroupSegmentBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ScheduleGroupSegmentBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_140_0 {
	meta:
		name = "??_GSchedulerBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulerBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_141_0 {
	meta:
		name = "??_GSchedulerPolicy@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulerPolicy@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_163_39_0 {
	meta:
		name = "??_GSchedulerProxy@details@Concurrency@@IEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulerProxy@details@Concurrency@@IEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_142_0 {
	meta:
		name = "??_GSchedulingNode@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulingNode@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_143_0 {
	meta:
		name = "??_GSchedulingRing@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulingRing@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_755_29_0 {
	meta:
		name = "??_GThreadProxy@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ThreadProxy@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_323_35_0 {
	meta:
		name = "??_GTransmogrifiedPrimary@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_907_50_0 {
	meta:
		name = "??_GUMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_907_51_0 {
	meta:
		name = "??_GUMSSchedulerProxy@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_688_32_0 {
	meta:
		name = "??_GUMSThreadProxy@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSThreadProxy@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_718_43_0 {
	meta:
		name = "??_GVirtualProcessor@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1VirtualProcessor@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_694_2 {
	meta:
		name = "??_G_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_695_1 {
	meta:
		name = "??_G_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_38_2_2 {
	meta:
		name = "??_G_Condition_variable@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Condition_variable@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_908_1 {
	meta:
		name = "??_G_ExceptionHolder@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_ExceptionHolder@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_76_0 {
	meta:
		name = "??_G_Interruption_exception@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_28_136_1 {
	meta:
		name = "??_G_System_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_79_0 {
	meta:
		name = "??_G_TaskCollection@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_917_1 {
	meta:
		name = "??_G_Task_impl_base@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Task_impl_base@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_620_64_0 {
	meta:
		name = "??_G__ExceptionPtr@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1__ExceptionPtr@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_696_2 {
	meta:
		name = "??_Gagent@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1agent@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_61_2 {
	meta:
		name = "??_Gbad_function_call@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_697_2 {
	meta:
		name = "??_Gbad_target@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_39_874_2 {
	meta:
		name = "??_Gbad_weak_ptr@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_44_0 {
	meta:
		name = "??_Gcontext_self_unblock@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_832_60_0 {
	meta:
		name = "??_Gcontext_unblock_unbalanced@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_64_1 {
	meta:
		name = "??_Gcritical_section@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1critical_section@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_146_0 {
	meta:
		name = "??_Gdefault_scheduler_exists@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_37_24_0 {
	meta:
		name = "??_Gexception_ptr@std@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ?__ExceptionPtrDestroy@@YAXPEAX@Z 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_66_71_1 {
	meta:
		name = "??_Gfailure@ios_base@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_922_1 {
	meta:
		name = "??_Gfuture_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1240_59_0 {
	meta:
		name = "??_Gimproper_lock@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_102_0 {
	meta:
		name = "??_Gimproper_scheduler_attach@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_103_0 {
	meta:
		name = "??_Gimproper_scheduler_detach@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_104_0 {
	meta:
		name = "??_Gimproper_scheduler_reference@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_605_35_0 {
	meta:
		name = "??_Ginvalid_argument@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_699_1 {
	meta:
		name = "??_Ginvalid_link_target@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_106_0 {
	meta:
		name = "??_Ginvalid_multiple_scheduling@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_605_36_0 {
	meta:
		name = "??_Ginvalid_operation@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_771_30_0 {
	meta:
		name = "??_Ginvalid_oversubscribe_operation@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_109_0 {
	meta:
		name = "??_Ginvalid_scheduler_policy_key@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_110_0 {
	meta:
		name = "??_Ginvalid_scheduler_policy_thread_specification@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_111_0 {
	meta:
		name = "??_Ginvalid_scheduler_policy_value@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_87_92_2 {
	meta:
		name = "??_Glength_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_76_42_2 {
	meta:
		name = "??_Glock_error@threads@stdext@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_151_0 {
	meta:
		name = "??_Glogic_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_112_0 {
	meta:
		name = "??_Gmessage_not_found@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_360_42_0 {
	meta:
		name = "??_Gmissing_wait@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_114_0 {
	meta:
		name = "??_Gnested_scheduler_missing_detach@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_115_0 {
	meta:
		name = "??_Goperation_timed_out@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_22_77_1 {
	meta:
		name = "??_Gout_of_range@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_22_78_1 {
	meta:
		name = "??_Goverflow_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_87_95_2 {
	meta:
		name = "??_Grange_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_68_2 {
	meta:
		name = "??_Gregex_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_52_2 {
	meta:
		name = "??_Gruntime_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_26_24_0 {
	meta:
		name = "??_Gscheduler_not_attached@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_58_0 {
	meta:
		name = "??_Gscheduler_resource_allocation_error@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_118_0 {
	meta:
		name = "??_Gscheduler_worker_creation_error@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_92_127_2 {
	meta:
		name = "??_Gsystem_error@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_119_0 {
	meta:
		name = "??_Gtask_canceled@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_69_55_1 {
	meta:
		name = "??_Gthread_resource_error@threads@stdext@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_120_0 {
	meta:
		name = "??_Gunsupported_os@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_30_0 {
	meta:
		name = "??_H@YAXPEAX_KHP6APEAX0@Z@Z"
		size = 67
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F1 41 8B D8 48 8B EA 48 8B F9 EB 08 48 8B CF FF D6 48 03 FD FF CB 79 F4 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_31_0 {
	meta:
		name = "?Affinitize@UMSThreadVirtualProcessor@details@Concurrency@@MEAAXPEAVInternalContextBase@23@@Z"
		size = 21
		refs = "0005 ?Affinitize@VirtualProcessor@details@Concurrency@@MEAAXPEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 48 85 D2 0F 85 ?? ?? ?? ?? 48 C7 81 B8 00 00 00 00 00 00 00 C3 }
	condition:
		$1
}

rule file_0_32_0 {
	meta:
		name = "?AttemptWake@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ"
		size = 57
		refs = "0018 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NAEAVClaimTicket@123@K_N@Z 0030 ?ExerciseClaim@VirtualProcessor@details@Concurrency@@AEAA_NW4AvailabilityType@123@PEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 48 8D 54 24 20 41 B1 01 41 B8 0F 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 14 8B 54 24 20 48 8B 4C 24 28 45 33 C9 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_0_33_0 {
	meta:
		name = "?CriticalNotify@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ"
		size = 16
		refs = "000c ?AttemptWake@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { B8 01 00 00 00 87 81 68 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_34_0 {
	meta:
		name = "?Exercise@ClaimTicket@VirtualProcessor@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@34@@Z"
		size = 35
		refs = "0016 ?ExerciseClaim@VirtualProcessor@details@Concurrency@@AEAA_NW4AvailabilityType@123@PEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 8B 11 48 8B D9 48 8B 49 08 45 33 C9 E8 ?? ?? ?? ?? 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_35_0 {
	meta:
		name = "?ExerciseWakesExisting@ClaimTicket@VirtualProcessor@details@Concurrency@@QEBA_NXZ"
		size = 19
	strings:
		$1 = { 83 39 02 74 08 83 39 08 74 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_0_39_0 {
	meta:
		name = "?Initialize@UMSThreadVirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 151
		refs = "001d ?Initialize@VirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z 0046 ??_7UMSSchedulingContext@details@Concurrency@@6B@ 004e ??3@YAXPEAX@Z 0058 ??2@YAPEAX_K@Z 0079 ??0UMSSchedulingContext@details@Concurrency@@QEAA@PEAVUMSThreadScheduler@12@PEAVUMSThreadVirtualProcessor@12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B F9 E8 ?? ?? ?? ?? 33 DB 48 89 9F 78 01 00 00 89 9F 68 01 00 00 48 8B 47 78 48 8B 30 48 8B 8F 70 01 00 00 48 85 C9 74 0F 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? B9 28 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 1A 48 85 F6 74 04 48 8D 5E F0 4C 8B C7 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 89 9F 70 01 00 00 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_0_41_0 {
	meta:
		name = "?MakeAvailableFromSchedulingContext@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ"
		size = 27
		refs = "0017 ?MakeAvailable@VirtualProcessor@details@Concurrency@@IEAAXW4AvailabilityType@123@_N@Z"
	strings:
		$1 = { 48 8B 81 70 01 00 00 41 B0 01 BA 08 00 00 00 48 89 81 B8 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_42_0 {
	meta:
		name = "?PreRunnableSearch@UMSThreadVirtualProcessor@details@Concurrency@@UEAAPEAVInternalContextBase@23@XZ"
		size = 119
		refs = "006c ?MoveCompletionListToRunnables@UMSThreadScheduler@details@Concurrency@@QEAA_NVlocation@3@@Z"
	strings:
		$1 = { 48 83 EC 48 48 8B 41 78 4C 8B C9 33 C9 48 8B 10 48 85 D2 74 04 48 8D 4A F0 8B 54 24 20 45 8B 81 D8 00 00 00 41 BA FF FF FF 0F 41 8B C0 33 C2 41 23 C2 33 D0 41 8B C0 33 C2 48 8D 54 24 20 41 23 C2 41 33 C0 89 44 24 20 49 8B 81 E0 00 00 00 48 89 44 24 28 41 8B 81 DC 00 00 00 89 44 24 24 49 8B 81 E8 00 00 00 48 89 44 24 30 E8 ?? ?? ?? ?? 33 C0 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_0_43_0 {
	meta:
		name = "?StartupWorkerContext@UMSThreadVirtualProcessor@details@Concurrency@@UEAA_NPEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z"
		size = 48
	strings:
		$1 = { 48 83 EC 28 48 89 91 80 01 00 00 4C 8B C9 4C 89 81 B0 00 00 00 48 8B 89 88 00 00 00 49 8B 91 70 01 00 00 48 8B 01 FF 50 28 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_0_44_0 {
	meta:
		name = "?ToInternalContext@UMSThreadVirtualProcessor@details@Concurrency@@MEAAPEAVInternalContextBase@23@PEAUIExecutionContext@3@@Z"
		size = 17
	strings:
		$1 = { 33 C0 48 3B 91 70 01 00 00 48 0F 44 D0 48 8B C2 C3 }
	condition:
		$1
}

rule file_0_46_0 {
	meta:
		name = "?_Assign@location@Concurrency@@QEAAXAEBV12@@Z"
		size = 49
	strings:
		$1 = { 8B 02 41 B8 FF FF FF 0F 33 01 41 23 C0 31 01 8B 02 33 01 41 23 C0 33 02 89 01 48 8B 42 08 48 89 41 08 8B 42 04 89 41 04 48 8B 42 10 48 89 41 10 C3 }
	condition:
		$1
}

rule file_0_47_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_84facb30090f515e7b1bbafb4c9a7a16>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_84facb30090f515e7b1bbafb4c9a7a16>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1174_24_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_877e36a9b8f2beec69b03ec0697600b5>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_877e36a9b8f2beec69b03ec0697600b5>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1353_65_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_3fdf5a3bf3c558fb7d020342b3e3ecc4>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_3fdf5a3bf3c558fb7d020342b3e3ecc4>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1342_38_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_2835475992419787e20c95841abbc371>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_2835475992419787e20c95841abbc371>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1298_44_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_26da27b0aac018e5d14f38d73214e9c2>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_26da27b0aac018e5d14f38d73214e9c2>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1249_54_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_227f2a6d2f0fd793a6959dc5f99010cf>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_227f2a6d2f0fd793a6959dc5f99010cf>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1248_68_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_7c3f04af9f99d98b77477e35fe019769>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_7c3f04af9f99d98b77477e35fe019769>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1236_228_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_b983c5cc1c0237b64124564f0b2924e5>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_b983c5cc1c0237b64124564f0b2924e5>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1218_58_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_de335a338d31a18b265829348f9c173a>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_de335a338d31a18b265829348f9c173a>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1186_39_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_22a3e8643a03ea7327c3b0e02a63c323>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_22a3e8643a03ea7327c3b0e02a63c323>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1369_443_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_6a4a14dee8e1b31efd89026e5270571c>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_6a4a14dee8e1b31efd89026e5270571c>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1106_196_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_d70fd5481fe106e846cf3419378f032d>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_d70fd5481fe106e846cf3419378f032d>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1095_58_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_210e261af42dd89513ab9b87d35dcdae>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_210e261af42dd89513ab9b87d35dcdae>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_918_31_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_36f990409ada6d03288478c172d2c439>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_36f990409ada6d03288478c172d2c439>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_910_42_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_26a068338f0cda3166f22367ebccaf09>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_26a068338f0cda3166f22367ebccaf09>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_907_118_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_cdfc667e9119b7a203a9991a55b8dd61>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_cdfc667e9119b7a203a9991a55b8dd61>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_832_164_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_491a9a05af435afb7f83e67bc1a93029>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_491a9a05af435afb7f83e67bc1a93029>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_799_43_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_e08ea6f40b15185036d0953e08feec00>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_e08ea6f40b15185036d0953e08feec00>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_118_715_1 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_a0f18cf06b229bd63c2fac3645485d8c>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_a0f18cf06b229bd63c2fac3645485d8c>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_122_65_2 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9019455767b65677490b1d7ba55f2ec7>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9019455767b65677490b1d7ba55f2ec7>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_118_61_2 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9d91f4c20d4b84890709d629e3eda655>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9d91f4c20d4b84890709d629e3eda655>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_115_23_2 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_8ee961418814d5bf472957f658b2a085>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_8ee961418814d5bf472957f658b2a085>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_87_105_2 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9382d68b9a24ce66c7928ba5a7172089>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9382d68b9a24ce66c7928ba5a7172089>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_62_715_2 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_a0f18cf06b229bd63c2fac3645485d8c>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_a0f18cf06b229bd63c2fac3645485d8c>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_41_62_2 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_0aa3eeb7fc6a1a7ab2bd619ed42cef02>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_0aa3eeb7fc6a1a7ab2bd619ed42cef02>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_39_909_2 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_4b4f7bbdf60ea0fcc31469056233f33d>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_4b4f7bbdf60ea0fcc31469056233f33d>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_29_30_2 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_789e7dbf30254e9f4e5c9f04cb8ae4bf>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_789e7dbf30254e9f4e5c9f04cb8ae4bf>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_792_44_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_4f309ec3f1591cc309f87a3a1238f559>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_4f309ec3f1591cc309f87a3a1238f559>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_91_61_1 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9d91f4c20d4b84890709d629e3eda655>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9d91f4c20d4b84890709d629e3eda655>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_81_23_1 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_8ee961418814d5bf472957f658b2a085>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_8ee961418814d5bf472957f658b2a085>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_75_117_1 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9382d68b9a24ce66c7928ba5a7172089>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9382d68b9a24ce66c7928ba5a7172089>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_57_959_1 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_4b4f7bbdf60ea0fcc31469056233f33d>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_4b4f7bbdf60ea0fcc31469056233f33d>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_20_77_1 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9019455767b65677490b1d7ba55f2ec7>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9019455767b65677490b1d7ba55f2ec7>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_5_30_1 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_789e7dbf30254e9f4e5c9f04cb8ae4bf>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_789e7dbf30254e9f4e5c9f04cb8ae4bf>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_4_74_1 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_0aa3eeb7fc6a1a7ab2bd619ed42cef02>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_0aa3eeb7fc6a1a7ab2bd619ed42cef02>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_149_39_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_464601bb309619f9e38e1053581c8b2f>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_464601bb309619f9e38e1053581c8b2f>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_360_63_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_65768df68addf95c6fb1a2e153ca26af>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_65768df68addf95c6fb1a2e153ca26af>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_326_231_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_715586d55be594d0e9637c8c1c3755ee>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_715586d55be594d0e9637c8c1c3755ee>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_323_63_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_349d5681a8333e5bd10da4776df83714>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_349d5681a8333e5bd10da4776df83714>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_284_49_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_8df48103692e73c34f0dca9919093edb>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_8df48103692e73c34f0dca9919093edb>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_260_45_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_d9d7bd5f35fe0d976683ca071d74f79e>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_d9d7bd5f35fe0d976683ca071d74f79e>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_199_39_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_172be19dea7500ca6c398fe3625e7d6f>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_172be19dea7500ca6c398fe3625e7d6f>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_184_72_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_21ed68d291bc97f6ce40664916d565c4>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_21ed68d291bc97f6ce40664916d565c4>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_163_122_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_1e66f546d77ed469181b8bd5fdb0dcbc>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_1e66f546d77ed469181b8bd5fdb0dcbc>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_391_81_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_5a630fb471fdfbbc6a947cc3c61ce21b>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_5a630fb471fdfbbc6a947cc3c61ce21b>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_96_29_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_6e36059cbffeaeca4a48396da8c676a3>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_6e36059cbffeaeca4a48396da8c676a3>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_87_55_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_31a06f7a109cabeff6d2606ba0fb4709>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_31a06f7a109cabeff6d2606ba0fb4709>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_37_27_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_b27592a6f7dba7f6725788fb5a9e6656>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_b27592a6f7dba7f6725788fb5a9e6656>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_34_96_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_e295ff122d0cb08069f1941b9918174e>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_e295ff122d0cb08069f1941b9918174e>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_26_39_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_069e32e6c00f5d305ada4a80e39380a3>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_069e32e6c00f5d305ada4a80e39380a3>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_25_30_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_037bc7ce6502ec890500c5533fbc3dfc>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_037bc7ce6502ec890500c5533fbc3dfc>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_18_73_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_c80257f86a38a015eb1e9cb0825778f2>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_c80257f86a38a015eb1e9cb0825778f2>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_605_55_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9feb76b72e25345552edb63bc7288f00>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9feb76b72e25345552edb63bc7288f00>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_771_60_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9474bfb0de79727fb4f6d2a6e115fd83>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9474bfb0de79727fb4f6d2a6e115fd83>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_755_42_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_618abf99f167c7a97575a06b06227e91>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_618abf99f167c7a97575a06b06227e91>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_718_119_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_81be46b36946dea1582ccc149adc898b>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_81be46b36946dea1582ccc149adc898b>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_705_47_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_9fce432520bfa06a9827a71bd2f8eca3>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_9fce432520bfa06a9827a71bd2f8eca3>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_688_69_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_a82b98f7e2c6043eed4851637b7cc3e6>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_a82b98f7e2c6043eed4851637b7cc3e6>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_660_35_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_492bc47d8aa9efc8d9d8aa9c5b0056e7>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_492bc47d8aa9efc8d9d8aa9c5b0056e7>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_630_34_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_86065f47d7bd75fa202583640c2daf5c>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_86065f47d7bd75fa202583640c2daf5c>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_619_136_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_a089b1c204f74f21f85c3e9ff2c574c1>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_a089b1c204f74f21f85c3e9ff2c574c1>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_3_23_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_294bcb8bc95793505f0ce7948783cc2d>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_294bcb8bc95793505f0ce7948783cc2d>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_604_157_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_d4b5ea99cdfdbe00970f3567e0471f71>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_d4b5ea99cdfdbe00970f3567e0471f71>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_559_87_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_d706c475399fb4da4ce69251d1ecf59e>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_d706c475399fb4da4ce69251d1ecf59e>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_459_123_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_641203ede6f833c1db99207d0b358097>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_641203ede6f833c1db99207d0b358097>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_447_36_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_af546d3a72174e50889cf57d5b8ef1a7>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_af546d3a72174e50889cf57d5b8ef1a7>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_441_45_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_20f446c26f46874b82540befc88a529a>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_20f446c26f46874b82540befc88a529a>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_427_60_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_cb8f2bcadd1f7763372fe4e4aa50437f>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_cb8f2bcadd1f7763372fe4e4aa50437f>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_392_126_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 007a ??$for_each@V<lambda_df5da3f88215411accbf3d551e9f2f37>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_df5da3f88215411accbf3d551e9f2f37>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_0_49_0 {
	meta:
		name = "?_Invoke@_CancellationTokenRegistration@details@Concurrency@@AEAAXXZ"
		size = 90
		refs = "000e ?GetCurrentThreadId@platform@details@Concurrency@@YAJXZ 003c ?set@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B F8 33 C0 F0 0F B1 7B 10 75 23 48 8B 13 48 8B CB FF 52 10 B9 03 00 00 00 8B C7 F0 0F B1 4B 10 83 F8 02 75 09 48 8B 4B 18 E8 ?? ?? ?? ?? F0 FF 4B 08 75 09 48 8B 03 48 8B CB FF 50 08 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_51_0 {
	meta:
		name = "?_Release@_RefCounter@details@Concurrency@@QEAAJXZ"
		size = 32
		altNames = "?_Release@_RefCounterBase@details@Concurrency@@QEAAJXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 CB FF F0 0F C1 59 08 FF CB 75 06 48 8B 11 FF 52 08 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_54_0 {
	meta:
		name = "?swap@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXAEAV1234@@Z"
		size = 29
	strings:
		$1 = { 48 8B 01 4C 8B 02 48 89 02 4C 89 01 48 8B 41 08 4C 8B 42 08 48 89 42 08 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_1_0_0 {
	meta:
		name = "_getbuf"
		size = 83
		refs = "0008 _cflush 0015 _malloc_crt"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 05 ?? ?? ?? ?? 48 8B D9 B9 00 10 00 00 E8 ?? ?? ?? ?? 48 89 43 10 48 85 C0 74 0D 83 4B 18 08 C7 43 24 00 10 00 00 EB 13 83 4B 18 04 48 8D 43 20 C7 43 24 02 00 00 00 48 89 43 10 48 8B 43 10 83 63 08 00 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_0_0 {
	meta:
		name = "sinf"
		size = 1734
		refs = "0006 __use_fma3_lib 0088 L_one_sixth 00bc __Lsinfarray 012c L_large_x_sse2 013e L_twobypi 014a L_one_half 0161 L_piby2_1 016d L_piby2_1tail 0191 L_piby2_2 019e L_piby2_2tail 0224 L_one 0275 __remainder_piby2d2f_forC 02f4 __Lcosfarray 0371 _sinf_special 0387 L_inf_mask_32 03a8 L_piby4 03b5 L_mask_3f8 03be L_mask_3f2 0438 L_large_x_fma3 0442 L_sign_mask 0464 L_int_three 04a3 __L_2_by_pi_bits 05f2 L_piby2_lead 068a L_int_two 069f L_signbit"
	strings:
		$1 = { 48 83 EC 58 83 3D ?? ?? ?? ?? 00 0F 85 6F 03 00 00 66 0F 57 D2 66 0F 7E C2 B8 00 00 80 7F 44 8B D0 44 23 D2 44 3B D0 0F 84 43 03 00 00 F3 0F 5A C0 66 48 0F 7E C2 4C 8B D2 49 0F BA F2 3F 41 B8 01 00 00 00 48 B8 18 2D 44 54 FB 21 E9 3F 4C 3B D0 0F 8F B9 00 00 00 48 B8 00 00 00 00 00 00 80 3F 4C 3B D0 7D 4A 48 B8 00 00 00 00 00 00 20 3F 4C 3B D0 7D 0B E9 EC 02 00 00 66 0F 1F 44 00 00 F2 0F 10 D0 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 59 D0 F2 0F 59 D4 F2 0F 5C C2 E9 C5 02 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 E2 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 10 D8 F2 0F 59 EA F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 CD F2 0F 59 CB F2 0F 58 C1 E9 61 02 00 00 66 66 66 0F 1F 84 00 00 00 00 00 49 3B D2 41 BB 00 00 00 00 74 0E 41 BB 01 00 00 00 F2 0F 5C D0 F2 0F 10 C2 4C 3B 15 ?? ?? ?? ?? 0F 83 2A 01 00 00 F2 0F 10 D0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 D3 4D 8B CA 49 C1 E9 34 F2 0F 58 D5 F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 F2 0F 10 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? 66 48 0F 7E C1 F2 0F 10 2D ?? ?? ?? ?? 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 F2 0F 10 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 F2 0F 10 C4 F2 0F 10 CD F2 0F 5C C5 48 81 F9 F2 03 00 00 0F 8D A7 00 00 00 48 81 F9 DE 03 00 00 7E 50 F2 0F 10 D0 F2 0F 59 D0 44 23 C0 75 23 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 DA F2 0F 5C C3 E9 2E 01 00 00 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 E9 0B 01 00 00 0F 1F 80 00 00 00 00 44 23 C0 0F 84 FB 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 EE 00 00 00 66 66 0F 1F 84 00 00 00 00 00 4C 89 5C 24 10 48 8D 54 24 28 4C 8D 44 24 20 66 48 0F 7E C1 E8 ?? ?? ?? ?? 4C 8B 5C 24 10 41 B8 01 00 00 00 F2 0F 10 4C 24 28 8B 44 24 20 F2 0F 10 D0 F2 0F 59 D0 44 23 C0 75 55 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 E2 F2 0F 59 E2 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 10 D8 F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 CD F2 0F 59 CB F2 0F 58 C1 EB 5F 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 E2 F2 0F 59 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 CC F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C1 D1 E8 8B C8 41 23 C3 F7 D1 41 F7 D3 41 23 CB 0B C1 83 E0 01 75 0C F2 0F 10 D0 66 0F 57 C0 F2 0F 5C C2 F2 0F 5A C0 48 83 C4 58 C3 90 E8 ?? ?? ?? ?? 48 83 C4 58 C3 66 0F 1F 44 00 00 C5 F9 7E C0 44 8B 05 ?? ?? ?? ?? 41 23 C0 41 3B C0 0F 84 25 03 00 00 C5 FA 5A E8 C4 C1 F9 7E E9 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 8F 7E 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 35 4C 3B 0D ?? ?? ?? ?? 7D 0C 48 83 C4 58 C3 0F 1F 80 00 00 00 00 C5 D3 59 CD C5 F3 59 C5 C4 E2 D1 9D 05 ?? ?? ?? ?? E9 CD 02 00 00 66 66 0F 1F 84 00 00 00 00 00 C5 F9 28 C5 C5 FB 10 0D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 FB 59 DB C4 E2 F1 B9 C3 E9 8A 02 00 00 0F 1F 80 00 00 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 62 C5 F9 54 0D ?? ?? ?? ?? C5 F9 28 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 F9 E6 D2 C4 E2 79 25 CA C5 F1 54 25 ?? ?? ?? ?? C5 F0 C6 C9 08 C5 FA E6 C9 C5 F9 6F D0 C4 E2 F1 BD 15 ?? ?? ?? ?? C5 F3 59 1D ?? ?? ?? ?? C5 EB 5C C3 C5 EB 5C D0 C5 EB 5C CB E9 5F 01 00 00 66 0F 1F 84 00 00 00 00 00 4C 8D 0D ?? ?? ?? ?? C4 C1 F9 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 C4 81 7A 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 13 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 48 83 D0 00 48 83 E0 03 C5 F9 6E E0 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 15 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 28 74 46 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 2E 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 C4 C1 F9 6E C2 C5 FB 59 05 ?? ?? ?? ?? C4 E1 F9 7E E0 48 83 E0 01 48 83 F8 01 74 3B C5 FB 10 0D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 FB 59 DB C4 E2 F1 B9 C3 EB 4E 66 0F 1F 84 00 00 00 00 00 C5 F9 28 15 ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 15 ?? ?? ?? ?? C5 FB 10 0D ?? ?? ?? ?? C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 E3 59 DB C5 F9 6F C2 C4 E2 F1 B9 C3 C4 E2 59 29 15 ?? ?? ?? ?? C4 E2 59 29 1D ?? ?? ?? ?? C5 E9 56 DB C5 E1 55 1D ?? ?? ?? ?? C5 F9 57 C3 C5 D1 55 0D ?? ?? ?? ?? C5 F1 57 C0 C5 FB 5A C0 48 83 C4 58 C3 E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_4_0_0 {
	meta:
		name = "_fdclass"
		size = 25
		refs = "0010 _fdtest"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_1_0 {
	meta:
		name = "_fdpcomp"
		size = 97
		refs = "0017 _fdtest"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? BB 02 00 00 00 66 3B C3 74 34 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B C3 74 25 F3 0F 10 44 24 38 F3 0F 10 4C 24 30 0F 2F C1 76 05 8D 43 FF EB 11 B8 04 00 00 00 0F 2F C8 0F 47 D8 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_2_0 {
	meta:
		name = "_fdsign"
		size = 19
	strings:
		$1 = { F3 0F 11 44 24 08 8B 44 24 08 C1 E8 10 25 00 80 00 00 C3 }
	condition:
		$1
}

rule file_5_0_0 {
	meta:
		name = "_dclass"
		size = 25
		refs = "0010 _dtest"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1313_0_0 {
	meta:
		name = "_ldclass"
		size = 25
		refs = "0010 _ldtest"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_5_1_0 {
	meta:
		name = "_dpcomp"
		size = 99
		refs = "0017 _dtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? BB 02 00 00 00 66 3B C3 74 36 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B C3 74 27 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 76 05 8D 43 FF EB 12 B8 04 00 00 00 66 0F 2F C8 0F 47 D8 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1313_1_0 {
	meta:
		name = "_ldpcomp"
		size = 99
		refs = "0017 _ldtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? BB 02 00 00 00 66 3B C3 74 36 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B C3 74 27 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 76 05 8D 43 FF EB 12 B8 04 00 00 00 66 0F 2F C8 0F 47 D8 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_5_2_0 {
	meta:
		name = "_dsign"
		size = 21
		altNames = "_ldsign"
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 48 C1 E8 30 25 00 80 00 00 C3 }
	condition:
		$1
}

rule file_6_0_0 {
	meta:
		name = "_invoke_watson_if_error"
		size = 49
		refs = "002c _invoke_watson"
	strings:
		$1 = { 85 C9 75 01 C3 53 48 83 EC 30 48 8B 44 24 68 4D 8B D1 44 8B 4C 24 60 4D 8B D8 48 8B DA 4D 8B C2 49 8B D3 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_6_1_0 {
	meta:
		name = "_wfindfirst32"
		size = 325
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 __timet_from_ft 0120 wcscpy_s 0140 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B DA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 48 8D 4B 14 89 43 0C 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 10 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 12 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_6_2_0 {
	meta:
		name = "_wfindnext32"
		size = 287
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileW 0074 __imp_GetLastError 00c7 __timet_from_ft 00fe wcscpy_s 011a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 48 8D 4B 14 89 43 0C 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 10 E8 ?? ?? ?? ?? 85 C0 0F 84 31 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_0_0 {
	meta:
		name = "truncf"
		size = 33
		refs = "0012 _fd_int"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_9_0_0 {
	meta:
		name = "??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
		size = 168
		refs = "0017 _getptd 0037 __ptlocinfo 0045 __globallocalestatus 004c __updatetlocinfo 0056 __ptmbcinfo 0073 __updatetmbcinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 41 18 00 48 85 D2 0F 85 82 00 00 00 E8 ?? ?? ?? ?? 48 89 43 10 48 8B 90 C0 00 00 00 48 89 13 48 8B 88 B8 00 00 00 48 89 4B 08 48 3B 15 ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 89 03 48 8B 05 ?? ?? ?? ?? 48 39 43 08 74 1B 48 8B 43 10 8B 88 C8 00 00 00 85 0D ?? ?? ?? ?? 75 09 E8 ?? ?? ?? ?? 48 89 43 08 48 8B 4B 10 8B 81 C8 00 00 00 A8 02 75 16 83 C8 02 89 81 C8 00 00 00 C6 43 18 01 EB 07 0F 10 02 F3 0F 7F 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_1_0 {
	meta:
		name = "??1_LocaleUpdate@@QEAA@XZ"
		size = 18
	strings:
		$1 = { 80 79 18 00 74 0B 48 8B 41 10 83 A0 C8 00 00 00 FD C3 }
	condition:
		$1
}

rule file_9_4_0 {
	meta:
		name = "_ismbcupper_l"
		size = 182
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 FF 81 FB FF 00 00 00 76 54 8B C3 89 7D 20 88 5D 11 C1 E8 08 88 45 10 48 8B 45 E8 39 78 08 74 39 8B 40 04 8D 5F 01 44 8D 4F 02 89 5C 24 30 89 44 24 28 48 8D 45 20 4C 8D 45 10 48 8D 4D E0 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 0B 66 39 7D 22 75 05 84 5D 20 75 1A 8B DF EB 16 48 8B 45 E8 8D 4B 01 BB 01 00 00 00 0F B6 54 01 18 C1 EA 04 23 DA 40 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_10_0_0 {
	meta:
		name = "atanf"
		size = 573
		refs = "001d __xmm@80000000000000008000000000000000 0072 __real@3fddac670561bb4f 0080 __real@4000000000000000 0088 __real@3ff0000000000000 00b3 __real@3fe921fb54442d18 00ec __real@3fef730bd281f69b 00f7 __real@3ff8000000000000 0145 ??_C@_05HDLDHOMB@atanf?$AA@ 016c _handle_errorf 0179 __real@43d3200000000000 0183 ?piby2@?1??atanf@@9@9 01a5 _set_statfp 01b5 __real@bff0000000000000 01bd __real@3ff921fb54442d18 01dc __real@3f73476a758da22a 01e4 __real@3fd327e3df2cf2aa 01f0 __real@3fc89e173a81ee7f 01f8 __real@3ff1c58793da6ea4 0208 __real@3fd2fa5316907834 0210 __real@3fec777ca21053f0"
	strings:
		$1 = { 48 83 EC 68 48 BA FF FF FF FF FF FF FF 7F 0F 57 E4 0F 28 C8 0F 29 74 24 50 F2 0F 10 35 ?? ?? ?? ?? F3 0F 5A E1 F2 0F 11 64 24 78 48 8B 4C 24 78 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 00 80 48 23 CA 74 03 0F 57 E6 48 BA 00 00 00 00 00 00 DC 3F 48 3B C2 73 08 0F 57 ED E9 69 01 00 00 48 BA 00 00 00 00 00 00 E6 3F 48 3B C2 73 32 F2 0F 10 2D ?? ?? ?? ?? 0F 28 D4 0F 28 C4 F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 0F 28 E2 F2 0F 5E E0 E9 28 01 00 00 48 BA 00 00 00 00 00 00 F3 3F 48 3B C2 73 2A F2 0F 10 2D ?? ?? ?? ?? 0F 28 D4 0F 28 CC F2 0F 5C 15 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 0F 28 E2 F2 0F 5E E1 E9 EF 00 00 00 48 BA 00 00 00 00 00 80 03 40 48 3B C2 73 32 F2 0F 10 2D ?? ?? ?? ?? 0F 28 D4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? 0F 28 CC F2 0F 58 0D ?? ?? ?? ?? 0F 28 E2 F2 0F 5E E1 E9 AE 00 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 76 4C 41 B9 01 00 00 00 F3 0F 11 4C 24 70 0F 57 C0 44 8B 44 24 70 44 89 4C 24 40 48 8D 0D ?? ?? ?? ?? F3 0F 11 44 24 38 F3 0F 11 4C 24 30 41 8D 51 0E 49 0F BA E8 16 C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? E9 BE 00 00 00 66 0F 2F 25 ?? ?? ?? ?? 76 32 F2 0F 10 05 ?? ?? ?? ?? 48 85 C9 74 0C 0F 57 C6 0F 57 F6 F2 0F 5A F0 EB 07 66 0F 5A C0 0F 28 F0 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 82 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 5E C4 0F 28 E0 0F 28 D4 F2 0F 59 D4 0F 28 DA 0F 28 CA 0F 28 C2 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5E D9 F2 0F 5C DC F2 0F 5C EB 48 85 C9 74 03 0F 57 EE 0F 57 C0 F2 0F 5A C5 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_10_1_0 {
	meta:
		name = "raise_fpsw_flags"
		size = 49
		refs = "002d _set_statfp"
	strings:
		$1 = { 33 C0 F6 C1 01 8D 50 08 0F 45 C2 F6 C1 02 74 03 83 C8 10 F6 C1 04 74 03 83 C8 04 84 CA 74 03 83 C8 01 F6 C1 10 74 03 83 C8 20 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_2_0 {
	meta:
		name = "valf_with_flags"
		size = 74
		refs = "0039 _set_statfp"
		altNames = "val_with_flags"
	strings:
		$1 = { 48 83 EC 38 33 C0 F6 C2 01 0F 29 74 24 20 8D 48 08 0F 28 F0 0F 45 C1 F6 C2 02 74 03 83 C8 10 F6 C2 04 74 03 83 C8 04 84 D1 74 03 83 C8 01 F6 C2 10 74 03 83 C8 20 8B C8 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_11_0_0 {
	meta:
		name = "__common_dlog10_cout_rare"
		size = 736
		refs = "003e _vmldLgHATab 006b _2il0floatpacket_78 0287 _2il0floatpacket_79"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 41 81 F8 F0 7F 00 00 0F 84 79 02 00 00 F2 0F 10 11 45 33 C0 48 8B 09 48 89 4C 24 30 48 C1 E9 30 F7 C1 F0 7F 00 00 75 18 F2 0F 10 05 ?? ?? ?? ?? 41 B8 C4 FF FF FF F2 0F 59 D0 F2 0F 11 54 24 30 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D0 0F 86 F9 01 00 00 0F 28 DA F2 0F 5C 1D ?? ?? ?? ?? F2 0F 11 5C 24 28 80 64 24 2F 7F F2 0F 10 44 24 28 66 0F 2F 05 ?? ?? ?? ?? 0F 86 56 01 00 00 F2 0F 11 54 24 28 44 0F B7 4C 24 2E 41 81 E1 0F 80 FF FF 41 81 C9 F0 3F FF FF 66 44 89 4C 24 2E F2 0F 10 64 24 28 0F 28 D4 0F 28 DC 0F B7 4C 24 36 81 E1 F0 7F 00 00 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? C1 E9 04 F2 0F 11 54 24 20 44 8B 54 24 20 41 83 E2 7F F2 0F 11 5C 24 20 45 8D 84 08 01 FC FF FF F2 0F 10 5C 24 20 48 8D 0D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 4C 8B C9 F2 0F 10 2D ?? ?? ?? ?? 47 8D 1C 52 F2 0F 10 15 ?? ?? ?? ?? F2 41 0F 2A C0 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 5C E3 F2 0F 59 C5 4C 8B C1 F2 42 0F 10 2C D9 F2 0F 59 DD F2 43 0F 58 44 D9 10 F2 43 0F 58 4C D8 08 F2 0F 59 EC F2 0F 5C 1D ?? ?? ?? ?? 0F 28 E3 F2 0F 58 CB F2 0F 58 E5 F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 0F 28 E5 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 E2 F2 0F 59 DA F2 0F 58 C4 F2 0F 58 E8 F2 0F 58 EB F2 0F 58 CD F2 0F 11 0A 48 83 C4 38 C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 D8 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 D9 F2 0F 11 1A 48 83 C4 38 C3 66 0F 2E D0 7A 02 74 12 F2 0F 5E C0 F2 0F 11 02 B8 01 00 00 00 48 83 C4 38 C3 F2 0F 10 0D ?? ?? ?? ?? B8 02 00 00 00 0F 57 0D ?? ?? ?? ?? F2 0F 5E C8 F2 0F 11 0A 48 83 C4 38 C3 44 8A 41 07 41 80 E0 80 41 80 F8 80 74 11 F2 0F 10 01 F2 0F 59 C0 F2 0F 11 02 48 83 C4 38 C3 F7 41 04 FF FF 0F 00 75 E6 83 39 00 75 E1 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E C0 F2 0F 11 02 48 83 C4 38 C3 90 }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "_RTC_Check_2_to_1"
		size = 47
		refs = "0023 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F BF D9 B9 00 FF 00 00 8B C3 23 C1 74 13 3B C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_1_0 {
	meta:
		name = "_RTC_Check_4_to_1"
		size = 50
		refs = "0026 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 8B D9 25 00 FF FF FF 05 00 01 00 00 A9 FF FE FF FF 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_2_0 {
	meta:
		name = "_RTC_Check_4_to_2"
		size = 51
		refs = "0026 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 8B D9 25 00 00 FF FF 05 00 00 01 00 A9 FF FF FE FF 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_3_0 {
	meta:
		name = "_RTC_Check_8_to_1"
		size = 55
		refs = "002b ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 25 00 FF FF FF 48 05 00 01 00 00 48 A9 FF FE FF FF 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_4_0 {
	meta:
		name = "_RTC_Check_8_to_2"
		size = 56
		refs = "002b ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 25 00 00 FF FF 48 05 00 00 01 00 48 A9 FF FF FE FF 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_5_0 {
	meta:
		name = "_RTC_Check_8_to_4"
		size = 76
		refs = "0040 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 B9 00 00 00 00 FF FF FF FF 48 23 C1 48 B9 00 00 00 00 01 00 00 00 48 03 C1 48 B9 FF FF FF FF FE FF FF FF 48 85 C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_15_0_0 {
	meta:
		name = "_vscprintf"
		size = 21
		refs = "0009 _output_l 0011 _vscprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_1_0 {
	meta:
		name = "_vprintf_p"
		size = 21
		refs = "0009 _output_p_l 0011 vprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_3_0 {
	meta:
		name = "_vscprintf_p"
		size = 21
		refs = "0009 _output_p_l 0011 _vscprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_1_0 {
	meta:
		name = "_vscwprintf"
		size = 21
		refs = "0009 _woutput_l 0011 _vscwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_4_0 {
	meta:
		name = "_vscwprintf_p"
		size = 21
		refs = "0009 _woutput_p_l 0011 _vscwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1333_1_0 {
	meta:
		name = "_vwprintf_p"
		size = 21
		refs = "0009 _woutput_p_l 0011 vwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_4_0 {
	meta:
		name = "vprintf"
		size = 21
		refs = "0009 _output_l 0011 vprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_7_0 {
	meta:
		name = "vprintf_s"
		size = 21
		refs = "0009 _output_s_l 0011 vprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_328_4_0 {
	meta:
		name = "vscanf"
		size = 21
		refs = "0009 _input_l 0011 vscanf_fn"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_328_7_0 {
	meta:
		name = "vscanf_s"
		size = 21
		refs = "0009 _input_s_l 0011 vscanf_fn"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1333_4_0 {
	meta:
		name = "vwprintf"
		size = 21
		refs = "0009 _woutput_l 0011 vwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1333_7_0 {
	meta:
		name = "vwprintf_s"
		size = 21
		refs = "0009 _woutput_s_l 0011 vwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1021_2_0 {
	meta:
		name = "vwscanf"
		size = 21
		refs = "0009 _winput_l 0011 vwscanf_fn"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1021_5_0 {
	meta:
		name = "vwscanf_s"
		size = 21
		refs = "0009 _winput_s_l 0011 vwscanf_fn"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_1_0 {
	meta:
		name = "_vscprintf_helper"
		size = 143
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo"
		altNames = "_vscwprintf_helper"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F0 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B F9 E8 ?? ?? ?? ?? 48 85 DB 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 2C 48 83 64 24 30 00 48 83 64 24 20 00 48 8D 4C 24 20 4C 8B CF 4C 8B C6 48 8B D3 C7 44 24 28 FF FF FF 7F C7 44 24 38 42 00 00 00 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_15_2_0 {
	meta:
		name = "_vscprintf_l"
		size = 21
		refs = "000c _output_l 0011 _vscprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_0_0 {
	meta:
		name = "_vprintf_l"
		size = 21
		refs = "000c _output_l 0011 vprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_2_0 {
	meta:
		name = "_vprintf_p_l"
		size = 21
		refs = "000c _output_p_l 0011 vprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_3_0 {
	meta:
		name = "_vprintf_s_l"
		size = 21
		refs = "000c _output_s_l 0011 vprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_4_0 {
	meta:
		name = "_vscprintf_p_l"
		size = 21
		refs = "000c _output_p_l 0011 _vscprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_3_0 {
	meta:
		name = "_vscwprintf_l"
		size = 21
		refs = "000c _woutput_l 0011 _vscwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_5_0 {
	meta:
		name = "_vscwprintf_p_l"
		size = 21
		refs = "000c _woutput_p_l 0011 _vscwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1333_0_0 {
	meta:
		name = "_vwprintf_l"
		size = 21
		refs = "000c _woutput_l 0011 vwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1333_2_0 {
	meta:
		name = "_vwprintf_p_l"
		size = 21
		refs = "000c _woutput_p_l 0011 vwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1333_3_0 {
	meta:
		name = "_vwprintf_s_l"
		size = 21
		refs = "000c _woutput_s_l 0011 vwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_5_0 {
	meta:
		name = "_vsprintf_l"
		size = 181
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo 007c _output_l 009a _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B FA 33 D2 49 8B E8 48 8B D9 44 8D 42 28 48 8D 48 D0 49 8B F1 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 85 DB 74 E6 48 8D 4C 24 20 4C 8B CE 4C 8B C5 48 8B D7 C7 44 24 28 FF FF FF 7F C7 44 24 38 42 00 00 00 48 89 5C 24 30 48 89 5C 24 20 E8 ?? ?? ?? ?? FF 4C 24 28 8B D8 78 0A 48 8B 4C 24 20 C6 01 00 EB 0C 48 8D 54 24 20 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_16_0_0 {
	meta:
		name = "_add_exp"
		size = 78
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 4C 24 08 B8 FF 07 00 00 48 C1 E9 30 F2 0F 11 44 24 20 F2 0F 11 44 24 18 66 C1 E9 04 66 23 C8 48 8B 44 24 20 66 03 CA 48 C1 E8 30 BA 0F 80 00 00 66 23 C2 66 C1 E1 04 66 0B C8 66 89 4C 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_16_1_0 {
	meta:
		name = "_decomp"
		size = 308
	strings:
		$1 = { 0F 28 C8 F2 0F 11 44 24 08 0F 57 C0 4C 8B D2 66 0F 2E C8 7A 09 75 07 33 C9 E9 12 01 00 00 48 8B 44 24 08 B9 F0 7F 00 00 4C 8B C0 49 C1 E8 30 66 44 85 C1 0F 85 AD 00 00 00 8B 54 24 08 48 C1 E8 20 A9 FF FF 0F 00 75 08 85 D2 0F 84 96 00 00 00 45 33 C9 66 0F 2F C1 B9 03 FC FF FF 41 0F 97 C1 41 F6 C0 10 75 24 8B 44 24 0C 03 C0 89 44 24 0C 85 D2 79 07 83 C8 01 89 44 24 0C 03 D2 FF C9 F6 44 24 0E 10 74 E4 89 54 24 08 0F B7 44 24 0E BA EF FF 00 00 66 23 C2 66 89 44 24 0E 45 85 C9 74 0D BA 00 80 00 00 66 0B C2 66 89 44 24 0E F2 0F 10 44 24 08 BA EF BF 00 00 F2 0F 11 44 24 10 F2 0F 11 44 24 08 48 8B 44 24 10 48 C1 E8 30 66 23 C2 BA E0 3F 00 00 66 0B C2 66 89 44 24 0E F2 0F 10 44 24 08 EB 4A BA EF BF 00 00 F2 0F 11 4C 24 10 B9 FF 07 00 00 F2 0F 11 4C 24 18 48 8B 44 24 18 48 C1 E8 30 66 23 C2 BA E0 3F 00 00 66 0B C2 66 89 44 24 16 0F B7 44 24 0E 66 C1 E8 04 F2 0F 10 44 24 10 66 23 C1 0F BF C8 81 E9 FE 03 00 00 41 89 0A C3 }
	condition:
		$1
}

rule file_16_2_0 {
	meta:
		name = "_get_exp"
		size = 37
	strings:
		$1 = { B9 FF 07 00 00 F2 0F 11 44 24 08 48 8B 44 24 08 48 C1 E8 30 66 C1 E8 04 66 23 C1 B9 FE 03 00 00 66 2B C1 98 C3 }
	condition:
		$1
}

rule file_16_3_0 {
	meta:
		name = "_set_bexp"
		size = 48
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 F2 0F 11 44 24 18 48 C1 E8 30 B9 0F 80 00 00 66 C1 E2 04 66 23 C1 66 0B C2 66 89 44 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_16_4_0 {
	meta:
		name = "_set_exp"
		size = 56
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 B9 0F 80 00 00 48 C1 E8 30 F2 0F 11 44 24 18 66 23 C1 B9 FE 03 00 00 66 03 D1 66 C1 E2 04 66 0B C2 66 89 44 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_16_5_0 {
	meta:
		name = "_sptype"
		size = 116
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 48 8B C8 48 C1 E9 20 81 F9 00 00 F0 7F 75 0A 85 C0 75 06 B8 01 00 00 00 C3 81 F9 00 00 F0 FF 75 0A 85 C0 75 06 B8 02 00 00 00 C3 41 B8 F8 7F 00 00 48 8B D0 48 C1 EA 30 66 41 23 D0 66 41 3B D0 75 06 B8 03 00 00 00 C3 41 B8 F0 7F 00 00 66 41 3B D0 75 12 F7 C1 FF FF 07 00 75 04 85 C0 74 06 B8 04 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_17_3_0 {
	meta:
		name = "_mbslwr"
		size = 43
		refs = "0016 _mbslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 F7 D8 48 1B D2 45 33 C0 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_901_3_0 {
	meta:
		name = "_mbsupr"
		size = 43
		refs = "0016 _mbsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 F7 D8 48 1B D2 45 33 C0 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_4_0 {
	meta:
		name = "_mbslwr_l"
		size = 43
		refs = "0016 _mbslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 4C 8B C2 48 8B D9 48 F7 D8 48 1B D2 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_901_4_0 {
	meta:
		name = "_mbsupr_l"
		size = 43
		refs = "0016 _mbsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 4C 8B C2 48 8B D9 48 F7 D8 48 1B D2 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_6_0 {
	meta:
		name = "_mbslwr_s_l"
		size = 338
		refs = "0034 _errno 0040 _invalid_parameter_noinfo 004c strnlen 0063 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00ca __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 70 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 11 48 85 D2 74 11 48 85 C9 75 24 33 C0 E9 FB 00 00 00 48 85 D2 74 EF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 DE 00 00 00 E8 ?? ?? ?? ?? 48 3B C3 72 05 C6 07 00 EB D9 48 8D 4C 24 50 48 8B D6 E8 ?? ?? ?? ?? 80 3F 00 48 8B F7 48 8B DF 0F 84 9B 00 00 00 48 8B 54 24 58 0F B6 06 48 8D 0C 10 F6 41 19 04 74 6C 8B 42 04 48 8B 92 20 02 00 00 C7 44 24 40 01 00 00 00 89 44 24 38 48 8D 84 24 80 00 00 00 C7 44 24 30 02 00 00 00 48 89 44 24 28 48 8D 4C 24 50 4C 8B CE 41 B8 00 01 00 00 C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 69 8A 8C 24 80 00 00 00 48 8B 54 24 58 48 FF C6 88 0B 48 FF C3 83 F8 01 7E 1A 8A 84 24 81 00 00 00 EB 0C F6 41 19 10 74 06 8A 81 19 01 00 00 88 03 48 FF C3 48 FF C6 80 3E 00 0F 85 6A FF FF FF C6 03 00 33 C0 80 7C 24 68 00 74 0C 48 8B 4C 24 60 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C6 07 00 E8 ?? ?? ?? ?? 8B 00 EB C4 }
	condition:
		$1
}

rule file_18_8_0 {
	meta:
		name = "??0?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_CriticalNonReentrantLock@12@@Z"
		size = 121
		refs = "002c ??_U@YAPEAX_K@Z 0067 memset"
		altNames = "??0?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_HyperNonReentrantLock@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 C7 01 00 00 00 00 48 8B D9 48 89 51 20 C7 41 04 00 00 00 00 BF 3F 00 00 00 89 79 08 B9 00 02 00 00 E8 ?? ?? ?? ?? B9 00 04 00 00 48 89 43 10 E8 ?? ?? ?? ?? 48 85 C0 74 13 48 8B C8 48 83 21 00 83 61 08 00 FF CF 48 8D 49 10 79 F0 48 8B 4B 10 33 D2 41 B8 00 02 00 00 48 89 43 18 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_18_9_0 {
	meta:
		name = "??0?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_CriticalNonReentrantLock@12@@Z"
		size = 116
		refs = "0038 ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 61 1C 00 83 61 0C 00 48 89 51 10 C7 01 00 00 00 00 48 8B D9 C6 41 18 00 C7 41 04 00 00 00 00 BF 3F 00 00 00 89 79 08 B9 00 02 00 00 E8 ?? ?? ?? ?? B9 00 04 00 00 48 89 43 20 E8 ?? ?? ?? ?? 48 85 C0 74 13 48 8B C8 48 83 21 00 83 61 08 00 FF CF 48 8D 49 10 79 F0 48 89 43 28 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_18_12_0 {
	meta:
		name = "??0WorkQueue@details@Concurrency@@QEAA@XZ"
		size = 119
		refs = "0026 ??0?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_CriticalNonReentrantLock@12@@Z 0048 ??0?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_CriticalNonReentrantLock@12@@Z 005f ?GetNewWorkQueueId@SchedulerBase@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 99 E0 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 90 C7 87 90 00 00 00 00 00 00 00 48 83 A7 A8 00 00 00 00 48 8D 8F B0 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 90 C7 03 00 00 00 00 83 67 60 00 48 89 BF 80 00 00 00 E8 ?? ?? ?? ?? 89 87 A0 00 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_18_14_0 {
	meta:
		name = "?dtor$1@?0???0WorkQueue@details@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 B0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_100_0 {
	meta:
		name = "?dtor$6@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 B0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_17_0 {
	meta:
		name = "??0_Scoped_lock@_CriticalNonReentrantLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_832_12_0 {
	meta:
		name = "??0ScopedCriticalRegion@ContextBase@details@Concurrency@@QEAA@PEAV123@@Z"
		size = 29
		refs = "0010 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_62_0 {
	meta:
		name = "??0_Scoped_lock@_HyperNonReentrantLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_326_28_0 {
	meta:
		name = "??0_Scoped_lock@_NonReentrantBlockingLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_64_0 {
	meta:
		name = "??0_Scoped_lock@_ReaderWriterLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_163_15_0 {
	meta:
		name = "??0_Scoped_lock@_ReentrantBlockingLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_33_0 {
	meta:
		name = "??0scoped_lock_read@reader_writer_lock@Concurrency@@QEAA@AEAV12@@Z"
		size = 29
		refs = "0010 ?lock_read@reader_writer_lock@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_18_19_0 {
	meta:
		name = "??1?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
		size = 32
		refs = "000e ??_V@YAXPEAX@Z"
		altNames = "??1?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_20_0 {
	meta:
		name = "??1?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
		size = 32
		refs = "000e ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 20 E8 ?? ?? ?? ?? 48 8B 4B 28 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_23_0 {
	meta:
		name = "??1Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 32
		refs = "000e ??_V@YAXPEAX@Z"
		altNames = "??1Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 10 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_35_0 {
	meta:
		name = "??_GSegment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAAPEAXI@Z"
		size = 60
		refs = "0014 ??_V@YAXPEAX@Z 002a ??3@YAXPEAX@Z"
		altNames = "??_GSegment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 49 18 8B DA E8 ?? ?? ?? ?? 48 8B 4F 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_18_38_0 {
	meta:
		name = "?Claim@Slot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA_NPEAPEAV_UnrealizedChore@34@@Z"
		size = 110
		refs = "005d ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0062 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 44 8B 49 08 4C 8B D9 4C 8B 40 18 4B 8B 1C C8 48 83 FB 01 74 25 4C 8B 01 44 8B 51 08 B9 01 00 00 00 4D 8B 48 18 4B 87 0C D1 48 3B CB 75 0C 48 85 D2 74 03 48 89 1A B0 01 EB 25 4D 8B 03 83 C8 FF F0 41 0F C1 40 24 FF C8 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_559_47_0 {
	meta:
		name = "?Claim@Slot@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAPEAVInternalContextBase@34@@Z"
		size = 110
		refs = "005d ?StaticDelete@Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0062 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 44 8B 49 08 4C 8B D9 4C 8B 40 18 4B 8B 1C C8 48 83 FB 01 74 25 4C 8B 01 44 8B 51 08 B9 01 00 00 00 4D 8B 48 18 4B 87 0C D1 48 3B CB 75 0C 48 85 D2 74 03 48 89 1A B0 01 EB 25 4D 8B 03 83 C8 FF F0 41 0F C1 40 24 FF C8 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_18_39_0 {
	meta:
		name = "?DeferToAffineSearchers@Slot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEBA_NXZ"
		size = 159
		refs = "0013 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		altNames = "?DeferToAffineSearchers@Slot@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEBA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 85 C0 74 06 4C 8D 50 F0 EB 03 45 33 D2 48 8B 33 33 C0 33 FF 4C 8B 1E 45 8B 43 60 41 83 C0 1F 41 C1 E8 05 45 85 C0 74 49 44 8D 48 01 85 C0 75 1A 48 8B 46 10 49 8B 4B 68 8B 04 B8 23 04 B9 41 03 F9 41 3B F8 72 E6 85 C0 74 27 49 8B 82 08 01 00 00 8B 88 D4 00 00 00 48 8B 03 48 8B 50 10 44 8B C1 83 E1 1F 49 C1 E8 05 42 8B 04 82 0F A3 C8 73 03 45 33 C9 48 8B 5C 24 30 48 8B 74 24 38 41 8A C1 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_18_40_0 {
	meta:
		name = "?Dereference@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAAXXZ"
		size = 37
		refs = "0013 ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 001c ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 83 EC 28 F0 FF 49 24 4C 8B C1 75 13 4D 8B 08 48 8D 15 ?? ?? ?? ?? 48 83 C1 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_559_54_0 {
	meta:
		name = "?Dereference@Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAXXZ"
		size = 37
		refs = "0013 ?StaticDelete@Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 001c ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 83 EC 28 F0 FF 49 24 4C 8B C1 75 13 4D 8B 08 48 8D 15 ?? ?? ?? ?? 48 83 C1 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_18_43_0 {
	meta:
		name = "?Expire@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAAXXZ"
		size = 22
		refs = "0006 ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0012 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 4C 8B C1 48 8D 15 ?? ?? ?? ?? 48 83 C1 30 4D 8B 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_55_0 {
	meta:
		name = "?Expire@Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAXXZ"
		size = 22
		refs = "0006 ?StaticDelete@Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0012 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 4C 8B C1 48 8D 15 ?? ?? ?? ?? 48 83 C1 30 4D 8B 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_48_0 {
	meta:
		name = "?HasSearchers@SchedulerBase@details@Concurrency@@QEBA_NAEBVQuickBitSet@23@@Z"
		size = 90
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 44 8B 51 60 33 C0 48 8B FA 41 83 C2 1F 48 8B D9 44 8B C8 41 C1 EA 05 44 8B D8 45 85 D2 74 20 45 85 C9 75 1E 48 8B 4F 08 48 8B 53 68 45 8B C3 46 8B 0C 81 41 FF C3 46 23 0C 82 45 3B DA 72 E0 45 85 C9 48 8B 5C 24 08 48 8B 7C 24 10 0F 95 C0 C3 }
	condition:
		$1
}

rule file_18_49_0 {
	meta:
		name = "?Intersects@QuickBitSet@details@Concurrency@@QEBA_NAEBV123@@Z"
		size = 89
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 44 8B 11 33 C0 48 8B FA 41 83 C2 1F 48 8B D9 44 8B C8 41 C1 EA 05 44 8B D8 45 85 D2 74 20 45 85 C9 75 1E 48 8B 4B 08 48 8B 57 08 45 8B C3 46 8B 0C 81 41 FF C3 46 23 0C 82 45 3B DA 72 E0 45 85 C9 48 8B 5C 24 08 48 8B 7C 24 10 0F 95 C0 C3 }
	condition:
		$1
}

rule file_18_50_0 {
	meta:
		name = "?IsEmpty@WorkQueue@details@Concurrency@@QEBA_NXZ"
		size = 34
	strings:
		$1 = { 8B 51 04 8B 01 3B D0 7F 16 8B 91 B4 00 00 00 8B 81 B0 00 00 00 3B D0 7F 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_18_51_0 {
	meta:
		name = "?IsSet@QuickBitSet@details@Concurrency@@QEBA_NI@Z"
		size = 25
	strings:
		$1 = { 48 8B 41 08 44 8B C2 83 E2 1F 49 C1 E8 05 42 8B 0C 80 0F A3 D1 0F 92 C0 C3 }
	condition:
		$1
}

rule file_18_54_0 {
	meta:
		name = "?RedetachFromScheduleGroupAtSafePoint@WorkQueue@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@@Z"
		size = 37
		refs = "0018 ?StaticRedetachFromScheduleGroup@WorkQueue@details@Concurrency@@CAXPEAV123@@Z 0021 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 91 98 00 00 00 4C 8B 8A A8 01 00 00 4C 8B C1 4D 8B 49 08 48 8D 15 ?? ?? ?? ?? 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_58_0 {
	meta:
		name = "?RetireAtSafePoint@WorkQueue@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@@Z"
		size = 37
		refs = "0018 ?StaticRetire@WorkQueue@details@Concurrency@@CAXPEAV123@@Z 0021 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 91 98 00 00 00 4C 8B 8A A8 01 00 00 4C 8B C1 4D 8B 49 08 48 8D 15 ?? ?? ?? ?? 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_56_0 {
	meta:
		name = "?Reinitialize@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXXZ"
		size = 17
	strings:
		$1 = { 33 C0 89 01 89 41 04 89 41 1C 88 41 18 89 41 0C C3 }
	condition:
		$1
}

rule file_18_57_0 {
	meta:
		name = "?Reinitialize@WorkQueue@details@Concurrency@@AEAAXXZ"
		size = 107
		refs = "0018 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 001d ?GetNewWorkQueueId@SchedulerBase@details@Concurrency@@SAIXZ 0067 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 99 E0 00 00 00 48 8B F9 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 89 87 A0 00 00 00 33 C0 89 07 89 47 04 89 87 B0 00 00 00 89 87 B4 00 00 00 89 87 CC 00 00 00 88 87 C8 00 00 00 89 87 BC 00 00 00 89 87 90 00 00 00 48 89 87 A8 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_59_0 {
	meta:
		name = "?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z"
		size = 45
		refs = "0012 ??_V@YAXPEAX@Z 0023 ??3@YAXPEAX@Z"
		altNames = "?StaticDelete@Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z"
	strings:
		$1 = { 48 85 C9 74 27 53 48 83 EC 20 48 8B D9 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_18_62_0 {
	meta:
		name = "?Steal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_N@Z"
		size = 91
		refs = "002d ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0039 ?UnlockedSteal@WorkQueue@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@_N@Z 0044 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 40 8A FA 48 8B F1 48 8D 99 E0 00 00 00 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 40 8A D7 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_18_64_0 {
	meta:
		name = "?Sweep@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXP6A_NPEAV_UnrealizedChore@23@PEAX@Z12@Z"
		size = 194
		refs = "0034 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 00be ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 C7 40 B8 FE FF FF FF 48 89 58 18 4D 8B E9 4D 8B E0 48 8B D9 48 8B 49 10 48 89 48 08 E8 ?? ?? ?? ?? 90 8B 7B 04 8B 73 04 FF CE 8B 03 3B F0 7C 57 8D 6E 01 4C 63 FE 48 63 4B 08 49 23 CF 48 8B 43 20 4C 8B 34 C8 4D 85 F6 74 33 49 8B D4 49 8B CE FF 54 24 78 84 C0 74 25 49 8B D4 49 8B CE 41 FF D5 84 C0 74 18 3B EF 75 04 FF CF EB 10 48 63 4B 08 49 23 CF 48 8B 43 20 48 83 24 C8 00 FF CE FF CD 8B 03 3B F0 7D AC 87 7B 04 48 8B 4C 24 70 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_67_0 {
	meta:
		name = "?TryToSteal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_NAEA_N@Z"
		size = 106
		refs = "002e ?_TryAcquire@_CriticalNonReentrantLock@details@Concurrency@@QEAA_NXZ 003d ?UnlockedSteal@WorkQueue@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@_N@Z 0048 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 41 56 41 57 48 83 EC 20 49 8B F8 44 8A FA 48 8B F1 33 DB 4C 8D B1 E0 00 00 00 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 1B 41 8A D7 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 49 8B CE E8 ?? ?? ?? ?? C6 07 01 EB 02 88 1F 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_18_68_0 {
	meta:
		name = "?fin$0@?0??TryToSteal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_NAEA_N@Z@4HA"
		size = 31
		refs = "001a ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 40 48 81 C1 E0 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_18_69_0 {
	meta:
		name = "?UnlockedSteal@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_N@Z"
		size = 260
		refs = "004b ?DeferToAffineSearchers@Slot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEBA_NXZ 00c4 ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 00c9 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 44 8B 01 8B 41 04 40 8A EA 44 3B C0 48 8B D9 0F 8D C4 00 00 00 48 63 3B 48 63 4B 08 48 8B 43 10 48 23 CF F6 04 C8 01 74 1A 40 84 ED 75 15 48 C1 E1 04 48 03 4B 18 E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 48 63 4B 08 48 8B 43 10 45 33 C0 48 23 CF 4C 87 04 C8 41 F6 C0 01 74 6F 4C 63 4B 08 49 83 E0 FE 4C 23 CF 49 C1 E1 04 4C 03 4B 18 49 8B 01 41 8B 51 08 48 8B 48 18 4C 8B 14 D1 49 83 FA 01 74 19 49 8B 01 41 8B 51 08 48 8B 48 18 B8 01 00 00 00 48 87 04 D1 49 3B C2 74 2E 4D 8B 01 F0 41 FF 48 24 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 01 89 03 8B 0B 8B 43 04 3B C8 E9 45 FF FF FF 4D 85 C0 74 05 8D 4F 01 89 0B 49 8B C0 EB 02 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_559_84_0 {
	meta:
		name = "?UnlockedSteal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z"
		size = 260
		refs = "004b ?DeferToAffineSearchers@Slot@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEBA_NXZ 00c4 ?StaticDelete@Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 00c9 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 44 8B 01 8B 41 04 40 8A EA 44 3B C0 48 8B D9 0F 8D C4 00 00 00 48 63 3B 48 63 4B 08 48 8B 43 10 48 23 CF F6 04 C8 01 74 1A 40 84 ED 75 15 48 C1 E1 04 48 03 4B 18 E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 48 63 4B 08 48 8B 43 10 45 33 C0 48 23 CF 4C 87 04 C8 41 F6 C0 01 74 6F 4C 63 4B 08 49 83 E0 FE 4C 23 CF 49 C1 E1 04 4C 03 4B 18 49 8B 01 41 8B 51 08 48 8B 48 18 4C 8B 14 D1 49 83 FA 01 74 19 49 8B 01 41 8B 51 08 48 8B 48 18 B8 01 00 00 00 48 87 04 D1 49 3B C2 74 2E 4D 8B 01 F0 41 FF 48 24 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 01 89 03 8B 0B 8B 43 04 3B C8 E9 45 FF FF FF 4D 85 C0 74 05 8D 4F 01 89 0B 49 8B C0 EB 02 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_18_70_0 {
	meta:
		name = "?UnlockedSteal@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_N0@Z"
		size = 283
		refs = "0051 ?DeferToAffineSearchers@Slot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEBA_NXZ 00e0 ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 00e5 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B 39 40 8A EA 48 8B D9 8D 47 01 45 33 C0 87 01 8B 41 04 3B F8 0F 8D D2 00 00 00 48 63 4B 08 48 8B 43 20 48 63 F7 48 23 CE F6 04 C8 01 74 1A 40 84 ED 75 15 48 C1 E1 04 48 03 4B 28 E8 ?? ?? ?? ?? 84 C0 0F 85 9E 00 00 00 80 7B 18 00 74 0B 8B 03 3B 43 1C 7C 04 C6 43 18 00 48 63 4B 08 48 8B 43 20 45 33 C0 48 23 CE 4C 87 04 C8 4D 85 C0 74 67 41 F6 C0 01 74 78 4C 63 4B 08 49 83 E0 FE 4C 23 CE 49 C1 E1 04 4C 03 4B 28 49 8B 01 41 8B 51 08 48 8B 48 18 4C 8B 14 D1 49 83 FA 01 74 19 49 8B 01 41 8B 51 08 48 8B 48 18 B8 01 00 00 00 48 87 04 D1 49 3B C2 74 37 4D 8B 01 F0 41 FF 48 24 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 33 C0 8B 3B 8D 47 01 87 03 8B 43 04 E9 2C FF FF FF 89 3B 33 C0 EB 05 89 3B 49 8B C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_18_71_0 {
	meta:
		name = "?UnlockedSteal@WorkQueue@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@_N@Z"
		size = 270
		refs = "0078 ?UnlockedSteal@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_N0@Z 008a ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00a7 ?UnlockedSteal@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_N@Z 00e1 ?ReferenceForCancellation@ContextBase@details@Concurrency@@QEAAXXZ 00f2 ?_SetDetached@_UnrealizedChore@details@Concurrency@@QEAAX_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 44 8B 41 04 8B 01 40 8A EA 48 8B F9 44 3B C0 7F 19 44 8B 81 B4 00 00 00 8B 81 B0 00 00 00 44 3B C0 7F 07 33 C0 E9 BB 00 00 00 48 8B 89 A8 00 00 00 33 DB 8B F3 48 85 C9 74 52 8B 81 BC 00 00 00 85 C0 7E 48 48 8B 01 FF 50 20 84 C0 75 3E 38 9F C8 00 00 00 74 1F 48 8D 8F B0 00 00 00 41 B0 01 40 8A D5 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 05 48 8B C8 EB 66 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 8D 58 F0 80 8B 27 01 00 00 02 EB 56 40 8A D5 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 49 48 8D 8F B0 00 00 00 45 33 C0 40 8A D5 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 2C 48 8B 8F A8 00 00 00 48 85 C9 74 16 48 8B 40 10 48 39 48 18 75 0C E8 ?? ?? ?? ?? 33 D2 48 8B CE EB 05 48 8B CE B2 01 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_19_0_0 {
	meta:
		name = "_ungetc_nolock"
		size = 263
		refs = "001d _fileno 0024 __badioinfo 002b __pioinfo 0082 _errno 008d _invalid_parameter_noinfo 00c1 _getbuf"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F6 42 18 40 48 8B DA 8B F9 0F 85 86 00 00 00 48 8B CA E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 63 D0 45 8D 42 02 41 83 F8 01 76 17 49 8B D2 49 8B CA 83 E2 1F 48 C1 F9 05 48 6B C2 58 49 03 04 CB EB 03 49 8B C1 F6 40 38 7F 75 25 41 8D 42 02 83 F8 01 76 15 49 8B CA 49 8B C2 83 E1 1F 48 C1 F8 05 4C 6B C9 58 4D 03 0C C3 41 F6 41 38 80 74 1E E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 83 FF FF 74 ED F6 43 18 01 75 0C F6 43 18 80 74 E1 F6 43 18 02 75 DB 48 83 7B 10 00 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 03 48 3B 43 10 75 0C 83 7B 08 00 75 BD 48 FF C0 48 89 03 48 FF 0B F6 43 18 40 48 8B 03 74 0D 40 38 38 74 0B 48 FF C0 48 89 03 EB 9E 40 88 38 FF 43 08 83 63 18 EF 83 4B 18 01 40 0F B6 C7 EB 8D }
	condition:
		$1
}

rule file_19_1_0 {
	meta:
		name = "ungetc"
		size = 95
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0039 _lock_file 0044 _ungetc_nolock 004e _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 8B F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1F 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 8B CF E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_19_2_0 {
	meta:
		name = "ungetc$fin$0"
		size = 24
		refs = "0013 _unlock_file"
		altNames = "_fdopen$fin$0 fputc$fin$0 fputs$fin$0 fputwc$fin$0 putc$fin$0 ungetwc$fin$0 vfwscanf_fn$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 38 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_20_0_0 {
	meta:
		name = "__raise_securityfailure"
		size = 73
		refs = "000b __imp_IsDebuggerPresent 0016 DebuggerWasPresent 001b __crt_debugger_hook 0023 __crtUnhandledException 0045 __crtTerminateProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? B9 01 00 00 00 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A B9 01 00 00 00 E8 ?? ?? ?? ?? B9 09 04 00 C0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_1_0 {
	meta:
		name = "__report_gsfailure"
		size = 209
		refs = "000f IsProcessorFeaturePresent 0021 GS_ContextRecord 0026 __crtCapturePreviousContext 0050 GS_ExceptionRecord 00a2 __security_cookie 00b7 __security_cookie_complement 00c3 GS_ExceptionPointers 00c8 __raise_securityfailure"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B9 02 00 00 00 CD 29 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 44 24 38 48 89 05 ?? ?? ?? ?? 48 8D 44 24 38 48 83 C0 08 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 44 24 40 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 09 04 00 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 B8 08 00 00 00 48 6B C0 00 48 8D 0D ?? ?? ?? ?? 48 C7 04 01 02 00 00 00 B8 08 00 00 00 48 6B C0 00 48 8B 0D ?? ?? ?? ?? 48 89 4C 04 20 B8 08 00 00 00 48 6B C0 01 48 8B 0D ?? ?? ?? ?? 48 89 4C 04 20 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_20_2_0 {
	meta:
		name = "__report_rangecheckfailure"
		size = 19
		refs = "000a __report_securityfailure"
	strings:
		$1 = { 48 83 EC 28 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_20_3_0 {
	meta:
		name = "__report_securityfailure"
		size = 155
		refs = "000e IsProcessorFeaturePresent 0021 GS_ContextRecord 0026 __crtCaptureCurrentContext 0050 GS_ExceptionRecord 008d GS_ExceptionPointers 0092 __raise_securityfailure"
	strings:
		$1 = { 89 4C 24 08 48 83 EC 28 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 08 8B 44 24 30 8B C8 CD 29 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 44 24 28 48 89 05 ?? ?? ?? ?? 48 8D 44 24 28 48 83 C0 08 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 09 04 00 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 B8 08 00 00 00 48 6B C0 00 48 8D 0D ?? ?? ?? ?? 8B 54 24 30 48 89 14 01 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_20_4_0 {
	meta:
		name = "__report_securityfailureEx"
		size = 270
		refs = "0017 IsProcessorFeaturePresent 002a GS_ContextRecord 002f __crtCaptureCurrentContext 0059 GS_ExceptionRecord 0100 GS_ExceptionPointers 0105 __raise_securityfailure"
	strings:
		$1 = { 4C 89 44 24 18 89 54 24 10 89 4C 24 08 48 83 EC 38 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 08 8B 44 24 40 8B C8 CD 29 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 44 24 38 48 89 05 ?? ?? ?? ?? 48 8D 44 24 38 48 83 C0 08 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 09 04 00 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 83 7C 24 48 00 76 10 48 83 7C 24 50 00 75 08 C7 44 24 48 00 00 00 00 83 7C 24 48 0E 76 0A 8B 44 24 48 FF C8 89 44 24 48 8B 44 24 48 FF C0 89 05 ?? ?? ?? ?? B8 08 00 00 00 48 6B C0 00 48 8D 0D ?? ?? ?? ?? 8B 54 24 40 48 89 14 01 C7 44 24 20 00 00 00 00 EB 0A 8B 44 24 20 FF C0 89 44 24 20 8B 44 24 48 39 44 24 20 73 22 8B 44 24 20 8B 4C 24 20 FF C1 8B C9 48 8D 15 ?? ?? ?? ?? 4C 8B 44 24 50 49 8B 04 C0 48 89 04 CA EB CA 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_21_0_0 {
	meta:
		name = "_copysign"
		size = 55
	strings:
		$1 = { F2 0F 11 44 24 08 48 BA 00 00 00 00 00 00 00 80 48 8B 4C 24 08 F2 0F 11 4C 24 08 48 8B 44 24 08 48 33 C1 48 85 C2 74 0E 48 33 CA 48 89 4C 24 08 F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_22_0_0 {
	meta:
		name = "__common_datan2_cout_rare"
		size = 4464
		refs = "0011 _vmldAtanHATab"
	strings:
		$1 = { 57 48 81 EC C0 00 00 00 0F 29 74 24 70 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 01 0F 28 CE F2 0F 59 C1 F2 0F 59 0A F2 0F 11 44 24 38 F2 0F 11 4C 24 40 0F B7 44 24 3E 25 F0 7F 00 00 8A 54 24 47 44 0F B7 5C 24 46 80 E2 80 41 81 E3 F0 7F 00 00 C1 E8 04 8A 4C 24 3F C0 E9 07 C0 EA 07 44 0F 29 BC 24 90 00 00 00 44 0F 29 AC 24 A0 00 00 00 44 0F 29 9C 24 80 00 00 00 44 0F 29 84 24 B0 00 00 00 41 C1 EB 04 48 8B 3D ?? ?? ?? ?? 3D FF 07 00 00 0F 84 64 10 00 00 41 81 FB FF 07 00 00 0F 84 9C 0F 00 00 85 C0 75 15 F7 44 24 3C FF FF 0F 00 75 0B 83 7C 24 38 00 0F 84 AC 0E 00 00 45 85 DB 75 15 F7 44 24 44 FF FF 0F 00 75 0B 83 7C 24 40 00 0F 84 7F 0E 00 00 41 F7 DB F2 0F 11 44 24 38 44 03 D8 F2 0F 11 4C 24 40 44 8A 54 24 3F 44 8A 4C 24 47 41 80 E2 7F 41 80 E1 7F 41 83 FB CA 0F 8E B3 0D 00 00 41 83 FB 36 0F 8D 5E 0D 00 00 44 88 4C 24 47 84 D2 44 88 54 24 3F 75 0F F2 44 0F 10 05 ?? ?? ?? ?? 45 0F 28 D8 EB 12 F2 44 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 1D ?? ?? ?? ?? F2 0F 10 4C 24 38 85 C0 F2 0F 10 6C 24 40 0F 28 D1 F2 0F 5E D5 4C 8B 4C 24 38 F2 0F 11 54 24 58 0F 8E C0 0E 00 00 3D FE 07 00 00 7D 24 4C 89 4C 24 38 05 01 FC FF FF 49 C1 E9 30 41 81 E1 0F 80 FF FF 41 81 C9 F0 3F FF FF 66 44 89 4C 24 3E EB 17 F2 0F 10 05 ?? ?? ?? ?? B8 FE 03 00 00 F2 0F 59 C8 F2 0F 11 4C 24 38 F7 D8 05 FF 03 00 00 48 89 7C 24 40 25 FF 07 00 00 48 C1 EF 30 C1 E0 04 81 E7 0F 80 FF FF 0B F8 66 89 7C 24 46 F2 0F 10 44 24 40 F2 0F 59 E8 66 0F 2F 15 ?? ?? ?? ?? 0F 82 03 08 00 00 F2 0F 10 25 ?? ?? ?? ?? 0F 28 C5 F2 0F 59 C4 B8 71 00 00 00 F2 0F 11 44 24 20 0F 28 C5 F2 44 0F 10 7C 24 20 F2 0F 11 54 24 40 F2 44 0F 5C FD F2 44 0F 11 7C 24 28 F2 0F 10 5C 24 20 F2 0F 10 54 24 28 44 8B 54 24 44 45 8B DA 41 81 E2 00 00 08 00 41 81 E3 00 00 F0 FF 41 81 CA 00 00 04 00 F2 0F 5C DA F2 0F 11 5C 24 20 45 0B DA F2 0F 10 4C 24 20 4C 8D 15 ?? ?? ?? ?? C7 44 24 40 00 00 00 00 F2 0F 5C C1 44 89 5C 24 44 4D 8B DA F2 0F 11 44 24 28 F2 0F 10 5C 24 20 F2 0F 10 4C 24 40 F2 0F 10 44 24 28 F2 0F 59 D9 F2 0F 59 C1 F2 44 0F 10 2D ?? ?? ?? ?? F2 41 0F 59 DD F2 41 0F 59 C5 44 0F 28 FB 44 0F B7 4C 24 5E F2 44 0F 58 F8 F2 44 0F 11 7C 24 20 41 81 E1 F0 7F 00 00 F2 0F 10 54 24 20 41 C1 E9 04 F2 0F 5C DA 8B 7C 24 5C F2 0F 58 D8 F2 0F 10 44 24 38 81 E7 FF FF 0F 00 F2 0F 11 5C 24 28 44 0F 28 F8 F2 0F 10 54 24 20 F2 44 0F 10 6C 24 28 F2 44 0F 58 FA F2 44 0F 11 7C 24 20 44 0F 28 F8 F2 0F 10 5C 24 20 41 C1 E1 14 F2 44 0F 5C FB F2 44 0F 11 7C 24 28 44 0B CF F2 44 0F 10 7C 24 20 41 81 C1 00 00 40 C0 F2 0F 10 5C 24 28 41 C1 F9 13 F2 44 0F 58 FB F2 44 0F 11 7C 24 30 44 0F 28 F8 F2 0F 10 5C 24 28 41 83 F9 71 F2 0F 58 D3 F2 0F 11 54 24 28 41 0F 4C C1 F2 0F 10 54 24 30 03 C0 48 63 C0 F2 44 0F 5C FA F2 44 0F 11 7C 24 30 F2 0F 10 5C 24 28 F2 0F 10 54 24 30 F2 0F 58 DA F2 0F 11 5C 24 30 F2 0F 10 5C 24 20 F2 0F 10 54 24 30 F2 41 0F 58 D5 44 0F 28 EB F2 44 0F 59 EC F2 44 0F 11 6C 24 20 F2 44 0F 10 7C 24 20 F2 44 0F 5C FB F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 5C FD F2 44 0F 11 7C 24 20 44 0F 28 F8 F2 44 0F 10 6C 24 20 F2 44 0F 59 3D ?? ?? ?? ?? F2 41 0F 5C DD F2 0F 11 5C 24 28 F2 0F 10 5C 24 20 F2 44 0F 10 6C 24 28 F2 44 0F 11 7C 24 20 F2 41 0F 58 D5 F2 44 0F 10 6C 24 20 F2 44 0F 5C 6C 24 38 F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 20 F2 44 0F 10 7C 24 28 F2 45 0F 5C EF F2 44 0F 11 6C 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C C7 F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 44 0F 10 6C 24 28 F2 0F 59 C1 F2 44 0F 59 E9 0F 28 C8 F2 41 0F 58 CD F2 0F 11 4C 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C C7 F2 41 0F 58 C5 44 0F 28 ED F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 44 0F 10 7C 24 28 F2 44 0F 58 E8 F2 44 0F 11 6C 24 20 44 0F 28 ED F2 0F 10 4C 24 20 F2 44 0F 5C E9 F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 20 F2 0F 10 4C 24 28 F2 44 0F 58 E9 F2 44 0F 11 6C 24 30 F2 0F 10 4C 24 28 F2 0F 58 C1 F2 0F 11 44 24 28 F2 0F 10 44 24 30 F2 0F 5C E8 F2 0F 11 6C 24 30 F2 0F 10 44 24 28 F2 0F 10 6C 24 30 F2 0F 58 C5 F2 0F 11 44 24 30 F2 44 0F 10 6C 24 20 F2 0F 10 4C 24 30 F2 41 0F 58 CF 45 0F 28 FD F2 44 0F 59 FC F2 44 0F 11 7C 24 20 44 0F 28 FE F2 0F 10 44 24 20 F2 41 0F 5C C5 F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 0F 10 6C 24 28 F2 0F 5C C5 F2 0F 11 44 24 20 F2 0F 10 6C 24 20 F2 44 0F 5C ED F2 44 0F 11 6C 24 28 F2 0F 10 6C 24 20 F2 44 0F 5E FD 41 0F 28 C7 F2 0F 59 C4 F2 44 0F 10 6C 24 28 F2 0F 11 44 24 28 F2 41 0F 58 CD F2 0F 10 44 24 28 F2 41 0F 5C C7 F2 0F 11 44 24 30 F2 0F 10 44 24 28 F2 44 0F 10 6C 24 30 F2 41 0F 5C C5 F2 0F 11 44 24 30 F2 44 0F 10 6C 24 30 F2 41 0F 59 ED F2 0F 5C F5 F2 0F 10 6C 24 30 F2 0F 59 CD F2 0F 11 4C 24 28 F2 0F 10 4C 24 28 F2 0F 5C F1 F2 0F 11 74 24 28 F2 0F 10 6C 24 28 48 8B 7C 24 30 F2 0F 10 74 24 28 F2 0F 10 44 24 30 48 89 7C 24 48 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EE F2 0F 59 E8 F2 0F 10 74 24 48 44 0F 28 ED 0F 28 C6 F2 0F 59 C3 F2 44 0F 59 EA F2 0F 59 DD F2 0F 59 D6 F2 44 0F 58 EB 44 0F 28 F8 F2 44 0F 58 EA F2 44 0F 11 6C 24 20 F2 0F 10 54 24 20 F2 0F 10 1D ?? ?? ?? ?? F2 44 0F 58 FA F2 44 0F 11 7C 24 20 F2 0F 10 4C 24 20 F2 0F 5C C1 F2 0F 58 C2 F2 0F 11 44 24 28 F2 44 0F 10 7C 24 20 41 0F 28 F7 41 0F 28 EF F2 41 0F 59 F7 F2 0F 59 EC F2 0F 59 DE F2 0F 10 44 24 28 F2 0F 11 6C 24 20 F2 44 0F 10 6C 24 20 F2 0F 58 1D ?? ?? ?? ?? F2 45 0F 5C EF F2 0F 59 DE F2 44 0F 11 6C 24 28 F2 0F 10 54 24 20 F2 0F 10 4C 24 28 F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C D1 F2 0F 59 DE F2 0F 11 54 24 20 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DE F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DE F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DE F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 F3 F2 0F 10 5C 24 20 F2 0F 59 E6 F2 44 0F 5C FB F2 44 0F 11 7C 24 28 F2 44 0F 10 6C 24 20 F2 44 0F 10 7C 24 28 F2 0F 11 64 24 20 F2 41 0F 58 C7 F2 0F 10 64 24 20 F2 0F 5C E6 F2 0F 11 64 24 28 F2 0F 10 4C 24 20 F2 0F 10 6C 24 28 F2 0F 5C CD F2 0F 11 4C 24 20 F2 0F 10 54 24 20 F2 0F 5C F2 F2 0F 11 74 24 28 F2 0F 10 74 24 20 F2 0F 10 5C 24 28 0F 28 EE 44 0F 28 FB F2 44 0F 59 F8 F2 0F 59 F0 F2 41 0F 59 DD F2 41 0F 59 ED F2 44 0F 58 FE 0F 28 CD 0F 28 D5 F2 44 0F 58 FB F2 41 0F 58 CD F2 44 0F 11 7C 24 20 F2 0F 10 74 24 20 F2 0F 11 4C 24 20 F2 0F 10 64 24 20 F2 0F 5C D4 F2 0F 11 54 24 28 F2 0F 10 5C 24 20 F2 0F 10 4C 24 28 F2 0F 58 D9 F2 0F 11 5C 24 30 F2 0F 10 64 24 28 F2 44 0F 58 EC F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 30 F2 41 0F 5C ED F2 0F 11 6C 24 30 F2 0F 10 54 24 28 F2 0F 10 4C 24 30 F2 0F 58 D1 F2 0F 11 54 24 30 4C 8B 4C 24 20 4C 89 4C 24 48 F2 0F 10 4C 24 48 0F 28 E1 F2 0F 10 5C 24 30 F2 41 0F 58 24 C2 F2 0F 58 C3 F2 0F 11 64 24 20 F2 0F 58 C6 F2 0F 10 6C 24 20 0F 28 F1 F2 0F 11 44 24 50 F2 0F 5C F5 F2 0F 11 74 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 58 FD F2 44 0F 11 7C 24 30 F2 0F 10 64 24 28 F2 41 0F 58 24 C3 F2 0F 11 64 24 28 F2 0F 10 6C 24 30 F2 0F 5C CD F2 0F 11 4C 24 30 F2 0F 10 5C 24 28 F2 0F 10 54 24 30 F2 0F 58 DA F2 0F 11 5C 24 30 4C 8B 4C 24 20 F2 0F 10 4C 24 30 4C 89 4C 24 48 48 8D 3D ?? ?? ?? ?? F2 0F 58 C1 C0 E1 07 F2 0F 58 44 C7 08 8A C2 C0 E0 07 F2 0F 11 44 24 50 41 0F 28 C0 49 C1 E9 38 44 8A 54 24 57 45 8A DA 41 C0 EA 07 41 80 E3 7F 41 80 E1 7F 41 32 D2 44 0A C8 44 88 4C 24 4F F2 0F 10 74 24 48 0F 28 D6 F2 0F 58 C6 C0 E2 07 F2 0F 11 44 24 20 F2 0F 10 4C 24 20 F2 0F 5C D1 F2 0F 11 54 24 28 44 0A DA F2 0F 10 64 24 20 F2 0F 10 5C 24 28 44 88 5C 24 57 F2 0F 58 E3 F2 0F 11 64 24 30 F2 0F 10 6C 24 28 F2 44 0F 58 C5 F2 44 0F 11 44 24 28 F2 44 0F 10 44 24 30 F2 41 0F 5C F0 F2 0F 11 74 24 30 F2 44 0F 10 7C 24 28 F2 44 0F 10 6C 24 30 F2 45 0F 58 FD F2 44 0F 11 7C 24 30 48 8B 54 24 20 F2 0F 10 44 24 30 48 89 54 24 48 F2 0F 58 44 24 50 F2 41 0F 58 C3 F2 44 0F 10 5C 24 48 F2 0F 11 44 24 50 F2 44 0F 58 D8 F2 44 0F 11 5C 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 4C 24 60 49 89 08 E9 0A 06 00 00 F2 0F 10 4C 24 38 44 8A CA 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? 41 C0 E1 07 C0 E1 07 F2 0F 11 44 24 20 F2 0F 10 54 24 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C 54 24 38 F2 0F 11 54 24 28 0F 28 D5 F2 0F 10 64 24 20 F2 44 0F 10 6C 24 28 F2 0F 59 D0 F2 41 0F 5C E5 F2 0F 11 64 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C CF F2 0F 11 4C 24 28 F2 0F 10 4C 24 20 F2 0F 10 5C 24 28 F2 0F 11 54 24 20 0F 28 D6 F2 0F 10 64 24 20 F2 0F 5C E5 F2 0F 11 64 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 5C FD F2 44 0F 11 7C 24 20 F2 0F 10 64 24 20 F2 0F 5C EC F2 0F 11 6C 24 28 F2 44 0F 10 7C 24 20 F2 41 0F 5E D7 0F 28 EA F2 0F 59 E8 F2 0F 10 64 24 28 F2 0F 11 6C 24 28 F2 44 0F 10 6C 24 28 F2 44 0F 5C EA F2 44 0F 11 6C 24 30 F2 0F 10 54 24 28 F2 0F 10 6C 24 30 F2 0F 5C D5 F2 0F 11 54 24 30 F2 0F 10 6C 24 30 F2 44 0F 59 FD F2 41 0F 5C F7 F2 44 0F 10 7C 24 30 F2 41 0F 59 E7 F2 0F 11 64 24 28 F2 0F 10 64 24 28 F2 0F 5C F4 F2 0F 11 74 24 28 F2 0F 10 6C 24 28 48 8B 44 24 30 F2 0F 10 74 24 28 F2 0F 10 64 24 30 48 89 44 24 48 F2 0F 10 54 24 48 44 0F 28 EA F2 0F 58 2D ?? ?? ?? ?? F2 44 0F 59 E9 F2 0F 59 D3 F2 0F 59 EE F2 0F 59 EC 44 0F 28 FD F2 44 0F 59 FB F2 0F 59 CD F2 44 0F 58 F9 41 0F 28 CD F2 44 0F 58 FA F2 44 0F 11 7C 24 20 F2 0F 10 5C 24 20 F2 0F 58 CB F2 0F 11 4C 24 20 F2 0F 10 74 24 20 F2 44 0F 5C EE F2 44 0F 58 EB F2 0F 10 1D ?? ?? ?? ?? F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 58 F2 45 0F 59 ED F2 41 0F 59 DD F2 0F 10 54 24 20 0F 28 F2 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 F0 F2 41 0F 59 DD F2 0F 10 64 24 28 F2 0F 11 74 24 20 F2 0F 10 6C 24 20 F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C EA F2 41 0F 59 DD F2 0F 11 6C 24 28 F2 44 0F 10 7C 24 20 F2 0F 10 4C 24 28 F2 0F 58 1D ?? ?? ?? ?? F2 44 0F 5C F9 F2 41 0F 59 DD F2 44 0F 11 7C 24 20 F2 0F 58 1D ?? ?? ?? ?? F2 41 0F 59 DD F2 0F 58 1D ?? ?? ?? ?? F2 41 0F 59 DD F2 0F 58 1D ?? ?? ?? ?? F2 41 0F 59 DD F2 44 0F 10 6C 24 20 F2 0F 59 C3 F2 41 0F 5C D5 F2 0F 11 54 24 28 F2 0F 10 4C 24 20 F2 0F 10 54 24 28 F2 0F 11 44 24 20 F2 0F 58 E2 F2 0F 10 44 24 20 F2 0F 5C C3 F2 0F 11 44 24 28 F2 0F 10 6C 24 20 F2 0F 10 74 24 28 F2 0F 5C EE F2 0F 11 6C 24 20 F2 0F 10 44 24 20 F2 0F 5C D8 F2 0F 11 5C 24 28 F2 0F 10 54 24 20 F2 0F 10 5C 24 28 0F 28 EA 44 0F 28 EB F2 44 0F 59 EC F2 0F 59 D4 F2 0F 59 D9 F2 0F 59 E9 F2 44 0F 58 EA 44 0F 28 FD 0F 28 D5 F2 44 0F 58 EB F2 44 0F 58 F9 F2 44 0F 11 6C 24 20 F2 0F 10 74 24 20 F2 44 0F 11 7C 24 20 F2 0F 10 44 24 20 F2 0F 5C D0 F2 0F 11 54 24 28 F2 44 0F 10 6C 24 20 F2 0F 10 5C 24 28 F2 44 0F 58 EB F2 44 0F 11 6C 24 30 F2 44 0F 10 7C 24 28 F2 41 0F 58 CF F2 0F 11 4C 24 28 F2 0F 10 4C 24 30 F2 0F 5C E9 F2 0F 11 6C 24 30 F2 0F 10 54 24 28 F2 0F 10 44 24 30 F2 0F 58 D0 F2 0F 11 54 24 30 48 8B 7C 24 20 F2 0F 10 4C 24 30 48 89 7C 24 48 F2 0F 58 E1 48 C1 EF 38 F2 0F 58 E6 40 80 E7 7F 41 0A F9 40 88 7C 24 4F F2 0F 11 64 24 50 41 0F 28 E0 F2 0F 10 6C 24 48 0F 28 C5 F2 0F 58 E5 F2 0F 11 64 24 20 F2 0F 10 64 24 20 44 8A 54 24 57 45 8A DA 41 C0 EA 07 F2 0F 5C C4 F2 0F 11 44 24 28 F2 0F 10 54 24 20 F2 0F 10 4C 24 28 41 32 D2 41 80 E3 7F C0 E2 07 F2 0F 58 D1 F2 0F 11 54 24 30 F2 0F 10 5C 24 28 F2 44 0F 58 C3 F2 44 0F 11 44 24 28 44 0A DA F2 44 0F 10 44 24 30 44 88 5C 24 57 F2 41 0F 5C E8 F2 0F 11 6C 24 30 F2 0F 10 4C 24 28 F2 0F 10 44 24 30 F2 0F 58 C8 F2 0F 11 4C 24 30 48 8B 54 24 20 F2 0F 10 54 24 30 48 89 54 24 48 F2 0F 58 54 24 50 F2 41 0F 58 D3 F2 44 0F 10 5C 24 48 F2 0F 11 54 24 50 F2 44 0F 58 DA F2 44 0F 11 5C 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 4C 24 60 49 89 08 E9 83 01 00 00 41 83 FB 4A 0F 8D F4 00 00 00 44 88 54 24 3F F2 0F 5E 4C 24 38 F2 0F 10 05 ?? ?? ?? ?? C0 E1 07 F2 0F 5C C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 E9 38 01 00 00 84 D2 0F 85 03 01 00 00 44 88 54 24 3F 44 88 4C 24 47 F2 0F 10 4C 24 38 F2 0F 5E 4C 24 40 F2 0F 11 4C 24 60 0F B7 44 24 66 A9 F0 7F 00 00 74 36 C0 E1 07 F2 0F 58 F1 F2 0F 11 74 24 20 F2 0F 10 44 24 20 F2 0F 59 C8 F2 0F 11 4C 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 E9 D2 00 00 00 F2 0F 59 C9 C0 E1 07 F2 0F 11 4C 24 20 F2 0F 10 44 24 20 F2 0F 58 44 24 60 F2 0F 11 44 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 E9 9A 00 00 00 85 C0 75 11 F7 44 24 3C FF FF 0F 00 75 07 E9 EA 01 00 00 74 2F F2 0F 10 05 ?? ?? ?? ?? C0 E1 07 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 EB 56 84 D2 75 25 C0 E1 07 48 8B 05 ?? ?? ?? ?? 48 89 44 24 60 48 C1 E8 38 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 EB 2D F2 0F 10 05 ?? ?? ?? ?? C0 E1 07 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 0F 28 74 24 70 33 C0 44 0F 28 84 24 B0 00 00 00 44 0F }
	condition:
		$1
}

rule file_23_0_0 {
	meta:
		name = "ldiv"
		size = 23
		altNames = "div"
	strings:
		$1 = { 8B C1 44 8B C2 99 41 F7 F8 89 44 24 18 89 54 24 1C 48 8B 44 24 18 C3 }
	condition:
		$1
}

rule file_24_0_0 {
	meta:
		name = "_mbsnbset_s"
		size = 20
		refs = "000b _mbsnbset_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_282_7_0 {
	meta:
		name = "_aligned_recalloc"
		size = 20
		refs = "000b _aligned_offset_recalloc"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1162_11_0 {
	meta:
		name = "_cftof"
		size = 20
		refs = "000b _cftof_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1015_0_0 {
	meta:
		name = "_mbccpy_s"
		size = 20
		refs = "000b _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1072_0_0 {
	meta:
		name = "_mbsnbcat_s"
		size = 20
		refs = "000b _mbsnbcat_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_719_0_0 {
	meta:
		name = "_mbsnbcpy_s"
		size = 20
		refs = "000b _mbsnbcpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_780_0_0 {
	meta:
		name = "_mbsncat_s"
		size = 20
		refs = "000b _mbsncat_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_140_0_0 {
	meta:
		name = "_mbsncpy_s"
		size = 20
		refs = "000b _mbsncpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1189_0_0 {
	meta:
		name = "_mbsnset_s"
		size = 20
		refs = "000b _mbsnset_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_534_6_0 {
	meta:
		name = "wctomb_s"
		size = 20
		refs = "000b _wctomb_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_25_10_0 {
	meta:
		name = "??0scheduler_resource_allocation_error@Concurrency@@QEAA@AEBV01@@Z"
		size = 51
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7scheduler_resource_allocation_error@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 8B 43 18 48 8B 5C 24 30 89 47 18 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_22_43_1 {
	meta:
		name = "??0regex_error@std@@QEAA@AEBV01@@Z"
		size = 51
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7regex_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 8B 43 18 48 8B 5C 24 30 89 47 18 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_25_25_0 {
	meta:
		name = "?Initialize@WinRT@details@Concurrency@@SAXXZ"
		size = 309
		refs = "000a ??_C@_1BI@IDAOOPDH@?$AAc?$AAo?$AAm?$AAb?$AAa?$AAs?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0018 __imp_LoadLibraryExW 001f ?m_hModule@WinRT@details@Concurrency@@0PEAUHINSTANCE__@@EA 0031 __imp_GetModuleHandleW 0038 ??_C@_0N@PPOMPGGK@RoInitialize?$AA@ 0041 __imp_GetProcAddress 0052 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0060 ?s_pfn_RoInitialize@WinRT@details@Concurrency@@0P6AJW4RO_INIT_TYPE@@@ZEA 006d ??_C@_0P@LLFHBIJD@RoUninitialize?$AA@ 008e ?s_pfn_RoUninitialize@WinRT@details@Concurrency@@0P6AXXZEA 0099 ?s_fInitialized@WinRT@details@Concurrency@@0JC 00a7 __imp_GetLastError 00bf ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00c6 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00d0 _CxxThrowException"
	strings:
		$1 = { 48 81 EC 88 00 00 00 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 7D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 87 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 82 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 48 81 C4 88 00 00 00 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 60 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_25_27_0 {
	meta:
		name = "?RoInitialize@WinRT@details@Concurrency@@SAJW4RO_INIT_TYPE@@@Z"
		size = 30
		refs = "000b ?s_pfn_RoInitialize@WinRT@details@Concurrency@@0P6AJW4RO_INIT_TYPE@@@ZEA 0010 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_25_28_0 {
	meta:
		name = "?RoUninitialize@WinRT@details@Concurrency@@SAXXZ"
		size = 23
		refs = "0007 ?s_pfn_RoUninitialize@WinRT@details@Concurrency@@0P6AXXZEA 000c ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 48 FF E0 }
	condition:
		$1
}

rule file_260_34_0 {
	meta:
		name = "?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ"
		size = 23
		refs = "0007 ?s_pfn_GetCurrentUmsThread@UMS@details@Concurrency@@0P6APEAXXZEA 000c ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 48 FF E0 }
	condition:
		$1
}

rule file_26_11_0 {
	meta:
		name = "??0scheduler_not_attached@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7scheduler_not_attached@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_360_12_0 {
	meta:
		name = "??0_Interruption_exception@details@Concurrency@@QEAA@AEBV012@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7_Interruption_exception@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_10_0 {
	meta:
		name = "??0_Interruption_exception@details@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7_Interruption_exception@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_0_0 {
	meta:
		name = "??0__non_rtti_object@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_1_0 {
	meta:
		name = "??0__non_rtti_object@std@@QEAA@PEBD@Z"
		size = 33
		refs = "000a ??0bad_typeid@std@@QEAA@PEBD@Z 0011 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_18_2 {
	meta:
		name = "??0bad_alloc@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_2_0 {
	meta:
		name = "??0bad_cast@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_36_0 {
	meta:
		name = "??0bad_exception@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_20_2 {
	meta:
		name = "??0bad_function_call@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_function_call@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_21_2 {
	meta:
		name = "??0bad_function_call@std@@QEAA@PEBD@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7bad_function_call@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_394_1 {
	meta:
		name = "??0bad_target@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_target@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_12_0 {
	meta:
		name = "??0bad_target@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7bad_target@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_4_0 {
	meta:
		name = "??0bad_typeid@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_612_1 {
	meta:
		name = "??0bad_weak_ptr@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_weak_ptr@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_588_2 {
	meta:
		name = "??0bad_weak_ptr@std@@QEAA@PEBD@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7bad_weak_ptr@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_391_15_0 {
	meta:
		name = "??0context_self_unblock@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7context_self_unblock@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_15_0 {
	meta:
		name = "??0context_self_unblock@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7context_self_unblock@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_391_16_0 {
	meta:
		name = "??0context_unblock_unbalanced@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7context_unblock_unbalanced@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_17_0 {
	meta:
		name = "??0context_unblock_unbalanced@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7context_unblock_unbalanced@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_66_0 {
	meta:
		name = "??0default_scheduler_exists@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7default_scheduler_exists@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_19_0 {
	meta:
		name = "??0default_scheduler_exists@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7default_scheduler_exists@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_27_0 {
	meta:
		name = "??0improper_lock@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7improper_lock@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_21_0 {
	meta:
		name = "??0improper_lock@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7improper_lock@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_67_0 {
	meta:
		name = "??0improper_scheduler_attach@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7improper_scheduler_attach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_23_0 {
	meta:
		name = "??0improper_scheduler_attach@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7improper_scheduler_attach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_68_0 {
	meta:
		name = "??0improper_scheduler_detach@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7improper_scheduler_detach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_25_0 {
	meta:
		name = "??0improper_scheduler_detach@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7improper_scheduler_detach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_69_0 {
	meta:
		name = "??0improper_scheduler_reference@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7improper_scheduler_reference@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_27_0 {
	meta:
		name = "??0improper_scheduler_reference@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7improper_scheduler_reference@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_27_0 {
	meta:
		name = "??0invalid_argument@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_398_2 {
	meta:
		name = "??0invalid_link_target@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_link_target@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_29_0 {
	meta:
		name = "??0invalid_link_target@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7invalid_link_target@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_38_0 {
	meta:
		name = "??0invalid_multiple_scheduling@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_multiple_scheduling@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_31_0 {
	meta:
		name = "??0invalid_multiple_scheduling@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7invalid_multiple_scheduling@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_600_2 {
	meta:
		name = "??0invalid_operation@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_operation@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_33_0 {
	meta:
		name = "??0invalid_operation@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7invalid_operation@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_771_12_0 {
	meta:
		name = "??0invalid_oversubscribe_operation@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_oversubscribe_operation@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_35_0 {
	meta:
		name = "??0invalid_oversubscribe_operation@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7invalid_oversubscribe_operation@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_792_13_0 {
	meta:
		name = "??0invalid_scheduler_policy_key@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_scheduler_policy_key@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_37_0 {
	meta:
		name = "??0invalid_scheduler_policy_key@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7invalid_scheduler_policy_key@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_792_14_0 {
	meta:
		name = "??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_scheduler_policy_thread_specification@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_39_0 {
	meta:
		name = "??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7invalid_scheduler_policy_thread_specification@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_792_15_0 {
	meta:
		name = "??0invalid_scheduler_policy_value@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_scheduler_policy_value@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_41_0 {
	meta:
		name = "??0invalid_scheduler_policy_value@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7invalid_scheduler_policy_value@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_38_0 {
	meta:
		name = "??0length_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7length_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_76_20_2 {
	meta:
		name = "??0lock_error@threads@stdext@@QEAA@AEBV012@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7lock_error@threads@stdext@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_626_1 {
	meta:
		name = "??0logic_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7logic_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_402_1 {
	meta:
		name = "??0message_not_found@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7message_not_found@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_43_0 {
	meta:
		name = "??0message_not_found@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7message_not_found@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_39_0 {
	meta:
		name = "??0missing_wait@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7missing_wait@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_45_0 {
	meta:
		name = "??0missing_wait@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7missing_wait@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_832_26_0 {
	meta:
		name = "??0nested_scheduler_missing_detach@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7nested_scheduler_missing_detach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_47_0 {
	meta:
		name = "??0nested_scheduler_missing_detach@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7nested_scheduler_missing_detach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_403_2 {
	meta:
		name = "??0operation_timed_out@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7operation_timed_out@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_49_0 {
	meta:
		name = "??0operation_timed_out@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7operation_timed_out@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_31_2 {
	meta:
		name = "??0out_of_range@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_33_2 {
	meta:
		name = "??0overflow_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7overflow_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_75_59_1 {
	meta:
		name = "??0range_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7range_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_111_68_2 {
	meta:
		name = "??0runtime_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_51_0 {
	meta:
		name = "??0scheduler_not_attached@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7scheduler_not_attached@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_54_0 {
	meta:
		name = "??0scheduler_worker_creation_error@Concurrency@@QEAA@J@Z"
		size = 33
		refs = "000a ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0011 ??_7scheduler_worker_creation_error@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_55_0 {
	meta:
		name = "??0scheduler_worker_creation_error@Concurrency@@QEAA@PEBDJ@Z"
		size = 33
		refs = "000a ??0scheduler_resource_allocation_error@Concurrency@@QEAA@PEBDJ@Z 0011 ??_7scheduler_worker_creation_error@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_57_0 {
	meta:
		name = "??0task_canceled@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7task_canceled@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_76_24_2 {
	meta:
		name = "??0thread_resource_error@threads@stdext@@QEAA@AEBV012@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7thread_resource_error@threads@stdext@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_326_39_0 {
	meta:
		name = "??0unsupported_os@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7unsupported_os@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_59_0 {
	meta:
		name = "??0unsupported_os@Concurrency@@QEAA@XZ"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7unsupported_os@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_26_26_0 {
	meta:
		name = "?Create@CurrentScheduler@Concurrency@@SAXAEBVSchedulerPolicy@2@@Z"
		size = 23
		refs = "0005 ?Create@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 8B 10 48 83 C4 28 48 FF 62 38 }
	condition:
		$1
}

rule file_26_27_0 {
	meta:
		name = "?CreateScheduleGroup@CurrentScheduler@Concurrency@@SAPEAVScheduleGroup@2@AEAVlocation@2@@Z"
		size = 32
		refs = "000a ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B D3 4C 8B 00 48 8B C8 48 83 C4 20 5B 49 FF 60 40 }
	condition:
		$1
}

rule file_26_28_0 {
	meta:
		name = "?CreateScheduleGroup@CurrentScheduler@Concurrency@@SAPEAVScheduleGroup@2@XZ"
		size = 23
		refs = "0005 ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 8B 10 48 83 C4 28 48 FF 62 48 }
	condition:
		$1
}

rule file_26_29_0 {
	meta:
		name = "?Detach@CurrentScheduler@Concurrency@@SAXXZ"
		size = 54
		refs = "0005 ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ 0016 ?Detach@SchedulerBase@details@Concurrency@@QEAAXXZ 0020 ??0scheduler_not_attached@Concurrency@@QEAA@XZ 0027 _TI2?AVscheduler_not_attached@Concurrency@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 E8 ?? ?? ?? ?? 48 85 C0 74 0C 48 8B C8 48 83 C4 48 E9 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_26_31_0 {
	meta:
		name = "?GetNumberOfVirtualProcessors@CurrentScheduler@Concurrency@@SAIXZ"
		size = 36
		refs = "0005 ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 10 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_660_31_0 {
	meta:
		name = "?ScheduleGroupId@Context@Concurrency@@SAIXZ"
		size = 36
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 10 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_26_32_0 {
	meta:
		name = "?GetPolicy@CurrentScheduler@Concurrency@@SA?AVSchedulerPolicy@2@XZ"
		size = 41
		refs = "000f ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 00 48 8B D3 48 8B C8 41 FF 50 18 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_26_33_0 {
	meta:
		name = "?Id@CurrentScheduler@Concurrency@@SAIXZ"
		size = 36
		refs = "0005 ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 08 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_660_32_0 {
	meta:
		name = "?VirtualProcessorId@Context@Concurrency@@SAIXZ"
		size = 36
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 08 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_26_34_0 {
	meta:
		name = "?IsAvailableLocation@CurrentScheduler@Concurrency@@SA_NAEBVlocation@2@@Z"
		size = 40
		refs = "000a ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C8 33 C0 48 85 C9 74 0A 4C 8B 01 48 8B D3 41 FF 50 60 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_26_35_0 {
	meta:
		name = "?RegisterShutdownEvent@CurrentScheduler@Concurrency@@SAXPEAX@Z"
		size = 65
		refs = "000a ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ 002b ??0scheduler_not_attached@Concurrency@@QEAA@XZ 0032 _TI2?AVscheduler_not_attached@Concurrency@@ 003c _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? 48 85 C0 74 12 4C 8B 00 48 8B D3 48 8B C8 48 83 C4 40 5B 49 FF 60 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_26_36_0 {
	meta:
		name = "?ScheduleTask@CurrentScheduler@Concurrency@@SAXP6AXPEAX@Z0@Z"
		size = 47
		refs = "0011 ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
		altNames = "?_ScheduleTask@_CurrentScheduler@details@Concurrency@@SAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 4C 8B 08 4C 8B C3 48 8B D7 48 8B C8 48 8B 5C 24 30 48 83 C4 20 5F 49 FF 61 58 }
	condition:
		$1
}

rule file_26_37_0 {
	meta:
		name = "?ScheduleTask@CurrentScheduler@Concurrency@@SAXP6AXPEAX@Z0AEAVlocation@2@@Z"
		size = 63
		refs = "0019 ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 4C 8B CB 4C 8B C7 4C 8B 10 48 8B D6 48 8B C8 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 49 FF 62 50 }
	condition:
		$1
}

rule file_26_41_0 {
	meta:
		name = "?_Get@_CurrentScheduler@details@Concurrency@@SA?AV_Scheduler@23@XZ"
		size = 26
		refs = "000a ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_26_42_0 {
	meta:
		name = "?_GetNumberOfVirtualProcessors@_CurrentScheduler@details@Concurrency@@SAIXZ"
		size = 23
		refs = "0005 ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 8B 10 48 83 C4 28 48 FF 62 10 }
	condition:
		$1
}

rule file_27_0_0 {
	meta:
		name = "__tzset"
		size = 59
		refs = "0006 ?first_time@?1??__tzset@@9@9 0013 _lock 0022 _tzset_nolock 0032 _unlock"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 29 B9 06 00 00 00 E8 ?? ?? ?? ?? 90 83 3D ?? ?? ?? ?? 00 75 0B E8 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_27_1_0 {
	meta:
		name = "__tzset$fin$0"
		size = 25
		refs = "0014 _unlock"
		altNames = "_isindst$fin$0 _tzset$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 06 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_27_3_0 {
	meta:
		name = "_isindst"
		size = 48
		refs = "000f _lock 0018 _isindst_nolock 0024 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 06 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B D8 B9 06 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_5_0 {
	meta:
		name = "_isindst_nolock"
		size = 685
		refs = "0025 _get_daylight 0061 dststart 0069 dstend 0075 tzapiused 0082 tzinfo 010a cvtdate 02a8 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 56 41 57 48 83 EC 60 48 8B F1 48 8D 48 10 33 FF 89 78 10 E8 ?? ?? ?? ?? 85 C0 0F 85 67 02 00 00 39 BC 24 88 00 00 00 75 1C 33 C0 4C 8D 5C 24 60 49 8B 5B 20 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5F 41 5E 5F C3 8B 6E 14 41 BF 01 00 00 00 3B 2D ?? ?? ?? ?? 75 0C 3B 2D ?? ?? ?? ?? 0F 84 9F 01 00 00 39 3D ?? ?? ?? ?? 0F 84 10 01 00 00 66 39 3D ?? ?? ?? ?? 0F B7 0D ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 44 0F B7 0D ?? ?? ?? ?? 89 44 24 50 89 4C 24 48 89 54 24 40 41 8B CF 75 2E 44 0F B7 15 ?? ?? ?? ?? 44 0F B7 1D ?? ?? ?? ?? 0F B7 1D ?? ?? ?? ?? 44 89 54 24 38 89 7C 24 30 44 89 5C 24 28 89 5C 24 20 41 8B D7 EB 24 44 0F B7 05 ?? ?? ?? ?? 44 0F B7 15 ?? ?? ?? ?? 33 D2 44 89 44 24 38 44 89 54 24 30 89 7C 24 28 89 7C 24 20 44 8B C5 E8 ?? ?? ?? ?? 0F B7 0D ?? ?? ?? ?? 44 0F B7 05 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 44 0F B7 0D ?? ?? ?? ?? 89 44 24 50 89 4C 24 48 89 54 24 40 33 C9 66 39 3D ?? ?? ?? ?? 44 89 44 24 38 44 8B 46 14 75 23 44 0F B7 15 ?? ?? ?? ?? 44 0F B7 1D ?? ?? ?? ?? 89 7C 24 30 44 89 54 24 28 44 89 5C 24 20 E9 94 00 00 00 44 0F B7 15 ?? ?? ?? ?? 33 D2 44 89 54 24 30 89 7C 24 28 89 7C 24 20 EB 7E B8 02 00 00 00 45 8B F7 8D 58 09 44 8D 48 01 83 FD 6B 7D 0F 44 8D 48 02 41 8B C7 41 8D 59 06 45 8D 71 01 89 7C 24 50 89 7C 24 48 89 7C 24 40 C7 44 24 38 02 00 00 00 89 7C 24 30 44 8B C5 41 8B D7 41 8B CF 89 7C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 46 14 89 7C 24 50 89 7C 24 48 89 7C 24 40 C7 44 24 38 02 00 00 00 89 7C 24 30 89 7C 24 28 44 89 74 24 20 44 8B CB 33 C9 41 8B D7 E8 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 44 8B 46 1C 44 3B C9 7D 24 45 3B C1 0F 8C 09 FE FF FF 44 3B C1 0F 8F 00 FE FF FF 45 3B C1 7E 25 44 3B C1 7D 20 41 8B C7 E9 F0 FD FF FF 44 3B C1 7C F3 45 3B C1 7F EE 44 3B C1 7E 09 45 3B C1 0F 8C D6 FD FF FF 6B 4E 08 3C 03 4E 04 6B D1 3C 03 16 69 C2 E8 03 00 00 45 3B C1 75 11 3B 05 ?? ?? ?? ?? 40 0F 9D C7 8B C7 E9 B0 FD FF FF 3B 05 ?? ?? ?? ?? 40 0F 9C C7 EB ED 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_27_6_0 {
	meta:
		name = "_set_daylight"
		size = 21
		refs = "0009 __daylight"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_7_0 {
	meta:
		name = "_set_dstbias"
		size = 21
		refs = "0009 __dstbias"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_8_0 {
	meta:
		name = "_set_timezone"
		size = 21
		refs = "0009 __timezone"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_9_0 {
	meta:
		name = "_tzset"
		size = 36
		refs = "000a _lock 0010 _tzset_nolock 001b _unlock"
	strings:
		$1 = { 48 83 EC 28 B9 06 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 90 B9 06 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_27_11_0 {
	meta:
		name = "_tzset_nolock"
		size = 1121
		refs = "002d _lock 0033 __tzname 0043 _get_timezone 0058 _get_daylight 006d _get_dstbias 007a ___lc_codepage_func 0083 tzapiused 008e dstend 0095 dststart 009c ??_C@_02CLFPBFFP@TZ?$AA@ 00a1 _getenv_helper_nolock 00c2 lastTZ 00d2 strcmp 00eb free 00f3 strlen 00fc _malloc_crt 0127 strcpy_s 0143 _invoke_watson 0162 tzinfo 0168 __imp_GetTimeZoneInformation 021b __imp_WideCharToMultiByte 029b __timezone 02a9 __daylight 02b7 __dstbias 02c3 _unlock 02e5 strncpy_s 0304 atol"
	strings:
		$1 = { 48 8B C4 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 50 45 33 E4 44 89 60 08 44 89 60 10 44 89 60 18 41 8B F4 45 8B FC 41 8D 4C 24 07 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 ED 03 00 00 48 8D 8C 24 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 C4 03 00 00 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 9B 03 00 00 E8 ?? ?? ?? ?? 8B D8 44 89 25 ?? ?? ?? ?? 41 83 CD FF 44 89 2D ?? ?? ?? ?? 44 89 2D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 40 48 85 C0 0F 84 91 00 00 00 44 38 20 0F 84 88 00 00 00 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 24 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 B0 01 00 00 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 48 01 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 0F 84 7E 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 50 01 4C 8B C7 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 60 01 00 00 4C 89 64 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 0C E8 ?? ?? ?? ?? 4C 89 25 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 FF 0F 84 19 01 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 6B 0D ?? ?? ?? ?? 3C 89 8C 24 90 00 00 00 66 44 39 25 ?? ?? ?? ?? 74 10 6B 05 ?? ?? ?? ?? 3C 03 C8 89 8C 24 90 00 00 00 66 44 39 25 ?? ?? ?? ?? 74 27 8B 05 ?? ?? ?? ?? 85 C0 74 1D C7 84 24 98 00 00 00 01 00 00 00 2B 05 ?? ?? ?? ?? 6B C0 3C 89 84 24 A0 00 00 00 EB 10 44 89 A4 24 98 00 00 00 44 89 A4 24 A0 00 00 00 48 8D 84 24 A8 00 00 00 48 89 44 24 38 4C 89 64 24 30 BE 3F 00 00 00 89 74 24 28 49 8B 06 48 89 44 24 20 45 8B CD 4C 8D 05 ?? ?? ?? ?? 33 D2 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 13 44 39 A4 24 A8 00 00 00 75 09 49 8B 06 44 88 60 3F EB 06 49 8B 06 44 88 20 48 8D 84 24 A8 00 00 00 48 89 44 24 38 4C 89 64 24 30 89 74 24 28 49 8B 46 08 48 89 44 24 20 45 8B CD 4C 8D 05 ?? ?? ?? ?? 33 D2 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 14 44 39 A4 24 A8 00 00 00 75 0A 49 8B 46 08 44 88 60 3F EB 07 49 8B 46 08 44 88 20 BE 01 00 00 00 8B 9C 24 90 00 00 00 E8 ?? ?? ?? ?? 89 18 8B 9C 24 98 00 00 00 E8 ?? ?? ?? ?? 89 18 8B 9C 24 A0 00 00 00 E8 ?? ?? ?? ?? 89 18 B9 07 00 00 00 E8 ?? ?? ?? ?? 85 F6 0F 85 82 01 00 00 BE 03 00 00 00 44 8B CE 4C 8B C7 44 8D 6E 3D 41 8B D5 49 8B 0E E8 ?? ?? ?? ?? 85 C0 0F 85 0E 01 00 00 48 03 FE 80 3F 2D 75 07 44 8D 7E FE 48 FF C7 48 8B CF E8 ?? ?? ?? ?? 69 D0 10 0E 00 00 89 94 24 90 00 00 00 B3 30 8A 07 3C 2B 74 06 2A C3 3C 09 77 05 48 FF C7 EB EF 80 3F 3A 75 5C 48 FF C7 48 8B CF E8 ?? ?? ?? ?? 6B C8 3C 8B 94 24 90 00 00 00 03 D1 89 94 24 90 00 00 00 EB 07 3C 39 7F 09 48 FF C7 8A 07 3A C3 7D F3 80 3F 3A 75 2A 48 FF C7 48 8B CF E8 ?? ?? ?? ?? 8B 94 24 90 00 00 00 03 D0 89 94 24 90 00 00 00 EB 07 3C 39 7F 09 48 FF C7 8A 07 3A C3 7D F3 45 85 FF 74 09 F7 DA 89 94 24 90 00 00 00 44 38 27 74 36 C7 84 24 98 00 00 00 01 00 00 00 4C 8B CE 4C 8B C7 49 8B D5 49 8B 4E 08 E8 ?? ?? ?? ?? 85 C0 74 24 4C 89 64 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 44 89 A4 24 98 00 00 00 49 8B 46 08 44 88 20 8B 9C 24 90 00 00 00 E8 ?? ?? ?? ?? 89 18 8B 9C 24 98 00 00 00 E8 ?? ?? ?? ?? 89 18 EB 52 4C 89 64 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 4C 89 64 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 4C 89 64 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 4C 89 64 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 83 C4 50 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_27_12_0 {
	meta:
		name = "_tzset_nolock$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_27_13_0 {
	meta:
		name = "cvtdate"
		size = 714
		refs = "007d __ImageBase 0088 _days 009c _lpdays 0235 dststart 0260 dstend 026b _get_dstbias 02c5 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 83 64 24 50 00 41 8B D8 44 8B F1 83 FA 01 0F 85 65 01 00 00 44 8B DB 41 81 E3 03 00 00 80 7D 0A 41 FF CB 41 83 CB FC 41 FF C3 BE 1F 85 EB 51 45 85 DB 75 15 8B C6 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 3B D9 75 33 41 8D 88 6C 07 00 00 8B C6 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 74 14 48 8D 3D ?? ?? ?? ?? 49 63 E9 44 8B 94 AF ?? ?? ?? ?? EB 12 48 8D 3D ?? ?? ?? ?? 49 63 E9 44 8B 94 AF ?? ?? ?? ?? 41 FF C8 8D 8B 2B 01 00 00 8B C6 41 FF C2 F7 E9 8B 4C 24 70 44 8B CA 41 C1 F9 07 41 8B C1 C1 E8 1F 44 03 C8 8B C6 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 41 8B C0 44 2B CA 99 83 E2 03 44 8D 04 02 69 C3 6D 01 00 00 05 25 9C FF FF 41 C1 F8 02 45 03 C2 45 03 C1 44 03 C0 B8 93 24 49 92 41 F7 E8 41 03 D0 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 8B 54 24 78 44 2B C0 6B C1 07 41 2B C0 44 3B C2 7F 03 83 C0 F9 03 C2 44 03 D0 83 F9 05 0F 85 D2 00 00 00 45 85 DB 75 15 8B C6 F7 EB C1 FA 05 8B CA C1 E9 1F 03 D1 6B D2 64 3B DA 75 27 8D 8B 6C 07 00 00 8B C6 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 74 09 8B 84 AF ?? ?? ?? ?? EB 07 8B 84 AF ?? ?? ?? ?? 44 3B D0 0F 8E 81 00 00 00 41 83 EA 07 EB 7B 8B C3 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 BE 1F 85 EB 51 85 C0 75 15 8B C6 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 3B D9 75 33 41 8D 88 6C 07 00 00 8B C6 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 74 14 48 8D 3D ?? ?? ?? ?? 49 63 C1 44 8B 94 87 ?? ?? ?? ?? EB 12 48 8D 3D ?? ?? ?? ?? 49 63 C1 44 8B 94 87 ?? ?? ?? ?? 44 03 94 24 80 00 00 00 6B 84 24 88 00 00 00 3C 03 84 24 90 00 00 00 6B C8 3C 03 8C 24 98 00 00 00 69 C1 E8 03 00 00 03 84 24 A0 00 00 00 41 83 FE 01 75 26 44 89 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 48 8D 4C 24 50 44 89 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 41 69 44 24 50 E8 03 00 00 8B 0D ?? ?? ?? ?? 03 C8 B8 00 5C 26 05 89 0D ?? ?? ?? ?? 79 0A 03 C8 FF 0D ?? ?? ?? ?? EB 0C 3B C8 7C 0E 2B C8 FF 05 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 89 1D ?? ?? ?? ?? EB 91 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_28_0_0 {
	meta:
		name = "_log10_special"
		size = 32
		refs = "0007 ??_C@_05HGHHAHAP@log10?$AA@ 0017 _log_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1B 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_28_1_0 {
	meta:
		name = "_log10f_special"
		size = 32
		refs = "0007 ??_C@_06KDGOKGLH@log10f?$AA@ 0017 _logf_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1B 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_28_2_0 {
	meta:
		name = "_log_special"
		size = 32
		refs = "0007 ??_C@_03MGHMBJCF@log?$AA@ 0017 _log_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1A 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_28_4_0 {
	meta:
		name = "_logf_special"
		size = 32
		refs = "0007 ??_C@_04HIGFGEHP@logf?$AA@ 0017 _logf_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1A 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_28_3_0 {
	meta:
		name = "_log_special_common"
		size = 201
		refs = "00b8 _handle_error"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 41 8B D1 0F 28 D0 0F 28 F1 41 FF C8 74 5E 41 FF C8 74 30 41 FF C8 0F 85 95 00 00 00 C7 40 D8 01 00 00 00 0F 57 C0 F2 0F 11 40 D0 F2 0F 11 50 C8 C7 40 C0 21 00 00 00 44 21 40 B8 41 B9 01 00 00 00 EB 56 C7 44 24 40 01 00 00 00 0F 57 C0 F2 0F 11 44 24 38 F2 0F 11 54 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB CF C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 02 00 00 00 F2 0F 11 44 24 38 F2 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 48 8B 8C 24 90 00 00 00 F2 0F 11 4C 24 78 4C 8B 44 24 78 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_28_5_0 {
	meta:
		name = "_logf_special_common"
		size = 274
		refs = "0101 _handle_errorf"
	strings:
		$1 = { 48 83 EC 78 0F 29 74 24 60 41 8B D1 0F 28 D0 0F 28 F1 41 FF C8 0F 84 A0 00 00 00 41 FF C8 74 6E 41 FF C8 0F 85 DC 00 00 00 48 83 64 24 50 00 41 8D 48 01 F3 0F 11 94 24 88 00 00 00 8B 84 24 88 00 00 00 89 4C 24 40 0F 57 C0 F3 0F 11 74 24 50 4C 8B 44 24 50 C1 E8 16 F3 0F 11 44 24 38 F3 0F 11 54 24 30 F7 D0 44 8B C9 C7 44 24 28 21 00 00 00 84 C1 48 8B 8C 24 A0 00 00 00 74 0A C7 44 24 20 08 00 00 00 EB 79 83 64 24 20 00 EB 72 B9 01 00 00 00 0F 57 C0 89 4C 24 40 44 8B C9 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB 2C B9 01 00 00 00 0F 57 C0 89 4C 24 40 44 8D 49 01 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 48 83 64 24 50 00 48 8B 8C 24 A0 00 00 00 F3 0F 11 74 24 50 4C 8B 44 24 50 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 60 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_29_1_0 {
	meta:
		name = "_wsetenvp"
		size = 312
		refs = "001c _wenvptr 003f wcslen 005f _calloc_crt 0069 _wenviron 00b2 wcscpy_s 00d6 free 00e6 __env_initialized 0133 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 48 8B 1D ?? ?? ?? ?? 45 33 F6 41 8B FE 48 85 DB 75 20 83 C8 FF E9 BD 00 00 00 66 83 F8 3D 74 02 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8D 1C 43 48 83 C3 02 0F B7 03 66 85 C0 75 E0 8D 47 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 05 ?? ?? ?? ?? 48 85 C0 74 B9 48 8B 1D ?? ?? ?? ?? 66 44 39 33 74 53 48 8B CB E8 ?? ?? ?? ?? 66 83 3B 3D 8D 70 01 74 2E 48 63 EE BA 02 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 89 07 48 85 C0 74 63 4C 8B C3 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 69 48 83 C7 08 48 63 C6 48 8D 1C 43 66 44 39 33 75 B4 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 89 35 ?? ?? ?? ?? 4C 89 37 C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 89 35 ?? ?? ?? ?? E9 08 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "_stat32i64"
		size = 85
		refs = "001f __copy_path_to_wide_string 0038 _wstat32i64 0044 free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 89 5C 24 30 48 85 C9 74 18 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 1E 48 8B 5C 24 30 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_698_0_0 {
	meta:
		name = "_stat32"
		size = 85
		refs = "001f __copy_path_to_wide_string 0038 _wstat32 0044 free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 89 5C 24 30 48 85 C9 74 18 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 1E 48 8B 5C 24 30 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_454_0_0 {
	meta:
		name = "_stat64"
		size = 85
		refs = "001f __copy_path_to_wide_string 0038 _wstat64 0044 free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 89 5C 24 30 48 85 C9 74 18 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 1E 48 8B 5C 24 30 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1129_0_0 {
	meta:
		name = "_stat64i32"
		size = 85
		refs = "001f __copy_path_to_wide_string 0038 _wstat64i32 0044 free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 89 5C 24 30 48 85 C9 74 18 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 1E 48 8B 5C 24 30 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_31_0_0 {
	meta:
		name = "_wcreat"
		size = 55
		refs = "0024 _wsopen_s"
	strings:
		$1 = { 40 53 48 83 EC 30 83 CB FF 89 54 24 20 48 8B D1 48 8D 4C 24 50 44 8D 4B 41 41 B8 02 03 00 00 89 5C 24 50 E8 ?? ?? ?? ?? 85 C0 0F 44 5C 24 50 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_656_0_0 {
	meta:
		name = "_creat"
		size = 55
		refs = "0024 _sopen_s"
	strings:
		$1 = { 40 53 48 83 EC 30 83 CB FF 89 54 24 20 48 8B D1 48 8D 4C 24 50 44 8D 4B 41 41 B8 02 03 00 00 89 5C 24 50 E8 ?? ?? ?? ?? 85 C0 0F 44 5C 24 50 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_34_8_0 {
	meta:
		name = "??0?$_MallocaArrayHolder@PEAVContext@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 24
		refs = "000d ??_7?$_MallocaArrayHolder@PEAVContext@Concurrency@@@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 83 61 10 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_204_1 {
	meta:
		name = "??0?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 24
		refs = "000d ??_7?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 83 61 10 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_205_1 {
	meta:
		name = "??0?$_AnonymousOriginator@_K@details@Concurrency@@QEAA@XZ"
		size = 24
		refs = "000d ??_7?$_AnonymousOriginator@_K@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 83 61 10 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_619_11_0 {
	meta:
		name = "??0?$_MallocaArrayHolder@PEAVevent@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 24
		refs = "000d ??_7?$_MallocaArrayHolder@PEAVevent@Concurrency@@@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 83 61 10 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_34_12_0 {
	meta:
		name = "??0MultiWaitBlock@details@Concurrency@@QEAA@_K_N1@Z"
		size = 156
		refs = "001d ??_7WaitBlock@details@Concurrency@@6B@ 0038 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 004d ??_7MultiWaitBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 41 8A D9 48 89 01 C7 41 10 00 00 00 00 41 8A F0 48 8B FA 4C 8B F1 E8 ?? ?? ?? ?? 49 83 66 18 00 49 83 66 20 00 49 89 46 08 48 8D 05 ?? ?? ?? ?? 41 88 76 50 48 8B 74 24 38 49 89 06 33 C0 84 DB 48 8B 5C 24 30 41 C7 46 28 00 00 00 00 0F 95 C0 48 03 C7 48 8B 7C 24 40 49 89 46 30 49 C7 46 40 00 00 00 00 49 C7 46 48 00 00 00 00 41 C6 46 51 00 49 8B C6 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_34_13_0 {
	meta:
		name = "??0MultiWaitBlockHolder@details@Concurrency@@QEAA@_N_K00@Z"
		size = 262
		refs = "004b ??_U@YAPEAX_K@Z 0079 ??0MultiWaitBlock@details@Concurrency@@QEAA@_K_N1@Z 0080 ??_7WaitAllBlock@details@Concurrency@@6B@ 00aa ??_7WaitAnyBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8B C4 48 89 48 08 56 57 41 56 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 68 20 45 8A F1 49 8B E8 8A DA 48 8B F1 48 83 61 28 00 48 C7 01 60 00 00 00 48 C7 41 08 10 00 00 00 49 8D 48 06 48 C1 E1 04 48 89 4E 10 E8 ?? ?? ?? ?? 48 8B F8 48 89 46 18 48 89 46 20 48 89 44 24 60 84 DB 74 2A 8A 5C 24 70 48 85 C0 74 1F 44 8A CB 45 8A C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 89 6F 38 EB 2C 8A 5C 24 70 48 85 C0 74 23 44 8A CB 45 8A C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 C7 47 38 01 00 00 00 48 8B 0E 48 03 4E 18 48 85 ED 74 19 48 8B D5 48 85 C9 74 08 48 8B 46 20 48 89 41 08 48 03 4E 08 48 FF CA 75 EA F6 DB 48 1B C0 48 F7 D8 48 FF C5 48 03 C5 48 89 46 30 48 8B C6 48 8B 5C 24 58 48 8B 6C 24 68 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_34_14_0 {
	meta:
		name = "?dtor$0@?0???0MultiWaitBlockHolder@details@Concurrency@@QEAA@_N_K00@Z@4HA"
		size = 35
		refs = "0019 ??3@YAXPEAX0@Z"
		altNames = "?dtor$1@?0???0MultiWaitBlockHolder@details@Concurrency@@QEAA@_N_K00@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 50 48 83 C2 18 48 8B 12 48 8B 4D 60 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_34_16_0 {
	meta:
		name = "??0SingleWaitBlock@details@Concurrency@@QEAA@XZ"
		size = 59
		refs = "000e ??_7WaitBlock@details@Concurrency@@6B@ 0020 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 002b ??_7SingleWaitBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 C7 41 10 00 00 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_17_0 {
	meta:
		name = "??0TimedSingleWaitBlock@details@Concurrency@@QEAA@_N@Z"
		size = 100
		refs = "0012 ??_7WaitBlock@details@Concurrency@@6B@ 0026 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 0031 ??_7TimedSingleWaitBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 8A DA 48 89 01 C7 41 10 00 00 00 00 48 8B F9 E8 ?? ?? ?? ?? 48 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 07 48 83 67 20 00 88 5F 30 48 8B 5C 24 30 C7 47 34 00 00 00 00 C7 47 38 00 00 00 00 C6 47 3C 00 48 89 7F 20 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_19_0 {
	meta:
		name = "??0WaitAllBlock@details@Concurrency@@QEAA@_K_N1@Z"
		size = 49
		refs = "0011 ??0MultiWaitBlock@details@Concurrency@@QEAA@_K_N1@Z 0018 ??_7WaitAllBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 89 5F 38 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_20_0 {
	meta:
		name = "??0WaitAnyBlock@details@Concurrency@@QEAA@_K_N1@Z"
		size = 41
		refs = "000a ??0MultiWaitBlock@details@Concurrency@@QEAA@_K_N1@Z 0011 ??_7WaitAnyBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 C7 43 38 01 00 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_21_0 {
	meta:
		name = "??0WaitBlock@details@Concurrency@@QEAA@XZ"
		size = 49
		refs = "000e ??_7WaitBlock@details@Concurrency@@6B@ 0020 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 C7 41 10 00 00 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_22_0 {
	meta:
		name = "??0_Condition_variable@details@Concurrency@@QEAA@XZ"
		size = 34
		refs = "0015 ??0critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 C7 01 00 00 00 00 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_24_0 {
	meta:
		name = "??0bad_alloc@std@@QEAA@XZ"
		size = 56
		refs = "0009 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0021 ??0exception@std@@QEAA@AEBQEBDH@Z 0028 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 41 B8 01 00 00 00 48 89 44 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_26_0 {
	meta:
		name = "??0event@Concurrency@@QEAA@XZ"
		size = 39
		refs = "001a ??0critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8B D9 48 C7 01 00 00 00 00 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_28_0 {
	meta:
		name = "??0invalid_argument@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_39_0 {
	meta:
		name = "??0length_error@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7length_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_22_40_1 {
	meta:
		name = "??0out_of_range@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_22_42_1 {
	meta:
		name = "??0overflow_error@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7overflow_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_75_60_1 {
	meta:
		name = "??0range_error@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7range_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_30_0 {
	meta:
		name = "??0logic_error@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7logic_error@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_9_0 {
	meta:
		name = "??0_Interruption_exception@details@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7_Interruption_exception@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_3_0 {
	meta:
		name = "??0bad_cast@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_273_2_0 {
	meta:
		name = "??0bad_exception@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_11_0 {
	meta:
		name = "??0bad_target@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_target@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_5_0 {
	meta:
		name = "??0bad_typeid@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_14_0 {
	meta:
		name = "??0context_self_unblock@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7context_self_unblock@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_16_0 {
	meta:
		name = "??0context_unblock_unbalanced@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7context_unblock_unbalanced@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_18_0 {
	meta:
		name = "??0default_scheduler_exists@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7default_scheduler_exists@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_20_0 {
	meta:
		name = "??0improper_lock@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7improper_lock@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_22_0 {
	meta:
		name = "??0improper_scheduler_attach@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7improper_scheduler_attach@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_24_0 {
	meta:
		name = "??0improper_scheduler_detach@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7improper_scheduler_detach@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_26_0 {
	meta:
		name = "??0improper_scheduler_reference@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7improper_scheduler_reference@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_28_0 {
	meta:
		name = "??0invalid_link_target@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_link_target@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_30_0 {
	meta:
		name = "??0invalid_multiple_scheduling@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_multiple_scheduling@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_32_0 {
	meta:
		name = "??0invalid_operation@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_operation@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_34_0 {
	meta:
		name = "??0invalid_oversubscribe_operation@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_oversubscribe_operation@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_36_0 {
	meta:
		name = "??0invalid_scheduler_policy_key@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_scheduler_policy_key@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_38_0 {
	meta:
		name = "??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_scheduler_policy_thread_specification@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_40_0 {
	meta:
		name = "??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_scheduler_policy_value@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_42_0 {
	meta:
		name = "??0message_not_found@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7message_not_found@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_44_0 {
	meta:
		name = "??0missing_wait@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7missing_wait@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_46_0 {
	meta:
		name = "??0nested_scheduler_missing_detach@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7nested_scheduler_missing_detach@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_48_0 {
	meta:
		name = "??0operation_timed_out@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7operation_timed_out@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_103_2 {
	meta:
		name = "??0runtime_error@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_50_0 {
	meta:
		name = "??0scheduler_not_attached@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7scheduler_not_attached@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_56_0 {
	meta:
		name = "??0task_canceled@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7task_canceled@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_58_0 {
	meta:
		name = "??0unsupported_os@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7unsupported_os@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_31_0 {
	meta:
		name = "??1?$_MallocaArrayHolder@PEAVContext@Concurrency@@@details@Concurrency@@UEAA@XZ"
		size = 45
		refs = "0007 ??_7?$_MallocaArrayHolder@PEAVContext@Concurrency@@@details@Concurrency@@6B@ 0024 free"
	strings:
		$1 = { 48 83 EC 28 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 08 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_619_40_0 {
	meta:
		name = "??1?$_MallocaArrayHolder@PEAVevent@Concurrency@@@details@Concurrency@@UEAA@XZ"
		size = 45
		refs = "0007 ??_7?$_MallocaArrayHolder@PEAVevent@Concurrency@@@details@Concurrency@@6B@ 0024 free"
	strings:
		$1 = { 48 83 EC 28 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 08 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_34_33_0 {
	meta:
		name = "??1MultiWaitBlockHolder@details@Concurrency@@QEAA@XZ"
		size = 52
		refs = "001c ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 30 48 8B D9 48 39 41 28 73 17 48 8B 4B 20 48 FF 43 28 E8 ?? ?? ?? ?? 48 8B 43 30 48 39 43 28 72 E9 48 FF 43 28 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_35_0 {
	meta:
		name = "??1_Condition_variable@details@Concurrency@@QEAA@XZ"
		size = 64
		refs = "0020 ?_Flush_current_owner@critical_section@Concurrency@@QEAAXXZ 0028 ?notify_all@_Condition_variable@details@Concurrency@@QEAAXXZ 003c ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4F 08 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_36_0 {
	meta:
		name = "?dtor$0@?0???1_Condition_variable@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_264_2 {
	meta:
		name = "?dtor$0@?0???0?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@1@_K@Z@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_266_2 {
	meta:
		name = "?dtor$0@?0???0?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@1@_K@Z@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_326_2 {
	meta:
		name = "?dtor$0@?0???0?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_328_2 {
	meta:
		name = "?dtor$0@?0???0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1095_13_0 {
	meta:
		name = "?dtor$0@?0???0Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@23@AEBVQuickBitSet@23@II@Z@4HA"
		size = 16
		refs = "000c ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_581_1 {
	meta:
		name = "?dtor$0@?0???0_ExceptionHolder@details@Concurrency@@QEAA@AEBVexception_ptr@std@@AEBV_TaskCreationCallstack@12@@Z@4HA"
		size = 16
		refs = "000c ??1exception_ptr@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_391_2 {
	meta:
		name = "?dtor$0@?0???0agent@Concurrency@@QEAA@AEAVScheduler@1@@Z@4HA"
		size = 16
		refs = "000c ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_393_1 {
	meta:
		name = "?dtor$0@?0???0agent@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_52_0 {
	meta:
		name = "?dtor$0@?0???1?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_441_1 {
	meta:
		name = "?dtor$0@?0???1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_443_2 {
	meta:
		name = "?dtor$0@?0???1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_478_2 {
	meta:
		name = "?dtor$0@?0???1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_484_1 {
	meta:
		name = "?dtor$0@?0???1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1218_21_0 {
	meta:
		name = "?dtor$0@?0???1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1SchedulerProxy@details@Concurrency@@IEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_693_2 {
	meta:
		name = "?dtor$0@?0???1_ExceptionHolder@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1exception_ptr@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_562_2 {
	meta:
		name = "?dtor$0@?0???1agent@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_657_1 {
	meta:
		name = "?dtor$0@?0???_G?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_659_1 {
	meta:
		name = "?dtor$0@?0???_G?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_364_2 {
	meta:
		name = "?dtor$1@?0???0?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_545_1 {
	meta:
		name = "?dtor$1@?0???1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_95_0 {
	meta:
		name = "?dtor$1@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_39_0 {
	meta:
		name = "??1event@Concurrency@@QEAA@XZ"
		size = 151
		refs = "0028 ?_Flush_current_owner@critical_section@Concurrency@@QEAAXXZ 0093 ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B F9 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 1F 48 83 FB 01 76 27 48 8B 2B 48 8B 4B 08 48 8B 01 4C 8B C3 33 D2 FF 10 84 C0 74 0A 48 8B 4B 08 48 8B 01 FF 50 10 48 8B DD 48 85 ED 75 D9 48 8B 4F 08 48 85 C9 74 15 48 8B 19 48 8B 49 08 48 8B 01 FF 50 10 48 8B CB 48 85 DB 75 EB 48 8D 4F 10 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_40_0 {
	meta:
		name = "?dtor$0@?0???1event@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_16_0 {
	meta:
		name = "?dtor$0@?0???0SchedulingNode@details@Concurrency@@QEAA@AEBVQuickBitSet@12@KPEAVSchedulingRing@12@@Z@4HA"
		size = 16
		refs = "000c ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_34_0 {
	meta:
		name = "?dtor$0@?0???1InternalContextBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1ContextBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_26_0 {
	meta:
		name = "?dtor$0@?0???1SchedulingNode@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_757_1 {
	meta:
		name = "?dtor$0@?0???1_Task_impl_base@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_270_1 {
	meta:
		name = "?dtor$1@?0???0?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_273_1 {
	meta:
		name = "?dtor$1@?0???0?$_SyncOriginator@_K@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_687_1 {
	meta:
		name = "?dtor$1@?0???1?$_RunAnyParam@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1cancellation_token_source@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_53_0 {
	meta:
		name = "??_G?$_MallocaArrayHolder@PEAVContext@Concurrency@@@details@Concurrency@@UEAAPEAXI@Z"
		size = 79
		refs = "000d ??_7?$_MallocaArrayHolder@PEAVContext@Concurrency@@@details@Concurrency@@6B@ 002f free 003d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 8B FA 48 89 01 48 8B 49 08 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_70_0 {
	meta:
		name = "??_G?$_MallocaArrayHolder@PEAVevent@Concurrency@@@details@Concurrency@@UEAAPEAXI@Z"
		size = 79
		refs = "000d ??_7?$_MallocaArrayHolder@PEAVevent@Concurrency@@@details@Concurrency@@6B@ 002f free 003d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 8B FA 48 89 01 48 8B 49 08 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_54_0 {
	meta:
		name = "??_Gbad_alloc@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7bad_alloc@std@@6B@ 001a ??1exception@std@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_115_129_1 {
	meta:
		name = "??_G?$basic_ios@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ios_base@std@@6B@ 001a ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_21_109_2 {
	meta:
		name = "??_G?$basic_ios@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ios_base@std@@6B@ 001a ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_111_109_2 {
	meta:
		name = "??_G?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ios_base@std@@6B@ 001a ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_52_0 {
	meta:
		name = "??_GFreeThreadProxy@details@Concurrency@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7FreeThreadProxy@details@Concurrency@@6B@ 001a ??1ThreadProxy@details@Concurrency@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_96_24_0 {
	meta:
		name = "??_GThreadVirtualProcessor@details@Concurrency@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ThreadVirtualProcessor@details@Concurrency@@6B@ 001a ??1VirtualProcessor@details@Concurrency@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_15_0 {
	meta:
		name = "??_G__non_rtti_object@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7exception@std@@6B@ 001a ?_Tidy@exception@std@@AEAAXXZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_16_0 {
	meta:
		name = "??_Gbad_cast@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7exception@std@@6B@ 001a ?_Tidy@exception@std@@AEAAXXZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_273_4_0 {
	meta:
		name = "??_Gbad_exception@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7bad_exception@std@@6B@ 001a ??1exception@std@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_17_0 {
	meta:
		name = "??_Gbad_typeid@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7exception@std@@6B@ 001a ?_Tidy@exception@std@@AEAAXXZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_18_0 {
	meta:
		name = "??_Gexception@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7exception@std@@6B@ 001a ?_Tidy@exception@std@@AEAAXXZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_125_2 {
	meta:
		name = "??_Gios_base@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ios_base@std@@6B@ 001a ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1118_5_0 {
	meta:
		name = "??_Gtype_info@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7type_info@@6B@ 001a ?_Type_info_dtor@type_info@@CAXPEAV1@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_60_0 {
	meta:
		name = "?Destroy@TimedSingleWaitBlock@details@Concurrency@@UEAAXXZ"
		size = 31
		refs = "0016 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 B8 01 00 00 00 F0 0F C1 41 34 FF C0 83 F8 02 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_34_63_0 {
	meta:
		name = "?DispatchEventTimer@MultiWaitBlock@details@Concurrency@@SAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_TIMER@@@Z"
		size = 120
		refs = "004f ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ 005f ?UnRegisterAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_CALLBACK_INSTANCE@@PEAU_TP_TIMER@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F0 48 8B DA 48 8B E9 40 32 FF B8 01 00 00 00 F0 0F C1 42 28 FF C0 83 F8 01 75 1A 48 8B 4A 08 40 8A F8 88 42 51 48 85 C9 74 0B 48 83 62 18 00 48 8B 01 FF 50 18 48 8B CB E8 ?? ?? ?? ?? 40 84 FF 74 0B 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_64_0 {
	meta:
		name = "?DispatchEventTimer@TimedSingleWaitBlock@details@Concurrency@@SAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_TIMER@@@Z"
		size = 58
		refs = "002b ?UnRegisterAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_CALLBACK_INSTANCE@@PEAU_TP_TIMER@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 4C 8B CA 49 8B D8 48 8B F9 45 33 C0 33 D2 49 8B C9 FF 10 84 C0 74 0B 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_65_0 {
	meta:
		name = "?DispatchEventTimerXP@MultiWaitBlock@details@Concurrency@@SAXPEAXE@Z"
		size = 95
		refs = "0023 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 0032 ?__DeleteTimerQueueTimer@platform@details@Concurrency@@YAXPEAX00@Z 005b ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 B8 01 00 00 00 F0 0F C1 41 28 FF C0 83 F8 01 75 2F 48 8B 79 08 E8 ?? ?? ?? ?? 48 8B 53 20 48 8B C8 45 33 C0 E8 ?? ?? ?? ?? C6 43 51 01 48 85 FF 74 0E 48 83 63 18 00 48 8B 07 48 8B CF FF 50 18 48 8B CB 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_67_0 {
	meta:
		name = "?GetIndexOfNode@MultiWaitBlockHolder@details@Concurrency@@QEBA_KPEAVEventWaitNode@23@@Z"
		size = 17
	strings:
		$1 = { 48 8B C2 33 D2 48 2B 41 18 48 2B 01 48 F7 71 08 C3 }
	condition:
		$1
}

rule file_34_68_0 {
	meta:
		name = "?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ"
		size = 200
		refs = "0009 ?g_hTimerQueue@details@Concurrency@@3REAXEA 0019 ?g_TimerQueueDemandInit@details@Concurrency@@3JC 0021 __imp_CreateTimerQueue 0048 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0063 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 008f ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00a6 ??0exception@std@@QEAA@AEBQEBDH@Z 00ad ??_7bad_alloc@std@@6B@ 00b4 _TI2?AVbad_alloc@std@@ 00c3 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 6D 8D 58 01 F0 0F B1 1D ?? ?? ?? ?? 75 21 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 3B 87 05 ?? ?? ?? ?? EB 33 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 14 8B 05 ?? ?? ?? ?? 3B C3 75 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 E0 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 0D 48 8B 05 ?? ?? ?? ?? 48 83 C4 50 5B C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 38 44 8B C3 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_34_70_0 {
	meta:
		name = "?GetWaitNode@MultiWaitBlockHolder@details@Concurrency@@QEBAPEAVEventWaitNode@23@_K@Z"
		size = 16
	strings:
		$1 = { 48 8B 41 08 48 0F AF C2 48 03 41 18 48 03 01 C3 }
	condition:
		$1
}

rule file_34_71_0 {
	meta:
		name = "?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
		size = 40
		refs = "001f ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 30 BA 01 00 00 00 F0 48 0F C1 51 48 48 FF C2 48 FF C0 48 3B D0 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_34_75_0 {
	meta:
		name = "?Reset@WaitAllBlock@details@Concurrency@@UEAA_NXZ"
		size = 61
		refs = "0032 ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 4C 8B 49 38 4C 8B 41 40 4D 3B C1 74 20 49 8D 50 FF 49 8B C0 F0 48 0F B1 51 40 74 08 4C 8B C0 49 3B C1 75 E9 4D 3B C1 74 04 B0 01 EB 07 E8 ?? ?? ?? ?? 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_34_77_0 {
	meta:
		name = "?Satisfy@EventWaitNode@details@Concurrency@@QEAA_NPEAPEAVContext@3@@Z"
		size = 16
	strings:
		$1 = { 48 8B 41 08 4C 8B C1 4C 8B 08 48 8B C8 49 FF 21 }
	condition:
		$1
}

rule file_34_78_0 {
	meta:
		name = "?Satisfy@SingleWaitBlock@details@Concurrency@@UEAA_NPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 81
	strings:
		$1 = { 48 83 EC 28 49 8B 40 08 44 8B 48 10 41 83 F9 02 74 20 4D 8B 40 08 33 C0 44 8D 48 01 F0 45 0F B1 48 10 83 F8 02 74 0B 48 85 D2 74 1E 48 83 22 00 EB 18 48 85 D2 74 09 48 8B 41 08 48 89 02 EB 0A 48 8B 49 08 48 8B 01 FF 50 18 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_34_79_0 {
	meta:
		name = "?Satisfy@TimedSingleWaitBlock@details@Concurrency@@UEAA_NPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 173
		refs = "003b ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 0052 ?DeleteAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_TIMER@@@Z 005e ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 006d ?__DeleteTimerQueueTimer@platform@details@Concurrency@@YAXPEAX00@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B E8 48 8B F2 48 8B F9 B8 01 00 00 00 F0 0F C1 41 38 FF C0 83 F8 01 75 68 4D 85 C0 0F 95 C3 80 79 30 00 74 37 E8 ?? ?? ?? ?? 83 F8 03 7C 14 84 DB 74 29 48 8B 4F 28 48 85 C9 74 20 E8 ?? ?? ?? ?? EB 19 F6 DB 48 1B DB E8 ?? ?? ?? ?? 48 8B 57 28 48 8B C8 4C 8B C3 E8 ?? ?? ?? ?? 48 85 ED 0F 94 C0 88 47 3C 48 85 F6 74 09 48 8B 47 08 48 89 06 EB 0A 48 8B 4F 08 48 8B 11 FF 52 18 B0 01 EB 02 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_80_0 {
	meta:
		name = "?Satisfy@WaitAllBlock@details@Concurrency@@UEAA_NPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 68
		refs = "0034 ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 D2 74 04 48 83 22 00 41 B9 01 00 00 00 F0 4C 0F C1 49 40 48 8B 41 38 49 FF C1 4C 3B C8 75 12 48 8B 01 FF 50 28 48 8B CB E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_81_0 {
	meta:
		name = "?Satisfy@WaitAnyBlock@details@Concurrency@@UEAA_NPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 64
		refs = "0034 ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 D2 74 04 48 83 22 00 41 B9 01 00 00 00 F0 4C 0F C1 49 40 48 8B 41 38 49 FF C1 4C 3B C8 75 06 48 8B 01 FF 50 28 48 8B CB E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_82_0 {
	meta:
		name = "?Set@StructuredEvent@details@Concurrency@@QEAAXXZ"
		size = 78
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D1 48 8B 09 41 B8 01 00 00 00 48 8B C1 F0 4C 0F B1 02 74 0D 48 8B C8 F0 4C 0F B1 02 48 3B C1 75 F3 49 3B C8 76 1A 48 85 C9 74 15 48 8B 19 48 8B 49 08 48 8B 01 FF 50 18 48 8B CB 48 85 DB 75 EB 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_83_0 {
	meta:
		name = "?SingleSatisfy@MultiWaitBlock@details@Concurrency@@MEAAXPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 225
		refs = "0052 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 0060 ?DeleteAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_TIMER@@@Z 0067 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 0077 ?__DeleteTimerQueueTimer@platform@details@Concurrency@@YAXPEAX00@Z 0087 ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 57 48 83 EC 20 80 79 50 00 48 8B 71 08 49 8B E8 48 8B FA 48 8B D9 41 BF 01 00 00 00 74 14 41 8B C7 F0 0F C1 41 28 41 03 C7 41 3B C7 0F 85 80 00 00 00 48 83 79 20 00 4C 89 41 18 74 3A E8 ?? ?? ?? ?? 83 F8 03 7C 0B 48 8B 4B 20 E8 ?? ?? ?? ?? EB 15 E8 ?? ?? ?? ?? 48 8B 53 20 49 83 C8 FF 48 8B C8 E8 ?? ?? ?? ?? 8B 43 28 41 3B C7 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 45 08 8B 48 10 83 F9 02 74 1C 48 8B 4D 08 33 C0 F0 44 0F B1 79 10 83 F8 02 74 0B 48 85 FF 74 19 48 83 27 00 EB 13 48 85 FF 74 05 48 89 37 EB 09 48 8B 06 48 8B CE FF 50 18 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_34_84_0 {
	meta:
		name = "?Sweep@details@Concurrency@@YAPEAVEventWaitNode@12@PEAV312@_N@Z"
		size = 98
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 40 8A EA 48 8B D9 48 85 C9 74 29 48 8B 4B 08 48 8B 33 48 8B 01 40 84 ED 74 05 FF 50 18 EB 03 FF 50 20 84 C0 74 06 48 89 3B 48 8B FB 48 8B DE 48 85 F6 75 D7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_87_0 {
	meta:
		name = "?SweepResetNode@WaitAllBlock@details@Concurrency@@UEAA_NXZ"
		size = 49
	strings:
		$1 = { 48 83 EC 28 48 8B 51 40 48 8B 41 38 48 3B D0 72 0A 48 8B 01 FF 50 08 32 C0 EB 11 8A 41 51 84 C0 74 08 48 8B 01 FF 50 10 EB ED B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_34_91_0 {
	meta:
		name = "?SweepWaitNode@TimedSingleWaitBlock@details@Concurrency@@UEAA_NXZ"
		size = 28
	strings:
		$1 = { 48 83 EC 28 8A 41 3C 84 C0 74 0A 48 8B 01 FF 50 10 32 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_34_92_0 {
	meta:
		name = "?SweepWaitNode@WaitAllBlock@details@Concurrency@@UEAA_NXZ"
		size = 54
	strings:
		$1 = { 40 53 48 83 EC 20 8A 41 51 48 8B D9 84 C0 74 1E 48 8B 01 48 8D 54 24 30 45 33 C0 FF 10 84 C0 74 09 48 8B 03 48 8B CB FF 50 10 32 C0 EB 02 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_93_0 {
	meta:
		name = "?SweepWaitNode@WaitAnyBlock@details@Concurrency@@UEAA_NXZ"
		size = 48
	strings:
		$1 = { 48 83 EC 28 48 8B 51 40 48 8B 41 38 48 3B D0 73 0B 8A 41 51 84 C0 75 04 B0 01 EB 0F 48 8B 01 48 8D 54 24 30 45 33 C0 FF 10 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_34_94_0 {
	meta:
		name = "?Wait@StructuredEvent@details@Concurrency@@QEAAXXZ"
		size = 144
		refs = "0021 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0032 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0046 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0081 ?Block@Context@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B 01 48 8B D9 48 83 F8 01 74 6F 83 64 24 38 00 48 8B 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 40 EB 11 48 8D 4C 24 30 E8 ?? ?? ?? ?? 84 C0 74 0B 48 8B 3B 48 83 FF 01 75 E9 EB 40 E8 ?? ?? ?? ?? 48 89 7C 24 20 48 8D 4C 24 20 48 89 44 24 28 48 8B C7 F0 48 0F B1 0B 74 1D 48 8B C8 48 83 F8 01 74 19 48 89 44 24 20 48 8D 54 24 20 F0 48 0F B1 13 48 3B C1 75 E3 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_34_100_0 {
	meta:
		name = "?_InitOnRawMalloca@?$_MallocaArrayHolder@PEAVContext@Concurrency@@@details@Concurrency@@QEAAPEAPEAVContext@3@PEAX@Z"
		size = 89
		refs = "001d ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0037 ??0exception@std@@QEAA@AEBQEBDH@Z 003e ??_7bad_alloc@std@@6B@ 0045 _TI2?AVbad_alloc@std@@ 0054 _CxxThrowException"
		altNames = "?_InitOnRawMalloca@?$_MallocaArrayHolder@PEAVevent@Concurrency@@@details@Concurrency@@QEAAPEAPEAVevent@3@PEAX@Z"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 74 11 48 83 61 10 00 48 89 51 08 48 8B C2 48 83 C4 48 C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_34_107_0 {
	meta:
		name = "?_Reset@?$_SpinWait@$00@details@Concurrency@@IEAAXXZ"
		size = 50
		refs = "000e ?_Value@_SpinCount@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 61 08 00 48 8B D9 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB 0D 89 03 B8 01 00 00 00 89 43 04 89 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_108_0 {
	meta:
		name = "?_Reset@?$_SpinWait@$0A@@details@Concurrency@@IEAAXXZ"
		size = 50
		refs = "000e ?_Value@_SpinCount@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 61 08 00 48 8B D9 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB 0D 83 63 04 00 89 03 C7 43 08 01 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_109_0 {
	meta:
		name = "?_SetSpinCount@?$_SpinWait@$00@details@Concurrency@@QEAAXI@Z"
		size = 26
	strings:
		$1 = { 85 D2 75 08 C7 41 08 04 00 00 00 C3 B8 01 00 00 00 89 11 89 41 04 89 41 08 C3 }
	condition:
		$1
}

rule file_34_110_0 {
	meta:
		name = "?_SetSpinCount@?$_SpinWait@$0A@@details@Concurrency@@QEAAXI@Z"
		size = 26
	strings:
		$1 = { 85 D2 75 08 C7 41 08 04 00 00 00 C3 83 61 04 00 89 11 C7 41 08 01 00 00 00 C3 }
	condition:
		$1
}

rule file_34_113_0 {
	meta:
		name = "?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		size = 175
		refs = "001a ?_Value@_SpinCount@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 33 FF 8B 4B 08 85 C9 75 27 89 7B 08 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB E4 89 03 C7 43 04 01 00 00 00 C7 43 08 01 00 00 00 EB D2 FF C9 74 4E FF C9 74 33 FF C9 74 06 FF C9 74 3A EB 25 89 7B 08 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB 10 89 03 C7 43 04 01 00 00 00 C7 43 08 01 00 00 00 32 C0 EB 2C FF 4B 04 75 07 C7 43 08 03 00 00 00 40 B7 01 FF 53 10 40 8A C7 EB 15 F3 90 FF 0B 75 0D 8B 4B 04 F7 D9 1B D2 83 C2 03 89 53 08 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_114_0 {
	meta:
		name = "?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ"
		size = 166
		refs = "001a ?_Value@_SpinCount@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 33 FF 8B 4B 08 85 C9 75 23 89 7B 08 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB E4 89 03 89 7B 04 C7 43 08 01 00 00 00 EB D6 FF C9 74 49 FF C9 74 2F FF C9 74 06 FF C9 74 36 EB 21 89 7B 08 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB 0C 89 03 89 7B 04 C7 43 08 01 00 00 00 32 C0 EB 2B FF 4B 04 75 07 C7 43 08 03 00 00 00 40 B7 01 F3 90 40 8A C7 EB 15 F3 90 FF 0B 75 0D 8B 4B 04 F7 D9 1B D2 83 C2 03 89 53 08 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_117_0 {
	meta:
		name = "?createTimer@TimedSingleWaitBlock@details@Concurrency@@QEAA_NI@Z"
		size = 138
		refs = "001c ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 0028 ?DispatchEventTimer@TimedSingleWaitBlock@details@Concurrency@@SAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_TIMER@@@Z 0035 ?RegisterAsyncTimerAndLoadLibrary@details@Concurrency@@YAPEAU_TP_TIMER@@KP6AXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU3@@Z1_N@Z 0046 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 0059 ?DispatchEventTimerXP@TimedSingleWaitBlock@details@Concurrency@@SAXPEAXE@Z 006c ?__CreateTimerQueueTimer@platform@details@Concurrency@@YAHPEAPEAXPEAXP6AX1E@Z1KKK@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 33 DB 8B F2 48 8B F9 38 59 30 74 5D E8 ?? ?? ?? ?? 83 F8 03 7C 20 48 8D 15 ?? ?? ?? ?? 45 33 C9 4C 8B C7 8B CE E8 ?? ?? ?? ?? 48 85 C0 48 89 47 28 0F 95 C0 EB 35 E8 ?? ?? ?? ?? C7 44 24 30 20 00 00 00 48 8D 4F 28 4C 8D 05 ?? ?? ?? ?? 4C 8B CF 48 8B D0 89 5C 24 28 89 74 24 20 E8 ?? ?? ?? ?? 83 F8 01 0F 94 C0 EB 02 32 C0 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_34_118_0 {
	meta:
		name = "?destroyTimer@TimedSingleWaitBlock@details@Concurrency@@QEAAX_N@Z"
		size = 87
		refs = "0016 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 002d ?DeleteAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_TIMER@@@Z 0039 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 0048 ?__DeleteTimerQueueTimer@platform@details@Concurrency@@YAXPEAX00@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 80 79 30 00 8A DA 48 8B F9 74 37 E8 ?? ?? ?? ?? 83 F8 03 7C 14 84 DB 74 29 48 8B 4F 28 48 85 C9 74 20 E8 ?? ?? ?? ?? EB 19 F6 DB 48 1B DB E8 ?? ?? ?? ?? 48 8B 57 28 48 8B C8 4C 8B C3 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_34_120_0 {
	meta:
		name = "?notify_all@_Condition_variable@details@Concurrency@@QEAAXXZ"
		size = 127
		refs = "001f ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0033 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B 01 48 8B D9 48 85 C0 74 5F 48 8D 51 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 3B 48 8D 4C 24 20 48 C7 03 00 00 00 00 E8 ?? ?? ?? ?? EB 36 48 83 64 24 60 00 48 8D 5F 08 48 8D 54 24 60 48 8B 0B 4C 8B C7 48 8B 01 FF 10 48 8B 0B 48 8B 3F 48 8B 01 FF 50 10 48 8B 4C 24 60 48 85 C9 74 06 48 8B 01 FF 50 18 48 85 FF 75 C5 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_34_121_0 {
	meta:
		name = "?notify_one@_Condition_variable@details@Concurrency@@QEAAXXZ"
		size = 173
		refs = "002c ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0097 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 60 49 C7 43 B8 FE FF FF FF 49 89 5B 10 49 89 73 18 48 8B F9 48 8B 01 48 85 C0 74 78 48 8D 51 08 49 8D 4B C0 E8 ?? ?? ?? ?? 90 48 8B 1F 48 83 64 24 70 00 48 85 DB 74 4B 48 8D 73 08 48 8B 0E 48 8B 01 4C 8B C3 48 8D 54 24 70 FF 10 84 C0 75 11 48 8B 1B 48 8B 0E 48 8B 01 FF 50 10 48 85 DB 75 D7 48 85 DB 74 1D 48 8B 03 48 89 07 48 8B 4B 08 48 8B 01 FF 50 10 48 8B 4C 24 70 48 8B 01 FF 50 18 EB 07 48 C7 07 00 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_34_123_0 {
	meta:
		name = "?reset@event@Concurrency@@QEAAXXZ"
		size = 135
		refs = "0028 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 006d ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 8B D9 48 8D 51 10 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8B 03 48 83 F8 01 75 31 33 F6 48 8B 7B 08 48 21 73 08 48 85 FF 74 1F 48 8B 2F 48 8B 4F 08 48 8B 01 FF 50 08 84 C0 74 06 48 89 37 48 8B F7 48 8B FD 48 85 ED 75 E1 48 89 33 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_34_125_0 {
	meta:
		name = "?set@event@Concurrency@@QEAAXXZ"
		size = 506
		refs = "0039 __security_cookie 004e ??_7?$_MallocaArrayHolder@PEAVContext@Concurrency@@@details@Concurrency@@6B@ 0067 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 00c8 __chkstk 00e2 malloc 0104 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 011b ??0exception@std@@QEAA@AEBQEBDH@Z 0122 ??_7bad_alloc@std@@6B@ 012d _TI2?AVbad_alloc@std@@ 0136 _CxxThrowException 0192 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 01c1 free 01cd __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 81 EC A0 00 00 00 48 8D 6C 24 20 48 C7 45 28 FE FF FF FF 48 89 9D A0 00 00 00 48 89 B5 A8 00 00 00 48 89 BD B0 00 00 00 4C 89 A5 B8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 78 4C 8B F9 33 DB 33 FF 48 8D 05 ?? ?? ?? ?? 48 89 45 08 48 21 5D 10 48 21 5D 18 48 8D 51 10 48 8D 4D 48 E8 ?? ?? ?? ?? 90 8D 73 01 49 87 37 48 83 FE 01 0F 86 0D 01 00 00 33 C9 48 8B C6 48 85 F6 74 0A FF C1 48 8B 00 48 85 C0 75 F6 8B D1 48 C1 E1 03 48 8D 41 10 48 3B C1 76 5B 48 8D 0C D5 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 20 48 85 DB 74 28 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 75 3A 48 8D 05 ?? ?? ?? ?? 48 89 45 20 41 B8 01 00 00 00 48 8D 55 20 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 30 48 8D 15 ?? ?? ?? ?? 48 8D 4D 30 E8 ?? ?? ?? ?? CC 4C 8B F3 48 89 5D 10 48 83 65 18 00 33 FF 48 85 F6 74 3F 4C 8B 26 48 8B 4E 08 48 8B 01 4C 8B C6 48 8D 55 00 FF 10 84 C0 74 0B 49 8B 47 08 48 89 06 49 89 77 08 48 8B 4D 00 48 85 C9 74 06 48 89 0C FB FF C7 49 8B F4 4D 85 E4 75 C7 EB 04 4C 8B 75 10 48 8D 4D 48 E8 ?? ?? ?? ?? 85 FF 74 15 48 8D 1C FB 48 8D 5B F8 48 8B 0B 48 8B 01 FF 50 18 FF CF 75 EF 4D 85 F6 74 11 49 8D 4E F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 8B 4D 78 48 33 CD E8 ?? ?? ?? ?? 48 8B 9D A0 00 00 00 48 8B B5 A8 00 00 00 48 8B BD B0 00 00 00 4C 8B A5 B8 00 00 00 48 8D A5 80 00 00 00 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_34_129_0 {
	meta:
		name = "?wait@_Condition_variable@details@Concurrency@@QEAAXAEAVcritical_section@3@@Z"
		size = 202
		refs = "0028 ??_7WaitBlock@details@Concurrency@@6B@ 003d ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 0048 ??_7TimedSingleWaitBlock@details@Concurrency@@6B@ 007c ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0087 ?Sweep@details@Concurrency@@YAPEAVEventWaitNode@12@PEAV312@_N@Z 009a ?unlock@critical_section@Concurrency@@QEAAXXZ 00a4 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 00a9 ?Block@Context@Concurrency@@SAXXZ 00b1 ?lock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC A0 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 08 48 89 78 10 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 45 17 48 83 65 1F 00 C7 45 27 00 00 00 00 E8 ?? ?? ?? ?? 48 89 45 1F 48 8D 05 ?? ?? ?? ?? 48 89 45 17 48 83 65 37 00 C6 45 47 00 C7 45 4B 00 00 00 00 C7 45 4F 00 00 00 00 C6 45 53 00 48 8D 45 17 48 89 45 37 48 8D 53 08 48 8D 4D DF E8 ?? ?? ?? ?? 90 B2 01 48 8B 0B E8 ?? ?? ?? ?? 48 89 45 2F 48 8D 45 2F 48 89 03 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4D DF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 10 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_34_131_0 {
	meta:
		name = "?wait@event@Concurrency@@QEAA_KI@Z"
		size = 300
		refs = "0050 ?wait_for_multiple@event@Concurrency@@SA_KPEAPEAV12@_K_NI@Z 0060 ?_UnderlyingYield@details@Concurrency@@YAXXZ 007a ?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ 0085 ??_7WaitBlock@details@Concurrency@@6B@ 009a ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 00a5 ??_7SingleWaitBlock@details@Concurrency@@6B@ 00c1 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 00da ?Sweep@details@Concurrency@@YAPEAVEventWaitNode@12@PEAV312@_N@Z 00ee ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0111 ?Block@Context@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC A0 00 00 00 48 C7 45 FF FE FF FF FF 48 89 58 08 48 89 78 10 48 8B D9 83 FA FF 74 32 85 D2 75 11 48 8B 01 48 FF C8 48 F7 D8 48 1B C0 E9 DB 00 00 00 48 89 4D 77 44 8B CA 41 B0 01 BA 01 00 00 00 48 8D 4D 77 E8 ?? ?? ?? ?? E9 BE 00 00 00 83 65 0F 00 48 8D 05 ?? ?? ?? ?? 48 89 45 17 48 8B 03 48 83 F8 01 0F 84 A0 00 00 00 48 8D 4D 07 E8 ?? ?? ?? ?? 84 C0 75 E6 48 8D 05 ?? ?? ?? ?? 48 89 45 D7 48 83 65 DF 00 C7 45 E7 00 00 00 00 E8 ?? ?? ?? ?? 48 89 45 DF 48 8D 05 ?? ?? ?? ?? 48 89 45 D7 48 8D 45 D7 48 89 45 F7 40 32 FF 48 8D 53 10 48 8D 4D 1F E8 ?? ?? ?? ?? 90 48 8B 03 48 83 F8 01 75 05 40 8A F8 EB 15 B2 01 48 8B 0B E8 ?? ?? ?? ?? 48 89 45 EF 48 8D 45 EF 48 89 03 48 8D 4D 1F E8 ?? ?? ?? ?? 40 84 FF 75 1E 8B 45 E7 83 F8 01 74 16 B9 02 00 00 00 33 C0 F0 0F B1 4D E7 83 F8 01 74 05 E8 ?? ?? ?? ?? 33 C0 4C 8D 9C 24 A0 00 00 00 49 8B 5B 10 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_34_133_0 {
	meta:
		name = "?wait_for@_Condition_variable@details@Concurrency@@QEAA_NAEAVcritical_section@3@I@Z"
		size = 361
		refs = "003a ?wait@_Condition_variable@details@Concurrency@@QEAAXAEAVcritical_section@3@@Z 004b ??2@YAPEAX_K@Z 005f ??_7WaitBlock@details@Concurrency@@6B@ 0073 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 007e ??_7TimedSingleWaitBlock@details@Concurrency@@6B@ 00b6 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 00c1 ?Sweep@details@Concurrency@@YAPEAVEventWaitNode@12@PEAV312@_N@Z 00d1 ?createTimer@TimedSingleWaitBlock@details@Concurrency@@QEAA_NI@Z 00dc ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00fc ??0exception@std@@QEAA@AEBQEBDH@Z 0103 ??_7bad_alloc@std@@6B@ 010f _TI2?AVbad_alloc@std@@ 0119 _CxxThrowException 0122 ?unlock@critical_section@Concurrency@@QEAAXXZ 012d ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0132 ?Block@Context@Concurrency@@SAXXZ 014b ?lock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 80 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 08 48 89 68 10 41 8B E8 48 8B F2 4C 8B F1 45 85 C0 75 07 32 C0 E9 1E 01 00 00 41 83 F8 FF 75 0C E8 ?? ?? ?? ?? B0 01 E9 0C 01 00 00 B9 40 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 28 48 85 C0 74 4A 48 8D 05 ?? ?? ?? ?? 48 89 07 48 83 67 08 00 C7 47 10 00 00 00 00 E8 ?? ?? ?? ?? 48 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 07 48 83 67 20 00 C6 47 30 01 C7 47 34 00 00 00 00 C7 47 38 00 00 00 00 C6 47 3C 00 48 89 7F 20 EB 02 33 FF 48 8D 5F 18 49 8D 56 08 48 8D 4C 24 48 E8 ?? ?? ?? ?? 90 B2 01 49 8B 0E E8 ?? ?? ?? ?? 48 89 03 49 89 1E 8B D5 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 45 48 8D 05 ?? ?? ?? ?? 48 89 84 24 B8 00 00 00 41 B8 01 00 00 00 48 8D 94 24 B8 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 4C 24 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 47 3C 84 C0 0F 94 C3 48 8B 17 48 8B CF FF 52 10 48 8B CE E8 ?? ?? ?? ?? 8A C3 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 6B 28 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_34_136_0 {
	meta:
		name = "?wait_for_multiple@event@Concurrency@@SA_KPEAPEAV12@_K_NI@Z"
		size = 1015
		refs = "003e ??_C@_07CAAEJHLA@pEvents?$AA@ 004f ??0exception@std@@QEAA@AEBQEBD@Z 0056 ??_7invalid_argument@std@@6B@ 0061 _TI3?AVinvalid_argument@std@@ 006a _CxxThrowException 00d1 ?wait@event@Concurrency@@QEAA_KI@Z 0148 ??0MultiWaitBlockHolder@details@Concurrency@@QEAA@_N_K00@Z 0175 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 01ce ?Sweep@details@Concurrency@@YAPEAVEventWaitNode@12@PEAV312@_N@Z 0212 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 02da ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 02ec ?DispatchEventTimer@MultiWaitBlock@details@Concurrency@@SAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_TIMER@@@Z 02f3 ?RegisterAsyncTimerAndLoadLibrary@details@Concurrency@@YAPEAU_TP_TIMER@@KP6AXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU3@@Z1_N@Z 0307 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 031b ??0exception@std@@QEAA@AEBQEBDH@Z 0322 ??_7bad_alloc@std@@6B@ 032d _TI2?AVbad_alloc@std@@ 033c ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 035e ?DispatchEventTimerXP@MultiWaitBlock@details@Concurrency@@SAXPEAXE@Z 0363 ?__CreateTimerQueueTimer@platform@details@Concurrency@@YAHPEAPEAXPEAXP6AX1E@Z1KKK@Z 03a8 ?Block@Context@Concurrency@@SAXXZ 03d5 ??1MultiWaitBlockHolder@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 44 88 40 18 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 A0 48 81 EC 60 01 00 00 48 C7 45 A8 FE FF FF FF 48 89 58 10 41 8B F1 45 8A D0 48 8B FA 4C 8B F9 48 85 C9 75 34 48 8D 05 ?? ?? ?? ?? 48 89 45 98 48 8D 55 98 48 8D 4D F8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 F8 48 8D 15 ?? ?? ?? ?? 48 8D 4D F8 E8 ?? ?? ?? ?? CC 48 85 D2 75 07 33 C0 E9 61 03 00 00 41 BE 01 00 00 00 49 3B D6 75 54 41 8D 41 01 A9 FE FF FF FF 75 49 48 8B 09 48 85 C9 75 34 48 8D 05 ?? ?? ?? ?? 48 89 45 A0 48 8D 55 A0 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 10 48 8D 15 ?? ?? ?? ?? 48 8D 4D 10 E8 ?? ?? ?? ?? CC 41 8B D1 E8 ?? ?? ?? ?? E9 02 03 00 00 33 C0 48 85 D2 74 45 48 83 3C C1 00 74 0A 49 03 C6 48 3B C2 72 F1 EB 34 48 8D 05 ?? ?? ?? ?? 48 89 45 80 48 8D 55 80 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 E0 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? CC 41 8D 41 FF 83 F8 FD 0F 96 C0 41 83 F9 FF 41 0F 95 C1 88 44 24 20 4C 8B C2 41 8A D2 48 8D 4C 24 48 E8 ?? ?? ?? ?? 90 48 8B 5C 24 68 45 32 E4 45 33 ED 48 85 FF 0F 84 1D 01 00 00 4B 8B 04 EF 48 89 85 A0 00 00 00 48 8D 50 10 48 8D 4D 28 E8 ?? ?? ?? ?? 90 4C 8B 74 24 50 4D 0F AF F5 4C 03 74 24 60 4C 03 74 24 48 48 FF 44 24 70 48 8B 85 A0 00 00 00 48 8B 08 48 83 F9 01 75 51 49 8B 4E 08 4D 8B C6 48 8D 54 24 40 48 8B 01 80 BD B0 00 00 00 00 74 69 FF 10 84 C0 74 20 33 D2 48 8B 85 A0 00 00 00 48 8B 48 08 E8 ?? ?? ?? ?? 49 89 06 48 8B 85 A0 00 00 00 4C 89 70 08 41 BE 01 00 00 00 48 83 7C 24 40 00 74 1F 45 8A E6 EB 1A B2 01 E8 ?? ?? ?? ?? 49 89 06 48 8B 85 A0 00 00 00 4C 89 30 41 BE 01 00 00 00 48 8D 4D 28 E8 ?? ?? ?? ?? 4D 03 EE 4C 3B EF 73 57 E9 3E FF FF FF FF 10 45 0F B6 E4 48 83 7C 24 40 00 41 BE 01 00 00 00 45 0F 45 E6 49 FF C5 EB 29 4C 8B 44 24 50 4D 0F AF C5 4C 03 44 24 60 4C 03 44 24 48 4C 01 74 24 70 49 8B 48 08 48 8B 01 48 8D 54 24 40 FF 10 4D 03 EE 4C 3B EF 72 D2 48 8D 4D 28 E8 ?? ?? ?? ?? 45 84 E4 0F 85 2E 01 00 00 8B 43 10 41 3B C6 0F 84 22 01 00 00 B9 02 00 00 00 33 C0 F0 0F B1 4B 10 41 3B C6 0F 84 0D 01 00 00 85 F6 75 22 41 8B C6 F0 0F C1 43 28 41 03 C6 41 3B C6 0F 85 F0 00 00 00 48 83 63 18 00 44 88 73 51 E9 E7 00 00 00 83 FE FF 0F 84 D9 00 00 00 8B 43 28 85 C0 0F 85 CE 00 00 00 E8 ?? ?? ?? ?? 83 F8 03 7C 58 45 33 C9 4C 8B C3 48 8D 15 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? 48 89 43 20 48 85 C0 0F 85 9E 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 45 88 45 8B C6 48 8D 55 88 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 B0 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 48 8B D0 48 8D 4B 20 C7 44 24 30 20 00 00 00 83 64 24 28 00 89 74 24 20 4C 8B CB 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 37 48 8D 05 ?? ?? ?? ?? 48 89 45 90 45 8B C6 48 8D 55 90 48 8D 4D C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 C8 48 8D 15 ?? ?? ?? ?? 48 8D 4D C8 E8 ?? ?? ?? ?? CC 4C 01 74 24 70 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 75 06 48 83 CB FF EB 14 48 2B 44 24 60 48 2B 44 24 48 33 D2 48 F7 74 24 50 48 8B D8 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B C3 48 8B 9C 24 A8 01 00 00 48 81 C4 60 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_34_141_0 {
	meta:
		name = "_freea"
		size = 31
		refs = "0016 free"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_36_0_0 {
	meta:
		name = "dekker_mul12"
		size = 124
	strings:
		$1 = { F2 0F 11 44 24 08 0F 28 E1 0F 28 E8 48 8B 44 24 08 F2 0F 59 C1 48 C7 C1 00 00 00 F8 48 23 C1 48 89 44 24 08 F2 0F 10 5C 24 08 F2 0F 11 4C 24 08 48 8B 44 24 08 48 23 C1 48 89 44 24 08 F2 0F 5C EB F2 0F 10 54 24 08 F2 41 0F 11 00 F2 0F 5C E2 0F 28 CA F2 0F 59 D5 F2 0F 59 CB F2 0F 5C C8 0F 28 C4 F2 0F 59 E5 F2 0F 59 C3 F2 0F 58 C8 F2 0F 58 CA F2 0F 58 CC F2 41 0F 11 09 C3 }
	condition:
		$1
}

rule file_36_2_0 {
	meta:
		name = "remainder"
		size = 1457
		refs = "00f4 ??_C@_09HALKBBKJ@remainder?$AA@ 0118 _handle_error 0238 __real@3fe0000000000000 0253 __xmm@80000000000000008000000000000000 0298 __real@3ff0000000000000"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 53 48 81 EC A0 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 F2 0F 11 84 24 B8 00 00 00 0F 28 D1 BB 01 00 00 00 4C 8B 84 24 B8 00 00 00 F2 0F 11 94 24 B8 00 00 00 4C 8B 9C 24 B8 00 00 00 4D 8B D0 4D 8B CB 49 8B C8 49 8B D3 0F 28 C8 44 0F 29 48 B8 44 0F 29 50 A8 48 B8 FF FF FF FF FF FF FF 7F 48 C1 E9 34 48 C1 EA 34 4C 23 C8 4C 23 D0 B8 FF 07 00 00 23 C8 23 D0 3B CB 7C 3E 81 F9 FE 07 00 00 7F 3E 8D 42 FF 3D FD 07 00 00 77 2C 4D 3B D1 0F 85 68 01 00 00 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 84 24 B0 00 00 00 F2 0F 10 84 24 B0 00 00 00 E9 C8 04 00 00 81 F9 FE 07 00 00 7E 6A C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 48 B8 FF FF FF FF FF FF 0F 00 F2 0F 11 44 24 30 44 8B CB BA 06 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 4C 85 C0 74 1C 48 B8 00 00 00 00 00 00 08 00 4C 0B C0 83 64 24 20 00 E8 ?? ?? ?? ?? E9 6A 04 00 00 C7 44 24 20 08 00 00 00 49 B8 00 00 00 00 00 00 F8 FF EB E2 81 FA FE 07 00 00 7E 52 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 0F 84 3B 04 00 00 C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 F2 0F 11 44 24 30 49 B8 00 00 00 00 00 00 08 00 C7 44 24 28 21 00 00 00 4D 0B C3 83 64 24 20 00 BA 06 00 00 00 44 8B CB 48 8D 0D ?? ?? ?? ?? EB 88 4D 85 D2 75 39 4D 85 C9 0F 85 EE 03 00 00 C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 49 B8 00 00 00 00 00 00 F8 FF C7 44 24 20 08 00 00 00 EB B1 4D 85 C9 74 CB 49 B8 00 00 00 00 00 00 10 00 3B CB 7D 12 49 8B C2 4D 3B D0 73 0A 48 03 C0 2B CB 49 3B C0 72 F6 3B D3 7D 12 49 8B C1 4D 3B C8 73 0A 48 03 C0 2B D3 49 3B C0 72 F6 4C 89 94 24 B8 00 00 00 F2 0F 10 BC 24 B8 00 00 00 4C 89 8C 24 B8 00 00 00 F2 44 0F 10 84 24 B8 00 00 00 4D 3B D1 73 2F 41 0F 28 C0 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F F8 76 05 F2 41 0F 5C F8 0F 57 C0 66 0F 2F C1 76 07 0F 57 3D ?? ?? ?? ?? 0F 28 C7 E9 2C 03 00 00 0F AE 9C 24 B8 00 00 00 44 8B 9C 24 B8 00 00 00 3B CA 7F 05 45 33 D2 EB 1B 2B CA B8 4F EC C4 4E F7 E9 44 8B D2 41 C1 FA 04 41 8B C2 C1 E8 1F 44 03 D0 75 0E F2 44 0F 10 15 ?? ?? ?? ?? E9 A7 00 00 00 45 6B C2 34 B8 56 55 55 55 41 F7 E8 41 8B C0 8B CA C1 E9 1F 03 CA 2B C1 99 2B C2 BA FF 03 00 00 D1 F8 44 2B C0 48 98 44 2B C1 48 03 C2 48 63 C9 48 C1 E0 34 48 03 CA 48 C1 E1 34 48 89 8C 24 B8 00 00 00 F2 0F 10 94 24 B8 00 00 00 48 89 84 24 B8 00 00 00 49 63 C0 F2 0F 10 8C 24 B8 00 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 B8 00 00 00 F2 41 0F 59 D0 48 B8 00 00 00 00 00 00 B0 3C 44 0F 28 C2 F2 44 0F 59 C1 F2 0F 10 84 24 B8 00 00 00 48 89 84 24 B8 00 00 00 F2 44 0F 59 C0 F2 44 0F 10 94 24 B8 00 00 00 48 C7 C2 00 00 00 F8 45 0F 57 C9 45 85 D2 0F 8E CE 00 00 00 41 8B CA 0F 28 C7 F2 44 0F 11 84 24 B8 00 00 00 0F 28 DF F2 41 0F 5E C0 41 0F 28 F0 F2 48 0F 2C C0 0F 57 C0 F2 48 0F 2A C0 48 8B 84 24 B8 00 00 00 48 23 C2 48 89 84 24 C0 00 00 00 F2 0F 10 A4 24 C0 00 00 00 F2 0F 11 84 24 C8 00 00 00 0F 28 E8 F2 41 0F 59 C0 48 8B 84 24 C8 00 00 00 48 23 C2 48 89 84 24 C0 00 00 00 F2 0F 10 94 24 C0 00 00 00 F2 0F 5C D8 F2 0F 5C F4 F2 0F 5C FB F2 0F 5C EA 0F 28 CA F2 0F 59 D6 F2 0F 59 CC F2 0F 5C C8 F2 0F 5C F8 0F 28 C5 F2 0F 59 EE F2 0F 59 C4 F2 0F 58 C8 F2 0F 58 CA F2 0F 58 CD F2 0F 5C F9 F2 0F 58 FB 66 44 0F 2F CF 76 05 F2 41 0F 58 F8 F2 45 0F 59 C2 48 2B CB 0F 85 35 FF FF FF F2 44 0F 11 84 24 B8 00 00 00 0F 28 C7 0F 57 F6 48 8B 84 24 B8 00 00 00 F2 41 0F 5E C0 48 23 C2 41 0F 28 E8 48 89 84 24 B8 00 00 00 F2 0F 10 94 24 B8 00 00 00 F2 0F 5C EA F2 48 0F 2C C8 F2 48 0F 2A F1 48 23 CB F2 0F 11 B4 24 B8 00 00 00 0F 28 DE F2 41 0F 59 F0 48 8B 84 24 B8 00 00 00 48 23 C2 48 89 84 24 B8 00 00 00 F2 0F 10 8C 24 B8 00 00 00 F2 0F 5C D9 0F 28 E1 F2 0F 59 CD F2 0F 59 E2 0F 28 C3 F2 0F 59 DD F2 0F 5C E6 F2 0F 59 C2 F2 0F 58 E0 0F 28 C7 F2 0F 5C C6 F2 0F 58 E1 F2 0F 5C F8 F2 0F 58 E3 F2 0F 5C FE F2 0F 5C FC F2 0F 58 F8 66 44 0F 2F CF F2 0F 11 BC 24 C0 00 00 00 76 19 33 C0 48 85 C9 F2 41 0F 58 F8 0F 94 C0 F2 0F 11 BC 24 C0 00 00 00 48 8B C8 48 B8 00 00 00 00 00 00 D0 7F 4C 3B C8 73 1A 0F 28 C7 F2 0F 58 C7 66 41 0F 2F C0 77 2B 48 85 C9 74 34 66 41 0F 2E C0 EB 1B 41 0F 28 C0 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F F8 77 0D 48 85 C9 74 16 66 0F 2E F8 7A 10 75 0E F2 41 0F 5C F8 F2 0F 11 BC 24 C0 00 00 00 44 89 9C 24 B8 00 00 00 0F AE 94 24 B8 00 00 00 0F 57 C0 66 0F 2F 84 24 B0 00 00 00 F2 0F 10 84 24 C0 00 00 00 76 07 0F 57 05 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 49 8B E3 5B C3 }
	condition:
		$1
}

rule file_36_3_0 {
	meta:
		name = "scaleDouble_3"
		size = 121
	strings:
		$1 = { 44 8B CA 0F 28 D8 B8 56 55 55 55 F7 EA 41 8B C1 44 8B C2 41 C1 E8 1F 44 03 C2 41 2B C0 49 63 C8 99 2B C2 BA FF 03 00 00 D1 F8 48 03 CA 48 C1 E1 34 44 2B C8 48 89 4C 24 08 48 63 C8 45 2B C8 48 03 CA 49 63 C1 F2 0F 10 44 24 08 48 C1 E1 34 48 03 C2 F2 0F 59 C3 48 89 4C 24 08 48 C1 E0 34 F2 0F 10 54 24 08 48 89 44 24 08 F2 0F 59 C2 F2 0F 10 4C 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_37_10_0 {
	meta:
		name = "??0exception_ptr@std@@QEAA@AEBV01@@Z"
		size = 23
		refs = "000a ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_597_2 {
	meta:
		name = "??0exception_ptr@std@@QEAA@XZ"
		size = 23
		refs = "000a ?__ExceptionPtrCreate@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1106_71_0 {
	meta:
		name = "??4QuickBitSet@details@Concurrency@@QEAAAEAV012@AEBV012@@Z"
		size = 23
		refs = "000a ?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_49_101_2 {
	meta:
		name = "??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_370_1 {
	meta:
		name = "??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_371_1 {
	meta:
		name = "??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_188_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_386_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_387_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_78_0 {
	meta:
		name = "?getECSUName@UnDecorator@@CA?AVDName@@XZ"
		size = 23
		refs = "000a ?getScopedName@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_99_0 {
	meta:
		name = "?getReferenceType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
		size = 23
		refs = "000a ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_123_0 {
	meta:
		name = "?getVbTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 23
		refs = "000a ?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_30_0 {
	meta:
		name = "?_Current_exception@exception_ptr@std@@SA?AV12@XZ"
		size = 58
		refs = "001c ?__ExceptionPtrCreate@@YAXPEAX@Z 002c ?__ExceptionPtrCurrentException@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 8B D9 83 64 24 20 00 E8 ?? ?? ?? ?? C7 44 24 20 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 CC }
	condition:
		$1
}

rule file_37_31_0 {
	meta:
		name = "?dtor$0@?0??_Current_exception@exception_ptr@std@@SA?AV12@XZ@4HA"
		size = 38
		refs = "001c ??1exception_ptr@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 40 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_37_33_0 {
	meta:
		name = "?_FinishCancelState@_TaskCollectionBase@details@Concurrency@@IEAAX_K@Z"
		size = 53
	strings:
		$1 = { 48 8B 41 28 4C 8B D2 4C 8B C9 4C 8B C0 49 83 E0 FC 4C 0B C2 F0 4C 0F B1 41 28 74 18 48 8B C8 48 8B D0 48 83 E1 FC 49 0B CA F0 49 0F B1 49 28 48 3B C2 75 E8 C3 }
	condition:
		$1
}

rule file_37_35_0 {
	meta:
		name = "?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z"
		size = 39
	strings:
		$1 = { 48 8B 41 10 33 C9 A8 01 74 14 48 8B C8 48 83 E1 FE 74 06 48 8B 41 20 EB 05 B8 02 00 00 00 48 85 D2 74 03 48 89 0A C3 }
	condition:
		$1
}

rule file_37_40_0 {
	meta:
		name = "?_MarkCancellation@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
		size = 31
	strings:
		$1 = { 48 8B 41 28 EB 0F 48 8B D0 48 83 CA 01 F0 48 0F B1 51 28 74 07 A8 03 74 ED 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_37_42_0 {
	meta:
		name = "?_RaisedCancel@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
		size = 33
	strings:
		$1 = { 48 8B 41 28 EB 12 48 8B D0 83 E2 03 48 83 CA 0C F0 48 0F B1 51 28 74 08 48 A9 FC FF FF FF 74 E6 C3 }
	condition:
		$1
}

rule file_37_43_0 {
	meta:
		name = "?_RaisedException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
		size = 139
		refs = "003d ??2@YAPEAX_K@Z 0052 ?current_exception@std@@YA?AVexception_ptr@1@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 41 28 48 8B C8 48 83 E1 FC 74 06 48 83 F9 0C 75 60 48 8B C8 83 E1 03 48 83 C9 08 F0 48 0F B1 4B 28 75 DF B9 10 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 45 33 C0 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 48 8B 43 28 48 8B C8 83 E1 03 49 0B C8 F0 48 0F B1 4B 28 74 17 48 8B D0 48 8B C8 83 E1 03 49 0B C8 F0 48 0F B1 4B 28 48 3B C2 75 E9 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_37_47_0 {
	meta:
		name = "?_RethrowException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
		size = 151
		refs = "0030 ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z 0039 ?__ExceptionPtrDestroy@@YAXPEAX@Z 0041 ??3@YAXPEAX@Z 004b ?__uncaught_exception@@YA_NXZ 0072 ?__ExceptionPtrRethrow@@YAXPEBX@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 68 48 8B F9 48 8B 59 28 48 83 E3 FC 74 6B 48 83 FB 0C 74 65 48 8B D3 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 67 28 00 E8 ?? ?? ?? ?? 84 C0 75 2F 48 8D 54 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 44 24 28 48 89 44 24 60 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_37_51_0 {
	meta:
		name = "?_SafeGetParent@_TaskCollectionBase@details@Concurrency@@IEAAPEAV123@XZ"
		size = 21
	strings:
		$1 = { 8B 41 08 BA FF FF FF 0F 23 C2 3B C2 74 04 48 8B 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_37_52_0 {
	meta:
		name = "?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
		size = 190
		refs = "0063 ?_IsMarkedForAbnormalExit@_TaskCollection@details@Concurrency@@QEBA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 8B 41 08 BD FF FF FF 0F 33 DB 23 C5 3B C5 74 05 48 8B 39 EB 03 48 8B FB 48 8B 49 10 F6 C1 01 74 11 48 83 E1 FE 74 06 48 8B 49 20 EB 05 B9 02 00 00 00 48 85 FF 74 66 48 85 C9 75 51 8B 47 08 C1 F8 1C 24 01 74 06 F6 47 28 03 75 3D 84 C0 75 0C 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 2D 48 8B 4F 10 F6 C1 01 74 11 48 83 E1 FE 74 06 48 8B 49 20 EB 05 B9 02 00 00 00 8B 47 08 23 C5 3B C5 74 05 48 8B 3F EB AE 48 8B FB EB A9 B0 01 EB 12 48 83 F9 02 74 0A 8B 49 10 85 C9 0F 95 C0 EB 02 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_37_55_0 {
	meta:
		name = "?current_exception@std@@YA?AVexception_ptr@1@XZ"
		size = 28
		refs = "000f ?_Current_exception@exception_ptr@std@@SA?AV12@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_37_56_0 {
	meta:
		name = "?rethrow_exception@std@@YAXVexception_ptr@1@@Z"
		size = 41
		refs = "0017 ?__ExceptionPtrRethrow@@YAXPEBX@Z 0025 ?__ExceptionPtrDestroy@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_0_0 {
	meta:
		name = "__sse2_log10f4"
		size = 704
		refs = "0012 flMantissaMask 001a s_dwPosInf 0022 s_dwSqrt2Addition 002d s_fOne 003d s_dwSqrt2Mask 0068 s_dwExpBias 0073 s_fInvLn10 00b0 s_fB2 00ca s_fB1 00d1 s_fB0 00db s_fLg2 0130 s_dwAbsMask 013c s_dwPosZero 0144 s_dwNegInf 0164 s_dwSpecial1 016c s_dwSpecial2 0196 s_fDenoAdd"
	strings:
		$1 = { 48 83 EC 78 0F 29 7C 24 50 0F 29 74 24 60 66 0F 6F 25 ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 15 ?? ?? ?? ?? 66 0F DB E0 0F 28 2D ?? ?? ?? ?? 66 0F FE D4 66 0F 6F C8 66 0F DB 15 ?? ?? ?? ?? 66 0F EF EA 66 0F 72 E2 17 66 0F EB E5 66 0F 72 E0 17 0F 28 2D ?? ?? ?? ?? 0F 58 EC 0F 5C 25 ?? ?? ?? ?? 66 0F FA 05 ?? ?? ?? ?? 66 0F FE C2 0F 28 15 ?? ?? ?? ?? 0F 59 D4 0F 5E E5 C7 44 24 70 01 00 00 00 0F 29 4C 24 20 66 0F 66 D9 66 0F 66 0D ?? ?? ?? ?? 0F 5B C0 0F 28 EC 0F 59 E4 66 0F DB D9 0F 28 CC 0F 59 E4 66 0F D7 D3 0F 28 1D ?? ?? ?? ?? 81 FA FF FF 00 00 75 32 C7 44 24 70 00 00 00 00 0F 59 DC 0F 59 25 ?? ?? ?? ?? 0F 58 1D ?? ?? ?? ?? 0F 59 D9 0F 59 05 ?? ?? ?? ?? 0F 58 DC 0F 5C DA 0F 59 DD 0F 58 DA 0F 58 C3 83 7C 24 70 00 75 0F 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 78 C3 0F 28 54 24 20 0F 28 F2 66 0F EF FF 66 0F 6F C6 66 0F 76 05 ?? ?? ?? ?? 66 0F DB 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 6F C6 66 0F DB 05 ?? ?? ?? ?? 66 0F 6F C8 66 0F 76 05 ?? ?? ?? ?? 66 0F DB 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 66 0D ?? ?? ?? ?? 66 0F DB CE 66 0F EB F9 66 0F 6F C6 66 0F FE 05 ?? ?? ?? ?? 66 0F 66 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 7F 7C 24 30 66 0F 6F C6 66 0F FE 05 ?? ?? ?? ?? 66 0F 66 05 ?? ?? ?? ?? 66 0F 6F C8 66 0F DB 0D ?? ?? ?? ?? 66 0F 7F 4C 24 40 66 0F 6F C8 66 0F 6F D6 66 0F EB 15 ?? ?? ?? ?? 0F 5C 15 ?? ?? ?? ?? 66 0F DB C2 66 0F 76 3D ?? ?? ?? ?? 66 0F DB F7 66 0F DF 3D ?? ?? ?? ?? 66 0F EB FE 66 0F DF CF 66 0F EB C1 66 0F 6F 25 ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 15 ?? ?? ?? ?? 66 0F DB E0 0F 28 2D ?? ?? ?? ?? 66 0F FE D4 66 0F 6F C8 66 0F DB 15 ?? ?? ?? ?? 66 0F EF EA 66 0F 72 E2 17 66 0F EB E5 66 0F 72 E0 17 0F 28 3D ?? ?? ?? ?? 0F 58 FC 0F 5C 25 ?? ?? ?? ?? 66 0F FA 05 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 59 EC 0F 5E E7 66 0F FE C2 0F 28 D1 66 0F 66 D9 66 0F 66 0D ?? ?? ?? ?? 0F 5B C0 0F 28 FC 0F 59 E4 66 0F DB D9 0F 28 CC 0F 59 E4 66 0F D7 D3 0F 28 1D ?? ?? ?? ?? 0F 28 15 ?? ?? ?? ?? 0F 59 DC 0F 59 D4 0F 58 1D ?? ?? ?? ?? 0F 59 D9 0F 59 05 ?? ?? ?? ?? 0F 58 DA 0F 5C DD 0F 59 DF 0F 58 DD 0F 58 C3 66 0F EB 44 24 30 0F 58 44 24 40 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 78 C3 66 90 }
	condition:
		$1
}

rule file_39_0_0 {
	meta:
		name = "fmaxf"
		size = 108
		refs = "0016 _fdtest"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 38 EB 3F 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 30 EB 27 F3 0F 10 44 24 38 F3 0F 10 4C 24 30 0F 2F C1 77 16 0F 2E C8 7A 0E 75 0C B8 00 80 00 00 66 85 44 24 32 75 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_40_0_0 {
	meta:
		name = "log1p"
		size = 190
		refs = "0015 _dtest 003c __real@bff0000000000000 0052 _fperrraise 005a _Nan_C 0076 _Inf_C 007d __xmm@80000000000000008000000000000000 0087 __real@3ff0000000000000 008f log"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 8A 00 00 00 FF C9 74 04 FF C9 EB 0A B8 00 80 00 00 66 85 44 24 46 74 76 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 7C 24 40 66 0F 2F C7 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 54 66 0F 2E F8 7A 1D 75 1B B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? EB 31 F2 0F 58 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 CF F2 0F 5C 0D ?? ?? ?? ?? F2 0F 5C 4C 24 40 F2 0F 5E CF F2 0F 5C C1 EB 06 F2 0F 10 44 24 40 0F 28 7C 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_578_0_0 {
	meta:
		name = "log1pl"
		size = 190
		refs = "0015 _ldtest 003c __real@bff0000000000000 0052 _fperrraise 005a _LNan_C 0076 _LInf_C 007d __xmm@80000000000000008000000000000000 0087 __real@3ff0000000000000 008f log"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 8A 00 00 00 FF C9 74 04 FF C9 EB 0A B8 00 80 00 00 66 85 44 24 46 74 76 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 7C 24 40 66 0F 2F C7 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 54 66 0F 2E F8 7A 1D 75 1B B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? EB 31 F2 0F 58 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 CF F2 0F 5C 0D ?? ?? ?? ?? F2 0F 5C 4C 24 40 F2 0F 5E CF F2 0F 5C C1 EB 06 F2 0F 10 44 24 40 0F 28 7C 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_41_0_0 {
	meta:
		name = "_waccess"
		size = 18
		refs = "0005 _waccess_s"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_415_0_0 {
	meta:
		name = "_access"
		size = 18
		refs = "0005 _access_s"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_41_1_0 {
	meta:
		name = "_waccess_s"
		size = 168
		refs = "0009 __security_cookie 001d __doserrno 0025 _errno 0031 _invalid_parameter_noinfo 004a __imp_GetFileAttributesExW 0054 __imp_GetLastError 005b _dosmaperr 009e __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 8B DA 48 85 C9 75 1D E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 5C F7 C2 F9 FF FF FF 75 DB 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 16 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 EB 2D F6 44 24 20 10 75 24 F6 44 24 20 01 74 1D F6 C3 02 74 18 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB CC 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_42_0_0 {
	meta:
		name = "??2@YAPEAX_KAEBUnothrow_t@std@@@Z"
		size = 31
		refs = "000e ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF E8 ?? ?? ?? ?? 90 EB 05 48 8B 44 24 50 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_42_2_0 {
	meta:
		name = "__catch$??2@YAPEAX_KAEBUnothrow_t@std@@@Z$0"
		size = 19
		refs = "0008 $LN7"
	strings:
		$1 = { 48 83 65 50 00 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_44_0_0 {
	meta:
		name = "__tmainCRTStartup"
		size = 384
		refs = "0012 __set_app_type 001e __ImageBase 0065 _heap_init 006f __error_mode 0077 _FF_MSGBANNER 0081 _NMSG_WRITE 008b __crtExitProcess 0090 _mtinit 00bb _RTC_Initialize 00c1 _ioinit 00cf fast_error_exit 00d5 __imp_GetCommandLineW 00dc _wcmdln 00e1 __crtGetEnvironmentStringsW 00e8 _wenvptr 00ed _wsetargv 00fb _amsg_exit 0100 _wsetenvp 0115 _cinit 0127 _wenviron 012e __winitenv 0135 __wargv 013b __argc 0140 wmain 0151 exit 0156 _cexit 0168 _exit 016e _c_exit"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 BF 01 00 00 00 8B CF E8 ?? ?? ?? ?? B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 DB EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 DB 83 B8 84 00 00 00 0E 76 09 39 98 F8 00 00 00 0F 95 C3 89 5C 24 40 E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? B9 1C 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 85 C0 79 0A B9 1B 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 09 00 00 00 E8 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 44 24 20 85 DB 75 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B F8 83 7C 24 40 00 75 08 8B C8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_740_0_0 {
	meta:
		name = "__tmainCRTStartup"
		size = 384
		refs = "0012 __set_app_type 001e __ImageBase 0065 _heap_init 006f __error_mode 0077 _FF_MSGBANNER 0081 _NMSG_WRITE 008b __crtExitProcess 0090 _mtinit 00bb _RTC_Initialize 00c1 _ioinit 00cf fast_error_exit 00d5 __imp_GetCommandLineA 00dc _acmdln 00e1 __crtGetEnvironmentStringsA 00e8 _aenvptr 00ed _setargv 00fb _amsg_exit 0100 _setenvp 0115 _cinit 0127 _environ 012e __initenv 0135 __argv 013b __argc 0140 main 0151 exit 0156 _cexit 0168 _exit 016e _c_exit"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 BF 01 00 00 00 8B CF E8 ?? ?? ?? ?? B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 DB EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 DB 83 B8 84 00 00 00 0E 76 09 39 98 F8 00 00 00 0F 95 C3 89 5C 24 40 E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? B9 1C 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 85 C0 79 0A B9 1B 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 09 00 00 00 E8 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 44 24 20 85 DB 75 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B F8 83 7C 24 40 00 75 08 8B C8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_44_1_0 {
	meta:
		name = "__tmainCRTStartup$filt$0"
		size = 30
		refs = "0012 _XcptFilter"
		altNames = "_callthreadstart$filt$0 _callthreadstartex$filt$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 48 8B D1 8B 08 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_44_2_0 {
	meta:
		name = "check_managed_app"
		size = 74
		refs = "0008 __ImageBase"
	strings:
		$1 = { B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 03 33 C0 C3 48 63 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 03 C8 81 39 50 45 00 00 75 E4 B8 0B 02 00 00 66 39 41 18 75 D9 33 C0 83 B9 84 00 00 00 0E 76 09 39 81 F8 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule file_44_3_0 {
	meta:
		name = "fast_error_exit"
		size = 44
		refs = "0008 __error_mode 0012 _FF_MSGBANNER 0019 _NMSG_WRITE 0028 __crtExitProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 83 3D ?? ?? ?? ?? 02 8B D9 74 05 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? B9 FF 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_4_0 {
	meta:
		name = "wmainCRTStartup"
		size = 18
		refs = "0005 __security_init_cookie 000e __tmainCRTStartup"
		altNames = "WinMainCRTStartup mainCRTStartup wWinMainCRTStartup"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1249_48_0 {
	meta:
		name = "?StandardDeviation@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 18
		refs = "0005 ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 000e sqrt"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_1_0 {
	meta:
		name = "_localtime32"
		size = 69
		refs = "0013 __getgmtimebuf 0028 _localtime32_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1203_1_0 {
	meta:
		name = "_gmtime32"
		size = 69
		refs = "0013 __getgmtimebuf 0028 _gmtime32_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1284_0_0 {
	meta:
		name = "_gmtime64"
		size = 69
		refs = "0013 __getgmtimebuf 0028 _gmtime64_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_899_1_0 {
	meta:
		name = "_localtime64"
		size = 69
		refs = "0013 __getgmtimebuf 0028 _localtime64_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_2_0 {
	meta:
		name = "_localtime32_s"
		size = 722
		refs = "0023 _errno 002f _invalid_parameter_noinfo 0049 memset 0066 __tzset 006f _get_daylight 0080 _get_dstbias 0091 _get_timezone 00ba _gmtime32_s 00d3 _isindst 02a1 _invoke_watson"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 83 65 38 00 83 65 F0 00 83 65 30 00 48 8B FA 48 8B D9 48 85 C9 75 1B E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 40 5F 5B 5D C3 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D0 83 3F 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CE E8 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 85 C0 0F 85 41 02 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 0F 85 1A 02 00 00 48 8D 4D 30 E8 ?? ?? ?? ?? 85 C0 0F 85 F3 01 00 00 8B 0F 8D 81 7F 0B FC FF 3D FD 16 F8 7F 77 59 2B 4D 30 48 8D 55 20 89 4D 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 6F FF FF FF 39 45 38 0F 84 6D 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 5D 01 00 00 8B 45 F0 48 8D 55 20 48 8B CB 29 45 20 E8 ?? ?? ?? ?? 85 C0 0F 85 3C FF FF FF C7 43 20 01 00 00 00 E9 37 01 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 1D FF FF FF 39 45 38 74 1D 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 11 8B 0B C7 43 20 01 00 00 00 2B 4D 30 2B 4D F0 EB 05 8B 0B 2B 4D 30 41 B8 89 88 88 88 41 8B C0 F7 E9 03 D1 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 3C 8B D1 2B D0 89 13 79 08 8D 42 3C 83 E9 3C 89 03 41 8B C0 F7 E9 44 8D 0C 11 41 C1 F9 05 41 8B C1 C1 E8 1F 44 03 C8 41 8B C0 44 03 4B 04 41 F7 E9 41 03 D1 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 3C 41 8B D1 2B D1 89 53 04 79 0A 8D 4A 3C 41 83 E9 3C 89 4B 04 41 8B C0 41 F7 E9 45 8D 04 11 41 B9 AB AA AA 2A 41 C1 F8 05 41 8B C0 C1 E8 1F 44 03 C0 41 8B C1 44 03 43 08 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 0C 52 41 8B D0 C1 E1 03 2B D1 89 53 08 79 0A 8D 4A 18 41 83 E8 18 89 4B 08 41 8B C1 41 F7 E8 44 8B C2 41 C1 F8 02 41 8B C0 C1 E8 1F 44 03 C0 45 85 C0 7E 30 8B 4B 18 B8 93 24 49 92 41 03 C8 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 44 01 43 0C 89 4B 18 44 01 43 1C 33 C0 E9 F2 FD FF FF 79 F7 8B 4B 18 44 01 43 0C B8 93 24 49 92 83 C1 07 41 03 C8 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 8B 43 0C 89 4B 18 85 C0 7F C4 83 C0 1F C7 43 10 0B 00 00 00 89 43 0C 41 8D 80 6D 01 00 00 01 43 1C FF 4B 14 EB AC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_47_0_0 {
	meta:
		name = "ceil"
		size = 273
		refs = "006e ??_C@_04GFPJNGEK@ceil?$AA@ 0090 _handle_error 00ca __real@3ff0000000000000"
	strings:
		$1 = { 48 83 EC 58 45 33 C0 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 60 48 8B 54 24 60 0F 28 C8 48 8B C2 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B D0 41 0F 95 C0 48 3B C1 72 5B 48 B9 00 00 00 00 00 00 F0 7F 48 3B C1 0F 86 BE 00 00 00 C7 44 24 40 01 00 00 00 0F 57 C0 49 B8 00 00 00 00 00 00 08 00 4C 0B C2 BA 0C 00 00 00 48 8D 0D ?? ?? ?? ?? F2 0F 11 44 24 38 F2 0F 11 4C 24 30 44 8D 4A F5 C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? EB 76 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 2B 48 85 C0 74 62 4D 85 C0 74 17 48 B8 00 00 00 00 00 00 00 80 48 89 44 24 60 F2 0F 10 44 24 60 EB 46 F2 0F 10 05 ?? ?? ?? ?? EB 3C 48 8B C2 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 48 23 C2 48 89 44 24 60 F2 0F 10 44 24 60 4D 85 C0 75 0D 48 3B C2 74 08 F2 0F 58 05 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_48_1_0 {
	meta:
		name = "catanhl"
		size = 840
		refs = "003e creall 0054 cimagl 0062 _ldtest 00a0 __real@bff921fb54442d18 00dc _LZero_C 00e3 __xmm@80000000000000008000000000000000 0127 __real@3ff921fb54442d18 017b __real@5fcffb3abd82527b 0189 __real@3ff0000000000000 0210 _fperrraise 0218 _LInf_C 022e __real@4010000000000000 0236 sqrt 0253 log 025b __real@4000000000000000 0267 atan2 027d __real@3fe0000000000000 02b6 log1pl 02df __real@3fd0000000000000 030e _LCbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 8B EC 48 81 EC 80 00 00 00 0F 10 02 0F 29 70 D8 0F 29 78 C8 48 8B F1 48 8D 4D A0 48 8B DA 44 0F 29 40 B8 44 0F 29 48 A8 F3 0F 7F 45 A0 44 0F 29 50 98 E8 ?? ?? ?? ?? 48 8D 4D A0 F2 0F 11 45 28 0F 10 03 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 3E 66 3B C7 75 07 F2 0F 10 7D 28 EB 68 BB 01 00 00 00 66 3B C3 75 1B 0F 57 FF 66 0F 2F 7D 20 0F 86 87 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 5A 02 00 00 F2 0F 10 7D 28 0F 28 C7 E9 4D 02 00 00 BB 01 00 00 00 66 83 F8 02 75 35 66 3B FB 76 07 F2 0F 10 7D 20 EB E1 B8 00 80 00 00 66 85 45 2E 74 11 F2 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? EB 03 0F 57 FF F2 0F 10 45 20 E9 0D 02 00 00 66 3B FB 75 35 0F 57 FF 66 0F 2F 7D 28 76 0F F2 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? B8 00 80 00 00 66 85 45 26 0F 85 79 FF FF FF F2 0F 10 05 ?? ?? ?? ?? E9 D3 01 00 00 F2 0F 10 5D 20 F2 44 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 44 0F 28 CB 66 85 45 26 74 04 45 0F 57 C8 F2 0F 10 55 28 45 0F 57 D2 66 44 0F 2F D2 76 0B 41 0F 57 D0 F2 0F 11 55 28 EB 0B 41 0F 57 D8 33 DB F2 0F 11 5D 20 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D0 76 37 F2 0F 10 3D ?? ?? ?? ?? 0F 28 CB F2 0F 5E CA F2 0F 5E FA F2 0F 59 C9 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E F9 66 44 0F 2F D3 76 31 F2 0F 10 05 ?? ?? ?? ?? E9 39 01 00 00 66 44 0F 2F C8 76 2A F2 0F 5E D3 0F 28 FA F2 0F 59 D2 F2 0F 5E FB F2 0F 58 15 ?? ?? ?? ?? F2 0F 5E FA EB C8 F2 0F 10 05 ?? ?? ?? ?? E9 08 01 00 00 66 0F 2E 15 ?? ?? ?? ?? 0F 8A 8E 00 00 00 0F 85 88 00 00 00 66 41 0F 2E DA 7A 1E 75 1C B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 45 20 E9 CF 00 00 00 F2 0F 59 DB F2 0F 58 1D ?? ?? ?? ?? 0F 28 C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 5E F0 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 F8 41 0F 28 C1 E8 ?? ?? ?? ?? 66 44 0F 2F 55 20 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 76 72 41 0F 57 C0 EB 6C F2 0F 10 35 ?? ?? ?? ?? F2 45 0F 59 C9 F2 0F 5C F2 F2 0F 59 15 ?? ?? ?? ?? 0F 28 CE F2 0F 59 CE F2 41 0F 58 C9 F2 0F 5E D1 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 4D 28 F2 0F 58 0D ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 20 F2 0F 59 CE F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 41 0F 5C C9 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 85 DB 74 06 41 0F 57 F8 EB 04 41 0F 57 C0 48 8D 4D A0 0F 28 D0 0F 28 CF E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 0F 28 74 24 70 0F 28 7C 24 60 49 8B 5B 30 0F 10 00 45 0F 28 43 D0 45 0F 28 4B C0 48 8B C6 45 0F 28 53 B0 F3 0F 7F 06 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_244_0_0 {
	meta:
		name = "catanh"
		size = 840
		refs = "003e creal 0054 cimag 0062 _dtest 00a0 __real@bff921fb54442d18 00dc _Zero_C 00e3 __xmm@80000000000000008000000000000000 0127 __real@3ff921fb54442d18 017b __real@5fcffb3abd82527b 0189 __real@3ff0000000000000 0210 _fperrraise 0218 _Inf_C 022e __real@4010000000000000 0236 sqrt 0253 log 025b __real@4000000000000000 0267 atan2 027d __real@3fe0000000000000 02b6 log1p 02df __real@3fd0000000000000 030e _Cbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 8B EC 48 81 EC 80 00 00 00 0F 10 02 0F 29 70 D8 0F 29 78 C8 48 8B F1 48 8D 4D A0 48 8B DA 44 0F 29 40 B8 44 0F 29 48 A8 F3 0F 7F 45 A0 44 0F 29 50 98 E8 ?? ?? ?? ?? 48 8D 4D A0 F2 0F 11 45 28 0F 10 03 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 3E 66 3B C7 75 07 F2 0F 10 7D 28 EB 68 BB 01 00 00 00 66 3B C3 75 1B 0F 57 FF 66 0F 2F 7D 20 0F 86 87 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 5A 02 00 00 F2 0F 10 7D 28 0F 28 C7 E9 4D 02 00 00 BB 01 00 00 00 66 83 F8 02 75 35 66 3B FB 76 07 F2 0F 10 7D 20 EB E1 B8 00 80 00 00 66 85 45 2E 74 11 F2 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? EB 03 0F 57 FF F2 0F 10 45 20 E9 0D 02 00 00 66 3B FB 75 35 0F 57 FF 66 0F 2F 7D 28 76 0F F2 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? B8 00 80 00 00 66 85 45 26 0F 85 79 FF FF FF F2 0F 10 05 ?? ?? ?? ?? E9 D3 01 00 00 F2 0F 10 5D 20 F2 44 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 44 0F 28 CB 66 85 45 26 74 04 45 0F 57 C8 F2 0F 10 55 28 45 0F 57 D2 66 44 0F 2F D2 76 0B 41 0F 57 D0 F2 0F 11 55 28 EB 0B 41 0F 57 D8 33 DB F2 0F 11 5D 20 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D0 76 37 F2 0F 10 3D ?? ?? ?? ?? 0F 28 CB F2 0F 5E CA F2 0F 5E FA F2 0F 59 C9 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E F9 66 44 0F 2F D3 76 31 F2 0F 10 05 ?? ?? ?? ?? E9 39 01 00 00 66 44 0F 2F C8 76 2A F2 0F 5E D3 0F 28 FA F2 0F 59 D2 F2 0F 5E FB F2 0F 58 15 ?? ?? ?? ?? F2 0F 5E FA EB C8 F2 0F 10 05 ?? ?? ?? ?? E9 08 01 00 00 66 0F 2E 15 ?? ?? ?? ?? 0F 8A 8E 00 00 00 0F 85 88 00 00 00 66 41 0F 2E DA 7A 1E 75 1C B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 45 20 E9 CF 00 00 00 F2 0F 59 DB F2 0F 58 1D ?? ?? ?? ?? 0F 28 C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 5E F0 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 F8 41 0F 28 C1 E8 ?? ?? ?? ?? 66 44 0F 2F 55 20 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 76 72 41 0F 57 C0 EB 6C F2 0F 10 35 ?? ?? ?? ?? F2 45 0F 59 C9 F2 0F 5C F2 F2 0F 59 15 ?? ?? ?? ?? 0F 28 CE F2 0F 59 CE F2 41 0F 58 C9 F2 0F 5E D1 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 4D 28 F2 0F 58 0D ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 20 F2 0F 59 CE F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 41 0F 5C C9 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 85 DB 74 06 41 0F 57 F8 EB 04 41 0F 57 C0 48 8D 4D A0 0F 28 D0 0F 28 CF E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 0F 28 74 24 70 0F 28 7C 24 60 49 8B 5B 30 0F 10 00 45 0F 28 43 D0 45 0F 28 4B C0 48 8B C6 45 0F 28 53 B0 F3 0F 7F 06 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_49_0_0 {
	meta:
		name = "_execl"
		size = 199
		refs = "001b __security_cookie 0033 _errno 003e _invalid_parameter_noinfo 0075 _capture_argv 008c _execve 00a6 free 00b9 __security_check_cookie"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 57 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 65 80 39 00 74 E5 48 85 D2 74 E0 80 3A 00 74 DB 48 8D 84 24 70 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C0 48 8B D0 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 5F 5B C3 }
	condition:
		$1
}

rule file_50_0_0 {
	meta:
		name = "_wexeclpe"
		size = 217
		refs = "001c __security_cookie 0036 _errno 0041 _invalid_parameter_noinfo 0078 _wcapture_argv 009d _wexecvpe 00b7 free 00ca __security_check_cookie"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 F6 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 73 66 39 31 74 E5 48 85 D2 74 E0 66 39 32 74 DB 48 8D 84 24 70 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 20 48 8B CB 49 83 C0 08 48 8B D0 48 8B F8 4C 89 44 24 20 4D 8B 40 F8 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_208_0_0 {
	meta:
		name = "_wexecle"
		size = 217
		refs = "001c __security_cookie 0036 _errno 0041 _invalid_parameter_noinfo 0078 _wcapture_argv 009d _wexecve 00b7 free 00ca __security_check_cookie"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 F6 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 73 66 39 31 74 E5 48 85 D2 74 E0 66 39 32 74 DB 48 8D 84 24 70 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 20 48 8B CB 49 83 C0 08 48 8B D0 48 8B F8 4C 89 44 24 20 4D 8B 40 F8 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_52_0_0 {
	meta:
		name = "__GSHandlerCheck"
		size = 29
		refs = "000f __GSHandlerCheckCommon"
	strings:
		$1 = { 48 83 EC 28 4D 8B 41 38 48 8B CA 49 8B D1 E8 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_1_0 {
	meta:
		name = "__GSHandlerCheckCommon"
		size = 99
		refs = "005f __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 20 45 8B 18 48 8B DA 4C 8B C9 41 83 E3 F8 41 F6 00 04 4C 8B D1 74 13 41 8B 40 08 4D 63 50 04 F7 D8 4C 03 D1 48 63 C8 4C 23 D1 49 63 C3 4A 8B 14 10 48 8B 43 10 8B 48 08 48 03 4B 08 F6 41 03 0F 74 0C 0F B6 41 03 83 E0 F0 48 98 4C 03 C8 4C 33 CA 49 8B C9 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_55_0_0 {
	meta:
		name = "fgets"
		size = 351
		refs = "0024 _errno 002f _invalid_parameter_noinfo 005e _lock_file 0071 _fileno 007f __pioinfo 00a0 __badioinfo 0115 _filbuf 014c _unlock_file"
	strings:
		$1 = { 40 53 56 57 41 56 41 57 48 83 EC 30 49 8B D8 8B F2 4C 8B F9 4C 8B F1 48 8B F9 48 85 C9 75 1B 85 D2 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 19 01 00 00 33 C0 85 D2 0F 99 C0 85 C0 74 DE 33 C0 48 85 DB 0F 95 C0 85 C0 74 D2 85 D2 74 DE 48 89 5C 24 78 48 8B CB E8 ?? ?? ?? ?? 90 F6 43 18 40 0F 85 84 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 FF 48 89 7C 24 20 48 85 FF 74 52 FF CE 89 74 24 68 74 46 FF 4B 08 78 0E 48 8B 03 0F B6 08 48 FF C0 48 89 03 EB 0A 48 8B CB E8 ?? ?? ?? ?? 8B C8 89 4C 24 60 83 F9 FF 75 0E 4D 3B F7 75 1B 33 FF 48 89 7C 24 20 EB 16 41 88 0E 49 FF C6 4C 89 74 24 28 80 F9 0A 74 02 EB B2 41 C6 06 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_55_1_0 {
	meta:
		name = "fgets$fin$0"
		size = 24
		refs = "0013 _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 78 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_0_0 {
	meta:
		name = "__sse2_log2"
		size = 1040
		refs = "0014 BT_Tbl 001c iExpMask 0061 dbOne 0069 dbLog2Hi 0071 iHi43Bits 008f iBias 00a7 dbLog2Lo 0107 dbZero 0138 dbP5 0140 dbP4 0150 dbP3 0158 dbP2 0168 dbP1 01b7 i00100000 01de i001fffff 0382 s_db1022xLn2Lo 038a s_db1022xLn2 03bc dwInf"
	strings:
		$1 = { 48 81 EC 88 00 00 00 0F 29 74 24 70 0F 29 7C 24 60 4C 8D 15 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 70 E8 B1 66 0F 28 C8 66 0F DB F8 66 0F 70 C0 5F 66 0F 7E E8 8B C8 66 0F 7E C2 25 00 F8 0F 00 81 E2 00 F8 0F 00 05 00 08 00 00 81 C2 00 08 00 00 25 00 F0 1F 00 81 E2 00 F0 1F 00 66 0F EB 3D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 C9 0D C1 E8 07 C1 EA 07 66 0F 72 D1 14 81 E9 00 00 10 00 66 0F FA 0D ?? ?? ?? ?? F3 0F E6 C9 66 0F DB DF 66 0F 5C FB 66 0F 59 D1 66 0F 59 0D ?? ?? ?? ?? F3 41 0F 7E 24 02 66 41 0F 16 24 12 81 F9 00 00 E0 7F 66 0F 7E C1 0F 83 BE 00 00 00 81 E9 00 00 10 00 81 F9 00 00 E0 7F 0F 83 AC 00 00 00 66 0F 59 DC 66 0F 59 FC 66 41 0F 28 44 02 10 66 0F 28 E8 66 41 0F 28 74 12 10 66 0F 14 C6 66 0F 15 EE 66 0F 58 C2 66 0F 28 E0 66 0F C2 05 ?? ?? ?? ?? 00 66 0F 58 E9 66 0F 5C 1D ?? ?? ?? ?? 66 0F DB C7 66 0F 58 E3 66 0F 58 E0 66 0F DF C7 66 0F 58 FB 66 0F 28 CF 66 0F 59 FF 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 D7 66 0F 59 F7 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 D7 66 0F 59 F1 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 F2 66 0F 59 FE 66 0F 58 FD 66 0F 58 C7 66 0F 58 C4 E9 73 02 00 00 66 0F 70 F5 B1 66 0F 6F EE 66 0F 73 F6 20 66 0F 6F CE 66 0F 72 F6 10 66 0F 6F DD 66 0F EB F1 66 0F 29 5C 24 20 66 0F 72 D6 10 66 0F EB EE 66 0F 6F 0D ?? ?? ?? ?? 66 0F 70 ED F5 66 0F FE CD 66 0F 6F E3 66 0F 6F C1 66 0F 66 0D ?? ?? ?? ?? 66 0F 7F 6C 24 30 66 0F 66 05 ?? ?? ?? ?? 66 0F 6F 35 ?? ?? ?? ?? 66 0F 7F 4C 24 40 66 0F EF C8 66 0F 54 E0 66 0F 55 C6 66 0F 7F 4C 24 50 66 0F 54 F1 66 0F 54 CB 66 0F 56 C1 66 0F 5C C6 66 0F 56 C4 66 0F 28 3D ?? ?? ?? ?? 66 0F 70 E8 B1 66 0F 28 C8 66 0F DB F8 66 0F 70 C0 5F 66 0F 7E E8 8B C8 66 0F 7E C2 25 00 F8 0F 00 81 E2 00 F8 0F 00 05 00 08 00 00 81 C2 00 08 00 00 25 00 F0 1F 00 81 E2 00 F0 1F 00 66 0F EB 3D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 C9 0D C1 E8 07 C1 EA 07 66 0F 72 D1 14 81 E9 00 00 10 00 66 0F FA 0D ?? ?? ?? ?? F3 0F E6 C9 66 0F DB DF 66 0F 5C FB 66 0F 59 D1 66 0F 59 0D ?? ?? ?? ?? F3 41 0F 7E 24 02 66 41 0F 16 24 12 81 F9 00 00 E0 7F 66 0F 7E C1 0F 83 C0 FE FF FF 81 E9 00 00 10 00 81 F9 00 00 E0 7F 0F 83 AE FE FF FF 66 0F 59 DC 66 0F 59 FC 66 41 0F 28 44 02 10 66 0F 28 E8 66 41 0F 28 74 12 10 66 0F 14 C6 66 0F 15 EE 66 0F 58 C2 66 0F 28 E0 66 0F C2 05 ?? ?? ?? ?? 00 66 0F 58 E9 66 0F 5C 1D ?? ?? ?? ?? 66 0F DB C7 66 0F 58 E3 66 0F 58 E0 66 0F DF C7 66 0F 58 FB 66 0F 28 CF 66 0F 59 FF 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 D7 66 0F 59 F7 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 D7 66 0F 59 F1 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 F2 66 0F 59 FE 66 0F 58 FD 66 0F 58 C7 66 0F 58 C4 66 0F 28 3D ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 6F 54 24 40 66 0F 6F 5C 24 30 66 0F 6F 64 24 50 66 0F EF ED 66 0F 54 FC 66 0F 54 CC 66 0F 76 ED 66 0F 58 C7 66 0F 58 C1 66 0F 6F 25 ?? ?? ?? ?? 66 0F 54 C2 66 0F EF D5 66 0F 76 E3 66 0F EF C9 66 0F EF D4 66 0F 72 F3 01 66 0F DB 64 24 20 66 0F 76 D9 66 0F EF D3 66 0F 73 F3 34 66 0F EB D4 66 0F EB D3 66 0F 58 C2 0F 28 74 24 70 0F 28 7C 24 60 48 81 C4 88 00 00 00 C3 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_58_0_0 {
	meta:
		name = "$I10_OUTPUT"
		size = 2776
		refs = "001f __security_cookie 00ee ??_C@_06PGGFOGJG@1?$CDSNAN?$AA@ 00f8 strcpy_s 0123 ??_C@_05PHHOCPM@1?$CDIND?$AA@ 014a ??_C@_05DNEBIAHO@1?$CDINF?$AA@ 0170 ??_C@_06IMKFLFPG@1?$CDQNAN?$AA@ 01a7 _pow10pos 0205 _pow10neg 0a29 __security_check_cookie 0a94 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D9 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 44 0F B7 51 08 49 8B D9 44 8B 09 89 55 B3 BA 00 80 00 00 41 BB 01 00 00 00 44 89 45 C7 44 8B 41 04 41 0F B7 CA 66 23 CA 44 8D 6A FF 41 8D 43 1F 45 33 E4 66 45 23 D5 48 89 5D BF C7 45 F7 CC CC CC CC C7 45 FB CC CC CC CC C7 45 FF CC CC FB 3F 66 89 4D 99 8D 78 0D 66 85 C9 74 06 40 88 7B 02 EB 03 88 43 02 66 45 85 D2 75 2E 45 85 C0 0F 85 F4 00 00 00 45 85 C9 0F 85 EB 00 00 00 66 3B CA 0F 44 C7 66 44 89 23 88 43 02 66 C7 43 03 01 30 44 88 63 05 E9 5B 09 00 00 66 45 3B D5 0F 85 C5 00 00 00 BE 00 00 00 80 66 44 89 1B 44 3B C6 75 05 45 85 C9 74 29 41 0F BA E0 1E 72 22 48 8D 4B 04 4C 8D 05 ?? ?? ?? ?? BA 16 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 82 00 00 00 E9 7B 09 00 00 66 85 C9 74 2B 41 81 F8 00 00 00 C0 75 22 45 85 C9 75 4D 48 8D 4B 04 4C 8D 05 ?? ?? ?? ?? 41 8D 51 16 E8 ?? ?? ?? ?? 85 C0 74 2B E9 60 09 00 00 44 3B C6 75 2B 45 85 C9 75 26 48 8D 4B 04 4C 8D 05 ?? ?? ?? ?? 41 8D 51 16 E8 ?? ?? ?? ?? 85 C0 0F 85 4F 09 00 00 B8 05 00 00 00 88 43 03 EB 21 48 8D 4B 04 4C 8D 05 ?? ?? ?? ?? BA 16 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 3D 09 00 00 C6 43 03 06 45 8B DC E9 8C 08 00 00 41 0F B7 D2 44 89 4D E9 66 44 89 55 F1 41 8B C8 8B C2 4C 8D 0D ?? ?? ?? ?? C1 E9 18 C1 E8 08 41 BF 00 00 00 80 8D 04 48 41 BE 05 00 00 00 49 83 E9 60 44 89 45 ED 66 44 89 65 E7 BE FD BF 00 00 6B C8 4D 69 C2 10 4D 00 00 05 0C ED BC EC 44 89 75 B7 41 8D 7F FF 03 C8 C1 F9 10 44 0F BF D1 89 4D 9F 41 F7 DA 0F 84 6F 03 00 00 45 85 D2 79 11 4C 8D 0D ?? ?? ?? ?? 41 F7 DA 49 83 E9 60 45 85 D2 0F 84 53 03 00 00 44 8B 45 EB 8B 55 E7 41 8B C2 49 83 C1 54 41 C1 FA 03 44 89 55 AF 4C 89 4D A7 83 E0 07 0F 84 19 03 00 00 48 98 48 8D 0C 40 49 8D 34 89 41 B9 00 80 00 00 48 89 75 CF 66 44 39 0E 72 25 8B 46 08 F2 0F 10 06 48 8D 75 07 89 45 0F F2 0F 11 45 07 48 8B 45 07 48 C1 E8 10 48 89 75 CF 41 2B C3 89 45 09 0F B7 4E 0A 0F B7 45 F1 44 89 65 9B 0F B7 D9 66 41 23 CD 48 C7 45 D7 00 00 00 00 66 33 D8 66 41 23 C5 44 89 65 DF 66 41 23 D9 44 8D 0C 08 66 89 5D 97 66 41 3B C5 0F 83 7D 02 00 00 66 41 3B CD 0F 83 73 02 00 00 41 BD FD BF 00 00 66 45 3B CD 0F 87 5D 02 00 00 BB BF 3F 00 00 66 44 3B CB 77 13 48 C7 45 EB 00 00 00 00 41 BD FF 7F 00 00 E9 59 02 00 00 66 85 C0 75 22 66 45 03 CB 85 7D EF 75 19 45 85 C0 75 14 85 D2 75 10 66 44 89 65 F1 41 BD FF 7F 00 00 E9 3B 02 00 00 66 85 C9 75 14 66 45 03 CB 85 7E 08 75 0B 44 39 66 04 75 05 44 39 26 74 AD 41 8B FE 48 8D 55 D7 45 33 F6 44 8B EF 85 FF 7E 5F 43 8D 04 24 4C 8D 75 E7 41 8B DC 48 63 C8 41 23 DB 4C 8D 7E 08 4C 03 F1 33 F6 41 0F B7 07 41 0F B7 0E 44 8B D6 0F AF C8 8B 02 44 8D 04 08 44 3B C0 72 05 44 3B C1 73 03 45 8B D3 44 89 02 45 85 D2 74 05 66 44 01 5A 04 45 2B EB 49 83 C6 02 49 83 EF 02 45 85 ED 7F C2 48 8B 75 CF 45 33 F6 41 2B FB 48 83 C2 02 45 03 E3 85 FF 7F 8C 44 8B 55 DF 44 8B 45 D7 B8 02 C0 00 00 66 44 03 C8 45 33 E4 BB FF FF 00 00 41 BF 00 00 00 80 66 45 85 C9 7E 3C 45 85 D7 75 31 8B 7D DB 41 8B D0 45 03 D2 C1 EA 1F 45 03 C0 8B CF C1 E9 1F 8D 04 3F 66 44 03 CB 0B C2 44 0B D1 44 89 45 D7 89 45 DB 44 89 55 DF 66 45 85 C9 7F CA 66 45 85 C9 7F 6D 66 44 03 CB 79 67 41 0F B7 C1 66 F7 D8 0F B7 D0 66 44 03 CA 66 44 89 4D A3 44 8B 4D 9B 44 84 5D D7 74 03 45 03 CB 8B 7D DB 41 8B C2 41 D1 E8 8B CF C1 E0 1F D1 EF C1 E1 1F 0B F8 41 D1 EA 44 0B C1 89 7D DB 44 89 45 D7 49 2B D3 75 D0 45 85 C9 44 0F B7 4D A3 44 89 55 DF 74 12 41 0F B7 C0 66 41 0B C3 66 89 45 D7 44 8B 45 D7 EB 04 0F B7 45 D7 B9 00 80 00 00 66 3B C1 77 10 41 81 E0 FF FF 01 00 41 81 F8 00 80 01 00 75 48 8B 45 D9 83 CA FF 3B C2 75 38 8B 45 DD 44 89 65 D9 3B C2 75 21 0F B7 45 E1 44 89 65 DD 66 3B C3 75 0A 66 89 4D E1 66 45 03 CB EB 10 66 41 03 C3 66 89 45 E1 EB 06 41 03 C3 89 45 DD 44 8B 55 DF EB 06 41 03 C3 89 45 D9 41 BD FF 7F 00 00 41 BE 05 00 00 00 BF FF FF FF 7F 66 45 3B CD 72 0D 0F B7 45 97 44 8B 55 AF 66 F7 D8 EB 32 0F B7 45 D9 66 44 0B 4D 97 44 89 55 ED 44 8B 55 AF 66 89 45 E7 8B 45 DB 89 45 E9 44 8B 45 EB 8B 55 E7 66 44 89 4D F1 EB 23 41 BD FF 7F 00 00 66 F7 DB 1B C0 44 89 65 EB 41 23 C7 05 00 80 FF 7F 89 45 EF 41 8B D4 45 8B C4 89 55 E7 4C 8B 4D A7 45 85 D2 0F 85 C2 FC FF FF 48 8B 5D BF 8B 4D 9F BE FD BF 00 00 EB 07 44 8B 45 EB 8B 55 E7 8B 45 EF 41 B9 FF 3F 00 00 C1 E8 10 66 41 3B C1 0F 82 B6 02 00 00 66 41 03 CB 41 B9 00 80 00 00 44 89 65 9B 45 8D 51 FF 89 4D 9F 0F B7 4D 01 44 0F B7 E9 66 41 23 CA 48 C7 45 D7 00 00 00 00 66 44 33 E8 66 41 23 C2 44 89 65 DF 66 45 23 E9 44 8D 0C 08 66 41 3B C2 0F 83 58 02 00 00 66 41 3B CA 0F 83 4E 02 00 00 66 44 3B CE 0F 87 44 02 00 00 41 BA BF 3F 00 00 66 45 3B CA 77 09 44 89 65 EF E9 40 02 00 00 66 85 C0 75 1C 66 45 03 CB 85 7D EF 75 13 45 85 C0 75 0E 85 D2 75 0A 66 44 89 65 F1 E9 25 02 00 00 66 85 C9 75 15 66 45 03 CB 85 7D FF 75 0C 44 39 65 FB 75 06 44 39 65 F7 74 BC 41 8B FC 48 8D 55 D7 41 8B F6 45 85 F6 7E 5D 8D 04 3F 4C 8D 7D E7 44 8B E7 48 63 C8 45 23 E3 4C 8D 75 FF 4C 03 F9 33 DB 41 0F B7 07 41 0F B7 0E 44 8B C3 0F AF C8 8B 02 44 8D 14 08 44 3B D0 72 05 44 3B D1 73 03 45 8B C3 44 89 12 45 85 C0 74 05 66 44 01 5A 04 41 2B F3 49 83 C7 02 49 83 EE 02 85 F6 7F C3 44 8B 75 B7 45 33 E4 45 2B F3 48 83 C2 02 41 03 FB 44 89 75 B7 45 85 F6 7F 88 48 8B 5D BF 44 8B 45 DF 44 8B 55 D7 B8 02 C0 00 00 BE 00 00 00 80 41 BE FF FF 00 00 66 44 03 C8 66 45 85 C9 7E 3C 44 85 C6 75 31 8B 7D DB 41 8B D2 45 03 C0 C1 EA 1F 45 03 D2 8B CF C1 E9 1F 8D 04 3F 66 45 03 CE 0B C2 44 0B C1 44 89 55 D7 89 45 DB 44 89 45 DF 66 45 85 C9 7F CA 66 45 85 C9 7F 65 66 45 03 CE 79 5F 8B 5D 9B 41 0F B7 C1 66 F7 D8 0F B7 D0 66 44 03 CA 44 84 5D D7 74 03 41 03 DB 8B 7D DB 41 8B C0 41 D1 EA 8B CF C1 E0 1F D1 EF C1 E1 1F 0B F8 41 D1 E8 44 0B D1 89 7D DB 44 89 55 D7 49 2B D3 75 D0 85 DB 48 8B 5D BF 44 89 45 DF 74 12 41 0F B7 C2 66 41 0B C3 66 89 45 D7 44 8B 55 D7 EB 04 0F B7 45 D7 B9 00 80 00 00 66 3B C1 77 10 41 81 E2 FF FF 01 00 41 81 FA 00 80 01 00 75 49 8B 45 D9 83 CA FF 3B C2 75 39 8B 45 DD 44 89 65 D9 3B C2 75 22 0F B7 45 E1 44 89 65 DD 66 41 3B C6 75 0A 66 89 4D E1 66 45 03 CB EB 10 66 41 03 C3 66 89 45 E1 EB 06 41 03 C3 89 45 DD 44 8B 45 DF EB 06 41 03 C3 89 45 D9 B8 FF 7F 00 00 66 44 3B C8 72 18 66 41 F7 DD 45 8B C4 41 8B D4 1B C0 23 C6 05 00 80 FF 7F 89 45 EF EB 40 0F B7 45 D9 66 45 0B CD 44 89 45 ED 66 89 45 E7 8B 45 DB 66 44 89 4D F1 89 45 E9 44 8B 45 EB 8B 55 E7 EB 1C 66 41 F7 DD 1B C0 41 23 C7 05 00 80 FF 7F 89 45 EF 41 8B D4 45 8B C4 B9 00 80 00 00 8B 45 9F 44 8B 75 B3 66 89 03 44 84 5D C7 74 1D 98 44 03 F0 45 85 F6 7F 14 66 39 4D 99 B8 20 00 00 00 8D 48 0D 0F 44 C1 E9 3C F8 FF FF 44 8B 4D EF B8 15 00 00 00 66 44 89 65 F1 8B 75 EF 44 3B F0 44 8D 50 F3 44 0F 4F F0 41 C1 E9 10 41 81 E9 FE 3F 00 00 41 8B C8 8B C2 03 F6 45 03 C0 C1 E8 1F C1 E9 1F 44 0B C0 0B F1 03 D2 4D 2B D3 75 E4 44 89 45 EB 89 55 E7 45 85 C9 79 32 41 F7 D9 45 0F B6 D1 45 85 D2 7E 26 41 8B C8 8B C6 D1 EA 41 D1 E8 C1 E0 1F C1 E1 1F 45 2B D3 D1 EE 44 0B C0 0B D1 45 85 D2 7F E1 44 89 45 EB 89 55 E7 45 8D 7E 01 48 8D 7B 04 4C 8B D7 45 85 FF 0F 8E D4 00 00 00 F2 0F 10 45 E7 41 8B C8 45 03 C0 C1 E9 1F 8B C2 03 D2 C1 E8 1F 44 8D 0C 36 F2 0F 11 45 07 44 0B C0 44 0B C9 8B C2 41 8B C8 C1 E8 1F 45 03 C0 44 0B C0 8B 45 07 03 D2 C1 E9 1F 45 03 C9 44 8D 24 10 44 0B C9 44 3B E2 72 05 44 3B E0 73 21 45 33 F6 41 8D 40 01 41 8B CE 41 3B C0 72 05 41 3B C3 73 03 41 8B CB 44 8B C0 85 C9 74 03 45 03 CB 48 8B 45 07 48 C1 E8 20 45 8D 34 00 45 3B F0 72 05 44 3B F0 73 03 45 03 CB 41 8B C4 44 03 CE 43 8D 14 24 C1 E8 1F 45 33 E4 47 8D 04 36 44 0B C0 41 8B CE 43 8D 04 09 C1 E9 1F 45 2B FB 89 55 E7 0B C1 44 89 45 EB 89 45 EF C1 E8 18 44 88 65 F2 04 30 41 88 02 4D 03 D3 45 85 FF 7E 08 8B 75 EF E9 2C FF FF FF 4D 2B D3 41 8A 02 4D 2B D3 3C 35 7C 6A EB 0D 41 80 3A 39 75 0C 41 C6 02 30 4D 2B D3 4C 3B D7 73 EE 4C 3B D7 73 07 4D 03 D3 66 44 01 1B 45 00 1A 44 2A D3 41 80 EA 03 49 0F BE C2 44 88 53 03 44 88 64 18 04 41 8B C3 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 08 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 80 3A 30 75 08 4D 2B D3 4C 3B D7 73 F2 4C 3B D7 73 AF B8 20 00 00 00 41 B9 00 80 00 00 66 44 89 23 66 44 39 4D 99 8D 48 0D 44 88 5B 03 0F 44 C1 88 43 02 C6 07 30 E9 36 F6 FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_58_1_0 {
	meta:
		name = "__add_12"
		size = 122
	strings:
		$1 = { 8B 01 44 8B 12 45 33 C9 46 8D 04 10 4C 8B DA 44 3B C0 72 05 45 3B C2 73 06 41 B9 01 00 00 00 44 89 01 45 85 C9 74 23 8B 41 04 45 33 C0 8D 50 01 3B D0 72 05 83 FA 01 73 06 41 B8 01 00 00 00 89 51 04 45 85 C0 74 03 FF 41 08 8B 41 04 45 8B 4B 04 45 33 C0 42 8D 14 08 3B D0 72 05 41 3B D1 73 06 41 B8 01 00 00 00 89 51 04 45 85 C0 74 03 FF 41 08 41 8B 43 08 01 41 08 C3 }
	condition:
		$1
}

rule file_58_2_0 {
	meta:
		name = "__addl"
		size = 25
	strings:
		$1 = { 44 8D 0C 11 33 C0 44 3B C9 72 05 44 3B CA 73 05 B8 01 00 00 00 45 89 08 C3 }
	condition:
		$1
}

rule file_58_3_0 {
	meta:
		name = "__ld12mul"
		size = 813
		refs = "0022 __security_cookie 030c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 0F B7 42 0A 45 33 E4 4C 8B C1 48 89 4D D8 0F B7 49 0A 0F B7 F0 66 33 F1 48 8B FA BA 00 80 00 00 66 23 F2 BA FF 7F 00 00 44 89 65 D4 66 23 CA 66 23 C2 4C 89 65 E0 44 8D 0C 01 44 89 65 E8 66 89 75 D2 66 44 89 4D D0 66 3B CA 0F 83 6F 02 00 00 66 3B C2 0F 83 66 02 00 00 BA FD BF 00 00 66 44 3B CA 0F 87 57 02 00 00 BA BF 3F 00 00 66 44 3B CA 77 0C 4D 89 60 04 45 89 20 E9 58 02 00 00 BA FF FF FF 7F 41 BE 01 00 00 00 66 85 C9 75 24 66 45 03 CE 66 44 89 4D D0 41 85 50 08 75 15 45 39 60 04 75 0F 45 39 20 75 0A 66 45 89 60 0A E9 24 02 00 00 66 85 C0 75 19 66 45 03 CE 66 44 89 4D D0 85 57 08 75 0B 44 39 67 04 75 05 44 39 27 74 A2 41 BA 05 00 00 00 45 8B F4 48 8D 55 E0 45 8D 4A FC 45 8B FA 45 85 D2 7E 53 43 8D 04 36 41 8B F6 4C 8D 67 08 4C 63 E8 41 23 F1 4D 03 E8 41 0F B7 45 00 41 0F B7 0C 24 45 33 DB 0F AF C8 8B 02 8D 1C 08 3B D8 72 04 3B D9 73 03 45 8B D9 89 1A 45 85 DB 74 05 66 44 01 4A 04 45 2B F9 49 83 C5 02 49 83 EC 02 45 85 FF 7F C4 45 33 E4 45 2B D1 48 83 C2 02 45 03 F1 45 85 D2 7F 96 44 0F B7 4D D0 44 8B 55 E8 44 8B 5D E0 B8 02 C0 00 00 BB 00 00 00 80 41 BF FF FF 00 00 66 44 03 C8 66 45 85 C9 7E 3C 44 85 D3 75 31 8B 7D E4 41 8B D3 45 03 D2 C1 EA 1F 45 03 DB 8B CF C1 E9 1F 8D 04 3F 66 45 03 CF 0B C2 44 0B D1 44 89 5D E0 89 45 E4 44 89 55 E8 66 45 85 C9 7F CA 66 45 85 C9 7F 6D 66 45 03 CF 41 BE 01 00 00 00 79 67 44 8B 45 D4 41 0F B7 C1 66 F7 D8 0F B7 D0 66 44 03 CA 44 84 75 E0 74 03 45 03 C6 8B 7D E4 41 8B C2 41 D1 EB 8B CF C1 E0 1F D1 EF C1 E1 1F 0B F8 41 D1 EA 44 0B D9 89 7D E4 44 89 5D E0 49 2B D6 75 D0 45 85 C0 4C 8B 45 D8 44 89 55 E8 74 18 41 0F B7 C3 66 41 0B C6 66 89 45 E0 44 8B 5D E0 EB 0A 41 BE 01 00 00 00 0F B7 45 E0 0F B7 75 D2 BA 00 80 00 00 66 3B C2 77 10 41 81 E3 FF FF 01 00 41 81 FB 00 80 01 00 75 49 8B 45 E2 83 C9 FF 3B C1 75 39 8B 45 E6 44 89 65 E2 3B C1 75 22 0F B7 45 EA 44 89 65 E6 66 41 3B C7 75 0A 66 89 55 EA 66 45 03 CE EB 10 66 41 03 C6 66 89 45 EA EB 06 41 03 C6 89 45 E6 44 8B 55 E8 EB 06 41 03 C6 89 45 E2 B8 FF 7F 00 00 66 44 3B C8 72 09 49 C7 00 00 00 00 00 EB 26 0F B7 45 E2 66 44 0B CE 45 89 50 06 66 41 89 00 8B 45 E4 66 45 89 48 0A 41 89 40 02 EB 18 BB 00 00 00 80 4D 89 20 66 F7 DE 1B C0 23 C3 05 00 80 FF 7F 41 89 40 08 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_58_4_0 {
	meta:
		name = "__multtenpow12"
		size = 948
		refs = "002a __security_cookie 0038 _pow10pos 0052 _pow10neg 0392 __security_check_cookie"
	strings:
		$1 = { 85 D2 0F 84 AB 03 00 00 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4C 8D 35 ?? ?? ?? ?? 33 FF 8B DA 49 83 EE 60 4C 8B C9 48 89 4D C0 85 D2 79 0D 4C 8D 35 ?? ?? ?? ?? F7 DB 49 83 EE 60 45 85 C0 75 03 66 89 39 85 DB 0F 84 1E 03 00 00 41 BF 00 80 00 00 BE 01 00 00 00 45 8D 5F FF 8B C3 49 83 C6 54 C1 FB 03 89 5D B8 4C 89 75 C8 83 E0 07 0F 84 EE 02 00 00 48 98 48 8D 0C 40 49 8D 14 8E 66 44 39 3A 72 20 8B 42 08 F2 0F 10 02 48 8D 55 E8 89 45 F0 F2 0F 11 45 E8 48 8B 45 E8 48 C1 E8 10 2B C6 89 45 EA 0F B7 4A 0A 41 0F B7 41 0A 89 7D B4 44 0F B7 D1 66 41 23 CB 48 C7 45 D8 00 00 00 00 66 44 33 D0 66 41 23 C3 89 7D E0 66 45 23 D7 44 8D 04 08 66 44 89 55 B0 66 41 3B C3 0F 83 65 02 00 00 66 41 3B CB 0F 83 5B 02 00 00 41 BB FD BF 00 00 66 45 3B C3 0F 87 45 02 00 00 41 BA BF 3F 00 00 66 45 3B C2 77 16 49 C7 41 04 00 00 00 00 41 89 39 41 BB FF 7F 00 00 E9 44 02 00 00 66 85 C0 75 20 66 44 03 C6 41 F7 41 08 FF FF FF 7F 75 12 41 39 79 04 75 0C 41 39 39 75 07 66 41 89 79 0A EB D0 66 85 C9 75 16 66 44 03 C6 F7 42 08 FF FF FF 7F 75 09 39 7A 04 75 04 39 3A 74 AA 45 33 F6 4C 8D 55 D8 45 8D 5E 05 45 8B FE 45 8B E3 45 85 DB 7E 5C 43 8D 04 3F 41 8B DF 4C 8D 6A 08 48 98 23 DE 49 03 C1 4C 8B C8 41 0F B7 45 00 41 0F B7 09 41 8B F6 0F AF C8 41 8B 02 8D 3C 08 3B F8 72 04 3B F9 73 05 BE 01 00 00 00 85 F6 41 89 3A BE 01 00 00 00 74 05 66 41 01 72 04 44 2B E6 49 83 C1 02 49 83 ED 02 45 85 E4 7F BD 4C 8B 4D C0 44 2B DE 49 83 C2 02 44 03 FE 45 85 DB 7F 8D 44 8B 55 E0 44 8B 5D D8 B8 02 C0 00 00 66 44 03 C0 41 BC FF FF 00 00 66 45 85 C0 7E 3C 45 85 D2 78 31 8B 7D DC 41 8B D3 45 03 D2 C1 EA 1F 45 03 DB 8B CF C1 E9 1F 8D 04 3F 66 45 03 C4 0B C2 44 0B D1 44 89 5D D8 89 45 DC 44 89 55 E0 66 45 85 C0 7F CA 66 45 85 C0 7F 66 66 45 03 C4 79 60 44 8B 4D B4 41 0F B7 C0 66 F7 D8 0F B7 D0 66 44 03 C2 40 84 75 D8 74 03 44 03 CE 8B 7D DC 41 8B C2 41 D1 EB 8B CF C1 E0 1F D1 EF C1 E1 1F 0B F8 41 D1 EA 44 0B D9 89 7D DC 44 89 5D D8 48 2B D6 75 D0 45 85 C9 4C 8B 4D C0 44 89 55 E0 74 11 41 0F B7 C3 66 0B C6 66 89 45 D8 44 8B 5D D8 EB 04 0F B7 45 D8 8B 5D B8 4C 8B 75 C8 41 BF 00 80 00 00 66 41 3B C7 77 10 41 81 E3 FF FF 01 00 41 81 FB 00 80 01 00 75 46 8B 45 DA 83 F8 FF 75 39 8B 45 DE 33 FF 89 7D DA 83 F8 FF 75 21 0F B7 45 E2 89 7D DE 66 41 3B C4 75 0B 66 44 89 7D E2 66 44 03 C6 EB 0E 66 03 C6 66 89 45 E2 EB 05 03 C6 89 45 DE 44 8B 55 E0 EB 07 03 C6 89 45 DA 33 FF 41 BB FF 7F 00 00 66 45 3B C3 72 09 0F B7 45 B0 66 F7 D8 EB 29 0F B7 45 DA 66 44 0B 45 B0 45 89 51 06 66 41 89 01 8B 45 DC 66 45 89 41 0A 41 89 41 02 EB 21 41 BB FF 7F 00 00 66 41 F7 DA 1B C0 49 C7 01 00 00 00 00 25 00 00 00 80 05 00 80 FF 7F 41 89 41 08 85 DB 0F 85 F1 FC FF FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_58_5_0 {
	meta:
		name = "__shl_12"
		size = 44
	strings:
		$1 = { 8B 01 8B 51 04 44 8B C0 03 C0 44 8B CA 89 01 8D 04 12 41 C1 E8 1F 41 0B C0 41 C1 E9 1F 89 41 04 8B 41 08 03 C0 41 0B C1 89 41 08 C3 }
	condition:
		$1
}

rule file_58_6_0 {
	meta:
		name = "__shr_12"
		size = 43
	strings:
		$1 = { 8B 41 08 8B 51 04 44 8B C0 D1 E8 44 8B CA 89 41 08 8B 01 41 C1 E0 1F 41 C1 E1 1F D1 EA D1 E8 41 0B C1 41 0B D0 89 01 89 51 04 C3 }
	condition:
		$1
}

rule file_59_0_0 {
	meta:
		name = "realloc"
		size = 211
		refs = "001e malloc 002a free 0039 _crtheap 0053 __imp_HeapReAlloc 0061 _newmode 006b _callnewh 0082 _errno 00a8 __imp_GetLastError 00af _get_errno_from_oserr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B DA 48 8B F9 48 85 C9 75 0A 48 8B CA E8 ?? ?? ?? ?? EB 6A 48 85 D2 75 07 E8 ?? ?? ?? ?? EB 5C 48 83 FA E0 77 43 48 8B 0D ?? ?? ?? ?? B8 01 00 00 00 48 85 DB 48 0F 44 D8 4C 8B C7 33 D2 4C 8B CB FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 6F 39 05 ?? ?? ?? ?? 74 50 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 2B 48 83 FB E0 76 BD 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 EB D5 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 48 8B C6 EB BB }
	condition:
		$1
}

rule file_61_0_0 {
	meta:
		name = "_makepath_s"
		size = 328
		refs = "0085 _mbsdec 010d _errno 012c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B F2 4C 8B F1 48 85 C9 0F 84 FB 00 00 00 48 85 D2 0F 84 F2 00 00 00 33 FF 48 8B D9 4D 85 C0 74 21 41 8A 00 84 C0 74 1A BF 02 00 00 00 48 3B D7 0F 86 BC 00 00 00 48 8D 59 01 88 01 C6 03 3A 48 FF C3 49 8B D1 4D 85 C9 74 41 41 80 39 00 74 3B 48 FF C7 48 3B FE 0F 83 96 00 00 00 8A 02 48 FF C2 88 03 48 FF C3 80 3A 00 75 E5 49 8B C9 E8 ?? ?? ?? ?? 80 38 2F 74 13 80 38 5C 74 0E 48 FF C7 48 3B FE 73 6D C6 03 5C 48 FF C3 48 8B 4C 24 50 48 85 C9 74 19 EB 12 48 FF C7 48 3B FE 73 53 8A 01 88 03 48 FF C3 48 FF C1 80 39 00 75 E9 48 8B 4C 24 58 48 85 C9 74 31 8A 01 84 C0 74 2B 3C 2E 74 22 48 FF C7 48 3B FE 73 28 C6 03 2E 48 FF C3 EB 12 48 FF C7 48 3B FE 73 18 8A 01 88 03 48 FF C3 48 FF C1 80 39 00 75 E9 48 8D 47 01 48 3B C6 76 10 41 C6 06 00 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 11 C6 03 00 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "_fwscanf_l"
		size = 49
		refs = "001f _winput_l 0028 vfwscanf_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "_fscanf_l"
		size = 49
		refs = "001f _input_l 0028 vfscanf_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_157_1_0 {
	meta:
		name = "_fscanf_s_l"
		size = 49
		refs = "001f _input_s_l 0028 vfscanf_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_62_1_0 {
	meta:
		name = "_fwscanf_s_l"
		size = 49
		refs = "001f _winput_s_l 0028 vfwscanf_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_868_0_0 {
	meta:
		name = "_sscanf_l"
		size = 49
		refs = "001f _input_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_868_1_0 {
	meta:
		name = "_sscanf_s_l"
		size = 49
		refs = "001f _input_s_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_128_0_0 {
	meta:
		name = "_swscanf_l"
		size = 49
		refs = "001f _winput_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_128_1_0 {
	meta:
		name = "_swscanf_s_l"
		size = 49
		refs = "001f _winput_s_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_62_2_0 {
	meta:
		name = "fwscanf"
		size = 53
		refs = "0020 _winput_l 002c vfwscanf_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_157_2_0 {
	meta:
		name = "fscanf"
		size = 53
		refs = "0020 _input_l 002c vfscanf_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_157_3_0 {
	meta:
		name = "fscanf_s"
		size = 53
		refs = "0020 _input_s_l 002c vfscanf_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_62_3_0 {
	meta:
		name = "fwscanf_s"
		size = 53
		refs = "0020 _winput_s_l 002c vfwscanf_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_868_2_0 {
	meta:
		name = "sscanf"
		size = 53
		refs = "0020 _input_l 002c vscan_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_868_3_0 {
	meta:
		name = "sscanf_s"
		size = 53
		refs = "0020 _input_s_l 002c vscan_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_128_2_0 {
	meta:
		name = "swscanf"
		size = 53
		refs = "0020 _winput_l 002c vscan_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_128_3_0 {
	meta:
		name = "swscanf_s"
		size = 53
		refs = "0020 _winput_s_l 002c vscan_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_62_4_0 {
	meta:
		name = "vfwscanf"
		size = 35
		refs = "0012 _winput_l 001a vfwscanf_fn"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_150_1_0 {
	meta:
		name = "_vfprintf_p"
		size = 35
		refs = "0012 _output_p_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_757_1_0 {
	meta:
		name = "_vfwprintf_p"
		size = 35
		refs = "0012 _woutput_p_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_150_4_0 {
	meta:
		name = "vfprintf"
		size = 35
		refs = "0012 _output_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_150_7_0 {
	meta:
		name = "vfprintf_s"
		size = 35
		refs = "0012 _output_s_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_157_4_0 {
	meta:
		name = "vfscanf"
		size = 35
		refs = "0012 _input_l 001a vfscanf_fn"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_157_7_0 {
	meta:
		name = "vfscanf_s"
		size = 35
		refs = "0012 _input_s_l 001a vfscanf_fn"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_757_4_0 {
	meta:
		name = "vfwprintf"
		size = 35
		refs = "0012 _woutput_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_757_7_0 {
	meta:
		name = "vfwprintf_s"
		size = 35
		refs = "0012 _woutput_s_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_62_7_0 {
	meta:
		name = "vfwscanf_s"
		size = 35
		refs = "0012 _winput_s_l 001a vfwscanf_fn"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_868_5_0 {
	meta:
		name = "vsscanf"
		size = 35
		refs = "0012 _input_l 001a vscan_fn"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_868_6_0 {
	meta:
		name = "vsscanf_s"
		size = 35
		refs = "0012 _input_s_l 001a vscan_fn"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_128_5_0 {
	meta:
		name = "vswscanf"
		size = 35
		refs = "0012 _winput_l 001a vscan_fn"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_128_6_0 {
	meta:
		name = "vswscanf_s"
		size = 35
		refs = "0012 _winput_s_l 001a vscan_fn"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_62_5_0 {
	meta:
		name = "vfwscanf_fn"
		size = 142
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0056 _lock_file 0072 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 41 56 48 83 EC 20 49 8B F1 49 8B F8 48 8B DA 4C 8B F1 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 32 33 C0 4D 85 C0 0F 95 C0 85 C0 74 DF 48 8B CA E8 ?? ?? ?? ?? 90 4C 8B 4C 24 50 4C 8B C6 48 8B D7 48 8B CB 41 FF D6 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_64_0_0 {
	meta:
		name = "_fread_nolock"
		size = 29
		refs = "0014 _fread_nolock_s"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_64_2_0 {
	meta:
		name = "fread"
		size = 29
		refs = "0014 fread_s"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_64_1_0 {
	meta:
		name = "_fread_nolock_s"
		size = 543
		refs = "003d _errno 0048 _invalid_parameter_noinfo 008a memset 010d memcpy_s 0178 _fileno 018a _read_nolock 01a6 _filbuf"
	strings:
		$1 = { 48 89 5C 24 18 4C 89 4C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4D 8B F0 48 8B EA 4C 8B E1 4C 8B F9 48 89 4C 24 68 4C 8B EA 4D 85 C0 74 1A 4D 85 C9 74 15 48 85 C9 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 70 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 48 8B BC 24 80 00 00 00 48 85 FF 74 0E 33 D2 48 83 C8 FF 49 F7 F6 4C 3B C8 76 28 48 83 FD FF 74 0F 4C 8B C5 33 D2 E8 ?? ?? ?? ?? 4C 8B 4C 24 78 48 85 FF 74 A4 33 D2 48 83 C8 FF 49 F7 F6 4C 3B C8 77 96 49 8B DE 49 0F AF D9 F7 47 18 0C 01 00 00 48 8B F3 74 05 8B 4F 24 EB 05 B9 00 10 00 00 89 4C 24 60 48 85 DB 0F 84 0A 01 00 00 F7 47 18 0C 01 00 00 41 B9 FF FF FF 7F 74 58 4C 63 7F 08 45 85 FF 74 4A 0F 88 17 01 00 00 49 3B F7 44 0F 42 FE 45 8B CF 4D 3B CD 0F 87 E1 00 00 00 4C 8B 07 48 8B 4C 24 68 49 8B D5 E8 ?? ?? ?? ?? 44 29 7F 08 41 8B C7 4C 8B 7C 24 68 48 2B F0 48 01 07 8B 4C 24 60 4C 03 F8 4C 2B E8 E9 95 00 00 00 4C 8B 7C 24 68 44 8B C1 49 3B F0 72 63 85 C9 74 1F 33 D2 49 3B F1 76 0A 41 8B C1 45 8B F9 F7 F1 EB 09 48 8B C6 44 8B FE 49 F7 F0 44 2B FA EB 0A 44 8B FE 49 3B F1 45 0F 47 F9 41 8B C7 49 3B C5 77 6E 48 8B CF E8 ?? ?? ?? ?? 45 8B C7 4C 8B 7C 24 68 49 8B D7 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 83 00 00 00 83 F8 FF 74 6A 8B C0 48 2B F0 EB 81 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 5A 4D 85 ED 74 2E 41 88 07 8B 4F 24 48 FF CE 49 FF C7 49 FF CD 89 4C 24 60 4C 89 7C 24 68 48 85 F6 0F 85 FB FE FF FF 4C 8B 4C 24 78 49 8B C1 E9 6C FE FF FF 48 83 FD FF 74 0D 4C 8B C5 33 D2 49 8B CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 42 FE FF FF 83 4F 18 20 48 2B DE 33 D2 48 8B C3 49 F7 F6 E9 35 FE FF FF 83 4F 18 10 EB EA }
	condition:
		$1
}

rule file_64_3_0 {
	meta:
		name = "fread_s"
		size = 167
		refs = "0045 memset 004a _errno 0055 _invalid_parameter_noinfo 005f _lock_file 0076 _fread_nolock_s 0081 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 49 8B F1 4D 8B F8 48 8B FA 4C 8B F1 4D 85 C0 74 60 4D 85 C9 74 5B 48 8B 5C 24 60 48 85 DB 75 22 48 83 FA FF 74 0A 4C 8B C2 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 2F 48 8B CB E8 ?? ?? ?? ?? 90 48 89 5C 24 20 4C 8B CE 4D 8B C7 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_64_4_0 {
	meta:
		name = "fread_s$fin$0"
		size = 24
		refs = "0013 _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 48 8B 4D 60 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_65_0_0 {
	meta:
		name = "fabs"
		size = 224
		refs = "002e _ctrlfp 004b _sptype 006f _except1 0081 _handle_qnan1 0095 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 44 24 08 57 48 83 EC 40 0F 57 C9 BF C0 FF 00 00 B9 80 1F 00 00 8B D7 0F 29 74 24 30 0F 28 F0 F2 0F 11 4C 24 58 E8 ?? ?? ?? ?? 0F B7 4C 24 56 48 8B D8 B8 F0 7F 00 00 66 23 C8 66 3B C8 75 64 0F 28 C6 E8 ?? ?? ?? ?? FF C8 74 48 FF C8 74 30 FF C8 74 1A BA 15 00 00 00 0F 28 DE 0F 28 D6 48 89 5C 24 20 8D 4A F3 E8 ?? ?? ?? ?? EB 5B 0F 28 CE 4C 8B C3 B9 15 00 00 00 E8 ?? ?? ?? ?? EB 49 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 0F 57 35 ?? ?? ?? ?? EB 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 0F 28 C6 EB 25 8B 44 24 54 48 8B D7 48 8B CB 0F BA F0 1F 89 44 24 5C 8B 44 24 50 89 44 24 58 E8 ?? ?? ?? ?? F2 0F 10 44 24 58 48 8B 5C 24 60 0F 28 74 24 30 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_66_0_0 {
	meta:
		name = "_wputenv"
		size = 50
		refs = "000f _lock 001a _wputenv_helper 0026 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 D2 48 8B CB E8 ?? ?? ?? ?? 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_701_0_0 {
	meta:
		name = "_putenv"
		size = 50
		refs = "000f _lock 001a _putenv_helper 0026 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 D2 48 8B CB E8 ?? ?? ?? ?? 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_66_1_0 {
	meta:
		name = "_wputenv$fin$0"
		size = 25
		refs = "0014 _unlock"
		altNames = "_putenv$fin$0 _putenv_s$fin$0 _wgetenv$fin$0 _wputenv_s$fin$0 getenv$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 07 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_66_2_0 {
	meta:
		name = "_wputenv_helper"
		size = 700
		refs = "0025 __env_initialized 003d _errno 0048 _invalid_parameter_noinfo 005b wcschr 0083 wcsnlen 0090 wcslen 00a1 _calloc_crt 0110 wcscpy_s 0146 __crtwsetenv 015c free 0168 _environ 0199 __imp_WideCharToMultiByte 023f strlen 0284 __crtsetenv"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 55 57 41 54 41 56 41 57 48 8B EC 48 83 EC 40 45 33 E4 48 8B F2 48 8B F9 44 39 25 ?? ?? ?? ?? 4C 89 65 48 75 08 83 C8 FF E9 6E 02 00 00 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB E1 48 85 D2 75 67 44 8D 7A 3D 41 8B D7 E8 ?? ?? ?? ?? 48 85 C0 74 28 48 8B C8 48 2B CF 48 83 E1 FE 48 81 F9 FE FF 00 00 7D C5 BB FF 7F 00 00 48 8D 48 02 8B D3 E8 ?? ?? ?? ?? 48 3B C3 73 B0 48 8B CF E8 ?? ?? ?? ?? BA 02 00 00 00 48 8D 48 01 48 8B D8 E8 ?? ?? ?? ?? 48 89 45 48 48 85 C0 74 81 4C 8B C7 48 8D 53 01 48 8B C8 EB 7D BB FF 7F 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 48 8B CE 4C 8B F0 E8 ?? ?? ?? ?? 4C 3B F3 0F 83 60 FF FF FF 48 3B C3 0F 83 57 FF FF FF 48 8D 58 02 BA 02 00 00 00 49 03 DE 48 8B CB E8 ?? ?? ?? ?? 48 89 45 48 48 85 C0 0F 84 29 FF FF FF 4C 8B C7 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B 45 48 41 BF 3D 00 00 00 66 46 89 3C 70 48 8B 45 48 49 FF C6 49 2B DE 4C 8B C6 4A 8D 0C 70 48 8B D3 E8 ?? ?? ?? ?? 48 8D 4D 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 48 8B 4D 48 48 85 C9 0F 84 D4 FE FF FF E8 ?? ?? ?? ?? E9 CA FE FF FF 4C 39 25 ?? ?? ?? ?? 0F 84 31 01 00 00 4C 89 64 24 38 4C 89 64 24 30 83 CB FF 4C 8B C7 33 D2 33 C9 44 8B CB 44 89 64 24 28 4C 89 65 40 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 44 8B F0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B C3 E9 EF 00 00 00 48 85 F6 74 2E 4C 89 64 24 38 4C 89 64 24 30 44 8B CB 4C 8B C6 33 D2 33 C9 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 C1 41 FF C6 44 03 F0 49 63 CE BA 01 00 00 00 E8 ?? ?? ?? ?? 48 89 45 40 48 85 C0 74 B0 4C 89 64 24 38 4C 89 64 24 30 44 8B CB 4C 8B C7 33 D2 33 C9 44 89 74 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0E 48 8B 4D 40 E8 ?? ?? ?? ?? E9 6F FF FF FF 48 85 F6 74 43 48 8B 4D 40 E8 ?? ?? ?? ?? 48 8B 4D 40 4C 89 64 24 38 44 88 3C 08 48 FF C0 4C 89 64 24 30 44 2B F0 48 03 45 40 44 8B CB 4C 8B C6 33 D2 33 C9 44 89 74 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 AA 48 8D 4D 40 33 D2 E8 ?? ?? ?? ?? 85 C0 74 17 48 8B 4D 40 48 85 C9 0F 84 16 FF FF FF E8 ?? ?? ?? ?? E9 0C FF FF FF 33 C0 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 40 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_66_3_0 {
	meta:
		name = "_wputenv_s"
		size = 117
		refs = "0024 _errno 0030 _invalid_parameter_noinfo 003e _lock 004a _wputenv_helper 005f _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B F1 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 2D B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? 8B 18 B9 07 00 00 00 E8 ?? ?? ?? ?? EB CF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_701_3_0 {
	meta:
		name = "_putenv_s"
		size = 117
		refs = "0024 _errno 0030 _invalid_parameter_noinfo 003e _lock 004a _putenv_helper 005f _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B F1 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 2D B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? 8B 18 B9 07 00 00 00 E8 ?? ?? ?? ?? EB CF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_67_0_0 {
	meta:
		name = "feof"
		size = 40
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 06 8B 41 18 83 E0 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_67_1_0 {
	meta:
		name = "ferror"
		size = 40
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 06 8B 41 18 83 E0 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_68_4_0 {
	meta:
		name = "_mbsbtype_l"
		size = 179
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0066 _mbbtype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B F9 48 8B F2 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CB FF EB 50 48 8B 44 24 28 83 78 08 00 75 04 33 DB EB 41 83 CB FF 8B D3 48 85 F6 75 05 40 38 37 74 32 8A 0F 84 C9 74 1C 4C 8D 44 24 20 E8 ?? ?? ?? ?? 48 FF C7 8B D0 48 8B C6 48 FF CE 48 85 C0 74 14 EB D4 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 8B C2 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_69_0_0 {
	meta:
		name = "_flsbuf"
		size = 395
		refs = "001e _fileno 002e _errno 008d __iob_func 00ab _isatty 00b7 _getbuf 00ea _write 010e __pioinfo 0126 __badioinfo 0139 _lseeki64"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 89 48 08 57 48 83 EC 20 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 8B 4B 18 48 63 F0 F6 C1 82 75 17 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 4B 18 20 83 C8 FF E9 32 01 00 00 F6 C1 40 74 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB E2 33 FF F6 C1 01 74 19 89 7B 08 F6 C1 10 0F 84 89 00 00 00 48 8B 43 10 83 E1 FE 48 89 03 89 4B 18 8B 43 18 89 7B 08 83 E0 EF 83 C8 02 89 43 18 A9 0C 01 00 00 75 2F E8 ?? ?? ?? ?? 48 83 C0 30 48 3B D8 74 0E E8 ?? ?? ?? ?? 48 83 C0 60 48 3B D8 75 0B 8B CE E8 ?? ?? ?? ?? 85 C0 75 08 48 8B CB E8 ?? ?? ?? ?? F7 43 18 08 01 00 00 0F 84 8B 00 00 00 8B 2B 48 8B 53 10 2B 6B 10 48 8D 42 01 48 89 03 8B 43 24 FF C8 89 43 08 85 ED 7E 19 44 8B C5 8B CE E8 ?? ?? ?? ?? 8B F8 EB 55 83 C9 20 89 4B 18 E9 3F FF FF FF 8D 46 02 83 F8 01 76 1E 48 8B CE 48 8B C6 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 C1 F8 05 48 6B D1 58 49 03 14 C0 EB 07 48 8D 15 ?? ?? ?? ?? F6 42 08 20 74 17 33 D2 8B CE 44 8D 42 02 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 F1 FE FF FF 48 8B 4B 10 8A 44 24 30 88 01 EB 16 BD 01 00 00 00 48 8D 54 24 30 8B CE 44 8B C5 E8 ?? ?? ?? ?? 8B F8 3B FD 0F 85 C7 FE FF FF 0F B6 44 24 30 48 8B 5C 24 38 48 8B 6C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_70_0_0 {
	meta:
		name = "_mkdir"
		size = 70
		refs = "0018 __copy_path_to_wide_string 002e _wmkdir 003a free"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 89 5C 24 30 48 85 C9 74 18 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 1B 48 8B 5C 24 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_423_0_0 {
	meta:
		name = "_rmdir"
		size = 70
		refs = "0018 __copy_path_to_wide_string 002e _wrmdir 003a free"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 89 5C 24 30 48 85 C9 74 18 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 1B 48 8B 5C 24 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1181_1_0 {
	meta:
		name = "remove"
		size = 70
		refs = "0018 __copy_path_to_wide_string 002e _wremove 003a free"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 89 5C 24 30 48 85 C9 74 18 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 1B 48 8B 5C 24 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_71_0_0 {
	meta:
		name = "sin"
		size = 1300
		refs = "0006 __use_fma3_lib 002b L_piby4 0044 L_small_arg_cw 0056 L_2_by_pi 0069 L_one_half 0071 L_real_piby2_1 007d L_real_piby2_1tail 00a1 L_real_piby2_2 00ae L_real_piby2_2tail 010c __Lsinarray 01b0 __Lcosarray 01d6 L_one 02f3 L__inf_mask_64 02ff __remainder_piby2_forAsm 0321 _sin_special 034d L_two_to_neg_13 0356 L_two_to_neg_27 037d L_one_sixth 03f5 L_small_arg_bdl 0400 __remainder_piby2_fma3_bdl 04d9 L_signbit 0506 __remainder_piby2_fma3"
	strings:
		$1 = { 48 83 EC 78 83 3D ?? ?? ?? ?? 00 0F 85 1F 03 00 00 66 48 0F 7E C2 66 0F 57 D2 4C 8B D2 41 B8 01 00 00 00 49 0F BA F2 3F 4C 3B 15 ?? ?? ?? ?? 0F 82 4B 02 00 00 4C 8B DA 49 C1 EB 3F 66 49 0F 6E C2 4C 3B 15 ?? ?? ?? ?? 0F 83 A2 02 00 00 66 0F 28 D0 F2 0F 59 15 ?? ?? ?? ?? 66 0F 28 E0 4D 8B CA 49 C1 E9 34 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 66 0F 28 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? 66 48 0F 7E C1 F2 0F 10 2D ?? ?? ?? ?? 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 66 0F 28 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 66 0F 28 C4 66 0F 28 CD F2 0F 5C C5 F2 0F 5C E0 F2 0F 5C E1 66 0F 28 D8 66 0F 28 D0 F2 0F 59 D0 0F BA E0 00 0F 82 98 00 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? F2 0F 11 64 24 30 66 0F 28 CA F2 0F 59 CA F2 0F 11 44 24 40 F2 0F 59 EA 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 44 24 30 F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 DD F2 0F 59 E3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 58 44 24 40 E9 AF 00 00 00 0F 1F 80 00 00 00 00 F2 0F 59 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EA 66 0F 28 DA F2 0F 11 64 24 30 F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 66 0F 28 E2 F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 5C EC F2 0F 59 CB F2 0F 58 C1 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 5C 6C 24 30 F2 0F 59 C2 F2 0F 58 C5 F2 0F 5C C4 D1 E8 8B C8 41 23 C3 F7 D1 41 F7 D3 41 23 CB 0B C1 83 E0 01 75 12 66 0F 28 D0 66 0F 57 C0 F2 0F 5C C2 66 0F 1F 44 00 00 48 83 C4 78 C3 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 28 D0 F2 0F 59 D0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? 66 0F 28 CA F2 0F 59 CA F2 0F 59 EA 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 DD F2 0F 59 E3 F2 0F 58 C4 EB 82 66 90 4C 3B 15 ?? ?? ?? ?? 73 27 4C 89 5C 24 30 E8 ?? ?? ?? ?? 4C 8B 5C 24 30 66 0F 28 E1 E9 E1 FD FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 78 C3 66 0F 1F 44 00 00 C4 C1 F9 7E C1 4D 8B D1 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 83 96 00 00 00 4C 3B 0D ?? ?? ?? ?? 73 3D 4C 3B 0D ?? ?? ?? ?? 73 14 48 83 C4 78 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB 59 C8 C5 F3 59 C8 C4 E2 F1 BD 05 ?? ?? ?? ?? 48 83 C4 78 C3 66 66 0F 1F 84 00 00 00 00 00 C5 FB 10 2D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C5 FB 59 E3 C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 D9 B9 C5 48 83 C4 78 C3 66 0F 1F 84 00 00 00 00 00 4C 3B 0D ?? ?? ?? ?? 0F 83 33 FF FF FF C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 0F 83 01 01 00 00 E8 ?? ?? ?? ?? 48 0F BA E0 00 C5 FB 59 D8 72 61 C5 FB 10 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C5 FB 59 E3 C5 DB 59 D5 C5 F3 59 2D ?? ?? ?? ?? C5 D3 5C D2 C5 E3 59 D2 C5 EB 5C D1 C4 E2 D9 BD 15 ?? ?? ?? ?? C5 FB 5C C2 EB 6D 66 66 0F 1F 84 00 00 00 00 00 C5 F9 28 15 ?? ?? ?? ?? C5 E3 59 2D ?? ?? ?? ?? C5 EB 5C E5 C5 EB 5C D4 C5 EB 5C D5 C5 FB 10 2D ?? ?? ?? ?? C4 E2 F9 BD D1 C5 E3 59 CB C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 F1 A9 EA C5 D3 58 C4 4D 33 C0 4C 23 15 ?? ?? ?? ?? 0F BA E0 01 4C 0F 42 05 ?? ?? ?? ?? 4D 33 C2 C4 C1 F9 6E D8 C5 F9 57 C3 48 83 C4 78 C3 66 0F 1F 44 00 00 4C 89 54 24 50 E8 ?? ?? ?? ?? 4C 8B 54 24 50 E9 F0 FE FF FF }
	condition:
		$1
}

rule file_73_0_0 {
	meta:
		name = "_read"
		size = 284
		refs = "002a __doserrno 0033 _errno 004e _nhandle 0065 __pioinfo 00a7 __lock_fhandle 00c2 _read_nolock 00e2 _unlock_fhandle 00fd _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 89 4C 24 08 57 41 54 41 55 41 56 41 57 48 83 EC 20 41 8B F0 4C 8B FA 48 63 F9 83 FF FE 75 19 E8 ?? ?? ?? ?? 33 DB 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 BF 00 00 00 33 DB 85 C9 0F 88 9E 00 00 00 3B 3D ?? ?? ?? ?? 0F 83 92 00 00 00 48 8B C7 4C 8B F7 49 C1 FE 05 4C 8D 2D ?? ?? ?? ?? 83 E0 1F 4C 6B E0 58 4B 8B 44 F5 00 42 0F BE 4C 20 08 83 E1 01 74 6A 8B C3 41 81 F8 FF FF FF 7F 0F 96 C0 85 C0 75 14 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 58 8B CF E8 ?? ?? ?? ?? 90 4B 8B 44 F5 00 42 F6 44 20 08 01 74 11 44 8B C6 49 8B D7 8B CF E8 ?? ?? ?? ?? 8B D8 EB 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 89 18 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_73_1_0 {
	meta:
		name = "_read$fin$0"
		size = 23
		refs = "0012 _unlock_fhandle"
		altNames = "_filelength$fin$0 _filelengthi64$fin$0 _locking$fin$0 _lseek$fin$0 _lseeki64$fin$0 _write$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 50 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_73_2_0 {
	meta:
		name = "_read_nolock"
		size = 2160
		refs = "003b __doserrno 0042 _errno 005c _nhandle 006f __ImageBase 007e __pioinfo 010a _malloc_crt 013b _lseeki64_nolock 021b _isatty 0248 __imp_GetConsoleMode 027f __imp_ReadConsoleW 0289 __imp_GetLastError 0290 _dosmaperr 02cb __imp_ReadFile 04bf _lookuptrailbytes 0578 __imp_MultiByteToWideChar 0653 free 0858 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 58 41 8B D8 33 FF 4C 63 C1 4C 8B CA C7 45 E0 FE FF FF FF 89 7D E8 89 5D F0 41 83 F8 FE 75 17 E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 0B 08 00 00 85 C9 0F 88 EC 07 00 00 44 3B 05 ?? ?? ?? ?? 0F 83 DF 07 00 00 49 8B C0 4D 8B E8 4C 8D 15 ?? ?? ?? ?? 83 E0 1F 49 C1 FD 05 4B 8B 8C EA ?? ?? ?? ?? 4C 6B F0 58 42 8A 44 31 08 A8 01 0F 84 B2 07 00 00 81 FB FF FF FF 7F 76 17 E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 A5 07 00 00 8B F7 85 DB 0F 84 85 07 00 00 A8 02 0F 85 7D 07 00 00 48 85 D2 74 D2 42 8A 54 31 38 41 BB 04 00 00 00 02 D2 D0 FA 0F BE CA 88 55 60 FF C9 74 14 FF C9 75 0B 8B C3 F7 D0 A8 01 74 AD 83 E3 FE 4D 8B F9 EB 64 8B C3 F7 D0 A8 01 74 9D D1 EB 41 3B DB 41 0F 42 DB 8B CB E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 75 1B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 E9 2B 07 00 00 8B 4D 48 33 D2 44 8D 42 01 E8 ?? ?? ?? ?? 8A 55 60 44 8B 45 48 4C 8D 15 ?? ?? ?? ?? 4B 8B 8C EA ?? ?? ?? ?? 4A 89 44 31 40 4B 8B 84 EA ?? ?? ?? ?? 4D 8B E7 41 B9 0A 00 00 00 42 F6 44 30 08 48 0F 84 A0 00 00 00 42 8A 4C 30 09 41 3A C9 0F 84 92 00 00 00 85 DB 0F 84 8A 00 00 00 41 88 0F 4B 8B 84 EA ?? ?? ?? ?? 41 83 CB FF 41 03 DB 4D 8D 67 01 41 8D 71 F7 46 88 4C 30 09 84 D2 74 67 4B 8B 84 EA ?? ?? ?? ?? 42 8A 4C 30 39 41 3A C9 74 55 85 DB 74 51 41 88 0C 24 4B 8B 84 EA ?? ?? ?? ?? 41 03 DB 49 FF C4 41 8D 71 F8 46 88 4C 30 39 80 FA 01 75 31 4B 8B 84 EA ?? ?? ?? ?? 42 8A 4C 30 3A 41 3A C9 74 1F 85 DB 74 1B 41 88 0C 24 4B 8B 84 EA ?? ?? ?? ?? 49 FF C4 41 8D 71 F9 41 03 DB 46 88 4C 30 3A 41 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 80 00 00 00 48 8D 0D ?? ?? ?? ?? 4A 8B 8C E9 ?? ?? ?? ?? 42 F6 44 31 08 80 74 69 4A 8B 0C 31 48 8D 55 E8 FF 15 ?? ?? ?? ?? 89 45 E8 85 C0 74 54 80 7D 60 02 75 4E 48 8D 05 ?? ?? ?? ?? D1 EB 4C 8D 4D DC 4A 8B 8C E8 ?? ?? ?? ?? 49 8B D4 44 8B C3 4A 8B 0C 31 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CB FF E9 AA 03 00 00 8B 45 DC 8D 14 00 89 55 DC EB 47 48 8D 0D ?? ?? ?? ?? 4C 8D 4D DC 44 8B C3 4A 8B 8C E9 ?? ?? ?? ?? 49 8B D4 48 89 7C 24 20 4A 8B 0C 31 FF 15 ?? ?? ?? ?? 85 C0 0F 84 34 05 00 00 48 63 55 DC 85 D2 0F 88 28 05 00 00 8B C3 48 3B D0 0F 87 1D 05 00 00 4C 8D 15 ?? ?? ?? ?? 03 F2 4B 8B 8C EA ?? ?? ?? ?? 42 8A 44 31 08 84 C0 0F 89 37 03 00 00 80 7D 60 02 0F 84 A5 02 00 00 85 D2 BA 0A 00 00 00 74 09 41 38 17 75 04 0C 04 EB 02 24 FB 42 88 44 31 08 48 63 C6 49 8B DF 49 03 C7 4D 8B E7 48 89 45 E8 4C 3B F8 0F 83 33 01 00 00 BE 0D 00 00 00 41 8A 04 24 3C 1A 0F 84 FF 00 00 00 40 3A C6 74 0D 88 03 48 FF C3 49 FF C4 E9 E1 00 00 00 48 8B 45 E8 48 FF C8 4C 3B E0 73 1A 49 8D 44 24 01 38 10 75 09 49 83 C4 02 E9 88 00 00 00 4C 8B E0 E9 B5 00 00 00 4B 8B 8C EA ?? ?? ?? ?? 4C 8D 4D DC 48 8D 55 58 4A 8B 0C 31 41 B8 01 00 00 00 49 FF C4 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0A FF 15 ?? ?? ?? ?? 85 C0 75 73 39 7D DC 74 6E 4C 8D 15 ?? ?? ?? ?? 4B 8B 84 EA ?? ?? ?? ?? 42 F6 44 30 08 48 74 1F BA 0A 00 00 00 38 55 58 74 24 40 88 33 4B 8B 8C EA ?? ?? ?? ?? 8A 45 58 42 88 44 31 09 EB 47 49 3B DF 75 0E BA 0A 00 00 00 38 55 58 75 04 88 13 EB 34 8B 4D 48 41 B8 01 00 00 00 48 83 CA FF E8 ?? ?? ?? ?? BA 0A 00 00 00 4C 8D 15 ?? ?? ?? ?? 38 55 58 74 14 EB 0C BA 0A 00 00 00 4C 8D 15 ?? ?? ?? ?? 40 88 33 48 FF C3 4C 3B 65 E8 0F 82 F7 FE FF FF EB 23 4B 8B 8C EA ?? ?? ?? ?? 42 8A 44 31 08 A8 40 75 09 0C 02 42 88 44 31 08 EB 09 41 8A 04 24 88 03 48 FF C3 8B F3 41 2B F7 80 7D 60 01 0F 85 B9 01 00 00 85 F6 0F 84 B1 01 00 00 48 FF CB F6 03 80 75 08 48 FF C3 E9 B2 00 00 00 BA 01 00 00 00 EB 0F 83 FA 04 7F 17 49 3B DF 72 12 48 FF CB FF C2 0F B6 03 42 38 BC 10 ?? ?? ?? ?? 74 E4 0F B6 0B 42 0F BE 84 11 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E9 AF FD FF FF FF C0 3B C2 75 08 48 63 C2 48 03 D8 EB 61 4B 8B 84 EA ?? ?? ?? ?? 42 F6 44 30 08 48 74 3E 48 FF C3 42 88 4C 30 09 83 FA 02 7C 12 8A 03 4B 8B 8C EA ?? ?? ?? ?? 48 FF C3 42 88 44 31 39 83 FA 03 75 12 8A 03 4B 8B 8C EA ?? ?? ?? ?? 48 FF C3 42 88 44 31 3A 48 63 C2 48 2B D8 EB 13 8B 4D 48 F7 DA 41 B8 01 00 00 00 48 63 D2 E8 ?? ?? ?? ?? 8B 45 F0 4C 8B 65 50 41 2B DF D1 E8 44 8B CB 4D 8B C7 89 44 24 28 33 D2 B9 E9 FD 00 00 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 8B F0 85 C0 75 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CB FF E9 B3 00 00 00 3B C3 8B 5D E0 48 8D 05 ?? ?? ?? ?? 4A 8B 84 E8 ?? ?? ?? ?? 40 0F 95 C7 03 F6 42 89 7C 30 48 E9 8F 00 00 00 39 7D E8 0F 84 A0 00 00 00 8B C6 4D 8B C7 4D 8B CF 99 2B C2 D1 F8 48 63 C8 49 8D 14 4F 4C 3B FA 73 5B BE 0D 00 00 00 8D 4E FD 41 0F B7 01 66 83 F8 1A 74 3B 66 3B C6 74 0E 66 41 89 00 49 83 C0 02 49 83 C1 02 EB 21 48 8D 42 FE 4C 3B C8 73 18 49 83 C1 02 66 41 39 09 75 06 66 41 89 08 EB 04 66 41 89 30 49 83 C0 02 4C 3B CA 72 BD EB 0E 4B 8B 84 EA ?? ?? ?? ?? 42 80 4C 30 08 02 4D 2B C7 49 8B F0 48 D1 FE 03 F6 8B 5D E0 4C 8B 65 50 4D 3B FC 74 08 49 8B CF E8 ?? ?? ?? ?? 83 FB FE 0F 44 DE 8B C3 E9 FB 01 00 00 85 D2 BA 0A 00 00 00 74 0A 66 41 39 17 75 04 0C 04 EB 02 24 FB 42 88 44 31 08 48 63 C6 49 8B DF 49 03 C7 4D 8B E7 48 89 45 60 4C 3B F8 0F 83 6A 01 00 00 BE 0D 00 00 00 41 0F B7 04 24 66 83 F8 1A 0F 84 30 01 00 00 66 3B C6 74 10 66 89 03 48 83 C3 02 49 83 C4 02 E9 0F 01 00 00 48 8B 45 60 48 83 C0 FE 4C 3B E0 73 1B 49 8D 44 24 02 66 39 10 75 09 49 83 C4 04 E9 B0 00 00 00 4C 8B E0 E9 E0 00 00 00 4B 8B 8C EA ?? ?? ?? ?? 4C 8D 4D DC 48 8D 55 D8 4A 8B 0C 31 41 B8 02 00 00 00 49 83 C4 02 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0E FF 15 ?? ?? ?? ?? 85 C0 0F 85 99 00 00 00 39 7D DC 0F 84 90 00 00 00 4C 8D 15 ?? ?? ?? ?? 4B 8B 84 EA ?? ?? ?? ?? 42 F6 44 30 08 48 74 3D BA 0A 00 00 00 66 39 55 D8 74 42 66 89 33 8A 45 D8 4B 8B 8C EA ?? ?? ?? ?? 42 88 44 31 09 8A 45 D9 4B 8B 8C EA ?? ?? ?? ?? 42 88 44 31 39 4B 8B 84 EA ?? ?? ?? ?? 42 88 54 30 3A EB 4B 49 3B DF 75 10 BA 0A 00 00 00 66 39 55 D8 75 05 66 89 13 EB 36 8B 4D 48 48 C7 C2 FE FF FF FF 44 8D 42 03 E8 ?? ?? ?? ?? BA 0A 00 00 00 4C 8D 15 ?? ?? ?? ?? 66 39 55 D8 74 15 EB 0C BA 0A 00 00 00 4C 8D 15 ?? ?? ?? ?? 66 89 33 48 83 C3 02 4C 3B 65 60 0F 82 C3 FE FF FF EB 26 4B 8B 8C EA ?? ?? ?? ?? 42 8A 44 31 08 A8 40 75 09 0C 02 42 88 44 31 08 EB 0C 41 0F B7 04 24 66 89 03 48 83 C3 02 41 2B DF 8B F3 E9 38 FE FF FF FF 15 ?? ?? ?? ?? 83 F8 05 75 1B E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E9 63 FA FF FF 83 F8 6D 0F 85 53 FA FF FF 8B DF E9 05 FE FF FF 33 C0 EB 1A E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 58 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_74_0_0 {
	meta:
		name = "__vdecl_fmod2"
		size = 61
		refs = "0011 fmod"
	strings:
		$1 = { 48 83 EC 48 F3 0F 7F 44 24 20 F3 0F 7F 4C 24 30 E8 ?? ?? ?? ?? 66 0F D6 44 24 20 F3 0F 7E 44 24 28 F3 0F 7E 4C 24 38 E8 ?? ?? ?? ?? 66 0F D6 44 24 28 F3 0F 6F 44 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_75_0_0 {
	meta:
		name = "?_inconsistency@@YAXXZ"
		size = 32
		refs = "0007 ?__pInconsistency@@3P6AXXZEA 000d __imp_DecodePointer 001b ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 04 FF D0 EB 00 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_75_1_0 {
	meta:
		name = "?terminate@@YAXXZ"
		size = 31
		refs = "0005 _getptd 001a abort"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 D0 00 00 00 48 85 C9 74 04 FF D1 EB 00 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_75_2_0 {
	meta:
		name = "?unexpected@@YAXXZ"
		size = 29
		refs = "0005 _getptd 0018 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 D8 00 00 00 48 85 C9 74 02 FF D1 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_75_3_0 {
	meta:
		name = "_initp_eh_hooks"
		size = 29
		refs = "0007 ?terminate@@YAXXZ 000d __imp_EncodePointer 0014 ?__pInconsistency@@3P6AXXZEA"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_76_1_0 {
	meta:
		name = "?_invoke_watson@@YAXPEBG00I_K@Z"
		size = 20
		refs = "000f _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_76_2_0 {
	meta:
		name = "_call_reportfault"
		size = 242
		refs = "0021 __security_cookie 003c __crt_debugger_hook 0053 memset 006f __crtCaptureCurrentContext 00a6 __imp_IsDebuggerPresent 00b2 __crtUnhandledException 00d5 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 48 8D A8 48 FB FF FF 48 81 EC B0 05 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 04 00 00 41 8B F8 8B F2 8B D9 83 F9 FF 74 05 E8 ?? ?? ?? ?? 83 64 24 30 00 48 8D 4C 24 34 33 D2 41 B8 94 00 00 00 E8 ?? ?? ?? ?? 48 8D 44 24 30 48 8D 4D D0 48 89 44 24 20 48 8D 45 D0 48 89 44 24 28 E8 ?? ?? ?? ?? 48 8B 85 B8 04 00 00 48 89 85 C8 00 00 00 48 8D 85 B8 04 00 00 89 74 24 30 48 83 C0 08 89 7C 24 34 48 89 45 68 48 8B 85 B8 04 00 00 48 89 44 24 40 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 8B F8 E8 ?? ?? ?? ?? 85 C0 75 10 85 FF 75 0C 83 FB FF 74 07 8B CB E8 ?? ?? ?? ?? 48 8B 8D A0 04 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 05 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_76_5_0 {
	meta:
		name = "_invalid_parameter"
		size = 101
		refs = "001a __pInvalidArgHandler 0029 __imp_DecodePointer 0060 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B E9 48 8B 0D ?? ?? ?? ?? 41 8B D9 49 8B F8 48 8B F2 FF 15 ?? ?? ?? ?? 44 8B CB 4C 8B C7 48 8B D6 48 8B CD 48 85 C0 74 17 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F 48 FF E0 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_76_6_0 {
	meta:
		name = "_invalid_parameter_noinfo"
		size = 30
		refs = "0015 _invalid_parameter"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_76_7_0 {
	meta:
		name = "_invalid_parameter_noinfo_noreturn"
		size = 47
		refs = "0015 _invalid_parameter 002a _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_76_8_0 {
	meta:
		name = "_invoke_watson"
		size = 59
		refs = "000a IsProcessorFeaturePresent 0029 _call_reportfault 0037 __crtTerminateProcess"
	strings:
		$1 = { 48 83 EC 28 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B9 05 00 00 00 CD 29 41 B8 01 00 00 00 BA 17 04 00 C0 41 8D 48 01 E8 ?? ?? ?? ?? B9 17 04 00 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_9_0 {
	meta:
		name = "_set_invalid_parameter_handler"
		size = 59
		refs = "0010 __pInvalidArgHandler 0016 __imp_DecodePointer 0022 __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1150_0_0 {
	meta:
		name = "?__set_inconsistency@@YAP6AXXZP6AXXZ@Z"
		size = 59
		refs = "0010 ?__pInconsistency@@3P6AXXZEA 0016 __imp_DecodePointer 0022 __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_837_2_0 {
	meta:
		name = "_set_purecall_handler"
		size = 59
		refs = "0010 __pPurecall 0016 __imp_DecodePointer 0022 __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_1_0 {
	meta:
		name = "expm1l"
		size = 287
		refs = "0010 _ldtest 0039 __real@bfe62e42fefa39ef 0047 __real@3fd9f323ecbf984c 0059 __real@3f43d31708605728 0067 __real@3ec5ca73dff66ede 006f __real@3ef26c937b07e563 0077 __real@3f1da2e7e515ea71 008b __real@3f51de97c5b063b2 0093 __real@3f83945deb77150f 00a3 __real@3f9c8391e0c43166 00ab __real@3fb5d013b98b14b0 00bb __real@3fa41a22f5c5081f 00c3 __real@3fdb0d4f9f784ed1 00d3 __real@3fed9093fe30efd3 00f0 exp 00f8 __real@3ff0000000000000 010e __real@bff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 F5 00 00 00 FF C9 0F 84 D7 00 00 00 FF C9 0F 84 E5 00 00 00 F2 0F 10 64 24 30 66 0F 2F 25 ?? ?? ?? ?? 0F 86 A9 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 0F 86 97 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 DC 0F 28 C4 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C C8 F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E D9 F2 0F 59 DC 0F 28 C3 EB 2E 0F 28 C4 E8 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? EB 1C B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_532_0_0 {
	meta:
		name = "expm1"
		size = 287
		refs = "0010 _dtest 0039 __real@bfe62e42fefa39ef 0047 __real@3fd9f323ecbf984c 0059 __real@3f43d31708605728 0067 __real@3ec5ca73dff66ede 006f __real@3ef26c937b07e563 0077 __real@3f1da2e7e515ea71 008b __real@3f51de97c5b063b2 0093 __real@3f83945deb77150f 00a3 __real@3f9c8391e0c43166 00ab __real@3fb5d013b98b14b0 00bb __real@3fa41a22f5c5081f 00c3 __real@3fdb0d4f9f784ed1 00d3 __real@3fed9093fe30efd3 00f0 exp 00f8 __real@3ff0000000000000 010e __real@bff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 F5 00 00 00 FF C9 0F 84 D7 00 00 00 FF C9 0F 84 E5 00 00 00 F2 0F 10 64 24 30 66 0F 2F 25 ?? ?? ?? ?? 0F 86 A9 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 0F 86 97 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 DC 0F 28 C4 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C C8 F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 DC F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E D9 F2 0F 59 DC 0F 28 C3 EB 2E 0F 28 C4 E8 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? EB 1C B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_78_0_0 {
	meta:
		name = "__sse2_acos2"
		size = 480
		refs = "000b iSignMask 004a dbOneHalf 0053 dbOne 00b0 dbTwo 00d7 dbPio2hi 00df dbPi 0101 dbA10 010d dbA09 0115 dbA08 011d dbA07 0136 dbA06 0142 dbA05 0158 dbA04 0160 dbA03 0170 dbA02 0178 dbA01 0190 dbA00"
	strings:
		$1 = { 48 81 EC A8 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F C2 D0 05 66 0F 29 54 24 20 66 0F 54 C8 66 0F 28 D8 66 0F 55 1D ?? ?? ?? ?? 66 0F 29 5C 24 30 66 0F 29 4C 24 40 66 0F 55 C8 66 0F 28 E1 66 0F C2 25 ?? ?? ?? ?? 05 66 0F 28 2D ?? ?? ?? ?? 66 0F 29 4C 24 50 66 0F 5C E9 66 0F 59 C9 66 0F 59 2D ?? ?? ?? ?? 66 0F 28 D4 66 0F 54 EC 66 0F 55 D1 66 0F 56 D5 66 0F 51 ED 66 0F 28 D9 66 0F 29 54 24 60 66 0F 59 D2 66 0F C2 1D ?? ?? ?? ?? 00 66 0F 29 5C 24 70 66 0F 28 0D ?? ?? ?? ?? 66 0F 56 4C 24 30 66 0F 28 05 ?? ?? ?? ?? 66 0F 56 44 24 40 66 0F 28 DC 66 0F 54 C4 66 0F 55 E1 66 0F 56 C4 66 0F 29 84 24 80 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 54 44 24 20 66 0F 28 E3 66 0F 54 C3 66 0F 55 D9 66 0F 28 CA 66 0F 56 C3 66 0F 59 0D ?? ?? ?? ?? 66 0F 28 DA 66 0F 59 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 29 84 24 90 00 00 00 66 0F 59 CA 66 0F 59 DA 66 0F 58 0D ?? ?? ?? ?? 66 0F 54 EC 66 0F 58 1D ?? ?? ?? ?? 66 0F 55 64 24 50 66 0F 59 CA 66 0F 59 DA 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 CA 66 0F 59 DA 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 CA 66 0F 59 DA 66 0F 28 15 ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 54 54 24 20 66 0F 59 4C 24 60 66 0F 56 EC 66 0F 58 CB 66 0F 59 CD 66 0F 28 44 24 70 66 0F 58 CD 66 0F 59 8C 24 80 00 00 00 66 0F 54 54 24 70 66 0F 58 8C 24 90 00 00 00 66 0F 55 C1 66 0F 56 C2 48 81 C4 A8 00 00 00 C3 66 90 }
	condition:
		$1
}

rule file_79_0_0 {
	meta:
		name = "__dtold"
		size = 205
	strings:
		$1 = { 48 89 5C 24 08 44 0F B7 5A 06 4C 8B D1 8B 4A 04 45 0F B7 C3 B8 00 80 00 00 41 B9 FF 07 00 00 66 41 C1 E8 04 66 44 23 D8 8B 02 66 45 23 C1 81 E1 FF FF 0F 00 BB 00 00 00 80 41 0F B7 D0 85 D2 74 18 41 3B D1 74 0B BA 00 3C 00 00 66 44 03 C2 EB 24 41 B8 FF 7F 00 00 EB 1C 85 C9 75 0D 85 C0 75 09 41 21 42 04 41 21 02 EB 58 BA 01 3C 00 00 66 44 03 C2 33 DB 44 8B C8 C1 E1 0B C1 E0 0B 41 C1 E9 15 41 89 02 44 0B C9 44 0B CB 45 89 4A 04 45 85 C9 78 2A 41 8B 12 43 8D 04 09 8B CA C1 E9 1F 44 8B C9 44 0B C8 8D 04 12 41 89 02 B8 FF FF 00 00 66 44 03 C0 45 85 C9 79 DA 45 89 4A 04 66 45 0B D8 48 8B 5C 24 08 66 45 89 5A 08 C3 }
	condition:
		$1
}

rule file_79_1_0 {
	meta:
		name = "_fltout2"
		size = 183
		refs = "0014 __security_cookie 0035 __dtold 005b $I10_OUTPUT 007a strcpy_s 0091 __security_check_cookie 00b2 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 48 8D 6C 24 C1 48 81 EC 88 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 48 8B FA 48 89 4D E7 48 8D 55 E7 48 8D 4D F7 49 8B D9 49 8B F0 E8 ?? ?? ?? ?? 0F B7 45 FF 45 33 C0 F2 0F 10 45 F7 F2 0F 11 45 E7 4C 8D 4D 07 48 8D 4D E7 41 8D 50 11 66 89 45 EF E8 ?? ?? ?? ?? 0F BE 4D 09 89 0F 0F BF 4D 07 4C 8D 45 0B 89 4F 04 48 8B D3 48 8B CE 89 47 08 E8 ?? ?? ?? ?? 85 C0 75 1F 48 89 77 10 48 8B C7 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 5F 5E 5B 5D C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_80_0_0 {
	meta:
		name = "_dnorm"
		size = 423
		altNames = "_Dnorm"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 0F B7 41 06 41 BE 01 00 00 00 4C 8B C1 0F B7 F0 41 8D 6E 0E B9 00 80 00 00 23 C5 45 33 D2 66 23 F1 45 0F B7 CE 66 41 89 40 06 66 85 C0 75 4E 66 45 39 50 04 75 11 66 45 39 50 02 75 0A 66 45 39 10 0F 84 2B 01 00 00 66 85 C0 75 31 41 0F B7 40 04 41 0F B7 48 02 0F B7 D0 66 41 83 C1 F0 0F B7 C1 41 0F B7 08 66 45 89 10 66 85 D2 74 E8 66 41 89 50 06 66 41 89 40 04 66 41 89 48 02 41 0F B7 58 06 66 83 FB 10 73 6F 45 0F B7 50 04 45 0F B7 58 02 41 0F B7 10 41 0F B7 C2 41 0F B7 CB 66 C1 E8 0F 66 C1 E9 0F 0F B7 FB 66 03 FF 66 41 FF C9 66 0B F8 41 0F B7 C2 44 0F B7 D1 66 03 C0 0F B7 CA 66 03 D2 66 44 0B D0 41 0F B7 C3 66 C1 E9 0F 66 03 C0 44 0F B7 D9 66 41 89 10 66 44 0B D8 0F B7 DF 66 83 FF 10 72 AA 66 41 89 78 06 66 45 89 50 04 66 45 89 58 02 41 0F B7 50 06 BF 20 00 00 00 66 3B FA 77 67 45 0F B7 58 04 45 0F B7 50 02 41 0F B7 18 41 0F B7 CA 0F B7 C3 66 41 D1 EA 66 D1 E8 66 C1 E1 0F 66 45 03 CE 0F B7 D9 0F B7 CA 66 D1 EA 66 0B D8 41 0F B7 C3 66 C1 E1 0F 66 C1 E0 0F 66 44 0B D0 41 0F B7 C3 44 0F B7 D9 66 D1 E8 66 44 0B D8 66 3B FA 76 BA 66 41 89 50 06 66 45 89 58 04 66 45 89 50 02 66 41 89 18 66 41 21 68 06 66 41 09 70 06 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 48 8B 7C 24 28 41 0F B7 C1 41 5E C3 }
	condition:
		$1
}

rule file_80_1_0 {
	meta:
		name = "_fdnorm"
		size = 247
		altNames = "_FDnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 0F B7 41 02 48 8B D1 BE 01 00 00 00 44 0F B7 D8 B9 00 80 00 00 8D 7E 7E 23 C7 66 44 23 D9 33 C9 44 0F B7 D6 66 89 42 02 66 85 C0 75 1C 66 39 0A 0F 84 99 00 00 00 66 85 C0 75 0E 0F B7 02 44 8D 56 F0 66 89 0A 66 89 42 02 44 0F B7 4A 02 BB 80 00 00 00 66 44 3B CB 73 30 0F B7 0A 41 0F B7 C1 66 41 FF CA 44 0F B7 C1 66 03 C0 66 03 C9 66 41 C1 E8 0F 66 89 0A 66 44 0B C0 45 0F B7 C8 66 44 3B C3 72 D5 66 44 89 42 02 44 0F B7 42 02 BB 00 01 00 00 66 41 3B D8 77 32 44 0F B7 0A 41 0F B7 C1 41 0F B7 C8 66 41 D1 E8 66 C1 E1 0F 66 D1 E8 66 44 03 D6 44 0F B7 C9 66 44 0B C8 66 41 3B D8 76 DB 66 44 89 42 02 66 44 89 0A 66 21 7A 02 66 44 09 5A 02 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 41 0F B7 C2 C3 }
	condition:
		$1
}

rule file_81_0_0 {
	meta:
		name = "_getw"
		size = 179
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0041 _lock_file 006c _filbuf 0083 feof 008f ferror 009f _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 56 57 41 56 48 83 EC 30 48 8B D9 BE 04 00 00 00 4C 8D 74 24 50 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6A 48 89 4C 24 58 E8 ?? ?? ?? ?? 90 83 CF FF 8B C6 FF CE 89 74 24 20 85 C0 74 2A 01 7B 08 78 0E 48 8B 03 0F B6 08 48 FF C0 48 89 03 EB 0A 48 8B CB E8 ?? ?? ?? ?? 8B C8 41 88 0E 49 FF C6 4C 89 74 24 28 EB CA 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 10 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 04 8B 7C 24 50 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_81_1_0 {
	meta:
		name = "_getw$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "_putw$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 58 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_82_0_0 {
	meta:
		name = "cargf"
		size = 50
		refs = "000f crealf 001c cimagf 0024 atan2f"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_220_0_0 {
	meta:
		name = "cabsf"
		size = 50
		refs = "000f cimagf 001c crealf 0024 _hypotf"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_84_0_0 {
	meta:
		name = "llrintf"
		size = 121
		refs = "0015 _fdtest 002c nearbyintf 0042 _fperrraise 0049 __real@df000000 0053 __real@5f000000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 4F FF C8 83 F8 01 76 3E F3 0F 10 44 24 40 E8 ?? ?? ?? ?? 0F 28 F0 0F 2E 74 24 40 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 2F 35 ?? ?? ?? ?? 72 14 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 72 07 F3 48 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_85_3_0 {
	meta:
		name = "_mbscat_s_l"
		size = 461
		refs = "0039 _errno 0045 _invalid_parameter_noinfo 0073 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 008c strcat_s 00d5 _ismbblead_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 4D 8B F0 48 8B F2 48 8B D9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 35 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 41 5C C3 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 00 75 15 4D 8B C6 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 E9 1A 01 00 00 45 33 E4 48 8B FB 44 38 27 74 08 48 FF C7 48 FF CE 75 F3 48 85 F6 75 10 44 88 23 E8 ?? ?? ?? ?? 8D 5E 16 E9 A0 00 00 00 4C 8D 7F FF 49 8B EF 4C 3B FB 72 1A 0F B6 4D 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CD 48 3B EB 73 E6 41 8B C7 2B C5 BD 01 00 00 00 40 84 C5 74 0D 44 8B E5 49 8B FF 41 C6 07 00 48 03 F5 41 8A 06 4C 03 F5 88 07 48 03 FD 84 C0 74 05 48 2B F5 75 EC 48 85 F6 75 4E 41 38 36 75 33 48 8D 77 FF 48 8B FE 48 3B F3 72 19 0F B6 0F 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 2B FD 48 3B FB 73 E7 8B C6 2B C7 40 84 C5 74 05 C6 06 00 EB 4F C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 49 48 8D 77 FE 48 8B FE 48 3B F3 72 19 0F B6 0F 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 2B FD 48 3B FB 73 E7 8B C6 2B C7 40 84 C5 74 06 C6 06 00 44 8B E5 45 85 E4 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 0F 84 8D FE FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 7C FE FF FF }
	condition:
		$1
}

rule file_86_1_0 {
	meta:
		name = "_invoke_watson_if_oneof"
		size = 61
		refs = "0038 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 4D 8B D1 85 C9 74 09 3B CA 74 0C 41 3B C8 74 07 8B C1 48 83 C4 38 C3 48 8B 44 24 78 44 8B 4C 24 70 4C 8B 44 24 68 48 8B 54 24 60 49 8B CA 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_86_2_0 {
	meta:
		name = "_wexecvpe"
		size = 628
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0071 _wexecve 008c wcschr 00c3 ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 00cf _wdupenv_s 00fb _calloc_crt 0161 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 016e wcscat_s 017e wcslen 0201 free 0245 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 4D 8B E0 48 8B EA 48 8B F1 4C 89 68 08 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 CE 01 00 00 66 44 39 29 74 E5 48 85 D2 74 E0 48 8B 02 48 85 C0 74 D8 66 44 39 28 74 D2 E8 ?? ?? ?? ?? 4D 8B C4 48 8B D5 48 8B CE 44 89 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 38 02 0F 85 82 01 00 00 BA 5C 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 6C 01 00 00 8D 58 2F 48 8B CE 8B D3 E8 ?? ?? ?? ?? 48 85 C0 0F 85 56 01 00 00 66 44 39 2E 74 0B 66 83 7E 02 3A 0F 84 45 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 60 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 85 25 01 00 00 E9 50 01 00 00 4C 39 6C 24 60 0F 84 24 01 00 00 BA 02 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 4C 8B F0 48 85 C0 0F 84 F7 00 00 00 4C 8B 7C 24 60 EB 1E 66 83 F9 3B 74 21 48 8D 87 04 02 00 00 4C 3B F0 73 15 66 41 89 0E 49 83 C6 02 49 83 C7 02 41 0F B7 0F 66 85 C9 75 D9 66 45 89 2E 49 8D 46 FE 4C 3B F7 77 03 49 8B C6 B9 5C 00 00 00 4C 8B F7 66 39 08 74 21 66 39 18 74 1C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 D0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 73 63 4C 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 B0 00 00 00 E8 ?? ?? ?? ?? 4D 8B C4 48 8B D5 48 8B CF 44 89 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 38 02 74 1E B9 5C 00 00 00 8D 41 D3 66 39 0F 74 05 66 39 07 75 1C 66 39 4F 02 74 06 66 39 47 02 75 10 66 45 39 2F 74 0A BB 2F 00 00 00 E9 32 FF FF FF 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 60 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C8 FF 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_87_8_0 {
	meta:
		name = "??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
		size = 99
		refs = "0006 ??_7ExecutionResource@details@Concurrency@@6B@"
	strings:
		$1 = { 4C 8B D1 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C9 33 C0 41 89 4A 08 49 89 42 18 66 41 89 4A 18 49 89 4A 10 49 89 52 20 49 89 4A 28 49 89 4A 30 49 89 4A 38 41 8B 40 14 41 89 42 40 41 89 4A 4C 45 89 4A 44 41 8B C1 48 8D 0C C0 49 8B 40 38 0F B6 54 C8 08 41 8B 40 10 C1 E0 08 03 D0 49 8B C2 41 89 52 48 C3 }
	condition:
		$1
}

rule file_87_9_0 {
	meta:
		name = "??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAV012@@Z"
		size = 117
		refs = "0014 ??_7ExecutionResource@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8D 05 ?? ?? ?? ?? 49 8B D8 48 89 01 89 71 08 33 C0 48 89 41 18 66 89 71 18 48 89 71 10 48 89 51 20 48 89 59 28 48 89 71 30 48 89 71 38 49 8B 00 48 8B F9 49 8B C8 FF 10 48 8B CB 89 47 40 8B 43 44 89 77 4C 89 47 44 48 8B 03 FF 50 08 48 8B 5C 24 30 48 8B 74 24 38 89 47 48 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_87_10_0 {
	meta:
		name = "??0HardwareAffinity@details@Concurrency@@QEAA@G_K@Z"
		size = 17
	strings:
		$1 = { 33 C0 48 89 41 08 66 89 51 08 4C 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_87_11_0 {
	meta:
		name = "??0HardwareAffinity@details@Concurrency@@QEAA@XZ"
		size = 17
	strings:
		$1 = { 33 C0 48 89 41 08 66 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_87_27_0 {
	meta:
		name = "??4HardwareAffinity@details@Concurrency@@QEAAAEAU012@AEBU012@@Z"
		size = 18
	strings:
		$1 = { 0F B7 42 08 66 89 41 08 48 8B 02 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_87_40_0 {
	meta:
		name = "?CurrentSubscriptionLevel@ExecutionResource@details@Concurrency@@UEBAIXZ"
		size = 20
		refs = "0010 ?CurrentSubscriptionLevel@ResourceManager@details@Concurrency@@QEAAIII@Z"
	strings:
		$1 = { 48 8B 41 20 44 8B 41 44 8B 51 40 48 8B 48 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_41_0 {
	meta:
		name = "?DecrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ"
		size = 141
		refs = "001c ?ResetCurrent@ExecutionResource@details@Concurrency@@QEAAXXZ 003c ?DecrementFixedCoreCount@SchedulerProxy@details@Concurrency@@QEAAXII_N@Z 0047 __imp_GetCurrentThread 0053 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 005f ?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 006b ?DestroyExecutionResource@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 0072 ?DecrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ 007e ?RemoveThreadSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 FF 49 4C 48 8B D9 75 70 48 83 79 30 00 40 0F 95 C7 E8 ?? ?? ?? ?? 48 8B 4B 28 48 85 C9 75 48 44 8B 43 44 8B 53 40 48 8B 4B 20 40 84 FF 41 0F 94 C1 E8 ?? ?? ?? ?? 40 84 FF 75 3D FF 15 ?? ?? ?? ?? 48 8D 4B 10 48 8B D0 E8 ?? ?? ?? ?? 48 8B 4B 20 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4B 20 48 8B D3 E8 ?? ?? ?? ?? EB 11 E8 ?? ?? ?? ?? 48 8B 4B 20 48 8B D3 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_87_46_0 {
	meta:
		name = "?GetNodeAffinity@SchedulerProxy@details@Concurrency@@QEAA?AUHardwareAffinity@23@I@Z"
		size = 38
	strings:
		$1 = { 48 8B 41 20 45 8B C8 49 C1 E1 06 4D 8B 04 01 41 0F B7 4C 01 10 33 C0 48 89 42 08 66 89 4A 08 4C 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_87_49_0 {
	meta:
		name = "?IncrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ"
		size = 258
		refs = "000d __security_cookie 0052 ?IncrementFixedCoreCount@SchedulerProxy@details@Concurrency@@QEAAXII_N@Z 0060 __imp_GetCurrentThread 0070 ??0HardwareAffinity@details@Concurrency@@QEAA@PEAX@Z 00bc ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 00c8 ?IncrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 00d4 ?AddExecutionResource@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 00de ?AddThreadSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 00e6 ?SetAsCurrent@ExecutionResource@details@Concurrency@@QEAAXXZ 00f3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B F9 8B 49 4C 8D 41 01 89 47 4C 85 C9 0F 85 BD 00 00 00 48 83 7F 30 00 48 8B 4F 20 0F 95 C3 48 83 7F 28 00 0F 85 96 00 00 00 44 8B 47 44 8B 57 40 84 DB 41 0F 94 C1 E8 ?? ?? ?? ?? 84 DB 0F 85 84 00 00 00 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D0 48 8B D8 E8 ?? ?? ?? ?? 0F B7 48 08 66 89 4F 18 48 8B 08 48 89 4F 10 48 8B 4F 20 44 8B 47 40 48 8B 51 20 49 C1 E0 06 49 8B 0C 10 41 0F B7 44 10 10 33 D2 48 89 54 24 20 48 89 54 24 28 48 89 4C 24 20 48 8D 4C 24 20 48 8B D3 66 89 44 24 28 E8 ?? ?? ?? ?? 48 8B 4F 20 48 8B D7 E8 ?? ?? ?? ?? 48 8B 4F 20 48 8B D7 E8 ?? ?? ?? ?? EB 08 48 8B D7 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_87_50_0 {
	meta:
		name = "?Remove@ExecutionResource@details@Concurrency@@UEAAXPEAUIScheduler@3@@Z"
		size = 180
		refs = "001a ?GetCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ 003f ?RemoveExecutionResource@ResourceManager@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 0046 ??_C@_0L@HKFDMHB@pScheduler?$AA@ 005a ??0exception@std@@QEAA@AEBQEBD@Z 0061 ??_7invalid_argument@std@@6B@ 0068 _TI3?AVinvalid_argument@std@@ 0077 _CxxThrowException 0082 ??0invalid_operation@Concurrency@@QEAA@XZ 0089 _TI2?AVinvalid_operation@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 48 85 D2 74 2E 48 8B 49 20 E8 ?? ?? ?? ?? 48 3B C3 75 59 48 8B 4B 20 48 39 79 10 75 6B 48 8B 49 18 48 8B D3 48 8B 5C 24 50 48 83 C4 40 5F E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_87_51_0 {
	meta:
		name = "?ResetCurrent@ExecutionResource@details@Concurrency@@QEAAXXZ"
		size = 43
		refs = "001c ?__TlsSetValue@platform@details@Concurrency@@YAXKPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 20 48 8B D9 48 8B 48 18 48 8B 53 38 8B 89 B0 00 00 00 E8 ?? ?? ?? ?? 48 83 63 38 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_87_53_0 {
	meta:
		name = "?SetAsCurrent@ExecutionResource@details@Concurrency@@QEAAXXZ"
		size = 58
		refs = "001e ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0036 ?__TlsSetValue@platform@details@Concurrency@@YAXKPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 20 48 8B F9 48 8B 50 18 8B 9A B0 00 00 00 8B CB E8 ?? ?? ?? ?? 48 8B D7 8B CB 48 89 47 38 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_0_0 {
	meta:
		name = "_heapused"
		size = 22
		refs = "0005 _errno"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? C7 00 28 00 00 00 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_90_3_0 {
	meta:
		name = "_mbsnbcat_s_l"
		size = 687
		refs = "0061 _errno 006d _invalid_parameter_noinfo 009f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00bb strncat_s 010a _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 45 33 ED 4D 8B F1 4D 8B F8 48 8B EA 48 8B F9 45 8B E5 44 89 AC 24 88 00 00 00 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 39 4D 85 C0 75 34 44 88 29 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 48 8B 94 24 90 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 44 39 68 08 75 18 4D 8B CE 4D 8B C7 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 8B D8 E9 CD 01 00 00 48 8B DF 48 8B F5 44 38 2B 74 08 48 FF C3 48 FF CE 75 F3 48 85 F6 75 10 44 88 2F E8 ?? ?? ?? ?? 8D 5E 16 E9 4B 01 00 00 48 3B F5 73 4E 4C 8D 6B FF 4D 8B E5 4C 3B EF 72 1B 41 0F B6 0C 24 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 49 FF CC 4C 3B E7 73 E5 41 8B C5 41 2B C4 A8 01 74 12 49 8B DD 45 33 ED 48 FF C6 45 8D 65 01 44 88 2B EB 0B 44 8B A4 24 88 00 00 00 45 33 ED 49 83 FE FF 75 16 41 8A 07 49 FF C7 88 03 48 FF C3 84 C0 74 30 48 FF CE 75 EC EB 29 4D 85 F6 74 1E 41 8A 07 49 FF C7 88 03 48 FF C3 84 C0 74 0A 48 FF CE 74 05 49 FF CE 75 E7 4D 85 F6 75 06 44 88 2B 48 FF C3 48 85 F6 0F 85 B3 00 00 00 45 38 2F 74 06 49 83 FE 01 75 35 48 8D 73 FF 48 8B DE 48 3B F7 72 19 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CB 48 3B DF 73 E7 8B C6 2B C3 A8 01 74 08 44 88 2E E9 B3 00 00 00 49 83 FE FF 75 57 45 85 E4 74 0B E8 ?? ?? ?? ?? 41 8D 5E 2B 89 18 48 83 FD 01 76 35 48 8D 75 FE 48 03 F7 48 8B DE 48 3B F7 72 19 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CB 48 3B DF 73 E7 8B C6 2B C3 A8 01 74 05 44 88 2E EB 05 44 88 6C 2F FF BB 50 00 00 00 EB 67 44 88 2F E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 51 48 3B F5 73 36 48 8D 73 FE 48 8B DE 48 3B F7 72 19 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CB 48 3B DF 73 E7 8B C6 2B C3 A8 01 74 09 44 88 2E 41 BC 01 00 00 00 45 85 E4 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 03 41 8B DD 44 38 6C 24 38 0F 84 D3 FD FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 C2 FD FF FF }
	condition:
		$1
}

rule file_91_0_0 {
	meta:
		name = "__common_slog_cout_rare"
		size = 720
		refs = "003d _imlsLnHATab 0063 _2il0floatpacket_72 026a _2il0floatpacket_73"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 41 81 F8 80 7F 00 00 0F 84 60 02 00 00 F3 0F 5A 19 F2 0F 11 5C 24 30 45 33 C0 0F B7 4C 24 36 F7 C1 F0 7F 00 00 75 14 F2 0F 59 1D ?? ?? ?? ?? 41 B8 C4 FF FF FF F2 0F 11 5C 24 30 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D8 0F 86 DD 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 0F 28 D3 F2 0F 5C D0 F2 0F 11 54 24 28 80 64 24 2F 7F F2 0F 10 4C 24 28 66 0F 2F 0D ?? ?? ?? ?? 0F 86 43 01 00 00 F2 0F 11 5C 24 28 44 0F B7 4C 24 2E 41 81 E1 0F 80 FF FF 41 81 C9 F0 3F FF FF 66 44 89 4C 24 2E F2 0F 10 6C 24 28 0F 28 DD 0F B7 4C 24 36 81 E1 F0 7F 00 00 F2 0F 58 1D ?? ?? ?? ?? C1 E9 04 F2 0F 11 5C 24 20 0F 28 DD 44 8B 54 24 20 41 83 E2 7F F2 0F 58 1D ?? ?? ?? ?? F2 0F 11 5C 24 20 45 8D 84 08 01 FC FF FF F2 41 0F 2A C8 F2 0F 10 5C 24 20 47 8D 1C 52 48 8D 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 4C 8B C9 F2 0F 10 25 ?? ?? ?? ?? 4C 8B C1 F2 0F 59 D1 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 59 CC F2 0F 5C EB F2 43 0F 58 54 D8 08 F2 43 0F 58 4C D9 10 F2 42 0F 10 24 D9 F2 0F 59 DC F2 0F 59 E5 F2 0F 5C D8 0F 28 C3 F2 0F 58 DA F2 0F 58 C4 F2 0F 58 E1 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 59 C0 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 E5 F2 0F 58 DC F2 0F 5A DB F3 0F 11 1A 48 83 C4 38 C3 F2 0F 10 0D ?? ?? ?? ?? 0F 28 C2 F2 0F 59 CA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 D1 F2 0F 5A D2 F3 0F 11 12 48 83 C4 38 C3 66 0F 2E D8 7A 02 74 16 F2 0F 5E C0 F2 0F 5A C0 F3 0F 11 02 B8 01 00 00 00 48 83 C4 38 C3 F2 0F 10 0D ?? ?? ?? ?? B8 02 00 00 00 0F 57 0D ?? ?? ?? ?? F2 0F 5E C8 F2 0F 5A C9 F3 0F 11 0A 48 83 C4 38 C3 44 8A 41 03 41 80 E0 80 41 80 F8 80 74 11 F3 0F 10 01 F3 0F 59 C0 F3 0F 11 02 48 83 C4 38 C3 F7 01 FF FF 7F 00 75 E7 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E C0 F2 0F 5A C0 F3 0F 11 02 48 83 C4 38 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_92_0_0 {
	meta:
		name = "__avx_atanf8"
		size = 208
		refs = "000e __common_satan_data"
	strings:
		$1 = { 48 83 EC 48 C5 7C 11 7C 24 20 C5 FC 10 2D ?? ?? ?? ?? C5 FC 10 15 ?? ?? ?? ?? C5 7C 54 3D ?? ?? ?? ?? C5 FC 54 CD C5 84 C2 C2 12 C4 C1 6C 5F DF C4 C1 6C 5D D7 C5 EC 5E D3 C5 FC 55 25 ?? ?? ?? ?? C5 FC 55 DD C5 DC 57 E1 C5 E4 57 C9 C5 F4 57 DA C5 E4 59 D3 C5 EC 59 CA C5 F4 59 2D ?? ?? ?? ?? C5 74 59 3D ?? ?? ?? ?? C5 D4 58 05 ?? ?? ?? ?? C5 84 58 2D ?? ?? ?? ?? C5 7C 59 F9 C5 D4 59 E9 C5 04 58 3D ?? ?? ?? ?? C5 D4 58 05 ?? ?? ?? ?? C5 84 59 E9 C5 FC 59 C9 C5 D4 58 2D ?? ?? ?? ?? C5 F4 58 0D ?? ?? ?? ?? C5 D4 59 EA C5 D4 58 C1 C5 FC 59 D2 C5 6C 58 3D ?? ?? ?? ?? C5 84 59 DB C5 7C 10 7C 24 20 C5 E4 58 C4 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_95_0_0 {
	meta:
		name = "_execlpe"
		size = 214
		refs = "001b __security_cookie 0033 _errno 003e _invalid_parameter_noinfo 0075 _capture_argv 009b _execvpe 00b5 free 00c8 __security_check_cookie"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 57 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 74 80 39 00 74 E5 48 85 D2 74 E0 80 3A 00 74 DB 48 8D 84 24 70 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 20 48 8B CB 49 83 C0 08 48 8B D0 48 8B F8 4C 89 44 24 20 4D 8B 40 F8 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 5F 5B C3 }
	condition:
		$1
}

rule file_214_0_0 {
	meta:
		name = "_execle"
		size = 214
		refs = "001b __security_cookie 0033 _errno 003e _invalid_parameter_noinfo 0075 _capture_argv 009b _execve 00b5 free 00c8 __security_check_cookie"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 57 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 74 80 39 00 74 E5 48 85 D2 74 E0 80 3A 00 74 DB 48 8D 84 24 70 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 20 48 8B CB 49 83 C0 08 48 8B D0 48 8B F8 4C 89 44 24 20 4D 8B 40 F8 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 5F 5B C3 }
	condition:
		$1
}

rule file_96_8_0 {
	meta:
		name = "??0ThreadVirtualProcessor@details@Concurrency@@QEAA@PEAVSchedulingNode@12@PEAUIVirtualProcessorRoot@2@@Z"
		size = 87
		refs = "0026 ??0VirtualProcessor@details@Concurrency@@QEAA@XZ 002e ??_7ThreadVirtualProcessor@details@Concurrency@@6B@ 003f ?Initialize@VirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_97_1_0 {
	meta:
		name = "wmemcpy_s"
		size = 122
		refs = "001b _errno 0027 _invalid_parameter_noinfo 0041 memcpy"
	strings:
		$1 = { 40 57 48 83 EC 20 4D 8B D0 45 33 C0 4D 85 C9 75 04 33 C0 EB 5F 48 85 C9 75 15 E8 ?? ?? ?? ?? BF 16 00 00 00 89 38 E8 ?? ?? ?? ?? 8B C7 EB 45 4D 85 D2 74 13 49 3B D1 72 0E 4F 8D 04 09 49 8B D2 E8 ?? ?? ?? ?? EB CA 48 85 D2 74 0D 48 8B F9 41 0F B7 C0 48 8B CA 66 F3 AB 4D 85 D2 74 BC 49 3B D1 73 0C E8 ?? ?? ?? ?? BF 22 00 00 00 EB B5 B8 16 00 00 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_97_2_0 {
	meta:
		name = "wmemset"
		size = 34
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 4D 85 C0 74 0C 48 8B F9 0F B7 C2 49 8B C8 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_99_0_0 {
	meta:
		name = "__get_abstract_control"
		size = 108
	strings:
		$1 = { 33 D2 F7 C1 80 7E 00 00 74 5F F6 C1 80 8D 42 10 41 B9 00 02 00 00 0F 45 D0 41 85 C9 74 03 83 CA 08 0F BA E1 0A 73 03 83 CA 04 0F BA E1 0B 73 03 83 CA 02 0F BA E1 0C 73 03 83 CA 01 41 B8 00 60 00 00 8B C1 41 23 C0 41 3B C0 75 08 81 CA 00 03 00 00 EB 15 0F BA E1 0E 73 06 0F BA EA 08 EB 09 0F BA E1 0D 73 03 41 0B D1 8B C2 C3 }
	condition:
		$1
}

rule file_99_1_0 {
	meta:
		name = "__get_abstract_status"
		size = 48
	strings:
		$1 = { 33 C0 F6 C1 3D 74 28 F6 C1 01 8D 50 10 0F 45 C2 F6 C1 04 74 03 83 C8 08 F6 C1 08 74 03 83 C8 04 84 CA 74 03 83 C8 02 F6 C1 20 74 03 83 C8 01 C3 }
	condition:
		$1
}

rule file_99_2_0 {
	meta:
		name = "__get_machine_control"
		size = 110
	strings:
		$1 = { 33 D2 F7 C1 1F 03 00 00 74 61 F6 C1 10 B8 80 00 00 00 41 B9 00 02 00 00 0F 45 D0 F6 C1 08 74 03 41 0B D1 F6 C1 04 74 04 0F BA EA 0A F6 C1 02 74 04 0F BA EA 0B F6 C1 01 74 04 0F BA EA 0C 41 B8 00 03 00 00 8B C1 41 23 C0 41 3B C0 75 08 81 CA 00 60 00 00 EB 15 41 85 C9 74 06 0F BA EA 0D EB 0A 0F BA E1 08 73 04 0F BA EA 0E 8B C2 C3 }
	condition:
		$1
}

rule file_99_3_0 {
	meta:
		name = "__get_machine_status"
		size = 48
	strings:
		$1 = { 33 C0 F6 C1 1F 74 28 F6 C1 10 8D 50 01 0F 45 C2 F6 C1 08 74 03 83 C8 04 F6 C1 04 74 03 83 C8 08 F6 C1 02 74 03 83 C8 10 84 CA 74 03 83 C8 20 C3 }
	condition:
		$1
}

rule file_99_4_0 {
	meta:
		name = "_getfpcontrolword"
		size = 23
		refs = "0009 _controlfp"
	strings:
		$1 = { 48 83 EC 28 33 D2 33 C9 E8 ?? ?? ?? ?? 25 1F 03 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_99_5_0 {
	meta:
		name = "_getfpstatusword"
		size = 17
		refs = "0005 _statusfp"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 E0 1F 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_99_7_0 {
	meta:
		name = "_setfpstatusword"
		size = 48
		refs = "000d _get_fpsr 0016 __get_machine_status 002c _set_fpsr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 8B CB 8B F8 E8 ?? ?? ?? ?? 83 E7 C2 0B C7 8B C8 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_100_0_0 {
	meta:
		name = "_wsplitpath"
		size = 136
		refs = "0074 _wsplitpath_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B 9C 24 80 00 00 00 49 8B F8 48 8B F2 41 B8 00 01 00 00 48 8B C3 48 F7 D8 49 8B C1 4D 1B DB 4D 23 D8 48 F7 D8 48 8B C7 4D 1B D2 4C 89 5C 24 40 48 89 5C 24 38 4D 23 D0 48 F7 D8 48 8B C6 48 1B D2 4C 89 54 24 30 4C 89 4C 24 28 49 23 D0 48 F7 D8 4C 8B CF 4D 1B C0 48 89 54 24 20 48 8B D6 41 83 E0 03 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_953_0_0 {
	meta:
		name = "_splitpath"
		size = 136
		refs = "0074 _splitpath_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B 9C 24 80 00 00 00 49 8B F8 48 8B F2 41 B8 00 01 00 00 48 8B C3 48 F7 D8 49 8B C1 4D 1B DB 4D 23 D8 48 F7 D8 48 8B C7 4D 1B D2 4C 89 5C 24 40 48 89 5C 24 38 4D 23 D0 48 F7 D8 48 8B C6 48 1B D2 4C 89 54 24 30 4C 89 4C 24 28 49 23 D0 48 F7 D8 4C 8B CF 4D 1B C0 48 89 54 24 20 48 8B D6 41 83 E0 03 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_100_1_0 {
	meta:
		name = "_wsplitpath_helper"
		size = 659
		refs = "00e8 wcsncpy_s 025a _errno 026b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B B4 24 98 00 00 00 4C 8B BC 24 88 00 00 00 48 8B F9 33 C9 4D 8B E9 4C 8B E2 8B F1 89 4C 24 60 4D 8B C8 48 85 FF 74 0A 48 85 D2 75 0F 4D 85 C0 74 0F BE 01 00 00 00 E9 BA 01 00 00 4D 85 C0 74 F1 4D 85 ED 75 0C 48 39 8C 24 80 00 00 00 75 E2 EB 0A 48 39 8C 24 80 00 00 00 74 D6 4D 85 FF 75 0C 48 39 8C 24 90 00 00 00 75 C7 EB 0A 48 39 8C 24 90 00 00 00 74 BB 4D 85 F6 75 0C 48 39 8C 24 A0 00 00 00 75 AC EB 0A 48 39 8C 24 A0 00 00 00 74 A0 B8 01 00 00 00 48 8B DF 66 39 0B 74 09 48 83 C3 02 48 FF C8 75 F2 66 83 3B 3A 75 2C 48 85 D2 74 21 49 83 F8 03 0F 82 39 01 00 00 41 B9 02 00 00 00 4C 8B C7 48 83 CA FF 49 8B CC E8 ?? ?? ?? ?? 33 C9 48 8D 7B 02 EB 08 48 85 D2 74 03 66 89 0A 0F B7 07 48 8B E9 48 8B F1 48 8B DF 66 85 C0 74 5E 66 83 F8 2F 74 11 66 83 F8 5C 74 0B 66 83 F8 2E 75 09 48 8B F3 EB 04 48 8D 6B 02 48 83 C3 02 0F B7 03 66 85 C0 75 D9 48 85 ED 74 32 4D 85 ED 74 28 4C 8B CD 4C 2B CF 49 D1 F9 4C 39 8C 24 80 00 00 00 0F 86 B2 00 00 00 4C 8B C7 48 83 CA FF 49 8B CD E8 ?? ?? ?? ?? 33 C9 48 8B FD EB 0A 4D 85 ED 74 05 66 41 89 4D 00 48 85 F6 74 57 48 3B F7 72 52 4D 85 FF 74 24 4C 8B CE 4C 2B CF 49 D1 F9 4C 39 8C 24 90 00 00 00 76 70 4C 8B C7 48 83 CA FF 49 8B CF E8 ?? ?? ?? ?? 33 C9 4D 85 F6 74 56 48 2B DE 48 D1 FB 48 39 9C 24 A0 00 00 00 76 4A 4C 8B CB 4C 8B C6 48 83 CA FF 49 8B CE E8 ?? ?? ?? ?? EB 32 4D 85 FF 74 24 48 2B DF 48 D1 FB 48 39 9C 24 90 00 00 00 76 21 4C 8B CB 4C 8B C7 48 83 CA FF 49 8B CF E8 ?? ?? ?? ?? 33 C9 4D 85 F6 74 04 66 41 89 0E 33 C0 EB 77 8B 74 24 60 4C 8B 4C 24 70 4D 85 E4 74 0A 4D 85 C9 74 05 66 41 89 0C 24 4D 85 ED 74 0F 48 39 8C 24 80 00 00 00 76 05 66 41 89 4D 00 4D 85 FF 74 0E 48 39 8C 24 90 00 00 00 76 04 66 41 89 0F 4D 85 F6 74 0E 48 39 8C 24 A0 00 00 00 76 04 66 41 89 0E E8 ?? ?? ?? ?? 48 85 FF 75 10 BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 0B 85 F6 75 EC 8D 4E 22 89 08 8B C1 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "_fputchar"
		size = 29
		refs = "0009 __iob_func 0019 putc"
		altNames = "putchar"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 8B CB 48 8D 50 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_1_0 {
	meta:
		name = "_pipe"
		size = 731
		refs = "0034 __doserrno 003b _errno 0046 _invalid_parameter_noinfo 00d9 __imp_CreatePipe 00e3 __imp_GetLastError 00ea _dosmaperr 00f1 _alloc_osfhnd 0119 __pioinfo 0145 _unlock_fhandle 01b2 _get_fmode 023e _set_osfhnd 0261 _invoke_watson 0299 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 81 EC 80 00 00 00 45 8B E8 4C 8B F1 33 F6 8B FE 44 8B E6 8B C6 48 85 C9 0F 95 C0 85 C0 75 1F E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 6C 02 00 00 83 CB FF 89 59 04 89 19 41 F7 C0 7F 3F FF FF 8B C6 0F 94 C0 85 C0 75 1E E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C3 E9 36 02 00 00 41 8B C0 41 B8 00 C0 00 00 41 23 C0 8B CE 41 3B C0 0F 95 C1 85 C9 74 CA C7 44 24 60 18 00 00 00 48 89 74 24 68 41 8B C5 25 80 00 00 00 89 84 24 C8 00 00 00 8B C6 0F 94 C0 89 44 24 70 44 8B CA 4C 8D 44 24 60 48 8D 54 24 58 48 8D 4C 24 50 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 91 E8 ?? ?? ?? ?? 48 63 F0 89 B4 24 B0 00 00 00 3B F3 0F 84 75 01 00 00 48 8B CE 48 8B D6 48 C1 FA 05 48 89 54 24 38 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 4C 6B F9 58 49 8B 04 D0 41 C6 44 07 08 89 49 8B 04 D0 41 80 64 07 38 80 49 8B 04 D0 41 80 64 07 38 7F 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 30 3B FB 0F 84 09 01 00 00 83 A4 24 B0 00 00 00 00 48 8B CF 48 8B D7 48 C1 FA 05 48 89 54 24 48 83 E1 1F 48 6B C9 58 48 89 4C 24 40 4C 8D 05 ?? ?? ?? ?? 49 8B 04 D0 C6 44 08 08 89 49 8B 04 D0 80 64 08 38 80 49 8B 04 D0 80 64 08 38 7F 8B CF E8 ?? ?? ?? ?? 48 8D 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 92 00 00 00 B8 00 80 00 00 44 85 E8 75 10 41 0F BA E5 0E 72 34 39 84 24 B0 00 00 00 75 2B 48 8B 54 24 38 4C 8D 0D ?? ?? ?? ?? 49 8B 04 D1 41 80 64 07 08 7F 4C 8B 44 24 48 4B 8B 04 C1 48 8B 4C 24 40 80 64 08 08 7F EB 16 4C 8D 0D ?? ?? ?? ?? 4C 8B 44 24 48 48 8B 54 24 38 48 8B 4C 24 40 83 BC 24 C8 00 00 00 00 74 13 49 8B 04 D1 41 80 4C 07 08 10 4B 8B 04 C1 80 4C 08 08 10 48 8B 54 24 50 8B CE E8 ?? ?? ?? ?? 48 8B 54 24 58 8B CF E8 ?? ?? ?? ?? EB 32 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 54 24 38 4C 8D 05 ?? ?? ?? ?? 49 8B 04 D0 41 C6 44 07 08 00 41 BC 01 00 00 00 45 85 E4 74 2E E8 ?? ?? ?? ?? C7 00 18 00 00 00 48 8B 4C 24 50 FF 15 ?? ?? ?? ?? 48 8B 4C 24 58 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 20 00 E9 CC FD FF FF 41 89 36 41 89 7E 04 33 C0 4C 8D 9C 24 80 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_102_2_0 {
	meta:
		name = "_pipe$fin$1"
		size = 28
		refs = "0010 _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 8B 8D B0 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_102_3_0 {
	meta:
		name = "_pipe$fin$0"
		size = 25
		refs = "000d _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 8B 4D 30 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_103_0_0 {
	meta:
		name = "strrchr"
		size = 324
		refs = "0058 __isa_available"
	strings:
		$1 = { 48 83 EC 18 45 33 C0 4C 8B C9 85 D2 75 48 41 83 E1 0F 48 8B D1 0F 57 C9 48 83 E2 F0 41 8B C9 41 83 C9 FF 41 D3 E1 66 0F 6F 02 66 0F 74 C1 66 0F D7 C0 41 23 C1 75 14 48 83 C2 10 66 0F 6F 02 66 0F 74 C1 66 0F D7 C0 85 C0 74 EC 0F BC C0 48 03 C2 E9 A6 00 00 00 83 3D ?? ?? ?? ?? 02 0F 8D 9E 00 00 00 4C 8B D1 0F B6 C2 41 83 E1 0F 49 83 E2 F0 8B C8 0F 57 D2 C1 E1 08 0B C8 66 0F 6E C1 41 8B C9 41 83 C9 FF 41 D3 E1 F2 0F 70 C8 00 66 0F 6F C2 66 41 0F 74 02 66 0F 70 D9 00 66 0F D7 C8 66 0F 6F C3 66 41 0F 74 02 66 0F D7 D0 41 23 D1 41 23 C9 75 2E 0F BD CA 66 0F 6F CA 66 0F 6F C3 49 03 CA 85 D2 4C 0F 45 C1 49 83 C2 10 66 41 0F 74 0A 66 41 0F 74 02 66 0F D7 C9 66 0F D7 D0 85 C9 74 D2 8B C1 F7 D8 23 C1 FF C8 23 D0 0F BD CA 49 03 CA 85 D2 4C 0F 45 C1 49 8B C0 48 83 C4 18 C3 F6 C1 0F 74 19 41 0F BE 01 3B C2 4D 0F 44 C1 41 80 39 00 74 E3 49 FF C1 41 F6 C1 0F 75 E7 0F B6 C2 66 0F 6E C0 66 41 0F 3A 63 01 40 73 0D 4C 63 C1 4D 03 C1 66 41 0F 3A 63 01 40 74 BB 49 83 C1 10 EB E2 }
	condition:
		$1
}

rule file_106_0_0 {
	meta:
		name = "__dyn_tls_dtor"
		size = 138
		refs = "001a _tls_index 0028 dtor_list 0069 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 FA 03 74 04 85 D2 75 5D 8B 0D ?? ?? ?? ?? 65 48 8B 04 25 58 00 00 00 BF ?? ?? ?? ?? 48 8B 04 C8 48 8B 3C 07 48 85 FF 74 3C 8B 1F FF CB 78 1D 48 63 F3 48 83 C6 02 48 8D 34 F7 48 8B 06 48 85 C0 74 02 FF D0 48 83 EE 08 FF CB 79 EE 48 8B 5F 08 48 85 DB 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B FB 48 85 DB 75 C4 48 8B 5C 24 30 48 8B 74 24 38 B8 01 00 00 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_106_1_0 {
	meta:
		name = "__tlregdtor"
		size = 143
		refs = "001a _tls_index 001f dtor_list 0034 dtor_list_head 004f _malloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 65 48 8B 04 25 58 00 00 00 8B 15 ?? ?? ?? ?? BE ?? ?? ?? ?? 48 8B 1C D0 48 8B F9 48 8B 04 1E 48 85 C0 75 11 B8 ?? ?? ?? ?? 48 03 C3 48 89 04 1E 83 20 00 EB 2B 83 38 1E 75 26 B9 00 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 05 83 C8 FF EB 1F 48 8B 04 1E 83 21 00 48 89 0C 1E 48 89 41 08 48 8B 0C 1E 48 63 01 48 89 7C C1 10 FF 01 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_107_0_0 {
	meta:
		name = "asinhf"
		size = 188
		refs = "0016 _fdtest 003e __xmm@80000000800000008000000080000000 0055 __real@40000000 005d _FEps_C 0071 __real@3f800000 0076 sqrtf 0090 log1pf 009a logf 00a2 __real@3f317218"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 30 48 8D 4C 24 40 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0B F3 0F 10 44 24 40 E9 84 00 00 00 F3 0F 10 7C 24 40 0F 57 C0 0F 2F C7 76 14 0F 57 3D ?? ?? ?? ?? BB 01 00 00 00 F3 0F 11 7C 24 40 EB 02 33 DB F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 05 ?? ?? ?? ?? 0F 2F C7 76 30 F3 0F 59 FF 0F 28 C7 F3 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E F8 F3 0F 58 7C 24 40 0F 28 C7 E8 ?? ?? ?? ?? EB 10 0F 28 C7 E8 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 7C 24 20 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "acos"
		size = 741
		refs = "009c ??_C@_04PDIFKINK@acos?$AA@ 00a6 _handle_error 00b8 __real@3ff921fb54442d18 00c6 __real@3ff0000000000000 00da __real@bff0000000000000 00e6 __real@400921fb54442d18 00f0 _set_statfp 013d __xmm@80000000000000008000000000000000 015d __real@3fe0000000000000 019b __real@3f0951665d321061 01a3 __real@3fbb1a422982ce76 01ab __real@3f51e5f887a62135 01b3 __real@3fee324ab418f78d 01c3 __real@3fac28d390c29690 01cb __real@40062021571dccfc 01db __real@3fd1a2bec1b7ef59 01e3 __real@400a4646f903cdea 01f3 __real@3fdc7b297e269eac 01fb __real@3ff5d6b12001f228 0207 __real@3fcd1e4180029834 0230 __real@3c91a62633145c07 023c __real@4000000000000000"
	strings:
		$1 = { 48 83 EC 68 48 B8 00 00 00 00 00 00 00 80 49 B9 FF FF FF FF FF FF FF 7F 0F 57 C9 0F 29 74 24 50 0F 28 D0 F2 0F 11 4C 24 70 F2 0F 11 84 24 80 00 00 00 4C 8B 84 24 80 00 00 00 49 8B D0 49 8B C8 48 23 D0 48 C1 E9 34 49 8B C0 49 23 C1 81 E1 FF 07 00 00 49 B9 00 00 00 00 00 00 F0 7F 81 E9 FF 03 00 00 49 3B C1 76 47 41 B9 01 00 00 00 48 B8 00 00 00 00 00 00 08 00 44 89 4C 24 40 4C 0B C0 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 0D 00 00 00 E8 ?? ?? ?? ?? E9 2C 02 00 00 83 F9 C8 7D 0A F2 0F 10 35 ?? ?? ?? ?? EB 2C 85 C9 78 70 66 0F 2E 05 ?? ?? ?? ?? 7A 0A 75 08 0F 28 C1 E9 05 02 00 00 66 0F 2E 05 ?? ?? ?? ?? 7A 1C 75 1A F2 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 DF 01 00 00 41 B9 01 00 00 00 49 B8 00 00 00 00 00 00 F8 FF 44 89 4C 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E9 67 FF FF FF 0F 28 F0 48 85 D2 74 07 0F 57 35 ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 31 F2 0F 10 1D ?? ?? ?? ?? F2 0F 5C DE F2 0F 59 1D ?? ?? ?? ?? F2 0F 11 5C 24 78 F2 0F 51 4C 24 78 F2 0F 11 4C 24 70 F2 0F 10 64 24 70 0F 28 F4 EB 13 F2 0F 10 64 24 70 0F 28 DE F2 0F 59 DE F2 0F 11 5C 24 78 0F 28 EB 0F 28 C3 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 59 C3 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 59 C3 F2 0F 58 2D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 59 C3 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EB F2 0F 5E E8 85 C0 0F 84 A0 00 00 00 48 85 D2 74 29 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 EC F2 0F 59 2D ?? ?? ?? ?? F2 0F 5C C5 E9 92 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 11 A4 24 80 00 00 00 48 B9 00 00 00 00 FF FF FF FF 48 8B 84 24 80 00 00 00 48 23 C1 48 89 84 24 80 00 00 00 F2 0F 59 F2 F2 0F 59 F5 F2 0F 10 A4 24 80 00 00 00 F2 0F 10 5C 24 78 0F 28 C4 0F 28 CC F2 0F 58 4C 24 70 F2 0F 59 C4 F2 0F 59 E2 F2 0F 5C D8 F2 0F 5E D9 F2 0F 59 DA F2 0F 58 DE F2 0F 58 DC 0F 28 C3 EB 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EA F2 0F 5C C5 F2 0F 5C D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C2 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_109_0_0 {
	meta:
		name = "_fdxp_addh"
		size = 850
		refs = "003d _fdunscale 0051 _fdtest 007f _fperrraise 0087 _FNan_C 0201 _fd_int 020e _fdscale"
	strings:
		$1 = { F3 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 F6 F3 0F 11 55 60 0F 29 74 24 30 48 63 F2 48 8B F9 85 D2 0F 84 05 03 00 00 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B F0 7D 68 66 83 F8 02 74 54 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 47 66 83 F8 02 0F 84 D5 02 00 00 0F B7 47 02 B9 00 80 00 00 66 33 45 5A 66 85 C1 0F 84 BF 02 00 00 41 8D 4E 01 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 07 83 FE 01 0F 8E A1 02 00 00 44 89 77 04 E9 98 02 00 00 F3 0F 10 45 58 F3 0F 11 07 E9 8A 02 00 00 66 85 C0 0F 89 81 02 00 00 41 BC 00 01 00 00 41 8B DE 85 F6 0F 8E 70 02 00 00 4D 8B FE 4C 8D 6F FC 0F 57 F6 4C 8B F7 F3 41 0F 10 06 48 8D 55 D8 48 8D 4D 50 F3 0F 11 45 D8 E8 ?? ?? ?? ?? 33 D2 66 3B D0 0F 8C 41 02 00 00 66 85 C0 0F 84 20 02 00 00 0F BF 55 50 0F BF 45 48 F3 0F 10 4D 58 8B CA 2B C8 83 F9 F4 7F 58 0F 2E CE 7A 02 74 51 8B CB 49 8B C7 48 FF C0 FF C1 48 3B C6 7D 0C F3 0F 10 04 87 0F 2E C6 7A EC 75 EA 8D 46 FF 3B C8 7D 04 FF C1 EB 06 3B CE 75 02 FF C9 48 63 D1 4C 3B FA 7D 0F 8B 44 97 FC 89 04 97 48 FF CA 49 3B D7 7F F1 83 65 58 00 F3 41 0F 11 0E E9 A8 01 00 00 B8 0C 00 00 00 3B C8 7C 11 0F 2E CE 7A 02 74 0A 44 8B E2 FF C3 E9 83 01 00 00 F3 41 0F 58 0E 0F 2E CE F3 41 0F 11 0E 7A 39 75 37 8B CB 49 8B C6 FF C1 48 8D 40 04 3B CE 7D 10 F3 0F 10 00 0F 2E C6 F3 0F 11 40 FC 7A E8 75 E6 83 64 B7 FC 00 F3 41 0F 10 06 0F 2E C6 0F 28 C8 7A 06 0F 84 68 01 00 00 48 8D 55 58 48 8D 4D 48 F3 0F 11 4D 58 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4C 24 F4 3B CA 0F 8D 94 00 00 00 66 41 2B D4 48 8D 4D 58 66 83 C2 0C E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F3 41 0F 10 06 F3 0F 5C 45 58 0F 2E C6 F3 41 0F 11 06 7A 26 75 24 8B CB 49 8B C6 FF C1 48 8D 40 04 3B CE 7D 10 F3 0F 10 00 0F 2E C6 F3 0F 11 40 FC 7A E8 75 E6 83 64 B7 FC 00 49 FF CF 49 83 ED 04 49 83 EE 04 FF CB 75 0B 41 BC 00 01 00 00 E9 B1 00 00 00 F3 41 0F 10 45 00 48 8D 55 60 48 8D 4D 50 F3 0F 11 45 60 E8 ?? ?? ?? ?? 44 0F BF 65 50 E9 8F 00 00 00 44 8D 63 01 44 3B E6 0F 84 A4 00 00 00 F3 41 0F 10 06 48 63 C3 48 8D 4D 50 48 8D 1C 87 F3 0F 11 45 58 48 8B D3 E8 ?? ?? ?? ?? BA 0C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? 0F BF 45 50 F3 0F 10 45 58 F3 41 0F 10 0E 89 45 DC F3 0F 5C C1 0F 2E C6 F3 0F 11 45 58 7A 09 75 07 F3 0F 11 4D 60 EB 05 F3 0F 11 45 60 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DC 44 8B 65 DC 49 FF C7 49 83 C5 04 49 83 C6 04 3B DE 0F 8C B7 FD FF FF EB 18 F3 0F 10 45 58 8D 43 01 48 63 CB F3 0F 11 04 8F 3B C6 7D 04 89 54 8F 04 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_109_1_0 {
	meta:
		name = "_fdxp_addx"
		size = 110
		refs = "0033 __real@00000000 0042 _fdxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 24 F3 0F 10 16 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 04 3B FD 7C DC 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_27_1_1 {
	meta:
		name = "_FXp_addx"
		size = 110
		refs = "0033 __real@00000000 0042 _FXp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 24 F3 0F 10 16 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 04 3B FD 7C DC 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_109_2_0 {
	meta:
		name = "_fdxp_getw"
		size = 78
	strings:
		$1 = { 85 D2 75 04 0F 57 C0 C3 83 FA 01 74 3C F3 0F 10 11 0F 57 C0 0F 2E D0 7A 02 74 2E 83 FA 01 7E 0C F3 0F 10 49 04 0F 2E C8 7A 02 74 1D 83 FA 02 75 09 F3 0F 58 51 04 0F 28 C2 C3 F3 0F 10 41 08 F3 0F 58 41 04 F3 0F 58 C2 C3 F3 0F 10 01 C3 }
	condition:
		$1
}

rule file_109_3_0 {
	meta:
		name = "_fdxp_invx"
		size = 329
		refs = "0035 _fdtest 005a _FInf_C 0084 memcpy 008e __real@bf800000 0096 _fdxp_mulh 00ac __real@3f800000 00ba _fdxp_setw 00e1 _fdxp_mulx 00f3 _fdxp_addh 0118 _fdxp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 4D 8B F8 48 63 FA 48 8B D9 85 D2 0F 84 EE 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 29 8D 75 01 66 3B C6 75 07 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 03 E9 BB 00 00 00 F3 0F 10 33 4C 8B F7 48 8B D3 49 C1 E6 02 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? 8B D7 F3 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F3 0F 58 73 04 F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CB F3 0F 5E D6 E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 8B D7 49 8B CF F3 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_27_3_1 {
	meta:
		name = "_FXp_invx"
		size = 329
		refs = "0035 _FDtest 005a _FInf 0084 memcpy 008e __real@bf800000 0096 _FXp_mulh 00ac __real@3f800000 00ba _FXp_setw 00e1 _FXp_mulx 00f3 _FXp_addh 0118 _FXp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 4D 8B F8 48 63 FA 48 8B D9 85 D2 0F 84 EE 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 29 8D 75 01 66 3B C6 75 07 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 03 E9 BB 00 00 00 F3 0F 10 33 4C 8B F7 48 8B D3 49 C1 E6 02 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? 8B D7 F3 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F3 0F 58 73 04 F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CB F3 0F 5E D6 E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 8B D7 49 8B CF F3 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_109_4_0 {
	meta:
		name = "_fdxp_ldexpx"
		size = 119
		refs = "0035 ldexp 0043 __real@00000000"
		altNames = "_FXp_ldexpx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 45 8B F0 8B EA 48 8B F1 85 D2 7E 32 48 8B F9 F3 0F 10 07 41 8B D6 0F 5A C0 E8 ?? ?? ?? ?? 0F 57 C9 F2 0F 5A C8 0F 2E 0D ?? ?? ?? ?? F3 0F 11 0F 7A 02 74 0A FF C3 48 83 C7 04 3B DD 7C D1 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 8B C6 48 8B 74 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_109_5_0 {
	meta:
		name = "_fdxp_movx"
		size = 36
		refs = "0017 memcpy"
		altNames = "_FXp_movx"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4C 63 C2 48 8B D9 49 C1 E0 02 48 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_109_6_0 {
	meta:
		name = "_fdxp_mulh"
		size = 481
		refs = "001f __security_cookie 004b _fdtest 0066 _fperrraise 00d3 __real@00000000 0129 _fdunscale 0137 _fd_int 0144 _fdscale 0154 _fdxp_addh 01c0 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 0F 29 7C 24 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E0 45 33 E4 0F 28 FA 44 8B FA 48 8B F9 85 D2 7E 58 0F 28 C2 F3 0F 59 01 48 8D 4D D0 F3 0F 11 45 D0 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F3 0F 10 45 D0 F3 0F 11 07 66 44 3B E6 0F 8D 38 01 00 00 44 3B FB 0F 8E 2F 01 00 00 44 89 67 04 E9 26 01 00 00 44 89 27 BB 01 00 00 00 45 8B EC 44 8B F3 45 85 FF 0F 8E 0F 01 00 00 49 8B C4 4C 8D 65 D0 8B F3 4C 2B E7 48 89 45 C8 41 83 FE 04 7D 4B 48 03 C6 48 8D 0C 87 43 8D 04 2E 41 3B C7 7D 2E F3 0F 10 01 0F 2E 05 ?? ?? ?? ?? 7A 02 74 1F 83 21 00 F3 0F 59 C7 44 03 F3 48 03 F3 F3 41 0F 11 04 0C 48 83 C1 04 41 83 FE 04 7C CB EB 0D 83 64 B5 D0 00 BE 08 00 00 00 44 8B F6 F3 0F 10 45 D0 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 9A 00 00 00 48 8D 55 C0 48 8D 4D C4 F3 0F 11 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F BF 55 C4 48 8D 4D C0 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F3 0F 10 55 C0 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F3 0F 10 55 D0 F3 0F 5C 55 C0 E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 1F F3 0F 10 44 85 D0 0F 2E 05 ?? ?? ?? ?? F3 0F 11 44 85 CC 7A 02 74 08 48 03 C3 48 3B C6 7C E1 48 8B 45 C8 44 03 EB 49 83 EC 04 48 03 C3 44 2B F3 48 2B F3 48 89 45 C8 45 3B EF 0F 8C 01 FF FF FF 48 8B C7 48 8B 4D E0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 0F 28 7C 24 50 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_27_6_1 {
	meta:
		name = "_FXp_mulh"
		size = 481
		refs = "001f __security_cookie 004b _FDtest 0066 _Feraise 00d3 __real@00000000 0129 _FDunscale 0137 _FDint 0144 _FDscale 0154 _FXp_addh 01c0 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 0F 29 7C 24 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E0 45 33 E4 0F 28 FA 44 8B FA 48 8B F9 85 D2 7E 58 0F 28 C2 F3 0F 59 01 48 8D 4D D0 F3 0F 11 45 D0 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F3 0F 10 45 D0 F3 0F 11 07 66 44 3B E6 0F 8D 38 01 00 00 44 3B FB 0F 8E 2F 01 00 00 44 89 67 04 E9 26 01 00 00 44 89 27 BB 01 00 00 00 45 8B EC 44 8B F3 45 85 FF 0F 8E 0F 01 00 00 49 8B C4 4C 8D 65 D0 8B F3 4C 2B E7 48 89 45 C8 41 83 FE 04 7D 4B 48 03 C6 48 8D 0C 87 43 8D 04 2E 41 3B C7 7D 2E F3 0F 10 01 0F 2E 05 ?? ?? ?? ?? 7A 02 74 1F 83 21 00 F3 0F 59 C7 44 03 F3 48 03 F3 F3 41 0F 11 04 0C 48 83 C1 04 41 83 FE 04 7C CB EB 0D 83 64 B5 D0 00 BE 08 00 00 00 44 8B F6 F3 0F 10 45 D0 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 9A 00 00 00 48 8D 55 C0 48 8D 4D C4 F3 0F 11 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F BF 55 C4 48 8D 4D C0 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F3 0F 10 55 C0 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F3 0F 10 55 D0 F3 0F 5C 55 C0 E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 1F F3 0F 10 44 85 D0 0F 2E 05 ?? ?? ?? ?? F3 0F 11 44 85 CC 7A 02 74 08 48 03 C3 48 3B C6 7C E1 48 8B 45 C8 44 03 EB 49 83 EC 04 48 03 C3 44 2B F3 48 2B F3 48 89 45 C8 45 3B EF 0F 8C 01 FF FF FF 48 8B C7 48 8B 4D E0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 0F 28 7C 24 50 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_109_7_0 {
	meta:
		name = "_fdxp_mulx"
		size = 254
		refs = "0041 __real@00000000 005d _fdxp_mulh 007d memcpy 00d2 _fdxp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 AE 00 00 00 45 85 C9 0F 84 A5 00 00 00 F3 41 0F 10 10 0F 2E 15 ?? ?? ?? ?? 7A 02 74 11 F3 41 0F 10 40 04 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7B 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 C1 E7 02 49 8B CC 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? 8B D7 48 8B CE F3 0F 10 13 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 42 F3 42 0F 10 04 B3 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 8B D7 49 8B CD F3 42 0F 10 14 B3 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B9 48 8B 5C 24 50 48 8B 6C 24 58 48 8B C6 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_27_7_1 {
	meta:
		name = "_FXp_mulx"
		size = 254
		refs = "0041 __real@00000000 005d _FXp_mulh 007d memcpy 00d2 _FXp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 AE 00 00 00 45 85 C9 0F 84 A5 00 00 00 F3 41 0F 10 10 0F 2E 15 ?? ?? ?? ?? 7A 02 74 11 F3 41 0F 10 40 04 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7B 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 C1 E7 02 49 8B CC 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? 8B D7 48 8B CE F3 0F 10 13 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 42 F3 42 0F 10 04 B3 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 8B D7 49 8B CD F3 42 0F 10 14 B3 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B9 48 8B 5C 24 50 48 8B 6C 24 58 48 8B C6 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_109_8_0 {
	meta:
		name = "_fdxp_setw"
		size = 175
		refs = "0035 _fdunscale 005d _fd_int 006c _fdscale"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 20 57 48 83 EC 30 0F 29 70 E8 0F 28 F2 33 F6 8B FA 48 8B D9 F3 0F 11 70 18 85 D2 7E 70 83 FA 01 74 67 48 8D 50 18 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 74 4F 66 3B F0 7D 0F F3 0F 10 44 24 50 89 73 04 F3 0F 11 03 EB 45 48 8D 4C 24 50 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F BF 54 24 48 48 8D 4C 24 50 E8 ?? ?? ?? ?? F3 0F 10 44 24 50 F3 0F 5C F0 F3 0F 11 03 F3 0F 11 73 04 83 FF 02 7E 0F 89 73 08 EB 0A F3 0F 10 74 24 50 F3 0F 11 33 48 8B 74 24 58 0F 28 74 24 20 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_27_9_1 {
	meta:
		name = "_FXp_setw"
		size = 175
		refs = "0035 _FDunscale 005d _FDint 006c _FDscale"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 20 57 48 83 EC 30 0F 29 70 E8 0F 28 F2 33 F6 8B FA 48 8B D9 F3 0F 11 70 18 85 D2 7E 70 83 FA 01 74 67 48 8D 50 18 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 74 4F 66 3B F0 7D 0F F3 0F 10 44 24 50 89 73 04 F3 0F 11 03 EB 45 48 8D 4C 24 50 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F BF 54 24 48 48 8D 4C 24 50 E8 ?? ?? ?? ?? F3 0F 10 44 24 50 F3 0F 5C F0 F3 0F 11 03 F3 0F 11 73 04 83 FF 02 7E 0F 89 73 08 EB 0A F3 0F 10 74 24 50 F3 0F 11 33 48 8B 74 24 58 0F 28 74 24 20 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_109_9_0 {
	meta:
		name = "_fdxp_sqrtx"
		size = 349
		refs = "0031 _fdtest 006b sqrtf 0073 __real@3f800000 0081 _fdxp_setw 009a memcpy 00a7 __real@bf000000 00ac _fdxp_mulh 00c1 _fdxp_mulx 00e0 __real@3fc00000 00e8 _fdxp_addh 012b _fperrraise 0133 _FNan_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 49 8B E8 48 63 FA 48 8B D9 85 D2 0F 84 0B 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E DF 00 00 00 F3 0F 10 0B 0F 2F C1 0F 87 D7 00 00 00 4C 8B F7 49 C1 E6 02 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F3 0F 58 4B 04 0F 28 C1 E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CE F3 0F 5E D0 E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D7 48 8B CD F3 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 8B D7 F3 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 48 8B CE 4C 89 7C 24 20 E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 8B C6 8B D7 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? EB 1B 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 03 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_109_10_0 {
	meta:
		name = "_fdxp_subx"
		size = 117
		refs = "0033 __real@00000000 003e __xmm@80000000800000008000000080000000 0049 _fdxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2B F3 0F 10 16 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 04 3B FD 7C D5 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_27_11_1 {
	meta:
		name = "_FXp_subx"
		size = 117
		refs = "0033 __real@00000000 003e __xmm@80000000800000008000000080000000 0049 _FXp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2B F3 0F 10 16 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 04 3B FD 7C D5 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_109_11_0 {
	meta:
		name = "fmaf"
		size = 629
		refs = "0025 __security_cookie 0063 _fdunscale 0133 _fdscale 0143 _fdxp_setw 0173 _fdxp_mulh 01b2 _fdxp_addx 023b _fperrraise 0243 _FNan_C 024f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 48 8D 68 A1 48 81 EC B0 00 00 00 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 0F 28 FA 0F 28 F1 44 0F 28 C0 48 8D 55 BF 48 8D 4D C7 F3 44 0F 11 45 CF F3 0F 11 75 DF F3 0F 11 7D E7 F3 44 0F 11 45 BF F3 0F 11 75 D7 F3 0F 11 7D B7 E8 ?? ?? ?? ?? BE 02 00 00 00 0F B7 F8 66 3B C6 75 09 41 0F 28 C0 E9 CA 01 00 00 48 8D 55 D7 48 8D 4D C3 E8 ?? ?? ?? ?? 0F B7 D8 66 3B C6 75 08 0F 28 C6 E9 AD 01 00 00 48 8D 55 B7 48 8D 4D BB E8 ?? ?? ?? ?? 66 3B C6 75 08 0F 28 C7 E9 93 01 00 00 B9 01 00 00 00 66 3B F9 0F 84 45 01 00 00 66 3B D9 0F 84 3C 01 00 00 66 3B C1 74 DC 66 85 FF 0F 84 53 01 00 00 66 85 DB 0F 84 4A 01 00 00 66 85 C0 0F 84 41 01 00 00 0F BF 45 C7 0F B7 4D BB 0F BF 5D C3 03 D8 0F B7 45 D1 BA 00 80 00 00 66 33 45 E1 66 2B CB 66 33 45 E9 66 89 4D BB 66 85 C2 0F 84 12 01 00 00 8D 04 0E BF 04 00 00 00 66 3B C7 0F 87 01 01 00 00 0F BF D1 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 4D F7 8B D7 F3 0F 10 55 BF E8 ?? ?? ?? ?? 48 8D 4D E7 8B D6 F3 0F 10 55 D7 E8 ?? ?? ?? ?? 48 8D 4D DF 8B D6 F3 0F 10 55 B7 E8 ?? ?? ?? ?? 48 8D 4D F7 8B D7 F3 0F 10 55 E7 E8 ?? ?? ?? ?? F3 0F 10 7D EB 0F 57 F6 0F 2E FE 7A 02 74 30 F3 0F 10 55 BF 48 8D 4D E7 8B D7 E8 ?? ?? ?? ?? 48 8D 4D E7 8B D7 0F 28 D7 E8 ?? ?? ?? ?? 4C 8D 45 E7 48 8D 4D F7 44 8B CF 8B D7 E8 ?? ?? ?? ?? 4C 8D 45 DF 48 8D 4D F7 44 8B CE 8B D7 E8 ?? ?? ?? ?? F3 0F 10 4D F7 0F 2E CE 7A 02 74 1C F3 0F 10 55 FB 0F 2E D6 7A 02 74 10 F3 0F 10 45 FF F3 0F 58 C2 F3 0F 58 C1 0F 28 C8 48 8D 4D B7 8B D3 F3 0F 11 4D B7 E8 ?? ?? ?? ?? F3 0F 10 45 B7 EB 40 66 85 FF 74 2E 66 85 DB 74 29 66 3B C1 75 16 0F B7 45 D1 BA 00 80 00 00 66 33 45 E1 66 33 45 E9 66 85 C2 75 0E F3 41 0F 59 F0 F3 0F 58 F7 E9 58 FE FF FF E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 38 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_109_12_0 {
	meta:
		name = "ldexpf"
		size = 22
		refs = "0009 ldexp"
	strings:
		$1 = { 48 83 EC 28 F3 0F 5A C0 E8 ?? ?? ?? ?? F2 0F 5A C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_111_0_0 {
	meta:
		name = "_write"
		size = 225
		refs = "0024 __doserrno 002c _errno 0041 _nhandle 0054 __pioinfo 0071 __lock_fhandle 008b _write_nolock 00ac _unlock_fhandle 00c8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 57 41 54 41 56 41 57 48 83 EC 20 41 8B F0 4C 8B F2 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 91 00 00 00 85 C9 78 75 3B 1D ?? ?? ?? ?? 73 6D 48 8B C3 48 8B FB 48 C1 FF 05 4C 8D 25 ?? ?? ?? ?? 83 E0 1F 4C 6B F8 58 49 8B 04 FC 42 0F BE 4C 38 08 83 E1 01 74 46 8B CB E8 ?? ?? ?? ?? 90 49 8B 04 FC 42 F6 44 38 08 01 74 11 44 8B C6 49 8B D6 8B CB E8 ?? ?? ?? ?? 8B F8 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CF FF 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_111_2_0 {
	meta:
		name = "_write_nolock"
		size = 2033
		refs = "001e __chkstk 0028 __security_cookie 005f __doserrno 0067 _errno 0072 _invalid_parameter_noinfo 0087 __pioinfo 00dd _lseeki64_nolock 00e4 _isatty 010d _getptd 0143 __imp_GetConsoleMode 0162 __imp_GetConsoleCP 01de isleadbyte 0208 mbtowc 026a __imp_WideCharToMultiByte 02a8 __imp_WriteFile 035f _putwch_nolock 03d9 __imp_GetLastError 0781 _dosmaperr 07d2 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 C0 E5 FF FF B8 40 1B 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 30 1A 00 00 45 33 E4 45 8B F8 4C 8B F2 48 63 F9 44 89 64 24 40 41 8B DC 41 8B F4 45 85 C0 75 07 33 C0 E9 6E 07 00 00 48 85 D2 75 20 E8 ?? ?? ?? ?? 44 89 20 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 49 07 00 00 48 8B C7 48 8B CF 48 8D 15 ?? ?? ?? ?? 48 C1 F9 05 83 E0 1F 48 89 4C 24 48 48 8B 0C CA 4C 6B E8 58 45 8A 64 0D 38 4C 89 6C 24 58 45 02 E4 41 D0 FC 41 8D 44 24 FF 3C 01 77 14 41 8B C7 F7 D0 A8 01 75 0B E8 ?? ?? ?? ?? 33 C9 89 08 EB 9A 41 F6 44 0D 08 20 74 0D 33 D2 8B CF 44 8D 42 02 E8 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 48 8B 7C 24 48 85 C0 0F 84 40 03 00 00 48 8D 05 ?? ?? ?? ?? 48 8B 04 F8 41 F6 44 05 08 80 0F 84 29 03 00 00 E8 ?? ?? ?? ?? 48 8D 54 24 64 48 8B 88 C0 00 00 00 33 C0 48 39 81 38 01 00 00 8B F8 48 8B 44 24 48 48 8D 0D ?? ?? ?? ?? 40 0F 94 C7 48 8B 0C C1 49 8B 4C 0D 00 FF 15 ?? ?? ?? ?? 33 C9 85 C0 0F 84 DF 02 00 00 33 C0 85 FF 74 09 45 84 E4 0F 84 C9 02 00 00 FF 15 ?? ?? ?? ?? 49 8B FE 89 44 24 68 33 C0 0F B7 C8 66 89 44 24 44 89 44 24 60 45 85 FF 0F 84 06 06 00 00 44 8B E8 45 84 E4 0F 85 A3 01 00 00 8A 0F 4C 8B 6C 24 58 48 8D 15 ?? ?? ?? ?? 80 F9 0A 0F 94 C0 45 33 C0 89 44 24 64 48 8B 44 24 48 48 8B 14 C2 45 39 44 15 50 74 1F 41 8A 44 15 4C 88 4C 24 6D 88 44 24 6C 45 89 44 15 50 41 B8 02 00 00 00 48 8D 54 24 6C EB 49 0F BE C9 E8 ?? ?? ?? ?? 85 C0 74 34 49 8B C7 48 2B C7 49 03 C6 48 83 F8 01 0F 8E B3 01 00 00 48 8D 4C 24 44 41 B8 02 00 00 00 48 8B D7 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 D9 01 00 00 48 FF C7 EB 1C 41 B8 01 00 00 00 48 8B D7 48 8D 4C 24 44 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 B8 01 00 00 8B 4C 24 68 33 C0 4C 8D 44 24 44 48 89 44 24 38 48 89 44 24 30 48 8D 44 24 6C 41 B9 01 00 00 00 33 D2 C7 44 24 28 05 00 00 00 48 89 44 24 20 48 FF C7 FF 15 ?? ?? ?? ?? 44 8B E8 85 C0 0F 84 70 01 00 00 48 8B 44 24 48 48 8D 0D ?? ?? ?? ?? 4C 8D 4C 24 60 48 8B 0C C1 33 C0 48 8D 54 24 6C 48 89 44 24 20 48 8B 44 24 58 45 8B C5 48 8B 0C 08 FF 15 ?? ?? ?? ?? 85 C0 0F 84 2D 01 00 00 8B 44 24 40 8B DF 41 2B DE 03 D8 44 39 6C 24 60 0F 8C A5 04 00 00 45 33 ED 44 39 6C 24 64 74 58 48 8B 44 24 48 45 8D 45 01 C6 44 24 6C 0D 48 8D 0D ?? ?? ?? ?? 4C 89 6C 24 20 4C 8B 6C 24 58 48 8B 0C C1 4C 8D 4C 24 60 48 8D 54 24 6C 49 8B 4C 0D 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 C3 00 00 00 83 7C 24 60 01 0F 8C CF 00 00 00 FF 44 24 40 0F B7 4C 24 44 FF C3 EB 6F 0F B7 4C 24 44 EB 63 41 8D 44 24 FF 3C 01 77 19 0F B7 0F 33 C0 66 83 F9 0A 44 8B E8 66 89 4C 24 44 41 0F 94 C5 48 83 C7 02 41 8D 44 24 FF 3C 01 77 38 E8 ?? ?? ?? ?? 0F B7 4C 24 44 66 3B C1 75 74 83 C3 02 45 85 ED 74 21 B8 0D 00 00 00 8B C8 66 89 44 24 44 E8 ?? ?? ?? ?? 0F B7 4C 24 44 66 3B C1 75 51 FF C3 FF 44 24 40 4C 8B 6C 24 58 8B C7 41 2B C6 41 3B C7 73 49 33 C0 E9 D8 FD FF FF 8A 07 4C 8B 7C 24 48 4C 8D 25 ?? ?? ?? ?? 4B 8B 0C FC FF C3 49 8B FF 41 88 44 0D 4C 4B 8B 04 FC 41 C7 44 05 50 01 00 00 00 EB 1C FF 15 ?? ?? ?? ?? 8B F0 EB 0D FF 15 ?? ?? ?? ?? 8B F0 4C 8B 6C 24 58 48 8B 7C 24 48 8B 44 24 40 85 DB 0F 85 C4 03 00 00 33 DB 85 F6 0F 84 86 03 00 00 83 FE 05 0F 85 6C 03 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 89 30 E9 4D FC FF FF 48 8B 7C 24 48 EB 07 48 8B 7C 24 48 33 C0 4C 8D 0D ?? ?? ?? ?? 49 8B 0C F9 41 F6 44 0D 08 80 0F 84 E8 02 00 00 8B F0 45 84 E4 0F 85 D8 00 00 00 4D 8B E6 45 85 FF 0F 84 2A 03 00 00 BA 0D 00 00 00 EB 02 33 C0 44 8B 6C 24 40 48 8D BD 30 06 00 00 48 8B C8 41 8B C4 41 2B C6 41 3B C7 73 27 41 8A 04 24 49 FF C4 3C 0A 75 0B 88 17 41 FF C5 48 FF C7 48 FF C1 48 FF C1 88 07 48 FF C7 48 81 F9 FF 13 00 00 72 CE 48 8D 85 30 06 00 00 44 8B C7 44 89 6C 24 40 4C 8B 6C 24 58 44 2B C0 48 8B 44 24 48 49 8B 0C C1 33 C0 4C 8D 4C 24 50 49 8B 4C 0D 00 48 8D 95 30 06 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 E2 FE FF FF 03 5C 24 50 48 8D 85 30 06 00 00 48 2B F8 48 63 44 24 50 48 3B C7 0F 8C DD FE FF FF 41 8B C4 BA 0D 00 00 00 4C 8D 0D ?? ?? ?? ?? 41 2B C6 41 3B C7 0F 82 40 FF FF FF E9 BD FE FF FF 41 80 FC 02 4D 8B E6 0F 85 E0 00 00 00 45 85 FF 0F 84 48 02 00 00 BA 0D 00 00 00 EB 02 33 C0 44 8B 6C 24 40 48 8D BD 30 06 00 00 48 8B C8 41 8B C4 41 2B C6 41 3B C7 73 32 41 0F B7 04 24 49 83 C4 02 66 83 F8 0A 75 0F 66 89 17 41 83 C5 02 48 83 C7 02 48 83 C1 02 48 83 C1 02 66 89 07 48 83 C7 02 48 81 F9 FE 13 00 00 72 C3 48 8D 85 30 06 00 00 44 8B C7 44 89 6C 24 40 4C 8B 6C 24 58 44 2B C0 48 8B 44 24 48 49 8B 0C C1 33 C0 4C 8D 4C 24 50 49 8B 4C 0D 00 48 8D 95 30 06 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 F5 FD FF FF 03 5C 24 50 48 8D 85 30 06 00 00 48 2B F8 48 63 44 24 50 48 3B C7 0F 8C F0 FD FF FF 41 8B C4 BA 0D 00 00 00 4C 8D 0D ?? ?? ?? ?? 41 2B C6 41 3B C7 0F 82 35 FF FF FF E9 D0 FD FF FF 45 85 FF 0F 84 68 01 00 00 41 B8 0D 00 00 00 EB 02 33 C0 48 8D 4D 80 48 8B D0 41 8B C4 41 2B C6 41 3B C7 73 2F 41 0F B7 04 24 49 83 C4 02 66 83 F8 0A 75 0C 66 44 89 01 48 83 C1 02 48 83 C2 02 48 83 C2 02 66 89 01 48 83 C1 02 48 81 FA A8 06 00 00 72 C6 48 8D 45 80 33 FF 4C 8D 45 80 2B C8 48 89 7C 24 38 48 89 7C 24 30 8B C1 B9 E9 FD 00 00 C7 44 24 28 55 0D 00 00 99 2B C2 33 D2 D1 F8 44 8B C8 48 8D 85 30 06 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 44 8B E8 85 C0 0F 84 23 FD FF FF 48 63 C7 45 8B C5 48 8D 95 30 06 00 00 48 03 D0 48 8B 44 24 48 48 8D 0D ?? ?? ?? ?? 48 8B 0C C1 33 C0 4C 8D 4C 24 50 48 89 44 24 20 48 8B 44 24 58 44 2B C7 48 8B 0C 08 FF 15 ?? ?? ?? ?? 85 C0 74 0B 03 7C 24 50 44 3B EF 7F B5 EB 08 FF 15 ?? ?? ?? ?? 8B F0 44 3B EF 0F 8F CD FC FF FF 41 8B DC 41 B8 0D 00 00 00 41 2B DE 41 3B DF 0F 82 FE FE FF FF E9 B3 FC FF FF 49 8B 4C 0D 00 4C 8D 4C 24 50 45 8B C7 49 8B D6 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 0B 8B 5C 24 50 8B C6 E9 97 FC FF FF FF 15 ?? ?? ?? ?? 8B F0 8B C3 E9 88 FC FF FF 4C 8B 6C 24 58 48 8B 7C 24 48 E9 79 FC FF FF 8B CE E8 ?? ?? ?? ?? E9 EC F8 FF FF 48 8B 7C 24 48 48 8D 05 ?? ?? ?? ?? 48 8B 04 F8 41 F6 44 05 08 40 74 0A 41 80 3E 1A 0F 84 A6 F8 FF FF E8 ?? ?? ?? ?? C7 00 1C 00 00 00 E8 ?? ?? ?? ?? 89 18 E9 B3 F8 FF FF 2B D8 8B C3 48 8B 8D 30 1A 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 98 1B 00 00 48 81 C4 40 1B 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_112_0_0 {
	meta:
		name = "_difftime32"
		size = 43
		refs = "0019 _errno"
	strings:
		$1 = { 48 83 EC 28 85 D2 78 10 85 C9 78 0C 2B CA 66 0F 6E C1 F3 0F E6 C0 EB 0E E8 ?? ?? ?? ?? 0F 57 C0 C7 00 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_113_0_0 {
	meta:
		name = "_finitef"
		size = 23
	strings:
		$1 = { F3 0F 11 44 24 08 8B 44 24 08 0F BA F0 1F 2D 00 00 80 7F C1 E8 1F C3 }
	condition:
		$1
}

rule file_115_0_0 {
	meta:
		name = "atan2"
		size = 1979
		refs = "010d ??_C@_05KNGEOGJB@atan2?$AA@ 0122 _handle_error 0151 ?pi@?1??atan2@@9@9 0161 __xmm@80000000000000008000000000000000 0177 ?piby2@?1??atan2@@9@9 0190 _set_statfp 01cf __real@4010000000000000 01d7 __real@c010000000000000 02ec __real@8000000000000000 041d ?three_piby4@?1??atan2@@9@9 043c ?piby4@?1??atan2@@9@9 0496 __real@3fb0000000000000 04a4 __real@4070000000000000 04b4 __ImageBase 04bc __real@3fe0000000000000 04cc ?atan_jby256_tail@?1??atan2@@9@9 04d6 ?atan_jby256_lead@?1??atan2@@9@9 0521 __real@3f70000000000000 05eb __real@3fd5555555550877 060c __real@3fc99992b9802d7d 0629 __real@3e45798ee2308c3a 06bb __real@3fbc718839b8c4eb 06d4 __real@3fb70c3192d751c2 06e5 __real@3fc2492482bd6be1 06f5 __real@3fc99999999643a3 0705 __real@3fd5555555555538 0730 ?piby2_head@?1??atan2@@9@9 0738 ?piby2_tail@?1??atan2@@9@9 0755 ?pi_head@?1??atan2@@9@9 075d ?pi_tail@?1??atan2@@9@9"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 33 DB 0F 29 70 B8 0F 29 78 A8 F2 0F 11 8C 24 E0 00 00 00 4C 8B B4 24 E0 00 00 00 48 BA FF FF FF FF FF FF FF 7F 49 BA 00 00 00 00 00 00 F0 7F F2 0F 11 84 24 E0 00 00 00 4C 8B BC 24 E0 00 00 00 44 0F 29 40 98 44 0F 29 48 88 44 0F 29 54 24 50 41 BB FF 07 00 00 44 8B CB 44 8B C3 44 0F 28 C9 44 0F 28 C0 49 8B C6 49 8B CF 4D 8B E6 48 23 CA 48 23 C2 49 C1 EC 34 45 23 E3 48 BA 00 00 00 00 00 00 00 80 4D 8B EF 49 C1 ED 34 49 8B EE 49 8B F7 48 23 EA 48 23 F2 45 23 EB 48 85 C0 8B D3 41 8B FD 0F 94 C2 49 3B C2 41 0F 94 C1 49 3B CA 41 0F 94 C0 41 2B FC 44 89 8C 24 E8 00 00 00 44 89 84 24 E0 00 00 00 49 3B C2 76 47 49 B8 00 00 00 00 00 00 08 00 4D 0B C6 C7 44 24 40 02 00 00 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 BA 10 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 44 8D 4A F1 89 5C 24 20 E8 ?? ?? ?? ?? E9 5C 06 00 00 49 3B CA 76 0F 49 B8 00 00 00 00 00 00 08 00 4D 0B C7 EB B2 48 85 C9 75 26 48 85 ED 0F 84 3A 06 00 00 F2 0F 10 35 ?? ?? ?? ?? 48 85 F6 0F 84 59 01 00 00 0F 57 35 ?? ?? ?? ?? E9 4D 01 00 00 85 D2 74 46 48 85 F6 74 17 F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 F0 E9 2D 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 44 8B 84 24 E0 00 00 00 44 8B 8C 24 E8 00 00 00 49 BA 00 00 00 00 00 00 F0 7F 41 BB FF 07 00 00 B8 FD 03 00 00 44 3B E0 0F 8D DF 00 00 00 44 3B E8 0F 8D D6 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 B9 00 00 00 00 00 00 00 40 48 BA 00 00 00 00 00 00 10 40 4D 85 F2 75 36 4C 0B F2 4C 89 B4 24 E0 00 00 00 F2 0F 10 84 24 E0 00 00 00 48 85 ED 74 06 F2 0F 58 C1 EB 04 F2 0F 58 C2 F2 0F 11 84 24 E0 00 00 00 48 8B 84 24 E0 00 00 00 EB 04 49 8D 04 0E 4D 85 FA 75 36 4C 0B FA 4C 89 BC 24 E0 00 00 00 F2 0F 10 84 24 E0 00 00 00 48 85 F6 74 06 F2 0F 58 C1 EB 04 F2 0F 58 C2 F2 0F 11 84 24 E0 00 00 00 48 8B BC 24 E0 00 00 00 EB 04 49 8D 3C 0F 48 89 84 24 E0 00 00 00 48 C1 E8 34 F2 44 0F 10 8C 24 E0 00 00 00 48 89 BC 24 E0 00 00 00 48 C1 EF 34 41 23 FB 41 23 C3 F2 44 0F 10 84 24 E0 00 00 00 2B F8 83 FF 38 7E 23 48 85 F6 0F 85 C4 FE FF FF F2 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 BE 04 00 00 83 FF E4 0F 8D 25 01 00 00 48 85 ED 0F 85 1C 01 00 00 81 FF CE FB FF FF 7D 1A 48 85 F6 74 0D F2 0F 10 35 ?? ?? ?? ?? E9 E2 00 00 00 0F 57 F6 E9 DA 00 00 00 81 FF 02 FC FF FF 0F 8D E0 00 00 00 48 B8 00 00 00 00 00 00 30 46 48 B9 00 00 00 00 00 00 00 80 48 89 84 24 E0 00 00 00 F2 0F 10 84 24 E0 00 00 00 F2 41 0F 59 C0 F2 41 0F 5E C1 F2 0F 11 84 24 E0 00 00 00 48 8B 84 24 E0 00 00 00 4C 8B C0 4C 23 C1 48 B9 FF FF FF FF FF FF FF 7F 48 23 C1 48 8B C8 48 C1 E9 34 41 23 CB 83 E9 64 85 C9 7E 19 48 63 D9 48 B9 FF FF FF FF FF FF 0F 80 48 23 C1 48 C1 E3 34 48 0B D8 EB 38 48 BA FF FF FF FF FF FF 1F 80 48 23 C2 48 BA 00 00 00 00 00 00 10 00 48 0B C2 BA 01 00 00 00 2B D1 83 FA 36 7F 12 8D 4A FF 48 D3 E8 48 8B D8 83 E0 01 48 D1 EB 48 03 D8 49 0B D8 48 89 9C 24 E0 00 00 00 F2 0F 10 B4 24 E0 00 00 00 49 85 DA 75 0A B9 30 00 00 00 E9 DB FE FF FF 0F 28 C6 E9 9E 03 00 00 F2 45 0F 5E C1 41 0F 28 C0 E9 90 03 00 00 83 FF C8 7D 09 48 85 ED 0F 85 48 FD FF FF 45 85 C0 74 48 45 85 C9 74 43 48 85 ED 74 1F 48 85 F6 74 0D F2 0F 10 05 ?? ?? ?? ?? E9 55 FD FF FF F2 0F 10 35 ?? ?? ?? ?? E9 84 FE FF FF 48 85 F6 74 0D F2 0F 10 05 ?? ?? ?? ?? E9 36 FD FF FF F2 0F 10 35 ?? ?? ?? ?? E9 65 FE FF FF 48 85 ED 74 08 44 0F 57 0D ?? ?? ?? ?? 48 85 F6 74 08 44 0F 57 05 ?? ?? ?? ?? 66 45 0F 2F C1 44 8B CB 41 0F 97 C1 45 85 C9 74 0C 41 0F 28 C1 45 0F 28 C8 44 0F 28 C0 41 0F 28 E8 F2 41 0F 5E E9 66 0F 2F 2D ?? ?? ?? ?? 0F 86 85 01 00 00 F2 0F 59 2D ?? ?? ?? ?? 41 BA FF 03 00 00 0F 57 F6 48 8D 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 2C D5 8D 4A F0 F2 0F 10 BC C8 ?? ?? ?? ?? F2 44 0F 10 94 C8 ?? ?? ?? ?? F2 44 0F 11 8C 24 E0 00 00 00 4C 8B 84 24 E0 00 00 00 8B C2 49 C1 E8 34 45 23 C3 45 2B C2 41 F7 D8 F2 48 0F 2A F0 41 8B C0 99 2B C2 D1 F8 48 63 C8 49 03 CA 48 C1 E1 34 48 89 8C 24 E0 00 00 00 41 8B C8 F2 0F 59 35 ?? ?? ?? ?? 2B C8 48 63 C1 F2 0F 10 AC 24 E0 00 00 00 49 03 C2 48 C1 E0 34 48 89 84 24 E0 00 00 00 F2 41 0F 59 E9 41 8B C0 99 2B C2 F2 0F 10 84 24 E0 00 00 00 D1 F8 48 63 C8 44 2B C0 F2 0F 59 E8 49 03 CA 49 63 C0 0F 28 CD 49 03 C2 48 C1 E1 34 48 89 8C 24 E0 00 00 00 48 C1 E0 34 F2 0F 10 A4 24 E0 00 00 00 48 89 84 24 E0 00 00 00 F2 41 0F 59 E0 F2 0F 10 84 24 E0 00 00 00 F2 0F 11 AC 24 E0 00 00 00 48 8B 84 24 E0 00 00 00 48 25 00 00 00 F8 48 89 84 24 E0 00 00 00 F2 0F 59 E0 0F 28 DC F2 0F 10 94 24 E0 00 00 00 F2 0F 5C CA 0F 28 C2 F2 0F 59 C6 F2 0F 59 CE F2 0F 59 F4 F2 0F 5C D8 F2 0F 5C D9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 F5 F2 0F 5E DE 0F 28 D3 0F 28 EB F2 0F 58 EF F2 0F 59 D3 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C C8 F2 0F 59 CA F2 0F 59 CB F2 0F 5C E9 E9 02 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 45 0F 57 D2 66 0F 2F C5 0F 87 EC 00 00 00 F2 44 0F 11 8C 24 E0 00 00 00 48 B9 00 00 00 00 FF FF FF FF 41 0F 28 C9 48 8B 84 24 E0 00 00 00 48 23 C1 0F 28 E5 48 89 84 24 E0 00 00 00 F2 0F 59 E5 F2 0F 10 9C 24 E0 00 00 00 F2 0F 11 AC 24 E0 00 00 00 48 8B 84 24 E0 00 00 00 48 23 C1 48 89 84 24 E0 00 00 00 F2 0F 5C CB F2 0F 10 94 24 E0 00 00 00 F2 0F 59 CA 0F 28 C2 F2 0F 59 C3 F2 44 0F 5C C0 0F 28 C5 F2 44 0F 5C C1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C C2 F2 41 0F 59 C1 F2 44 0F 5C C0 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 45 0F 5E C1 F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CC F2 0F 5C C1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CC F2 0F 59 E5 F2 0F 5C C1 F2 0F 59 C4 F2 44 0F 5C C0 F2 44 0F 58 C5 41 0F 28 E8 45 85 C9 74 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 41 0F 5C C2 F2 0F 5C CD 44 0F 28 D0 0F 28 E9 48 85 ED 74 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 41 0F 5C C2 F2 0F 5C CD 44 0F 28 D0 0F 28 E9 F2 44 0F 58 D5 48 85 F6 74 08 44 0F 57 15 ?? ?? ?? ?? 41 0F 28 C2 4C 8D 9C 24 A0 00 00 00 49 8B 5B 50 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_115_2_0 {
	meta:
		name = "scaleDouble_1"
		size = 32
	strings:
		$1 = { 0F 28 C8 48 63 C2 48 05 FF 03 00 00 48 C1 E0 34 48 89 44 24 08 F2 0F 10 44 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_115_3_0 {
	meta:
		name = "scaleDouble_2"
		size = 72
	strings:
		$1 = { 8B C2 44 8B C2 0F 28 D0 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C0 48 03 CA 49 63 C0 48 C1 E1 34 48 03 C2 48 89 4C 24 08 48 C1 E0 34 F2 0F 10 44 24 08 48 89 44 24 08 F2 0F 59 C2 F2 0F 10 4C 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_115_4_0 {
	meta:
		name = "scaleDownDouble"
		size = 142
	strings:
		$1 = { 4C 8B D1 4C 8B C9 48 B8 00 00 00 00 00 00 00 80 4C 23 D0 48 B8 FF FF FF FF FF FF FF 7F 4C 23 C8 33 C0 49 8B C9 48 C1 E9 34 81 E1 FF 07 00 00 2B CA 85 C9 7E 19 48 63 C1 48 B9 FF FF FF FF FF FF 0F 80 4C 23 C9 48 C1 E0 34 49 0B C1 EB 39 48 BA FF FF FF FF FF FF 1F 80 4C 23 CA 48 BA 00 00 00 00 00 00 10 00 4C 0B CA BA 01 00 00 00 2B D1 83 FA 36 7F 13 8D 4A FF 49 D3 E9 49 8B C1 41 83 E1 01 48 D1 E8 49 03 C1 49 0B C2 49 89 00 C3 }
	condition:
		$1
}

rule file_115_5_0 {
	meta:
		name = "scaleUpDouble1024"
		size = 105
		refs = "003d __real@4010000000000000 0047 __real@c010000000000000"
	strings:
		$1 = { 48 B8 00 00 00 00 00 00 F0 7F 48 85 C8 75 49 49 B8 00 00 00 00 00 00 10 40 48 8B C1 49 0B C0 48 89 44 24 08 48 B8 00 00 00 00 00 00 00 80 F2 0F 10 44 24 08 48 85 C8 74 0A F2 0F 58 05 ?? ?? ?? ?? EB 08 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 08 48 8B 44 24 08 EB 0D 48 B8 00 00 00 00 00 00 00 40 48 03 C1 48 89 02 C3 }
	condition:
		$1
}

rule file_116_0_0 {
	meta:
		name = "remquol"
		size = 483
		refs = "002c _ldtest 0071 __xmm@80000000000000008000000000000000 00bb _ldunscale 00fb _ldscale 014b __real@3fe0000000000000 01c1 _fperrraise 01c9 _LNan_C"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 48 8D 4D 48 0F 29 74 24 30 4D 8B F0 E8 ?? ?? ?? ?? 48 8D 4D 50 0F B7 F8 E8 ?? ?? ?? ?? 45 33 ED 4D 85 F6 74 03 45 89 2E 66 44 3B EF 0F 8E 44 01 00 00 66 44 3B E8 0F 8E 3A 01 00 00 F2 0F 10 45 50 0F 57 F6 BB 01 00 00 00 66 0F 2F F0 76 12 0F 57 05 ?? ?? ?? ?? 44 0F B7 FB F2 0F 11 45 50 EB 03 45 8B FD F2 0F 10 4D 48 66 0F 2F F1 76 1C 0F 57 0D ?? ?? ?? ?? 8B C3 44 0F B7 E3 66 41 2B C7 44 0F B7 F8 F2 0F 11 4D 48 EB 03 45 8B E5 48 8D 55 D8 48 8D 4D 60 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 41 8B F5 F2 0F 10 45 48 F2 0F 11 45 D8 48 8D 55 D8 48 8D 4D 58 E8 ?? ?? ?? ?? 66 85 C0 74 59 0F BF 7D 58 0F BF 45 60 2B F8 78 4D F2 0F 10 45 50 48 8D 4D D8 8B D7 F2 0F 11 45 D8 E8 ?? ?? ?? ?? F2 0F 10 45 48 66 0F 2F 45 D8 73 06 2B FB 79 DB EB 1B F2 0F 5C 45 D8 48 63 C7 F2 0F 11 45 48 48 83 F8 20 73 08 8B CF 8B C3 D3 E0 03 F0 F2 0F 11 45 D8 85 FF 79 97 EB 05 F2 0F 10 45 48 66 0F 2F C6 76 2D F2 0F 10 4D 50 F2 0F 59 0D ?? ?? ?? ?? 66 0F 2F C1 76 06 66 0F 2F CE 77 0D 66 0F 2E C8 7A 0E 75 0C 40 84 F3 74 07 F2 0F 5C 45 50 03 F3 4D 85 F6 74 12 0F BA F6 1F 8B C6 F7 D8 66 45 85 FF 0F 45 F0 41 89 36 66 45 85 E4 74 41 0F 57 05 ?? ?? ?? ?? EB 38 66 83 FF 02 75 07 F2 0F 10 45 48 EB 2B 66 83 F8 02 75 07 F2 0F 10 45 50 EB 1E BB 01 00 00 00 66 3B FB 74 05 66 85 C0 75 DD 8B CB E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_937_0_0 {
	meta:
		name = "remquo"
		size = 483
		refs = "002c _dtest 0071 __xmm@80000000000000008000000000000000 00bb _dunscale 00fb _dscale 014b __real@3fe0000000000000 01c1 _fperrraise 01c9 _Nan_C"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 48 8D 4D 48 0F 29 74 24 30 4D 8B F0 E8 ?? ?? ?? ?? 48 8D 4D 50 0F B7 F8 E8 ?? ?? ?? ?? 45 33 ED 4D 85 F6 74 03 45 89 2E 66 44 3B EF 0F 8E 44 01 00 00 66 44 3B E8 0F 8E 3A 01 00 00 F2 0F 10 45 50 0F 57 F6 BB 01 00 00 00 66 0F 2F F0 76 12 0F 57 05 ?? ?? ?? ?? 44 0F B7 FB F2 0F 11 45 50 EB 03 45 8B FD F2 0F 10 4D 48 66 0F 2F F1 76 1C 0F 57 0D ?? ?? ?? ?? 8B C3 44 0F B7 E3 66 41 2B C7 44 0F B7 F8 F2 0F 11 4D 48 EB 03 45 8B E5 48 8D 55 D8 48 8D 4D 60 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 41 8B F5 F2 0F 10 45 48 F2 0F 11 45 D8 48 8D 55 D8 48 8D 4D 58 E8 ?? ?? ?? ?? 66 85 C0 74 59 0F BF 7D 58 0F BF 45 60 2B F8 78 4D F2 0F 10 45 50 48 8D 4D D8 8B D7 F2 0F 11 45 D8 E8 ?? ?? ?? ?? F2 0F 10 45 48 66 0F 2F 45 D8 73 06 2B FB 79 DB EB 1B F2 0F 5C 45 D8 48 63 C7 F2 0F 11 45 48 48 83 F8 20 73 08 8B CF 8B C3 D3 E0 03 F0 F2 0F 11 45 D8 85 FF 79 97 EB 05 F2 0F 10 45 48 66 0F 2F C6 76 2D F2 0F 10 4D 50 F2 0F 59 0D ?? ?? ?? ?? 66 0F 2F C1 76 06 66 0F 2F CE 77 0D 66 0F 2E C8 7A 0E 75 0C 40 84 F3 74 07 F2 0F 5C 45 50 03 F3 4D 85 F6 74 12 0F BA F6 1F 8B C6 F7 D8 66 45 85 FF 0F 45 F0 41 89 36 66 45 85 E4 74 41 0F 57 05 ?? ?? ?? ?? EB 38 66 83 FF 02 75 07 F2 0F 10 45 48 EB 2B 66 83 F8 02 75 07 F2 0F 10 45 50 EB 1E BB 01 00 00 00 66 3B FB 74 05 66 85 C0 75 DD 8B CB E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_118_4_0 {
	meta:
		name = "__check_float_string"
		size = 150
		refs = "002b _calloc_crt 0050 memcpy 006c _recalloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F1 49 8B F8 48 8B DA 48 3B 0A 75 64 4D 39 08 75 3D 48 8B 0B BA 02 00 00 00 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 04 33 C0 EB 4B 48 8B 44 24 50 48 8B D6 C7 00 01 00 00 00 4C 8B 03 48 8B 0F E8 ?? ?? ?? ?? 48 8B 03 48 03 C0 48 89 03 EB 22 48 8B 12 48 8B 0F 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 C2 48 89 07 48 8B 0B 48 03 C9 48 89 0B B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_5_0 {
	meta:
		name = "_cprinput_l"
		size = 3717
		refs = "0022 __security_cookie 0066 _errno 0071 _invalid_parameter_noinfo 0082 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b0 isspace 00cb _getche_nolock 00e5 _ungetch_nolock 0156 isdigit 046f __check_float_string 061b free 0641 __security_check_cookie 0736 _cfltcvt_tab 073e __imp_DecodePointer 0817 memset 0a7c isleadbyte 0ab7 _mbtowc_l 0c14 isxdigit"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 A0 FE FF FF 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 01 00 00 48 8D 75 F0 4C 89 45 98 4C 8B E9 48 89 74 24 68 33 F6 48 C7 45 90 5E 01 00 00 89 74 24 74 48 89 74 24 60 66 89 74 24 78 89 74 24 38 48 89 75 A8 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 B9 05 00 00 48 8D 4D B0 E8 ?? ?? ?? ?? 41 8A 45 00 8B DE 40 88 74 24 3C 44 8B E6 89 74 24 34 89 5C 24 54 84 C0 0F 84 7F 05 00 00 41 83 CF FF 41 8D 5F 02 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 4C 44 2B E3 EB 05 BB 01 00 00 00 44 03 E3 44 89 64 24 34 E8 ?? ?? ?? ?? 8B D8 41 3B C7 74 13 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 DB 8B CB E8 ?? ?? ?? ?? BB 01 00 00 00 4C 03 EB 41 0F B6 4D 00 E8 ?? ?? ?? ?? 85 C0 75 EF E9 3A 0D 00 00 41 80 7D 00 25 0F 85 F2 0C 00 00 41 80 7D 01 25 0F 84 D5 0C 00 00 33 C0 89 74 24 4C 40 88 74 24 7C 89 74 24 48 8B FE 44 8B FE 88 44 24 70 44 8A F0 44 8B E0 40 88 74 24 44 40 88 74 24 3D 40 88 74 24 30 88 5C 24 31 4C 03 EB 41 0F B6 5D 00 8B CB E8 ?? ?? ?? ?? 33 D2 85 C0 74 58 47 8D 3C BF FF C7 45 8D 7F E8 46 8D 3C 7B BB 01 00 00 00 8A 4C 24 30 40 84 F6 74 CF 89 7C 24 50 8B 7C 24 38 44 89 64 24 58 44 8A 64 24 7C 44 89 7C 24 40 84 C9 0F 85 07 01 00 00 48 8B 45 98 48 89 45 A8 48 83 C0 08 48 89 45 98 48 8B 40 F8 48 89 45 80 E9 EE 00 00 00 83 FB 2A 0F 84 CD 00 00 00 83 FB 46 74 A8 83 FB 49 74 65 83 FB 4C 74 52 83 FB 4E 74 99 83 FB 68 74 3C 83 FB 6C 74 0F 83 FB 77 BB 01 00 00 00 74 25 E9 98 00 00 00 41 80 7D 01 6C BB 01 00 00 00 75 10 49 FF C5 44 03 E3 48 89 54 24 60 E9 69 FF FF FF 00 5C 24 31 44 02 F3 E9 5D FF FF FF FE 4C 24 31 41 FE CE E9 4C FF FF FF BB 01 00 00 00 00 5C 24 31 E9 43 FF FF FF 41 8A 45 01 3C 36 75 13 49 8D 4D 02 80 39 34 75 0A 4C 8B E9 BB 01 00 00 00 EB B2 3C 33 75 11 49 8D 4D 02 80 39 32 75 08 4C 8B E9 E9 0E FF FF FF 2C 58 3C 20 77 13 0F B6 C0 48 B9 01 10 82 00 01 00 00 00 48 0F A3 C1 72 CB BB 01 00 00 00 48 89 54 24 60 44 03 E3 40 02 F3 E9 E5 FE FF FF 8A 4C 24 30 BB 01 00 00 00 02 CB 88 4C 24 30 E9 D5 FE FF FF 48 89 55 80 8A DA 45 84 F6 75 1B 41 8A 45 00 2C 43 24 EF F6 D8 B8 01 00 00 00 45 1A F6 41 80 E6 FE 44 02 F0 EB 05 B8 01 00 00 00 45 0F B6 7D 00 41 83 CF 20 44 89 7D A0 41 83 FF 6E 74 5D 41 83 FF 63 74 39 41 83 FF 7B 74 33 8B 74 24 34 41 BF 01 00 00 00 41 03 F7 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 83 F8 FF 74 0C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 E1 44 8B 7D A0 89 74 24 34 EB 0F 01 44 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 83 FF FF 0F 84 D1 02 00 00 8A 4C 24 30 33 D2 8B 44 24 50 8B 74 24 40 85 C0 74 08 85 F6 0F 84 FE 0A 00 00 41 83 FF 6F 0F 8F 20 04 00 00 0F 84 10 08 00 00 41 83 FF 63 0F 84 ED 03 00 00 41 83 FF 64 0F 84 FC 07 00 00 0F 8E 2E 04 00 00 41 83 FF 67 7E 56 41 83 FF 69 74 31 41 83 FF 6E 0F 85 18 04 00 00 44 8B 64 24 34 33 F6 41 8B C4 84 C9 0F 84 17 0A 00 00 41 83 CF FF BB 01 00 00 00 00 5C 24 3C 4C 03 EB E9 86 0A 00 00 41 BF 64 00 00 00 41 BC 01 00 00 00 83 FF 2D 0F 85 14 05 00 00 44 88 64 24 3D E9 0F 05 00 00 48 8B DA 83 FF 2D 75 0F 48 8B 44 24 68 40 88 38 8D 47 D4 8B D8 EB 08 83 FF 2B 75 1E 8D 47 D6 44 8B 64 24 34 2B F0 44 03 E0 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 8B 44 24 50 EB 05 44 8B 64 24 34 85 C0 41 BF FF FF FF FF 40 0F B6 CF 41 0F 44 F7 89 74 24 40 E8 ?? ?? ?? ?? BA 01 00 00 00 85 C0 74 56 8B C6 2B F2 89 74 24 40 85 C0 74 4A 48 8B 44 24 68 01 54 24 48 4C 8D 4D F0 40 88 3C 03 48 03 DA 48 8D 44 24 74 48 8D 55 90 4C 8D 44 24 68 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 8D 01 00 00 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 0F B6 C8 EB 9C 48 8B 45 B0 44 8B 74 24 40 48 8B 88 F0 00 00 00 48 8B 01 40 8A 30 40 3A F7 0F 85 B7 00 00 00 41 8B C6 44 2B F2 85 C0 0F 84 A9 00 00 00 44 03 E2 E8 ?? ?? ?? ?? 4C 8D 4D F0 8B F8 89 44 24 38 48 8B 44 24 68 40 88 34 03 48 8D 44 24 74 48 FF C3 4C 8D 44 24 68 48 8D 55 90 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 33 F6 85 C0 0F 84 0C 01 00 00 40 0F B6 CF EB 57 41 8B C6 B9 01 00 00 00 44 2B F1 85 C0 74 51 48 8B 44 24 68 01 4C 24 48 4C 8D 4D F0 40 88 3C 03 48 03 D9 48 8D 44 24 74 4C 8D 44 24 68 48 8D 55 90 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 C0 00 00 00 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A0 8B 74 24 48 85 F6 0F 84 7D 01 00 00 8D 47 BB BA 01 00 00 00 A9 DF FF FF FF 0F 85 6F 01 00 00 41 8B C6 44 2B F2 85 C0 0F 84 61 01 00 00 48 8B 44 24 68 4C 8D 4D F0 4C 8D 44 24 68 C6 04 03 65 48 03 DA 48 8D 44 24 74 48 8D 55 90 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 48 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 83 F8 2D 0F 85 89 00 00 00 48 8B 44 24 68 4C 8D 4D F0 4C 8D 44 24 68 40 88 3C 03 48 8D 44 24 74 48 FF C3 48 8D 55 90 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 33 C9 85 C0 75 5F 33 F6 B8 01 00 00 00 39 44 24 74 75 0A 48 8B 4C 24 68 E8 ?? ?? ?? ?? 8B 5C 24 54 40 38 75 C8 74 0B 48 8B 4D C0 83 A1 C8 00 00 00 FD 8B C3 48 8B 8D 50 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A8 02 00 00 48 81 C4 60 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 83 F8 2B 75 24 33 C9 41 8B C6 BA 01 00 00 00 44 2B F2 85 C0 75 05 44 8B F1 EB 0E 44 03 E2 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 57 41 8B C6 BA 01 00 00 00 44 2B F2 85 C0 74 4D 48 8B 44 24 68 03 F2 4C 8D 4D F0 40 88 3C 03 48 03 DA 48 8D 44 24 74 48 8D 55 90 4C 8D 44 24 68 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 2E FF FF FF 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 0F B6 C8 EB A0 BA 01 00 00 00 44 2B E2 44 89 64 24 34 41 3B FF 74 0C 8B CF E8 ?? ?? ?? ?? BA 01 00 00 00 33 C0 85 F6 0F 84 F3 FE FF FF 33 F6 40 38 74 24 30 0F 85 85 FC FF FF 48 8B 74 24 68 01 54 24 54 88 04 33 0F BE 5C 24 31 48 8B 0D ?? ?? ?? ?? 2B DA FF 15 ?? ?? ?? ?? 48 8B 55 80 4C 8D 4D B0 4C 8B C6 8B CB FF D0 33 F6 E9 4F FC FF FF 41 BB 01 00 00 00 85 C0 75 08 44 89 5C 24 50 41 03 F3 45 84 F6 0F 8E 5A 02 00 00 45 8A F3 E9 57 02 00 00 41 83 FF 70 0F 84 D8 03 00 00 41 83 FF 73 0F 84 27 02 00 00 41 83 FF 75 0F 84 D8 03 00 00 41 83 FF 78 0F 84 1B FC FF FF 41 83 FF 7B 74 32 41 0F B6 45 00 3B C7 0F 85 99 06 00 00 44 8B 64 24 34 41 83 CF FF 33 F6 44 00 7C 24 3C 84 C9 0F 85 D9 FB FF FF 4C 8B 45 A8 4C 89 45 98 E9 CC FB FF FF 8B 44 24 70 45 84 F6 0F B6 C0 89 44 24 70 44 8B F0 B8 01 00 00 00 44 0F 4F F0 4C 03 E8 41 80 7D 00 5E 44 89 74 24 70 75 08 49 FF C5 C6 44 24 44 FF 33 D2 48 8D 4D D0 44 8D 42 20 E8 ?? ?? ?? ?? 41 80 7D 00 5D 41 BB 01 00 00 00 75 0A 41 B4 5D 4D 03 EB C6 45 DB 20 41 8A 45 00 3C 5D 0F 84 92 00 00 00 45 33 F6 4D 03 EB 3C 2D 75 5A 45 84 E4 74 55 41 8A 4D 00 80 F9 5D 74 4C 4D 03 EB 44 3A E1 73 05 44 8A C9 EB 06 45 8A CC 44 8A E1 45 3A E1 73 27 45 0F B6 D4 41 0F B6 CC 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 45 02 E3 D2 E2 4D 03 D3 42 08 54 05 D0 45 3A E1 72 DD 45 0F B6 C1 41 0F B6 C1 45 8A E6 EB 0A 44 8A E0 44 0F B6 C0 0F B6 C0 83 E0 07 49 C1 E8 03 41 8B D3 8A C8 41 8A 45 00 D2 E2 42 08 54 05 D0 3C 5D 0F 85 76 FF FF FF 44 8B 74 24 70 33 C0 41 38 45 00 0F 84 2C FD FF FF E9 F1 00 00 00 83 FF 2B 75 10 41 2B F4 89 74 24 40 75 56 85 C0 74 52 41 8A DC 44 8B 74 24 34 83 FF 30 0F 85 90 02 00 00 45 03 F4 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 83 C0 A8 A8 DF 74 60 44 89 64 24 48 41 83 FF 78 74 36 33 C0 39 44 24 50 74 0C 41 2B F4 89 74 24 40 75 03 41 02 DC 41 BF 6F 00 00 00 EB 69 44 8B 74 24 34 45 03 F4 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 EB 9C 45 2B F4 44 89 74 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? BF 30 00 00 00 89 7C 24 38 EB 30 45 03 F4 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 33 C0 39 44 24 50 74 0F 83 EE 02 89 74 24 40 41 3B F4 7D 03 41 02 DC 41 BF 78 00 00 00 45 8B E6 E9 E3 01 00 00 0F B6 44 24 70 45 84 F6 41 BB 01 00 00 00 41 0F 4F C3 44 8A F0 EB 05 44 8B 74 24 70 44 8B 64 24 34 48 8B 5D 80 45 2B E3 44 89 64 24 34 83 FF FF 74 0D 8B CF E8 ?? ?? ?? ?? 41 BB 01 00 00 00 33 C9 39 4C 24 50 74 0D 8B C6 41 2B F3 85 C0 0F 84 11 01 00 00 45 03 E3 44 89 64 24 34 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 38 41 83 FF 63 74 42 41 83 FF 73 75 11 8D 47 F7 83 F8 04 0F 86 C5 00 00 00 83 FF 20 75 2B 41 83 FF 7B 0F 85 B6 00 00 00 48 8B C7 8B D7 48 C1 F8 03 83 E2 07 0F BE 4C 05 D0 0F BE 44 24 44 33 C8 0F A3 D1 0F 83 95 00 00 00 33 C9 38 4C 24 30 75 7F 45 84 F6 74 61 40 0F B6 CF 40 88 7D 88 E8 ?? ?? ?? ?? 85 C0 74 10 41 FF C4 44 89 64 24 34 E8 ?? ?? ?? ?? 88 45 89 B8 3F 00 00 00 4C 8D 4D B0 48 8D 55 88 66 89 44 24 78 48 8B 45 B0 48 8D 4C 24 78 4C 63 80 D4 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 80 0F B7 44 24 78 66 89 01 48 83 C1 02 48 89 4D 80 E9 1B FF FF FF 48 8B 45 80 41 BB 01 00 00 00 40 88 38 49 03 C3 48 89 45 80 E9 0A FF FF FF 41 BB 01 00 00 00 49 03 DB E9 FC FE FF FF 41 BB 01 00 00 00 45 2B E3 44 89 64 24 34 83 FF FF 74 0D 8B CF E8 ?? ?? ?? ?? 41 BB 01 00 00 00 48 8B 45 80 33 F6 48 3B D8 0F 84 E0 FA FF FF 40 38 74 24 30 0F 85 6E F8 FF FF 44 01 5C 24 54 41 83 FF 63 0F 84 5F F8 FF FF 41 83 CF FF 45 84 F6 74 08 66 89 30 E9 52 F8 FF FF 40 88 30 E9 4A F8 FF FF B9 01 00 00 00 48 89 54 24 60 01 4C 24 58 88 4C 24 31 EB 05 B9 01 00 00 00 83 FF 2D 75 06 88 4C 24 3D EB 05 83 FF 2B 75 0E 2B F1 89 74 24 40 75 5C 85 C0 74 58 8A D9 44 8B 64 24 34 33 F6 39 74 24 58 0F 84 0E 01 00 00 48 8B 74 24 60 84 DB 0F 85 FD 00 00 00 44 8B 74 24 40 33 DB 41 8D 47 90 A9 F7 FF FF FF 74 49 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 AA 00 00 00 41 83 FF 6F 75 29 83 FF 38 0F 8D 9B 00 00 00 48 C1 E6 03 EB 5B 44 8B 64 24 34 44 03 E1 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 EB 95 48 8D 34 B6 48 03 F6 EB 38 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 63 48 C1 64 24 60 04 8B CE 40 0F BE DF E8 ?? ?? ?? ?? 48 8B 74 24 60 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 33 DB 89 7C 24 38 8D 47 D0 BA 01 00 00 00 01 54 24 48 48 63 C8 48 03 F1 48 89 74 24 60 39 5C 24 50 74 05 44 2B F2 74 31 44 03 E2 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 E9 3A FF FF FF 41 FF CC 44 89 64 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 48 8B 74 24 60 38 5C 24 3D 0F 84 ED 00 00 00 48 F7 DE 48 89 74 24 60 E9 E0 00 00 00 33 DB EB E5 8B 74 24 4C 84 DB 0F 85 12 01 00 00 44 8B 74 24 40 33 DB 41 8D 47 90 A9 F7 FF FF FF 74 29 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 41 83 FF 6F 75 0A 83 FF 38 7D 7E C1 E6 03 EB 44 8D 04 B6 8D 34 00 EB 3C 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 62 8B 44 24 4C 8B CE 40 0F BE DF C1 E0 04 89 44 24 4C E8 ?? ?? ?? ?? 8B 74 24 4C 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 33 DB 89 7C 24 38 83 C6 D0 B8 01 00 00 00 01 44 24 48 03 F7 89 74 24 4C 39 5C 24 50 74 05 44 2B F0 74 30 44 03 E0 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 E9 5B FF FF FF 41 FF CC 44 89 64 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 8B 74 24 4C 38 5C 24 3D 74 06 F7 DE 89 74 24 4C 8B 44 24 48 41 83 FF 46 BE 00 00 00 00 0F 44 C6 85 C0 0F 84 63 F8 FF FF 40 38 74 24 30 0F 85 F1 F5 FF FF FF 44 24 54 8B 44 24 4C 48 8B 4D 80 39 74 24 58 74 11 48 8B 44 24 60 48 89 01 E9 D2 F5 FF FF 33 DB EB AE 41 83 CF FF 40 38 74 24 31 74 07 89 01 E9 C0 F5 FF FF 66 89 01 E9 B8 F5 FF FF 41 80 7D 00 25 75 0B 49 8D 45 01 80 38 25 4C 0F 44 E8 44 03 E3 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 41 0F B6 45 00 4C 03 EB 3B C7 75 50 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 11 E8 ?? ?? ?? ?? 41 0F B6 4D 00 4C 03 EB 3B C8 75 26 41 8A 45 00 84 C0 0F 84 C0 F7 FF FF E9 5D F2 FF FF 83 FF FF 0F 84 B0 F7 FF FF 8B CF E8 ?? ?? ?? ?? E9 A4 F7 FF FF 41 3B C7 74 07 8B C8 E8 ?? ?? ?? ?? 41 3B FF 0F 84 91 F7 FF FF 8B CF E8 ?? ?? ?? ?? E9 85 F7 FF FF }
	condition:
		$1
}

rule file_118_6_0 {
	meta:
		name = "_cscanf"
		size = 39
		refs = "001e _cprinput_l"
		altNames = "_cwscanf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1081_3_0 {
	meta:
		name = "_cprintf"
		size = 39
		refs = "001e _vcprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_631_3_0 {
	meta:
		name = "_cprintf_p"
		size = 39
		refs = "001e _vcprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_425_3_0 {
	meta:
		name = "_cprintf_s"
		size = 39
		refs = "001e _vcprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1252_6_0 {
	meta:
		name = "_cscanf_s"
		size = 39
		refs = "001e _cprinput_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_709_3_0 {
	meta:
		name = "_cwprintf"
		size = 39
		refs = "001e _vcwprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_324_3_0 {
	meta:
		name = "_cwprintf_p"
		size = 39
		refs = "001e _vcwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_162_3_0 {
	meta:
		name = "_cwprintf_s"
		size = 39
		refs = "001e _vcwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_596_6_0 {
	meta:
		name = "_cwscanf_s"
		size = 39
		refs = "001e _cprinput_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_939_2_0 {
	meta:
		name = "_printf_p"
		size = 39
		refs = "001e _vprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_733_1_0 {
	meta:
		name = "_wprintf_p"
		size = 39
		refs = "001e _vwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_939_8_0 {
	meta:
		name = "printf_s"
		size = 39
		refs = "001e _vprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_733_6_0 {
	meta:
		name = "wprintf_s"
		size = 39
		refs = "001e _vwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_7_0 {
	meta:
		name = "_cscanf_l"
		size = 33
		refs = "0018 _cprinput_l"
		altNames = "_cwscanf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1081_4_0 {
	meta:
		name = "_cprintf_l"
		size = 33
		refs = "0018 _vcprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_631_4_0 {
	meta:
		name = "_cprintf_p_l"
		size = 33
		refs = "0018 _vcprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_425_4_0 {
	meta:
		name = "_cprintf_s_l"
		size = 33
		refs = "0018 _vcprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1252_7_0 {
	meta:
		name = "_cscanf_s_l"
		size = 33
		refs = "0018 _cprinput_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_709_4_0 {
	meta:
		name = "_cwprintf_l"
		size = 33
		refs = "0018 _vcwprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_324_4_0 {
	meta:
		name = "_cwprintf_p_l"
		size = 33
		refs = "0018 _vcwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_162_4_0 {
	meta:
		name = "_cwprintf_s_l"
		size = 33
		refs = "0018 _vcwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_596_7_0 {
	meta:
		name = "_cwscanf_s_l"
		size = 33
		refs = "0018 _cprinput_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_939_1_0 {
	meta:
		name = "_printf_l"
		size = 33
		refs = "0018 _vprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_939_3_0 {
	meta:
		name = "_printf_p_l"
		size = 33
		refs = "0018 _vprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_939_4_0 {
	meta:
		name = "_printf_s_l"
		size = 33
		refs = "0018 _vprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_722_1_0 {
	meta:
		name = "_scprintf_l"
		size = 33
		refs = "0018 _vscprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_722_3_0 {
	meta:
		name = "_scprintf_p_l"
		size = 33
		refs = "0018 _vscprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_297_2_0 {
	meta:
		name = "_scwprintf_l"
		size = 33
		refs = "0018 _vscwprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_297_4_0 {
	meta:
		name = "_scwprintf_p_l"
		size = 33
		refs = "0018 _vscwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_733_0_0 {
	meta:
		name = "_wprintf_l"
		size = 33
		refs = "0018 _vwprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_733_2_0 {
	meta:
		name = "_wprintf_p_l"
		size = 33
		refs = "0018 _vwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_733_3_0 {
	meta:
		name = "_wprintf_s_l"
		size = 33
		refs = "0018 _vwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_8_0 {
	meta:
		name = "_hextodec"
		size = 38
		refs = "000d isdigit"
	strings:
		$1 = { 40 53 48 83 EC 20 0F BE D9 0F B6 C9 E8 ?? ?? ?? ?? 8B CB 83 E1 DF 83 E9 07 85 C0 0F 45 CB 8B C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_10_0 {
	meta:
		name = "_un_inc"
		size = 19
		refs = "000a _ungetch_nolock"
	strings:
		$1 = { 48 83 EC 28 83 F9 FF 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_904_8_0 {
	meta:
		name = "_un_inc"
		size = 19
		refs = "000a _ungetc_nolock"
	strings:
		$1 = { 48 83 EC 28 83 F9 FF 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_11_0 {
	meta:
		name = "_whiteout"
		size = 52
		refs = "0010 _getche_nolock 001f isspace"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 FF 07 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 0C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 E6 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_119_0_0 {
	meta:
		name = "__avx_cos4"
		size = 2192
		refs = "000a __common_dcos_reduction_data 007f __common_dcos_data 023a __common_dcos_cout_rare 0244 __common_dcos_data_ha 029b _2il0floatpacket_267 02db _2il0floatpacket_268 0331 _2il0floatpacket_269 05ac _2il0floatpacket_270 05ce _2il0floatpacket_272 05d6 _2il0floatpacket_273 05e5 _2il0floatpacket_271 0611 _2il0floatpacket_274 0636 _2il0floatpacket_276 066c _2il0floatpacket_275 06d3 _2il0floatpacket_280 06e6 _2il0floatpacket_277 06ef _2il0floatpacket_278 06f8 _2il0floatpacket_279 0755 _2il0floatpacket_281 0763 _2il0floatpacket_282"
	strings:
		$1 = { 48 81 EC B8 02 00 00 4C 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 90 02 00 00 45 33 DB C5 7C 11 B4 24 70 02 00 00 C5 7C 11 AC 24 50 02 00 00 C5 7C 11 A4 24 30 02 00 00 C5 7C 11 9C 24 10 02 00 00 C5 7C 11 94 24 F0 01 00 00 C5 7C 11 8C 24 D0 01 00 00 C5 7C 11 84 24 B0 01 00 00 C5 FC 11 BC 24 90 01 00 00 C5 FC 11 B4 24 70 01 00 00 4C 89 AC 24 B0 02 00 00 4C 8D AC 24 0F 01 00 00 C5 FD 58 25 ?? ?? ?? ?? 49 83 E5 C0 C5 DD 54 2D ?? ?? ?? ?? C5 D5 C2 0D ?? ?? ?? ?? 1E C4 E3 7D 19 CA 01 C5 F0 C6 DA DD C5 F8 50 C3 85 C0 0F 85 91 01 00 00 C5 FD 10 1D ?? ?? ?? ?? C5 DD 59 25 ?? ?? ?? ?? C5 DD 58 F3 C5 CD 5C EB C5 55 5C 3D ?? ?? ?? ?? C5 05 59 15 ?? ?? ?? ?? C5 05 59 25 ?? ?? ?? ?? C5 05 59 35 ?? ?? ?? ?? C5 85 59 1D ?? ?? ?? ?? C4 41 7D 5C DA C4 41 25 5C EC C4 C1 15 5C CE C5 F5 5C CB C5 F5 59 D9 C5 E5 59 25 ?? ?? ?? ?? C5 DD 58 2D ?? ?? ?? ?? C5 C1 73 F6 3F C4 C3 7D 19 F0 01 C5 D5 59 F3 C4 C1 31 73 F0 3F C4 C3 45 18 D1 01 C5 CD 58 3D ?? ?? ?? ?? C5 45 59 C3 C5 3D 58 0D ?? ?? ?? ?? C5 35 59 D3 C5 2D 58 1D ?? ?? ?? ?? C5 25 59 E3 C5 1D 58 2D ?? ?? ?? ?? C5 15 59 F3 C5 0D 58 3D ?? ?? ?? ?? C5 85 59 E3 C5 DD 59 E9 C5 D5 58 C9 C5 F5 57 CA 45 85 DB 75 6E C5 FC 10 B4 24 70 01 00 00 C5 FC 10 BC 24 90 01 00 00 C5 7C 10 84 24 B0 01 00 00 C5 7C 10 8C 24 D0 01 00 00 C5 7C 10 94 24 F0 01 00 00 C5 7C 10 9C 24 10 02 00 00 C5 7C 10 A4 24 30 02 00 00 C5 7C 10 AC 24 50 02 00 00 C5 7C 10 B4 24 70 02 00 00 C5 7C 10 BC 24 90 02 00 00 4C 8B AC 24 B0 02 00 00 C5 FD 28 C1 48 81 C4 B8 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 84 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 41 8B F3 0F A3 DE 72 1C FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 4D 40 E9 52 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D0 C5 FD 10 25 ?? ?? ?? ?? BA 00 00 F0 7F C4 C1 7D 11 45 00 C5 F9 6E CA C5 79 70 C1 11 C5 5D 54 DD C5 25 C2 CC 00 C4 43 7D 19 CF 01 C4 41 30 C6 EF DD C4 41 78 50 DD C5 B9 DB F8 C4 C3 7D 19 C5 01 C5 A9 73 D7 34 C4 C1 39 DB D5 C5 E1 73 D2 34 C5 F9 7E D9 C5 79 7E D0 C5 7A 6F 05 ?? ?? ?? ?? C5 F8 11 44 24 20 C5 B9 DB C0 C4 E3 79 16 DA 02 8D 0C 49 C4 43 79 16 D0 02 44 8D 0C 40 C1 E1 03 41 C1 E1 03 8D 04 52 C1 E0 03 47 8D 04 40 41 C1 E0 03 C4 21 F9 6E 1C 11 C5 FA 6F 15 ?? ?? ?? ?? C4 21 21 16 14 10 C4 A1 F9 6E 7C 11 10 C5 79 D4 DA C4 C1 39 DB C5 C4 01 F9 6E 24 11 C4 81 F9 6E 74 11 08 C4 A1 41 16 5C 10 10 C5 F9 D4 FA C5 78 11 6C 24 30 C4 01 19 16 34 10 C4 01 49 16 4C 10 08 C4 01 F9 6E 7C 11 10 C4 C1 19 73 D1 20 C5 7A 6F 2D ?? ?? ?? ?? C4 A1 F9 6E 6C 11 08 C4 C1 31 DB F5 C5 79 11 74 24 40 C4 C1 31 73 D3 20 C4 81 01 16 4C 10 10 C4 41 09 DB FD C4 41 29 DB F5 C4 41 21 DB C5 C4 41 41 DB DD C5 E9 73 D1 20 C4 A1 51 16 64 10 08 4C 8D 15 ?? ?? ?? ?? C4 C1 71 DB CD C5 7A 7F 74 24 70 C4 C1 59 DB C5 C4 41 21 F4 F6 C5 D1 73 D4 20 C5 79 11 54 24 50 C5 A9 73 D7 20 C5 FA 7F 84 24 A0 00 00 00 C5 D9 73 D3 20 C5 A1 F4 F8 C4 C1 61 DB DD C5 B1 F4 C1 C5 B1 F4 CA C5 B9 F4 D2 C5 FA 7F AC 24 90 00 00 00 C5 E9 73 D2 20 C5 7A 7F B4 24 C0 00 00 00 41 B8 00 00 00 80 C5 7A 7F 7C 24 60 C5 F1 D4 CA C5 21 F4 F5 C5 B9 F4 EE C4 41 39 F4 FF C5 B1 F4 F6 C5 7A 7F BC 24 B0 00 00 00 C5 81 73 D0 20 C4 C1 51 DB C5 C5 D1 73 D5 20 C5 F9 D4 C1 C5 81 D4 D0 C5 A9 F4 C3 C5 81 73 D0 20 C4 C1 41 DB DD C5 A9 F4 C4 C5 C1 73 D7 20 C5 A1 F4 E4 C5 D9 73 D4 20 C5 7A 7F A4 24 80 00 00 00 C4 41 39 F4 E4 C5 F9 D4 C4 C5 E1 D4 C8 C5 C9 D4 C5 C5 81 D4 E1 C4 41 19 DB FD C5 F1 73 D2 20 C5 01 D4 F8 C4 41 71 D4 FF C5 A9 F4 8C 24 A0 00 00 00 C5 F1 D4 EF C5 B1 F4 8C 24 80 00 00 00 C5 31 F4 4C 24 60 C4 C1 09 DB F5 C5 E1 73 D4 20 C5 C9 D4 C5 C5 A9 F4 AC 24 90 00 00 00 C5 29 F4 54 24 70 C5 E1 D4 F8 C4 C1 19 73 D4 20 C4 C1 49 73 D7 20 C5 FA 6F 9C 24 B0 00 00 00 C4 C1 09 73 D6 20 C4 C1 71 D4 CC C4 41 51 D4 F6 C4 C1 61 DB C5 C5 E1 73 D3 20 C5 F9 D4 C1 C5 31 D4 CB C5 C9 D4 F0 C5 FA 6F 84 24 C0 00 00 00 C5 99 73 D7 20 C5 F9 10 6C 24 40 C4 C1 79 DB CD C4 C1 71 D4 CE C5 89 73 D5 20 C5 F9 73 D0 20 C4 41 39 F4 C6 C4 C1 01 73 F7 20 C5 99 D4 C9 C5 29 D4 D0 C4 41 39 DB C5 C5 99 73 D6 20 C4 41 39 D4 C1 C5 F9 10 6C 24 50 C5 B1 73 D1 20 C4 41 19 D4 E0 C5 B9 73 D5 20 C4 C1 09 73 F4 20 C4 41 21 F4 D8 C4 C1 79 6E C0 C4 41 21 DB C5 C4 C1 49 DB F5 C4 41 39 D4 E2 C5 89 D4 F6 C4 41 31 D4 CC C4 C1 61 73 F1 20 C4 C1 71 DB CD C4 C1 69 DB D5 C5 C1 73 F7 20 C4 41 59 DB ED C5 B1 73 D6 0C C5 F9 70 E0 11 C5 61 D4 C1 C5 01 D4 D2 C4 C1 41 D4 D5 C5 D9 DB 7C 24 20 C4 C1 61 73 D0 0C C5 7A 6F 25 ?? ?? ?? ?? C5 D9 DB 4C 24 30 C4 41 41 EF FC C4 41 71 EF F4 C4 41 31 EB EF C4 41 61 EB DE C5 F8 10 1D ?? ?? ?? ?? C5 7A 6F 35 ?? ?? ?? ?? C4 C3 15 18 C3 01 C4 E2 7D 1A 2D ?? ?? ?? ?? C5 55 58 C8 C5 B5 5C E5 C4 C1 71 EF EE C5 7D 5C FC C4 C1 41 EF E6 C5 31 DB EB C4 43 7D 19 CC 01 C5 18 54 CB C5 FA 6F 1D ?? ?? ?? ?? C4 41 61 DB DA C5 61 DB F2 C4 C1 79 73 F3 1C C4 C1 21 73 F6 1C C5 79 EB E4 C5 A1 EB C5 C5 7A 6F 1D ?? ?? ?? ?? C5 79 7E EA C4 41 79 7E C9 C1 E2 05 C4 63 79 16 E8 02 41 C1 E1 05 C4 63 79 16 C9 02 C1 E0 05 C1 E1 05 C4 E3 1D 18 D8 01 C4 E3 5D 18 ED 01 C5 FA 6F 05 ?? ?? ?? ?? C5 65 5C E5 C5 F1 EF D8 C5 A1 DB CE C5 41 EF F0 C5 C1 73 F1 28 C4 C1 49 73 D2 18 C4 C1 21 DB C8 C5 C1 EB C6 C5 C1 73 F1 28 C5 B9 73 D2 18 C4 C1 41 EB D0 C4 C1 79 EB E6 C5 69 EB D3 C4 C3 5D 18 EA 01 C4 E3 0D 18 DB 01 C5 D5 5C F3 C5 85 58 C6 C5 05 5C F8 C4 41 4D 58 DF C4 C1 25 58 FC C4 62 7D 1A 25 ?? ?? ?? ?? C4 41 7D 54 FC C4 C1 7D 5C D7 C4 E2 7D 1A 0D ?? ?? ?? ?? C4 E2 7D 1A 25 ?? ?? ?? ?? C4 62 7D 1A 05 ?? ?? ?? ?? C5 5D 59 D2 C4 C1 3D 59 DF C5 F5 59 EF C5 BD 59 F2 C4 C1 5D 59 C7 C5 2D 58 DB C5 55 58 E6 C4 C1 25 58 E4 C4 21 F9 6E 1C 12 C4 21 21 16 2C 10 C5 FD 58 D4 C5 7D 5C F2 C4 C1 7D 10 45 00 C5 8D 58 F4 C4 81 F9 6E 24 11 C4 21 59 16 0C 11 C4 A1 F9 6E 64 12 10 C4 62 7D 1A 3D ?? ?? ?? ?? C4 C1 7D 54 CF C4 E2 7D 1A 3D ?? ?? ?? ?? C5 F5 C2 EF 1E C5 75 C2 C7 12 C5 3D 54 D0 C5 D5 54 DA C4 21 F9 6E 44 12 08 C5 AD 56 CB C4 81 F9 6E 5C 11 08 C4 21 39 16 54 10 08 C5 55 54 FE C4 A1 61 16 6C 11 08 C4 63 2D 18 D5 01 C4 41 75 59 DA C4 C3 15 18 D1 01 C4 01 F9 6E 6C 11 10 C4 21 59 16 4C 10 10 C4 A1 11 16 7C 11 10 C4 E3 35 18 FF 01 C5 6D 59 C9 C4 41 45 58 E3 C4 C1 35 58 E4 C4 C1 45 5C F4 C5 1D 5C F4 C4 41 4D 58 C3 C4 41 0D 58 E9 C4 41 15 58 E0 C4 41 6D 58 EA C5 75 59 C1 C5 BD 59 1D ?? ?? ?? ?? C5 3D 59 0D ?? ?? ?? ?? C5 E5 58 2D ?? ?? ?? ?? C4 C1 55 59 F0 C5 4D 59 D9 C5 F5 59 CF C4 C1 25 59 D5 C4 41 6D 58 D4 C5 B5 58 15 ?? ?? ?? ?? C4 C1 6D 59 D8 C5 E5 58 2D ?? ?? ?? ?? C4 81 F9 6E 5C 11 18 C4 41 55 59 C0 C4 A1 61 16 6C 11 18 C5 BD 59 F7 C4 41 4D 58 CA C5 95 5C F1 C4 A1 F9 6E 4C 12 18 C4 A1 71 16 54 10 18 C5 05 59 FE C4 E3 6D 18 FD 01 C5 85 58 CF C5 B5 58 D1 C5 DD 58 CA E9 F4 F8 FF FF 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_120_0_0 {
	meta:
		name = "_fputwchar"
		size = 31
		refs = "000a __iob_func 001b fputwc"
		altNames = "putwchar"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 D9 E8 ?? ?? ?? ?? 0F B7 CB 48 8D 50 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_123_0_0 {
	meta:
		name = "_filelength"
		size = 263
		refs = "001a __doserrno 0022 _errno 003b _nhandle 0052 __pioinfo 006e __lock_fhandle 0087 _lseek_nolock 00d6 _unlock_fhandle 00f2 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 56 48 83 EC 30 48 63 F9 83 FF FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 C5 00 00 00 85 C9 0F 88 A5 00 00 00 3B 3D ?? ?? ?? ?? 0F 83 99 00 00 00 48 8B C7 48 8B DF 48 C1 FB 05 4C 8D 35 ?? ?? ?? ?? 83 E0 1F 48 6B F0 58 49 8B 04 DE 0F BE 4C 30 08 83 E1 01 74 73 8B CF E8 ?? ?? ?? ?? 90 49 8B 04 DE F6 44 30 08 01 74 3B 33 D2 44 8D 42 01 8B CF E8 ?? ?? ?? ?? 8B F0 83 CB FF 3B C3 74 3B 33 D2 44 8D 43 03 8B CF E8 ?? ?? ?? ?? 8B D8 89 44 24 20 3B F0 74 28 45 33 C0 8B D6 8B CF E8 ?? ?? ?? ?? EB 1A E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CB FF 89 5C 24 20 8B CF E8 ?? ?? ?? ?? 8B C3 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "_Cbuild"
		size = 16
		altNames = "_LCbuild"
	strings:
		$1 = { F2 0F 11 C8 48 8B C1 66 0F 14 C2 F3 0F 7F 01 C3 }
	condition:
		$1
}

rule file_124_1_0 {
	meta:
		name = "cproj"
		size = 186
		refs = "0023 creal 003c cimag 004c _dtest 0079 _Zero_C 0080 __xmm@80000000000000008000000000000000 008d _Inf_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 40 0F 10 02 48 8B F1 48 8D 48 D8 48 8B FA F3 0F 7F 40 D8 E8 ?? ?? ?? ?? 48 8D 4C 24 20 F2 0F 11 44 24 38 0F 10 07 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 38 F2 0F 11 44 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 74 06 66 83 F8 01 75 37 B8 00 80 00 00 66 85 44 24 36 74 11 F2 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? EB 03 0F 57 C9 F2 0F 10 05 ?? ?? ?? ?? 48 8D 7C 24 20 66 0F 14 C1 66 0F 7F 44 24 20 0F 10 07 48 8B 5C 24 50 48 8B C6 F3 0F 7F 06 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_183_1_0 {
	meta:
		name = "cprojl"
		size = 186
		refs = "0023 creall 003c cimagl 004c _ldtest 0079 _LZero_C 0080 __xmm@80000000000000008000000000000000 008d _LInf_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 57 48 83 EC 40 0F 10 02 48 8B F1 48 8D 48 D8 48 8B FA F3 0F 7F 40 D8 E8 ?? ?? ?? ?? 48 8D 4C 24 20 F2 0F 11 44 24 38 0F 10 07 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 38 F2 0F 11 44 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 74 06 66 83 F8 01 75 37 B8 00 80 00 00 66 85 44 24 36 74 11 F2 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? EB 03 0F 57 C9 F2 0F 10 05 ?? ?? ?? ?? 48 8D 7C 24 20 66 0F 14 C1 66 0F 7F 44 24 20 0F 10 07 48 8B 5C 24 50 48 8B C6 F3 0F 7F 06 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_125_0_0 {
	meta:
		name = "fesetenv"
		size = 76
		refs = "0016 _setfpcontrolword 001e _setfpstatusword 0028 fegetenv"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 30 00 83 64 24 34 00 48 8B D9 8B 09 E8 ?? ?? ?? ?? 8B 4B 04 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B 44 24 30 39 03 75 0D 8B 44 24 34 39 43 04 75 04 33 C0 EB 05 B8 01 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_126_4_0 {
	meta:
		name = "__check_float_string"
		size = 153
		refs = "002b _calloc_crt 0053 memcpy 006f _recalloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F1 49 8B F8 48 8B DA 48 3B 0A 75 67 4D 39 08 75 40 48 8B 0B BA 04 00 00 00 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 04 33 C0 EB 4E 48 8B 44 24 50 48 8B D6 C7 00 01 00 00 00 4C 8B 03 48 8B 0F 4D 03 C0 E8 ?? ?? ?? ?? 48 8B 03 48 03 C0 48 89 03 EB 22 48 8B 12 48 8B 0F 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 BF 48 89 07 48 8B 0B 48 03 C9 48 89 0B B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_126_5_0 {
	meta:
		name = "_hextodec"
		size = 61
		refs = "001e isdigit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 B8 00 FF 00 00 0F B7 F9 66 85 C8 75 0F 0F B7 D9 0F B6 CB E8 ?? ?? ?? ?? 85 C0 75 09 0F B7 DF 83 E3 DF 83 EB 07 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_126_8_0 {
	meta:
		name = "_un_inc"
		size = 24
		refs = "000f _ungetwc_nolock"
	strings:
		$1 = { 48 83 EC 28 B8 FF FF 00 00 66 3B C1 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_596_11_0 {
	meta:
		name = "_un_inc"
		size = 24
		refs = "000f _ungetwch_nolock"
	strings:
		$1 = { 48 83 EC 28 B8 FF FF 00 00 66 3B C1 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_126_9_0 {
	meta:
		name = "_whiteout"
		size = 80
		refs = "001b _fgetwc_nolock 0035 iswctype"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B F9 FF 07 48 8B CE E8 ?? ?? ?? ?? 0F B7 D8 B8 FF FF 00 00 66 3B D8 74 11 BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 D8 48 8B 74 24 38 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_126_10_0 {
	meta:
		name = "_winput_l"
		size = 4578
		refs = "0022 __security_cookie 007d _errno 0088 _invalid_parameter_noinfo 00a1 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00e0 iswctype 00f9 _whiteout 010a _ungetwc_nolock 01b7 isdigit 038b _fgetwc_nolock 0516 __check_float_string 05d6 free 081f _malloc_crt 0844 wcstombs_s 085d _cfltcvt_tab 0868 __imp_DecodePointer 0974 memset 0d20 wctomb_s 0e74 isxdigit 119b __security_check_cookie 11c8 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FD FF FF 48 81 EC C0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 02 00 00 45 33 ED 4C 8D 75 F0 4C 89 4D B0 41 8B C5 41 0F B7 FD 48 8B DA 48 89 54 24 60 48 8B F1 48 89 4C 24 70 89 45 A8 89 7C 24 3C 4C 89 75 88 48 C7 45 A0 5E 01 00 00 44 89 6D 80 4C 89 6C 24 68 4C 89 6C 24 78 4C 89 6D C0 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 FC 10 00 00 48 85 C9 74 E3 48 8D 4D C8 49 8B D0 E8 ?? ?? ?? ?? 0F B7 03 44 88 6C 24 36 45 8B FD 44 89 6C 24 30 44 89 6C 24 44 45 8B F5 44 89 6C 24 38 66 85 C0 0F 84 B1 10 00 00 41 BE FF FF 00 00 41 BC 25 00 00 00 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 74 4F 48 8D 4C 24 44 41 FF CF 48 8B D6 44 89 7C 24 44 E8 ?? ?? ?? ?? 66 44 3B F0 74 0B 48 8B D6 0F B7 C8 E8 ?? ?? ?? ?? 48 83 C3 02 BA 08 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 EB 44 8B 7C 24 44 48 89 5C 24 60 44 89 7C 24 30 E9 BF 0F 00 00 4C 8B 54 24 60 66 45 3B 22 0F 85 67 0F 00 00 66 45 3B 62 02 0F 84 45 0F 00 00 45 33 DB 44 89 6D 90 45 0F B7 FB 45 8A E3 45 8D 4B 01 41 8B D3 44 89 7D B8 44 89 65 98 45 8A E9 44 89 5C 24 58 45 8B C3 44 89 5C 24 50 89 54 24 40 44 88 5C 24 54 44 88 5C 24 48 41 8A FB 41 8A F3 45 8A F3 45 8B E3 41 83 CF FF 49 83 C2 02 B8 00 FF 00 00 41 0F B7 1A 4C 89 54 24 60 66 85 D8 75 3B 0F B6 CB E8 ?? ?? ?? ?? 44 8B 44 24 50 8B 54 24 40 4C 8B 54 24 60 45 33 DB 45 8D 4B 01 85 C0 74 1A 8D 14 92 45 03 C1 8D 52 E8 44 89 44 24 50 8D 14 53 89 54 24 40 E9 D7 00 00 00 83 FB 2A 0F 84 CB 00 00 00 83 FB 46 0F 84 C5 00 00 00 83 FB 49 74 4E 83 FB 4C 74 44 83 FB 4E 0F 84 B2 00 00 00 83 FB 68 74 2E B9 6C 00 00 00 3B D9 74 0A 83 FB 77 74 1B E9 92 00 00 00 49 8D 42 02 66 39 08 75 0A 4C 8B D0 48 89 44 24 60 EB 32 45 02 E9 45 02 F1 EB 7F 45 02 EF 45 02 F7 EB 77 45 02 E9 EB 72 41 0F B7 42 02 66 83 F8 36 75 1C 49 8D 4A 04 66 83 39 34 75 12 4C 8B D1 48 89 4C 24 60 45 03 E1 4C 89 5C 24 78 EB 4B 66 83 F8 33 75 14 49 8D 4A 04 66 83 39 32 75 0A 4C 8B D1 48 89 4C 24 60 EB 31 66 83 E8 58 B9 20 00 00 00 66 3B C1 77 13 0F B7 C0 48 B9 01 10 82 00 01 00 00 00 48 0F A3 C1 72 BB 45 03 E1 4C 89 5C 24 78 41 02 F1 EB 03 41 02 F9 40 84 F6 0F 84 CE FE FF FF 44 8B 7D B8 40 88 7C 24 34 8B 7C 24 3C 8A 4C 24 34 44 88 6C 24 35 44 8B 6D 90 44 89 64 24 4C 44 8B 65 98 84 C9 75 1A 48 8B 45 B0 48 89 45 C0 48 83 C0 08 48 89 45 B0 48 8B 40 F8 48 89 45 90 EB 04 4C 89 5D 90 41 8A DB 45 84 F6 75 25 41 0F B7 02 41 B9 EF FF 00 00 66 83 E8 43 66 41 23 C1 41 B9 01 00 00 00 66 F7 D8 45 1A F6 41 80 E6 02 41 FE CE 41 0F B7 32 B8 6E 00 00 00 83 CE 20 3B F0 74 6D 83 FE 63 74 21 83 FE 7B 74 1C 48 8B 54 24 70 48 8D 4C 24 44 E8 ?? ?? ?? ?? 0F B7 F8 8B 44 24 44 89 44 24 30 EB 1C 8B 44 24 30 48 8B 4C 24 70 41 03 C1 89 44 24 30 89 44 24 44 E8 ?? ?? ?? ?? 0F B7 F8 B8 FF FF 00 00 89 7C 24 3C 66 3B C7 0F 84 BE 0D 00 00 8B 54 24 40 4C 8B 54 24 60 44 8B 44 24 50 8A 4C 24 34 45 33 DB 41 8D 43 6E 45 85 C0 74 08 85 D2 0F 84 42 0D 00 00 83 FE 6F 0F 8F DB 04 00 00 0F 84 10 0A 00 00 83 FE 63 0F 84 A7 04 00 00 83 FE 64 0F 84 FE 09 00 00 0F 8E E6 04 00 00 83 FE 67 7E 6C 83 FE 69 74 46 3B F0 0F 85 D4 04 00 00 44 8B 7C 24 30 45 8B EF 84 C9 0F 84 4A 0C 00 00 45 33 ED 41 BE FF FF 00 00 48 8B 5C 24 60 48 8B 74 24 70 B8 01 00 00 00 00 44 24 36 48 83 C3 02 44 8D 60 24 48 89 5C 24 60 E9 9E 0C 00 00 BE 64 00 00 00 B8 2D 00 00 00 44 8D 60 D4 66 3B C7 0F 85 1D 06 00 00 44 88 64 24 48 E9 1D 06 00 00 45 33 ED 41 8B F5 41 8D 4D 2D 8D 59 D4 66 3B CF 75 0B 48 8B 45 88 8B F3 66 89 08 EB 0A B8 2B 00 00 00 66 3B C7 75 2B 4C 8B 64 24 70 44 8B 74 24 40 44 8B 7C 24 30 49 8B CC 44 2B F3 44 03 FB E8 ?? ?? ?? ?? 44 8B 44 24 50 0F B7 F8 89 7C 24 3C EB 0F 44 8B 7C 24 30 44 8B 74 24 40 4C 8B 64 24 70 45 85 C0 B8 FF FF FF FF 44 0F 44 F0 EB 63 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5E 41 8B C6 44 2B F3 85 C0 74 54 48 8B 4D 88 01 5C 24 58 40 0F BE C7 66 89 04 71 48 8D 45 80 48 03 F3 4C 8D 4D F0 4C 8D 45 88 48 8D 55 A0 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 96 00 00 00 49 8B CC 44 03 FB E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 3C B8 00 FF 00 00 66 85 F8 74 93 48 8B 45 C8 BA 01 00 00 00 48 8B 88 F0 00 00 00 48 8B 41 58 0F B7 18 40 0F BE C7 8B CB 3B D8 0F 85 18 01 00 00 41 8B C6 44 2B F2 85 C0 0F 84 0A 01 00 00 49 8B CC 44 03 FA E8 ?? ?? ?? ?? 4C 8D 4D F0 4C 8D 45 88 0F B7 F8 48 8B 45 88 48 8D 55 A0 66 89 1C 70 48 8D 45 80 BB 01 00 00 00 48 03 F3 89 7C 24 3C 48 89 44 24 20 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 B6 00 00 00 44 8B 64 24 38 41 BE FF FF 00 00 48 8B 5C 24 68 BE 01 00 00 00 39 75 A8 75 08 48 8B CB E8 ?? ?? ?? ?? 39 75 80 75 09 48 8B 4D 88 E8 ?? ?? ?? ?? 66 44 3B F7 0F 85 85 0B 00 00 45 85 E4 0F 85 77 0B 00 00 8A 44 24 36 84 C0 0F 85 6B 0B 00 00 83 C8 FF E9 70 0B 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5A 41 8B C6 44 2B F3 85 C0 74 50 48 8B 45 88 01 5C 24 58 4C 8D 4D F0 66 89 3C 70 48 8D 45 80 48 03 F3 4C 8D 45 88 48 8D 55 A0 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 5C FF FF FF 49 8B CC 44 03 FB E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 3C B8 00 FF 00 00 66 85 F8 74 97 48 8B D3 8B 5C 24 58 85 DB 0F 84 31 01 00 00 8D 47 BB B9 DF FF 00 00 66 85 C1 0F 85 20 01 00 00 41 8B C6 44 2B F2 85 C0 0F 84 12 01 00 00 48 8B 45 88 B9 65 00 00 00 4C 8D 4D F0 66 89 0C 70 48 03 F2 48 8D 45 80 48 8D 55 A0 4C 8D 45 88 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 DD FE FF FF 49 8B CC 41 FF C7 E8 ?? ?? ?? ?? B9 2D 00 00 00 0F B7 F8 89 7C 24 3C 66 3B C8 75 32 48 8B 45 88 4C 8D 4D F0 4C 8D 45 88 66 89 0C 70 48 8D 45 80 48 FF C6 48 8D 55 A0 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 91 FE FF FF EB 0A B8 2B 00 00 00 66 3B C7 75 7B 41 8B C6 B9 01 00 00 00 44 2B F1 85 C0 75 05 45 8B F5 EB 67 44 03 F9 EB 53 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5D 41 8B C6 B9 01 00 00 00 44 2B F1 85 C0 74 4E 48 8B 45 88 03 D9 4C 8D 4D F0 66 89 3C 70 48 03 F1 48 8D 45 80 4C 8D 45 88 48 8D 55 A0 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 1C FE FF FF 41 FF C7 49 8B CC E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 3C B8 00 FF 00 00 66 85 F8 74 94 B8 01 00 00 00 41 BE FF FF 00 00 44 2B F8 44 89 7C 24 30 44 89 7C 24 44 66 44 3B F7 74 10 49 8B D4 0F B7 CF E8 ?? ?? ?? ?? B8 01 00 00 00 85 DB 0F 84 14 09 00 00 44 38 6C 24 34 0F 85 23 FC FF FF 44 8B 64 24 38 4C 8B 75 88 44 03 E0 48 8B 45 A0 66 45 89 2C 76 48 8D 1C 45 02 00 00 00 44 89 64 24 38 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 8E FD FF FF 48 8D 43 FF 4D 8B CE 4C 8B C3 48 8B D6 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 16 0F 84 7C 09 00 00 83 F8 22 0F 84 73 09 00 00 48 8B 0D ?? ?? ?? ?? 0F BE 5C 24 35 FF 15 ?? ?? ?? ?? 48 8B 55 90 4C 8D 4D C8 8D 4B FF 4C 8B C6 FF D0 48 8B CE E8 ?? ?? ?? ?? E9 8D FB FF FF B8 01 00 00 00 45 85 C0 75 0A 03 D0 89 44 24 50 89 54 24 40 45 84 F6 0F 8E 7F 03 00 00 44 8A E0 E9 77 03 00 00 83 FE 70 0F 84 1A 05 00 00 83 FE 73 0F 84 54 03 00 00 83 FE 75 0F 84 20 05 00 00 83 FE 78 0F 84 74 FB FF FF 83 FE 7B 74 31 41 BE FF FF 00 00 66 41 39 3A 0F 85 2B 08 00 00 FE 4C 24 36 44 8B 7C 24 30 45 33 ED 84 C9 0F 85 21 FB FF FF 4C 8B 4D C0 4C 89 4D B0 E9 14 FB FF FF 45 33 ED 45 84 F6 45 0F B6 E4 45 8D 75 01 41 8D 45 5E 45 0F 4F E6 49 83 C2 02 44 89 65 98 4C 89 54 24 60 66 41 3B 02 75 0E 49 83 C2 02 C6 44 24 54 FF 4C 89 54 24 60 48 8B 5C 24 68 48 85 DB 75 1F B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 68 48 85 C0 0F 84 EE 07 00 00 44 89 75 A8 33 D2 41 B8 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 54 24 60 BA 5D 00 00 00 66 41 3B 12 75 0D 8D 42 C3 44 8B FA 49 83 C2 02 88 43 0B 41 0F B7 02 66 3B D0 0F 84 BF 00 00 00 41 BC 2D 00 00 00 49 83 C2 02 66 44 3B E0 75 7C 66 45 85 FF 74 76 41 0F B7 0A 66 3B D1 74 6D 49 83 C2 02 4C 89 54 24 60 66 44 3B F9 73 06 44 0F B7 C9 EB 08 45 0F B7 CF 44 0F B7 F9 41 BB 01 00 00 00 66 45 3B F9 73 2D 45 0F B7 D7 41 0F B7 CF 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 66 45 03 FB D2 E2 4D 03 D3 41 08 14 18 66 45 3B F9 72 DC 4C 8B 54 24 60 45 0F B7 C1 41 0F B7 C1 41 8B D3 45 0F B7 FD 41 BE 01 00 00 00 EB 0E 44 0F B7 F8 44 0F B7 C0 41 8B D6 0F B7 C0 83 E0 07 49 C1 E8 03 8A C8 D2 E2 41 08 14 18 41 0F B7 02 BA 5D 00 00 00 66 3B D0 0F 85 4B FF FF FF 44 8B 65 98 66 45 39 2A 0F 84 E7 06 00 00 4C 89 54 24 60 E9 B0 01 00 00 B8 2B 00 00 00 66 3B C7 75 11 41 2B D4 89 54 24 40 75 78 45 85 C0 74 73 41 8A DC 4C 8B 7C 24 70 44 8B 74 24 30 B8 30 00 00 00 66 3B C7 0F 85 B0 00 00 00 45 03 F4 49 8B CF 44 89 74 24 30 44 89 74 24 44 E8 ?? ?? ?? ?? 0F B7 F8 B9 DF FF 00 00 8D 47 A8 89 7C 24 3C 66 85 C1 0F 84 F9 00 00 00 44 89 64 24 58 83 FE 78 74 4C 44 8B 74 24 40 33 C9 39 4C 24 50 74 08 45 2B F4 75 03 41 02 DC 44 8B 64 24 4C BE 6F 00 00 00 EB 64 44 8B 74 24 30 4C 8B 7C 24 70 45 03 F4 49 8B CF 44 89 74 24 30 44 89 74 24 44 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 3C E9 6F FF FF FF 45 2B F4 B8 FF FF 00 00 44 89 74 24 30 44 89 74 24 44 66 3B C7 74 0B 49 8B D7 0F B7 CF E8 ?? ?? ?? ?? B8 30 00 00 00 8B F8 89 44 24 3C 44 8B 64 24 4C 33 C9 44 8B 74 24 40 44 8B 7C 24 30 45 85 E4 0F 84 BF 03 00 00 84 DB 48 8B 5C 24 78 0F 85 97 03 00 00 8D 46 90 A9 F7 FF FF FF B8 00 FF 00 00 0F 84 D0 02 00 00 66 85 F8 0F 85 52 03 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 84 3D 03 00 00 83 FE 6F 0F 85 A0 02 00 00 8D 41 38 66 3B C7 0F 86 28 03 00 00 48 C1 E3 03 E9 D6 02 00 00 45 03 F4 49 8B CF 44 89 74 24 30 44 89 74 24 44 E8 ?? ?? ?? ?? 33 C9 0F B7 F8 89 7C 24 3C 39 4C 24 50 74 13 8B 44 24 40 83 E8 02 89 44 24 40 41 3B C4 7D 03 41 02 DC 44 8B 64 24 4C BE 78 00 00 00 E9 4B FF FF FF 45 0F B6 E4 45 84 F6 41 B8 01 00 00 00 45 0F 4F E0 44 8B 7C 24 30 48 8B 5D 90 4C 8B 6C 24 70 41 FF CF B8 FF FF 00 00 44 89 7C 24 30 44 89 7C 24 44 66 3B C7 74 0B 49 8B D5 0F B7 CF E8 ?? ?? ?? ?? 44 8A 74 24 54 33 D2 39 54 24 50 74 14 8B 4C 24 40 8B C1 FF C9 89 4C 24 40 85 C0 0F 84 0C 01 00 00 41 FF C7 49 8B CD 44 89 7C 24 30 44 89 7C 24 44 E8 ?? ?? ?? ?? 0F B7 F8 B8 FF FF 00 00 89 7C 24 3C 66 3B C7 0F 84 B7 00 00 00 83 FE 63 74 44 83 FE 73 75 15 8D 47 F7 66 83 F8 04 0F 86 A0 00 00 00 8D 46 AD 66 3B F8 75 2A 83 FE 7B 0F 85 8F 00 00 00 48 8B 4C 24 68 0F B7 C7 0F B7 D7 48 C1 E8 03 83 E2 07 0F BE 0C 08 41 0F BE C6 33 C8 0F A3 D1 73 6E 33 D2 38 54 24 34 75 5D 45 84 E4 74 14 48 8B 4D 90 66 89 39 48 83 C1 02 48 89 4D 90 E9 52 FF FF FF 89 55 98 48 8B 55 90 48 8D 4D 98 44 0F B7 CF 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 74 17 83 F8 16 0F 84 87 04 00 00 83 F8 22 0F 85 20 FF FF FF E9 79 04 00 00 48 63 45 98 48 01 45 90 E9 0E FF FF FF 48 83 C3 02 E9 05 FF FF FF B9 01 00 00 00 41 BE FF FF 00 00 44 2B F9 44 89 7C 24 30 44 89 7C 24 44 66 44 3B F7 74 18 49 8B D5 0F B7 CF E8 ?? ?? ?? ?? EB 06 41 BE FF FF 00 00 B9 01 00 00 00 48 8B 45 90 45 33 ED 48 3B D8 0F 84 65 03 00 00 44 38 6C 24 34 0F 85 74 F6 FF FF 01 4C 24 38 83 FE 63 0F 84 61 F6 FF FF 41 BE FF FF 00 00 45 84 E4 74 09 66 44 89 28 E9 53 F6 FF FF 44 88 28 E9 4B F6 FF FF 44 8B 64 24 4C B8 01 00 00 00 4C 89 5C 24 78 44 03 E0 88 44 24 35 EB 0A 44 8B 64 24 4C B8 01 00 00 00 B9 2D 00 00 00 66 3B CF 75 06 88 44 24 48 EB 0E B9 2B 00 00 00 66 3B CF 0F 85 4C FD FF FF 2B D0 89 54 24 40 75 11 45 85 C0 74 0C 8A D8 44 8B F2 33 C9 E9 3A FD FF FF 44 8B 7C 24 30 48 8B 4C 24 70 44 03 F8 44 89 7C 24 30 44 89 7C 24 44 E8 ?? ?? ?? ?? 44 8B 74 24 40 0F B7 F8 33 C9 89 7C 24 3C E9 10 FD FF FF 48 8D 1C 9B 48 03 DB EB 42 66 85 F8 0F 85 82 00 00 00 0F B7 C7 0F B6 D8 8B CB E8 ?? ?? ?? ?? 33 C9 85 C0 74 6F 48 C1 64 24 78 04 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 78 85 C0 75 10 B8 DF FF 00 00 66 23 F8 66 83 EF 07 89 7C 24 3C 0F B7 C7 B9 01 00 00 00 01 4C 24 58 83 E8 30 48 98 48 03 D8 33 C0 48 89 5C 24 78 39 44 24 50 74 05 44 2B F1 74 4C 44 03 F9 48 8B 4C 24 70 44 89 7C 24 30 44 89 7C 24 44 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 3C E9 92 FC FF FF 41 FF CF B8 FF FF 00 00 44 89 7C 24 30 44 89 7C 24 44 66 3B C7 74 0D 48 8B 54 24 70 0F B7 CF E8 ?? ?? ?? ?? 48 8B 5C 24 78 45 33 DB 44 38 5C 24 48 0F 84 15 01 00 00 48 F7 DB 48 89 5C 24 78 E9 08 01 00 00 84 DB 0F 85 F3 00 00 00 8D 46 90 A9 F7 FF FF FF B8 00 FF 00 00 74 46 66 85 F8 0F 85 B7 00 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 84 A2 00 00 00 83 FE 6F 75 12 8D 41 38 66 3B C7 0F 86 91 00 00 00 41 C1 E5 03 EB 48 42 8D 04 AD 00 00 00 00 41 03 C5 44 8D 2C 00 EB 37 66 85 F8 75 75 0F B7 C7 0F B6 D8 8B CB E8 ?? ?? ?? ?? 33 C9 85 C0 74 62 8B CB 41 C1 E5 04 E8 ?? ?? ?? ?? 85 C0 75 10 B8 DF FF 00 00 66 23 F8 66 83 EF 07 89 7C 24 3C 0F B7 C7 41 83 C5 D0 B9 01 00 00 00 01 4C 24 58 44 03 E8 33 C0 39 44 24 50 74 05 44 2B F1 74 47 44 03 F9 48 8B 4C 24 70 44 89 7C 24 30 44 89 7C 24 44 E8 ?? ?? ?? ?? 0F B7 F8 89 }
	condition:
		$1
}

rule file_127_0_0 {
	meta:
		name = "_getdiskfree"
		size = 163
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 003a memset 0071 __imp_GetDiskFreeSpaceA 007b __imp_GetLastError 008c _get_errno_from_oserr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B FA 8B D9 48 85 D2 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 57 00 00 00 EB 6D 83 F9 1A 77 E4 33 D2 48 8B CF 44 8D 42 10 E8 ?? ?? ?? ?? 85 DB 75 04 33 C9 EB 18 80 C3 40 48 8D 4C 24 48 66 C7 44 24 49 3A 5C 88 5C 24 48 C6 44 24 4B 00 4C 8D 4F 04 4C 8D 47 0C 48 8D 57 08 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 1D FF 15 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 8B CF 48 8B D8 E8 ?? ?? ?? ?? 89 03 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_128_4_0 {
	meta:
		name = "vscan_fn"
		size = 175
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo 0057 wcslen"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F8 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B F1 E8 ?? ?? ?? ?? 48 85 DB 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4C 48 85 FF 74 E6 48 8B CB E8 ?? ?? ?? ?? C7 44 24 38 49 00 00 00 48 89 5C 24 30 48 89 5C 24 20 48 3D FF FF FF 3F 76 0A C7 44 24 28 FF FF FF 7F EB 06 03 C0 89 44 24 28 4C 8B 8C 24 80 00 00 00 48 8D 4C 24 20 4C 8B C6 48 8B D7 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_129_0_0 {
	meta:
		name = "_loaddll"
		size = 46
		refs = "000a __crtIsPackagedApp 002a __imp_LoadLibraryExA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 85 C0 74 08 33 C0 48 83 C4 20 5B C3 45 33 C0 33 D2 48 8B CB 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_129_1_0 {
	meta:
		name = "_unloaddll"
		size = 32
		refs = "0006 __imp_FreeLibrary 0015 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 0B 48 83 C4 28 48 FF 25 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_130_4_0 {
	meta:
		name = "_mbsicoll_l"
		size = 201
		refs = "0021 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0030 _errno 003b _invalid_parameter_noinfo 0056 _stricoll_l 0089 __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 8B F9 48 8B DA 48 8D 4C 24 40 49 8B D0 49 8B F0 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5B 48 8B 54 24 48 83 7A 08 00 75 10 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 4A 8B 42 04 48 8B 92 20 02 00 00 48 8D 4C 24 40 89 44 24 38 83 C8 FF 4C 8B CF 89 44 24 30 41 B8 01 10 00 00 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_131_0_0 {
	meta:
		name = "_copyfinddata64"
		size = 149
		refs = "0020 __copy_to_char 0042 strcpy_s 0050 free 0090 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 83 64 24 48 00 48 8B D9 48 8B FA 48 8D 4A 28 48 8D 54 24 48 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B 5C 24 40 48 83 C4 30 5F C3 4C 8B 44 24 48 48 8D 4B 28 BA 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 35 48 8B 4C 24 48 E8 ?? ?? ?? ?? 8B 07 89 03 48 8B 47 08 48 89 43 08 48 8B 47 10 48 89 43 10 48 8B 47 18 48 89 43 18 48 8B 47 20 48 89 43 20 B8 01 00 00 00 EB A9 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_131_1_0 {
	meta:
		name = "_findfirst64"
		size = 147
		refs = "0010 __security_cookie 002e __copy_path_to_wide_string 0047 _wfindfirst64 0054 free 0067 _copyfinddata64 007e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 02 00 00 48 83 64 24 20 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 06 48 83 C8 FF EB 36 48 8B 4C 24 20 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 20 48 8B D8 E8 ?? ?? ?? ?? 48 83 FB FF 74 11 48 8D 54 24 30 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 C7 48 8B C3 48 8B 8C 24 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 02 00 00 48 81 C4 70 02 00 00 5F C3 }
	condition:
		$1
}

rule file_1060_2_0 {
	meta:
		name = "_findfirst64i32"
		size = 147
		refs = "0010 __security_cookie 002e __copy_path_to_wide_string 0047 _wfindfirst64i32 0054 free 0067 _copyfinddata64i32 007e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 02 00 00 48 83 64 24 20 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 06 48 83 C8 FF EB 36 48 8B 4C 24 20 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 20 48 8B D8 E8 ?? ?? ?? ?? 48 83 FB FF 74 11 48 8D 54 24 30 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 C7 48 8B C3 48 8B 8C 24 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 02 00 00 48 81 C4 70 02 00 00 5F C3 }
	condition:
		$1
}

rule file_131_2_0 {
	meta:
		name = "_findnext64"
		size = 108
		refs = "0010 __security_cookie 0028 _wfindnext64 003c _copyfinddata64 0057 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 16 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 02 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 02 00 00 48 81 C4 60 02 00 00 5F C3 }
	condition:
		$1
}

rule file_1060_3_0 {
	meta:
		name = "_findnext64i32"
		size = 108
		refs = "0010 __security_cookie 0028 _wfindnext64i32 003c _copyfinddata64i32 0057 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 16 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 02 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 02 00 00 48 81 C4 60 02 00 00 5F C3 }
	condition:
		$1
}

rule file_132_0_0 {
	meta:
		name = "__crtGetEnvironmentStringsA"
		size = 244
		refs = "001b __imp_GetEnvironmentStringsW 0072 __imp_WideCharToMultiByte 0081 _malloc_crt 00b9 free 00c5 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 FF 15 ?? ?? ?? ?? 45 33 F6 48 8B F8 48 85 C0 0F 84 A9 00 00 00 48 8B D8 66 44 39 30 74 14 48 83 C3 02 66 44 39 33 75 F6 48 83 C3 02 66 44 39 33 75 EC 4C 89 74 24 38 48 2B D8 4C 89 74 24 30 48 D1 FB 4C 8B C0 33 D2 44 8D 4B 01 33 C9 44 89 74 24 28 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 74 51 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 41 4C 89 74 24 38 4C 89 74 24 30 44 8D 4B 01 4C 8B C7 33 D2 33 C9 89 6C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0B 48 8B CE E8 ?? ?? ?? ?? 49 8B F6 48 8B CF FF 15 ?? ?? ?? ?? 48 8B C6 EB 0B 48 8B CF FF 15 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_133_1_0 {
	meta:
		name = "_heap_init"
		size = 32
		refs = "0006 __imp_GetProcessHeap 0012 _crtheap"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 33 C9 48 85 C0 48 89 05 ?? ?? ?? ?? 0F 95 C1 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_134_1_0 {
	meta:
		name = "ax8"
		size = 17
	strings:
		$1 = { 41 0F B6 00 48 03 42 78 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_134_2_0 {
	meta:
		name = "ax32"
		size = 16
	strings:
		$1 = { 41 8B 00 48 03 42 78 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_134_4_0 {
	meta:
		name = "cx8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 80 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_134_5_0 {
	meta:
		name = "cx32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 80 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_134_7_0 {
	meta:
		name = "dx8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 88 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_134_8_0 {
	meta:
		name = "dx32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 88 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_134_10_0 {
	meta:
		name = "bx8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 90 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_134_11_0 {
	meta:
		name = "bx32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 90 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_134_12_0 {
	meta:
		name = "sib0"
		size = 656
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 45 0F B6 18 0F B6 44 24 28 48 8B D9 45 8B D3 41 8B CB BF 01 00 00 00 41 C1 EA 03 C1 E9 06 49 8B F0 41 83 E2 07 D3 E7 41 03 C2 48 83 F8 04 75 08 45 33 C0 E9 F9 00 00 00 83 E0 0F 48 83 F8 08 0F 87 87 00 00 00 74 7C 48 85 C0 74 71 48 FF C8 74 63 48 FF C8 74 55 48 FF C8 74 44 48 FF C8 74 33 48 FF C8 74 22 48 FF C8 74 11 48 FF C8 75 C1 4C 8B 82 B0 00 00 00 E9 B6 00 00 00 4C 8B 82 A8 00 00 00 E9 AA 00 00 00 4C 8B 82 A0 00 00 00 E9 9E 00 00 00 4C 8B 82 98 00 00 00 E9 92 00 00 00 4C 8B 82 90 00 00 00 E9 86 00 00 00 4C 8B 82 88 00 00 00 EB 7D 4C 8B 82 80 00 00 00 EB 74 4C 8B 42 78 EB 6E 4C 8B 82 B8 00 00 00 EB 65 48 83 E8 09 74 58 48 FF C8 74 4A 48 FF C8 74 3C 48 FF C8 74 2E 48 FF C8 74 20 48 FF C8 74 12 48 FF C8 0F 85 3C FF FF FF 4C 8B 82 F0 00 00 00 EB 34 4C 8B 82 E8 00 00 00 EB 2B 4C 8B 82 E0 00 00 00 EB 22 4C 8B 82 D8 00 00 00 EB 19 4C 8B 82 D0 00 00 00 EB 10 4C 8B 82 C8 00 00 00 EB 07 4C 8B 82 C0 00 00 00 41 83 E3 07 41 0F B6 C1 44 03 D8 41 83 FB 05 75 17 8B 46 01 8B CF 49 0F AF C8 48 03 C8 41 8B C3 48 89 0B E9 18 01 00 00 41 83 FB 04 75 15 8B C7 49 0F AF C0 48 03 82 98 00 00 00 48 89 03 E9 F8 00 00 00 41 83 E3 0F 41 83 FB 08 77 7B 74 70 45 85 DB 74 62 41 FF CB 74 54 41 FF CB 74 46 41 FF CB 74 38 41 FF CB 74 2A 41 FF CB 74 1C 41 FF CB 74 0E 41 FF CB 75 75 48 8B 82 B0 00 00 00 EB 3A 48 8B 82 A8 00 00 00 EB 31 48 8B 82 A0 00 00 00 EB 28 48 8B 82 98 00 00 00 EB 1F 48 8B 82 90 00 00 00 EB 16 48 8B 82 88 00 00 00 EB 0D 48 8B 82 80 00 00 00 EB 04 48 8B 42 78 48 89 03 EB 73 48 8B 82 B8 00 00 00 EB F2 41 83 EB 09 74 5A 41 FF CB 74 4C 41 FF CB 74 3E 41 FF CB 74 30 41 FF CB 74 22 41 FF CB 74 14 41 FF CB 74 06 48 83 23 00 EB 40 48 8B 82 F0 00 00 00 EB BF 48 8B 82 E8 00 00 00 EB B6 48 8B 82 E0 00 00 00 EB AD 48 8B 82 D8 00 00 00 EB A4 48 8B 82 D0 00 00 00 EB 9B 48 8B 82 C8 00 00 00 EB 92 48 8B 8A C0 00 00 00 48 89 0B 8B CF 49 0F AF C8 48 01 0B B8 01 00 00 00 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_134_13_0 {
	meta:
		name = "sib8"
		size = 665
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 45 0F B6 18 0F B6 44 24 28 48 8B D9 45 8B D3 41 8B CB BF 01 00 00 00 41 C1 EA 03 C1 E9 06 49 8B F0 41 83 E2 07 D3 E7 41 03 C2 48 83 F8 04 75 08 45 33 C0 E9 F9 00 00 00 83 E0 0F 48 83 F8 08 0F 87 87 00 00 00 74 7C 48 85 C0 74 71 48 FF C8 74 63 48 FF C8 74 55 48 FF C8 74 44 48 FF C8 74 33 48 FF C8 74 22 48 FF C8 74 11 48 FF C8 75 C1 4C 8B 82 B0 00 00 00 E9 B6 00 00 00 4C 8B 82 A8 00 00 00 E9 AA 00 00 00 4C 8B 82 A0 00 00 00 E9 9E 00 00 00 4C 8B 82 98 00 00 00 E9 92 00 00 00 4C 8B 82 90 00 00 00 E9 86 00 00 00 4C 8B 82 88 00 00 00 EB 7D 4C 8B 82 80 00 00 00 EB 74 4C 8B 42 78 EB 6E 4C 8B 82 B8 00 00 00 EB 65 48 83 E8 09 74 58 48 FF C8 74 4A 48 FF C8 74 3C 48 FF C8 74 2E 48 FF C8 74 20 48 FF C8 74 12 48 FF C8 0F 85 3C FF FF FF 4C 8B 82 F0 00 00 00 EB 34 4C 8B 82 E8 00 00 00 EB 2B 4C 8B 82 E0 00 00 00 EB 22 4C 8B 82 D8 00 00 00 EB 19 4C 8B 82 D0 00 00 00 EB 10 4C 8B 82 C8 00 00 00 EB 07 4C 8B 82 C0 00 00 00 41 83 E3 07 41 0F B6 C1 44 03 D8 41 83 FB 04 75 1C 0F B6 46 01 8B CF 49 0F AF C8 48 03 C8 48 03 8A 98 00 00 00 48 89 0B E9 17 01 00 00 41 83 E3 0F 41 83 FB 08 0F 87 8F 00 00 00 0F 84 80 00 00 00 45 85 DB 74 75 41 FF CB 74 67 41 FF CB 74 59 41 FF CB 74 48 41 FF CB 74 37 41 FF CB 74 26 41 FF CB 74 15 41 FF CB 0F 85 81 00 00 00 48 8B 82 B0 00 00 00 E9 B8 00 00 00 48 8B 82 A8 00 00 00 E9 AC 00 00 00 48 8B 82 A0 00 00 00 E9 A0 00 00 00 48 8B 82 98 00 00 00 E9 94 00 00 00 48 8B 82 90 00 00 00 E9 88 00 00 00 48 8B 82 88 00 00 00 EB 7F 48 8B 82 80 00 00 00 EB 76 48 8B 42 78 EB 70 48 8B 82 B8 00 00 00 EB 67 41 83 EB 09 74 5A 41 FF CB 74 4C 41 FF CB 74 3E 41 FF CB 74 30 41 FF CB 74 22 41 FF CB 74 14 41 FF CB 74 06 48 83 23 00 EB 40 48 8B 82 F0 00 00 00 EB 34 48 8B 82 E8 00 00 00 EB 2B 48 8B 82 E0 00 00 00 EB 22 48 8B 82 D8 00 00 00 EB 19 48 8B 82 D0 00 00 00 EB 10 48 8B 82 C8 00 00 00 EB 07 48 8B 82 C0 00 00 00 48 89 03 0F B6 46 01 8B CF 49 0F AF C8 48 03 C8 48 01 0B 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 B8 02 00 00 00 C3 }
	condition:
		$1
}

rule file_134_14_0 {
	meta:
		name = "sib32"
		size = 663
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 45 0F B6 18 0F B6 44 24 28 48 8B D9 45 8B D3 41 8B CB BF 01 00 00 00 41 C1 EA 03 C1 E9 06 49 8B F0 41 83 E2 07 D3 E7 41 03 C2 48 83 F8 04 75 08 45 33 C0 E9 F9 00 00 00 83 E0 0F 48 83 F8 08 0F 87 87 00 00 00 74 7C 48 85 C0 74 71 48 FF C8 74 63 48 FF C8 74 55 48 FF C8 74 44 48 FF C8 74 33 48 FF C8 74 22 48 FF C8 74 11 48 FF C8 75 C1 4C 8B 82 B0 00 00 00 E9 B6 00 00 00 4C 8B 82 A8 00 00 00 E9 AA 00 00 00 4C 8B 82 A0 00 00 00 E9 9E 00 00 00 4C 8B 82 98 00 00 00 E9 92 00 00 00 4C 8B 82 90 00 00 00 E9 86 00 00 00 4C 8B 82 88 00 00 00 EB 7D 4C 8B 82 80 00 00 00 EB 74 4C 8B 42 78 EB 6E 4C 8B 82 B8 00 00 00 EB 65 48 83 E8 09 74 58 48 FF C8 74 4A 48 FF C8 74 3C 48 FF C8 74 2E 48 FF C8 74 20 48 FF C8 74 12 48 FF C8 0F 85 3C FF FF FF 4C 8B 82 F0 00 00 00 EB 34 4C 8B 82 E8 00 00 00 EB 2B 4C 8B 82 E0 00 00 00 EB 22 4C 8B 82 D8 00 00 00 EB 19 4C 8B 82 D0 00 00 00 EB 10 4C 8B 82 C8 00 00 00 EB 07 4C 8B 82 C0 00 00 00 41 83 E3 07 41 0F B6 C1 44 03 D8 41 83 FB 04 75 1B 8B 46 01 8B CF 49 0F AF C8 48 03 C8 48 03 8A 98 00 00 00 48 89 0B E9 16 01 00 00 41 83 E3 0F 41 83 FB 08 0F 87 8F 00 00 00 0F 84 80 00 00 00 45 85 DB 74 75 41 FF CB 74 67 41 FF CB 74 59 41 FF CB 74 48 41 FF CB 74 37 41 FF CB 74 26 41 FF CB 74 15 41 FF CB 0F 85 81 00 00 00 48 8B 82 B0 00 00 00 E9 B8 00 00 00 48 8B 82 A8 00 00 00 E9 AC 00 00 00 48 8B 82 A0 00 00 00 E9 A0 00 00 00 48 8B 82 98 00 00 00 E9 94 00 00 00 48 8B 82 90 00 00 00 E9 88 00 00 00 48 8B 82 88 00 00 00 EB 7F 48 8B 82 80 00 00 00 EB 76 48 8B 42 78 EB 70 48 8B 82 B8 00 00 00 EB 67 41 83 EB 09 74 5A 41 FF CB 74 4C 41 FF CB 74 3E 41 FF CB 74 30 41 FF CB 74 22 41 FF CB 74 14 41 FF CB 74 06 48 83 23 00 EB 40 48 8B 82 F0 00 00 00 EB 34 48 8B 82 E8 00 00 00 EB 2B 48 8B 82 E0 00 00 00 EB 22 48 8B 82 D8 00 00 00 EB 19 48 8B 82 D0 00 00 00 EB 10 48 8B 82 C8 00 00 00 EB 07 48 8B 82 C0 00 00 00 48 89 03 8B 46 01 8B CF 49 0F AF C8 48 03 C8 48 01 0B 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 B8 05 00 00 00 C3 }
	condition:
		$1
}

rule file_134_15_0 {
	meta:
		name = "d32"
		size = 19
	strings:
		$1 = { 49 63 00 49 8D 50 04 48 03 D0 B8 04 00 00 00 48 89 11 C3 }
	condition:
		$1
}

rule file_134_16_0 {
	meta:
		name = "bp8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 A0 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_134_17_0 {
	meta:
		name = "bp32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 A0 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_134_19_0 {
	meta:
		name = "si8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 A8 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_134_20_0 {
	meta:
		name = "si32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 A8 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_134_22_0 {
	meta:
		name = "di8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 B0 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_134_23_0 {
	meta:
		name = "di32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 B0 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_134_25_0 {
	meta:
		name = "AdjustExceptionResult"
		size = 488
	strings:
		$1 = { 4C 8B 4A 20 41 8B 41 60 A8 01 0F 84 95 01 00 00 83 E0 1E 3C 0E 0F 85 8A 01 00 00 83 F9 39 0F 82 81 01 00 00 41 BB 02 00 00 00 45 33 C0 45 8D 53 05 83 F9 3A 76 64 83 F9 3C 76 1B 83 F9 56 0F 86 61 01 00 00 83 F9 58 0F 86 A8 00 00 00 83 F9 5A 0F 87 4F 01 00 00 41 8B 49 50 85 C9 74 30 FF C9 74 24 FF C9 74 14 FF C9 0F 85 37 01 00 00 81 62 1C 6F F7 FF FF 83 4A 1C 45 C3 81 62 1C 2B F7 FF FF 83 4A 1C 01 C3 81 62 1C 2A F7 FF FF C3 81 62 1C 6A F7 FF FF 83 4A 1C 40 C3 41 8B 49 50 85 C9 0F 84 9C 00 00 00 FF C9 0F 84 86 00 00 00 FF C9 74 1C FF C9 75 3F 44 39 5A 18 76 0C 83 7A 18 06 76 2E 44 39 52 18 75 2D 45 89 41 50 EB 27 8B 42 18 85 C0 74 F3 41 3B C3 76 16 83 F8 03 74 E9 83 F8 04 74 0C 76 0F 83 F8 06 76 DD 41 3B C2 75 05 41 83 49 50 FF 48 8B 4A 20 44 8B 49 50 45 85 C9 0F 84 AE 00 00 00 41 FF C9 0F 84 97 00 00 00 41 FF C9 74 6A 41 FF C9 0F 85 88 00 00 00 44 39 5A 18 76 0C 83 7A 18 06 76 77 44 39 52 18 75 76 4C 89 41 50 C3 83 7A 18 03 76 8E 44 39 52 18 77 B5 EB AE 8B 42 18 85 C0 74 A7 83 F8 01 0F 84 76 FF FF FF 41 3B C3 74 99 76 9C 83 F8 04 0F 86 66 FF FF FF 83 F8 05 74 89 83 F8 06 0F 84 58 FF FF FF 41 3B C2 0F 84 77 FF FF FF E9 77 FF FF FF 8B 42 18 85 C0 74 AA 41 3B C3 76 16 83 F8 03 74 A0 83 F8 04 74 0C 76 0F 83 F8 06 76 94 41 3B C2 75 05 48 83 49 50 FF C3 83 7A 18 03 76 83 44 39 52 18 77 F3 EB EC 8B 42 18 85 C0 74 E5 83 F8 01 0F 84 6B FF FF FF 41 3B C3 74 D7 76 DA 83 F8 04 0F 86 5B FF FF FF 83 F8 05 74 C7 83 F8 06 0F 84 4D FF FF FF 41 3B C2 74 B9 C3 }
	condition:
		$1
}

rule file_134_26_0 {
	meta:
		name = "DppxEmulationWrapper"
		size = 515
		refs = "0095 LoopDppxSimdValue"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 84 24 98 00 00 00 45 33 E4 33 FF 8B 28 4D 8B E9 4D 8B F8 C1 ED 1E 48 8B DA 44 8B F1 FF C5 83 7A 28 6D 41 0F 95 C4 41 FF C4 33 F6 83 7B 28 48 74 14 83 7B 28 6D 75 1A 8B C6 F7 D8 1B FF 83 E7 FC 83 C7 4D EB 0C 8B C6 F7 D8 1B FF 83 E7 FC 83 C7 2F 48 8B 84 24 90 00 00 00 89 7C 24 38 89 74 24 30 4D 8B CD 4D 8B C7 48 8B D3 41 8B CE 89 6C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 41 8B CE 44 8B C8 45 85 F6 74 48 FF C9 0F 85 D6 00 00 00 85 F6 0F 85 CE 00 00 00 48 8D 4B 50 8D 56 02 48 8B 41 60 48 89 01 48 8D 49 08 48 FF CA 75 F0 48 8B 83 B8 00 00 00 48 89 83 80 00 00 00 48 8B 83 B0 00 00 00 48 89 83 88 00 00 00 E9 96 00 00 00 8B C6 85 F6 74 49 FF C8 0F 85 88 00 00 00 44 8B 83 B8 00 00 00 8B 93 BC 00 00 00 8B 8B B0 00 00 00 8B 83 B4 00 00 00 44 89 43 50 89 53 54 89 4B 58 89 8B 84 00 00 00 89 93 88 00 00 00 89 43 5C 89 83 80 00 00 00 44 89 83 8C 00 00 00 EB 47 48 8D 4B 50 BA 04 00 00 00 8B 41 60 89 01 48 8D 49 04 48 FF CA 75 F2 8B 83 B4 00 00 00 89 83 80 00 00 00 8B 83 B0 00 00 00 89 83 84 00 00 00 8B 83 BC 00 00 00 89 83 88 00 00 00 8B 83 B8 00 00 00 89 83 8C 00 00 00 FF C6 41 3B F4 0F 86 BC FE FF FF 45 85 F6 74 2C 41 FF CE 75 4B 33 C9 85 ED 74 45 48 81 C3 B0 00 00 00 41 8B 47 18 D3 E8 A8 01 75 04 48 83 23 00 FF C1 48 83 C3 08 3B CD 72 E8 EB 24 33 C9 85 ED 74 1E 48 81 C3 B0 00 00 00 41 8B 47 18 D3 E8 A8 01 75 03 83 23 00 FF C1 48 83 C3 04 3B CD 72 E9 4C 8D 5C 24 40 41 8B C1 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_134_27_0 {
	meta:
		name = "LoadOperand"
		size = 799
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 10 48 8B 5C 24 40 44 8B DA 4D 89 19 49 83 FB 1F 75 0A 41 83 61 20 FE E9 EF 02 00 00 41 BB 08 00 00 00 83 FA 1B 77 25 B8 00 00 B0 08 0F A3 D0 73 1B 84 C9 74 0D 49 8B 01 83 FA 14 49 0F 44 C3 49 89 01 8B 44 24 48 41 89 41 08 EB 3A 84 C9 74 36 83 FA 1F 74 31 49 8B 01 83 FA 12 41 BA 0D 00 00 00 49 0F 44 C2 83 FA 13 41 8D 4A 0C 48 0F 44 C1 83 FA 0E 49 0F 44 C2 49 89 01 83 FA 0C 75 07 49 C7 01 0B 00 00 00 49 83 61 10 00 49 83 61 18 00 41 8B 51 20 49 8B 01 83 CA 01 41 89 51 20 48 83 F8 13 0F 87 93 01 00 00 0F 84 85 01 00 00 49 2B C3 74 6A 48 83 E8 03 74 5C 48 FF C8 74 4F 48 FF C8 74 31 48 FF C8 74 12 48 83 F8 04 0F 85 39 02 00 00 83 E2 E1 E9 AA 01 00 00 83 E2 E1 41 89 51 20 48 8B 83 A0 04 00 00 48 8B 08 49 89 49 10 E9 17 02 00 00 83 E2 E1 41 89 51 20 48 8B 83 A0 04 00 00 8B 08 41 89 49 10 E9 FE 01 00 00 83 E2 EB 83 CA 0A EB C8 83 E2 EB 83 CA 0A EB DA 83 E2 EB 83 CA 0A 41 89 51 20 45 3B C3 0F 87 87 00 00 00 74 79 45 85 C0 74 6B 41 FF C8 74 5A 41 FF C8 74 49 41 FF C8 74 38 41 83 E8 02 74 26 41 FF C8 74 15 41 FF C8 0F 85 B1 01 00 00 48 8B 83 B0 00 00 00 E9 A1 01 00 00 48 8B 83 A8 00 00 00 E9 95 01 00 00 48 8B 83 A0 00 00 00 E9 89 01 00 00 48 8B 83 90 00 00 00 E9 7D 01 00 00 48 8B 83 88 00 00 00 E9 71 01 00 00 48 8B 83 80 00 00 00 E9 65 01 00 00 48 8B 43 78 E9 5C 01 00 00 48 8B 83 B8 00 00 00 E9 50 01 00 00 41 83 E8 09 74 6A 41 FF C8 74 59 41 FF C8 74 48 41 FF C8 74 37 41 FF C8 74 26 41 FF C8 74 15 41 FF C8 0F 85 2C 01 00 00 48 8B 83 F0 00 00 00 E9 1C 01 00 00 48 8B 83 E8 00 00 00 E9 10 01 00 00 48 8B 83 E0 00 00 00 E9 04 01 00 00 48 8B 83 D8 00 00 00 E9 F8 00 00 00 48 8B 83 D0 00 00 00 E9 EC 00 00 00 48 8B 83 C8 00 00 00 E9 E0 00 00 00 48 8B 83 C0 00 00 00 E9 D4 00 00 00 83 E2 E3 83 CA 02 EB 49 48 83 E8 14 0F 84 AA 00 00 00 48 FF C8 74 70 48 83 E8 02 74 55 48 83 E8 02 74 44 48 FF C8 74 23 48 FF C8 0F 85 A7 00 00 00 41 8B C0 83 E2 EB 48 83 C0 1A 48 03 C0 83 CA 0A 48 8B 04 C3 41 89 41 10 EB 6B 83 E2 EB 83 CA 0A 41 89 51 20 48 8B 83 A0 04 00 00 0F 28 00 F3 41 0F 7F 41 10 EB 71 83 E2 E3 83 CA 02 E9 38 FE FF FF 41 8B C8 83 E2 E3 48 8D 41 1A 48 03 C9 48 03 C0 83 CA 02 EB 10 41 8B C8 48 8D 41 1A 48 03 C9 48 03 C0 83 E2 E1 48 8B 04 C3 48 89 04 24 48 8B 84 CB A8 01 00 00 48 89 44 24 08 0F 28 04 24 F3 41 0F 7F 41 10 41 89 51 20 EB 1C 41 8B C0 83 E2 EB 48 83 C0 12 48 03 C0 83 CA 0A 48 8B 04 C3 41 89 51 20 49 89 41 10 48 8B 5C 24 20 48 83 C4 10 5F C3 }
	condition:
		$1
}

rule file_134_28_0 {
	meta:
		name = "LoopDppxSimdValue"
		size = 602
		refs = "017f _XMMI_FP_Emulation 0186 _XMMI2_FP_Emulation"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 E4 83 CD FF 49 8B F9 49 8B F0 48 8B DA 44 8B E9 44 39 64 24 78 0F 86 02 02 00 00 4C 8D BA B0 00 00 00 4C 8D 72 08 83 BC 24 80 00 00 00 00 75 3A 8B 46 18 41 8D 4C 24 04 D3 E8 A8 01 75 2C 41 8B C5 45 85 ED 74 0A FF C8 75 0E 49 83 27 00 EB 08 41 83 A6 A8 00 00 00 00 83 8B C0 00 00 00 01 8B 46 1C 89 43 30 E9 9D 01 00 00 83 66 04 00 83 67 04 E0 83 67 08 E0 83 67 0C E0 8B 46 10 8B 94 24 88 00 00 00 33 07 81 E2 FF 0F 00 00 83 E0 03 C1 E2 03 31 07 8B 46 14 8B 0F 83 E0 07 81 E1 03 00 FE FF 0B D0 8B 47 20 C1 E2 02 0B D1 89 17 33 43 60 83 E0 01 31 47 20 8B 47 20 33 43 60 83 E0 1E 31 47 20 41 8B C5 45 85 ED 74 0E FF C8 75 11 49 8B 47 A0 48 89 47 10 EB 07 41 8B 46 48 89 47 10 8B 83 90 00 00 00 83 67 40 FE 83 E0 01 74 12 09 47 40 8B 47 40 33 83 90 00 00 00 83 E0 1E 31 47 40 41 8B C5 45 85 ED 74 0E FF C8 75 11 49 8B 47 D0 48 89 47 30 EB 07 41 8B 46 78 89 47 30 83 67 60 FE 41 8B C5 45 85 ED 74 0D FF C8 75 13 49 8B 07 48 89 47 50 EB 0A 41 8B 86 A8 00 00 00 89 47 50 8B 47 60 48 8B CE 33 83 C0 00 00 00 83 E0 1E 31 47 60 41 8D 45 FF 48 89 7E 20 83 F8 01 76 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B C8 41 89 06 8B 46 04 41 89 46 10 83 F9 01 75 4A F6 46 04 20 74 04 83 4B 04 20 F6 46 04 10 74 04 83 4B 04 10 F6 46 04 08 74 04 83 4B 04 08 F6 46 04 04 74 04 83 4B 04 04 F6 46 04 02 74 04 83 4B 04 02 F6 46 04 01 74 04 83 4B 04 01 48 8B CF FF 54 24 70 8B E8 83 F8 FF 75 58 8B 8B C0 00 00 00 33 4F 60 83 E1 01 31 8B C0 00 00 00 F6 83 C0 00 00 00 01 8B 4E 1C 89 4B 30 74 1F 41 8B C5 45 85 ED 74 0D FF C8 75 13 48 8B 47 50 49 89 07 EB 0A 8B 47 50 41 89 86 A8 00 00 00 41 FF C4 49 83 C7 08 49 83 C6 04 44 3B 64 24 78 0F 82 09 FE FF FF 8B C5 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_134_29_0 {
	meta:
		name = "SetPniOperation"
		size = 94
	strings:
		$1 = { 83 E9 43 74 45 FF C9 74 39 FF C9 74 2D 83 E9 23 74 1B FF C9 74 0F FF C9 74 03 32 C0 C3 C7 02 4B 00 00 00 EB 36 C7 02 49 00 00 00 EB 2E 41 F7 D8 1B C0 83 E0 FE 83 C0 4B EB 1F C7 02 2D 00 00 00 EB 19 C7 02 2B 00 00 00 EB 11 41 83 E0 FD 41 F7 D8 1B C0 83 E0 FE 83 C0 2D 89 02 B0 01 C3 }
	condition:
		$1
}

rule file_134_30_0 {
	meta:
		name = "UpdateResult"
		size = 479
	strings:
		$1 = { 4C 8B 09 8B 41 08 4C 8B D2 4C 8B D9 49 83 F9 13 0F 87 62 01 00 00 49 83 F9 12 0F 83 9F 01 00 00 49 83 E9 08 74 3F 49 FF C9 0F 84 44 01 00 00 49 83 E9 02 74 22 49 FF C9 74 0E 49 FF C9 74 18 49 FF C9 0F 85 96 01 00 00 48 8B 8A A0 04 00 00 49 8B 43 10 48 89 01 C3 48 8B 8A A0 04 00 00 41 8B 43 10 89 01 C3 83 F8 08 0F 87 96 00 00 00 0F 84 84 00 00 00 85 C0 74 77 FF C8 74 64 FF C8 74 51 FF C8 74 3E 83 E8 02 74 2A FF C8 74 17 FF C8 0F 85 DE 00 00 00 8B 41 10 48 89 82 B0 00 00 00 E9 CF 00 00 00 8B 41 10 48 89 82 A8 00 00 00 E9 C0 00 00 00 8B 41 10 48 89 82 A0 00 00 00 E9 B1 00 00 00 8B 41 10 48 89 82 90 00 00 00 E9 A2 00 00 00 8B 41 10 48 89 82 88 00 00 00 E9 93 00 00 00 8B 41 10 48 89 82 80 00 00 00 E9 84 00 00 00 8B 41 10 48 89 42 78 EB 7B 8B 41 10 48 89 82 B8 00 00 00 EB 6F 83 E8 09 74 60 FF C8 74 50 FF C8 74 40 FF C8 74 30 FF C8 74 20 FF C8 74 10 FF C8 75 52 8B 41 10 48 89 82 F0 00 00 00 EB 46 8B 41 10 48 89 82 E8 00 00 00 EB 3A 8B 41 10 48 89 82 E0 00 00 00 EB 2E 8B 41 10 48 89 82 D8 00 00 00 EB 22 8B 41 10 48 89 82 D0 00 00 00 EB 16 8B 41 10 48 89 82 C8 00 00 00 EB 0A 8B 41 10 48 89 82 C0 00 00 00 44 89 42 44 C3 49 83 E9 14 74 51 49 FF C9 74 1A 49 83 E9 02 74 14 49 83 E9 02 0F 84 B5 FE FF FF 49 FF C9 74 27 49 FF C9 75 41 48 8D 48 1A 48 8B D0 49 8B 43 10 48 03 C9 48 03 D2 49 89 04 CA 49 8B 43 18 49 89 84 D2 A8 01 00 00 C3 0F 10 41 10 48 8B 82 A0 04 00 00 F3 0F 7F 00 C3 48 8D 48 12 49 8B 43 10 48 03 C9 48 89 04 CA C3 }
	condition:
		$1
}

rule file_134_31_0 {
	meta:
		name = "_fpieee_flt_simd"
		size = 4937
		refs = "001d __security_cookie 04df InstInfoTableEX 04eb InstInfoTableDX 050e InstInfoTableCX 051a InstInfoTable7X 0523 InstInfoTable5X 0583 InstInfoTable4X 058c InstInfoTable0X 0595 InstInfoTable2X 06c2 __ImageBase 06d3 InstInfoTableX 07ec ??_C@_0N@MDJJJHMB@kernel32?4dll?$AA@ 07f5 __imp_GetModuleHandleA 07ff ??_C@_0BJ@DIBIJBHA@GetEnabledXStateFeatures?$AA@ 0805 __imp_GetProcAddress 081b ??_C@_0BG@IKLDMBLM@GetXStateFeaturesMask?$AA@ 0837 ??_C@_0BE@KINNKFDA@LocateXStateFeature?$AA@ 094b modrm32 0954 d32 0adc LoadOperand 1056 _XMMI_FP_Emulation 105d _XMMI2_FP_Emulation 111f AdjustExceptionResult 1201 DppxEmulationWrapper 1220 UpdateResult 1328 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC 90 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 03 00 00 49 8B F0 4C 89 84 24 08 01 00 00 83 C8 FF 89 84 24 80 00 00 00 45 33 FF 45 8A DF 44 88 7C 24 53 45 8A CF 44 88 7C 24 38 41 8A DF 88 5C 24 51 45 8B D7 44 89 BC 24 90 00 00 00 41 8A FF 89 7C 24 54 4C 89 7C 24 58 45 8B C7 44 89 7C 24 3C 44 89 BC 24 88 00 00 00 44 89 7C 24 74 4C 89 BC 24 A8 00 00 00 4C 89 BC 24 98 00 00 00 48 8B 02 48 8B 48 20 48 85 C9 74 07 FF D6 E9 72 12 00 00 48 8B 7A 08 48 89 7C 24 68 48 8B 87 A0 04 00 00 48 89 84 24 28 01 00 00 4C 89 BC 24 E8 00 00 00 45 8B F7 44 89 7C 24 34 44 89 7C 24 48 44 89 7C 24 4C 41 8A CF 88 4C 24 30 45 8A EF 44 88 7C 24 52 41 8A C7 89 44 24 70 88 44 24 50 45 8A E7 44 88 7C 24 45 B8 01 00 00 00 8A D0 88 44 24 44 41 8A C7 89 44 24 40 88 44 24 31 41 8A F7 44 88 7C 24 61 44 88 7C 24 60 48 8B BF F8 00 00 00 48 89 7C 24 78 33 C0 84 D2 0F 84 D5 02 00 00 44 0F B6 1F 44 88 5C 24 53 48 FF C7 48 89 7C 24 78 41 8B CB 41 83 FB 66 0F 8F 9B 00 00 00 83 F9 66 74 75 8D 41 DA A9 E7 FF FF FF 0F 84 8E 02 00 00 83 F9 3F 0F 8E 78 02 00 00 83 F9 4F 7E 15 8D 41 9C B9 01 00 00 00 3B C1 0F 86 70 02 00 00 E9 5E 02 00 00 B8 01 00 00 00 44 03 C0 44 89 44 24 3C 44 8B E1 41 83 E4 04 45 03 E4 44 88 64 24 45 44 8B E9 41 83 E5 02 41 C1 E5 02 44 88 6C 24 52 23 C8 8B C1 C1 E0 03 89 44 24 70 88 44 24 50 8A 4C 24 30 E9 36 02 00 00 B9 01 00 00 00 44 8B F1 89 4C 24 34 89 4C 24 48 44 03 C1 44 89 44 24 3C 8A 4C 24 30 E9 17 02 00 00 83 E9 67 0F 84 FD 01 00 00 83 E9 5D 0F 84 ED 00 00 00 FF C9 74 47 83 E9 2B 0F 84 E7 01 00 00 83 E9 02 74 21 FF C9 0F 85 CD 01 00 00 B9 01 00 00 00 8A C1 88 4C 24 31 89 44 24 40 44 03 C1 44 89 44 24 3C EB 91 B9 01 00 00 00 8A C1 88 4C 24 31 44 8B F1 89 4C 24 34 89 4C 24 48 EB DA 41 B9 01 00 00 00 45 8A F9 44 88 4C 24 60 8A 0F 49 03 F9 48 89 7C 24 78 8A C1 24 03 41 3A C1 45 0F 44 F1 44 89 74 24 34 44 89 74 24 48 8B 54 24 40 0F B6 D2 3C 02 41 0F 44 D1 89 54 24 40 88 54 24 31 3C 03 75 18 41 8A C1 89 44 24 40 88 44 24 31 45 8B F1 44 89 4C 24 34 44 89 4C 24 48 0F B6 C1 8B D8 C1 EB 02 41 23 D9 88 5C 24 51 44 8B D0 41 F7 D2 41 C1 FA 03 41 83 E2 0F 44 89 94 24 90 00 00 00 C1 E8 04 F7 D0 83 E0 08 44 8A E0 88 44 24 45 41 B1 0F 44 88 4C 24 38 41 FF C0 E9 F5 00 00 00 BB 01 00 00 00 40 8A F3 88 5C 24 61 44 8A 07 48 03 FB 48 89 7C 24 78 8A 17 48 03 FB 48 89 7C 24 78 8A CA 80 E1 03 3A CB 44 0F 44 F3 44 89 74 24 34 44 89 74 24 48 0F B6 44 24 40 80 F9 02 0F 44 C3 44 8A C8 44 89 4C 24 40 88 44 24 31 80 F9 03 75 15 8A C3 89 44 24 40 88 5C 24 31 44 8B F3 89 5C 24 34 89 5C 24 48 44 0F B6 D2 41 8B C2 C1 E8 02 23 C3 8A D8 88 44 24 51 41 F7 D2 41 C1 FA 03 41 83 E2 0F 44 89 94 24 90 00 00 00 41 0F B6 C8 8B C1 C1 E8 04 F7 D0 83 E0 08 44 8A E0 88 44 24 45 8B C1 C1 E8 03 F7 D0 83 E0 08 44 8A E8 88 44 24 52 8B C1 C1 E8 02 F7 D0 83 E0 08 89 44 24 70 88 44 24 50 83 E1 0F FF C9 74 19 FF C9 74 10 FF C9 74 07 33 C0 E9 53 0F 00 00 41 B1 3A EB 08 41 B1 38 EB 03 41 B1 0F 44 88 4C 24 38 44 8B 44 24 3C 41 83 C0 02 44 89 44 24 3C 33 C0 8A D0 88 44 24 44 E9 F1 FD FF FF B8 01 00 00 00 88 44 24 32 88 44 24 30 8A C8 33 C0 E9 23 FD FF FF 84 C9 74 07 33 C0 E9 05 0F 00 00 48 89 BC 24 B8 00 00 00 8B 17 44 8B C2 41 83 E0 0F 44 89 84 24 A4 00 00 00 8B CA C1 E9 04 83 E1 0F 89 8C 24 A0 00 00 00 45 84 FF 75 41 40 84 F6 75 3C C1 EA 0B 83 E2 07 41 0F B6 C4 03 D0 89 94 24 84 00 00 00 89 94 24 B0 00 00 00 41 80 FB 0F 74 4F B9 01 00 00 00 88 4C 24 30 88 4C 24 32 4C 8B 5C 24 58 44 8B 54 24 54 E9 66 05 00 00 41 80 F9 0F 74 1C B9 03 00 00 00 89 8C 24 A0 00 00 00 45 0F B6 C1 41 83 E0 0F 44 89 84 24 A4 00 00 00 41 8B C2 89 84 24 84 00 00 00 89 84 24 B0 00 00 00 83 E9 02 0F 84 D1 00 00 00 FF C9 74 64 83 E9 02 74 56 83 E9 02 74 48 83 E9 05 74 37 FF C9 74 10 FF C9 75 8D 48 8D 15 ?? ?? ?? ?? E9 B1 00 00 00 48 8D 15 ?? ?? ?? ?? 33 C0 38 44 24 40 0F 84 9E 00 00 00 44 8B F0 89 44 24 34 89 44 24 48 E9 8E 00 00 00 48 8D 15 ?? ?? ?? ?? E9 82 00 00 00 48 8D 15 ?? ?? ?? ?? EB CF 48 8D 15 ?? ?? ?? ?? EB 70 B9 01 00 00 00 41 83 F8 0A 0F 85 36 FF FF FF 44 8B C9 40 8A C6 41 0A C7 75 0C 48 03 F9 48 89 7C 24 78 01 4C 24 3C 48 89 BC 24 B8 00 00 00 8B 07 44 8B C0 41 83 E0 0F 44 89 84 24 A4 00 00 00 C1 E8 04 83 E0 0F 89 84 24 A0 00 00 00 74 12 83 F8 04 0F 85 EE FE FF FF 48 8D 15 ?? ?? ?? ?? EB 15 48 8D 15 ?? ?? ?? ?? EB 0C 48 8D 15 ?? ?? ?? ?? 44 8B 4C 24 4C 8B 07 B9 00 C0 00 00 23 C1 45 33 DB 45 8B D3 3B C1 41 0F 95 C2 44 89 54 24 54 44 88 94 24 8C 00 00 00 41 0F B6 C2 C1 E0 04 41 0B C0 41 8D 4B 01 83 F8 20 76 12 88 4C 24 30 88 4C 24 32 4C 8B 5C 24 58 E9 06 04 00 00 41 B8 FF 0F 00 00 44 3B C9 0F 85 9E 00 00 00 48 8D 14 82 48 89 54 24 58 48 89 94 24 F8 00 00 00 8B 0A 41 23 C8 8D 41 95 83 F8 02 76 1E 8D 41 BA 83 F8 02 76 07 B9 01 00 00 00 EB B2 45 8B F3 44 89 5C 24 34 44 89 5C 24 48 EB 10 B8 01 00 00 00 44 8B F0 89 44 24 34 89 44 24 48 8D 41 BA 83 F8 27 77 21 49 BB 05 00 00 00 A0 00 00 00 49 0F A3 C3 73 11 33 C9 44 8A D9 44 89 5C 24 40 44 88 5C 24 31 EB 48 83 F9 6C 74 1C 83 F9 47 74 17 B9 01 00 00 00 88 4C 24 30 88 4C 24 32 4C 8B 5C 24 58 E9 66 03 00 00 41 BB 01 00 00 00 EB CB 41 8D 04 46 48 8D 14 82 48 89 54 24 58 48 89 94 24 F8 00 00 00 44 8B 74 24 34 44 8B 5C 24 40 8B 0A 41 85 C8 74 BB 8B C1 25 00 F0 01 00 4C 8D 35 ?? ?? ?? ?? 3D 00 E0 01 00 75 46 45 33 D2 49 8D 96 ?? ?? ?? ?? 45 84 DB 74 0A C1 E9 11 83 E1 1F FF C1 EB 07 48 C1 E9 11 83 E1 1F 48 8D 14 8A 48 89 94 24 F8 00 00 00 48 89 54 24 58 45 8A DA 44 88 54 24 31 41 BA 02 00 00 00 44 89 54 24 48 EB 05 44 8B 54 24 34 8B 12 41 23 D0 8D 42 BD 41 0F B6 CB 83 F8 02 41 B8 00 00 00 00 41 0F 46 C8 89 4C 24 40 88 4C 24 31 8D 42 98 83 F8 02 45 8D 58 01 45 0F 46 D3 44 89 54 24 34 44 89 54 24 48 45 85 C9 75 0E 0F B6 C1 03 C2 89 84 24 D8 01 00 00 EB 07 89 94 24 D8 01 00 00 45 84 FF 75 05 40 84 F6 74 34 83 C2 CD 83 FA 38 77 2C 48 B9 01 A3 08 40 C0 5F 1F 01 48 0F A3 D1 73 1C 8B 0F C1 E9 0B 83 E1 07 41 0F B6 C4 03 C8 89 8C 24 84 00 00 00 89 8C 24 B0 00 00 00 44 8B 7C 24 3C 41 83 C7 03 44 89 7C 24 3C 49 8B C0 48 89 84 24 A8 00 00 00 48 89 84 24 18 01 00 00 48 8B 74 24 68 84 DB 0F 84 02 01 00 00 8B 46 30 B9 40 00 10 00 23 C1 3B C1 0F 85 F0 00 00 00 48 8D 1D ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 48 8D 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F0 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 48 8D 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B F8 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 48 8D 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 33 C0 48 85 DB 0F 84 CD 0A 00 00 FF D6 48 89 84 24 20 01 00 00 A8 04 75 07 33 C0 E9 B8 0A 00 00 48 8D 94 24 20 01 00 00 48 8B 74 24 68 48 8B CE 41 FF D7 85 C0 0F 84 9D 0A 00 00 4C 8D 84 24 00 01 00 00 BA 01 00 00 00 48 8B CE FF D3 48 89 84 24 98 00 00 00 48 89 84 24 10 01 00 00 45 33 C0 45 8D 78 02 41 8B D7 48 8B CE FF D3 48 89 84 24 A8 00 00 00 48 89 84 24 18 01 00 00 41 8B CF 89 4C 24 74 89 8C 24 F0 00 00 00 44 8B 7C 24 3C 44 8D 59 FF EB 25 41 8B C3 89 44 24 74 89 84 24 F0 00 00 00 48 8D 86 A0 01 00 00 48 89 84 24 98 00 00 00 48 89 84 24 10 01 00 00 44 8B 54 24 54 45 84 D2 0F 84 94 00 00 00 48 89 7C 24 78 49 03 FB 48 89 7C 24 78 0F B6 07 88 44 24 53 49 03 FB 48 89 7C 24 78 8B D8 41 0F B6 C5 44 0F B6 4C 24 70 89 44 24 20 4C 8B C7 48 8B 54 24 68 48 8D 8E A0 04 00 00 41 FF 94 DE ?? ?? ?? ?? 8B C8 48 8D 05 ?? ?? ?? ?? 4C 8B 5C 24 58 49 39 84 DE ?? ?? ?? ?? 75 1B 41 8B 03 25 00 00 C0 01 3D 00 00 40 00 75 0C B8 01 00 00 00 48 01 86 A0 04 00 00 48 8B 86 A0 04 00 00 48 89 84 24 E8 00 00 00 48 89 84 24 30 01 00 00 44 8B 54 24 54 EB 0C 8B 8C 24 88 00 00 00 4C 8B 5C 24 58 44 03 F9 44 89 7C 24 3C 41 8B 03 25 00 00 C0 01 3D 00 00 40 00 75 23 8B C1 48 03 F8 48 89 7C 24 78 0F B6 07 89 84 24 DC 01 00 00 B9 01 00 00 00 44 03 F9 44 89 7C 24 3C EB 05 B9 01 00 00 00 44 8B 74 24 34 33 DB 8B C3 89 5C 24 4C 44 8D 7B 10 48 8B 7C 24 68 39 5C 24 74 0F 8E 97 08 00 00 41 0F B6 CC 89 8C 24 88 00 00 00 44 8B AC 24 00 01 00 00 85 C0 74 6F 48 8B 84 24 98 00 00 00 48 8D 48 08 48 8D 94 24 80 02 00 00 48 2B D0 4C 8B 84 24 A8 00 00 00 4C 2B C0 4D 8B CF 4C 8B 54 24 68 8B 7C 24 54 48 8B 41 F8 48 89 44 0A F8 48 8B 01 48 89 04 0A 49 8B 44 08 F8 48 89 41 F8 49 8B 04 08 48 89 01 40 84 FF 74 12 48 8B 84 24 E8 00 00 00 49 03 C7 49 89 82 A0 04 00 00 49 03 CF 49 FF C9 75 C1 EB 19 45 84 D2 4C 8B 54 24 68 74 0F 48 8B 84 24 E8 00 00 00 48 89 87 A0 04 00 00 41 8B 3B 8B DF C1 EB 0C 83 E3 1F 44 8B A4 24 84 00 00 00 44 89 64 24 28 4C 89 54 24 20 4C 8D 8C 24 F0 01 00 00 45 8B C4 8B D3 8B 74 24 40 40 8A CE E8 ?? ?? ?? ?? 48 8B 84 24 B8 00 00 00 8B D7 40 8A CE 44 8B 00 C1 EA 11 41 C1 E8 08 0F B6 44 24 70 83 E2 1F 41 83 E0 07 44 03 C0 44 89 44 24 28 48 8B 44 24 68 48 89 44 24 20 83 FB 1F 75 17 4C 8D 8C 24 F0 01 00 00 E8 ?? ?? ?? ?? 83 A4 24 40 02 00 00 FE EB 0D 4C 8D 8C 24 20 02 00 00 E8 ?? ?? ?? ?? 48 8B 84 24 B8 00 00 00 8B 00 C1 E8 0B 83 E0 07 03 84 24 88 00 00 00 C1 EF 19 83 E7 1F 89 44 24 28 48 8B 44 24 68 48 89 44 24 20 4C 8D 8C 24 50 02 00 00 45 8B C4 8B D7 40 8A CE E8 ?? ?? ?? ?? 45 33 C9 44 38 4C 24 30 0F 85 84 F8 FF FF 48 8B 7C 24 68 8B 47 34 B9 00 03 00 00 45 8D 51 01 23 C1 74 1F 3D 00 02 00 00 74 0E 3B C1 75 1F 44 89 8C 24 D4 00 00 00 EB 15 44 89 94 24 D4 00 00 00 EB 0B C7 84 24 D4 00 00 00 02 00 00 00 8B 47 34 8B C8 C1 E9 0D 83 E1 03 74 30 FF C9 74 22 FF C9 74 11 FF C9 75 2C C7 84 24 D0 00 00 00 03 00 00 00 EB 1F C7 84 24 D0 00 00 00 02 00 00 00 EB 12 44 89 94 24 D0 00 00 00 EB 08 44 89 8C 24 D0 00 00 00 8B C8 C1 E9 07 83 E1 3F 89 8C 24 C0 00 00 00 8B C8 C1 E9 0F 41 23 CA 89 8C 24 C8 00 00 00 8B C8 C1 E9 06 41 23 CA 89 8C 24 CC 00 00 00 8B 4F 44 89 8C 24 DC 00 00 00 8B 8C 24 DC 01 00 00 89 8C 24 D8 00 00 00 83 E0 3F 89 84 24 B0 01 00 00 44 89 8C 24 B4 01 00 00 48 8B 44 24 58 44 8B 20 41 C1 EC 1E 45 03 E2 40 84 F6 45 0F 45 E2 8B 9C 24 D8 01 00 00 83 FB 48 0F 84 46 05 00 00 83 FB 6D 0F 84 3D 05 00 00 41 8B F1 45 85 E4 0F 84 6A 05 00 00 49 8B F9 44 8B 84 24 A0 01 00 00 44 89 8C 24 C4 00 00 00 41 BB E0 FF FF FF 44 21 9C 24 44 01 00 00 44 21 9C 24 48 01 00 00 44 21 9C 24 4C 01 00 00 8B 8C 24 D4 00 00 00 83 E1 07 C1 E1 02 8B 84 24 40 01 00 00 41 23 C3 0B C8 8B 84 24 D0 00 00 00 83 E0 03 0B C8 8B C3 83 E8 43 74 4B FF C8 74 3F FF C8 74 33 83 E8 23 74 1D FF C8 74 11 FF C8 74 05 41 8A C1 EB 46 41 BD 4B 00 00 00 EB 42 41 BD 49 00 00 00 EB 3A 8B C6 F7 D8 45 1B ED 41 83 E5 FE 41 83 C5 4B EB 29 41 BD 2D 00 00 00 EB 21 41 BD 2B 00 00 00 EB 19 8B C6 83 E0 FD F7 D8 45 1B ED 41 83 E5 FE 41 83 C5 2D 41 8A C2 84 C0 74 05 41 8B C5 EB 02 8B C3 C1 E0 05 33 C1 25 E0 FF 01 00 33 C8 89 8C 24 40 01 00 00 8B 94 24 10 02 00 00 83 E2 1F 8B 8C 24 60 01 00 00 41 23 CB 0B CA 89 8C 24 60 01 00 00 41 8B C6 45 85 F6 0F 84 96 00 00 00 FF C8 74 53 83 FB 5F 0F 82 E9 00 00 00 83 FB 60 76 31 83 FB 62 76 22 83 FB 65 76 0A 83 FB 67 76 18 E9 D0 00 00 00 8B 84 BC 00 02 00 00 89 84 24 50 01 00 00 E9 BD 00 00 00 48 8B 84 FC 00 02 00 00 EB 07 8B 84 BC 00 02 00 00 48 89 84 24 50 01 00 00 E9 9F 00 00 00 48 8B 84 FC 00 02 00 00 48 89 84 24 50 01 00 00 8D 43 97 41 3B C2 0F 87 83 00 00 00 41 3B F2 75 7E 48 8B 84 24 30 02 00 00 48 89 84 24 50 01 00 00 8B C1 33 84 24 40 02 00 00 83 E0 1F EB 57 8B 84 BC 00 02 00 00 89 84 24 50 01 00 00 8D 43 BC 41 3B C2 77 4A 8B C6 FF C8 74 21 FF C8 74 14 FF C8 75 3C 8B 84 24 38 02 00 00 89 84 24 50 01 00 00 EB BE 8B 84 24 30 02 00 00 EB EE 8B 84 24 08 02 00 00 89 84 24 50 01 00 00 8B C1 33 84 24 10 02 00 00 83 E0 1E 33 C8 89 8C 24 60 01 00 00 8B 8C 24 80 01 00 00 44 84 94 24 40 02 00 00 74 10 8B C1 33 84 24 40 02 00 00 83 E0 1F 33 C8 EB 03 83 E1 FE 89 8C 24 80 01 00 00 41 8B C6 45 85 F6 0F 84 8B 00 00 00 FF C8 74 4C 83 FB 5F 0F 82 EA 00 00 00 83 FB 60 76 2A 83 FB 62 76 1B 83 FB 65 76 0A 83 FB 67 76 11 E9 D1 00 00 00 8B 84 BC 30 02 00 00 E9 BE 00 00 00 48 8B 84 FC 30 02 00 00 EB 07 8B 84 BC 30 02 00 00 48 89 84 24 70 01 00 00 E9 A7 00 00 00 48 8B 84 FC 30 02 00 00 48 89 84 24 70 01 00 00 8D 43 97 41 3B C2 0F 87 8B 00 00 00 85 F6 0F 85 83 00 00 00 48 8B 84 24 08 02 00 00 48 89 84 24 70 01 00 00 41 23 CB 0B CA EB 40 8B 84 BC 30 02 00 00 89 84 24 70 01 00 00 8D 43 BC 41 3B C2 77 56 8B C6 85 F6 74 36 FF C8 74 29 FF C8 75 48 8B 84 24 34 02 00 00 89 84 24 70 01 00 00 8B C1 33 84 24 40 02 00 00 83 E0 1F 33 C8 89 8C 24 80 01 00 00 EB 23 8B 84 24 0C 02 00 00 EB 07 8B 84 24 04 02 00 00 41 23 CB 0B CA 89 8C 24 80 01 00 00 89 84 24 70 01 00 00 41 83 E0 FE 41 8B C6 45 85 F6 74 38 FF C8 74 19 83 FB 5F 72 3D 83 FB 60 76 19 83 FB 62 76 0A 83 FB 65 76 20 83 FB 67 77 29 48 8B 84 FC 60 02 00 00 EB 07 8B 84 BC }
	condition:
		$1
}

rule file_135_0_0 {
	meta:
		name = "_lseek"
		size = 225
		refs = "0024 __doserrno 002c _errno 0041 _nhandle 0054 __pioinfo 0071 __lock_fhandle 008b _lseek_nolock 00ac _unlock_fhandle 00c8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 57 41 54 41 56 41 57 48 83 EC 20 41 8B F0 44 8B F2 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 91 00 00 00 85 C9 78 75 3B 1D ?? ?? ?? ?? 73 6D 48 8B C3 48 8B FB 48 C1 FF 05 4C 8D 25 ?? ?? ?? ?? 83 E0 1F 4C 6B F8 58 49 8B 04 FC 42 0F BE 4C 38 08 83 E1 01 74 46 8B CB E8 ?? ?? ?? ?? 90 49 8B 04 FC 42 F6 44 38 08 01 74 11 44 8B C6 41 8B D6 8B CB E8 ?? ?? ?? ?? 8B F8 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CF FF 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_135_2_0 {
	meta:
		name = "_lseek_nolock"
		size = 227
		refs = "0020 _get_osfhandle 002e _errno 0052 __imp_SetFilePointerEx 005c __imp_GetLastError 0063 _dosmaperr 00b2 __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 63 F9 41 8B F0 48 63 EA 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 8E 00 00 00 4C 8D 44 24 20 41 B9 01 00 00 00 33 D2 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB CF 4C 8D 44 24 58 48 8B D5 44 8B CE 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 D9 83 7C 24 5C 00 74 21 48 8B 54 24 20 45 33 C9 45 33 C0 48 8B CB FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 8F 48 8B CF 48 8B C7 48 8D 15 ?? ?? ?? ?? 48 C1 F8 05 83 E1 1F 48 8B 04 C2 48 6B C9 58 80 64 08 08 FD 8B 44 24 58 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_136_0_0 {
	meta:
		name = "ilogbl"
		size = 68
		refs = "0015 _ldunscale"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 1A FF C9 74 0F FF C9 74 0B 0F B7 44 24 38 66 FF C8 98 EB 0C B8 FF FF FF 7F EB 05 B8 00 00 00 80 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_724_0_0 {
	meta:
		name = "ilogb"
		size = 68
		refs = "0015 _dunscale"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 1A FF C9 74 0F FF C9 74 0B 0F B7 44 24 38 66 FF C8 98 EB 0C B8 FF FF FF 7F EB 05 B8 00 00 00 80 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "trunc"
		size = 33
		refs = "0012 _d_int"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_954_0_0 {
	meta:
		name = "truncl"
		size = 33
		refs = "0012 _ld_int"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_138_4_0 {
	meta:
		name = "_ismbstrail_l"
		size = 145
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0037 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5D 48 85 D2 74 E7 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 8B 4C 24 28 83 79 08 00 74 2B 48 3B DF 77 26 80 3B 00 74 21 0F B6 03 F6 44 08 19 04 74 0D 48 FF C3 48 3B DF 74 0A 80 3B 00 74 0A 48 FF C3 EB DA 83 C8 FF EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_139_0_0 {
	meta:
		name = "clog"
		size = 579
		refs = "0029 creal 003f cimag 004d _dtest 00af atan2 00d3 __xmm@80000000000000008000000000000000 0122 _fperrraise 012a _Inf_C 0141 __real@3feccccccccccccd 0153 __real@3fd999999999999a 0173 _d_int 01be __real@3ff0000000000000 01d3 log1p 01db __real@3fe0000000000000 0208 log 0222 _Cbuild"
	strings:
		$1 = { 40 55 53 56 57 48 8B EC 48 83 EC 58 0F 10 02 48 8B F9 48 8D 4D C8 0F 29 74 24 40 48 8B DA 0F 29 7C 24 30 F3 0F 7F 45 C8 E8 ?? ?? ?? ?? 48 8D 4D C8 F2 0F 11 45 28 0F 10 03 F3 0F 7F 45 C8 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 F0 E8 ?? ?? ?? ?? 0F B7 D8 66 83 FE 02 75 1C F2 0F 10 55 28 48 8D 4D C8 66 83 F8 01 0F 84 A0 01 00 00 F2 0F 11 D1 E9 9F 01 00 00 66 83 FB 02 75 1C F2 0F 10 55 30 48 8D 4D C8 66 83 FE 01 0F 84 7E 01 00 00 F2 0F 11 D1 E9 7D 01 00 00 F2 0F 10 4D 28 F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F8 66 83 FE 01 0F 84 52 01 00 00 66 83 FB 01 0F 84 48 01 00 00 F2 0F 10 55 28 F2 0F 10 35 ?? ?? ?? ?? 0F 57 DB 66 0F 2F DA 76 08 0F 57 D6 F2 0F 11 55 28 F2 0F 10 4D 30 66 0F 2F D9 76 08 0F 57 CE F2 0F 11 4D 30 66 0F 2F CA 76 13 0F 28 C2 F2 0F 11 4D 28 0F 28 D1 F2 0F 11 45 30 0F 28 C8 66 0F 2E D3 7A 23 75 21 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 57 CE 0F 28 D7 48 8D 4D C8 E9 E4 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 0F 82 98 00 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 82 8A 00 00 00 BB 1A 00 00 00 48 8D 4D 40 F2 0F 11 55 40 8B D3 F2 0F 11 4D 38 E8 ?? ?? ?? ?? 48 8D 4D 38 8B D3 E8 ?? ?? ?? ?? F2 0F 10 65 38 F2 0F 10 5D 40 F2 0F 10 6D 30 F2 0F 10 55 28 0F 28 C4 F2 0F 5C EC F2 0F 59 E4 F2 0F 58 45 30 F2 0F 5C D3 F2 0F 59 E8 0F 28 C3 F2 0F 59 DB F2 0F 58 45 28 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 C5 F2 0F 58 DC F2 0F 58 C3 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 0F 28 C8 E9 4A FF FF FF F2 0F 5E CA F2 0F 59 C9 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 28 F2 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 C6 EB CD 0F 28 D0 48 8D 4D C8 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_141_0_0 {
	meta:
		name = "_fgetwchar"
		size = 21
		refs = "0005 __iob_func 0011 fgetwc"
		altNames = "getwchar"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_323_45_0 {
	meta:
		name = "?GetCurrent@UMSThreadProxy@details@Concurrency@@SAPEAV123@XZ"
		size = 21
		refs = "0005 ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 0011 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_778_0_0 {
	meta:
		name = "_fgetchar"
		size = 21
		refs = "0005 __iob_func 0011 getc"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_778_1_0 {
	meta:
		name = "getchar"
		size = 21
		refs = "0005 __iob_func 0011 getc"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_0_0 {
	meta:
		name = "___lc_codepage_func"
		size = 55
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 8B 41 04 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_143_1_0 {
	meta:
		name = "___lc_collate_cp_func"
		size = 55
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 8B 41 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_143_2_0 {
	meta:
		name = "___lc_locale_name_func"
		size = 59
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8D 81 28 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_143_3_0 {
	meta:
		name = "___mb_cur_max_func"
		size = 58
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 8B 81 D4 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_143_4_0 {
	meta:
		name = "___mb_cur_max_l_func"
		size = 19
		refs = "0005 ___mb_cur_max_func"
	strings:
		$1 = { 48 85 C9 0F 84 ?? ?? ?? ?? 48 8B 01 8B 80 D4 00 00 00 C3 }
	condition:
		$1
}

rule file_143_5_0 {
	meta:
		name = "__init_ctype"
		size = 1059
		refs = "0022 __security_cookie 007c __getlocaleinfo 008e _malloc_crt 00a4 _calloc_crt 0124 __imp_GetCPInfo 017b __crtLCMapStringA 0224 __crtGetStringTypeA 02a3 memcpy 02f2 free 03b0 __newctype 03ca __newclmap 03df __newcumap 03fe __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 41 54 41 55 41 56 41 57 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 88 00 00 00 4C 8B 81 38 01 00 00 33 DB 48 8B F9 48 89 5C 24 58 44 8B FB 44 8B E3 44 8B EB 8B EB 49 89 4B A8 49 89 5B B0 4D 85 C0 0F 84 40 03 00 00 4C 8D 71 04 8D 73 01 41 39 1E 75 1E 49 8D 4B A8 33 D2 41 B9 04 10 00 00 4C 89 74 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 E6 02 00 00 B9 04 00 00 00 E8 ?? ?? ?? ?? BD 80 01 00 00 BA 02 00 00 00 8B CD 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8B D6 8B CD 4C 8B F8 E8 ?? ?? ?? ?? 48 8B D6 8B CD 4C 8B E0 E8 ?? ?? ?? ?? 8D 4D 81 48 8B D6 4C 8B E8 E8 ?? ?? ?? ?? 48 8B E8 48 8B 44 24 58 48 85 C0 0F 84 8D 02 00 00 4D 85 FF 0F 84 84 02 00 00 48 85 ED 0F 84 7B 02 00 00 4D 85 E4 0F 84 72 02 00 00 4D 85 ED 0F 84 69 02 00 00 89 18 48 8B CD 8B C3 88 01 03 C6 48 03 CE 3D 00 01 00 00 7C F2 41 8B 0E 48 8D 54 24 70 FF 15 ?? ?? ?? ?? 85 C0 0F 84 3E 02 00 00 83 7C 24 70 05 0F 87 33 02 00 00 0F B7 44 24 70 48 8B 97 38 01 00 00 89 5C 24 40 89 44 24 50 41 8B 06 49 8D 8C 24 81 00 00 00 89 44 24 38 B8 FF 00 00 00 4C 8D 4D 01 89 44 24 30 48 89 4C 24 28 44 8D 40 01 33 C9 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 E7 01 00 00 41 8B 06 48 8B 97 38 01 00 00 89 5C 24 40 89 44 24 38 B8 FF 00 00 00 49 8D 8D 81 00 00 00 89 44 24 30 48 89 4C 24 28 4C 8D 4D 01 33 C9 41 B8 00 02 00 00 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 A3 01 00 00 39 74 24 50 7E 2E 38 5C 24 76 74 28 48 8D 4C 24 77 38 19 74 1F 0F B6 51 FF EB 09 48 63 C2 03 D6 C6 04 28 20 0F B6 01 3B D0 7E F0 48 83 C1 02 38 59 FF 75 DD 41 8B 06 49 8D 8F 00 01 00 00 89 5C 24 30 89 44 24 28 48 89 4C 24 20 41 B9 00 01 00 00 33 C9 4C 8B C5 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 3E 01 00 00 4D 8D B7 FE 00 00 00 66 41 89 1E 41 88 5C 24 7F 41 88 5D 7F 41 88 9C 24 80 00 00 00 41 88 9D 80 00 00 00 39 74 24 50 7E 39 38 5C 24 76 74 33 48 8D 4C 24 77 38 19 74 2A 0F B6 51 FF EB 14 48 63 C2 41 B8 00 80 00 00 03 D6 66 45 89 84 47 00 01 00 00 0F B6 01 3B D0 7E E5 48 83 C1 02 38 59 FF 75 D2 49 8D 97 00 02 00 00 41 B8 FE 00 00 00 49 8B CF E8 ?? ?? ?? ?? 49 8D 94 24 00 01 00 00 41 B8 7F 00 00 00 49 8B CC E8 ?? ?? ?? ?? 49 8D 95 00 01 00 00 41 B8 7F 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B 8F F8 00 00 00 48 85 C9 74 44 F0 FF 09 75 3F 48 8B 8F 00 01 00 00 48 81 E9 FE 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F 10 01 00 00 48 83 C1 80 E8 ?? ?? ?? ?? 48 8B 8F 18 01 00 00 48 83 C1 80 E8 ?? ?? ?? ?? 48 8B 8F F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 58 89 30 48 89 87 F8 00 00 00 49 8D 87 00 01 00 00 48 89 87 08 01 00 00 49 8D 84 24 80 00 00 00 4C 89 B7 00 01 00 00 48 89 87 10 01 00 00 49 8D 85 80 00 00 00 48 89 87 18 01 00 00 8B 44 24 50 89 87 D4 00 00 00 EB 24 48 8B 4C 24 58 E8 ?? ?? ?? ?? 49 8B CF E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 49 8B CD E8 ?? ?? ?? ?? 8B DE 48 8B CD E8 ?? ?? ?? ?? 8B C3 EB 54 48 8B 81 F8 00 00 00 48 85 C0 74 03 F0 FF 08 48 8D 05 ?? ?? ?? ?? BE 01 00 00 00 48 89 99 F8 00 00 00 48 89 81 08 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 99 00 01 00 00 48 89 81 10 01 00 00 48 8D 05 ?? ?? ?? ?? 89 B1 D4 00 00 00 48 89 81 18 01 00 00 33 C0 48 8B 8C 24 88 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_144_0_0 {
	meta:
		name = "__sse2_ceil2"
		size = 80
		refs = "0006 _2il0floatpacket_4 000d _2il0floatpacket_5 0038 _2il0floatpacket_6"
	strings:
		$1 = { 0F 28 E0 0F 28 1D ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 28 D3 0F 54 E1 0F 55 C8 66 0F C2 D1 01 66 0F 58 CB 66 0F 5C CB 0F 56 CC 0F 28 DA 0F 28 E9 66 0F C2 E8 01 0F 54 2D ?? ?? ?? ?? 0F 54 C2 66 0F 5C CD 0F 55 D9 0F 56 C3 C3 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_146_0_0 {
	meta:
		name = "llroundf"
		size = 95
		refs = "0010 _fdtest 0027 roundf 002e __real@df000000 003e __real@5f000000 0054 _fperrraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 3F FF C8 83 F8 01 76 2E F3 0F 10 44 24 30 E8 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? F3 0F 11 44 24 30 72 14 F3 0F 10 0D ?? ?? ?? ?? 0F 2F C8 72 07 F3 48 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_147_0_0 {
	meta:
		name = "_cabsf"
		size = 22
		refs = "0012 _hypotf"
	strings:
		$1 = { F2 0F 10 49 08 F2 0F 10 01 66 0F 5A C9 66 0F 5A C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_149_14_0 {
	meta:
		name = "??1DefaultWaiterPool@platform@details@Concurrency@@QEAA@XZ"
		size = 97
		refs = "0009 s_waiterPool 003e __imp_SetEvent 0047 ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 004f ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 49 48 8B 0B 48 85 C9 74 28 48 8B 81 00 02 00 00 48 83 20 00 B8 01 00 00 00 F0 0F C1 81 08 0A 00 00 FF C0 83 F8 01 75 09 48 8B 09 FF 15 ?? ?? ?? ?? 48 8D 4B 08 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_149_17_0 {
	meta:
		name = "??1WaiterThreadPool@platform@details@Concurrency@@QEAA@XZ"
		size = 71
		refs = "0035 __imp_SetEvent 0043 ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 28 48 8B 81 00 02 00 00 48 83 20 00 B8 01 00 00 00 F0 0F C1 81 08 0A 00 00 FF C0 83 F8 01 75 09 48 8B 09 FF 15 ?? ?? ?? ?? 48 8D 4B 08 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_149_29_0 {
	meta:
		name = "??_GWaiterThreadPool@platform@details@Concurrency@@QEAAPEAXI@Z"
		size = 100
		refs = "003b __imp_SetEvent 0044 ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 0052 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 09 8B FA 48 85 C9 74 28 48 8B 81 00 02 00 00 48 83 20 00 B8 01 00 00 00 F0 0F C1 81 08 0A 00 00 FF C0 83 F8 01 75 09 48 8B 09 FF 15 ?? ?? ?? ?? 48 8D 4B 08 E8 ?? ?? ?? ?? 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_35_0 {
	meta:
		name = "?CaptureCallstack@platform@details@Concurrency@@YA_KPEAPEAX_K1@Z"
		size = 32
		refs = "0014 __imp_RtlCaptureStackBackTrace"
	strings:
		$1 = { 48 83 EC 28 49 8B C0 4C 8B C1 8D 4A 01 45 33 C9 8B D0 FF 15 ?? ?? ?? ?? 0F B7 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_149_37_0 {
	meta:
		name = "?InitializeSystemFunctionPointers@platform@details@Concurrency@@YAXXZ"
		size = 268
		refs = "000d ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0013 __imp_GetModuleHandleW 001a ??_C@_0BH@CJPDKMEB@SetThreadGroupAffinity?$AA@ 0026 __imp_GetProcAddress 002d ??_C@_0BH@CINNILJO@GetThreadGroupAffinity?$AA@ 0056 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0060 s_pfnSetThreadGroupAffinity 0073 s_pfnGetThreadGroupAffinity 0080 ??_C@_0BM@JLHMEGJA@GetCurrentProcessorNumberEx?$AA@ 00a2 s_pfnGetCurrentProcessorNumberEx 00ae __imp_GetLastError 00c6 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00cd _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00d7 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 48 8B D8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 8B F8 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 FF 0F 84 93 00 00 00 48 85 C0 0F 84 8A 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 1A 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 89 05 ?? ?? ?? ?? 48 83 C4 40 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_41_0 {
	meta:
		name = "?_Invoke@_CancellationTokenRegistration@details@Concurrency@@AEAAXXZ"
		size = 91
		refs = "000f __imp_GetCurrentThreadId 003d ?set@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 8B F8 33 C0 F0 0F B1 7B 10 75 23 48 8B 13 48 8B CB FF 52 10 B9 03 00 00 00 8B C7 F0 0F B1 4B 10 83 F8 02 75 09 48 8B 4B 18 E8 ?? ?? ?? ?? F0 FF 4B 08 75 09 48 8B 03 48 8B CB FF 50 08 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_46_0 {
	meta:
		name = "?__CreateAutoResetEvent@platform@details@Concurrency@@YAPEAX_N@Z"
		size = 90
		refs = "001c __crtCreateEventExW 002c __imp_GetLastError 0044 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 004b _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0055 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 45 33 C0 84 C9 41 B9 02 00 1F 00 41 8D 40 02 44 0F 45 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 48 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_47_0 {
	meta:
		name = "?__CreateManualResetEvent@platform@details@Concurrency@@YAPEAX_N@Z"
		size = 92
		refs = "001e __crtCreateEventExW 002e __imp_GetLastError 0046 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 004d _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0057 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 B8 03 00 00 00 84 C9 41 B9 02 00 1F 00 44 8D 40 FE 44 0F 45 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 48 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_50_0 {
	meta:
		name = "?__DeleteTimerQueueTimer@platform@details@Concurrency@@YAXPEAX00@Z"
		size = 74
		refs = "001c __imp_GetLastError 0032 __imp_DeleteTimerQueueTimer"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 48 8B FA 48 8B F1 EB 16 FF 15 ?? ?? ?? ?? 3D E5 03 00 00 74 13 4C 8B C3 48 8B D7 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 E0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_51_0 {
	meta:
		name = "?__GetCurrentProcessorNumberEx@platform@details@Concurrency@@YAXPEAU_PROCESSOR_NUMBER@@@Z"
		size = 32
		refs = "000c s_pfnGetCurrentProcessorNumberEx 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_26_0 {
	meta:
		name = "?CreateUmsCompletionList@UMS@details@Concurrency@@SAHPEAPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_CreateUmsCompletionList@UMS@details@Concurrency@@0P6AHPEAPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_27_0 {
	meta:
		name = "?CreateUmsThreadContext@UMS@details@Concurrency@@SAHPEAPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_CreateUmsThreadContext@UMS@details@Concurrency@@0P6AHPEAPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_28_0 {
	meta:
		name = "?DeleteProcThreadAttributeList@UMS@details@Concurrency@@SAXPEAU_PROC_THREAD_ATTRIBUTE_LIST@@@Z"
		size = 32
		refs = "000c ?s_pfn_DeleteProcThreadAttributeList@UMS@details@Concurrency@@0P6AXPEAU_PROC_THREAD_ATTRIBUTE_LIST@@@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_29_0 {
	meta:
		name = "?DeleteUmsCompletionList@UMS@details@Concurrency@@SAHPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_DeleteUmsCompletionList@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_30_0 {
	meta:
		name = "?DeleteUmsThreadContext@UMS@details@Concurrency@@SAHPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_DeleteUmsThreadContext@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_32_0 {
	meta:
		name = "?EnterUmsSchedulingMode@UMS@details@Concurrency@@SAHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@Z"
		size = 32
		refs = "000c ?s_pfn_EnterUmsSchedulingMode@UMS@details@Concurrency@@0P6AHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_33_0 {
	meta:
		name = "?ExecuteUmsThread@UMS@details@Concurrency@@SAHPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_ExecuteUmsThread@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_35_0 {
	meta:
		name = "?GetNextUmsListItem@UMS@details@Concurrency@@SAPEAXPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_GetNextUmsListItem@UMS@details@Concurrency@@0P6APEAXPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_260_42_0 {
	meta:
		name = "?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_UmsThreadYield@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_149_52_0 {
	meta:
		name = "?__GetLogicalProcessorInformation@platform@details@Concurrency@@YAPEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@PEAK@Z"
		size = 239
		refs = "0014 __imp_GetLogicalProcessorInformation 001a __imp_GetLastError 0026 malloc 006a ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0071 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 007b _CxxThrowException 0083 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 009d ??0exception@std@@QEAA@AEBQEBDH@Z 00a4 ??_7bad_alloc@std@@6B@ 00ab _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B D1 33 C9 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 7A 75 2D 8B 0F E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 4E 48 8B D7 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 74 7D 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_53_0 {
	meta:
		name = "?__GetLogicalProcessorInformationEx@platform@details@Concurrency@@YAPEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX@@W4_LOGICAL_PROCESSOR_RELATIONSHIP@@PEAK@Z"
		size = 350
		refs = "0019 ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0022 __imp_GetModuleHandleW 0029 ??_C@_0CB@HOJBBPPI@GetLogicalProcessorInformationEx@ 0032 __imp_GetProcAddress 0049 __imp_GetLastError 0055 malloc 00a9 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00b0 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00ba _CxxThrowException 00f2 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 010c ??0exception@std@@QEAA@AEBQEBDH@Z 0113 ??_7bad_alloc@std@@6B@ 011a _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 48 83 EC 40 8B E9 48 8D 0D ?? ?? ?? ?? 48 8B FA FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 51 4C 8B C7 33 D2 8B CD FF D6 FF 15 ?? ?? ?? ?? 83 F8 7A 75 6D 8B 0F E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 8A 00 00 00 4C 8B C7 48 8B D0 8B CD FF D6 85 C0 0F 84 B7 00 00 00 48 8B 6C 24 58 48 8B 74 24 68 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_54_0 {
	meta:
		name = "?__GetNumaHighestNodeNumber@platform@details@Concurrency@@YAKXZ"
		size = 76
		refs = "000b __imp_GetNumaHighestNodeNumber 001e __imp_GetLastError 0036 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 003d _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0047 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 50 FF 15 ?? ?? ?? ?? 85 C0 74 09 8B 44 24 50 48 83 C4 48 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_55_0 {
	meta:
		name = "?__GetThreadGroupAffinity@platform@details@Concurrency@@YAHPEAXPEAU_GROUP_AFFINITY@@@Z"
		size = 103
		refs = "0011 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 001d s_pfnGetThreadGroupAffinity 0022 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0032 __imp_GetCurrentProcess 0045 __imp_GetProcessAffinityMask"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 83 F8 04 7C 16 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D3 48 8B CF FF D0 EB 27 FF 15 ?? ?? ?? ?? 4C 8D 44 24 48 48 8D 54 24 40 48 8B C8 FF 15 ?? ?? ?? ?? 33 C0 66 89 43 08 48 8B 44 24 40 48 89 03 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_59_0 {
	meta:
		name = "?__RegisterWaitForSingleObject@platform@details@Concurrency@@YAPEAXPEAXP6AX0E@Z0@Z"
		size = 99
		refs = "0021 __imp_RegisterWaitForSingleObject 0035 __imp_GetLastError 004d ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0054 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 005e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 58 4D 8B C8 4C 8B C2 48 8B D1 48 8D 4C 24 78 C7 44 24 28 0C 00 00 00 83 4C 24 20 FF FF 15 ?? ?? ?? ?? 85 C0 74 0A 48 8B 44 24 78 48 83 C4 58 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_60_0 {
	meta:
		name = "?__SetThreadGroupAffinity@platform@details@Concurrency@@YAHPEAXPEBU_GROUP_AFFINITY@@@Z"
		size = 79
		refs = "0011 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 001d s_pfnSetThreadGroupAffinity 0022 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 003b __imp_SetThreadAffinityMask"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 83 F8 04 7C 19 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 33 C0 48 8B D3 48 8B CF FF D0 EB 0C 48 8B 13 48 8B CF FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_61_0 {
	meta:
		name = "?__SetThreadPriority@platform@details@Concurrency@@YAXPEAXH@Z"
		size = 67
		refs = "0006 __imp_SetThreadPriority 0015 __imp_GetLastError 002d ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0034 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 003e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 FF 15 ?? ?? ?? ?? 85 C0 74 05 48 83 C4 48 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_68_0 {
	meta:
		name = "?__TlsSetValue@platform@details@Concurrency@@YAXKPEAX@Z"
		size = 67
		refs = "0006 __imp_TlsSetValue 0015 __imp_GetLastError 002d ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0034 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 003e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 FF 15 ?? ?? ?? ?? 85 C0 74 05 48 83 C4 48 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_65_0 {
	meta:
		name = "?__TlsAlloc@platform@details@Concurrency@@YAKXZ"
		size = 68
		refs = "0006 __imp_TlsAlloc 0016 __imp_GetLastError 002e ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0035 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 003f _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 FF 15 ?? ?? ?? ?? 83 F8 FF 74 05 48 83 C4 48 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_73_0 {
	meta:
		name = "?notify@WaiterThread@platform@details@Concurrency@@AEAAX_N@Z"
		size = 56
		refs = "002f __imp_SetEvent"
	strings:
		$1 = { 48 83 EC 28 84 D2 74 11 B8 01 00 00 00 F0 0F C1 81 08 0A 00 00 FF C0 EB 0C 8B 81 00 0A 00 00 2B 81 04 0A 00 00 83 F8 01 75 09 48 8B 09 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_149_74_0 {
	meta:
		name = "?stop@WaiterThread@platform@details@Concurrency@@QEAAXXZ"
		size = 49
		refs = "0028 __imp_SetEvent"
	strings:
		$1 = { 48 83 EC 28 48 8B 81 00 02 00 00 48 83 20 00 B8 01 00 00 00 F0 0F C1 81 08 0A 00 00 FF C0 83 F8 01 75 09 48 8B 09 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_150_0_0 {
	meta:
		name = "_vfprintf_l"
		size = 35
		refs = "0015 _output_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_150_2_0 {
	meta:
		name = "_vfprintf_p_l"
		size = 35
		refs = "0015 _output_p_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_150_3_0 {
	meta:
		name = "_vfprintf_s_l"
		size = 35
		refs = "0015 _output_s_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_757_0_0 {
	meta:
		name = "_vfwprintf_l"
		size = 35
		refs = "0015 _woutput_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_757_2_0 {
	meta:
		name = "_vfwprintf_p_l"
		size = 35
		refs = "0015 _woutput_p_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_757_3_0 {
	meta:
		name = "_vfwprintf_s_l"
		size = 35
		refs = "0015 _woutput_s_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_150_5_0 {
	meta:
		name = "vfprintf_helper"
		size = 318
		refs = "0038 _errno 0043 _invalid_parameter_noinfo 005f _lock_file 0072 _fileno 0080 __pioinfo 00a1 __badioinfo 00f6 _stbuf 0115 _ftbuf 011e _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 41 54 41 56 41 57 48 83 EC 20 4D 8B F9 4D 8B F0 48 8B F2 4C 8B E1 33 FF 33 C0 48 85 D2 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D5 00 00 00 33 C0 4D 85 C0 0F 95 C0 85 C0 74 DC 48 8B CA E8 ?? ?? ?? ?? 90 F6 46 18 40 0F 85 80 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 85 FF 75 28 48 8B CE E8 ?? ?? ?? ?? 8B D8 4C 8B 4C 24 60 4D 8B C7 49 8B D6 48 8B CE 41 FF D4 8B F8 48 8B D6 8B CB E8 ?? ?? ?? ?? 90 48 8B CE E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_150_6_0 {
	meta:
		name = "vfprintf_helper$fin$0"
		size = 24
		refs = "0013 _unlock_file"
		altNames = "_freopen_helper$fin$0 _wfdopen$fin$0 fwrite$fin$0 vfscanf_fn$fin$0 vfwprintf_helper$fin$0 vprintf_helper$fin$0 vwprintf_helper$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 48 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "strcpy_s"
		size = 97
		refs = "0019 _errno 0025 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 1C 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C9 4D 2B C8 41 8A 00 43 88 04 01 49 FF C0 84 C0 74 05 48 FF CA 75 ED 48 85 D2 75 0E 88 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB C5 33 C0 EB CA }
	condition:
		$1
}

rule file_152_4_0 {
	meta:
		name = "_tolower_l"
		size = 338
		refs = "001a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _isctype_l 00a0 _isleadbyte_l 00bc _errno 0111 __crtLCMapStringA"
	strings:
		$1 = { 48 89 7C 24 10 4C 89 74 24 20 55 48 8B EC 48 83 EC 70 48 63 F9 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FF 00 01 00 00 73 5D 48 8B 55 E0 83 BA D4 00 00 00 01 7E 16 4C 8D 45 E0 BA 01 00 00 00 8B CF E8 ?? ?? ?? ?? 48 8B 55 E0 EB 0E 48 8B 82 08 01 00 00 0F B7 04 78 83 E0 01 85 C0 74 10 48 8B 82 10 01 00 00 0F B6 04 38 E9 C4 00 00 00 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 8B C7 E9 BD 00 00 00 48 8B 45 E0 83 B8 D4 00 00 00 01 7E 2B 44 8B F7 48 8D 55 E0 41 C1 FE 08 41 0F B6 CE E8 ?? ?? ?? ?? 85 C0 74 13 44 88 75 10 40 88 7D 11 C6 45 12 00 B9 02 00 00 00 EB 18 E8 ?? ?? ?? ?? B9 01 00 00 00 C7 00 2A 00 00 00 40 88 7D 10 C6 45 11 00 48 8B 55 E0 C7 44 24 40 01 00 00 00 4C 8D 4D 10 8B 42 04 48 8B 92 38 01 00 00 41 B8 00 01 00 00 89 44 24 38 48 8D 45 20 C7 44 24 30 03 00 00 00 48 89 44 24 28 89 4C 24 20 48 8D 4D E0 E8 ?? ?? ?? ?? 85 C0 0F 84 4E FF FF FF 83 F8 01 0F B6 45 20 74 09 0F B6 4D 21 C1 E0 08 0B C1 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 7B 18 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_5_0 {
	meta:
		name = "tolower"
		size = 30
		refs = "0002 __locale_changed 001a _tolower_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0E 8D 41 BF 83 F8 19 77 03 83 C1 20 8B C1 C3 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_0_0 {
	meta:
		name = "bsearch"
		size = 240
		refs = "0042 _errno 004d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 41 56 41 57 48 83 EC 20 49 8D 78 FF 45 33 F6 4D 8B F9 49 8B F0 48 8B DA 4C 8B E9 49 0F AF F9 48 03 FA 48 85 D2 75 36 4D 85 C0 74 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5D C3 4D 85 C9 74 CA 4C 39 74 24 60 74 C3 48 3B D7 77 CE 48 8B EE 48 D1 ED 74 41 40 F6 C6 01 48 8D 75 FF 49 8B CD 48 0F 45 F5 4C 8B F6 4D 0F AF F7 4C 03 F3 49 8B D6 FF 54 24 60 85 C0 74 18 79 08 49 8B FE 49 2B FF EB 07 4B 8D 1C 3E 48 8B F5 48 3B DF 76 BE EB 8A 49 8B C6 EB 87 45 33 F6 48 85 F6 0F 84 79 FF FF FF 48 8B D3 49 8B CD FF 54 24 60 85 C0 49 0F 45 DE 48 8B C3 E9 63 FF FF FF }
	condition:
		$1
}

rule file_154_0_0 {
	meta:
		name = "__static_scalar_sin"
		size = 1264
		refs = "000c __spec_table"
	strings:
		$1 = { 53 56 57 41 54 48 83 EC 58 48 8D 05 ?? ?? ?? ?? F2 0F 11 84 24 80 00 00 00 48 89 44 24 40 0F 29 74 24 30 0F 29 7C 24 20 F2 0F 10 84 24 80 00 00 00 4C 8B 64 24 40 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 0F 84 81 04 00 00 8B C8 81 E9 60 3F 00 00 C1 E9 07 81 E1 FC FF 00 00 4D 8D 9C 24 E0 00 00 00 49 03 CB 66 48 0F 7E C0 44 8B 51 14 44 8B 41 18 8B D0 48 C1 E8 15 0D 00 00 00 80 C1 E8 0B 45 8B CA 4C 0F AF D2 4C 0F AF C8 4C 0F AF C0 8B 71 10 8B 79 0C 45 8B DA 49 C1 EA 20 4D 03 CA 4D 03 D8 45 8B C3 49 C1 EB 20 4D 03 CB 44 8B D6 48 0F AF F2 4C 0F AF D0 44 8B DF 48 0F AF FA 8B DE 48 C1 EE 20 4C 03 CB 41 8B D9 49 C1 E9 20 4C 03 D6 4D 03 D1 48 C1 E3 20 4C 0B C3 4C 0F AF D8 44 8B 49 08 8B 71 04 8B DF 48 C1 EF 20 4C 03 D3 41 8B DA 49 C1 EA 20 4C 03 DF 4D 03 DA 49 8B F9 4C 0F AF CA 48 0F AF F8 45 8B D1 49 C1 E9 20 4D 03 DA 45 8B D3 49 C1 EB 20 49 03 F9 49 03 FB 4C 8B CE 48 0F AF F2 4C 0F AF C8 49 C1 E2 20 4C 0B D3 8B 01 44 8B DE 48 C1 EE 20 49 03 FB 44 8B DF 48 C1 EF 20 4C 03 CE 4C 03 CF 48 0F AF D0 66 0F C5 D8 03 49 8D BC 24 E0 00 00 00 48 2B CF 03 C9 03 C9 03 C9 83 C1 13 BE 00 80 00 00 23 F3 C1 EB 04 81 E3 FF 07 00 00 81 EB FF 03 00 00 2B CB 4C 03 CA 8B D1 83 C2 20 83 F9 01 0F 8C 89 02 00 00 F7 D9 83 C1 1D 41 D3 E1 41 8B F9 41 81 E1 FF FF FF 1F 41 F7 C1 00 00 00 10 0F 85 93 02 00 00 41 D3 E9 BB 00 00 00 00 49 C1 E1 20 4D 0B CB 49 83 F9 00 0F 84 F4 01 00 00 4D 0F BD D9 B9 1D 00 00 00 41 2B CB 0F 8E 1C 02 00 00 49 D3 E1 49 8B C2 49 D3 E2 03 D1 F7 D9 83 C1 40 48 D3 E8 49 D3 E8 4C 0B C8 4D 0B D0 F2 49 0F 2A C1 49 D1 EA F2 49 0F 2A DA 66 0F 57 E4 C1 E2 04 F7 DA 81 C2 F0 3F 00 00 0B D6 33 D3 66 0F C4 E2 03 F3 41 0F 7E 94 24 D0 00 00 00 F3 41 0F 7E B4 24 D8 00 00 00 66 0F 57 ED 81 EA F0 03 00 00 66 0F C4 EA 03 F2 0F 59 C4 C1 E6 10 C1 FE 1F F2 0F 59 DD F3 0F 7E C8 F2 0F 59 C2 C1 EF 1D F2 0F 58 CB F2 0F 59 DA 03 FE 33 FE F2 0F 59 F1 8B C7 F2 0F 58 F3 F3 0F 7E D0 F2 0F 58 C6 F2 0F 5C D0 F2 0F 58 F2 F3 41 0F 7E 4C 24 70 F2 0F 59 C8 F3 41 0F 7E 94 24 80 00 00 00 F2 0F 2D D1 F2 0F 58 CA F3 41 0F 7E 5C 24 50 F2 0F 5C CA 66 41 0F 28 54 24 40 F2 0F 59 D9 66 0F 14 C9 C1 E0 03 81 C2 00 76 1C 00 F3 0F 7E E0 03 D0 83 E2 3F 66 41 0F 28 6C 24 30 49 8D 84 24 90 01 00 00 C1 E2 05 48 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 41 0F 59 4C 24 60 F2 0F 5C E3 F3 0F 7E 78 08 66 0F 14 C0 F3 0F 7E DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB F3 0F 7E 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 5C CE 66 41 0F 28 74 24 10 F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 41 0F 58 6C 24 20 F2 0F 59 20 66 41 0F 58 34 24 66 0F 59 E8 F3 0F 7E C3 F2 0F 58 58 08 66 0F 59 CF F3 0F 7E FC F2 0F 58 E3 66 0F 58 F5 F3 0F 7E 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F3 0F 7E C4 F2 0F 58 CE F2 0F 58 C1 E9 13 01 00 00 83 C2 40 4D 8B CA 4D 8B D0 49 C7 C0 00 00 00 00 49 83 F9 00 0F 85 F2 FD FF FF 83 C2 40 4D 8B CA 4D 8B D0 49 83 F9 00 0F 85 DF FD FF FF 66 0F 57 C0 66 0F 57 F6 E9 87 FE FF FF 0F 84 FA FD FF FF F7 D9 49 D3 EA 49 8B C1 49 D3 E9 2B D1 F7 D9 83 C1 40 48 D3 E0 4C 0B D0 E9 DD FD FF FF F7 D9 49 C1 E1 20 4D 0B CB 49 D3 E1 49 8B F9 41 F7 C1 00 00 00 80 75 56 41 D3 E9 BB 00 00 00 00 48 C1 EF 03 E9 7C FD FF FF 41 D3 E9 BB 00 00 00 20 D3 EB 49 C1 E1 20 4D 0B CB 48 C1 E3 20 81 C7 00 00 00 20 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 E9 37 FD FF FF 41 D3 E9 48 BB 00 00 00 00 01 00 00 00 48 D3 EB 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 48 C1 EF 03 81 C7 00 00 00 20 E9 F3 FC FF FF F2 0F 5C C0 F2 0F 11 44 24 48 0F 28 74 24 30 0F 28 7C 24 20 F2 0F 10 44 24 48 48 83 C4 58 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_154_1_0 {
	meta:
		name = "__sse2_sin2"
		size = 1216
		refs = "001f MMDPI1 002b MMDINVPI 0033 MMIABSMASK 003b MMDPI2 0043 MMDPI3 004b MMDRSHIFT 005f MMDHUGE 0073 MMDPI4 00a8 MMDA8 00b0 MMDA7 00cc MMDA6 00d4 MMDA5 00e4 MMDA4 00ec MMDA3 00fc MMDA2 0104 MMDA1 014f flAllOnes 015d MMISIGNMASK 0177 TWO_POW_30 01f8 THE_PI02_INV 020d MMI_ONE 0215 MSK_LOW_BIT 021d RS 0231 PI02C_0 023d PI02C_1 024d PI02C_2 027e PI02C_3 02aa PI02C_4"
	strings:
		$1 = { 48 81 EC D8 00 00 00 0F 29 BC 24 C0 00 00 00 0F 29 B4 24 B0 00 00 00 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 D0 66 0F 59 05 ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 58 05 ?? ?? ?? ?? 66 0F 28 D8 66 0F 5C 05 ?? ?? ?? ?? 66 0F 66 3D ?? ?? ?? ?? 66 0F 50 C7 0B C0 0F 85 C9 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E0 66 0F 59 E8 66 0F 59 F0 66 0F 59 F8 66 0F 73 F3 3F 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 28 CA 66 0F 59 D2 66 0F 5C CF 66 0F 28 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 E2 66 0F 59 E4 66 0F 59 D1 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F2 66 0F 59 C1 66 0F 58 F1 66 0F 58 C6 66 0F 57 C3 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 C7 44 24 20 00 00 00 00 66 0F 70 FF F5 66 0F 29 7C 24 30 66 0F 57 3D ?? ?? ?? ?? 66 0F 29 7C 24 40 66 0F 28 3D ?? ?? ?? ?? 66 0F 54 FA 66 0F 29 54 24 50 66 0F 54 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 66 CA 66 0F 50 D1 66 0F 29 7C 24 60 66 0F 29 54 24 70 83 F2 03 0F 85 E0 01 00 00 83 F8 03 74 57 66 0F 28 54 24 50 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E0 66 0F 59 E8 66 0F 59 F0 66 0F 59 F8 66 0F 73 F3 3F 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 54 5C 24 40 66 0F 5C D7 66 0F 54 54 24 40 66 0F 29 9C 24 80 00 00 00 66 0F 29 94 24 90 00 00 00 66 0F 28 54 24 70 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DA 66 0F E6 DB 66 0F 70 DB 10 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 56 C3 66 0F 5C 05 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E0 66 0F 5C D1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 CA 66 0F 5C D4 66 0F 5C CA 66 0F 28 F2 66 0F 5C CC 66 0F 5C D5 66 0F 73 F3 3E 66 0F 5C F2 66 0F 28 FA 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 D1 66 0F 59 E0 66 0F 5C FA 66 0F 28 EA 66 0F 5C D4 66 0F 58 CF 66 0F 5C EA 66 0F 59 05 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C C8 66 0F DB 1D ?? ?? ?? ?? 66 0F 58 D1 66 0F 57 5C 24 60 83 F8 03 74 1E 66 0F 54 54 24 30 66 0F 56 94 24 90 00 00 00 66 0F 54 5C 24 30 66 0F 56 9C 24 80 00 00 00 66 0F 28 CA 66 0F 59 D2 66 0F 28 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 E2 66 0F 59 E4 66 0F 59 D1 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F2 66 0F 59 C1 66 0F 58 F1 66 0F 58 C6 66 0F 57 C3 E9 EA 00 00 00 89 44 24 20 83 F8 03 0F 84 C0 00 00 00 66 0F 28 54 24 50 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E0 66 0F 59 E8 66 0F 59 F0 66 0F 59 F8 66 0F 73 F3 3F 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 28 CA 66 0F 59 D2 66 0F 5C CF 66 0F 28 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 E2 66 0F 59 E4 66 0F 59 D1 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F2 66 0F 59 C1 66 0F 58 F1 66 0F 58 C6 66 0F 57 C3 66 0F 29 84 24 A0 00 00 00 8B 44 24 20 A8 01 75 4B D1 F8 A8 01 75 27 D1 F8 89 44 24 20 66 0F 28 84 24 A0 00 00 00 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 F2 0F 10 44 24 58 89 44 24 20 E8 87 F6 FF FF F2 0F 11 84 24 A8 00 00 00 8B 44 24 20 EB BB F2 0F 10 44 24 50 E8 6D F6 FF FF F2 0F 11 84 24 A0 00 00 00 8B 44 24 20 EB 9B 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_155_0_0 {
	meta:
		name = "_heap_alloc"
		size = 80
		refs = "000c _crtheap 0016 _FF_MSGBANNER 0020 _NMSG_WRITE 002a __crtExitProcess 004c __imp_HeapAlloc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? 48 85 C9 75 20 E8 ?? ?? ?? ?? B9 1E 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 DB 41 B8 01 00 00 00 4C 0F 45 C3 33 D2 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_155_1_0 {
	meta:
		name = "malloc"
		size = 182
		refs = "0027 _crtheap 0031 _FF_MSGBANNER 003b _NMSG_WRITE 0045 __crtExitProcess 0057 __imp_HeapAlloc 0065 _newmode 006f _callnewh 007a _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 83 F9 E0 77 7C BF 01 00 00 00 48 85 C9 48 0F 45 F9 48 8B 0D ?? ?? ?? ?? 48 85 C9 75 20 E8 ?? ?? ?? ?? B9 1E 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 4C 8B C7 33 D2 FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 2C 39 05 ?? ?? ?? ?? 74 0E 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 0D EB AB E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 48 8B C6 EB 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_156_0_0 {
	meta:
		name = "_execve"
		size = 633
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0073 _mbsrchr 009e _mbschr 00ae strlen 00bd _calloc_crt 00d0 ??_C@_02CEGDFPFP@?4?2?$AA@ 00db strcpy_s 00f1 strcat_s 012a _access_s 0140 comexecmd 01a4 ext_strings 020a free 0234 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 E4 4D 8B F0 4C 8B FA 48 8B E9 48 8B F9 48 85 C9 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 38 21 74 D2 48 85 D2 74 CD 48 8B 02 48 85 C0 74 C5 44 38 20 74 C0 BA 5C 00 00 00 E8 ?? ?? ?? ?? BA 2F 00 00 00 48 8B CD 48 8B F0 E8 ?? ?? ?? ?? 41 BD 01 00 00 00 48 85 C0 75 71 48 85 F6 75 79 8D 50 3A 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 66 48 8B CD E8 ?? ?? ?? ?? 41 8B D5 48 8D 58 03 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 70 FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 52 01 00 00 4C 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 27 01 00 00 48 8D 77 02 EB 0D 48 85 F6 74 05 48 3B C6 76 03 48 8B F0 48 83 CB FF 48 8B CE 8D 53 2F E8 ?? ?? ?? ?? 48 8B CF 48 85 C0 74 25 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 85 D8 00 00 00 4D 8B C6 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 E9 C2 00 00 00 E8 ?? ?? ?? ?? 49 8B D5 4C 8D 70 05 49 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 48 8B C3 E9 D1 FE FF FF 4C 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 DE 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 24 06 E8 ?? ?? ?? ?? 4D 2B F4 44 8B 28 49 8D 04 36 4C 8D 35 ?? ?? ?? ?? 48 89 44 24 70 4D 8B 06 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 85 8B 00 00 00 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 17 48 8D 05 ?? ?? ?? ?? 49 83 EE 08 4C 3B F0 48 8B 44 24 70 7D C7 EB 1E E8 ?? ?? ?? ?? 4C 8B 84 24 80 00 00 00 49 8B D7 48 8B CE 44 89 28 E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 3B FD 0F 84 51 FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 44 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_156_2_0 {
	meta:
		name = "comexecmd"
		size = 133
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0045 _cenvarg 0061 _dospawn 006e free"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D0 48 8B C2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 55 48 85 C0 74 E5 48 89 4C 24 20 4C 8D 4C 24 58 4C 8D 44 24 40 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 D6 4C 8B 4C 24 58 4C 8B 44 24 40 48 8B D3 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_294_2_0 {
	meta:
		name = "wcomexecmd"
		size = 133
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0045 _wcenvarg 0061 _wdospawn 006e free"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D0 48 8B C2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 55 48 85 C0 74 E5 48 89 4C 24 20 4C 8D 4C 24 58 4C 8D 44 24 40 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 D6 4C 8B 4C 24 58 4C 8B 44 24 40 48 8B D3 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_157_5_0 {
	meta:
		name = "vfscanf_fn"
		size = 286
		refs = "0033 _errno 003e _invalid_parameter_noinfo 005a _lock_file 006d _fileno 007b __pioinfo 009c __badioinfo 0104 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 54 24 10 57 41 56 41 57 48 83 EC 20 4D 8B F1 49 8B F0 48 8B FA 4C 8B F9 33 DB 33 C0 48 85 D2 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C0 00 00 00 33 C0 4D 85 C0 0F 95 C0 85 C0 74 DC 48 8B CA E8 ?? ?? ?? ?? 90 F6 47 18 40 0F 85 80 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CB FF 85 DB 75 13 4C 8B 4C 24 60 4D 8B C6 48 8B D6 48 8B CF 41 FF D7 8B D8 48 8B CF E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_158_0_0 {
	meta:
		name = "_lock"
		size = 68
		refs = "0010 _locktable 001f _mtinitlocknum 002b _amsg_exit 0040 __imp_EnterCriticalSection"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 D9 48 8D 3D ?? ?? ?? ?? 48 03 DB 48 83 3C DF 00 75 11 E8 ?? ?? ?? ?? 85 C0 75 08 8D 48 11 E8 ?? ?? ?? ?? 48 8B 0C DF 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_1_0 {
	meta:
		name = "_lockerr_exit"
		size = 44
		refs = "000a __crtIsPackagedApp 0019 __imp_FatalAppExitA 0028 __crtExitProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B D3 33 C9 FF 15 ?? ?? ?? ?? B9 FF 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_2_0 {
	meta:
		name = "_mtdeletelocks"
		size = 135
		refs = "001c _locktable 0035 __imp_DeleteCriticalSection 003d free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 BF 24 00 00 00 48 8D 1D ?? ?? ?? ?? 8B EF 48 8B 33 48 85 F6 74 1B 83 7B 08 01 74 15 48 8B CE FF 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 83 23 00 48 83 C3 10 48 FF CD 75 D4 48 8D 1D ?? ?? ?? ?? 48 8B 4B F8 48 85 C9 74 0B 83 3B 01 75 06 FF 15 ?? ?? ?? ?? 48 83 C3 10 48 FF CF 75 E3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_3_0 {
	meta:
		name = "_mtinitlocknum"
		size = 189
		refs = "0016 _crtheap 001e _FF_MSGBANNER 0028 _NMSG_WRITE 0032 __crtExitProcess 003c _locktable 0054 _malloc_crt 0061 _errno 0075 _lock 008d __crtInitializeCriticalSectionEx 0098 free 00a6 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 41 56 48 83 EC 20 48 63 D9 48 83 3D ?? ?? ?? ?? 00 75 19 E8 ?? ?? ?? ?? B9 1E 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? 48 03 DB 4C 8D 35 ?? ?? ?? ?? 49 83 3C DE 00 74 07 B8 01 00 00 00 EB 5E B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 3D B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CF 49 83 3C DE 00 75 13 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? 49 89 3C DE EB 06 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? EB 9B 48 8B 5C 24 30 48 8B 7C 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_158_4_0 {
	meta:
		name = "_mtinitlocknum$fin$0"
		size = 29
		refs = "000c _locktable 0018 __imp_LeaveCriticalSection"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 0D ?? ?? ?? ?? 48 83 C4 20 5D 48 FF 25 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_158_5_0 {
	meta:
		name = "_mtinitlocks"
		size = 97
		refs = "0014 _locktable 0027 lclcritsects 0041 __crtInitializeCriticalSectionEx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8D 1D ?? ?? ?? ?? 8D 7E 24 83 7B 08 01 75 24 48 63 C6 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0C 80 FF C6 48 8D 0C CA BA A0 0F 00 00 48 89 0B E8 ?? ?? ?? ?? 48 83 C3 10 48 FF CF 75 CD 48 8B 5C 24 30 48 8B 74 24 38 8D 47 01 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_158_6_0 {
	meta:
		name = "_unlock"
		size = 24
		refs = "0006 _locktable 0014 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 63 C9 48 8D 05 ?? ?? ?? ?? 48 03 C9 48 8B 0C C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_159_0_0 {
	meta:
		name = "__dyn_tls_init"
		size = 66
		refs = "0012 __xd_a 0019 __xd_z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 FA 02 75 23 48 8D 1D ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? EB 0E 48 8B 03 48 85 C0 74 02 FF D0 48 83 C3 08 48 3B DF 75 ED B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_161_0_0 {
	meta:
		name = "__sse4_floor2"
		size = 16
	strings:
		$1 = { 66 0F 3A 09 C0 01 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_162_6_0 {
	meta:
		name = "_vcwprintf_s_l"
		size = 2748
		refs = "0022 __security_cookie 0067 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006c _errno 008d _invalid_parameter_noinfo 00fd __lookuptable_s 026d __nullstring 0275 strlen 02dd _isleadbyte_l 034c _mbtowc_l 03f8 __wnullstring 0483 _get_printf_count_output 060a _malloc_crt 0631 _cfltcvt_tab 064b __imp_DecodePointer 0740 write_multi_char 0755 write_string 07b5 _putwch_nolock 083b free 089d __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 33 C0 48 89 4C 24 78 48 8D 4D 80 4D 8B E0 4C 89 44 24 50 89 44 24 70 44 8B F0 89 44 24 58 8B F8 89 44 24 40 89 44 24 4C 89 44 24 74 89 44 24 6C 8B D8 89 44 24 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 54 24 78 45 33 D2 48 89 45 A8 48 85 D2 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C9 38 4D 98 74 0B 48 8B 45 90 83 A0 C8 00 00 00 FD 83 C8 FF E9 E7 07 00 00 44 0F B7 3A 41 8B F2 44 89 54 24 48 45 8B EA 45 8B C2 4C 89 55 A0 66 45 85 FF 0F 84 B4 07 00 00 41 BB 20 00 00 00 41 B9 00 02 00 00 48 83 C2 02 48 89 54 24 78 85 F6 0F 88 88 07 00 00 41 0F B7 C7 B9 58 00 00 00 66 41 2B C3 66 3B C1 77 15 48 8D 0D ?? ?? ?? ?? 41 0F B7 C7 0F B6 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C0 48 03 C8 48 8D 05 ?? ?? ?? ?? 44 0F B6 04 01 41 C1 E8 04 44 89 44 24 60 41 83 F8 08 0F 84 43 FF FF FF 41 8B C8 45 85 C0 0F 84 1A 08 00 00 FF C9 0F 84 3B 09 00 00 FF C9 0F 84 D8 08 00 00 FF C9 0F 84 8E 08 00 00 FF C9 0F 84 79 08 00 00 FF C9 0F 84 36 08 00 00 FF C9 0F 84 42 07 00 00 FF C9 0F 85 E0 06 00 00 41 0F B7 CF 83 F9 64 0F 8F 13 02 00 00 0F 84 1A 03 00 00 83 F9 41 0F 84 D0 01 00 00 83 F9 43 0F 84 54 01 00 00 8D 41 BB A9 FD FF FF FF 0F 84 B9 01 00 00 83 F9 53 0F 84 C6 00 00 00 B8 58 00 00 00 3B C8 0F 84 63 02 00 00 83 F9 5A 74 4F 83 F9 61 0F 84 A1 01 00 00 83 F9 63 0F 84 25 01 00 00 44 8B 7C 24 44 BF 2D 00 00 00 44 39 54 24 6C 0F 85 31 06 00 00 41 F6 C6 40 0F 84 1D 05 00 00 41 0F BA E6 08 0F 83 E4 04 00 00 66 89 7C 24 5C BF 01 00 00 00 89 7C 24 4C E9 03 05 00 00 49 8B 04 24 49 83 C4 08 4C 89 64 24 50 48 85 C0 74 39 48 8B 58 08 48 85 DB 74 30 BF 2D 00 00 00 41 0F BA E6 0B 73 16 0F BF 00 44 8D 7F D4 99 44 89 7C 24 44 2B C2 D1 F8 44 8B E8 EB 90 44 0F BF 28 45 8B FA 44 89 54 24 44 EB 82 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 4C 8B E8 E9 5E FF FF FF 41 F7 C6 30 08 00 00 75 03 45 0B F3 83 7C 24 40 FF 49 8B 1C 24 B8 FF FF FF 7F 0F 44 F8 49 83 C4 08 4C 89 64 24 50 45 84 F3 0F 84 38 01 00 00 48 85 DB 45 8B EA 48 0F 44 1D ?? ?? ?? ?? 48 8B F3 85 FF 0F 8E 15 04 00 00 44 38 16 0F 84 0D FF FF FF 0F B6 0E 48 8D 55 80 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 03 48 FF C6 41 FF C5 48 FF C6 44 3B EF 7C D6 E9 E7 FE FF FF 41 F7 C6 30 08 00 00 75 03 45 0B F3 41 0F B7 04 24 49 83 C4 08 41 BF 01 00 00 00 66 89 44 24 64 44 89 7C 24 44 4C 89 64 24 50 45 84 F3 74 34 88 44 24 68 48 8B 45 80 44 88 54 24 69 4C 63 80 D4 00 00 00 4C 8D 4D 80 48 8D 54 24 68 48 8D 4D C0 E8 ?? ?? ?? ?? 45 33 D2 85 C0 79 0B 44 89 7C 24 6C EB 04 66 89 45 C0 48 8D 5D C0 45 8B EF E9 79 FE FF FF C7 44 24 74 01 00 00 00 66 45 03 FB B8 67 00 00 00 41 83 CE 40 48 8D 5D C0 41 8B F1 85 FF 0F 89 45 02 00 00 41 BD 06 00 00 00 44 89 6C 24 40 E9 88 02 00 00 B8 67 00 00 00 3B C8 7E D4 83 F9 69 0F 84 FB 00 00 00 83 F9 6E 0F 84 B8 00 00 00 83 F9 6F 0F 84 9A 00 00 00 83 F9 70 74 59 83 F9 73 0F 84 BC FE FF FF 83 F9 75 0F 84 D6 00 00 00 83 F9 78 0F 85 FC FD FF FF 8D 41 AF EB 48 48 85 DB 41 BF 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 44 89 7C 24 44 48 8B C3 EB 0C FF CF 66 44 39 10 74 08 48 83 C0 02 85 FF 75 F0 48 2B C3 48 D1 F8 44 8B E8 E9 C3 FD FF FF BF 10 00 00 00 41 0F BA EE 0F B8 07 00 00 00 41 B9 10 00 00 00 89 44 24 70 BE 00 02 00 00 45 8D 79 20 45 84 F6 79 79 66 83 C0 51 66 44 89 7C 24 5C 41 8D 51 F2 66 89 44 24 5E EB 68 41 B9 08 00 00 00 45 84 F6 79 4E BE 00 02 00 00 44 0B F6 EB 49 49 8B 3C 24 49 83 C4 08 4C 89 64 24 50 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 EF FB FF FF 45 8D 5A 20 45 84 F3 74 05 66 89 37 EB 02 89 37 C7 44 24 6C 01 00 00 00 E9 7F 03 00 00 41 83 CE 40 41 B9 0A 00 00 00 BE 00 02 00 00 41 BF 30 00 00 00 8B 54 24 4C B8 00 80 00 00 44 85 F0 74 0A 4D 8B 04 24 49 83 C4 08 EB 3D 41 0F BA E6 0C 72 EF 49 83 C4 08 45 84 F3 74 1B 4C 89 64 24 50 41 F6 C6 40 74 08 4D 0F BF 44 24 F8 EB 1F 45 0F B7 44 24 F8 EB 17 41 F6 C6 40 74 07 4D 63 44 24 F8 EB 05 45 8B 44 24 F8 4C 89 64 24 50 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 44 85 F0 75 0A 41 0F BA E6 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 09 41 83 E6 F7 3B FE 0F 4F FE 44 8B 64 24 70 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C4 88 03 48 FF CB EB D3 4C 8B 64 24 50 48 8D 85 BF 01 00 00 89 7C 24 40 2B C3 48 FF C3 44 8B E8 44 85 F6 0F 84 26 FC FF FF 85 C0 74 09 44 38 3B 0F 84 19 FC FF FF 48 FF CB 41 FF C5 44 88 3B E9 0B FC FF FF 75 11 66 44 3B F8 75 41 41 BD 01 00 00 00 E9 AE FD FF FF 41 3B F9 41 BD A3 00 00 00 41 0F 4F F9 89 7C 24 40 41 3B FD 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 A0 48 85 C0 0F 84 7D FD FF FF 48 8B D8 8B F7 44 8B 6C 24 40 EB 03 44 8B EF 49 8B 04 24 48 8B 0D ?? ?? ?? ?? 49 83 C4 08 4C 89 64 24 50 41 0F BE FF 48 63 F6 48 89 45 B0 FF 15 ?? ?? ?? ?? 48 8D 4D 80 48 89 4C 24 30 8B 4C 24 74 44 8B CF 89 4C 24 28 48 8D 4D B0 4C 8B C6 48 8B D3 44 89 6C 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1B 45 85 ED 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 80 48 8B CB FF D0 B9 67 00 00 00 66 44 3B F9 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 80 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 44 8B E8 EB 05 BF 2D 00 00 00 44 8B 7C 24 44 E9 FC FA FF FF 41 F6 C6 01 74 0F B8 2B 00 00 00 66 89 44 24 5C E9 0C FB FF FF 41 F6 C6 02 74 13 B8 20 00 00 00 66 89 44 24 5C 8D 78 E1 89 7C 24 4C EB 09 8B 7C 24 4C B8 20 00 00 00 8B 74 24 58 41 2B F5 2B F7 41 F6 C6 0C 75 0E 4C 8D 44 24 48 8B C8 8B D6 E8 ?? ?? ?? ?? 4C 8B 4D A8 4C 8D 44 24 48 48 8D 4C 24 5C 8B D7 E8 ?? ?? ?? ?? 41 F6 C6 08 74 17 41 F6 C6 04 75 11 4C 8D 44 24 48 B9 30 00 00 00 8B D6 E8 ?? ?? ?? ?? 45 85 FF 75 74 45 85 ED 7E 6F 48 8B FB 45 8B FD 48 8B 45 80 4C 8D 4D 80 48 8D 4C 24 64 4C 63 80 D4 00 00 00 48 8B D7 41 FF CF E8 ?? ?? ?? ?? 45 33 D2 4C 63 E0 85 C0 7E 32 0F B7 4C 24 64 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 09 83 C9 FF 89 4C 24 48 EB 08 FF 44 24 48 8B 4C 24 48 49 03 FC 45 33 D2 45 85 FF 7F A7 EB 07 83 C9 FF 89 4C 24 48 4C 8B 64 24 50 EB 1B 4C 8B 4D A8 4C 8D 44 24 48 41 8B D5 48 8B CB E8 ?? ?? ?? ?? 8B 4C 24 48 45 33 D2 85 C9 78 1A 41 F6 C6 04 74 14 4C 8D 44 24 48 B9 20 00 00 00 8B D6 E8 ?? ?? ?? ?? 45 33 D2 41 BB 20 00 00 00 48 8B 45 A0 48 85 C0 74 13 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 45 8D 5A 20 4C 89 55 A0 44 8B 44 24 60 48 8B 54 24 78 8B 74 24 48 8B 7C 24 40 41 B9 00 02 00 00 44 0F B7 3A 66 45 85 FF 0F 85 67 F8 FF FF 45 85 C0 74 0A 41 83 F8 07 0F 85 02 F8 FF FF 44 38 55 98 74 0B 48 8B 4D 90 83 A1 C8 00 00 00 FD 8B C6 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 18 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 0F B7 C7 83 F8 49 74 3E 83 F8 68 74 31 B9 6C 00 00 00 3B C1 74 0C 83 F8 77 75 8A 41 0F BA EE 0B EB 83 66 39 0A 75 0E 48 83 C2 02 41 0F BA EE 0C E9 70 FF FF FF 41 83 CE 10 E9 67 FF FF FF 45 0B F3 E9 5F FF FF FF 0F B7 02 41 0F BA EE 0F 66 83 F8 36 75 15 66 83 7A 02 34 75 0E 48 83 C2 04 41 0F BA EE 0F E9 3C FF FF FF 66 83 F8 33 75 15 66 83 7A 02 32 75 0E 48 83 C2 04 41 0F BA F6 0F E9 21 FF FF FF 66 83 E8 58 66 41 3B C3 77 14 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 0F 82 03 FF FF FF 44 89 54 24 60 41 0F B7 CF C7 44 24 44 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 78 44 8B 44 24 60 B9 FF FF 00 00 41 BB 20 00 00 00 41 B9 00 02 00 00 66 3B C1 0F 85 1C 01 00 00 83 CE FF 89 74 24 48 45 33 D2 E9 BA FE FF FF 66 41 83 FF 2A 75 1E 41 8B 3C 24 49 83 C4 08 4C 89 64 24 50 89 7C 24 40 85 FF 0F 89 9A FE FF FF 83 CF FF EB 0D 8D 3C BF 41 0F B7 C7 8D 7F E8 8D 3C 78 89 7C 24 40 E9 7F FE FF FF 41 8B FA 44 89 54 24 40 E9 72 FE FF FF 66 41 83 FF 2A 75 21 41 8B 04 24 49 83 C4 08 4C 89 64 24 50 89 44 24 58 85 C0 0F 89 52 FE FF FF 41 83 CE 04 F7 D8 EB 11 8B 44 24 58 8D 0C 80 41 0F B7 C7 8D 04 48 83 C0 D0 89 44 24 58 E9 30 FE FF FF 41 0F B7 C7 41 3B C3 74 49 83 F8 23 74 3A B9 2B 00 00 00 3B C1 74 28 B9 2D 00 00 00 3B C1 74 16 B9 30 00 00 00 3B C1 0F 85 03 FE FF FF 41 83 CE 08 E9 FA FD FF FF 41 83 CE 04 E9 F1 FD FF FF 41 83 CE 01 E9 E8 FD FF FF 41 0F BA EE 07 E9 DE FD FF FF 41 83 CE 02 E9 D5 FD FF FF 83 CF FF 44 89 54 24 74 44 89 54 24 6C 44 89 54 24 58 44 89 54 24 4C 45 8B F2 89 7C 24 40 44 89 54 24 44 E9 AD FD FF FF FF C6 E9 E0 FE FF FF }
	condition:
		$1
}

rule file_162_9_0 {
	meta:
		name = "write_char"
		size = 37
		refs = "000a _putwch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 83 0B FF EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_162_10_0 {
	meta:
		name = "write_multi_char"
		size = 79
		refs = "0021 _putwch_nolock"
	strings:
		$1 = { 85 D2 7E 4A 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 8B FA 0F B7 F1 0F B7 CE FF CF E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0D FF 03 83 3B FF 74 09 85 FF 7E 05 EB DF 83 0B FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_162_11_0 {
	meta:
		name = "write_string"
		size = 149
		refs = "003b _putwch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 56 48 83 EC 20 41 8B 29 41 83 21 00 49 8B F9 49 8B D8 8B F2 4C 8B F1 85 D2 7E 4C 41 BC FF FF 00 00 41 0F B7 0E FF CE E8 ?? ?? ?? ?? 66 41 3B C4 75 05 83 0B FF EB 02 FF 03 49 83 C6 02 83 3B FF 75 1C 83 3F 2A 75 1B B9 3F 00 00 00 E8 ?? ?? ?? ?? 66 41 3B C4 75 05 83 0B FF EB 02 FF 03 85 F6 7F BF 83 3F 00 75 02 89 2F 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_163_11_0 {
	meta:
		name = "??0SchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z"
		size = 655
		refs = "0026 ??_7SchedulerProxy@details@Concurrency@@6B@ 003c ??0_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ 007e ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 00f1 __imp_GetCurrentThread 00f9 ?__GetThreadPriority@platform@details@Concurrency@@YAHPEAX@Z 0116 ?GetCoreCount@ResourceManager@details@Concurrency@@SAIXZ 0209 ??2@YAPEAX_K@Z 0227 ??0HillClimbing@details@Concurrency@@QEAA@IIPEAVSchedulerProxy@12@@Z 0235 ?GetProcessorNodeCount@Concurrency@@YAIXZ 025c ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 56 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 49 8B F9 48 8B DA 48 8B F1 48 8D 05 ?? ?? ?? ?? 48 89 01 33 ED 48 89 69 08 4C 89 41 18 48 83 C1 40 E8 ?? ?? ?? ?? 90 48 89 6E 68 89 AE A8 00 00 00 48 89 AE CC 00 00 00 48 89 AE D8 00 00 00 48 89 AE E0 00 00 00 89 AE E8 00 00 00 89 AE F8 00 00 00 48 89 AE 00 01 00 00 48 89 5E 10 8D 55 01 48 8B CF E8 ?? ?? ?? ?? 89 86 BC 00 00 00 8D 55 02 48 8B CF E8 ?? ?? ?? ?? 89 86 B8 00 00 00 8D 55 03 48 8B CF E8 ?? ?? ?? ?? 89 86 C0 00 00 00 8D 55 05 48 8B CF E8 ?? ?? ?? ?? 89 86 C4 00 00 00 8D 55 06 48 8B CF E8 ?? ?? ?? ?? 89 86 C8 00 00 00 8D 55 08 48 8B CF E8 ?? ?? ?? ?? 83 F8 01 0F 94 C0 88 86 08 01 00 00 81 BE C8 00 00 00 00 F0 00 00 75 17 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F BE C8 89 8E C8 00 00 00 48 8B 4E 10 48 8B 01 FF 10 89 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B D8 89 86 EC 00 00 00 8B 8E C0 00 00 00 44 8B 96 BC 00 00 00 41 8D 42 FF 03 C3 33 D2 F7 F3 3B C8 73 0E 89 86 C0 00 00 00 89 9E B0 00 00 00 EB 10 8D 41 FF 41 03 C2 33 D2 F7 F1 89 86 B0 00 00 00 44 8B 86 B0 00 00 00 33 D2 41 8B C2 41 F7 F0 44 8B C8 85 D2 75 1F 89 86 C0 00 00 00 44 89 86 D4 00 00 00 8B 86 B8 00 00 00 FF C8 41 03 C1 33 D2 41 F7 F1 EB 5B 41 8D 42 FF 41 03 C0 33 D2 41 F7 F0 44 8B C8 89 86 C0 00 00 00 B9 01 00 00 00 2B C8 41 0F AF C8 41 03 CA 89 8E D4 00 00 00 44 2B C1 44 8D 50 FF 41 8B CA 41 0F AF C8 8B 86 B8 00 00 00 33 D2 3B C8 72 0B 83 C0 FE 41 03 C1 41 F7 F2 EB 0D 2B C1 FF C8 41 03 C1 41 F7 F1 41 03 C0 89 86 B4 00 00 00 48 8B 4E 18 48 8B 01 FF 10 40 38 AE 08 01 00 00 74 31 B9 38 08 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 48 85 C0 74 16 4C 8B CE 44 8B C3 8B 96 AC 00 00 00 48 8B C8 E8 ?? ?? ?? ?? EB 03 48 8B C5 48 89 46 68 E8 ?? ?? ?? ?? 8B C8 89 8E F0 00 00 00 48 89 6E 20 B8 04 00 00 00 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 46 28 39 AE F0 00 00 00 76 13 8B CD 48 8B 46 28 89 2C 88 FF C5 3B AE F0 00 00 00 72 ED 48 8B C6 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_163_12_0 {
	meta:
		name = "?dtor$0@?0???0SchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_23_0 {
	meta:
		name = "??1SchedulerProxy@details@Concurrency@@IEAA@XZ"
		size = 79
		refs = "0019 ??_7SchedulerProxy@details@Concurrency@@6B@ 0029 ?DestroyAllocatedNodeData@ResourceManager@details@Concurrency@@QEAAXPEAUSchedulerNode@23@@Z 0032 ??_V@YAXPEAX@Z 004b ??1_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 51 20 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 18 48 8B 01 FF 50 08 90 48 8D 4B 40 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_24_0 {
	meta:
		name = "?dtor$0@?0???1SchedulerProxy@details@Concurrency@@IEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_348_1 {
	meta:
		name = "?dtor$2@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_353_1 {
	meta:
		name = "?dtor$2@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_525_1 {
	meta:
		name = "?dtor$2@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_530_1 {
	meta:
		name = "?dtor$2@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_685_1 {
	meta:
		name = "?dtor$2@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_690_1 {
	meta:
		name = "?dtor$2@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_43_0 {
	meta:
		name = "?AddCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I_N@Z"
		size = 261
		refs = "0070 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0099 ??_U@YAPEAX_K@Z 00d0 ?AddVirtualProcessorRoots@SchedulerProxy@details@Concurrency@@QEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z 00e2 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 8B 81 D4 00 00 00 8B 99 C0 00 00 00 45 8B E0 48 8B EA 48 8B F9 85 C0 74 0A FF C8 89 81 D4 00 00 00 EB 02 FF CB FF 42 24 FF 81 D0 00 00 00 48 8B 42 38 4B 8D 0C E4 C7 04 C8 04 00 00 00 89 5C C8 34 01 9F E0 00 00 00 45 84 C9 74 0B 45 8B C4 48 8B CF E8 ?? ?? ?? ?? 83 FB 01 75 07 48 8D 74 24 20 EB 20 8B CB B8 08 00 00 00 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 85 DB 74 22 4C 8B F6 44 8B FB 4C 8B 0F 45 8B C4 48 8B D5 48 8B CF 41 FF 51 30 49 89 06 4D 8D 76 08 49 FF CF 75 E4 44 8B C3 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 8D 44 24 20 48 3B F0 74 08 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_163_44_0 {
	meta:
		name = "?AddExecutionResource@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 170
		refs = "002a ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00a6 ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B F9 48 8D 59 40 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 06 48 8B CE FF 10 44 8B C0 49 C1 E0 06 48 8B 4F 20 8B 46 44 48 8D 14 C0 4D 8B 4C 08 38 49 8B 44 D1 18 48 85 C0 75 0A 48 89 76 58 48 89 76 50 EB 27 48 8B 40 58 48 89 46 58 49 8B 44 D1 18 48 89 46 50 49 8B 44 D1 18 48 8B 48 58 48 89 71 50 49 8B 44 D1 18 48 89 70 58 49 89 74 D1 18 41 FF 44 D1 10 48 8B CB 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_46_0 {
	meta:
		name = "?AddTail@?$List@VExecutionResource@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 66
	strings:
		$1 = { 48 8B 41 08 4C 8B C1 48 85 C0 75 0A 48 89 52 58 48 89 52 50 EB 24 48 8B 40 58 48 89 42 58 48 8B 41 08 48 89 42 50 48 8B 41 08 48 8B 48 58 48 89 51 50 49 8B 40 08 48 89 50 58 41 FF 00 49 89 50 08 C3 }
	condition:
		$1
}

rule file_163_47_0 {
	meta:
		name = "?AddThreadSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 85
	strings:
		$1 = { 48 8B 81 00 01 00 00 4C 8B C1 48 85 C0 75 0A 48 89 52 58 48 89 52 50 EB 2D 48 8B 40 58 48 89 42 58 48 8B 81 00 01 00 00 48 89 42 50 48 8B 81 00 01 00 00 48 8B 48 58 48 89 51 50 49 8B 80 00 01 00 00 48 89 50 58 41 FF 80 F8 00 00 00 49 89 90 00 01 00 00 C3 }
	condition:
		$1
}

rule file_163_48_0 {
	meta:
		name = "?AddVirtualProcessorRoots@SchedulerProxy@details@Concurrency@@QEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z"
		size = 234
		refs = "0034 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00e6 ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 56 57 41 54 41 56 41 57 48 83 EC 30 48 C7 40 C8 FE FF FF FF 48 89 58 10 48 89 68 18 41 8B E8 4C 8B FA 48 8B F1 48 8D 59 40 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 85 ED 74 79 4D 8B F7 44 8B E5 49 8B 3E 48 8B 07 48 8B CF FF 10 4C 8D 47 10 8B D0 48 C1 E2 06 48 8B 4E 20 8B 47 54 4C 8D 0C C0 4C 8B 54 0A 38 4B 8B 44 CA 18 48 85 C0 75 0A 4D 89 40 58 4D 89 40 50 EB 27 48 8B 40 58 49 89 40 58 4B 8B 44 CA 18 49 89 40 50 4B 8B 44 CA 18 48 8B 48 58 4C 89 41 50 4B 8B 44 CA 18 4C 89 40 58 4F 89 44 CA 18 43 FF 44 CA 10 49 83 C6 08 49 FF CC 75 8D 48 8B 4E 10 48 8B 01 44 8B C5 49 8B D7 FF 50 18 01 AE CC 00 00 00 48 8B CB 48 8B 5C 24 68 48 8B 6C 24 70 48 83 C4 30 41 5F 41 5E 41 5C 5F 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_50_0 {
	meta:
		name = "?AdjustAllocationIncrease@SchedulerProxy@details@Concurrency@@QEBAII@Z"
		size = 137
	strings:
		$1 = { 4C 8B C1 44 8B CA 33 C9 41 8B 80 BC 00 00 00 41 8B 90 CC 00 00 00 3B C2 76 30 45 8B 90 C0 00 00 00 45 8B 98 D4 00 00 00 2B C2 41 8B CA 33 D2 41 0F AF CB 3B C8 72 07 41 F7 F2 8B C8 EB 0C 2B C1 41 8D 4A FF F7 F1 41 8D 0C 03 41 8B 90 D0 00 00 00 45 8B 90 E8 00 00 00 45 03 90 B0 00 00 00 03 D1 41 8B 88 EC 00 00 00 41 3B CA 41 8B C2 0F 42 C1 3B D0 72 09 41 8B D2 41 3B CA 0F 42 D1 41 3B D1 44 0F 42 CA 41 8B C1 C3 }
	condition:
		$1
}

rule file_163_51_0 {
	meta:
		name = "?BindContext@SchedulerProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 115
		refs = "003d ??_C@_08BAFMHLII@pContext?$AA@ 0051 ??0exception@std@@QEAA@AEBQEBD@Z 0058 ??_7invalid_argument@std@@6B@ 005f _TI3?AVinvalid_argument@std@@ 006e _CxxThrowException"
		altNames = "?BindContext@UMSSchedulerProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 48 85 D2 74 25 48 8B 02 48 8B CA FF 50 10 48 85 C0 75 0C 48 8B 07 48 8B D3 48 8B CF FF 50 38 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_163_52_0 {
	meta:
		name = "?Cleanup@SchedulerProxy@details@Concurrency@@IEAAXXZ"
		size = 198
		refs = "0078 ?ResetSubscriptionLevel@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ 00c2 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 45 33 F6 48 8B E9 44 39 B1 F0 00 00 00 76 73 41 8B F6 45 33 FF 48 C1 E6 06 48 03 75 20 44 39 7E 08 76 53 48 8B 46 38 4F 8D 24 FF 4A 8B 7C E0 18 48 85 FF 74 06 48 8B 7F 58 EB 2D EB 2B 48 8B 46 38 48 8B DF 4A 3B 7C E0 18 74 06 48 8B 7F 58 EB 02 33 FF 48 8B 5B 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 48 48 85 FF 75 D0 41 FF C7 44 3B 7E 08 72 AD 41 FF C6 44 3B B5 F0 00 00 00 72 8D 48 8B 4D 68 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_56_0 {
	meta:
		name = "?CreateExternalThreadResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAUSchedulerNode@23@I@Z"
		size = 111
		refs = "002b ??2@YAPEAX_K@Z 0048 ??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z 0053 ?IncrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 41 8B F8 48 8B F2 48 8B E9 B9 60 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 33 DB 48 85 C0 74 14 44 8B CF 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_163_58_0 {
	meta:
		name = "?CreateOversubscriber@SchedulerProxy@details@Concurrency@@UEAAPEAUIVirtualProcessorRoot@3@PEAUIExecutionResource@3@@Z"
		size = 317
		refs = "0028 ??_R0?AVExecutionResource@details@Concurrency@@@8 002f ??_R0?AUIExecutionResource@Concurrency@@@8 0039 __RTDynamicCast 0052 ??_C@_0BD@HOFLOOHM@pExecutionResource?$AA@ 006c ??0exception@std@@QEAA@AEBQEBD@Z 0073 ??_7invalid_argument@std@@6B@ 007f _TI3?AVinvalid_argument@std@@ 0089 _CxxThrowException 009e ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0123 ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 83 EC 50 48 C7 40 C8 FE FF FF FF 48 89 58 08 48 89 68 10 48 8B DA 4C 8B F1 83 60 B8 00 4C 8D 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 49 48 8D 7B 10 4C 39 77 20 74 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 49 8D 5E 40 48 89 9C 24 80 00 00 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 07 48 8B CF FF 10 8B F0 48 C1 E6 06 49 03 76 20 8B 7F 44 49 8B 06 44 8B C7 48 8B D6 49 8B CE FF 50 30 48 8B E8 C6 40 71 01 48 8D 50 10 4C 8D 04 FF 4C 8B 4E 38 4B 8B 44 C1 18 48 85 C0 75 0A 48 89 52 58 48 89 52 50 EB 27 48 8B 40 58 48 89 42 58 4B 8B 44 C1 18 48 89 42 50 4B 8B 44 C1 18 48 8B 48 58 48 89 51 50 4B 8B 44 C1 18 48 89 50 58 4B 89 54 C1 18 43 FF 44 C1 10 48 8B CB E8 ?? ?? ?? ?? 48 8B C5 48 8B 5C 24 70 48 8B 6C 24 78 48 83 C4 50 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_163_60_0 {
	meta:
		name = "?CreateVirtualProcessorRoot@SchedulerProxy@details@Concurrency@@UEAAPEAVVirtualProcessorRoot@23@PEAUSchedulerNode@23@I@Z"
		size = 90
		refs = "0028 ??2@YAPEAX_K@Z 0045 ??0FreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 41 8B D8 48 8B FA 48 8B F1 B9 90 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 58 33 C0 48 85 C9 74 0F 44 8B CB 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_163_63_0 {
	meta:
		name = "?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 102
		refs = "0057 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B F9 48 8B CA 48 8B DA FF 10 48 8B 57 20 44 8B C0 8B 43 44 49 C1 E0 06 4C 8D 0C C0 4D 8B 44 10 38 F0 43 FF 4C C8 28 75 24 8B 87 B0 00 00 00 48 8B 4F 18 33 D2 39 87 B4 00 00 00 0F 94 C2 39 51 14 76 0A 48 8B 49 70 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_163_64_0 {
	meta:
		name = "?DecrementCoreUseCount@ResourceManager@details@Concurrency@@QEAAXII@Z"
		size = 31
	strings:
		$1 = { 44 8B CA 48 8B 51 60 41 8B C0 48 8D 0C 40 49 C1 E1 06 48 C1 E1 04 49 03 4C 11 30 FF 49 18 C3 }
	condition:
		$1
}

rule file_163_65_0 {
	meta:
		name = "?DecrementFixedCoreCount@SchedulerProxy@details@Concurrency@@QEAAXII_N@Z"
		size = 169
		refs = "006b ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 41 8B C0 44 8B F2 41 83 CF FF 49 C1 E6 06 48 8D 3C C0 48 8B 41 20 4A 8B 74 30 38 41 8A E9 48 8B D9 45 84 C9 74 0C 44 01 7C FE 3C 44 01 B9 E4 00 00 00 44 01 7C FE 38 75 3F 48 8B 51 20 44 01 B9 DC 00 00 00 49 03 D6 44 01 7A 2C 80 7C FE 42 00 74 0A E8 ?? ?? ?? ?? C6 44 FE 42 00 40 84 ED 74 17 48 8B 43 20 4A 8B 4C 30 38 83 7C F9 34 00 75 07 44 01 BB E8 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_163_66_0 {
	meta:
		name = "?DeleteThis@SchedulerProxy@details@Concurrency@@MEAAXXZ"
		size = 32
		refs = "000e ??1SchedulerProxy@details@Concurrency@@IEAA@XZ 0016 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 85 C9 74 1A 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_163_67_0 {
	meta:
		name = "?DesiredHWThreads@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 24
	strings:
		$1 = { 8B 81 B0 00 00 00 03 81 E8 00 00 00 8B 89 EC 00 00 00 3B C8 0F 42 C1 C3 }
	condition:
		$1
}

rule file_163_68_0 {
	meta:
		name = "?DestroyExecutionResource@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 251
		refs = "0088 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00cb ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00d2 ??_7ExecutionResource@details@Concurrency@@6B@ 00f7 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 02 48 8B E9 48 8B CA 48 8B FA FF 10 8B D0 8B 47 44 48 C1 E2 06 48 8D 34 C0 48 03 55 20 4C 8B 72 38 41 8B 44 F6 3C 41 03 44 F6 34 75 3B FF 4A 24 41 C7 04 F6 01 00 00 00 FF 8D D0 00 00 00 48 8B 07 8B 5F 44 48 8B CF FF 10 48 8B 4D 18 48 8B 51 60 48 8D 0C 5B 44 8B C0 49 C1 E0 06 48 C1 E1 04 49 03 4C 10 30 FF 49 18 48 8D 4D 40 E8 ?? ?? ?? ?? 41 FF 4C F6 10 48 8B 4F 58 48 8B 47 50 48 89 41 50 48 8B 47 58 48 8B 4F 50 48 89 41 58 49 8B 44 F6 18 48 3B F8 75 13 48 3B 40 58 75 04 33 C0 EB 04 48 8B 40 50 49 89 44 F6 18 48 8D 4D 40 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8B CF 48 89 07 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_69_0 {
	meta:
		name = "?DestroyVirtualProcessorRoot@SchedulerProxy@details@Concurrency@@QEAAXPEAVVirtualProcessorRoot@23@@Z"
		size = 185
		refs = "002a ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 009c ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B FA 48 8B F1 48 8D 59 40 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 07 48 8B CF FF 10 44 8B C0 49 C1 E0 06 4C 03 46 20 48 8D 57 10 48 63 47 54 4C 8D 0C C0 4D 8B 50 38 43 FF 4C CA 10 48 8B 4A 58 48 8B 42 50 48 89 41 50 48 8B 4A 50 48 8B 42 58 48 89 41 58 4B 8B 44 CA 18 48 3B D0 75 13 48 3B 40 58 75 04 33 C0 EB 04 48 8B 40 50 4B 89 44 CA 18 80 7F 71 00 75 06 FF 8E CC 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 07 48 8B CF 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F 48 FF 60 48 }
	condition:
		$1
}

rule file_163_71_0 {
	meta:
		name = "?FinalShutdown@SchedulerProxy@details@Concurrency@@UEAAXXZ"
		size = 29
		refs = "000a ?Cleanup@SchedulerProxy@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB 48 83 C4 20 5B 48 FF 60 48 }
	condition:
		$1
}

rule file_163_72_0 {
	meta:
		name = "?First@?$List@VExecutionResource@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEBAPEAVExecutionResource@23@XZ"
		size = 16
	strings:
		$1 = { 48 8B 51 08 33 C0 48 85 D2 74 04 48 8B 42 58 C3 }
	condition:
		$1
}

rule file_163_75_0 {
	meta:
		name = "?GetCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ"
		size = 43
		refs = "0013 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 18 33 DB 8B 88 B0 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 06 A8 03 48 0F 44 D8 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_163_80_0 {
	meta:
		name = "?GetNewThreadProxy@SchedulerProxy@details@Concurrency@@UEAAPEAUIThreadProxy@3@PEAUIExecutionContext@3@@Z"
		size = 93
		refs = "0023 ?GetFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVFreeThreadProxyFactory@23@XZ 004b ?AssociateExecutionContext@FreeThreadProxy@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 08 00 48 8B FA 48 8B D9 75 14 48 8B 49 18 48 81 C1 A0 00 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 8B 4B 08 44 8B 83 C8 00 00 00 8B 93 C4 00 00 00 48 8B 01 FF 10 48 8B D7 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_163_85_0 {
	meta:
		name = "?GetResourceForNewSubscription@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAV423@@Z"
		size = 108
		refs = "002b ??2@YAPEAX_K@Z 0045 ??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAV012@@Z 0050 ?IncrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B FA 48 8B F1 48 39 4A 20 74 31 B9 60 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 33 DB 48 85 C0 74 11 4C 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B CB E8 ?? ?? ?? ?? EB 03 48 8B DA 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_163_93_0 {
	meta:
		name = "?GrantAllocation@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@I_N0@Z"
		size = 922
		refs = "00c0 ?GetCurrentNodeAndCore@ResourceManager@details@Concurrency@@QEAAIPEAI@Z 0121 ??_U@YAPEAX_K@Z 0311 ?AddVirtualProcessorRoots@SchedulerProxy@details@Concurrency@@QEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z 031b ??_V@YAXPEAX@Z 0343 ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0378 ?CreateExternalThreadResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 89 5C 24 08 44 88 4C 24 20 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 50 33 DB 45 8A E9 44 8B F2 48 8B F9 89 5C 24 28 44 8B E3 45 84 C9 74 38 44 8B 91 E8 00 00 00 8B 81 B4 00 00 00 44 8B 81 DC 00 00 00 8B 89 D0 00 00 00 45 2B C2 44 3B C0 41 0F 47 C0 41 03 CE 41 8D 14 02 3B CA 41 0F 97 C4 44 89 64 24 34 EB 04 89 5C 24 34 41 8B C6 41 2B C4 45 3B E6 1B F6 23 F0 45 85 E4 74 0A C6 44 24 22 01 45 85 F6 74 04 88 5C 24 22 45 84 ED 74 0A C6 44 24 21 01 45 85 E4 74 04 88 5C 24 21 83 C9 FF 4C 8B FB 89 4C 24 38 44 8B C9 89 4C 24 24 45 84 ED 74 11 48 8B 4F 18 33 D2 E8 ?? ?? ?? ?? 89 44 24 2C EB 04 89 4C 24 2C 89 5C 24 30 85 F6 74 56 8B 97 D4 00 00 00 3B F2 77 0B 8B AF C0 00 00 00 0F AF EE EB 15 8B 8F C0 00 00 00 8B EE 8D 41 FF 2B EA 0F AF CA 0F AF E8 03 E9 89 6C 24 30 85 ED 74 24 8B CD B8 08 00 00 00 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 48 EB 05 48 89 5C 24 48 8B 6C 24 2C 45 84 ED 89 5C 24 40 41 0F 94 C1 8B CB 89 5C 24 3C 44 88 4C 24 20 44 8B D3 45 3B D6 72 09 45 84 C9 0F 85 A1 01 00 00 3B 8F F0 00 00 00 0F 83 95 01 00 00 8B F1 48 C1 E6 06 48 03 77 20 39 5E 20 77 09 39 5E 24 0F 86 72 01 00 00 44 8B EB 45 3B D6 72 09 45 84 C9 0F 85 5E 01 00 00 44 3B 6E 08 0F 83 54 01 00 00 4C 8B 46 38 41 8B C5 48 8D 14 C0 41 83 3C D0 03 0F 85 D9 00 00 00 45 84 C9 75 18 41 8D 46 FF 44 3B D0 74 04 3B E9 75 0B B1 01 45 85 E4 74 06 8A C3 EB 04 8A CB B0 01 41 C7 04 D0 04 00 00 00 FF 46 24 FF 87 D0 00 00 00 84 C9 74 10 4C 8B FE 45 8B CD 44 89 6C 24 24 C6 44 24 20 01 84 C0 74 76 8B 87 D4 00 00 00 44 8B B7 C0 00 00 00 85 C0 74 0A FF C8 89 87 D4 00 00 00 EB 03 41 FF CE 45 01 74 D0 34 44 01 B7 E0 00 00 00 45 85 F6 74 3F 48 8B 6C 24 48 44 8B 64 24 40 48 8B 07 45 8B C5 48 8B D6 48 8B CF FF 50 30 48 8B C8 41 8B C4 41 FF C4 48 89 4C C5 00 41 FF CE 75 DE 8B 6C 24 2C 44 8B 54 24 28 44 89 64 24 40 44 8B 64 24 34 44 8B B4 24 98 00 00 00 8B 4C 24 3C 41 FF C2 44 89 54 24 28 44 8A 4C 24 20 41 FF C5 E9 F9 FE FF FF 41 83 3C D0 04 75 F1 38 5C 24 21 74 29 41 8B 44 D0 3C 41 03 44 D0 34 8B 54 24 38 3B C2 72 06 75 D7 3B CD 75 D3 89 44 24 38 4C 8B FE 45 8B CD 44 89 6C 24 24 EB BD 38 5C 24 22 74 BC 41 39 5C D0 38 77 B5 4D 85 FF 74 04 3B CD 75 AC 4C 8B FE 45 8B CD 44 89 6C 24 24 3B CD 75 98 41 B1 01 44 88 4C 24 20 EB 93 89 5E 20 FF C1 89 4C 24 3C E9 51 FE FF FF 8B 6C 24 30 85 ED 74 1A 48 8B 54 24 48 44 8B C5 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 48 E8 ?? ?? ?? ?? 38 9C 24 A8 00 00 00 74 57 38 5C 24 21 75 3B 38 5C 24 22 74 35 44 8B 6C 24 24 49 8B D7 48 8B CF 45 8B C5 E8 ?? ?? ?? ?? 49 8B 47 38 4A 8D 0C ED 00 00 00 00 49 03 CD C7 04 C8 04 00 00 00 41 FF 47 24 FF 87 D0 00 00 00 EB 05 44 8B 6C 24 24 45 8B C5 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 9C 24 90 00 00 00 48 83 C4 50 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_163_95_0 {
	meta:
		name = "?IncrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 113
		refs = "0062 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B F9 48 8B CA 48 8B DA FF 10 48 8B 57 20 44 8B C0 8B 43 44 49 C1 E0 06 4C 8D 0C C0 B8 01 00 00 00 4D 8B 44 10 38 F0 43 0F C1 44 C8 28 FF C0 83 F8 01 75 24 8B 87 B0 00 00 00 48 8B 4F 18 33 D2 39 87 B4 00 00 00 0F 94 C2 39 51 14 76 0A 48 8B 49 70 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_163_96_0 {
	meta:
		name = "?IncrementFixedCoreCount@SchedulerProxy@details@Concurrency@@QEAAXII_N@Z"
		size = 171
		refs = "0062 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 41 8B C0 44 8B F2 41 8A E9 48 8D 3C C0 48 8B 41 20 49 C1 E6 06 4A 8B 74 30 38 48 8B D9 8B 54 FE 38 8D 42 01 89 44 FE 38 85 D2 75 3C 48 8B 51 20 49 03 D6 FF 42 2C FF 81 DC 00 00 00 80 7C FE 41 00 74 0A C6 44 FE 42 01 E8 ?? ?? ?? ?? 40 84 ED 74 25 48 8B 43 20 4A 8B 4C 30 38 83 7C F9 34 00 75 06 FF 83 E8 00 00 00 40 84 ED 74 0A FF 83 E4 00 00 00 FF 44 FE 3C 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_163_103_0 {
	meta:
		name = "?MinHWThreads@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 31
	strings:
		$1 = { 44 8B 81 E8 00 00 00 8B 81 B4 00 00 00 8B 91 DC 00 00 00 41 2B D0 3B D0 0F 47 C2 41 03 C0 C3 }
	condition:
		$1
}

rule file_163_104_0 {
	meta:
		name = "?MinVprocHWThreads@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 24
	strings:
		$1 = { 8B 81 B4 00 00 00 8B 91 DC 00 00 00 2B 91 E8 00 00 00 3B D0 0F 47 C2 C3 }
	condition:
		$1
}

rule file_163_106_0 {
	meta:
		name = "?ReferenceCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ"
		size = 186
		refs = "001d ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0053 ?IncrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ 00a2 ?GetResourceForNewSubscription@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAV423@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 18 48 8B F1 8B 88 B0 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 7F 83 E0 03 74 21 48 83 F8 01 75 25 48 83 E3 FE 48 8B 5B 20 48 8B 43 40 48 83 C3 10 48 85 C0 74 06 80 78 70 00 75 59 48 8B CB E8 ?? ?? ?? ?? EB 3D 48 83 E3 FD 48 8D 7B 08 48 8B CF 48 8B 07 FF 50 20 48 8B 5B 40 48 8B 43 50 48 83 C3 20 48 85 C0 74 0A 80 78 70 00 74 04 33 DB EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 07 48 8B CF FF 50 28 48 85 DB 74 0D 48 8B D3 48 8B CE E8 ?? ?? ?? ?? EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_163_107_0 {
	meta:
		name = "?Remove@?$List@VExecutionResource@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 54
	strings:
		$1 = { FF 09 4C 8B 42 58 48 8B 42 50 49 89 40 50 48 8B 42 58 4C 8B 42 50 49 89 40 58 48 8B 41 08 48 3B D0 75 12 48 3B 40 58 75 04 33 C0 EB 04 48 8B 40 50 48 89 41 08 C3 }
	condition:
		$1
}

rule file_163_108_0 {
	meta:
		name = "?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
		size = 248
		refs = "006b ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0082 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00f4 ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 89 6C 24 68 48 8B F9 83 C8 FF 01 42 24 01 81 D0 00 00 00 41 8B C0 48 8D 34 C0 4C 8B 72 38 41 C7 04 F6 01 00 00 00 8B 81 C0 00 00 00 41 39 44 F6 34 75 06 FF 81 D4 00 00 00 41 8B 44 F6 34 29 81 E0 00 00 00 41 83 64 F6 34 00 41 80 7C F6 41 00 74 05 E8 ?? ?? ?? ?? 41 C6 44 F6 40 00 48 8D 5F 40 48 89 5C 24 58 48 8B CB E8 ?? ?? ?? ?? 90 49 8B 44 F6 18 48 85 C0 74 04 48 8B 40 58 48 85 C0 74 44 49 3B 44 F6 18 74 06 48 8B 68 58 EB 02 33 ED 48 8B 48 30 48 85 C9 74 24 80 79 70 00 75 1E C6 41 70 01 48 89 4C 24 50 48 8B 4F 10 48 8B 01 41 B8 01 00 00 00 48 8D 54 24 50 FF 50 20 48 8B C5 48 85 ED 75 BC 48 8B CB 48 8B 5C 24 60 48 8B 6C 24 68 48 83 C4 30 41 5E 5F 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_110_0 {
	meta:
		name = "?RemoveThreadSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 81
		refs = "0042 ??_7ExecutionResource@details@Concurrency@@6B@ 004d ??3@YAXPEAX@Z"
	strings:
		$1 = { FF 89 F8 00 00 00 4C 8B 42 58 48 8B 42 50 49 89 40 50 48 8B 42 58 4C 8B 42 50 49 89 40 58 48 8B 81 00 01 00 00 48 3B D0 75 15 48 3B 40 58 75 04 33 C0 EB 04 48 8B 40 50 48 89 81 00 01 00 00 48 8D 05 ?? ?? ?? ?? 48 8B CA 48 89 02 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_163_112_0 {
	meta:
		name = "?SendCoreNotification@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerCore@23@_N@Z"
		size = 264
		refs = "0020 __security_cookie 0042 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0064 ??_U@YAPEAX_K@Z 00ce ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00e0 ??_V@YAXPEAX@Z 00ed __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 81 EC 80 00 00 00 48 C7 40 80 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 45 8A F8 48 8B EA 4C 8B F1 48 8D 59 40 48 89 5C 24 20 48 8B CB E8 ?? ?? ?? ?? 90 33 F6 8D 46 08 39 45 10 7E 1C 48 63 4D 10 48 F7 E1 48 8D 4E FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 EB 05 48 8D 7C 24 30 48 8B 45 18 48 85 C0 74 04 48 8B 40 58 48 85 C0 74 2B 48 3B 45 18 74 06 48 8B 48 58 EB 02 33 C9 48 8B 50 30 48 85 D2 74 0C 80 7A 70 00 75 06 48 89 14 F7 FF C6 48 8B C1 48 85 C9 75 D5 49 8B 4E 10 44 8B C6 48 8B D7 48 8B 01 45 84 FF 74 05 FF 50 30 EB 04 FF 50 28 90 48 8B CB E8 ?? ?? ?? ?? 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_163_114_0 {
	meta:
		name = "?ShouldReceiveNotifications@SchedulerProxy@details@Concurrency@@QEAA_NXZ"
		size = 16
	strings:
		$1 = { 8B 91 B0 00 00 00 39 91 B4 00 00 00 0F 94 C0 C3 }
	condition:
		$1
}

rule file_163_117_0 {
	meta:
		name = "?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
		size = 57
	strings:
		$1 = { 41 8B C0 4C 8D 04 C0 48 8B 42 38 42 80 7C C0 41 00 74 16 41 83 C9 FF 44 01 89 D8 00 00 00 44 01 4A 28 42 C6 44 C0 41 00 C3 FF 81 D8 00 00 00 FF 42 28 42 C6 44 C0 41 01 C3 }
	condition:
		$1
}

rule file_163_118_0 {
	meta:
		name = "?UnbindContext@SchedulerProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 87
		refs = "001a ?ReturnIdleProxy@FreeThreadProxy@details@Concurrency@@QEAAXXZ 0021 ??_C@_08BAFMHLII@pContext?$AA@ 0035 ??0exception@std@@QEAA@AEBQEBD@Z 003c ??_7invalid_argument@std@@6B@ 0043 _TI3?AVinvalid_argument@std@@ 0052 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 74 15 48 8B 02 48 8B CA FF 50 10 48 8B C8 48 83 C4 48 E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_164_4_0 {
	meta:
		name = "_mbstrnlen_l"
		size = 271
		refs = "0020 _errno 002b _invalid_parameter_noinfo 004a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0063 strnlen 0087 __imp_MultiByteToWideChar 00b7 _isleadbyte_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B F2 48 8B F9 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 C2 00 00 00 48 81 FA FF FF FF 7F 77 DE 48 8D 4C 24 30 49 8B D0 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 B8 D4 00 00 00 01 75 10 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 EB 78 8B 48 04 83 64 24 28 00 48 83 64 24 20 00 44 8B CE 4C 8B C7 BA 09 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 11 E8 ?? ?? ?? ?? 48 83 CB FF C7 00 2A 00 00 00 EB 44 33 DB 33 ED 48 85 F6 74 34 80 3F 00 74 2F 0F B6 0F 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 74 10 48 FF C5 48 3B EE 73 19 48 FF C7 80 3F 00 74 0E 48 FF C5 48 FF C3 48 FF C7 48 3B EE 72 CC 48 3B EE 48 0F 43 DE 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_165_0_0 {
	meta:
		name = "_execlp"
		size = 198
		refs = "001b __security_cookie 0033 _errno 003e _invalid_parameter_noinfo 0075 _capture_argv 008b _execvp 00a5 free 00b8 __security_check_cookie"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 57 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 64 80 39 00 74 E5 48 85 D2 74 E0 80 3A 00 74 DB 48 8D 84 24 70 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 64 24 20 00 48 8D 54 24 30 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 5F 5B C3 }
	condition:
		$1
}

rule file_166_0_0 {
	meta:
		name = "localeconv"
		size = 56
		refs = "0005 _getptd 000c __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo 002f __lconv"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 39 88 C0 00 00 00 74 13 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_167_0_0 {
	meta:
		name = "_ldquad"
		size = 1028
		refs = "0026 __security_cookie 0039 __real@c1945f306dc9c883 0053 __real@41945f306dc9c883 0065 __real@3fe45f306dc9c883 0076 __real@3fe0000000000000 0080 __real@bfe0000000000000 0092 _ld_int 00b7 __real@3fd0000000000000 00bf __real@3e50000000000000 00cd __real@41b921fb50000000 00d5 __real@401110b460000000 00e4 __real@3e51a62620000000 00f3 __real@3cd3145c00000000 00fb __real@3b3b839a20000000 012f _ldunscale 014a _ldxp_setw 0170 _ldscale 018f __b 01ad memcpy 01bd _ldxp_mulh 020f _ldxp_addx 0240 __real@3fc45f306dc9c883 0262 __real@be50000000000000 0271 __c 02a9 get_acsize 036b __real@bfd0000000000000 0395 _ldxp_getw 03a7 __real@c1dfffffffc00000 03b5 __real@41dfffffffc00000 03bf __real@41e0000000000000 03c7 fmod 03dd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 4C 89 78 20 55 48 8D 68 A1 48 81 EC 00 01 00 00 0F 29 70 E8 0F 29 78 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F F2 0F 10 09 F2 0F 10 3D ?? ?? ?? ?? 48 8B F9 66 0F 2F CF F2 0F 11 4D 87 0F 86 CA 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 0F 86 B8 00 00 00 F2 0F 59 0D ?? ?? ?? ?? 0F 57 F6 66 0F 2F CE 72 0A F2 0F 58 0D ?? ?? ?? ?? EB 08 F2 0F 58 0D ?? ?? ?? ?? 48 8D 4C 24 28 33 D2 F2 0F 11 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 64 24 28 66 0F 2E E6 7A 09 75 07 F2 0F 10 5D 87 EB 65 F2 0F 10 5D 87 0F 28 D4 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? 0F 28 C2 0F 28 CA F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D9 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C D9 F2 0F 5C DA F2 0F 11 5D 87 F2 0F 11 1F E9 8A 02 00 00 48 8D 54 24 28 48 8D 4C 24 20 F2 0F 11 4C 24 28 BB 06 00 00 00 E8 ?? ?? ?? ?? 66 83 7C 24 20 56 0F 57 F6 7D 15 F2 0F 10 55 87 48 8D 4D 9F 8B D3 E8 ?? ?? ?? ?? E9 C0 00 00 00 0F BF 44 24 20 48 8D 4D 87 83 E8 36 C1 F8 05 0F BF D0 66 89 44 24 20 C1 E2 05 F7 DA E8 ?? ?? ?? ?? 48 8D 4D 8F BA 02 00 00 00 F2 0F 10 55 87 E8 ?? ?? ?? ?? 0F BF 44 24 20 4C 8D 3D ?? ?? ?? ?? FF C8 48 8D 4D 9F 41 B8 30 00 00 00 48 98 48 8D 14 40 48 C1 E2 04 49 03 D7 E8 ?? ?? ?? ?? 48 8D 4D 9F 8B D3 F2 0F 10 55 8F E8 ?? ?? ?? ?? F2 0F 10 45 97 66 0F 2E C6 7A 02 74 45 0F BF 44 24 20 48 8D 4D CF 41 B8 30 00 00 00 FF C8 48 98 48 8D 14 40 48 C1 E2 04 49 03 D7 E8 ?? ?? ?? ?? 48 8D 4D CF 8B D3 F2 0F 10 55 97 E8 ?? ?? ?? ?? 4C 8D 45 CF 48 8D 4D 9F 44 8B CB 8B D3 E8 ?? ?? ?? ?? F2 0F 10 4D 9F 66 0F 2F F9 77 0E 66 0F 2F 0D ?? ?? ?? ?? 0F 86 C2 00 00 00 F2 0F 10 45 A7 48 8D 4C 24 28 33 D2 F2 0F 58 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 28 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 48 8D 4D 8F BA 02 00 00 00 F2 0F 59 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 63 C3 48 8D 15 ?? ?? ?? ?? 48 8D 4D CF 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8D 4D CF 8B D3 F2 0F 10 55 8F E8 ?? ?? ?? ?? F2 0F 10 45 97 66 0F 2E C6 7A 06 0F 84 5E FF FF FF F2 0F 10 45 9F E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D FF 48 63 D8 4C 8B C3 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8D 4D FF 8B D3 F2 0F 10 55 97 E8 ?? ?? ?? ?? 4C 8D 45 FF 48 8D 4D CF 44 8B CB 8B D3 E8 ?? ?? ?? ?? E9 13 FF FF FF F2 0F 10 45 A7 F2 0F 58 C1 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F C6 72 0A F2 0F 58 05 ?? ?? ?? ?? EB 08 F2 0F 58 05 ?? ?? ?? ?? 48 8D 4C 24 28 33 D2 F2 0F 11 44 24 28 E8 ?? ?? ?? ?? F2 0F 10 44 24 28 66 0F 2E C6 7A 02 74 57 F2 0F 10 45 9F E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D FF 48 63 D8 4C 8B C3 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8D 4D FF 8B D3 F2 0F 10 54 24 28 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 45 FF 48 8D 4D 9F 44 8B CB 8B D3 E8 ?? ?? ?? ?? 48 8D 4D 9F 8B D3 E8 ?? ?? ?? ?? F2 0F 10 64 24 28 F2 0F 11 07 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CC 77 0A 66 0F 2F 25 ?? ?? ?? ?? 76 13 F2 0F 10 0D ?? ?? ?? ?? 0F 28 C4 E8 ?? ?? ?? ?? 0F 28 E0 F2 0F 2C C4 83 E0 03 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 7B 20 4D 8B 7B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_312_0_0 {
	meta:
		name = "_dquad"
		size = 1028
		refs = "0026 __security_cookie 0039 __real@c1945f306dc9c883 0053 __real@41945f306dc9c883 0065 __real@3fe45f306dc9c883 0076 __real@3fe0000000000000 0080 __real@bfe0000000000000 0092 _d_int 00b7 __real@3fd0000000000000 00bf __real@3e50000000000000 00cd __real@41b921fb50000000 00d5 __real@401110b460000000 00e4 __real@3e51a62620000000 00f3 __real@3cd3145c00000000 00fb __real@3b3b839a20000000 012f _dunscale 014a _dxp_setw 0170 _dscale 018f __b 01ad memcpy 01bd _dxp_mulh 020f _dxp_addx 0240 __real@3fc45f306dc9c883 0262 __real@be50000000000000 0271 __c 02a9 get_acsize 036b __real@bfd0000000000000 0395 _dxp_getw 03a7 __real@c1dfffffffc00000 03b5 __real@41dfffffffc00000 03bf __real@41e0000000000000 03c7 fmod 03dd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 4C 89 78 20 55 48 8D 68 A1 48 81 EC 00 01 00 00 0F 29 70 E8 0F 29 78 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F F2 0F 10 09 F2 0F 10 3D ?? ?? ?? ?? 48 8B F9 66 0F 2F CF F2 0F 11 4D 87 0F 86 CA 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 0F 86 B8 00 00 00 F2 0F 59 0D ?? ?? ?? ?? 0F 57 F6 66 0F 2F CE 72 0A F2 0F 58 0D ?? ?? ?? ?? EB 08 F2 0F 58 0D ?? ?? ?? ?? 48 8D 4C 24 28 33 D2 F2 0F 11 4C 24 28 E8 ?? ?? ?? ?? F2 0F 10 64 24 28 66 0F 2E E6 7A 09 75 07 F2 0F 10 5D 87 EB 65 F2 0F 10 5D 87 0F 28 D4 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? 0F 28 C2 0F 28 CA F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D9 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C D9 F2 0F 5C DA F2 0F 11 5D 87 F2 0F 11 1F E9 8A 02 00 00 48 8D 54 24 28 48 8D 4C 24 20 F2 0F 11 4C 24 28 BB 06 00 00 00 E8 ?? ?? ?? ?? 66 83 7C 24 20 56 0F 57 F6 7D 15 F2 0F 10 55 87 48 8D 4D 9F 8B D3 E8 ?? ?? ?? ?? E9 C0 00 00 00 0F BF 44 24 20 48 8D 4D 87 83 E8 36 C1 F8 05 0F BF D0 66 89 44 24 20 C1 E2 05 F7 DA E8 ?? ?? ?? ?? 48 8D 4D 8F BA 02 00 00 00 F2 0F 10 55 87 E8 ?? ?? ?? ?? 0F BF 44 24 20 4C 8D 3D ?? ?? ?? ?? FF C8 48 8D 4D 9F 41 B8 30 00 00 00 48 98 48 8D 14 40 48 C1 E2 04 49 03 D7 E8 ?? ?? ?? ?? 48 8D 4D 9F 8B D3 F2 0F 10 55 8F E8 ?? ?? ?? ?? F2 0F 10 45 97 66 0F 2E C6 7A 02 74 45 0F BF 44 24 20 48 8D 4D CF 41 B8 30 00 00 00 FF C8 48 98 48 8D 14 40 48 C1 E2 04 49 03 D7 E8 ?? ?? ?? ?? 48 8D 4D CF 8B D3 F2 0F 10 55 97 E8 ?? ?? ?? ?? 4C 8D 45 CF 48 8D 4D 9F 44 8B CB 8B D3 E8 ?? ?? ?? ?? F2 0F 10 4D 9F 66 0F 2F F9 77 0E 66 0F 2F 0D ?? ?? ?? ?? 0F 86 C2 00 00 00 F2 0F 10 45 A7 48 8D 4C 24 28 33 D2 F2 0F 58 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 28 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 48 8D 4D 8F BA 02 00 00 00 F2 0F 59 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 63 C3 48 8D 15 ?? ?? ?? ?? 48 8D 4D CF 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8D 4D CF 8B D3 F2 0F 10 55 8F E8 ?? ?? ?? ?? F2 0F 10 45 97 66 0F 2E C6 7A 06 0F 84 5E FF FF FF F2 0F 10 45 9F E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D FF 48 63 D8 4C 8B C3 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8D 4D FF 8B D3 F2 0F 10 55 97 E8 ?? ?? ?? ?? 4C 8D 45 FF 48 8D 4D CF 44 8B CB 8B D3 E8 ?? ?? ?? ?? E9 13 FF FF FF F2 0F 10 45 A7 F2 0F 58 C1 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F C6 72 0A F2 0F 58 05 ?? ?? ?? ?? EB 08 F2 0F 58 05 ?? ?? ?? ?? 48 8D 4C 24 28 33 D2 F2 0F 11 44 24 28 E8 ?? ?? ?? ?? F2 0F 10 44 24 28 66 0F 2E C6 7A 02 74 57 F2 0F 10 45 9F E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D FF 48 63 D8 4C 8B C3 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8D 4D FF 8B D3 F2 0F 10 54 24 28 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 45 FF 48 8D 4D 9F 44 8B CB 8B D3 E8 ?? ?? ?? ?? 48 8D 4D 9F 8B D3 E8 ?? ?? ?? ?? F2 0F 10 64 24 28 F2 0F 11 07 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CC 77 0A 66 0F 2F 25 ?? ?? ?? ?? 76 13 F2 0F 10 0D ?? ?? ?? ?? 0F 28 C4 E8 ?? ?? ?? ?? 0F 28 E0 F2 0F 2C C4 83 E0 03 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 7B 20 4D 8B 7B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_167_1_0 {
	meta:
		name = "_ldquadph"
		size = 214
		refs = "0016 _ldquad 002d _ld_int 003b __real@c1cfffffff800000 004d __real@41cfffffff800000 0057 __real@41d0000000000000 005c fmod 0064 __real@4000000000000000 006c __real@400921fb54442d18 0088 __real@3fe921fb54442d18 0092 __real@3fe0000000000000 009e __real@bfe921fb54442d18"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 0F 29 74 24 20 48 8B F9 0F 28 F1 E8 ?? ?? ?? ?? 48 8D 4C 24 40 BA 01 00 00 00 F2 0F 11 74 24 40 8B D8 E8 ?? ?? ?? ?? F2 0F 10 44 24 40 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D0 F2 0F 5C F0 77 0A 66 0F 2F 05 ?? ?? ?? ?? 76 0D F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 0F 28 CE F2 0F 2C C0 F2 0F 59 CA F2 0F 58 0F 83 E0 03 03 D8 66 0F 2F 0D ?? ?? ?? ?? 72 0C F2 0F 5C 35 ?? ?? ?? ?? FF C3 EB 18 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 18 F2 0F 58 35 ?? ?? ?? ?? FF CB F2 0F 59 F2 F2 0F 58 37 F2 0F 11 37 EB 04 F2 0F 11 0F 0F 28 74 24 20 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_312_1_0 {
	meta:
		name = "_dquadph"
		size = 214
		refs = "0016 _dquad 002d _d_int 003b __real@c1cfffffff800000 004d __real@41cfffffff800000 0057 __real@41d0000000000000 005c fmod 0064 __real@4000000000000000 006c __real@400921fb54442d18 0088 __real@3fe921fb54442d18 0092 __real@3fe0000000000000 009e __real@bfe921fb54442d18"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 0F 29 74 24 20 48 8B F9 0F 28 F1 E8 ?? ?? ?? ?? 48 8D 4C 24 40 BA 01 00 00 00 F2 0F 11 74 24 40 8B D8 E8 ?? ?? ?? ?? F2 0F 10 44 24 40 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D0 F2 0F 5C F0 77 0A 66 0F 2F 05 ?? ?? ?? ?? 76 0D F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 0F 28 CE F2 0F 2C C0 F2 0F 59 CA F2 0F 58 0F 83 E0 03 03 D8 66 0F 2F 0D ?? ?? ?? ?? 72 0C F2 0F 5C 35 ?? ?? ?? ?? FF C3 EB 18 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 18 F2 0F 58 35 ?? ?? ?? ?? FF CB F2 0F 59 F2 F2 0F 58 37 F2 0F 11 37 EB 04 F2 0F 11 0F 0F 28 74 24 20 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_167_2_0 {
	meta:
		name = "_ldsin"
		size = 376
		refs = "0013 _ldtest 0038 _ldquad 0042 _LRteps_C 004a __xmm@80000000000000008000000000000000 0073 __real@3ff0000000000000 008f __real@3e21ba39100a2609 0097 __real@3e927df9c661a83b 00a3 __real@3efa019f9030ac63 00af __real@3f56c16c1651fbf6 00bb __real@3fa55555555502b1 00c7 __real@3fdfffffffffffae 00e0 __real@3de5d810c32f8fb0 00e8 __real@3e5ae5e1a1730c8f 00f4 __real@3ec71de34fe4ad4d 0100 __real@3f2a01a019b5e33e 010c __real@3f8111111110f0fa 011c __real@3fc5555555555542 0143 _fperrraise 014b _LNan_C"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 8B DA E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 2F 01 00 00 FF C9 0F 84 13 01 00 00 FF C9 0F 84 03 01 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 03 D8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 4C 24 30 0F 28 C2 0F 57 C3 66 0F 2F C8 76 1C 66 0F 2F D1 76 16 F6 C3 01 0F 84 B9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 AC 00 00 00 0F 28 D1 F2 0F 59 D1 F6 C3 01 74 51 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? EB 4F 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 D1 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 C8 F6 C3 02 74 03 0F 57 CB 0F 28 C1 EB 3D F2 0F 10 44 24 30 EB 35 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 21 F6 C3 01 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 F6 C3 02 74 07 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_312_2_0 {
	meta:
		name = "_dsin"
		size = 376
		refs = "0013 _dtest 0038 _dquad 0042 _Rteps_C 004a __xmm@80000000000000008000000000000000 0073 __real@3ff0000000000000 008f __real@3e21ba39100a2609 0097 __real@3e927df9c661a83b 00a3 __real@3efa019f9030ac63 00af __real@3f56c16c1651fbf6 00bb __real@3fa55555555502b1 00c7 __real@3fdfffffffffffae 00e0 __real@3de5d810c32f8fb0 00e8 __real@3e5ae5e1a1730c8f 00f4 __real@3ec71de34fe4ad4d 0100 __real@3f2a01a019b5e33e 010c __real@3f8111111110f0fa 011c __real@3fc5555555555542 0143 _fperrraise 014b _Nan_C"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 8B DA E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 2F 01 00 00 FF C9 0F 84 13 01 00 00 FF C9 0F 84 03 01 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 03 D8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 4C 24 30 0F 28 C2 0F 57 C3 66 0F 2F C8 76 1C 66 0F 2F D1 76 16 F6 C3 01 0F 84 B9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 AC 00 00 00 0F 28 D1 F2 0F 59 D1 F6 C3 01 74 51 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? EB 4F 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 D1 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 C8 F6 C3 02 74 03 0F 57 CB 0F 28 C1 EB 3D F2 0F 10 44 24 30 EB 35 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 21 F6 C3 01 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 F6 C3 02 74 07 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_167_4_0 {
	meta:
		name = "get_acsize"
		size = 73
		refs = "0015 _ldunscale"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF 4C 24 38 B8 ED 73 48 4D F7 E9 C1 FA 04 8B C2 C1 E8 1F 03 D0 B8 06 00 00 00 8D 14 55 05 00 00 00 48 63 CA 48 3B C8 0F 46 C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_312_3_0 {
	meta:
		name = "get_acsize"
		size = 73
		refs = "0015 _dunscale"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF 4C 24 38 B8 ED 73 48 4D F7 E9 C1 FA 04 8B C2 C1 E8 1F 03 D0 B8 06 00 00 00 8D 14 55 05 00 00 00 48 63 CA 48 3B C8 0F 46 C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_167_5_0 {
	meta:
		name = "lgamma_big"
		size = 239
		refs = "0023 __real@3ff0000000000000 002d _ldlog 0035 __real@3fe0000000000000 0060 _ldunscale 0080 _ldscale 0096 __real@3f4a01a01a01a01a 009e __real@3f66c16c16c16c17 00aa __real@3fb5555555555555 00b7 __real@3fdacfe390c97d69 00c7 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 33 D2 0F 28 F8 44 0F 29 48 B8 F2 44 0F 10 0D ?? ?? ?? ?? F2 44 0F 5E C8 E8 ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 70 44 0F 28 C0 41 0F 28 F1 F2 0F 11 7C 24 78 F2 44 0F 5C 05 ?? ?? ?? ?? F2 41 0F 59 F1 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 0F BF 54 24 70 48 8D 4C 24 78 F2 41 0F 59 C8 F2 0F 11 4C 24 78 E8 ?? ?? ?? ?? 66 85 C0 79 38 F2 0F 10 4C 24 78 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 58 05 ?? ?? ?? ?? F2 41 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C8 EB 10 B9 08 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 44 24 30 0F 28 C1 44 0F 28 4C 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_312_5_0 {
	meta:
		name = "lgamma_big"
		size = 239
		refs = "0023 __real@3ff0000000000000 002d _dlog 0035 __real@3fe0000000000000 0060 _dunscale 0080 _dscale 0096 __real@3f4a01a01a01a01a 009e __real@3f66c16c16c16c17 00aa __real@3fb5555555555555 00b7 __real@3fdacfe390c97d69 00c7 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 33 D2 0F 28 F8 44 0F 29 48 B8 F2 44 0F 10 0D ?? ?? ?? ?? F2 44 0F 5E C8 E8 ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 70 44 0F 28 C0 41 0F 28 F1 F2 0F 11 7C 24 78 F2 44 0F 5C 05 ?? ?? ?? ?? F2 41 0F 59 F1 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 0F BF 54 24 70 48 8D 4C 24 78 F2 41 0F 59 C8 F2 0F 11 4C 24 78 E8 ?? ?? ?? ?? 66 85 C0 79 38 F2 0F 10 4C 24 78 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 58 05 ?? ?? ?? ?? F2 41 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C8 EB 10 B9 08 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4C 24 78 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 44 24 30 0F 28 C1 44 0F 28 4C 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_167_6_0 {
	meta:
		name = "lgammal"
		size = 582
		refs = "0026 _ld_int 0058 _fperrraise 0060 _LInf_C 006d _ldgamma_big 0077 __xmm@80000000000000008000000000000000 008a __real@400921fb54442d18 0092 _ldsin 00ad _ldlog 00c1 lgamma_big 00ea rootapprox 0140 _ldpoly 014d __real@3ff3333333333333 0157 __real@3ff8000000000000 0164 approx 01cd _ldtgamma 01e0 __xmm@7fffffffffffffff7fffffffffffffff 0205 __real@3fe62e42c0000000 020d __real@3e7f7d1cf79abc9e 0224 log1pl"
	strings:
		$1 = { F2 0F 11 44 24 08 55 53 57 48 8B EC 48 83 EC 40 48 8D 4D 30 33 D2 0F 29 74 24 30 F2 0F 11 45 30 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 33 D2 F2 0F 10 7D 20 85 C9 74 11 FF C9 74 20 FF C9 75 29 F2 0F 11 F8 E9 EB 01 00 00 0F 57 C0 66 0F 2F C7 72 17 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 CB 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 C1 0F 57 05 ?? ?? ?? ?? 66 0F 2F C7 76 50 F2 0F 5C 7D 30 F2 0F 59 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 33 D2 F2 0F 59 45 20 F2 0F 5E C8 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 5C F0 0F 28 C6 E9 63 01 00 00 66 0F 2F F9 72 0D 0F 28 C7 E8 ?? ?? ?? ?? E9 50 01 00 00 44 8B C2 48 8D 0D ?? ?? ?? ?? 66 0F 2F 79 F8 76 0A F2 0F 10 01 66 0F 2F C7 77 10 41 FF C0 48 83 C1 30 49 63 C0 48 83 F8 0B 72 DF 49 63 C0 48 83 F8 0B 73 31 48 8D 14 40 48 8D 05 ?? ?? ?? ?? 48 03 D2 F2 0F 5C 7C D0 10 44 8B 44 D0 28 F2 0F 5C 7C D0 18 48 8B 54 D0 20 0F 28 C7 E8 ?? ?? ?? ?? E9 EB 00 00 00 66 0F 2F 3D ?? ?? ?? ?? 76 71 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 63 48 8D 3D ?? ?? ?? ?? 48 8B CF F2 0F 10 01 66 0F 2F C7 77 0F FF C2 48 83 C1 30 48 63 C2 48 83 F8 01 72 E7 48 63 C2 48 8D 1C 40 48 03 DB F2 0F 5C 7C DF 08 44 8B 44 DF 18 48 8B 54 DF 10 0F 28 C7 E8 ?? ?? ?? ?? 44 8B 44 DF 28 48 8B 54 DF 20 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 5E F0 E9 05 FF FF FF 48 8D 55 28 48 8D 4D 20 E8 ?? ?? ?? ?? 33 D2 F2 0F 11 45 30 F2 0F 10 45 20 0F 54 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 45 28 F7 D8 0F 57 05 ?? ?? ?? ?? 66 0F 6E C8 F3 0F E6 C9 0F 28 D1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 10 45 30 F2 0F 58 D1 F2 0F 11 55 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 F2 0F 58 C8 0F 28 C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_312_4_0 {
	meta:
		name = "lgamma"
		size = 582
		refs = "0026 _d_int 0058 _fperrraise 0060 _Inf_C 006d _dgamma_big 0077 __xmm@80000000000000008000000000000000 008a __real@400921fb54442d18 0092 _dsin 00ad _dlog 00c1 lgamma_big 00ea rootapprox 0140 _dpoly 014d __real@3ff3333333333333 0157 __real@3ff8000000000000 0164 approx 01cd _dtgamma 01e0 __xmm@7fffffffffffffff7fffffffffffffff 0205 __real@3fe62e42c0000000 020d __real@3e7f7d1cf79abc9e 0224 log1p"
	strings:
		$1 = { F2 0F 11 44 24 08 55 53 57 48 8B EC 48 83 EC 40 48 8D 4D 30 33 D2 0F 29 74 24 30 F2 0F 11 45 30 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 33 D2 F2 0F 10 7D 20 85 C9 74 11 FF C9 74 20 FF C9 75 29 F2 0F 11 F8 E9 EB 01 00 00 0F 57 C0 66 0F 2F C7 72 17 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 CB 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 C1 0F 57 05 ?? ?? ?? ?? 66 0F 2F C7 76 50 F2 0F 5C 7D 30 F2 0F 59 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 33 D2 F2 0F 59 45 20 F2 0F 5E C8 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 5C F0 0F 28 C6 E9 63 01 00 00 66 0F 2F F9 72 0D 0F 28 C7 E8 ?? ?? ?? ?? E9 50 01 00 00 44 8B C2 48 8D 0D ?? ?? ?? ?? 66 0F 2F 79 F8 76 0A F2 0F 10 01 66 0F 2F C7 77 10 41 FF C0 48 83 C1 30 49 63 C0 48 83 F8 0B 72 DF 49 63 C0 48 83 F8 0B 73 31 48 8D 14 40 48 8D 05 ?? ?? ?? ?? 48 03 D2 F2 0F 5C 7C D0 10 44 8B 44 D0 28 F2 0F 5C 7C D0 18 48 8B 54 D0 20 0F 28 C7 E8 ?? ?? ?? ?? E9 EB 00 00 00 66 0F 2F 3D ?? ?? ?? ?? 76 71 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 63 48 8D 3D ?? ?? ?? ?? 48 8B CF F2 0F 10 01 66 0F 2F C7 77 0F FF C2 48 83 C1 30 48 63 C2 48 83 F8 01 72 E7 48 63 C2 48 8D 1C 40 48 03 DB F2 0F 5C 7C DF 08 44 8B 44 DF 18 48 8B 54 DF 10 0F 28 C7 E8 ?? ?? ?? ?? 44 8B 44 DF 28 48 8B 54 DF 20 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 5E F0 E9 05 FF FF FF 48 8D 55 28 48 8D 4D 20 E8 ?? ?? ?? ?? 33 D2 F2 0F 11 45 30 F2 0F 10 45 20 0F 54 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 45 28 F7 D8 0F 57 05 ?? ?? ?? ?? 66 0F 6E C8 F3 0F E6 C9 0F 28 D1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 10 45 30 F2 0F 58 D1 F2 0F 11 55 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 F2 0F 58 C8 0F 28 C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_168_0_0 {
	meta:
		name = "fegetexceptflag"
		size = 46
		refs = "0019 _getfpstatusword"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 83 E3 1F 75 04 21 19 EB 09 E8 ?? ?? ?? ?? 23 C3 89 07 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_170_0_0 {
	meta:
		name = "fminl"
		size = 110
		refs = "0016 _ldtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 41 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 29 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 77 14 66 0F 2E C8 7A 11 75 0F B8 00 80 00 00 66 85 44 24 36 74 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_802_0_0 {
	meta:
		name = "fmin"
		size = 110
		refs = "0016 _dtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 41 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 29 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 77 14 66 0F 2E C8 7A 11 75 0F B8 00 80 00 00 66 85 44 24 36 74 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_172_0_0 {
	meta:
		name = "ctanhf"
		size = 384
		refs = "0021 crealf 002f cimagf 003d _fdtest 0065 _FZero_C 006c __xmm@80000000800000008000000080000000 007f __real@bf800000 008c __real@3f800000 00b7 __real@00000000 00d8 _FNan_C 00e7 tanf 00f4 sinhf 0121 _FInf_C 0150 sqrtf 0161 _FCbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 20 48 89 48 08 55 48 8B EC 48 83 EC 50 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 E8 ?? ?? ?? ?? 48 8B 4D 10 F3 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 F3 0F 11 45 18 E8 ?? ?? ?? ?? 48 8D 4D 18 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 75 42 B8 00 80 00 00 0F 57 C0 66 85 45 1A 74 11 F3 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? EB 03 0F 28 C8 0F 2F 45 20 76 0D F3 0F 10 05 ?? ?? ?? ?? E9 D8 00 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 CB 00 00 00 66 83 F8 02 75 0E F3 0F 10 4D 18 F3 0F 10 C1 E9 B7 00 00 00 66 83 FB 02 75 1F F3 0F 10 4D 18 0F 2E 0D ?? ?? ?? ?? 7A 02 74 05 F3 0F 10 4D 20 F3 0F 10 45 20 E9 92 00 00 00 66 83 F8 01 75 0D F3 0F 10 05 ?? ?? ?? ?? 0F 28 C8 EB 7F F3 0F 10 45 18 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 20 E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 0F 28 FE F3 0F 59 FE F3 0F 58 FA F3 0F 59 F8 44 0F 28 C7 F3 44 0F 59 C0 F3 44 0F 58 C2 44 0F 2E 05 ?? ?? ?? ?? 7A 1B 75 19 0F 57 C9 0F 2F C8 76 08 F3 0F 10 15 ?? ?? ?? ?? F3 0F 59 F1 0F 28 C2 EB 1B F3 0F 59 C0 F3 41 0F 5E F0 F3 0F 58 C2 E8 ?? ?? ?? ?? F3 0F 59 C7 F3 41 0F 5E C0 0F 28 CE E8 ?? ?? ?? ?? 48 8B 5C 24 78 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_173_4_0 {
	meta:
		name = "_mbsnicoll_l"
		size = 311
		refs = "002d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0098 _strnicoll_l 00a9 _mbsnbcnt_l 00ef __crtCompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 60 4C 8B F1 48 8B EA 48 8D 48 D8 49 8B D1 49 8B D9 49 8B F0 E8 ?? ?? ?? ?? 48 85 F6 75 07 33 FF E9 CA 00 00 00 4D 85 F6 74 05 48 85 ED 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BF FF FF FF 7F E9 A6 00 00 00 BF FF FF FF 7F 48 3B F7 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 48 8B 44 24 48 49 8B CE 83 78 08 00 75 12 4C 8B CB 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 8B F8 EB 67 4C 8D 44 24 40 48 8B D6 E8 ?? ?? ?? ?? 4C 8D 44 24 40 48 8B D6 48 8B CD 48 8B D8 E8 ?? ?? ?? ?? 48 8B 54 24 48 4D 8B CE 8B 4A 04 48 8B 92 20 02 00 00 41 B8 01 10 00 00 89 4C 24 38 89 44 24 30 48 8D 4C 24 40 48 89 6C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 78 FE 80 7C 24 58 00 74 0C 48 8B 44 24 50 83 A0 C8 00 00 00 FD 4C 8D 5C 24 60 8B C7 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_175_0_0 {
	meta:
		name = "copysignl"
		size = 56
		altNames = "copysign"
	strings:
		$1 = { F2 0F 11 44 24 08 F2 0F 11 4C 24 10 48 8B 44 24 10 48 8B C8 BA FF 7F 00 00 48 C1 E8 30 48 C1 E9 30 66 33 4C 24 0E 66 23 CA 66 33 C8 66 89 4C 24 0E F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_177_0_0 {
	meta:
		name = "__sse2_tanhf4"
		size = 272
		refs = "0011 s_fTh 0018 s_fRS 001f s_dwAbsMask 002d s_dwIndexMask 0058 s_fTen 0067 s_dwPosInf 0079 s_fOne 0097 s_fA2 00a1 s_fA0 00ac s_fA3 00b6 s_fA1"
	strings:
		$1 = { 48 83 EC 48 0F 29 7C 24 20 0F 29 74 24 30 4C 8D 0D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 66 0F DB F8 0F 58 F7 0F 28 15 ?? ?? ?? ?? 66 0F DB D6 66 0F 7E D0 66 0F 70 D2 39 66 0F 7E D2 66 0F 70 D2 39 66 0F 7E D1 66 0F 70 D2 39 66 41 0F 7E D0 0F 28 1D ?? ?? ?? ?? 0F C2 DF 02 66 0F EF C7 0F 28 15 ?? ?? ?? ?? 0F 28 CF 0F C2 CA 02 66 0F DB CB 0F 28 2D ?? ?? ?? ?? 66 0F DB E9 0F 28 15 ?? ?? ?? ?? 0F 5C F2 0F 5C FE 0F 28 E7 0F 59 E7 0F 28 1D ?? ?? ?? ?? 0F 59 DC 0F 58 1D ?? ?? ?? ?? 66 0F EB C5 0F 28 15 ?? ?? ?? ?? 0F 59 E2 0F 58 25 ?? ?? ?? ?? 0F 59 E7 F3 41 0F 7E 14 81 F3 41 0F 7E 3C 91 F3 41 0F 7E 34 89 F3 43 0F 7E 2C 81 0F 14 D7 0F 14 F5 0F C6 D6 44 0F 28 F3 0F 59 F2 0F 58 F4 0F 59 E2 0F 58 E3 0F 5E F4 66 0F DF CE 66 0F EB C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_178_0_0 {
	meta:
		name = "feclearexcept"
		size = 70
		refs = "0016 _getfpstatusword 0027 _setfpstatusword 002e fetestexcept"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B D9 83 E3 1F 75 04 33 C0 EB 26 E8 ?? ?? ?? ?? 8B F8 85 C3 74 F1 F7 D3 23 FB 8B CF E8 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 33 C9 3B C7 0F 95 C1 8B C1 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_179_0_0 {
	meta:
		name = "cbrt"
		size = 379
		refs = "0021 _dunscale 008c _dscale 00ac __xmm@80000000000000008000000000000000 00b9 __real@3fe0000000000000 00c7 __real@3fcf3482be8bc16a 00cf __real@3fd1e54b48d3ae68 00d7 __real@3feea8826aa8eb46 00e2 __real@3ff8000000000000 00f2 __real@3fb43419e30014f9"
	strings:
		$1 = { 48 89 5C 24 20 F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 30 48 8D 55 10 48 8D 4D 18 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0A F2 0F 10 45 10 E9 34 01 00 00 44 0F BF 45 18 45 33 C9 B8 56 55 55 55 41 8D 59 01 41 F7 E8 8B C2 C1 E8 1F 03 D0 8D 04 52 41 3B C0 74 3B 66 44 03 C3 B8 56 55 55 55 44 2B CB 41 0F BF C8 F7 E9 8B C2 C1 E8 1F 03 D0 8D 04 52 3B C1 75 E0 66 44 89 45 18 45 85 C9 79 11 48 8D 4D 10 41 8B D1 E8 ?? ?? ?? ?? 44 0F B7 45 18 F2 0F 10 6D 10 B8 00 80 00 00 66 85 45 16 75 04 33 DB EB 0C 0F 57 2D ?? ?? ?? ?? F2 0F 11 6D 10 F2 0F 10 1D ?? ?? ?? ?? 0F 28 E5 0F 28 C5 F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 25 ?? ?? ?? ?? 0F 28 F5 F2 0F 59 35 ?? ?? ?? ?? F2 0F 59 E5 F2 0F 59 EB F2 0F 58 25 ?? ?? ?? ?? 0F 28 D6 0F 28 CD F2 0F 5E E0 F2 0F 5E CC 0F 28 C4 F2 0F 59 C4 F2 0F 58 C8 F2 0F 5E D1 F2 0F 58 D4 F2 0F 59 D3 F2 0F 5E EA 0F 28 C2 F2 0F 59 C2 F2 0F 58 E8 F2 0F 5E F5 F2 0F 58 F2 F2 0F 59 F3 F2 0F 11 75 20 85 DB 74 0C 0F 57 35 ?? ?? ?? ?? F2 0F 11 75 20 41 0F BF C8 B8 56 55 55 55 F7 E9 48 8D 4D 20 8B C2 C1 E8 1F 03 D0 E8 ?? ?? ?? ?? F2 0F 10 45 20 48 8B 5C 24 58 0F 28 74 24 20 48 83 C4 30 5D C3 }
	condition:
		$1
}

rule file_962_0_0 {
	meta:
		name = "cbrtl"
		size = 379
		refs = "0021 _ldunscale 008c _ldscale 00ac __xmm@80000000000000008000000000000000 00b9 __real@3fe0000000000000 00c7 __real@3fcf3482be8bc16a 00cf __real@3fd1e54b48d3ae68 00d7 __real@3feea8826aa8eb46 00e2 __real@3ff8000000000000 00f2 __real@3fb43419e30014f9"
	strings:
		$1 = { 48 89 5C 24 20 F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 30 48 8D 55 10 48 8D 4D 18 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0A F2 0F 10 45 10 E9 34 01 00 00 44 0F BF 45 18 45 33 C9 B8 56 55 55 55 41 8D 59 01 41 F7 E8 8B C2 C1 E8 1F 03 D0 8D 04 52 41 3B C0 74 3B 66 44 03 C3 B8 56 55 55 55 44 2B CB 41 0F BF C8 F7 E9 8B C2 C1 E8 1F 03 D0 8D 04 52 3B C1 75 E0 66 44 89 45 18 45 85 C9 79 11 48 8D 4D 10 41 8B D1 E8 ?? ?? ?? ?? 44 0F B7 45 18 F2 0F 10 6D 10 B8 00 80 00 00 66 85 45 16 75 04 33 DB EB 0C 0F 57 2D ?? ?? ?? ?? F2 0F 11 6D 10 F2 0F 10 1D ?? ?? ?? ?? 0F 28 E5 0F 28 C5 F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 25 ?? ?? ?? ?? 0F 28 F5 F2 0F 59 35 ?? ?? ?? ?? F2 0F 59 E5 F2 0F 59 EB F2 0F 58 25 ?? ?? ?? ?? 0F 28 D6 0F 28 CD F2 0F 5E E0 F2 0F 5E CC 0F 28 C4 F2 0F 59 C4 F2 0F 58 C8 F2 0F 5E D1 F2 0F 58 D4 F2 0F 59 D3 F2 0F 5E EA 0F 28 C2 F2 0F 59 C2 F2 0F 58 E8 F2 0F 5E F5 F2 0F 58 F2 F2 0F 59 F3 F2 0F 11 75 20 85 DB 74 0C 0F 57 35 ?? ?? ?? ?? F2 0F 11 75 20 41 0F BF C8 B8 56 55 55 55 F7 E9 48 8D 4D 20 8B C2 C1 E8 1F 03 D0 E8 ?? ?? ?? ?? F2 0F 10 45 20 48 8B 5C 24 58 0F 28 74 24 20 48 83 C4 30 5D C3 }
	condition:
		$1
}

rule file_180_3_0 {
	meta:
		name = "_towlower_l"
		size = 202
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0060 iswctype 009b __crtLCMapStringW"
	strings:
		$1 = { 48 89 5C 24 10 66 89 4C 24 08 55 48 8B EC 48 83 EC 50 B8 FF FF 00 00 66 3B C8 0F 84 9F 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5D E0 48 8B 83 38 01 00 00 48 85 C0 75 13 0F B7 55 10 8D 42 BF 66 83 F8 19 77 65 66 83 C2 20 EB 5F 0F B7 4D 10 BA 00 01 00 00 66 3B CA 73 25 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 06 0F B7 55 10 EB 3D 0F B7 4D 10 48 8B 83 10 01 00 00 0F B6 14 08 EB 2C 48 8D 4D 20 41 B9 01 00 00 00 4C 8D 45 10 44 89 4C 24 28 48 89 4C 24 20 48 8B C8 E8 ?? ?? ?? ?? 0F B7 55 10 85 C0 74 04 0F B7 55 20 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 0F B7 C2 48 8B 5C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "_dupenv_s"
		size = 258
		refs = "0028 _lock 003c _errno 0048 _invalid_parameter_noinfo 0069 _getenv_helper_nolock 0079 strlen 008a calloc 00b4 strcpy_s 00ca _unlock 00e2 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 49 8B F0 48 8B FA 4C 8B F1 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 F6 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 76 49 89 1E 48 85 FF 74 03 48 89 1F 8B C3 48 85 F6 0F 95 C0 85 C0 74 D6 48 8B CE E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 74 4F 48 8B C8 E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 34 02 48 8B CE E8 ?? ?? ?? ?? 49 89 06 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 18 EB 1A 4D 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 16 48 85 FF 74 03 48 89 37 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_181_1_0 {
	meta:
		name = "_dupenv_s$fin$0"
		size = 25
		refs = "0014 _unlock"
		altNames = "_wdupenv_s$fin$0 _wgetenv_s$fin$0 getenv_s$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 07 00 00 00 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_181_2_0 {
	meta:
		name = "_dupenv_s_helper"
		size = 212
		refs = "0020 _errno 002c _invalid_parameter_noinfo 005d _getenv_helper_nolock 0071 strlen 0082 calloc 00ac strcpy_s 00cf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B DA 48 8B F1 48 85 C9 75 28 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 21 00 48 85 D2 74 04 48 83 22 00 4D 85 C0 74 C6 49 8B C8 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 04 33 C0 EB C5 48 8B C8 E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 3C 02 48 8B CF E8 ?? ?? ?? ?? 48 89 06 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 90 4C 8B C5 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0A 48 85 DB 74 B0 48 89 3B EB AB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_181_3_0 {
	meta:
		name = "_getenv_helper_nolock"
		size = 162
		refs = "0011 __env_initialized 0019 _environ 002a _wenviron 0031 __wtomb_environ 004e strlen 0077 _mbsnbicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 3D ?? ?? ?? ?? 00 48 8B 1D ?? ?? ?? ?? 48 8B F1 74 6E 48 85 DB 75 1E 48 39 1D ?? ?? ?? ?? 74 60 E8 ?? ?? ?? ?? 85 C0 75 57 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 4B 48 85 F6 74 46 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B 0B 48 85 C9 74 33 E8 ?? ?? ?? ?? 48 3B C7 76 18 48 8B 0B 80 3C 39 3D 75 0F 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 85 C0 74 06 48 83 C3 08 EB D0 48 8B 03 48 FF C0 48 03 C7 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_181_4_0 {
	meta:
		name = "_getenv_s_helper"
		size = 196
		refs = "0024 _errno 0030 _invalid_parameter_noinfo 006d _getenv_helper_nolock 0081 strlen 00a6 strcpy_s 00bf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 30 49 8B D8 48 8B FA 4C 8B F1 48 85 C9 75 29 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5E C3 48 83 21 00 48 85 D2 74 07 48 85 DB 75 07 EB C7 48 85 DB 75 C2 48 85 D2 74 03 C6 02 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 04 33 C0 EB B9 48 8B C8 E8 ?? ?? ?? ?? 48 FF C0 49 89 06 48 85 DB 74 E9 48 3B C3 76 07 B8 22 00 00 00 EB 9A 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 CB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_181_6_0 {
	meta:
		name = "getenv"
		size = 107
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 002f strnlen 0048 _lock 0051 _getenv_helper_nolock 005e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 3C BA FF 7F 00 00 E8 ?? ?? ?? ?? 33 C9 48 3D FF 7F 00 00 0F 92 C1 85 C9 74 D3 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1030_4_0 {
	meta:
		name = "_wgetenv"
		size = 107
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 002f wcsnlen 0048 _lock 0051 _wgetenv_helper_nolock 005e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 3C BA FF 7F 00 00 E8 ?? ?? ?? ?? 33 C9 48 3D FF 7F 00 00 0F 92 C1 85 C9 74 D3 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_181_8_0 {
	meta:
		name = "getenv_s"
		size = 251
		refs = "002b _lock 003f _errno 004b _invalid_parameter_noinfo 0080 _getenv_helper_nolock 0090 strlen 00b5 strcpy_s 00c3 _unlock 00db _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 4D 8B F1 49 8B F0 48 8B FA 4C 8B F9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 FF 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 6C 49 89 1F 48 85 FF 74 0A 48 85 F6 75 0A 48 85 FF 75 0C 48 85 F6 75 07 B8 01 00 00 00 EB 02 8B C3 85 C0 74 C9 48 85 FF 74 02 88 1F 49 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 31 48 8B C8 E8 ?? ?? ?? ?? 48 FF C0 49 89 07 48 85 F6 74 1E 48 3B C6 76 07 BB 22 00 00 00 EB 12 4D 8B C6 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 0E B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_182_0_0 {
	meta:
		name = "_snwscanf"
		size = 54
		refs = "0028 _winput_l 002d vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 48 8B D1 49 89 43 F0 49 83 63 E8 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_426_0_0 {
	meta:
		name = "_snscanf"
		size = 54
		refs = "0028 _input_l 002d vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 48 8B D1 49 89 43 F0 49 83 63 E8 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_426_2_0 {
	meta:
		name = "_snscanf_s"
		size = 54
		refs = "0028 _input_s_l 002d vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 48 8B D1 49 89 43 F0 49 83 63 E8 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_182_2_0 {
	meta:
		name = "_snwscanf_s"
		size = 54
		refs = "0028 _winput_s_l 002d vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 48 8B D1 49 89 43 F0 49 83 63 E8 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_182_1_0 {
	meta:
		name = "_snwscanf_l"
		size = 49
		refs = "0023 _winput_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 4D 89 4B E8 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_426_1_0 {
	meta:
		name = "_snscanf_l"
		size = 49
		refs = "0023 _input_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 4D 89 4B E8 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_426_3_0 {
	meta:
		name = "_snscanf_s_l"
		size = 49
		refs = "0023 _input_s_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 4D 89 4B E8 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_182_3_0 {
	meta:
		name = "_snwscanf_s_l"
		size = 49
		refs = "0023 _winput_s_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 4D 89 4B E8 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_182_4_0 {
	meta:
		name = "vscan_fn"
		size = 174
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F8 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B F1 E8 ?? ?? ?? ?? 48 85 DB 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4B 48 85 F6 74 E6 C7 44 24 38 49 00 00 00 48 89 5C 24 30 48 89 5C 24 20 48 81 FF FF FF FF 3F 76 0A C7 44 24 28 FF FF FF 7F EB 07 8D 04 3F 89 44 24 28 4C 8B 8C 24 88 00 00 00 4C 8B 84 24 80 00 00 00 48 8D 4C 24 20 48 8B D6 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_184_9_0 {
	meta:
		name = "??0FreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
		size = 55
		refs = "000a ??0VirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z 0011 ??_7FreeVirtualProcessorRoot@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 C7 83 80 00 00 00 00 00 00 00 48 C7 83 88 00 00 00 00 00 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_184_20_0 {
	meta:
		name = "??1FreeVirtualProcessorRoot@details@Concurrency@@UEAA@XZ"
		size = 22
		refs = "0003 ??_7VirtualProcessorRoot@details@Concurrency@@6B@ 000d ??_7ExecutionResource@details@Concurrency@@6B@"
		altNames = "??1VirtualProcessorRoot@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C3 }
	condition:
		$1
}

rule file_184_29_0 {
	meta:
		name = "??8HardwareAffinity@details@Concurrency@@QEAA_NAEBU012@@Z"
		size = 27
	strings:
		$1 = { 0F B7 41 08 66 39 42 08 75 0E 48 8B 01 48 39 02 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_184_30_0 {
	meta:
		name = "??9HardwareAffinity@details@Concurrency@@QEAA_NAEBU012@@Z"
		size = 34
	strings:
		$1 = { 0F B7 41 08 45 33 C0 66 39 42 08 75 0C 48 8B 01 48 39 02 41 8D 40 01 74 03 41 8B C0 84 C0 0F 94 C0 C3 }
	condition:
		$1
}

rule file_184_39_0 {
	meta:
		name = "??_GFreeVirtualProcessorRoot@details@Concurrency@@UEAAPEAXI@Z"
		size = 49
		refs = "0009 ??_7VirtualProcessorRoot@details@Concurrency@@6B@ 0016 ??_7ExecutionResource@details@Concurrency@@6B@ 0024 ??3@YAXPEAX@Z"
		altNames = "??_GVirtualProcessorRoot@details@Concurrency@@UEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_184_45_0 {
	meta:
		name = "?AcquireActivatedContext@VirtualProcessorRoot@details@Concurrency@@QEAAPEAUIExecutionContext@3@XZ"
		size = 69
		refs = "000e ?_Sleep0@details@Concurrency@@YAXXZ 0026 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 44 24 30 48 8B 41 08 EB 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 43 08 48 85 C0 74 ED 48 8B 43 08 48 C7 43 08 00 00 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_184_46_0 {
	meta:
		name = "?Activate@FreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 310
		refs = "005e ?_Sleep0@details@Concurrency@@YAXXZ 007b ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00b2 ?Subscribe@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ 00bd ?Affinitize@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXPEAVFreeThreadProxy@23@@Z 00c5 ?ResumeExecution@ThreadProxy@details@Concurrency@@QEAAXXZ 00de ??_C@_08BAFMHLII@pContext?$AA@ 00f8 ??0exception@std@@QEAA@AEBQEBD@Z 00ff ??_7invalid_argument@std@@6B@ 0106 _TI3?AVinvalid_argument@std@@ 0115 _CxxThrowException 0120 ??0invalid_operation@Concurrency@@QEAA@XZ 0127 _TI2?AVinvalid_operation@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 70 48 8B FA 48 8B D9 48 85 D2 0F 84 BD 00 00 00 48 8B 02 48 8B CA FF 50 10 48 8B F0 48 85 C0 75 10 48 8B 4B 30 48 8B D7 48 8B 01 FF 50 38 48 8B F0 B8 01 00 00 00 F0 0F C1 43 78 FF C0 83 F8 02 75 06 48 87 7B 08 EB 73 83 64 24 40 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 48 EB 16 48 8B 83 88 00 00 00 48 85 C0 75 16 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 83 80 00 00 00 48 85 C0 75 DE 48 8B 83 80 00 00 00 48 85 C0 74 0C 48 8B 83 80 00 00 00 48 3B F0 75 77 48 8B CB 48 C7 83 88 00 00 00 00 00 00 00 E8 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 20 49 8B E3 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 88 00 00 00 48 8D 4C 24 20 48 89 84 24 88 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_184_47_0 {
	meta:
		name = "?Affinitize@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXPEAVFreeThreadProxy@23@@Z"
		size = 164
		refs = "0019 ?SpinUntilBlocked@ThreadProxy@details@Concurrency@@QEAAXXZ 007e ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B CA 48 8B F2 E8 ?? ?? ?? ?? 48 89 B3 80 00 00 00 48 89 5E 20 48 8B 03 48 8B 7B 30 48 8B CB FF 10 33 C9 48 89 4C 24 20 48 89 4C 24 28 8B C8 48 8B 47 20 48 C1 E1 06 0F B7 54 01 10 4C 8B 04 01 66 89 54 24 28 4C 89 44 24 20 0F 28 44 24 20 66 0F 7F 44 24 30 66 3B 56 50 75 06 4C 3B 46 48 74 0E 48 8B 56 10 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F B7 44 24 38 48 8B 5C 24 50 66 89 46 50 48 8B 44 24 30 48 89 46 48 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_184_49_0 {
	meta:
		name = "?Deactivate@FreeVirtualProcessorRoot@details@Concurrency@@UEAA_NPEAUIExecutionContext@3@@Z"
		size = 289
		refs = "0065 ?Unsubscribe@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ 006d ?SuspendExecution@ThreadProxy@details@Concurrency@@QEAAXXZ 007a ?_Sleep0@details@Concurrency@@YAXXZ 0089 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00bc ??_C@_08BAFMHLII@pContext?$AA@ 00cd ??0exception@std@@QEAA@AEBQEBD@Z 00d4 ??_7invalid_argument@std@@6B@ 00db _TI3?AVinvalid_argument@std@@ 00e8 _CxxThrowException 00f2 ??0invalid_operation@Concurrency@@QEAA@XZ 00f9 _TI2?AVinvalid_operation@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 20 55 48 8B EC 48 81 EC 80 00 00 00 48 8B D9 48 85 D2 0F 84 98 00 00 00 48 8B 81 80 00 00 00 48 85 C0 0F 84 BC 00 00 00 48 8B 02 48 8B CA FF 50 10 48 8B 8B 80 00 00 00 48 8B F8 48 3B C8 0F 85 BA 00 00 00 F0 FF 4B 78 75 20 48 8B 83 80 00 00 00 48 8B CB 48 87 83 88 00 00 00 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? EB 2F 83 65 C0 00 48 8D 05 ?? ?? ?? ?? 48 89 45 C8 EB 09 48 8D 4D B8 E8 ?? ?? ?? ?? 48 8B 43 08 48 85 C0 74 EE 48 8B 43 08 48 C7 43 08 00 00 00 00 4C 8D 9C 24 80 00 00 00 B0 01 49 8B 5B 10 49 8B 7B 28 49 8B E3 5D C3 48 8D 05 ?? ?? ?? ?? 48 8D 55 20 48 8D 4D A0 48 89 45 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D A0 48 89 45 A0 E8 ?? ?? ?? ?? CC 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? CC 48 8D 4D E8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E8 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_184_50_0 {
	meta:
		name = "?DeleteThis@FreeVirtualProcessorRoot@details@Concurrency@@UEAAXXZ"
		size = 144
		refs = "0018 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 004f ?_Sleep0@details@Concurrency@@YAXXZ 006c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 41 30 48 8B D9 48 8B 50 18 8B 8A B0 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 23 8A D0 80 E2 03 80 FA 01 75 19 48 83 E1 FE 74 13 48 8B 83 80 00 00 00 48 3B C8 75 07 48 83 61 20 00 EB 35 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 16 48 8B 83 88 00 00 00 48 85 C0 75 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 83 80 00 00 00 48 85 C0 75 DE 48 8B 03 BA 01 00 00 00 48 8B CB 48 83 C4 40 5B 48 FF 60 40 }
	condition:
		$1
}

rule file_184_51_0 {
	meta:
		name = "?EnsureAllTasksVisible@FreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 184
		refs = "003d ?FlushStoreBuffers@ResourceManager@details@Concurrency@@QEAAXXZ 0044 ??_C@_08BAFMHLII@pContext?$AA@ 005e ??0exception@std@@QEAA@AEBQEBD@Z 0065 ??_7invalid_argument@std@@6B@ 006c _TI3?AVinvalid_argument@std@@ 007b _CxxThrowException 0086 ??0invalid_operation@Concurrency@@QEAA@XZ 008d _TI2?AVinvalid_operation@Concurrency@@"
	strings:
		$1 = { 40 53 48 83 EC 70 48 8B D9 48 85 D2 74 33 48 8B 81 80 00 00 00 48 85 C0 74 66 48 8B 02 48 8B CA FF 50 10 48 8B 8B 80 00 00 00 48 3B C8 75 6D 48 8B 4B 30 48 8B 49 18 48 83 C4 70 5B E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 88 00 00 00 48 8D 4C 24 20 48 89 84 24 88 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_184_66_0 {
	meta:
		name = "?ResetOnIdle@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXW4SwitchingProxyState@3@@Z"
		size = 183
		refs = "0031 ?Unsubscribe@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ 0049 ?SuspendExecution@ThreadProxy@details@Concurrency@@QEAAXXZ 0057 ?_Sleep0@details@Concurrency@@YAXXZ 006c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 48 8B B9 80 00 00 00 8B EA 48 8B D9 83 C8 FF F0 0F C1 41 78 FF C8 7F 23 85 C0 75 05 E8 ?? ?? ?? ?? 48 C7 83 80 00 00 00 00 00 00 00 83 FD 01 75 5D 48 8B CF E8 ?? ?? ?? ?? EB 53 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8B 41 08 EB 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 43 08 48 85 C0 74 ED 48 8B 73 08 48 C7 43 08 00 00 00 00 48 8B 06 48 8B CE FF 50 10 48 3B F8 74 0F 48 8B 07 44 8B C5 48 8B D6 48 8B CF FF 50 08 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_184_68_0 {
	meta:
		name = "?SetAffinity@FreeThreadProxy@details@Concurrency@@QEAAXUHardwareAffinity@23@@Z"
		size = 73
		refs = "002b ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 20 0F B7 41 50 48 8B FA 48 8B D9 66 39 42 08 75 09 48 8B 41 48 48 39 02 74 0C 48 8B 51 10 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 08 66 89 43 50 48 8B 07 48 89 43 48 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_70_0 {
	meta:
		name = "?SpinUntilIdle@FreeVirtualProcessorRoot@details@Concurrency@@IEAAXXZ"
		size = 75
		refs = "000e ?_Sleep0@details@Concurrency@@YAXXZ 0035 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 44 24 30 48 8B 81 80 00 00 00 EB 1D 48 8B 83 88 00 00 00 48 85 C0 75 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 83 80 00 00 00 48 85 C0 75 DE 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_185_0_0 {
	meta:
		name = "wcscmp"
		size = 57
	strings:
		$1 = { 44 0F B7 02 0F B7 01 41 2B C0 75 1A 48 2B CA 66 45 85 C0 74 11 48 83 C2 02 44 0F B7 02 0F B7 04 11 41 2B C0 74 E9 85 C0 79 04 83 C8 FF C3 B9 01 00 00 00 85 C0 0F 4F C1 C3 }
	condition:
		$1
}

rule file_186_0_0 {
	meta:
		name = "_lsearch"
		size = 160
		refs = "002d _errno 0038 _invalid_parameter_noinfo 007c memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 57 48 83 EC 20 33 ED 41 8B F1 49 8B F8 48 8B DA 4C 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 45 4D 85 C0 74 E7 48 85 D2 74 E2 45 85 C9 74 DD 48 39 6C 24 50 74 D6 41 39 28 76 17 48 8B D3 49 8B CF FF 54 24 50 85 C0 74 19 FF C5 48 03 DE 3B 2F 72 E9 4C 8B C6 49 8B D7 48 8B CB E8 ?? ?? ?? ?? FF 07 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_187_0_0 {
	meta:
		name = "_raise_zerodivide"
		size = 32
	strings:
		$1 = { 66 0F 76 C0 66 0F EF C9 66 0F 72 F0 1C F3 0F 5E C1 C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_187_1_0 {
	meta:
		name = "__sse2_pow2"
		size = 1152
		refs = "000a s_Data"
	strings:
		$1 = { 48 81 EC 98 00 00 00 48 8D 05 ?? ?? ?? ?? 0F 29 7C 24 70 0F 29 74 24 60 48 89 84 24 80 00 00 00 66 0F 28 D8 66 0F 28 D0 66 0F DB 05 ?? ?? ?? ?? 66 0F 57 F6 4C 8B 84 24 80 00 00 00 66 0F FE 05 ?? ?? ?? ?? BA 00 00 00 00 89 94 24 88 00 00 00 66 0F 73 D0 2A 66 0F 7E C0 66 0F C5 C8 04 66 0F 29 4C 24 20 66 0F C5 D3 03 F3 41 0F 7E 84 C0 50 02 00 00 66 41 0F 16 84 C8 50 02 00 00 66 0F DB 15 ?? ?? ?? ?? 03 C0 66 41 0F 28 BC C0 60 22 00 00 66 0F C5 C3 07 66 0F 29 5C 24 30 66 0F FB 1D ?? ?? ?? ?? 03 C9 66 0F EB 15 ?? ?? ?? ?? 66 0F 72 E3 14 66 0F DB 1D ?? ?? ?? ?? 66 41 0F 28 AC C8 60 22 00 00 66 0F 28 E2 66 0F 29 74 24 40 66 0F FE 1D ?? ?? ?? ?? 66 0F 59 D0 81 EA 10 00 00 80 66 0F 5C 1D ?? ?? ?? ?? 2D 10 00 00 80 81 FA DF 7F 00 80 0F 8F C4 02 00 00 3D DF 7F 00 80 0F 8F B9 02 00 00 66 0F 70 F7 0E 66 0F 14 FD 66 0F 58 DF 66 0F C6 F5 02 66 0F 28 3D ?? ?? ?? ?? 66 0F DB FC 66 0F 5C E7 66 0F 59 F8 66 0F 59 E0 66 0F 5C FA 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 FC 66 0F 28 E3 66 0F 58 DA 66 0F 5C E3 66 0F 58 E2 66 0F 28 C3 66 0F 58 DF 66 0F 5C C3 66 0F 58 C7 66 0F 58 FA 66 0F 58 C4 66 0F 28 D7 66 0F 59 FF 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 E7 66 0F 59 EF 66 0F 58 C6 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 28 F3 66 0F 59 E7 66 0F 59 EF 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E7 66 0F 59 EF 66 0F 28 F9 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 70 D3 F1 66 0F 58 E5 66 0F 58 C4 66 0F 28 25 ?? ?? ?? ?? 66 0F 58 D8 66 0F 5C F3 66 0F 7E D0 66 0F 70 D2 FF 8B 4C 24 24 66 0F DB 3D ?? ?? ?? ?? 66 0F 58 C6 66 0F DB E3 25 00 00 F0 7F 81 E1 00 00 F0 7F 66 0F 5C DC 03 C1 3D 00 00 90 80 0F 87 DF 01 00 00 66 0F 7E D0 66 0F 59 C1 8B 4C 24 2C 25 00 00 F0 7F 81 E1 00 00 F0 7F 03 C1 3D 00 00 90 80 0F 87 BB 01 00 00 66 0F 28 EB 8B 44 24 24 25 FF FF FF 7F 8B 4C 24 20 0B C8 66 0F 5C CF 0F 84 9E 01 00 00 3D 00 00 F0 7F 66 0F 59 DF 0F 83 8F 01 00 00 8B 44 24 2C 25 FF FF FF 7F 8B 4C 24 28 0B C8 0F 84 7A 01 00 00 3D 00 00 F0 7F 66 0F 59 E9 0F 83 6B 01 00 00 66 0F 59 CC 66 0F 59 FC 66 0F 58 EB 66 0F 28 1D ?? ?? ?? ?? 66 0F 58 E9 66 0F 28 D7 66 0F 58 3D ?? ?? ?? ?? 66 0F 7E F8 66 0F C5 CF 04 66 0F C5 D7 05 C1 E2 10 66 0F 5C DF 0B CA 3D 80 FF 01 00 0F 8D 25 01 00 00 81 F9 80 FF 01 00 0F 8D 19 01 00 00 3D 00 1E FE FF 0F 8E 0E 01 00 00 81 F9 00 1E FE FF 0F 8E 02 01 00 00 83 E0 7F 83 E1 7F 03 C0 03 C9 66 0F 73 F7 2D 66 0F 28 25 ?? ?? ?? ?? 66 0F FE 3D ?? ?? ?? ?? 66 0F DB 3D ?? ?? ?? ?? 66 0F 58 DA 66 0F 58 E8 66 0F 28 05 ?? ?? ?? ?? F3 41 0F 7E 94 C0 90 62 00 00 66 0F 58 EB F3 41 0F 7E 9C C0 98 62 00 00 66 41 0F 16 94 C8 90 62 00 00 66 41 0F 16 9C C8 98 62 00 00 66 0F 59 C5 66 0F 28 CD 66 0F 59 E5 66 0F 59 ED 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 C5 66 0F 59 E5 66 0F 59 C5 66 0F 59 0D ?? ?? ?? ?? 66 0F 59 C2 66 0F 59 E2 66 0F 58 C3 66 0F 59 CA 66 0F 58 C4 66 0F 58 C1 66 0F 58 C2 66 0F 59 C7 E9 A9 00 00 00 66 0F 57 F6 66 0F 28 3D ?? ?? ?? ?? 66 0F C2 74 24 20 01 66 0F C2 7C 24 20 05 66 0F EF ED 66 0F DB F7 66 0F 76 6C 24 30 66 0F 70 FD B1 66 0F DB EE 66 0F DB EF 66 0F D7 D5 89 94 24 88 00 00 00 66 0F 29 6C 24 40 8B 84 24 88 00 00 00 A8 0F 75 1E F2 0F 10 44 24 30 F2 0F 10 4C 24 20 E8 60 00 00 00 F2 0F 11 44 24 50 8B 84 24 88 00 00 00 A9 00 0F 00 00 75 17 F2 0F 10 44 24 38 F2 0F 10 4C 24 28 E8 3B 00 00 00 F2 0F 11 44 24 58 4C 8B 84 24 80 00 00 00 66 0F 28 44 24 50 66 0F 76 C9 66 0F EF 4C 24 40 66 0F 54 C1 0F 28 74 24 60 0F 28 7C 24 70 48 81 C4 98 00 00 00 C3 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_187_2_0 {
	meta:
		name = "pow_scalar"
		size = 3712
		refs = "00e4 s_Data 03f6 INF_c_2044_0_4 048b _2il0floatpacket_15 04f6 _2il0floatpacket_16 0c25 QNaN_c_2044_0_4"
	strings:
		$1 = { 53 56 57 41 54 41 55 41 56 41 57 55 48 81 EC F8 00 00 00 33 D2 F2 0F 11 8C 24 88 00 00 00 8B 9C 24 8C 00 00 00 8B CB 81 E1 FF FF FF 7F 44 0F 29 BC 24 90 00 00 00 81 F9 00 00 F0 7F 44 0F 29 B4 24 D0 00 00 00 44 0F 29 A4 24 E0 00 00 00 44 0F 29 9C 24 A0 00 00 00 44 0F 29 84 24 B0 00 00 00 0F 29 B4 24 C0 00 00 00 F2 0F 11 84 24 40 01 00 00 66 49 0F 7E C1 0F 83 93 01 00 00 8B 84 24 88 00 00 00 0B C8 0F 84 84 01 00 00 49 8B C1 48 C1 E8 20 8B E8 81 E5 FF FF FF 7F 4C 89 4C 24 28 8D 8D 00 00 F0 FF 81 F9 00 00 E0 7F 73 14 8B C8 81 E1 00 00 00 80 81 F9 00 00 00 80 0F 85 47 04 00 00 81 FD 00 00 F0 7F 0F 83 42 01 00 00 8B 4C 24 28 0B E9 0F 84 36 01 00 00 3D 00 00 10 00 73 2B F2 0F 59 05 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 F0 3F F2 0F 11 44 24 28 BA 34 00 00 00 48 89 44 24 30 8B 44 24 2C E9 0C 04 00 00 F2 0F 11 4C 24 20 8B 7C 24 24 81 E7 FF FF FF 7F 8B CF 8B 74 24 20 0B CE 74 6C 8D 8F 00 00 10 C0 81 F9 00 00 00 40 73 3D 81 FF 00 00 40 43 7D 56 8B CF 81 E1 00 00 F0 7F 81 C1 00 00 10 C0 C1 F9 14 83 F9 14 7F 23 8B EF D3 E5 C1 E5 0C 0B EE 75 14 83 C1 0B D3 E7 F7 D7 81 E7 00 00 00 80 C1 EF 1F FF C7 EB 26 33 FF EB 22 83 C1 0B D3 E6 F7 C6 FF FF FF 7F 75 EF F7 D6 81 E6 00 00 00 80 C1 EE 1F 8D 7E 01 EB 05 BF 02 00 00 00 25 00 00 00 80 3D 00 00 00 80 75 6D 85 FF 74 69 0F 28 C8 83 FF 01 0F 57 C0 F2 0F 5C C1 F2 0F 11 44 24 28 74 11 48 B8 00 00 00 00 00 00 F0 3F 48 89 44 24 30 EB 0F 48 B8 00 00 00 00 00 00 F0 BF 48 89 44 24 30 8B 44 24 2C 8B C8 81 E1 FF FF FF 7F 81 F9 00 00 10 00 0F 83 24 03 00 00 F2 0F 59 05 ?? ?? ?? ?? BA 34 00 00 00 F2 0F 11 44 24 28 8B 44 24 2C E9 08 03 00 00 F2 0F 11 4C 24 20 4C 89 4C 24 30 49 C1 E9 20 45 8B D9 F2 0F 11 4C 24 28 41 81 E3 FF FF FF 7F 44 8B 54 24 2C 41 81 E1 00 00 00 80 44 8B 44 24 24 41 81 E2 FF FF FF 7F 41 81 E0 00 00 00 80 8B 7C 24 30 41 81 FB 00 00 F0 7F 44 89 5C 24 34 44 89 54 24 2C 0F 84 1F 0A 00 00 C7 44 24 20 00 00 00 00 41 BF 01 00 00 00 8B 44 24 28 41 81 FA 00 00 F0 7F 0F 84 F3 09 00 00 33 F6 41 8B D3 81 E2 00 00 F0 7F 81 FA 00 00 F0 7F 0F 84 CC 09 00 00 33 ED 41 8B D2 81 E2 00 00 F0 7F 81 FA 00 00 F0 7F 0F 84 A8 09 00 00 33 DB 41 8B D3 8B CE 0B D7 BA 00 00 00 00 41 0F 44 D7 45 33 E4 0B CB 45 0F 44 E7 41 81 FB 00 00 F0 3F 44 89 64 24 30 0F 84 6E 09 00 00 45 33 FF F2 0F 11 4C 24 28 44 8B 6C 24 2C 41 81 E5 FF FF FF 7F 41 8B CD 44 8B 74 24 28 41 0B CE 74 7F 41 8D 8D 00 00 10 C0 81 F9 00 00 00 40 73 48 41 81 FD 00 00 40 43 7D 67 41 8B CD 81 E1 00 00 F0 7F 81 C1 00 00 10 C0 C1 F9 14 83 F9 14 7F 2D 45 8B E5 41 D3 E4 41 C1 E4 0C 45 0B E6 75 19 83 C1 0B 41 D3 E5 41 F7 D5 41 81 E5 00 00 00 80 41 C1 ED 1F 41 FF C5 EB 2E 45 33 ED EB 29 83 C1 0B 41 D3 E6 41 F7 C6 FF FF FF 7F 75 EC 41 F7 D6 41 81 E6 00 00 00 80 41 C1 EE 1F 45 8D 6E 01 EB 06 41 BD 02 00 00 00 41 81 FB 00 00 F0 3F 7E 04 B1 01 EB 08 0F 84 A7 08 00 00 B1 00 44 0B D0 0F 84 4B 01 00 00 45 85 C9 75 0B 45 85 FF 0F 85 3D 01 00 00 EB 0D 45 85 FF 74 08 85 F6 0F 85 2E 01 00 00 85 ED 0F 85 21 01 00 00 85 DB 0F 85 26 01 00 00 85 D2 74 0D 45 85 C0 74 08 85 F6 0F 85 D9 00 00 00 84 C9 74 22 45 85 C0 75 11 85 F6 74 19 F2 0F 10 0D ?? ?? ?? ?? E9 FB 00 00 00 85 F6 74 08 0F 57 C9 E9 EF 00 00 00 41 81 FB 00 00 F0 3F 7D 22 45 85 C0 75 0C 85 F6 74 19 0F 57 C9 E9 D5 00 00 00 85 F6 74 0D F2 0F 10 0D ?? ?? ?? ?? E9 C4 00 00 00 45 85 C9 75 23 83 7C 24 20 00 74 0D 45 85 C0 74 AB 0F 57 C9 E9 AB 00 00 00 85 D2 74 B0 45 85 C0 74 7B 41 83 FD 01 EB 60 83 7C 24 20 00 74 2C 45 85 C0 75 14 41 83 FD 01 0F 84 BF 07 00 00 F2 0F 10 0D ?? ?? ?? ?? EB 7C 41 83 FD 01 0F 57 C9 75 73 F2 0F 10 0D ?? ?? ?? ?? EB 69 83 7C 24 30 00 74 0F 45 85 ED 75 0A 85 D2 0F 84 77 07 00 00 EB 08 85 D2 0F 84 54 FF FF FF 45 85 C0 74 19 41 83 FD 01 0F 84 70 07 00 00 E8 9D F6 FF FF F2 0F 10 0D ?? ?? ?? ?? EB 2D 41 83 FD 01 74 10 83 7C 24 30 00 0F 84 25 FF FF FF 0F 57 C9 EB 17 F2 0F 10 0D ?? ?? ?? ?? EB 0D 0F 28 C8 EB 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 11 8C 24 88 00 00 00 E9 C8 06 00 00 48 B9 00 00 00 00 00 00 F0 3F 48 89 4C 24 30 8B F0 48 8D 2D ?? ?? ?? ?? F2 0F 11 44 24 20 81 E6 00 FE 0F 00 8B 4C 24 24 81 C6 00 02 00 00 81 E1 FF FF 0F 00 05 00 02 18 C0 C1 EE 0A 81 C9 00 00 F0 3F 89 4C 24 24 4C 8B CD 48 C1 E1 20 8D 3C 36 44 8B 54 24 20 49 0B CA 48 89 4C 24 28 44 8D 44 36 01 81 E1 00 00 00 F8 F2 0F 10 AC F5 50 02 00 00 89 4C 24 28 0F 28 D5 F2 0F 10 74 24 20 0F 28 DD F2 0F 10 64 24 28 F2 0F 59 D6 F2 0F 5C F4 F2 0F 59 DC F2 0F 59 F5 F2 0F 5C DA C1 F8 14 2B C2 8B D3 F2 44 0F 2A D8 48 8B C5 F2 0F 11 5C 24 38 81 E2 00 00 F0 7F F2 44 0F 10 44 24 38 81 C2 00 00 10 C0 F2 0F 10 0D ?? ?? ?? ?? F2 44 0F 58 C6 F2 44 0F 58 9C F8 60 22 00 00 F2 0F 58 CA F2 44 0F 11 44 24 38 F2 44 0F 11 5C 24 40 F2 44 0F 10 64 24 40 F2 44 0F 58 E1 F2 44 0F 11 64 24 48 8B 44 24 4C 44 8B D8 41 81 E3 00 00 F0 7F 41 81 C3 00 00 10 C0 41 C1 FB 14 C1 FA 14 44 03 DA F2 43 0F 10 84 C1 60 22 00 00 41 83 FB 0B 0F 8F 64 06 00 00 F2 0F 10 74 24 40 F2 0F 10 64 24 48 48 8B 94 24 88 00 00 00 F2 0F 5C F4 F2 0F 11 74 24 50 F2 0F 10 54 24 50 48 89 54 24 28 F2 0F 58 D1 F2 0F 11 54 24 50 81 E2 00 00 00 F8 F2 0F 10 6C 24 48 F2 0F 10 5C 24 38 89 54 24 28 F2 0F 58 EB F2 0F 11 6C 24 58 F2 44 0F 10 5C 24 48 F2 44 0F 10 44 24 58 F2 45 0F 5C D8 F2 44 0F 11 5C 24 60 F2 44 0F 10 74 24 38 F2 44 0F 10 64 24 60 F2 45 0F 58 F4 F2 44 0F 11 74 24 60 F2 0F 10 64 24 50 F2 44 0F 10 7C 24 60 F2 41 0F 58 E7 F2 0F 11 64 24 60 F2 0F 10 74 24 60 F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 C6 F2 0F 11 44 24 60 F2 0F 10 44 24 38 F2 0F 10 74 24 60 F2 0F 58 C8 F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 F4 F2 0F 11 74 24 60 F2 0F 10 64 24 58 F2 0F 10 4C 24 60 F2 0F 58 E1 F2 0F 11 64 24 68 F2 0F 10 44 24 68 F2 0F 10 74 24 58 F2 0F 10 A4 24 88 00 00 00 F2 0F 5C C6 F2 0F 5C 64 24 28 F2 0F 11 44 24 70 F2 0F 10 54 24 60 F2 0F 10 4C 24 70 F2 0F 5C D1 F2 0F 11 54 24 60 48 8B 44 24 68 48 89 44 24 78 81 64 24 78 00 00 00 F8 F2 0F 10 6C 24 68 F2 0F 10 5C 24 78 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C EB F2 0F 11 AC 24 80 00 00 00 0F 28 EA F2 0F 10 74 24 78 F2 0F 59 74 24 28 F2 44 0F 10 84 24 80 00 00 00 F2 0F 58 EE F2 44 0F 59 C4 F2 44 0F 10 A4 24 80 00 00 00 F2 44 0F 59 64 24 28 F2 44 0F 10 5C 24 78 F2 45 0F 58 E0 F2 41 0F 59 E3 F2 0F 11 6C 24 20 F2 41 0F 58 E4 8B 5C 24 20 8B C3 83 E0 80 83 E3 7F C1 F8 07 F2 0F 10 5C 24 60 3D FF 03 00 00 F2 0F 59 9C 24 88 00 00 00 7C 52 3D 01 04 00 00 7C 34 48 8B 05 ?? ?? ?? ?? 48 89 84 24 88 00 00 00 48 C1 E8 20 8B 54 24 34 81 E2 00 00 00 80 0B C2 89 84 24 8C 00 00 00 F2 0F 10 8C 24 88 00 00 00 E9 46 03 00 00 F2 0F 10 4C 24 30 FF C8 F2 0F 58 C9 F2 0F 11 4C 24 30 E9 6B 02 00 00 3D 3C FC FF FF 0F 8F 5A 02 00 00 3D CC FB FF FF 7F 2A 8B 44 24 34 48 C7 84 24 88 00 00 00 00 00 00 00 25 00 00 00 80 89 84 24 8C 00 00 00 F2 0F 10 8C 24 88 00 00 00 E9 F3 02 00 00 F2 44 0F 10 35 ?? ?? ?? ?? 83 C0 6F C1 E0 14 48 8D 15 ?? ?? ?? ?? 05 00 00 F0 3F 48 8B EA 89 44 24 2C 8D 04 1B F2 44 0F 10 3D ?? ?? ?? ?? 8D 5C 1B 01 48 8B CA F2 0F 5C EA F2 0F 58 E3 F2 0F 5C F5 0F 28 DE F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 DC F2 44 0F 59 F3 F2 0F 10 AC C2 90 62 00 00 F2 0F 10 8C DD 90 62 00 00 C7 44 24 28 00 00 00 00 F2 44 0F 10 5C 24 30 F2 44 0F 59 1D ?? ?? ?? ?? F2 44 0F 58 35 ?? ?? ?? ?? F2 44 0F 59 F3 48 8B 84 C1 90 62 00 00 F2 44 0F 58 F2 45 0F 28 E6 F2 44 0F 59 E3 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 58 E7 F2 44 0F 59 E5 44 0F 28 C2 F2 44 0F 59 C3 F2 44 0F 59 E3 F2 44 0F 59 C5 F2 44 0F 59 E3 F2 44 0F 58 E1 F2 45 0F 58 E0 F2 44 0F 10 44 24 28 41 0F 28 C0 F2 0F 59 C5 F2 41 0F 59 C3 F2 0F 11 44 24 20 8B 74 24 24 81 E6 FF FF FF 7F 81 FE 00 00 10 00 0F 86 B6 00 00 00 F2 44 0F 59 F3 F2 0F 5C F3 F2 45 0F 59 D8 F2 45 0F 58 FE F2 0F 58 F4 F2 44 0F 59 FB 44 0F 28 E3 F2 41 0F 58 D7 F2 44 0F 59 E2 F2 0F 59 D6 F2 44 0F 11 64 24 20 41 0F 28 DC 81 64 24 20 00 00 00 FF 0F 28 F5 F2 44 0F 10 74 24 20 48 89 44 24 28 F2 41 0F 5C DE F2 44 0F 59 E1 F2 0F 58 D3 C7 44 24 28 00 00 00 00 F2 44 0F 10 7C 24 28 F2 41 0F 5C F7 0F 28 E6 F2 0F 59 E2 F2 41 0F 59 D7 F2 41 0F 59 F6 F2 44 0F 58 E4 F2 45 0F 59 F7 F2 41 0F 58 CC F2 0F 58 CA F2 0F 58 CE F2 41 0F 58 CE F2 0F 58 CD F2 41 0F 59 CB F2 0F 11 8C 24 88 00 00 00 E9 36 01 00 00 48 89 44 24 20 33 C0 F2 44 0F 11 64 24 28 89 44 24 20 81 64 24 24 00 00 FF FF 89 44 24 28 F2 0F 10 4C 24 20 F2 0F 10 44 24 28 F2 0F 5C E9 F2 44 0F 5C E0 F2 44 0F 58 E5 41 0F 28 EB F2 41 0F 59 E8 F2 44 0F 59 C1 F2 44 0F 58 E0 F2 45 0F 59 C3 F2 44 0F 59 E5 41 0F 28 CC F2 41 0F 58 C8 F2 0F 11 8C 24 88 00 00 00 E9 CA 00 00 00 F2 0F 10 4C 24 30 C1 E0 14 48 8D 15 ?? ?? ?? ?? 05 00 00 F0 3F 8D 4C 1B 01 89 44 24 2C 8D 04 1B F2 0F 5C EA F2 0F 58 E3 F2 0F 5C F5 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 E6 F2 0F 10 35 ?? ?? ?? ?? 48 8B DA F2 0F 11 6C 24 20 F2 0F 10 AC C2 90 62 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 F4 F2 0F 59 D4 F2 0F 59 DC F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 DD F2 0F 59 F4 F2 0F 59 D4 F2 0F 59 F4 F2 0F 59 D4 F2 0F 59 F4 F2 0F 59 D5 F2 0F 59 F4 F2 0F 59 F5 C7 44 24 28 00 00 00 00 F2 0F 58 B4 CB 90 62 00 00 F2 0F 58 F2 F2 0F 58 F3 F2 0F 58 F5 F2 0F 59 CE F2 0F 59 4C 24 28 F2 0F 11 8C 24 88 00 00 00 0F 28 B4 24 C0 00 00 00 0F 28 C1 44 0F 28 84 24 B0 00 00 00 44 0F 28 9C 24 A0 00 00 00 44 0F 28 A4 24 E0 00 00 00 44 0F 28 B4 24 D0 00 00 00 44 0F 28 BC 24 90 00 00 00 48 81 C4 F8 00 00 00 5D 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 E8 5F 02 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 CC F8 FF FF E8 2D EF FF FF 0F 57 C9 F2 0F 5C 0D ?? ?? ?? ?? E9 B7 F8 FF FF 85 FF 0F 85 47 F7 FF FF E9 4C F7 FF FF 33 C9 85 FF 44 0F 45 F9 E9 88 F6 FF FF 33 DB 85 F6 41 0F 44 DF E9 4D F6 FF FF 33 ED 83 7C 24 20 00 41 0F 44 EF E9 26 F6 FF FF 33 F6 85 C0 41 0F 44 F7 E9 02 F6 FF FF 41 BF 01 00 00 00 33 C0 85 FF 41 0F 44 C7 89 44 24 20 E9 D8 F5 FF FF 33 D8 F7 C3 00 00 00 80 0F 85 F1 00 00 00 F7 84 24 44 01 00 00 00 00 00 80 75 1C 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 FB FE FF FF 48 8B 84 24 88 00 00 00 8B D8 48 C1 E8 20 25 FF FF FF 7F 8B D0 0B D3 74 CB 8D 90 00 00 10 C0 81 FA 00 00 00 40 73 50 3D 00 00 40 43 7D B6 8B C8 81 E1 00 00 F0 7F 81 C1 00 00 10 C0 C1 F9 14 83 F9 14 7F 4F 8B D0 D3 E2 C1 E2 0C 0B D3 75 28 83 C1 0B D3 E0 A9 00 00 00 80 74 89 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 84 FE FF FF 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 68 FE FF FF 83 C1 0B D3 E3 F7 C3 FF FF FF 7F 75 D7 F7 C3 00 00 00 80 0F 84 38 FF FF FF 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 33 FE FF FF F7 84 24 44 01 00 00 00 00 00 80 75 14 48 C7 84 24 88 00 00 00 00 00 00 00 0F 57 C9 E9 12 FE FF FF 48 8B 84 24 88 00 00 00 8B D8 48 C1 E8 20 25 FF FF FF 7F 8B D0 0B D3 74 D3 8D 90 00 00 10 C0 81 FA 00 00 00 40 0F 83 63 FF FF FF 3D 00 00 40 43 7D BA 8B C8 81 E1 00 00 F0 7F 81 C1 00 00 10 C0 C1 F9 14 83 F9 14 7F 37 8B D0 D3 E2 C1 E2 0C 0B D3 0F 85 37 FF FF FF 83 C1 0B D3 E0 A9 00 00 00 80 74 89 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 93 FD FF FF 83 C1 0B D3 E3 F7 C3 FF FF FF 7F 0F 85 FE FE FF FF F7 C3 00 00 00 80 0F 84 50 FF FF FF 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 5A FD FF FF 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_187_3_0 {
	meta:
		name = "_raise_invalid"
		size = 16
	strings:
		$1 = { B8 FF FF 8F FF 66 0F 6E C0 F3 0F 58 C0 C3 66 90 }
	condition:
		$1
}

rule file_188_1_0 {
	meta:
		name = "clogl"
		size = 591
		refs = "002f creall 0045 cimagl 0053 _ldtest 00b5 atan2 00da __xmm@80000000000000008000000000000000 0129 _fperrraise 0131 _LInf_C 0149 __real@3feccccccccccccd 015b __real@3fd999999999999a 017b _ld_int 01c6 __real@3ff0000000000000 01db log1pl 01e3 __real@3fe0000000000000 01f7 log 0228 _LCbuild"
	strings:
		$1 = { 40 55 53 56 57 48 8B EC 48 83 EC 68 0F 10 02 48 8B F9 0F 29 74 24 50 48 8D 4D B8 0F 29 7C 24 40 48 8B DA F3 0F 7F 45 B8 44 0F 29 44 24 30 E8 ?? ?? ?? ?? 48 8D 4D B8 F2 0F 11 45 30 0F 10 03 F3 0F 7F 45 B8 E8 ?? ?? ?? ?? 48 8D 4D 30 F2 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F0 E8 ?? ?? ?? ?? 0F B7 D8 66 83 FE 02 75 1C F2 0F 10 55 30 48 8D 4D B8 66 83 F8 01 0F 84 A0 01 00 00 F2 0F 11 D1 E9 9F 01 00 00 66 83 FB 02 75 1C F2 0F 10 55 28 48 8D 4D B8 66 83 FE 01 0F 84 7E 01 00 00 F2 0F 11 D1 E9 7D 01 00 00 F2 0F 10 4D 30 F2 0F 10 45 28 E8 ?? ?? ?? ?? 44 0F 28 C0 66 83 FE 01 0F 84 51 01 00 00 66 83 FB 01 0F 84 47 01 00 00 F2 0F 10 4D 30 F2 0F 10 35 ?? ?? ?? ?? 0F 57 D2 66 0F 2F D1 76 08 0F 57 CE F2 0F 11 4D 30 F2 0F 10 7D 28 66 0F 2F D7 76 08 0F 57 FE F2 0F 11 7D 28 66 0F 2F F9 76 13 0F 28 C1 F2 0F 11 7D 30 0F 28 CF F2 0F 11 45 28 0F 28 F8 66 0F 2E CA 7A 24 75 22 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 57 CE 41 0F 28 D0 48 8D 4D B8 E9 E2 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 0F 82 98 00 00 00 66 0F 2F 3D ?? ?? ?? ?? 0F 82 8A 00 00 00 BB 1A 00 00 00 48 8D 4D 40 F2 0F 11 4D 40 8B D3 F2 0F 11 7D 38 E8 ?? ?? ?? ?? 48 8D 4D 38 8B D3 E8 ?? ?? ?? ?? F2 0F 10 65 38 F2 0F 10 5D 40 F2 0F 10 6D 28 F2 0F 10 55 30 0F 28 C4 F2 0F 5C EC F2 0F 59 E4 F2 0F 58 45 28 F2 0F 5C D3 F2 0F 59 E8 0F 28 C3 F2 0F 59 DB F2 0F 58 45 30 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 C5 F2 0F 58 DC F2 0F 58 C3 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 0F 28 C8 E9 49 FF FF FF 0F 28 C1 F2 0F 5E F9 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 59 FF 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C6 EB CF 0F 28 D0 48 8D 4D B8 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 74 24 50 0F 28 7C 24 40 0F 10 00 44 0F 28 44 24 30 48 8B C7 F3 0F 7F 07 48 83 C4 68 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_190_0_0 {
	meta:
		name = "lrintf"
		size = 120
		refs = "0015 _fdtest 002c nearbyintf 0042 _fperrraise 0049 __real@cf000000 0053 __real@4f000000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 4E FF C8 83 F8 01 76 3D F3 0F 10 44 24 40 E8 ?? ?? ?? ?? 0F 28 F0 0F 2E 74 24 40 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 2F 35 ?? ?? ?? ?? 72 13 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 72 06 F3 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_191_0_0 {
	meta:
		name = "__common_satan2_cout_rare"
		size = 4656
		refs = "010c _vmldAtanHATab"
	strings:
		$1 = { 56 41 55 48 81 EC B8 00 00 00 F3 0F 10 19 F3 0F 10 12 F3 0F 5A C3 F3 0F 5A CA F2 0F 11 44 24 38 F2 0F 11 4C 24 40 0F B7 41 02 25 80 7F 00 00 44 8A 52 03 44 0F B7 4C 24 3E 41 80 E2 80 0F B7 74 24 46 41 81 E1 F0 7F 00 00 81 E6 F0 7F 00 00 C1 E8 07 44 8A 59 03 41 C0 EB 07 41 C0 EA 07 44 0F 29 BC 24 90 00 00 00 44 0F 29 B4 24 A0 00 00 00 44 0F 29 6C 24 70 44 0F 29 A4 24 80 00 00 00 41 C1 E9 04 C1 EE 04 3D FF 00 00 00 0F 84 65 10 00 00 44 0F B7 6A 02 41 81 E5 80 7F 00 00 41 81 FD 80 7F 00 00 0F 84 4C 10 00 00 45 85 C9 75 0C F7 01 FF FF 7F 00 0F 84 8F 0F 00 00 85 F6 75 0C F7 02 FF FF 7F 00 0F 84 3E 0F 00 00 F7 DE F2 0F 11 44 24 38 41 03 F1 F2 0F 11 4C 24 40 8A 54 24 3F 8A 44 24 47 80 E2 7F 24 7F 83 FE CA 0F 8E 42 0E 00 00 83 FE 36 0F 8D EB 0D 00 00 88 44 24 47 45 84 D2 88 54 24 3F 75 0D F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 EB 10 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 64 24 38 45 85 C9 F2 0F 10 44 24 40 0F 28 EC F2 0F 5E E8 48 8B 44 24 38 F2 0F 11 6C 24 58 0F 8E 8D 0F 00 00 41 81 F9 FE 07 00 00 7D 21 48 89 44 24 38 41 81 C1 01 FC FF FF 48 C1 E8 30 25 0F 80 FF FF 0D F0 3F FF FF 66 89 44 24 3E EB 18 F2 0F 10 1D ?? ?? ?? ?? 41 B9 FE 03 00 00 F2 0F 59 E3 F2 0F 11 64 24 38 41 F7 D9 48 8B 05 ?? ?? ?? ?? 41 81 C1 FF 03 00 00 48 89 44 24 40 41 81 E1 FF 07 00 00 48 C1 E8 30 41 C1 E1 04 25 0F 80 FF FF 41 0B C1 66 89 44 24 46 F2 0F 10 5C 24 40 F2 0F 59 C3 66 0F 2F 2D ?? ?? ?? ?? 0F 82 40 08 00 00 F2 44 0F 10 2D ?? ?? ?? ?? 0F 28 D8 F2 41 0F 59 DD 44 0F 28 F0 F2 0F 11 5C 24 20 F2 44 0F 10 7C 24 20 F2 0F 11 6C 24 40 F2 44 0F 5C F8 F2 44 0F 11 7C 24 28 F2 0F 10 6C 24 20 F2 0F 10 64 24 28 8B 4C 24 44 8B F1 81 E1 00 00 08 00 81 E6 00 00 F0 FF 81 C9 00 00 04 00 F2 0F 5C EC F2 0F 11 6C 24 20 0B F1 F2 0F 10 5C 24 20 C7 44 24 40 00 00 00 00 F2 44 0F 5C F3 89 74 24 44 F2 44 0F 11 74 24 28 F2 0F 10 6C 24 20 F2 0F 10 64 24 40 F2 44 0F 10 74 24 28 F2 0F 59 EC F2 44 0F 59 F4 F2 44 0F 10 25 ?? ?? ?? ?? F2 41 0F 59 EC F2 45 0F 59 F4 44 0F 28 FD 0F B7 54 24 5E F2 45 0F 58 FE F2 44 0F 11 7C 24 20 81 E2 F0 7F 00 00 F2 0F 10 5C 24 20 C1 EA 04 F2 0F 5C EB F2 0F 10 5C 24 38 F2 41 0F 58 EE F2 0F 11 6C 24 28 44 0F 28 FB F2 44 0F 10 64 24 20 F2 44 0F 10 74 24 28 F2 45 0F 58 FC F2 44 0F 11 7C 24 20 44 0F 28 FB F2 0F 10 6C 24 20 8B 44 24 5C F2 44 0F 5C FD F2 44 0F 11 7C 24 28 25 FF FF 0F 00 F2 44 0F 10 7C 24 20 F2 0F 10 6C 24 28 C1 E2 14 F2 44 0F 58 FD F2 44 0F 11 7C 24 30 44 0F 28 FB F2 0F 10 6C 24 28 0B D0 81 C2 00 00 40 C0 B8 71 00 00 00 C1 FA 13 F2 44 0F 58 E5 F2 44 0F 11 64 24 28 83 FA 71 F2 44 0F 10 64 24 30 0F 4C C2 48 8D 15 ?? ?? ?? ?? 03 C0 48 8B CA 48 63 C0 F2 45 0F 5C FC F2 44 0F 11 7C 24 30 F2 0F 10 6C 24 28 F2 44 0F 10 64 24 30 F2 41 0F 58 EC F2 0F 11 6C 24 30 F2 0F 10 6C 24 20 F2 44 0F 10 64 24 30 F2 45 0F 58 E6 44 0F 28 F5 F2 45 0F 59 F5 F2 44 0F 11 74 24 20 F2 44 0F 10 7C 24 20 F2 44 0F 5C FD F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 74 24 28 F2 45 0F 5C FE F2 44 0F 11 7C 24 20 44 0F 28 FB F2 44 0F 10 74 24 20 F2 44 0F 59 3D ?? ?? ?? ?? F2 41 0F 5C EE F2 0F 11 6C 24 28 F2 0F 10 6C 24 20 F2 44 0F 10 74 24 28 F2 44 0F 11 7C 24 20 F2 45 0F 58 E6 F2 44 0F 10 74 24 20 F2 44 0F 5C 74 24 38 F2 44 0F 11 74 24 28 F2 44 0F 10 74 24 20 F2 44 0F 10 7C 24 28 F2 45 0F 5C F7 F2 44 0F 11 74 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C DF F2 0F 11 5C 24 28 F2 0F 10 5C 24 20 F2 44 0F 10 74 24 28 F2 0F 59 DC F2 44 0F 59 F4 0F 28 E3 F2 41 0F 58 E6 F2 0F 11 64 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C DF F2 41 0F 58 DE F2 0F 11 5C 24 28 0F 28 D8 F2 44 0F 10 74 24 20 F2 44 0F 10 7C 24 28 F2 41 0F 58 DE F2 0F 11 5C 24 20 0F 28 D8 F2 0F 10 64 24 20 F2 0F 5C DC F2 0F 11 5C 24 28 F2 0F 10 5C 24 20 F2 0F 10 64 24 28 F2 0F 58 DC F2 0F 11 5C 24 30 F2 0F 10 64 24 28 F2 44 0F 58 F4 F2 44 0F 11 74 24 28 F2 44 0F 10 74 24 30 F2 41 0F 5C C6 F2 0F 11 44 24 30 F2 0F 10 5C 24 28 F2 0F 10 44 24 30 F2 0F 58 D8 F2 0F 11 5C 24 30 F2 0F 10 5C 24 20 F2 0F 10 44 24 30 F2 41 0F 58 C7 44 0F 28 FB F2 45 0F 59 FD F2 44 0F 11 7C 24 20 F2 0F 10 64 24 20 F2 0F 5C E3 F2 0F 11 64 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 74 24 28 F2 45 0F 5C FE F2 44 0F 11 7C 24 20 F2 44 0F 10 74 24 20 F2 41 0F 5C DE F2 44 0F 10 35 ?? ?? ?? ?? F2 0F 11 5C 24 28 F2 44 0F 10 7C 24 20 F2 0F 10 5C 24 28 F2 0F 58 C3 41 0F 28 DE F2 41 0F 5E DF 0F 28 E3 F2 41 0F 59 E5 F2 0F 11 64 24 28 F2 0F 10 64 24 28 F2 0F 5C E3 F2 0F 11 64 24 30 F2 0F 10 64 24 28 F2 0F 10 5C 24 30 F2 0F 5C E3 F2 0F 11 64 24 30 F2 0F 10 5C 24 30 F2 44 0F 59 FB F2 45 0F 5C F7 F2 44 0F 10 7C 24 30 F2 41 0F 59 C7 F2 0F 11 44 24 28 F2 0F 10 44 24 28 F2 44 0F 5C F0 F2 44 0F 11 74 24 28 F2 0F 10 64 24 28 4C 8B 4C 24 30 F2 0F 10 5C 24 28 F2 44 0F 10 74 24 30 4C 89 4C 24 48 F2 44 0F 10 7C 24 48 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E3 41 0F 28 DF F2 0F 59 DD F2 41 0F 59 E6 44 0F 28 F4 F2 45 0F 59 F4 F2 0F 59 EC F2 45 0F 59 E7 F2 44 0F 58 F5 F2 44 0F 10 3D ?? ?? ?? ?? F2 45 0F 58 F4 F2 44 0F 11 74 24 20 44 0F 28 E3 F2 44 0F 10 74 24 20 F2 45 0F 58 E6 F2 44 0F 11 64 24 20 F2 0F 10 6C 24 20 F2 0F 5C DD F2 41 0F 58 DE F2 0F 11 5C 24 28 F2 0F 10 6C 24 20 0F 28 C5 0F 28 E5 F2 0F 59 C5 F2 41 0F 59 E5 F2 44 0F 59 F8 F2 0F 10 5C 24 28 F2 0F 11 64 24 20 F2 44 0F 10 74 24 20 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 5C F5 F2 44 0F 59 F8 F2 44 0F 11 74 24 28 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 C7 F2 44 0F 10 7C 24 20 F2 44 0F 10 64 24 28 F2 44 0F 59 E8 F2 45 0F 5C FC F2 44 0F 11 7C 24 20 F2 44 0F 10 74 24 20 F2 41 0F 5C EE F2 0F 11 6C 24 28 F2 44 0F 10 64 24 20 F2 0F 10 6C 24 28 F2 44 0F 11 6C 24 20 F2 0F 58 DD F2 44 0F 10 6C 24 20 F2 44 0F 5C E8 F2 44 0F 11 6C 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 74 24 28 F2 45 0F 5C FE F2 44 0F 11 7C 24 20 F2 0F 10 64 24 20 F2 0F 5C C4 F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 0F 10 6C 24 28 44 0F 28 F0 44 0F 28 FD F2 44 0F 59 FB F2 0F 59 C3 F2 41 0F 59 EC F2 45 0F 59 F4 F2 44 0F 58 F8 41 0F 28 C6 41 0F 28 E6 F2 44 0F 58 FD F2 41 0F 58 C4 F2 44 0F 11 7C 24 20 F2 44 0F 10 7C 24 20 F2 0F 11 44 24 20 F2 44 0F 10 6C 24 20 F2 41 0F 5C E5 F2 0F 11 64 24 28 F2 0F 10 6C 24 20 F2 0F 10 44 24 28 F2 0F 58 E8 F2 0F 11 6C 24 30 F2 44 0F 10 6C 24 28 F2 45 0F 58 E5 F2 44 0F 11 64 24 28 F2 44 0F 10 64 24 30 F2 45 0F 5C F4 F2 44 0F 11 74 24 30 F2 0F 10 44 24 28 F2 44 0F 10 74 24 30 F2 41 0F 58 C6 F2 0F 11 44 24 30 4C 8B 6C 24 20 4C 89 6C 24 48 F2 44 0F 10 74 24 48 41 0F 28 EE 45 0F 28 EE F2 0F 10 64 24 30 F2 0F 58 2C C2 F2 0F 58 DC F2 0F 11 6C 24 20 F2 41 0F 58 DF F2 44 0F 10 64 24 20 F2 0F 11 5C 24 50 F2 45 0F 5C EC F2 44 0F 11 6C 24 28 F2 0F 10 44 24 20 F2 44 0F 10 7C 24 28 F2 41 0F 58 C7 F2 0F 11 44 24 30 F2 0F 10 64 24 28 F2 0F 58 24 C1 F2 0F 11 64 24 28 F2 0F 10 6C 24 30 F2 44 0F 5C F5 F2 44 0F 11 74 24 30 F2 44 0F 10 6C 24 28 F2 44 0F 10 64 24 30 F2 45 0F 58 EC F2 44 0F 11 6C 24 30 48 8B 4C 24 20 F2 0F 10 44 24 30 48 89 4C 24 48 48 8D 15 ?? ?? ?? ?? F2 0F 58 D8 41 C0 E3 07 0F 28 C1 F2 0F 58 5C C2 08 41 8A C2 C0 E0 07 F2 0F 11 5C 24 50 48 C1 E9 38 40 8A 74 24 57 44 8A CE 40 C0 EE 07 41 80 E1 7F 80 E1 7F 44 32 D6 0A C8 88 4C 24 4F F2 44 0F 10 74 24 48 41 0F 28 E6 F2 41 0F 58 C6 41 C0 E2 07 F2 0F 11 44 24 20 F2 0F 10 5C 24 20 F2 0F 5C E3 F2 0F 11 64 24 28 45 0A CA F2 44 0F 10 64 24 20 F2 0F 10 6C 24 28 44 88 4C 24 57 F2 44 0F 58 E5 F2 44 0F 11 64 24 30 F2 44 0F 10 6C 24 28 F2 41 0F 58 CD F2 0F 11 4C 24 28 F2 0F 10 4C 24 30 F2 44 0F 5C F1 F2 44 0F 11 74 24 30 F2 0F 10 44 24 28 F2 44 0F 10 7C 24 30 F2 41 0F 58 C7 F2 0F 11 44 24 30 4C 8B 54 24 20 F2 0F 10 4C 24 30 4C 89 54 24 48 F2 0F 58 4C 24 50 F2 0F 58 CA F2 0F 10 54 24 48 F2 0F 11 4C 24 50 F2 0F 58 D1 F2 0F 11 54 24 68 44 8A 6C 24 6F 41 80 E5 7F 45 0A EB 44 88 6C 24 6F F2 0F 5A 44 24 68 F3 41 0F 11 00 E9 93 06 00 00 F2 44 0F 10 6C 24 38 41 8A CA 41 0F 28 ED F2 0F 59 2D ?? ?? ?? ?? C0 E1 07 41 C0 E3 07 F2 0F 11 6C 24 20 F2 0F 10 64 24 20 F2 0F 10 2D ?? ?? ?? ?? F2 0F 5C 64 24 38 F2 0F 11 64 24 28 F2 0F 10 5C 24 20 F2 44 0F 10 7C 24 28 F2 41 0F 5C DF F2 0F 11 5C 24 20 F2 44 0F 10 64 24 20 F2 45 0F 5C EC 44 0F 28 E0 F2 44 0F 59 E5 F2 44 0F 11 6C 24 28 F2 0F 10 5C 24 20 F2 0F 10 64 24 28 F2 44 0F 11 64 24 20 F2 44 0F 10 7C 24 20 F2 44 0F 5C F8 F2 44 0F 11 7C 24 28 F2 44 0F 10 64 24 20 F2 44 0F 10 74 24 28 F2 45 0F 5C E6 F2 44 0F 11 64 24 20 F2 44 0F 10 6C 24 20 F2 41 0F 5C C5 F2 0F 11 44 24 28 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 74 24 20 44 0F 28 E8 F2 45 0F 5E EE 45 0F 28 FD F2 44 0F 59 FD F2 44 0F 10 64 24 28 F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 28 F2 45 0F 5C FD F2 44 0F 11 7C 24 30 F2 44 0F 10 7C 24 28 F2 44 0F 10 6C 24 30 F2 45 0F 5C FD F2 44 0F 11 7C 24 30 F2 44 0F 10 6C 24 30 F2 45 0F 59 F5 F2 41 0F 5C C6 F2 44 0F 10 74 24 30 F2 45 0F 59 E6 F2 44 0F 11 64 24 28 F2 44 0F 10 64 24 28 F2 41 0F 5C C4 F2 0F 11 44 24 28 F2 44 0F 10 64 24 28 48 8B 44 24 30 F2 0F 10 44 24 28 48 89 44 24 48 F2 44 0F 10 6C 24 48 F2 44 0F 58 25 ?? ?? ?? ?? F2 44 0F 59 E0 F2 0F 10 44 24 30 F2 44 0F 59 E0 41 0F 28 C5 F2 0F 59 C3 F2 44 0F 59 EC F2 41 0F 59 DC 45 0F 28 FC F2 44 0F 59 FC F2 44 0F 58 FB 0F 28 D8 F2 45 0F 58 FD F2 44 0F 11 7C 24 20 F2 44 0F 10 64 24 20 F2 44 0F 10 3D ?? ?? ?? ?? F2 41 0F 58 DC F2 0F 11 5C 24 20 F2 0F 10 64 24 20 F2 0F 5C C4 F2 41 0F 58 C4 F2 0F 11 44 24 28 F2 0F 10 44 24 58 F2 0F 59 C0 F2 44 0F 59 F8 F2 44 0F 10 74 24 20 45 0F 28 EE F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 ED F2 44 0F 59 F8 F2 0F 10 5C 24 28 F2 44 0F 11 6C 24 20 F2 0F 10 64 24 20 F2 44 0F 58 3D ?? ?? ?? ?? F2 41 0F 5C E6 F2 44 0F 59 F8 F2 0F 11 64 24 28 F2 44 0F 10 64 24 20 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 0F 10 44 24 28 F2 41 0F 59 EF F2 44 0F 5C E0 F2 44 0F 11 64 24 20 F2 44 0F 10 6C 24 20 F2 45 0F 5C F5 F2 44 0F 11 74 24 28 F2 44 0F 10 6C 24 20 F2 44 0F 10 74 24 28 F2 0F 11 6C 24 20 F2 41 0F 58 DE F2 0F 10 6C 24 20 F2 41 0F 5C EF F2 0F 11 6C 24 28 F2 44 0F 10 64 24 20 F2 0F 10 44 24 28 F2 44 0F 5C E0 F2 44 0F 11 64 24 20 F2 0F 10 64 24 20 F2 44 0F 5C FC F2 44 0F 11 7C 24 28 F2 44 0F 10 74 24 20 F2 44 0F 10 7C 24 28 45 0F 28 E6 41 0F 28 C7 F2 0F 59 C3 F2 44 0F 59 F3 F2 45 0F 59 FD F2 45 0F 59 E5 F2 41 0F 58 C6 41 0F 28 E4 45 0F 28 F4 F2 41 0F 58 C7 F2 41 0F 58 E5 F2 0F 11 44 24 20 F2 0F 10 44 24 20 F2 0F 11 64 24 20 F2 0F 10 6C 24 20 F2 44 0F 5C F5 F2 44 0F 11 74 24 28 F2 0F 10 6C 24 20 F2 0F 10 64 24 28 F2 0F 58 EC F2 0F 11 6C 24 30 F2 44 0F 10 7C 24 28 F2 45 0F 58 EF F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 30 F2 45 0F 5C E5 F2 44 0F 11 64 24 30 F2 0F 10 6C 24 28 F2 0F 10 64 24 30 F2 0F 58 EC F2 0F 11 6C 24 30 48 8B 54 24 20 F2 44 0F 10 64 24 30 48 89 54 24 48 F2 41 0F 58 DC 48 C1 EA 38 F2 0F 58 D8 80 E2 7F 0A D1 88 54 24 4F F2 0F 11 5C 24 50 0F 28 D9 F2 44 0F 10 6C 24 48 41 0F 28 C5 F2 41 0F 58 DD F2 0F 11 5C 24 20 F2 0F 10 5C 24 20 40 8A 74 24 57 44 8A CE 40 C0 EE 07 F2 0F 5C C3 F2 0F 11 44 24 28 F2 0F 10 6C 24 20 F2 0F 10 64 24 28 44 32 D6 41 80 E1 7F 41 C0 E2 07 F2 0F 58 EC F2 0F 11 6C 24 30 F2 44 0F 10 64 24 28 F2 41 0F 58 CC F2 0F 11 4C 24 28 45 0A CA F2 0F 10 4C 24 30 44 88 4C 24 57 F2 44 0F 5C E9 F2 44 0F 11 6C 24 30 F2 0F 10 5C 24 28 F2 0F 10 44 24 30 F2 0F 58 D8 F2 0F 11 5C 24 30 4C 8B 54 24 20 F2 0F 10 64 24 30 4C 89 54 24 48 F2 0F 58 64 24 50 F2 0F 58 E2 F2 0F 10 54 24 48 F2 0F 11 64 24 50 F2 0F 58 D4 F2 0F 11 54 24 68 44 8A 6C 24 6F 41 80 E5 7F 45 0A EB 44 88 6C 24 6F F2 0F 5A 44 24 68 F3 41 0F 11 00 E9 C5 01 00 00 83 FE 4A 0F 8D 27 01 00 00 88 54 24 3F F2 0F 5E 4C 24 38 F2 0F 10 05 ?? ?? ?? ?? 41 C0 E3 07 F2 0F 5C C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 68 8A 44 24 6F 24 7F 41 0A C3 88 44 24 6F F2 0F 5A 4C 24 68 F3 41 0F 11 08 E9 77 01 00 00 45 84 D2 0F 85 3C 01 00 00 88 54 24 3F 88 44 24 47 F2 0F 10 54 24 38 F2 0F 5E 54 24 40 F2 0F 5A C2 F3 0F 11 44 24 60 0F B7 44 24 62 A9 80 7F 00 00 F2 0F 11 54 24 68 74 43 F2 0F 10 05 ?? ?? ?? ?? 41 C0 E3 07 F2 0F 58 C2 F2 0F 11 44 24 20 F2 0F 10 4C 24 20 F2 0F 59 D1 F2 0F 11 54 24 68 8A 44 24 6F 24 7F 41 0A C3 88 44 24 6F F2 0F 5A 54 24 68 F3 41 0F 11 10 E9 FB 00 00 00 F2 0F 5A 44 24 68 41 C0 E3 07 F3 0F 11 44 24 60 F3 0F 10 54 24 60 F3 0F 10 4C 24 60 F3 0F 59 D1 F3 0F 11 54 24 60 F3 0F 10 5C 24 60 F3 0F 5A DB F2 0F 58 5C 24 68 F2 0F 11 5C 24 68 8A 44 24 6F 24 7F 41 0A C3 88 44 24 6F F2 0F 5A 64 24 68 F3 }
	condition:
		$1
}

rule file_192_0_0 {
	meta:
		name = "__crtwsetenv"
		size = 986
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0059 wcschr 007a _wenviron 0088 __winitenv 00bd _calloc_crt 00d0 _amsg_exit 00e3 _wcsdup 0114 _environ 0122 __crtGetEnvironmentStringsW 0129 _wenvptr 012e _wsetenvp 0137 __mbtow_environ 017c _malloc_crt 01e3 _wcsnicoll 023c free 028f _recalloc_crt 0332 wcslen 0361 wcscpy_s 0380 __imp_SetEnvironmentVariableW 03d5 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 8B DA 4C 8B F9 41 8B FE 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 06 01 00 00 48 8B 29 48 85 ED 0F 84 EF 00 00 00 BA 3D 00 00 00 48 8B CD E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 D6 00 00 00 48 3B E8 0F 84 CD 00 00 00 66 44 39 70 02 48 8B 35 ?? ?? ?? ?? 45 8B EE 41 0F 94 C5 48 3B 35 ?? ?? ?? ?? 75 7A 48 8B DE 41 8B CE 48 8B C6 48 85 F6 75 05 49 8B F6 EB 5C 4C 39 36 74 0B 48 8D 40 08 FF C1 4C 39 30 75 F5 8D 41 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B F0 48 85 C0 75 08 8D 48 09 E8 ?? ?? ?? ?? 48 8B 03 48 85 C0 74 1B 49 2B DE 48 8B C8 E8 ?? ?? ?? ?? 49 89 06 49 83 C6 08 4A 8B 04 33 48 85 C0 75 E8 49 21 3E 45 33 F6 8B 5C 24 68 48 89 35 ?? ?? ?? ?? 48 85 F6 0F 85 AA 00 00 00 48 8B 05 ?? ?? ?? ?? 85 DB 74 4E 48 85 C0 74 49 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 7E E8 ?? ?? ?? ?? 85 C0 74 75 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 85 ED 74 04 33 C0 EB DA 48 85 C0 75 23 8D 48 08 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 BE 4C 89 30 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 20 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 99 4C 89 30 48 8B 35 ?? ?? ?? ?? 33 C9 4C 8B F6 48 85 F6 74 85 48 8B 06 4C 2B E5 48 8B DE 49 D1 FC 48 85 C0 74 44 49 63 F4 4C 8B C6 48 8B D0 48 8B CD E8 ?? ?? ?? ?? 33 C9 85 C0 75 1A 48 8B 03 8D 51 3D 66 39 14 70 0F 84 AB 00 00 00 66 39 0C 70 0F 84 A1 00 00 00 48 83 C3 08 48 8B 03 48 85 C0 75 C6 48 8B 35 ?? ?? ?? ?? 48 2B DE 48 C1 FB 03 F7 DB 85 DB 0F 88 9C 00 00 00 49 39 0E 0F 84 93 00 00 00 48 63 F3 49 8B 0C F6 E8 ?? ?? ?? ?? 33 D2 45 85 ED 74 74 49 39 14 F6 74 1E 48 8D 4E 01 49 8D 0C CE 48 8B 01 FF C3 48 8D 49 08 49 89 04 F6 48 FF C6 49 39 14 F6 75 EA 48 63 D3 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 0F 83 A3 00 00 00 48 8B 0D ?? ?? ?? ?? 41 B8 08 00 00 00 E8 ?? ?? ?? ?? 45 33 F6 48 85 C0 0F 84 88 00 00 00 48 89 05 ?? ?? ?? ?? EB 7F 48 8B 35 ?? ?? ?? ?? 48 2B DE 48 C1 FB 03 E9 68 FF FF FF 49 89 2C F6 45 33 F6 4D 89 37 EB 60 45 33 F6 45 85 ED 0F 85 E2 00 00 00 85 DB 79 02 F7 DB 8D 43 02 3B C3 0F 8C 66 FE FF FF 4C 63 C0 48 B8 FF FF FF FF FF FF FF 1F 4C 3B C0 0F 83 50 FE FF FF BA 08 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 84 3A FE FF FF 48 63 CB 48 89 2C C8 4C 89 74 C8 08 4D 89 37 E9 7B FF FF FF 45 33 F6 44 39 74 24 68 74 70 48 8B CD E8 ?? ?? ?? ?? BE 02 00 00 00 48 8D 0C 06 8B D6 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 50 48 8B CD E8 ?? ?? ?? ?? 4C 8B C5 48 8B CB 48 8D 14 06 E8 ?? ?? ?? ?? 85 C0 75 5C 4A 8D 14 63 48 8B CB 66 44 89 32 48 03 D6 45 85 ED 49 0F 45 D6 FF 15 ?? ?? ?? ?? 85 C0 75 0E 83 CF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 45 85 ED 74 0B 48 8B CD E8 ?? ?? ?? ?? 4D 89 37 8B C7 E9 98 FD FF FF 48 8B CD E8 ?? ?? ?? ?? 4D 89 37 E9 AA FD FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_192_2_0 {
	meta:
		name = "copy_environ"
		size = 135
		refs = "0039 _calloc_crt 004c _amsg_exit 005c _wcsdup"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 33 C9 48 8B C3 48 85 DB 74 5B 48 39 0B 74 0C 48 8D 40 08 FF C1 48 83 38 00 75 F4 8D 41 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B F0 48 85 C0 75 08 8D 48 09 E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 18 48 2B DF E8 ?? ?? ?? ?? 48 89 07 48 83 C7 08 48 8B 0C 3B 48 85 C9 75 EB 48 83 27 00 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_553_2_0 {
	meta:
		name = "copy_environ"
		size = 135
		refs = "0039 _calloc_crt 004c _amsg_exit 005c _strdup"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 33 C9 48 8B C3 48 85 DB 74 5B 48 39 0B 74 0C 48 8D 40 08 FF C1 48 83 38 00 75 F4 8D 41 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B F0 48 85 C0 75 08 8D 48 09 E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 18 48 2B DF E8 ?? ?? ?? ?? 48 89 07 48 83 C7 08 48 8B 0C 3B 48 85 C9 75 EB 48 83 27 00 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_192_3_0 {
	meta:
		name = "wfindenv"
		size = 144
		refs = "0017 _wenviron 0038 _wcsnicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 4C 63 C2 33 ED 48 8B 10 48 8B F1 48 8B D8 48 85 D2 74 35 49 8B F8 4C 8B C7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 10 48 8B 03 66 83 3C 78 3D 74 39 66 39 2C 78 74 33 48 83 C3 08 48 8B 13 48 85 D2 75 D5 48 8B 05 ?? ?? ?? ?? 48 2B D8 48 C1 FB 03 F7 DB 48 8B 6C 24 38 48 8B 74 24 40 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 2B 1D ?? ?? ?? ?? 48 C1 FB 03 EB DC }
	condition:
		$1
}

rule file_193_0_0 {
	meta:
		name = "scalbln"
		size = 94
		refs = "001c _dtest 002d _dscale 0049 _fperrraise"
		altNames = "scalbn"
	strings:
		$1 = { 48 89 5C 24 10 F2 0F 11 44 24 08 57 48 83 EC 20 8B DA 85 D2 74 37 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 79 28 48 8D 4C 24 30 8B D3 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_643_0_0 {
	meta:
		name = "scalblnl"
		size = 94
		refs = "001c _ldtest 002d _ldscale 0049 _fperrraise"
	strings:
		$1 = { 48 89 5C 24 10 F2 0F 11 44 24 08 57 48 83 EC 20 8B DA 85 D2 74 37 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 79 28 48 8D 4C 24 30 8B D3 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_736_0_0 {
	meta:
		name = "scalbnl"
		size = 94
		refs = "001c _ldtest 002d _ldscale 0049 _fperrraise"
	strings:
		$1 = { 48 89 5C 24 10 F2 0F 11 44 24 08 57 48 83 EC 20 8B DA 85 D2 74 37 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 79 28 48 8D 4C 24 30 8B D3 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 44 24 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_195_0_0 {
	meta:
		name = "roundf"
		size = 101
		refs = "0015 _fd_int 004a __real@bf800000 0054 __real@3f800000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F BF C8 FF C9 83 F9 01 76 37 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 26 F3 0F 10 44 24 30 B8 00 80 00 00 66 85 44 24 32 74 0A F3 0F 58 05 ?? ?? ?? ?? EB 10 F3 0F 58 05 ?? ?? ?? ?? EB 06 F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_199_8_0 {
	meta:
		name = "??0AllocatorBucket@details@Concurrency@@QEAA@XZ"
		size = 32
		refs = "000f ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 21 00 48 8B D9 33 C9 E8 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_13_0 {
	meta:
		name = "??1AllocatorBucket@details@Concurrency@@QEAA@XZ"
		size = 48
		refs = "0013 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0022 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 39 00 48 8B D9 74 1C 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 10 48 89 53 08 E8 ?? ?? ?? ?? FF 0B 75 E4 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_28_0 {
	meta:
		name = "?Alloc@AllocatorBucket@details@Concurrency@@QEAAPEATAllocationEntry@23@XZ"
		size = 38
		refs = "000e ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 E8 ?? ?? ?? ?? 48 85 C0 74 09 48 8B 10 FF 0B 48 89 53 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_29_0 {
	meta:
		name = "?Alloc@Concurrency@@YAPEAX_K@Z"
		size = 141
		refs = "001a ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0026 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 002b ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0038 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0051 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 006b ??0exception@std@@QEAA@AEBQEBDH@Z 0072 ??_7bad_alloc@std@@6B@ 0079 _TI2?AVbad_alloc@std@@ 0088 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 B8 FF FF FF FF FF FF FF 7F 48 8B D9 48 3B C8 77 36 F7 05 ?? ?? ?? ?? 00 00 00 80 74 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 8B D3 48 83 C4 40 5B 48 FF 60 50 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_199_30_0 {
	meta:
		name = "?Alloc@SubAllocator@details@Concurrency@@QEAAPEAX_K@Z"
		size = 125
		refs = "001f ?GetBucketIndex@SubAllocator@details@Concurrency@@SAH_K@Z 0037 ?Alloc@AllocatorBucket@details@Concurrency@@QEAAPEATAllocationEntry@23@XZ 0046 ?s_bucketSizes@SubAllocator@details@Concurrency@@0QBHB 0052 ??_U@YAPEAX_K@Z 005d ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 5A 08 48 8B E9 48 8B CB E8 ?? ?? ?? ?? 48 63 F8 83 FF FF 74 23 48 8D 4F 01 48 C1 E1 04 48 03 CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 16 48 8D 05 ?? ?? ?? ?? 48 63 1C B8 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 48 8B CF E8 ?? ?? ?? ?? 48 8B 6C 24 38 48 8B 74 24 40 48 89 03 48 8D 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_199_31_0 {
	meta:
		name = "?CurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		size = 42
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0017 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0021 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		altNames = "?CurrentContext@Context@Concurrency@@SAPEAV12@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_199_32_0 {
	meta:
		name = "?Free@AllocatorBucket@details@Concurrency@@QEAA_NPEATAllocationEntry@23@@Z"
		size = 47
		refs = "0019 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 39 20 48 8B D9 7D 19 48 8B 41 08 48 8B CA 48 89 02 E8 ?? ?? ?? ?? FF 03 48 89 43 08 B0 01 EB 02 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_33_0 {
	meta:
		name = "?Free@Concurrency@@YAXPEAX@Z"
		size = 67
		refs = "000c ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 001b ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0020 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 002d ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 85 C9 74 3D 53 48 83 EC 20 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 74 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 8B D3 FF 50 58 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_34_0 {
	meta:
		name = "?Free@SubAllocator@details@Concurrency@@QEAAXPEAX@Z"
		size = 74
		refs = "0015 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 002f ?Free@AllocatorBucket@details@Concurrency@@QEAA_NPEATAllocationEntry@23@@Z 003b ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 5A F8 48 8B F9 48 8B 0B E8 ?? ?? ?? ?? 83 F8 FF 74 19 48 63 C8 48 8B D3 48 FF C1 48 C1 E1 04 48 03 CF E8 ?? ?? ?? ?? 84 C0 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_199_35_0 {
	meta:
		name = "?GetBucketIndex@SubAllocator@details@Concurrency@@SAH_K@Z"
		size = 86
	strings:
		$1 = { 48 8D 51 0F 48 83 E2 F0 48 81 FA 00 20 00 00 76 04 83 C8 FF C3 48 C1 EA 04 83 FA 20 7F 04 8D 42 FF C3 B9 05 00 00 00 F7 C2 E0 FF FF FF 7E 0A FF C1 8B C2 D3 F8 85 C0 7F F6 83 E9 05 B8 01 00 00 00 D3 E0 FF C8 03 D0 F7 D0 23 D0 D3 FA C1 E1 04 8D 41 FF 03 C2 C3 }
	condition:
		$1
}

rule file_199_37_0 {
	meta:
		name = "?StaticAlloc@SubAllocator@details@Concurrency@@SAPEAX_K@Z"
		size = 78
		refs = "0012 ?GetBucketIndex@SubAllocator@details@Concurrency@@SAH_K@Z 0021 ?s_bucketSizes@SubAllocator@details@Concurrency@@0QBHB 002d ??_U@YAPEAX_K@Z 0038 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 48 63 F8 83 FF FF 74 0B 48 8D 0D ?? ?? ?? ?? 48 63 1C B9 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 89 03 48 8D 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_200_4_0 {
	meta:
		name = "_mbsrchr_l"
		size = 185
		refs = "001f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 _errno 0034 _invalid_parameter_noinfo 004b strrchr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 8B F2 48 8D 4C 24 20 49 8B D0 33 FF E8 ?? ?? ?? ?? 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 59 4C 8B 44 24 28 41 39 78 08 75 0F 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 EB 3F 0F B6 13 8B CA 42 F6 44 02 19 04 74 25 48 FF C3 8A 13 84 D2 74 12 C1 E1 08 0F B6 C2 0B C8 3B F1 75 16 48 8D 7B FF EB 10 48 85 FF 75 0B 48 8B FB EB 06 3B F2 48 0F 44 FB 48 FF C3 84 D2 75 C1 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 8B C7 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_201_0_0 {
	meta:
		name = "_heapchk"
		size = 45
		refs = "0009 _crtheap 0019 __imp_HeapValidate"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 0D ?? ?? ?? ?? 45 33 C0 33 D2 BB FE FF FF FF FF 15 ?? ?? ?? ?? 8D 4B FE 85 C0 0F 44 D9 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_202_2_0 {
	meta:
		name = "_stripquote"
		size = 106
		refs = "0010 strlen 001c _calloc_crt 0059 free"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 33 FF E8 ?? ?? ?? ?? 48 8D 48 01 8D 57 01 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 35 48 8B D0 8A 03 84 C0 74 24 3C 22 75 07 48 FF C3 FF C7 EB 08 88 01 48 FF C1 48 FF C3 8A 03 84 C0 75 E7 85 FF 74 07 88 01 48 8B C2 EB 0A 48 8B CA E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_202_3_0 {
	meta:
		name = "_tempnam"
		size = 725
		refs = "002c _mtinitlocknum 003e ??_C@_03FICNPLNB@TMP?$AA@ 004a _dupenv_s 0063 _invoke_watson 0079 _access_s 00a0 ??_C@_01KICIPPFI@?2?$AA@ 00b3 ??_C@_01LFCBOECM@?4?$AA@ 00c6 strlen 00e4 calloc 0101 strcat_s 012a _mbsrchr 01d0 _lock 01d8 _tempoff 01df _old_pfxlen 01fb _errno 022e _ultoa_s 027f free 028b _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 48 8B F2 48 8B F9 45 33 E4 4C 21 60 18 41 8D 4C 24 02 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 80 02 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 83 F8 16 75 15 4C 21 64 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 85 C0 75 1C 48 8B 4C 24 60 48 85 C9 74 12 33 D2 E8 ?? ?? ?? ?? 85 C0 75 07 48 8B 7C 24 60 EB 35 48 85 FF 74 0E 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 22 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 85 C0 48 0F 45 F9 48 85 F6 74 0B 48 8B CE E8 ?? ?? ?? ?? 4C 8B E0 48 8B CF E8 ?? ?? ?? ?? 8D 48 0C 41 03 CC 44 8B F1 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 B3 01 00 00 C6 00 00 4C 8B C7 41 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 84 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 7F FF 4C 03 F8 BA 5C 00 00 00 41 38 17 75 39 48 8B CF E8 ?? ?? ?? ?? 4C 3B F8 74 5E 4C 8D 05 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 48 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 41 80 3F 2F 74 2C 4C 8D 05 ?? ?? ?? ?? 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 85 F6 74 28 4C 8B C6 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? 48 8D 3C 03 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 44 8B 3D ?? ?? ?? ?? 44 39 25 ?? ?? ?? ?? B8 01 00 00 00 44 0F 42 F8 44 89 3D ?? ?? ?? ?? 44 89 25 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 30 8B 0D ?? ?? ?? ?? FF C1 89 0D ?? ?? ?? ?? 8B C1 41 2B C7 3D FF FF FF 7F 77 59 4D 8B C6 4C 2B C7 4C 03 C3 41 B9 0A 00 00 00 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 29 E8 ?? ?? ?? ?? 83 20 00 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 B5 E8 ?? ?? ?? ?? 83 38 0D 74 AB E8 ?? ?? ?? ?? 89 30 EB 26 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 30 48 8B CB E8 ?? ?? ?? ?? 33 DB B9 02 00 00 00 E8 ?? ?? ?? ?? EB 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 4C 24 60 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_202_4_0 {
	meta:
		name = "_tempnam$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_wperror$fin$0 _wtempnam$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 02 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_203_0_0 {
	meta:
		name = "_makepath"
		size = 39
		refs = "001e _makepath_s"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_964_0_0 {
	meta:
		name = "_wmakepath"
		size = 39
		refs = "001e _wmakepath_s"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_205_0_0 {
	meta:
		name = "_getdllprocaddr"
		size = 33
		refs = "0014 __imp_GetProcAddress"
	strings:
		$1 = { 48 85 D2 75 13 49 81 F8 FF FF 00 00 7F 10 49 8B D0 48 FF 25 ?? ?? ?? ?? 49 83 F8 FF 74 F3 33 C0 C3 }
	condition:
		$1
}

rule file_206_3_0 {
	meta:
		name = "_wcstod_l"
		size = 303
		refs = "0017 __security_cookie 0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0047 _errno 0052 _invalid_parameter_noinfo 0070 iswctype 0086 _wfltin2 00bc _HUGE 00c5 __xmm@80000000000000008000000000000000 0114 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 70 0F 29 74 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 48 8B F1 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 DB 74 03 48 89 3B 48 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 F6 E9 97 00 00 00 0F B7 0E EB 07 48 83 C7 02 0F B7 0F BA 08 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 EB 4C 8D 44 24 20 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 48 85 DB 74 0B 48 63 48 04 48 8D 14 4F 48 89 13 F7 00 40 02 00 00 74 0D 0F 57 F6 48 85 DB 74 4B 48 89 33 EB 46 F6 00 81 74 17 66 83 3F 2D F2 0F 10 35 ?? ?? ?? ?? 75 21 0F 57 35 ?? ?? ?? ?? EB 18 F7 00 00 01 00 00 74 1D F2 0F 10 40 10 0F 57 F6 66 0F 2E C6 7A 0F 75 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 05 F2 0F 10 70 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 0F 28 C6 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 20 49 8B 73 28 0F 28 74 24 60 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_207_4_0 {
	meta:
		name = "_ismbclower_l"
		size = 183
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 FF 81 FB FF 00 00 00 76 55 8B C3 89 7D 20 88 5D 11 C1 E8 08 88 45 10 48 8B 45 E8 39 78 08 74 3A 8B 40 04 8D 5F 01 44 8D 4F 02 89 5C 24 30 89 44 24 28 48 8D 45 20 4C 8D 45 10 48 8D 4D E0 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 0C 66 39 7D 22 75 06 F6 45 20 02 75 1A 8B DF EB 16 48 8B 45 E8 8D 4B 01 BB 01 00 00 00 0F B6 54 01 18 C1 EA 05 23 DA 40 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_210_0_0 {
	meta:
		name = "_expand"
		size = 249
		refs = "0020 _errno 002b _invalid_parameter_noinfo 0057 _crtheap 0063 __imp_HeapSize 007e __imp_HeapReAlloc 00b6 __imp_HeapQueryInformation 00d4 __imp_GetLastError 00db _get_errno_from_oserr"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 30 48 8B DA 48 8B F9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 AE 00 00 00 48 83 FA E0 76 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB E6 48 85 D2 B8 01 00 00 00 4C 8B C1 48 8B 0D ?? ?? ?? ?? 48 0F 44 D8 33 D2 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 4C 8B CB 4C 8B C7 BA 10 00 00 00 48 8B E8 FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 57 48 81 FD 00 40 00 00 77 37 48 3B DD 77 32 48 8B 0D ?? ?? ?? ?? 83 4C 24 40 FF 48 21 44 24 20 44 8D 48 04 4C 8D 44 24 40 33 D2 FF 15 ?? ?? ?? ?? 85 C0 74 0C 83 7C 24 40 02 75 05 48 8B F7 EB 17 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 48 8B C6 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_210_1_0 {
	meta:
		name = "_is_LFH_enabled"
		size = 66
		refs = "0009 _crtheap 0026 __imp_HeapQueryInformation"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 0D ?? ?? ?? ?? 83 4C 24 40 FF 33 DB 44 8D 4B 04 4C 8D 44 24 40 33 D2 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 0C 83 7C 24 40 02 75 05 BB 01 00 00 00 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_212_0_0 {
	meta:
		name = "_mbsinc"
		size = 66
		refs = "000f _errno 001a _invalid_parameter_noinfo 0026 _ismbblead"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1A 0F B6 09 E8 ?? ?? ?? ?? 48 FF C3 85 C0 74 08 80 3B 00 74 03 48 FF C3 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_212_1_0 {
	meta:
		name = "_mbsinc_l"
		size = 39
		refs = "000e _ismbblead_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 59 01 0F B6 09 E8 ?? ?? ?? ?? 85 C0 74 08 80 3B 00 74 03 48 FF C3 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_213_0_0 {
	meta:
		name = "__initstdio"
		size = 152
		refs = "000c _nstream 0036 _calloc_crt 003d __piob 006d _iob"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB BF 14 00 00 00 85 C0 75 07 B8 00 02 00 00 EB 05 3B C7 0F 4C C7 48 63 C8 BA 08 00 00 00 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 24 8D 50 08 48 8B CF 89 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 07 B8 1A 00 00 00 EB 23 48 8D 0D ?? ?? ?? ?? 48 89 0C 03 48 83 C1 30 48 8D 5B 08 48 FF CF 74 09 48 8B 05 ?? ?? ?? ?? EB E6 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_213_1_0 {
	meta:
		name = "__endstdio"
		size = 48
		refs = "0005 _flushall 000b _exitflag 0013 _fcloseall 001a __piob 001f free"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_213_3_0 {
	meta:
		name = "_lock_file"
		size = 101
		refs = "000c _iob 0046 _lock 0061 __imp_EnterCriticalSection"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 0D ?? ?? ?? ?? 48 3B D9 72 40 48 8D 05 ?? ?? ?? ?? 48 3B D8 77 34 48 8B D3 48 B8 AB AA AA AA AA AA AA 2A 48 2B D1 48 F7 EA 48 C1 FA 03 48 8B CA 48 C1 E9 3F 48 03 CA 83 C1 10 E8 ?? ?? ?? ?? 0F BA 6B 18 0F 48 83 C4 20 5B C3 48 8D 4B 30 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_4_0 {
	meta:
		name = "_lock_file2"
		size = 49
		refs = "0012 _lock 002d __imp_EnterCriticalSection"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 83 F9 14 7D 13 83 C1 10 E8 ?? ?? ?? ?? 0F BA 6B 18 0F 48 83 C4 20 5B C3 48 8D 4A 30 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_5_0 {
	meta:
		name = "_unlock_file"
		size = 78
		refs = "0003 _iob 003f _unlock 004a __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 48 3B CA 72 37 48 8D 05 ?? ?? ?? ?? 48 3B C8 77 2B 0F BA 71 18 0F 48 2B CA 48 B8 AB AA AA AA AA AA AA 2A 48 F7 E9 48 C1 FA 03 48 8B CA 48 C1 E9 3F 48 03 CA 83 C1 10 E9 ?? ?? ?? ?? 48 83 C1 30 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_6_0 {
	meta:
		name = "_unlock_file2"
		size = 29
		refs = "000e _unlock 0019 __imp_LeaveCriticalSection"
	strings:
		$1 = { 83 F9 14 7D 0D 0F BA 72 18 0F 83 C1 10 E9 ?? ?? ?? ?? 48 8D 4A 30 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_216_2_0 {
	meta:
		name = "_wpopen"
		size = 1824
		refs = "001e __security_cookie 005d _errno 0068 _invalid_parameter_noinfo 00fb _pipe 013b _mtinitlocknum 0148 _close 0160 _lock 0171 __imp_GetCurrentProcess 0187 __pioinfo 01b8 __imp_DuplicateHandle 01e2 _wfdopen 01ff __idpairs 0214 __idtabsiz 0264 _recalloc_crt 02a5 ??_C@_1BA@HMCCKBDK@?$AAC?$AAO?$AAM?$AAS?$AAP?$AAE?$AAC?$AA?$AA@ 02b1 _wdupenv_s 02ca _invoke_watson 02df ??_C@_1BA@DBKIDAPL@?$AAc?$AAm?$AAd?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 02f6 memset 0354 wcslen 0369 ??_C@_19FNCMDGGJ@?$AA?5?$AA?1?$AAc?$AA?5?$AA?$AA@ 037f _calloc_crt 0399 wcscpy_s 03b5 wcscat_s 0404 _waccess_s 0449 __imp_CreateProcessW 0472 free 0497 ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 04e0 _wgetpath 0519 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 0626 __imp_CloseHandle 06a5 fclose 06ec _unlock 06ff __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 57 41 54 41 55 41 56 41 57 48 81 EC 40 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 38 01 00 00 48 89 4C 24 60 33 DB 49 89 9B 18 FF FF FF 44 8B EB 48 89 5C 24 78 41 89 5B C8 66 41 89 5B CC 89 5C 24 54 8B C3 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 80 06 00 00 8B C3 48 85 D2 0F 95 C0 85 C0 74 DD 66 B9 20 00 BE 02 00 00 00 66 39 0A 75 05 48 03 D6 EB F6 0F B7 02 66 83 F8 72 74 06 66 83 F8 77 75 BB 66 89 84 24 30 01 00 00 48 03 D6 66 39 0A 74 F8 0F B7 02 66 83 F8 62 74 0B 66 85 C0 74 06 66 83 F8 74 75 97 66 89 84 24 32 01 00 00 66 83 F8 74 75 08 41 B8 00 40 00 00 EB 10 44 8B C3 B9 00 80 00 00 66 83 F8 62 44 0F 44 C1 41 0F BA E8 07 BA 00 04 00 00 48 8D 4C 24 58 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 E8 05 00 00 41 BE 01 00 00 00 66 83 BC 24 30 01 00 00 77 75 0B 44 8B FB 44 8B E3 41 8B FE EB 08 45 8B FE 45 8B E6 8B FB 89 7C 24 70 44 89 64 24 50 B9 09 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 17 8B 4C 24 58 E8 ?? ?? ?? ?? 8B 4C 24 5C E8 ?? ?? ?? ?? E9 12 FF FF FF B9 09 00 00 00 E8 ?? ?? ?? ?? 90 44 89 74 24 6C 44 89 74 24 68 FF 15 ?? ?? ?? ?? 49 63 DC 48 63 54 9C 58 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 4C 6B D2 58 49 8B 14 C8 89 74 24 30 44 89 74 24 28 83 64 24 20 00 4C 8D 8C 24 80 00 00 00 4C 8B C0 4A 8B 14 12 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 FB 04 00 00 8B 4C 9C 58 E8 ?? ?? ?? ?? 83 64 9C 68 00 48 63 C7 48 8D 94 24 30 01 00 00 8B 4C 84 58 E8 ?? ?? ?? ?? 4C 8B E8 48 89 84 24 A0 00 00 00 33 DB 48 85 C0 0F 84 C5 04 00 00 4C 8B 0D ?? ?? ?? ?? 49 8B F9 4C 89 8C 24 90 00 00 00 44 8D 43 10 8B 15 ?? ?? ?? ?? 48 8B CA 48 C1 E1 04 49 03 C9 48 3B F9 73 12 48 39 1F 74 0D 49 03 F8 48 89 BC 24 90 00 00 00 EB DF 48 8B C2 48 C1 E0 04 49 03 C1 48 3B F8 72 51 8D 42 01 3B C2 72 47 8B D0 48 B8 FF FF FF FF FF FF FF 0F 48 3B D0 73 36 49 8B C9 E8 ?? ?? ?? ?? 48 85 C0 74 29 48 89 05 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B F9 48 C1 E7 04 48 03 F8 48 89 BC 24 90 00 00 00 41 03 CE 89 0D ?? ?? ?? ?? EB 03 48 8B FB 48 85 FF 0F 84 FF 03 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 78 E8 ?? ?? ?? ?? 83 F8 16 75 14 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 85 C0 75 0A 4C 8B 64 24 78 4D 85 E4 75 07 4C 8D 25 ?? ?? ?? ?? BB 68 00 00 00 44 8B C3 33 D2 48 8D 8C 24 C0 00 00 00 E8 ?? ?? ?? ?? 89 9C 24 C0 00 00 00 C7 84 24 FC 00 00 00 00 01 00 00 48 8B 84 24 80 00 00 00 48 8B 0D ?? ?? ?? ?? 45 85 FF 48 8B D0 74 03 48 8B 11 48 89 94 24 10 01 00 00 45 3B FE 74 04 48 8B 41 58 48 89 84 24 18 01 00 00 48 8B 81 B0 00 00 00 48 89 84 24 20 01 00 00 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B D8 49 8B CC E8 ?? ?? ?? ?? 48 03 D8 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 FF C0 48 03 D8 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 84 0B 03 00 00 4D 8B C4 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 E1 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 B3 02 00 00 4C 8B 44 24 60 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 87 02 00 00 33 D2 44 8D 41 18 48 8D 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 18 89 9C 24 88 00 00 00 33 D2 49 8B CC E8 ?? ?? ?? ?? 33 C9 85 C0 75 47 48 8D 84 24 A8 00 00 00 48 89 44 24 48 48 8D 84 24 C0 00 00 00 48 89 44 24 40 48 89 4C 24 38 48 89 4C 24 30 89 4C 24 28 44 89 74 24 20 45 33 C9 45 33 C0 49 8B D7 49 8B CC FF 15 ?? ?? ?? ?? 44 8B F0 E9 B5 01 00 00 48 89 4C 24 60 48 8B D6 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 25 33 C9 E8 ?? ?? ?? ?? 49 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 18 E9 06 02 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 83 F8 16 75 15 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B 4C 24 60 85 C0 74 0A E8 ?? ?? ?? ?? 48 8B CE EB 9D 33 DB 41 B8 03 01 00 00 48 8B D6 E8 ?? ?? ?? ?? 48 89 84 24 98 00 00 00 48 85 C0 0F 84 F7 00 00 00 66 39 1E 0F 84 EE 00 00 00 48 8B CE E8 ?? ?? ?? ?? 66 83 7C 46 FE 5C 74 34 66 83 7C 46 FE 2F 74 2C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 14 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 86 00 00 00 4D 8B C4 8B D0 48 8B CE E8 ?? ?? ?? ?? 33 DB 85 C0 75 5F 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 44 48 8D 84 24 A8 00 00 00 48 89 44 24 48 48 8D 84 24 C0 00 00 00 48 89 44 24 40 48 89 5C 24 38 48 89 5C 24 30 89 5C 24 28 44 89 74 24 20 45 33 C9 45 33 C0 49 8B D7 48 8B CE FF 15 ?? ?? ?? ?? 44 8B F0 EB 26 48 8B 8C 24 98 00 00 00 E9 FE FE FF FF 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 44 8B 74 24 54 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 8B 9C 24 88 00 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 78 E8 ?? ?? ?? ?? 48 8B 8C 24 80 00 00 00 FF 15 ?? ?? ?? ?? 45 85 F6 74 0E 48 8B 8C 24 B0 00 00 00 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 18 33 DB 45 85 F6 74 14 48 8B 84 24 A8 00 00 00 48 89 47 08 4C 89 2F E9 87 00 00 00 48 89 1F EB 38 48 89 4C 24 20 45 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 89 4C 24 20 45 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 89 4C 24 20 45 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 33 DB 44 8B 64 24 50 49 8B CD E8 ?? ?? ?? ?? 48 63 7C 24 70 89 5C BC 68 4C 8B EB 48 89 9C 24 A0 00 00 00 EB 02 33 DB 49 63 C4 39 5C 84 68 74 09 8B 4C 84 58 E8 ?? ?? ?? ?? 48 63 C7 39 5C 84 68 74 0A 8B 4C 84 58 E8 ?? ?? ?? ?? 90 B9 09 00 00 00 E8 ?? ?? ?? ?? 49 8B C5 48 8B 8C 24 38 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 01 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_216_3_0 {
	meta:
		name = "_wpopen$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_popen$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 50 48 8B EA B9 09 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 50 5D C3 CC }
	condition:
		$1
}

rule file_216_4_0 {
	meta:
		name = "idtab"
		size = 150
		refs = "0007 __idpairs 000e __idtabsiz 0063 _recalloc_crt"
	strings:
		$1 = { 48 83 EC 28 4C 8B 15 ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? 45 8B C8 49 8B D2 49 C1 E1 04 4D 03 CA 4D 3B D1 73 0E 48 39 0A 74 09 48 83 C2 10 49 3B D1 72 F2 49 3B D1 73 05 48 8B C2 EB 55 48 85 C9 75 4E 41 8D 40 01 41 3B C0 72 45 8B D0 48 B8 FF FF FF FF FF FF FF 0F 48 3B D0 73 34 44 8D 41 10 49 8B CA E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 20 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B C1 48 C1 E0 04 48 03 C2 FF C1 89 0D ?? ?? ?? ?? EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_217_0_0 {
	meta:
		name = "rename"
		size = 327
		refs = "0026 __crtIsPackagedApp 0030 __imp_AreFileApisANSI 0056 __imp_MultiByteToWideChar 0095 _malloc_crt 00ee _wrename 00f8 free 010a __imp_GetLastError 0111 _dosmaperr"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 4C 8B FA 4C 8B E1 33 DB E8 ?? ?? ?? ?? 85 C0 75 0E FF 15 ?? ?? ?? ?? 8D 4B 01 85 C0 0F 44 D9 83 64 24 28 00 48 83 64 24 20 00 83 CD FF 44 8B CD 4D 8B C4 33 D2 8B CB FF 15 ?? ?? ?? ?? 48 63 F0 85 C0 0F 84 B4 00 00 00 83 64 24 28 00 48 83 64 24 20 00 44 8B CD 4D 8B C7 33 D2 8B CB FF 15 ?? ?? ?? ?? 44 8B F0 85 C0 0F 84 8E 00 00 00 8D 0C 30 48 63 C9 48 03 C9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 81 00 00 00 48 8D 2C 70 89 74 24 28 83 CE FF 4D 8B C4 33 D2 8B CB 44 8B CE 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 37 44 8B CE 4D 8B C7 33 D2 8B CB 44 89 74 24 28 48 89 6C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 19 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 8B D8 E8 ?? ?? ?? ?? 8B C3 EB 28 48 8B CF E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C6 EB 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C5 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_221_3_0 {
	meta:
		name = "_output_p_l"
		size = 4307
		refs = "0022 __security_cookie 0062 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0072 _errno 0091 _fileno 0098 __badioinfo 00bc __ImageBase 00c4 __pioinfo 0110 _invalid_parameter_noinfo 01bb __lookuptable_s 0219 strtol 0244 memset 0408 _validate_param_reuseA 043c __nullstring 04f2 wctomb_s 064a __wnullstring 071b _get_printf_count_output 0a2e _malloc_crt 0a85 _cfltcvt_tab 0a92 __imp_DecodePointer 0b17 strlen 0ba0 write_multi_char 0bbd write_string 0c9a free 0f90 _isleadbyte_l 0fa5 write_char 10b4 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 A0 F4 FF FF 48 81 EC 60 0C 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 58 0B 00 00 33 F6 48 8B F9 48 89 4D 98 4C 8B E2 48 89 55 C8 48 8D 4D D0 49 8B D0 4D 8B E9 89 75 90 44 8B FE 89 74 24 50 89 75 8C 89 74 24 44 8B DE 89 74 24 68 E8 ?? ?? ?? ?? 48 89 75 80 41 83 CE FF 41 8B F6 E8 ?? ?? ?? ?? 48 89 45 A8 48 85 FF 0F 84 81 00 00 00 F6 47 18 40 0F 85 8C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 63 D0 41 8D 4A 02 83 F9 01 76 22 49 8B D2 49 8B CA 83 E2 1F 48 C1 F9 05 4C 6B CA 58 48 8D 15 ?? ?? ?? ?? 4C 03 8C CA ?? ?? ?? ?? EB 0A 4D 8B C8 48 8D 15 ?? ?? ?? ?? 41 F6 41 38 7F 75 29 41 8D 42 02 83 F8 01 76 19 49 8B CA 49 8B C2 83 E1 1F 48 C1 F8 05 4C 6B C1 58 4C 03 84 C2 ?? ?? ?? ?? 41 F6 40 38 80 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 0F 03 00 00 33 FF 4D 85 E4 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 60 0F 00 00 8B CF 44 8B D7 89 7C 24 4C 89 4C 24 7C 83 F9 01 75 08 85 F6 0F 84 43 0F 00 00 48 8B 45 C8 41 8B D6 4D 8B CC 89 7C 24 54 45 8B E6 44 89 75 A0 41 8B F6 44 89 74 24 78 44 8A 30 44 8B DF 48 89 7D B0 89 54 24 40 89 7C 24 5C 89 7C 24 48 45 84 F6 0F 84 D7 0E 00 00 4C 63 C1 4C 89 44 24 70 49 FF C1 4C 89 4C 24 60 45 85 D2 0F 88 5A 0E 00 00 41 8D 46 E0 3C 58 77 1B 48 8D 0D ?? ?? ?? ?? 49 0F BE C6 0F B6 8C 08 ?? ?? ?? ?? 83 E1 0F 45 33 D2 EB 06 45 33 D2 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C3 41 BB 01 00 00 00 48 03 C8 48 8D 05 ?? ?? ?? ?? 0F B6 84 01 ?? ?? ?? ?? C1 E8 04 89 45 88 41 3B C3 0F 85 DD 00 00 00 41 80 39 25 0F 84 DC 00 00 00 83 FE FF 75 5E 45 8D 43 09 48 8D 55 80 49 8B C9 E8 ?? ?? ?? ?? 45 33 D2 85 C0 7E 2F 48 8B 45 80 80 38 24 75 26 4C 39 54 24 70 75 14 48 8D 8D F0 01 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 89 74 24 78 EB 1D 4C 8B 44 24 70 4C 8B 4C 24 60 41 8B F2 44 89 54 24 78 41 BB 01 00 00 00 41 3B F3 75 74 48 8B 4C 24 60 48 8D 55 80 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 80 4C 8B 44 24 70 44 8B E0 41 BB 01 00 00 00 4C 8D 49 01 45 2B E3 45 33 D2 4C 89 4C 24 60 44 89 65 A0 4D 85 C0 75 36 45 85 E4 0F 88 5D 01 00 00 80 39 24 0F 85 54 01 00 00 41 83 FC 64 0F 8D 4A 01 00 00 8B 44 24 40 44 3B E0 41 0F 4F C4 89 44 24 40 EB 09 83 F8 08 0F 84 30 01 00 00 8B 4D 88 85 C9 0F 84 7F 0C 00 00 FF C9 0F 84 53 0C 00 00 FF C9 0F 84 F8 0B 00 00 FF C9 0F 84 5A 0B 00 00 FF C9 0F 84 45 0B 00 00 FF C9 0F 84 4A 0A 00 00 FF C9 0F 84 8F 09 00 00 FF C9 0F 85 BA 0C 00 00 41 0F BE CE 83 F9 64 0F 8F 7B 02 00 00 0F 84 0C 04 00 00 83 F9 41 0F 84 0E 02 00 00 83 F9 43 0F 84 29 01 00 00 8D 41 BB A9 FD FF FF FF 0F 84 F7 01 00 00 83 F9 53 0F 84 E2 00 00 00 83 F9 58 0F 84 37 03 00 00 83 F9 5A 74 17 83 F9 61 0F 84 DF 01 00 00 83 F9 63 0F 84 00 01 00 00 E9 97 07 00 00 85 F6 75 0A 49 8B 45 00 49 83 C5 08 EB 21 41 83 FC 63 77 78 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 65 02 00 00 48 8B 84 CD F8 01 00 00 48 8B 00 48 85 C0 74 7D 48 8B 58 08 48 85 DB 74 74 0F BF 00 41 0F BA E7 0B 73 60 99 44 89 5C 24 68 2B C2 D1 F8 E9 3D 07 00 00 C7 00 03 00 00 00 44 88 B4 CD 00 02 00 00 44 89 BC CD 04 02 00 00 E9 26 07 00 00 BA 03 00 00 00 45 8B CF 45 8A C6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 0B 07 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 83 CE FF 33 FF E9 66 0C 00 00 44 89 54 24 68 E9 E2 06 00 00 48 8B 1D ?? ?? ?? ?? E9 CE 06 00 00 41 F7 C7 30 08 00 00 75 05 41 0F BA EF 0B 83 FF FF 8B D7 B8 FF FF FF 7F 0F 44 D0 85 F6 0F 85 93 01 00 00 49 8B 5D 00 49 83 C5 08 E9 C0 01 00 00 41 F7 C7 30 08 00 00 75 05 41 0F BA EF 0B 41 F7 C7 10 08 00 00 74 78 85 F6 75 0B 45 0F B7 4D 00 49 83 C5 08 EB 47 41 83 FC 63 0F 87 6F FF FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 75 25 48 8D 85 F0 01 00 00 48 8D 04 C8 44 39 10 75 0B C7 00 02 00 00 00 E9 18 FF FF FF BA 02 00 00 00 E9 28 FF FF FF 48 8B 84 CD F8 01 00 00 44 0F B7 08 48 8D 55 F0 48 8D 4C 24 54 41 B8 00 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 46 C7 44 24 44 01 00 00 00 EB 3C 85 F6 75 0B 41 0F B7 45 00 49 83 C5 08 EB 25 41 83 FC 63 0F 87 F7 FE FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 08 03 00 00 48 8B 84 CD F8 01 00 00 0F B7 00 88 45 F0 44 89 5C 24 54 48 8D 5D F0 E9 D6 05 00 00 44 89 18 E9 93 FE FF FF 44 89 5D 8C 41 80 C6 20 41 83 CF 40 41 3B F3 0F 85 85 04 00 00 4D 85 C0 0F 85 7C 04 00 00 41 83 FC 63 0F 87 9B FE FF FF 49 63 C4 48 8D 0C 40 48 8D 85 F0 01 00 00 48 8D 04 C8 44 39 10 0F 85 32 04 00 00 C7 00 08 00 00 00 44 88 B4 CD 00 02 00 00 44 89 BC CD 04 02 00 00 E9 32 0A 00 00 83 F9 67 7E A5 83 F9 69 0F 84 89 01 00 00 83 F9 6E 0F 84 21 01 00 00 83 F9 6F 0F 84 03 01 00 00 83 F9 70 0F 84 BD 00 00 00 83 F9 73 0F 84 72 FE FF FF 83 F9 75 0F 84 60 01 00 00 83 F9 78 0F 85 2C 05 00 00 8D 41 AF E9 AD 00 00 00 41 83 FC 63 0F 87 0F FE FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 75 19 48 8D 85 F0 01 00 00 48 8D 04 C8 44 39 10 0F 84 B9 FD FF FF E9 CF FD FF FF 48 8B 9C CD F8 01 00 00 48 8B 1B 41 F7 C7 10 08 00 00 74 31 48 85 DB 44 89 5C 24 68 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0D 41 2B D3 66 44 39 10 74 08 48 83 C0 02 85 D2 75 EF 48 2B C3 48 D1 F8 E9 AC 04 00 00 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0B 41 2B D3 44 38 10 74 07 49 03 C3 85 D2 75 F1 2B C3 E9 86 04 00 00 BF 10 00 00 00 41 0F BA EF 0F 89 7C 24 48 B8 07 00 00 00 89 45 90 41 B9 10 00 00 00 45 84 FF 0F 89 96 00 00 00 41 8D 51 F2 04 51 C6 44 24 58 30 89 54 24 50 88 44 24 59 E9 82 00 00 00 41 B9 08 00 00 00 45 84 FF 79 73 B8 00 02 00 00 44 0B F8 EB 69 85 F6 75 0A 49 8B 7D 00 49 83 C5 08 EB 25 41 83 FC 63 0F 87 15 FD FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 02 FF FF FF 48 8B 84 CD F8 01 00 00 48 8B 38 E8 ?? ?? ?? ?? 85 C0 0F 84 ED FC FF FF 8B 44 24 4C 41 F6 C7 20 74 05 66 89 07 EB 02 89 07 B8 01 00 00 00 89 44 24 44 E9 DD 03 00 00 41 83 CF 40 41 B9 0A 00 00 00 8B 54 24 50 41 0F BA E7 0F 73 4C 85 F6 75 0D 4D 8B 45 00 49 83 C5 08 E9 9A 01 00 00 41 83 FC 63 0F 87 9E FC FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 75 6B 48 8D 85 F0 01 00 00 48 8D 04 C8 44 39 10 75 0B C7 00 04 00 00 00 E9 47 FC FF FF BA 04 00 00 00 E9 57 FC FF FF 41 0F BA E7 0C 73 4F 85 F6 74 AD 41 83 FC 63 0F 87 58 FC FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 75 25 48 8D 85 F0 01 00 00 48 8D 04 C8 44 39 10 75 0B C7 00 05 00 00 00 E9 01 FC FF FF BA 05 00 00 00 E9 11 FC FF FF 48 8B 84 CD F8 01 00 00 4C 8B 00 E9 09 01 00 00 41 F6 C7 20 0F 84 91 00 00 00 41 F6 C7 40 74 55 85 F6 75 0E 4D 0F BF 45 00 49 83 C5 08 E9 E7 00 00 00 41 83 FC 63 0F 87 EB FB FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 75 1C 48 8D 85 F0 01 00 00 48 8D 04 C8 44 39 10 0F 84 00 FD FF FF 41 8B D3 E9 AD FB FF FF 48 8B 84 CD F8 01 00 00 4C 0F BF 00 E9 A4 00 00 00 85 F6 75 0E 45 0F B7 45 00 49 83 C5 08 E9 92 00 00 00 41 83 FC 63 0F 87 96 FB FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 74 AB 48 8B 84 CD F8 01 00 00 44 0F B7 00 EB 6E 41 F6 C7 40 74 35 85 F6 75 0A 4D 63 45 00 49 83 C5 08 EB 5A 41 83 FC 63 0F 87 5E FB FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 6F FF FF FF 48 8B 84 CD F8 01 00 00 4C 63 00 EB 33 85 F6 75 0A 45 8B 45 00 49 83 C5 08 EB 25 41 83 FC 63 0F 87 29 FB FF FF 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 3A FF FF FF 48 8B 84 CD F8 01 00 00 44 8B 00 41 F6 C7 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EF 08 41 0F BA E7 0F 72 0A 41 0F BA E7 0C 72 03 45 8B C0 BE 00 02 00 00 85 FF 79 05 41 8B FB EB 09 41 83 E7 F7 3B FE 0F 4F FE 44 8B 65 90 49 8B C0 48 8D 9D EF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 50 8B CF 41 2B FB 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C4 88 03 49 2B DB EB D2 44 8B 65 A0 48 8D 85 EF 01 00 00 89 7C 24 48 2B C3 49 03 DB 89 44 24 54 44 85 FE 0F 84 76 01 00 00 85 C0 74 09 80 3B 30 0F 84 69 01 00 00 49 2B DB 44 01 5C 24 54 C6 03 30 E9 59 01 00 00 45 8A C6 BA 08 00 00 00 45 8B CF 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 33 FA FF FF 4C 8B 44 24 70 E9 F1 05 00 00 B8 00 02 00 00 48 8D 5D F0 8B F0 85 FF 79 0A C7 44 24 48 06 00 00 00 EB 49 75 0D 41 80 FE 67 75 41 44 89 5C 24 48 EB 3A 3B F8 0F 4F F8 89 7C 24 48 81 FF A3 00 00 00 7E 29 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 45 33 D2 48 89 45 B0 48 85 C0 74 07 48 8B D8 8B F7 EB 08 C7 44 24 48 A3 00 00 00 44 39 54 24 78 75 0E 49 8B 45 00 49 83 C5 08 48 89 45 C0 EB 20 41 83 FC 63 0F 87 A8 F9 FF FF 49 63 C4 48 8D 0C 40 48 8B 84 CD F8 01 00 00 48 8B 08 48 89 4D C0 48 8B 0D ?? ?? ?? ?? 41 0F BE FE 48 63 F6 FF 15 ?? ?? ?? ?? 48 8D 4D D0 44 8B CF 48 89 4C 24 30 8B 4D 8C 4C 8B C6 89 4C 24 28 8B 4C 24 48 48 8B D3 89 4C 24 20 48 8D 4D C0 FF D0 41 8B FF 81 E7 80 00 00 00 74 1E 33 C0 39 44 24 48 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 D0 48 8B CB FF D0 41 80 FE 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 D0 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA EF 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 89 44 24 54 8B 44 24 44 83 7C 24 78 01 75 0E 4C 8B 44 24 70 4D 85 C0 0F 84 A0 04 00 00 85 C0 0F 85 4D 01 00 00 41 F6 C7 40 74 31 41 0F BA E7 08 73 07 C6 44 24 58 2D EB 0B 41 F6 C7 01 74 10 C6 44 24 58 2B BF 01 00 00 00 89 7C 24 50 EB 11 41 F6 C7 02 74 07 C6 44 24 58 20 EB E8 8B 7C 24 50 44 8B 74 24 5C 48 8B 75 98 44 2B 74 24 54 44 2B F7 41 F6 C7 0C 75 12 4C 8D 4C 24 4C 4C 8B C6 41 8B D6 B1 20 E8 ?? ?? ?? ?? 48 8B 45 A8 4C 8D 4C 24 4C 48 8D 4C 24 58 4C 8B C6 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 F6 C7 08 74 18 41 F6 C7 04 75 12 4C 8D 4C 24 4C 4C 8B C6 41 8B D6 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 54 33 C0 39 44 24 68 74 67 85 FF 7E 63 48 8B F3 44 0F B7 0E 48 8D 95 50 0B 00 00 48 8D 4D B8 41 B8 06 00 00 00 FF CF 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 2F 8B 55 B8 85 D2 74 28 48 8B 45 A8 4C 8B 45 98 4C 8D 4C 24 4C 48 8D 8D 50 0B 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 85 FF 75 B3 48 8B 75 98 EB 28 48 8B 75 98 83 C8 FF 89 44 24 4C EB 1F 48 8B 45 A8 4C 8D 4C 24 4C 4C 8B C6 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 44 24 4C 85 C0 78 18 41 F6 C7 04 74 12 4C 8D 4C 24 4C 4C 8B C6 41 8B D6 B1 20 E8 ?? ?? ?? ?? 48 8B 45 B0 48 85 C0 74 0F 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4C 89 55 B0 8B 7C 24 48 E9 33 FD FF FF 41 80 FE 49 74 49 41 80 FE 68 74 3A 41 80 FE 6C 74 14 41 80 FE 77 0F 85 17 03 00 00 41 0F BA EF 0B E9 0D 03 00 00 41 80 39 6C 8B 54 24 40 75 0D 4D 03 CB 41 0F BA EF 0C E9 FA 02 00 00 41 83 CF 10 E9 F1 02 00 00 41 83 CF 20 E9 E4 02 00 00 41 8A 01 B9 00 80 00 00 44 0B F9 3C 36 75 13 41 80 79 01 34 75 0C 49 83 C1 02 44 0B F9 E9 C2 02 00 00 3C 33 75 15 41 80 79 01 32 75 0E 49 83 C1 02 41 0F BA F7 0F E9 A9 02 00 00 2C 58 3C 20 77 1A 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 73 0A 41 0F BA EF 10 E9 89 02 00 00 44 89 55 88 E9 21 02 00 00 41 80 FE 2A 0F 85 D3 00 00 00 85 F6 75 0D 41 8B 7D 00 49 83 C5 08 E9 A6 00 00 00 48 8D 55 80 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D 80 4C 8B 44 24 70 4C 8D 49 01 41 BB 01 00 00 00 45 33 D2 41 2B C3 4C 89 4C 24 60 4D 85 C0 75 61 85 C0 0F 88 5B F6 FF FF 80 39 24 0F 85 52 F6 FF FF 41 83 FC 64 0F 8D 48 F6 FF FF 8B 54 24 40 3B C2 0F 4F D0 48 98 48 8D 0C 40 48 8D 85 F0 01 00 00 89 54 24 40 48 8D 04 C8 44 39 10 75 18 44 89 18 C6 84 CD 00 02 00 00 2A 44 89 BC CD 04 02 00 00 E9 DE 01 00 00 41 B0 2A 41 8B D3 E9 BC FB FF FF 48 98 48 8D 0C 40 48 8B 84 CD F8 01 00 00 8B 38 8B 54 24 40 89 7C 24 48 85 FF 0F 89 B3 01 00 00 83 CF FF 89 7C 24 48 E9 A7 01 00 00 8D 3C BF 41 0F BE C6 8D 7F E8 8D 3C 78 89 7C 24 48 E9 8D 01 00 00 41 8B FA 44 89 54 24 48 E9 80 01 00 00 41 80 FE 2A 75 76 85 F6 75 0A 41 8B 45 00 49 83 C5 08 EB 49 48 8D 55 80 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D 80 4C 8B 44 24 70 4C 8D 49 01 41 BB 01 00 00 00 45 33 D2 41 2B C3 4C 89 4C 24 60 4D 85 C0 0F 84 03 FF FF FF 48 98 48 8D 0C 40 48 8B 84 CD F8 01 00 00 8B 00 8B 54 24 40 89 44 24 5C 85 C0 0F 89 17 01 00 00 41 83 CF 04 F7 D8 89 44 24 5C E9 08 01 00 00 8B 44 24 5C 8D 0C 80 41 0F BE C6 8D 04 48 83 C0 D0 89 44 24 5C E9 EA 00 00 00 41 80 FE 20 74 44 41 80 FE 23 74 34 41 80 FE 2B 74 26 41 80 FE 2D 74 17 8B 54 24 40 41 80 FE 30 0F 85 C8 00 00 00 41 83 CF 08 E9 BF 00 00 00 41 83 CF 04 E9 B2 00 00 00 45 0B FB E9 AA 00 00 00 41 0F BA EF 07 E9 A0 00 00 00 41 83 CF 02 E9 97 00 00 00 83 CF FF 44 89 55 8C 44 89 54 24 44 44 89 54 24 5C 44 89 54 24 50 45 8B FA 89 7C 24 48 44 89 54 24 68 EB 73 4D 85 C0 75 05 41 3B F3 74 69 4D 3B C3 75 05 83 FE FF 74 5F 48 8D 55 D0 41 0F B6 CE 44 89 54 24 68 E8 ?? ?? ?? ?? 85 C0 74 2A 48 8B 55 98 4C 8D 44 24 4C 41 8A CE E8 ?? ?? ?? ?? 48 8B 44 24 60 44 8A 30 48 FF C0 48 89 44 24 60 45 84 F6 0F 84 52 F4 FF FF 48 8B 55 98 4C 8D 44 24 4C 41 8A CE E8 ?? ?? ?? ?? E9 09 FA FF FF 8B 7C 24 48 4C 8B 4C 24 60 8B 54 24 40 45 8A 31 8B 74 24 78 44 8B 54 24 4C 44 8B 5D 88 45 84 F6 0F 85 95 F1 FF FF 33 FF }
	condition:
		$1
}

rule file_221_4_0 {
	meta:
		name = "_validate_param_reuseA"
		size = 290
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 4C 89 74 24 18 44 8A 51 10 41 8B D9 8B FA 4C 8B D9 41 80 FA 70 0F 84 E3 00 00 00 41 80 F8 70 0F 84 D9 00 00 00 41 8D 42 AD BA 00 00 00 00 A8 DF 41 8D 40 AD 8B CA 0F 94 C1 A8 DF 8B C2 0F 94 C0 85 C9 0F 85 8E 00 00 00 85 C0 0F 85 A8 00 00 00 41 8D 42 A8 49 BE 01 10 82 20 01 00 00 00 3C 20 77 0A 48 0F BE C0 49 0F A3 C6 72 12 41 8D 40 A8 3C 20 77 5D 48 0F BE C0 49 0F A3 C6 73 53 41 80 EA 58 B9 01 00 00 00 41 80 FA 20 77 0D 49 0F BE C2 44 8B C9 49 0F A3 C6 72 03 44 8B CA 41 80 E8 58 41 80 F8 20 77 0A 49 0F BE C0 49 0F A3 C6 72 02 8B CA 44 3B C9 74 04 33 C0 EB 4C 41 8B 4B 14 8B C1 33 C3 0F BA E0 10 72 EE 33 CB F6 C1 20 75 E7 41 39 3B EB 2D 3B C8 75 1E B8 10 08 00 00 8B CA 41 85 43 14 0F 95 C1 85 D8 8B C2 0F 95 C0 3B C8 B9 01 00 00 00 74 02 8B CA 8B C1 EB 0A 33 D2 45 3A D0 0F 94 C2 8B C2 48 8B 5C 24 08 48 8B 7C 24 10 4C 8B 74 24 18 C3 }
	condition:
		$1
}

rule file_221_9_0 {
	meta:
		name = "write_char"
		size = 70
		refs = "0031 _flsbuf"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 42 18 40 49 8B D8 74 0C 48 83 7A 10 00 75 05 41 FF 00 EB 25 FF 4A 08 78 0D 48 8B 02 88 08 48 FF 02 0F B6 C1 EB 08 0F BE C9 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_221_10_0 {
	meta:
		name = "write_multi_char"
		size = 81
		refs = "002f write_char"
	strings:
		$1 = { 85 D2 7E 4C 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B F0 8B DA 40 8A E9 4C 8B C7 48 8B D6 40 8A CD FF CB E8 ?? ?? ?? ?? 83 3F FF 74 04 85 DB 7F E7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_221_11_0 {
	meta:
		name = "write_string"
		size = 148
		refs = "0051 write_char"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 41 F6 40 18 40 48 8B 5C 24 60 49 8B F9 44 8B 3B 49 8B E8 8B F2 4C 8B F1 74 0C 49 83 78 10 00 75 05 41 01 11 EB 3D 83 23 00 85 D2 7E 33 41 8A 0E 4C 8B C7 48 8B D5 FF CE E8 ?? ?? ?? ?? 49 FF C6 83 3F FF 75 12 83 3B 2A 75 11 4C 8B C7 48 8B D5 B1 3F E8 ?? ?? ?? ?? 85 F6 7F D2 83 3B 00 75 03 44 89 3B 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_222_0_0 {
	meta:
		name = "__wtomb_environ"
		size = 242
		refs = "0018 _wenviron 004e __imp_WideCharToMultiByte 0066 _calloc_crt 00a5 __crtsetenv 00b8 free"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 57 48 83 EC 40 48 83 64 24 50 00 48 8B 1D ?? ?? ?? ?? 48 8B 03 48 85 C0 0F 84 AA 00 00 00 83 CD FF 48 83 64 24 38 00 48 83 64 24 30 00 83 64 24 28 00 48 83 64 24 20 00 44 8B CD 4C 8B C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 0F 84 91 00 00 00 48 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 7A 48 83 64 24 38 00 48 83 64 24 30 00 4C 8B 03 44 8B CD 33 D2 33 C9 89 7C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 47 48 8D 4C 24 50 33 D2 E8 ?? ?? ?? ?? 85 C0 79 15 48 8B 4C 24 50 48 85 C9 74 0B E8 ?? ?? ?? ?? 48 83 64 24 50 00 48 83 C3 08 48 8B 03 48 85 C0 0F 85 59 FF FF FF 33 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 40 5F C3 48 8B 4C 24 50 E8 ?? ?? ?? ?? 8B C5 EB E2 }
	condition:
		$1
}

rule file_223_0_0 {
	meta:
		name = "_CopyMan"
		size = 24
	strings:
		$1 = { 48 2B CA 41 B8 03 00 00 00 8B 02 89 04 11 48 8D 52 04 49 FF C8 75 F2 C3 }
	condition:
		$1
}

rule file_223_2_0 {
	meta:
		name = "_IncMan"
		size = 121
	strings:
		$1 = { 4C 8B C9 8B C2 B9 1F 00 00 00 99 41 B8 01 00 00 00 23 D1 03 C2 44 8B D0 23 C1 2B C2 41 C1 FA 05 2B C8 4D 63 DA 43 8B 04 99 41 D3 E0 33 C9 42 8D 14 00 3B D0 72 05 41 3B D0 73 05 B9 01 00 00 00 41 8D 42 FF 43 89 14 99 48 63 D0 85 C0 78 27 85 C9 74 23 41 8B 04 91 33 C9 44 8D 40 01 44 3B C0 72 06 41 83 F8 01 73 05 B9 01 00 00 00 45 89 04 91 48 FF CA 79 D9 8B C1 C3 }
	condition:
		$1
}

rule file_223_3_0 {
	meta:
		name = "_IsZeroMan"
		size = 26
	strings:
		$1 = { 33 D2 83 3C 91 00 75 0F 48 FF C2 48 83 FA 03 7C F1 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_223_4_0 {
	meta:
		name = "_RoundMan"
		size = 310
		refs = "0117 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 44 8D 52 FF 33 DB 41 83 CB FF 8D 73 1F 41 8D 42 01 4C 8B C1 99 44 8B F6 44 8D 4B 03 23 D6 03 C2 8B F8 23 C6 2B C2 C1 FF 05 44 2B F0 4C 63 FF 42 8B 04 B9 44 0F A3 F0 0F 83 9C 00 00 00 41 8B CE 41 8B D3 48 63 C7 D3 E2 F7 D2 41 85 14 80 75 18 8D 47 01 48 63 C8 EB 09 41 39 1C 88 75 0A 48 FF C1 49 3B C9 7C F2 EB 71 41 8B C2 41 BA 01 00 00 00 99 23 D6 03 C2 8B E8 23 C6 2B C2 C1 FD 05 2B F0 40 8A CE 48 63 F5 41 8B 04 B0 41 D3 E2 8B CB 42 8D 14 10 3B D0 72 05 41 3B D2 73 05 B9 01 00 00 00 8D 45 FF 41 89 14 B0 48 63 D0 85 C0 78 27 85 C9 74 23 41 8B 04 90 8B CB 44 8D 50 01 44 3B D0 72 06 41 83 FA 01 73 05 B9 01 00 00 00 45 89 14 90 48 FF CA 79 D9 8B D9 8D 47 01 41 8B CE 41 D3 E3 48 63 D0 47 21 1C B8 49 3B D1 7D 15 4C 2B CA 49 8D 0C 90 33 D2 49 C1 E1 02 4D 8B C1 E8 ?? ?? ?? ?? 48 8B 6C 24 48 48 8B 74 24 50 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_223_5_0 {
	meta:
		name = "_ShrMan"
		size = 169
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 45 33 C9 41 83 CA FF 8B C2 99 48 8B D9 41 8D 69 20 83 E2 1F 4C 8B C3 41 8D 79 03 03 C2 44 8B D8 83 E0 1F 2B C2 41 C1 FB 05 8B C8 8B F0 41 D3 E2 2B E8 41 F7 D2 41 8B 00 8B CE 8B D0 D3 E8 8B CD 41 0B C1 41 23 D2 44 8B CA 41 89 00 4D 8D 40 04 41 D3 E1 48 FF CF 75 DD 4D 63 CB 8D 57 02 48 8D 4B 08 4D 8B C1 49 F7 D8 49 3B D1 7C 08 42 8B 04 81 89 01 EB 03 83 21 00 48 83 E9 04 48 FF CA 79 E7 48 8B 5C 24 08 48 8B 6C 24 10 48 8B 74 24 18 48 8B 7C 24 20 C3 }
	condition:
		$1
}

rule file_223_6_0 {
	meta:
		name = "_ZeroTail"
		size = 78
	strings:
		$1 = { 8B C2 4C 8B C9 B9 1F 00 00 00 99 23 D1 03 C2 44 8B C0 23 C1 2B C2 83 CA FF 41 C1 F8 05 2B C8 49 63 C0 D3 E2 F7 D2 41 85 14 81 74 03 33 C0 C3 41 8D 40 01 48 63 C8 EB 0A 41 83 3C 89 00 75 ED 48 FF C1 48 83 F9 03 7C F0 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_223_8_0 {
	meta:
		name = "_ld12cvt"
		size = 1444
		refs = "001a __security_cookie 01bd memset 0588 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 0F B7 41 0A 44 0F B7 19 33 DB 8B F8 25 00 80 00 00 41 C1 E3 10 89 45 C0 8B 41 06 81 E7 FF 7F 00 00 89 45 E0 8B 41 02 81 EF FF 3F 00 00 41 BD 1F 00 00 00 4D 8B C8 4C 89 45 B8 89 45 E4 48 89 55 C8 44 89 5D D4 44 89 5D E8 8D 73 01 45 8D 75 E4 81 FF 01 C0 FF FF 75 29 44 8B C3 8B C3 39 5C 85 E0 75 0D 48 03 C6 49 3B C6 7C F2 E9 B2 04 00 00 48 89 5D E0 89 5D E8 BB 02 00 00 00 E9 A1 04 00 00 48 8B 45 E0 41 83 CF FF 89 7D B0 48 89 45 D8 41 8B 40 08 45 8B C5 FF C8 44 8B E3 89 45 B4 FF C0 99 41 23 D5 03 C2 44 8B C8 41 23 C5 41 C1 F9 05 2B C2 44 2B C0 4D 63 D1 42 8B 4C 95 E0 44 89 45 D0 44 0F A3 C1 0F 83 9E 00 00 00 41 8B C8 41 8B C7 49 63 D1 D3 E0 F7 D0 85 44 95 E0 75 19 41 8D 41 01 48 63 C8 EB 09 39 5C 8D E0 75 0A 48 03 CE 49 3B CE 7C F2 EB 72 8B 45 B4 41 8B CD 99 41 23 D5 03 C2 44 8B C0 41 23 C5 2B C2 41 C1 F8 05 8B D6 2B C8 4D 63 D0 42 8B 44 95 E0 D3 E2 8D 0C 10 3B C8 72 04 3B CA 73 03 44 8B E6 41 8D 40 FF 42 89 4C 95 E0 48 63 D0 85 C0 78 27 45 85 E4 74 22 8B 44 95 E0 44 8B E3 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 03 44 8B E6 44 89 44 95 E0 48 2B D6 79 D9 44 8B 45 D0 4D 63 D1 41 8B C8 41 8B C7 D3 E0 42 21 44 95 E0 41 8D 41 01 48 63 D0 49 3B D6 7D 1D 48 8D 4D E0 4D 8B C6 4C 2B C2 48 8D 0C 91 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 44 8B 5D D4 45 85 E4 74 02 03 FE 4C 8B 4D B8 41 8B 49 04 8B C1 41 2B 41 08 3B F8 7D 14 48 89 5D E0 89 5D E8 44 8B C3 BB 02 00 00 00 E9 51 03 00 00 3B F9 0F 8F 32 02 00 00 2B 4D B0 48 8B 45 D8 45 8B D7 48 89 45 E0 8B C1 44 89 5D E8 99 4D 8B DE 44 8B CB 41 23 D5 4C 8D 45 E0 03 C2 44 8B E0 41 23 C5 2B C2 41 C1 FC 05 8B C8 8B F8 B8 20 00 00 00 41 D3 E2 2B C1 44 8B F0 41 F7 D2 41 8B 00 8B CF 8B D0 D3 E8 41 8B CE 41 0B C1 41 23 D2 44 8B CA 41 89 00 4D 8D 40 04 41 D3 E1 4C 2B DE 75 DC 4D 63 D4 41 8D 7B 02 45 8D 73 03 4D 8B CA 44 8B C7 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E0 89 4C 15 E0 EB 05 42 89 5C 85 E0 4C 2B C6 79 DC 44 8B 45 B4 45 8B DD 41 8D 40 01 99 41 23 D5 03 C2 44 8B C8 41 23 C5 2B C2 41 C1 F9 05 44 2B D8 49 63 C1 8B 4C 85 E0 44 0F A3 D9 0F 83 98 00 00 00 41 8B CB 41 8B C7 49 63 D1 D3 E0 F7 D0 85 44 95 E0 75 19 41 8D 41 01 48 63 C8 EB 09 39 5C 8D E0 75 0A 48 03 CE 49 3B CE 7C F2 EB 6C 41 8B C0 41 8B CD 99 41 23 D5 03 C2 44 8B D0 41 23 C5 2B C2 41 C1 FA 05 8B D6 2B C8 4D 63 E2 42 8B 44 A5 E0 D3 E2 8B CB 44 8D 04 10 44 3B C0 72 05 44 3B C2 73 02 8B CE 41 8D 42 FF 46 89 44 A5 E0 48 63 D0 85 C0 78 24 85 C9 74 20 8B 44 95 E0 8B CB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 02 8B CE 44 89 44 95 E0 48 2B D6 79 DC 41 8B CB 41 8B C7 D3 E0 49 63 C9 21 44 8D E0 41 8D 41 01 48 63 D0 49 3B D6 7D 19 48 8D 4D E0 4D 8B C6 4C 2B C2 48 8D 0C 91 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8B 45 B8 41 BC 20 00 00 00 44 8B CB 8B 40 0C 4C 8D 45 E0 03 C6 99 41 23 D5 03 C2 44 8B D0 41 23 C5 2B C2 41 C1 FA 05 8B C8 44 8B D8 41 D3 E7 44 2B E0 41 F7 D7 41 8B 00 41 8B CB 8B D0 D3 E8 41 8B CC 41 0B C1 41 23 D7 44 8B CA 41 89 00 4D 8D 40 04 41 D3 E1 4C 2B F6 75 DB 4D 63 D2 4C 8B C7 4D 8B CA 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E0 89 4C 15 E0 EB 05 42 89 5C 85 E0 4C 2B C6 79 DC 44 8B C3 8B DF E9 13 01 00 00 41 8B 41 0C 45 8B 11 41 BC 20 00 00 00 99 41 23 D5 03 C2 44 8B D8 41 23 C5 2B C2 41 C1 FB 05 8B C8 41 D3 E7 41 F7 D7 41 3B FA 7C 7B 48 89 5D E0 0F BA 6D E0 1F 89 5D E8 44 2B E0 8B F8 44 8B CB 4C 8D 45 E0 41 8B 00 8B CF 41 8B D7 23 D0 D3 E8 41 8B CC 41 0B C1 44 8B CA 41 D3 E1 41 89 00 4D 8D 40 04 4C 2B F6 75 DC 4D 63 CB 41 8D 7E 02 4D 8B C1 49 F7 D8 49 3B F9 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 82 8B 4C 05 E0 89 4C 15 E0 EB 04 89 5C BD E0 48 2B FE 79 DD 4C 8B 4D B8 8B DE 45 8B 41 14 45 03 C2 EB 70 45 8B 41 14 0F BA 75 E0 1F 44 8B D3 44 03 C7 8B F8 44 2B E0 4C 8D 4D E0 41 8B 01 8B CF 8B D0 D3 E8 41 8B CC 41 0B C2 41 23 D7 44 8B D2 41 89 01 4D 8D 49 04 41 D3 E2 4C 2B F6 75 DC 4D 63 D3 41 8D 7E 02 4D 8B CA 49 F7 D9 49 3B FA 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E0 89 4C 15 E0 EB 04 89 5C BD E0 48 2B FE 79 DD 4C 8B 4D B8 48 8B 55 C8 45 2B 69 0C 41 8A CD 41 D3 E0 F7 5D C0 1B C0 25 00 00 00 80 44 0B C0 44 0B 45 E0 41 83 79 10 40 75 0B 8B 45 E4 44 89 42 04 89 02 EB 0A 41 83 79 10 20 75 03 44 89 02 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_223_9_0 {
	meta:
		name = "_ld12tod"
		size = 1462
		refs = "0022 __security_cookie 00b9 DoubleFormat 01c1 memset 0594 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 0F B7 41 0A 44 0F B7 09 33 DB 8B F8 25 00 80 00 00 41 C1 E1 10 89 45 C4 8B 41 06 81 E7 FF 7F 00 00 89 45 E8 8B 41 02 81 EF FF 3F 00 00 41 BC 1F 00 00 00 48 89 55 D0 44 89 4D D8 89 45 EC 44 89 4D F0 8D 73 01 45 8D 74 24 E4 81 FF 01 C0 FF FF 75 29 44 8B C3 8B C3 39 5C 85 E8 75 0D 48 03 C6 49 3B C6 7C F2 E9 B7 04 00 00 48 89 5D E8 89 5D F0 BB 02 00 00 00 E9 A6 04 00 00 48 8B 45 E8 45 8B C4 41 83 CF FF 48 89 45 E0 8B 05 ?? ?? ?? ?? 89 7D C0 FF C8 44 8B EB 89 45 C8 FF C0 99 41 23 D4 03 C2 44 8B D0 41 23 C4 41 C1 FA 05 2B C2 44 2B C0 4D 63 DA 42 8B 4C 9D E8 44 89 45 DC 44 0F A3 C1 0F 83 9E 00 00 00 41 8B C8 41 8B C7 49 63 D2 D3 E0 F7 D0 85 44 95 E8 75 19 41 8D 42 01 48 63 C8 EB 09 39 5C 8D E8 75 0A 48 03 CE 49 3B CE 7C F2 EB 72 8B 45 C8 41 8B CC 99 41 23 D4 03 C2 44 8B C0 41 23 C4 2B C2 41 C1 F8 05 8B D6 2B C8 4D 63 D8 42 8B 44 9D E8 D3 E2 8D 0C 10 3B C8 72 04 3B CA 73 03 44 8B EE 41 8D 40 FF 42 89 4C 9D E8 48 63 D0 85 C0 78 27 45 85 ED 74 22 8B 44 95 E8 44 8B EB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 03 44 8B EE 44 89 44 95 E8 48 2B D6 79 D9 44 8B 45 DC 4D 63 DA 41 8B C8 41 8B C7 D3 E0 42 21 44 9D E8 41 8D 42 01 48 63 D0 49 3B D6 7D 1D 48 8D 4D E8 4D 8B C6 4C 2B C2 48 8D 0C 91 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 44 8B 4D D8 45 85 ED 74 02 03 FE 8B 0D ?? ?? ?? ?? 8B C1 2B 05 ?? ?? ?? ?? 3B F8 7D 14 48 89 5D E8 89 5D F0 44 8B C3 BB 02 00 00 00 E9 54 03 00 00 3B F9 0F 8F 31 02 00 00 2B 4D C0 48 8B 45 E0 45 8B D7 48 89 45 E8 8B C1 44 89 4D F0 99 4D 8B DE 44 8B CB 41 23 D4 4C 8D 45 E8 03 C2 44 8B E8 41 23 C4 2B C2 41 C1 FD 05 8B C8 8B F8 B8 20 00 00 00 41 D3 E2 2B C1 44 8B F0 41 F7 D2 41 8B 00 8B CF 8B D0 D3 E8 41 8B CE 41 0B C1 41 23 D2 44 8B CA 41 89 00 4D 8D 40 04 41 D3 E1 4C 2B DE 75 DC 4D 63 D5 41 8D 7B 02 45 8D 73 03 4D 8B CA 44 8B C7 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E8 89 4C 15 E8 EB 05 42 89 5C 85 E8 4C 2B C6 79 DC 44 8B 45 C8 45 8B DC 41 8D 40 01 99 41 23 D4 03 C2 44 8B C8 41 23 C4 2B C2 41 C1 F9 05 44 2B D8 49 63 C1 8B 4C 85 E8 44 0F A3 D9 0F 83 98 00 00 00 41 8B CB 41 8B C7 49 63 D1 D3 E0 F7 D0 85 44 95 E8 75 19 41 8D 41 01 48 63 C8 EB 09 39 5C 8D E8 75 0A 48 03 CE 49 3B CE 7C F2 EB 6C 41 8B C0 41 8B CC 99 41 23 D4 03 C2 44 8B D0 41 23 C4 2B C2 41 C1 FA 05 8B D6 2B C8 4D 63 EA 42 8B 44 AD E8 D3 E2 8B CB 44 8D 04 10 44 3B C0 72 05 44 3B C2 73 02 8B CE 41 8D 42 FF 46 89 44 AD E8 48 63 D0 85 C0 78 24 85 C9 74 20 8B 44 95 E8 8B CB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 02 8B CE 44 89 44 95 E8 48 2B D6 79 DC 41 8B CB 41 8B C7 D3 E0 49 63 C9 21 44 8D E8 41 8D 41 01 48 63 D0 49 3B D6 7D 19 48 8D 4D E8 4D 8B C6 4C 2B C2 48 8D 0C 91 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 41 BD 20 00 00 00 44 8B CB FF C0 4C 8D 45 E8 99 41 23 D4 03 C2 44 8B D0 41 23 C4 2B C2 41 C1 FA 05 8B C8 44 8B D8 41 D3 E7 44 2B E8 41 F7 D7 41 8B 00 41 8B CB 8B D0 D3 E8 41 8B CD 41 0B C1 41 23 D7 44 8B CA 41 89 00 4D 8D 40 04 41 D3 E1 4C 2B F6 75 DB 4D 63 D2 4C 8B C7 4D 8B CA 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E8 89 4C 15 E8 EB 05 42 89 5C 85 E8 4C 2B C6 79 DC 44 8B C3 8B DF E9 1B 01 00 00 8B 05 ?? ?? ?? ?? 44 8B 15 ?? ?? ?? ?? 41 BD 20 00 00 00 99 41 23 D4 03 C2 44 8B D8 41 23 C4 2B C2 41 C1 FB 05 8B C8 41 D3 E7 41 F7 D7 41 3B FA 7C 7A 48 89 5D E8 0F BA 6D E8 1F 89 5D F0 44 2B E8 8B F8 44 8B CB 4C 8D 45 E8 41 8B 00 8B CF 41 8B D7 23 D0 D3 E8 41 8B CD 41 0B C1 44 8B CA 41 D3 E1 41 89 00 4D 8D 40 04 4C 2B F6 75 DC 4D 63 CB 41 8D 7E 02 4D 8B C1 49 F7 D8 49 3B F9 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 82 8B 4C 05 E8 89 4C 15 E8 EB 04 89 5C BD E8 48 2B FE 79 DD 44 8B 05 ?? ?? ?? ?? 8B DE 45 03 C2 EB 6F 44 8B 05 ?? ?? ?? ?? 0F BA 75 E8 1F 44 8B D3 44 03 C7 8B F8 44 2B E8 4C 8D 4D E8 41 8B 01 8B CF 8B D0 D3 E8 41 8B CD 41 0B C2 41 23 D7 44 8B D2 41 89 01 4D 8D 49 04 41 D3 E2 4C 2B F6 75 DC 4D 63 D3 41 8D 7E 02 4D 8B CA 49 F7 D9 49 3B FA 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E8 89 4C 15 E8 EB 04 89 5C BD E8 48 2B FE 79 DD 48 8B 55 D0 44 2B 25 ?? ?? ?? ?? 41 8A CC 41 D3 E0 F7 5D C4 1B C0 25 00 00 00 80 44 0B C0 8B 05 ?? ?? ?? ?? 44 0B 45 E8 83 F8 40 75 0B 8B 45 EC 44 89 42 04 89 02 EB 08 83 F8 20 75 03 44 89 02 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_223_10_0 {
	meta:
		name = "_ld12tof"
		size = 1462
		refs = "0022 __security_cookie 00b9 FloatFormat 01c1 memset 0594 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 0F B7 41 0A 44 0F B7 09 33 DB 8B F8 25 00 80 00 00 41 C1 E1 10 89 45 C4 8B 41 06 81 E7 FF 7F 00 00 89 45 E8 8B 41 02 81 EF FF 3F 00 00 41 BC 1F 00 00 00 48 89 55 D0 44 89 4D D8 89 45 EC 44 89 4D F0 8D 73 01 45 8D 74 24 E4 81 FF 01 C0 FF FF 75 29 44 8B C3 8B C3 39 5C 85 E8 75 0D 48 03 C6 49 3B C6 7C F2 E9 B7 04 00 00 48 89 5D E8 89 5D F0 BB 02 00 00 00 E9 A6 04 00 00 48 8B 45 E8 45 8B C4 41 83 CF FF 48 89 45 E0 8B 05 ?? ?? ?? ?? 89 7D C0 FF C8 44 8B EB 89 45 C8 FF C0 99 41 23 D4 03 C2 44 8B D0 41 23 C4 41 C1 FA 05 2B C2 44 2B C0 4D 63 DA 42 8B 4C 9D E8 44 89 45 DC 44 0F A3 C1 0F 83 9E 00 00 00 41 8B C8 41 8B C7 49 63 D2 D3 E0 F7 D0 85 44 95 E8 75 19 41 8D 42 01 48 63 C8 EB 09 39 5C 8D E8 75 0A 48 03 CE 49 3B CE 7C F2 EB 72 8B 45 C8 41 8B CC 99 41 23 D4 03 C2 44 8B C0 41 23 C4 2B C2 41 C1 F8 05 8B D6 2B C8 4D 63 D8 42 8B 44 9D E8 D3 E2 8D 0C 10 3B C8 72 04 3B CA 73 03 44 8B EE 41 8D 40 FF 42 89 4C 9D E8 48 63 D0 85 C0 78 27 45 85 ED 74 22 8B 44 95 E8 44 8B EB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 03 44 8B EE 44 89 44 95 E8 48 2B D6 79 D9 44 8B 45 DC 4D 63 DA 41 8B C8 41 8B C7 D3 E0 42 21 44 9D E8 41 8D 42 01 48 63 D0 49 3B D6 7D 1D 48 8D 4D E8 4D 8B C6 4C 2B C2 48 8D 0C 91 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 44 8B 4D D8 45 85 ED 74 02 03 FE 8B 0D ?? ?? ?? ?? 8B C1 2B 05 ?? ?? ?? ?? 3B F8 7D 14 48 89 5D E8 89 5D F0 44 8B C3 BB 02 00 00 00 E9 54 03 00 00 3B F9 0F 8F 31 02 00 00 2B 4D C0 48 8B 45 E0 45 8B D7 48 89 45 E8 8B C1 44 89 4D F0 99 4D 8B DE 44 8B CB 41 23 D4 4C 8D 45 E8 03 C2 44 8B E8 41 23 C4 2B C2 41 C1 FD 05 8B C8 8B F8 B8 20 00 00 00 41 D3 E2 2B C1 44 8B F0 41 F7 D2 41 8B 00 8B CF 8B D0 D3 E8 41 8B CE 41 0B C1 41 23 D2 44 8B CA 41 89 00 4D 8D 40 04 41 D3 E1 4C 2B DE 75 DC 4D 63 D5 41 8D 7B 02 45 8D 73 03 4D 8B CA 44 8B C7 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E8 89 4C 15 E8 EB 05 42 89 5C 85 E8 4C 2B C6 79 DC 44 8B 45 C8 45 8B DC 41 8D 40 01 99 41 23 D4 03 C2 44 8B C8 41 23 C4 2B C2 41 C1 F9 05 44 2B D8 49 63 C1 8B 4C 85 E8 44 0F A3 D9 0F 83 98 00 00 00 41 8B CB 41 8B C7 49 63 D1 D3 E0 F7 D0 85 44 95 E8 75 19 41 8D 41 01 48 63 C8 EB 09 39 5C 8D E8 75 0A 48 03 CE 49 3B CE 7C F2 EB 6C 41 8B C0 41 8B CC 99 41 23 D4 03 C2 44 8B D0 41 23 C4 2B C2 41 C1 FA 05 8B D6 2B C8 4D 63 EA 42 8B 44 AD E8 D3 E2 8B CB 44 8D 04 10 44 3B C0 72 05 44 3B C2 73 02 8B CE 41 8D 42 FF 46 89 44 AD E8 48 63 D0 85 C0 78 24 85 C9 74 20 8B 44 95 E8 8B CB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 02 8B CE 44 89 44 95 E8 48 2B D6 79 DC 41 8B CB 41 8B C7 D3 E0 49 63 C9 21 44 8D E8 41 8D 41 01 48 63 D0 49 3B D6 7D 19 48 8D 4D E8 4D 8B C6 4C 2B C2 48 8D 0C 91 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 41 BD 20 00 00 00 44 8B CB FF C0 4C 8D 45 E8 99 41 23 D4 03 C2 44 8B D0 41 23 C4 2B C2 41 C1 FA 05 8B C8 44 8B D8 41 D3 E7 44 2B E8 41 F7 D7 41 8B 00 41 8B CB 8B D0 D3 E8 41 8B CD 41 0B C1 41 23 D7 44 8B CA 41 89 00 4D 8D 40 04 41 D3 E1 4C 2B F6 75 DB 4D 63 D2 4C 8B C7 4D 8B CA 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E8 89 4C 15 E8 EB 05 42 89 5C 85 E8 4C 2B C6 79 DC 44 8B C3 8B DF E9 1B 01 00 00 8B 05 ?? ?? ?? ?? 44 8B 15 ?? ?? ?? ?? 41 BD 20 00 00 00 99 41 23 D4 03 C2 44 8B D8 41 23 C4 2B C2 41 C1 FB 05 8B C8 41 D3 E7 41 F7 D7 41 3B FA 7C 7A 48 89 5D E8 0F BA 6D E8 1F 89 5D F0 44 2B E8 8B F8 44 8B CB 4C 8D 45 E8 41 8B 00 8B CF 41 8B D7 23 D0 D3 E8 41 8B CD 41 0B C1 44 8B CA 41 D3 E1 41 89 00 4D 8D 40 04 4C 2B F6 75 DC 4D 63 CB 41 8D 7E 02 4D 8B C1 49 F7 D8 49 3B F9 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 82 8B 4C 05 E8 89 4C 15 E8 EB 04 89 5C BD E8 48 2B FE 79 DD 44 8B 05 ?? ?? ?? ?? 8B DE 45 03 C2 EB 6F 44 8B 05 ?? ?? ?? ?? 0F BA 75 E8 1F 44 8B D3 44 03 C7 8B F8 44 2B E8 4C 8D 4D E8 41 8B 01 8B CF 8B D0 D3 E8 41 8B CD 41 0B C2 41 23 D7 44 8B D2 41 89 01 4D 8D 49 04 41 D3 E2 4C 2B F6 75 DC 4D 63 D3 41 8D 7E 02 4D 8B CA 49 F7 D9 49 3B FA 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 E8 89 4C 15 E8 EB 04 89 5C BD E8 48 2B FE 79 DD 48 8B 55 D0 44 2B 25 ?? ?? ?? ?? 41 8A CC 41 D3 E0 F7 5D C4 1B C0 25 00 00 00 80 44 0B C0 8B 05 ?? ?? ?? ?? 44 0B 45 E8 83 F8 40 75 0B 8B 45 EC 44 89 42 04 89 02 EB 08 83 F8 20 75 03 44 89 02 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_223_11_0 {
	meta:
		name = "_ld12told"
		size = 235
		refs = "0012 __security_cookie 00d7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 10 44 0F B7 59 0A 44 0F B7 11 BD FF 7F 00 00 8D 45 01 45 0F B7 CB 45 33 C0 41 C1 E2 10 66 44 23 D8 8B 41 02 48 8B DA 8B 51 06 66 44 23 CD 44 89 54 24 08 41 8D 78 01 89 14 24 45 85 D2 79 59 41 F7 C2 FF FF FF 7F 74 50 8D 50 01 41 8B C8 3B D0 72 04 3B D7 73 02 8B CF 89 54 24 04 49 8B D0 85 C9 74 2E 8B 04 94 41 8B C8 44 8D 50 01 44 3B D0 72 05 44 3B D7 73 02 8B CF 44 89 14 94 48 2B D7 79 DD 85 C9 74 0B BA 00 00 00 80 66 44 03 CF EB 03 8B 14 24 8B 44 24 04 66 44 3B CD 89 03 89 53 04 44 0F 44 C7 66 45 0B D9 66 44 89 5B 08 41 8B C0 48 8B 4C 24 10 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_224_0_0 {
	meta:
		name = "_calloc_impl"
		size = 154
		refs = "0024 _errno 004d _crtheap 0059 __imp_HeapAlloc 0064 _newmode 006f _callnewh"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B F8 48 8B DA 48 85 C9 74 1D 33 D2 48 8D 42 E0 48 F7 F1 48 3B C3 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 5D 48 0F AF D9 B8 01 00 00 00 48 85 DB 48 0F 44 D8 33 C0 48 83 FB E0 77 18 48 8B 0D ?? ?? ?? ?? 8D 50 08 4C 8B C3 FF 15 ?? ?? ?? ?? 48 85 C0 75 2D 83 3D ?? ?? ?? ?? 00 74 19 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 CB 48 85 FF 74 B2 C7 07 0C 00 00 00 EB AA 48 85 FF 74 06 C7 07 0C 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_227_0_0 {
	meta:
		name = "_snprintf"
		size = 177
		refs = "002e memset 0038 _errno 0043 _invalid_parameter_noinfo 0082 _output_l 00a2 _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 48 8B EC 48 83 EC 58 48 83 65 C8 00 48 8B DA 33 D2 49 8B F0 48 8B F9 44 8D 42 28 48 8D 4D D0 E8 ?? ?? ?? ?? 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 5C 48 85 DB 74 05 48 85 FF 74 E1 B8 FF FF FF 7F 4C 8D 4D 40 48 8D 4D C8 48 3B D8 48 8B D6 C7 45 E0 42 00 00 00 0F 47 D8 45 33 C0 48 89 7D D8 89 5D D0 48 89 7D C8 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 1B FF 4D D0 78 09 48 8B 45 C8 C6 00 00 EB 0B 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_227_1_0 {
	meta:
		name = "_snprintf_l"
		size = 29
		refs = "0014 _vsnprintf_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1019_1_0 {
	meta:
		name = "_snprintf_c_l"
		size = 29
		refs = "0014 _vsnprintf_c_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_948_1_0 {
	meta:
		name = "_snwprintf_l"
		size = 29
		refs = "0014 _vsnwprintf_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_722_8_0 {
	meta:
		name = "_sprintf_p_l"
		size = 29
		refs = "0014 _vsprintf_p_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_722_9_0 {
	meta:
		name = "_sprintf_s_l"
		size = 29
		refs = "0014 _vsprintf_s_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_677_1_0 {
	meta:
		name = "_swprintf_c_l"
		size = 29
		refs = "0014 _vswprintf_c_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_297_9_0 {
	meta:
		name = "_swprintf_p_l"
		size = 29
		refs = "0014 _vswprintf_p_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_297_10_0 {
	meta:
		name = "_swprintf_s_l"
		size = 29
		refs = "0014 _vswprintf_s_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_228_0_0 {
	meta:
		name = "__avx_log10f8"
		size = 576
		refs = "0024 __common_slog10_data 0236 __common_slog10_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 84 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 8F 01 00 00 C5 78 10 05 ?? ?? ?? ?? 49 83 E5 C0 C5 F8 10 2D ?? ?? ?? ?? C4 C1 79 FA C8 C4 E3 7D 19 C2 01 C4 C1 69 FA E0 C5 E9 72 E1 17 C5 E1 72 E4 17 C5 F1 DB CD C5 D9 DB E5 C5 FC C2 2D ?? ?? ?? ?? 11 C4 E3 6D 18 D3 01 C4 C1 71 FE D8 C4 C1 59 FE C8 C5 FC 5B D2 C4 E3 65 18 C9 01 C5 FC C2 1D ?? ?? ?? ?? 16 C5 F4 5C 0D ?? ?? ?? ?? C5 D4 56 E3 C5 E1 EF DB C4 C3 7D 19 E0 01 C4 C1 59 6B E8 C5 74 59 05 ?? ?? ?? ?? C5 D1 63 E3 C5 F4 59 D9 C5 F4 59 2D ?? ?? ?? ?? C5 3C 58 05 ?? ?? ?? ?? C5 F9 D7 D4 C5 D4 58 2D ?? ?? ?? ?? C5 3C 59 C3 C5 F4 59 25 ?? ?? ?? ?? C5 3C 58 C5 C5 DC 58 25 ?? ?? ?? ?? C5 F4 59 2D ?? ?? ?? ?? C5 3C 59 C3 C5 D4 58 2D ?? ?? ?? ?? C5 BC 58 E4 C5 6C 59 05 ?? ?? ?? ?? C5 EC 59 15 ?? ?? ?? ?? C5 DC 59 DB C5 E4 58 DD C5 E4 59 E1 C5 DC 58 2D ?? ?? ?? ?? C5 D4 59 C9 C4 C1 74 58 C8 C5 EC 58 C9 84 D2 75 1D C5 7C 10 84 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 D3 33 C0 C5 FC 11 B4 24 20 01 00 00 C5 FC 11 BC 24 00 01 00 00 C5 7C 11 8C 24 E0 00 00 00 C5 7C 11 94 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 48 01 00 00 8B D8 48 89 B4 24 40 01 00 00 8B F2 0F A3 DE 72 6A FF C3 83 FB 20 7C F4 C5 FC 10 B4 24 20 01 00 00 C5 FC 10 BC 24 00 01 00 00 C5 7C 10 8C 24 E0 00 00 00 C5 7C 10 94 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 48 01 00 00 48 8B B4 24 40 01 00 00 E9 06 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 82 0F 1F 40 00 }
	condition:
		$1
}

rule file_230_3_0 {
	meta:
		name = "_strtod_l"
		size = 340
		refs = "0017 __security_cookie 0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0047 _errno 0052 _invalid_parameter_noinfo 007a _isctype_l 00ad _fltin2 00e1 _HUGE 00ea __xmm@80000000000000008000000000000000 0139 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 70 0F 29 74 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 48 8B F1 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 74 03 48 89 1F 48 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 F6 E9 BC 00 00 00 48 8B 54 24 20 83 BA D4 00 00 00 01 7E 19 0F B6 0B 4C 8D 44 24 20 BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 20 EB 11 0F B6 0B 48 8B 82 08 01 00 00 0F B7 04 48 83 E0 08 85 C0 74 05 48 FF C3 EB C4 4C 8D 44 24 20 48 8D 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 48 85 FF 74 0A 48 63 48 04 48 03 CB 48 89 0F F7 00 40 02 00 00 74 0D 0F 57 F6 48 85 FF 74 4A 48 89 37 EB 45 F6 00 81 74 16 80 3B 2D F2 0F 10 35 ?? ?? ?? ?? 75 21 0F 57 35 ?? ?? ?? ?? EB 18 F7 00 00 01 00 00 74 1D F2 0F 10 40 10 0F 57 F6 66 0F 2E C6 7A 0F 75 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 05 F2 0F 10 70 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 0F 28 C6 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 20 49 8B 73 28 0F 28 74 24 60 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_232_3_0 {
	meta:
		name = "_mbsnbcpy_s_l"
		size = 519
		refs = "0055 _errno 0061 _invalid_parameter_noinfo 008d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00a9 strncpy_s 011a _ismbblead_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 49 8B F9 49 8B F0 48 8B EA 48 8B D9 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 44 88 09 EB E8 4D 85 C0 75 31 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 48 8B 54 24 70 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 48 8B D5 83 78 08 00 48 8B CB 75 12 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 37 01 00 00 48 83 FF FF 75 15 8A 06 48 FF C6 88 01 48 FF C1 84 C0 74 2A 48 FF CA 75 ED EB 23 8A 06 48 FF C6 88 01 48 FF C1 84 C0 74 0A 48 FF CA 74 05 48 FF CF 75 E8 48 85 FF 75 06 40 88 39 48 FF C1 48 85 D2 0F 85 A4 00 00 00 38 16 74 06 48 83 FF 01 75 37 4C 8D 71 FF 49 8B F6 4C 3B F3 72 19 0F B6 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CE 48 3B F3 73 E7 41 8B C6 2B C6 A8 01 74 09 41 C6 06 00 E9 9F 00 00 00 48 83 FF FF 75 47 48 83 FD 01 76 35 48 8D 75 FE 48 03 F3 48 8B FE 48 3B F3 72 19 0F B6 0F 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CF 48 3B FB 73 E7 8B C6 2B C7 A8 01 74 05 C6 06 00 EB 05 C6 44 2B FF 00 BB 50 00 00 00 EB 62 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 4C 48 8B C1 48 2B C3 48 83 F8 02 7C 3E 48 8D 71 FE 48 8B FE 48 3B F3 72 19 0F B6 0F 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CF 48 3B FB 73 E7 8B C6 2B C7 A8 01 74 11 C6 06 00 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 0F 84 6F FE FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 5E FE FF FF }
	condition:
		$1
}

rule file_234_0_0 {
	meta:
		name = "_wmakepath_s"
		size = 341
		refs = "0124 _errno 0144 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 85 C9 0F 84 1F 01 00 00 48 85 D2 0F 84 16 01 00 00 44 8B DF 4C 8B D1 4D 85 C0 74 27 41 0F B7 00 66 85 C0 74 1E 44 8D 5F 02 49 3B D3 0F 86 DE 00 00 00 66 89 01 4C 8D 51 02 8D 47 3A 66 41 89 02 4D 03 D3 4D 85 C9 74 50 66 41 39 39 74 4A 49 FF C3 4C 3B DA 0F 83 B6 00 00 00 41 0F B7 01 49 83 C1 02 66 41 89 02 49 83 C2 02 66 41 39 39 75 DE 66 41 83 79 FE 2F 74 20 B8 5C 00 00 00 66 41 39 41 FE 74 14 49 FF C3 4C 3B DA 0F 83 80 00 00 00 66 41 89 02 49 83 C2 02 48 8B 4C 24 50 48 85 C9 74 1E EB 17 49 FF C3 4C 3B DA 73 64 0F B7 01 66 41 89 02 49 83 C2 02 48 83 C1 02 66 39 39 75 E4 48 8B 4C 24 58 48 85 C9 74 3D 66 39 39 74 38 B8 2E 00 00 00 66 39 01 74 29 49 FF C3 4C 3B DA 73 2F 66 41 89 02 49 83 C2 02 EB 17 49 FF C3 4C 3B DA 73 1D 0F B7 01 66 41 89 02 49 83 C2 02 48 83 C1 02 66 39 39 75 E4 49 8D 43 01 48 3B C2 76 0F 66 89 3B E8 ?? ?? ?? ?? BB 22 00 00 00 EB 12 66 41 89 3A 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_235_0_0 {
	meta:
		name = "catanf"
		size = 106
		refs = "000f crealf 001c cimagf 0026 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 catanhf"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_278_0_0 {
	meta:
		name = "casinf"
		size = 106
		refs = "000f crealf 001c cimagf 0026 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 casinhf"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1142_0_0 {
	meta:
		name = "csinf"
		size = 106
		refs = "000f crealf 001c cimagf 0026 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 csinhf"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_245_0_0 {
	meta:
		name = "ctanf"
		size = 106
		refs = "000f crealf 001c cimagf 0026 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 ctanhf"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_237_0_0 {
	meta:
		name = "__security_check_cookie"
		size = 31
		refs = "0003 __security_cookie 001b __report_gsfailure"
	strings:
		$1 = { 48 3B 0D ?? ?? ?? ?? 75 11 48 C1 C1 10 66 F7 C1 FF FF 75 02 F3 C3 48 C1 C9 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_0_0 {
	meta:
		name = "_isatty"
		size = 95
		refs = "000a _errno 001c _nhandle 0028 __pioinfo 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 83 F9 FE 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 42 85 C9 78 2E 3B 0D ?? ?? ?? ?? 73 26 48 63 C9 48 8D 15 ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 48 8B 04 C2 0F BE 44 08 08 83 E0 40 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_239_2_0 {
	meta:
		name = "_cfltcvt_init"
		size = 134
		refs = "0003 _cropzeros 000a _cfltcvt 0011 _cfltcvt_tab 0018 _fassign 002d _forcdecpt 0042 _positive 0050 _cfltcvt_l 005e _fassign_l 006c _cropzeros_l 007a _forcdecpt_l"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_240_2_0 {
	meta:
		name = "sinhf"
		size = 726
		refs = "004c _set_statfp 0087 ??_C@_05PJDDOCIG@sinhf?$AA@ 00ae _handle_errorf 00cf __xmm@80000000000000008000000000000000 00d7 __real@40565a9f84f82e63 012d __real@40420fd21b95825f 013b __real@3dcf473de6af278e 0143 __real@3f962e42fe000000 014b __real@40471547652b82fe 0180 __real@3ff0000000000000 0185 splitexp 01d7 __ImageBase 01f4 __real@3d6b4125921ea08b 0200 __real@3de611cb2bdcb7be 020c __real@3e5ae6460fbe61c0 0218 __real@3ec71de3a4e13e7d 0224 __real@3f2a01a01a01ee80 0230 __real@3f811111111110fd 023c __real@3fc5555555555555 024b __real@3da9984b7f63fcd7 0258 ?cosh_lead@?1??sinhf@@9@9 0260 __real@3e21ee56385b7b20 026c __real@3e927e5069f1cb55 0278 __real@3efa01a019079011 0284 __real@3f56c16c16c212e5 0290 __real@3fa5555555555502 029c __real@3fe0000000000000 02b1 ?sinh_lead@?1??sinhf@@9@9"
	strings:
		$1 = { 48 83 EC 68 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 50 0F 57 E4 0F 28 F0 F3 0F 5A E6 F2 0F 11 64 24 78 48 8B 4C 24 78 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 10 3F 48 3B C2 73 1B 48 85 C0 0F 84 86 02 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 74 02 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 56 76 4E C7 44 24 40 01 00 00 00 F3 0F 11 74 24 78 0F 57 C0 44 8B 44 24 78 BA 1F 00 00 00 48 8D 0D ?? ?? ?? ?? F3 0F 11 44 24 38 F3 0F 11 74 24 30 49 0F BA E8 16 C7 44 24 28 21 00 00 00 83 64 24 20 00 44 8D 4A E2 E8 ?? ?? ?? ?? E9 15 02 00 00 F3 0F 58 F6 EB 93 45 33 D2 48 3B C1 41 0F 95 C2 4D 85 D2 74 07 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 4C C7 44 24 40 01 00 00 00 0F 57 C0 BA 1F 00 00 00 48 8D 0D ?? ?? ?? ?? 44 8D 4A E4 F3 0F 11 44 24 38 F3 0F 11 74 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 01 00 00 00 4D 85 D2 74 08 41 B8 00 00 80 FF EB 8C 41 B8 00 00 80 7F EB 84 66 0F 2F 25 ?? ?? ?? ?? 0F 82 92 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 84 24 88 00 00 00 48 89 44 24 38 48 8D 84 24 80 00 00 00 48 89 44 24 30 48 8D 44 24 70 0F 28 C4 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 4C 24 70 41 FF C9 49 63 C1 44 89 4C 24 70 48 05 FF 03 00 00 48 C1 E0 34 48 89 44 24 78 F2 0F 10 44 24 78 F2 0F 10 94 24 80 00 00 00 F2 0F 58 94 24 88 00 00 00 F2 0F 59 D0 E9 F0 00 00 00 F2 0F 2C C4 66 0F 6E C0 48 63 C8 48 8D 05 ?? ?? ?? ?? F3 0F E6 C0 F2 0F 5C E0 0F 28 CC F2 0F 59 CC 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D4 F2 0F 59 94 C8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 84 C8 ?? ?? ?? ?? F2 0F 58 D0 4D 85 D2 74 07 0F 57 15 ?? ?? ?? ?? 0F 57 C0 F2 0F 5A C2 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_240_3_0 {
	meta:
		name = "splitexp"
		size = 295
		refs = "0008 __real@3fe0000000000000 002c __real@0000000000000000 0048 __ImageBase 005f ?two_to_jby32_lead_table@?1??splitexp@@9@9 0068 ?two_to_jby32_trail_table@?1??splitexp@@9@9 00ce __real@3f56c1728d739765 00d6 __real@3f811115b7aa905e 00e2 __real@3fa5555555545d4e 00ee __real@3fc5555555548f7c"
	strings:
		$1 = { 48 83 EC 38 F2 0F 10 2D ?? ?? ?? ?? 0F 29 74 24 20 0F 29 7C 24 10 0F 28 E0 0F 28 F9 0F 28 F0 44 0F 29 04 24 F2 0F 59 E2 66 0F 2F 25 ?? ?? ?? ?? 44 0F 28 C3 76 06 F2 0F 58 E5 EB 04 F2 0F 5C E5 F2 44 0F 2C C4 48 8D 15 ?? ?? ?? ?? 41 8B C8 66 41 0F 6E C0 83 E1 1F 48 63 C1 F2 0F 10 9C C2 ?? ?? ?? ?? F2 0F 10 A4 C2 ?? ?? ?? ?? 41 8B C0 2B C1 48 8B 4C 24 68 99 83 E2 1F F3 0F E6 C0 03 C2 C1 F8 05 41 F7 D8 89 01 48 8B 44 24 70 F2 41 0F 59 C0 44 0F 28 04 24 F2 0F 5C F0 F2 0F 59 F1 66 41 0F 6E C8 F2 0F 11 18 48 8B 44 24 78 F3 0F E6 C9 F2 0F 59 4C 24 60 F2 0F 59 CF 0F 28 7C 24 10 0F 28 C1 F2 0F 58 C6 0F 28 D0 F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 C0 F2 0F 58 D5 F2 0F 59 D0 0F 28 C4 F2 0F 58 C3 F2 0F 58 D1 F2 0F 58 D6 0F 28 74 24 20 F2 0F 59 D0 F2 0F 58 D4 F2 0F 11 10 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_243_0_0 {
	meta:
		name = "wcstok_s"
		size = 191
		refs = "0013 _errno 001e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 DB 4D 8B D0 4C 8B CA 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 91 00 00 00 48 85 D2 74 E4 48 85 C9 75 35 49 8B 08 48 85 C9 75 2D EB D5 49 8B D1 66 45 39 19 74 18 45 0F B7 01 66 44 3B C0 74 0E 48 83 C2 02 44 0F B7 02 66 45 85 C0 75 EC 66 44 39 1A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 CD 48 8B C1 EB 2B 49 8B D1 66 45 39 19 74 18 45 0F B7 01 66 44 3B 01 74 0E 48 83 C2 02 44 0F B7 02 66 45 85 C0 75 EC 66 44 39 1A 75 0C 48 83 C1 02 66 44 39 19 75 CF EB 08 66 44 89 19 48 83 C1 02 48 3B C1 49 89 0A 49 0F 44 C3 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_246_0_0 {
	meta:
		name = "__getlocaleinfo"
		size = 485
		refs = "0015 __security_cookie 005a __crtGetLocaleInfoA 0067 __imp_GetLastError 0095 _calloc_crt 00e8 free 00fb __security_check_cookie 011f strncpy_s 0157 __crtGetLocaleInfoEx 01e0 _invoke_watson"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC D0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C0 00 00 00 48 8B 9C 24 30 01 00 00 41 8B F1 49 8B E8 4C 8B E1 83 FA 01 0F 85 FE 00 00 00 4C 8D 4C 24 40 44 8B C6 48 8B D5 48 8D 7C 24 40 45 33 F6 C7 44 24 20 80 00 00 00 E8 ?? ?? ?? ?? 44 8B F8 85 C0 75 5F FF 15 ?? ?? ?? ?? 83 F8 7A 75 7C 44 21 74 24 20 45 33 C9 44 8B C6 48 8B D5 49 8B CC E8 ?? ?? ?? ?? 4C 63 F8 85 C0 74 5F 41 8D 56 01 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 4B 4C 8B C8 44 8B C6 48 8B D5 49 8B CC 41 BE 01 00 00 00 44 89 7C 24 20 E8 ?? ?? ?? ?? 44 8B F8 85 C0 74 20 49 63 F7 BA 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 48 89 03 48 85 C0 75 32 45 85 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 C0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 41 8D 47 FF 4C 8B C7 48 8B D6 4C 63 C8 E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 45 85 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 33 C0 EB B3 41 BE 02 00 00 00 41 3B D6 75 53 48 83 23 00 45 33 C9 45 33 C0 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 63 F8 85 C0 74 27 48 8B CF 41 8B D6 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 14 44 8B CF 4C 8B C0 8B D6 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 AF 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 E9 52 FF FF FF 85 D2 0F 85 4A FF FF FF 21 54 24 30 0F BA EE 1D 4C 8D 44 24 30 8B D6 45 8B CE 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 84 28 FF FF FF 8A 44 24 30 88 03 E9 69 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_247_0_0 {
	meta:
		name = "_wcsset"
		size = 19
	strings:
		$1 = { 48 8B C1 EB 07 66 89 11 48 8D 49 02 66 83 39 00 75 F3 C3 }
	condition:
		$1
}

rule file_248_0_0 {
	meta:
		name = "__remainder_piby2d2f_forC"
		size = 396
		refs = "0022 L__2_by_pi_bits 0172 L__piby2"
	strings:
		$1 = { 48 81 EC 88 00 00 00 48 89 7C 24 20 48 89 74 24 30 48 8B F9 48 8B F2 49 8B D0 66 48 0F 6E C7 4C 8D 0D ?? ?? ?? ?? 66 49 0F 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 8B FA 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 F3 43 0F 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 66 48 0F 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 66 48 0F 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 21 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 89 07 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 1C 4D 8B D1 4D 8B C8 49 0F BD CA 49 83 EB 40 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 13 74 31 4D 8B C2 49 D3 EA EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 0F 1F 80 00 00 00 00 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 66 49 0F 6E C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 06 48 8B 74 24 30 48 8B 7C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_249_3_0 {
	meta:
		name = "_validate_param_reuseW"
		size = 304
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 7C 24 18 44 0F B7 51 10 8B DA 4C 8B D9 66 41 83 FA 70 0F 84 F1 00 00 00 66 41 83 F8 70 0F 84 E6 00 00 00 41 8D 42 AD BF DF FF 00 00 B9 00 00 00 00 66 85 C7 41 8D 40 AD 8B D1 0F 94 C2 66 85 C7 8B C1 0F 94 C0 85 D2 0F 85 96 00 00 00 85 C0 0F 85 AE 00 00 00 41 8D 42 A8 66 BF 20 00 48 BD 01 10 82 20 01 00 00 00 66 3B C7 77 09 0F B7 C0 48 0F A3 C5 72 12 41 8D 40 A8 66 3B C7 77 60 0F B7 C0 48 0F A3 C5 73 57 66 41 83 EA 58 BA 01 00 00 00 66 44 3B D7 77 0D 41 0F B7 C2 44 8B D2 48 0F A3 C5 72 03 44 8B D1 66 41 83 E8 58 66 44 3B C7 77 0A 41 0F B7 C0 48 0F A3 C5 72 02 8B D1 44 3B D2 74 04 33 C0 EB 4D 41 8B 53 14 8B C2 41 33 C1 0F BA E0 10 72 ED 41 33 D1 40 84 D7 75 E5 41 39 1B EB 2C 3B D0 75 1C 41 8B 43 14 41 C1 E9 05 BA 01 00 00 00 C1 E8 05 41 F7 D1 F7 D0 41 33 C1 84 C2 74 02 8B D1 8B C2 EB 0B 33 C9 66 45 3B D0 0F 94 C1 8B C1 48 8B 5C 24 08 48 8B 6C 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_249_4_0 {
	meta:
		name = "_woutput_p_l"
		size = 4562
		refs = "0022 __security_cookie 006b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 007b _errno 0094 _invalid_parameter_noinfo 0162 __lookuptable_s 01c6 wcstol 01f1 memset 03e8 _validate_param_reuseW 0475 __nullstring 047d strlen 0566 _mbtowc_l 06ac _isleadbyte_l 06de __wnullstring 07a0 _get_printf_count_output 0ae0 _malloc_crt 0b40 _cfltcvt_tab 0b4d __imp_DecodePointer 0c43 write_multi_char 0c5f write_string 0cca write_char 0d36 free 1116 get_crtdouble_arg 11b3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 90 F2 FF FF 48 81 EC 70 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 0D 00 00 45 33 ED 48 8B F9 48 89 4D D0 4C 8B F2 48 89 55 F8 48 8D 4C 24 68 49 8B D0 4C 89 4C 24 48 44 89 6D C8 45 8B E5 44 89 6C 24 64 44 89 6D C4 44 89 6C 24 44 41 8B DD 44 89 6D 94 E8 ?? ?? ?? ?? 41 83 CF FF 4C 89 6D B8 41 8B F7 E8 ?? ?? ?? ?? 48 89 45 F0 48 85 FF 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 6D 80 74 0C 48 8B 4C 24 78 83 A1 C8 00 00 00 FD 41 8B C7 E9 F6 10 00 00 4D 85 F6 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 6D 80 74 DD 48 8B 44 24 78 83 A0 C8 00 00 00 FD EB CF 4C 8B 7C 24 48 41 8B C5 45 8B DD 89 44 24 60 44 89 6D B0 41 83 FB 01 75 08 85 F6 0F 84 9A 10 00 00 83 C9 FF 4D 8B CE 45 0F B7 36 44 89 6C 24 58 45 8B D5 4C 89 6D E0 44 89 6D 8C 41 8B FD 44 89 6C 24 50 44 8B C1 89 4C 24 40 44 8B E9 89 4D D8 8B F1 89 4D 88 66 45 85 F6 0F 84 0D 10 00 00 49 63 D3 48 89 55 A0 49 83 C1 02 4C 89 4D 98 85 C0 0F 88 6E 0F 00 00 41 8D 46 E0 B9 58 00 00 00 66 3B C1 77 18 48 8D 0D ?? ?? ?? ?? 41 0F B7 C6 0F B6 4C 08 E0 83 E1 0F 45 33 C0 EB 06 45 33 C0 41 8B C8 48 63 C1 41 BB 01 00 00 00 48 8D 0C C0 49 63 C2 48 03 C8 48 8D 05 ?? ?? ?? ?? 0F B6 04 01 C1 E8 04 89 45 C0 41 3B C3 0F 85 E2 00 00 00 66 41 83 39 25 0F 84 E0 00 00 00 83 FE FF 75 5F 45 8D 43 09 48 8D 55 B8 49 8B C9 E8 ?? ?? ?? ?? 45 33 C0 85 C0 7E 2E 48 8B 45 B8 66 83 38 24 75 24 4C 39 45 A0 75 14 48 8D 8D 00 04 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 89 75 88 EB 1F 4C 8B 7C 24 48 48 8B 55 A0 4C 8B 4D 98 41 8B F0 44 89 45 88 41 BB 01 00 00 00 41 3B F3 75 77 48 8B 4D 98 48 8D 55 B8 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D B8 48 8B 55 A0 44 8B E8 41 BB 01 00 00 00 4C 8D 49 02 45 2B EB 45 33 C0 4C 89 4D 98 44 89 6D D8 48 85 D2 75 2C 45 85 ED 0F 88 92 01 00 00 66 83 39 24 0F 85 88 01 00 00 41 83 FD 64 0F 8D 7E 01 00 00 8B 44 24 40 44 3B E8 41 0F 4F C5 89 44 24 40 4C 8B 7C 24 48 EB 09 83 F8 08 0F 84 5F 01 00 00 8B 4D C0 85 C9 0F 84 CA 0D 00 00 FF C9 0F 84 A0 0D 00 00 FF C9 0F 84 48 0D 00 00 FF C9 0F 84 51 0C 00 00 FF C9 0F 84 3C 0C 00 00 FF C9 0F 84 4E 0B 00 00 FF C9 0F 84 7E 0A 00 00 FF C9 0F 85 C9 0D 00 00 41 0F B7 CE 83 F9 64 0F 8F 16 03 00 00 0F 84 F1 04 00 00 83 F9 41 0F 84 A1 02 00 00 83 F9 43 0F 84 CC 01 00 00 8D 41 BB A9 FD FF FF FF 0F 84 8A 02 00 00 83 F9 53 0F 84 7F 01 00 00 B8 58 00 00 00 3B C8 0F 84 F8 03 00 00 83 F9 5A 74 5E 83 F9 61 0F 84 6F 02 00 00 83 F9 63 0F 84 A5 01 00 00 4C 8B 74 24 58 B9 20 00 00 00 BF 2D 00 00 00 8B 44 24 44 83 7D 88 01 75 0D 48 8B 55 A0 48 85 D2 0F 84 3B 0D 00 00 85 C0 0F 85 C6 09 00 00 41 F6 C4 40 0F 84 AF 08 00 00 41 0F BA E4 08 0F 83 7E 08 00 00 66 89 7D AC E9 84 08 00 00 85 F6 75 12 49 83 C7 08 4C 89 7C 24 48 49 8B 47 F8 E9 90 00 00 00 41 83 FD 63 77 54 49 63 C5 48 8D 0C 40 48 85 D2 75 73 48 8D 85 00 04 00 00 48 8D 04 C8 44 39 00 75 1C C7 00 02 00 00 00 66 44 89 B4 CD 10 04 00 00 44 89 A4 CD 14 04 00 00 E9 60 FF FF FF BA 02 00 00 00 45 0F B7 C6 45 8B CC 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 44 FF FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C9 38 4D 80 74 0C 48 8B 44 24 78 83 A0 C8 00 00 00 FD 83 C8 FF E9 89 0D 00 00 48 8B 84 CD 08 04 00 00 48 8B 00 48 85 C0 74 43 48 8B 58 08 48 85 DB 74 3A B9 20 00 00 00 8D 79 0D 41 0F BA E4 0B 73 19 0F BF 00 44 89 5D 94 99 2B C2 D1 F8 44 8B F0 4C 89 74 24 58 E9 E7 FE FF FF 44 0F BF 30 44 89 45 94 4C 89 74 24 58 E9 D5 FE FF FF 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 58 4C 8B 7C 24 48 E9 AA FE FF FF 41 F7 C4 30 08 00 00 75 04 41 83 CC 20 83 FF FF 8B F7 B8 FF FF FF 7F 0F 44 F0 44 39 45 88 0F 85 96 01 00 00 49 83 C7 08 4C 89 7C 24 48 49 8B 5F F8 E9 A9 01 00 00 41 B9 20 00 00 00 41 F7 C4 30 08 00 00 75 0B 45 0B E1 EB 06 41 B9 20 00 00 00 44 89 5D 94 85 F6 75 10 49 83 C7 08 4C 89 7C 24 48 41 0F B7 47 F8 EB 41 41 83 FD 63 0F 87 EF FE FF FF 49 63 C5 48 8D 0C 40 48 85 D2 75 20 48 8D 85 00 04 00 00 48 8D 04 C8 44 39 00 75 08 44 89 18 E9 99 FE FF FF 41 8B D3 E9 AC FE FF FF 48 8B 84 CD 08 04 00 00 0F B7 00 66 89 45 90 45 84 E1 74 3B 88 45 A8 48 8B 44 24 68 44 88 45 A9 4C 63 80 D4 00 00 00 4C 8D 4C 24 68 48 8D 55 A8 48 8D 4D 00 E8 ?? ?? ?? ?? 4C 8B 7C 24 48 41 BB 01 00 00 00 85 C0 79 0B 44 89 5C 24 44 EB 04 66 89 45 00 48 8D 5D 00 45 8B F3 4C 89 74 24 58 E9 A8 FD FF FF 44 89 5D C4 66 41 83 C6 20 41 BA 67 00 00 00 41 83 CC 40 41 3B F3 0F 85 EC 04 00 00 48 85 D2 0F 85 E3 04 00 00 41 83 FD 63 0F 87 30 FE FF FF 49 63 C5 48 8D 0C 40 48 8D 85 00 04 00 00 48 8D 04 C8 44 39 00 0F 85 96 04 00 00 C7 00 07 00 00 00 66 44 89 B4 CD 10 04 00 00 44 89 A4 CD 14 04 00 00 E9 A6 0A 00 00 41 BA 67 00 00 00 41 3B CA 7E 9E 83 F9 69 0F 84 CD 01 00 00 83 F9 6E 0F 84 4F 01 00 00 83 F9 6F 0F 84 2D 01 00 00 83 F9 70 0F 84 E1 00 00 00 83 F9 73 0F 84 6D FE FF FF 83 F9 75 0F 84 A4 01 00 00 83 F9 78 0F 85 F3 FC FF FF 8D 41 AF E9 D1 00 00 00 41 83 FD 63 0F 87 9D FD FF FF 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 45 FD FF FF 48 8B 9C CD 08 04 00 00 48 8B 1B B9 20 00 00 00 44 84 E1 74 57 48 85 DB 45 8B F0 48 0F 44 1D ?? ?? ?? ?? 4C 89 74 24 58 48 8B FB 85 F6 0F 8E A8 FC FF FF 44 38 07 0F 84 E6 FD FF FF 0F B6 0F 48 8D 54 24 68 E8 ?? ?? ?? ?? 45 33 C0 45 8D 58 01 85 C0 74 03 49 03 FB 45 03 F3 49 03 FB 4C 89 74 24 58 44 3B F6 7C CC E9 B6 FD FF FF 48 85 DB 44 89 5D 94 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0D 41 2B F3 66 44 39 00 74 08 48 83 C0 02 85 F6 75 EF 48 2B C3 48 D1 F8 44 8B F0 4C 89 74 24 58 E9 37 FC FF FF BF 10 00 00 00 41 0F BA EC 0F 89 7C 24 50 B8 07 00 00 00 89 45 C8 41 B9 10 00 00 00 45 84 E4 0F 89 B6 00 00 00 41 8D 49 20 45 8D 51 F2 66 83 C0 51 66 89 4D AC 44 89 54 24 64 66 89 45 AE E9 9D 00 00 00 41 B9 08 00 00 00 45 84 E4 0F 89 89 00 00 00 B8 00 02 00 00 44 0B E0 EB 7F 85 F6 75 0F 49 83 C7 08 4C 89 7C 24 48 49 8B 7F F8 EB 25 41 83 FD 63 0F 87 70 FC FF FF 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 18 FC FF FF 48 8B 84 CD 08 04 00 00 48 8B 38 E8 ?? ?? ?? ?? 85 C0 0F 84 48 FC FF FF 8B 44 24 60 B9 20 00 00 00 44 84 E1 74 05 66 89 07 EB 02 89 07 4C 8B 7C 24 48 4C 8B 74 24 58 B8 01 00 00 00 8D 78 2C 89 44 24 44 E9 6F FB FF FF 41 83 CC 40 41 B9 0A 00 00 00 44 8B 54 24 64 41 0F BA E4 0F 73 51 85 F6 75 12 49 83 C7 08 4C 89 7C 24 48 4D 8B 47 F8 E9 9E 01 00 00 41 83 FD 63 0F 87 E2 FB FF FF 49 63 C5 48 8D 0C 40 48 85 D2 75 6B 48 8D 85 00 04 00 00 48 8D 04 C8 44 39 00 75 0B C7 00 03 00 00 00 E9 89 FB FF FF BA 03 00 00 00 E9 9A FB FF FF 41 0F BA E4 0C 73 4F 85 F6 74 A8 41 83 FD 63 0F 87 9C FB FF FF 49 63 C5 48 8D 0C 40 48 85 D2 75 25 48 8D 85 00 04 00 00 48 8D 04 C8 44 39 00 75 0B C7 00 04 00 00 00 E9 43 FB FF FF BA 04 00 00 00 E9 54 FB FF FF 48 8B 84 CD 08 04 00 00 4C 8B 00 E9 0D 01 00 00 B8 20 00 00 00 44 84 E0 0F 84 87 00 00 00 41 F6 C4 40 74 42 85 F6 75 13 49 83 C7 08 4C 89 7C 24 48 4D 0F BF 47 F8 E9 E2 00 00 00 41 83 FD 63 0F 87 26 FB FF FF 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 33 FC FF FF 48 8B 84 CD 08 04 00 00 4C 0F BF 00 E9 B7 00 00 00 85 F6 75 13 49 83 C7 08 4C 89 7C 24 48 45 0F B7 47 F8 E9 A0 00 00 00 41 83 FD 63 0F 87 E4 FA FF FF 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 F1 FB FF FF 48 8B 84 CD 08 04 00 00 44 0F B7 00 EB 78 41 F6 C4 40 74 3A 85 F6 75 0F 49 83 C7 08 4C 89 7C 24 48 4D 63 47 F8 EB 5F 41 83 FD 63 0F 87 A3 FA FF FF 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 B0 FB FF FF 48 8B 84 CD 08 04 00 00 4C 63 00 EB 38 85 F6 75 0F 49 83 C7 08 4C 89 7C 24 48 45 8B 47 F8 EB 25 41 83 FD 63 0F 87 69 FA FF FF 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 76 FB FF FF 48 8B 84 CD 08 04 00 00 44 8B 00 41 F6 C4 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EC 08 41 0F BA E4 0F 72 0A 41 0F BA E4 0C 72 03 45 8B C0 85 FF 79 05 41 8B FB EB 0E BA 00 02 00 00 41 83 E4 F7 3B FA 0F 4F FA 44 8B 6D C8 49 8B C0 48 8D 9D FF 01 00 00 48 F7 D8 1B C9 41 23 CA 89 4C 24 64 8B CF 41 2B FB 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C5 88 03 49 2B DB EB D2 4C 8B 7C 24 48 44 8B 6D D8 4C 8D B5 FF 01 00 00 44 2B F3 B8 00 02 00 00 49 03 DB 4C 89 74 24 58 89 7C 24 50 44 85 E0 0F 84 E7 F8 FF FF B8 30 00 00 00 45 85 F6 74 08 38 03 0F 84 D5 F8 FF FF 49 2B DB 45 03 F3 88 03 E9 16 FB FF FF 45 8B CC 45 0F B7 C6 BA 07 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 45 33 F6 85 C0 0F 84 D0 06 00 00 48 8B 55 A0 E9 00 06 00 00 B8 00 02 00 00 48 8D 5D 00 8B F0 85 FF 79 0A C7 44 24 50 06 00 00 00 EB 4E 75 0D 66 45 3B F2 75 46 44 89 5C 24 50 EB 3F 3B F8 0F 4F F8 89 7C 24 50 81 FF A3 00 00 00 7E 2E 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 4C 8B 7C 24 48 45 33 C0 48 89 45 E0 48 85 C0 74 07 48 8B D8 8B F7 EB 08 C7 44 24 50 A3 00 00 00 44 39 45 88 75 13 49 83 C7 08 4C 89 7C 24 48 49 8B 47 F8 48 89 45 E8 EB 20 41 83 FD 63 0F 87 CD F8 FF FF 49 63 C5 48 8D 0C 40 48 8B 84 CD 08 04 00 00 48 8B 08 48 89 4D E8 48 8B 0D ?? ?? ?? ?? 41 0F BE FE 48 63 F6 FF 15 ?? ?? ?? ?? 44 8B 7C 24 50 48 8D 4C 24 68 48 89 4C 24 30 8B 4D C4 44 8B CF 89 4C 24 28 48 8D 4D E8 4C 8B C6 48 8B D3 44 89 7C 24 20 FF D0 41 8B FC 81 E7 80 00 00 00 74 1C 45 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 68 48 8B CB FF D0 B9 67 00 00 00 66 44 3B F1 75 1B 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 68 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EC 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 4C 8B 7C 24 48 B9 20 00 00 00 44 8B F0 4C 89 74 24 58 E9 4E F7 FF FF 41 F6 C4 01 74 14 B8 2B 00 00 00 66 89 45 AC BE 01 00 00 00 89 74 24 64 EB 10 41 F6 C4 02 74 06 66 89 4D AC EB E9 8B 74 24 64 44 8B 7D 8C 48 8B 7D D0 45 2B FE 44 2B FE 41 F6 C4 0C 75 10 4C 8D 4C 24 60 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? 48 8B 45 F0 4C 8D 4C 24 60 48 8D 4D AC 4C 8B C7 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 41 F6 C4 08 74 1B 41 F6 C4 04 75 15 4C 8D 4C 24 60 B9 30 00 00 00 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? 33 C0 39 45 94 75 5D 45 85 F6 7E 58 48 8B FB 41 8B F6 48 8B 44 24 68 4C 8D 4C 24 68 48 8D 4D 90 4C 63 80 D4 00 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 4C 63 F0 85 C0 7E 1F 48 8B 55 D0 0F B7 4D 90 4C 8D 44 24 60 E8 ?? ?? ?? ?? 49 03 FE 85 F6 7F C1 48 8B 7D D0 EB 29 48 8B 7D D0 83 C8 FF 89 44 24 60 EB 20 48 8B 45 F0 4C 8D 4C 24 60 4C 8B C7 41 8B D6 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 44 24 60 85 C0 78 1B 41 F6 C4 04 74 15 4C 8D 4C 24 60 B9 20 00 00 00 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? 4C 8B 7C 24 48 48 8B 4D E0 48 85 C9 74 10 E8 ?? ?? ?? ?? 4C 8B 7C 24 48 33 C9 48 89 4D E0 8B 7C 24 50 E9 46 FD FF FF 41 0F B7 C6 83 F8 49 74 4C 83 F8 68 74 3E B9 6C 00 00 00 3B C1 74 13 83 F8 77 0F 85 33 03 00 00 41 0F BA EC 0B E9 29 03 00 00 44 8B 44 24 40 66 41 39 09 75 0E 49 83 C1 02 41 0F BA EC 0C E9 15 03 00 00 41 83 CC 10 E9 0C 03 00 00 41 83 CC 20 E9 FE 02 00 00 41 0F B7 01 B9 00 80 00 00 44 0B E1 66 83 F8 36 75 14 66 41 83 79 02 34 75 0C 49 83 C1 04 44 0B E1 E9 D8 02 00 00 66 83 F8 33 75 16 66 41 83 79 02 32 75 0E 49 83 C1 04 41 0F BA F4 0F E9 BC 02 00 00 66 83 E8 58 B9 20 00 00 00 66 3B C1 77 1A 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 73 0A 41 0F BA EC 10 E9 94 02 00 00 44 89 45 C0 E9 68 02 00 00 B8 2A 00 00 00 66 44 3B F0 0F 85 C1 00 00 00 85 F6 75 0F 49 83 C7 08 4C 89 7C 24 48 41 8B 7F F8 EB 49 48 8D 55 B8 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D B8 48 8B 55 A0 4C 8D 49 02 41 BB 01 00 00 00 41 2B C3 4C 89 4D 98 48 85 D2 0F 84 F2 00 00 00 4C 8B 7C 24 48 48 98 48 8D 0C 40 48 8B 84 CD 08 04 00 00 8B 38 44 8B 44 24 40 89 7C 24 50 85 FF 0F 89 14 02 00 00 83 CF FF 89 7C 24 50 E9 08 02 00 00 4C 8B 7C 24 48 44 89 18 B8 2A 00 00 00 66 89 84 CD 10 04 00 00 44 89 A4 CD 14 04 00 00 E9 E6 01 00 00 45 8B CC 41 B8 2A 00 00 00 41 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 88 02 00 00 4C 8B 7C 24 48 E9 AE FB FF FF 8D 3C BF 41 0F B7 C6 8D 7F E8 8D 3C 78 89 7C 24 50 E9 A5 01 00 00 41 8B F8 44 89 44 24 50 E9 98 01 00 00 B8 2A 00 00 00 66 44 3B F0 0F 85 C8 00 00 00 85 F6 75 12 49 83 C7 08 4C 89 7C 24 48 41 8B 4F F8 E9 94 00 00 00 48 8D 55 B8 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D B8 48 8B 55 A0 4C 8D 49 02 41 BB 01 00 00 00 41 2B C3 4C 89 4D 98 48 85 D2 75 4F 85 C0 0F 88 8E F4 FF FF 66 83 39 24 0F 85 84 F4 FF FF 41 83 FD 64 0F 8D 7A F4 FF FF 44 8B 44 24 40 41 3B C0 44 0F 4F C0 48 98 45 33 F6 48 8D 0C 40 48 8D 85 00 04 00 00 44 89 44 24 40 48 8D 04 C8 44 39 30 0F 84 F6 FE FF FF E9 13 FF FF FF 4C 8B 7C 24 48 48 98 48 8D 0C 40 48 8B 84 CD 08 04 00 00 8B 08 44 8B 44 24 40 89 4D 8C 85 C9 0F 89 D4 00 00 00 41 83 CC 04 F7 D9 89 4D 8C E9 C6 00 00 00 8B 45 8C 8D 0C 80 41 0F B7 C6 8D 49 E8 8D 0C 48 89 4D 8C E9 A9 00 00 00 41 0F B7 C6 B9 20 00 00 }
	condition:
		$1
}

rule file_249_7_0 {
	meta:
		name = "write_char"
		size = 55
		refs = "001c _fputwc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 42 18 40 49 8B D8 74 0C 48 83 7A 10 00 75 05 41 FF 00 EB 16 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 83 0B FF EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_249_8_0 {
	meta:
		name = "write_multi_char"
		size = 81
		refs = "002f write_char"
	strings:
		$1 = { 85 D2 7E 4C 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B F0 8B DA 0F B7 E9 4C 8B C7 48 8B D6 0F B7 CD FF CB E8 ?? ?? ?? ?? 83 3F FF 74 04 85 DB 7F E7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_249_9_0 {
	meta:
		name = "write_string"
		size = 153
		refs = "0052 write_char"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 41 F6 40 18 40 48 8B 5C 24 60 49 8B F9 44 8B 3B 49 8B E8 8B F2 4C 8B F1 74 0C 49 83 78 10 00 75 05 41 01 11 EB 42 83 23 00 85 D2 7E 38 41 0F B7 0E 4C 8B C7 48 8B D5 FF CE E8 ?? ?? ?? ?? 83 3F FF 4D 8D 76 02 75 15 83 3B 2A 75 14 B9 3F 00 00 00 4C 8B C7 48 8B D5 E8 ?? ?? ?? ?? 85 F6 7F CD 83 3B 00 75 03 44 89 3B 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_251_0_0 {
	meta:
		name = "IsRootUNCName"
		size = 188
		refs = "000a wcslen"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 83 F8 05 0F 82 9C 00 00 00 66 41 B9 5C 00 66 41 B8 2F 00 66 44 39 0B 74 0A 66 44 39 03 0F 85 82 00 00 00 66 44 39 4B 02 74 07 66 44 39 43 02 75 74 66 44 39 4B 04 74 6D 66 44 39 43 04 74 66 48 8D 43 06 33 D2 0F B7 08 66 85 C9 74 58 66 41 3B C9 74 12 66 41 3B C8 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 E8 66 39 10 74 3B 48 83 C0 02 66 39 10 74 32 0F B7 08 66 85 C9 74 23 66 41 3B C9 74 12 66 41 3B C8 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 E8 66 39 10 74 06 66 39 50 02 75 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_251_1_0 {
	meta:
		name = "_wfullpath_helper"
		size = 150
		refs = "0026 _errno 003e _wfullpath"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 4D 8B F1 49 8B D8 48 8B EA 48 8B F9 E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 4C 8B C3 83 20 00 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0C E8 ?? ?? ?? ?? 89 30 48 8B C3 EB 25 E8 ?? ?? ?? ?? 83 38 22 74 04 33 C0 EB 17 E8 ?? ?? ?? ?? 45 33 C0 48 8B D5 33 C9 89 30 E8 ?? ?? ?? ?? 49 89 06 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_251_2_0 {
	meta:
		name = "_wstat64i32"
		size = 1165
		refs = "0022 __security_cookie 0042 __doserrno 004a _errno 0055 _invalid_parameter_noinfo 006a ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 006f wcspbrk 00a4 towlower 00b3 _getdrive 00d3 __imp_FindFirstFileExW 00ea ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0123 _wfullpath 0172 wcslen 0180 IsRootUNCName 018d __imp_GetDriveTypeW 01a5 free 01d8 __loctotime64_t 0251 _wsopen_s 0265 _fstat64i32 0270 _close 0299 __imp_FileTimeToSystemTime 02b3 __imp_SystemTimeToTzSpecificLocalTime 03f5 __imp_FindClose 0401 __wdtoxmode 044d __imp_GetLastError 0454 _dosmaperr 046e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 45 33 E4 48 8B FA 48 8B F1 45 8B FC 48 85 C9 75 21 E8 ?? ?? ?? ?? 44 89 20 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 01 04 00 00 48 85 D2 74 DA 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 15 E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 EB CC 66 83 7E 02 3A 75 1E 0F B7 0E 66 85 C9 74 07 66 44 39 66 04 74 D5 E8 ?? ?? ?? ?? 44 0F B7 E8 41 83 ED 60 EB 08 E8 ?? ?? ?? ?? 44 8B E8 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CE 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 83 CB FF 4C 8B F0 48 3B C3 0F 85 2E 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE 4D 8B F4 E8 ?? ?? ?? ?? 48 85 C0 0F 84 FB 00 00 00 E8 ?? ?? ?? ?? 44 8B 20 E8 ?? ?? ?? ?? 48 8D 8D B0 01 00 00 44 21 30 41 B8 04 01 00 00 48 8B D6 E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 20 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 B6 00 00 00 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 33 C9 44 89 20 E8 ?? ?? ?? ?? 4C 8B F0 4C 8B F8 45 33 E4 4D 85 FF 0F 84 82 00 00 00 49 8B CF E8 ?? ?? ?? ?? 48 83 F8 03 74 0C 49 8B CF E8 ?? ?? ?? ?? 85 C0 74 68 49 8B CF FF 15 ?? ?? ?? ?? 41 BF 01 00 00 00 41 3B C7 76 54 4D 85 F6 74 08 49 8B CE E8 ?? ?? ?? ?? 89 5C 24 30 45 33 C9 45 8B C7 41 8B D7 B9 BC 07 00 00 44 89 64 24 28 C7 44 24 60 10 00 00 00 4C 89 64 24 7C 66 44 89 65 8C 44 89 64 24 20 E8 ?? ?? ?? ?? 45 8B FC 48 89 47 20 48 89 47 18 48 89 47 28 E9 09 02 00 00 4D 85 F6 74 08 49 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 E9 4C 02 00 00 F7 44 24 60 00 04 00 00 74 5A 81 7D 84 0C 00 00 A0 75 51 F6 44 24 60 10 45 8B C4 B8 00 20 00 00 48 8D 4C 24 40 41 B9 40 00 00 00 48 8B D6 44 0F 45 C0 89 5C 24 40 44 89 64 24 20 E8 ?? ?? ?? ?? 85 C0 75 A4 8B 4C 24 40 3B CB 74 9C 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? E9 DF 01 00 00 44 39 64 24 74 75 0D 44 39 64 24 78 75 06 4C 89 67 20 EB 69 48 8D 54 24 48 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 A6 01 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 8C 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 20 44 39 64 24 6C 75 0D 44 39 64 24 70 75 06 48 8B 47 20 EB 65 48 8D 54 24 48 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 29 01 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 0F 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 18 44 39 64 24 64 75 0D 44 39 64 24 68 75 06 48 8B 47 20 EB 65 48 8D 54 24 48 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 AC 00 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 92 00 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 49 8B CE 48 89 47 28 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D6 E8 ?? ?? ?? ?? 66 89 47 06 B8 01 00 00 00 66 89 47 08 8B 45 80 89 47 14 44 39 64 24 7C 74 12 E8 ?? ?? ?? ?? 44 8B FB C7 00 84 00 00 00 44 89 67 14 41 8D 4D FF 66 44 89 67 04 C7 47 0A 00 00 00 00 89 0F 89 4F 10 41 8B C7 EB 18 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 49 8B CE FF 15 ?? ?? ?? ?? 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_253_0_0 {
	meta:
		name = "_RTC_AllocaHelper"
		size = 53
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 48 85 C9 74 22 48 85 D2 74 1D 4D 85 C0 74 18 48 8B F9 B0 CC 48 8B CA F3 AA 49 8B 00 49 89 51 0C 49 89 41 04 4D 89 08 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_253_1_0 {
	meta:
		name = "_RTC_CheckStackVars"
		size = 115
		refs = "0050 ?_RTC_StackFailure@@YAXPEAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 DB 48 8B F2 48 8B E9 39 1A 7E 3E 8B FB 48 8B 56 08 48 63 0C 3A 81 7C 29 FC CC CC CC CC 75 11 48 63 44 3A 04 48 03 C1 81 3C 28 CC CC CC CC 74 0F 48 8B 4C 24 28 48 8B 54 3A 08 E8 ?? ?? ?? ?? FF C3 48 83 C7 10 3B 1E 7C C4 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_253_2_0 {
	meta:
		name = "_RTC_CheckStackVars2"
		size = 231
		refs = "005c ?_RTC_StackFailure@@YAXPEAXPEBD@Z 00a4 ?_RTC_AllocaFailure@@YAXPEAXPEAU_RTC_ALLOCA_NODE@@H@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 49 8B D8 48 8B F2 4C 8B F1 41 BF CC CC CC CC 48 85 D2 74 3E 33 ED 39 2A 7E 38 33 FF 48 8B 56 08 48 63 0C 3A 46 39 7C 31 FC 75 0E 48 63 44 3A 04 48 03 C1 46 39 3C 30 74 0F 48 8B 4C 24 38 48 8B 54 3A 08 E8 ?? ?? ?? ?? FF C5 48 83 C7 10 3B 2E 7C CA 33 FF 48 8B C3 48 85 DB 74 5A 48 8B 40 04 FF C7 48 85 C0 75 F5 EB 48 44 39 3B 75 12 44 39 7B 14 75 0C 44 39 7B 18 75 06 44 39 7B 1C 74 10 48 8B 4C 24 38 44 8B C7 48 8B D3 E8 ?? ?? ?? ?? 48 8B 43 0C 44 39 7C 18 FC 74 10 48 8B 4C 24 38 44 8B C7 48 8B D3 E8 ?? ?? ?? ?? 48 8B 5B 04 FF CF 48 85 DB 75 B3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_254_0_0 {
	meta:
		name = "__vdecl_floor2"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_floor2 000e __sse2_floor2"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_640_0_0 {
	meta:
		name = "__vdecl_ceil2"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_ceil2 000e __sse2_ceil2"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1220_0_0 {
	meta:
		name = "__vdecl_ceilf4"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_ceilf4 000e __sse2_ceilf4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_0_0 {
	meta:
		name = "__vdecl_exp2"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_exp2 000e __sse2_exp2"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_349_0_0 {
	meta:
		name = "__vdecl_expf4"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_expf4 000e __sse2_expf4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_456_0_0 {
	meta:
		name = "__vdecl_floorf4"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_floorf4 000e __sse2_floorf4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_4_0 {
	meta:
		name = "_ismbcgraph_l"
		size = 209
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 FF 81 FB FF 00 00 00 76 5A 8B C3 89 7D 20 88 5D 11 C1 E8 08 88 45 10 48 8B 45 E8 39 78 08 74 3F 8B 40 04 8D 5F 01 44 8D 4F 02 89 5C 24 30 89 44 24 28 48 8D 45 20 4C 8D 45 10 48 8D 4D E0 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 11 66 39 7D 22 75 0B B8 17 01 00 00 66 85 45 20 75 2F 8B DF EB 2B 48 8B 45 E0 0F B6 D3 48 8B 88 08 01 00 00 B8 17 01 00 00 66 85 04 51 75 0D 48 8B 45 E8 8B DF F6 44 02 19 03 74 05 BB 01 00 00 00 40 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_258_5_0 {
	meta:
		name = "vprintf_helper"
		size = 167
		refs = "0026 __iob_func 0040 _errno 004b _invalid_parameter_noinfo 0058 _lock_file 0061 _stbuf 007e _ftbuf 0087 _unlock_file"
		altNames = "vwprintf_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 41 54 41 56 41 57 48 83 EC 20 4D 8B F1 4D 8B F8 48 8B F2 4C 8B E1 E8 ?? ?? ?? ?? 48 8D 78 30 48 89 7C 24 48 33 C0 48 85 F6 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 39 48 8B CF E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B D8 4D 8B CE 4D 8B C7 48 8B D6 48 8B CF 41 FF D4 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_259_0_0 {
	meta:
		name = "_fdpow"
		size = 1612
		refs = "003a __security_cookie 006b _fdunscale 007a _fd_int 00c1 __real@3f000000 00d2 __real@bf000000 00de __real@3f800000 0110 _fperrraise 0118 _FNan_C 0133 __xmm@80000000800000008000000080000000 015c __real@3f3504f3 0169 __real@40000000 01a0 _fdlogpoly 01b3 __real@3f317218 01fb __real@c7000000 0216 __real@c1400000 0220 __real@41400000 022d __real@c2200000 0237 __real@42200000 028a __real@47000000 02a3 _fdxp_setw 02c9 _fdxp_addx 02ee log2e 02fa memcpy 030a _fdxp_mulh 0378 _fdxp_addh 0448 _fdxp_getw 047b _fdexp 0499 _FInf_C 0541 __security_check_cookie 0599 _FZero_C"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC E0 00 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 44 0F 29 48 88 44 0F 29 A0 78 FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 C7 44 0F 28 C9 48 8D 54 24 20 48 8D 4C 24 28 F3 0F 11 44 24 20 4D 8B F8 F3 44 0F 11 4C 24 38 F3 44 0F 11 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 33 D2 0F B7 F8 E8 ?? ?? ?? ?? 45 33 ED 0F B7 F0 4D 85 FF 74 04 66 45 89 2F 45 0F 57 C0 66 85 F6 75 08 45 0F 2E C8 7A 02 74 3C 0F B7 44 24 28 F3 0F 10 4C 24 20 41 BE 01 00 00 00 66 85 FF 0F 89 13 04 00 00 66 41 3B C6 75 29 0F 2E 0D ?? ?? ?? ?? 7A 02 74 11 66 41 3B F6 75 18 0F 2E 0D ?? ?? ?? ?? 7A 0F 75 0D F3 0F 10 05 ?? ?? ?? ?? E9 52 04 00 00 66 44 3B EF 0F 8E DA 03 00 00 66 44 3B EE 0F 8C D0 03 00 00 BB 00 80 00 00 66 85 5C 24 22 74 1A 66 85 F6 79 15 41 8B CE E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 18 04 00 00 83 CF FF 41 0F 2F C8 76 06 45 0F B7 E5 EB 28 0F 57 0D ?? ?? ?? ?? 48 8D 4C 24 30 8B D7 F3 0F 11 4C 24 20 E8 ?? ?? ?? ?? F3 0F 10 4C 24 20 44 0F B7 E0 0F B7 44 24 28 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 76 10 F3 0F 59 0D ?? ?? ?? ?? 66 03 C7 66 89 44 24 28 0F 28 C1 F3 0F 58 0D ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? F3 0F 11 44 24 20 0F 28 F8 F3 0F 5E F9 0F 28 F7 F3 0F 59 F7 0F 28 C6 E8 ?? ?? ?? ?? F3 0F 10 64 24 20 0F BF 44 24 28 F3 0F 10 2D ?? ?? ?? ?? 41 0F 28 C9 BE 10 00 00 00 0F 28 DC 44 0F 28 E0 66 0F 6E D0 F3 44 0F 59 E6 F3 44 0F 5C E4 0F 5B D2 F3 44 0F 59 E7 F3 41 0F 58 DC 0F 28 C3 F3 0F 5E C5 F3 0F 58 C2 F3 0F 11 44 24 30 F3 0F 59 C8 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 F3 0F 11 4C 24 2C 76 09 45 0F B7 F5 E9 76 02 00 00 0F 2F 0D ?? ?? ?? ?? 72 6B F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 72 5E 44 0F 2F 0D ?? ?? ?? ?? 76 54 F3 0F 10 05 ?? ?? ?? ?? 41 0F 2F C1 76 46 44 0F 2F C1 76 0A F3 0F 5C 0D ?? ?? ?? ?? EB 08 F3 0F 58 0D ?? ?? ?? ?? F3 41 0F 59 D1 F3 44 0F 2C C1 F3 41 0F 59 D9 66 41 0F 6E C0 0F 5B C0 F3 0F 5C D0 F3 0F 59 D5 F3 0F 58 DA F3 0F 11 5C 24 2C E9 DA 01 00 00 0F 2F 0D ?? ?? ?? ?? 0F 87 F5 01 00 00 BF 04 00 00 00 48 8D 4D 87 0F 28 D4 8B D7 E8 ?? ?? ?? ?? 8D 5F FE 48 8D 4C 24 38 41 0F 28 D4 8B D3 E8 ?? ?? ?? ?? 4C 8D 44 24 38 48 8D 4D 87 44 8B CB 8B D7 E8 ?? ?? ?? ?? F3 0F 10 45 87 41 0F 2E C0 7A 13 75 11 48 8D 4D A7 41 0F 28 D0 8B D7 E8 ?? ?? ?? ?? EB 7A 48 8D 15 ?? ?? ?? ?? 48 8D 4D A7 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4D A7 8B D7 F3 0F 10 55 87 E8 ?? ?? ?? ?? 49 8B F6 F3 0F 10 44 B5 87 41 0F 2E C0 7A 02 74 41 48 8D 15 ?? ?? ?? ?? 48 8D 4D B7 41 B8 10 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D B7 8B D7 F3 0F 10 54 B5 87 E8 ?? ?? ?? ?? 4C 8D 45 B7 48 8D 4D A7 44 8B CF 8B D7 E8 ?? ?? ?? ?? 49 03 F6 48 3B F7 7C B1 BE 10 00 00 00 0F BF 44 24 28 48 8D 4D A7 8B D7 66 0F 6E D0 0F 5B D2 E8 ?? ?? ?? ?? 48 8D 4D 87 41 0F 28 D1 8B D3 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4D 97 8B D7 F3 0F 10 55 87 E8 ?? ?? ?? ?? F3 0F 10 45 8B 41 0F 2E C0 7A 02 74 32 48 8D 55 A7 48 8D 4D B7 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4D B7 8B D7 F3 0F 10 55 8B E8 ?? ?? ?? ?? 4C 8D 45 B7 48 8D 4D 97 44 8B CF 8B D7 E8 ?? ?? ?? ?? F3 0F 10 4D 97 41 0F 2E C8 F3 0F 11 4C 24 20 7A 02 74 20 F3 0F 10 55 9B 41 0F 2E D0 7A 02 74 13 F3 0F 10 45 9F F3 0F 58 C2 F3 0F 58 C1 F3 0F 11 44 24 20 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8D 4D 97 8B D7 F3 0F 10 54 24 20 0F 57 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D 97 8B D7 E8 ?? ?? ?? ?? F3 44 0F 2C 44 24 20 F3 0F 59 05 ?? ?? ?? ?? F3 0F 11 44 24 2C 4D 85 FF 74 07 66 45 89 07 45 8B C5 F3 0F 10 0D ?? ?? ?? ?? 48 8D 4C 24 2C E8 ?? ?? ?? ?? F3 0F 10 4C 24 2C 44 0F B7 F0 41 0F BF CE 85 C9 74 19 FF C9 75 27 F3 0F 10 05 ?? ?? ?? ?? B9 08 00 00 00 F3 0F 11 44 24 2C EB 07 44 21 6C 24 2C 8B CE E8 ?? ?? ?? ?? F3 0F 10 4C 24 2C 66 45 85 E4 74 13 0F 57 0D ?? ?? ?? ?? EB 0A BB 02 00 00 00 66 3B FB 75 05 0F 28 C1 EB 5F 66 3B F3 75 06 41 0F 28 C1 EB 54 BB 00 80 00 00 66 41 3B FE 0F 85 B6 00 00 00 66 85 5C 24 22 75 15 66 85 5D 81 75 09 F3 44 0F 10 05 ?? ?? ?? ?? 41 0F 28 C0 EB 29 66 85 5D 81 75 63 66 85 F6 75 16 48 8D 4C 24 30 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 88 07 01 00 00 F3 0F 10 05 ?? ?? ?? ?? 48 8B 4D C7 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 58 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 63 B0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 85 F6 75 8C 48 8D 4C 24 30 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 76 FF FF FF F3 44 0F 10 05 ?? ?? ?? ?? 44 0F 57 05 ?? ?? ?? ?? E9 60 FF FF FF 66 41 3B F6 75 22 66 85 5D 81 75 0E 66 85 C0 0F 8E 4B FF FF FF E9 3D FF FF FF 66 85 C0 0F 8F 3D FF FF FF E9 2F FF FF FF 66 85 5D 81 75 2C 66 85 F6 0F 85 29 FF FF FF 48 8D 4C 24 30 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 13 FF FF FF 66 85 5C 24 22 0F 84 08 FF FF FF EB 90 B9 04 00 00 00 E8 ?? ?? ?? ?? 66 85 F6 0F 85 1A FF FF FF 48 8D 4C 24 30 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 04 FF FF FF 66 85 5C 24 22 0F 84 F9 FE FF FF F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 ED FE FF FF }
	condition:
		$1
}

rule file_259_1_0 {
	meta:
		name = "_fdtgamma"
		size = 379
		refs = "0015 __real@41f80000 001f stirling 002c __real@bf000000 0039 __real@3f000000 004f __real@3f800000 0066 __real@bf800000 0097 __real@3fc00000 00b1 __real@40200000 00c6 __real@c0000000 0104 _fdunscale 011c __real@3c590091 0124 __real@3d11e52b 012c __real@3c1aa374 0134 __real@3e452ca6 0144 __real@3edbc710 014c __real@3c9153c0 015c __real@3eddacfc 0164 __real@3f8314b3"
	strings:
		$1 = { 40 53 48 83 EC 30 0F 29 74 24 20 F3 0F 10 31 48 8B C2 0F 2F 35 ?? ?? ?? ?? 48 8B D9 72 0A E8 ?? ?? ?? ?? E9 48 01 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 76 3A F3 0F 10 0D ?? ?? ?? ?? 0F 28 C6 0F 2F F1 F3 0F 11 44 24 40 77 17 F3 0F 58 35 ?? ?? ?? ?? 0F 2F F1 F3 0F 59 C6 76 EF F3 0F 11 44 24 40 F3 0F 58 35 ?? ?? ?? ?? E9 8C 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 76 17 0F 28 C6 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 C6 F3 0F 11 44 24 40 EB 68 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C6 76 0D 0F 28 C6 F3 0F 58 35 ?? ?? ?? ?? EB 1D F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 2F CE 76 0F F3 0F 58 35 ?? ?? ?? ?? 33 C9 66 89 0A EB 3D 0F 2F F1 F3 0F 11 44 24 40 76 17 F3 0F 58 35 ?? ?? ?? ?? 0F 2F F1 F3 0F 5E C6 77 EF F3 0F 11 44 24 40 F3 0F 58 35 ?? ?? ?? ?? 48 8D 54 24 40 48 8B C8 E8 ?? ?? ?? ?? F3 0F 10 44 24 40 F3 0F 11 03 0F 28 CE 0F 28 C6 F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 C6 F3 0F 59 CE F3 0F 58 05 ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C6 F3 0F 59 CE F3 0F 58 05 ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 5E C1 F3 0F 59 C6 0F 28 74 24 20 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_259_2_0 {
	meta:
		name = "stirling"
		size = 222
		refs = "0038 __real@3f000000 003d _fdpow 0048 __real@3f800000 0060 approx0 006c __real@3cc5aaec 0074 _fdpoly 0094 __xmm@80000000800000008000000080000000 00a5 expf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 60 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 4C 8B C2 48 8B DA 48 8B F9 44 0F 29 48 B8 F3 44 0F 10 09 41 0F 28 C9 41 0F 28 C1 F3 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 03 F3 0F 10 3D ?? ?? ?? ?? 66 F7 D8 41 B8 01 00 00 00 F3 41 0F 5E F9 66 89 03 48 8B 15 ?? ?? ?? ?? 44 0F 28 C0 F3 0F 5C 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 41 B8 07 00 00 00 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? 44 0F 57 0D ?? ?? ?? ?? F3 0F 5E F0 41 0F 28 C1 F3 0F 11 37 E8 ?? ?? ?? ?? F3 0F 10 0F 48 8B 5C 24 70 0F 28 74 24 50 0F 28 7C 24 40 F3 41 0F 59 C0 F3 0F 5E C8 0F 57 C0 44 0F 28 44 24 30 44 0F 28 4C 24 20 F3 0F 11 0F 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_259_3_0 {
	meta:
		name = "tgammaf"
		size = 572
		refs = "001f _fd_int 0055 _fperrraise 005d _FNan_C 0080 _FInf_C 0091 __xmm@80000000800000008000000080000000 00a3 __real@c2180000 00c2 _fdgamma_big 00f5 __real@3f800000 010c __real@bf800000 0130 __real@40490fdb 0137 _fdsin 0170 _fdtgamma 0198 _fdscale 01c3 __real@42180000"
	strings:
		$1 = { F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 48 8D 4D 28 33 D2 F3 0F 11 45 28 0F 29 74 24 30 E8 ?? ?? ?? ?? 0F BF C8 F3 0F 10 55 10 0F 57 F6 85 C9 74 34 FF C9 74 0E FF C9 75 65 F3 0F 10 45 10 E9 ED 01 00 00 B8 00 80 00 00 66 85 45 12 74 EB B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 CB 01 00 00 0F 2E D6 7A 2F 75 2D B9 04 00 00 00 E8 ?? ?? ?? ?? B8 00 80 00 00 F3 0F 10 05 ?? ?? ?? ?? 66 85 45 12 0F 84 A3 01 00 00 0F 57 05 ?? ?? ?? ?? E9 97 01 00 00 0F 2F F2 77 B0 F3 0F 10 0D ?? ?? ?? ?? 0F 2F CA 72 12 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 73 01 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 35 ?? ?? ?? ?? 0F 57 C6 0F 2F C2 0F 86 E5 00 00 00 0F 28 C2 F3 0F 11 55 20 F3 0F 5C 55 28 48 8D 4D 20 83 CA FF 0F 57 C6 F3 0F 5C 05 ?? ?? ?? ?? F3 0F 11 55 28 F3 0F 11 45 E0 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 4D 10 F3 0F 5C 4D 20 0F 2F C1 F3 0F 10 45 28 76 08 0F 57 C6 F3 0F 11 45 28 F3 0F 59 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? F3 0F 10 4D 10 48 8D 55 18 48 8D 4D E0 F3 0F 59 C1 0F 57 CE F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 C1 F3 0F 10 0D ?? ?? ?? ?? 0F 57 C6 F3 0F 5E C8 F3 0F 11 4D 20 E8 ?? ?? ?? ?? F3 0F 10 4D 20 0F BF 55 18 48 8D 4D 20 F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E C8 F3 0F 59 4D E0 F3 0F 11 4D 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 45 20 EB 72 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C2 72 53 48 8D 55 18 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF 55 18 48 8D 4D 10 F3 0F 58 05 ?? ?? ?? ?? F7 DA F3 0F 5E 45 10 F3 0F 11 45 10 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0F FF C9 0F 85 31 FE FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 1B FE FF FF B9 08 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_260_25_0 {
	meta:
		name = "?CreateRemoteThreadEx@UMS@details@Concurrency@@SAPEAXPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AK0@Z0KPEAU_PROC_THREAD_ATTRIBUTE_LIST@@PEAK@Z"
		size = 79
		refs = "001a ?s_pfn_CreateRemoteThreadEx@UMS@details@Concurrency@@0P6APEAXPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AK0@Z0KPEAU_PROC_THREAD_ATTRIBUTE_LIST@@PEAK@ZEA 0028 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 48 8B E9 48 8B 0D ?? ?? ?? ?? 49 8B D9 49 8B F8 48 8B F2 E8 ?? ?? ?? ?? 4C 8B CB 4C 8B C7 48 8B D6 48 8B CD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F 48 FF E0 }
	condition:
		$1
}

rule file_260_31_0 {
	meta:
		name = "?DequeueUmsCompletionListItems@UMS@details@Concurrency@@SAHPEAXKPEAPEAX@Z"
		size = 61
		refs = "0015 ?s_pfn_DequeueUmsCompletionListItems@UMS@details@Concurrency@@0P6AHPEAXKPEAPEAX@ZEA 001f ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B 0D ?? ?? ?? ?? 49 8B D8 8B FA E8 ?? ?? ?? ?? 4C 8B C3 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_260_36_0 {
	meta:
		name = "?GetUmsCompletionListEvent@UMS@details@Concurrency@@SAHPEAXPEAPEAX@Z"
		size = 47
		refs = "0010 ?s_pfn_GetUmsCompletionListEvent@UMS@details@Concurrency@@0P6AHPEAXPEAPEAX@ZEA 0018 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0D ?? ?? ?? ?? 48 8B DA E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_260_37_0 {
	meta:
		name = "?Initialize@UMS@details@Concurrency@@SAXXZ"
		size = 1713
		refs = "0018 ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0021 __imp_GetModuleHandleW 0028 ??_C@_0BF@PHKBGNNA@CreateRemoteThreadEx?$AA@ 0031 __imp_GetProcAddress 0042 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 004c ?s_pfn_CreateRemoteThreadEx@UMS@details@Concurrency@@0P6APEAXPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AK0@Z0KPEAU_PROC_THREAD_ATTRIBUTE_LIST@@PEAK@ZEA 0059 ??_C@_0BI@OFOMFECC@CreateUmsCompletionList?$AA@ 007d ?s_pfn_CreateUmsCompletionList@UMS@details@Concurrency@@0P6AHPEAPEAX@ZEA 008a ??_C@_0BH@NBGNADAH@CreateUmsThreadContext?$AA@ 00ae ?s_pfn_CreateUmsThreadContext@UMS@details@Concurrency@@0P6AHPEAPEAX@ZEA 00bb ??_C@_0BO@JONJJOMF@DeleteProcThreadAttributeList?$AA@ 00df ?s_pfn_DeleteProcThreadAttributeList@UMS@details@Concurrency@@0P6AXPEAU_PROC_THREAD_ATTRIBUTE_LIST@@@ZEA 00ec ??_C@_0BI@BPKNDLMM@DeleteUmsCompletionList?$AA@ 0110 ?s_pfn_DeleteUmsCompletionList@UMS@details@Concurrency@@0P6AHPEAX@ZEA 011d ??_C@_0BH@JPDPIOBJ@DeleteUmsThreadContext?$AA@ 0141 ?s_pfn_DeleteUmsThreadContext@UMS@details@Concurrency@@0P6AHPEAX@ZEA 014e ??_C@_0BO@GGFJEFKK@DequeueUmsCompletionListItems?$AA@ 0172 ?s_pfn_DequeueUmsCompletionListItems@UMS@details@Concurrency@@0P6AHPEAXKPEAPEAX@ZEA 017f ??_C@_0BH@BLPFNIKG@EnterUmsSchedulingMode?$AA@ 01a3 ?s_pfn_EnterUmsSchedulingMode@UMS@details@Concurrency@@0P6AHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@ZEA 01b0 ??_C@_0BB@DHABPDKF@ExecuteUmsThread?$AA@ 01d4 ?s_pfn_ExecuteUmsThread@UMS@details@Concurrency@@0P6AHPEAX@ZEA 01e1 ??_C@_0BE@FLBMLIK@GetCurrentUmsThread?$AA@ 0205 ?s_pfn_GetCurrentUmsThread@UMS@details@Concurrency@@0P6APEAXXZEA 0212 ??_C@_0BD@FNFEEGCI@GetNextUmsListItem?$AA@ 0236 ?s_pfn_GetNextUmsListItem@UMS@details@Concurrency@@0P6APEAXPEAX@ZEA 0243 ??_C@_0BK@MGNBLFMB@GetUmsCompletionListEvent?$AA@ 0267 ?s_pfn_GetUmsCompletionListEvent@UMS@details@Concurrency@@0P6AHPEAXPEAPEAX@ZEA 0274 ??_C@_0CC@PLANOPMM@InitializeProcThreadAttributeLis@ 0298 ?s_pfn_InitializeProcThreadAttributeList@UMS@details@Concurrency@@0P6AHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@KKPEA_K@ZEA 02a5 ??_C@_0BK@DAKPFGE@QueryUmsThreadInformation?$AA@ 02c9 ?s_pfn_QueryUmsThreadInformation@UMS@details@Concurrency@@0P6AHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@ZEA 02d6 ??_C@_0BI@DPBBCPDB@SetUmsThreadInformation?$AA@ 02fa ?s_pfn_SetUmsThreadInformation@UMS@details@Concurrency@@0P6AHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@ZEA 0307 ??_C@_0P@ILGNBNP@UmsThreadYield?$AA@ 032b ?s_pfn_UmsThreadYield@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0338 ??_C@_0BK@LCOMJCNI@UpdateProcThreadAttribute?$AA@ 0361 ?s_pfn_UpdateProcThreadAttribute@UMS@details@Concurrency@@0P6AHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@K_KPEAX12PEA_K@ZEA 036c ?s_fInitialized@UMS@details@Concurrency@@0JC 037b __imp_GetLastError 0393 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 039a _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 03a4 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D AC 24 C0 FE FF FF 48 81 EC 40 02 00 00 48 8D 1D ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 3B 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 3A 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 37 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 34 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 37 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 34 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 37 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 34 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 37 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 36 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 35 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 32 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 2F 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 2C 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 29 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 2C 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 2F 03 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 9C 24 50 02 00 00 48 89 05 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5D C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 40 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D 80 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 80 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 8D C0 00 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D C0 00 00 00 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D C0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D C0 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 8D 80 00 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 00 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 8D 00 01 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D 00 01 00 00 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 60 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D A0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D A0 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D E0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 20 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D 60 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 60 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 8D E0 00 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 8D 20 01 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D 20 01 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_260_38_0 {
	meta:
		name = "?InitializeProcThreadAttributeList@UMS@details@Concurrency@@SAHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@KKPEA_K@Z"
		size = 77
		refs = "001a ?s_pfn_InitializeProcThreadAttributeList@UMS@details@Concurrency@@0P6AHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@KKPEA_K@ZEA 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B E9 48 8B 0D ?? ?? ?? ?? 49 8B D9 41 8B F8 8B F2 E8 ?? ?? ?? ?? 4C 8B CB 44 8B C7 8B D6 48 8B CD 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_260_40_0 {
	meta:
		name = "?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z"
		size = 77
		refs = "001a ?s_pfn_QueryUmsThreadInformation@UMS@details@Concurrency@@0P6AHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@ZEA 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B E9 48 8B 0D ?? ?? ?? ?? 41 8B D9 49 8B F8 8B F2 E8 ?? ?? ?? ?? 44 8B CB 4C 8B C7 8B D6 48 8B CD 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F 48 FF E0 }
	condition:
		$1
}

rule file_260_41_0 {
	meta:
		name = "?SetUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@Z"
		size = 77
		refs = "001a ?s_pfn_SetUmsThreadInformation@UMS@details@Concurrency@@0P6AHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@ZEA 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B E9 48 8B 0D ?? ?? ?? ?? 41 8B D9 49 8B F8 8B F2 E8 ?? ?? ?? ?? 44 8B CB 4C 8B C7 8B D6 48 8B CD 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_260_43_0 {
	meta:
		name = "?UpdateProcThreadAttribute@UMS@details@Concurrency@@SAHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@K_KPEAX12PEA_K@Z"
		size = 77
		refs = "001a ?s_pfn_UpdateProcThreadAttribute@UMS@details@Concurrency@@0P6AHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@K_KPEAX12PEA_K@ZEA 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 48 8B E9 48 8B 0D ?? ?? ?? ?? 49 8B D9 49 8B F8 8B F2 E8 ?? ?? ?? ?? 4C 8B CB 4C 8B C7 8B D6 48 8B CD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F 48 FF E0 }
	condition:
		$1
}

rule file_261_4_0 {
	meta:
		name = "_mbsnbcoll_l"
		size = 275
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 007d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0099 _strncoll_l 00cb __crtCompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 60 4D 8B F1 49 8B F8 48 8B F2 48 8B E9 4D 85 C0 75 07 33 C0 E9 C7 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 A8 00 00 00 48 85 D2 74 E1 BB FF FF FF 7F 4C 3B C3 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 82 00 00 00 48 8D 4C 24 40 49 8B D1 E8 ?? ?? ?? ?? 48 8B 54 24 48 83 7A 08 00 75 15 4D 8B CE 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 42 8B 42 04 48 8B 92 20 02 00 00 48 8D 4C 24 40 89 44 24 38 89 7C 24 30 4C 8B CD 41 B8 00 10 00 00 48 89 74 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 80 7C 24 58 00 74 0C 48 8B 44 24 50 83 A0 C8 00 00 00 FD 8B C3 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_262_0_0 {
	meta:
		name = "_FindPESection"
		size = 68
	strings:
		$1 = { 4C 63 41 3C 45 33 C9 4C 8B D2 4C 03 C1 41 0F B7 40 14 45 0F B7 58 06 48 83 C0 18 49 03 C0 45 85 DB 74 1E 8B 50 0C 4C 3B D2 72 0A 8B 48 08 03 CA 4C 3B D1 72 0E 41 FF C1 48 83 C0 28 45 3B CB 72 E2 33 C0 C3 }
	condition:
		$1
}

rule file_262_1_0 {
	meta:
		name = "_IsNonwritableInCurrentImage"
		size = 77
		refs = "0010 __ImageBase 0018 _ValidateImageBase 002a _FindPESection"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8D 3D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 22 48 2B DF 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 0F 8B 40 24 C1 E8 1F F7 D0 83 E0 01 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_262_2_0 {
	meta:
		name = "_IsNonwritableInCurrentImage$filt$0"
		size = 32
		altNames = "__RTCastToVoid$filt$0 __RTtypeid$filt$0 _heapwalk$filt$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 33 C9 81 38 05 00 00 C0 0F 94 C1 8B C1 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_262_3_0 {
	meta:
		name = "_ValidateImageBase"
		size = 46
	strings:
		$1 = { 48 8B C1 B9 4D 5A 00 00 66 39 08 74 03 33 C0 C3 48 63 48 3C 48 03 C8 33 C0 81 39 50 45 00 00 75 0C BA 0B 02 00 00 66 39 51 18 0F 94 C0 C3 }
	condition:
		$1
}

rule file_263_0_0 {
	meta:
		name = "_open"
		size = 209
		refs = "002f _errno 003a _invalid_parameter_noinfo 0076 _sopen_nolock 009a __pioinfo 00b3 _unlock_fhandle"
	strings:
		$1 = { 48 8B C4 89 50 10 4C 89 40 18 4C 89 48 20 53 48 83 EC 50 83 48 E8 FF 83 60 F0 00 83 60 EC 00 45 33 C0 48 85 C9 41 0F 95 C0 45 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 85 00 00 00 48 8D 44 24 70 48 83 C0 08 44 8B 40 F8 83 64 24 30 00 44 89 44 24 28 C7 44 24 20 40 00 00 00 44 8B CA 4C 8B C1 48 8D 54 24 40 48 8D 4C 24 44 E8 ?? ?? ?? ?? 8B D8 89 44 24 48 83 7C 24 44 00 74 30 85 C0 74 23 48 63 4C 24 40 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 8B 4C 24 40 E8 ?? ?? ?? ?? 85 DB 74 0C E8 ?? ?? ?? ?? 89 18 E9 77 FF FF FF 8B 44 24 40 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_318_2_0 {
	meta:
		name = "_wopen"
		size = 209
		refs = "002f _errno 003a _invalid_parameter_noinfo 0076 _wsopen_nolock 009a __pioinfo 00b3 _unlock_fhandle"
	strings:
		$1 = { 48 8B C4 89 50 10 4C 89 40 18 4C 89 48 20 53 48 83 EC 50 83 48 E8 FF 83 60 F0 00 83 60 EC 00 45 33 C0 48 85 C9 41 0F 95 C0 45 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 85 00 00 00 48 8D 44 24 70 48 83 C0 08 44 8B 40 F8 83 64 24 30 00 44 89 44 24 28 C7 44 24 20 40 00 00 00 44 8B CA 4C 8B C1 48 8D 54 24 40 48 8D 4C 24 44 E8 ?? ?? ?? ?? 8B D8 89 44 24 48 83 7C 24 44 00 74 30 85 C0 74 23 48 63 4C 24 40 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 8B 4C 24 40 E8 ?? ?? ?? ?? 85 DB 74 0C E8 ?? ?? ?? ?? 89 18 E9 77 FF FF FF 8B 44 24 40 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_263_1_0 {
	meta:
		name = "_open$fin$0"
		size = 71
		refs = "0023 __pioinfo 003b _unlock_fhandle"
		altNames = "_wopen$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 83 7D 44 00 74 31 83 7D 48 00 74 22 48 63 4D 40 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 8B 4D 40 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_263_2_0 {
	meta:
		name = "_sopen"
		size = 65
		refs = "002c _sopen_helper"
	strings:
		$1 = { 4C 8B DC 45 89 43 18 4D 89 4B 20 53 48 83 EC 40 83 64 24 28 00 4D 8D 4B E8 49 8D 43 20 4D 89 4B D8 83 CB FF 89 5C 24 30 44 8B 08 E8 ?? ?? ?? ?? 8B 4C 24 30 85 C0 0F 45 CB 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_263_3_0 {
	meta:
		name = "_sopen_helper"
		size = 222
		refs = "002f _errno 003b _invalid_parameter_noinfo 008d _sopen_nolock 00af __pioinfo 00c6 _unlock_fhandle"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 45 8B D0 4C 8B C1 83 64 24 44 00 83 64 24 40 00 33 C0 48 8B 9C 24 80 00 00 00 48 85 DB 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 8D 00 00 00 83 0B FF 33 C0 48 85 C9 0F 95 C0 85 C0 74 D9 8B 8C 24 88 00 00 00 85 C9 74 13 41 F7 C1 7F FE FF FF B8 00 00 00 00 0F 94 C0 85 C0 74 BB 89 4C 24 30 44 89 4C 24 28 44 89 54 24 20 44 8B CA 48 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B F8 89 44 24 44 83 7C 24 40 00 74 2C 85 C0 74 21 48 63 0B 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 8B 0B E8 ?? ?? ?? ?? 85 FF 74 03 83 0B FF 8B C7 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_318_5_0 {
	meta:
		name = "_wsopen_helper"
		size = 222
		refs = "002f _errno 003b _invalid_parameter_noinfo 008d _wsopen_nolock 00af __pioinfo 00c6 _unlock_fhandle"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 45 8B D0 4C 8B C1 83 64 24 44 00 83 64 24 40 00 33 C0 48 8B 9C 24 80 00 00 00 48 85 DB 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 8D 00 00 00 83 0B FF 33 C0 48 85 C9 0F 95 C0 85 C0 74 D9 8B 8C 24 88 00 00 00 85 C9 74 13 41 F7 C1 7F FE FF FF B8 00 00 00 00 0F 94 C0 85 C0 74 BB 89 4C 24 30 44 89 4C 24 28 44 89 54 24 20 44 8B CA 48 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B F8 89 44 24 44 83 7C 24 40 00 74 2C 85 C0 74 21 48 63 0B 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 8B 0B E8 ?? ?? ?? ?? 85 FF 74 03 83 0B FF 8B C7 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_263_4_0 {
	meta:
		name = "_sopen_helper$fin$0"
		size = 83
		refs = "0029 __pioinfo 0047 _unlock_fhandle"
		altNames = "_wsopen_helper$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 83 7D 40 00 74 3D 83 7D 44 00 74 28 48 8B 85 80 00 00 00 48 63 08 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 48 8B 85 80 00 00 00 8B 08 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_263_5_0 {
	meta:
		name = "_sopen_nolock"
		size = 133
		refs = "0026 __copy_path_to_wide_string 0063 _wsopen_nolock 006f free"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 50 48 83 60 E8 00 48 8B FA 48 8B F1 48 8D 50 E8 49 8B C8 41 8B D9 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 42 8B 84 24 90 00 00 00 4C 8B 44 24 40 44 8B CB 89 44 24 30 8B 84 24 88 00 00 00 48 8B D7 89 44 24 28 8B 84 24 80 00 00 00 48 8B CE 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_263_6_0 {
	meta:
		name = "_sopen_s"
		size = 50
		refs = "0029 _sopen_helper"
	strings:
		$1 = { 48 83 EC 38 41 8B C1 44 8B 4C 24 60 45 8B D0 4C 8B DA C7 44 24 28 01 00 00 00 48 89 4C 24 20 44 8B C0 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_318_8_0 {
	meta:
		name = "_wsopen_s"
		size = 50
		refs = "0029 _wsopen_helper"
	strings:
		$1 = { 48 83 EC 38 41 8B C1 44 8B 4C 24 60 45 8B D0 4C 8B DA C7 44 24 28 01 00 00 00 48 89 4C 24 20 44 8B C0 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_265_0_0 {
	meta:
		name = "_vsnprintf"
		size = 22
		refs = "000d _vsnprintf_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_487_2_0 {
	meta:
		name = "?vswprintf@@YAHPEAG_KPEBGPEAD@Z"
		size = 22
		refs = "000d ?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_487_3_0 {
	meta:
		name = "?vswprintf@@YAHPEA_W_KPEB_WPEAD@Z"
		size = 22
		refs = "000d ?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_547_0_0 {
	meta:
		name = "_vsnwprintf"
		size = 22
		refs = "000d _vsnwprintf_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_667_8_0 {
	meta:
		name = "vsprintf_s"
		size = 22
		refs = "000d _vsprintf_s_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_714_8_0 {
	meta:
		name = "vswprintf_s"
		size = 22
		refs = "000d _vswprintf_s_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_265_1_0 {
	meta:
		name = "_vsnprintf_l"
		size = 203
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo 008d _output_l 00b0 _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F0 48 8B F9 44 8D 42 28 48 8D 48 D0 49 8B E9 E8 ?? ?? ?? ?? 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 68 48 85 DB 74 05 48 85 FF 74 E1 4C 8B 8C 24 80 00 00 00 B8 FF FF FF 7F 48 8D 4C 24 20 48 3B D8 4C 8B C5 48 8B D6 0F 47 D8 C7 44 24 38 42 00 00 00 48 89 7C 24 30 89 5C 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 1E FF 4C 24 28 78 0A 48 8B 44 24 20 C6 00 00 EB 0C 48 8D 54 24 20 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_266_0_0 {
	meta:
		name = "_LCmulcc"
		size = 209
		refs = "0033 creall 004a cimagl 00a3 _LCbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 60 0F 10 02 0F 29 70 E8 48 8B F1 0F 29 78 D8 48 8D 48 B8 49 8B F8 48 8B DA F3 0F 7F 40 B8 44 0F 29 40 C8 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 0B 44 0F 28 C0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 10 0F 48 8D 4C 24 20 0F 28 F8 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 10 0F 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 28 D6 48 8D 4C 24 20 0F 28 C8 F2 41 0F 59 F0 F2 0F 59 C7 F2 0F 59 D7 F2 0F 5C F0 F2 41 0F 59 C8 F2 0F 58 D1 0F 28 CE E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 44 24 30 0F 10 00 48 8B C6 F3 0F 7F 06 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_1300_0_0 {
	meta:
		name = "_Cmulcc"
		size = 209
		refs = "0033 creal 004a cimag 00a3 _Cbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 60 0F 10 02 0F 29 70 E8 48 8B F1 0F 29 78 D8 48 8D 48 B8 49 8B F8 48 8B DA F3 0F 7F 40 B8 44 0F 29 40 C8 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 0B 44 0F 28 C0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 10 0F 48 8D 4C 24 20 0F 28 F8 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 10 0F 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 0F 28 D6 48 8D 4C 24 20 0F 28 C8 F2 41 0F 59 F0 F2 0F 59 C7 F2 0F 59 D7 F2 0F 5C F0 F2 41 0F 59 C8 F2 0F 58 D1 0F 28 CE E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 44 24 30 0F 10 00 48 8B C6 F3 0F 7F 06 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_266_1_0 {
	meta:
		name = "_LCmulcr"
		size = 110
		refs = "002b cimagl 003c creall 0050 _LCbuild"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 70 0F 10 02 48 8B D9 0F 29 70 E8 0F 29 78 D8 48 8D 48 A8 0F 10 C8 0F 28 FA F3 0F 7F 40 A8 F3 0F 7F 48 B8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 F2 0F 59 F7 E8 ?? ?? ?? ?? 48 8D 4C 24 40 0F 28 D6 F2 0F 59 C7 0F 28 C8 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 28 7C 24 50 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_1300_1_0 {
	meta:
		name = "_Cmulcr"
		size = 110
		refs = "002b cimag 003c creal 0050 _Cbuild"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 70 0F 10 02 48 8B D9 0F 29 70 E8 0F 29 78 D8 48 8D 48 A8 0F 10 C8 0F 28 FA F3 0F 7F 40 A8 F3 0F 7F 48 B8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 F2 0F 59 F7 E8 ?? ?? ?? ?? 48 8D 4C 24 40 0F 28 D6 F2 0F 59 C7 0F 28 C8 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 28 7C 24 50 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_266_2_0 {
	meta:
		name = "cpowl"
		size = 334
		refs = "0034 cimagl 003c __real@0000000000000000 007e creall 0092 pow 00a1 _LCbuild 00c1 log 00d1 _LCmulcr 00ec clogl 010d _LCmulcc 0122 cexpl"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 48 8B EC 48 81 EC 80 00 00 00 0F 10 02 48 8B F1 48 8D 4D A0 0F 29 70 E8 49 8B D8 48 8B FA F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 0F 8A 95 00 00 00 0F 85 8F 00 00 00 0F 10 03 48 8D 4D A0 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 7A 40 75 3E 0F 10 03 0F 10 0F 48 8D 4D A0 F3 0F 7F 45 A0 F3 0F 7F 4D B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 48 8D 4D C0 0F 57 D2 0F 28 C8 E8 ?? ?? ?? ?? EB 7F 0F 10 07 0F 10 0B 48 8D 4D B0 F3 0F 7F 45 B0 F3 0F 7F 4D A0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 A0 48 8D 4D C0 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D D0 EB 3A 0F 10 07 48 8D 55 B0 48 8D 4D D0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 0B 4C 8D 45 B0 48 8D 55 A0 48 8D 4D C0 0F 10 00 F3 0F 7F 4D A0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D E0 0F 10 00 48 8D 55 B0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 00 0F 28 74 24 70 4C 8D 9C 24 80 00 00 00 48 8B C6 49 8B 5B 10 49 8B 7B 20 F3 0F 7F 06 49 8B 73 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_1300_2_0 {
	meta:
		name = "cpow"
		size = 334
		refs = "0034 cimag 003c __real@0000000000000000 007e creal 0092 pow 00a1 _Cbuild 00c1 log 00d1 _Cmulcr 00ec clog 010d _Cmulcc 0122 cexp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 48 8B EC 48 81 EC 80 00 00 00 0F 10 02 48 8B F1 48 8D 4D A0 0F 29 70 E8 49 8B D8 48 8B FA F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 0F 8A 95 00 00 00 0F 85 8F 00 00 00 0F 10 03 48 8D 4D A0 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 7A 40 75 3E 0F 10 03 0F 10 0F 48 8D 4D A0 F3 0F 7F 45 A0 F3 0F 7F 4D B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 48 8D 4D C0 0F 57 D2 0F 28 C8 E8 ?? ?? ?? ?? EB 7F 0F 10 07 0F 10 0B 48 8D 4D B0 F3 0F 7F 45 B0 F3 0F 7F 4D A0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 A0 48 8D 4D C0 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D D0 EB 3A 0F 10 07 48 8D 55 B0 48 8D 4D D0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 0B 4C 8D 45 B0 48 8D 55 A0 48 8D 4D C0 0F 10 00 F3 0F 7F 4D A0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D E0 0F 10 00 48 8D 55 B0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 00 0F 28 74 24 70 4C 8D 9C 24 80 00 00 00 48 8B C6 49 8B 5B 10 49 8B 7B 20 F3 0F 7F 06 49 8B 73 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_267_0_0 {
	meta:
		name = "__sse2_exp2"
		size = 752
		refs = "0012 s_dwInvLn 001a s_dwNegRS 0026 s_dwLnHi 002e s_dwBias 0064 s_dwLnLo 0078 s_dwExp2 0096 s_dwA4 00b5 s_dwA5 00d8 s_dwA3 00e0 s_dwA2 00f8 s_dwOne 01c2 iAbsMask 01ce dbB1 01e7 dbB2 026a dbInf"
	strings:
		$1 = { 48 83 EC 68 0F 29 7C 24 40 0F 29 74 24 50 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 5C 15 ?? ?? ?? ?? 66 0F C5 C8 03 66 0F 28 E8 66 0F 58 DA 66 0F 7E D0 81 E1 FF 7F 00 00 66 0F 59 E3 66 0F C5 D2 04 81 F9 86 40 00 00 66 0F 59 1D ?? ?? ?? ?? 66 0F FE CA 66 0F C5 C8 07 66 0F 5C C4 4C 8D 05 ?? ?? ?? ?? 0F 8D 9E 00 00 00 81 E1 FF 7F 00 00 83 E0 3F 83 E2 3F 66 0F 5C C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 73 D1 06 F3 41 0F 7E 24 C0 81 F9 86 40 00 00 0F 8D 8F 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 E8 66 0F 59 C0 66 0F 73 F1 34 66 41 0F 16 24 D0 66 0F 59 D0 66 0F 59 D8 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 59 C3 66 0F 59 D5 66 0F 58 C5 66 0F 58 15 ?? ?? ?? ?? 66 0F EB CC 66 0F 58 C2 66 0F 59 C1 0F 28 74 24 50 0F 28 7C 24 40 48 83 C4 68 C3 66 0F 1F 84 00 00 00 00 00 83 E0 3F 83 E2 3F 66 0F 5C C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 73 D1 06 F3 41 0F 7E 24 C0 0F 1F 00 89 44 24 20 89 54 24 24 8B 44 24 20 8B 54 24 24 89 44 24 28 89 54 24 30 8B 44 24 28 8B 54 24 30 4C 8D 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 F8 66 0F 59 C0 66 0F 73 F1 34 66 41 0F 16 24 D0 66 0F 59 F0 66 0F 59 D8 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 F0 66 0F 59 C3 66 0F 59 F7 66 0F 58 C7 66 0F 58 35 ?? ?? ?? ?? 66 0F EB CC 66 0F 58 C6 66 0F 59 C8 66 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 66 0F C2 1D ?? ?? ?? ?? 01 66 0F DB CB 66 0F 28 35 ?? ?? ?? ?? 66 0F DB F5 66 0F C2 35 ?? ?? ?? ?? 01 66 0F DF DE 66 0F DB C3 66 0F DB D3 66 0F DB E3 66 0F C5 C5 03 66 0F C5 D5 07 C1 E8 0F C1 EA 0F 66 0F FE 15 ?? ?? ?? ?? 66 0F 73 D2 06 F3 41 0F 7E BC C0 00 02 00 00 66 41 0F 16 BC D0 00 02 00 00 66 0F FE D7 66 0F 73 F2 34 66 0F EB D4 66 0F 59 C2 F3 41 0F 7E BC C0 10 02 00 00 66 41 0F 16 BC D0 10 02 00 00 66 0F 59 C7 66 0F EB C1 66 0F 28 3D ?? ?? ?? ?? 66 0F DB FD 66 0F C2 3D ?? ?? ?? ?? 01 66 0F DF F7 F3 41 0F 7E 8C C0 20 02 00 00 66 41 0F 16 8C D0 20 02 00 00 66 0F DB CE 66 0F 28 35 ?? ?? ?? ?? 66 0F DB F5 66 0F C2 35 ?? ?? ?? ?? 00 F3 41 0F 7E BC C0 30 02 00 00 66 41 0F 16 BC D0 30 02 00 00 66 0F DB F7 66 0F EB CE 66 0F 28 35 ?? ?? ?? ?? 66 0F C2 F5 03 66 0F DB EE 66 0F EB CD 66 0F 59 C9 66 0F EB C1 0F 28 74 24 50 0F 28 7C 24 40 48 83 C4 68 C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_268_4_0 {
	meta:
		name = "_mbsncat_l"
		size = 301
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0054 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006d strncat 0094 _ismbslead_l 00df _mbsbtype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B E8 48 8B FA 48 8B D9 4D 85 C0 75 08 48 8B C1 E9 EE 00 00 00 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 D2 00 00 00 48 85 D2 74 E4 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 00 75 16 4C 8B C5 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 E9 89 00 00 00 48 8B F3 8A 03 48 FF C3 84 C0 75 F7 48 FF CB 4C 8D 44 24 20 48 8B CE 48 8B D3 E8 ?? ?? ?? ?? 85 C0 74 03 48 FF CB 48 8B 4C 24 28 0F B6 07 48 FF CD F6 44 08 19 04 88 03 74 3B 8A 47 01 48 83 C3 02 48 83 C7 02 88 43 FF 84 C0 75 33 88 43 FE 48 3B DE 74 32 8B C3 4C 8D 44 24 20 48 8B CE 2B C6 FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 17 C6 43 FF 00 EB 14 48 FF C3 48 FF C7 84 C0 74 D0 48 85 ED 74 CB EB A5 C6 03 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 8B C6 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_270_10_0 {
	meta:
		name = "_winput_s_l"
		size = 4866
		refs = "0022 __security_cookie 0081 _errno 008c _invalid_parameter_noinfo 00a5 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00e4 iswctype 00fd _whiteout 010e _ungetwc_nolock 01c0 isdigit 0392 _fgetwc_nolock 0573 __check_float_string 082a _malloc_crt 084f wcstombs_s 0868 _cfltcvt_tab 0873 __imp_DecodePointer 088b free 09a1 memset 0d10 wctomb_s 0eda isxdigit 12ce __security_check_cookie 12fd _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FD FF FF 48 81 EC C0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 02 00 00 45 33 ED 4C 8D 7D F0 4C 89 4D C0 41 8B C5 41 0F B7 FD 48 8B DA 48 89 54 24 68 48 8B F1 48 89 4C 24 78 89 45 B8 89 7C 24 40 4C 89 7D 98 48 C7 45 A8 5E 01 00 00 44 89 6D 90 4C 89 6C 24 70 4C 89 6D 80 44 89 6C 24 50 4C 89 6D B0 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 2B 12 00 00 48 85 C9 74 E3 48 8D 4D D0 49 8B D0 E8 ?? ?? ?? ?? 0F B7 03 44 88 6C 24 3C 45 8B F5 44 89 6C 24 30 44 89 6C 24 48 45 8B FD 44 89 6C 24 38 66 85 C0 0F 84 DF 11 00 00 41 BF FF FF 00 00 41 BC 25 00 00 00 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 74 4F 48 8D 4C 24 48 41 FF CE 48 8B D6 44 89 74 24 48 E8 ?? ?? ?? ?? 66 44 3B F8 74 0B 48 8B D6 0F B7 C8 E8 ?? ?? ?? ?? 48 83 C3 02 BA 08 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 EB 44 8B 74 24 48 48 89 5C 24 68 44 89 74 24 30 E9 26 10 00 00 4C 8B 54 24 68 66 45 3B 22 0F 85 CA 0F 00 00 66 45 3B 62 02 0F 84 A8 0F 00 00 45 33 DB 45 0F B7 FD 41 8B D5 4D 8B E5 45 8D 4B 01 44 89 6C 24 60 44 89 7D 88 44 89 6C 24 64 45 8B C5 44 89 6C 24 58 4C 89 6D C8 44 88 6C 24 5C 44 88 6C 24 4C 41 8A FD 41 8A F5 44 89 6D A0 45 8A E1 89 54 24 44 45 8A F3 45 8B EB 41 83 CF FF 49 83 C2 02 B8 00 FF 00 00 41 0F B7 1A 4C 89 54 24 68 66 85 D8 75 3B 0F B6 CB E8 ?? ?? ?? ?? 44 8B 44 24 58 8B 54 24 44 4C 8B 54 24 68 45 33 DB 45 8D 4B 01 85 C0 74 1A 8D 14 92 45 03 C1 8D 52 E8 44 89 44 24 58 8D 14 53 89 54 24 44 E9 D5 00 00 00 83 FB 2A 0F 84 C9 00 00 00 83 FB 46 0F 84 C3 00 00 00 83 FB 49 74 4E 83 FB 4C 74 44 83 FB 4E 0F 84 B0 00 00 00 83 FB 68 74 2E B9 6C 00 00 00 3B D9 74 0A 83 FB 77 74 1B E9 90 00 00 00 49 8D 42 02 66 39 08 75 0A 4C 8B D0 48 89 44 24 68 EB 32 45 02 E1 45 02 F1 EB 7D 45 02 E7 45 02 F7 EB 75 45 02 E1 EB 70 41 0F B7 42 02 66 83 F8 36 75 1B 49 8D 4A 04 66 83 39 34 75 11 4C 8B D1 48 89 4C 24 68 45 03 E9 4C 89 5D 80 EB 4A 66 83 F8 33 75 14 49 8D 4A 04 66 83 39 32 75 0A 4C 8B D1 48 89 4C 24 68 EB 30 66 83 E8 58 B9 20 00 00 00 66 3B C1 77 13 0F B7 C0 48 B9 01 10 82 00 01 00 00 00 48 0F A3 C1 72 BC 45 03 E9 4C 89 5D 80 41 02 F1 EB 03 41 02 F9 40 84 F6 0F 84 D0 FE FF FF 44 8B 7D 88 40 88 7C 24 34 8B 7C 24 40 8A 4C 24 34 44 88 64 24 35 4C 8B 65 C8 44 89 6C 24 54 44 8B 6D A0 84 C9 75 1A 48 8B 45 C0 48 89 45 B0 48 83 C0 08 48 89 45 C0 48 8B 40 F8 48 89 45 88 EB 04 4C 89 5D 88 41 8A DB 45 84 F6 75 25 41 0F B7 02 41 B9 EF FF 00 00 66 83 E8 43 66 41 23 C1 41 B9 01 00 00 00 66 F7 D8 45 1A F6 41 80 E6 02 41 FE CE 41 0F B7 32 B8 6E 00 00 00 83 CE 20 3B F0 74 66 83 FE 63 74 21 83 FE 7B 74 1C 48 8B 54 24 78 48 8D 4C 24 48 E8 ?? ?? ?? ?? 0F B7 F8 8B 44 24 48 89 44 24 30 EB 1C 8B 44 24 30 48 8B 4C 24 78 41 03 C1 89 44 24 30 89 44 24 48 E8 ?? ?? ?? ?? 0F B7 F8 B8 FF FF 00 00 89 7C 24 40 66 3B C7 0F 84 86 0E 00 00 8B 54 24 44 4C 8B 54 24 68 44 8B 44 24 58 8A 4C 24 34 45 85 C0 74 08 85 D2 0F 84 A4 0D 00 00 84 C9 75 50 8D 46 9D A9 E7 FF FF FF 75 46 83 FE 6B 74 41 4C 8B 4D B0 49 8B 01 49 83 C1 08 45 8B 21 4D 8B D9 4C 89 4D B0 49 83 C1 08 48 89 45 88 4C 89 4D C0 41 B9 01 00 00 00 4D 3B E1 73 1F 45 84 F6 0F 8E 84 0D 00 00 45 33 F6 66 44 89 30 E9 7E 0D 00 00 4C 8B 5D B0 41 B9 01 00 00 00 83 FE 6F 0F 8F AE 04 00 00 0F 84 AF 09 00 00 83 FE 63 0F 84 7D 04 00 00 83 FE 64 0F 84 9D 09 00 00 0F 8E B9 04 00 00 83 FE 67 7E 60 83 FE 69 74 3E B8 6E 00 00 00 3B F0 0F 85 A2 04 00 00 44 8B 74 24 30 45 33 ED 41 8B C6 84 C9 0F 85 19 04 00 00 44 8B 64 24 54 45 85 E4 0F 84 4E 0C 00 00 48 8B 45 88 48 8B 4D 80 48 89 08 E9 FB 03 00 00 BE 64 00 00 00 B8 2D 00 00 00 66 3B C7 0F 85 FC 05 00 00 44 88 4C 24 4C E9 FC 05 00 00 45 33 ED 41 8B DD 41 8D 4D 2D 66 3B CF 75 0C 48 8B 45 98 49 8B D9 66 89 08 EB 0A B8 2B 00 00 00 66 3B C7 75 2B 4C 8B 64 24 78 44 8B 7C 24 44 44 8B 74 24 30 49 8B CC 45 2B F9 45 03 F1 E8 ?? ?? ?? ?? 44 8B 44 24 58 0F B7 F8 89 7C 24 40 EB 0F 44 8B 74 24 30 44 8B 7C 24 44 4C 8B 64 24 78 45 85 C0 B8 FF FF FF FF 44 0F 44 F8 B8 00 FF 00 00 66 85 F8 75 72 BE 01 00 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5E 41 8B C7 44 2B FE 85 C0 74 54 48 8B 4D 98 01 74 24 64 40 0F BE C7 66 89 04 59 48 8D 45 90 48 03 DE 4C 8D 4D F0 4C 8D 45 98 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 28 0C 00 00 49 8B CC 44 03 F6 E8 ?? ?? ?? ?? 0F B7 F8 B8 00 FF 00 00 89 7C 24 40 66 85 F8 74 93 48 8B 45 D0 BA 01 00 00 00 48 8B 88 F0 00 00 00 48 8B 41 58 0F B7 30 40 0F BE C7 8B CE 3B F0 0F 85 C3 00 00 00 41 8B C7 44 2B FA 85 C0 0F 84 B5 00 00 00 49 8B CC 44 03 F2 E8 ?? ?? ?? ?? 4C 8D 4D F0 4C 8D 45 98 0F B7 F8 48 8B 45 98 48 8D 55 A8 66 89 34 58 48 8D 45 90 BE 01 00 00 00 48 03 DE 89 7C 24 40 48 89 44 24 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 92 0B 00 00 EB 5F 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5A 41 8B C7 44 2B FE 85 C0 74 50 48 8B 45 98 01 74 24 64 4C 8D 4D F0 66 89 3C 58 48 8D 45 90 48 03 DE 4C 8D 45 98 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 43 0B 00 00 49 8B CC 44 03 F6 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 40 B8 00 FF 00 00 66 85 F8 74 97 48 8B D6 8B 74 24 64 85 F6 0F 84 31 01 00 00 8D 47 BB B9 DF FF 00 00 66 85 C1 0F 85 20 01 00 00 41 8B C7 44 2B FA 85 C0 0F 84 12 01 00 00 48 8B 45 98 B9 65 00 00 00 4C 8D 4D F0 66 89 0C 58 48 03 DA 48 8D 45 90 48 8D 55 A8 4C 8D 45 98 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 C4 0A 00 00 49 8B CC 41 FF C6 E8 ?? ?? ?? ?? B9 2D 00 00 00 0F B7 F8 89 7C 24 40 66 3B C8 75 32 48 8B 45 98 4C 8D 4D F0 4C 8D 45 98 66 89 0C 58 48 8D 45 90 48 FF C3 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 78 0A 00 00 EB 0A B8 2B 00 00 00 66 3B C7 75 7B 41 8B C7 B9 01 00 00 00 44 2B F9 85 C0 75 05 45 8B FD EB 67 44 03 F1 EB 53 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5D 41 8B C7 B9 01 00 00 00 44 2B F9 85 C0 74 4E 48 8B 45 98 03 F1 4C 8D 4D F0 66 89 3C 58 48 03 D9 48 8D 45 90 4C 8D 45 98 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 03 0A 00 00 41 FF C6 49 8B CC E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 40 B8 00 FF 00 00 66 85 F8 74 94 B8 01 00 00 00 41 BF FF FF 00 00 44 2B F0 44 89 74 24 30 44 89 74 24 48 66 44 3B FF 74 10 49 8B D4 0F B7 CF E8 ?? ?? ?? ?? B8 01 00 00 00 85 F6 0F 84 91 09 00 00 44 38 6C 24 34 0F 85 97 00 00 00 44 8B 6C 24 38 4C 8B 7D 98 45 33 E4 44 03 E8 48 8B 45 A8 66 45 89 24 5F 48 8D 1C 45 02 00 00 00 44 89 6C 24 38 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 06 0A 00 00 48 8D 43 FF 4D 8B CF 4C 8B C3 48 8B D6 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 16 0F 84 91 0A 00 00 83 F8 22 0F 84 88 0A 00 00 48 8B 0D ?? ?? ?? ?? 0F BE 5C 24 35 FF 15 ?? ?? ?? ?? 48 8B 55 88 4C 8D 4D D0 8D 4B FF 4C 8B C6 FF D0 48 8B CE E8 ?? ?? ?? ?? 45 33 ED 41 BF FF FF 00 00 48 8B 5C 24 68 48 8B 74 24 78 B8 01 00 00 00 00 44 24 3C 48 83 C3 02 44 8D 60 24 48 89 5C 24 68 E9 8D 08 00 00 45 85 C0 75 0C 41 03 D1 44 89 4C 24 58 89 54 24 44 45 84 F6 0F 8E 17 03 00 00 45 8A E9 E9 0F 03 00 00 83 FE 70 0F 84 E8 04 00 00 83 FE 73 0F 84 F2 02 00 00 83 FE 75 0F 84 EC 04 00 00 83 FE 78 0F 84 99 FB FF FF 83 FE 7B 74 2D 41 BF FF FF 00 00 66 41 39 3A 0F 85 9E 08 00 00 FE 4C 24 3C 44 8B 74 24 30 45 33 ED 84 C9 0F 85 6C FF FF FF 4C 89 5D C0 E9 63 FF FF FF 45 84 F6 45 0F B6 ED B8 5E 00 00 00 45 0F 4F E9 49 83 C2 02 44 89 6D A0 4C 89 54 24 68 66 41 3B 02 75 0E 49 83 C2 02 C6 44 24 5C FF 4C 89 54 24 68 48 8B 5C 24 70 45 33 F6 48 85 DB 75 22 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 70 48 85 C0 0F 84 8D 08 00 00 41 8D 46 01 89 45 B8 33 D2 41 B8 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 54 24 68 BA 5D 00 00 00 66 41 3B 12 75 0D 8D 42 C3 44 8B FA 49 83 C2 02 88 43 0B 41 0F B7 02 41 B9 01 00 00 00 66 3B D0 0F 84 BD 00 00 00 45 8D 69 2C 49 83 C2 02 66 44 3B E8 75 7C 66 45 85 FF 74 76 41 0F B7 0A 66 3B D1 74 6D 49 83 C2 02 4C 89 54 24 68 66 44 3B F9 73 06 44 0F B7 C9 EB 08 45 0F B7 CF 44 0F B7 F9 41 BB 01 00 00 00 66 45 3B F9 73 2D 45 0F B7 D7 41 0F B7 CF 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 66 45 03 FB D2 E2 4D 03 D3 41 08 14 18 66 45 3B F9 72 DC 4C 8B 54 24 68 45 0F B7 C1 41 0F B7 C1 41 8B D3 41 B9 01 00 00 00 45 0F B7 FE EB 0E 44 0F B7 F8 44 0F B7 C0 41 8B D1 0F B7 C0 83 E0 07 49 C1 E8 03 8A C8 D2 E2 41 08 14 18 41 0F B7 02 BA 5D 00 00 00 66 3B D0 0F 85 4B FF FF FF 44 8B 6D A0 66 45 39 32 0F 84 85 07 00 00 4C 89 54 24 68 E9 48 01 00 00 B8 2B 00 00 00 66 3B C7 75 11 41 2B D1 89 54 24 44 75 7D 45 85 C0 74 78 41 8A D9 4C 8B 7C 24 78 44 8B 74 24 30 B8 30 00 00 00 66 3B C7 0F 85 7B 03 00 00 44 8D 60 D1 49 8B CF 45 03 F4 44 89 74 24 30 44 89 74 24 48 E8 ?? ?? ?? ?? 0F B7 F8 B9 DF FF 00 00 8D 47 A8 89 7C 24 40 66 85 C1 0F 84 8E 00 00 00 45 8B EC 83 FE 78 74 4F 44 8B 7C 24 44 33 C9 39 4C 24 58 74 08 45 2B FC 75 03 41 02 DC 44 8B 64 24 54 BE 6F 00 00 00 E9 2F 03 00 00 44 8B 74 24 30 4C 8B 7C 24 78 45 03 F1 49 8B CF 44 89 74 24 30 44 89 74 24 48 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 40 E9 6A FF FF FF 45 2B F4 B8 FF FF 00 00 44 89 74 24 30 44 89 74 24 48 66 3B C7 74 0B 49 8B D7 0F B7 CF E8 ?? ?? ?? ?? 44 8B 64 24 54 B8 30 00 00 00 8B F8 89 44 24 40 E9 C6 02 00 00 45 03 F4 49 8B CF 44 89 74 24 30 44 89 74 24 48 E8 ?? ?? ?? ?? 33 C9 0F B7 F8 89 7C 24 40 39 4C 24 58 74 13 8B 44 24 44 83 E8 02 89 44 24 44 41 3B C4 7D 03 41 02 DC 44 8B 64 24 54 44 8B 6C 24 64 BE 78 00 00 00 E9 7D 02 00 00 45 0F B6 ED 45 84 F6 45 0F 4F E9 44 8B 74 24 30 48 8B 5D 88 BA 01 00 00 00 44 2B F2 B8 FF FF 00 00 44 89 74 24 30 44 89 74 24 48 66 3B C7 74 12 48 8B 54 24 78 0F B7 CF E8 ?? ?? ?? ?? BA 01 00 00 00 83 FE 63 74 03 4C 2B E2 44 8A 7C 24 5C 45 33 DB 44 39 5C 24 58 74 14 8B 4C 24 44 8B C1 2B CA 89 4C 24 44 85 C0 0F 84 33 01 00 00 48 8B 4C 24 78 44 03 F2 44 89 74 24 30 44 89 74 24 48 E8 ?? ?? ?? ?? 0F B7 F8 B8 FF FF 00 00 89 7C 24 40 66 3B C7 0F 84 CE 00 00 00 83 FE 63 74 48 83 FE 73 75 15 8D 47 F7 66 83 F8 04 0F 86 B7 00 00 00 8D 46 AD 66 3B F8 75 2E 83 FE 7B 0F 85 A6 00 00 00 48 8B 4C 24 70 0F B7 C7 0F B7 D7 48 C1 E8 03 83 E2 07 0F BE 0C 08 41 0F BE C7 33 C8 0F A3 D1 0F 83 81 00 00 00 45 33 DB 44 38 5C 24 34 75 69 4D 85 E4 0F 84 FD 04 00 00 45 84 ED 74 1B 48 8B 4D 88 41 8D 53 01 66 89 39 48 83 C1 02 4C 2B E2 48 89 4D 88 E9 39 FF FF FF 48 8B 55 88 48 8D 4D A0 44 0F B7 CF 4D 8B C4 44 89 5D A0 E8 ?? ?? ?? ?? 83 F8 22 0F 84 BC 04 00 00 48 63 45 A0 45 33 DB 41 8D 53 01 85 C0 0F 8E 05 FF FF FF 48 01 45 88 4C 2B E0 E9 F9 FE FF FF 48 83 C3 02 BA 01 00 00 00 E9 EB FE FF FF BA 01 00 00 00 41 BF FF FF 00 00 44 2B F2 44 89 74 24 30 44 89 74 24 48 66 44 3B FF 74 16 48 8B 54 24 78 0F B7 CF E8 ?? ?? ?? ?? 45 33 DB 41 8D 53 01 EB 0B 45 33 DB EB 06 41 BF FF FF 00 00 48 8B 45 88 48 3B D8 0F 84 F1 03 00 00 44 38 5C 24 34 0F 85 54 03 00 00 01 54 24 38 83 FE 63 0F 84 E1 FA FF FF 41 BF FF FF 00 00 45 84 ED 74 0C 45 33 ED 66 44 89 28 E9 D3 FA FF FF 45 33 ED 44 88 28 E9 C8 FA FF FF 44 8B 64 24 54 44 88 4C 24 35 45 03 E1 45 33 F6 4C 89 75 80 EB 05 44 8B 64 24 54 B8 2D 00 00 00 66 3B C7 75 07 44 88 4C 24 4C EB 0A B8 2B 00 00 00 66 3B C7 75 53 41 2B D1 89 54 24 44 75 14 45 85 C0 74 0F 44 8B 6C 24 64 41 8A D9 44 8B FA 33 C9 EB 42 44 8B 74 24 30 48 8B 4C 24 78 45 03 F1 44 89 74 24 30 44 89 74 24 48 E8 ?? ?? ?? ?? 44 8B 7C 24 44 44 8B 6C 24 64 0F B7 F8 89 7C 24 40 33 C9 EB 16 44 8B 64 24 54 44 8B 6C 24 64 33 C9 44 8B 7C 24 44 44 8B 74 24 30 45 85 E4 0F 84 1E 01 00 00 84 DB 48 8B 5D 80 0F 85 F8 00 00 00 8D 46 90 A9 F7 FF FF FF B8 00 FF 00 00 74 3E 66 85 F8 0F 85 B8 00 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 84 A3 00 00 00 83 FE 6F 75 12 8D 41 38 66 3B C7 0F 86 92 00 00 00 48 C1 E3 03 EB 45 48 8D 1C 9B 48 03 DB EB 3C 66 85 F8 75 7E 0F B7 C7 0F B6 D8 8B CB E8 ?? ?? ?? ?? 33 C9 85 C0 74 6B 48 C1 65 80 04 8B CB E8 ?? ?? ?? ?? 48 8B 5D 80 85 C0 75 10 B8 DF FF 00 00 66 23 F8 66 83 EF 07 89 7C 24 40 0F B7 C7 B9 01 00 00 00 83 E8 30 44 03 E9 48 98 48 03 D8 33 C0 48 89 5D 80 39 44 24 58 74 05 44 2B F9 74 4B 44 03 F1 48 8B 4C 24 78 44 89 74 24 30 44 89 74 24 48 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 40 E9 30 FF FF FF 41 FF CE B8 FF FF 00 00 44 89 74 24 30 44 89 74 24 48 66 3B C7 74 0D 48 8B 54 24 78 0F B7 CF E8 ?? ?? ?? ?? 48 8B 5D 80 45 33 DB 44 38 5C 24 4C 0F 84 25 01 00 00 48 F7 DB 48 89 5D 80 E9 19 01 00 00 84 DB 8B 5C 24 60 0F 85 FD 00 00 00 8D 46 90 A9 F7 FF FF FF B8 00 FF 00 00 74 3C 66 85 F8 0F 85 BD 00 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 84 A8 00 00 00 83 FE 6F 75 11 8D 41 38 66 3B C7 0F 86 97 00 00 00 C1 E3 03 EB 4E 8D 04 9B 8D 1C 00 EB 46 66 85 F8 0F 85 81 00 00 00 0F B7 C7 0F B6 D8 8B CB E8 ?? ?? ?? ?? 33 C9 }
	condition:
		$1
}

rule file_271_0_0 {
	meta:
		name = "strpbrk"
		size = 161
		refs = "0007 __security_cookie 008d __security_check_cookie 009c __report_rangecheckfailure"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 33 C0 4C 8B D2 4C 8B C9 48 83 F8 20 73 7A C6 44 04 20 00 48 FF C0 48 83 F8 20 7C F0 8A 02 EB 22 44 0F B6 C0 0F B6 C0 BA 01 00 00 00 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 54 04 20 49 FF C2 41 8A 02 84 C0 75 DA EB 1F 41 0F B6 C8 41 0F B6 C0 BA 01 00 00 00 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 75 1F 49 FF C1 45 8A 01 45 84 C0 75 D9 33 C0 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 49 8B C1 EB E9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_272_0_0 {
	meta:
		name = "_dospawn"
		size = 664
		refs = "004d __doserrno 0054 _errno 005f _invalid_parameter_noinfo 0091 memset 009a _nhandle 00a1 __pioinfo 0100 _calloc_crt 01f3 __imp_CreateProcessA 01fb __imp_GetLastError 0207 free 0213 _dosmaperr 022d __imp_WaitForSingleObject 023b __imp_GetExitCodeProcess 0255 __imp_CloseHandle 0293 _exit"
	strings:
		$1 = { 4C 89 4C 24 20 48 89 54 24 10 55 53 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D9 48 81 EC F0 00 00 00 33 FF 44 8B F1 8D 47 04 44 8D 7F 03 89 7D 67 44 8A EF 83 F9 01 76 0E 7E 12 41 3B CF 7E 07 3B C8 75 09 41 B5 01 4C 89 45 A7 EB 31 E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 11 02 00 00 49 FF C0 41 38 38 75 F8 41 38 78 01 74 07 41 C6 00 20 49 FF C0 41 38 38 75 E6 BB 68 00 00 00 48 8D 4D B7 33 D2 44 8B C3 E8 ?? ?? ?? ?? 89 5D B7 8B 1D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 85 DB 74 27 8D 53 FF 48 63 CA 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C0 40 38 7C 08 08 75 06 FF CA FF CB 75 DE 85 DB 0F 88 98 01 00 00 4C 63 E3 49 81 FC 71 1C 00 00 0F 83 88 01 00 00 0F B7 C3 8D 4B 04 BA 01 00 00 00 66 C1 E0 03 66 03 C8 66 89 4D F9 0F B7 C9 E8 ?? ?? ?? ?? 48 89 45 FF 48 85 C0 0F 84 5D 01 00 00 89 18 48 8B 45 FF 4C 8D 40 04 48 8D 50 04 4D 03 C4 85 DB 7E 4E 4C 8B CF 44 8B D3 4C 8D 1D ?? ?? ?? ?? 49 8B C1 49 8B C9 83 E0 1F 48 C1 F9 05 48 6B C0 58 49 03 04 CB 8A 48 08 F6 C1 10 75 0A 88 0A 48 8B 00 49 89 00 EB 07 40 88 3A 49 83 08 FF 49 FF C1 48 FF C2 49 83 C0 08 49 FF CA 75 C3 48 8B 45 FF 45 84 ED 74 34 48 8D 50 04 48 8D 48 04 49 03 D4 41 3B DF 44 0F 4C FB 45 85 FF 7E 16 41 8B C7 40 88 39 48 83 0A FF 48 FF C1 48 8D 52 08 48 FF C8 75 ED C7 45 67 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 55 A7 48 8B 4D 6F 89 38 48 8D 45 8F 45 33 C9 48 89 44 24 48 48 8D 45 B7 45 33 C0 48 89 44 24 40 48 8B 45 7F 48 89 7C 24 38 48 89 44 24 30 8B 45 67 89 44 24 28 C7 44 24 20 01 00 00 00 FF 15 ?? ?? ?? ?? 8B D8 FF 15 ?? ?? ?? ?? 48 8B 4D FF 44 8B F8 E8 ?? ?? ?? ?? 85 DB 75 0A 41 8B CF E8 ?? ?? ?? ?? EB 60 41 83 FE 02 74 71 45 85 F6 75 21 48 8B 4D 8F 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4D 8F 48 8D 55 87 FF 15 ?? ?? ?? ?? 48 63 7D 87 EB 0A B8 04 00 00 00 44 3B F0 75 0C 48 8B 4D 8F FF 15 ?? ?? ?? ?? EB 04 48 8B 7D 8F 48 8B 4D 97 FF 15 ?? ?? ?? ?? 48 8B C7 EB 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 48 83 C8 FF 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5B 5D C3 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_273_0_0 {
	meta:
		name = "__DestructExceptionObject"
		size = 110
		refs = "004d ?terminate@@YAXXZ"
	strings:
		$1 = { 48 85 C9 74 68 88 54 24 10 48 83 EC 28 81 39 63 73 6D E0 75 54 83 79 18 04 75 4E 8B 41 20 2D 20 05 93 19 83 F8 02 77 41 48 8B 41 30 48 85 C0 74 38 48 63 50 04 85 D2 74 19 48 8B C2 48 8B 51 38 48 03 D0 48 8B 49 28 FF D2 90 EB 1D E8 ?? ?? ?? ?? 90 F6 00 10 74 12 48 8B 41 28 48 8B 08 48 85 C9 74 06 48 8B 01 FF 50 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_273_5_0 {
	meta:
		name = "?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z"
		size = 193
		refs = "0039 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 005f __BuildCatchObject 0064 _GetImageBase 00a4 _UnwindNestedFrames"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 56 57 41 54 41 56 41 57 48 83 EC 50 4C 8B BC 24 A0 00 00 00 49 8B E9 4C 8B F2 4D 8B E0 48 8B D9 4C 8D 48 10 4D 8B C7 48 8B D5 49 8B CE E8 ?? ?? ?? ?? 4C 8B 8C 24 B0 00 00 00 48 8B B4 24 A8 00 00 00 48 8B F8 4D 85 C9 74 0E 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 63 4E 0C 4C 8B CF 48 03 C1 8A 8C 24 D8 00 00 00 4D 8B C4 88 4C 24 40 48 8B 8C 24 B8 00 00 00 48 89 6C 24 38 8B 11 4C 89 7C 24 30 49 8B CE 89 54 24 28 48 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_273_6_0 {
	meta:
		name = "?ExFilterRethrow@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEAH@Z"
		size = 137
		refs = "006c _getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 4C 8B 09 41 83 20 00 49 8B D8 41 B8 63 73 6D E0 45 39 01 75 5D 41 83 79 18 04 BF 01 00 00 00 41 BA 20 05 93 19 75 1B 41 8B 41 20 41 2B C2 83 F8 02 77 0F 48 8B 42 28 8B 0B 49 39 41 28 0F 44 CF 89 0B 45 39 01 75 2B 41 83 79 18 04 75 24 41 8B 49 20 41 2B CA 83 F9 02 77 18 49 83 79 30 00 75 11 E8 ?? ?? ?? ?? 89 B8 60 04 00 00 89 3B 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_273_7_0 {
	meta:
		name = "?FindHandler@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@EH1@Z"
		size = 1204
		refs = "0043 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 0057 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 0065 ?__GetUnwindTryBlock@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 007b ?__SetState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 008c ?__SetUnwindTryBlock@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 00a7 ?_inconsistency@@YAXXZ 00dd _getptd 0113 _SetThrowImageBase 0120 ?_ValidateRead@@YAHPEBXI@Z 0184 ?IsInExceptionSpec@@YAEPEAUEHExceptionRecord@@PEBU_s_ESTypeList@@@Z 019c _GetImageBase 01cf ??_R0?AVbad_exception@std@@@8 01d7 ??8type_info@@QEBA_NAEBV0@@Z 024e ?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z 0293 _GetThrowImageBase 02df __TypeMatch 034f ?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z 0400 _UnwindNestedFrames 0464 ?FindHandlerForForeignException@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@HH1@Z 046b ?terminate@@YAXXZ 0476 __DestructExceptionObject 047d ??_C@_0O@DPKOEFFH@bad?5exception?$AA@ 048e ??0exception@std@@QEAA@AEBQEBD@Z 0495 ??_7bad_exception@std@@6B@ 049c _TI2?AVbad_exception@std@@ 04a9 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC B0 00 00 00 48 8B 5D 67 4C 8B EA 48 8B F9 45 33 E4 49 8B D1 48 8B CB 4D 8B F9 4D 8B F0 44 88 65 47 44 88 65 B7 E8 ?? ?? ?? ?? 4C 8D 4D DF 4C 8B C3 49 8B D7 49 8B CD 8B F0 E8 ?? ?? ?? ?? 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? 4C 8B C3 49 8B D7 3B F0 7E 1F 48 8D 4D DF 44 8B CE E8 ?? ?? ?? ?? 44 8B CE 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? EB 0A 49 8B CD E8 ?? ?? ?? ?? 8B F0 83 FE FF 7C 05 3B 73 04 7C 05 E8 ?? ?? ?? ?? 81 3F 63 73 6D E0 0F 85 7B 03 00 00 83 7F 18 04 0F 85 37 01 00 00 8B 47 20 2D 20 05 93 19 83 F8 02 0F 87 26 01 00 00 4C 39 67 30 0F 85 1C 01 00 00 E8 ?? ?? ?? ?? 4C 39 A0 F0 00 00 00 0F 84 29 03 00 00 E8 ?? ?? ?? ?? 48 8B B8 F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 38 4C 8B B0 F8 00 00 00 C6 45 47 01 4C 89 75 57 E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 81 3F 63 73 6D E0 75 1E 83 7F 18 04 75 18 8B 47 20 2D 20 05 93 19 83 F8 02 77 0B 4C 39 67 30 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 39 A0 08 01 00 00 0F 84 93 00 00 00 E8 ?? ?? ?? ?? 4C 8B B0 08 01 00 00 E8 ?? ?? ?? ?? 49 8B D6 48 8B CF 4C 89 A0 08 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 68 45 8B FC 45 39 26 0F 8E D2 02 00 00 49 8B F4 E8 ?? ?? ?? ?? 49 63 4E 04 48 03 C6 44 39 64 01 04 74 1B E8 ?? ?? ?? ?? 49 63 4E 04 48 03 C6 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 03 49 8B C4 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 84 C0 0F 85 8D 02 00 00 41 FF C7 48 83 C6 14 45 3B 3E 7C AC E9 76 02 00 00 4C 8B 75 57 81 3F 63 73 6D E0 0F 85 2E 02 00 00 83 7F 18 04 0F 85 24 02 00 00 8B 47 20 2D 20 05 93 19 83 F8 02 0F 87 13 02 00 00 44 39 63 0C 0F 86 4E 01 00 00 44 8B 45 77 48 8D 45 BF 4C 89 7C 24 30 48 89 44 24 28 48 8D 45 BB 44 8B CE 48 8B D3 49 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4D BB 8B 55 BF 3B CA 0F 83 17 01 00 00 4C 8D 70 10 41 39 76 F0 0F 8F EB 00 00 00 41 3B 76 F4 0F 8F E1 00 00 00 E8 ?? ?? ?? ?? 4D 63 26 4C 03 E0 41 8B 46 FC 89 45 C3 85 C0 0F 8E C1 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 30 48 63 51 0C 48 83 C0 04 48 03 C2 48 89 45 CF E8 ?? ?? ?? ?? 48 8B 4F 30 48 63 51 0C 8B 0C 10 89 4D C7 85 C9 7E 37 E8 ?? ?? ?? ?? 48 8B 4D CF 4C 8B 47 30 48 63 09 48 03 C1 49 8B CC 48 8B D0 48 89 45 D7 E8 ?? ?? ?? ?? 85 C0 75 1C 8B 45 C7 48 83 45 CF 04 FF C8 89 45 C7 85 C0 7F C9 8B 45 C3 FF C8 49 83 C4 14 EB 84 8A 45 6F 4C 8B 45 57 4D 8B CF 88 44 24 58 8A 45 47 49 8B D5 88 44 24 50 48 8B 45 7F 48 8B CF 48 89 44 24 48 8B 45 77 C6 45 B7 01 89 44 24 40 49 8D 46 F0 48 89 44 24 38 48 8B 45 D7 48 89 44 24 30 4C 89 64 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 8B 55 BF 8B 4D BB FF C1 49 83 C6 14 89 4D BB 3B CA 0F 82 FA FE FF FF 45 33 E4 44 38 65 B7 0F 85 8D 00 00 00 8B 03 25 FF FF FF 1F 3D 21 05 93 19 72 7F 8B 73 20 85 F6 74 0D 48 63 F6 E8 ?? ?? ?? ?? 48 03 C6 EB 03 49 8B C4 48 85 C0 74 63 85 F6 74 11 E8 ?? ?? ?? ?? 48 8B D0 48 63 43 20 48 03 D0 EB 03 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 3F 4C 8D 4D 47 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? 8A 4D 6F 4C 8B 45 57 88 4C 24 40 4C 89 7C 24 38 48 89 5C 24 30 83 4C 24 28 FF 4C 8B C8 48 8B D7 49 8B CD 4C 89 64 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 39 A0 08 01 00 00 74 05 E8 ?? ?? ?? ?? 48 8B 9C 24 F8 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 39 63 0C 76 CC 44 38 65 6F 75 70 48 8B 45 7F 4D 8B CF 4D 8B C6 48 89 44 24 38 8B 45 77 49 8B D5 89 44 24 30 48 8B CF 89 74 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? EB 9A E8 ?? ?? ?? ?? CC B2 01 48 8B CF E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 55 47 48 8D 4D E7 48 89 45 47 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E7 48 89 45 E7 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_273_8_0 {
	meta:
		name = "?FindHandlerForForeignException@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@HH1@Z"
		size = 613
		refs = "0032 _getptd 004c __imp_EncodePointer 009b _CallSETranslator 00b7 ?_inconsistency@@YAXXZ 00ec ?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z 011e _GetImageBase 022b ?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 81 39 03 00 00 80 4D 8B F9 49 8B F8 4C 8B E2 48 8B F1 0F 84 1C 02 00 00 E8 ?? ?? ?? ?? 48 8B AC 24 D0 00 00 00 48 83 B8 E0 00 00 00 00 74 61 33 C9 FF 15 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 39 98 E0 00 00 00 74 48 81 3E 4D 4F 43 E0 74 40 81 3E 52 43 43 E0 8B 9C 24 E0 00 00 00 74 38 48 8B 84 24 E8 00 00 00 4D 8B CF 4C 8B C7 48 89 44 24 30 49 8B D4 48 8B CE 89 5C 24 28 48 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 A6 01 00 00 EB 07 8B 9C 24 E0 00 00 00 83 7D 0C 00 75 05 E8 ?? ?? ?? ?? 44 8B B4 24 D8 00 00 00 48 8D 44 24 60 4C 89 7C 24 30 48 89 44 24 28 48 8D 84 24 B0 00 00 00 44 8B C3 45 8B CE 48 8B D5 49 8B CC 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 8C 24 B0 00 00 00 3B 4C 24 60 0F 83 4C 01 00 00 48 8D 78 0C 4C 8D 6F F4 45 3B 75 00 0F 8C 23 01 00 00 44 3B 77 F8 0F 8F 19 01 00 00 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 83 7C 10 F0 00 74 23 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 48 63 5C 10 F0 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 85 C0 74 4A E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 83 7C 10 F0 00 74 23 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 48 63 5C 10 F0 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 80 78 10 00 0F 85 83 00 00 00 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 F6 44 10 EC 40 75 68 E8 ?? ?? ?? ?? 8B 0F 4C 8B 84 24 C0 00 00 00 C6 44 24 58 00 C6 44 24 50 01 FF C9 48 63 C9 4D 8B CF 48 8D 14 89 48 8D 0C 90 48 63 47 04 49 8B D4 48 03 C8 48 8B 84 24 E8 00 00 00 48 89 44 24 48 8B 84 24 E0 00 00 00 89 44 24 40 4C 89 6C 24 38 48 83 64 24 30 00 48 89 4C 24 28 48 8B CE 48 89 6C 24 20 E8 ?? ?? ?? ?? 8B 8C 24 B0 00 00 00 FF C1 48 83 C7 14 89 8C 24 B0 00 00 00 3B 4C 24 60 0F 82 B8 FE FF FF 48 8B 9C 24 B8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_273_9_0 {
	meta:
		name = "?IsInExceptionSpec@@YAEPEAUEHExceptionRecord@@PEBU_s_ESTypeList@@@Z"
		size = 215
		refs = "0035 _GetThrowImageBase 0078 _GetImageBase 008f __TypeMatch 00cd ?_inconsistency@@YAXXZ 00d2 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B F2 4C 8B E9 48 85 D2 0F 84 A1 00 00 00 33 FF 45 32 F6 39 3A 7E 78 E8 ?? ?? ?? ?? 48 8B D0 49 8B 45 30 4C 63 78 0C 49 83 C7 04 4C 03 FA E8 ?? ?? ?? ?? 48 8B D0 49 8B 45 30 48 63 48 0C 8B 2C 0A 85 ED 7E 44 48 63 C7 4C 8D 24 80 E8 ?? ?? ?? ?? 48 8B D8 49 63 07 48 03 D8 E8 ?? ?? ?? ?? 48 63 4E 04 4D 8B 45 30 4A 8D 04 A0 48 8B D3 48 03 C8 E8 ?? ?? ?? ?? 85 C0 75 0C FF CD 49 83 C7 04 85 ED 7F C8 EB 03 41 B6 01 FF C7 3B 3E 7C 88 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 41 8A C6 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_273_10_0 {
	meta:
		name = "?Is_bad_exception_allowed@@YAEPEBU_s_ESTypeList@@@Z"
		size = 135
		refs = "0020 _GetImageBase 0052 ??_R0?AVbad_exception@std@@@8 005a ??8type_info@@QEBA_NAEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 48 8B F9 39 29 7E 4F 33 F6 E8 ?? ?? ?? ?? 48 63 4F 04 48 03 C6 83 7C 01 04 00 74 1B E8 ?? ?? ?? ?? 48 63 4F 04 48 03 C6 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 84 C0 75 21 FF C5 48 83 C6 14 3B 2F 7C B3 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 B0 01 EB E7 }
	condition:
		$1
}

rule file_273_11_0 {
	meta:
		name = "?__RethrowException@@YAXPEAUEHExceptionRecord@@@Z"
		size = 20
		refs = "0010 __imp_RaiseException"
	strings:
		$1 = { 44 8B 41 18 8B 51 04 4C 8D 49 20 8B 09 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_273_12_0 {
	meta:
		name = "?__uncaught_exception@@YA_NXZ"
		size = 25
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 39 88 00 01 00 00 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_273_13_0 {
	meta:
		name = "?_is_exception_typeof@@YAHAEBVtype_info@@PEAU_EXCEPTION_POINTERS@@@Z"
		size = 191
		refs = "0025 ?_inconsistency@@YAXXZ 007a ?raw_name@type_info@@QEBAPEBDXZ 0089 strcmp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B DA 4C 8B F1 48 85 D2 75 05 E8 ?? ?? ?? ?? 48 8B 1B 48 85 DB 75 05 E8 ?? ?? ?? ?? 81 3B 63 73 6D E0 75 13 83 7B 18 04 75 0D 8B 43 20 2D 20 05 93 19 83 F8 02 76 05 E8 ?? ?? ?? ?? 48 8B 6B 38 48 8B 43 30 48 63 48 0C 48 8D 75 04 8B 3C 29 48 03 F1 EB 29 48 63 06 49 8B CE 48 63 5C 28 04 E8 ?? ?? ?? ?? 48 8D 55 10 48 8B C8 48 03 D3 E8 ?? ?? ?? ?? 85 C0 74 27 FF CF 48 83 C6 04 85 FF 7F D3 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 B8 01 00 00 00 EB DE }
	condition:
		$1
}

rule file_273_15_0 {
	meta:
		name = "__AdjustPointer"
		size = 35
	strings:
		$1 = { 48 63 02 48 03 C1 83 7A 04 00 7C 16 4C 63 4A 04 48 63 52 08 49 8B 0C 09 4C 63 04 0A 4D 03 C1 49 03 C0 C3 }
	condition:
		$1
}

rule file_273_16_0 {
	meta:
		name = "__BuildCatchObject"
		size = 182
		refs = "0031 __BuildCatchObjectHelper 0045 _GetThrowImageBase 005c __AdjustPointer 009b ?terminate@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 49 8B F9 4C 8B F1 41 F7 00 00 00 00 80 74 05 48 8B F2 EB 07 49 63 70 08 48 03 32 E8 ?? ?? ?? ?? FF C8 74 37 FF C8 75 5B 33 DB 39 5F 18 74 0F E8 ?? ?? ?? ?? 48 8B D8 48 63 47 18 48 03 D8 48 8D 57 08 49 8B 4E 28 E8 ?? ?? ?? ?? 48 8B D0 41 B8 01 00 00 00 48 8B CE FF D3 EB 28 33 DB 39 5F 18 74 0C E8 ?? ?? ?? ?? 48 63 5F 18 48 03 D8 48 8D 57 08 49 8B 4E 28 E8 ?? ?? ?? ?? 48 8B D0 48 8B CE FF D3 EB 06 E8 ?? ?? ?? ?? 90 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_273_17_0 {
	meta:
		name = "__BuildCatchObjectHelper"
		size = 591
		refs = "0034 _GetImageBase 009b ?g_OutOfMemoryExceptionCallback@@3P6APEAXXZEA 00b4 ?_ValidateRead@@YAHPEBXI@Z 00c6 ?_ValidateWrite@@YAHPEAXI@Z 00dd __AdjustPointer 0157 memmove 017e _GetThrowImageBase 0206 ?_ValidateExecute@@YAHP6A_JXZ@Z 0224 ?_inconsistency@@YAXXZ 022e ?terminate@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 55 41 56 41 57 48 83 EC 30 4D 8B F1 49 8B D8 48 8B F2 4C 8B E9 33 FF 45 8B 78 04 45 85 FF 74 0E 4D 63 FF E8 ?? ?? ?? ?? 49 8D 14 07 EB 03 48 8B D7 48 85 D2 0F 84 E9 01 00 00 45 85 FF 74 11 E8 ?? ?? ?? ?? 48 8B C8 48 63 43 04 48 03 C8 EB 03 48 8B CF 40 38 79 10 0F 84 C6 01 00 00 39 7B 08 75 0C F7 03 00 00 00 80 0F 84 B5 01 00 00 8B 0B 85 C9 78 0A 48 63 43 08 48 03 06 48 8B F0 84 C9 79 57 41 F6 06 10 74 51 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 45 FF D0 4C 8B F8 BB 01 00 00 00 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 63 01 00 00 8B D3 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 51 01 00 00 4C 89 3E 49 8B CF 49 8D 56 08 E8 ?? ?? ?? ?? 48 89 06 E9 40 01 00 00 BB 01 00 00 00 F6 C1 08 74 2E 8B D3 49 8B 4D 28 E8 ?? ?? ?? ?? 85 C0 0F 84 1D 01 00 00 8B D3 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 0B 01 00 00 49 8B 4D 28 48 89 0E EB B7 41 84 1E 74 51 8B D3 49 8B 4D 28 E8 ?? ?? ?? ?? 85 C0 0F 84 EA 00 00 00 8B D3 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 D8 00 00 00 4D 63 46 14 49 8B 55 28 48 8B CE E8 ?? ?? ?? ?? 41 83 7E 14 08 0F 85 C3 00 00 00 48 39 3E 0F 84 BA 00 00 00 48 8B 0E E9 61 FF FF FF 41 39 7E 18 74 11 E8 ?? ?? ?? ?? 48 8B C8 49 63 46 18 48 03 C8 EB 03 48 8B CF 8B D3 48 85 C9 49 8B 4D 28 75 38 E8 ?? ?? ?? ?? 85 C0 74 7E 8B D3 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 70 49 63 5E 14 49 8D 56 08 49 8B 4D 28 E8 ?? ?? ?? ?? 48 8B D0 4C 8B C3 48 8B CE E8 ?? ?? ?? ?? EB 55 E8 ?? ?? ?? ?? 85 C0 74 46 8B D3 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 38 41 39 7E 18 74 11 E8 ?? ?? ?? ?? 48 8B C8 49 63 46 18 48 03 C8 EB 03 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 15 41 8A 06 24 04 F6 D8 1B C9 F7 D9 03 CB 8B F9 89 4C 24 20 EB 06 E8 ?? ?? ?? ?? 90 8B C7 EB 08 E8 ?? ?? ?? ?? 90 33 C0 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 30 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_273_18_0 {
	meta:
		name = "__CxxCallCatchBlock"
		size = 515
		refs = "0034 _getptd 00b1 _CreateFrameInfo 00f1 _CallSettingFrame 0133 __DestructExceptionObject 015d __imp_RaiseException 0186 _FindAndUnlinkFrame 01af _IsExceptionObjectToBeDestroyed"
	strings:
		$1 = { 40 53 56 57 41 54 41 55 41 56 41 57 48 81 EC 90 00 00 00 48 8B F9 45 33 FF 44 89 7C 24 20 44 21 BC 24 D0 00 00 00 4C 21 7C 24 40 4C 21 BC 24 E8 00 00 00 E8 ?? ?? ?? ?? 4C 8B A8 F8 00 00 00 4C 89 6C 24 50 E8 ?? ?? ?? ?? 48 8B 80 F0 00 00 00 48 89 84 24 E0 00 00 00 48 8B 77 50 48 89 B4 24 D8 00 00 00 48 8B 47 48 48 89 44 24 48 48 8B 5F 40 48 8B 47 30 48 89 44 24 58 4C 8B 77 28 4C 89 74 24 60 E8 ?? ?? ?? ?? 48 89 B0 F0 00 00 00 E8 ?? ?? ?? ?? 48 89 98 F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 90 F0 00 00 00 48 8B 52 28 48 8D 4C 24 78 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 38 4C 39 7F 58 74 1F C7 84 24 D0 00 00 00 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 38 01 00 00 48 89 8C 24 E8 00 00 00 41 B8 00 01 00 00 49 8B D6 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 40 48 8B BC 24 E0 00 00 00 EB 7B C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 83 A0 60 04 00 00 00 48 8B B4 24 D8 00 00 00 83 BC 24 D0 00 00 00 00 74 21 B2 01 48 8B CE E8 ?? ?? ?? ?? 48 8B 84 24 E8 00 00 00 4C 8D 48 20 44 8B 40 18 8B 50 04 8B 08 EB 0D 4C 8D 4E 20 44 8B 46 18 8B 56 04 8B 0E FF 15 ?? ?? ?? ?? 44 8B 7C 24 20 48 8B 5C 24 40 4C 8B 6C 24 50 48 8B BC 24 E0 00 00 00 4C 8B 74 24 60 4C 8B 64 24 38 49 8B CC E8 ?? ?? ?? ?? 45 85 FF 75 32 81 3E 63 73 6D E0 75 2A 83 7E 18 04 75 24 8B 46 20 2D 20 05 93 19 83 F8 02 77 17 48 8B 4E 28 E8 ?? ?? ?? ?? 85 C0 74 0A B2 01 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 B8 F0 00 00 00 E8 ?? ?? ?? ?? 4C 89 A8 F8 00 00 00 48 8B 44 24 48 48 63 48 1C 49 8B 06 48 C7 04 01 FE FF FF FF 48 8B C3 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_273_19_0 {
	meta:
		name = "__CxxCallCatchBlock$filt$0"
		size = 244
		refs = "00c5 _getptd"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 89 4D 70 48 89 4D 68 48 8B 45 68 48 8B 08 48 89 4D 28 C7 45 20 00 00 00 00 48 8B 45 28 81 38 63 73 6D E0 75 4D 48 8B 45 28 83 78 18 04 75 43 48 8B 45 28 81 78 20 20 05 93 19 74 1A 48 8B 45 28 81 78 20 21 05 93 19 74 0D 48 8B 45 28 81 78 20 22 05 93 19 75 1C 48 8B 55 28 48 8B 85 D8 00 00 00 48 8B 48 28 48 39 4A 28 75 07 C7 45 20 01 00 00 00 48 8B 45 28 81 38 63 73 6D E0 75 5B 48 8B 45 28 83 78 18 04 75 51 48 8B 45 28 81 78 20 20 05 93 19 74 1A 48 8B 45 28 81 78 20 21 05 93 19 74 0D 48 8B 45 28 81 78 20 22 05 93 19 75 2A 48 8B 45 28 48 83 78 30 00 75 1F E8 ?? ?? ?? ?? C7 80 60 04 00 00 01 00 00 00 C7 45 20 01 00 00 00 C7 45 30 01 00 00 00 EB 07 C7 45 30 00 00 00 00 8B 45 30 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_273_20_0 {
	meta:
		name = "__CxxCallCatchBlock$fin$1"
		size = 126
		refs = "000f _FindAndUnlinkFrame 0040 _IsExceptionObjectToBeDestroyed 004e __DestructExceptionObject 0054 _getptd"
	strings:
		$1 = { 40 53 55 48 83 EC 28 48 8B EA 48 8B 4D 38 E8 ?? ?? ?? ?? 83 7D 20 00 75 3A 48 8B 9D D8 00 00 00 81 3B 63 73 6D E0 75 2B 83 7B 18 04 75 25 8B 43 20 2D 20 05 93 19 83 F8 02 77 18 48 8B 4B 28 E8 ?? ?? ?? ?? 85 C0 74 0B B2 01 48 8B CB E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B 8D E0 00 00 00 48 89 88 F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 50 48 89 88 F8 00 00 00 48 83 C4 28 5D 5B C3 CC }
	condition:
		$1
}

rule file_273_21_0 {
	meta:
		name = "__CxxDetectRethrow"
		size = 71
		refs = "002f _getptd"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 37 48 8B 09 81 39 63 73 6D E0 75 2C 83 79 18 04 75 26 8B 41 20 2D 20 05 93 19 83 F8 02 77 19 48 83 79 30 00 75 12 E8 ?? ?? ?? ?? FF 80 00 01 00 00 B8 01 00 00 00 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_273_22_0 {
	meta:
		name = "__CxxExceptionFilter"
		size = 502
		refs = "0086 _getptd 00a1 _GetImageBase 00b2 _SetThrowImageBase 00c4 __imp_RtlPcToFileHeader 00d4 _SetImageBase 00f1 _GetThrowImageBase 013c __TypeMatch 0163 __BuildCatchObject 0174 _local_unwind"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 54 41 56 41 57 48 83 EC 60 48 89 64 24 38 4D 8B E1 41 8B F0 48 8B FA 48 85 C9 75 07 33 C0 E9 A8 01 00 00 48 8B 19 48 85 D2 74 06 80 7A 10 00 75 22 81 3B 4D 4F 43 E0 0F 84 49 01 00 00 81 3B 52 43 43 E0 0F 84 3D 01 00 00 40 F6 C6 40 0F 84 33 01 00 00 81 3B 63 73 6D E0 75 C1 83 7B 18 04 75 BB 8B 43 20 2D 20 05 93 19 83 F8 02 77 AE 48 83 7B 30 00 75 1B E8 ?? ?? ?? ?? 48 83 B8 F0 00 00 00 00 74 98 E8 ?? ?? ?? ?? 48 8B 98 F0 00 00 00 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 30 48 8B 4B 38 E8 ?? ?? ?? ?? 90 48 8D 94 24 80 00 00 00 48 8B CF FF 15 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 2B BC 24 80 00 00 00 89 7C 24 44 89 74 24 40 0F BA EE 1F 89 74 24 40 E8 ?? ?? ?? ?? 48 8B 4B 30 48 63 71 0C 48 83 C0 04 48 03 F0 48 89 74 24 28 E8 ?? ?? ?? ?? 48 8B 4B 30 48 63 51 0C 8B 3C 10 89 7C 24 20 85 FF 7E 68 E8 ?? ?? ?? ?? 4C 8B F0 48 63 06 4C 03 F0 4C 8B 43 30 49 8B D6 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 34 E8 ?? ?? ?? ?? FF 80 00 01 00 00 4D 85 E4 74 13 4D 8B CE 4C 8D 44 24 40 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 48 8D 15 68 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? FF CF 89 7C 24 20 48 83 C6 04 48 89 74 24 28 EB 94 49 8B CF E8 ?? ?? ?? ?? E9 96 FE FF FF 81 3B 63 73 6D E0 75 2D 83 7B 18 04 75 27 8B 43 20 2D 20 05 93 19 83 F8 02 77 1A 48 83 7B 30 00 75 13 E8 ?? ?? ?? ?? 48 83 B8 F0 00 00 00 00 0F 84 61 FE FF FF E8 ?? ?? ?? ?? FF 80 00 01 00 00 B8 01 00 00 00 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_273_23_0 {
	meta:
		name = "__CxxExceptionFilter$fin$0"
		size = 26
		refs = "000e _SetImageBase"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 30 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_273_25_0 {
	meta:
		name = "__CxxRegisterExceptionObject"
		size = 193
		refs = "003d _getptd 0050 _CreateFrameInfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 85 C9 74 70 48 8B 19 48 85 DB 74 68 81 3B 63 73 6D E0 75 26 83 7B 18 04 75 20 8B 43 20 2D 20 05 93 19 83 F8 02 77 13 48 83 7B 30 00 75 0C E8 ?? ?? ?? ?? 48 8B 98 F0 00 00 00 48 8B 53 28 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 48 89 4F 10 E8 ?? ?? ?? ?? 48 8B 88 F8 00 00 00 48 89 4F 18 E8 ?? ?? ?? ?? 48 89 98 F0 00 00 00 EB 0A 48 83 4A 10 FF 48 83 4A 18 FF E8 ?? ?? ?? ?? FF 88 00 01 00 00 E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 7D 0C E8 ?? ?? ?? ?? 83 A0 00 01 00 00 00 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_273_26_0 {
	meta:
		name = "__CxxUnregisterExceptionObject"
		size = 343
		refs = "001b _FindAndUnlinkFrame 0028 _getptd 009d _IsExceptionObjectToBeDestroyed 00b4 __DestructExceptionObject"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 10 FF 8B FA 48 8B D9 0F 84 32 01 00 00 E8 ?? ?? ?? ?? 85 FF 0F 85 91 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 39 63 73 6D E0 75 7D E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 83 79 18 04 75 6B E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 20 05 93 19 74 2A E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 21 05 93 19 74 15 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 22 05 93 19 75 2C E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 48 8B 49 28 E8 ?? ?? ?? ?? 85 C0 74 13 E8 ?? ?? ?? ?? B2 01 48 8B 88 F0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 39 63 73 6D E0 75 60 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 83 79 18 04 75 4E E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 20 05 93 19 74 2A E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 21 05 93 19 74 15 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 22 05 93 19 75 0F 85 FF 74 0B E8 ?? ?? ?? ?? FF 88 00 01 00 00 E8 ?? ?? ?? ?? 48 8B 4B 10 48 89 88 F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 18 48 89 88 F8 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_273_27_0 {
	meta:
		name = "__DestructExceptionObject$filt$0"
		size = 24
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 33 C0 38 45 38 0F 95 C0 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_273_28_0 {
	meta:
		name = "__FrameUnwindFilter"
		size = 83
		refs = "0022 _getptd 004e ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 52 43 43 E0 74 12 81 38 4D 4F 43 E0 74 0A 81 38 63 73 6D E0 75 1B EB 20 E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 7E 0B E8 ?? ?? ?? ?? FF 88 00 01 00 00 33 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? 83 A0 00 01 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_273_29_0 {
	meta:
		name = "__FrameUnwindToState"
		size = 402
		refs = "002f _GetImageBase 0042 ?__GetCurrentState@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 0049 _getptd 0070 ?_inconsistency@@YAXXZ 00cf ?__SetState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 0112 _CallSettingFrame 011c _SetImageBase"
	strings:
		$1 = { 48 8B C4 44 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 8B E1 49 8B F0 4C 8B EA 4C 8B F9 E8 ?? ?? ?? ?? 48 89 44 24 28 4C 8B C6 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? FF 80 00 01 00 00 83 FF FF 0F 84 ED 00 00 00 41 3B FC 0F 8E E4 00 00 00 83 FF FF 7E 05 3B 7E 04 7C 05 E8 ?? ?? ?? ?? 4C 63 F7 E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 8B 3C 01 89 7C 24 20 E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 83 7C 01 04 00 74 1C E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 85 C0 74 5E 44 8B CF 4C 8B C6 49 8B D5 49 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 83 7C 01 04 00 74 1C E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 41 B8 03 01 00 00 49 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 28 E8 ?? ?? ?? ?? EB 1E 44 8B A4 24 88 00 00 00 48 8B B4 24 80 00 00 00 4C 8B 6C 24 78 4C 8B 7C 24 70 8B 7C 24 20 89 7C 24 24 E9 0A FF FF FF E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 7E 0B E8 ?? ?? ?? ?? FF 88 00 01 00 00 83 FF FF 74 0A 41 3B FC 7E 05 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_273_30_0 {
	meta:
		name = "__FrameUnwindToState$filt$0"
		size = 22
		refs = "000a __FrameUnwindFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_273_31_0 {
	meta:
		name = "__FrameUnwindToState$fin$1"
		size = 41
		refs = "000a _getptd"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 7E 0B E8 ?? ?? ?? ?? FF 88 00 01 00 00 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_273_32_0 {
	meta:
		name = "__GetPlatformExceptionInfo"
		size = 145
		refs = "0016 _getptd 0042 _GetThrowImageBase"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 21 00 48 8B F1 E8 ?? ?? ?? ?? 48 8B 80 F0 00 00 00 48 85 C0 74 59 48 8B 58 30 48 85 DB 74 12 F6 03 10 74 0D 48 8B 40 28 48 8B 00 48 8B 40 F8 EB 40 E8 ?? ?? ?? ?? 48 63 7B 0C 48 83 C0 04 48 03 F8 E8 ?? ?? ?? ?? 48 63 4B 0C 8B 1C 08 EB 14 E8 ?? ?? ?? ?? 48 63 0F F6 04 08 10 75 0C FF CB 48 83 C7 04 85 DB 7F E8 EB 06 C7 06 01 00 00 00 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_273_33_0 {
	meta:
		name = "__InternalCxxFrameHandler"
		size = 548
		refs = "0025 _getptd 00c4 ?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z 00d5 ?_inconsistency@@YAXXZ 00e6 __FrameUnwindToState 011d ?__FrameUnwindToEmptyState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 0142 _GetImageBase 017c _GetThrowImageBase 0204 ?FindHandler@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@EH1@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 56 48 83 EC 40 49 8B E9 4D 8B F0 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 48 8B BC 24 80 00 00 00 83 B8 60 04 00 00 00 BA FF FF FF 1F 41 B8 29 00 00 80 41 B9 26 00 00 80 41 BC 01 00 00 00 75 38 81 3B 63 73 6D E0 74 30 44 39 03 75 10 83 7B 18 0F 75 0A 48 81 7B 60 20 05 93 19 74 1B 44 39 0B 74 16 8B 0F 23 CA 81 F9 22 05 93 19 72 0A 44 84 67 24 0F 85 7F 01 00 00 8B 43 04 A8 66 0F 84 92 00 00 00 83 7F 04 00 0F 84 6A 01 00 00 83 BC 24 88 00 00 00 00 0F 85 5C 01 00 00 83 E0 20 74 3E 44 39 0B 75 39 4D 8B 86 F8 00 00 00 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 8B D8 83 F8 FF 7C 05 3B 47 04 7C 05 E8 ?? ?? ?? ?? 44 8B CB 48 8B CE 48 8B D5 4C 8B C7 E8 ?? ?? ?? ?? E9 19 01 00 00 85 C0 74 20 44 39 03 75 1B 8B 73 38 83 FE FF 7C 05 3B 77 04 7C 05 E8 ?? ?? ?? ?? 48 8B 4B 28 44 8B CE EB CC 4C 8B C7 48 8B D5 48 8B CE E8 ?? ?? ?? ?? E9 E2 00 00 00 83 7F 0C 00 75 2E 8B 07 23 C2 3D 21 05 93 19 0F 82 CD 00 00 00 83 7F 20 00 74 0E E8 ?? ?? ?? ?? 48 63 4F 20 48 03 C1 EB 02 33 C0 48 85 C0 0F 84 AE 00 00 00 81 3B 63 73 6D E0 75 6D 83 7B 18 03 72 67 81 7B 20 22 05 93 19 76 5E 48 8B 43 30 83 78 08 00 74 12 E8 ?? ?? ?? ?? 48 8B 4B 30 4C 63 51 08 4C 03 D0 EB 03 45 33 D2 4D 85 D2 74 3A 0F B6 84 24 98 00 00 00 4C 8B CD 4D 8B C6 89 44 24 38 48 8B 84 24 90 00 00 00 48 8B D6 48 89 44 24 30 8B 84 24 88 00 00 00 48 8B CB 89 44 24 28 48 89 7C 24 20 41 FF D2 EB 3C 48 8B 84 24 90 00 00 00 4C 8B CD 4D 8B C6 48 89 44 24 38 8B 84 24 88 00 00 00 48 8B D6 89 44 24 30 8A 84 24 98 00 00 00 48 8B CB 88 44 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 41 8B C4 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 40 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_273_34_0 {
	meta:
		name = "__TypeMatch"
		size = 301
		refs = "002f _GetImageBase 008c _GetThrowImageBase 00cd strcmp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B 71 04 33 DB 4D 8B F0 48 8B EA 48 8B F9 85 F6 74 0E 48 63 F6 E8 ?? ?? ?? ?? 48 8D 0C 06 EB 03 48 8B CB 48 85 C9 0F 84 C8 00 00 00 85 F6 74 0F 48 63 77 04 E8 ?? ?? ?? ?? 48 8D 0C 06 EB 03 48 8B CB 38 59 10 0F 84 A9 00 00 00 F6 07 80 74 0A F6 45 00 10 0F 85 9A 00 00 00 85 F6 74 11 E8 ?? ?? ?? ?? 48 8B F0 48 63 47 04 48 03 F0 EB 03 48 8B F3 E8 ?? ?? ?? ?? 48 8B C8 48 63 45 04 48 03 C8 48 3B F1 74 3A 39 5F 04 74 11 E8 ?? ?? ?? ?? 48 8B F0 48 63 47 04 48 03 F0 EB 03 48 8B F3 E8 ?? ?? ?? ?? 48 63 55 04 48 8D 4E 10 48 83 C2 10 48 03 D0 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 39 B0 02 84 45 00 74 05 F6 07 08 74 24 41 F6 06 01 74 05 F6 07 01 74 19 41 F6 06 04 74 05 F6 07 04 74 0E 41 84 06 74 04 84 07 74 05 BB 01 00 00 00 8B C3 EB 05 B8 01 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_274_4_0 {
	meta:
		name = "_mbctolower_l"
		size = 192
		refs = "0015 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0075 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 70 48 63 D9 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 76 6B 48 8B 55 E8 8B C3 88 5D 11 C1 E8 08 88 45 10 0F B6 C0 F6 44 10 19 04 74 65 8B 42 04 48 8B 92 20 02 00 00 C7 44 24 40 01 00 00 00 89 44 24 38 B9 02 00 00 00 48 8D 45 20 89 4C 24 30 48 89 44 24 28 89 4C 24 20 48 8D 4D E0 4C 8D 4D 10 41 B8 00 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 22 0F B6 5D 20 0F B6 45 21 C1 E3 08 03 D8 EB 13 48 8B 4D E8 F6 44 0B 19 10 74 08 0F B6 9C 0B 19 01 00 00 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_275_0_0 {
	meta:
		name = "__avx_atan24"
		size = 768
		refs = "0063 __common_datan2_data 02f4 __common_datan2_cout_rare"
	strings:
		$1 = { 48 81 EC 58 02 00 00 C5 7C 11 AC 24 70 01 00 00 C5 7C 11 A4 24 D0 01 00 00 C5 7C 11 9C 24 B0 01 00 00 C5 7C 11 94 24 10 02 00 00 C5 7C 11 8C 24 F0 01 00 00 C5 7C 11 84 24 90 01 00 00 C5 FC 11 BC 24 50 01 00 00 C5 FC 11 B4 24 30 02 00 00 4C 89 AC 24 50 02 00 00 4C 8D AC 24 AF 00 00 00 C5 FD 10 25 ?? ?? ?? ?? 49 83 E5 C0 C5 7D 10 15 ?? ?? ?? ?? C5 F5 54 D4 C5 FD 54 EC C5 D5 C2 DA 15 C4 41 6D 56 EA C4 C3 55 4B E5 30 C4 63 6D 4B C5 30 C4 41 5D 5E E8 C5 F8 10 25 ?? ?? ?? ?? C5 65 54 25 ?? ?? ?? ?? C4 41 75 54 DA C4 41 7D 54 CA C5 78 10 15 ?? ?? ?? ?? C4 E3 7D 19 D6 01 C4 E3 7D 19 EF 01 C5 E8 C6 DE DD C5 D0 C6 EF DD C5 61 FA C4 C5 D1 FA FC C4 C1 39 66 D2 C5 F5 C2 25 ?? ?? ?? ?? 12 C4 C1 39 76 F2 C4 C1 41 66 EA C4 41 41 76 D2 C5 E9 EB DE C4 41 51 EB D2 C4 C1 61 EB EA C5 5D 54 15 ?? ?? ?? ?? C4 C1 15 59 E5 C5 F8 50 D5 C5 DD 59 EC C5 D5 59 DD C5 65 59 05 ?? ?? ?? ?? C5 E5 59 3D ?? ?? ?? ?? C5 E5 59 15 ?? ?? ?? ?? C5 BD 58 35 ?? ?? ?? ?? C5 45 58 05 ?? ?? ?? ?? C5 ED 58 15 ?? ?? ?? ?? C5 CD 59 F3 C5 E5 59 3D ?? ?? ?? ?? C5 ED 59 D3 C5 3D 59 C3 C5 CD 58 35 ?? ?? ?? ?? C5 C5 58 3D ?? ?? ?? ?? C5 ED 58 15 ?? ?? ?? ?? C5 3D 58 05 ?? ?? ?? ?? C5 CD 59 F3 C5 C5 59 FB C5 ED 59 D3 C5 3D 59 C3 C5 CD 58 35 ?? ?? ?? ?? C5 C5 58 3D ?? ?? ?? ?? C5 ED 58 15 ?? ?? ?? ?? C5 3D 58 05 ?? ?? ?? ?? C5 CD 59 F3 C5 C5 59 FB C5 ED 59 D3 C5 3D 59 C3 C5 CD 58 35 ?? ?? ?? ?? C5 C5 58 3D ?? ?? ?? ?? C5 ED 58 15 ?? ?? ?? ?? C5 3D 58 05 ?? ?? ?? ?? C5 CD 59 F4 C5 C5 59 DB C5 BD 59 E4 C5 CD 58 FA C5 E5 58 1D ?? ?? ?? ?? C5 C5 59 ED C5 DD 58 D3 C5 D5 58 DA C4 41 65 59 ED C4 41 15 58 E4 C4 41 1D 56 DB C4 C1 25 58 D2 C4 C1 6D 56 D1 85 D2 75 5C C5 FC 10 B4 24 30 02 00 00 C5 FC 10 BC 24 50 01 00 00 C5 7C 10 84 24 90 01 00 00 C5 7C 10 8C 24 F0 01 00 00 C5 7C 10 94 24 10 02 00 00 C5 7C 10 9C 24 B0 01 00 00 C5 7C 10 A4 24 D0 01 00 00 C5 7C 10 AC 24 70 01 00 00 4C 8B AC 24 50 02 00 00 C5 FD 28 C2 48 81 C4 58 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 C4 C1 7D 11 95 80 00 00 00 74 8D 33 C0 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 5C 24 68 8B D8 48 89 74 24 60 8B F2 0F A3 DE 72 2B FF C3 83 FB 20 7C F4 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 95 80 00 00 00 48 8B 5C 24 68 48 8B 74 24 60 E9 41 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 4D 8D 84 DD 80 00 00 00 E8 ?? ?? ?? ?? EB B9 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_276_0_0 {
	meta:
		name = "_fprintf_l"
		size = 29
		refs = "0014 _vfprintf_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_297_0_0 {
	meta:
		name = "__swprintf_l"
		size = 29
		refs = "0014 __vswprintf_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_276_2_0 {
	meta:
		name = "_fprintf_p_l"
		size = 29
		refs = "0014 _vfprintf_p_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_276_3_0 {
	meta:
		name = "_fprintf_s_l"
		size = 29
		refs = "0014 _vfprintf_s_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1293_0_0 {
	meta:
		name = "_fwprintf_l"
		size = 29
		refs = "0014 _vfwprintf_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1293_2_0 {
	meta:
		name = "_fwprintf_p_l"
		size = 29
		refs = "0014 _vfwprintf_p_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1293_3_0 {
	meta:
		name = "_fwprintf_s_l"
		size = 29
		refs = "0014 _vfwprintf_s_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_722_6_0 {
	meta:
		name = "_sprintf_l"
		size = 29
		refs = "0014 _vsprintf_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_276_1_0 {
	meta:
		name = "_fprintf_p"
		size = 36
		refs = "001b _vfprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 48 18 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1293_1_0 {
	meta:
		name = "_fwprintf_p"
		size = 36
		refs = "001b _vfwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 48 18 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_276_6_0 {
	meta:
		name = "fprintf_s"
		size = 36
		refs = "001b _vfprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 48 18 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1293_6_0 {
	meta:
		name = "fwprintf_s"
		size = 36
		refs = "001b _vfwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 48 18 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_276_4_0 {
	meta:
		name = "fprintf"
		size = 296
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0057 _lock_file 006a _fileno 0078 __pioinfo 0099 __badioinfo 00ee _stbuf 0103 _output_l 010f _ftbuf 0118 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 4C 89 40 18 4C 89 48 20 53 56 57 41 56 48 83 EC 28 48 8B F1 33 FF 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D9 00 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DC 4C 8D 74 24 60 E8 ?? ?? ?? ?? 90 F6 46 18 40 0F 85 80 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 85 FF 75 2A 48 8B CE E8 ?? ?? ?? ?? 8B D8 4D 8B CE 45 33 C0 48 8B 54 24 58 48 8B CE E8 ?? ?? ?? ?? 8B F8 48 8B D6 8B CB E8 ?? ?? ?? ?? 90 48 8B CE E8 ?? ?? ?? ?? 8B C7 48 83 C4 28 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_276_5_0 {
	meta:
		name = "fprintf$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "_wfsopen$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 50 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_277_0_0 {
	meta:
		name = "strncat"
		size = 405
	strings:
		$1 = { 4C 8B D9 4D 0B C0 0F 84 AF 00 00 00 F6 C1 07 74 0F 8A 01 84 C0 74 7F 48 FF C1 F6 C1 07 75 F2 90 48 8B 01 4C 8B D0 49 B9 FF FE FE FE FE FE FE 7E 4D 03 CA 49 83 F2 FF 4D 33 D1 48 83 C1 08 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 D3 48 83 E9 08 84 C0 74 41 48 FF C1 84 E4 74 3A 48 FF C1 48 C1 E8 10 84 C0 74 2F 48 FF C1 84 E4 74 28 48 FF C1 48 C1 E8 10 84 C0 74 1D 48 FF C1 84 E4 74 16 48 FF C1 C1 E8 10 84 C0 74 0C 48 FF C1 84 E4 74 05 48 FF C1 EB 8A 48 2B CA F6 C2 07 74 2A 8A 02 88 04 11 84 C0 74 14 48 FF C2 49 FF C8 74 07 F6 C2 07 75 EA EB 12 32 C0 88 04 11 49 8B C3 C3 90 48 89 04 11 48 83 C2 08 48 8B 02 49 83 E8 08 72 26 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 C9 49 83 C0 08 0F 84 8B 00 00 00 84 C0 88 04 11 0F 84 85 00 00 00 48 FF C2 49 FF C8 74 78 84 E4 88 24 11 74 76 48 FF C2 49 FF C8 74 69 48 C1 E8 10 84 C0 88 04 11 74 63 48 FF C2 49 FF C8 74 56 84 E4 88 24 11 74 54 48 FF C2 49 FF C8 74 47 48 C1 E8 10 84 C0 88 04 11 74 41 48 FF C2 49 FF C8 74 34 84 E4 88 24 11 74 32 48 FF C2 49 FF C8 74 25 C1 E8 10 84 C0 88 04 11 74 20 48 FF C2 49 FF C8 74 13 84 E4 88 24 11 74 11 48 FF C2 49 FF C8 0F 85 3C FF FF FF 32 C0 88 04 11 49 8B C3 C3 }
	condition:
		$1
}

rule file_280_0_0 {
	meta:
		name = "_wfltin2"
		size = 198
		refs = "0011 __security_cookie 0044 __wstrgtold12_l 006a _ld12tod 00b2 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 20 55 56 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 4D 89 43 B0 33 DB 48 8B EA 21 5C 24 30 21 5C 24 28 21 5C 24 20 4C 8B C2 48 8B F9 49 8D 53 C0 49 8D 4B C8 45 33 C9 E8 ?? ?? ?? ?? 8B F0 A8 04 74 11 83 64 24 40 00 83 64 24 44 00 BB 00 02 00 00 EB 2E 48 8D 54 24 40 48 8D 4C 24 50 E8 ?? ?? ?? ?? 40 F6 C6 02 75 05 83 F8 01 75 05 BB 80 00 00 00 40 F6 C6 01 75 05 83 F8 02 75 04 0F BA EB 08 48 8B 4C 24 48 89 1F 48 8B C7 48 2B CD 48 D1 F9 89 4F 04 48 8B 4C 24 40 48 89 4F 10 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A8 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_282_0_0 {
	meta:
		name = "_aligned_free"
		size = 27
		refs = "0012 free"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0D 48 83 E1 F8 48 8B 49 F8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_282_1_0 {
	meta:
		name = "_aligned_malloc"
		size = 116
		refs = "0010 _errno 001b _invalid_parameter_noinfo 004f malloc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 42 FF 48 85 C2 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 4B BB 08 00 00 00 48 8D 41 08 48 3B D3 48 0F 47 DA 48 FF CB 48 03 C3 48 3B C8 76 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB D4 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 33 C0 48 85 C9 74 11 48 8D 43 08 48 F7 D3 48 03 C1 48 23 C3 48 89 48 F8 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_282_2_0 {
	meta:
		name = "_aligned_msize"
		size = 101
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0034 _msize"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B D8 48 8B FA 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 2F 48 83 E1 F8 48 8B 49 F8 E8 ?? ?? ?? ?? B9 08 00 00 00 48 C7 C2 F9 FF FF FF 48 3B F9 48 0F 47 CF 48 F7 DB 83 E3 07 48 2B D1 48 2B D3 48 03 C2 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_282_3_0 {
	meta:
		name = "_aligned_offset_malloc"
		size = 179
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0078 malloc"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8D 42 FF 49 8B D8 48 85 C2 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 68 48 85 DB 74 05 48 3B D9 73 E2 BF 08 00 00 00 48 8B F3 48 3B D7 48 0F 47 FA 48 F7 DE 48 FF CF 83 E6 07 4C 8D 77 08 4C 03 F6 49 8D 04 0E 48 3B C8 76 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB BD 48 8B C8 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 AD 49 03 C6 48 F7 D7 48 03 C3 48 23 C7 48 2B C3 48 8B C8 48 2B CE 48 89 51 F8 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_282_4_0 {
	meta:
		name = "_aligned_offset_realloc"
		size = 458
		refs = "003a _aligned_offset_malloc 0051 free 0066 _errno 0071 _invalid_parameter_noinfo 00b4 _msize 0104 malloc 012e _expand 018f memmove"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 E4 49 8B F1 48 8B FA 4D 8B C8 48 8B D9 48 85 C9 75 13 4C 8B C6 49 8B D1 48 8B CF E8 ?? ?? ?? ?? E9 6A 01 00 00 48 85 D2 75 14 48 83 E3 F8 48 8B 4B F8 E8 ?? ?? ?? ?? 33 C0 E9 51 01 00 00 49 8D 40 FF 49 85 C0 74 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB DE 48 85 F6 74 05 48 3B F2 73 E4 48 8B C1 BD 08 00 00 00 4C 8B FE 48 83 E0 F8 4C 3B C5 4C 8B 70 F8 49 0F 47 E8 48 8B C1 49 2B C6 49 F7 DF 49 8B CE 48 89 44 24 20 48 FF CD 41 83 E7 07 E8 ?? ?? ?? ?? 4C 8D 6D 08 48 8B C8 49 8B C6 48 2B C3 48 03 C8 49 8D 04 3F 48 3B CF 48 0F 47 CF 4C 03 E8 48 89 4C 24 28 49 3B FD 76 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 65 FF FF FF 4B 8D 04 37 48 8D 55 08 48 03 D0 48 3B D3 73 1C 49 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 41 FF FF FF 41 BC 01 00 00 00 EB 2E E8 ?? ?? ?? ?? 49 8B D5 49 8B CE 8B 00 89 44 24 60 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0D E8 ?? ?? ?? ?? 8B 4C 24 60 89 08 EB B9 4C 8B F0 48 8B 54 24 20 48 8B C3 48 2B C2 48 3B F8 75 12 49 8D 0C 1F 48 8B C5 48 03 CE 48 F7 D0 48 85 C8 74 3E 4C 8B 44 24 28 4A 8D 04 3F 48 8D 5E 08 48 03 C5 48 F7 D5 49 03 D6 48 03 D8 48 23 DD 48 2B DE 48 8B CB E8 ?? ?? ?? ?? 45 85 E4 74 08 49 8B CE E8 ?? ?? ?? ?? 48 8B CB 49 2B CF 48 89 79 F8 48 8B C3 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_282_5_0 {
	meta:
		name = "_aligned_offset_recalloc"
		size = 163
		refs = "0033 _errno 0053 _aligned_msize 0069 _aligned_offset_realloc 0087 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B E9 48 8B DA 48 8B F1 48 85 D2 74 1D 33 D2 48 8D 47 E0 48 F7 F3 49 3B C0 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 4D 49 0F AF D8 48 85 C9 74 10 4C 8B 44 24 50 49 8B D1 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 4C 24 50 4C 8B C5 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 16 48 3B FB 73 11 48 2B DF 48 8D 0C 38 33 D2 4C 8B C3 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_284_0_0 {
	meta:
		name = "_concrt_static_cleanup"
		size = 24
		refs = "0007 ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 000f ?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_284_5_0 {
	meta:
		name = "??$ConcRT_FillBuffer@$0EAB@@details@Concurrency@@YAXAEAY0EAB@_WPEB_WPEAD@Z"
		size = 277
		refs = "002b ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0041 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 004c __imp_GetCurrentThreadId 0056 ?ScheduleGroupRefCount@ContextBase@details@Concurrency@@QEBAIXZ 0085 ??_C@_1CG@CBCHDCDB@?$AA?$FL?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?$CI?$AA?$CF?$AAd?$AA?$CJ?$AA?$FN?$AA?5?$AA?$AA@ 009b swprintf_s 00be vswprintf_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 FF 4D 8B E8 4C 8B F1 8B DF E8 ?? ?? ?? ?? 41 BC 01 04 00 00 4C 8B F8 48 85 C0 74 6B 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 74 5E FF 15 ?? ?? ?? ?? 49 8B CF 8B E8 E8 ?? ?? ?? ?? 49 8B CF 8B F0 49 8B 07 FF 50 10 49 8B CF 8B F8 49 8B 07 FF 10 49 8B CF 8B D8 49 8B 07 FF 50 08 89 6C 24 38 89 74 24 30 4C 8D 05 ?? ?? ?? ?? 41 8B D4 49 8B CE 44 8B C8 89 7C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 33 FF 8B D8 85 C0 0F 48 DF 4C 8B 44 24 78 48 63 C3 4D 8B CD 4C 2B E0 49 8D 0C 46 49 8B D4 E8 ?? ?? ?? ?? 48 83 C8 FF 48 FF C0 66 41 39 3C 46 75 F6 85 C0 7E 23 48 98 B9 0A 00 00 00 66 41 39 4C 46 FE 74 14 48 3D 00 04 00 00 73 06 41 89 0C 46 EB 06 66 41 89 4C 46 FE 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_284_12_0 {
	meta:
		name = "??0_SpinLock@details@Concurrency@@QEAA@AECJ@Z"
		size = 81
		refs = "0025 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0034 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 89 11 BF 01 00 00 00 33 C0 F0 0F B1 3A 74 26 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 0B 33 C0 F0 0F B1 39 75 EB 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_284_30_0 {
	meta:
		name = "??__Eg_DebugOutFilePtr@details@Concurrency@@YAXXZ"
		size = 25
		refs = "0005 __iob_func 0010 g_DebugOutFilePtr"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C0 60 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_284_32_0 {
	meta:
		name = "?DeleteAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_TIMER@@@Z"
		size = 72
		refs = "0012 __crtSetThreadpoolTimer 001f __crtWaitForThreadpoolTimerCallbacks 0027 __crtCloseThreadpoolTimer 002c ?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ 0033 ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 003e __imp_FreeLibrary"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 45 33 C0 33 D2 48 8B D9 E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_284_34_0 {
	meta:
		name = "?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
		size = 49
		refs = "0009 ?LoadLibraryCount@details@Concurrency@@3JC 0012 ?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ 0019 ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 0026 __imp_FreeLibraryAndExitThread"
	strings:
		$1 = { 40 53 48 83 EC 20 F0 FF 0D ?? ?? ?? ?? 8B D9 75 1A E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 09 8B D3 FF 15 ?? ?? ?? ?? CC 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_284_35_0 {
	meta:
		name = "?InitializeCookie@Security@details@Concurrency@@SA_KXZ"
		size = 113
		refs = "0009 ?s_cookie@Security@details@Concurrency@@2_KA 000f ?s_initialized@Security@details@Concurrency@@2JC 0019 __imp_EncodePointer 0023 __security_cookie 0029 __imp_GetCurrentThread 004b __imp_GetThreadTimes"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 33 1D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8D 4C 24 40 48 8B C8 48 8D 44 24 40 4C 8D 44 24 40 48 8D 54 24 48 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 15 8B 4C 24 48 8B 44 24 4C 89 4C 24 40 89 44 24 44 48 33 5C 24 40 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_284_37_0 {
	meta:
		name = "?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z"
		size = 78
		refs = "0019 ?__CreateThread@platform@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 002e ?LoadLibraryCount@details@Concurrency@@3JC 003a ?ReferenceLoadLibrary@details@Concurrency@@YAXXZ 0041 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 44 24 68 48 89 44 24 28 8B 44 24 60 89 44 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 20 B9 01 00 00 00 F0 0F C1 0D ?? ?? ?? ?? FF C1 83 F9 01 75 0C E8 ?? ?? ?? ?? F0 FF 05 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_284_39_0 {
	meta:
		name = "?ReferenceLoadLibrary@details@Concurrency@@YAXXZ"
		size = 168
		refs = "000a __security_cookie 001d __imp_GetModuleHandleA 0024 __ImageBase 003a __imp_GetModuleFileNameW 0055 __imp_LoadLibraryExW 005c ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 006c __security_check_cookie 007a __imp_GetLastError 0092 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0099 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00a3 _CxxThrowException"
	strings:
		$1 = { 48 81 EC 68 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 33 C9 FF 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 3B C8 74 33 48 8D 54 24 40 41 B8 04 01 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 36 3D 04 01 00 00 74 2F 48 8D 4C 24 40 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 68 02 00 00 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_284_40_0 {
	meta:
		name = "?ReferenceStaticOneShot@SchedulerBase@details@Concurrency@@SAJXZ"
		size = 16
		refs = "0009 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_326_128_0 {
	meta:
		name = "?GetExecutionContextId@Concurrency@@YAIXZ"
		size = 16
		refs = "0009 ?s_executionContextIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_326_129_0 {
	meta:
		name = "?GetExecutionContextId@ResourceManager@details@Concurrency@@SAIXZ"
		size = 16
		refs = "0009 ?s_executionContextIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_1369_265_0 {
	meta:
		name = "?GetNewWorkQueueId@SchedulerBase@details@Concurrency@@SAIXZ"
		size = 16
		refs = "0009 ?s_workQueueIdCounter@SchedulerBase@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_20_74_1 {
	meta:
		name = "?GetNextAsyncId@platform@details@Concurrency@@YAIXZ"
		size = 16
		refs = "0009 s_asyncId"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_326_158_0 {
	meta:
		name = "?GetSchedulerId@Concurrency@@YAIXZ"
		size = 16
		refs = "0009 ?s_schedulerIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_326_159_0 {
	meta:
		name = "?GetSchedulerId@ResourceManager@details@Concurrency@@SAIXZ"
		size = 16
		refs = "0009 ?s_schedulerIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_688_51_0 {
	meta:
		name = "?GetThreadProxyId@ResourceManager@details@Concurrency@@SAIXZ"
		size = 16
		refs = "0009 ?s_threadProxyIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_284_41_0 {
	meta:
		name = "?RegisterAsyncTimerAndLoadLibrary@details@Concurrency@@YAPEAU_TP_TIMER@@KP6AXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU3@@Z1_N@Z"
		size = 116
		refs = "0024 __crtCreateThreadpoolTimer 0031 ?ReferenceLoadLibrary@details@Concurrency@@YAXXZ 0038 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 005d __crtSetThreadpoolTimer"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 49 8B C0 4C 8B D2 8B F1 45 33 C0 48 8B D0 49 8B CA 41 8A F9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 34 E8 ?? ?? ?? ?? F0 FF 05 ?? ?? ?? ?? 48 69 CE F0 D8 FF FF 40 F6 DF 48 8D 54 24 20 45 1B C0 48 89 4C 24 20 48 8B CB 44 23 C6 45 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_284_42_0 {
	meta:
		name = "?RegisterAsyncWaitAndLoadLibrary@details@Concurrency@@YAPEAU_TP_WAIT@@PEAXP6AXPEAU_TP_CALLBACK_INSTANCE@@0PEAU3@K@Z0@Z"
		size = 81
		refs = "001d __crtCreateThreadpoolWait 002a ?ReferenceLoadLibrary@details@Concurrency@@YAXXZ 0031 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 003f __crtSetThreadpoolWait"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C0 4C 8B CA 48 8B F9 48 8B D0 49 8B C9 45 33 C0 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1D E8 ?? ?? ?? ?? F0 FF 05 ?? ?? ?? ?? 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_284_43_0 {
	meta:
		name = "?UnRegisterAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_CALLBACK_INSTANCE@@PEAU_TP_TIMER@@@Z"
		size = 76
		refs = "001c __crtSetThreadpoolTimer 0024 __crtCloseThreadpoolTimer 0029 ?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ 0030 ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 003d __crtFreeLibraryWhenCallbackReturns"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 45 33 C9 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_284_44_0 {
	meta:
		name = "?UnRegisterAsyncWaitAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_CALLBACK_INSTANCE@@PEAU_TP_WAIT@@@Z"
		size = 73
		refs = "0019 __crtSetThreadpoolWait 0021 __crtCloseThreadpoolWait 0026 ?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ 002d ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 003a __crtFreeLibraryWhenCallbackReturns"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 45 33 C0 48 8B CB 33 D2 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_284_45_0 {
	meta:
		name = "?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 69
		refs = "000a ?StaticEnterCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0021 ?_Sleep0@details@Concurrency@@YAXXZ 0030 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? B8 01 00 00 00 87 03 85 C0 74 26 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 87 03 85 C0 75 EB 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_284_46_0 {
	meta:
		name = "?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 69
		refs = "000a ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0021 ?_Sleep0@details@Concurrency@@YAXXZ 0030 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? B8 01 00 00 00 87 03 85 C0 74 26 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 87 03 85 C0 75 EB 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_284_47_0 {
	meta:
		name = "?_Acquire@_NonReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 64
		refs = "001c ?_Sleep0@details@Concurrency@@YAXXZ 002b ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 B8 01 00 00 00 48 8B D9 87 01 85 C0 74 26 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 87 03 85 C0 75 EB 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_284_52_0 {
	meta:
		name = "?_ConcRT_Trace@details@Concurrency@@YAXHPEB_WZZ"
		size = 189
		refs = "001a __security_cookie 002b g_DesiredTraceLevel 003b ??$ConcRT_FillBuffer@$0EAB@@details@Concurrency@@YAXAEAY0EAB@_WPEB_WPEAD@Z 0042 g_DebugOutFilePtr 005b fwprintf 0062 g_CommitFrequency 006d g_TraceCount 0093 fflush 00a0 __imp_OutputDebugStringW 00b0 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 53 48 81 EC 40 08 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 08 00 00 85 0D ?? ?? ?? ?? 74 73 4D 8D 43 18 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 33 DB 66 89 9C 24 20 08 00 00 48 85 C9 74 44 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 63 05 ?? ?? ?? ?? 85 C0 7E 3A 4C 8B 05 ?? ?? ?? ?? 48 8B C8 33 D2 49 8B C0 49 FF C0 48 F7 F1 4C 89 05 ?? ?? ?? ?? 48 85 D2 75 19 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 48 8B 8C 24 30 08 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 08 00 00 5B C3 }
	condition:
		$1
}

rule file_284_67_0 {
	meta:
		name = "?_TryAcquire@_CriticalNonReentrantLock@details@Concurrency@@QEAA_NXZ"
		size = 55
		refs = "000e ?StaticEnterCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0026 ?StaticExitCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 8B 07 85 C0 75 0B 8D 58 01 8B C3 87 07 85 C0 74 07 32 DB E8 ?? ?? ?? ?? 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_284_68_0 {
	meta:
		name = "?_TryAcquire@_HyperNonReentrantLock@details@Concurrency@@QEAA_NXZ"
		size = 55
		refs = "000e ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0026 ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 8B 07 85 C0 75 0B 8D 58 01 8B C3 87 07 85 C0 74 07 32 DB E8 ?? ?? ?? ?? 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_284_69_0 {
	meta:
		name = "?_TryAcquire@_NonReentrantLock@details@Concurrency@@QEAA_NXZ"
		size = 22
	strings:
		$1 = { 8B 01 85 C0 75 0B 8D 50 01 8B C2 87 01 85 C0 74 02 33 D2 8A C2 C3 }
	condition:
		$1
}

rule file_284_70_0 {
	meta:
		name = "?_UnderlyingYield@details@Concurrency@@YAXXZ"
		size = 37
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0021 ?__SwitchToThread@platform@details@Concurrency@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 40 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_286_0_0 {
	meta:
		name = "_filelengthi64"
		size = 274
		refs = "001a __doserrno 0022 _errno 003b _nhandle 0052 __pioinfo 006e __lock_fhandle 0087 _lseeki64_nolock 00df _unlock_fhandle 00fc _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 56 48 83 EC 30 48 63 F9 83 FF FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 CF 00 00 00 85 C9 0F 88 AF 00 00 00 3B 3D ?? ?? ?? ?? 0F 83 A3 00 00 00 48 8B C7 48 8B DF 48 C1 FB 05 4C 8D 35 ?? ?? ?? ?? 83 E0 1F 48 6B F0 58 49 8B 04 DE 0F BE 4C 30 08 83 E1 01 74 7D 8B CF E8 ?? ?? ?? ?? 90 49 8B 04 DE F6 44 30 08 01 74 42 33 D2 44 8D 42 01 8B CF E8 ?? ?? ?? ?? 48 8B F0 48 83 CB FF 48 3B C3 74 40 33 D2 44 8D 43 03 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 20 48 3B F0 74 2B 45 33 C0 48 8B D6 8B CF E8 ?? ?? ?? ?? EB 1C E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 48 83 CB FF 48 89 5C 24 20 8B CF E8 ?? ?? ?? ?? 48 8B C3 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_287_3_0 {
	meta:
		name = "__iswcsym"
		size = 44
		refs = "000f iswctype"
		altNames = "_iswcsym_l"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 07 01 00 00 0F B7 D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 06 66 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_287_4_0 {
	meta:
		name = "__iswcsymf"
		size = 44
		refs = "000f iswctype"
		altNames = "_iswcsymf_l"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 03 01 00 00 0F B7 D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 06 66 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_287_5_0 {
	meta:
		name = "_isleadbyte_l"
		size = 67
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 0F B6 D3 48 8B 88 08 01 00 00 0F B7 04 51 25 00 80 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_287_8_0 {
	meta:
		name = "_iswblank_l"
		size = 22
		refs = "0012 iswctype"
		altNames = "iswblank"
	strings:
		$1 = { 66 83 F9 09 75 06 B8 40 00 00 00 C3 BA 40 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_287_20_0 {
	meta:
		name = "isleadbyte"
		size = 69
		refs = "0010 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 0F B6 D3 48 8B 88 08 01 00 00 0F B7 04 51 25 00 80 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_288_0_0 {
	meta:
		name = "strcspn"
		size = 160
		refs = "0007 __security_cookie 0091 __security_check_cookie 009b __report_rangecheckfailure"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 45 33 C9 4C 8B D2 4C 8B D9 41 8B C1 48 83 F8 20 73 75 44 88 4C 04 20 48 FF C0 48 83 F8 20 7C F0 8A 02 EB 1D 44 0F B6 C0 0F B6 C0 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 54 04 20 49 FF C2 41 8A 02 BA 01 00 00 00 84 C0 75 DA 08 54 24 20 EB 0B 41 FF C1 BA 01 00 00 00 49 FF C3 45 0F B6 03 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 74 DE 49 63 C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_289_0_0 {
	meta:
		name = "_wsplitpath_s"
		size = 688
		refs = "00e9 wcsncpy_s 0274 _errno 0280 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B B4 24 98 00 00 00 4C 8B BC 24 88 00 00 00 48 8B F9 33 C9 4D 8B E9 49 8B F0 44 8B C9 89 4C 24 60 4C 8B E2 48 85 FF 74 0A 48 85 D2 75 10 4D 85 C0 74 10 41 B9 01 00 00 00 E9 CD 01 00 00 4D 85 C0 74 F0 4D 85 ED 75 0C 48 39 8C 24 80 00 00 00 75 E1 EB 0A 48 39 8C 24 80 00 00 00 74 D5 4D 85 FF 75 0C 48 39 8C 24 90 00 00 00 75 C6 EB 0A 48 39 8C 24 90 00 00 00 74 BA 4D 85 F6 75 0C 48 39 8C 24 A0 00 00 00 75 AB EB 0A 48 39 8C 24 A0 00 00 00 74 9F B8 01 00 00 00 48 8B DF 66 39 0B 74 09 48 83 C3 02 48 FF C8 75 F2 66 83 3B 3A 75 2B 48 85 D2 74 20 49 83 F8 03 0F 82 4C 01 00 00 41 B9 02 00 00 00 4C 8B C7 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 33 C9 48 8D 7B 02 EB 08 48 85 D2 74 03 66 89 0A 0F B7 07 48 8B E9 48 8B F1 48 8B DF 66 85 C0 74 62 66 83 F8 2F 74 11 66 83 F8 5C 74 0B 66 83 F8 2E 75 09 48 8B F3 EB 04 48 8D 6B 02 48 83 C3 02 0F B7 03 66 85 C0 75 D9 48 85 ED 74 36 4D 85 ED 74 2C 4C 8B CD 4C 2B CF 49 D1 F9 4C 39 8C 24 80 00 00 00 0F 86 C5 00 00 00 48 8B 94 24 80 00 00 00 4C 8B C7 49 8B CD E8 ?? ?? ?? ?? 33 C9 48 8B FD EB 0A 4D 85 ED 74 05 66 41 89 4D 00 48 85 F6 74 5F 48 3B F7 72 5A 4D 85 FF 74 28 4C 8B CE 4C 2B CF 49 D1 F9 4C 39 8C 24 90 00 00 00 76 7F 48 8B 94 24 90 00 00 00 4C 8B C7 49 8B CF E8 ?? ?? ?? ?? 33 C9 4D 85 F6 74 5E 48 2B DE 48 D1 FB 48 39 9C 24 A0 00 00 00 76 55 48 8B 94 24 A0 00 00 00 4C 8B CB 4C 8B C6 49 8B CE E8 ?? ?? ?? ?? EB 36 4D 85 FF 74 28 48 2B DF 48 D1 FB 48 39 9C 24 90 00 00 00 76 28 48 8B 94 24 90 00 00 00 4C 8B CB 4C 8B C7 49 8B CF E8 ?? ?? ?? ?? 33 C9 4D 85 F6 74 04 66 41 89 0E 33 C0 E9 80 00 00 00 44 8B 4C 24 60 48 8B 74 24 70 4D 85 E4 74 0A 48 85 F6 74 05 66 41 89 0C 24 4D 85 ED 74 0F 48 39 8C 24 80 00 00 00 76 05 66 41 89 4D 00 4D 85 FF 74 0E 48 39 8C 24 90 00 00 00 76 04 66 41 89 0F 4D 85 F6 74 0E 48 39 8C 24 A0 00 00 00 76 04 66 41 89 0E 48 85 FF 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 13 45 85 C9 75 E6 E8 ?? ?? ?? ?? B9 22 00 00 00 89 08 8B C1 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_291_0_0 {
	meta:
		name = "strncpy"
		size = 354
	strings:
		$1 = { 4C 8B D9 4D 0B C0 74 24 48 2B CA F6 C2 07 74 28 8A 02 84 C0 88 04 11 0F 84 E3 00 00 00 48 FF C2 49 FF C8 74 07 F6 C2 07 75 E6 EB 0C 49 8B C3 C3 48 89 04 11 48 83 C2 08 48 8B 02 49 83 E8 08 76 26 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 C9 49 83 C0 08 0F 84 8B 00 00 00 84 C0 88 04 11 0F 84 84 00 00 00 48 FF C2 49 FF C8 74 78 84 E4 88 24 11 74 75 48 FF C2 49 FF C8 74 69 48 C1 E8 10 84 C0 88 04 11 74 62 48 FF C2 49 FF C8 74 56 84 E4 88 24 11 74 53 48 FF C2 49 FF C8 74 47 48 C1 E8 10 84 C0 88 04 11 74 40 48 FF C2 49 FF C8 74 34 84 E4 88 24 11 74 31 48 FF C2 49 FF C8 74 25 C1 E8 10 84 C0 88 04 11 74 1F 48 FF C2 49 FF C8 74 13 84 E4 88 24 11 74 10 48 FF C2 49 FF C8 0F 85 3C FF FF FF 49 8B C3 C3 48 03 CA 48 33 D2 49 83 F8 10 72 45 F6 C1 07 74 0A 48 FF C1 88 11 49 FF C8 EB F1 49 83 E8 20 72 19 48 89 11 48 89 51 08 48 89 51 10 48 89 51 18 48 83 C1 20 49 83 E8 20 73 E7 49 83 C0 20 49 83 E8 08 72 09 48 89 11 48 83 C1 08 EB F1 49 83 C0 08 49 83 E8 01 72 07 88 11 48 FF C1 EB F3 49 8B C3 C3 }
	condition:
		$1
}

rule file_292_0_0 {
	meta:
		name = "__crtMessageBoxA"
		size = 627
		refs = "0012 __security_cookie 002b __imp_EncodePointer 0035 __crtIsPackagedApp 003c ?pfnMessageBox@?1??__crtMessageBoxA@@9@9 004c ??_C@_1BG@GOEBHBDC@?$AAU?$AAS?$AAE?$AAR?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 005a __imp_LoadLibraryExW 0068 __imp_GetLastError 0096 ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 009f __imp_GetProcAddress 00b8 ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 00d8 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 00e2 ?pfnGetActiveWindow@?1??__crtMessageBoxA@@9@9 00f8 ??_C@_0BK@CIDNPOGP@GetUserObjectInformationA?$AA@ 0102 ?pfnGetLastActivePopup@?1??__crtMessageBoxA@@9@9 0118 ?pfnGetUserObjectInformation@?1??__crtMessageBoxA@@9@9 0124 ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 013d ?pfnGetProcessWindowStation@?1??__crtMessageBoxA@@9@9 0143 __imp_IsDebuggerPresent 0155 __imp_OutputDebugStringA 0176 __imp_DecodePointer 0260 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 4C 8B F9 33 C9 41 8B E8 4C 8B E2 FF 15 ?? ?? ?? ?? 33 FF 48 8B F0 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 44 8B F0 0F 85 F8 00 00 00 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 2D FF 15 ?? ?? ?? ?? 83 F8 57 0F 85 E0 01 00 00 48 8D 0D ?? ?? ?? ?? 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 C2 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 A9 01 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 20 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 1D 4D 85 FF 74 09 49 8B CF FF 15 ?? ?? ?? ?? 45 85 F6 74 26 B8 04 00 00 00 E9 EF 00 00 00 45 85 F6 74 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? B8 03 00 00 00 E9 D3 00 00 00 48 8B 0D ?? ?? ?? ?? 48 3B CE 74 63 48 39 35 ?? ?? ?? ?? 74 5A FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 4C 8B F0 48 85 DB 74 3C 48 85 C0 74 37 FF D3 48 85 C0 74 2A 48 8D 4C 24 30 41 B9 0C 00 00 00 4C 8D 44 24 38 48 89 4C 24 20 41 8D 51 F5 48 8B C8 41 FF D6 85 C0 74 07 F6 44 24 40 01 75 06 0F BA ED 15 EB 40 48 8B 0D ?? ?? ?? ?? 48 3B CE 74 34 FF 15 ?? ?? ?? ?? 48 85 C0 74 29 FF D0 48 8B F8 48 85 C0 74 1F 48 8B 0D ?? ?? ?? ?? 48 3B CE 74 13 FF 15 ?? ?? ?? ?? 48 85 C0 74 08 48 8B CF FF D0 48 8B F8 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 10 44 8B CD 4D 8B C4 49 8B D7 48 8B CF FF D0 EB 02 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_990_0_0 {
	meta:
		name = "__crtMessageBoxW"
		size = 627
		refs = "0012 __security_cookie 002b __imp_EncodePointer 0035 __crtIsPackagedApp 003c ?pfnMessageBox@?1??__crtMessageBoxW@@9@9 004c ??_C@_1BG@GOEBHBDC@?$AAU?$AAS?$AAE?$AAR?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 005a __imp_LoadLibraryExW 0068 __imp_GetLastError 0096 ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@ 009f __imp_GetProcAddress 00b8 ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 00d8 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 00e2 ?pfnGetActiveWindow@?1??__crtMessageBoxW@@9@9 00f8 ??_C@_0BK@DEKFELLI@GetUserObjectInformationW?$AA@ 0102 ?pfnGetLastActivePopup@?1??__crtMessageBoxW@@9@9 0118 ?pfnGetUserObjectInformation@?1??__crtMessageBoxW@@9@9 0124 ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 013d ?pfnGetProcessWindowStation@?1??__crtMessageBoxW@@9@9 0143 __imp_IsDebuggerPresent 0155 __imp_OutputDebugStringW 0176 __imp_DecodePointer 0260 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 4C 8B F9 33 C9 41 8B E8 4C 8B E2 FF 15 ?? ?? ?? ?? 33 FF 48 8B F0 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 44 8B F0 0F 85 F8 00 00 00 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 2D FF 15 ?? ?? ?? ?? 83 F8 57 0F 85 E0 01 00 00 48 8D 0D ?? ?? ?? ?? 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 C2 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 A9 01 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 20 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 1D 4D 85 FF 74 09 49 8B CF FF 15 ?? ?? ?? ?? 45 85 F6 74 26 B8 04 00 00 00 E9 EF 00 00 00 45 85 F6 74 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? B8 03 00 00 00 E9 D3 00 00 00 48 8B 0D ?? ?? ?? ?? 48 3B CE 74 63 48 39 35 ?? ?? ?? ?? 74 5A FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 4C 8B F0 48 85 DB 74 3C 48 85 C0 74 37 FF D3 48 85 C0 74 2A 48 8D 4C 24 30 41 B9 0C 00 00 00 4C 8D 44 24 38 48 89 4C 24 20 41 8D 51 F5 48 8B C8 41 FF D6 85 C0 74 07 F6 44 24 40 01 75 06 0F BA ED 15 EB 40 48 8B 0D ?? ?? ?? ?? 48 3B CE 74 34 FF 15 ?? ?? ?? ?? 48 85 C0 74 29 FF D0 48 8B F8 48 85 C0 74 1F 48 8B 0D ?? ?? ?? ?? 48 3B CE 74 13 FF 15 ?? ?? ?? ?? 48 85 C0 74 08 48 8B CF FF D0 48 8B F8 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 10 44 8B CD 4D 8B C4 49 8B D7 48 8B CF FF D0 EB 02 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_292_1_0 {
	meta:
		name = "__crtMessageBoxWaitThreadA"
		size = 36
		altNames = "__crtMessageBoxWaitThreadW"
	strings:
		$1 = { 40 53 48 83 EC 20 44 8B 49 18 4C 8B 41 10 48 8B 51 08 48 8B D9 33 C9 FF 13 89 43 1C 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_293_0_0 {
	meta:
		name = "_setjmpex"
		size = 144
	strings:
		$1 = { 48 89 11 48 89 59 08 48 89 69 18 48 89 71 20 48 89 79 28 4C 89 61 30 4C 89 69 38 4C 89 71 40 4C 89 79 48 4C 8D 44 24 08 4C 89 41 10 4C 8B 04 24 4C 89 41 50 0F AE 59 58 D9 79 5C 66 0F 7F 71 60 66 0F 7F 79 70 66 44 0F 7F 81 80 00 00 00 66 44 0F 7F 89 90 00 00 00 66 44 0F 7F 91 A0 00 00 00 66 44 0F 7F 99 B0 00 00 00 66 44 0F 7F A1 C0 00 00 00 66 44 0F 7F A9 D0 00 00 00 66 44 0F 7F B1 E0 00 00 00 66 44 0F 7F B9 F0 00 00 00 33 C0 C3 }
	condition:
		$1
}

rule file_294_1_0 {
	meta:
		name = "_wexecve"
		size = 637
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0075 wcsrchr 00a0 wcschr 00b0 wcslen 00bf _calloc_crt 00d2 ??_C@_15PCEAIKAA@?$AA?4?$AA?2?$AA?$AA@ 00dd wcscpy_s 00f3 wcscat_s 012c _waccess_s 0142 wcomexecmd 019c ext_strings 020e free 0238 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 E4 4D 8B F0 4C 8B FA 48 8B E9 48 8B F9 48 85 C9 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 44 39 21 74 D1 48 85 D2 74 CC 48 8B 02 48 85 C0 74 C4 66 44 39 20 74 BE BA 5C 00 00 00 E8 ?? ?? ?? ?? BA 2F 00 00 00 48 8B CD 48 8B F0 E8 ?? ?? ?? ?? 41 BD 02 00 00 00 48 85 C0 75 71 48 85 F6 75 79 8D 50 3A 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 66 48 8B CD E8 ?? ?? ?? ?? 41 8B D5 48 8D 58 03 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 6E FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 54 01 00 00 4C 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 29 01 00 00 48 8D 77 04 EB 0D 48 85 F6 74 05 48 3B C6 76 03 48 8B F0 48 83 CB FF 48 8B CE 8D 53 2F E8 ?? ?? ?? ?? 48 8B CF 48 85 C0 74 25 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 85 DA 00 00 00 4D 8B C6 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 E9 C4 00 00 00 E8 ?? ?? ?? ?? 49 8B D5 4C 8D 70 05 49 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 48 8B C3 E9 CF FE FF FF 4C 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 E0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 2C 46 E8 ?? ?? ?? ?? 4C 8D 25 ?? ?? ?? ?? 8B 00 89 44 24 70 49 8B C5 48 2B C6 48 D1 F8 4C 2B F0 4D 8B 04 24 49 8B D6 49 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 89 00 00 00 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 48 8D 05 ?? ?? ?? ?? 49 83 EC 08 4C 3B E0 7D CB EB 21 E8 ?? ?? ?? ?? 8B 4C 24 70 4C 8B 84 24 80 00 00 00 89 08 49 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 3B FD 0F 84 4F FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 42 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_295_0_0 {
	meta:
		name = "__remainder_piby2d2f_forAsm"
		size = 332
		refs = "0003 __L_2_by_pi_bits 0147 L__piby2"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 66 49 0F 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 F3 43 0F 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 66 48 0F 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 66 48 0F 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 13 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 48 83 D0 00 48 83 E0 03 66 48 0F 6E C8 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 19 4D 8B D1 4D 8B C8 49 0F BD CA 49 83 EB 40 66 66 66 0F 1F 84 00 00 00 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 13 74 31 4D 8B C2 49 D3 EA EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 0F 1F 80 00 00 00 00 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 66 49 0F 6E C2 66 48 0F 7E C8 F2 0F 59 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_296_0_0 {
	meta:
		name = "_fptostr"
		size = 203
		refs = "001a _errno 0026 _invalid_parameter_noinfo 00ab strlen 00ba memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 49 8B 49 10 45 33 D2 48 85 DB 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 8F 00 00 00 48 85 D2 74 E3 41 8B C2 45 85 C0 44 88 13 41 0F 4F C0 FF C0 48 98 48 3B D0 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB CB 48 8D 7B 01 C6 03 30 48 8B C7 EB 1A 44 38 11 74 08 0F BE 11 48 FF C1 EB 05 BA 30 00 00 00 88 10 48 FF C0 41 FF C8 45 85 C0 7F E1 44 88 10 78 14 80 39 35 7C 0F EB 03 C6 00 30 48 FF C8 80 38 39 74 F5 FE 00 80 3B 31 75 06 41 FF 41 04 EB 17 48 8B CF E8 ?? ?? ?? ?? 48 8B D7 48 8B CB 4C 8D 40 01 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_297_1_0 {
	meta:
		name = "_scwprintf"
		size = 37
		refs = "001c _vscwprintf"
		altNames = "_scwprintf_p"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8D 50 10 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_722_0_0 {
	meta:
		name = "_scprintf"
		size = 37
		refs = "001c _vscprintf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8D 50 10 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_722_2_0 {
	meta:
		name = "_scprintf_p"
		size = 37
		refs = "001c _vscprintf_p"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8D 50 10 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_297_5_0 {
	meta:
		name = "_snwprintf_s"
		size = 34
		refs = "0019 _vsnwprintf_s_l"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 49 83 63 E8 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_722_4_0 {
	meta:
		name = "_snprintf_s"
		size = 34
		refs = "0019 _vsnprintf_s_l"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 49 83 63 E8 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_297_6_0 {
	meta:
		name = "_snwprintf_s_l"
		size = 33
		refs = "0018 _vsnwprintf_s_l"
	strings:
		$1 = { 4C 8B DC 48 83 EC 38 49 8D 43 30 49 89 43 F0 49 8B 43 28 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_722_5_0 {
	meta:
		name = "_snprintf_s_l"
		size = 33
		refs = "0018 _vsnprintf_s_l"
	strings:
		$1 = { 4C 8B DC 48 83 EC 38 49 8D 43 30 49 89 43 F0 49 8B 43 28 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_297_7_0 {
	meta:
		name = "_swprintf"
		size = 196
		refs = "002f memset 0039 _errno 0044 _invalid_parameter_noinfo 0077 _woutput_l 009d _flsbuf"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 55 53 57 48 8B EC 48 83 EC 50 48 83 65 D0 00 48 8B FA 33 D2 48 8B D9 48 8D 4D D8 44 8D 42 28 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6F 48 85 DB 74 E6 4C 8D 4D 30 48 8D 4D D0 45 33 C0 48 8B D7 C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 C7 45 D8 FF FF FF 7F E8 ?? ?? ?? ?? FF 4D D8 8B D8 78 14 48 8B 4D D0 C6 01 00 48 8B 4D D0 48 FF C1 48 89 4D D0 EB 0F 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 4D D0 FF 4D D8 78 05 C6 01 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 50 5F 5B 5D C3 }
	condition:
		$1
}

rule file_297_8_0 {
	meta:
		name = "_swprintf_p"
		size = 36
		refs = "001b _vswprintf_p_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_903_0_0 {
	meta:
		name = "?swprintf@@YAHPEAG_KPEBGZZ"
		size = 36
		refs = "001b ?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_722_7_0 {
	meta:
		name = "_sprintf_p"
		size = 36
		refs = "001b _vsprintf_p_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_722_11_0 {
	meta:
		name = "sprintf_s"
		size = 36
		refs = "001b _vsprintf_s_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1304_2_0 {
	meta:
		name = "swprintf"
		size = 36
		refs = "001b _vswprintf_c_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_297_11_0 {
	meta:
		name = "swprintf_s"
		size = 36
		refs = "001b _vswprintf_s_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_298_0_0 {
	meta:
		name = "_lderfc"
		size = 120
		refs = "000a _s 0025 __xmm@80000000000000008000000000000000 0033 _ldpoly 003a _c 005f _ldexp"
	strings:
		$1 = { 48 83 EC 48 0F 28 C8 48 8D 15 ?? ?? ?? ?? 0F 29 74 24 30 41 B8 06 00 00 00 0F 29 7C 24 20 F2 0F 59 C8 0F 57 0D ?? ?? ?? ?? 0F 28 F8 F2 0F 11 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 41 B8 06 00 00 00 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? 48 8D 4C 24 50 45 33 C0 F2 0F 5E F0 0F 28 CE E8 ?? ?? ?? ?? F2 0F 10 44 24 50 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1211_0_0 {
	meta:
		name = "_derfc"
		size = 120
		refs = "000a _s 0025 __xmm@80000000000000008000000000000000 0033 _dpoly 003a _c 005f _dexp"
	strings:
		$1 = { 48 83 EC 48 0F 28 C8 48 8D 15 ?? ?? ?? ?? 0F 29 74 24 30 41 B8 06 00 00 00 0F 29 7C 24 20 F2 0F 59 C8 0F 57 0D ?? ?? ?? ?? 0F 28 F8 F2 0F 11 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 41 B8 06 00 00 00 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? 48 8D 4C 24 50 45 33 C0 F2 0F 5E F0 0F 28 CE E8 ?? ?? ?? ?? F2 0F 10 44 24 50 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_298_1_0 {
	meta:
		name = "erfl"
		size = 373
		refs = "0010 _ldtest 0039 _lderf_small 0043 __xmm@7fffffffffffffff7fffffffffffffff 0062 __real@3e80294181763e67 006a __real@3eb796f7c98753d1 0072 __real@3ee29e9394492069 007a __real@3f0e9fcbced270e5 008a __real@3f35800a7256303e 0092 __real@3f533d1c306174e6 00a2 __real@3f6c8536d3025b62 00aa __real@3f8d40c79a9a10df 00ba __real@3faa7c2499fcce0a 00c2 __real@3fbbec6ad710ff6f 00d2 __real@3fc69596f2097286 00da __real@3fdf573bc8ed49e4 00ea __real@3ff20dd750429b6d 00f2 __real@3ff0000000000000 0107 _lderf_one 0115 _lderfc 0141 __xmm@80000000000000008000000000000000 015a __real@bff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 4B 01 00 00 FF C9 0F 84 23 01 00 00 FF C9 0F 84 3B 01 00 00 F2 0F 10 5C 24 30 F2 0F 10 05 ?? ?? ?? ?? 0F 28 D3 0F 54 15 ?? ?? ?? ?? 66 0F 2F C2 0F 86 B2 00 00 00 0F 28 CB F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D0 F2 0F 59 D3 0F 28 C2 EB 6D F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 5C 24 30 F2 0F 5C C8 EB 08 F2 0F 10 0D ?? ?? ?? ?? 0F 57 C0 66 0F 2F C3 76 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 26 B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 10 F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1211_1_0 {
	meta:
		name = "erf"
		size = 373
		refs = "0010 _dtest 0039 _derf_small 0043 __xmm@7fffffffffffffff7fffffffffffffff 0062 __real@3e80294181763e67 006a __real@3eb796f7c98753d1 0072 __real@3ee29e9394492069 007a __real@3f0e9fcbced270e5 008a __real@3f35800a7256303e 0092 __real@3f533d1c306174e6 00a2 __real@3f6c8536d3025b62 00aa __real@3f8d40c79a9a10df 00ba __real@3faa7c2499fcce0a 00c2 __real@3fbbec6ad710ff6f 00d2 __real@3fc69596f2097286 00da __real@3fdf573bc8ed49e4 00ea __real@3ff20dd750429b6d 00f2 __real@3ff0000000000000 0107 _derf_one 0115 _derfc 0141 __xmm@80000000000000008000000000000000 015a __real@bff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 4B 01 00 00 FF C9 0F 84 23 01 00 00 FF C9 0F 84 3B 01 00 00 F2 0F 10 5C 24 30 F2 0F 10 05 ?? ?? ?? ?? 0F 28 D3 0F 54 15 ?? ?? ?? ?? 66 0F 2F C2 0F 86 B2 00 00 00 0F 28 CB F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D0 F2 0F 59 D3 0F 28 C2 EB 6D F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 5C 24 30 F2 0F 5C C8 EB 08 F2 0F 10 0D ?? ?? ?? ?? 0F 57 C0 66 0F 2F C3 76 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 26 B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 10 F2 0F 10 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_299_0_0 {
	meta:
		name = "__sse2_atan2"
		size = 400
		refs = "000c iAbsMask 0014 dbOne 0039 iSignMask 0041 dbPio2hi 007f dbA19 0087 dbA17 008f dbA18 0097 dbA16 00af dbA15 00b7 dbA13 00bf dbA14 00c7 dbA12 00df dbA11 00e7 dbA09 00ef dbA10 00f7 dbA08 010f dbA07 0117 dbA05 011f dbA06 0127 dbA04 013f dbA03 0147 dbA01 014f dbA02 0163 dbA00"
	strings:
		$1 = { 48 83 EC 58 66 0F 28 E8 66 0F DB 05 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 5F D8 66 0F 28 E0 66 0F 5D 05 ?? ?? ?? ?? 66 0F 5E C3 66 0F C2 25 ?? ?? ?? ?? 06 66 0F DB 2D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F DB D4 66 0F DB 25 ?? ?? ?? ?? 66 0F EF D5 66 0F EF E5 66 0F EF E0 66 0F 59 C0 66 0F 29 44 24 20 66 0F 59 C0 66 0F 29 44 24 30 66 0F 59 C0 66 0F 29 64 24 40 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 E8 66 0F 59 E0 66 0F 59 D8 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 E8 66 0F 59 E0 66 0F 59 D8 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 E8 66 0F 59 E0 66 0F 59 D8 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 E8 66 0F 59 E0 66 0F 59 C3 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 4C 24 30 66 0F 59 6C 24 20 66 0F 58 05 ?? ?? ?? ?? 66 0F 59 4C 24 20 66 0F 59 64 24 30 66 0F 58 C5 66 0F 58 CC 66 0F 58 C1 66 0F 59 44 24 40 66 0F 58 C2 48 83 C4 58 C3 66 90 }
	condition:
		$1
}

rule file_301_4_0 {
	meta:
		name = "_mbscoll_l"
		size = 201
		refs = "0021 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0030 _errno 003b _invalid_parameter_noinfo 0056 _strcoll_l 0089 __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 8B F9 48 8B DA 48 8D 4C 24 40 49 8B D0 49 8B F0 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5B 48 8B 54 24 48 83 7A 08 00 75 10 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 4A 8B 42 04 48 8B 92 20 02 00 00 48 8D 4C 24 40 89 44 24 38 83 C8 FF 4C 8B CF 89 44 24 30 41 B8 00 10 00 00 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_302_0_0 {
	meta:
		name = "atanhf"
		size = 186
		refs = "0011 _fdtest 003a __xmm@80000000800000008000000080000000 004e __real@3f800000 0058 _fperrraise 0060 _FNan_C 007b _FInf_C 0097 __real@40000000 00a0 log1pf 00a8 __real@3f000000"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F7 C1 FD FF FF FF 0F 84 8A 00 00 00 F3 0F 10 4C 24 30 0F 57 C0 B9 01 00 00 00 0F 2F C1 76 11 0F 57 0D ?? ?? ?? ?? 8B D9 F3 0F 11 4C 24 30 EB 02 33 DB F3 0F 10 15 ?? ?? ?? ?? 0F 2F CA 76 0F E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 4E 0F 2E CA 7A 21 75 1F B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 85 DB 74 31 0F 57 05 ?? ?? ?? ?? EB 28 0F 28 C1 F3 0F 5C D1 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5E C2 E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? EB D1 F3 0F 10 44 24 30 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_303_0_0 {
	meta:
		name = "__termconout"
		size = 32
		refs = "0007 _confh 0017 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 8D 41 02 48 83 F8 01 76 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1035_0_0 {
	meta:
		name = "__termconin"
		size = 32
		refs = "0007 _coninpfh 0017 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 8D 41 02 48 83 F8 01 76 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_303_1_0 {
	meta:
		name = "__initconout"
		size = 59
		refs = "0018 ??_C@_1BA@BALFACEM@?$AAC?$AAO?$AAN?$AAO?$AAU?$AAT?$AA$?$AA?$AA@ 002b __imp_CreateFileW 0032 _confh"
	strings:
		$1 = { 48 83 EC 48 48 83 64 24 30 00 83 64 24 28 00 41 B8 03 00 00 00 48 8D 0D ?? ?? ?? ?? 45 33 C9 BA 00 00 00 40 44 89 44 24 20 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_304_0_0 {
	meta:
		name = "__read_mxcsr"
		size = 16
	strings:
		$1 = { 48 83 EC 10 0F AE 1C 24 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_1_0 {
	meta:
		name = "__write_mxcsr"
		size = 16
	strings:
		$1 = { 48 83 EC 10 89 0C 24 0F AE 14 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_2_0 {
	meta:
		name = "__int_addss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 58 C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_304_3_0 {
	meta:
		name = "__int_subss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5C C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_304_4_0 {
	meta:
		name = "__int_mulss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 59 C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_304_5_0 {
	meta:
		name = "__int_divss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5E C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_304_12_0 {
	meta:
		name = "__int_cmpss"
		size = 137
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA 49 83 F8 00 74 2B 49 83 F8 01 74 2F 49 83 F8 02 74 33 49 83 F8 03 74 37 49 83 F8 04 74 3B 49 83 F8 05 74 3F 49 83 F8 06 74 43 49 83 F8 07 74 47 C3 F3 0F C2 C1 00 66 0F 7E C0 C3 F3 0F C2 C1 01 66 0F 7E C0 C3 F3 0F C2 C1 02 66 0F 7E C0 C3 F3 0F C2 C1 03 66 0F 7E C0 C3 F3 0F C2 C1 04 66 0F 7E C0 C3 F3 0F C2 C1 05 66 0F 7E C0 C3 F3 0F C2 C1 06 66 0F 7E C0 C3 F3 0F C2 C1 07 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_304_15_0 {
	meta:
		name = "__int_maxss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5F C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_304_16_0 {
	meta:
		name = "__int_minss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5D C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_304_18_0 {
	meta:
		name = "__int_addsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 58 C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_19_0 {
	meta:
		name = "__int_subsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5C C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_20_0 {
	meta:
		name = "__int_mulsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 59 C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_21_0 {
	meta:
		name = "__int_divsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5E C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_22_0 {
	meta:
		name = "__int_cmpsd"
		size = 227
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 49 83 F8 00 74 2F 49 83 F8 01 74 3C 49 83 F8 02 74 49 49 83 F8 03 74 56 49 83 F8 04 74 63 49 83 F8 05 74 70 49 83 F8 06 74 7D 49 83 F8 07 0F 84 86 00 00 00 C3 F2 0F C2 C1 00 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 01 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 02 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 03 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 04 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 05 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 06 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 07 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_23_0 {
	meta:
		name = "__int_comisd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 66 0F 2F C1 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_24_0 {
	meta:
		name = "__int_ucomisd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 66 0F 2E C1 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_25_0 {
	meta:
		name = "__int_cvtsd2si"
		size = 22
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 2D C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_26_0 {
	meta:
		name = "__int64_cvtsd2si"
		size = 23
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 48 0F 2D C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_27_0 {
	meta:
		name = "__int_cvttsd2si"
		size = 22
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 2C C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_28_0 {
	meta:
		name = "__int64_cvttsd2si"
		size = 23
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 48 0F 2C C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_29_0 {
	meta:
		name = "__int_cvtss2sd"
		size = 26
	strings:
		$1 = { 48 83 EC 10 66 0F 6E C1 F3 0F 5A C0 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_30_0 {
	meta:
		name = "__int_cvtsd2ss"
		size = 26
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 5A C0 66 0F 7E C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_31_0 {
	meta:
		name = "__int_maxsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5F C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_32_0 {
	meta:
		name = "__int_minsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5D C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_304_33_0 {
	meta:
		name = "__int_sqrtsd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 51 C0 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_305_4_0 {
	meta:
		name = "_ismbchira_l"
		size = 77
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 81 78 04 A4 03 00 00 75 12 8D 83 61 7D FF FF 83 F8 52 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_305_6_0 {
	meta:
		name = "_ismbckata_l"
		size = 85
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 81 78 04 A4 03 00 00 75 1A 8D 83 C0 7C FF FF 83 F8 56 77 0F 81 FB 7F 83 00 00 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_305_8_0 {
	meta:
		name = "_ismbcsymbol_l"
		size = 85
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 81 78 04 A4 03 00 00 75 1A 8D 83 BF 7E FF FF 83 F8 6B 77 0F 81 FB 7F 81 00 00 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_306_0_0 {
	meta:
		name = "scalbnf"
		size = 94
		refs = "001c _fdtest 002d _fdscale 0049 _fperrraise"
		altNames = "scalblnf"
	strings:
		$1 = { 48 89 5C 24 10 F3 0F 11 44 24 08 57 48 83 EC 20 8B DA 85 D2 74 37 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 85 C0 79 28 48 8D 4C 24 30 8B D3 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 44 24 30 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_308_0_0 {
	meta:
		name = "clog10l"
		size = 81
		refs = "001d clogl 002a __real@3fdbcb7b1526e50e 003d _LCmulcr"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 10 02 48 8B D9 48 8D 54 24 20 48 8D 4C 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 F2 0F 10 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_1207_0_0 {
	meta:
		name = "clog10"
		size = 81
		refs = "001d clog 002a __real@3fdbcb7b1526e50e 003d _Cmulcr"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 10 02 48 8B D9 48 8D 54 24 20 48 8D 4C 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 F2 0F 10 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_309_4_0 {
	meta:
		name = "_mbsstr_l"
		size = 255
		refs = "0022 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0038 strstr 004a _errno 0055 _invalid_parameter_noinfo 0069 strlen"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B F9 48 8B F2 48 8D 48 D8 49 8B D0 E8 ?? ?? ?? ?? 48 8B 6C 24 28 83 7D 08 00 75 13 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 8B F8 E9 90 00 00 00 48 85 F6 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 77 80 3E 00 74 74 48 85 FF 74 E4 48 8B CE E8 ?? ?? ?? ?? 48 8B DF 48 8B CF 48 2B D8 E8 ?? ?? ?? ?? 80 3F 00 4C 8D 04 03 74 4E 48 8B D7 48 2B D6 49 3B F8 77 43 80 3F 00 48 8B C6 74 14 8A 08 84 C9 74 37 38 0C 02 75 09 48 FF C0 80 3C 02 00 75 EC 80 38 00 74 24 0F B6 07 48 FF C2 48 FF C7 8A 4C 28 19 80 E1 04 74 0B 80 3F 00 74 0B 48 FF C7 48 FF C2 80 3F 00 75 B8 33 FF 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B C7 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_310_0_0 {
	meta:
		name = "norml"
		size = 78
		refs = "001d creall 0033 cimagl"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 10 01 48 8B D9 48 8D 4C 24 20 0F 29 74 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? F2 0F 59 F6 F2 0F 59 C0 F2 0F 58 C6 0F 28 74 24 30 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_372_0_0 {
	meta:
		name = "norm"
		size = 78
		refs = "001d creal 0033 cimag"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 10 01 48 8B D9 48 8D 4C 24 20 0F 29 74 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? F2 0F 59 F6 F2 0F 59 C0 F2 0F 58 C6 0F 28 74 24 30 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_311_0_0 {
	meta:
		name = "_RTC_InitBase"
		size = 56
		refs = "0006 ?init@?1??_RTC_InitBase@@9@4_NA 0027 _CRT_RTC_INITW 002f _RTC_SetErrorFuncW"
	strings:
		$1 = { 48 83 EC 38 80 3D ?? ?? ?? ?? 00 75 26 83 64 24 20 00 41 B9 01 00 00 00 45 33 C0 33 D2 33 C9 C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_311_1_0 {
	meta:
		name = "_RTC_Shutdown"
		size = 32
		refs = "0017 _CRT_RTC_INITW"
	strings:
		$1 = { 48 83 EC 38 41 B9 01 00 00 00 45 33 C0 33 D2 33 C9 44 89 4C 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_313_3_0 {
	meta:
		name = "__STRINGTOLD"
		size = 110
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0042 __STRINGTOLD_L"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 8B E9 48 8B F2 48 8D 48 D8 33 D2 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 48 8D 44 24 30 44 8B CB 4C 8B C7 48 8B D6 48 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_500_3_0 {
	meta:
		name = "__WSTRINGTOLD"
		size = 110
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0042 __WSTRINGTOLD_L"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 8B E9 48 8B F2 48 8D 48 D8 33 D2 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 48 8D 44 24 30 44 8B CB 4C 8B C7 48 8B D6 48 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_313_4_0 {
	meta:
		name = "__strgtold12"
		size = 144
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0063 __strgtold12_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 60 48 8B E9 48 8B F2 48 8D 48 D8 33 D2 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 48 8D 44 24 40 44 8B CB 48 89 44 24 38 8B 84 24 A0 00 00 00 4C 8B C7 89 44 24 30 8B 84 24 98 00 00 00 48 8B D6 89 44 24 28 8B 84 24 90 00 00 00 48 8B CD 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_500_4_0 {
	meta:
		name = "__wstrgtold12"
		size = 144
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0063 __wstrgtold12_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 60 48 8B E9 48 8B F2 48 8D 48 D8 33 D2 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 48 8D 44 24 40 44 8B CB 48 89 44 24 38 8B 84 24 A0 00 00 00 4C 8B C7 89 44 24 30 8B 84 24 98 00 00 00 48 8B D6 89 44 24 28 8B 84 24 90 00 00 00 48 8B CD 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_313_5_0 {
	meta:
		name = "_atof_l"
		size = 186
		refs = "0009 __security_cookie 001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0058 _isctype_l 008b _fltin2 00b0 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 EB 58 48 8B 54 24 20 83 BA D4 00 00 00 01 7E 19 0F B6 0B 4C 8D 44 24 20 BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 20 EB 11 0F B6 0B 48 8B 82 08 01 00 00 0F B7 04 48 83 E0 08 85 C0 74 05 48 FF C3 EB C4 4C 8D 44 24 20 48 8D 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? F2 0F 10 40 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_314_0_0 {
	meta:
		name = "memset"
		size = 554
		refs = "0013 __favor 017d __ImageBase 0185 MsetTab 0195 msetTab00 0199 msetTab01 019d msetTab02 01a1 msetTab03 01a5 msetTab04 01a9 msetTab05 01ad msetTab06 01b1 msetTab07 01b5 msetTab08 01b9 msetTab09 01bd msetTab10 01c1 msetTab11 01c5 msetTab12 01c9 msetTab13 01cd msetTab14 01d1 msetTab15"
	strings:
		$1 = { 4C 8B D9 0F B6 D2 49 83 F8 10 0F 82 5C 01 00 00 0F BA 25 ?? ?? ?? ?? 01 73 0E 57 48 8B F9 8B C2 49 8B C8 F3 AA 5F EB 6D 49 B9 01 01 01 01 01 01 01 01 49 0F AF D1 0F BA 25 ?? ?? ?? ?? 02 0F 82 9C 00 00 00 49 83 F8 40 72 1E 48 F7 D9 83 E1 07 74 06 4C 2B C1 49 89 13 49 03 CB 4D 8B C8 49 83 E0 3F 49 C1 E9 06 75 3F 4D 8B C8 49 83 E0 07 49 C1 E9 03 74 11 66 66 66 90 90 48 89 11 48 83 C1 08 49 FF C9 75 F4 4D 85 C0 74 0A 88 11 48 FF C1 49 FF C8 75 F6 49 8B C3 C3 0F 1F 80 00 00 00 00 66 66 66 90 66 66 90 48 89 11 48 89 51 08 48 89 51 10 48 83 C1 40 48 89 51 D8 48 89 51 E0 49 FF C9 48 89 51 E8 48 89 51 F0 48 89 51 F8 75 D8 EB 97 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 48 0F 6E C2 66 0F 60 C0 F6 C1 0F 74 16 0F 11 01 48 8B C1 48 83 E0 0F 48 83 C1 10 48 2B C8 4E 8D 44 00 F0 4D 8B C8 49 C1 E9 07 74 32 EB 01 90 0F 29 01 0F 29 41 10 48 81 C1 80 00 00 00 0F 29 41 A0 0F 29 41 B0 49 FF C9 0F 29 41 C0 0F 29 41 D0 0F 29 41 E0 0F 29 41 F0 75 D5 49 83 E0 7F 4D 8B C8 49 C1 E9 04 74 14 0F 1F 84 00 00 00 00 00 0F 29 01 48 83 C1 10 49 FF C9 75 F4 49 83 E0 0F 74 06 41 0F 11 44 08 F0 49 8B C3 C3 49 B9 01 01 01 01 01 01 01 01 49 0F AF D1 4C 8D 0D ?? ?? ?? ?? 43 8B 84 81 ?? ?? ?? ?? 4C 03 C8 49 03 C8 49 8B C3 41 FF E1 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 66 66 0F 1F 84 00 00 00 00 00 48 89 51 F1 89 51 F9 66 89 51 FD 88 51 FF C3 48 89 51 F5 EB F2 48 89 51 F2 89 51 FA 66 89 51 FE C3 48 89 51 F3 89 51 FB 88 51 FF C3 48 89 51 F4 89 51 FC C3 48 89 51 F6 66 89 51 FE C3 48 89 51 F7 88 51 FF C3 48 89 51 F8 C3 }
	condition:
		$1
}

rule file_315_3_0 {
	meta:
		name = "tanh"
		size = 720
		refs = "005a _set_statfp 00ae ??_C@_04FJHINJAO@tanh?$AA@ 00b3 _handle_error 00cf __xmm@80000000000000008000000000000000 00d8 __real@4034000000000000 00e0 __real@3ff0000000000000 00f9 __real@3feccccccccccccd 0117 __real@3f2b68b3cecad284 011f __real@3e4e82d10d09af81 0127 __real@bf2a387bfaf479c9 012f __real@3f94a3d4cc7a88a9 0143 __real@3fd86cd01c4ab94c 014b __real@3f920629b90302ae 015b __real@3fea4e925c00b304 0163 __real@3fd189b6e8007758 016d __real@3f26af77f334e750 0175 __real@3e48cc5a847e6cec 017d __real@bf25b483c69835dd 0185 __real@3f912335baec487f 0199 __real@3fd44d1459bcc5f6 01a1 __real@3f8defad6e212118 01b1 __real@3fe5de431d442afd 01b9 __real@3fcd28597c5ae288 01db __real@3dcf473de6af278e 01e3 __real@4000000000000000 01eb __real@3f962e42fe000000 021a __real@40471547652b82fe 0231 splitexp"
	strings:
		$1 = { 48 81 EC 88 00 00 00 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 70 F2 0F 11 84 24 98 00 00 00 48 8B 8C 24 98 00 00 00 0F 29 7C 24 60 44 0F 29 44 24 50 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 30 3E 44 0F 28 C0 48 3B C2 73 1C 48 85 C0 0F 84 64 02 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 41 0F 28 C0 E9 51 02 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 76 46 41 B9 01 00 00 00 0F 57 C0 49 B8 00 00 00 00 00 00 08 00 44 89 4C 24 40 41 8D 51 20 4C 0B C1 F2 0F 11 44 24 38 F2 44 0F 11 44 24 30 89 54 24 28 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 01 00 00 45 33 D2 48 3B C1 41 0F 95 C2 4D 85 D2 74 08 44 0F 57 05 ?? ?? ?? ?? 66 44 0F 2F 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? 0F 87 BF 01 00 00 66 41 0F 2F F8 0F 82 E2 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 41 0F 28 D0 F2 41 0F 59 D0 66 41 0F 2F C0 0F 28 CA 0F 28 C2 76 56 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C F8 F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? EB 54 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C F8 F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? 0F 28 C2 F2 41 0F 59 C0 F2 0F 59 F8 F2 0F 5E F9 F2 41 0F 58 F8 E9 D2 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 48 8D 84 24 A8 00 00 00 48 89 44 24 38 48 8D 84 24 A0 00 00 00 48 89 44 24 30 48 8D 84 24 90 00 00 00 F2 44 0F 59 C6 F2 0F 10 15 ?? ?? ?? ?? 0F 28 CF 48 89 44 24 28 F2 0F 11 44 24 20 41 0F 28 C0 E8 ?? ?? ?? ?? 44 8B 8C 24 90 00 00 00 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 98 00 00 00 48 C1 E0 34 F2 0F 10 94 24 98 00 00 00 48 89 84 24 98 00 00 00 F2 0F 10 84 24 98 00 00 00 F2 0F 10 8C 24 A0 00 00 00 F2 0F 58 8C 24 A8 00 00 00 F2 0F 59 CA F2 0F 59 C8 F2 0F 58 CF F2 0F 5E F1 F2 0F 5C FE 4D 85 D2 74 07 0F 57 3D ?? ?? ?? ?? 0F 28 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_316_4_0 {
	meta:
		name = "_mbsset_l"
		size = 195
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002a _errno 0035 _invalid_parameter_noinfo 004c _strset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B F1 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 62 48 8B 44 24 28 83 78 08 00 75 0F 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 EB 48 8B C7 C1 E8 08 84 C0 74 3A 40 84 FF 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B0 20 40 8A F8 EB 16 88 03 48 FF C3 80 3B 00 74 08 40 88 3B 48 FF C3 EB 04 C6 43 FF 20 80 3B 00 75 E5 EB 0B 40 88 3B 48 FF C3 80 3B 00 75 F5 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B C6 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_317_0_0 {
	meta:
		name = "__common_dsin_cout_rare"
		size = 128
		refs = "0045 _vmldSinHATab"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 89 44 24 20 48 C1 E8 38 44 0F B7 41 06 41 81 E0 F0 7F 00 00 83 E0 7F F2 0F 10 09 41 81 F8 F0 7F 00 00 75 3E 83 7C 24 20 00 75 28 88 44 24 27 81 7C 24 24 00 00 F0 7F 75 1A F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 59 C8 F2 0F 11 0A 48 83 C4 28 C3 F2 0F 59 C9 33 C0 F2 0F 11 0A 48 83 C4 28 C3 33 C0 48 83 C4 28 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_566_0_0 {
	meta:
		name = "__common_dcos_cout_rare"
		size = 128
		refs = "0045 _vmldCosHATab"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 89 44 24 20 48 C1 E8 38 44 0F B7 41 06 41 81 E0 F0 7F 00 00 83 E0 7F F2 0F 10 09 41 81 F8 F0 7F 00 00 75 3E 83 7C 24 20 00 75 28 88 44 24 27 81 7C 24 24 00 00 F0 7F 75 1A F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 59 C8 F2 0F 11 0A 48 83 C4 28 C3 F2 0F 59 C9 33 C0 F2 0F 11 0A 48 83 C4 28 C3 33 C0 48 83 C4 28 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_318_0_0 {
	meta:
		name = "__createFile"
		size = 237
		refs = "0020 __crtIsPackagedApp 002b ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0031 __imp_GetModuleHandleW 0038 ??_C@_0M@HHGEPIBF@CreateFile2?$AA@ 0041 __imp_GetProcAddress 00d3 __imp_CreateFileW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 60 49 8B D9 41 8B F8 8B F2 48 8B E9 E8 ?? ?? ?? ?? 85 C0 74 7B 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 4C 8B D0 48 85 C0 75 09 48 83 C8 FF E9 81 00 00 00 8B 84 24 98 00 00 00 44 8B 8C 24 90 00 00 00 83 64 24 4C 00 48 83 64 24 58 00 89 44 24 44 8B 84 24 A0 00 00 00 89 44 24 48 48 8D 44 24 40 44 8B C7 8B D6 48 8B CD C7 44 24 40 20 00 00 00 48 89 44 24 20 48 89 5C 24 50 41 FF D2 EB 34 48 83 64 24 30 00 8B 84 24 98 00 00 00 4C 8B CB 0B 84 24 A0 00 00 00 44 8B C7 8B D6 89 44 24 28 8B 84 24 90 00 00 00 48 8B CD 89 44 24 20 FF 15 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_318_4_0 {
	meta:
		name = "_wsopen"
		size = 65
		refs = "002c _wsopen_helper"
	strings:
		$1 = { 4C 8B DC 45 89 43 18 4D 89 4B 20 53 48 83 EC 40 83 64 24 28 00 4D 8D 4B E8 49 8D 43 20 4D 89 4B D8 44 8B 08 83 CB FF 89 5C 24 30 E8 ?? ?? ?? ?? 8B 4C 24 30 85 C0 0F 45 CB 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_318_7_0 {
	meta:
		name = "_wsopen_nolock"
		size = 1975
		refs = "005f _get_fmode 00a4 __doserrno 00ae _errno 00ba _invalid_parameter_noinfo 01ab _umaskval 0211 _alloc_osfhnd 026a __createFile 02d4 __pioinfo 02f2 __imp_GetLastError 02f9 _dosmaperr 030e __imp_GetFileType 034d __imp_CloseHandle 037d _set_osfhnd 03ed _lseeki64_nolock 040b _close_nolock 0425 _read_nolock 043b _chsize_nolock 0660 _write 0778 _free_osfhnd 07b2 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 4C 89 40 18 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 90 00 00 00 33 FF 41 B7 80 41 8B F1 48 8B DA C7 45 EF 18 00 00 00 44 8D 77 01 89 7D DF 40 88 7D 67 48 89 7D F7 45 84 CF 74 08 89 7D FF 41 B4 10 EB 07 44 89 75 FF 44 8A E7 48 8D 4D DF E8 ?? ?? ?? ?? 85 C0 0F 85 37 07 00 00 B8 00 80 00 00 85 F0 75 10 F7 C6 00 40 07 00 75 05 39 45 DF 74 03 45 0A E7 8B CE 41 B9 03 00 00 00 B8 00 00 00 C0 BA 00 00 00 80 41 23 C9 74 5B FF C9 74 41 FF C9 74 38 E8 ?? ?? ?? ?? 89 38 83 0B FF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 9C 24 D8 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 8B E8 EB 19 40 F6 C6 08 74 08 F7 C6 00 00 07 00 75 ED 41 BD 00 00 00 40 EB 03 44 8B EA 8B 4D 6F 44 89 6D BF 41 BF 02 00 00 00 83 E9 10 74 2D 83 E9 10 74 23 83 E9 10 74 19 83 E9 10 74 0F 83 F9 40 75 84 44 3B EA 8B CF 0F 94 C1 EB 11 41 8B C9 EB 0C 41 8B CF EB 07 41 8B CE EB 02 8B CF 8B C6 BA 00 07 00 00 89 4D C3 41 B8 00 01 00 00 23 C2 74 46 41 3B C0 74 39 3D 00 02 00 00 74 2A 3D 00 03 00 00 74 1E 3D 00 04 00 00 74 2C 3D 00 05 00 00 74 28 3D 00 06 00 00 74 0E 3B C2 74 1D E9 24 FF FF FF 45 8B F7 EB 13 41 BE 05 00 00 00 EB 0B 41 BE 04 00 00 00 EB 03 45 8B F1 BA 80 00 00 00 8B C7 89 55 CF 89 45 C7 41 85 F0 74 18 8A 05 ?? ?? ?? ?? F6 D0 22 45 77 A8 80 8D 42 81 0F 44 D0 8B C7 89 55 CF 40 F6 C6 40 74 17 41 0F BA ED 10 B8 00 00 00 04 83 C9 04 89 4D C3 89 45 C7 44 89 6D BF 0F BA E6 0C 73 06 41 0B D0 89 55 CF 0F BA E6 0D 73 07 0F BA E8 19 89 45 C7 40 F6 C6 20 74 06 0F BA E8 1B EB 0A 40 F6 C6 10 74 07 0F BA E8 1C 89 45 C7 E8 ?? ?? ?? ?? 89 03 83 F8 FF 75 21 E8 ?? ?? ?? ?? 89 38 83 0B FF E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 83 FE FF FF 48 8B 45 4F 44 8B 45 C3 48 8B 4D 5F C7 00 01 00 00 00 8B 45 C7 4C 8D 4D EF 89 44 24 30 8B 45 CF 41 8B D5 89 44 24 28 44 89 74 24 20 E8 ?? ?? ?? ?? 48 89 45 E7 48 83 F8 FF 0F 85 8D 00 00 00 B9 00 00 00 C0 41 8B C5 23 C1 3B C1 75 44 B8 01 00 00 00 40 84 F0 74 3A 8B 45 C7 44 8B 45 C3 48 8B 4D 5F 89 44 24 30 8B 45 CF 41 0F BA F5 1F 89 44 24 28 4C 8D 4D EF 41 8B D5 44 89 74 24 20 44 89 6D BF E8 ?? ?? ?? ?? 48 89 45 E7 48 83 F8 FF 75 3B 48 63 0B 4C 8D 2D ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 44 C5 00 80 64 08 08 FE FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 38 E9 92 04 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 4C 48 63 0B 4C 8D 2D ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 44 C5 00 80 64 08 08 FE FF 15 ?? ?? ?? ?? 8B C8 8B D8 E8 ?? ?? ?? ?? 48 8B 4D E7 FF 15 ?? ?? ?? ?? 85 DB 75 A8 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB 9B 41 3B C7 75 06 41 80 CC 40 EB 09 83 F8 03 75 04 41 80 CC 08 48 8B 55 E7 8B 0B E8 ?? ?? ?? ?? 48 63 0B 4C 8D 2D ?? ?? ?? ?? 48 8B C1 83 E1 1F 41 B8 01 00 00 00 48 C1 F8 05 45 0A E0 49 8B 44 C5 00 48 6B C9 58 44 88 64 08 08 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 44 C5 00 80 64 08 38 80 41 8A C4 24 48 88 45 CB 0F 85 87 00 00 00 45 84 E4 0F 89 99 02 00 00 41 84 F7 74 79 8B 0B 45 8B C7 48 83 CA FF E8 ?? ?? ?? ?? 48 89 45 D7 48 83 F8 FF 75 19 E8 ?? ?? ?? ?? 81 38 83 00 00 00 74 4E 8B 0B E8 ?? ?? ?? ?? E9 E9 FE FF FF 8B 0B 48 8D 55 D3 41 B8 01 00 00 00 66 89 7D D3 E8 ?? ?? ?? ?? 85 C0 75 17 66 83 7D D3 1A 75 10 48 8B 55 D7 8B 0B E8 ?? ?? ?? ?? 83 F8 FF 74 C4 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 83 F8 FF 74 B2 41 B8 01 00 00 00 45 84 E4 0F 89 12 02 00 00 41 B9 00 40 07 00 BA 00 40 00 00 41 85 F1 75 0E 8B 45 DF 41 23 C1 75 04 0B F2 EB 02 0B F0 8B CE 41 23 C9 3B CA 74 3C 8D 81 00 00 FF FF BA FF BF FF FF 85 C2 74 1A 8D 81 00 00 FE FF 85 C2 74 1D 8D 81 00 00 FC FF 85 C2 75 1D 44 88 45 67 EB 17 B9 01 03 00 00 8B C6 23 C1 3B C1 75 0A 44 88 7D 67 EB 04 40 88 7D 67 F7 C6 00 00 07 00 0F 84 9F 01 00 00 41 F6 C4 40 44 8B 65 BF 89 7D D7 0F 85 92 01 00 00 41 8B C4 B9 00 00 00 C0 23 C1 3D 00 00 00 40 0F 84 FE 00 00 00 3D 00 00 00 80 74 70 3B C1 0F 85 6E 01 00 00 45 85 F6 0F 84 65 01 00 00 45 3B F7 76 10 41 83 FE 04 76 2D 41 83 FE 05 0F 85 50 01 00 00 0F BE 4D 67 44 8B F7 FF C9 0F 84 06 01 00 00 FF C9 0F 85 39 01 00 00 C7 45 D7 FF FE 00 00 E9 FF 00 00 00 8B 0B 45 8B C7 33 D2 E8 ?? ?? ?? ?? 48 85 C0 74 CC 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 93 FE FF FF 8B 0B 48 8D 55 D7 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 79 FE FF FF 41 3B C7 74 1F 83 F8 03 0F 85 8C 00 00 00 81 7D D7 EF BB BF 00 75 0D 44 8D 40 FE 44 88 45 67 E9 CE 00 00 00 0F B7 45 D7 3D FE FF 00 00 75 1A 8B 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 8B FB E9 C3 01 00 00 3D FF FE 00 00 75 4A 8B 0B 45 33 C0 49 8B D7 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 12 FE FF FF 44 88 7D 67 EB 7F 45 85 F6 74 7A 45 3B F7 0F 86 21 FF FF FF 41 83 FE 04 0F 87 0D FF FF FF 8B 0B 45 8B C7 33 D2 E8 ?? ?? ?? ?? 48 85 C0 0F 84 02 FF FF FF 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 83 F8 FF 75 40 E9 C8 FD FF FF C7 45 D7 EF BB BF 00 41 BF 03 00 00 00 8B 0B 45 8B C7 49 63 C6 48 8D 55 D7 45 2B C6 48 03 D0 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 9B FD FF FF 44 03 F0 45 3B FE 7F D8 EB 04 44 8B 65 BF 41 B8 01 00 00 00 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B D1 58 49 8B 4C C5 00 8A 45 67 80 64 11 38 80 24 7F 08 44 11 38 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B D1 58 49 8B 4C C5 00 8B C6 80 64 11 38 7F C1 E8 10 C0 E0 07 08 44 11 38 40 38 7D CB 75 21 40 F6 C6 08 74 1B 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 44 C5 00 80 4C 08 08 20 B9 00 00 00 C0 41 8B C4 23 C1 3B C1 0F 85 96 00 00 00 41 84 F0 0F 84 8D 00 00 00 48 8B 4D E7 FF 15 ?? ?? ?? ?? 8B 45 C7 44 8B 45 C3 48 8B 4D 5F 89 44 24 30 8B 45 CF 89 44 24 28 41 0F BA F4 1F 4C 8D 4D EF 41 8B D4 C7 44 24 20 03 00 00 00 E8 ?? ?? ?? ?? 48 83 F8 FF 75 34 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 44 C5 00 80 64 08 08 FE 8B 0B E8 ?? ?? ?? ?? E9 7C FB FF FF 48 63 13 48 8B CA 83 E2 1F 48 C1 F9 05 48 6B D2 58 49 8B 4C CD 00 48 89 04 0A 8B C7 E9 1E F9 FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_323_9_0 {
	meta:
		name = "??0?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
		size = 19
		altNames = "??0?$SafeSQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ ??0?$SafeSQueue@VRealizedChore@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ ??0?$SafeSQueue@VSafePointInvocation@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 83 21 00 48 89 49 08 48 8B C1 C7 41 10 00 00 00 00 C3 }
	condition:
		$1
}

rule file_323_11_0 {
	meta:
		name = "??0CachedTransmogrifiedPrimary@details@Concurrency@@QEAA@PEAVTransmogrificator@12@@Z"
		size = 52
		refs = "0011 ??0TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ 0018 ??_7CachedTransmogrifiedPrimary@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 9F 90 00 00 00 48 8B 5C 24 30 48 89 07 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_323_13_0 {
	meta:
		name = "??0TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ"
		size = 95
		refs = "0019 ??_7TransmogrifiedPrimary@details@Concurrency@@6B@ 0048 ??0UMSBackgroundPoller@details@Concurrency@@QEAA@XZ 0051 ?Initialize@TransmogrifiedPrimary@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C9 48 89 4B 08 48 89 4B 18 48 89 4B 20 48 89 4B 28 48 8D 43 40 48 89 08 48 89 40 08 89 48 10 89 4B 58 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_323_14_0 {
	meta:
		name = "?dtor$0@?0???0TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1UMSBackgroundPoller@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$0@?0???1TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_28_0 {
	meta:
		name = "?dtor$0@?0???0_TaskCollection@details@Concurrency@@AEAA@PEAV012@_N@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_30_0 {
	meta:
		name = "?dtor$0@?0???0_TaskCollection@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_32_0 {
	meta:
		name = "?dtor$0@?0???0_TaskCollection@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_97_0 {
	meta:
		name = "?dtor$3@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1ReferenceCountedQuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_323_17_0 {
	meta:
		name = "??0_Scoped_lock@_NonReentrantLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 82
		refs = "0026 ?_Sleep0@details@Concurrency@@YAXXZ 0035 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 B8 01 00 00 00 48 89 11 48 8B DA 87 02 48 8B F9 85 C0 74 26 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 87 03 85 C0 75 EB 48 8B C7 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_323_22_0 {
	meta:
		name = "??1TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ"
		size = 111
		refs = "0019 ??_7TransmogrifiedPrimary@details@Concurrency@@6B@ 0026 __imp_CloseHandle 005c ?DeleteUmsCompletionList@UMS@details@Concurrency@@SAHPEAX@Z 006b ??1UMSBackgroundPoller@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 10 FF 15 ?? ?? ?? ?? 48 8B 4B 28 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 20 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 38 E8 ?? ?? ?? ?? 90 48 8D 4B 60 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_323_40_0 {
	meta:
		name = "?Dequeue@?$SQueue@VUMSThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
		size = 37
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 8A 80 00 00 00 48 89 08 48 85 C9 75 04 48 89 40 08 48 8B C2 C3 }
	condition:
		$1
}

rule file_323_41_0 {
	meta:
		name = "?Dequeue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
		size = 100
		refs = "001d ?_Sleep0@details@Concurrency@@YAXXZ 002c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 B8 01 00 00 00 48 8B D9 87 41 10 85 C0 74 27 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 87 43 10 85 C0 75 EA 48 8B 03 48 85 C0 74 13 48 8B 88 80 00 00 00 48 89 0B 48 85 C9 75 04 48 89 5B 08 C7 43 10 00 00 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_323_42_0 {
	meta:
		name = "?Enqueue@?$SQueue@VUMSThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 23
	strings:
		$1 = { 4C 8D 82 80 00 00 00 49 83 20 00 48 8B 41 08 48 89 10 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_323_43_0 {
	meta:
		name = "?Enqueue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 107
		refs = "0024 ?_Sleep0@details@Concurrency@@YAXXZ 0033 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 B8 01 00 00 00 48 8B FA 48 8B D9 87 41 10 85 C0 74 27 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 87 43 10 85 C0 75 EA 48 8D 8F 80 00 00 00 48 83 21 00 48 8B 43 08 48 89 38 48 89 4B 08 C7 43 10 00 00 00 00 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_323_44_0 {
	meta:
		name = "?Execute@TransmogrifiedPrimary@details@Concurrency@@AEAAXPEAVUMSThreadProxy@23@@Z"
		size = 62
		refs = "0020 ?ExecuteUmsThread@UMS@details@Concurrency@@SAHPEAX@Z 0028 __imp_Sleep 0038 ?DoPolling@UMSBackgroundPoller@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B F9 48 89 51 08 33 DB 48 8B 4E 20 E8 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? FF C3 83 FB 64 75 E8 48 8D 4F 60 E8 ?? ?? ?? ?? EB DB }
	condition:
		$1
}

rule file_323_48_0 {
	meta:
		name = "?HandleBlocking@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
		size = 80
		refs = "0015 ?WaitForBlockedThread@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@PEAV423@@Z 001d ?IsTerminated@UMSThreadProxy@details@Concurrency@@QEAA_NXZ 003c ?SearchForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 08 48 8B F9 48 8B D3 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 1D 48 8B 03 BA 01 00 00 00 48 8B CB FF 50 08 48 83 67 08 00 48 8B CF E8 ?? ?? ?? ?? EB 03 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_323_49_0 {
	meta:
		name = "?HandleYielding@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
		size = 66
		refs = "002c __imp_SetEvent 003e ?SearchForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 83 79 5C 08 74 0F 33 C0 C7 41 38 01 00 00 00 48 87 41 40 EB 0E 83 61 5C 00 48 8B 49 30 FF 15 ?? ?? ?? ?? 48 83 63 08 00 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_323_50_0 {
	meta:
		name = "?Initialize@TransmogrifiedPrimary@details@Concurrency@@AEAAXXZ"
		size = 406
		refs = "0012 ?CreateUmsCompletionList@UMS@details@Concurrency@@SAHPEAPEAX@Z 0027 ?GetUmsCompletionListEvent@UMS@details@Concurrency@@SAHPEAXPEAPEAX@Z 003f __imp_CreateEventW 0074 ?PrimaryMain@TransmogrifiedPrimary@details@Concurrency@@CAKPEAX@Z 008a ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 00a8 __imp_GetLastError 00c0 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00c7 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00d1 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B D9 48 83 C1 38 E8 ?? ?? ?? ?? 85 C0 0F 84 88 00 00 00 48 8B 4B 38 48 8D 53 18 E8 ?? ?? ?? ?? 85 C0 0F 84 A3 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 43 28 48 85 C0 0F 84 B6 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 43 20 48 85 C0 0F 84 C9 00 00 00 48 8D 43 30 4C 8D 05 ?? ?? ?? ?? 4C 8B CB 48 89 44 24 28 83 64 24 20 00 33 D2 33 C9 E8 ?? ?? ?? ?? 48 89 43 10 48 85 C0 0F 84 CB 00 00 00 48 8B 5C 24 60 48 83 C4 50 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_323_52_0 {
	meta:
		name = "?NotifyBlocked@UMSThreadProxy@details@Concurrency@@QEAAX_N@Z"
		size = 28
	strings:
		$1 = { 8A C2 F6 D8 45 1B C0 33 C0 41 F7 D8 41 FF C0 44 89 41 38 84 D2 75 04 48 87 41 40 C3 }
	condition:
		$1
}

rule file_323_54_0 {
	meta:
		name = "?PrimaryInvocation@TransmogrifiedPrimary@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z"
		size = 287
		refs = "001d ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 003d ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z 004c ?SetUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@Z 0061 ?HandleYielding@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ 0070 ?HandleBlocking@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ 007f ?WaitForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ 009e __imp_GetLastError 00b5 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00bc _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00c5 _CxxThrowException 0100 ?Execute@TransmogrifiedPrimary@details@Concurrency@@AEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 83 65 28 00 49 8B F8 8B D9 E8 ?? ?? ?? ?? 41 B9 08 00 00 00 4C 8D 45 28 41 8D 51 F9 48 8B C8 85 DB 74 11 48 83 64 24 20 00 E8 ?? ?? ?? ?? 85 C0 75 0F EB 55 48 89 7D 28 E8 ?? ?? ?? ?? 85 C0 74 76 48 8B 4D 28 85 DB 74 22 FF CB 74 0F E8 ?? ?? ?? ?? 48 85 C0 74 22 E9 89 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 13 E9 87 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 85 86 00 00 00 48 8B 5C 24 60 48 8B 7C 24 68 48 83 C4 50 5D C3 FF 15 ?? ?? ?? ?? 48 8D 4D E0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D E0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? CC 48 8B 4D 28 48 8B D0 E8 ?? ?? ?? ?? CC 48 8B 4D 28 48 8B D0 E8 ?? ?? ?? ?? CC 48 8B 4D 28 48 8B D0 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_323_55_0 {
	meta:
		name = "?PrimaryMain@TransmogrifiedPrimary@details@Concurrency@@CAKPEAX@Z"
		size = 134
		refs = "0022 ?PrimaryInvocation@TransmogrifiedPrimary@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z 002f ?EnterUmsSchedulingMode@UMS@details@Concurrency@@SAHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@Z 003b ??1TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ 0043 ??3@YAXPEAX@Z 004a ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z 0058 __imp_GetLastError 0070 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0077 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0081 _CxxThrowException"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 60 48 8B 41 38 C7 44 24 20 00 01 00 00 48 8B D9 49 89 43 C0 49 89 4B D0 48 8D 05 ?? ?? ?? ?? 49 8D 4B B8 49 89 43 C8 E8 ?? ?? ?? ?? 85 C0 74 1F 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 60 5B C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_323_56_0 {
	meta:
		name = "?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 123
		refs = "0016 ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 001e ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 003d ?Enqueue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z 0067 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0B 48 8D 48 08 4C 8B 01 41 FF 50 30 48 8D 4B 40 48 8B D6 E8 ?? ?? ?? ?? 48 85 FF 74 0A 48 8D 4F 08 48 8B 01 FF 50 38 B8 01 00 00 00 F0 0F C1 43 58 FF C0 83 F8 01 75 0A 48 8B 4B 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_323_57_0 {
	meta:
		name = "?SearchForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
		size = 54
		refs = "0012 ?Dequeue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ 002c ?WaitForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 F0 FF 49 58 48 8B D9 48 83 C1 40 E8 ?? ?? ?? ?? 48 89 43 08 48 85 C0 75 11 48 8B 03 48 8B CB FF 50 08 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_323_59_0 {
	meta:
		name = "?WaitForBlockedThread@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@PEAV423@@Z"
		size = 214
		refs = "0037 ?DoPolling@UMSBackgroundPoller@details@Concurrency@@QEAA_NXZ 005a __imp_WaitForMultipleObjectsEx 007b ?DequeueUmsCompletionListItems@UMS@details@Concurrency@@SAHPEAXKPEAPEAX@Z 0089 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 00a8 __imp_GetLastError 00c0 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00c7 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00d1 _CxxThrowException"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 48 83 EC 60 48 8B 41 60 33 ED 48 8B FA 49 89 43 C8 48 8B 41 18 48 8B D9 49 89 43 D0 41 83 C9 FF EB 16 48 8D 4B 60 E8 ?? ?? ?? ?? F6 D8 45 1B C9 41 83 E1 9B 41 83 C1 64 45 33 C0 48 8D 54 24 30 89 6C 24 20 41 8D 48 02 FF 15 ?? ?? ?? ?? 3D 02 01 00 00 0F 44 C5 85 C0 74 C8 48 8B 4B 38 4C 8D 44 24 70 33 D2 48 89 6C 24 70 E8 ?? ?? ?? ?? 85 C0 74 23 48 8B 4C 24 70 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 48 8B C7 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_323_60_0 {
	meta:
		name = "?WaitForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
		size = 186
		refs = "0017 __security_cookie 0058 __imp_WaitForMultipleObjectsEx 006d ?DoPolling@UMSBackgroundPoller@details@Concurrency@@QEAA_NXZ 0087 ?Dequeue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ 00a1 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B 41 60 83 CB FF 48 8B F9 49 89 43 D8 48 8B 41 20 33 ED 49 89 43 E0 48 8B 41 28 49 89 43 E8 45 33 C0 48 8D 54 24 30 44 8B CB 41 8D 48 03 89 6C 24 20 FF 15 ?? ?? ?? ?? 3D 02 01 00 00 0F 44 C5 85 C0 75 15 48 8D 4F 60 E8 ?? ?? ?? ?? F6 D8 1B DB 83 E3 9B 83 C3 64 EB C6 83 F8 01 75 14 48 8D 4F 40 E8 ?? ?? ?? ?? 48 89 47 08 48 85 C0 74 AF EB 02 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_324_6_0 {
	meta:
		name = "_vcwprintf_p_l"
		size = 4686
		refs = "0022 __security_cookie 0061 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0071 _errno 008a _invalid_parameter_noinfo 0128 __lookuptable_s 0186 wcstol 01b1 memset 039b _validate_param_reuseW 040a __nullstring 0412 strlen 0503 _mbtowc_l 0698 _isleadbyte_l 06ce __wnullstring 0795 _get_printf_count_output 0b29 get_crtdouble_arg 0b7f _malloc_crt 0be3 _cfltcvt_tab 0bf0 __imp_DecodePointer 0cde write_multi_char 0cf5 write_string 0d54 _putwch_nolock 0dc8 free 122f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 A0 F2 FF FF 48 81 EC 60 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 0D 00 00 45 33 FF 4C 8B F1 48 89 4D E8 48 8D 4C 24 68 4C 89 44 24 48 44 89 7D C8 45 8B E7 44 89 7C 24 64 44 89 7D C0 44 89 7C 24 44 41 8B DF 44 89 7D 88 E8 ?? ?? ?? ?? 41 83 CD FF 4C 89 7D B8 41 8B FD E8 ?? ?? ?? ?? 48 89 45 E0 4D 85 F6 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 7D 80 74 0C 48 8B 4C 24 78 83 A1 C8 00 00 00 FD 41 8B C5 E9 7C 11 00 00 4C 8B 4C 24 48 41 8B CF 41 8B F7 89 4D B0 44 89 7C 24 50 83 F9 01 75 08 85 FF 0F 84 48 11 00 00 83 CF FF 4D 8B D6 45 0F B7 36 44 89 7C 24 58 45 8B DF 4C 89 7D D0 45 8B C5 44 89 6C 24 40 44 89 7D 8C 44 89 7C 24 60 44 89 6D CC 89 7D 90 66 45 85 F6 0F 84 A1 10 00 00 48 63 D1 48 89 55 A0 49 83 C2 02 4C 89 55 98 85 F6 0F 88 99 09 00 00 41 8D 46 E0 B9 58 00 00 00 66 3B C1 77 18 48 8D 0D ?? ?? ?? ?? 41 0F B7 C6 0F B6 4C 08 E0 83 E1 0F 45 33 C0 EB 06 45 33 C0 41 8B C8 48 63 C1 48 8D 0C C0 49 63 C3 48 03 C8 48 8D 05 ?? ?? ?? ?? 0F B6 04 01 C1 E8 04 89 45 C4 83 F8 01 0F 85 D4 00 00 00 66 41 83 3A 25 0F 84 D2 00 00 00 83 FF FF 75 59 44 8D 40 09 48 8D 55 B8 49 8B CA E8 ?? ?? ?? ?? 45 33 C0 85 C0 7E 2E 48 8B 45 B8 66 83 38 24 75 24 4C 39 45 A0 75 14 48 8D 8D F0 03 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? BF 01 00 00 00 89 7D 90 EB 19 4C 8B 4C 24 48 48 8B 55 A0 4C 8B 55 98 41 8B F8 44 89 45 90 83 FF 01 75 6F 48 8B 4D 98 48 8D 55 B8 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D B8 48 8B 55 A0 4C 8D 51 02 44 8D 68 FF 45 33 C0 4C 89 55 98 44 89 6D CC 48 85 D2 75 2C 45 85 ED 0F 88 AB 0F 00 00 66 83 39 24 0F 85 A1 0F 00 00 41 83 FD 64 0F 8D 97 0F 00 00 8B 44 24 40 44 3B E8 41 0F 4F C5 89 44 24 40 4C 8B 4C 24 48 EB 09 83 F8 08 0F 84 78 0F 00 00 8B 4D C4 85 C9 0F 84 D2 0E 00 00 FF C9 0F 84 A3 0E 00 00 FF C9 0F 84 37 0E 00 00 FF C9 0F 84 47 0D 00 00 FF C9 0F 84 32 0D 00 00 FF C9 0F 84 2F 0C 00 00 FF C9 0F 84 5F 0B 00 00 FF C9 0F 85 0C 08 00 00 41 0F B7 CE 83 F9 64 0F 8F 04 03 00 00 0F 84 30 05 00 00 83 F9 41 0F 84 8C 02 00 00 83 F9 43 0F 84 AF 01 00 00 8D 41 BB A9 FD FF FF FF 0F 84 75 02 00 00 83 F9 53 0F 84 62 01 00 00 B8 58 00 00 00 3B C8 0F 84 3B 04 00 00 83 F9 5A 74 5E 83 F9 61 0F 84 5D 02 00 00 83 F9 63 0F 84 88 01 00 00 4C 8B 74 24 58 B9 20 00 00 00 BF 2D 00 00 00 8B 44 24 44 83 7D 90 01 75 0D 48 8B 55 A0 48 85 D2 0F 84 82 07 00 00 85 C0 0F 85 A3 0A 00 00 41 F6 C4 40 0F 84 9F 09 00 00 41 0F BA E4 08 0F 83 6E 09 00 00 66 89 7D AC E9 74 09 00 00 85 FF 75 0F 49 83 C1 08 4C 89 4C 24 48 49 8B 41 F8 EB 73 41 83 FD 63 0F 87 6C 0E 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 52 48 8D 85 F0 03 00 00 48 8D 04 C8 44 39 00 75 1C C7 00 02 00 00 00 66 44 89 B4 CD 00 04 00 00 44 89 A4 CD 04 04 00 00 E9 5F FF FF FF BA 02 00 00 00 45 0F B7 C6 45 8B CC 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 18 0E 00 00 4C 8B 4C 24 48 E9 39 FF FF FF 48 8B 84 CD F8 03 00 00 48 8B 00 48 85 C0 74 46 48 8B 58 08 48 85 DB 74 3D B9 20 00 00 00 8D 79 0D 41 0F BA E4 0B 73 1C 0F BF 00 C7 45 88 01 00 00 00 99 2B C2 D1 F8 44 8B F0 4C 89 74 24 58 E9 04 FF FF FF 44 0F BF 30 44 89 45 88 4C 89 74 24 58 E9 F2 FE FF FF 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 48 4C 8B F0 48 89 44 24 58 E9 C7 FE FF FF 41 F7 C4 30 08 00 00 75 04 41 83 CC 20 41 83 FF FF 41 8B F7 B8 FF FF FF 7F 0F 44 F0 85 FF 0F 85 A1 01 00 00 49 83 C1 08 4C 89 4C 24 48 49 8B 59 F8 E9 08 02 00 00 41 BA 20 00 00 00 41 F7 C4 30 08 00 00 75 0B 45 0B E2 EB 06 41 BA 20 00 00 00 C7 45 88 01 00 00 00 85 FF 75 10 49 83 C1 08 4C 89 4C 24 48 41 0F B7 41 F8 EB 46 41 83 FD 63 0F 87 22 0D 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 25 48 8D 85 F0 03 00 00 48 8D 04 C8 44 39 00 75 0B C7 00 01 00 00 00 E9 B1 FE FF FF BA 01 00 00 00 E9 C2 FE FF FF 48 8B 84 CD F8 03 00 00 0F B7 00 66 89 45 94 45 84 E2 74 38 88 45 A8 48 8B 44 24 68 44 88 45 A9 4C 63 80 D4 00 00 00 4C 8D 4C 24 68 48 8D 55 A8 48 8D 4D F0 E8 ?? ?? ?? ?? 4C 8B 4C 24 48 85 C0 79 0E C7 44 24 44 01 00 00 00 EB 04 66 89 45 F0 48 8D 5D F0 41 BE 01 00 00 00 4C 89 74 24 58 E9 BD FD FF FF C7 45 C0 01 00 00 00 66 41 83 C6 20 41 BB 67 00 00 00 41 83 CC 40 83 FF 01 0F 85 E6 05 00 00 48 85 D2 0F 85 DD 05 00 00 41 83 FD 63 0F 87 5B 0C 00 00 49 63 C5 48 8D 0C 40 48 8D 85 F0 03 00 00 48 8D 04 C8 44 39 00 0F 85 EC 04 00 00 C7 00 07 00 00 00 66 44 89 B4 CD 00 04 00 00 44 89 A4 CD 04 04 00 00 E9 FB 04 00 00 41 BB 67 00 00 00 41 3B CB 7E 9E 83 F9 69 0F 84 1E 02 00 00 83 F9 6E 0F 84 A4 01 00 00 83 F9 6F 0F 84 82 01 00 00 83 F9 70 0F 84 34 01 00 00 83 F9 73 0F 84 62 FE FF FF 83 F9 75 0F 84 F5 01 00 00 83 F9 78 0F 85 05 FD FF FF 8D 41 AF E9 26 01 00 00 41 83 FD 63 0F 87 C8 0B 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 58 48 8D 85 F0 03 00 00 48 8D 04 C8 44 39 00 75 25 C7 00 02 00 00 00 66 44 89 B4 CD 00 04 00 00 44 89 A4 CD 04 04 00 00 4C 8B 74 24 58 8B 74 24 50 E9 B7 FC FF FF 45 8B CC 45 0F B7 C6 BA 02 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 6B 0B 00 00 4C 8B 4C 24 48 EB CF 48 8B 9C CD F8 03 00 00 48 8B 1B B9 20 00 00 00 44 84 E1 74 50 48 85 DB 45 8B F0 48 0F 44 1D ?? ?? ?? ?? 4C 89 74 24 58 48 8B FB 85 F6 7E 6B 44 38 07 74 27 0F B6 0F 48 8D 54 24 68 E8 ?? ?? ?? ?? 45 33 C0 85 C0 74 03 48 FF C7 41 FF C6 48 FF C7 4C 89 74 24 58 44 3B F6 7C D4 4C 8B 4C 24 48 E9 6F FF FF FF 48 85 DB C7 45 88 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0C FF CE 66 44 39 00 74 08 48 83 C0 02 85 F6 75 F0 48 2B C3 48 D1 F8 44 8B F0 4C 89 74 24 58 8B 74 24 50 E9 F6 FB FF FF 41 BF 10 00 00 00 41 0F BA EC 0F 44 89 7C 24 60 B8 07 00 00 00 89 45 C8 41 BA 10 00 00 00 45 84 E4 0F 89 B2 00 00 00 41 8D 4A 20 45 8D 5A F2 66 83 C0 51 66 89 4D AC 44 89 5C 24 64 66 89 45 AE E9 99 00 00 00 41 BA 08 00 00 00 45 84 E4 0F 89 85 00 00 00 B8 00 02 00 00 44 0B E0 EB 7B 85 FF 75 0F 49 83 C1 08 4C 89 4C 24 48 49 8B 79 F8 EB 25 41 83 FD 63 0F 87 46 0A 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 D6 FB FF FF 48 8B 84 CD F8 03 00 00 48 8B 38 E8 ?? ?? ?? ?? 85 C0 0F 84 1E 0A 00 00 B9 20 00 00 00 44 84 E1 74 05 66 89 37 EB 02 89 37 4C 8B 4C 24 48 4C 8B 74 24 58 B8 01 00 00 00 8D 78 2C 89 44 24 44 E9 30 FB FF FF 41 83 CC 40 41 BA 0A 00 00 00 44 8B 5C 24 64 41 0F BA E4 0F 73 51 85 FF 75 12 49 83 C1 08 4C 89 4C 24 48 4D 8B 41 F8 E9 9E 01 00 00 41 83 FD 63 0F 87 BC 09 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 6B 48 8D 85 F0 03 00 00 48 8D 04 C8 44 39 00 75 0B C7 00 03 00 00 00 E9 4B FB FF FF BA 03 00 00 00 E9 5C FB FF FF 41 0F BA E4 0C 73 4F 85 FF 74 A8 41 83 FD 63 0F 87 76 09 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 25 48 8D 85 F0 03 00 00 48 8D 04 C8 44 39 00 75 0B C7 00 04 00 00 00 E9 05 FB FF FF BA 04 00 00 00 E9 16 FB FF FF 48 8B 84 CD F8 03 00 00 4C 8B 00 E9 0D 01 00 00 B8 20 00 00 00 44 84 E0 0F 84 87 00 00 00 41 F6 C4 40 74 42 85 FF 75 13 49 83 C1 08 4C 89 4C 24 48 4D 0F BF 41 F8 E9 E2 00 00 00 41 83 FD 63 0F 87 00 09 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 DA FB FF FF 48 8B 84 CD F8 03 00 00 4C 0F BF 00 E9 B7 00 00 00 85 FF 75 13 49 83 C1 08 4C 89 4C 24 48 45 0F B7 41 F8 E9 A0 00 00 00 41 83 FD 63 0F 87 BE 08 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 98 FB FF FF 48 8B 84 CD F8 03 00 00 44 0F B7 00 EB 78 41 F6 C4 40 74 3A 85 FF 75 0F 49 83 C1 08 4C 89 4C 24 48 4D 63 41 F8 EB 5F 41 83 FD 63 0F 87 7D 08 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 57 FB FF FF 48 8B 84 CD F8 03 00 00 4C 63 00 EB 38 85 FF 75 0F 49 83 C1 08 4C 89 4C 24 48 45 8B 41 F8 EB 25 41 83 FD 63 0F 87 43 08 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 1D FB FF FF 48 8B 84 CD F8 03 00 00 44 8B 00 41 F6 C4 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EC 08 41 0F BA E4 0F 72 0A 41 0F BA E4 0C 72 03 45 8B C0 45 85 FF 79 08 41 BF 01 00 00 00 EB 10 BA 00 02 00 00 41 83 E4 F7 44 3B FA 44 0F 4F FA 8B 75 C8 49 8B C0 48 8D 9D EF 01 00 00 48 F7 D8 1B C9 41 23 CB 89 4C 24 64 41 8B CF 41 FF CF 85 C9 7F 05 4D 85 C0 74 1F 33 D2 49 8B C0 49 63 CA 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 02 03 C6 88 03 48 FF CB EB D2 44 8B 6D CC 8B 74 24 50 4C 8D B5 EF 01 00 00 44 2B F3 B8 00 02 00 00 48 FF C3 4C 89 74 24 58 44 89 7C 24 60 44 85 E0 0F 84 A3 F8 FF FF B8 30 00 00 00 45 85 F6 74 08 38 03 0F 84 91 F8 FF FF 48 FF CB 41 FF C6 88 03 E9 BD FA FF FF 45 8B CC 45 0F B7 C6 BA 07 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 33 FF 85 C0 0F 84 5F 07 00 00 4C 8B 4C 24 48 48 8B 55 A0 4C 8B 55 98 44 8B 44 24 40 45 0F B7 32 8B 7D 90 44 8B 5D C4 66 45 85 F6 0F 85 57 F6 FF FF 45 33 FF 45 85 DB 74 0A 41 83 FB 07 0F 85 38 07 00 00 8B 4D B0 83 FF 01 0F 85 D6 06 00 00 85 C9 0F 85 CE 06 00 00 49 8B F7 4D 63 F0 45 85 C0 0F 88 BF 06 00 00 48 8D BD F8 03 00 00 8B 4F F8 FF C9 0F 84 86 06 00 00 FF C9 0F 84 7E 06 00 00 FF C9 0F 84 76 06 00 00 FF C9 0F 84 6E 06 00 00 FF C9 0F 84 66 06 00 00 83 F9 02 0F 85 DA 06 00 00 48 8D 4C 24 48 4C 89 0F E8 ?? ?? ?? ?? 4C 8B 4C 24 48 E9 52 06 00 00 B8 00 02 00 00 48 8D 5D F0 8B F0 45 85 FF 79 08 41 BF 06 00 00 00 EB 55 75 0E 66 45 3B F3 75 52 41 BF 01 00 00 00 EB 45 44 3B F8 44 0F 4F F8 44 89 7C 24 60 41 81 FF A3 00 00 00 7E 35 41 8D BF 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 4C 8B 4C 24 48 48 89 45 D0 48 85 C0 74 0A 8B F7 8B 7D 90 48 8B D8 EB 0E 8B 7D 90 41 BF A3 00 00 00 44 89 7C 24 60 85 FF 75 13 49 83 C1 08 4C 89 4C 24 48 49 8B 41 F8 48 89 45 D8 EB 20 41 83 FD 63 0F 87 F5 05 00 00 49 63 C5 48 8D 0C 40 48 8B 84 CD F8 03 00 00 48 8B 08 48 89 4D D8 48 8B 0D ?? ?? ?? ?? 41 0F BE FE 48 63 F6 FF 15 ?? ?? ?? ?? 48 8D 4C 24 68 44 8B CF 48 89 4C 24 30 8B 4D C0 4C 8B C6 89 4C 24 28 48 8D 4D D8 48 8B D3 44 89 7C 24 20 FF D0 41 8B FC 81 E7 80 00 00 00 74 1C 45 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 68 48 8B CB FF D0 B9 67 00 00 00 66 44 3B F1 75 1B 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 68 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EC 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 48 8B 74 24 50 44 8B F0 B9 20 00 00 00 4C 89 74 24 58 E9 5E F6 FF FF 41 F6 C4 01 74 14 B8 2B 00 00 00 66 89 45 AC BF 01 00 00 00 89 7C 24 64 EB 10 41 F6 C4 02 74 06 66 89 4D AC EB E9 8B 7C 24 64 44 8B 7D 8C 45 2B FE 44 2B FF 41 F6 C4 0C 75 0D 4C 8D 44 24 50 41 8B D7 E8 ?? ?? ?? ?? 48 8B 75 E0 4C 8D 44 24 50 48 8D 4D AC 4C 8B CE 8B D7 E8 ?? ?? ?? ?? 41 F6 C4 08 74 18 41 F6 C4 04 75 12 4C 8D 44 24 50 B9 30 00 00 00 41 8B D7 E8 ?? ?? ?? ?? 33 C0 39 45 88 75 61 45 85 F6 7E 5C 48 8B FB 41 8B F6 48 8B 44 24 68 4C 8D 4C 24 68 48 8D 4D 94 4C 63 80 D4 00 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 4C 63 F0 85 C0 7E 27 0F B7 4D 94 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 07 83 4C 24 50 FF EB 04 FF 44 24 50 49 03 FE 85 F6 7F B5 EB 1C 83 CE FF 89 74 24 50 EB 17 4C 8D 44 24 50 4C 8B CE 41 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B 74 24 50 85 F6 78 1C 41 F6 C4 04 74 16 4C 8D 44 24 50 B9 20 00 00 00 41 8B D7 E8 ?? ?? ?? ?? 8B 74 24 50 4C 8B 4C 24 48 48 8B 45 D0 48 85 C0 74 13 48 8B C8 E8 ?? ?? ?? ?? 4C 8B 4C 24 48 33 FF 48 89 7D D0 44 8B 7C 24 60 E9 AD FC FF FF 41 0F B7 C6 83 F8 49 74 4C 83 F8 68 74 3E B9 6C 00 00 00 3B C1 74 13 83 F8 77 0F 85 95 FC FF FF 41 0F BA EC 0B E9 8B FC FF FF 44 8B 44 24 40 66 41 39 0A 75 0E 49 83 C2 02 41 0F BA EC 0C E9 77 FC FF FF 41 83 CC 10 E9 6E FC FF FF 41 83 CC 20 E9 60 FC FF FF 41 0F B7 02 B9 00 80 00 00 44 0B E1 66 83 F8 36 75 14 66 41 83 7A 02 34 75 0C 49 83 C2 04 44 0B E1 E9 3A FC FF FF 66 83 F8 33 75 16 66 41 83 7A 02 32 75 0E 49 83 C2 04 41 0F BA F4 0F E9 1E FC FF FF 66 83 E8 58 B9 20 00 00 00 66 3B C1 77 1A 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 73 0A 41 0F BA EC 10 E9 F6 FB FF FF 44 89 45 C4 E9 98 02 00 00 B8 2A 00 00 00 66 44 3B F0 0F 85 D2 00 00 00 85 FF 75 0F 49 83 C1 08 4C 89 4C 24 48 45 8B 79 F8 EB 43 48 8D 55 B8 41 B8 0A 00 00 00 49 8B CA E8 ?? ?? ?? ?? 48 8B 4D B8 48 8B 55 A0 4C 8D 51 02 FF C8 4C 89 55 98 48 85 D2 0F 84 07 01 00 00 4C 8B 4C 24 48 48 98 48 8D 0C 40 48 8B 84 CD F8 03 00 00 44 8B 38 44 8B 44 24 40 44 89 7C 24 60 45 85 FF 0F 89 7A FB FF FF 41 83 CF FF 44 89 7C 24 60 E9 6C FB FF FF 4C 8B 4C 24 48 C7 00 01 00 00 00 B8 2A 00 00 00 66 89 84 CD 00 04 00 00 44 89 A4 CD 04 04 00 00 E9 47 FB FF FF 41 B8 2A 00 00 00 45 8B CC 48 8B C8 41 8D 50 D7 E8 ?? ?? ?? ?? 85 C0 0F 85 18 FB FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 75 80 E9 4B 02 00 00 47 8D 3C BF 41 0F B7 C6 45 8D 7F E8 46 8D 3C 78 44 89 7C 24 60 E9 F2 FA FF FF 45 8B F8 44 89 44 24 60 E9 E5 FA FF FF B8 2A 00 00 00 66 44 3B F0 0F 85 C1 00 00 00 85 FF 75 12 49 83 C1 08 4C 89 4C 24 48 41 8B 41 F8 E9 8D 00 00 00 48 8D 55 B8 41 B8 0A 00 00 00 49 8B CA E8 ?? ?? ?? ?? 48 8B 4D B8 48 8B 55 A0 4C 8D 51 02 FF C8 4C 89 55 98 48 85 D2 75 4F 85 }
	condition:
		$1
}

rule file_325_4_0 {
	meta:
		name = "_mbsrev_l"
		size = 197
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0048 _strrev"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B F1 48 8B F9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 66 48 8B 54 24 28 83 7A 08 00 75 0D 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 EB 4E 8A 03 84 C0 74 40 0F B6 C0 48 FF C3 8A 4C 10 19 80 E1 04 74 EB 8A 0B 84 C9 74 0D 8A 43 FF 88 4B FF 88 03 48 FF C3 EB D8 E8 ?? ?? ?? ?? 48 FF CB C7 00 16 00 00 00 C6 03 00 EB 0B 8A 0F 8A 03 88 07 48 FF C7 88 0B 48 FF CB 48 3B FB 72 ED 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B C6 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_326_15_0 {
	meta:
		name = "??0HardwareAffinity@details@Concurrency@@QEAA@PEAX@Z"
		size = 41
		refs = "001c ?__GetThreadGroupAffinity@platform@details@Concurrency@@YAHPEAXPEAU_GROUP_AFFINITY@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 48 8B C2 48 89 0B 48 89 4B 08 48 8B C8 48 8B D3 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_326_17_0 {
	meta:
		name = "??0HardwareAffinity@details@Concurrency@@QEAA@_K@Z"
		size = 17
	strings:
		$1 = { 33 C0 48 89 41 08 66 89 41 08 48 8B C1 48 89 11 C3 }
	condition:
		$1
}

rule file_326_21_0 {
	meta:
		name = "??0ResourceManager@details@Concurrency@@AEAA@XZ"
		size = 322
		refs = "001e ??_7ResourceManager@details@Concurrency@@6B@ 0040 ??0_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 007c ??0ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ 0084 ?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z 008c ?DetermineTopology@ResourceManager@details@Concurrency@@AEAAXXZ 0092 ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 00b5 __imp_VirtualAlloc 00c8 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00e2 ??0exception@std@@QEAA@AEBQEBDH@Z 00e9 ??_7bad_alloc@std@@6B@ 00f5 _TI2?AVbad_alloc@std@@ 00ff _CxxThrowException 010a ?__CreateAutoResetEvent@platform@details@Concurrency@@YAPEAX_N@Z 012c ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 FF 89 79 08 89 79 0C 48 C7 41 10 10 00 00 00 89 79 28 89 79 2C 48 83 C1 30 E8 ?? ?? ?? ?? 90 48 89 7B 58 48 89 7B 60 48 89 7B 68 48 89 7B 70 48 89 7B 78 48 89 BB 80 00 00 00 48 89 BB 88 00 00 00 89 BB 90 00 00 00 48 89 BB 98 00 00 00 48 8D 8B A0 00 00 00 E8 ?? ?? ?? ?? 90 B1 01 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 03 7C 09 48 89 BB E0 00 00 00 EB 65 BA 00 10 00 00 33 C9 44 8D 49 04 41 B8 00 30 00 00 FF 15 ?? ?? ?? ?? 48 89 83 E0 00 00 00 48 85 C0 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 41 B8 01 00 00 00 48 8D 54 24 58 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC C6 00 01 33 C9 E8 ?? ?? ?? ?? 48 89 43 70 8B 4B 10 B8 08 00 00 00 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 43 78 48 8B C3 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_326_22_0 {
	meta:
		name = "?dtor$0@?0???0ResourceManager@details@Concurrency@@AEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 30 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_23_0 {
	meta:
		name = "?dtor$1@?0???0ResourceManager@details@Concurrency@@AEAA@XZ@4HA"
		size = 19
		refs = "000f ??1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 A0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_799_13_0 {
	meta:
		name = "?dtor$1@?0???0SchedulingRing@details@Concurrency@@QEAA@PEAVSchedulerBase@12@H@Z@4HA"
		size = 19
		refs = "000f ??1?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 A0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_26_0 {
	meta:
		name = "??0TopologyObject@GlobalCore@details@Concurrency@@QEAA@PEAU123@@Z"
		size = 18
		refs = "0003 ??_7TopologyObject@GlobalCore@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_326_27_0 {
	meta:
		name = "??0TopologyObject@GlobalNode@details@Concurrency@@QEAA@PEAU123@@Z"
		size = 18
		refs = "0003 ??_7TopologyObject@GlobalNode@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_93_107_1 {
	meta:
		name = "?setprecision@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 18
		refs = "0003 ?spfun@std@@YAXAEAVios_base@1@_J@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_93_108_1 {
	meta:
		name = "?setw@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 18
		refs = "0003 ?swfun@std@@YAXAEAVios_base@1@_J@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_326_43_0 {
	meta:
		name = "??1ResourceManager@details@Concurrency@@AEAA@XZ"
		size = 278
		refs = "0022 ??_7ResourceManager@details@Concurrency@@6B@ 004b ??1GlobalCore@details@Concurrency@@QEAA@XZ 0058 ??_M@YAXPEAX_KHP6AX0@Z@Z 0060 ??_V@YAXPEAX@Z 007b ??1GlobalNode@details@Concurrency@@QEAA@XZ 00b3 __imp_VirtualFree 00bd __imp_CloseHandle 00d4 ?__CloseThreadHandle@platform@details@Concurrency@@YAXPEAX@Z 00f9 ??1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ 0112 ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 F6 39 71 1C 76 3B 8B CE 48 C1 E1 06 48 8B 47 60 48 8B 4C 01 30 48 85 C9 74 20 48 8D 59 F8 4C 8D 0D ?? ?? ?? ?? 44 8B 03 BA 30 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? FF C6 3B 77 1C 72 C5 48 8B 4F 60 48 85 C9 74 20 48 8D 59 F8 4C 8D 0D ?? ?? ?? ?? 44 8B 03 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 58 E8 ?? ?? ?? ?? 48 8B 8F E0 00 00 00 48 85 C9 74 0E 33 D2 41 B8 00 80 00 00 FF 15 ?? ?? ?? ?? 48 8B 4F 70 FF 15 ?? ?? ?? ?? 48 8B 4F 78 E8 ?? ?? ?? ?? 48 8B 4F 68 48 85 C9 74 1E E8 ?? ?? ?? ?? 48 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F 88 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F A0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 30 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_44_0 {
	meta:
		name = "?dtor$0@?0???1ResourceManager@details@Concurrency@@AEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 30 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_60_0 {
	meta:
		name = "?dtor$0@?0???1ScheduleGroupSegmentBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 30 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_479_1 {
	meta:
		name = "?dtor$1@?0???1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 30 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_485_1 {
	meta:
		name = "?dtor$1@?0???1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 30 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_45_0 {
	meta:
		name = "?dtor$1@?0???1ResourceManager@details@Concurrency@@AEAA@XZ@4HA"
		size = 19
		refs = "000f ??1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 A0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_65_0 {
	meta:
		name = "??_EGlobalNode@details@Concurrency@@QEAAPEAXI@Z"
		size = 110
		refs = "0020 ??1GlobalNode@details@Concurrency@@QEAA@XZ 002d ??_M@YAXPEAX_KHP6AX0@Z@Z 003b ??_V@YAXPEAX@Z 0049 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 F6 C2 02 74 2B 48 8D 79 F8 4C 8D 0D ?? ?? ?? ?? BA 40 00 00 00 44 8B 07 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 EB 1A 48 8B 49 38 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_66_0 {
	meta:
		name = "??_GAffinityRestriction@ResourceManager@details@Concurrency@@QEAAPEAXI@Z"
		size = 51
		refs = "0014 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 49 08 8B DA E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_75_0 {
	meta:
		name = "?AddTail@?$List@VSchedulerProxy@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
		size = 66
	strings:
		$1 = { 48 8B 41 08 4C 8B C1 48 85 C0 75 0A 48 89 52 30 48 89 52 38 EB 24 48 8B 40 30 48 89 42 30 48 8B 41 08 48 89 42 38 48 8B 41 08 48 8B 48 30 48 89 51 38 49 8B 40 08 48 89 50 30 41 FF 00 49 89 50 08 C3 }
	condition:
		$1
}

rule file_326_76_0 {
	meta:
		name = "?AdjustDynamicAllocation@ResourceManager@details@Concurrency@@AEAAIIII@Z"
		size = 204
		refs = "008c ?RoundUpScaledAllocations@ResourceManager@details@Concurrency@@CAXPEAPEAUAllocationData@23@II@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 8B D8 8B DA 4C 8B D1 41 3B D0 73 7F 41 83 F9 01 75 12 48 8B 81 88 00 00 00 48 8B 08 89 59 04 E9 99 00 00 00 0F 57 C9 0F 57 C0 45 33 C0 F2 48 0F 2A CB F2 49 0F 2A C3 F2 0F 5E C8 45 85 C9 74 37 45 8B D9 49 8B 82 88 00 00 00 0F 57 C0 49 8B 14 00 4D 8D 40 08 48 8B 42 10 8B 4A 24 2B 88 D0 00 00 00 8B C1 F2 48 0F 2A C0 F2 0F 59 C1 F2 0F 11 42 08 49 FF CB 75 CC 49 8B 8A 88 00 00 00 44 8B C3 41 8B D1 E8 ?? ?? ?? ?? EB 32 45 33 C0 45 85 C9 74 27 45 8B C9 49 8B 82 88 00 00 00 49 8B 14 00 4D 8D 40 08 48 8B 42 10 8B 4A 24 2B 88 D0 00 00 00 89 4A 04 49 FF C9 75 DC 41 8B DB 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_326_77_0 {
	meta:
		name = "?ApplyAffinityLimits@AffinityRestriction@ResourceManager@details@Concurrency@@QEAAXPEAU_GROUP_AFFINITY@@@Z"
		size = 83
	strings:
		$1 = { 44 0F B7 09 45 33 DB 45 0F B7 C3 66 45 3B D9 73 22 48 8B 49 08 44 0F B7 52 08 41 0F B7 C0 48 03 C0 66 44 39 54 C1 08 74 19 66 41 FF C0 66 45 3B C1 72 E7 49 8B C3 48 85 C0 74 14 48 8B 00 48 21 02 C3 41 0F B7 C0 48 C1 E0 04 48 03 C1 EB E7 4C 89 1A C3 }
	condition:
		$1
}

rule file_326_78_0 {
	meta:
		name = "?ApplyAffinityRestrictions@ResourceManager@details@Concurrency@@CAXPEAU_GROUP_AFFINITY@@@Z"
		size = 209
		refs = "0016 ?s_pProcessAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA 0072 ?s_pUserAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA"
	strings:
		$1 = { 48 89 5C 24 08 48 8B 11 33 DB 48 85 D2 0F 84 B8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 50 44 0F B7 10 44 0F B7 C3 66 41 3B DA 73 22 4C 8B 48 08 44 0F B7 59 08 41 0F B7 C0 48 03 C0 66 45 39 5C C1 08 74 1D 66 41 FF C0 66 45 3B C2 72 E7 48 8B C3 48 85 C0 74 71 48 8B 00 48 23 C2 48 89 01 EB 69 41 0F B7 C0 48 C1 E0 04 49 03 C1 EB E3 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 50 44 0F B7 10 44 0F B7 C3 66 41 3B DA 73 22 4C 8B 48 08 44 0F B7 59 08 41 0F B7 C0 48 03 C0 66 45 39 5C C1 08 74 1A 66 41 FF C0 66 45 3B C2 72 E7 48 8B C3 48 85 C0 74 15 48 23 10 48 89 11 EB 10 41 0F B7 C0 48 C1 E0 04 49 03 C1 EB E6 48 89 19 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_326_79_0 {
	meta:
		name = "?ApplyAffinityRestrictions@ResourceManager@details@Concurrency@@CAXPEA_K@Z"
		size = 53
		refs = "0023 ?ApplyAffinityRestrictions@ResourceManager@details@Concurrency@@CAXPEAU_GROUP_AFFINITY@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B D9 48 89 44 24 28 66 89 44 24 28 48 8B 01 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_326_81_0 {
	meta:
		name = "?CaptureProcessAffinity@ResourceManager@details@Concurrency@@CAXXZ"
		size = 375
		refs = "001c __security_cookie 002a __imp_GetCurrentProcess 0034 ?s_systemAffinityMask@ResourceManager@details@Concurrency@@0_KA 003b ?s_processAffinityMask@ResourceManager@details@Concurrency@@0_KA 0041 __imp_GetProcessAffinityMask 004d __imp_GetLastError 0065 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 006c _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0076 _CxxThrowException 0091 ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 009a __imp_GetCurrentThread 00a7 ??0HardwareAffinity@details@Concurrency@@QEAA@PEAX@Z 00b3 ??2@YAPEAX_K@Z 00fe ?s_pProcessAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA 0163 __security_check_cookie"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 89 74 24 68 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 FF 15 ?? ?? ?? ?? 48 8B C8 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 33 F6 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 05 ?? ?? ?? ?? 48 39 05 ?? ?? ?? ?? 0F 84 CB 00 00 00 83 3D ?? ?? ?? ?? 04 7C 6C FF 15 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? BF 10 00 00 00 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1B 0F B7 4C 24 30 48 8B 15 ?? ?? ?? ?? 33 C0 48 89 43 08 66 89 4B 08 48 89 13 EB 03 48 8B DE 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 0E B9 01 00 00 00 66 89 08 48 89 58 08 EB 03 48 8B C6 48 89 05 ?? ?? ?? ?? EB 56 BF 10 00 00 00 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 28 48 85 C0 74 33 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 16 48 8B 0D ?? ?? ?? ?? 33 D2 48 89 50 08 66 89 70 08 48 89 08 EB 03 48 8B C6 B9 01 00 00 00 66 89 0B 48 89 43 08 EB 03 48 8B DE 48 89 1D ?? ?? ?? ?? 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_326_83_0 {
	meta:
		name = "?CleanupTopologyInformation@ResourceManager@details@Concurrency@@CAXXZ"
		size = 36
		refs = "0007 ?s_pSysInfo@ResourceManager@details@Concurrency@@0PEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@EA 000c free 001a ?s_logicalProcessorInformationLength@ResourceManager@details@Concurrency@@0KA"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_326_84_0 {
	meta:
		name = "?CommitStolenCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@@Z"
		size = 291
		refs = "00bb ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 00cb ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B 7A 20 33 ED 4C 8B F1 4C 89 7C 24 68 39 69 1C 0F 86 E3 00 00 00 8B FD 33 DB 48 C1 E7 06 42 39 5C 3F 08 0F 86 C4 00 00 00 4A 8B 44 3F 38 45 33 ED 48 8D 34 DB 45 8D 65 01 45 39 66 0C 0F 86 9D 00 00 00 4C 8B F8 49 8B 46 78 41 8B CC 48 8B 0C C8 48 8B 49 10 83 B9 9C 00 00 00 00 76 70 48 8B 51 20 48 03 D7 4C 8B 42 38 41 83 3C F0 05 75 5E 41 83 3C F7 04 75 45 41 8B 44 F7 28 85 C0 75 32 41 38 44 F0 40 75 2B 45 85 ED 75 26 49 8B 44 F0 20 FF 00 41 C7 04 F0 04 00 00 00 45 38 6C F0 41 75 08 44 8B C3 E8 ?? ?? ?? ?? 41 BD 01 00 00 00 EB 1C 44 8B C3 E8 ?? ?? ?? ?? EB 12 49 8B 44 F0 20 FF 00 48 8B 42 38 C7 04 F0 04 00 00 00 41 FF C4 45 3B 66 0C 0F 82 6B FF FF FF 4C 8B 7C 24 68 FF C3 42 3B 5C 3F 08 0F 82 3C FF FF FF FF C5 41 3B 6E 1C 0F 82 1D FF FF FF 48 8B 5C 24 70 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_326_85_0 {
	meta:
		name = "?ComputeDesiredHWThreadsWithExternalThread@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 49
	strings:
		$1 = { 8B 91 EC 00 00 00 44 8B 81 E8 00 00 00 44 03 81 B0 00 00 00 41 3B D0 41 8B C0 0F 42 C2 FF C0 3B D0 72 0B 41 3B D0 44 0F 42 C2 41 8D 50 01 8B C2 C3 }
	condition:
		$1
}

rule file_326_86_0 {
	meta:
		name = "?ComputeMinHWThreadsWithExternalThread@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 67
	strings:
		$1 = { 44 8B 91 E8 00 00 00 8B 91 B4 00 00 00 44 8B 81 DC 00 00 00 44 8B 89 EC 00 00 00 45 2B C2 8B C2 44 3B C2 41 0F 47 C0 FF C0 41 03 C2 44 3B C8 72 0E 44 3B C2 45 8D 4A 01 41 0F 47 D0 44 03 CA 41 8B C1 C3 }
	condition:
		$1
}

rule file_326_88_0 {
	meta:
		name = "?CreateAllocatedNodeData@ResourceManager@details@Concurrency@@QEAAPEAUSchedulerNode@23@XZ"
		size = 354
		refs = "0035 ??_U@YAPEAX_K@Z 004a memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 8B 51 1C 48 8B E9 48 C7 C1 FF FF FF FF B8 40 00 00 00 48 F7 E2 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 44 8B 45 1C 33 D2 49 C1 E0 06 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 33 F6 39 75 1C 0F 86 ED 00 00 00 4C 8B 7D 60 8B FE 48 C7 C1 FF FF FF FF 48 C1 E7 06 B8 48 00 00 00 42 0F 10 04 3F 0F 11 04 1F 42 0F 10 4C 3F 10 0F 11 4C 1F 10 44 8B 74 1F 08 49 F7 E6 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C8 48 85 C0 74 1E 41 8D 4E FF 85 C9 78 19 48 83 C0 10 83 20 00 48 83 60 08 00 FF C9 48 8D 40 48 79 F0 EB 03 45 33 C9 8B 44 1F 08 33 D2 49 8B C9 4C 8D 04 C0 4C 89 4C 1F 38 49 C1 E0 03 E8 ?? ?? ?? ?? 45 33 C9 44 39 4C 1F 08 76 56 4A 8B 44 3F 30 48 8B 4C 1F 38 4B 8D 14 C9 4F 8D 04 49 41 FF C1 49 C1 E0 04 F2 41 0F 10 04 00 F2 0F 11 04 D1 41 8B 44 00 08 89 44 D1 08 48 8B 44 1F 38 C7 04 D0 01 00 00 00 4A 8B 4C 3F 30 48 8B 44 1F 38 48 83 C1 18 49 03 C8 48 89 4C D0 20 44 3B 4C 1F 08 72 AA FF C6 3B 75 1C 0F 82 13 FF FF FF 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_326_89_0 {
	meta:
		name = "?CreateDynamicRMWorker@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 117
		refs = "001a ?DynamicRMThreadProc@ResourceManager@details@Concurrency@@CAKPEAX@Z 0026 ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 0041 ?__SetThreadPriority@platform@details@Concurrency@@YAXPEAXH@Z 0047 __imp_GetLastError 005f ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0066 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0070 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 50 48 83 64 24 28 00 83 64 24 20 00 48 8B D9 4C 8B C9 4C 8D 05 ?? ?? ?? ?? BA 00 00 01 00 33 C9 E8 ?? ?? ?? ?? 48 89 43 68 48 85 C0 74 12 BA 0F 00 00 00 48 8B C8 48 83 C4 50 5B E9 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_326_92_0 {
	meta:
		name = "?CreateSchedulerProxy@ResourceManager@details@Concurrency@@AEAAPEAVSchedulerProxy@23@PEAUIScheduler@3@@Z"
		size = 117
		refs = "0032 ??2@YAPEAX_K@Z 0051 ??0SchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z 005e ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 30 49 C7 43 E8 FE FF FF FF 49 89 5B 08 49 89 73 20 48 8B FA 48 8B F1 48 8B 02 49 8D 53 10 48 8B CF FF 50 10 90 B9 10 01 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 33 DB 48 85 C0 74 16 4C 8D 4C 24 48 4C 8B C6 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_326_95_0 {
	meta:
		name = "?CreateSingleton@ResourceManager@details@Concurrency@@SAPEAV123@XZ"
		size = 236
		refs = "0012 ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 0034 ?_Sleep0@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0056 ?s_pResourceManager@ResourceManager@details@Concurrency@@0PEAV123@EA 0065 ??2@YAPEAX_K@Z 0077 ??0ResourceManager@details@Concurrency@@AEAA@XZ 0085 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 00ce ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 BB 01 00 00 00 8B C3 87 05 ?? ?? ?? ?? 85 C0 74 27 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B C3 87 05 ?? ?? ?? ?? 85 C0 75 EA 48 8B 0D ?? ?? ?? ?? 48 85 C9 75 25 B9 E8 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB EB 3E E8 ?? ?? ?? ?? 48 8B D8 8B 43 08 85 C0 74 0C 8D 48 01 F0 0F B1 4B 08 74 3C EB ED B9 E8 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB 48 8B 03 48 8B CB FF 10 48 8B CB E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_326_99_0 {
	meta:
		name = "?CurrentSubscriptionLevel@ResourceManager@details@Concurrency@@QEAAIII@Z"
		size = 161
		refs = "0029 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0080 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F1 48 83 C1 30 41 8B E8 44 8B F2 33 FF E8 ?? ?? ?? ?? 4C 8B 8E 98 00 00 00 4D 85 C9 74 04 4D 8B 49 30 4D 85 C9 74 39 4C 8D 04 ED 00 00 00 00 49 8B D6 48 C1 E2 06 4C 03 C5 49 8B 41 20 48 8B 4C 10 38 42 8B 44 C1 28 03 F8 4C 3B 8E 98 00 00 00 74 06 4D 8B 49 30 EB 03 45 33 C9 4D 85 C9 75 D9 48 8D 4E 30 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_326_102_0 {
	meta:
		name = "?DestroyAllocatedNodeData@ResourceManager@details@Concurrency@@QEAAXPEAUSchedulerNode@23@@Z"
		size = 74
		refs = "0028 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 39 59 1C 76 17 8B CB 48 C1 E1 06 48 8B 4C 39 38 E8 ?? ?? ?? ?? FF C3 3B 5E 1C 72 E9 48 8B CF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_103_0 {
	meta:
		name = "?DetermineTopology@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 997
		refs = "001e ?s_numaNodeCount@ResourceManager@details@Concurrency@@0IA 0031 ?s_nodeCount@ResourceManager@details@Concurrency@@0IA 003d ?s_coreCount@ResourceManager@details@Concurrency@@0IA 0054 ??_U@YAPEAX_K@Z 006a memset 00b3 ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 00bb ?s_pSysInfo@ResourceManager@details@Concurrency@@0PEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@EA 00d6 ?s_logicalProcessorInformationLength@ResourceManager@details@Concurrency@@0KA 00f2 ?s_countProcessorPackages@ResourceManager@details@Concurrency@@0_NA 0132 ?Initialize@GlobalNode@details@Concurrency@@QEAAXPEAVResourceManager@23@GG_KII@Z 01e0 ?CleanupTopologyInformation@ResourceManager@details@Concurrency@@CAXXZ 01f4 ?s_pUserAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA 023d ?s_processAffinityMask@ResourceManager@details@Concurrency@@0_KA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 8B 05 ?? ?? ?? ?? 48 8B F9 48 C7 C6 FF FF FF FF 89 41 18 8B 05 ?? ?? ?? ?? 8B 51 18 89 41 1C 8B 05 ?? ?? ?? ?? 89 41 20 B8 10 00 00 00 48 F7 E2 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 44 8B 47 18 33 D2 49 C1 E0 04 48 8B C8 48 89 47 58 E8 ?? ?? ?? ?? 8B 5F 1C 8D 46 41 48 F7 E3 48 0F 40 C6 48 83 C0 08 48 0F 42 C6 48 8B C8 E8 ?? ?? ?? ?? 45 33 ED 48 85 C0 74 08 89 18 48 8D 48 08 EB 03 49 8B CD 44 8B 47 1C 33 D2 48 89 4F 60 49 C1 E0 06 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 04 48 8B 35 ?? ?? ?? ?? BD 01 00 00 00 0F 8C 22 01 00 00 45 33 C0 45 8B E5 45 8B F5 44 39 05 ?? ?? ?? ?? 0F 86 FF 00 00 00 8B 0E FF C9 74 68 83 F9 02 0F 85 D4 00 00 00 44 38 05 ?? ?? ?? ?? 0F 84 C7 00 00 00 45 8B F8 48 8D 5E 28 48 8B 43 F8 48 85 C0 74 30 44 0F B7 0B 44 89 44 24 30 44 89 44 24 28 41 8B CE 45 0F B7 C6 48 8B D7 48 C1 E1 06 48 89 44 24 20 48 03 4F 60 E8 ?? ?? ?? ?? 44 03 F5 45 33 C0 0F B7 46 1E 44 03 FD 48 83 C3 10 44 3B F8 7C B7 EB 75 44 38 05 ?? ?? ?? ?? 75 45 48 8B 56 20 48 85 D2 74 3C 48 8B 4F 60 44 0F B7 4E 28 44 89 44 24 30 44 89 44 24 28 48 89 54 24 20 41 8B DE 48 C1 E3 06 45 0F B7 C6 48 8B D7 48 03 CB E8 ?? ?? ?? ?? 48 8B 4F 60 8B 46 08 89 44 0B 18 44 03 F5 4C 8B 46 20 4D 85 C0 74 1E 0F B7 4E 28 8B 46 08 41 8B D5 48 C1 E2 04 48 03 57 58 44 03 ED 89 42 0C 89 4A 08 4C 89 02 8B 46 04 41 B8 00 00 00 00 44 03 E0 48 03 F0 44 3B 25 ?? ?? ?? ?? 0F 82 01 FF FF FF E8 ?? ?? ?? ?? 45 33 ED E9 77 01 00 00 48 85 F6 75 7D 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 3D 44 0F B7 00 41 0F B7 CD 66 45 3B E8 73 1B 48 8B 50 08 0F B7 C1 48 03 C0 66 44 39 6C C2 08 74 11 66 03 CD 66 41 3B C8 72 E9 49 8B C5 48 8B 18 EB 13 0F B7 C1 48 C1 E0 04 48 03 C2 EB EF 48 8B 1D ?? ?? ?? ?? 48 8B 4F 60 44 89 6C 24 30 45 33 C9 45 33 C0 48 8B D7 44 89 6C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 48 8B 47 58 48 89 18 E9 F5 00 00 00 44 39 2D ?? ?? ?? ?? 45 8B FD 45 8B F5 45 8B E5 0F 86 DA 00 00 00 8B 4E 08 FF C9 74 50 83 F9 02 0F 85 B5 00 00 00 44 38 2D ?? ?? ?? ?? 0F 84 A8 00 00 00 48 8B 06 48 85 C0 0F 84 9C 00 00 00 44 89 6C 24 30 41 8B CE 45 33 C9 48 C1 E1 06 45 0F B7 C6 48 8B D7 48 03 4F 60 44 89 6C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 44 03 F5 EB 6E 44 38 2D ?? ?? ?? ?? 75 42 48 8B 16 48 85 D2 74 5D 48 8B 4F 60 44 89 6C 24 30 41 8B DE 48 C1 E3 06 44 89 6C 24 28 48 89 54 24 20 45 33 C9 45 0F B7 C6 48 8B D7 48 03 CB E8 ?? ?? ?? ?? 48 8B 4F 60 8B 46 10 89 44 0B 18 44 03 F5 48 8B 16 48 85 D2 74 1B 8B 46 10 41 8B CC 48 C1 E1 04 48 03 4F 58 44 03 E5 89 41 0C 44 89 69 08 48 89 11 41 83 C7 20 48 83 C6 20 44 3B 3D ?? ?? ?? ?? 0F 82 26 FF FF FF E8 ?? ?? ?? ?? 44 38 2D ?? ?? ?? ?? 74 5B 41 8B D5 44 39 6F 1C 76 52 41 8B CD 44 39 6F 18 76 42 4C 8B 57 60 4C 8B 4F 58 44 8B C2 49 C1 E0 06 47 8B 5C 10 10 8B C1 48 03 C0 45 3B 5C C1 08 75 0A 49 8B 04 C1 4B 85 04 10 75 09 03 CD 3B 4F 18 73 11 EB E1 8B C1 48 03 C0 41 8B 44 C1 0C 43 89 44 10 18 03 D5 3B 57 1C 72 AE 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_326_104_0 {
	meta:
		name = "?DiscardExistingSchedulerStatistics@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 113
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 20 48 8B 99 98 00 00 00 48 8B F9 48 85 DB EB 3E 8B 83 A8 00 00 00 48 8B 4B 10 83 64 24 40 00 83 64 24 38 00 89 44 24 30 48 8B 01 4C 8D 4C 24 30 4C 8D 44 24 38 48 8D 54 24 40 FF 50 08 8B 44 24 30 89 83 A8 00 00 00 48 3B 9F 98 00 00 00 74 06 48 8B 5B 30 EB 02 33 DB 48 85 DB 75 B3 48 8B 5C 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_105_0 {
	meta:
		name = "?DistributeCoresToSurvivingScheduler@ResourceManager@details@Concurrency@@AEAA_NXZ"
		size = 508
		refs = "0071 ?AdjustAllocationIncrease@SchedulerProxy@details@Concurrency@@QEBAII@Z 016d ?AddCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I_N@Z 0187 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 01ba ?SendResourceNotifications@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 FF 4C 8B F1 48 39 B9 98 00 00 00 0F 84 BF 01 00 00 48 8B 99 98 00 00 00 48 85 DB 74 06 48 8B 5B 30 EB 03 48 8B DF 8B 8B EC 00 00 00 8B 93 E8 00 00 00 03 93 B0 00 00 00 3B CA 8B C2 0F 42 C1 39 83 D0 00 00 00 72 0C 39 BB D8 00 00 00 0F 86 3E 01 00 00 3B CA 0F 42 D1 48 8B CB E8 ?? ?? ?? ?? 8B 8B E8 00 00 00 8B 93 B0 00 00 00 45 8B 4E 1C 4C 8B 63 28 03 D1 44 8B E8 48 8B 43 20 44 8B FF 44 2B AB D0 00 00 00 48 89 44 24 68 8B 83 EC 00 00 00 3B C2 0F 42 D0 41 3B 56 20 0F 95 C1 45 85 C9 0F 84 EA 00 00 00 45 85 ED 0F 95 C0 22 C8 88 4C 24 60 74 63 41 8B F7 41 8D 4F 01 45 8B DF 41 8B 2C B4 44 8B C5 49 C1 E0 06 4C 03 44 24 68 41 3B C9 73 44 48 8B 74 24 68 4D 8D 14 8C 41 8B 12 41 8B 40 24 48 C1 E2 06 48 03 D6 39 42 24 76 06 44 8B D9 4C 8B C2 FF C1 49 83 C2 04 41 3B C9 72 DC 41 8B F7 45 3B FB 74 0F 41 8B CB 41 8B 04 8C 41 89 04 B4 41 89 2C 8C 41 8B C7 8B EF 41 8B 34 84 48 C1 E6 06 48 03 74 24 68 39 7E 08 76 4E 8B C5 48 8D 0C C0 48 8B 46 38 83 3C C8 01 75 22 45 85 ED 74 32 48 8B 44 C8 20 45 33 C9 44 8B C5 FF 00 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 41 FF CD EB 15 40 38 7C C8 41 74 0E 44 8B C5 48 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C5 3B 6E 08 72 B2 45 8B 4E 1C 8A 4C 24 60 41 FF C7 45 3B F9 0F 82 16 FF FF FF 8B 83 B0 00 00 00 39 83 B4 00 00 00 75 0A 33 D2 49 8B CE E8 ?? ?? ?? ?? 8B 8B EC 00 00 00 44 8B 83 E8 00 00 00 44 03 83 B0 00 00 00 41 3B C8 44 0F 42 C1 44 39 83 D0 00 00 00 0F 94 C0 EB 02 B0 01 48 8B 5C 24 70 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_326_106_0 {
	meta:
		name = "?DistributeExclusiveCores@ResourceManager@details@Concurrency@@AEAAXIIIII@Z"
		size = 394
		refs = "0076 ?FindCoreForPartiallyFilledNode@ResourceManager@details@Concurrency@@AEAA_NAEAI0PEAUDynamicAllocationData@23@I@Z 0159 ?FindBestFitExclusiveAllocation@ResourceManager@details@Concurrency@@AEAAIAEAI0PEAUDynamicAllocationData@23@II@Z"
	strings:
		$1 = { 48 89 5C 24 08 44 89 4C 24 20 44 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 44 8B AC 24 98 00 00 00 8B 9C 24 90 00 00 00 8B EA 48 8B F1 45 32 FF 85 DB 74 55 33 FF 4C 8B F3 48 8B 86 88 00 00 00 4C 8B 0C 07 41 83 79 04 00 76 30 41 8B 41 2C 41 39 41 28 76 26 4C 8D 84 24 88 00 00 00 48 8D 94 24 80 00 00 00 48 8B CE 41 B7 01 44 89 6C 24 20 E8 ?? ?? ?? ?? 84 C0 74 02 FF CD 48 83 C7 08 49 FF CE 75 B5 45 84 FF 75 A4 85 ED 0F 84 DF 00 00 00 45 33 D2 85 DB 74 7D 45 8D 5A 01 41 8B FA 45 8B C3 44 3B DB 73 4D 4C 8B B6 88 00 00 00 45 8B CB 49 C1 E1 03 4B 8B 14 31 8B C7 4D 8D 49 08 49 8B 0C C6 8B 41 04 39 42 04 41 0F 47 F8 41 FF C0 44 3B C3 72 E0 44 3B D7 74 1A 49 8B 04 FE 41 8B D2 4D 8B 04 D6 49 89 04 D6 48 8B 86 88 00 00 00 4C 89 04 F8 48 8B 86 88 00 00 00 41 8B CA 48 8B 0C C8 83 79 04 00 74 0A 45 8B D3 44 3B DB 72 88 EB 03 41 8B DA 44 8B F3 45 85 F6 74 4F 33 FF 4D 8B E6 48 8B 86 88 00 00 00 4C 8B 3C 07 41 83 7F 04 00 76 2F 4C 8D 84 24 88 00 00 00 48 8D 94 24 80 00 00 00 4D 8B CF 48 8B CE 44 89 6C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 2B E8 41 83 7F 04 00 75 02 FF CB 48 83 C7 08 49 FF CC 75 B6 85 ED 75 A8 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_326_107_0 {
	meta:
		name = "?DistributeIdleCores@ResourceManager@details@Concurrency@@AEAAXII@Z"
		size = 458
		refs = "0092 ?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z 018f ?FindBestFitIdleAllocation@ResourceManager@details@Concurrency@@AEAAIIPEAUDynamicAllocationData@23@I@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 41 8B D8 8B F2 48 8B E9 45 32 ED 45 33 F6 85 DB 0F 84 A2 00 00 00 45 33 FF 85 F6 0F 84 8E 00 00 00 48 8B 85 88 00 00 00 49 8B 3C 07 83 7F 04 00 76 6D 44 8B 4F 2C 44 39 4F 28 76 63 48 8B 57 10 41 B5 01 48 8B 42 20 48 8B 4A 28 46 8B 04 89 48 89 44 24 78 48 8B 45 60 45 8B E0 49 C1 E4 06 42 83 7C 20 28 00 76 31 41 B9 01 00 00 00 48 8B CD 44 88 6C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 78 41 8B 44 0C 08 41 39 44 0C 24 75 03 FF 47 2C 83 C8 FF 01 47 04 03 F0 EB 07 41 8D 41 01 89 47 2C 41 FF C6 49 83 C7 08 44 3B F3 0F 82 6A FF FF FF 45 84 ED 0F 85 50 FF FF FF 85 F6 0F 84 D1 00 00 00 45 33 D2 85 DB 74 7D 45 8D 5A 01 41 8B FA 45 8B C3 44 3B DB 73 4D 4C 8B B5 88 00 00 00 45 8B CB 49 C1 E1 03 4B 8B 14 31 8B C7 4D 8D 49 08 49 8B 0C C6 8B 41 04 39 42 04 41 0F 47 F8 41 FF C0 44 3B C3 72 E0 44 3B D7 74 1A 49 8B 04 FE 41 8B D2 4D 8B 04 D6 49 89 04 D6 48 8B 85 88 00 00 00 4C 89 04 F8 48 8B 85 88 00 00 00 41 8B CA 48 8B 0C C8 83 79 04 00 74 0A 45 8B D3 44 3B DB 72 88 EB 03 41 8B DA 44 8B E3 33 FF 45 85 E4 74 3F 45 33 F6 85 F6 74 3C 48 8B 85 88 00 00 00 4D 8B 3C 06 41 83 7F 04 00 76 1B 44 8B CB 4D 8B C7 8B D6 48 8B CD E8 ?? ?? ?? ?? 2B F0 41 83 7F 04 00 75 02 FF CB FF C7 49 83 C6 08 41 3B FC 72 C4 85 F6 75 B6 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_326_108_0 {
	meta:
		name = "?DoCoreMigration@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 663
		refs = "0020 ?PopulateDynamicAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ 0028 ?PreProcessDynamicAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ 0178 ?IncreaseFullyLoadedSchedulerAllocations@ResourceManager@details@Concurrency@@AEAAXXZ 01e5 ?AdjustDynamicAllocation@ResourceManager@details@Concurrency@@AEAAIIII@Z 01f1 ?PrepareReceiversForCoreTransfer@ResourceManager@details@Concurrency@@AEAAII@Z 022b ?DistributeExclusiveCores@ResourceManager@details@Concurrency@@AEAAXIIIII@Z 0264 ?DistributeIdleCores@ResourceManager@details@Concurrency@@AEAAXII@Z 0293 ?ResetGlobalAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B F9 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 33 F6 44 8B E6 44 8B EE 44 8B DE 39 77 0C 0F 86 A7 00 00 00 48 8B 47 78 41 8B CB 4C 8B 04 C8 49 8B 40 10 8B 88 D0 00 00 00 41 3B 48 24 76 7D 48 8B 87 80 00 00 00 41 8B CD 41 FF C5 4C 89 04 C8 41 8B 58 24 49 8B 68 10 8B 95 D0 00 00 00 41 8B 70 1C 8B C2 2B C3 44 03 E0 8B C2 2B C3 3B F0 73 04 8B D6 EB 02 2B D3 41 89 50 28 44 8B 95 D0 00 00 00 44 8B 8D D8 00 00 00 41 8B CA 41 8B C1 2B CB 2B C6 2B CA 3B C1 73 05 44 2B CE EB 09 44 2B D3 44 2B D2 45 8B CA 45 89 48 2C 8B 85 D0 00 00 00 2B C3 41 2B C1 2B C2 41 89 40 30 41 FF C3 44 3B 5F 0C 0F 82 5B FF FF FF 33 F6 44 8B FE 89 77 24 44 8B C6 39 77 1C 76 5A 41 8B C8 44 8B CE 48 C1 E1 06 48 03 4F 60 39 71 08 76 3E 41 8B C1 48 8D 14 40 48 C1 E2 04 48 03 51 30 8B 42 18 85 C0 75 0E C7 02 02 00 00 00 FF 41 0C 41 FF C7 EB 11 3B 42 24 75 0C C7 02 06 00 00 00 FF 41 28 FF 47 24 41 FF C1 44 3B 49 08 72 C2 41 FF C0 44 3B 47 1C 72 A6 47 8D 34 27 89 77 28 45 85 F6 75 09 39 77 24 0F 86 0F 01 00 00 83 7F 28 02 0F 83 05 01 00 00 83 7F 28 01 75 08 48 8B CF E8 ?? ?? ?? ?? 8B EE 8B DE 8B D6 39 77 0C 0F 86 E0 00 00 00 48 8B 47 78 8B CA 4C 8B 04 C8 49 8B 40 10 8B 88 D0 00 00 00 41 3B 48 24 73 1F 48 8B 87 88 00 00 00 8B CD FF C5 4C 89 04 C8 49 8B 40 10 41 8B 48 24 2B 88 D0 00 00 00 03 D9 FF C2 3B 57 0C 72 C0 85 ED 0F 84 98 00 00 00 45 85 F6 74 5E 44 8B CD 44 8B C3 41 8B D6 48 8B CF E8 ?? ?? ?? ?? 8B D5 48 8B CF 8B F0 E8 ?? ?? ?? ?? 45 33 C9 44 3B FE 44 8B C6 45 0F 42 C7 45 2B F8 44 3B C6 73 12 45 8B CC 8B CE 41 2B C8 41 3B CC 44 0F 42 C9 45 2B E1 8B D6 48 8B CF 44 89 6C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 44 2B F6 2B DE 33 F6 85 DB 74 31 8B 57 24 85 D2 74 2A 44 8B CD 44 8B C3 48 8B CF E8 ?? ?? ?? ?? 8B D5 48 8B CF 8B D8 E8 ?? ?? ?? ?? 8B D3 44 8B C0 48 8B CF E8 ?? ?? ?? ?? 29 5F 24 FF 47 28 E9 E3 FE FF FF 48 8B CF 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_110_0 {
	meta:
		name = "?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z"
		size = 163
		refs = "007b ?AddCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I_N@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 48 8B 79 60 41 8B D8 45 8B F1 48 C1 E3 06 33 F6 4C 8B FA 48 8D 0C 76 48 C1 E1 04 48 03 4C 3B 30 83 39 02 75 07 80 7C 24 50 00 74 0C 83 39 06 75 3A 80 7C 24 50 00 74 33 FF 41 18 83 21 00 80 7C 24 50 00 74 06 FF 4C 3B 28 EB 04 FF 4C 3B 0C 49 8B 57 20 44 8A 4C 24 50 44 8B C6 48 03 D3 49 8B CF E8 ?? ?? ?? ?? 41 FF CE 74 04 FF C6 EB A4 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_326_111_0 {
	meta:
		name = "?DynamicMigrateCores@ResourceManager@details@Concurrency@@AEAAXPEAUDynamicAllocationData@23@PEAVSchedulerProxy@23@II@Z"
		size = 470
		refs = "0143 ?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z 0178 ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0197 ?AddCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I_N@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 48 44 8B 9C 24 B0 00 00 00 48 8B 42 10 45 8B F1 4C 8B 78 20 49 C1 E6 06 48 89 44 24 38 4D 03 FE 41 8B C3 45 8B E3 45 8B 4F 34 45 8B 6F 28 45 8B 47 30 45 3B D9 45 8B D1 48 8B FA 45 0F 42 D3 45 2B E9 4C 89 74 24 30 41 2B C2 44 89 94 24 98 00 00 00 41 3B C5 44 0F 42 E8 45 2B C1 45 2B E5 45 2B E2 45 3B E0 45 0F 42 C4 33 ED 45 2B E0 41 83 CB FF 44 89 84 24 A8 00 00 00 49 8B 47 38 48 8D 0C ED 00 00 00 00 48 03 CD 48 8D 1C C8 83 3B 04 0F 85 0F 01 00 00 83 7B 38 00 0F 87 05 01 00 00 80 7B 41 00 40 8A 73 40 74 25 40 84 F6 74 12 45 85 D2 74 0D 45 03 D3 44 89 94 24 98 00 00 00 EB 31 45 85 ED 0F 84 DB 00 00 00 45 03 EB EB 23 40 84 F6 74 12 45 85 C0 74 0D 45 03 C3 44 89 84 24 A8 00 00 00 EB 0C 45 85 E4 0F 84 B6 00 00 00 45 03 E3 48 8B 8C 24 90 00 00 00 48 8D 04 6D 00 00 00 00 4C 8B 49 60 48 03 C5 4D 03 CE 48 C1 E0 04 49 03 41 30 40 84 F6 74 19 4C 8B C3 49 8B D7 48 89 7C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 41 83 CB FF 45 32 F6 44 38 73 41 74 14 41 B6 01 40 84 F6 74 06 44 01 5F 28 EB 0A 44 01 5F 2C EB 04 44 01 5F 30 48 8B 4C 24 38 44 8B C5 49 8B D7 E8 ?? ?? ?? ?? 48 8B B4 24 A0 00 00 00 48 8B 54 24 30 48 03 56 20 45 8A CE 44 8B C5 48 8B CE E8 ?? ?? ?? ?? 41 83 CB FF 44 01 9C 24 B0 00 00 00 74 1C 44 8B 84 24 A8 00 00 00 44 8B 94 24 98 00 00 00 4C 8B 74 24 30 FF C5 E9 CE FE FF FF 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_326_112_0 {
	meta:
		name = "?DynamicRMThreadProc@ResourceManager@details@Concurrency@@CAKPEAX@Z"
		size = 23
		refs = "0005 ?DynamicResourceManager@ResourceManager@details@Concurrency@@AEAAXXZ 000c ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_326_113_0 {
	meta:
		name = "?DynamicResourceManager@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 280
		refs = "0025 ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ 0050 __imp_WaitForSingleObjectEx 005b ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0078 ?DoCoreMigration@ResourceManager@details@Concurrency@@AEAAXXZ 0099 ?DiscardExistingSchedulerStatistics@ResourceManager@details@Concurrency@@AEAAXXZ 00ab ?SendResourceNotifications@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z 00db ?DistributeCoresToSurvivingScheduler@ResourceManager@details@Concurrency@@AEAA_NXZ 00ef ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 48 8B F9 BE 64 00 00 00 E8 ?? ?? ?? ?? 48 8D A8 0C FE FF FF 8B 47 2C 83 F8 02 0F 84 C9 00 00 00 48 8D 5F 30 48 89 5C 24 50 45 33 C0 8B D6 48 8B 4F 70 FF 15 ?? ?? ?? ?? 44 8B F0 48 8B CB E8 ?? ?? ?? ?? 90 8B 4F 2C 85 C9 74 70 FF C9 75 7E 41 81 FE 02 01 00 00 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 21 E8 ?? ?? ?? ?? 48 8B D8 2B DD 83 FB 64 76 31 81 FB 82 00 00 00 76 0A 48 8B CF E8 ?? ?? ?? ?? EB 10 83 7F 14 00 76 0A 33 D2 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B E8 BE 64 00 00 00 EB 2B 83 7F 14 00 76 0A 33 D2 48 8B CF E8 ?? ?? ?? ?? BE 64 00 00 00 2B F3 EB 12 48 8B CF E8 ?? ?? ?? ?? F6 D8 1B F6 83 E6 9B 83 C6 64 48 8B 4C 24 50 E8 ?? ?? ?? ?? 8B 47 2C 83 F8 02 74 0A 48 8B 5C 24 50 E9 40 FF FF FF 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_326_116_0 {
	meta:
		name = "?FindBestFitExclusiveAllocation@ResourceManager@details@Concurrency@@AEAAIAEAI0PEAUDynamicAllocationData@23@II@Z"
		size = 939
		refs = "0286 ?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z 035b ?DynamicMigrateCores@ResourceManager@details@Concurrency@@AEAAXPEAUDynamicAllocationData@23@PEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 4C 89 4C 24 20 4C 89 44 24 18 48 89 54 24 10 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 78 49 8B 41 10 45 33 DB 83 BC 24 E0 00 00 00 01 4C 8B 50 20 4C 8B 70 28 49 8B F1 4D 8B F8 4C 8B E9 4C 89 54 24 40 4C 89 74 24 60 75 0A 44 88 9C 24 E0 00 00 00 EB 0B 41 8A 41 20 88 84 24 E0 00 00 00 45 8B 49 2C 83 C9 FF 44 89 5C 24 38 89 8C 24 C0 00 00 00 41 8B DB 41 8B FB 44 89 5C 24 34 45 3B 4D 1C 0F 83 0A 03 00 00 4F 8D 04 8E 4C 89 44 24 50 45 8B 00 49 C1 E0 06 47 39 5C 10 24 0F 85 3B 01 00 00 43 8B 6C 10 08 45 8B E3 45 8B D3 39 6E 04 0F 42 6E 04 44 39 1A 76 1C 49 8B 45 60 41 8B 4C 00 0C 85 C9 74 0F 39 0A 44 8B E1 41 BA 01 00 00 00 44 0F 42 22 41 83 3F 00 0F 86 D0 00 00 00 33 FF 39 BC 24 E8 00 00 00 0F 86 BD 00 00 00 45 3B 1F 0F 83 A4 00 00 00 49 8B 85 80 00 00 00 48 8B 14 F8 48 89 54 24 48 4C 8B 72 10 41 8B 86 D0 00 00 00 3B 42 24 76 75 49 8B 4E 20 41 8B 44 08 24 41 2B 44 08 2C 89 44 24 30 74 61 41 8B 4C 08 34 49 8B 46 20 8B 52 28 41 8B 44 00 28 3B CA 49 8B F6 4D 8B 76 20 0F 42 D1 2B C1 48 8B 4C 24 48 8B 49 2C 3B C1 0F 42 C8 8B 44 24 30 43 2B 44 30 28 89 44 24 30 48 8B 44 24 48 8B 40 30 39 44 24 30 0F 42 44 24 30 03 C8 03 CA 74 11 41 8B 07 41 2B C3 3B C1 0F 42 C8 44 03 D9 41 FF C2 FF C7 3B BC 24 E8 00 00 00 0F 82 53 FF FF FF 48 8B B4 24 D8 00 00 00 48 8B 94 24 C8 00 00 00 8B 7C 24 34 43 8D 04 23 45 33 DB 44 38 9C 24 E0 00 00 00 0F 84 84 00 00 00 3B C5 75 09 44 3B D7 0F 87 86 00 00 00 8B 8C 24 C0 00 00 00 4C 8B 54 24 40 4C 8B 44 24 50 41 FF C1 49 83 C0 04 4C 89 44 24 50 45 3B 4D 1C 0F 82 98 FE FF FF 4C 8B 74 24 60 83 F9 FF 0F 84 8B 01 00 00 8B 46 04 44 8B E1 47 8B 3C A6 3B C3 0F 42 D8 2B C3 89 5C 24 38 89 46 04 44 39 1A 76 72 49 8B 45 60 41 8B CF 48 C1 E1 06 8B 7C 01 0C 85 FF 74 5F 39 3A 8B C7 0F 42 02 3B C3 73 2F 39 3A 0F 42 3A EB 2A 3B DD 73 04 3B C3 77 07 3B C3 E9 6F FF FF FF 41 8B C9 8B D8 41 8B FA 89 8C 24 C0 00 00 00 44 89 54 24 34 E9 68 FF FF FF 8B FB 48 8B 56 10 44 8B CF 45 8B C7 49 8B CD 44 88 5C 24 20 E8 ?? ?? ?? ?? 48 8B 84 24 C8 00 00 00 29 38 2B DF 85 DB 0F 84 D8 00 00 00 4C 8B 9C 24 D0 00 00 00 41 83 3B 00 0F 86 C6 00 00 00 33 ED 3B AC 24 E8 00 00 00 0F 83 B7 00 00 00 41 83 3B 00 0F 86 AD 00 00 00 49 8B 85 80 00 00 00 4C 8B 14 E8 49 8B 4A 10 8B 81 D0 00 00 00 41 3B 42 24 0F 86 84 00 00 00 4D 8B C7 49 C1 E0 06 4C 03 41 20 45 8B 48 24 45 2B 48 2C 74 6F 41 8B 52 28 41 8B 4A 2C 41 8B 40 28 41 39 50 34 41 0F 42 50 34 41 2B 40 34 3B C1 0F 42 C8 45 2B 48 28 41 8B 42 30 44 3B C8 41 0F 42 C1 8D 3C 08 03 FA 74 3B 41 39 3B 8B C7 41 0F 42 03 3B C3 73 09 41 39 3B 41 0F 42 3B EB 02 8B FB 4C 8B 46 10 45 8B CF 49 8B D2 49 8B CD 89 7C 24 20 E8 ?? ?? ?? ?? 4C 8B 9C 24 D0 00 00 00 41 29 3B 2B DF FF C5 85 DB 0F 85 3C FF FF FF 8B 56 2C 43 8B 04 A6 41 8B 0C 96 41 89 04 96 43 89 0C A6 FF 46 2C C6 46 20 01 EB 04 44 88 5E 20 8B 44 24 38 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_326_117_0 {
	meta:
		name = "?FindBestFitIdleAllocation@ResourceManager@details@Concurrency@@AEAAIIPEAUDynamicAllocationData@23@I@Z"
		size = 279
		refs = "00d1 ?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 4D 8B 58 10 33 FF 49 8B F0 4D 8B 6B 20 4D 8B 73 28 44 8B E2 4C 8B F9 41 83 F9 01 75 05 44 8A C7 EB 04 45 8A 40 20 8B 4E 2C BB FF FF FF FF 44 8B D7 41 3B 4F 1C 0F 83 9D 00 00 00 8B C1 45 8B 0C 86 49 C1 E1 06 43 39 7C 29 24 75 3E 43 8B 6C 29 08 49 8B 47 60 8B D7 39 6E 04 41 8B 44 01 28 0F 42 6E 04 85 C0 74 09 8B D0 44 3B E0 41 0F 42 D4 45 84 C0 74 06 3B D5 74 07 EB 0F 41 3B D2 76 0A 8B D9 44 8B D2 45 84 C0 75 08 FF C1 41 3B 4F 1C 72 A9 83 FB FF 74 41 44 39 56 04 45 8B 04 9E 41 8B FA 0F 42 7E 04 49 8B D3 49 8B CF 44 8B CF C6 44 24 20 01 E8 ?? ?? ?? ?? 29 7E 04 8B 56 2C 41 8B 04 9E 41 8B 0C 96 41 89 04 96 41 89 0C 9E FF 46 2C C6 46 20 01 EB 04 40 88 7E 20 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 8B C7 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_326_118_0 {
	meta:
		name = "?FindCoreForPartiallyFilledNode@ResourceManager@details@Concurrency@@AEAA_NAEAI0PEAUDynamicAllocationData@23@I@Z"
		size = 341
		refs = "006b ?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z 00f8 ?DynamicMigrateCores@ResourceManager@details@Concurrency@@AEAAXPEAUDynamicAllocationData@23@PEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 44 24 18 56 57 41 55 41 56 41 57 48 83 EC 30 49 8B D9 4C 8B F2 45 33 C9 48 8B 53 10 4C 8B E9 41 8A F1 48 8B 42 20 4C 8B 52 28 48 89 44 24 78 8B 43 2C 45 8B 14 82 41 8B FA 44 89 54 24 68 48 C1 E7 06 45 39 0E 76 29 48 8B 41 60 44 39 4C 38 0C 76 1E 44 88 4C 24 20 45 8B C2 41 B9 01 00 00 00 40 B6 01 E8 ?? ?? ?? ?? 41 FF 0E E9 AF 00 00 00 45 39 08 0F 86 BD 00 00 00 45 8B F1 44 39 8C 24 80 00 00 00 0F 86 AC 00 00 00 4D 8B F9 40 84 F6 0F 85 89 00 00 00 49 8B 85 80 00 00 00 49 8B 14 07 48 8B 4A 10 8B 81 D0 00 00 00 3B 42 24 76 55 48 8B 49 20 44 8B 44 0F 34 45 85 C0 75 1D 44 39 44 0F 28 74 06 44 39 4A 2C 77 10 8B 44 0F 24 3B 44 0F 2C 74 30 44 39 4A 30 76 2A 4C 8B 43 10 45 8B CA 49 8B CD 40 B6 01 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B 44 24 70 44 8B 54 24 68 41 FF 08 45 33 C9 41 FF C6 49 83 C7 08 44 3B B4 24 80 00 00 00 0F 82 73 FF FF FF 40 84 F6 74 17 48 8B 4C 24 78 8B 44 0F 08 39 44 0F 24 75 03 FF 43 2C FF 4B 04 EB 03 FF 43 2C 40 8A C6 48 8B 5C 24 60 48 83 C4 30 41 5F 41 5E 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_326_119_0 {
	meta:
		name = "?FindGroupAffinity@AffinityRestriction@ResourceManager@details@Concurrency@@QEAAPEAUHardwareAffinity@34@G@Z"
		size = 56
	strings:
		$1 = { 44 0F B7 09 45 33 C0 66 45 3B C1 73 1C 48 8B 49 08 41 0F B7 C0 48 03 C0 66 39 54 C1 08 74 0D 66 41 FF C0 66 45 3B C1 72 E8 33 C0 C3 41 0F B7 C0 48 C1 E0 04 48 03 C1 C3 }
	condition:
		$1
}

rule file_326_120_0 {
	meta:
		name = "?First@?$List@VSchedulerProxy@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEBAPEAVSchedulerProxy@23@XZ"
		size = 16
	strings:
		$1 = { 48 8B 51 08 33 C0 48 85 D2 74 04 48 8B 42 30 C3 }
	condition:
		$1
}

rule file_326_121_0 {
	meta:
		name = "?FlushStoreBuffers@ResourceManager@details@Concurrency@@QEAAXXZ"
		size = 58
		refs = "0006 ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 0012 __crtFlushProcessWriteBuffers 0031 __imp_VirtualProtect"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 03 7C 09 48 83 C4 28 E9 ?? ?? ?? ?? 48 8B 89 E0 00 00 00 BA 01 00 00 00 38 11 75 0F 4C 8D 4C 24 38 44 8D 42 01 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_326_124_0 {
	meta:
		name = "?GetCoreCount@ResourceManager@details@Concurrency@@SAIXZ"
		size = 130
		refs = "000f ?s_coreCount@ResourceManager@details@Concurrency@@0IA 001a ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 003a ?_Sleep0@details@Concurrency@@YAXXZ 0049 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0069 ?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 8B 05 ?? ?? ?? ?? 85 C0 75 66 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 8B 05 ?? ?? ?? ?? 85 C0 75 0D 33 C9 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_326_141_0 {
	meta:
		name = "?GetNodeCount@ResourceManager@details@Concurrency@@SAIXZ"
		size = 130
		refs = "000f ?s_nodeCount@ResourceManager@details@Concurrency@@0IA 001a ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 003a ?_Sleep0@details@Concurrency@@YAXXZ 0049 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0069 ?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 8B 05 ?? ?? ?? ?? 85 C0 75 66 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 8B 05 ?? ?? ?? ?? 85 C0 75 0D 33 C9 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_326_126_0 {
	meta:
		name = "?GetCurrentNodeAndCore@ResourceManager@details@Concurrency@@QEAAIPEAI@Z"
		size = 325
		refs = "001b ?Version@ResourceManager@details@Concurrency@@SA?AW4OSVersion@IResourceManager@3@XZ 002a ?__GetCurrentProcessorNumberEx@platform@details@Concurrency@@YAXPEAU_PROCESSOR_NUMBER@@@Z 00a4 ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 00b8 __crtGetCurrentProcessorNumber 012f ??0unsupported_os@Concurrency@@QEAA@XZ 0136 _TI2?AVunsupported_os@Concurrency@@ 0140 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 48 83 EC 40 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 83 F8 04 7C 6A 48 8D 4C 24 60 E8 ?? ?? ?? ?? 44 0F B6 5C 24 62 0F B7 6C 24 60 41 8B CB B8 01 00 00 00 D3 E0 33 D2 48 63 F0 8B C2 48 C1 E0 06 48 03 47 60 39 68 10 75 33 48 85 30 74 2E 44 8B 48 08 45 33 C0 45 85 C9 74 22 4C 8B 50 30 4B 8D 0C 40 48 03 C9 41 0F B6 44 CA 08 41 3B C3 0F 84 88 00 00 00 41 FF C0 45 3B C1 72 E2 FF C2 EB BA E8 ?? ?? ?? ?? 83 F8 02 74 1F E8 ?? ?? ?? ?? 83 F8 03 74 15 83 3D ?? ?? ?? ?? 01 75 7E 48 85 DB 74 03 83 23 00 33 C0 EB 5D E8 ?? ?? ?? ?? BA 01 00 00 00 8B C8 44 8B D0 D3 E2 48 63 F2 33 D2 8B CA 48 C1 E1 06 48 03 4F 60 48 85 31 74 2A 44 8B 49 08 45 33 C0 45 85 C9 74 1E 4C 8B 59 30 4B 8D 0C 40 48 03 C9 41 0F B6 44 CB 08 41 3B C2 74 0C 41 FF C0 45 3B C1 72 E6 FF C2 EB C3 48 85 DB 74 03 44 89 03 8B C2 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 40 5F C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_326_137_0 {
	meta:
		name = "?GetNext@TopologyObject@GlobalCore@details@Concurrency@@UEBAPEAUITopologyExecutionResource@4@XZ"
		size = 81
	strings:
		$1 = { 48 8B 51 08 48 B8 AB AA AA AA AA AA AA 2A 45 33 C0 48 8B 4A 10 4C 8B 49 30 49 2B D1 48 F7 EA 48 C1 FA 03 48 8B C2 48 C1 E8 3F 48 03 D0 FF C2 3B 51 08 73 0D 48 8D 0C 52 48 C1 E1 04 49 03 C9 EB 03 49 8B C8 48 85 C9 74 04 4C 8B 41 28 49 8B C0 C3 }
	condition:
		$1
}

rule file_326_138_0 {
	meta:
		name = "?GetNext@TopologyObject@GlobalNode@details@Concurrency@@UEBAPEAUITopologyNode@4@XZ"
		size = 55
	strings:
		$1 = { 48 8B 51 08 33 C9 48 8B 42 20 4C 8B 40 60 49 2B D0 48 C1 FA 06 FF C2 3B 50 1C 73 0B 8B C2 48 C1 E0 06 49 03 C0 EB 03 48 8B C1 48 85 C0 74 04 48 8B 48 38 48 8B C1 C3 }
	condition:
		$1
}

rule file_326_139_0 {
	meta:
		name = "?GetNextGlobalCore@GlobalNode@details@Concurrency@@QEAAPEAUGlobalCore@23@PEBU423@@Z"
		size = 54
	strings:
		$1 = { 48 2B 51 30 48 B8 AB AA AA AA AA AA AA 2A 48 F7 EA 48 C1 FA 03 48 8B C2 48 C1 E8 3F 48 03 D0 FF C2 3B 51 08 73 0D 48 8D 04 52 48 C1 E0 04 48 03 41 30 C3 33 C0 C3 }
	condition:
		$1
}

rule file_326_140_0 {
	meta:
		name = "?GetNextGlobalNode@ResourceManager@details@Concurrency@@QEAAPEAUGlobalNode@23@PEBU423@@Z"
		size = 29
	strings:
		$1 = { 48 2B 51 60 48 C1 FA 06 FF C2 3B 51 1C 73 0B 8B C2 48 C1 E0 06 48 03 41 60 C3 33 C0 C3 }
	condition:
		$1
}

rule file_326_163_0 {
	meta:
		name = "?GetTopologyInformation@ResourceManager@details@Concurrency@@CAXW4_LOGICAL_PROCESSOR_RELATIONSHIP@@@Z"
		size = 51
		refs = "0006 ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 0010 ?s_logicalProcessorInformationLength@ResourceManager@details@Concurrency@@0KA 0015 ?__GetLogicalProcessorInformationEx@platform@details@Concurrency@@YAPEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX@@W4_LOGICAL_PROCESSOR_RELATIONSHIP@@PEAK@Z 0023 ?__GetLogicalProcessorInformation@platform@details@Concurrency@@YAPEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@PEAK@Z 002a ?s_pSysInfo@ResourceManager@details@Concurrency@@0PEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@EA"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 04 7C 0E 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_326_164_0 {
	meta:
		name = "?HandleBorrowedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z"
		size = 331
		refs = "00a7 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 00fd ?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z 010b ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B 42 20 45 33 C9 4D 8B E0 4C 8B EA 4C 8B F9 48 89 44 24 60 41 8B F1 44 39 49 1C 0F 86 F0 00 00 00 44 8B F6 49 C1 E6 06 49 8D 1C 06 44 39 4B 28 0F 86 CF 00 00 00 41 8B F9 44 39 4B 08 0F 86 C2 00 00 00 48 8B 43 38 8B D7 48 8D 0C D2 48 8D 2C C8 83 7D 00 04 0F 85 9A 00 00 00 44 38 4D 41 0F 84 90 00 00 00 49 8B 47 60 48 8D 14 52 48 C1 E2 04 4A 03 54 30 30 44 8B 42 18 41 83 F8 01 75 24 44 8B C7 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 45 33 C9 44 38 4D 40 74 5E 83 C9 FF 01 4B 34 41 01 4C 24 1C EB 51 41 8B C1 41 8B C8 2B 4A 24 44 38 4D 40 0F 94 C0 3B C8 76 3D 41 8D 40 FF 89 42 18 44 38 4D 40 74 1F 4D 8B 4F 60 4C 89 64 24 28 48 89 54 24 20 4C 8B C5 48 8B D3 49 8B CF 4D 03 CE E8 ?? ?? ?? ?? 44 8B C7 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 45 33 C9 FF C7 3B 7B 08 0F 82 43 FF FF FF 48 8B 44 24 60 FF C6 41 3B 77 1C 0F 82 10 FF FF FF 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_326_165_0 {
	meta:
		name = "?HandleSharedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUDynamicAllocationData@23@@Z"
		size = 355
		refs = "0125 ?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z 0133 ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 8B 9A D0 00 00 00 44 8B 9A E8 00 00 00 44 8B 92 DC 00 00 00 44 8B 8A B4 00 00 00 4C 8B FA 49 8B F8 45 2B D3 4C 8B E9 41 8B D1 45 3B D1 44 8B C3 8B CB 41 0F 47 D2 45 2B 87 D8 00 00 00 2B 4F 1C 2B 4F 24 41 03 D3 41 8B C0 2B C2 3B C8 73 08 2B 5F 1C 2B 5F 24 EB 10 45 3B D1 41 8B D8 45 0F 47 CA 43 8D 04 0B 2B D8 4D 8B 67 20 33 ED 4C 89 64 24 78 E9 B6 00 00 00 41 3B 6D 1C 0F 83 B4 00 00 00 44 8B F5 49 C1 E6 06 4B 8D 3C 26 8B 47 24 3B 47 2C 0F 84 93 00 00 00 33 F6 85 DB 0F 84 89 00 00 00 4C 8B A4 24 80 00 00 00 3B 77 08 73 77 48 8B 47 38 48 8D 0C F6 4C 8D 04 C8 41 83 38 04 75 5F 41 83 78 38 00 77 58 41 80 78 41 00 75 51 49 8B 45 60 48 8D 0C 76 48 C1 E1 04 4A 03 4C 30 30 8B 41 18 83 F8 01 76 38 FF C8 89 41 18 41 80 78 40 00 74 1C 4D 8B 4D 60 4C 89 64 24 28 48 89 4C 24 20 48 8B D7 49 8B CD 4D 03 CE E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 49 8B CF E8 ?? ?? ?? ?? FF CB FF C6 85 DB 75 84 4C 8B 64 24 78 FF C5 85 DB 0F 85 42 FF FF FF 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_326_166_0 {
	meta:
		name = "?IncreaseFullyLoadedSchedulerAllocations@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 97
		refs = "0043 ?AdjustAllocationIncrease@SchedulerProxy@details@Concurrency@@QEBAII@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F9 39 59 0C 76 38 48 8B 47 78 48 8B 34 D8 80 7E 21 01 75 23 48 8B 4E 10 8B 81 EC 00 00 00 8B 91 E8 00 00 00 03 91 B0 00 00 00 3B C2 0F 42 D0 E8 ?? ?? ?? ?? 89 46 24 FF C3 3B 5F 0C 72 C8 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_168_0 {
	meta:
		name = "?Initialize@GlobalCore@details@Concurrency@@QEAAXPEAUGlobalNode@23@IE@Z"
		size = 97
		refs = "0026 ??2@YAPEAX_K@Z 0032 ??_7TopologyObject@GlobalCore@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B D9 B9 10 00 00 00 41 8A F9 41 8B F0 48 8B EA E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8D 0D ?? ?? ?? ?? 48 89 58 08 48 89 08 48 89 6B 10 48 8B 6C 24 38 89 73 04 48 8B 74 24 40 48 89 43 28 40 88 7B 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_169_0 {
	meta:
		name = "?Initialize@GlobalNode@details@Concurrency@@QEAAXPEAVResourceManager@23@GG_KII@Z"
		size = 471
		refs = "0030 ??2@YAPEAX_K@Z 003f ??_7TopologyObject@GlobalNode@details@Concurrency@@6B@ 00c6 ??_U@YAPEAX_K@Z 00ec memset 0138 ??_7TopologyObject@GlobalCore@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B D9 B9 10 00 00 00 41 0F B7 F9 41 0F B7 F0 48 8B EA E8 ?? ?? ?? ?? 45 33 FF 48 85 C0 74 10 48 8D 0D ?? ?? ?? ?? 48 89 58 08 48 89 08 EB 03 49 8B C7 44 8B 64 24 78 44 0F B7 EE 48 8B 74 24 70 48 89 43 38 0F B7 C7 48 89 6B 20 48 89 33 44 89 6B 14 BD 01 00 00 00 89 43 10 45 85 E4 75 20 48 8B CE 41 0F B7 D7 48 85 F6 74 0C 48 8D 41 FF 66 03 D5 48 23 C8 75 F4 0F B7 C2 89 43 08 EB 04 44 89 63 08 8B 7B 08 48 C7 C1 FF FF FF FF B8 30 00 00 00 44 89 7B 0C 48 F7 E7 48 0F 40 C1 48 83 C0 08 48 0F 42 C1 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 74 08 89 38 48 8D 48 08 EB 03 49 8B CF 8B 43 08 33 D2 48 89 4B 30 4C 8D 04 40 49 C1 E0 04 E8 ?? ?? ?? ?? 45 8B F7 44 39 7B 08 0F 86 BD 00 00 00 45 85 E4 75 4B 40 84 F5 0F 84 9F 00 00 00 41 8B C7 44 03 FD 8B 6B 10 48 8D 3C 40 41 8D 4C 24 10 C1 E5 08 48 C1 E7 04 41 03 EE 48 03 7B 30 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8D 0D ?? ?? ?? ?? 48 89 78 08 48 89 08 48 89 47 28 44 88 77 08 EB 51 41 8B C7 44 03 FD 8B 6B 10 48 8D 3C 40 41 8B C5 C1 E5 10 C1 E0 08 48 C1 E7 04 B9 10 00 00 00 48 03 7B 30 41 03 C6 03 E8 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8D 0D ?? ?? ?? ?? 48 89 78 08 48 89 08 48 89 47 28 8A 84 24 80 00 00 00 41 02 C6 88 47 08 89 6F 04 BD 01 00 00 00 48 89 5F 10 48 D1 EE 44 03 F5 44 3B 7B 08 0F 82 43 FF FF FF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_326_171_0 {
	meta:
		name = "?InitializeRMBuffers@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 254
		refs = "002d ??_V@YAXPEAX@Z 0062 ??_U@YAPEAX_K@Z 00b9 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 41 10 48 8B D9 3B 41 0C 0F 83 8C 00 00 00 03 C0 3B 41 0C 72 F9 89 41 10 48 8B 49 78 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 88 00 00 00 E8 ?? ?? ?? ?? 8B 4B 10 BF 08 00 00 00 8B C7 48 8D 77 F7 48 F7 E1 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 83 BB 80 00 00 00 00 48 89 43 78 74 36 8B 4B 10 8B C7 48 F7 E1 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 8B 4B 10 48 89 83 80 00 00 00 8B C7 48 F7 E1 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 89 83 88 00 00 00 44 8B 43 0C 48 8B 4B 78 33 D2 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 48 85 C9 74 25 44 8B 43 0C 33 D2 49 C1 E0 03 E8 ?? ?? ?? ?? 44 8B 43 0C 48 8B 8B 88 00 00 00 49 C1 E0 03 33 D2 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_172_0 {
	meta:
		name = "?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z"
		size = 690
		refs = "001a ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 0029 ?RetrieveSystemVersionInformation@ResourceManager@details@Concurrency@@CAXXZ 0036 ?s_pUserAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA 0040 ?CaptureProcessAffinity@ResourceManager@details@Concurrency@@CAXXZ 0060 ?GetTopologyInformation@ResourceManager@details@Concurrency@@CAXW4_LOGICAL_PROCESSOR_RELATIONSHIP@@@Z 0067 ?s_pSysInfo@ResourceManager@details@Concurrency@@0PEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@EA 0071 ?s_logicalProcessorInformationLength@ResourceManager@details@Concurrency@@0KA 0099 ?ApplyAffinityRestrictions@ResourceManager@details@Concurrency@@CAXPEAU_GROUP_AFFINITY@@@Z 010a ?s_coreCount@ResourceManager@details@Concurrency@@0IA 0113 ?s_numaNodeCount@ResourceManager@details@Concurrency@@0IA 0168 ?ApplyAffinityRestrictions@ResourceManager@details@Concurrency@@CAXPEA_K@Z 01cf ?s_nodeCount@ResourceManager@details@Concurrency@@0IA 01d5 ?s_countProcessorPackages@ResourceManager@details@Concurrency@@0_NA 01e0 ?CleanupTopologyInformation@ResourceManager@details@Concurrency@@CAXXZ 0203 ?s_processAffinityMask@ResourceManager@details@Concurrency@@0_KA 0270 ?s_pProcessAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA 027e ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 18 88 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 8B 05 ?? ?? ?? ?? 45 33 ED 44 8A E1 85 C0 75 0B E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 75 12 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 83 F8 04 0F 8C D0 00 00 00 B9 FF FF 00 00 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 45 33 FF 44 39 3D ?? ?? ?? ?? 45 8B E5 44 89 6C 24 68 45 8B F5 41 8B EF 76 7D 41 8D 7F 01 83 3E 03 75 48 48 8D 5E 20 45 33 E4 48 8B CB E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 19 44 03 F7 41 0F B7 D4 48 8D 41 FF 66 03 D7 48 23 C8 75 F4 0F B7 C2 44 03 E8 0F B7 46 1E 44 03 FF 48 83 C3 10 44 3B F8 7C C7 44 8B 64 24 68 45 33 FF 39 3E 75 11 48 8D 4E 20 E8 ?? ?? ?? ?? 4C 39 7E 20 74 02 03 EF 8B 46 04 44 03 E0 48 03 F0 44 3B 25 ?? ?? ?? ?? 44 89 64 24 68 72 87 44 3B F5 8B CD 44 89 2D ?? ?? ?? ?? 0F 97 C0 89 2D ?? ?? ?? ?? 84 C0 41 0F 45 CE 45 33 ED 44 38 6C 24 60 E9 A3 00 00 00 83 F8 03 0F 85 B6 00 00 00 B9 FF FF 00 00 E8 ?? ?? ?? ?? 44 39 2D ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 45 8B F5 41 8B ED 45 8B FD 41 8B F5 76 58 BF 01 00 00 00 83 7B 08 03 75 28 48 8B CB E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 18 03 EF 41 0F B7 D5 48 8D 41 FF 66 03 D7 48 23 C8 75 F4 0F B7 C2 44 03 F8 39 7B 08 75 0F 48 8B CB E8 ?? ?? ?? ?? 4C 39 2B 74 02 03 F7 41 83 C6 20 48 83 C3 20 44 3B 35 ?? ?? ?? ?? 72 AD 3B EE 8B CE 44 89 3D ?? ?? ?? ?? 0F 97 C0 89 35 ?? ?? ?? ?? 84 C0 0F 45 CD 45 84 E4 89 0D ?? ?? ?? ?? 88 05 ?? ?? ?? ?? 0F 85 8E 00 00 00 E8 ?? ?? ?? ?? E9 84 00 00 00 BF 01 00 00 00 44 88 2D ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 48 85 D2 75 09 48 8B 0D ?? ?? ?? ?? EB 40 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 41 0F B7 CD 0F B7 10 66 44 3B EA 73 1A 4C 8B 40 08 0F B7 C1 48 03 C0 66 45 39 6C C0 08 74 72 66 03 CF 66 3B CA 72 EA 49 8B C5 48 8B 0D ?? ?? ?? ?? 48 23 08 41 0F B7 D5 48 85 C9 74 0C 48 8D 41 FF 66 03 D7 48 23 C8 75 F4 0F B7 C2 89 3D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 11 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 89 2D ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 0F B7 C1 48 C1 E0 04 49 03 C0 EB 8D }
	condition:
		$1
}

rule file_326_181_0 {
	meta:
		name = "?NumberOfBitsSet@details@Concurrency@@YAG_K@Z"
		size = 20
	strings:
		$1 = { 33 C0 48 85 C9 74 0C 48 8D 51 FF 66 FF C0 48 23 CA 75 F4 C3 }
	condition:
		$1
}

rule file_326_182_0 {
	meta:
		name = "?PerformAllocation@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@_N1@Z"
		size = 540
		refs = "0028 ?CreateAllocatedNodeData@ResourceManager@details@Concurrency@@QEAAPEAUSchedulerNode@23@XZ 012d ?SetupStaticAllocationData@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@_N@Z 0135 ?PreProcessStaticAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ 0146 ?ReserveCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z 0174 ?ReleaseCoresOnExistingSchedulers@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z 019a ?RedistributeCoresAmongAll@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@III@Z 01ce ?ReserveAtHigherUseCounts@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z 01d8 ?ResetGlobalAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ 01ed ?GrantAllocation@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@I_N0@Z 0200 ?CommitStolenCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 44 88 4C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 8A E0 48 8B DA 48 8B E9 45 84 C0 74 11 E8 ?? ?? ?? ?? 44 8A 8C 24 88 00 00 00 48 89 43 20 44 8B 93 D0 00 00 00 8B 8B DC 00 00 00 33 FF 44 89 94 24 80 00 00 00 45 84 C9 0F 84 93 00 00 00 44 8B 8B E8 00 00 00 8B 93 B4 00 00 00 8B B3 EC 00 00 00 41 2B C9 8B C2 3B CA 0F 47 C1 FF C0 41 03 C1 3B F0 73 05 44 8B FE EB 0F 3B CA 44 8B FA 44 0F 47 F9 41 FF C7 45 03 F9 44 8B 83 B0 00 00 00 45 03 C1 41 3B F0 41 8B C0 0F 42 C6 FF C0 3B F0 72 0B 41 3B F0 44 0F 42 C6 41 8D 70 01 45 84 E4 74 0A 44 8A 8C 24 88 00 00 00 EB 50 3B CA 0F 47 D1 33 F6 41 8D 04 11 44 8A 8C 24 88 00 00 00 3B 45 20 40 0F 92 C6 45 33 F6 45 3B D7 41 0F 92 C6 EB 2D 8B 93 E8 00 00 00 8B 83 B4 00 00 00 8B B3 B0 00 00 00 2B CA 3B C8 0F 47 C1 03 F2 44 8D 3C 02 8B 83 EC 00 00 00 3B C6 0F 42 F0 45 8B F7 45 32 ED 85 F6 0F 84 B9 00 00 00 45 8A C1 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 45 33 C9 44 8B C6 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 8B F8 3B C6 0F 83 80 00 00 00 45 84 E4 75 05 45 85 F6 74 76 44 8B C6 41 B9 FE FF FF FF 48 8B D3 48 8B CD 44 2B C0 41 B5 01 E8 ?? ?? ?? ?? 03 F8 3B FE 73 56 8B 8C 24 80 00 00 00 45 8B CF 48 8B D3 8D 04 0E 44 8D 04 0F 48 8B CD 89 44 24 20 E8 ?? ?? ?? ?? 03 F8 41 3B FE 73 2F 45 8B C6 41 83 C9 FF 48 8B D3 44 2B C7 48 8B CD E8 ?? ?? ?? ?? 03 F8 41 3B FE 73 13 44 2B F7 48 8B D3 48 8B CD 45 8B C6 E8 ?? ?? ?? ?? 03 F8 48 8B CD E8 ?? ?? ?? ?? 44 8A 8C 24 88 00 00 00 45 8A C4 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 45 84 ED 74 0B 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_326_183_0 {
	meta:
		name = "?PopulateCommonAllocationData@ResourceManager@details@Concurrency@@AEAAXIPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z"
		size = 211
		refs = "00a2 ?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 49 83 61 08 00 41 89 11 4D 89 41 10 4D 8B 60 20 4D 8B F9 48 8B E9 4D 85 E4 74 7C 33 FF 39 79 1C 76 75 44 8B F7 49 C1 E6 06 4B 8D 1C 26 83 63 30 00 83 63 34 00 83 7B 24 00 76 55 33 F6 39 73 08 76 4E 48 8B 43 38 48 8D 0C F6 4C 8D 04 C8 41 83 38 04 41 C6 40 40 00 75 30 41 8B 40 28 85 C0 75 28 4C 8B 4D 60 48 8D 04 76 48 8B D3 4D 03 CE 48 C1 E0 04 48 8B CD 49 03 41 30 4C 89 7C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? FF C6 3B 73 08 72 B2 FF C7 3B 7D 1C 72 8B 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_326_184_0 {
	meta:
		name = "?PopulateDynamicAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 327
		refs = "0012 ?InitializeRMBuffers@ResourceManager@details@Concurrency@@AEAAXXZ 0033 memset 0044 ?PopulateCommonAllocationData@ResourceManager@details@Concurrency@@AEAAXIPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z 009d ?Update@HillClimbing@details@Concurrency@@QEAAIIIII@Z 00b2 ?AdjustAllocationIncrease@SchedulerProxy@details@Concurrency@@QEBAII@Z"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 83 EC 30 48 8B E9 45 33 F6 E8 ?? ?? ?? ?? 48 8B BD 98 00 00 00 48 85 FF E9 D2 00 00 00 33 D2 48 8D 77 70 44 8D 42 38 48 8B CE E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D6 48 8B CD E8 ?? ?? ?? ?? 80 BF 08 01 00 00 00 74 74 8B 87 A8 00 00 00 48 8B 4F 10 83 64 24 70 00 83 64 24 68 00 8B 9F D0 00 00 00 89 44 24 60 48 8B 01 4C 8D 4C 24 60 4C 8D 44 24 68 48 8D 54 24 70 FF 50 08 8B 44 24 60 44 8B 4C 24 68 44 8B 44 24 70 48 8B 4F 68 8B D3 89 44 24 20 E8 ?? ?? ?? ?? 89 46 24 3B 87 D0 00 00 00 76 0D 8B D0 48 8B CF E8 ?? ?? ?? ?? 89 46 24 8B 44 24 60 89 87 A8 00 00 00 EB 09 8B 87 D0 00 00 00 89 46 24 44 8B 87 D0 00 00 00 45 85 C0 74 25 83 7E 18 00 74 28 33 C0 88 46 21 48 8B 45 78 4A 89 34 F0 41 FF C6 48 3B BD 98 00 00 00 74 38 48 8B 7F 30 EB 34 83 BF F8 00 00 00 00 76 D8 44 3B 46 24 77 D2 8B 87 EC 00 00 00 8B 97 E8 00 00 00 03 97 B0 00 00 00 3B C2 0F 42 D0 44 3B C2 73 B6 B8 01 00 00 00 EB B1 33 FF 48 85 FF 0F 85 E9 FE FF FF 48 83 C4 30 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_326_185_0 {
	meta:
		name = "?PreProcessDynamicAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 280
		refs = "0041 ?HandleBorrowedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z 00dd ?HandleSharedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUDynamicAllocationData@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 48 8B F1 39 69 0C 0F 86 E1 00 00 00 48 8B 46 78 48 8B 3C E8 48 8B 5F 10 83 BB D8 00 00 00 00 76 0E 4C 8B C7 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 44 8B 47 18 45 85 C0 74 51 8B 93 D0 00 00 00 8B C2 41 2B C0 39 47 24 76 41 44 8B 9B E8 00 00 00 44 8B 8B B4 00 00 00 44 8B 93 DC 00 00 00 45 2B D3 41 8B C9 8B C2 45 3B D1 41 0F 47 CA 41 2B C0 41 03 CB 3B C8 76 0D 45 3B D1 45 0F 47 CA 43 8D 14 0B EB 03 41 2B D0 89 57 24 44 8B 83 D0 00 00 00 44 39 47 24 73 35 8B 93 E8 00 00 00 8B 83 B4 00 00 00 8B 8B DC 00 00 00 2B CA 3B C8 0F 47 C1 44 2B 83 D8 00 00 00 03 C2 44 3B C0 76 0E 4C 8B C7 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 80 BB 08 01 00 00 00 75 0E 8B 83 D0 00 00 00 39 47 24 76 03 89 47 24 FF C5 3B 6E 0C 0F 82 1F FF FF FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_186_0 {
	meta:
		name = "?PreProcessStaticAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 67
		refs = "002d ?HandleBorrowedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 39 59 0C 76 24 48 8B 47 78 4C 8B 04 D8 49 8B 50 10 83 BA D8 00 00 00 00 76 08 48 8B CF E8 ?? ?? ?? ?? FF C3 3B 5F 0C 72 DC 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_326_187_0 {
	meta:
		name = "?PrepareReceiversForCoreTransfer@ResourceManager@details@Concurrency@@AEAAII@Z"
		size = 643
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 20 56 57 41 54 41 55 41 56 41 57 45 33 FF 83 CF FF 44 8B CA 4C 8B D1 45 8B C7 85 D2 74 6C 44 3B FA 73 2F 45 8B D8 49 8B 92 88 00 00 00 4A 8B 1C DA 44 39 7B 04 75 1B 44 03 CF 4A 8B 04 CA 4A 89 04 DA 49 8B 82 88 00 00 00 4A 89 1C C8 45 3B C1 72 D4 49 8B 82 88 00 00 00 41 8B D0 41 FF C0 48 8B 0C D0 44 89 79 28 49 8B 82 88 00 00 00 48 8B 0C D0 44 89 79 2C 49 8B 82 88 00 00 00 48 8B 0C D0 C6 41 20 01 45 3B C1 72 99 44 89 4C 24 40 41 8B D7 45 85 C9 0F 84 8D 00 00 00 41 3B D1 73 7D 44 8B DA 49 8B 82 88 00 00 00 4A 8B 04 D8 44 39 78 28 75 69 48 8B 40 10 45 8B C7 48 8B 58 20 45 39 7A 1C 76 2C 41 8B C0 48 C1 E0 06 8B 4C 18 24 85 C9 74 14 3B 4C 18 08 73 0E 49 8B 82 88 00 00 00 4A 8B 0C D8 FF 41 28 41 FF C0 45 3B 42 1C 72 D4 4D 8B 82 88 00 00 00 4B 8B 1C D8 44 39 7B 28 75 16 44 03 CF 4B 8B 04 C8 4B 89 04 D8 49 8B 82 88 00 00 00 4A 89 1C C8 41 3B D1 72 86 FF C2 41 3B D1 0F 82 78 FF FF FF 45 8B C7 45 85 C9 0F 84 2D 01 00 00 49 8B DF 41 8D 68 01 45 8B D8 8B FD 41 3B E9 73 49 4D 8B B2 88 00 00 00 8B F5 48 C1 E6 03 4A 8B 14 36 41 8B C3 48 8D 76 08 49 8B 0C C6 8B 41 28 39 42 28 44 0F 42 DF FF C7 41 3B F9 72 E0 45 3B C3 74 17 4B 8B 04 DE 4D 8B 04 1E 49 89 04 1E 49 8B 82 88 00 00 00 4E 89 04 D8 49 8B 82 88 00 00 00 45 8B C7 48 8B 0C 03 48 8B 41 10 4C 8B 60 20 4C 8B 58 28 44 39 79 28 0F 86 9F 00 00 00 45 8D 70 01 45 8B E8 45 8B F8 43 8B 04 AB 41 8B D6 8B C8 48 89 44 24 48 48 C1 E1 06 49 03 CC 45 3B 72 1C 73 5F 4B 8D 34 B3 8B 06 48 C1 E0 06 42 8B 7C 20 24 85 FF 74 27 42 3B 7C 20 08 73 20 8B 41 24 85 C0 74 09 3B 41 08 73 04 3B F8 76 10 8B C2 44 8B FA 41 8B 0C 83 48 C1 E1 06 49 03 CC FF C2 48 83 C6 04 41 3B 52 1C 72 BE 45 3B C7 74 14 41 8B CF 41 8B 04 8B 43 89 04 AB 48 8B 44 24 48 41 89 04 8B 49 8B 8A 88 00 00 00 45 8B C6 48 8B 14 0B 44 3B 72 28 0F 82 64 FF FF FF 45 33 FF 48 83 C3 08 44 8B C5 41 3B E9 0F 82 D6 FE FF FF 8B 44 24 40 48 8B 5C 24 38 48 8B 6C 24 50 41 5F 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_326_188_0 {
	meta:
		name = "?RedistributeCoresAmongAll@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@III@Z"
		size = 995
		refs = "00df ??_U@YAPEAX_K@Z 0119 __real@0000000000000000 01bf ?RoundUpScaledAllocations@ResourceManager@details@Concurrency@@CAXPEAPEAUAllocationData@23@II@Z 0213 __real@3ff0000000000000 0385 ?ReleaseSchedulerResources@ResourceManager@details@Concurrency@@AEAA_NPEAVSchedulerProxy@23@0I@Z 03a6 ?ReserveCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z 03b0 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 50 0F 29 70 C8 0F 29 78 B8 44 0F 29 40 A8 8B 41 0C 33 F6 45 8B D9 45 8B E8 48 8B E9 83 F8 01 0F 86 70 03 00 00 8D 7E 01 45 8B E0 3B C7 0F 86 62 03 00 00 4C 8B 41 78 8D 58 FF 49 83 C0 08 49 8B 00 48 8B 50 10 44 8B BA E8 00 00 00 44 8B 8A B4 00 00 00 44 8B 92 DC 00 00 00 44 8B B2 D0 00 00 00 45 2B D7 41 8B C9 45 3B D1 41 0F 47 CA 44 2B B2 D8 00 00 00 41 03 CF 44 3B F1 76 13 FF C7 45 3B D1 45 0F 47 CA 43 8D 04 0F 44 03 D8 45 03 E6 49 83 C0 08 48 FF CB 75 A5 83 FF 01 0F 86 F3 02 00 00 45 3B DC 0F 87 EA 02 00 00 48 8D 4B FF 8D 43 08 44 8B FF 49 F7 E7 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 41 BA 01 00 00 00 48 8B D8 48 8B 45 78 45 8B C2 0F 57 C0 48 8B 08 8B 84 24 A0 00 00 00 48 89 0B F2 48 0F 2A C0 F2 0F 11 41 20 48 8B 03 F2 0F 10 70 20 F2 0F 58 35 ?? ?? ?? ?? 44 39 55 0C 76 5C 48 8B 45 78 41 8B C8 48 8B 0C C8 4C 8B 49 10 41 8B 91 E8 00 00 00 41 8B 81 B4 00 00 00 41 8B 89 DC 00 00 00 2B CA 3B C8 0F 47 C1 8D 0C 02 41 8B 81 D0 00 00 00 41 2B 81 D8 00 00 00 3B C1 76 13 49 8D 49 70 41 8B C2 41 FF C2 48 89 0C C3 F2 0F 58 71 20 41 FF C0 44 3B 45 0C 72 A4 45 0F 57 C0 41 8B C4 F2 4C 0F 2A C0 41 0F 28 F8 F2 0F 5E FE 85 FF 74 1F 48 8B CB 49 8B D7 48 8B 01 0F 28 C7 48 8D 49 08 F2 0F 59 40 20 F2 0F 11 40 08 48 FF CA 75 E7 45 8B C4 8B D7 48 8B CB E8 ?? ?? ?? ?? 44 8A C6 83 FF 01 76 74 48 8D 4B 08 44 8D 57 FF 4C 8B 09 49 8B 41 10 8B 90 D0 00 00 00 2B 90 D8 00 00 00 41 39 51 04 76 41 F2 41 0F 10 49 20 0F 57 C0 0F 57 D2 8B C2 F2 48 0F 2A D0 41 B0 01 41 8B 41 04 F2 48 0F 2A C0 F2 0F 5E D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C2 F2 0F 59 C1 F2 0F 59 CA F2 41 0F 11 49 20 F2 0F 5C F0 48 83 C1 08 49 FF CA 75 9D 45 84 C0 0F 85 4C FF FF FF 85 FF 0F 84 00 01 00 00 4C 8B CB 4D 8B D7 4D 8B 31 49 8B 56 10 8B 8A EC 00 00 00 44 8B 9A E8 00 00 00 44 03 9A B0 00 00 00 41 3B CB 41 8B C3 0F 42 C1 41 39 46 04 76 49 F2 41 0F 10 4E 20 0F 57 C0 0F 57 D2 41 3B CB 41 B0 01 44 0F 42 D9 41 8B C3 F2 48 0F 2A D0 41 8B 46 04 F2 48 0F 2A C0 F2 0F 5E D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C2 F2 0F 59 C1 F2 0F 59 CA F2 41 0F 11 4E 20 F2 0F 5C F0 49 83 C1 08 49 FF CA 75 84 45 84 C0 0F 85 B9 FE FF FF 48 8B D3 4D 8B D7 4C 8B 1A 49 8B 43 10 44 8B B0 E8 00 00 00 8B 88 DC 00 00 00 44 8B 88 B4 00 00 00 41 2B CE 41 8B C1 41 3B C9 0F 47 C1 41 03 C6 41 3B 43 04 76 2D 41 3B C9 0F 57 C9 41 B0 01 44 0F 47 C9 43 8D 0C 0E F2 48 0F 2A C9 F2 0F 5E CF 0F 28 C1 F2 41 0F 5C 43 20 F2 41 0F 11 4B 20 F2 0F 58 F0 48 83 C2 08 49 FF CA 75 9A 45 84 C0 0F 85 44 FE FF FF 48 8B 03 44 39 68 04 76 5C 4C 8B B4 24 88 00 00 00 83 FF 01 76 35 48 8D 73 08 FF CF 48 8B 06 4C 8B 40 10 45 8B 88 D0 00 00 00 44 2B 48 04 45 2B 88 D8 00 00 00 74 0B 49 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 83 C6 08 48 FF CF 75 D1 48 8B 03 45 33 C9 49 8B D6 44 8B 40 04 48 8B CD 45 2B C5 E8 ?? ?? ?? ?? 8B F0 48 8B CB E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 4C 8D 5C 24 50 8B C6 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 45 0F 28 43 D0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_326_190_0 {
	meta:
		name = "?RegisterScheduler@ResourceManager@details@Concurrency@@UEAAPEAUISchedulerProxy@3@PEAUIScheduler@3@I@Z"
		size = 141
		refs = "0017 ?CreateSchedulerProxy@ResourceManager@details@Concurrency@@AEAAPEAVSchedulerProxy@23@PEAUIScheduler@3@@Z 001e ??_C@_0L@HKFDMHB@pScheduler?$AA@ 0032 ??0exception@std@@QEAA@AEBQEBD@Z 0039 ??_7invalid_argument@std@@6B@ 0040 _TI3?AVinvalid_argument@std@@ 004f _CxxThrowException 0057 ??_C@_07CPCPJPKL@version?$AA@"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 74 12 41 81 F8 00 00 01 00 75 42 48 83 C4 48 E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_326_191_0 {
	meta:
		name = "?Release@ResourceManager@details@Concurrency@@UEAAIXZ"
		size = 235
		refs = "002e ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 004c ?_Sleep0@details@Concurrency@@YAXXZ 005a ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0070 ?s_pResourceManager@ResourceManager@details@Concurrency@@0PEAV123@EA 0075 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 009f ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00af ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00b9 __imp_SetEvent 00c5 ?__WaitForThread@platform@details@Concurrency@@YAKPEAXK@Z 00cd ??1ResourceManager@details@Concurrency@@AEAA@XZ 00d5 ??3@YAXPEAX@Z"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 40 49 C7 43 D8 FE FF FF FF 49 89 5B 10 49 89 73 18 48 8B F9 83 CE FF F0 0F C1 71 08 FF CE 0F 85 AE 00 00 00 48 8D 05 ?? ?? ?? ?? 49 89 43 08 8D 46 01 87 05 ?? ?? ?? ?? 33 DB 85 C0 74 28 89 5C 24 30 48 8D 05 ?? ?? ?? ?? 49 89 43 F0 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 3B F8 48 0F 44 CB 48 89 0D ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 48 39 5F 68 74 2F 48 8D 4F 30 E8 ?? ?? ?? ?? C7 47 2C 02 00 00 00 48 8D 4F 30 E8 ?? ?? ?? ?? 48 8B 4F 70 FF 15 ?? ?? ?? ?? 83 CA FF 48 8B 4F 68 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_326_193_0 {
	meta:
		name = "?ReleaseCoresOnExistingSchedulers@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z"
		size = 161
		refs = "0053 ?ReleaseSchedulerResources@ResourceManager@details@Concurrency@@AEAA_NPEAVSchedulerProxy@23@0I@Z 007c ?ReserveCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 DB 45 8B E1 45 8B F8 44 8D 6B 01 48 8B EA 48 8B F9 40 8A F3 45 8B F5 44 39 69 0C 76 48 48 8B 57 78 41 8B C6 45 8B CC 4C 8B 04 C2 48 8B D5 48 8B CF 4D 8B 40 10 E8 ?? ?? ?? ?? 40 0F B6 F6 84 C0 41 0F 45 F5 45 03 F5 44 3B 77 0C 72 D0 40 84 F6 74 13 45 33 C9 45 8B C7 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 6C 24 58 48 8B 74 24 60 8B C3 48 8B 5C 24 50 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_326_194_0 {
	meta:
		name = "?ReleaseSchedulerResources@ResourceManager@details@Concurrency@@AEAA_NPEAVSchedulerProxy@23@0I@Z"
		size = 300
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 83 CC FF 4D 8B D8 48 8B F1 4C 8B C2 41 83 F9 FE 75 0C 41 8B 83 D8 00 00 00 44 8B C8 EB 44 45 3B CC 75 3D 41 8B 93 E8 00 00 00 41 8B 83 B4 00 00 00 41 8B 8B DC 00 00 00 45 8B 8B D0 00 00 00 2B CA 3B C8 0F 47 C1 45 2B 8B 9C 00 00 00 8D 0C 02 41 8B 83 D8 00 00 00 44 2B C8 44 2B C9 44 03 C8 33 C0 45 8B D1 44 2B D0 45 85 C9 0F 84 84 00 00 00 49 8B 6B 20 4D 8B 70 28 33 DB 39 5E 1C 76 75 41 8B 0C 9E 48 C1 E1 06 48 03 CD 8B 41 24 2B 41 2C 74 5B 33 FF 39 79 08 76 54 4C 8B 41 38 48 8D 14 FF 8B C7 41 83 3C D0 04 75 3C 41 83 7C D0 38 00 77 34 41 80 7C D0 41 00 75 05 45 85 D2 74 27 41 C7 04 D0 05 00 00 00 41 FF 83 9C 00 00 00 49 8B 44 D0 20 44 01 20 41 80 7C D0 41 00 75 03 45 03 D4 45 03 CC 74 29 FF C7 3B 79 08 72 AC FF C3 3B 5E 1C 72 8B 32 C0 48 8B 5C 24 18 48 8B 6C 24 20 48 8B 74 24 28 48 8B 7C 24 30 41 5E 41 5C C3 B0 01 EB E3 }
	condition:
		$1
}

rule file_326_195_0 {
	meta:
		name = "?Remove@?$List@VSchedulerProxy@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
		size = 54
	strings:
		$1 = { FF 09 4C 8B 42 30 48 8B 42 38 49 89 40 38 48 8B 42 30 4C 8B 42 38 49 89 40 30 48 8B 41 08 48 3B D0 75 12 48 3B 40 30 75 04 33 C0 EB 04 48 8B 40 38 48 89 41 08 C3 }
	condition:
		$1
}

rule file_326_196_0 {
	meta:
		name = "?RemoveExecutionResource@ResourceManager@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 166
		refs = "0030 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 003d ?DecrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ 006f ?DistributeCoresToSurvivingScheduler@ResourceManager@details@Concurrency@@AEAA_NXZ 0080 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 008f __imp_SetEvent"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 68 18 48 8B F2 4C 8B F1 40 32 ED 48 8D 59 30 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 7E 20 48 8B CE E8 ?? ?? ?? ?? 8B 8F E8 00 00 00 03 8F B0 00 00 00 8B 87 EC 00 00 00 3B C1 0F 42 C8 39 8F D0 00 00 00 73 1C BF 01 00 00 00 41 39 7E 0C 75 11 49 8B CE E8 ?? ?? ?? ?? 40 0F B6 ED 84 C0 0F 44 EF 48 8B CB E8 ?? ?? ?? ?? 40 84 ED 74 0A 49 8B 4E 70 FF 15 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_326_198_0 {
	meta:
		name = "?RequestInitialVirtualProcessors@ResourceManager@details@Concurrency@@QEAAPEAUIExecutionResource@3@PEAVSchedulerProxy@23@_N@Z"
		size = 414
		refs = "0042 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0054 ?ReferenceCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ 00da ?PerformAllocation@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@_N1@Z 00fa ?SendResourceNotifications@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z 0108 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0136 ??_U@YAPEAX_K@Z 016d __imp_SetEvent 017a ?CreateDynamicRMWorker@ResourceManager@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 C7 40 C8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 8A F8 48 8B EA 48 8B F1 45 32 E4 45 33 F6 45 32 FF 48 8D 59 30 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 45 8D 6E 01 40 84 FF 74 16 48 8B CD E8 ?? ?? ?? ?? 4C 8B F0 45 0F B6 FF 48 85 C0 45 0F 44 FD 8B 85 B0 00 00 00 39 85 B4 00 00 00 75 04 44 01 6E 14 44 01 6E 0C 48 8B 86 98 00 00 00 48 85 C0 75 0A 48 89 6D 30 48 89 6D 38 EB 2D 48 8B 40 30 48 89 45 30 48 8B 86 98 00 00 00 48 89 45 38 48 8B 86 98 00 00 00 48 8B 48 30 48 89 69 38 48 8B 86 98 00 00 00 48 89 68 30 48 89 AE 98 00 00 00 44 01 AE 90 00 00 00 45 8A CF 45 8A C5 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 4D 85 F6 4C 0F 44 F0 8B 8D B0 00 00 00 39 8D B4 00 00 00 75 0B 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 83 7E 0C 02 74 0A 48 8B CB E8 ?? ?? ?? ?? EB 70 44 89 6E 2C 48 83 7E 68 00 75 46 4C 89 6E 68 8B 4E 10 BF 08 00 00 00 8B C7 48 F7 E1 48 8D 6F F7 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 89 86 80 00 00 00 8B 4E 10 8B C7 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 89 86 88 00 00 00 45 8A E5 48 8B CB E8 ?? ?? ?? ?? 48 8B 4E 70 FF 15 ?? ?? ?? ?? 45 84 E4 74 08 48 8B CE E8 ?? ?? ?? ?? 49 8B C6 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_326_200_0 {
	meta:
		name = "?ReserveAtHigherUseCounts@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z"
		size = 100
		refs = "003d ?ReserveCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B F0 48 8B EA 4C 8B F1 8B DF 45 85 C0 74 1C 44 8B C6 FF C7 48 8B D5 44 2B C3 44 8B CF 49 8B CE E8 ?? ?? ?? ?? 03 D8 3B DE 72 E4 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_326_201_0 {
	meta:
		name = "?ReserveCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z"
		size = 510
		refs = "0035 ?GetCurrentNodeAndCore@ResourceManager@details@Concurrency@@QEAAIPEAI@Z"
	strings:
		$1 = { 48 89 5C 24 10 44 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 83 CD FF 80 BA 98 00 00 00 00 41 8B F1 4C 8B FA 48 8B D9 89 6C 24 60 74 0D 33 D2 E8 ?? ?? ?? ?? 8B E8 89 44 24 60 4D 8B 67 20 4D 8B 5F 28 33 D2 40 32 FF 39 53 1C 76 48 8B CA 45 33 C0 48 C1 E1 06 49 03 CC 44 39 41 08 76 2F 4C 8B 51 38 4F 8D 0C C0 43 83 3C CA 01 75 17 4B 8B 44 CA 20 3B 30 75 0E 43 C7 04 CA 02 00 00 00 FF 41 0C 40 B7 01 41 FF C0 44 3B 41 08 72 D1 FF C2 3B 53 1C 72 B8 33 F6 40 84 FF 0F 84 43 01 00 00 45 33 C9 39 73 1C 0F 86 37 01 00 00 8B 7C 24 70 43 8B 14 8B 44 8B D7 45 8B F1 48 C1 E2 06 49 03 D4 44 2B D6 74 62 44 39 52 0C 76 04 44 89 52 0C 45 8D 41 01 44 3B 43 1C 73 4E 43 8B 04 83 48 C1 E0 06 49 03 C4 44 39 50 0C 76 04 44 89 50 0C 8B 68 24 8B 4A 24 03 68 20 8B 40 0C 03 4A 20 03 E8 8B 42 0C 03 C1 3B C5 73 7B 43 8B 14 83 45 8B F0 48 C1 E2 06 49 03 D4 8B 6C 24 60 41 FF C0 44 3B 43 1C 72 B6 8B 7C 24 70 83 7A 0C 00 0F 86 8C 00 00 00 45 33 C0 44 39 42 08 76 7F 45 8D 50 01 48 8B 42 38 4B 8D 0C C0 83 3C C8 02 75 64 3B F7 73 5C C7 04 C8 03 00 00 00 48 8B 44 C8 20 44 01 10 44 01 52 20 41 80 BF 98 00 00 00 00 74 11 41 8B C6 41 39 2C 83 75 08 41 C6 87 98 00 00 00 00 41 03 F2 EB 2D 75 91 41 80 BF 98 00 00 00 00 74 87 8B 6C 24 60 43 39 2C 83 75 81 43 8B 14 83 45 8B F0 48 C1 E2 06 49 03 D4 E9 6E FF FF FF 44 89 14 C8 45 03 C2 44 3B 42 08 72 85 83 62 0C 00 45 3B CE 74 13 47 8B 04 8B 41 8B D6 41 8B 0C 93 43 89 0C 8B 45 89 04 93 41 FF C1 44 3B 4B 1C 0F 82 CD FE FF FF 8B C6 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_326_202_0 {
	meta:
		name = "?ResetGlobalAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 84
	strings:
		$1 = { 45 33 DB 4C 8B C9 45 8B C3 44 39 59 1C 76 44 41 8B D0 45 8B D3 48 C1 E2 06 49 03 51 60 44 89 5A 0C 44 89 5A 28 44 39 5A 08 76 1F 41 8B C2 41 FF C2 48 8D 0C 40 48 C1 E1 04 48 03 4A 30 44 89 19 44 89 59 24 44 3B 52 08 72 E1 41 FF C0 45 3B 41 1C 72 BC C3 }
	condition:
		$1
}

rule file_326_203_0 {
	meta:
		name = "?RetrieveSystemVersionInformation@ResourceManager@details@Concurrency@@CAXXZ"
		size = 276
		refs = "000a __security_cookie 0028 __imp_GetVersionExW 0043 ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 007b __security_check_cookie 00bc ?InitializeSystemFunctionPointers@platform@details@Concurrency@@YAXXZ 00c1 ?Initialize@UMS@details@Concurrency@@SAXXZ 00cf ?Initialize@WinRT@details@Concurrency@@SAXXZ 00db ??0unsupported_os@Concurrency@@QEAA@XZ 00e2 _TI2?AVunsupported_os@Concurrency@@ 00ec _CxxThrowException"
	strings:
		$1 = { 48 81 EC 78 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 01 00 00 48 8D 4C 24 40 C7 44 24 40 14 01 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 A1 00 00 00 8B 44 24 44 83 E8 05 74 4A FF C8 74 0C C7 05 ?? ?? ?? ?? 06 00 00 00 EB 6E 8B 44 24 48 85 C0 74 10 FF C8 75 E8 C7 05 ?? ?? ?? ?? 04 00 00 00 EB 56 C7 05 ?? ?? ?? ?? 03 00 00 00 48 8B 8C 24 60 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 78 01 00 00 C3 8B 44 24 48 85 C0 74 62 FF C8 74 18 FF C8 75 0C C7 05 ?? ?? ?? ?? 02 00 00 00 EB CC 8B 05 ?? ?? ?? ?? EB 0B B8 01 00 00 00 89 05 ?? ?? ?? ?? 83 F8 04 7C B4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 06 7C A1 E8 ?? ?? ?? ?? EB 9A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 83 25 ?? ?? ?? ?? 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_326_204_0 {
	meta:
		name = "?RoundUpScaledAllocations@ResourceManager@details@Concurrency@@CAXPEAPEAUAllocationData@23@II@Z"
		size = 437
		refs = "0060 __real@3e7ad7f29abcaf48 0126 __real@3ff0000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 45 33 C0 44 8B CA 4C 8B D1 0F 57 D2 85 D2 74 37 4C 8B D9 41 8B D9 49 8B 13 0F 57 C0 F2 48 0F 2C 42 08 89 42 04 49 8B 0B 49 83 C3 08 8B 41 04 F2 0F 10 49 08 F2 48 0F 2A C0 F2 0F 5C C8 F2 0F 11 49 08 48 FF CB 75 CF F2 0F 10 1D ?? ?? ?? ?? 45 8B D8 45 85 C9 74 5D 49 8B DA 41 8D 7B 01 41 8B F3 8B EF 41 3B F9 73 40 4D 8D 34 FA 49 8B 16 8B C6 49 8B 0C C2 F2 0F 10 42 08 F2 0F 10 49 08 F2 0F 58 CB 66 0F 2F C1 0F 47 F5 FF C5 49 83 C6 08 41 3B E9 72 D7 44 3B DE 74 0E 49 8B 04 F2 48 8B 13 48 89 03 49 89 14 F2 48 83 C3 08 44 8B DF 41 3B F9 72 A6 45 8B D8 41 8D 51 FF 45 85 C9 0F 84 C5 00 00 00 49 8B DA 83 CF FF EB 28 49 8B 0C D2 F2 0F 10 41 08 66 0F 2F C3 76 17 49 8B 0C D2 03 D7 F2 0F 5C 51 08 4C 89 41 08 66 0F 2F D3 77 EB EB 02 03 D7 66 0F 2F D3 77 D2 44 3B DA 77 34 48 8B 03 F2 0F 10 48 08 66 0F 2F CB 76 1A F2 0F 10 05 ?? ?? ?? ?? 4C 89 40 08 48 8B 03 FF 40 04 F2 0F 5C C1 F2 0F 58 D0 41 FF C3 48 83 C3 08 45 3B D9 72 C1 45 85 C9 74 51 49 8B DA 41 8D 78 01 45 8B D8 8B F7 41 3B F9 73 34 4D 8D 34 FA 49 8B 16 41 8B C3 4D 8D 76 08 49 8B 0C C2 8B 01 39 02 44 0F 42 DE FF C6 41 3B F1 72 E3 45 3B C3 74 0E 4B 8B 04 DA 48 8B 13 48 89 03 4B 89 14 DA 48 83 C3 08 44 8B C7 41 3B F9 72 B2 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 48 8B 7C 24 28 41 5E C3 }
	condition:
		$1
}

rule file_326_205_0 {
	meta:
		name = "?SafeInterlockedIncrement@details@Concurrency@@YA_NPECJ@Z"
		size = 23
	strings:
		$1 = { 66 90 8B 01 85 C0 74 0C 8D 50 01 F0 0F B1 11 75 F1 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_326_206_0 {
	meta:
		name = "?SafeReference@ResourceManager@details@Concurrency@@AEAA_NXZ"
		size = 27
	strings:
		$1 = { 45 33 C0 8B 41 08 85 C0 74 0D 8D 50 01 F0 0F B1 51 08 75 EF 41 B0 01 41 8A C0 C3 }
	condition:
		$1
}

rule file_326_209_0 {
	meta:
		name = "?SendResourceNotifications@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
		size = 453
		refs = "016f ?SendCoreNotification@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerCore@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 18 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 C0 48 8B F9 44 39 41 1C 0F 86 99 00 00 00 48 8B 4F 60 45 8B D0 45 33 DB 49 C1 E2 06 49 03 CA 44 39 59 08 76 75 4F 8D 0C 5B 49 C1 E1 04 4C 03 49 30 41 8B 41 1C 41 83 61 1C 00 41 89 41 20 48 8B 97 98 00 00 00 48 85 D2 74 04 48 8B 52 30 48 85 D2 74 37 4B 8D 1C DB 48 8B 42 20 49 8B 4C 02 38 8B 44 D9 2C 89 44 D9 30 8B 44 D9 28 89 44 D9 2C 41 01 41 1C 48 3B 97 98 00 00 00 74 06 48 8B 52 30 EB 02 33 D2 48 85 D2 75 CD 48 8B 4F 60 41 FF C3 49 03 CA 44 3B 59 08 72 8B 41 FF C0 44 3B 47 1C 0F 82 67 FF FF FF 33 F6 89 74 24 60 39 77 1C 0F 86 DF 00 00 00 48 8B 4F 60 8B EE 45 33 F6 48 C1 E5 06 48 03 CD 44 39 71 08 0F 86 B6 00 00 00 48 8B 74 24 68 48 8B 9F 98 00 00 00 4B 8D 04 76 48 C1 E0 04 48 03 41 30 48 85 DB 44 8B 68 20 44 8B 78 1C EB 6A 8B 83 B0 00 00 00 39 83 B4 00 00 00 75 55 48 8B 43 20 4B 8D 0C F6 48 8B 44 28 38 48 8D 14 C8 83 7A 34 00 76 3E 48 3B DE 75 0E 48 8B CB 44 3B 7A 2C 76 28 41 B0 01 EB 26 44 3B 6A 30 75 0E 44 3B 7A 2C 76 0C 41 B0 01 48 8B CB EB 12 44 3B 7A 2C 75 11 44 3B 6A 30 76 0B 48 8B CB 45 33 C0 E8 ?? ?? ?? ?? 48 3B 9F 98 00 00 00 74 06 48 8B 5B 30 EB 02 33 DB 48 85 DB 75 87 48 8B 4F 60 41 FF C6 48 03 CD 44 3B 71 08 0F 82 53 FF FF FF 8B 74 24 60 FF C6 89 74 24 60 3B 77 1C 0F 82 21 FF FF FF 48 8B 5C 24 70 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_326_212_0 {
	meta:
		name = "?SetTaskExecutionResources@ResourceManager@details@Concurrency@@SAXGPEAU_GROUP_AFFINITY@@@Z"
		size = 1043
		refs = "002f ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 0055 ?_Sleep0@details@Concurrency@@YAXXZ 0064 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0078 ?s_pResourceManager@ResourceManager@details@Concurrency@@0PEAV123@EA 0083 ??0invalid_operation@Concurrency@@QEAA@XZ 008a _TI2?AVinvalid_operation@Concurrency@@ 0093 _CxxThrowException 009a ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 00a3 ?RetrieveSystemVersionInformation@ResourceManager@details@Concurrency@@CAXXZ 00d4 ??_C@_05IOMEMJEC@count?$AA@ 00eb ??0exception@std@@QEAA@AEBQEBD@Z 00f2 ??_7invalid_argument@std@@6B@ 00fd _TI3?AVinvalid_argument@std@@ 0113 ??_C@_0P@CGIPNALJ@pGroupAffinity?$AA@ 0165 ??_U@YAPEAX_K@Z 0294 ?GetTopologyInformation@ResourceManager@details@Concurrency@@CAXW4_LOGICAL_PROCESSOR_RELATIONSHIP@@@Z 029b ?s_pSysInfo@ResourceManager@details@Concurrency@@0PEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@EA 033f ?CleanupTopologyInformation@ResourceManager@details@Concurrency@@CAXXZ 0346 ?s_pUserAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA 0354 ??3@YAXPEAX@Z 0366 ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8D 68 88 48 81 EC 50 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 08 48 89 70 10 48 8B F2 0F B7 F9 48 8D 05 ?? ?? ?? ?? 48 89 45 A0 41 BC 01 00 00 00 41 8B C4 87 05 ?? ?? ?? ?? 45 33 FF 85 C0 74 28 44 89 7C 24 58 48 8D 05 ?? ?? ?? ?? 48 89 44 24 60 48 8D 4C 24 50 E8 ?? ?? ?? ?? 41 8B C4 87 05 ?? ?? ?? ?? 85 C0 75 E9 4C 39 3D ?? ?? ?? ?? 74 1A 48 8D 4D 08 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 08 E8 ?? ?? ?? ?? CC 8B 05 ?? ?? ?? ?? 85 C0 75 0B E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 83 F8 04 7D 1A 48 8D 4D 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 20 E8 ?? ?? ?? ?? CC 66 85 FF 75 3A 48 8D 05 ?? ?? ?? ?? 48 89 85 90 00 00 00 48 8D 95 90 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 F0 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? CC 48 85 F6 75 3A 48 8D 05 ?? ?? ?? ?? 48 89 85 98 00 00 00 48 8D 95 98 00 00 00 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 C0 48 8D 15 ?? ?? ?? ?? 48 8D 4D C0 E8 ?? ?? ?? ?? CC 44 0F B7 F7 B8 10 00 00 00 49 F7 E6 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 21 41 8D 4E FF 85 C9 78 1C 33 D2 48 89 50 08 66 44 89 78 08 4C 89 38 48 8D 40 10 41 2B CC 79 E9 EB 03 49 8B DF 44 0F B7 C7 45 85 C0 7E 3A 48 8D 53 08 48 2B F3 45 8B C8 48 8B 4C 32 F8 0F B7 04 32 45 33 D2 4C 89 54 24 40 4C 89 54 24 48 66 89 44 24 48 48 89 4C 24 40 66 89 02 48 89 4A F8 48 83 C2 10 4D 2B CC 75 D0 41 8B CF 45 85 C0 0F 84 AA 00 00 00 8B D1 44 8D 51 01 45 8B CA 45 3B D0 73 59 41 8B C1 48 03 C0 44 0F B7 5C C3 08 8B C2 48 03 C0 66 44 3B 5C C3 08 74 4A 41 0F 42 D1 45 03 CC 45 3B C8 72 DB 3B CA 74 30 48 03 C9 0F 10 04 CB 0F 11 45 38 48 C1 E2 04 0F B7 44 1A 08 66 89 44 CB 08 48 8B 04 1A 48 89 04 CB 66 0F C5 C0 04 66 89 44 1A 08 66 0F D6 04 1A 41 8B CA 45 3B D0 73 3B EB 8F 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 54 24 28 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 68 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 68 E8 ?? ?? ?? ?? CC B9 04 00 00 00 E8 ?? ?? ?? ?? 4C 8B 0D ?? ?? ?? ?? 66 41 3B 79 0A 76 36 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 54 24 38 48 8D 4D 88 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 88 48 8D 15 ?? ?? ?? ?? 48 8D 4D 88 E8 ?? ?? ?? ?? CC 4D 8B DF 45 0F B7 D7 41 0F B7 D7 66 44 3B FF 0F 83 D0 00 00 00 45 0F B7 C2 4D 03 C0 EB 0B 66 41 3B 51 0A 73 11 66 41 03 D4 66 42 3B 54 C3 08 72 ED 66 41 3B 51 0A 74 77 0F B7 C2 48 8D 0C 40 48 03 C9 49 8B 44 C9 48 4A 21 04 C3 4E 0B 1C C3 66 45 03 D4 66 44 3B D7 72 BC 4D 85 DB 0F 84 83 00 00 00 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 74 11 48 8B 4E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 09 66 89 38 48 89 58 08 EB 03 49 8B C7 48 89 05 ?? ?? ?? ?? 44 89 3D ?? ?? ?? ?? EB 6C 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 48 8D 54 24 20 48 8D 4D A8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 A8 48 8D 15 ?? ?? ?? ?? 48 8D 4D A8 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 54 24 30 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 D8 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 E8 ?? ?? ?? ?? 90 4C 8D 9C 24 50 01 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_326_214_0 {
	meta:
		name = "?SetTaskExecutionResources@ResourceManager@details@Concurrency@@SAX_K@Z"
		size = 480
		refs = "0026 __security_cookie 0037 ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 0059 ?_Sleep0@details@Concurrency@@YAXXZ 0066 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 007a ?s_pResourceManager@ResourceManager@details@Concurrency@@0PEAV123@EA 0086 ??0invalid_operation@Concurrency@@QEAA@XZ 008d _TI2?AVinvalid_operation@Concurrency@@ 0096 _CxxThrowException 009d ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 00a5 ?RetrieveSystemVersionInformation@ResourceManager@details@Concurrency@@CAXXZ 00ab __imp_GetCurrentThread 00b7 ??0HardwareAffinity@details@Concurrency@@QEAA@PEAX@Z 00c1 ??2@YAPEAX_K@Z 00e3 ?CaptureProcessAffinity@ResourceManager@details@Concurrency@@CAXXZ 00ea ?s_systemAffinityMask@ResourceManager@details@Concurrency@@0_KA 00f9 ??_C@_0P@MBGDBGHG@dwAffinityMask?$AA@ 010a ??0exception@std@@QEAA@AEBQEBD@Z 0111 ??_7invalid_argument@std@@6B@ 011c _TI3?AVinvalid_argument@std@@ 012d ?s_processAffinityMask@ResourceManager@details@Concurrency@@0_KA 0141 __imp_GetCurrentProcess 014d __imp_SetProcessAffinityMask 0154 ?s_pUserAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA 0162 ??3@YAXPEAX@Z 018f ?s_pProcessAffinityRestriction@ResourceManager@details@Concurrency@@0PEAUAffinityRestriction@123@EA 01c3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC A0 00 00 00 48 C7 45 E7 FE FF FF FF 48 89 58 08 48 89 78 10 4C 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 47 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 45 DF 41 BE 01 00 00 00 41 8B C6 87 05 ?? ?? ?? ?? 85 C0 74 25 83 65 F7 00 48 8D 05 ?? ?? ?? ?? 48 89 45 FF 48 8D 4D EF E8 ?? ?? ?? ?? 41 8B C6 87 05 ?? ?? ?? ?? 85 C0 75 EA 48 83 3D ?? ?? ?? ?? 00 74 1A 48 8D 4D 1F E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 1F E8 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D0 48 8D 4D 37 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 13 0F B7 4D 3F 33 C0 48 89 43 08 66 89 4B 08 48 89 3B EB 02 33 DB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 21 03 48 8B 0B 75 34 48 8D 05 ?? ?? ?? ?? 48 89 45 D7 48 8D 55 D7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D 07 E8 ?? ?? ?? ?? CC 48 8B 3D ?? ?? ?? ?? 48 8B C7 48 F7 D0 48 85 C1 74 15 48 0B F9 FF 15 ?? ?? ?? ?? 48 8B C8 48 8B D7 FF 15 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 11 48 8B 4F 08 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 08 66 44 89 30 48 89 58 08 48 89 05 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 11 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 00 00 00 00 48 8B 4D 47 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 10 49 8B 7B 18 4D 8B 73 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_326_216_0 {
	meta:
		name = "?SetupStaticAllocationData@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@_N@Z"
		size = 281
		refs = "0023 ?InitializeRMBuffers@ResourceManager@details@Concurrency@@AEAAXXZ 0035 memset 0045 ?PopulateCommonAllocationData@ResourceManager@details@Concurrency@@AEAAXIPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 41 8A F8 48 8B EA 48 8B F1 E8 ?? ?? ?? ?? 33 D2 48 8D 5D 70 44 8D 42 30 48 8B CB E8 ?? ?? ?? ?? 4C 8B CB 4C 8B C5 33 D2 48 8B CE E8 ?? ?? ?? ?? 8B 85 EC 00 00 00 8B 95 E8 00 00 00 0F 57 C0 03 95 B0 00 00 00 40 88 7B 28 41 BE 01 00 00 00 3B C2 0F 42 D0 8B C2 F2 48 0F 2A C0 F2 0F 11 43 20 48 8B 46 78 48 89 18 48 8B BE 98 00 00 00 48 85 FF EB 63 48 3B FD 74 57 33 D2 48 8D 5F 70 44 8D 42 30 48 8B CB E8 ?? ?? ?? ?? 4C 8B CB 4C 8B C7 41 8B D6 48 8B CE E8 ?? ?? ?? ?? 8B 87 EC 00 00 00 8B 97 E8 00 00 00 0F 57 C0 03 97 B0 00 00 00 41 8B CE 3B C2 0F 42 D0 41 FF C6 8B C2 F2 48 0F 2A C0 F2 0F 11 43 20 48 8B 46 78 48 89 1C C8 48 3B BE 98 00 00 00 74 06 48 8B 7F 30 EB 02 33 FF 48 85 FF 75 8E 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_326_218_0 {
	meta:
		name = "?Shutdown@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
		size = 271
		refs = "0022 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00de ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00ed __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F9 48 83 C1 30 48 8B F2 40 32 ED E8 ?? ?? ?? ?? FF 8F 90 00 00 00 48 8B 46 38 4C 8B 46 30 49 89 40 38 48 8B 46 30 48 8B 56 38 48 89 42 30 48 8B 87 98 00 00 00 48 3B F0 75 15 48 3B 40 30 75 04 33 C0 EB 04 48 8B 40 38 48 89 87 98 00 00 00 4C 8B 56 20 33 D2 41 83 CB FF 39 57 1C 76 3F 8B CA 48 C1 E1 06 49 03 CA 83 79 24 00 76 29 45 33 C0 44 39 41 08 76 20 4C 8B 49 38 4B 8D 04 C0 41 83 3C C1 04 75 08 49 8B 44 C1 20 44 01 18 41 FF C0 44 3B 41 08 72 E0 FF C2 3B 57 1C 72 C1 8B 86 B0 00 00 00 39 86 B4 00 00 00 75 04 44 01 5F 14 44 01 5F 0C 83 7F 0C 01 75 0A C7 47 2C 00 00 00 00 40 B5 01 48 8D 4F 30 E8 ?? ?? ?? ?? 40 84 ED 74 0A 48 8B 4F 70 FF 15 ?? ?? ?? ?? 48 8B 06 48 8B CE 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF 60 40 }
	condition:
		$1
}

rule file_326_219_0 {
	meta:
		name = "?SubscribeCurrentThread@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@@Z"
		size = 119
		refs = "002e ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0037 ?ReferenceCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ 0050 ?PerformAllocation@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@_N1@Z 005b ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B F2 48 8B E9 48 8D 59 30 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 14 41 B1 01 45 33 C0 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_326_221_0 {
	meta:
		name = "?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z"
		size = 102
	strings:
		$1 = { 48 8B 44 24 30 45 33 DB 45 38 58 40 74 38 41 83 CA FF 45 88 58 40 44 01 50 18 44 01 52 30 45 38 58 41 74 08 44 01 50 1C 44 01 52 34 48 8B 44 24 28 83 38 06 75 0B 44 89 18 45 01 51 28 44 01 51 24 44 01 50 24 C3 41 C6 40 40 01 FF 40 18 FF 42 30 45 38 58 41 74 06 FF 40 1C FF 42 34 48 8B 44 24 28 FF 40 24 C3 }
	condition:
		$1
}

rule file_326_226_0 {
	meta:
		name = "?Version@ResourceManager@details@Concurrency@@SA?AW4OSVersion@IResourceManager@3@XZ"
		size = 128
		refs = "000f ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 001a ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 003a ?_Sleep0@details@Concurrency@@YAXXZ 0049 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0067 ?RetrieveSystemVersionInformation@ResourceManager@details@Concurrency@@CAXXZ"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 8B 05 ?? ?? ?? ?? 85 C0 75 64 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 8B 05 ?? ?? ?? ?? 85 C0 75 0B E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_327_0_0 {
	meta:
		name = "__common_datan_cout_rare"
		size = 1568
		refs = "0051 _vmldAtanHATab"
	strings:
		$1 = { 48 83 EC 78 44 0F B7 41 06 41 81 E0 F0 7F 00 00 41 C1 E8 04 44 0F 29 5C 24 50 41 81 F8 FF 07 00 00 0F 29 74 24 60 0F 84 9B 05 00 00 4C 8B 09 4C 89 4C 24 48 49 C1 E9 38 8A 41 07 41 83 E1 7F 44 88 4C 24 4F F2 0F 10 44 24 48 C0 E8 07 66 0F 2F 05 ?? ?? ?? ?? 4C 8B 4C 24 48 0F 82 45 04 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 00 04 00 00 4C 89 4C 24 20 44 0F 28 D8 44 8B 4C 24 24 45 8B D1 41 81 E1 00 00 08 00 41 81 E2 00 00 F0 FF 41 81 C9 00 00 04 00 4C 8D 1D ?? ?? ?? ?? 45 0B D1 C7 44 24 20 00 00 00 00 44 89 54 24 24 F2 0F 10 0D ?? ?? ?? ?? 0F 28 E1 F2 44 0F 5C 5C 24 20 C0 E0 07 F2 41 0F 59 E3 8B 49 04 F2 0F 11 64 24 28 81 E1 FF FF 0F 00 F2 0F 10 54 24 28 41 C1 E0 14 F2 41 0F 5C D3 F2 0F 11 54 24 30 44 0B C1 F2 0F 10 5C 24 28 41 81 C0 00 00 40 C0 F2 0F 10 6C 24 30 41 C1 F8 12 F2 0F 5C DD F2 0F 11 5C 24 28 0F 28 E8 F2 0F 10 74 24 28 41 83 E0 FE F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 5C DE F2 44 0F 11 5C 24 30 F2 0F 10 5C 24 28 F2 0F 10 64 24 30 F2 0F 11 6C 24 28 F2 0F 10 74 24 28 4D 63 C0 F2 0F 5C 74 24 48 F2 0F 11 74 24 30 F2 0F 10 6C 24 28 F2 0F 10 54 24 30 F2 0F 5C EA F2 0F 11 6C 24 28 F2 0F 10 74 24 28 F2 0F 5C C6 F2 0F 11 44 24 30 F2 44 0F 10 5C 24 28 F2 0F 10 44 24 20 F2 0F 10 54 24 30 F2 44 0F 59 D8 F2 0F 59 D0 41 0F 28 EB F2 0F 58 EA F2 0F 11 6C 24 28 F2 0F 10 74 24 28 F2 44 0F 5C DE F2 41 0F 58 D3 F2 0F 11 54 24 30 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 44 24 28 0F 28 F2 F2 0F 10 6C 24 30 F2 0F 58 F0 F2 0F 11 74 24 28 0F 28 F2 F2 44 0F 10 5C 24 28 F2 41 0F 5C F3 F2 0F 11 74 24 30 F2 0F 10 74 24 28 F2 44 0F 10 5C 24 30 F2 41 0F 58 F3 F2 0F 11 74 24 38 0F 28 F2 F2 44 0F 10 5C 24 30 F2 41 0F 58 C3 F2 0F 11 44 24 30 F2 0F 10 44 24 38 F2 0F 5C F0 F2 0F 11 74 24 38 F2 0F 10 74 24 30 F2 44 0F 10 5C 24 38 F2 41 0F 58 F3 F2 0F 11 74 24 38 F2 44 0F 10 5C 24 28 F2 0F 10 44 24 38 F2 0F 58 C5 41 0F 28 EB F2 0F 59 E9 F2 0F 11 6C 24 28 F2 0F 10 74 24 28 F2 41 0F 5C F3 F2 0F 11 74 24 30 F2 0F 10 74 24 28 F2 0F 10 6C 24 30 F2 0F 5C F5 F2 0F 11 74 24 28 F2 0F 10 6C 24 28 F2 44 0F 5C DD F2 44 0F 11 5C 24 30 F2 0F 10 74 24 28 F2 0F 10 6C 24 30 F2 0F 58 E8 0F 28 C2 F2 0F 5E C6 F2 0F 59 C8 F2 0F 11 4C 24 30 F2 0F 10 4C 24 30 F2 0F 5C C8 F2 0F 11 4C 24 38 F2 0F 10 44 24 30 F2 44 0F 10 5C 24 38 F2 41 0F 5C C3 F2 0F 11 44 24 38 F2 0F 10 4C 24 38 F2 0F 59 F1 F2 0F 5C D6 F2 0F 10 74 24 38 F2 0F 59 EE F2 0F 11 6C 24 30 F2 0F 10 6C 24 30 F2 0F 5C D5 F2 0F 11 54 24 30 F2 44 0F 10 5C 24 30 F2 0F 10 74 24 38 F2 0F 10 54 24 30 F2 0F 10 6C 24 38 F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DA F2 44 0F 59 DD 0F 28 EE F2 0F 59 F4 F2 0F 59 EB F2 41 0F 59 DB 41 0F 28 C3 F2 0F 59 C4 F2 44 0F 10 1D ?? ?? ?? ?? F2 0F 58 C6 F2 43 0F 10 14 C3 F2 0F 58 C3 F2 0F 11 44 24 28 0F 28 DD F2 0F 10 74 24 28 0F 28 C2 F2 0F 58 DE F2 0F 11 5C 24 28 F2 0F 10 64 24 28 F2 0F 5C EC F2 0F 58 EE F2 0F 11 6C 24 30 F2 0F 10 5C 24 28 0F 28 EB F2 0F 58 C3 F2 0F 59 EB F2 44 0F 59 DD F2 0F 10 74 24 30 F2 0F 11 44 24 28 F2 0F 10 4C 24 28 F2 44 0F 58 1D ?? ?? ?? ?? F2 0F 5C D1 F2 44 0F 59 DD F2 0F 58 D3 F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 0F 11 54 24 30 F2 0F 10 44 24 28 F2 0F 10 64 24 30 F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 41 0F 59 DB F2 0F 58 DE F2 43 0F 58 5C C3 08 F2 0F 58 DC F2 0F 58 C3 F2 0F 11 44 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 E9 43 01 00 00 F2 0F 10 05 ?? ?? ?? ?? C0 E0 07 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 E9 10 01 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 82 83 00 00 00 0F 28 C8 F2 0F 59 C8 C0 E0 07 F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D0 F2 0F 58 D0 F2 0F 11 54 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 EB 7F 0F B7 4C 24 4E F7 C1 F0 7F 00 00 74 3E F2 0F 10 0D ?? ?? ?? ?? C0 E0 07 F2 0F 58 C8 F2 0F 11 4C 24 28 F2 0F 10 44 24 28 F2 0F 59 44 24 48 F2 0F 11 44 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 EB 34 F2 0F 59 C0 C0 E0 07 F2 0F 11 44 24 28 F2 0F 10 44 24 28 F2 0F 58 44 24 48 F2 0F 11 44 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 0F 28 74 24 60 33 C0 44 0F 28 5C 24 50 48 83 C4 78 C3 F7 41 04 FF FF 0F 00 75 37 83 39 00 75 32 F2 0F 10 05 ?? ?? ?? ?? 8A 49 07 80 E1 80 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 40 8A 44 24 47 24 7F 0A C1 88 44 24 47 4C 8B 44 24 40 4C 89 02 EB AE F2 0F 10 01 F2 0F 58 C0 F2 0F 11 02 EB A0 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_328_0_0 {
	meta:
		name = "_scanf_l"
		size = 46
		refs = "0020 _input_l 0025 vscanf_fn"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8B C2 48 8B D1 4C 8D 48 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_328_1_0 {
	meta:
		name = "_scanf_s_l"
		size = 46
		refs = "0020 _input_s_l 0025 vscanf_fn"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8B C2 48 8B D1 4C 8D 48 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1021_0_0 {
	meta:
		name = "_wscanf_l"
		size = 46
		refs = "0020 _winput_l 0025 vwscanf_fn"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8B C2 48 8B D1 4C 8D 48 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1021_1_0 {
	meta:
		name = "_wscanf_s_l"
		size = 46
		refs = "0020 _winput_s_l 0025 vwscanf_fn"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8B C2 48 8B D1 4C 8D 48 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_328_2_0 {
	meta:
		name = "scanf"
		size = 50
		refs = "0021 _input_l 0029 vscanf_fn"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8B D1 4C 8D 48 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_328_3_0 {
	meta:
		name = "scanf_s"
		size = 50
		refs = "0021 _input_s_l 0029 vscanf_fn"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8B D1 4C 8D 48 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1021_6_0 {
	meta:
		name = "wscanf"
		size = 50
		refs = "0021 _winput_l 0029 vwscanf_fn"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8B D1 4C 8D 48 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1021_7_0 {
	meta:
		name = "wscanf_s"
		size = 50
		refs = "0021 _winput_s_l 0029 vwscanf_fn"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8B D1 4C 8D 48 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_328_5_0 {
	meta:
		name = "vscanf_fn"
		size = 143
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0043 __iob_func 004d _lock_file2 0073 _unlock_file2"
		altNames = "vwscanf_fn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 49 8B F9 49 8B F0 48 8B DA 4C 8B F1 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 37 E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B C8 4C 8B CF 4C 8B C6 48 8B D3 41 FF D6 8B D8 E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_328_6_0 {
	meta:
		name = "vscanf_fn$fin$0"
		size = 32
		refs = "000a __iob_func 0014 _unlock_file2"
		altNames = "_gets_helper$fin$0 _getws_helper$fin$0 vwscanf_fn$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_329_0_0 {
	meta:
		name = "acosf"
		size = 652
		refs = "0074 ??_C@_05FFFCHCED@acosf?$AA@ 007e _handle_errorf 0090 __real@3fc90fdb 009d __real@3f800000 00b0 __real@bf800000 00bc __real@40490fdb 00c6 _set_statfp 010e __xmm@80000000800000008000000080000000 012e __real@3f000000 0166 __real@bc5b3fe1 0171 __real@3b81ce6b 017d __real@3f8d6fa5 0189 __real@3d678bdd 0195 __real@3e3c94dc 01a1 __real@3f561f0d 01c7 __real@3c91a62633145c07 01d3 __real@400921fb54442d18 01db __real@4000000000000000 01f0 __real@40000000 026b __real@3ff921fb54442d18"
	strings:
		$1 = { 48 83 EC 68 83 64 24 70 00 0F 28 D0 0F 29 74 24 50 0F 57 C9 F3 0F 11 94 24 80 00 00 00 44 8B 84 24 80 00 00 00 41 8B C0 41 8B D0 C1 E8 17 81 E2 00 00 00 80 0F B6 C8 41 8B C0 0F BA F0 1F 83 E9 7F 3D 00 00 80 7F 76 3F 41 B9 01 00 00 00 49 0F BA E8 16 44 89 4C 24 40 F3 0F 11 4C 24 38 F3 0F 11 54 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 0D 00 00 00 E8 ?? ?? ?? ?? E9 FB 01 00 00 83 F9 E6 7D 0A F3 0F 10 35 ?? ?? ?? ?? EB 2A 85 C9 78 6A 0F 2E 15 ?? ?? ?? ?? 7A 0A 75 08 0F 28 C1 E9 D5 01 00 00 0F 2E 15 ?? ?? ?? ?? 7A 1C 75 1A F3 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 B0 01 00 00 41 B9 01 00 00 00 41 B8 00 00 C0 FF 44 89 4C 24 40 F3 0F 11 4C 24 38 F3 0F 11 54 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E9 6D FF FF FF 0F 28 E8 85 D2 74 07 0F 57 2D ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 31 F3 0F 10 0D ?? ?? ?? ?? F3 0F 5C CD F3 0F 59 0D ?? ?? ?? ?? F3 0F 11 4C 24 78 F3 0F 51 44 24 78 F3 0F 11 44 24 70 F3 0F 10 5C 24 70 0F 28 EB EB 13 F3 0F 10 5C 24 70 0F 28 CD F3 0F 59 CD F3 0F 11 4C 24 78 F3 0F 10 35 ?? ?? ?? ?? 0F 28 C1 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C F0 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 F1 F3 0F 5C 35 ?? ?? ?? ?? F3 0F 59 F1 F3 0F 58 35 ?? ?? ?? ?? F3 0F 59 F1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C C1 F3 0F 5E F0 85 C0 0F 84 9F 00 00 00 85 D2 74 33 0F 5A C3 F3 0F 59 F5 0F 5A CE F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C C1 66 0F 5A C0 E9 96 00 00 00 F3 0F 10 15 ?? ?? ?? ?? F3 0F 11 9C 24 80 00 00 00 8B 84 24 80 00 00 00 25 00 00 FF FF 89 84 24 80 00 00 00 F3 0F 59 EA F3 0F 59 EE F3 0F 10 A4 24 80 00 00 00 F3 0F 10 5C 24 78 0F 28 C4 0F 28 CC F3 0F 58 4C 24 70 F3 0F 59 C4 F3 0F 59 E2 F3 0F 5C D8 F3 0F 5E D9 F3 0F 59 DA F3 0F 58 DD F3 0F 58 DC 0F 28 C3 EB 2E F2 0F 10 0D ?? ?? ?? ?? F3 0F 59 F2 0F 57 DB F3 0F 5A DA F2 0F 10 15 ?? ?? ?? ?? 0F 5A C6 F2 0F 5C C8 F2 0F 5C D9 F2 0F 5C D3 66 0F 5A C2 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_330_4_0 {
	meta:
		name = "_ismbcprint_l"
		size = 204
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 FF 81 FB FF 00 00 00 76 55 8B C3 89 7D 20 88 5D 11 C1 E8 08 88 45 10 48 8B 45 E8 39 78 08 74 3A 8B 40 04 8D 5F 01 44 8D 4F 02 89 5C 24 30 89 44 24 28 48 8D 45 20 4C 8D 45 10 48 8D 4D E0 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 0C 66 39 7D 22 75 06 F6 45 20 20 74 2F 8B DF EB 2B 48 8B 45 E0 0F B6 D3 48 8B 88 08 01 00 00 B8 57 01 00 00 66 85 04 51 75 0D 48 8B 45 E8 8B DF F6 44 02 19 03 74 05 BB 01 00 00 00 40 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_331_0_0 {
	meta:
		name = "__common_dexp_cout_rare"
		size = 880
		refs = "0016 _imldExpHATab"
	strings:
		$1 = { 55 48 83 EC 70 33 C0 4C 8B 01 4C 89 44 24 60 49 C1 E8 30 4C 8B 0D ?? ?? ?? ?? 41 81 E0 F0 7F 00 00 41 C1 E8 04 F2 0F 10 09 41 81 F8 FF 07 00 00 0F 84 02 03 00 00 41 81 F8 CA 03 00 00 0F 8E DF 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 0F 82 B2 02 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 82 89 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F2 0F 59 C1 F2 0F 11 44 24 50 F2 0F 10 54 24 50 F2 0F 10 05 ?? ?? ?? ?? 4C 89 4C 24 60 F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 54 24 58 0F 28 D1 F2 0F 10 5C 24 58 8B 4C 24 58 44 8B C1 83 E1 3F F2 0F 5C 1D ?? ?? ?? ?? F2 0F 11 5C 24 50 44 8D 14 09 F2 0F 10 64 24 50 8D 4C 09 01 F2 0F 59 25 ?? ?? ?? ?? F2 0F 10 6C 24 50 F2 0F 5C D4 F2 0F 59 2D ?? ?? ?? ?? F2 0F 5C D5 F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 41 C1 E8 06 F2 0F 58 05 ?? ?? ?? ?? 66 0F 2F 0D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 41 8D A8 FF 03 00 00 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 C2 F2 0F 58 C2 F2 43 0F 10 14 D3 F2 41 0F 58 04 CB F2 0F 59 C2 72 76 81 E5 FF 07 00 00 F2 0F 58 C2 81 FD FE 07 00 00 77 2B 49 C1 E9 30 C1 E5 04 41 81 E1 0F 80 FF FF 44 0B CD 66 44 89 4C 24 66 F2 0F 10 4C 24 60 F2 0F 59 C1 F2 0F 11 02 48 83 C4 70 5D C3 FF CD 81 E5 FF 07 00 00 0F B7 4C 24 66 C1 E5 04 81 E1 0F 80 FF FF 0B CD 66 89 4C 24 66 F2 0F 10 4C 24 60 F2 0F 59 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 02 48 83 C4 70 5D C3 41 81 C0 3B 04 00 00 41 81 E0 FF 07 00 00 41 8B C0 0F B7 4C 24 66 C1 E0 04 81 E1 0F 80 FF FF 0B C8 66 89 4C 24 66 41 83 F8 32 F2 0F 10 5C 24 60 F2 0F 59 C3 F2 0F 59 DA 0F 28 CB F2 0F 58 C8 77 11 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 0A E9 CE 00 00 00 F2 0F 11 4C 24 20 F2 0F 10 4C 24 20 F2 0F 5C D9 F2 0F 11 5C 24 28 F2 0F 10 54 24 28 F2 0F 58 C2 F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 30 F2 0F 10 64 24 20 F2 0F 10 5C 24 30 F2 0F 58 E3 F2 0F 11 64 24 38 F2 0F 10 44 24 38 F2 0F 10 6C 24 30 F2 0F 5C C5 F2 0F 11 44 24 40 F2 0F 10 54 24 20 F2 0F 10 4C 24 40 F2 0F 5C D1 F2 0F 11 54 24 48 F2 0F 10 5C 24 28 F2 0F 10 64 24 48 F2 0F 58 E3 F2 0F 11 64 24 48 F2 0F 10 44 24 40 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 40 F2 0F 10 4C 24 48 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 4C 24 48 F2 0F 10 54 24 40 F2 0F 10 6C 24 48 F2 0F 58 D5 F2 0F 11 12 B8 04 00 00 00 48 83 C4 70 5D C3 F2 0F 10 05 ?? ?? ?? ?? B8 04 00 00 00 F2 0F 59 C0 F2 0F 11 02 48 83 C4 70 5D C3 F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C0 F2 0F 11 02 48 83 C4 70 5D C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 11 02 48 83 C4 70 5D C3 8A 4C 24 67 80 E1 80 80 F9 80 74 0E F2 0F 59 C9 F2 0F 11 0A 48 83 C4 70 5D C3 F7 44 24 64 FF FF 0F 00 75 E8 83 7C 24 60 00 75 E1 4C 89 0A 48 83 C4 70 5D C3 0F 1F 40 00 }
	condition:
		$1
}

rule file_332_0_0 {
	meta:
		name = "__sse2_cosf4"
		size = 2240
		refs = "001d flAbsMask 0024 MMSPIo2 002f MMSINVPI 003c MMIHUGE 0049 MMSPI1 0054 MMSPI2 006d MMSPI4 0077 MMS05 007e MMSPI3 0099 MMSA9 00a9 MMSA5 00b0 MMSA3 00c3 MMSA7 010c flTwoPow30 012d flAllOnes 01b0 dbInvPio2 01c5 dbiOne 01cd dbRS 01ea PI02C_0 01f6 PI02C_1 0206 PI02C_2 0237 PI02C_3 0263 PI02C_4 0273 dbSignMask 0741 __spec_table"
	strings:
		$1 = { 48 81 EC 18 01 00 00 0F 29 BC 24 F0 00 00 00 0F 29 B4 24 00 01 00 00 0F 28 F0 0F 28 0D ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 66 0F DB C1 0F 28 25 ?? ?? ?? ?? 0F 28 D0 0F 28 F8 0F 28 2D ?? ?? ?? ?? 0F 58 C3 0F 59 C4 0F 28 25 ?? ?? ?? ?? 66 0F 66 FD 0F 28 2D ?? ?? ?? ?? 0F 50 C7 0B C0 0F 85 95 00 00 00 66 0F 5B C0 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 0D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 5C C1 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 28 05 ?? ?? ?? ?? 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 CA 0F 5C CF 0F 59 D2 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 0F 28 B4 24 00 01 00 00 0F 28 BC 24 F0 00 00 00 48 81 C4 18 01 00 00 C3 66 0F DB 35 ?? ?? ?? ?? 0F 28 CE 0F 29 74 24 40 66 0F 66 35 ?? ?? ?? ?? 0F 50 D6 85 D2 0F 85 52 05 00 00 83 F8 0F 0F 84 F2 02 00 00 0F 29 7C 24 50 66 0F EF 3D ?? ?? ?? ?? 0F 29 7C 24 60 66 0F 5B C0 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 0D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 5C C1 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 CA 0F 5C CF 0F 59 D2 66 0F DB 5C 24 60 66 0F DB 4C 24 60 66 0F DB 54 24 60 0F 29 5C 24 70 0F 29 8C 24 80 00 00 00 0F 29 94 24 90 00 00 00 0F 5A 4C 24 40 0F 5A 44 24 48 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D9 66 0F E6 DB 66 0F 70 DB DC 66 0F EB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 29 84 24 A0 00 00 00 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C2 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C8 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C1 66 0F 5C CC 66 0F 5C C1 66 0F 28 F1 66 0F 5C C4 66 0F 5C CD 66 0F 73 F3 3E 66 0F 5C F1 66 0F 28 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 C6 66 0F 58 C8 66 0F 59 E2 66 0F 5C F9 66 0F 28 E9 66 0F 5C CC 66 0F 58 C7 66 0F 5C E9 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 C5 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F DB EB 66 0F 28 9C 24 A0 00 00 00 66 0F 59 1D ?? ?? ?? ?? 66 0F E6 DB 66 0F 58 C1 66 0F 28 8C 24 A0 00 00 00 66 0F EF 2D ?? ?? ?? ?? 66 0F 70 ED DD 66 0F 70 DB DC 66 0F EB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 29 84 24 B0 00 00 00 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C2 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F D6 AC 24 C0 00 00 00 66 0F 5C C8 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C1 66 0F 5C CC 66 0F 5C C1 66 0F 28 F1 66 0F 5C C4 66 0F 5C CD 66 0F 73 F3 3E 66 0F 5C F1 66 0F 28 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 C6 66 0F 58 C8 66 0F 59 E2 66 0F 5C F9 66 0F 28 E9 66 0F 5C CC 66 0F 58 C7 66 0F 5C E9 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 C5 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F DB EB 66 0F 58 C8 66 0F EF 2D ?? ?? ?? ?? 66 0F 5A 94 24 B0 00 00 00 66 0F 70 ED DD 66 0F 5A D9 66 0F 14 D3 F3 0F 7E 9C 24 C0 00 00 00 66 0F 14 DD 0F 28 05 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 CA 0F 59 D2 66 0F DB 5C 24 50 66 0F DB 4C 24 50 66 0F DB 54 24 50 66 0F EB 5C 24 70 66 0F EB 8C 24 80 00 00 00 66 0F EB 94 24 90 00 00 00 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 E9 0B 03 00 00 66 0F 70 C1 EE 0F 5A C9 0F 5A C0 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 D9 66 0F 59 F0 66 0F E6 DB 66 0F E6 F6 66 0F 70 DB DC 66 0F 70 F6 DC 66 0F EB 1D ?? ?? ?? ?? 66 0F EB 35 ?? ?? ?? ?? 66 0F 29 B4 24 D0 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 29 84 24 A0 00 00 00 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C2 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C8 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C1 66 0F 5C CC 66 0F 5C C1 66 0F 28 F1 66 0F 5C C4 66 0F 5C CD 66 0F 73 F3 3E 66 0F 5C F1 66 0F 28 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 C6 66 0F 58 C8 66 0F 59 E2 66 0F 5C F9 66 0F 28 E9 66 0F 5C CC 66 0F 58 C7 66 0F 5C E9 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 C5 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F DB EB 66 0F 58 C1 66 0F 28 8C 24 A0 00 00 00 66 0F EF 2D ?? ?? ?? ?? 66 0F 70 ED DD 66 0F 28 9C 24 D0 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 94 24 D0 00 00 00 66 0F 29 84 24 B0 00 00 00 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C2 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F D6 AC 24 C0 00 00 00 66 0F 5C C8 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C1 66 0F 5C CC 66 0F 5C C1 66 0F 28 F1 66 0F 5C C4 66 0F 5C CD 66 0F 73 F3 3E 66 0F 5C F1 66 0F 28 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 C6 66 0F 58 C8 66 0F 59 E2 66 0F 5C F9 66 0F 28 E9 66 0F 5C CC 66 0F 58 C7 66 0F 5C E9 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 C5 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F 5A 94 24 B0 00 00 00 66 0F DB EB 66 0F 58 C8 66 0F 5A D9 66 0F EF 2D ?? ?? ?? ?? 66 0F 14 D3 0F 28 05 ?? ?? ?? ?? 0F 28 CA 0F 59 D2 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 05 ?? ?? ?? ?? 66 0F 70 ED DD 0F 59 C2 F3 0F 7E 9C 24 C0 00 00 00 0F 59 C1 66 0F 14 DD 0F 58 C1 66 0F EF C3 E9 B4 00 00 00 83 F8 0F 0F 84 85 00 00 00 66 0F 5B C0 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 0D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 5C C1 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 CA 0F 5C CF 0F 59 D2 0F 28 05 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 0F 29 84 24 E0 00 00 00 89 44 24 20 8B 44 24 20 45 33 C9 A8 01 75 2F 49 FF C1 D1 F8 89 44 24 20 49 83 F9 04 7C ED 0F 28 84 24 E0 00 00 00 0F 28 B4 24 00 01 00 00 0F 28 BC 24 F0 00 00 00 48 81 C4 18 01 00 00 C3 42 8B 44 8C 40 48 8D 15 ?? ?? ?? ?? 89 44 24 28 48 89 54 24 30 F3 0F 10 44 24 28 4C 8B 44 24 30 0F 28 C8 66 0F 7E C1 0F 5A C9 F2 41 0F 10 90 10 05 00 00 81 E1 FF FF FF 7F 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 0F 84 0E 01 00 00 C1 E9 17 81 E9 8E 00 00 00 81 E1 F8 FF 00 00 F2 41 0F 10 9C 48 10 04 00 00 F2 41 0F 10 AC 48 18 04 00 00 F2 41 0F 10 90 50 05 00 00 66 0F 57 E4 B8 38 43 00 00 66 0F C4 E0 03 66 0F 54 D3 66 0F 73 F3 28 F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 CD F2 0F 10 C2 F2 0F 58 D3 F2 0F 10 EA F2 0F 5C C2 F2 0F 58 D4 F2 0F 58 D8 66 0F 7E D1 F2 0F 5C D4 F2 0F 58 CB B8 80 01 00 00 F2 41 0F 10 A0 40 05 00 00 F2 0F 5C EA 03 C9 8B D1 C1 E1 18 C1 F9 1F 23 C2 03 D1 33 D1 F2 0F 58 CD 81 E2 FE 00 00 00 F2 41 0F 10 1C D0 F2 41 0F 10 80 48 05 00 00 66 0F 70 D1 44 F2 0F 59 C9 F2 41 0F 10 6C D0 08 8B C8 81 E1 00 01 00 00 C1 E1 17 F2 0F 59 DA 66 0F 6E D1 F2 0F 5C C1 05 80 00 00 00 25 00 01 00 00 C1 E0 17 F2 0F 5C E1 66 0F 73 F2 20 66 0F 6E C8 66 0F 57 E2 F2 0F 59 C5 F2 0F 59 DC 66 0F 73 F1 20 66 0F 57 C1 F2 0F 58 C3 66 0F 5A C0 EB 04 F3 0F 5C C0 F3 0F 11 44 24 24 8B 44 24 24 42 89 84 8C E0 00 00 00 8B 44 24 20 E9 57 FE FF FF 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_335_0_0 {
	meta:
		name = "nearbyintf"
		size = 44
		refs = "0010 _fdtest 0023 _fdrint"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F3 0F 10 44 24 30 83 F9 02 76 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_336_4_0 {
	meta:
		name = "_mbsnbicmp_l"
		size = 429
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0048 _strnicmp 005c _errno 0067 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B F1 48 8B FA 48 8D 48 D8 49 8B D1 49 8B D8 E8 ?? ?? ?? ?? 33 ED 48 85 DB 0F 84 46 01 00 00 48 8B 4C 24 28 39 69 08 75 13 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? E9 34 01 00 00 48 85 F6 74 05 48 85 FF 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 10 01 00 00 41 B1 04 44 0F B6 06 48 FF CB 48 FF C6 45 84 4C 08 19 74 62 48 85 DB 75 19 0F B6 07 44 8B C5 44 84 4C 08 19 0F 85 DB 00 00 00 0F B7 D0 E9 BE 00 00 00 40 38 2E 75 06 44 0F B7 C5 EB 4D 0F B6 06 66 41 C1 E0 08 48 FF C6 66 44 0B C0 66 44 3B 41 0C 72 0E 66 44 3B 41 0E 77 07 66 44 03 41 10 EB 29 66 44 3B 41 12 72 22 66 44 3B 41 14 77 1B 66 44 03 41 16 EB 14 41 0F B7 C0 F6 44 08 19 10 74 09 44 0F B6 84 08 19 01 00 00 0F B6 17 48 FF C7 44 84 4C 0A 19 74 47 48 85 DB 75 04 8B D5 EB 50 48 FF CB 40 38 2F 75 05 0F B7 D5 EB 43 0F B6 07 66 C1 E2 08 48 FF C7 66 0B D0 66 3B 51 0C 72 0C 66 3B 51 0E 77 06 66 03 51 10 EB 24 66 3B 51 12 72 1E 66 3B 51 14 77 18 66 03 51 16 EB 12 0F B7 C2 F6 44 08 19 10 74 08 0F B6 94 08 19 01 00 00 66 41 3B D0 75 13 66 45 85 C0 74 09 48 85 DB 0F 85 FE FE FF FF 8B C5 EB 07 1B C0 83 E0 02 FF C8 40 38 6C 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_337_1_0 {
	meta:
		name = "cacoshl"
		size = 872
		refs = "0044 creall 005a cimagl 0068 _ldtest 00a0 _LInf_C 00fc __real@4002d97c7f3321d2 0106 __real@3fe921fb54442d18 0117 __real@400921fb54442d18 0144 __real@bff921fb54442d18 0151 __real@3ff921fb54442d18 016c __real@3ff0000000000000 0173 __xmm@80000000000000008000000000000000 0178 _LCbuild 018d csqrtl 0213 __real@5fcffb3abd82527b 0272 asinhl 027a __real@0000000000000000 0293 log 0307 atan2 0311 __real@4000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 0F 29 70 D8 0F 29 78 C8 48 8B F1 48 8D 4D B7 48 8B DA 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 F3 0F 7F 45 B7 44 0F 29 58 88 E8 ?? ?? ?? ?? 48 8D 4D B7 F2 0F 11 45 6F 0F 10 03 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 37 66 3B C7 75 0F F2 0F 10 75 6F F2 0F 10 45 67 E9 8C 02 00 00 BB 01 00 00 00 66 3B C3 75 12 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 45 6F E9 70 02 00 00 F2 0F 10 75 6F EB 1F BB 01 00 00 00 66 83 F8 02 75 1C 66 3B FB 75 0A F2 0F 10 35 ?? ?? ?? ?? EB B9 F2 0F 10 75 67 0F 28 C6 E9 42 02 00 00 66 3B FB 75 48 F2 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 3B C3 75 1B 66 0F 2F 45 6F 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 19 F2 0F 10 05 ?? ?? ?? ?? EB 0F 66 0F 2F 45 6F 76 08 F2 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 6D E9 EC 01 00 00 66 3B C3 75 2C F2 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 0F 2F 45 67 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 D1 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 C4 01 00 00 F2 0F 10 4D 6F F2 0F 10 55 67 48 8D 4D C7 F2 0F 5C 0D ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? F2 0F 10 4D 6F F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 55 67 48 8D 4D D7 0F 10 38 E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D C7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 7D B7 0F 10 30 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 7D B7 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 75 B7 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 75 B7 44 0F 28 C0 E8 ?? ?? ?? ?? 44 0F 28 D8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 2F D0 76 0F 41 0F 28 FA F2 45 0F 5E C2 41 0F 28 C3 EB 3A 66 44 0F 2F C8 41 0F 28 F9 76 10 41 0F 28 C3 F2 41 0F 5E C1 F2 41 0F 59 C2 EB 24 0F 57 3D ?? ?? ?? ?? 66 0F 2F F8 41 0F 28 C3 76 06 F2 0F 5E C7 EB E2 0F 57 FF F2 41 0F 59 C2 F2 45 0F 59 C1 F2 41 0F 5C C0 E8 ?? ?? ?? ?? 66 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 21 66 0F 2F 05 ?? ?? ?? ?? 0F 28 C7 72 0B E8 ?? ?? ?? ?? F2 0F 58 F0 EB 09 E8 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 10 55 67 B8 00 80 00 00 66 85 45 6D 74 0E 0F 57 15 ?? ?? ?? ?? F2 0F 11 55 67 EB 02 33 DB F2 0F 10 4D 6F 48 8D 4D D7 F2 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D C7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D B7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 41 0F 28 CB E8 ?? ?? ?? ?? 85 DB F2 0F 59 05 ?? ?? ?? ?? 74 07 0F 57 05 ?? ?? ?? ?? 48 8D 4D D7 0F 28 D0 0F 28 CE E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 0F 10 00 48 8B C6 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 06 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_759_0_0 {
	meta:
		name = "cacosh"
		size = 872
		refs = "0044 creal 005a cimag 0068 _dtest 00a0 _Inf_C 00fc __real@4002d97c7f3321d2 0106 __real@3fe921fb54442d18 0117 __real@400921fb54442d18 0144 __real@bff921fb54442d18 0151 __real@3ff921fb54442d18 016c __real@3ff0000000000000 0173 __xmm@80000000000000008000000000000000 0178 _Cbuild 018d csqrt 0213 __real@5fcffb3abd82527b 0272 asinh 027a __real@0000000000000000 0293 log 0307 atan2 0311 __real@4000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 0F 29 70 D8 0F 29 78 C8 48 8B F1 48 8D 4D B7 48 8B DA 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 F3 0F 7F 45 B7 44 0F 29 58 88 E8 ?? ?? ?? ?? 48 8D 4D B7 F2 0F 11 45 6F 0F 10 03 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 37 66 3B C7 75 0F F2 0F 10 75 6F F2 0F 10 45 67 E9 8C 02 00 00 BB 01 00 00 00 66 3B C3 75 12 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 45 6F E9 70 02 00 00 F2 0F 10 75 6F EB 1F BB 01 00 00 00 66 83 F8 02 75 1C 66 3B FB 75 0A F2 0F 10 35 ?? ?? ?? ?? EB B9 F2 0F 10 75 67 0F 28 C6 E9 42 02 00 00 66 3B FB 75 48 F2 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 3B C3 75 1B 66 0F 2F 45 6F 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 19 F2 0F 10 05 ?? ?? ?? ?? EB 0F 66 0F 2F 45 6F 76 08 F2 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 6D E9 EC 01 00 00 66 3B C3 75 2C F2 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 0F 2F 45 67 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 D1 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 C4 01 00 00 F2 0F 10 4D 6F F2 0F 10 55 67 48 8D 4D C7 F2 0F 5C 0D ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? F2 0F 10 4D 6F F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 55 67 48 8D 4D D7 0F 10 38 E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D C7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 7D B7 0F 10 30 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 7D B7 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 75 B7 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 75 B7 44 0F 28 C0 E8 ?? ?? ?? ?? 44 0F 28 D8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 2F D0 76 0F 41 0F 28 FA F2 45 0F 5E C2 41 0F 28 C3 EB 3A 66 44 0F 2F C8 41 0F 28 F9 76 10 41 0F 28 C3 F2 41 0F 5E C1 F2 41 0F 59 C2 EB 24 0F 57 3D ?? ?? ?? ?? 66 0F 2F F8 41 0F 28 C3 76 06 F2 0F 5E C7 EB E2 0F 57 FF F2 41 0F 59 C2 F2 45 0F 59 C1 F2 41 0F 5C C0 E8 ?? ?? ?? ?? 66 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 21 66 0F 2F 05 ?? ?? ?? ?? 0F 28 C7 72 0B E8 ?? ?? ?? ?? F2 0F 58 F0 EB 09 E8 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 10 55 67 B8 00 80 00 00 66 85 45 6D 74 0E 0F 57 15 ?? ?? ?? ?? F2 0F 11 55 67 EB 02 33 DB F2 0F 10 4D 6F 48 8D 4D D7 F2 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D C7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 48 8D 4D B7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 41 0F 28 CB E8 ?? ?? ?? ?? 85 DB F2 0F 59 05 ?? ?? ?? ?? 74 07 0F 57 05 ?? ?? ?? ?? 48 8D 4D D7 0F 28 D0 0F 28 CE E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 0F 10 00 48 8B C6 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 06 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_339_0_0 {
	meta:
		name = "cexp"
		size = 503
		refs = "0023 creal 0039 cimag 0047 _dtest 00de _Zero_C 00e5 __xmm@80000000000000008000000000000000 00f4 cos 0107 sin 0122 _fperrraise 012f _Nan_C 01ad _dexp 01dc _Cbuild"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 0F 10 02 48 8B F9 48 8D 4D E0 0F 29 74 24 30 48 8B DA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D E0 F2 0F 11 45 38 0F 10 03 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 38 F2 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 23 66 85 C0 75 14 F2 0F 10 45 38 F2 0F 10 75 30 F2 0F 11 45 28 E9 0C 01 00 00 F2 0F 10 75 38 E9 FD 00 00 00 B9 01 00 00 00 66 83 F8 02 75 23 66 3B D9 75 14 F2 0F 10 45 38 0F 57 F6 66 0F 2F F0 0F 87 DB 00 00 00 EB C3 F2 0F 10 75 30 E9 CF 00 00 00 66 3B D9 0F 85 B4 00 00 00 F2 0F 10 45 38 0F 57 F6 66 0F 2F F0 76 57 66 3B C1 75 24 66 0F 2F 75 30 F2 0F 11 75 28 0F 86 A8 00 00 00 F2 0F 10 35 ?? ?? ?? ?? 0F 57 35 ?? ?? ?? ?? E9 94 00 00 00 F2 0F 10 45 30 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 11 45 28 F2 0F 10 45 30 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 11 45 20 0F 28 F0 E9 B3 00 00 00 66 3B C1 75 19 E8 ?? ?? ?? ?? F2 0F 10 45 38 F2 0F 10 35 ?? ?? ?? ?? F2 0F 11 45 28 EB 48 66 85 C0 0F 84 24 FF FF FF F2 0F 10 45 30 E8 ?? ?? ?? ?? F2 0F 59 45 38 F2 0F 11 45 28 F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 59 75 38 EB 17 66 3B C1 75 19 E8 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 11 75 28 F2 0F 11 75 20 EB 46 F2 0F 10 45 38 F2 0F 11 45 28 F2 0F 11 45 20 F2 0F 10 45 30 E8 ?? ?? ?? ?? 48 8D 4D 28 45 33 C0 0F 28 C8 E8 ?? ?? ?? ?? F2 0F 10 45 30 E8 ?? ?? ?? ?? 48 8D 4D 20 45 33 C0 0F 28 C8 E8 ?? ?? ?? ?? F2 0F 10 75 20 F2 0F 10 4D 28 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_989_0_0 {
	meta:
		name = "cexpl"
		size = 503
		refs = "0023 creall 0039 cimagl 0047 _ldtest 00de _LZero_C 00e5 __xmm@80000000000000008000000000000000 00f4 cos 0107 sin 0122 _fperrraise 012f _LNan_C 01ad _ldexp 01dc _LCbuild"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 0F 10 02 48 8B F9 48 8D 4D E0 0F 29 74 24 30 48 8B DA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D E0 F2 0F 11 45 38 0F 10 03 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 38 F2 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 23 66 85 C0 75 14 F2 0F 10 45 38 F2 0F 10 75 30 F2 0F 11 45 28 E9 0C 01 00 00 F2 0F 10 75 38 E9 FD 00 00 00 B9 01 00 00 00 66 83 F8 02 75 23 66 3B D9 75 14 F2 0F 10 45 38 0F 57 F6 66 0F 2F F0 0F 87 DB 00 00 00 EB C3 F2 0F 10 75 30 E9 CF 00 00 00 66 3B D9 0F 85 B4 00 00 00 F2 0F 10 45 38 0F 57 F6 66 0F 2F F0 76 57 66 3B C1 75 24 66 0F 2F 75 30 F2 0F 11 75 28 0F 86 A8 00 00 00 F2 0F 10 35 ?? ?? ?? ?? 0F 57 35 ?? ?? ?? ?? E9 94 00 00 00 F2 0F 10 45 30 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 11 45 28 F2 0F 10 45 30 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 11 45 20 0F 28 F0 E9 B3 00 00 00 66 3B C1 75 19 E8 ?? ?? ?? ?? F2 0F 10 45 38 F2 0F 10 35 ?? ?? ?? ?? F2 0F 11 45 28 EB 48 66 85 C0 0F 84 24 FF FF FF F2 0F 10 45 30 E8 ?? ?? ?? ?? F2 0F 59 45 38 F2 0F 11 45 28 F2 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 59 75 38 EB 17 66 3B C1 75 19 E8 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 11 75 28 F2 0F 11 75 20 EB 46 F2 0F 10 45 38 F2 0F 11 45 28 F2 0F 11 45 20 F2 0F 10 45 30 E8 ?? ?? ?? ?? 48 8D 4D 28 45 33 C0 0F 28 C8 E8 ?? ?? ?? ?? F2 0F 10 45 30 E8 ?? ?? ?? ?? 48 8D 4D 20 45 33 C0 0F 28 C8 E8 ?? ?? ?? ?? F2 0F 10 75 20 F2 0F 10 4D 28 48 8D 4D E0 0F 28 D6 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_342_3_0 {
	meta:
		name = "_gcvt"
		size = 44
		refs = "0017 _gcvt_s"
	strings:
		$1 = { 40 53 48 83 EC 20 44 8B CA 0F 28 D0 49 8B C8 48 83 CA FF 49 8B D8 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_342_4_0 {
	meta:
		name = "_gcvt_s"
		size = 362
		refs = "000f __security_cookie 0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0044 _errno 0050 _invalid_parameter_noinfo 008f _fltout2 00b6 _cftof 00d1 _cftoe 015a __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 48 81 EC 98 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 88 00 00 00 48 8B D9 48 8B EA 48 8D 4C 24 38 33 D2 F2 0F 11 54 24 30 49 63 F1 E8 ?? ?? ?? ?? 48 85 DB 74 05 48 85 ED 75 16 E8 ?? ?? ?? ?? BF 16 00 00 00 89 38 E8 ?? ?? ?? ?? E9 E0 00 00 00 C6 03 00 48 3B F5 72 18 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 8B FB E9 C0 00 00 00 48 8B 4C 24 30 4C 8D 44 24 70 48 8D 54 24 58 41 B9 16 00 00 00 E8 ?? ?? ?? ?? 8B 50 04 8D 4A FF 83 F9 FF 7C 1E 8D 46 FF 3B C8 7F 17 2B F2 48 8D 4C 24 30 4C 8B C5 44 8B CE 48 8B D3 E8 ?? ?? ?? ?? EB 19 83 64 24 20 00 44 8D 4E FF 48 8D 4C 24 30 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 8B F8 85 C0 75 57 8A 13 84 D2 74 1E 48 8B 44 24 38 48 8B 88 F0 00 00 00 48 8B 01 8A 08 3A D1 74 09 48 FF C3 8A 13 84 D2 75 F3 8A 03 48 FF C3 84 C0 74 31 EB 07 3C 65 74 09 48 FF C3 8A 03 84 C0 75 F3 48 8B CB 48 FF CB 80 3B 30 74 F8 8A 01 48 FF C3 48 FF C1 88 03 84 C0 75 F2 EB 07 E8 ?? ?? ?? ?? 89 38 80 7C 24 50 00 74 0C 48 8B 44 24 48 83 A0 C8 00 00 00 FD 8B C7 48 8B 8C 24 88 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_343_0_0 {
	meta:
		name = "_chgsignf"
		size = 25
	strings:
		$1 = { F3 0F 11 44 24 08 8B 44 24 08 0F BA F8 1F 89 44 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_344_0_0 {
	meta:
		name = "_wcsrev"
		size = 64
	strings:
		$1 = { 4C 8B C1 4C 8B D1 4C 8B C9 41 0F B7 00 49 83 C0 02 66 85 C0 75 F3 49 83 E8 04 49 3B C8 73 1D 41 0F B7 08 41 0F B7 11 66 41 89 09 66 41 89 10 49 83 E8 02 49 83 C1 02 4D 3B C8 72 E3 49 8B C2 C3 }
	condition:
		$1
}

rule file_346_0_0 {
	meta:
		name = "rewind"
		size = 185
		refs = "001f _errno 002a _invalid_parameter_noinfo 0031 _fileno 003c _lock_file 0045 _flush 0062 __pioinfo 0076 __badioinfo 0099 _lseek 00aa _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 7E E8 ?? ?? ?? ?? 48 63 F8 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 83 63 18 CF 8D 4F 02 83 F9 01 76 1E 48 8B CF 48 8B C7 48 C1 F8 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B D1 58 49 03 14 C0 EB 07 48 8D 15 ?? ?? ?? ?? 0F BE 42 08 83 E0 FD 88 42 08 8B 43 18 84 C0 79 06 83 E0 FC 89 43 18 45 33 C0 33 D2 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 83 4B 18 20 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_346_1_0 {
	meta:
		name = "rewind$fin$0"
		size = 24
		refs = "0013 _unlock_file"
		altNames = "_fseeki64$fin$0 _ftelli64$fin$0 clearerr_s$fin$0 fclose$fin$0 fflush$fin$0 fgetc$fin$0 fgetwc$fin$0 fseek$fin$0 ftell$fin$0 getc$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 30 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_347_0_0 {
	meta:
		name = "_mbccpy"
		size = 30
		refs = "0015 _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C0 4C 8B CA 41 8D 50 02 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_347_1_0 {
	meta:
		name = "_mbccpy_l"
		size = 29
		refs = "0014 _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 45 33 C0 4C 8B CA 41 8D 50 02 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_348_0_0 {
	meta:
		name = "_mktemp"
		size = 77
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0029 strlen 0035 _mktemp_s"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1A E8 ?? ?? ?? ?? 48 8B CB 48 8D 50 01 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_812_0_0 {
	meta:
		name = "_wmktemp"
		size = 77
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0029 wcslen 0035 _wmktemp_s"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1A E8 ?? ?? ?? ?? 48 8B CB 48 8D 50 01 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_348_1_0 {
	meta:
		name = "_mktemp_s"
		size = 329
		refs = "0032 strnlen 0043 __threadid 006e _ismbstrail 00c4 _errno 00d8 _access_s 0128 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F2 48 8B D9 48 85 C9 0F 84 F3 00 00 00 48 85 D2 0F 84 EA 00 00 00 E8 ?? ?? ?? ?? 4C 8B F0 48 3B C6 0F 83 D6 00 00 00 E8 ?? ?? ?? ?? 48 8D 7B FF 8B E8 49 83 FE 06 0F 82 C1 00 00 00 49 3B F6 0F 86 B8 00 00 00 33 F6 49 03 FE EB 44 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 3A 80 3F 58 0F 85 99 00 00 00 48 83 FE 05 73 2B B8 CD CC CC CC 48 FF C6 F7 E5 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 40 2A E9 40 80 C5 30 40 88 2F 8B EA 48 FF CF 48 3B FB 73 B7 80 3F 58 75 63 48 83 FE 05 72 5D C6 07 61 BE 62 00 00 00 E8 ?? ?? ?? ?? 8B 28 E8 ?? ?? ?? ?? 33 D2 48 8B CB 83 20 00 E8 ?? ?? ?? ?? 85 C0 74 0A E8 ?? ?? ?? ?? 83 38 0D 75 0C 83 FE 7B 74 12 40 88 37 FF C6 EB D4 E8 ?? ?? ?? ?? 89 28 33 C0 EB 2D C6 03 00 E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 16 C6 03 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_350_0_0 {
	meta:
		name = "bsearch_s"
		size = 250
		refs = "0042 _errno 004d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 41 56 41 57 48 83 EC 20 49 8D 78 FF 45 33 F6 4D 8B F9 49 8B F0 48 8B DA 4C 8B E9 49 0F AF F9 48 03 FA 48 85 D2 75 36 4D 85 C0 74 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5D C3 4D 85 C9 74 CA 4C 39 74 24 60 74 C3 48 3B D7 77 CE 48 8B EE 48 D1 ED 74 46 48 8B 4C 24 68 40 F6 C6 01 48 8D 75 FF 48 0F 45 F5 49 8B D5 4C 8B F6 4D 0F AF F7 4C 03 F3 4D 8B C6 FF 54 24 60 85 C0 74 18 79 08 49 8B FE 49 2B FF EB 07 4B 8D 1C 3E 48 8B F5 48 3B DF 76 B9 EB 85 49 8B C6 EB 82 45 33 F6 48 85 F6 0F 84 74 FF FF FF 48 8B 4C 24 68 4C 8B C3 49 8B D5 FF 54 24 60 85 C0 49 0F 45 DE 48 8B C3 E9 59 FF FF FF }
	condition:
		$1
}

rule file_351_0_0 {
	meta:
		name = "strcat_s"
		size = 124
		refs = "001f _errno 002b _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 4C 8B C9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 1C 44 88 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 44 38 11 74 08 48 FF C1 48 FF CA 75 F3 48 85 D2 75 05 45 88 11 EB D0 49 2B C8 41 8A 00 42 88 04 01 49 FF C0 84 C0 74 05 48 FF CA 75 ED 48 85 D2 75 0F 45 88 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB B0 33 C0 EB B5 }
	condition:
		$1
}

rule file_352_4_0 {
	meta:
		name = "_mbsnbcmp_l"
		size = 300
		refs = "0034 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004d strncmp 0061 _errno 006c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 33 ED 49 8B D8 48 8B FA 48 8B F1 4D 85 C0 75 07 33 C0 E9 EC 00 00 00 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 44 24 28 41 39 68 08 75 13 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? E9 AE 00 00 00 48 85 F6 74 05 48 85 FF 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 8A 00 00 00 41 B1 04 0F B6 0E 48 FF CB 48 FF C6 46 84 4C 01 19 74 2D 48 85 DB 75 11 0F B6 07 8B CD 46 84 4C 00 19 75 5B 0F B7 D0 EB 47 40 38 2E 75 05 0F B7 CD EB 0D 0F B6 06 66 C1 E1 08 66 0B C8 48 FF C6 0F B6 17 48 FF C7 46 84 4C 02 19 74 23 48 85 DB 75 04 8B D5 EB 1A 48 FF CB 40 38 2F 75 05 0F B7 D5 EB 0D 0F B6 07 66 C1 E2 08 66 0B D0 48 FF C7 66 3B D1 75 0E 66 85 C9 74 05 48 85 DB 75 84 8B C5 EB 07 1B C0 83 E0 02 FF C8 40 38 6C 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_353_0_0 {
	meta:
		name = "qsort_s"
		size = 835
		refs = "0012 __security_cookie 003d _errno 0048 _invalid_parameter_noinfo 00c7 shortsort_s 0330 __security_check_cookie"
	strings:
		$1 = { 40 55 41 55 41 56 41 57 48 81 EC 58 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 04 00 00 4C 8B BC 24 A0 04 00 00 4D 8B F1 49 8B E8 4C 8B E9 48 85 C9 75 1A 48 85 D2 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 D3 02 00 00 4D 85 C0 74 E6 4D 85 C9 74 E1 48 83 FA 02 0F 82 BF 02 00 00 48 89 9C 24 50 04 00 00 48 89 B4 24 48 04 00 00 48 89 BC 24 40 04 00 00 4C 89 A4 24 38 04 00 00 4C 8D 62 FF 48 C7 44 24 30 00 00 00 00 4C 0F AF E5 4C 03 E1 0F 1F 80 00 00 00 00 33 D2 49 8B C4 49 2B C5 48 F7 F5 48 8D 70 01 48 83 FE 08 77 38 4D 8B CE 4C 8B C5 49 8B D4 49 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 FF C9 48 89 4C 24 30 0F 88 26 02 00 00 4C 8B 6C CC 40 4C 8B A4 CC 30 02 00 00 EB B3 48 D1 EE 49 8B D5 49 8B CF 48 0F AF F5 49 03 F5 4C 8B C6 41 FF D6 85 C0 7E 32 4C 8B C5 48 8B D6 4C 3B EE 74 27 4D 8B CD 4C 2B CE 0F 1F 84 00 00 00 00 00 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 4D 8B C4 49 8B D5 49 8B CF 41 FF D6 85 C0 7E 30 4C 8B C5 49 8B D4 4D 3B EC 74 25 4D 8B CD 4D 2B CC 66 0F 1F 44 00 00 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 4D 8B C4 48 8B D6 49 8B CF 41 FF D6 85 C0 7E 30 4C 8B C5 49 8B D4 49 3B F4 74 25 4C 8B CE 4D 2B CC 66 0F 1F 44 00 00 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 49 8B DD 49 8B FC 90 48 3B F3 76 1D 48 03 DD 48 3B DE 73 15 4C 8B C6 48 8B D3 49 8B CF 41 FF D6 85 C0 7E E8 48 3B F3 77 1E 48 03 DD 49 3B DC 77 16 4C 8B C6 48 8B D3 49 8B CF 41 FF D6 85 C0 7E E8 66 0F 1F 44 00 00 48 2B FD 48 3B FE 76 10 4C 8B C6 48 8B D7 49 8B CF 41 FF D6 85 C0 7F E8 48 3B FB 72 3D 4C 8B C5 48 8B D7 48 3B DF 74 21 4C 8B CB 4C 2B CF 66 90 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 48 3B F7 0F 85 6E FF FF FF 48 8B F3 E9 66 FF FF FF 48 03 FD 48 3B F7 73 1E 48 2B FD 48 3B FE 76 16 4C 8B C6 48 8B D7 49 8B CF 41 FF D6 85 C0 74 E8 48 3B F7 72 19 90 48 2B FD 49 3B FD 76 10 4C 8B C6 48 8B D7 49 8B CF 41 FF D6 85 C0 74 E8 49 8B CC 48 8B C7 48 2B CB 49 2B C5 48 3B C1 48 8B 4C 24 30 7C 2B 4C 3B EF 73 15 4C 89 6C CC 40 48 89 BC CC 30 02 00 00 48 FF C1 48 89 4C 24 30 49 3B DC 0F 83 FF FD FF FF 4C 8B EB E9 C7 FD FF FF 49 3B DC 73 15 48 89 5C CC 40 4C 89 A4 CC 30 02 00 00 48 FF C1 48 89 4C 24 30 4C 3B EF 0F 83 D4 FD FF FF 4C 8B E7 E9 9C FD FF FF 48 8B BC 24 40 04 00 00 48 8B B4 24 48 04 00 00 48 8B 9C 24 50 04 00 00 4C 8B A4 24 38 04 00 00 48 8B 8C 24 20 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 58 04 00 00 41 5F 41 5E 41 5D 5D C3 }
	condition:
		$1
}

rule file_353_1_0 {
	meta:
		name = "shortsort_s"
		size = 190
	strings:
		$1 = { 48 3B D1 0F 86 B4 00 00 00 55 56 41 54 41 56 48 83 EC 28 48 89 5C 24 50 48 89 7C 24 58 4C 89 6C 24 60 4C 89 7C 24 20 4C 8B 7C 24 70 4D 8B E1 49 8B E8 48 8B F2 4C 8B F1 4E 8D 2C 01 0F 1F 40 00 49 8B DE 49 8B FD 4C 3B EE 77 1F 0F 1F 44 00 00 4C 8B C3 48 8B D7 49 8B CF 41 FF D4 85 C0 48 0F 4F DF 48 03 FD 48 3B FE 76 E6 4C 8B C5 48 8B C6 48 3B DE 74 22 48 85 ED 74 1D 48 2B DE 0F 1F 00 0F B6 08 0F B6 14 03 48 8D 40 01 88 4C 03 FF 88 50 FF 49 FF C8 75 E9 48 2B F5 49 3B F6 77 A1 4C 8B 7C 24 20 4C 8B 6C 24 60 48 8B 7C 24 58 48 8B 5C 24 50 48 83 C4 28 41 5E 41 5C 5E 5D C3 }
	condition:
		$1
}

rule file_353_2_0 {
	meta:
		name = "swap_c"
		size = 42
		altNames = "swap"
	strings:
		$1 = { 4C 8B C9 48 3B CA 74 21 4D 85 C0 74 1C 4C 2B CA 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 C3 }
	condition:
		$1
}

rule file_354_1_0 {
	meta:
		name = "_setargv"
		size = 243
		refs = "0011 __mbctype_initialized 0019 __initmbctable 0020 ?_pgmname@?1??_setargv@@9@9 0038 __imp_GetModuleFileNameA 003f _acmdln 0046 _pgmptr 006f parse_cmdline 009f _malloc_crt 00d0 __argv 00d8 __argc"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 30 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 41 B8 04 01 00 00 33 C9 48 8B D7 C6 05 ?? ?? ?? ?? 00 FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 85 DB 74 05 80 3B 00 75 03 48 8B DF 48 8D 44 24 48 4C 8D 4C 24 40 45 33 C0 33 D2 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 74 24 40 48 B9 FF FF FF FF FF FF FF 1F 48 3B F1 73 59 48 63 4C 24 48 48 83 F9 FF 73 4E 48 8D 14 F1 48 3B D1 72 45 48 8B CA E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 35 4C 8D 04 F0 48 8D 44 24 48 4C 8D 4C 24 40 48 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 44 24 40 48 89 3D ?? ?? ?? ?? FF C8 89 05 ?? ?? ?? ?? 33 C0 EB 03 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_354_2_0 {
	meta:
		name = "parse_cmdline"
		size = 455
		refs = "0075 _ismbblead"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4C 8B 74 24 60 4D 8B E1 49 8B F8 41 83 26 00 4C 8B FA 48 8B D9 41 C7 01 01 00 00 00 48 85 D2 74 07 4C 89 02 49 83 C7 08 33 ED 80 3B 22 75 11 33 C0 85 ED 40 B6 22 0F 94 C0 48 FF C3 8B E8 EB 37 41 FF 06 48 85 FF 74 07 8A 03 88 07 48 FF C7 0F B6 33 48 FF C3 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 41 FF 06 48 85 FF 74 07 8A 03 88 07 48 FF C7 48 FF C3 40 84 F6 74 1B 85 ED 75 AF 40 80 FE 20 74 06 40 80 FE 09 75 A3 48 85 FF 74 09 C6 47 FF 00 EB 03 48 FF CB 33 F6 80 3B 00 0F 84 DE 00 00 00 80 3B 20 74 05 80 3B 09 75 05 48 FF C3 EB F1 80 3B 00 0F 84 C6 00 00 00 4D 85 FF 74 07 49 89 3F 49 83 C7 08 41 FF 04 24 BA 01 00 00 00 33 C9 EB 05 48 FF C3 FF C1 80 3B 5C 74 F6 80 3B 22 75 35 84 CA 75 1D 85 F6 74 0E 48 8D 43 01 80 38 22 75 05 48 8B D8 EB 0B 33 C0 33 D2 85 F6 0F 94 C0 8B F0 D1 E9 EB 10 FF C9 48 85 FF 74 06 C6 07 5C 48 FF C7 41 FF 06 85 C9 75 EC 8A 03 84 C0 74 4C 85 F6 75 08 3C 20 74 44 3C 09 74 40 85 D2 74 34 0F BE C8 E8 ?? ?? ?? ?? 48 85 FF 74 1A 85 C0 74 0D 8A 03 48 FF C3 88 07 48 FF C7 41 FF 06 8A 03 88 07 48 FF C7 EB 0A 85 C0 74 06 48 FF C3 41 FF 06 41 FF 06 48 FF C3 E9 5D FF FF FF 48 85 FF 74 06 C6 07 00 48 FF C7 41 FF 06 E9 19 FF FF FF 4D 85 FF 74 04 49 83 27 00 41 FF 04 24 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_356_0_0 {
	meta:
		name = "_logbf"
		size = 224
		refs = "005a ??_C@_06NFPIKLH@_logbf?$AA@ 0064 _handle_errorf"
	strings:
		$1 = { 48 83 EC 58 0F 28 C8 F3 0F 11 4C 24 60 8B 4C 24 60 8B C1 C1 E8 17 0F B6 D0 83 EA 7F F7 C1 FF FF FF 7F 75 46 C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 02 00 00 00 41 B8 00 00 80 FF F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 48 8D 0D ?? ?? ?? ?? BA 25 00 00 00 E8 ?? ?? ?? ?? EB 71 B8 82 FF FF FF 3B D0 7C 0B 83 FA 7F 7F 0B 66 0F 6E C2 EB 5A 83 FA 7F 7E 3C F7 C1 FF FF 7F 00 74 50 C7 44 24 40 01 00 00 00 0F 57 C0 4C 8B C1 49 0F BA E8 16 41 B9 01 00 00 00 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 EB 98 81 E1 FF FF 7F 00 BA 00 00 80 00 EB 04 03 C9 FF C8 3B CA 72 F8 66 0F 6E C0 0F 5B C0 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_357_0_0 {
	meta:
		name = "_i64tow"
		size = 43
		refs = "001e x64tow"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 8B DA 41 83 F8 0A 75 09 48 85 C9 79 04 41 8D 40 F7 44 8B C8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_958_0_0 {
	meta:
		name = "_i64toa"
		size = 43
		refs = "001e x64toa"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 8B DA 41 83 F8 0A 75 09 48 85 C9 79 04 41 8D 40 F7 44 8B C8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_357_1_0 {
	meta:
		name = "_itow"
		size = 42
		refs = "001d xtow"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 41 83 F8 0A 75 0A 85 C9 79 06 45 8D 48 F7 EB 03 45 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_958_1_0 {
	meta:
		name = "_itoa"
		size = 42
		refs = "001d xtoa"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 41 83 F8 0A 75 0A 85 C9 79 06 45 8D 48 F7 EB 03 45 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_357_2_0 {
	meta:
		name = "_ltow"
		size = 40
		refs = "001b xtow"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA 41 83 F8 0A 75 08 85 C9 79 04 45 8D 48 F7 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_958_2_0 {
	meta:
		name = "_ltoa"
		size = 40
		refs = "001b xtoa"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA 41 83 F8 0A 75 08 85 C9 79 04 45 8D 48 F7 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_357_3_0 {
	meta:
		name = "_ui64tow"
		size = 26
		refs = "000d x64tow"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_958_4_0 {
	meta:
		name = "_ultoa"
		size = 26
		refs = "000d xtoa"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_357_4_0 {
	meta:
		name = "_ultow"
		size = 26
		refs = "000d xtow"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_357_5_0 {
	meta:
		name = "x64tow"
		size = 116
	strings:
		$1 = { 48 89 5C 24 08 33 DB 45 8B D8 4C 8B D2 48 8B C1 45 85 C9 74 0D 8D 4B 2D 49 83 C2 02 48 F7 D8 66 89 0A 4D 8B C2 49 8B CB 33 D2 48 F7 F1 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 12 49 83 C2 02 48 85 C0 75 DF 66 41 89 1A 49 83 EA 02 41 0F B7 00 41 0F B7 0A 66 41 89 02 66 41 89 08 49 83 C0 02 49 83 EA 02 4D 3B C2 72 E3 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_357_6_0 {
	meta:
		name = "xtow"
		size = 110
	strings:
		$1 = { 48 89 5C 24 08 33 DB 45 8B D8 4C 8B D2 8B C1 45 85 C9 74 0C 8D 4B 2D 49 83 C2 02 F7 D8 66 89 0A 4D 8B C2 33 D2 41 F7 F3 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 12 49 83 C2 02 85 C0 75 E0 66 41 89 1A 49 83 EA 02 41 0F B7 00 41 0F B7 0A 66 41 89 02 66 41 89 08 49 83 C0 02 49 83 EA 02 4D 3B C2 72 E3 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_358_3_0 {
	meta:
		name = "_mbsset_s_l"
		size = 350
		refs = "003e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0057 _strset_s 0080 _ismbblead_l 00f6 _errno 0102 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 56 41 57 48 83 EC 40 45 33 FF 41 8B E8 48 8B FA 48 8B F1 48 85 C9 0F 84 05 01 00 00 48 85 D2 0F 84 FC 00 00 00 48 8D 48 C8 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 28 44 39 78 08 75 15 44 8B C5 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 E9 BB 00 00 00 44 8B F5 48 8B DE 41 C1 EE 08 45 84 F6 74 50 40 84 ED 74 5D 48 8D 54 24 20 41 0F B6 CE E8 ?? ?? ?? ?? 85 C0 74 4B 44 38 3E 74 60 48 FF CF 74 5B 48 8D 43 01 44 38 38 74 18 44 88 33 48 8B D8 48 FF CF 74 4C 48 FF C3 40 88 28 44 38 3B 75 DC EB 3A 44 88 3B 48 FF C7 41 BF 01 00 00 00 EB 2C 48 8D 54 24 20 40 0F B6 CD E8 ?? ?? ?? ?? 85 C0 74 05 44 88 3E EB 35 44 38 3E 74 10 48 FF CF 74 0B 40 88 2B 48 FF C3 44 38 3B 75 F0 48 85 FF 75 16 C6 06 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 15 45 85 FF 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 74 1F 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 6C 24 68 48 8B 74 24 70 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_360_9_0 {
	meta:
		name = "??0CancellationTokenRegistration_TaskProc@details@Concurrency@@QEAA@P6AXPEAX@Z0H@Z"
		size = 58
		refs = "0008 ??_7_RefCounter@details@Concurrency@@6B@ 0016 ??_7_CancellationTokenRegistration@details@Concurrency@@6B@ 0024 ??_7CancellationTokenRegistration_TaskProc@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 20 00 48 8D 05 ?? ?? ?? ?? 48 89 51 28 48 89 01 48 8D 05 ?? ?? ?? ?? 44 89 49 08 48 89 01 48 8D 05 ?? ?? ?? ?? C7 41 10 03 00 00 00 48 89 01 48 8B C1 4C 89 41 30 C3 }
	condition:
		$1
}

rule file_360_11_0 {
	meta:
		name = "??0_CancellationTokenRegistration@details@Concurrency@@QEAA@J@Z"
		size = 39
		refs = "0008 ??_7_RefCounter@details@Concurrency@@6B@ 0012 ??_7_CancellationTokenRegistration@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 20 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 C7 41 10 03 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_360_13_0 {
	meta:
		name = "??0_RefCounter@details@Concurrency@@IEAA@J@Z"
		size = 17
		refs = "0003 ??_7_RefCounter@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 89 51 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_619_24_0 {
	meta:
		name = "??0_RefCounterBase@details@Concurrency@@IEAA@J@Z"
		size = 17
		refs = "0003 ??_7_RefCounterBase@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 89 51 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_360_45_0 {
	meta:
		name = "?AddTail@?$List@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 55
		altNames = "?UnlockedAddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
	strings:
		$1 = { 48 8B 01 4C 8B C1 48 85 C0 75 09 48 89 52 08 48 89 12 EB 1F 48 8B 40 08 48 89 42 08 48 8B 01 48 89 02 48 8B 01 48 8B 48 08 48 89 11 49 8B 00 48 89 50 08 49 89 10 C3 }
	condition:
		$1
}

rule file_360_46_0 {
	meta:
		name = "?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 105
		refs = "001a ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0065 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 48 8B FA E8 ?? ?? ?? ?? 48 8B 06 48 85 C0 75 09 48 89 7F 08 48 89 3F EB 1F 48 8B 40 08 48 89 47 08 48 8B 06 48 89 07 48 8B 06 48 8B 48 08 48 89 39 48 8B 06 48 89 78 08 48 8D 4E 08 48 89 3E 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_360_47_0 {
	meta:
		name = "?CancelEntireContext@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 21
		refs = "0011 ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { B8 01 00 00 00 BA 19 FC FF FF 87 81 C0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_360_48_0 {
	meta:
		name = "?ClearCancel@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 36
	strings:
		$1 = { 83 C8 FF 89 81 B4 00 00 00 89 81 B8 00 00 00 C7 81 BC 00 00 00 00 00 00 00 C7 81 C0 00 00 00 00 00 00 00 C3 }
	condition:
		$1
}

rule file_360_58_0 {
	meta:
		name = "?Remove@?$List@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 46
		altNames = "?UnlockedRemove@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
	strings:
		$1 = { 4C 8B 42 08 48 8B 02 49 89 00 48 8B 42 08 4C 8B 02 49 89 40 08 48 8B 01 48 3B D0 75 10 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 01 C3 }
	condition:
		$1
}

rule file_360_59_0 {
	meta:
		name = "?Remove@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 99
		refs = "001a ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 005f ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 48 8B FA E8 ?? ?? ?? ?? 4C 8B 47 08 48 8B 07 49 89 00 48 8B 47 08 4C 8B 07 49 89 40 08 48 8B 06 48 3B F8 75 10 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 06 48 8D 4E 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_360_65_0 {
	meta:
		name = "?_CancelViaToken@_UnrealizedChore@details@Concurrency@@CAXPEAVContextBase@23@@Z"
		size = 45
		refs = "001a ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 0029 ?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 B8 01 00 00 00 BA 19 FC FF FF 48 8B D9 87 81 C0 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_360_66_0 {
	meta:
		name = "?_CheckTaskCollection@_UnrealizedChore@details@Concurrency@@IEAAXXZ"
		size = 108
		refs = "0013 ?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0024 ?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 0029 ?__uncaught_exception@@YA_NXZ 003e ?_TaskCleanup@_TaskCollection@details@Concurrency@@AEAA_N_N@Z 0056 ??0missing_wait@Concurrency@@QEAA@XZ 005d _TI2?AVmissing_wait@Concurrency@@ 0067 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B C1 48 8B 49 10 48 85 C9 74 3B 48 8D 15 ?? ?? ?? ?? 48 39 50 18 75 1E 83 79 20 00 7E 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 32 D2 EB 02 B2 01 84 D2 EB 09 B2 01 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 84 C0 75 05 48 83 C4 48 C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_360_67_0 {
	meta:
		name = "?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z"
		size = 282
		refs = "0032 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 008d free 00ae ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 00c7 ?GetCurrentThreadId@platform@details@Concurrency@@YAJXZ 00d5 ??0event@Concurrency@@QEAA@XZ 00f3 ?wait@event@Concurrency@@QEAA_KI@Z 00fe ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC B0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 8B DA 48 8B F9 40 32 ED 48 8D 51 60 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 02 00 00 00 44 8D 76 FF 48 83 BF 98 00 00 00 00 74 5B 48 8B 8F 98 00 00 00 33 D2 EB 0C 48 39 19 74 0E 48 8B D1 48 8B 49 08 48 85 C9 75 EF EB 29 48 8B 41 08 48 85 D2 75 09 48 89 87 98 00 00 00 EB 04 48 89 42 08 48 83 79 08 00 75 07 48 89 97 A0 00 00 00 E8 ?? ?? ?? ?? 89 73 10 F0 FF 4B 08 75 0E 48 8B 03 48 8B CB FF 50 08 EB 03 41 8A EE 48 8D 4C 24 28 E8 ?? ?? ?? ?? 40 84 ED 74 4B 33 C0 F0 44 0F B1 73 10 8B F8 83 F8 03 76 3C E8 ?? ?? ?? ?? 3B F8 74 33 48 8D 4C 24 60 E8 ?? ?? ?? ?? 90 48 8D 44 24 60 48 89 43 18 87 73 10 83 FE 03 74 0D 83 CA FF 48 8B 4B 18 E8 ?? ?? ?? ?? 90 48 8D 4C 24 60 E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_360_70_0 {
	meta:
		name = "?_Destroy@_RefCounter@details@Concurrency@@MEAAXXZ"
		size = 24
		altNames = "??$_InternalDeleteHelper@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@YAXPEAVScheduleGroupSegmentBase@01@@Z ??$_InternalDeleteHelper@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@YAXPEAVVirtualProcessor@01@@Z ?_Destroy@_AsyncTaskCollection@details@Concurrency@@EEAAXXZ ?_Destroy@_RefCounterBase@details@Concurrency@@MEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_360_79_0 {
	meta:
		name = "?_PrepareSteal@_UnrealizedChore@details@Concurrency@@QEAAXPEAVContextBase@23@@Z"
		size = 22
		refs = "0003 ?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 000d ?_PrepareStealStructured@_UnrealizedChore@details@Concurrency@@AEAAXPEAVContextBase@23@@Z 0012 ?_PrepareStealUnstructured@_UnrealizedChore@details@Concurrency@@AEAAXPEAVContextBase@23@@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 39 41 18 0F 84 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_360_80_0 {
	meta:
		name = "?_PrepareStealStructured@_UnrealizedChore@details@Concurrency@@AEAAXPEAVContextBase@23@@Z"
		size = 53
		refs = "002c ?AddStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@_N@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 04 48 83 C2 F0 48 83 7A 68 00 75 1C 48 8B 41 10 48 83 C2 10 45 33 C0 48 8B 48 18 48 89 42 58 48 89 42 60 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_360_81_0 {
	meta:
		name = "?_PrepareStealUnstructured@_UnrealizedChore@details@Concurrency@@AEAAXPEAVContextBase@23@@Z"
		size = 147
		refs = "0055 ?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z 0060 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 006c ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 007a ?AddStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 C0 48 85 D2 74 06 48 83 C2 F0 EB 03 48 8B D0 48 39 42 68 75 54 48 8B 79 10 48 8D 72 10 48 8B 6F 18 48 89 7E 58 48 89 7E 60 38 41 21 74 18 88 82 99 00 00 00 48 8D 4F 30 48 81 C2 B0 00 00 00 E8 ?? ?? ?? ?? EB 23 48 8D 4F 38 E8 ?? ?? ?? ?? FF 47 50 48 8D 4F 38 E8 ?? ?? ?? ?? 41 B0 01 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_360_83_0 {
	meta:
		name = "?_RegisterCallback@_CancellationTokenState@details@Concurrency@@QEAAPEAV_CancellationTokenRegistration@23@P6AXPEAX@Z0H@Z"
		size = 153
		refs = "002b ??2@YAPEAX_K@Z 003f ??_7_RefCounter@details@Concurrency@@6B@ 004d ??_7_CancellationTokenRegistration@details@Concurrency@@6B@ 005a ??_7CancellationTokenRegistration_TaskProc@details@Concurrency@@6B@ 0077 ?_RegisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F9 B9 38 00 00 00 41 8B F1 49 8B E8 4C 8B F2 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 37 48 83 63 20 00 48 8D 05 ?? ?? ?? ?? 4C 89 73 28 48 89 03 48 8D 05 ?? ?? ?? ?? 89 73 08 48 89 03 48 8D 05 ?? ?? ?? ?? C7 43 10 03 00 00 00 48 89 03 48 89 6B 30 EB 02 33 DB 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_360_84_0 {
	meta:
		name = "?_RegisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z"
		size = 196
		refs = "0042 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 005c ?push_back@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@34@@Z 0067 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0071 ?GetCurrentThreadId@platform@details@Concurrency@@YAJXZ 009f ?set@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 60 49 C7 43 B8 FE FF FF FF 49 89 5B 10 49 89 73 18 48 8B DA 48 8B F9 C7 42 10 00 00 00 00 BE 01 00 00 00 F0 01 72 08 48 89 4A 20 8B 41 10 85 C0 75 37 48 8D 51 60 49 8D 4B C0 E8 ?? ?? ?? ?? 90 8B 47 10 85 C0 75 13 40 32 F6 48 8D 8F 98 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 40 84 F6 74 42 E8 ?? ?? ?? ?? 8B F8 33 C0 F0 0F B1 7B 10 75 23 48 8B 13 48 8B CB FF 52 10 B9 03 00 00 00 8B C7 F0 0F B1 4B 10 83 F8 02 75 09 48 8B 4B 18 E8 ?? ?? ?? ?? F0 FF 4B 08 75 09 48 8B 03 48 8B CB FF 50 08 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_360_88_0 {
	meta:
		name = "?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z"
		size = 386
		refs = "001d ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 005c ?_PrepareStealStructured@_UnrealizedChore@details@Concurrency@@AEAAXPEAVContextBase@23@@Z 0066 ?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z 009b ?_CancelViaToken@_UnrealizedChore@details@Concurrency@@CAXPEAVContextBase@23@@Z 00a3 ?_RegisterCallback@_CancellationTokenState@details@Concurrency@@QEAAPEAV_CancellationTokenRegistration@23@P6AXPEAX@Z0H@Z 00bf ??0_Interruption_exception@details@Concurrency@@QEAA@XZ 00c6 _TI2?AV_Interruption_exception@details@Concurrency@@ 00d0 _CxxThrowException 0115 ?RemoveStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@@Z 0125 ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z 017e ?_CountUp@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 4C 24 08 53 56 57 41 56 41 57 48 83 EC 50 48 C7 44 24 30 FE FF FF FF 48 8B F1 E8 ?? ?? ?? ?? 48 85 C0 74 06 48 8D 58 F0 EB 02 33 DB 48 89 9C 24 90 00 00 00 4C 8B 76 10 4C 89 B4 24 88 00 00 00 49 8B 46 18 48 89 44 24 28 48 85 DB 74 06 48 8D 53 10 EB 02 33 D2 48 8B CE E8 ?? ?? ?? ?? 33 D2 49 8B CE E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 20 33 FF 48 89 BC 24 98 00 00 00 48 A9 FD FF FF FF 74 2E 48 85 DB 74 06 4C 8D 43 10 EB 03 45 33 C0 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 84 24 98 00 00 00 49 83 7E 28 00 74 1B 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B CE FF 56 08 90 EB 25 48 8B BC 24 98 00 00 00 4C 8B 7C 24 20 4C 8B B4 24 88 00 00 00 48 8B 9C 24 90 00 00 00 48 8B B4 24 80 00 00 00 48 85 DB 74 06 48 8D 53 10 EB 02 33 D2 48 8B 4C 24 28 E8 ?? ?? ?? ?? 48 85 FF 74 1A 48 8B D7 49 8B CF E8 ?? ?? ?? ?? F0 FF 4F 08 75 09 48 8B 07 48 8B CF FF 50 08 C7 83 C4 00 00 00 FF FF FF FF C7 83 C8 00 00 00 FF FF FF FF C7 83 CC 00 00 00 00 00 00 00 C7 83 D0 00 00 00 00 00 00 00 48 83 63 68 00 48 83 63 70 00 48 83 66 10 00 49 8B CE 48 83 C4 50 41 5F 41 5E 5F 5E 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_360_90_0 {
	meta:
		name = "__catch$?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$0"
		size = 54
		refs = "0023 ?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ 002b $LN23"
	strings:
		$1 = { 48 8B 8D 90 00 00 00 8B 81 CC 00 00 00 85 C0 7E 17 8B 81 D0 00 00 00 85 C0 75 0D 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_360_92_0 {
	meta:
		name = "__catch$?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$1"
		size = 39
		refs = "0008 ?_RaisedException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ 0014 ?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ 001c $LN25"
	strings:
		$1 = { 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_360_93_0 {
	meta:
		name = "?_TaskCleanup@_StructuredTaskCollection@details@Concurrency@@AEAA_NXZ"
		size = 31
		refs = "000b ?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 0010 ?__uncaught_exception@@YA_NXZ"
	strings:
		$1 = { 48 83 EC 28 83 79 20 00 7E 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_360_94_0 {
	meta:
		name = "?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z"
		size = 787
		refs = "0027 __security_cookie 003f ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0081 ?_PrepareStealUnstructured@_UnrealizedChore@details@Concurrency@@AEAAXPEAVContextBase@23@@Z 008b ?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z 00be ?_CancelViaToken@_UnrealizedChore@details@Concurrency@@CAXPEAVContextBase@23@@Z 00c6 ?_RegisterCallback@_CancellationTokenState@details@Concurrency@@QEAAPEAV_CancellationTokenRegistration@23@P6AXPEAX@Z0H@Z 00e1 ??0_TaskCollection@details@Concurrency@@AEAA@PEAV012@_N@Z 00f3 ?SetIndirectAlias@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollection@23@@Z 013d ??0_Interruption_exception@details@Concurrency@@QEAA@XZ 0144 _TI2?AV_Interruption_exception@details@Concurrency@@ 014e _CxxThrowException 0177 ?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z 0185 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 01c8 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 01de ?RemoveStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@@Z 0226 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0287 ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z 02c8 ?ClearAliasTable@ContextBase@details@Concurrency@@QEAAXXZ 02e2 ?_NotifyCompletedChoreAndFree@_TaskCollection@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z 02f2 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 41 56 41 57 48 81 EC 80 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 4C 8B F1 48 89 4C 24 30 E8 ?? ?? ?? ?? 48 85 C0 74 06 48 8D 78 F0 EB 02 33 FF 48 89 7C 24 28 49 8B 76 10 48 89 74 24 20 48 8B 46 18 48 89 44 24 50 4C 8D 66 30 4C 89 64 24 40 48 85 FF 74 06 48 8D 57 10 EB 02 33 D2 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 48 45 33 FF 4C 89 7C 24 38 48 A9 FD FF FF FF 74 2B 48 85 FF 74 06 4C 8D 47 10 EB 03 45 33 C0 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 38 45 33 C0 48 8B D6 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 10 48 8D 94 24 80 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 86 A8 00 00 00 8B 48 54 85 C9 75 31 48 F7 C3 FD FF FF FF 74 07 8B 43 10 85 C0 75 21 8B 46 58 85 C0 74 10 8B 46 58 83 F8 01 74 08 8B 46 58 83 F8 05 75 0A 49 8B CE 41 FF 56 08 90 EB 35 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 90 4C 8B 74 24 30 4C 8B 7C 24 38 4C 8B 64 24 40 48 8B 74 24 20 48 8B 7C 24 28 33 D2 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 90 EB 19 4C 8B 74 24 30 4C 8B 7C 24 38 4C 8B 64 24 40 48 8B 74 24 20 48 8B 7C 24 28 4C 8D 6F 10 33 D2 49 8B CD E8 ?? ?? ?? ?? 41 80 7E 21 00 75 72 49 8D 44 24 08 48 89 44 24 30 48 8B C8 E8 ?? ?? ?? ?? 80 BF 99 00 00 00 00 74 0F 49 8B D5 48 8B 4C 24 50 E8 ?? ?? ?? ?? EB 36 48 8D 97 B0 00 00 00 48 8B 4A 08 48 8B 02 48 89 01 48 8B 0A 48 8B 42 08 48 89 41 08 49 8B 04 24 48 3B D0 75 11 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 49 89 04 24 83 CB FF 01 5E 50 48 8B 4C 24 30 E8 ?? ?? ?? ?? EB 4D 48 81 C7 B0 00 00 00 49 8D 4C 24 08 E8 ?? ?? ?? ?? 48 8B 4F 08 48 8B 07 48 89 01 48 8B 0F 48 8B 47 08 48 89 41 08 49 8B 04 24 48 3B F8 75 11 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 49 89 04 24 49 8D 4C 24 08 E8 ?? ?? ?? ?? 83 CB FF 4D 85 FF 74 22 49 8B D7 48 8B 4C 24 48 E8 ?? ?? ?? ?? 8B C3 F0 41 0F C1 47 08 03 C3 75 09 49 8B 07 49 8B CF FF 50 08 41 89 9D B4 00 00 00 41 89 9D B8 00 00 00 41 C7 85 BC 00 00 00 00 00 00 00 41 C7 85 C0 00 00 00 00 00 00 00 49 8B CD E8 ?? ?? ?? ?? 49 83 65 58 00 49 83 65 60 00 49 83 66 10 00 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 01 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_360_97_0 {
	meta:
		name = "__catch$?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$0"
		size = 48
		refs = "001d ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 0025 $LN35"
	strings:
		$1 = { 48 8B 4D 28 8B 81 CC 00 00 00 85 C0 7E 14 8B 81 D0 00 00 00 85 C0 75 0A 48 8B 4D 20 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_360_101_0 {
	meta:
		name = "__catch$?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$3"
		size = 48
		refs = "001d ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 0025 $LN39"
	strings:
		$1 = { 48 8B 4D 28 8B 81 CC 00 00 00 85 C0 7E 14 8B 81 D0 00 00 00 85 C0 75 0A 48 8B 4D 20 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_360_99_0 {
	meta:
		name = "__catch$?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$1"
		size = 33
		refs = "0005 ?_RaisedException@_TaskCollection@details@Concurrency@@AEAAXXZ 000e ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 0016 $LN37"
	strings:
		$1 = { 48 8B 4D 20 E8 ?? ?? ?? ?? 48 8B 4D 20 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_360_103_0 {
	meta:
		name = "__catch$?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$4"
		size = 33
		refs = "0005 ?_RaisedException@_TaskCollection@details@Concurrency@@AEAAXXZ 000e ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 0016 $LN41"
	strings:
		$1 = { 48 8B 4D 20 E8 ?? ?? ?? ?? 48 8B 4D 20 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_360_108_0 {
	meta:
		name = "?push_back@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@34@@Z"
		size = 139
		refs = "0016 malloc 004f ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0069 ??0exception@std@@QEAA@AEBQEBDH@Z 0070 ??_7bad_alloc@std@@6B@ 0077 _TI2?AVbad_alloc@std@@ 0086 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 B9 10 00 00 00 48 8B FA E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 2A 48 83 60 08 00 48 89 38 48 83 3B 00 75 05 48 89 03 EB 08 48 8B 43 08 4C 89 40 08 4C 89 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_360_109_0 {
	meta:
		name = "?remove@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@34@@Z"
		size = 63
		refs = "003b free"
	strings:
		$1 = { 4C 8B C9 48 8B 09 45 33 C0 EB 0C 48 39 11 74 0D 4C 8B C1 48 8B 49 08 48 85 C9 75 EF C3 48 8B 41 08 4D 85 C0 75 05 49 89 01 EB 04 49 89 40 08 48 83 79 08 00 75 04 4D 89 41 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_361_0_0 {
	meta:
		name = "_exphlp"
		size = 208
		refs = "0012 __real@3ff71547652b8ecb 0025 _frnd 0037 __real@bf2bd0105c610ca8 003f __real@3fe6300000000000 005c __real@3ef152a46f58dc1c 0064 __real@3f403f996fde3809 006c __real@3f7c70e46fb3f6e0 0074 __real@3fac718e714251b3 0084 __real@3fd0000000000000 008c __real@3fe0000000000000 00a8 _get_exp"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 29 74 24 40 0F 28 F0 F2 0F 59 05 ?? ?? ?? ?? 0F 29 7C 24 30 48 8B DA 44 0F 29 44 24 20 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 D0 44 0F 28 C0 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C F1 F2 0F 5C F2 0F 28 CE F2 0F 59 CE 0F 28 F9 0F 28 D1 F2 0F 59 3D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 D1 F2 0F 58 3D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 FE F2 0F 5C D7 F2 0F 5E FA F2 0F 58 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 74 24 40 F2 41 0F 2C C8 44 0F 28 44 24 20 0F 28 C7 0F 28 7C 24 30 FF C1 03 C1 89 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_362_0_0 {
	meta:
		name = "__avx_ceil4"
		size = 16
	strings:
		$1 = { C4 E3 7D 09 C0 02 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_364_0_0 {
	meta:
		name = "__sse2_floor2"
		size = 80
		refs = "0006 _2il0floatpacket_4 0010 _2il0floatpacket_5 0038 _2il0floatpacket_6"
	strings:
		$1 = { 0F 28 E0 0F 28 1D ?? ?? ?? ?? 0F 28 E8 0F 28 0D ?? ?? ?? ?? 0F 28 D3 0F 54 E1 0F 55 C8 66 0F C2 D1 01 66 0F 58 CB 66 0F 5C CB 0F 56 CC 0F 28 DA 66 0F C2 E9 01 0F 54 2D ?? ?? ?? ?? 0F 54 C2 66 0F 5C CD 0F 55 D9 0F 56 C3 C3 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_366_0_0 {
	meta:
		name = "_FCbuild"
		size = 18
	strings:
		$1 = { F3 0F 11 44 24 18 F3 0F 11 4C 24 1C 48 8B 44 24 18 C3 }
	condition:
		$1
}

rule file_366_1_0 {
	meta:
		name = "cprojf"
		size = 142
		refs = "000b crealf 001b cimagf 002b _fdtest 005f _FZero_C 0066 __xmm@80000000800000008000000080000000 0073 _FInf_C"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 F3 0F 11 44 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 40 F3 0F 11 44 24 38 E8 ?? ?? ?? ?? 48 8D 4C 24 38 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 74 0D 66 83 F8 01 74 07 48 8B 44 24 30 EB 39 B8 00 80 00 00 66 85 44 24 3A 74 11 F3 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? EB 03 0F 57 C9 F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 4C 24 3C F3 0F 11 44 24 38 48 8B 44 24 38 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_367_0_0 {
	meta:
		name = "__doserrno"
		size = 32
		refs = "0005 _getptd_noexit 0011 DoserrorNoMem"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 14 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_367_1_0 {
	meta:
		name = "_dosmaperr"
		size = 78
		refs = "000d _getptd_noexit 0019 DoserrorNoMem 002d ErrnoNoMem 003d _get_errno_from_oserr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B F9 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 14 89 38 E8 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? 48 85 C0 74 04 48 8D 58 10 8B CF E8 ?? ?? ?? ?? 89 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_367_2_0 {
	meta:
		name = "_errno"
		size = 32
		refs = "0005 _getptd_noexit 0011 ErrnoNoMem"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_367_3_0 {
	meta:
		name = "_get_doserrno"
		size = 59
		refs = "000f _invalid_parameter_noinfo 0019 _getptd_noexit 0025 DoserrorNoMem"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A E8 ?? ?? ?? ?? 8D 43 16 EB 1D E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 14 8B 00 89 03 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_367_4_0 {
	meta:
		name = "_get_errno"
		size = 59
		refs = "000f _invalid_parameter_noinfo 0019 _getptd_noexit 0025 ErrnoNoMem"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A E8 ?? ?? ?? ?? 8D 43 16 EB 1D E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 10 8B 00 89 03 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_367_5_0 {
	meta:
		name = "_get_errno_from_oserr"
		size = 77
		refs = "0003 errtable"
	strings:
		$1 = { 4C 8D 15 ?? ?? ?? ?? 33 D2 4D 8B C2 44 8D 4A 08 41 3B 08 74 2F FF C2 4D 03 C1 48 63 C2 48 83 F8 2D 72 ED 8D 41 ED 83 F8 11 77 06 B8 0D 00 00 00 C3 81 C1 44 FF FF FF B8 16 00 00 00 83 F9 0E 41 0F 46 C1 C3 48 63 C2 41 8B 44 C2 04 C3 }
	condition:
		$1
}

rule file_367_6_0 {
	meta:
		name = "_set_doserrno"
		size = 58
		refs = "0009 _getptd_noexit 0026 DoserrorNoMem"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 75 07 B8 0C 00 00 00 EB 1B E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 14 89 18 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_367_7_0 {
	meta:
		name = "_set_errno"
		size = 58
		refs = "0009 _getptd_noexit 0026 ErrnoNoMem"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 75 07 B8 0C 00 00 00 EB 1B E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 10 89 18 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_368_0_0 {
	meta:
		name = "_wcsnset"
		size = 30
	strings:
		$1 = { 48 8B C1 45 33 C9 EB 10 49 FF C8 66 44 39 09 74 0C 66 89 11 48 83 C1 02 4D 85 C0 75 EB C3 }
	condition:
		$1
}

rule file_369_4_0 {
	meta:
		name = "_mbsnextc_l"
		size = 114
		refs = "0015 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 001f _errno 002a _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8D 4C 24 20 33 FF E8 ?? ?? ?? ?? 48 85 DB 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 22 0F B6 0B 48 8B 44 24 28 F6 44 01 19 04 74 0E 40 38 7B 01 74 08 8B F9 C1 E7 08 48 FF C3 0F B6 03 03 C7 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_371_0_0 {
	meta:
		name = "strchr"
		size = 138
	strings:
		$1 = { 48 83 EC 18 0F B6 C2 4C 8B C1 83 E1 0F 44 8B D0 49 83 E0 F0 0F 57 D2 41 C1 E2 08 45 33 C9 44 0B D0 83 C8 FF D3 E0 66 41 0F 6E C2 F2 0F 70 C8 00 66 0F 6F C2 66 41 0F 74 00 66 0F 70 D9 00 66 0F 6F CB 66 41 0F 74 08 66 0F EB C8 66 0F D7 D1 23 D0 75 22 49 83 C0 10 66 0F 6F CB 66 0F 6F C2 66 41 0F 74 08 66 41 0F 74 00 66 0F EB C8 66 0F D7 D1 85 D2 74 DE 0F BC D2 49 03 D0 44 38 12 4C 0F 44 CA 49 8B C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_373_0_0 {
	meta:
		name = "_msize"
		size = 57
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0028 _crtheap 0035 __imp_HeapSize"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 4C 8B C1 48 8B 0D ?? ?? ?? ?? 33 D2 48 83 C4 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_374_0_0 {
	meta:
		name = "wcsnlen"
		size = 30
	strings:
		$1 = { 45 33 C0 41 8B C0 48 85 D2 74 12 66 44 39 01 74 0C 48 FF C0 48 83 C1 02 48 3B C2 72 EE C3 }
	condition:
		$1
}

rule file_375_0_0 {
	meta:
		name = "_futime32"
		size = 500
		refs = "001b __security_cookie 0032 _errno 004d _nhandle 0060 __pioinfo 0088 _time32 009f _localtime32_s 0102 __imp_SystemTimeToFileTime 0114 __imp_LocalFileTimeToFileTime 019a _get_osfhandle 01ad __imp_SetFileTime 01c9 _invalid_parameter_noinfo 01d8 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 55 57 41 56 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 63 D9 48 8B FA 83 FB FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 8C 01 00 00 33 F6 85 C9 0F 88 72 01 00 00 3B 1D ?? ?? ?? ?? 0F 83 66 01 00 00 48 8B CB 48 8B C3 48 8D 15 ?? ?? ?? ?? 48 C1 F8 05 83 E1 1F 48 8B 04 C2 48 6B C9 58 F6 44 08 08 01 0F 84 3F 01 00 00 48 85 FF 75 13 48 8D 4D A4 E8 ?? ?? ?? ?? 8B 45 A4 48 8D 7D A0 89 45 A0 48 8D 57 04 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 16 01 00 00 0F B7 45 E4 41 BE 6C 07 00 00 48 8D 55 A8 66 41 03 C6 48 8D 4D C0 66 89 75 CE 66 89 45 C0 0F B7 45 E0 66 FF C0 66 89 45 C2 0F B7 45 DC 66 89 45 C6 0F B7 45 D8 66 89 45 C8 0F B7 45 D4 66 89 45 CA 0F B7 45 D0 66 89 45 CC FF 15 ?? ?? ?? ?? 85 C0 74 9D 48 8D 55 B0 48 8D 4D A8 FF 15 ?? ?? ?? ?? 85 C0 74 8B 48 8D 4D D0 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 77 FF FF FF 0F B7 45 E4 48 8D 55 A8 48 8D 4D C0 66 41 03 C6 66 89 75 CE 66 89 45 C0 0F B7 45 E0 66 FF C0 66 89 45 C2 0F B7 45 DC 66 89 45 C6 0F B7 45 D8 66 89 45 C8 0F B7 45 D4 66 89 45 CA 0F B7 45 D0 66 89 45 CC FF 15 ?? ?? ?? ?? 85 C0 0F 84 26 FF FF FF 48 8D 55 B8 48 8D 4D A8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 10 FF FF FF 8B CB E8 ?? ?? ?? ?? 4C 8D 4D B0 4C 8D 45 B8 48 8B C8 33 D2 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EE FE FF FF 33 C0 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_375_1_0 {
	meta:
		name = "_utime32"
		size = 134
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0042 _sopen_s 0052 _futime32 0069 _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 8B D1 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 07 E8 ?? ?? ?? ?? 8B 18 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FF FF 75 07 E8 ?? ?? ?? ?? 89 18 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1168_1_0 {
	meta:
		name = "_utime64"
		size = 134
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0042 _sopen_s 0052 _futime64 0069 _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 8B D1 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 07 E8 ?? ?? ?? ?? 8B 18 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FF FF 75 07 E8 ?? ?? ?? ?? 89 18 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_408_0_0 {
	meta:
		name = "_wutime32"
		size = 134
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0042 _wsopen_s 0052 _futime32 0069 _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 8B D1 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 07 E8 ?? ?? ?? ?? 8B 18 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FF FF 75 07 E8 ?? ?? ?? ?? 89 18 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_830_0_0 {
	meta:
		name = "_wutime64"
		size = 134
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0042 _wsopen_s 0052 _futime64 0069 _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 8B D1 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 DA 8B 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 8B F8 83 F8 FF 75 07 E8 ?? ?? ?? ?? 8B 18 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FF FF 75 07 E8 ?? ?? ?? ?? 89 18 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_376_3_0 {
	meta:
		name = "_mbsncat_s_l"
		size = 630
		refs = "0061 _errno 006d _invalid_parameter_noinfo 009f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00bb strncat_s 010a _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 45 33 ED 4D 8B F9 4D 8B F0 48 8B EA 48 8B F1 45 8B E5 44 89 AC 24 88 00 00 00 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 39 4D 85 C0 75 34 44 88 29 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 48 8B 94 24 90 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 44 39 68 08 75 18 4D 8B CF 4D 8B C6 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 8B D8 E9 94 01 00 00 48 8B DE 48 8B FD 44 38 2B 74 08 48 FF C3 48 FF CF 75 F3 48 85 FF 75 10 44 88 2E E8 ?? ?? ?? ?? 8D 5F 16 E9 4D 01 00 00 48 3B FD 73 4E 4C 8D 6B FF 4D 8B E5 4C 3B EE 72 1B 41 0F B6 0C 24 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 49 FF CC 4C 3B E6 73 E5 41 8B C5 41 2B C4 A8 01 74 12 49 8B DD 45 33 ED 48 FF C7 45 8D 65 01 44 88 2B EB 0B 44 8B A4 24 88 00 00 00 45 33 ED 49 83 FF FF 75 18 49 2B DE 41 8A 06 42 88 04 33 49 FF C6 84 C0 74 75 48 FF CF 75 ED EB 6E 4D 85 FF 74 66 41 0F B6 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 26 45 38 6E 01 74 40 48 83 FF 02 76 35 41 8A 06 49 83 C6 02 88 03 41 8A 46 FF 48 83 C3 02 88 43 FF 48 83 EF 02 EB 14 41 8A 06 49 FF C6 88 03 48 FF C3 84 C0 74 1A 48 FF CF 74 15 49 FF CF 74 10 EB AD 49 8B FD EB 09 44 88 2B 41 BC 01 00 00 00 4D 85 FF 75 03 44 88 2B 48 85 FF 75 72 49 83 FF FF 75 56 45 85 E4 74 0A E8 ?? ?? ?? ?? 8D 5F 2A 89 18 48 83 FD 01 76 35 48 8D 7D FE 48 03 FE 48 8B DF 48 3B FE 72 19 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CB 48 3B DE 73 E7 8B C7 2B C3 A8 01 74 05 44 88 2F EB 05 44 88 6C 2E FF BB 50 00 00 00 EB 2C 44 88 2E E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 16 45 85 E4 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 03 41 8B DD 44 38 6C 24 38 0F 84 0C FE FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 FB FD FF FF }
	condition:
		$1
}

rule file_378_3_0 {
	meta:
		name = "?wcsncnt@@YA_KPEB_W_K@Z"
		size = 54
	strings:
		$1 = { 45 33 C9 48 8B C1 4C 8B C2 48 85 D2 74 24 66 44 39 08 74 09 48 83 C0 02 49 FF C8 75 F1 4D 85 C0 74 10 66 44 39 08 75 0A 48 2B C1 48 D1 F8 48 FF C0 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_378_5_0 {
	meta:
		name = "_wcstombs_l_helper"
		size = 814
		refs = "001d __security_cookie 0052 _errno 005d _invalid_parameter_noinfo 0072 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0133 __imp_WideCharToMultiByte 01aa __imp_GetLastError 030f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 45 33 E4 49 8B F0 4C 8B F2 4C 8B F9 41 8B DC 44 89 65 C0 48 85 C9 74 0C 4D 85 C0 75 07 33 C0 E9 BB 02 00 00 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 9D 02 00 00 48 8D 4D C8 49 8B D1 E8 ?? ?? ?? ?? 4D 85 FF 0F 84 E1 01 00 00 4C 8B 6D C8 4D 39 A5 38 01 00 00 75 47 48 85 F6 0F 84 5B 02 00 00 B9 FF 00 00 00 66 41 39 0E 77 25 41 8A 06 41 88 04 1F 41 0F B7 06 49 83 C6 02 66 85 C0 0F 84 38 02 00 00 48 FF C3 48 3B DE 72 DA E9 2B 02 00 00 E8 ?? ?? ?? ?? 48 83 CB FF E9 17 02 00 00 41 83 BD D4 00 00 00 01 75 7A 48 85 F6 74 2C 49 8B C6 48 8B CE 66 44 39 20 74 09 48 83 C0 02 48 FF C9 75 F1 48 85 C9 74 12 66 44 39 20 75 0C 48 8B F0 49 2B F6 48 D1 FE 48 FF C6 41 8B 4D 04 48 8D 45 C0 44 8B CE 48 89 44 24 38 4C 89 64 24 30 4D 8B C6 33 D2 89 74 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 63 D8 85 C0 74 87 44 39 65 C0 75 81 45 38 64 1F FF 0F 85 A1 01 00 00 48 FF CB E9 99 01 00 00 41 8B 4D 04 48 8D 45 C0 48 83 CB FF 48 89 44 24 38 4C 89 64 24 30 44 8B CB 4D 8B C6 33 D2 89 74 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 74 13 44 39 65 C0 0F 85 50 01 00 00 48 8D 5F FF E9 52 01 00 00 44 39 65 C0 0F 85 3D 01 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 2E 01 00 00 48 85 F6 0F 84 33 01 00 00 41 8B 4D 04 48 8D 45 C0 41 B9 01 00 00 00 48 89 44 24 38 41 8B 85 D4 00 00 00 4C 89 64 24 30 89 44 24 28 48 8D 45 E8 4D 8B C6 33 D2 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 E6 00 00 00 44 39 65 C0 0F 85 DC 00 00 00 85 C0 0F 88 D4 00 00 00 48 63 D0 48 83 FA 05 0F 87 C7 00 00 00 48 8D 04 3A 48 3B C6 0F 87 C8 00 00 00 49 8B CC 48 85 D2 7E 1B 8A 44 0D E8 41 88 04 3F 84 C0 0F 84 B0 00 00 00 48 FF C1 48 FF C7 48 3B CA 7C E5 49 83 C6 02 48 3B FE 0F 83 98 00 00 00 E9 60 FF FF FF 48 8B 45 C8 4C 39 A0 38 01 00 00 75 39 41 0F B7 06 49 8B FC 66 85 C0 74 7A B9 FF 00 00 00 66 3B C1 77 12 49 83 C6 02 48 FF C7 41 0F B7 06 66 85 C0 75 EB EB 5E E8 ?? ?? ?? ?? 48 83 CF FF C7 00 2A 00 00 00 EB 4D 48 8D 4D C0 48 83 CB FF 4D 8B C6 48 89 4C 24 38 8B 48 04 4C 89 64 24 30 44 8B CB 33 D2 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 74 0B 44 39 65 C0 75 05 48 FF CF EB 0E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 8B FB 44 38 65 E0 74 0B 48 8B 4D D8 83 A1 C8 00 00 00 FD 48 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_378_6_0 {
	meta:
		name = "_wcstombs_s_l"
		size = 236
		refs = "005f _wcstombs_l_helper 0072 _errno 008c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 45 33 F6 49 8B C1 49 8B F8 48 8B DA 48 8B F1 48 85 D2 74 51 4D 85 C0 74 51 48 85 D2 74 03 44 88 32 48 85 C9 74 03 4C 21 31 4C 8B 44 24 50 4C 3B C7 4C 0F 47 C7 49 81 F8 FF FF FF 7F 77 2C 4C 8B 4C 24 58 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 75 2B 48 85 DB 74 03 44 88 33 E8 ?? ?? ?? ?? 8B 00 EB 5C 4D 85 C0 74 AF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 42 48 FF C0 48 85 DB 74 2F 48 3B C7 76 25 48 83 7C 24 50 FF 74 14 44 88 33 48 3B F8 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB CC 48 8B C7 41 BE 50 00 00 00 C6 44 18 FF 00 48 85 F6 74 03 48 89 06 41 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_378_8_0 {
	meta:
		name = "wcstombs_s"
		size = 30
		refs = "0015 _wcstombs_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1042_8_0 {
	meta:
		name = "_Strftime"
		size = 30
		refs = "0015 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_951_16_0 {
	meta:
		name = "_Wcsftime"
		size = 30
		refs = "0015 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_712_7_0 {
	meta:
		name = "mbstowcs_s"
		size = 30
		refs = "0015 _mbstowcs_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_379_0_0 {
	meta:
		name = "exp"
		size = 1125
		refs = "0011 L__positive_infinity 001d __use_fma3_lib 0034 L__max_exp_arg 003d L__denormal_tiny_threshold 006c L__2_to_neg_26 007a L__real_64_by_log2 0092 L__log2_by_64_mhead 00a6 L__log2_by_64_mtail 00b6 L__real_1_by_720 00c2 L__real_1_by_6 00d2 L__real_1_by_120 00de L__real_1_by_2 00f6 L__real_1_by_24 010f __two_to_jby64_table 0116 __two_to_jby64_tail_table 011d __two_to_jby64_head_table 0156 L__real_one 01a5 L__negative_infinity 01b2 L__real_qnanbit 01be __flag_x_nan 01c3 _exp_special 01e2 __flag_y_inf 01f4 L__min_exp_arg 01fe L__real_smallest_denormal 0217 __flag_y_zero 0233 L__min_normal 02f8 L__log2_by_64_mtail_mhead"
	strings:
		$1 = { 48 83 EC 38 66 48 0F 7E C2 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 8D 75 01 00 00 83 3D ?? ?? ?? ?? 00 0F 85 68 02 00 00 66 0F 28 D0 66 0F 28 D8 F2 0F C2 15 ?? ?? ?? ?? 02 F2 0F C2 1D ?? ?? ?? ?? 05 0F 54 D3 66 0F 2E D2 7A 15 66 0F 2E 05 ?? ?? ?? ?? 0F 87 77 01 00 00 E9 92 01 00 00 66 90 66 0F 28 C8 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 86 BA 01 00 00 F2 0F 59 0D ?? ?? ?? ?? 66 0F E6 D1 F3 0F E6 CA 66 0F 7E D1 66 0F 28 D1 F2 0F 59 0D ?? ?? ?? ?? 48 C7 C0 3F 00 00 00 23 C1 C1 F9 06 F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 58 D0 66 0F 28 1D ?? ?? ?? ?? F2 0F 59 DA 66 0F 28 05 ?? ?? ?? ?? 66 0F 28 CA F2 0F 59 C2 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 05 ?? ?? ?? ?? 66 0F 28 E1 F2 0F 59 E1 F2 0F 59 DA F2 0F 59 C1 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 C2 F2 0F 59 DC F2 0F 58 C3 81 F9 02 FC FF FF 48 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F2 0F 59 04 C2 F2 41 0F 58 04 C3 F2 41 0F 58 04 C2 7E 1C 48 C1 E1 34 66 48 0F 6E D1 66 0F D4 C2 48 83 C4 38 C3 66 66 0F 1F 84 00 00 00 00 00 7C 0A 66 0F 2E 05 ?? ?? ?? ?? 73 D8 81 C1 32 04 00 00 48 C7 C0 01 00 00 00 48 D3 E0 66 48 0F 6E D0 F2 0F 59 C2 E9 06 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 F9 00 00 00 66 0F 1F 84 00 00 00 00 00 66 48 0F 7E C0 48 3B 05 ?? ?? ?? ?? 0F 84 DE 00 00 00 48 3B 05 ?? ?? ?? ?? 0F 84 C1 00 00 00 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B4 00 00 00 0F 1F 40 00 48 B8 00 00 00 00 00 00 F0 7F 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 90 00 00 00 66 0F 2E 05 ?? ?? ?? ?? 76 16 66 0F 28 05 ?? ?? ?? ?? E9 79 00 00 00 66 0F 1F 84 00 00 00 00 00 66 0F EF C9 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 48 3B 15 ?? ?? ?? ?? 76 17 F2 0F 58 05 ?? ?? ?? ?? 48 83 C4 38 C3 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 48 83 C4 38 C3 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EF C0 48 83 C4 38 C3 0F 1F 80 00 00 00 00 48 83 C4 38 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB C2 15 ?? ?? ?? ?? 02 C5 FB C2 1D ?? ?? ?? ?? 05 C5 E0 54 D2 C5 F9 2E D2 7A 14 C5 F9 2E 05 ?? ?? ?? ?? 0F 87 16 01 00 00 E9 71 01 00 00 90 C4 E1 F9 7E C2 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 86 19 01 00 00 C5 FB 59 0D ?? ?? ?? ?? C5 F9 E6 D1 C5 FA E6 CA C5 F9 7E D1 C5 F0 16 C9 C5 FA 7E C0 C4 E2 F9 98 0D ?? ?? ?? ?? C5 F1 7C D1 48 C7 C0 3F 00 00 00 23 C1 C1 F9 06 C5 F9 28 1D ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C5 EB 59 C2 C4 E2 E1 A9 C2 81 F9 02 FC FF FF 48 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? C5 FB 59 14 C2 C4 C1 6B 58 0C C3 C4 C1 73 58 04 C2 7E 21 48 C1 E1 34 C4 E1 F9 6E D1 C5 F9 D4 C2 48 83 C4 38 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 7C 0A C5 F9 2E 05 ?? ?? ?? ?? 73 D3 81 C1 32 04 00 00 48 C7 C0 01 00 00 00 48 D3 E0 C4 E1 F9 6E D0 C5 FB 59 C2 E9 A6 00 00 00 C5 FB 10 05 ?? ?? ?? ?? E9 99 00 00 00 66 0F 1F 84 00 00 00 00 00 48 B8 00 00 00 00 00 00 F0 7F C4 E1 F9 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 70 00 00 00 48 3B 15 ?? ?? ?? ?? 76 17 C5 FB 58 05 ?? ?? ?? ?? 48 83 C4 38 C3 66 66 0F 1F 84 00 00 00 00 00 C5 FB 10 05 ?? ?? ?? ?? C5 FB 58 05 ?? ?? ?? ?? 48 83 C4 38 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 F1 EF C9 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 EF C0 66 66 66 66 0F 1F 84 00 00 00 00 00 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_380_0_0 {
	meta:
		name = "__common_dpow_cout_rare"
		size = 2896
		refs = "01a0 _vmldPowHATab"
	strings:
		$1 = { 53 56 57 41 54 41 55 41 56 41 57 55 48 81 EC C8 00 00 00 33 C0 4C 8B 31 4D 8B EE 48 8B 1A 4D 8B E6 F2 0F 10 12 48 8B D3 48 89 5C 24 68 4D 8B CE 48 C1 EB 38 49 C1 ED 30 48 C1 EA 30 49 C1 EC 38 41 81 E5 F0 7F 00 00 49 C1 E9 20 81 E2 F0 7F 00 00 41 81 E4 80 00 00 00 80 E3 80 41 C1 ED 04 C1 EA 04 41 C1 EC 07 C0 EB 07 44 0F 29 BC 24 80 00 00 00 44 0F 29 74 24 70 44 0F 29 A4 24 90 00 00 00 44 0F 29 8C 24 A0 00 00 00 0F 29 BC 24 B0 00 00 00 F2 0F 10 09 41 8B CE 41 F7 C1 FF FF 0F 00 75 0F 85 C9 75 0B 41 BA 01 00 00 00 45 8B DA EB 09 45 33 D2 41 BB 01 00 00 00 8B 4C 24 6C 8B 7C 24 68 81 E1 FF FF 0F 00 75 09 85 FF 75 05 45 8B CB EB 03 45 33 C9 8B F2 33 ED 81 FA FF 07 00 00 41 0F 45 EB C1 E6 14 0B F1 8B CF 0B CE 74 6A 81 FA FF 03 00 00 8D 8A 01 FC FF FF 7C 18 85 ED 74 14 83 F9 14 7F 2A 44 8B FE 41 D3 E7 41 C1 E7 0C 44 0B FF 74 04 33 F6 EB 45 8D 8A 0C FC FF FF D3 E6 F7 D6 81 E6 00 00 00 80 C1 EE 1F FF C6 EB 2E 83 F9 35 7D 24 8D 8A 0C FC FF FF D3 E7 F7 C7 FF FF FF 7F 74 04 33 F6 EB 15 F7 D7 81 E7 00 00 00 80 C1 EF 1F 8D 77 01 EB 05 BE 02 00 00 00 45 85 E4 75 0D 41 81 FD FF 03 00 00 0F 84 CB 09 00 00 85 D2 75 09 45 85 C9 0F 85 DC 03 00 00 33 FF 41 81 FD FF 07 00 00 41 0F 45 FB 44 0B D7 0F 84 BD 03 00 00 44 0B CD 0F 84 B4 03 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 66 0F 2E C8 7A 06 0F 84 41 09 00 00 66 0F 2E 0D ?? ?? ?? ?? 7A 06 0F 84 0D 09 00 00 85 FF 0F 84 2E 03 00 00 85 ED 0F 84 26 03 00 00 66 0F 2F C8 77 08 85 F6 0F 84 EF 02 00 00 41 23 F4 48 8D 0D ?? ?? ?? ?? 4C 89 74 24 30 49 C1 EE 38 41 83 E6 7F F2 0F 10 84 F1 A8 1A 00 00 33 C9 44 88 74 24 37 45 85 ED 75 1B F2 0F 10 4C 24 30 B9 38 FF FF FF F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 4C 24 30 EB 06 F2 0F 10 4C 24 30 0F B7 6C 24 36 4C 8D 0D ?? ?? ?? ?? 81 E5 F0 7F 00 00 4D 8B D1 C1 ED 04 4D 8B E9 8B 7C 24 34 4D 8B F9 C1 E5 14 81 E7 FF FF 0F 00 F2 0F 11 4C 24 40 0B EF 0F B7 74 24 46 81 C5 00 40 18 C0 81 E6 0F 80 FF FF 4D 8B E1 81 CE F0 3F FF FF 49 8B F9 66 89 74 24 46 49 8B F1 C1 FD 14 03 E9 8B 4C 24 44 81 E1 00 C0 0F 00 81 C1 00 40 00 00 C1 E9 0F F2 0F 10 54 24 40 0F 28 DA F2 0F 2A FD F2 41 0F 10 2C C9 03 C9 44 0F 28 E5 49 8B E9 F2 44 0F 59 E2 F2 44 0F 11 64 24 48 44 8B 5C 24 4C 41 81 E3 00 FC 00 00 41 81 C3 00 04 00 00 41 C1 EB 0B F2 43 0F 10 8C DA 18 03 00 00 45 03 DB F2 44 0F 59 E1 F2 41 0F 58 BC CF 08 01 00 00 F2 0F 59 E9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 D9 F2 44 0F 11 64 24 50 44 8B 74 24 54 41 81 E6 F0 0F 00 00 F2 0F 11 5C 24 58 41 83 C6 10 F2 0F 10 64 24 58 41 C1 EE 05 F2 0F 5C 64 24 40 F2 0F 11 64 24 60 F2 0F 10 5C 24 58 F2 47 0F 10 BC F5 30 06 00 00 45 03 F6 F2 45 0F 59 E7 F2 41 0F 59 EF F2 42 0F 58 BC DD 20 04 00 00 F2 44 0F 10 7C 24 60 45 0F 28 F4 F2 41 0F 5C DF F2 44 0F 5C 35 ?? ?? ?? ?? F2 43 0F 58 BC F7 38 0A 00 00 F2 0F 11 5C 24 58 F2 0F 10 64 24 58 F2 47 0F 10 8C DC 28 04 00 00 F2 0F 5C D4 F2 46 0F 58 8C F6 40 0A 00 00 F2 0F 11 54 24 60 0F 28 D5 F2 0F 59 D1 F2 44 0F 58 8C CF 10 01 00 00 F2 0F 10 5C 24 58 F2 0F 10 64 24 60 F2 0F 11 54 24 58 F2 44 0F 10 7C 24 58 F2 44 0F 5C FD F2 44 0F 11 7C 24 60 F2 44 0F 10 7C 24 58 F2 0F 10 54 24 60 F2 44 0F 5C FA F2 44 0F 11 7C 24 58 F2 0F 10 54 24 58 F2 0F 5C EA 0F 28 D3 F2 0F 11 6C 24 60 F2 0F 10 6C 24 58 F2 0F 59 D5 F2 0F 59 EC F2 41 0F 5C D4 44 0F 28 E7 F2 0F 58 D5 F2 45 0F 58 E6 F2 44 0F 10 7C 24 60 F2 41 0F 59 DF F2 41 0F 59 E7 F2 0F 58 D3 F2 44 0F 11 64 24 58 F2 0F 58 D4 F2 0F 10 5C 24 58 F2 0F 5C FB F2 41 0F 58 FE F2 0F 11 7C 24 60 F2 0F 10 64 24 58 F2 0F 11 64 24 38 0F B7 4C 24 3E 81 E1 F0 7F 00 00 C1 E9 04 03 D1 F2 0F 10 5C 24 60 81 FA 09 08 00 00 0F 8D 0C 06 00 00 81 FA C0 07 00 00 0F 8F 30 01 00 00 48 8B 15 ?? ?? ?? ?? 48 89 54 24 58 F2 0F 10 4C 24 58 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 4C 24 58 F2 0F 10 54 24 58 F2 0F 59 C2 E9 BF 00 00 00 48 89 4C 24 58 41 8B C3 F2 0F 10 4C 24 58 F2 0F 10 44 24 58 F2 0F 5E C8 F2 0F 11 4C 24 58 F2 0F 10 44 24 58 E9 96 00 00 00 41 81 FD FF 03 00 00 7D 11 84 DB 0F 84 85 00 00 00 0F 28 C2 F2 0F 59 C2 EB 7C 84 DB 74 15 41 23 F4 48 8D 15 ?? ?? ?? ?? F2 0F 59 84 F2 A8 1A 00 00 EB 63 F2 0F 59 C9 41 23 F4 F2 0F 59 D1 48 8D 15 ?? ?? ?? ?? 0F 28 C2 F2 0F 59 84 F2 A8 1A 00 00 EB 43 0F 28 C1 F2 0F 58 C2 EB 3A 48 8B 15 ?? ?? ?? ?? F2 0F 58 CA F2 0F 11 4C 24 58 48 89 54 24 60 8A 4C 24 5F 8A 5C 24 67 80 E1 80 80 E3 7F 0A D9 88 5C 24 67 F2 0F 10 44 24 60 F2 0F 10 4C 24 60 F2 0F 59 C1 0F 28 BC 24 B0 00 00 00 44 0F 28 8C 24 A0 00 00 00 44 0F 28 A4 24 90 00 00 00 44 0F 28 74 24 70 44 0F 28 BC 24 80 00 00 00 F2 41 0F 11 00 48 81 C4 C8 00 00 00 5D 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 F2 44 0F 10 25 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 44 0F 10 7C 24 38 48 8B D9 F2 44 0F 58 F2 F2 0F 58 D3 F2 45 0F 59 E6 F2 44 0F 58 CA F2 44 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 E6 41 0F 28 F9 F2 44 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 E6 F2 44 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 E6 F2 41 0F 58 E4 F2 0F 11 64 24 58 F2 44 0F 10 74 24 58 F2 45 0F 5C FE F2 45 0F 58 FC F2 44 0F 11 7C 24 60 F2 0F 10 5C 24 58 F2 0F 10 64 24 60 F2 0F 58 FB F2 0F 11 7C 24 58 F2 0F 10 54 24 58 F2 0F 5C DA F2 41 0F 58 D9 44 0F 28 C9 F2 0F 11 5C 24 60 F2 44 0F 10 64 24 58 F2 45 0F 59 CC F2 0F 10 7C 24 60 F2 44 0F 11 4C 24 58 F2 0F 58 FC F2 0F 10 54 24 58 F2 0F 59 7C 24 68 F2 41 0F 5C D4 F2 0F 11 54 24 60 F2 0F 10 64 24 58 F2 0F 10 5C 24 60 F2 0F 5C E3 F2 0F 11 64 24 58 F2 0F 10 6C 24 58 F2 44 0F 5C E5 F2 44 0F 11 64 24 60 F2 44 0F 10 64 24 68 45 0F 28 F4 F2 44 0F 59 35 ?? ?? ?? ?? F2 0F 10 64 24 58 F2 0F 10 6C 24 60 F2 44 0F 11 74 24 58 F2 44 0F 10 7C 24 58 F2 44 0F 5C 7C 24 68 F2 44 0F 11 7C 24 60 F2 0F 10 54 24 58 F2 44 0F 10 4C 24 60 F2 41 0F 5C D1 F2 0F 11 54 24 58 F2 0F 10 5C 24 58 F2 44 0F 5C E3 F2 44 0F 11 64 24 60 F2 44 0F 10 74 24 58 F2 44 0F 10 4C 24 60 41 0F 28 D6 41 0F 28 D9 F2 0F 59 DD F2 44 0F 59 F5 F2 0F 59 D4 F2 41 0F 59 E1 F2 41 0F 58 DE F2 0F 58 DC F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 E2 F2 0F 58 FB F2 0F 11 64 24 58 F2 0F 10 6C 24 58 8B 54 24 58 8B F2 83 E2 7F F2 0F 5C 2D ?? ?? ?? ?? F2 0F 11 6C 24 20 03 D2 F2 44 0F 10 7C 24 20 F2 41 0F 5C D7 F2 0F 11 54 24 28 F2 0F 10 54 24 28 F2 0F 10 A4 D1 48 12 00 00 F2 0F 58 FA F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D7 C1 FE 07 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D7 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D7 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D7 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D7 F2 0F 59 D4 F2 0F 58 94 D3 50 12 00 00 0F 28 DA F2 0F 58 DC F2 0F 11 5C 24 30 0F B7 54 24 36 8B EA 81 E5 F0 7F 00 00 C1 ED 04 8D 8C 2E 01 FC FF FF 81 F9 00 04 00 00 0F 8D 23 02 00 00 81 F9 02 FC FF FF 7C 31 81 C1 FF 03 00 00 81 E2 0F 80 FF FF 81 E1 FF 07 00 00 C1 E1 04 0B D1 66 89 54 24 36 F2 0F 10 4C 24 30 F2 0F 59 C1 F2 0F 11 44 24 30 E9 0F FD FF FF 81 F9 F8 FB FF FF 0F 8C 22 01 00 00 F2 0F 11 5C 24 58 81 C6 C8 00 00 00 F2 0F 10 5C 24 58 81 C6 FF 03 00 00 48 8B 15 ?? ?? ?? ?? 81 E6 FF 07 00 00 48 89 54 24 38 F2 0F 5C E3 48 C1 EA 30 F2 0F 58 E2 F2 0F 11 64 24 60 81 E2 0F 80 FF FF F2 44 0F 10 4C 24 58 F2 41 0F 59 C9 F2 0F 10 54 24 60 F2 0F 11 4C 24 58 F2 0F 10 4C 24 58 C1 E6 04 F2 41 0F 5C C9 F2 0F 11 4C 24 60 0B D6 F2 0F 10 6C 24 58 F2 0F 10 64 24 60 66 89 54 24 3E F2 0F 5C EC F2 0F 11 6C 24 58 F2 0F 10 7C 24 58 F2 44 0F 10 7C 24 38 F2 44 0F 5C CF F2 44 0F 11 4C 24 60 F2 0F 10 4C 24 58 F2 44 0F 10 64 24 60 F2 44 0F 10 35 ?? ?? ?? ?? F2 41 0F 58 D4 F2 41 0F 59 C6 F2 41 0F 59 CF F2 41 0F 59 D7 F2 0F 59 C8 F2 0F 59 C2 F2 0F 11 44 24 58 48 8B 0D ?? ?? ?? ?? F2 0F 10 44 24 58 48 89 4C 24 58 F2 0F 58 C8 F2 0F 10 54 24 58 F2 0F 10 44 24 58 F2 0F 59 D0 F2 0F 11 54 24 58 F2 44 0F 10 64 24 58 F2 41 0F 58 CC 0F 28 C1 F2 0F 11 44 24 30 E9 E1 FB FF FF 81 F9 C4 FB FF FF 7C 7D 48 8B 15 ?? ?? ?? ?? 81 C6 C7 04 00 00 48 89 54 24 38 81 E6 FF 07 00 00 48 C1 EA 30 C1 E6 04 81 E2 0F 80 FF FF 0B D6 66 89 54 24 3E F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 54 24 38 F2 0F 59 C1 F2 0F 59 DA 48 8B 0D ?? ?? ?? ?? 48 89 4C 24 58 F2 0F 59 C3 F2 0F 10 5C 24 58 F2 0F 10 64 24 58 F2 0F 59 E3 F2 0F 11 64 24 58 F2 0F 10 6C 24 58 F2 0F 58 C5 F2 0F 11 44 24 30 E9 5C FB FF FF 48 8B 15 ?? ?? ?? ?? 48 89 54 24 58 F2 0F 10 4C 24 58 F2 0F 10 54 24 58 F2 0F 59 D1 F2 0F 11 54 24 58 F2 0F 10 5C 24 58 F2 0F 59 C3 F2 0F 11 44 24 30 E9 25 FB FF FF 48 8B 15 ?? ?? ?? ?? 48 89 54 24 58 F2 0F 10 54 24 58 F2 0F 10 4C 24 58 F2 0F 59 D1 F2 0F 11 54 24 58 F2 0F 10 5C 24 58 F2 0F 59 C3 F2 0F 11 44 24 30 E9 EE FA FF FF 8A 54 24 3F 48 8D 0D ?? ?? ?? ?? 80 E2 80 C0 EA 07 32 DA 0F B6 DB F2 0F 10 8C D9 90 1A 00 00 F2 0F 59 C9 F2 0F 59 C8 0F 28 C1 E9 BF FA FF FF 85 F6 75 08 85 ED 0F 85 E7 F6 FF FF 83 E6 01 48 8D 15 ?? ?? ?? ?? F2 0F 10 84 F2 A8 1A 00 00 E9 9B FA FF FF F2 0F 59 C9 84 DB 74 1F 41 23 F4 48 8D 05 ?? ?? ?? ?? F2 0F 10 84 F0 A8 1A 00 00 41 8B C3 F2 0F 5E C1 E9 74 FA FF FF 41 23 F4 48 8D 15 ?? ?? ?? ?? F2 0F 10 84 F2 A8 1A 00 00 F2 0F 59 C1 E9 58 FA FF FF 45 85 D2 0F 84 2C F6 FF FF E9 10 FA FF FF 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_381_0_0 {
	meta:
		name = "_strnset_s"
		size = 122
		refs = "0061 _errno 006c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 4A 33 C0 EB 5B 48 85 C9 74 41 48 85 D2 74 3C 48 8B C1 44 38 11 74 18 4D 85 C9 74 22 48 FF CA 74 0E 44 88 00 48 FF C0 49 FF C9 44 38 10 75 E8 4D 85 C9 75 0F EB 08 48 FF CA 74 08 48 FF C0 44 38 10 75 F3 48 85 D2 75 B9 44 88 11 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_383_3_0 {
	meta:
		name = "_wcsnicmp"
		size = 151
		refs = "0010 __locale_changed 0021 _errno 002c _invalid_parameter_noinfo 0093 _wcsnicmp_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 4D 8B D8 4C 8B D1 44 39 0D ?? ?? ?? ?? 75 78 4D 85 C0 74 6B 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B D2 41 0F B7 0C 12 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 44 0F B7 02 41 8D 40 BF 66 83 F8 19 77 05 66 41 83 C0 20 48 83 C2 02 49 FF CB 74 0B 66 85 C9 74 06 66 41 3B C8 74 C7 41 0F B7 C0 44 0F B7 C9 44 2B C8 41 8B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_383_4_0 {
	meta:
		name = "_wcsnicmp_l"
		size = 278
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 005e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b2 _towlower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 45 33 F6 49 8B E8 48 8B FA 48 8B F1 41 8B C6 4D 85 C0 0F 84 CA 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 AB 00 00 00 48 85 D2 74 E1 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 20 4C 39 B0 38 01 00 00 75 39 48 2B F7 0F B7 1C 3E 8D 43 BF 66 83 F8 19 77 04 66 83 C3 20 0F B7 0F 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 48 83 C7 02 48 FF CD 74 43 66 85 DB 74 3E 66 3B D9 74 CC EB 37 0F B7 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 0F B7 0F 48 8D 54 24 20 0F B7 D8 E8 ?? ?? ?? ?? 48 8D 76 02 48 8D 7F 02 0F B7 C8 48 FF CD 74 0A 66 85 DB 74 05 66 3B D8 74 C9 0F B7 C9 0F B7 C3 2B C1 44 38 74 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_384_0_0 {
	meta:
		name = "_lseeki64"
		size = 229
		refs = "0024 __doserrno 002c _errno 0041 _nhandle 0054 __pioinfo 0071 __lock_fhandle 008b _lseeki64_nolock 00ae _unlock_fhandle 00cb _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 57 41 54 41 56 41 57 48 83 EC 20 41 8B F0 4C 8B F2 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 94 00 00 00 85 C9 78 78 3B 1D ?? ?? ?? ?? 73 70 48 8B C3 48 8B FB 48 C1 FF 05 4C 8D 25 ?? ?? ?? ?? 83 E0 1F 4C 6B F8 58 49 8B 04 FC 42 0F BE 4C 38 08 83 E1 01 74 49 8B CB E8 ?? ?? ?? ?? 90 49 8B 04 FC 42 F6 44 38 08 01 74 12 44 8B C6 49 8B D6 8B CB E8 ?? ?? ?? ?? 48 8B F8 EB 17 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 48 83 CF FF 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_384_2_0 {
	meta:
		name = "_lseeki64_nolock"
		size = 147
		refs = "001b _get_osfhandle 0026 _errno 0046 __imp_SetFilePointerEx 0050 __imp_GetLastError 0057 _dosmaperr 0066 __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 63 D9 41 8B F8 48 8B F2 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 E8 ?? ?? ?? ?? C7 00 09 00 00 00 48 83 C8 FF EB 4D 4C 8D 44 24 48 44 8B CF 48 8B D6 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB D3 48 8B CB 48 8B C3 48 8D 15 ?? ?? ?? ?? 48 C1 F8 05 83 E1 1F 48 8B 04 C2 48 6B C9 58 80 64 08 08 FD 48 8B 44 24 48 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_385_0_0 {
	meta:
		name = "_wexecv"
		size = 71
		refs = "000d _errno 0018 _invalid_parameter_noinfo 0043 _wexecve"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 66 44 39 01 74 E1 48 85 D2 74 DC 48 8B 02 48 85 C0 74 D4 66 44 39 00 74 CE 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_386_0_0 {
	meta:
		name = "_wstrdate"
		size = 314
		refs = "000d __security_cookie 0024 _errno 002f _invalid_parameter_noinfo 0044 __imp_GetLocalTime 012b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 FF 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 E8 00 00 00 66 89 39 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 22 44 0F B7 4C 24 20 44 0F B7 44 24 26 66 41 BB 30 00 41 BA 67 66 66 66 B8 1F 85 EB 51 66 89 7B 10 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 64 44 2B C8 B8 2F 00 00 00 66 89 43 0A 66 89 43 04 41 8B C2 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C2 66 41 03 CB 66 89 4B 02 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 66 89 4B 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 45 03 C3 66 44 89 43 08 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 8B C3 41 8D 0C 13 66 89 4B 0C 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C9 66 45 03 CB 66 44 89 4B 0E 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_386_1_0 {
	meta:
		name = "_wstrdate_s"
		size = 343
		refs = "000d __security_cookie 003a _errno 004d __imp_GetLocalTime 0139 _invalid_parameter_noinfo 0148 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 FF 48 8B D9 48 85 C9 0F 84 05 01 00 00 48 85 D2 0F 84 FC 00 00 00 66 89 39 48 83 FA 09 73 0D E8 ?? ?? ?? ?? 8D 5F 22 E9 F0 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 22 44 0F B7 4C 24 20 44 0F B7 44 24 26 66 41 BB 30 00 41 BA 67 66 66 66 B8 1F 85 EB 51 66 89 7B 10 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 64 44 2B C8 B8 2F 00 00 00 66 89 43 0A 66 89 43 04 41 8B C2 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C2 66 41 03 CB 66 89 4B 02 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 66 89 4B 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 45 03 C3 66 44 89 43 08 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 66 89 43 0C 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C8 66 45 03 CB 33 C0 66 44 89 4B 0E EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_388_0_0 {
	meta:
		name = "_wfullpath"
		size = 308
		refs = "0043 __imp_GetFullPathNameW 004d __imp_GetLastError 0054 _dosmaperr 007b _errno 0090 calloc 00ba _invalid_parameter_noinfo 00e6 free 011d _wgetcwd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 56 48 83 EC 20 45 33 F6 49 8B F8 48 8B EA 48 8B F1 48 85 D2 0F 84 F2 00 00 00 66 44 39 32 0F 84 E8 00 00 00 48 85 C9 75 73 45 33 C9 45 33 C0 33 D2 48 8B CD FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 E9 C2 00 00 00 8B C0 48 3B F8 48 0F 47 C7 48 8B F8 48 B8 FF FF FF FF FF FF FF 7F 48 3B F8 76 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D1 BA 02 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB AF 4D 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 98 48 8B D9 4C 8D 4C 24 48 4C 8B C3 8B D7 48 8B CD FF 15 ?? ?? ?? ?? 8B C8 48 3B CF 72 1D 48 85 F6 75 08 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 5E FF FF FF 85 C0 75 16 48 85 F6 0F 85 44 FF FF FF 48 8B CB E8 ?? ?? ?? ?? E9 37 FF FF FF 48 8B C3 EB 08 41 8B D0 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 50 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_389_0_0 {
	meta:
		name = "llroundl"
		size = 97
		refs = "0010 _ldtest 0027 roundl 002f __real@c3e0000000000000 003f __real@43e0000000000000 0056 _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 41 FF C8 83 F8 01 76 30 F2 0F 10 44 24 30 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? F2 0F 11 44 24 30 72 15 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 72 07 F2 48 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_522_0_0 {
	meta:
		name = "llround"
		size = 97
		refs = "0010 _dtest 0027 round 002f __real@c3e0000000000000 003f __real@43e0000000000000 0056 _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 41 FF C8 83 F8 01 76 30 F2 0F 10 44 24 30 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? F2 0F 11 44 24 30 72 15 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 72 07 F2 48 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_390_0_0 {
	meta:
		name = "?_Name_base@type_info@@CAPEBDPEBV1@PEAU__type_info_node@@@Z"
		size = 308
		refs = "003b free 0046 malloc 0050 __unDName 0064 strlen 008d _lock 00c8 strcpy_s 00f6 _invoke_watson 0111 _unlock"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 49 89 7B 18 4D 89 73 20 41 57 48 83 EC 30 4C 8B FA 48 8B F9 48 83 79 08 00 0F 85 EB 00 00 00 B8 00 28 00 00 48 8D 51 11 66 89 44 24 28 48 8D 05 ?? ?? ?? ?? 49 89 43 E8 4C 8D 0D ?? ?? ?? ?? 45 33 C0 33 C9 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 B9 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 FF CB 42 80 3C 33 20 75 0D 42 C6 04 33 00 48 85 DB 75 EC 48 FF CB B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 83 7F 08 00 75 69 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 57 48 8D 4B 02 E8 ?? ?? ?? ?? 48 89 47 08 48 85 C0 74 3D 4D 8B C6 48 8D 53 02 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 15 48 8B 47 08 48 89 06 49 8B 47 08 48 89 46 08 49 89 77 08 EB 1D 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 90 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 08 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_390_1_0 {
	meta:
		name = "?fin$0@?0??_Name_base@type_info@@CAPEBDPEBV1@PEAU__type_info_node@@@Z@4HA"
		size = 25
		refs = "0014 _unlock"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 0E 00 00 00 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_390_2_0 {
	meta:
		name = "?_Name_base_internal@type_info@@CAPEBDPEBV1@PEAU__type_info_node@@@Z"
		size = 345
		refs = "0035 _lock 0056 free 0062 malloc 006c __unDName 0083 _local_unwind 0094 strlen 00ee strcpy_s 011c _invoke_watson 0137 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 56 41 57 48 83 EC 40 48 89 64 24 38 4C 8B FA 48 8B F1 48 83 79 08 00 0F 85 0C 01 00 00 B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 83 7E 08 00 0F 85 EC 00 00 00 B8 00 28 00 00 48 8D 56 11 66 89 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 4C 8D 0D ?? ?? ?? ?? 45 33 C0 33 C9 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 18 48 8D 15 0A 00 00 00 48 8B CC E8 ?? ?? ?? ?? 90 90 33 C0 E9 AF 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 30 48 8B CB 48 FF CB 48 89 5C 24 30 48 85 C9 74 0E 42 80 3C 33 20 75 07 42 C6 04 33 00 EB E2 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 58 4C 8D 63 02 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3C 4D 8B C6 49 8B D4 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 15 48 89 5E 08 48 89 1F 49 8B 47 08 48 89 47 08 49 89 7F 08 EB 1D 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 90 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 8B 46 08 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_390_3_0 {
	meta:
		name = "?fin$0@?0??_Name_base_internal@type_info@@CAPEBDPEBV1@PEAU__type_info_node@@@Z@4HA"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_390_4_0 {
	meta:
		name = "?_Type_info_dtor@type_info@@CAXPEAV1@@Z"
		size = 108
		refs = "000f _lock 0020 __type_info_root_node 0043 free 0062 _unlock"
		altNames = "?_Type_info_dtor_internal@type_info@@CAXPEAV1@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 43 08 48 85 C0 74 3F 48 8B 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 4C 24 20 48 85 C9 74 19 48 39 01 75 0F 48 8B 41 08 48 89 42 08 E8 ?? ?? ?? ?? EB 05 48 8B D1 EB DD 48 8B 4B 08 E8 ?? ?? ?? ?? 48 83 63 08 00 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_390_5_0 {
	meta:
		name = "?fin$0@?0??_Type_info_dtor@type_info@@CAXPEAV1@@Z@4HA"
		size = 25
		refs = "0014 _unlock"
		altNames = "?fin$0@?0??_Type_info_dtor_internal@type_info@@CAXPEAV1@@Z@4HA __clean_type_info_names_internal$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0E 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_390_8_0 {
	meta:
		name = "__clean_type_info_names_internal"
		size = 79
		refs = "0013 _lock 0029 free 0040 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 5B 08 48 85 DB 74 19 48 8B 7B 08 48 8B 0B E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B DF EB E2 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_390_10_0 {
	meta:
		name = "__unDNameHelper"
		size = 53
		refs = "001b free 0022 malloc 002c __unDName"
	strings:
		$1 = { 48 83 EC 38 41 0F B7 C1 66 45 85 C9 75 05 B8 00 28 00 00 66 89 44 24 28 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_391_9_0 {
	meta:
		name = "??0ArrayNode@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVExternalStatistics@23@@Z"
		size = 16
		altNames = "??0ArrayNode@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@@Z ??0ArrayNode@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVScheduleGroupBase@23@@Z ??0ArrayNode@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVScheduleGroupSegmentBase@23@@Z ??0ArrayNode@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVVirtualProcessor@23@@Z ??0ArrayNode@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVWorkQueue@23@@Z"
	strings:
		$1 = { 48 83 61 08 00 83 49 10 FF 48 89 11 48 8B C1 C3 }
	condition:
		$1
}

rule file_391_10_0 {
	meta:
		name = "??0ExternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z"
		size = 182
		refs = "0022 ??0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z 002a ??_7ExternalContextBase@details@Concurrency@@6B@ 0044 ?__CreateAutoResetEvent@platform@details@Concurrency@@YAPEAX_N@Z 0054 ?GetAnonymousScheduleGroupSegment@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@XZ 0062 ??2@YAPEAX_K@Z 0098 ?Add@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAAHPEAVExternalStatistics@23@@Z 00a3 ?PrepareForUse@ExternalContextBase@details@Concurrency@@QEAAX_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 41 8A F8 48 8B D9 41 B0 01 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 A3 00 01 00 00 00 48 83 A3 08 01 00 00 00 33 C9 E8 ?? ?? ?? ?? 48 89 83 10 01 00 00 48 8B 4B 38 E8 ?? ?? ?? ?? 48 89 43 30 B9 40 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 17 83 60 20 00 83 60 24 00 83 60 28 00 83 60 2C 00 C7 40 30 01 00 00 00 48 89 83 F8 00 00 00 48 8B 4B 38 48 81 C1 50 01 00 00 48 8B D0 E8 ?? ?? ?? ?? 40 8A D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_391_12_0 {
	meta:
		name = "??0ExternalStatistics@details@Concurrency@@QEAA@XZ"
		size = 21
	strings:
		$1 = { 33 C0 48 89 41 20 48 89 41 28 C7 41 30 01 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_391_19_0 {
	meta:
		name = "??1?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA@XZ"
		size = 28
		refs = "000a ?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ 0018 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_21_0 {
	meta:
		name = "??1?$Hash@II@details@Concurrency@@QEAA@XZ"
		size = 28
		refs = "000a ?Wipe@?$Hash@II@details@Concurrency@@QEAAXXZ 0018 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_391_21_0 {
	meta:
		name = "??1CancellationBeaconStack@ContextBase@details@Concurrency@@QEAA@XZ"
		size = 88
		refs = "002c ??_V@YAXPEAX@Z 0034 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 79 04 00 48 8B F9 7E 28 48 8B 41 08 48 8B 30 48 85 F6 74 1C 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 E4 48 8B 4F 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_391_23_0 {
	meta:
		name = "??1ContextBase@details@Concurrency@@UEAA@XZ"
		size = 132
		refs = "0032 ??_V@YAXPEAX@Z 003a ??3@YAXPEAX@Z 005d ?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ 0077 ??_7Context@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 B9 E4 00 00 00 00 48 8B F9 7E 2B 48 8B 81 E8 00 00 00 48 8B 30 48 85 F6 74 1C 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 E4 48 8B 8F E8 00 00 00 E8 ?? ?? ?? ?? 48 8D 9F D0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8D 05 ?? ?? ?? ?? 48 89 07 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_24_0 {
	meta:
		name = "??1ExternalContextBase@details@Concurrency@@UEAA@XZ"
		size = 51
		refs = "0019 ??_7ExternalContextBase@details@Concurrency@@6B@ 0021 ?Cleanup@ExternalContextBase@details@Concurrency@@AEAAXXZ 002f ??1ContextBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_391_41_0 {
	meta:
		name = "??_GCancellationBeaconNode@CancellationBeaconStack@ContextBase@details@Concurrency@@QEAAPEAXI@Z"
		size = 50
		refs = "0013 ??_V@YAXPEAX@Z 0020 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 09 8B DA E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_49_0 {
	meta:
		name = "?Add@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAAHPEAVExternalStatistics@23@@Z"
		size = 365
		refs = "00c0 ??_U@YAPEAX_K@Z 00d5 memset 00df ??2@YAPEAX_K@Z 0125 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0134 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?Add@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAAHPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 55 41 56 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B FA 48 8B F9 49 83 CB FF 44 8D 6E 01 44 39 5B 10 7C 4F 4C 8B 0B 33 D2 39 57 50 7E 45 4D 8B C1 49 83 38 00 75 17 8D 04 32 48 63 CA 41 89 07 44 8B 57 70 33 C0 F0 4D 0F B1 3C C9 74 0E 41 03 D5 49 83 C0 08 3B 57 50 7D 19 EB D5 03 F2 41 8A ED 41 3B F2 7C 05 F0 44 01 6F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B3 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 75 33 C0 F0 4C 0F B1 6B 08 75 6B 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B F0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 30 EB 02 33 D2 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 48 89 14 C8 44 01 6F 6C 48 87 53 08 4C 39 6B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 6B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 DB FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_391_51_0 {
	meta:
		name = "?Alloc@ExternalContextBase@details@Concurrency@@UEAAPEAX_K@Z"
		size = 81
		refs = "001d ?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z 0038 ?Alloc@SubAllocator@details@Concurrency@@QEAAPEAX_K@Z 0042 ?StaticAlloc@SubAllocator@details@Concurrency@@SAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 B9 00 01 00 00 00 48 8B FA 48 8B D9 75 0E B1 01 E8 ?? ?? ?? ?? 48 89 83 00 01 00 00 48 8B 8B 00 01 00 00 48 85 C9 74 0A 48 8B D7 E8 ?? ?? ?? ?? EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_52_0 {
	meta:
		name = "?Block@ExternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 116
		refs = "001d ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0041 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0065 __imp_WaitForSingleObjectEx"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 79 20 48 8B D9 48 8B 49 38 48 8B 01 FF 50 08 44 8A 05 ?? ?? ?? ?? B2 04 44 3A C2 72 1D 44 8B 05 ?? ?? ?? ?? 41 F6 C0 02 74 10 44 8B CF 44 8B C0 B9 03 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 43 54 FF C0 83 F8 01 75 13 48 8B 8B 10 01 00 00 45 33 C0 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_53_0 {
	meta:
		name = "?Cleanup@ExternalContextBase@details@Concurrency@@AEAAXXZ"
		size = 103
		refs = "000a ?Cleanup@ContextBase@details@Concurrency@@QEAAXXZ 001c __imp_CloseHandle 0047 ?ReturnSubAllocator@SchedulerBase@details@Concurrency@@SAXPEAVSubAllocator@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 8B 08 01 00 00 48 85 C9 74 0E FF 15 ?? ?? ?? ?? 48 83 A3 08 01 00 00 00 48 8B 8B 10 01 00 00 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 8B 00 01 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 83 F8 00 00 00 48 83 A3 F8 00 00 00 00 C7 40 30 00 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_391_56_0 {
	meta:
		name = "?DetachStatistics@ExternalContextBase@details@Concurrency@@QEAAPEAVExternalStatistics@23@XZ"
		size = 23
	strings:
		$1 = { 48 8B 81 F8 00 00 00 48 83 A1 F8 00 00 00 00 C7 40 30 00 00 00 00 C3 }
	condition:
		$1
}

rule file_391_61_0 {
	meta:
		name = "?Free@ExternalContextBase@details@Concurrency@@UEAAXPEAX@Z"
		size = 82
		refs = "001d ?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z 0038 ?Free@SubAllocator@details@Concurrency@@QEAAXPEAX@Z 0043 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 B9 00 01 00 00 00 48 8B FA 48 8B D9 75 0E B1 01 E8 ?? ?? ?? ?? 48 89 83 00 01 00 00 48 8B 8B 00 01 00 00 48 85 C9 74 0A 48 8B D7 E8 ?? ?? ?? ?? EB 09 48 8D 4F F8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_391_64_0 {
	meta:
		name = "?GetCriticalRegionType@ContextBase@details@Concurrency@@UEBA?AW4CriticalRegionType@3@XZ"
		size = 20
	strings:
		$1 = { 33 C0 39 41 28 76 06 B8 02 00 00 00 C3 39 41 24 0F 97 C0 C3 }
	condition:
		$1
}

rule file_391_65_0 {
	meta:
		name = "?GetCurrentSubAllocator@ExternalContextBase@details@Concurrency@@QEAAPEAVSubAllocator@23@XZ"
		size = 46
		refs = "0016 ?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 00 01 00 00 00 48 8B D9 75 0E B1 01 E8 ?? ?? ?? ?? 48 89 83 00 01 00 00 48 8B 83 00 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_391_67_0 {
	meta:
		name = "?ImplicitDetachHandler@ExternalContextBase@details@Concurrency@@CAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_WAIT@@K@Z"
		size = 49
		refs = "0018 ?DetachExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@_N@Z 002d ?UnRegisterAsyncWaitAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_CALLBACK_INSTANCE@@PEAU_TP_WAIT@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 4A 38 49 8B F8 45 33 C0 E8 ?? ?? ?? ?? 48 8B D7 48 8B CB 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_391_68_0 {
	meta:
		name = "?ImplicitDetachHandlerXP@ExternalContextBase@details@Concurrency@@CAXPEAXE@Z"
		size = 41
		refs = "0011 ?__UnregisterWait@platform@details@Concurrency@@YAXPEAX@Z 0025 ?DetachExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 18 01 00 00 E8 ?? ?? ?? ?? 48 8B 4B 38 45 33 C0 48 8B D3 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_391_71_0 {
	meta:
		name = "?Oversubscribe@ExternalContextBase@details@Concurrency@@UEAAX_N@Z"
		size = 58
		refs = "0024 ??0invalid_oversubscribe_operation@Concurrency@@QEAA@XZ 002b _TI2?AVinvalid_oversubscribe_operation@Concurrency@@ 0035 _CxxThrowException"
		altNames = "?Oversubscribe@UMSThreadInternalContext@details@Concurrency@@UEAAX_N@Z"
	strings:
		$1 = { 48 83 EC 48 84 D2 74 05 FF 41 2C EB 0C 8B 41 2C 85 C0 74 0A FF C8 89 41 2C 48 83 C4 48 C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_391_72_0 {
	meta:
		name = "?PrepareForUse@ExternalContextBase@details@Concurrency@@QEAAX_N@Z"
		size = 303
		refs = "0022 __imp_GetCurrentThreadId 003d __imp_GetCurrentProcess 0046 __imp_GetCurrentThread 0073 __imp_DuplicateHandle 007c ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 008e ?ImplicitDetachHandler@ExternalContextBase@details@Concurrency@@CAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_WAIT@@K@Z 0093 ?RegisterAsyncWaitAndLoadLibrary@details@Concurrency@@YAPEAU_TP_WAIT@@PEAXP6AXPEAU_TP_CALLBACK_INSTANCE@@0PEAU3@K@Z0@Z 00a8 ?ImplicitDetachHandlerXP@ExternalContextBase@details@Concurrency@@CAXPEAXE@Z 00ad ?__RegisterWaitForSingleObject@platform@details@Concurrency@@YAPEAXPEAXP6AX0E@Z0@Z 00d1 __imp_GetLastError 00e9 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00f0 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00fa _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 60 8A DA 48 8B F1 88 91 F0 00 00 00 FF 15 ?? ?? ?? ?? 89 86 80 00 00 00 84 DB 0F 85 84 00 00 00 4C 8D B6 08 01 00 00 FF 15 ?? ?? ?? ?? 48 8B F8 FF 15 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? C7 44 24 30 02 00 00 00 83 64 24 28 00 83 64 24 20 00 4D 8B CE 48 8B C8 4C 8B C7 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 74 54 E8 ?? ?? ?? ?? 49 8B 0E 4C 8B C6 83 F8 03 7C 1A 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 86 18 01 00 00 48 85 C0 75 15 EB 5A 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 86 18 01 00 00 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_391_73_0 {
	meta:
		name = "?RemoveFromUse@ExternalContextBase@details@Concurrency@@QEAAXXZ"
		size = 46
		refs = "000a ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ 001c __imp_CloseHandle"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 8B 08 01 00 00 48 85 C9 74 0E FF 15 ?? ?? ?? ?? 48 83 A3 08 01 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_391_76_0 {
	meta:
		name = "?TraceContextEvent@ContextBase@details@Concurrency@@IEAAXW4ConcRT_EventType@3@EKK@Z"
		size = 59
		refs = "0008 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0031 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8A 05 ?? ?? ?? ?? 45 8B D9 45 8A D0 8B DA 44 3A C0 77 1C 8B 05 ?? ?? ?? ?? A8 02 74 12 44 8B 4C 24 50 45 8B C3 41 8A D2 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_391_77_0 {
	meta:
		name = "?Unblock@ExternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 174
		refs = "000e ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0026 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0047 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0060 __imp_SetEvent 007c ??0context_unblock_unbalanced@Concurrency@@QEAA@XZ 0083 _TI2?AVcontext_unblock_unbalanced@Concurrency@@ 008d _CxxThrowException 0098 ??0context_self_unblock@Concurrency@@QEAA@XZ 009f _TI2?AVcontext_self_unblock@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B D9 E8 ?? ?? ?? ?? 48 3B D8 74 7B 48 8B 4B 38 8B 7B 20 48 8B 01 FF 50 08 8A 15 ?? ?? ?? ?? B9 04 00 00 00 3A D1 72 18 8B 15 ?? ?? ?? ?? F6 C2 02 74 0D 44 8B CF 44 8B C0 8A D1 E8 ?? ?? ?? ?? 83 C8 FF F0 0F C1 43 54 FF C8 75 18 48 8B 8B 10 01 00 00 FF 15 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 FF C0 83 F8 01 76 EE 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_391_78_0 {
	meta:
		name = "?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ"
		size = 122
		refs = "0038 ??3@YAXPEAX@Z 0060 memset"
		altNames = "?Wipe@?$Hash@II@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 83 79 04 00 48 8B F9 7E 46 33 F6 39 31 7E 2A 45 33 F6 48 8B 47 08 49 8B 0C 06 48 85 C9 74 10 48 8B 19 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 F0 FF C6 49 83 C6 08 3B 37 7C D9 4C 63 07 48 8B 4F 08 83 67 04 00 49 C1 E0 03 33 D2 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_391_79_0 {
	meta:
		name = "?Yield@ExternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 68
		refs = "0015 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0036 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0040 ?__SwitchToThread@platform@details@Concurrency@@YAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 59 20 48 8B 49 38 48 8B 01 FF 50 08 8A 0D ?? ?? ?? ?? B2 04 3A CA 72 1B 8B 0D ?? ?? ?? ?? F6 C1 02 74 10 44 8B CB 44 8B C0 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_391_85_0 {
	meta:
		name = "?_IsEnabled@_CONCRT_TRACE_INFO@details@Concurrency@@QEBA_NEK@Z"
		size = 26
	strings:
		$1 = { 8A 41 04 3A D0 77 10 8B 01 41 23 C0 41 3B C0 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_392_8_0 {
	meta:
		name = "??0?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 24
		refs = "000b __imp_InitializeSListHead"
		altNames = "??0?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$LockFreeStack@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$LockFreeStack@VSubAllocator@details@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_10_0 {
	meta:
		name = "??0?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z"
		size = 79
		refs = "0012 ??_7?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@6B@ 0030 __imp_InitializeSListHead"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 8D 59 10 48 89 01 8B 42 10 BE 03 00 00 00 89 41 08 48 8B CB FF 15 ?? ?? ?? ?? 48 83 C3 10 FF CE 79 EF 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_11_0 {
	meta:
		name = "??0?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z"
		size = 79
		refs = "0012 ??_7?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@6B@ 0030 __imp_InitializeSListHead"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 8D 59 10 48 89 01 8B 42 10 BE 03 00 00 00 89 41 08 48 8B CB FF 15 ?? ?? ?? ?? 48 83 C3 10 FF CE 79 EF 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_12_0 {
	meta:
		name = "??0FreeThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@I@Z"
		size = 47
		refs = "000a ??0ThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@I@Z 0011 ??_7FreeThreadProxy@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 33 C0 48 89 43 50 66 89 43 50 48 89 43 48 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_13_0 {
	meta:
		name = "??0FreeThreadProxyFactory@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z"
		size = 100
		refs = "0012 ??_7?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@6B@ 0030 __imp_InitializeSListHead 0044 ??_7FreeThreadProxyFactory@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 8D 79 10 48 89 01 8B 42 10 BE 03 00 00 00 89 41 08 48 8B CF FF 15 ?? ?? ?? ?? 48 83 C7 10 FF CE 79 EF 48 8B 74 24 38 48 8D 05 ?? ?? ?? ?? 48 89 03 C7 43 50 01 00 00 00 C6 43 54 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_16_0 {
	meta:
		name = "??0ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ"
		size = 58
		refs = "0024 ??0_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 002a ?__TlsAlloc@platform@details@Concurrency@@YAKXZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 21 00 48 83 61 08 00 48 83 C1 18 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 89 43 10 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_17_0 {
	meta:
		name = "?dtor$0@?0???0ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$0@?0???1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_718_29_0 {
	meta:
		name = "?dtor$0@?0???1VirtualProcessor@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_347_1 {
	meta:
		name = "?dtor$1@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_352_1 {
	meta:
		name = "?dtor$1@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_357_1 {
	meta:
		name = "?dtor$1@?0???0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_524_1 {
	meta:
		name = "?dtor$1@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_529_1 {
	meta:
		name = "?dtor$1@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_738_1 {
	meta:
		name = "?dtor$1@?0???1_ExceptionHolder@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_TaskCreationCallstack@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_684_1 {
	meta:
		name = "?dtor$1@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_689_2 {
	meta:
		name = "?dtor$1@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_19_0 {
	meta:
		name = "??0UMSFreeThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@PEAXI@Z"
		size = 78
		refs = "000a ??0UMSThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@PEAXI@Z 0011 ??_7UMSFreeThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 001b ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0026 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 05 ?? ?? ?? ?? 48 89 43 08 48 8D 05 ?? ?? ?? ?? 48 89 43 10 33 C0 48 89 83 28 01 00 00 66 89 83 28 01 00 00 48 89 83 20 01 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_20_0 {
	meta:
		name = "??0UMSFreeThreadProxyFactory@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z"
		size = 292
		refs = "0021 ??_7?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@6B@ 003c __imp_InitializeSListHead 004b ??_7UMSFreeThreadProxyFactory@details@Concurrency@@6B@ 0057 ??0Transmogrificator@details@Concurrency@@QEAA@XZ 0076 ?CreateUmsCompletionList@UMS@details@Concurrency@@SAHPEAPEAX@Z 0080 __imp_GetLastError 0098 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 009f _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00a9 _CxxThrowException 00b5 ?GetUmsCompletionListEvent@UMS@details@Concurrency@@SAHPEAXPEAPEAX@Z 00f3 ??2@YAPEAX_K@Z 0105 ??0TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 56 57 41 56 48 83 EC 50 48 C7 40 B8 FE FF FF FF 48 89 58 18 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 8B 42 10 89 41 08 48 8D 79 10 BE 03 00 00 00 48 8B CF FF 15 ?? ?? ?? ?? 48 83 C7 10 FF CE 79 EF 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8D B3 B0 00 00 00 33 FF 48 89 3E 4C 8D B3 B8 00 00 00 49 89 3E 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 49 8B D6 48 8B 0E E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC B9 80 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 78 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 50 48 8B C3 48 8B 9C 24 80 00 00 00 48 83 C4 50 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_392_22_0 {
	meta:
		name = "?dtor$1@?0???0UMSFreeThreadProxyFactory@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z@4HA"
		size = 16
		refs = "000c ??1Transmogrificator@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_447_1 {
	meta:
		name = "?dtor$2@?0???1?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_452_1 {
	meta:
		name = "?dtor$2@?0???1?$_SyncOriginator@_K@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_33_0 {
	meta:
		name = "??1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ"
		size = 74
		refs = "0037 ?__TlsFree@platform@details@Concurrency@@YAXK@Z 0046 ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 09 48 85 C9 74 06 48 8B 01 FF 50 30 48 8B 4B 08 48 85 C9 74 06 48 8B 01 FF 50 30 8B 4B 10 E8 ?? ?? ?? ?? 90 48 8D 4B 18 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_36_0 {
	meta:
		name = "??1UMSFreeThreadProxy@details@Concurrency@@UEAA@XZ"
		size = 37
		refs = "0003 ??_7UMSFreeThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 000d ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0018 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 0021 ??1UMSThreadProxy@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_37_0 {
	meta:
		name = "??1UMSFreeThreadProxyFactory@details@Concurrency@@UEAA@XZ"
		size = 58
		refs = "0019 ??_7UMSFreeThreadProxyFactory@details@Concurrency@@6B@ 0025 ??1Transmogrificator@details@Concurrency@@QEAA@XZ 002d ??_7IThreadProxyFactory@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 60 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_55_0 {
	meta:
		name = "??_GUMSFreeThreadProxy@details@Concurrency@@UEAAPEAXI@Z"
		size = 79
		refs = "000d ??_7UMSFreeThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 001c ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0027 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 0030 ??1UMSThreadProxy@details@Concurrency@@UEAA@XZ 003d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_56_0 {
	meta:
		name = "??_GUMSFreeThreadProxyFactory@details@Concurrency@@UEAAPEAXI@Z"
		size = 86
		refs = "0020 ??_7UMSFreeThreadProxyFactory@details@Concurrency@@6B@ 002c ??1Transmogrificator@details@Concurrency@@QEAA@XZ 0034 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0044 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 60 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_61_0 {
	meta:
		name = "?Count@?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEBAHXZ"
		size = 18
		refs = "0006 __imp_QueryDepthSList"
		altNames = "?Count@?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@QEBAHXZ ?Count@?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEBAHXZ ?Count@?$LockFreeStack@VSubAllocator@details@Concurrency@@@details@Concurrency@@QEBAHXZ ?Count@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEBAHXZ"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 0F B7 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_63_0 {
	meta:
		name = "?Create@FreeThreadProxyFactory@details@Concurrency@@EEAAPEAVFreeThreadProxy@23@I@Z"
		size = 125
		refs = "0027 ??2@YAPEAX_K@Z 0044 ??0ThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@I@Z 004b ??_7FreeThreadProxy@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 20 8B FA 48 8B F1 B9 80 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 50 33 ED 48 85 C0 74 28 44 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 33 C0 48 89 43 50 66 89 6B 50 48 89 6B 48 EB 03 48 8B DD 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_65_0 {
	meta:
		name = "?Create@UMSFreeThreadProxyFactory@details@Concurrency@@EEAAPEAVUMSFreeThreadProxy@23@I@Z"
		size = 348
		refs = "0029 ??2@YAPEAX_K@Z 004d ??0UMSThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@PEAXI@Z 0054 ??_7UMSFreeThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 005e ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0069 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 00b1 ?DequeueUmsCompletionListItems@UMS@details@Concurrency@@SAHPEAXKPEAPEAX@Z 00bf ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 00cb ?GetNextUmsListItem@UMS@details@Concurrency@@SAPEAXPEAX@Z 00db ?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z 00fe __imp_WaitForMultipleObjectsEx 0118 __imp_GetLastError 012f ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0136 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 013f _CxxThrowException"
	strings:
		$1 = { 48 8B C4 55 57 41 56 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 10 48 89 70 18 8B DA 48 8B F1 B9 30 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 20 45 33 F6 48 85 C0 74 4F 44 8B CB 4C 8B 86 B0 00 00 00 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 47 10 33 C0 48 89 87 28 01 00 00 66 44 89 B7 28 01 00 00 4C 89 B7 20 01 00 00 EB 03 49 8B FE 48 8B 47 30 48 89 45 C8 48 8B 86 B8 00 00 00 48 89 45 D0 EB 45 4C 8D 45 20 33 D2 48 8B 8E B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 4F EB 24 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D 20 E8 ?? ?? ?? ?? 48 89 45 20 48 8B D3 48 8B 4E 50 E8 ?? ?? ?? ?? 48 8B 45 20 48 85 C0 75 D3 44 89 74 24 20 41 83 C9 FF 45 33 C0 48 8D 55 C8 41 8D 48 02 FF 15 ?? ?? ?? ?? 85 C0 75 9D EB 3C 48 8B 07 BA 01 00 00 00 48 8B CF FF 50 08 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 E8 ?? ?? ?? ?? CC 48 8B C7 4C 8D 5C 24 70 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_392_67_0 {
	meta:
		name = "?CreateFactory@FreeThreadProxyFactory@details@Concurrency@@SAPEAV123@PEAVThreadProxyFactoryManager@23@@Z"
		size = 145
		refs = "0011 ?s_bucketSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1HA 001c ?GetProcessorCount@Concurrency@@YAIXZ 002f ??2@YAPEAX_K@Z 003e ??_7?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@6B@ 0059 __imp_InitializeSListHead 0068 ??_7FreeThreadProxyFactory@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 3D ?? ?? ?? ?? 00 48 8B F9 75 0E E8 ?? ?? ?? ?? C1 E0 02 89 05 ?? ?? ?? ?? B9 60 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 41 48 8D 05 ?? ?? ?? ?? BE 03 00 00 00 48 89 03 8B 47 10 48 8D 7B 10 89 43 08 48 8B CF FF 15 ?? ?? ?? ?? 48 83 C7 10 FF CE 79 EF 48 8D 05 ?? ?? ?? ?? 48 89 03 C7 43 50 01 00 00 00 C6 43 54 00 EB 02 33 DB 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_68_0 {
	meta:
		name = "?CreateFactory@UMSFreeThreadProxyFactory@details@Concurrency@@SAPEAV123@PEAVThreadProxyFactoryManager@23@@Z"
		size = 95
		refs = "001b ?s_bucketSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1HA 0022 ?GetProcessorCount@Concurrency@@YAIXZ 0035 ??2@YAPEAX_K@Z 004a ??0UMSFreeThreadProxyFactory@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B F9 33 DB 39 1D ?? ?? ?? ?? 75 0E E8 ?? ?? ?? ?? C1 E0 02 89 05 ?? ?? ?? ?? B9 C0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 48 48 85 C0 74 0E 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_71_0 {
	meta:
		name = "?Delta@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@CAPEAVUMSFreeThreadProxy@23@PEAX@Z"
		size = 17
	strings:
		$1 = { 48 8D 91 F0 FE FF FF 48 F7 D9 48 1B C0 48 23 C2 C3 }
	condition:
		$1
}

rule file_392_73_0 {
	meta:
		name = "?EnterHyperCriticalRegion@UMSThreadProxy@details@Concurrency@@UEAAHXZ"
		size = 21
	strings:
		$1 = { 8B 81 88 00 00 00 FF 81 84 00 00 00 FF C0 89 81 88 00 00 00 C3 }
	condition:
		$1
}

rule file_392_75_0 {
	meta:
		name = "?ExitHyperCriticalRegion@UMSThreadProxy@details@Concurrency@@UEAAHXZ"
		size = 21
	strings:
		$1 = { 8B 81 88 00 00 00 FF 89 84 00 00 00 FF C8 89 81 88 00 00 00 C3 }
	condition:
		$1
}

rule file_392_76_0 {
	meta:
		name = "?Flush@?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVFreeThreadProxy@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_99_0 {
	meta:
		name = "?Pop@?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVFreeThreadProxy@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_77_0 {
	meta:
		name = "?Flush@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVUMSFreeThreadProxy@23@XZ"
		size = 31
		refs = "0006 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_100_0 {
	meta:
		name = "?Pop@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVUMSFreeThreadProxy@23@XZ"
		size = 31
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_78_0 {
	meta:
		name = "?ForceEnterHyperCriticalRegion@UMSThreadProxy@details@Concurrency@@QEAAHXZ"
		size = 21
	strings:
		$1 = { 8B 81 90 00 00 00 FF 81 8C 00 00 00 FF C0 89 81 90 00 00 00 C3 }
	condition:
		$1
}

rule file_392_81_0 {
	meta:
		name = "?GetCriticalRegionType@UMSThreadProxy@details@Concurrency@@UEBA?AW4CriticalRegionType@3@XZ"
		size = 26
	strings:
		$1 = { 33 C0 39 81 88 00 00 00 76 06 B8 02 00 00 00 C3 39 81 84 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule file_392_86_0 {
	meta:
		name = "?GetFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVFreeThreadProxyFactory@23@XZ"
		size = 86
		refs = "002a ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0039 ?CreateFactory@FreeThreadProxyFactory@details@Concurrency@@SAPEAV123@PEAVThreadProxyFactoryManager@23@@Z 0044 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 83 39 00 75 2B 48 8D 59 18 48 89 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 83 3F 00 75 0B 48 8B CF E8 ?? ?? ?? ?? 48 89 07 48 8B CB E8 ?? ?? ?? ?? 48 8B 07 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_88_0 {
	meta:
		name = "?GetNextUnblockNotification@UMSThreadProxy@details@Concurrency@@UEAAPEAUIUMSUnblockNotification@3@XZ"
		size = 33
	strings:
		$1 = { 48 8B 81 90 00 00 00 48 8D 88 60 FF FF FF 48 F7 D8 48 1B C0 48 23 C1 74 05 48 83 C0 10 C3 33 C0 C3 }
	condition:
		$1
}

rule file_392_93_0 {
	meta:
		name = "?GetUMSFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVUMSFreeThreadProxyFactory@23@XZ"
		size = 146
		refs = "002f ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 003c ?s_bucketSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1HA 0043 ?GetProcessorCount@Concurrency@@YAIXZ 0056 ??2@YAPEAX_K@Z 006b ??0UMSFreeThreadProxyFactory@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z 007a ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B F9 33 F6 48 39 71 08 75 5B 48 8D 59 18 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 48 39 77 08 75 3C 39 35 ?? ?? ?? ?? 75 0E E8 ?? ?? ?? ?? C1 E0 02 89 05 ?? ?? ?? ?? B9 C0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 48 48 85 C0 74 0E 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 77 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 47 08 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_392_97_0 {
	meta:
		name = "?Next@?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@SAPEAVFreeThreadProxy@23@PEAV423@@Z"
		size = 18
	strings:
		$1 = { 48 8B 41 60 48 8D 48 A0 48 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_392_98_0 {
	meta:
		name = "?Next@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@SAPEAVUMSFreeThreadProxy@23@PEAV423@@Z"
		size = 24
	strings:
		$1 = { 48 8B 81 10 01 00 00 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_392_101_0 {
	meta:
		name = "?Prepare@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@MEAAXPEAVFreeThreadProxy@23@H@Z"
		size = 29
		refs = "0014 ?SetPriority@ThreadProxy@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 44 39 42 2C 74 0B 41 8B D0 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_102_0 {
	meta:
		name = "?Prepare@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@MEAAXPEAVUMSFreeThreadProxy@23@H@Z"
		size = 29
		refs = "0014 ?SetPriority@UMSThreadProxy@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 44 39 42 54 74 0B 41 8B D0 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_103_0 {
	meta:
		name = "?Prepare@UMSFreeThreadProxyFactory@details@Concurrency@@EEAAXPEAVUMSFreeThreadProxy@23@H@Z"
		size = 46
		refs = "0016 ?SetPriority@UMSThreadProxy@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 44 39 42 54 74 0B 41 8B D0 48 8B CB E8 ?? ?? ?? ?? 83 A3 90 00 00 00 00 83 A3 8C 00 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_106_0 {
	meta:
		name = "?ReclaimProxy@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 138
		refs = "001d ?s_proxyStackSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1QBIB 004b __imp_QueryDepthSList 0054 ?s_bucketSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1HA 0063 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B DA 8B 52 28 48 8B F9 33 C9 48 8D 05 ?? ?? ?? ?? 3B 10 74 14 4C 8D 05 ?? ?? ?? ?? 48 83 C0 04 FF C1 49 3B C0 7C EA EB 30 48 63 F1 48 FF C6 48 C1 E6 04 48 03 F7 48 8B CE FF 15 ?? ?? ?? ?? 0F B7 C0 3B 05 ?? ?? ?? ?? 7D 0F 48 8D 53 60 48 8B CE FF 15 ?? ?? ?? ?? 33 DB 48 85 DB 74 0C 48 8B 07 48 8B D3 48 8B CF FF 50 40 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_107_0 {
	meta:
		name = "?ReclaimProxy@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 151
		refs = "0027 ?s_proxyStackSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1QBIB 0055 __imp_QueryDepthSList 005e ?s_bucketSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1HA 0070 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 85 D2 74 06 48 8D 5A F8 EB 02 33 DB 8B 53 50 33 C9 48 8D 05 ?? ?? ?? ?? 3B 10 74 14 4C 8D 05 ?? ?? ?? ?? 48 83 C0 04 FF C1 49 3B C0 7C EA EB 33 48 63 F1 48 FF C6 48 C1 E6 04 48 03 F7 48 8B CE FF 15 ?? ?? ?? ?? 0F B7 C0 3B 05 ?? ?? ?? ?? 7D 12 48 8D 93 10 01 00 00 48 8B CE FF 15 ?? ?? ?? ?? 33 DB 48 85 DB 74 0C 48 8B 07 48 8B D3 48 8B CF FF 50 40 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_108_0 {
	meta:
		name = "?ReclaimProxy@FreeThreadProxyFactory@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 208
		refs = "0028 ?s_proxyStackSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1QBIB 0056 __imp_QueryDepthSList 005f ?s_bucketSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1HA 006e __imp_InterlockedPushEntrySList 007e __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8A 41 54 48 8B DA 48 8B F9 84 C0 0F 85 8F 00 00 00 8B 52 28 33 C9 48 8D 05 ?? ?? ?? ?? 3B 10 74 14 4C 8D 05 ?? ?? ?? ?? 48 83 C0 04 FF C1 49 3B C0 7C EA EB 6B 48 63 F1 48 FF C6 48 C1 E6 04 48 03 F7 48 8B CE FF 15 ?? ?? ?? ?? 0F B7 C0 3B 05 ?? ?? ?? ?? 7D 4A 48 8D 53 60 48 8B CE FF 15 ?? ?? ?? ?? 8A 47 54 84 C0 74 34 48 8B CE FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B D2 48 23 D1 74 1C 48 8B 07 48 8B 5A 60 48 8B CF FF 50 40 48 8D 43 A0 48 F7 DB 48 1B D2 48 23 D0 75 E4 33 DB 48 85 DB 74 0C 48 8B 07 48 8B D3 48 8B CF FF 50 40 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_111_0 {
	meta:
		name = "?Release@FreeThreadProxyFactory@details@Concurrency@@UEAAJXZ"
		size = 41
	strings:
		$1 = { 40 53 48 83 EC 20 83 CB FF F0 0F C1 59 50 FF CB 75 0F 48 85 C9 74 0A 4C 8B 01 8D 53 01 41 FF 50 28 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_113_0 {
	meta:
		name = "?RequestProxy@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@UEAAPEAUIThreadProxy@3@IH@Z"
		size = 164
		refs = "0028 ?s_proxyStackSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1QBIB 0041 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 45 8B F8 44 8B F2 33 F6 48 8B F9 48 8D 2D ?? ?? ?? ?? 44 3B 75 00 77 22 48 63 CE 48 FF C1 48 C1 E1 04 48 03 CF FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B DB 48 23 D9 75 24 FF C6 48 83 C5 04 83 FE 04 7C CD 48 85 DB 75 14 48 8B 07 41 8B D6 48 8B CF FF 50 38 48 8B D8 48 85 C0 74 10 4C 8B 0F 45 8B C7 48 8B D3 48 8B CF 41 FF 51 48 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_392_114_0 {
	meta:
		name = "?RequestProxy@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@UEAAPEAUIThreadProxy@3@IH@Z"
		size = 188
		refs = "002b ?s_proxyStackSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1QBIB 0047 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 33 FF 45 8B E0 44 8B FA 48 8B F1 4C 8D 35 ?? ?? ?? ?? 8B DF 8B EF 45 3B 3E 77 25 48 63 CD 48 FF C1 48 C1 E1 04 48 03 CE FF 15 ?? ?? ?? ?? 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B DB 48 23 D9 75 24 FF C5 49 83 C6 04 83 FD 04 7C CB 48 85 DB 75 14 48 8B 06 41 8B D7 48 8B CE FF 50 38 48 8B D8 48 85 C0 74 19 4C 8B 0E 45 8B C4 48 8B D3 48 8B CE 41 FF 51 48 48 85 DB 74 04 48 8D 7B 08 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B C7 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_392_116_0 {
	meta:
		name = "?Retire@UMSFreeThreadProxyFactory@details@Concurrency@@EEAAXPEAVUMSFreeThreadProxy@23@@Z"
		size = 46
		refs = "0014 ?Cancel@UMSThreadProxy@details@Concurrency@@QEAAXXZ 002a ?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B 4F 50 48 8B D3 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_117_0 {
	meta:
		name = "?RetireThreadProxies@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAXXZ"
		size = 116
		refs = "0026 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 4C 8B F1 48 8D 79 10 BE 04 00 00 00 48 8B CF FF 15 ?? ?? ?? ?? 4C 8D 40 A0 48 F7 D8 48 1B D2 49 23 D0 74 1C 49 8B 06 48 8B 5A 60 49 8B CE FF 50 40 48 8D 43 A0 48 F7 DB 48 1B D2 48 23 D0 75 E4 48 83 C7 10 48 FF CE 75 C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_392_118_0 {
	meta:
		name = "?RetireThreadProxies@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAXXZ"
		size = 125
		refs = "0026 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 4C 8B F1 48 8D 79 10 BE 04 00 00 00 48 8B CF FF 15 ?? ?? ?? ?? 4C 8D 80 F0 FE FF FF 48 F7 D8 48 1B D2 49 23 D0 74 22 49 8B 06 48 8B 9A 10 01 00 00 49 8B CE FF 50 40 48 8D 83 F0 FE FF FF 48 F7 DB 48 1B D2 48 23 D0 75 DE 48 83 C7 10 48 FF CE 75 BA 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_392_120_0 {
	meta:
		name = "?ShutdownFactory@FreeThreadProxyFactory@details@Concurrency@@UEAAXXZ"
		size = 33
		refs = "000e ?RetireThreadProxies@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 41 54 01 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB 48 83 C4 20 5B 48 FF 60 18 }
	condition:
		$1
}

rule file_392_121_0 {
	meta:
		name = "?ShutdownFactory@UMSFreeThreadProxyFactory@details@Concurrency@@UEAAXXZ"
		size = 65
		refs = "000a ?RetireThreadProxies@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAXXZ 0018 __imp_SetEvent 0029 ?DeleteUmsCompletionList@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 50 48 8B 49 28 FF 15 ?? ?? ?? ?? 48 8B 8B B0 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 03 BA 01 00 00 00 48 8B CB 48 83 C4 20 5B 48 FF 60 28 }
	condition:
		$1
}

rule file_392_122_0 {
	meta:
		name = "?StaticInitialize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@KAXXZ"
		size = 32
		refs = "0006 ?s_bucketSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1HA 000e ?GetProcessorCount@Concurrency@@YAIXZ"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 0E E8 ?? ?? ?? ?? C1 E0 02 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_123_0 {
	meta:
		name = "?StaticInitialize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@KAXXZ"
		size = 32
		refs = "0006 ?s_bucketSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@1HA 000e ?GetProcessorCount@Concurrency@@YAIXZ"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 0E E8 ?? ?? ?? ?? C1 E0 02 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_393_0_0 {
	meta:
		name = "_wrename"
		size = 53
		refs = "000c __imp_MoveFileExW 0016 __imp_GetLastError 0025 _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 41 B8 02 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_394_0_0 {
	meta:
		name = "catanl"
		size = 208
		refs = "0032 creall 003e cimagl 004c __xmm@80000000000000008000000000000000 0054 _LCbuild 0069 catanhl"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D D0 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 0F 28 74 24 60 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_738_0_0 {
	meta:
		name = "casin"
		size = 208
		refs = "0032 creal 003e cimag 004c __xmm@80000000000000008000000000000000 0054 _Cbuild 0069 casinh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D D0 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 0F 28 74 24 60 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_1370_0_0 {
	meta:
		name = "casinl"
		size = 208
		refs = "0032 creall 003e cimagl 004c __xmm@80000000000000008000000000000000 0054 _LCbuild 0069 casinhl"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D D0 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 0F 28 74 24 60 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_1239_0_0 {
	meta:
		name = "catan"
		size = 208
		refs = "0032 creal 003e cimag 004c __xmm@80000000000000008000000000000000 0054 _Cbuild 0069 catanh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D D0 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 0F 28 74 24 60 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_664_0_0 {
	meta:
		name = "csin"
		size = 208
		refs = "0032 creal 003e cimag 004c __xmm@80000000000000008000000000000000 0054 _Cbuild 0069 csinh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D D0 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 0F 28 74 24 60 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_821_0_0 {
	meta:
		name = "csinl"
		size = 208
		refs = "0032 creall 003e cimagl 004c __xmm@80000000000000008000000000000000 0054 _LCbuild 0069 csinhl"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D D0 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 0F 28 74 24 60 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_1155_0_0 {
	meta:
		name = "ctan"
		size = 208
		refs = "0032 creal 003e cimag 004c __xmm@80000000000000008000000000000000 0054 _Cbuild 0069 ctanh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D D0 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 0F 28 74 24 60 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_511_0_0 {
	meta:
		name = "ctanl"
		size = 208
		refs = "0032 creall 003e cimagl 004c __xmm@80000000000000008000000000000000 0054 _LCbuild 0069 ctanhl"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 48 8D 4D B0 0F 29 74 24 60 48 8B DA 0F 10 C8 F3 0F 7F 45 B0 F3 0F 7F 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D D0 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D C0 0F 10 00 F3 0F 7F 03 0F 10 08 0F 10 C1 F3 0F 7F 4D C0 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 4D B0 0F 28 F0 0F 57 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 D6 0F 28 C8 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 0F 28 74 24 60 0F 10 00 48 8B C7 F3 0F 7F 07 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_395_0_0 {
	meta:
		name = "log10f"
		size = 1253
		refs = "0006 __use_fma3_lib 002b __real_inf 0040 __mask_127 004f __real_mant 0057 __real_one 005e __real_neg127 006d __mask_mant_all7 0074 __mask_mant8 0085 __real_notsign 008c __real_threshold 00a3 __real_half 00be __log_F_inv_dword 00d8 __real_1_over_3 00e4 __real_1_over_2 00ec __real_log10_2_tail 00f3 __log10_128_tail 00fa __log10_128_lead 010e __real_log10_e 0116 __real_log10_2_lead 0144 __real_two 017c __real_ca2 0184 __real_ca1 0198 __mask_lower 01b0 __real_log10_e_tail 01c0 __real_log10_e_lead 0206 __mask_253 0226 __real_ninf 022d __flag_x_zero 0232 _log10f_special 0244 __real_neg_qnan 024b __flag_x_neg 0272 __real_qnanbit 027d __flag_x_nan"
	strings:
		$1 = { 48 83 EC 78 83 3D ?? ?? ?? ?? 00 0F 85 8F 02 00 00 33 C0 66 0F 6F D8 F3 0F 10 E0 66 0F 72 D3 17 66 0F 7E C0 66 0F 6F C8 0F 54 0D ?? ?? ?? ?? 0F 2F 0D ?? ?? ?? ?? 0F 84 24 02 00 00 66 0F FA 1D ?? ?? ?? ?? 66 0F 6F D0 0F 5B EB 66 0F DB 15 ?? ?? ?? ?? F3 0F 5C 25 ?? ?? ?? ?? 0F 2F 2D ?? ?? ?? ?? 0F 84 75 01 00 00 44 8B C8 23 05 ?? ?? ?? ?? 44 23 0D ?? ?? ?? ?? 41 D1 E1 41 03 C1 89 44 24 30 0F 54 25 ?? ?? ?? ?? 0F 2F 25 ?? ?? ?? ?? 0F 82 AA 00 00 00 F3 0F 10 4C 24 30 C1 E8 10 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 0F 57 E4 0F 2F C4 0F 86 65 01 00 00 4C 8D 0D ?? ?? ?? ?? F3 0F 5C CA F3 41 0F 59 0C 81 F3 0F 10 D1 F3 0F 10 C1 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? F3 0F 10 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F3 0F 59 D0 F3 0F 59 DD F3 0F 58 CA F3 0F 59 0D ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 5C D9 F3 0F 59 C5 F3 41 0F 58 1C 81 F3 41 0F 58 04 82 F3 0F 58 C3 48 83 C4 78 C3 66 0F 1F 84 00 00 00 00 00 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 C8 F3 0F 5E CA F3 0F 10 E0 F3 0F 59 E1 F3 0F 58 C9 F3 0F 10 D1 F3 0F 59 D2 F3 0F 10 D9 F3 0F 59 DA F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C D4 66 0F 6F E8 66 0F DB 2D ?? ?? ?? ?? F3 0F 5C C5 F3 0F 58 D0 F3 0F 10 C5 F3 0F 10 CA F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 2D ?? ?? ?? ?? F3 0F 58 C2 F3 0F 58 C1 F3 0F 58 C5 48 83 C4 78 C3 66 0F EB 15 ?? ?? ?? ?? F3 0F 5C 15 ?? ?? ?? ?? 66 0F 6F EA 66 0F DB 15 ?? ?? ?? ?? 66 0F 7E D0 66 0F 72 D5 17 66 0F FA 2D ?? ?? ?? ?? 0F 5B ED E9 56 FE FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 75 1E F3 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 0F 1F 84 00 00 00 00 00 F3 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 66 66 0F 1F 84 00 00 00 00 00 3B 05 ?? ?? ?? ?? 74 28 3B 05 ?? ?? ?? ?? 74 D0 0B 05 ?? ?? ?? ?? 66 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 0F 1F 84 00 00 00 00 00 48 83 C4 78 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 E1 72 D0 17 C5 F9 7E C0 C5 F8 2F 0D ?? ?? ?? ?? 0F 84 F1 01 00 00 C5 E1 FA 1D ?? ?? ?? ?? C5 F8 5B EB C5 F1 EF C9 C5 F8 2F C1 0F 86 97 01 00 00 C5 F9 DB 15 ?? ?? ?? ?? C5 FA 5C 25 ?? ?? ?? ?? C5 F8 2F 2D ?? ?? ?? ?? 0F 84 39 01 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 F9 DB 1D ?? ?? ?? ?? C5 E1 72 F3 01 C5 E1 FE C9 C5 F9 7E C8 C5 D8 54 25 ?? ?? ?? ?? C5 F8 2F 25 ?? ?? ?? ?? 0F 82 86 00 00 00 C1 E8 10 C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? C5 F2 5C CA C4 C1 72 59 0C 81 C5 F9 28 15 ?? ?? ?? ?? C4 E2 71 A9 15 ?? ?? ?? ?? C5 F2 59 C1 C5 FA 10 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? C4 E2 69 B9 C8 C5 FA 10 05 ?? ?? ?? ?? C5 F2 59 0D ?? ?? ?? ?? C4 E2 51 AB D9 C4 C2 51 A9 04 82 C4 C1 62 58 1C 81 C5 FA 58 C3 48 83 C4 78 C3 0F 1F 84 00 00 00 00 00 C5 FA 10 15 ?? ?? ?? ?? C5 FA 5C 05 ?? ?? ?? ?? C5 EA 58 D0 C5 FA 5E CA C5 FA 59 E1 C5 F2 58 C9 C5 F2 59 D1 C5 F2 59 DA C5 FA 10 2D ?? ?? ?? ?? C4 E2 51 A9 15 ?? ?? ?? ?? C4 E2 61 AB D4 C5 F9 DB 2D ?? ?? ?? ?? C5 FA 5C C5 C5 EA 58 D0 C5 EA 59 0D ?? ?? ?? ?? C5 D2 59 05 ?? ?? ?? ?? C5 D2 59 2D ?? ?? ?? ?? C4 E2 69 B9 05 ?? ?? ?? ?? C5 FA 58 C1 C5 FA 58 C5 48 83 C4 78 C3 0F 1F 40 00 C5 FA 10 1D ?? ?? ?? ?? C5 E9 EB D3 C5 EA 5C D3 C5 D1 72 D2 17 C5 E9 DB 15 ?? ?? ?? ?? C5 F8 28 C2 C5 D1 FA 2D ?? ?? ?? ?? C5 F8 5B ED E9 95 FE FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 75 1E C5 FA 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 78 C3 0F 1F 44 00 00 C5 FA 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 78 C3 0F 1F 80 00 00 00 00 3B 05 ?? ?? ?? ?? 74 28 3B 05 ?? ?? ?? ?? 74 D0 0B 05 ?? ?? ?? ?? 66 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 78 C3 0F 1F 44 00 00 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_396_0_0 {
	meta:
		name = "_getsystime"
		size = 158
		refs = "0009 __security_cookie 001e _errno 0029 _invalid_parameter_noinfo 0038 __imp_GetLocalTime 0082 _mktime32 0094 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5A 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 44 24 2C 83 4B 20 FF 89 03 0F B7 44 24 2A 48 8B CB 89 43 04 0F B7 44 24 28 89 43 08 0F B7 44 24 26 89 43 0C 0F B7 44 24 22 FF C8 89 43 10 0F B7 44 24 20 2D 6C 07 00 00 89 43 14 0F B7 44 24 24 89 43 18 E8 ?? ?? ?? ?? 0F B7 44 24 2E 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_396_1_0 {
	meta:
		name = "_setsystime"
		size = 163
		refs = "000d __security_cookie 0029 _mktime32 0079 __imp_SetLocalTime 0083 __imp_GetLastError 0094 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 8B FA 48 8B D9 48 85 C9 75 05 8D 41 57 EB 63 E8 ?? ?? ?? ?? 0F B7 43 14 B9 6C 07 00 00 66 03 C1 48 8D 4C 24 20 66 89 7C 24 2E 66 89 44 24 20 0F B7 43 10 66 FF C0 66 89 44 24 22 0F B7 43 0C 66 89 44 24 26 0F B7 43 08 66 89 44 24 28 0F B7 43 04 66 89 44 24 2A 0F B7 03 66 89 44 24 2C FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_398_4_0 {
	meta:
		name = "_ismbcblank_l"
		size = 211
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 FF 81 FB FF 00 00 00 76 55 8B C3 89 7D 20 88 5D 11 C1 E8 08 88 45 10 48 8B 45 E8 39 78 08 74 3A 8B 40 04 8D 5F 01 44 8D 4F 02 89 5C 24 30 89 44 24 28 48 8D 45 20 4C 8D 45 10 48 8D 4D E0 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 0C 66 39 7D 22 75 06 F6 45 20 40 75 36 8B DF EB 32 83 FB 09 75 07 BB 40 00 00 00 EB 26 48 8B 45 E0 0F B6 D3 48 8B 88 08 01 00 00 F6 04 51 40 75 0D 48 8B 45 E8 8B DF F6 44 02 19 02 74 05 BB 01 00 00 00 40 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_398_6_0 {
	meta:
		name = "_ismbcpunct_l"
		size = 199
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 FF 81 FB FF 00 00 00 76 55 8B C3 89 7D 20 88 5D 11 C1 E8 08 88 45 10 48 8B 45 E8 39 78 08 74 3A 8B 40 04 8D 5F 01 44 8D 4F 02 89 5C 24 30 89 44 24 28 48 8D 45 20 4C 8D 45 10 48 8D 4D E0 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 0C 66 39 7D 22 75 06 F6 45 20 10 75 2A 8B DF EB 26 48 8B 45 E0 0F B6 D3 48 8B 88 08 01 00 00 F6 04 51 10 75 0D 48 8B 45 E8 8B DF F6 44 02 19 02 74 05 BB 01 00 00 00 40 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_399_0_0 {
	meta:
		name = "_getpath"
		size = 181
		refs = "0036 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 7C 24 18 41 56 48 83 EC 20 4C 8B F2 48 8B D9 B9 01 00 00 00 B2 3B EB 03 48 03 D9 38 13 74 F9 33 FF 48 8B EB 4C 2B C1 75 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 50 8A 03 84 C0 74 46 3A C2 74 3F 48 03 D9 3C 22 74 10 41 88 06 4C 03 F1 4C 2B C1 75 E4 48 8B EB EB D2 8A 03 84 C0 74 25 3C 22 74 14 41 88 06 48 03 D9 4C 03 F1 4C 2B C1 74 E3 8A 03 84 C0 75 E8 40 38 3B 74 08 48 03 D9 EB B7 48 03 D9 38 13 74 F9 48 3B EB 48 8B 6C 24 38 41 88 3E 48 0F 45 FB 48 8B 5C 24 30 48 8B C7 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_400_0_0 {
	meta:
		name = "_LSinh"
		size = 413
		refs = "0020 _ldtest 0055 __xmm@80000000000000008000000000000000 006a _LRteps_C 007c __real@3fe193ea7aad030b 0097 __real@3f0c0fa13ffd4adc 00a3 __real@3f74be86cc52783b 00af __real@3fc2b3653e628272 00be __real@3f24d74f3de964a2 00cd __real@3f950f80b7969f66 00d9 __real@3ff0000000000000 00e7 _LXbig_C 0102 _ldexp 010f __real@3fd0000000000000 016e _fperrraise 0176 _LNan_C"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 56 57 48 8B EC 48 83 EC 20 48 8D 4D 20 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 33 F6 66 3B F7 0F 8E 07 01 00 00 66 3B F0 0F 8E FE 00 00 00 F2 0F 10 5D 20 0F 57 C0 66 0F 2F C3 76 11 0F 57 1D ?? ?? ?? ?? 8D 5E 01 F2 0F 11 5D 20 EB 03 0F B7 DE F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 0F 87 A3 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 76 5D 0F 28 CB F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C3 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D3 0F 28 DA F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D8 EB 38 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 20 66 0F 2F C3 76 29 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 5D 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C3 F2 0F 5C D8 F2 0F 59 5D 28 EB 0F F2 0F 10 4D 28 E8 ?? ?? ?? ?? F2 0F 10 5D 20 66 85 DB 74 07 0F 57 1D ?? ?? ?? ?? 0F 28 C3 EB 4E 66 83 FF 02 75 07 F2 0F 10 45 20 EB 41 66 83 F8 02 75 07 F2 0F 10 45 28 EB 34 BB 01 00 00 00 66 3B FB 75 16 66 85 C0 75 1B 8B CB E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 14 66 85 FF 75 05 66 3B C3 EB E3 F2 0F 10 45 20 F2 0F 59 45 28 48 8B 5C 24 50 48 83 C4 20 5F 5E 5D C3 }
	condition:
		$1
}

rule file_819_0_0 {
	meta:
		name = "_Sinh"
		size = 413
		refs = "0020 _dtest 0055 __xmm@80000000000000008000000000000000 006a _Rteps_C 007c __real@3fe193ea7aad030b 0097 __real@3f0c0fa13ffd4adc 00a3 __real@3f74be86cc52783b 00af __real@3fc2b3653e628272 00be __real@3f24d74f3de964a2 00cd __real@3f950f80b7969f66 00d9 __real@3ff0000000000000 00e7 _Xbig_C 0102 _dexp 010f __real@3fd0000000000000 016e _fperrraise 0176 _Nan_C"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 56 57 48 8B EC 48 83 EC 20 48 8D 4D 20 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 33 F6 66 3B F7 0F 8E 07 01 00 00 66 3B F0 0F 8E FE 00 00 00 F2 0F 10 5D 20 0F 57 C0 66 0F 2F C3 76 11 0F 57 1D ?? ?? ?? ?? 8D 5E 01 F2 0F 11 5D 20 EB 03 0F B7 DE F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 0F 87 A3 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 76 5D 0F 28 CB F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C3 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D3 0F 28 DA F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D8 EB 38 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 20 66 0F 2F C3 76 29 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 5D 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C3 F2 0F 5C D8 F2 0F 59 5D 28 EB 0F F2 0F 10 4D 28 E8 ?? ?? ?? ?? F2 0F 10 5D 20 66 85 DB 74 07 0F 57 1D ?? ?? ?? ?? 0F 28 C3 EB 4E 66 83 FF 02 75 07 F2 0F 10 45 20 EB 41 66 83 F8 02 75 07 F2 0F 10 45 28 EB 34 BB 01 00 00 00 66 3B FB 75 16 66 85 C0 75 1B 8B CB E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 14 66 85 FF 75 05 66 3B C3 EB E3 F2 0F 10 45 20 F2 0F 59 45 28 48 8B 5C 24 50 48 83 C4 20 5F 5E 5D C3 }
	condition:
		$1
}

rule file_400_2_0 {
	meta:
		name = "csinhl"
		size = 365
		refs = "002c creall 0042 cimagl 0050 _ldtest 006a _LNan_C 008e _fperrraise 00df sin 00ec cos 00f4 _LInf_C 0126 _LCosh 0136 _LSinh 0145 _LCbuild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 8B EC 48 83 EC 50 0F 10 02 48 8B F9 48 8D 4D D0 0F 29 74 24 40 48 8B DA 0F 29 7C 24 30 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D D0 F2 0F 11 45 28 0F 10 03 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1B F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D D0 66 85 C0 75 2C F2 0F 10 55 20 E9 C3 00 00 00 BE 01 00 00 00 66 3B C6 75 32 8B CE E8 ?? ?? ?? ?? 48 8D 4D D0 66 3B DE 76 10 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 99 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 4D 28 E9 87 00 00 00 66 83 F8 02 74 CF 66 3B DE 75 3B 66 85 C0 75 0C F2 0F 10 55 20 F2 0F 10 4D 28 EB 67 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 45 28 F2 0F 59 D6 EB 3A F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 F8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 CF 0F 28 F0 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 D6 0F 28 C8 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 0F 28 74 24 40 0F 28 7C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_401_3_0 {
	meta:
		name = "?_wcrtomb_s_l@@YAHPEAHPEAD_K_W0PEAUlocaleinfo_struct@@@Z"
		size = 258
		refs = "002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00a8 __imp_WideCharToMultiByte 00c6 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 66 44 89 48 20 57 48 83 EC 60 48 8B FA 48 8B 94 24 98 00 00 00 48 8B D9 48 8D 48 D8 49 8B F0 E8 ?? ?? ?? ?? 48 8B 84 24 90 00 00 00 48 85 C0 74 03 83 20 00 48 8B 44 24 40 48 83 B8 38 01 00 00 00 75 21 0F B7 84 24 88 00 00 00 B9 FF 00 00 00 66 3B C1 77 65 88 07 48 85 DB 74 5A C7 03 01 00 00 00 EB 52 83 A4 24 90 00 00 00 00 48 8D 8C 24 90 00 00 00 4C 8D 84 24 88 00 00 00 48 89 4C 24 38 48 83 64 24 30 00 8B 48 04 41 B9 01 00 00 00 33 D2 89 74 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 15 83 BC 24 90 00 00 00 00 75 0B 48 85 DB 74 02 89 03 33 C0 EB 1A E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 85 DB 74 03 83 0B FF E8 ?? ?? ?? ?? 8B 00 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_401_4_0 {
	meta:
		name = "_wcsrtombs_helper"
		size = 406
		refs = "0018 __security_cookie 0039 _errno 0044 _invalid_parameter_noinfo 0061 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b1 ?_wcrtomb_s_l@@YAHPEAHPEAD_K_W0PEAUlocaleinfo_struct@@@Z 00df memcpy_s 0180 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B E1 4C 89 4D C0 4D 8B F0 4C 8B FA 48 8B F1 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 27 01 00 00 48 8B 3A 83 65 B0 00 48 8D 4D C8 33 D2 33 DB E8 ?? ?? ?? ?? 48 85 F6 0F 84 A8 00 00 00 4D 85 F6 0F 84 EA 00 00 00 48 8B 45 C8 44 0F B7 0F 48 8D 4D E8 48 63 80 D4 00 00 00 41 B8 05 00 00 00 4C 3B F0 48 8D 45 C8 48 0F 43 CE 48 89 44 24 28 4C 89 64 24 20 48 89 4D B8 48 8B D1 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 63 65 B0 45 85 E4 0F 8E 9B 00 00 00 48 3B 75 B8 74 1B 4D 8B CC 4D 3B F4 0F 82 8D 00 00 00 4C 8D 45 E8 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 49 03 F4 49 8B C4 80 7E FF 00 74 60 4C 8B 65 C0 48 03 D8 48 83 C7 02 4C 2B F0 0F 85 74 FF FF FF EB 5C 48 63 C8 80 7C 0D E7 00 74 39 48 03 D9 48 83 C7 02 44 0F B7 0F 48 8D 45 C8 48 8D 55 E8 48 89 44 24 28 48 8D 4D B0 41 B8 05 00 00 00 4C 89 64 24 20 E8 ?? ?? ?? ?? 8B 45 B0 85 C0 7F C3 48 83 CB FF EB 1C 48 98 48 FF CB EB 09 49 83 27 00 49 8D 44 24 FF 48 03 D8 EB 07 48 83 CB FF 49 89 3F 80 7D E0 00 74 0B 48 8B 4D D8 83 A1 C8 00 00 00 FD 48 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_401_5_0 {
	meta:
		name = "wcrtomb"
		size = 58
		refs = "002c wcrtomb_s"
	strings:
		$1 = { 48 83 EC 38 48 83 4C 24 40 FF 4D 8B C8 48 8B C1 48 F7 D8 4C 89 4C 24 20 44 0F B7 CA 4D 1B C0 48 8B D1 48 8D 4C 24 40 41 83 E0 05 E8 ?? ?? ?? ?? 48 8B 44 24 40 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_401_6_0 {
	meta:
		name = "wcrtomb_s"
		size = 136
		refs = "0009 __security_cookie 0030 _errno 003c _invalid_parameter_noinfo 0060 ?_wcrtomb_s_l@@YAHPEAHPEAD_K_W0PEAUlocaleinfo_struct@@@Z 007e __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 83 4C 24 30 FF 48 8B 84 24 80 00 00 00 48 8B D9 48 85 D2 75 25 4D 85 C0 74 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 31 41 B8 05 00 00 00 48 8D 54 24 34 48 83 64 24 28 00 48 8D 4C 24 30 48 89 44 24 20 E8 ?? ?? ?? ?? 8B C8 48 85 DB 74 08 48 63 44 24 30 48 89 03 8B C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_401_8_0 {
	meta:
		name = "wcsrtombs_s"
		size = 192
		refs = "0036 _errno 0042 _invalid_parameter_noinfo 006a _wcsrtombs_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B C1 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 04 48 83 09 FF 48 85 D2 75 07 4D 85 C0 74 1F EB 05 4D 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 66 C6 02 00 48 85 C0 74 E3 4C 8B 44 24 50 4C 8B 4C 24 58 48 8B D0 4C 3B C6 48 8B CB 4C 0F 47 C6 E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 48 85 DB 74 03 C6 03 00 E8 ?? ?? ?? ?? 8B 00 EB 2B 48 FF C0 48 85 DB 74 19 48 3B C6 76 0F C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 9E C6 44 18 FF 00 48 85 FF 74 03 48 89 07 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_401_9_0 {
	meta:
		name = "wctob"
		size = 109
		refs = "000a __security_cookie 0042 ?_wcrtomb_s_l@@YAHPEAHPEAD_K_W0PEAUlocaleinfo_struct@@@Z 0064 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 B8 FF FF 00 00 66 3B C8 74 38 49 83 63 D0 00 83 4C 24 30 FF 49 83 63 C8 00 44 0F B7 C9 49 8D 53 DC 49 8D 4B D8 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0E 83 7C 24 30 01 75 07 0F BE 44 24 34 EB 03 83 C8 FF 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_402_0_0 {
	meta:
		name = "llrint"
		size = 124
		refs = "0015 _dtest 002c nearbyint 0043 _fperrraise 004b __real@c3e0000000000000 0055 __real@43e0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 52 FF C8 83 F8 01 76 41 F2 0F 10 44 24 40 E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 72 15 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 07 F2 48 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_979_0_0 {
	meta:
		name = "llrintl"
		size = 124
		refs = "0015 _ldtest 002c nearbyintl 0043 _fperrraise 004b __real@c3e0000000000000 0055 __real@43e0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 52 FF C8 83 F8 01 76 41 F2 0F 10 44 24 40 E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 72 15 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 07 F2 48 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_404_0_0 {
	meta:
		name = "_cputs"
		size = 120
		refs = "001c __doserrno 0023 _errno 002e _invalid_parameter_noinfo 003d _lock 0052 _putch_nolock 0067 _unlock"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B F9 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 1C E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 36 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 38 1F 74 1B 0F BE 0F 48 FF C7 48 89 7C 24 30 E8 ?? ?? ?? ?? 83 F8 FF 75 04 0B D8 EB 02 EB E1 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_404_1_0 {
	meta:
		name = "_cputs$fin$0"
		size = 25
		refs = "0014 _unlock"
		altNames = "_cgets_s$fin$0 _getch$fin$0 _getche$fin$0 _getwch$fin$0 _getwche$fin$0 _kbhit$fin$0 _putch$fin$0 _putwch$fin$0 _ungetch$fin$0 _ungetwch$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 03 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_407_0_0 {
	meta:
		name = "_wchmod"
		size = 155
		refs = "000d __security_cookie 0024 __doserrno 002b _errno 0036 _invalid_parameter_noinfo 0048 __imp_GetFileAttributesExW 0052 __imp_GetLastError 0059 _dosmaperr 0079 __imp_SetFileAttributesW 008c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 8B FA 48 8B D9 48 85 C9 75 1C E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 44 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB DB 8B 54 24 20 40 84 FF 79 05 83 E2 FE EB 03 83 CA 01 48 8B CB 89 54 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 CF 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_409_1_0 {
	meta:
		name = "_set_output_format"
		size = 52
		refs = "0008 _outputformat 0015 _errno 0020 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 1D ?? ?? ?? ?? F7 C1 FE FF FF FF 74 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 06 89 0D ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_410_0_0 {
	meta:
		name = "_wstrtime"
		size = 290
		refs = "000d __security_cookie 0024 _errno 002f _invalid_parameter_noinfo 0044 __imp_GetLocalTime 0113 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 FF 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 D0 00 00 00 66 89 39 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 28 44 0F B7 44 24 2A 44 0F B7 4C 24 2C 66 41 BB 30 00 B8 3A 00 00 00 66 89 43 0A 66 89 43 04 41 BA 67 66 66 66 41 8B C2 66 89 7B 10 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C2 66 41 03 CB 66 89 4B 02 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 66 89 4B 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 45 03 C3 66 44 89 43 08 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 8B C3 41 8D 0C 13 66 89 4B 0C 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C9 66 45 03 CB 66 44 89 4B 0E 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_410_1_0 {
	meta:
		name = "_wstrtime_s"
		size = 319
		refs = "000d __security_cookie 003a _errno 004d __imp_GetLocalTime 0121 _invalid_parameter_noinfo 0130 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 FF 48 8B D9 48 85 C9 0F 84 ED 00 00 00 48 85 D2 0F 84 E4 00 00 00 66 89 39 48 83 FA 09 73 0D E8 ?? ?? ?? ?? 8D 5F 22 E9 D8 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 28 44 0F B7 44 24 2A 44 0F B7 4C 24 2C 66 41 BB 30 00 B8 3A 00 00 00 66 89 43 0A 66 89 43 04 41 BA 67 66 66 66 41 8B C2 66 89 7B 10 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C2 66 41 03 CB 66 89 4B 02 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 66 89 4B 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 45 03 C3 66 44 89 43 08 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 66 89 43 0C 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C8 66 45 03 CB 33 C0 66 44 89 4B 0E EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_411_0_0 {
	meta:
		name = "__remainder_piby2_forAsm"
		size = 528
		refs = "0007 L__2_by_pi_bits 017e L__piby2_part3_piby2_lead 0186 L__piby2_part1 018e L__piby2_part2"
	strings:
		$1 = { 48 83 EC 18 4C 8D 0D ?? ?? ?? ?? 66 49 0F 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 F3 43 0F 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 66 48 0F 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 66 48 0F 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 1F 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 66 66 66 66 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 48 89 04 24 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 1A 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 0F 1F 44 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 23 74 41 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 66 49 0F 6E C2 66 0F 6F C8 66 0F 73 D1 1B 66 0F 73 F1 1B 66 0F 6F D0 F2 0F 5C D1 0F 16 C0 0F 16 D1 66 0F 6F 0D ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 25 ?? ?? ?? ?? 48 33 C9 49 0F BD C9 48 83 E9 40 48 F7 D9 49 D3 E1 49 C1 E9 0C 48 83 C1 34 4C 2B D9 49 C1 E3 34 4C 0B CA 4D 0B CB 66 49 0F 6E E9 66 0F 59 C1 66 0F 59 E9 66 0F 59 DA 66 0F 59 E2 0F 12 CB 0F 12 D4 F2 0F 5C C8 F2 0F 58 CB 0F 12 D8 F2 0F 58 CA F2 0F 58 DD F2 0F 58 CC F2 0F 58 CB 66 0F 6F D0 F2 0F 58 C1 F2 0F 5C D0 F2 0F 58 CA 48 8B 04 24 48 83 C4 18 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_411_1_0 {
	meta:
		name = "__remainder_piby2_cw_forAsm"
		size = 306
		refs = "0006 L_5pio4 000f L_3pio4 001f L_9pio4 0028 L_7pio4 0047 L_twobypi 004f L_point_five 005f L_int_three 006f L_piby2_1 0077 L_signbit 0087 L_piby2_1tail 0097 L_inf_mask_64 00a8 L_int_15 00ba L_piby2_2 00d2 L_piby2_2tail 00de L_int_48 00f0 L_piby2_3 0110 L_piby2_3tail"
	strings:
		$1 = { 45 33 C0 4C 3B 0D ?? ?? ?? ?? 77 10 4C 3B 0D ?? ?? ?? ?? 41 0F 97 C0 41 FF C0 EB 18 4C 3B 0D ?? ?? ?? ?? 77 1A 4C 3B 0D ?? ?? ?? ?? 41 0F 97 C0 41 83 C0 03 66 41 0F 6E D0 F3 0F E6 E2 EB 28 66 0F 28 E8 F2 0F 59 2D ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? 66 0F E6 ED 66 0F 28 D5 66 0F 54 15 ?? ?? ?? ?? F3 0F E6 E5 66 0F 28 EC F2 0F 59 2D ?? ?? ?? ?? 66 0F 57 2D ?? ?? ?? ?? 66 0F 58 E8 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 CD 66 0F 5C CB 66 0F 54 0D ?? ?? ?? ?? 66 0F FB C1 66 0F 73 D0 34 66 0F 2F 05 ?? ?? ?? ?? 76 6A 66 0F 28 CD 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C EB F2 0F 5C CD F2 0F 5C CB 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C D9 66 0F 2F 05 ?? ?? ?? ?? 76 34 66 0F 28 C5 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 E8 F2 0F 5C EB 66 0F 28 C8 F2 0F 5C CD F2 0F 5C CB 66 0F 28 DC F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C D9 66 0F 28 C5 F2 0F 5C C3 66 0F 28 CD F2 0F 5C C8 F2 0F 5C CB 66 48 0F 7E D0 C3 }
	condition:
		$1
}

rule file_413_0_0 {
	meta:
		name = "_abstract_cw"
		size = 156
	strings:
		$1 = { 33 C0 F6 C1 80 41 BA 00 02 00 00 8D 50 10 0F 45 C2 41 85 CA 74 03 83 C8 08 0F BA E1 0A 73 03 83 C8 04 0F BA E1 0B 73 03 83 C8 02 0F BA E1 0C 73 03 83 C8 01 41 B8 00 01 00 00 41 85 C8 74 04 0F BA E8 13 8B D1 41 B9 00 60 00 00 41 23 D1 74 24 81 FA 00 20 00 00 74 19 81 FA 00 40 00 00 74 0C 41 3B D1 75 0F 0D 00 03 00 00 EB 08 41 0B C2 EB 03 41 0B C0 81 E1 40 80 00 00 83 E9 40 74 18 81 E9 C0 7F 00 00 74 0A 83 F9 40 75 0F 0F BA E8 18 C3 0D 00 00 00 03 C3 0F BA E8 19 C3 }
	condition:
		$1
}

rule file_413_1_0 {
	meta:
		name = "_abstract_sw"
		size = 57
	strings:
		$1 = { 33 C0 F6 C1 3F 74 31 F6 C1 01 8D 50 10 0F 45 C2 F6 C1 04 74 03 83 C8 08 F6 C1 08 74 03 83 C8 04 84 CA 74 03 83 C8 02 F6 C1 20 74 03 83 C8 01 F6 C1 02 74 04 0F BA E8 13 C3 }
	condition:
		$1
}

rule file_413_2_0 {
	meta:
		name = "_clearfp"
		size = 80
		refs = "0007 _get_fpsr 000e _fclrf"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 F6 C3 3F 74 31 F6 C3 01 8D 48 10 0F 45 C1 F6 C3 04 74 03 83 C8 08 F6 C3 08 74 03 83 C8 04 84 D9 74 03 83 C8 02 F6 C3 20 74 03 83 C8 01 F6 C3 02 74 04 0F BA E8 13 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_413_3_0 {
	meta:
		name = "_control87"
		size = 656
		refs = "0024 _get_fpsr 01a2 ?dazSupported@?1??_control87@@9@9 01b0 _set_fpsr"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 54 41 56 41 57 48 83 EC 20 8B DA 8B F1 81 E3 1F 03 08 03 E8 ?? ?? ?? ?? 44 8B C0 33 FF 41 BB 80 00 00 00 41 84 C3 8B C7 8D 4F 10 0F 45 C1 41 BC 00 02 00 00 45 85 C4 74 03 83 C8 08 41 0F BA E0 0A 73 03 83 C8 04 41 B9 00 08 00 00 45 85 C1 74 03 83 C8 02 41 BA 00 10 00 00 45 85 C2 74 03 83 C8 01 41 BE 00 01 00 00 45 85 C6 74 04 0F BA E8 13 41 8B C8 41 BF 00 60 00 00 41 23 CF 74 24 81 F9 00 20 00 00 74 19 81 F9 00 40 00 00 74 0C 41 3B CF 75 0F 0D 00 03 00 00 EB 08 41 0B C4 EB 03 41 0B C6 BA 40 80 00 00 44 23 C2 41 83 E8 40 74 1C 41 81 E8 C0 7F 00 00 74 0C 41 83 F8 40 75 11 0F BA E8 18 EB 0B 0D 00 00 00 03 EB 04 0F BA E8 19 8B CB F7 D1 23 C8 23 F3 0B CE 3B C8 0F 84 83 01 00 00 BE 10 00 00 00 40 84 CE 8B DF 41 0F 45 DB 89 5C 24 40 F6 C1 08 74 07 41 0B DC 89 5C 24 40 F6 C1 04 74 08 0F BA EB 0A 89 5C 24 40 F6 C1 02 74 07 41 0B D9 89 5C 24 40 F6 C1 01 74 07 41 0B DA 89 5C 24 40 0F BA E1 13 73 07 41 0B DE 89 5C 24 40 8B C1 25 00 03 00 00 74 24 41 3B C6 74 17 41 3B C4 74 0C 3D 00 03 00 00 75 13 41 0B DF EB 0A 0F BA EB 0E EB 04 0F BA EB 0D 89 5C 24 40 81 E1 00 00 00 03 81 F9 00 00 00 01 74 1B 81 F9 00 00 00 02 74 0E 81 F9 00 00 00 03 75 11 0F BA EB 0F EB 07 83 CB 40 EB 02 0B DA 89 5C 24 40 40 38 3D ?? ?? ?? ?? 74 3C F6 C3 40 74 37 8B CB E8 ?? ?? ?? ?? EB 2C C6 05 ?? ?? ?? ?? 00 8B 5C 24 40 83 E3 BF 8B CB E8 ?? ?? ?? ?? 33 FF 8D 77 10 41 BC 00 02 00 00 41 BE 00 01 00 00 41 BF 00 60 00 00 EB 0A 83 E3 BF 8B CB E8 ?? ?? ?? ?? F6 C3 80 0F 45 FE 41 85 DC 74 03 83 CF 08 0F BA E3 0A 73 03 83 CF 04 0F BA E3 0B 73 03 83 CF 02 0F BA E3 0C 73 03 83 CF 01 41 85 DE 74 04 0F BA EF 13 8B C3 41 23 C7 74 23 3D 00 20 00 00 74 19 3D 00 40 00 00 74 0D 41 3B C7 75 10 81 CF 00 03 00 00 EB 08 41 0B FC EB 03 41 0B FE 81 E3 40 80 00 00 83 EB 40 74 1B 81 EB C0 7F 00 00 74 0B 83 FB 40 75 12 0F BA EF 18 EB 0C 81 CF 00 00 00 03 EB 04 0F BA EF 19 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_413_4_0 {
	meta:
		name = "_control87$filt$0"
		size = 44
		altNames = "_ctrlfp$filt$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 81 38 05 00 00 C0 74 0C 81 38 1D 00 00 C0 74 04 33 C0 EB 05 B8 01 00 00 00 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_413_7_0 {
	meta:
		name = "_hw_cw"
		size = 156
	strings:
		$1 = { 33 C0 F6 C1 10 BA 80 00 00 00 0F 45 C2 41 BA 00 02 00 00 F6 C1 08 74 03 41 0B C2 F6 C1 04 74 04 0F BA E8 0A F6 C1 02 74 04 0F BA E8 0B F6 C1 01 74 04 0F BA E8 0C 41 B8 00 01 00 00 0F BA E1 13 73 03 41 0B C0 8B D1 41 B9 00 03 00 00 41 23 D1 74 20 41 3B D0 74 17 41 3B D2 74 0C 41 3B D1 75 11 0D 00 60 00 00 EB 0A 0F BA E8 0E EB 04 0F BA E8 0D BA 00 00 00 03 23 CA 81 F9 00 00 00 01 74 15 81 F9 00 00 00 02 74 09 3B CA 75 0E 0F BA E8 0F C3 83 C8 40 C3 0D 40 80 00 00 C3 }
	condition:
		$1
}

rule file_413_8_0 {
	meta:
		name = "_set_controlfp"
		size = 52
		refs = "002b _control87"
	strings:
		$1 = { 48 83 EC 28 81 F9 1F 00 09 00 75 1A 83 FA FF 75 15 0F AE 5C 24 30 8B 44 24 30 25 C0 FE 00 00 3D 80 1E 00 00 74 09 0F BA F2 13 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_413_9_0 {
	meta:
		name = "_statusfp"
		size = 66
	strings:
		$1 = { 0F AE 5C 24 08 33 C0 8B 4C 24 08 F6 C1 3F 74 31 F6 C1 01 8D 50 10 0F 45 C2 F6 C1 04 74 03 83 C8 08 F6 C1 08 74 03 83 C8 04 84 CA 74 03 83 C8 02 F6 C1 20 74 03 83 C8 01 F6 C1 02 74 04 0F BA E8 13 C3 }
	condition:
		$1
}

rule file_414_4_0 {
	meta:
		name = "_ismbcalnum_l"
		size = 202
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0062 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 FF 81 FB FF 00 00 00 76 54 8B C3 89 7D 20 88 5D 11 C1 E8 08 88 45 10 48 8B 45 E8 39 78 08 74 65 8B 40 04 8D 5F 01 44 8D 4F 02 89 5C 24 30 89 44 24 28 48 8D 45 20 4C 8D 45 10 8B D3 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 39 66 39 7D 22 75 33 B8 07 01 00 00 66 85 45 20 EB 26 48 8B 45 E0 0F B6 D3 BB 01 00 00 00 48 8B 88 08 01 00 00 B8 07 01 00 00 66 85 04 51 75 0C 48 8B 45 E8 84 5C 02 19 75 02 8B DF 40 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_415_1_0 {
	meta:
		name = "_access_s"
		size = 87
		refs = "001e __copy_path_to_wide_string 0027 _errno 003a _waccess_s 0046 free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 DB 8B FA 48 89 5C 24 30 48 85 C9 74 1C 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 09 E8 ?? ?? ?? ?? 8B 00 EB 1D 48 8B 5C 24 30 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_416_0_0 {
	meta:
		name = "clog10f"
		size = 30
		refs = "0005 clogf 000d __real@3ede5bd9 0015 _FCmulcr"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_418_1_0 {
	meta:
		name = "cacosl"
		size = 820
		refs = "0046 creall 005c cimagl 006a _ldtest 00b4 _LInf_C 00c6 __real@3ff921fb54442d18 00f2 __real@4002d97c7f3321d2 00fc __real@3fe921fb54442d18 0110 __real@400921fb54442d18 0120 __xmm@80000000000000008000000000000000 016b __real@3ff0000000000000 017f _LCbuild 0194 csqrtl 0225 conjl 0241 atan2 024c __real@5fcffb3abd82527b 0259 __real@4000000000000000 02b7 asinhl 02c0 __real@0000000000000000 02d0 log"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 0F 29 70 E8 0F 29 78 D8 48 8B F9 48 8D 4D C7 48 8B DA 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 F3 0F 7F 45 C7 44 0F 29 58 98 E8 ?? ?? ?? ?? 48 8D 4D C7 F2 0F 11 45 6F 0F 10 03 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1F F2 0F 10 7D 6F 66 3B C3 75 0A F2 0F 10 75 67 E9 54 02 00 00 66 83 F8 01 75 37 E9 AD 00 00 00 66 83 F8 02 75 34 66 83 FB 01 75 12 F2 0F 10 7D 67 F2 0F 10 35 ?? ?? ?? ?? E9 2B 02 00 00 66 85 DB 75 0A F2 0F 10 3D ?? ?? ?? ?? EB BE F2 0F 10 7D 67 0F 28 F7 E9 0F 02 00 00 66 83 FB 01 75 5F 66 3B C3 75 1E 0F 57 C0 66 0F 2F 45 6F 76 0A F2 0F 10 3D ?? ?? ?? ?? EB 1C F2 0F 10 3D ?? ?? ?? ?? EB 12 0F 57 FF 66 0F 2F 7D 6F 76 08 F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 0F 57 F0 66 85 45 6D 0F 84 B2 01 00 00 0F 57 F0 E9 AA 01 00 00 66 83 F8 01 75 19 F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 75 67 0F 57 35 ?? ?? ?? ?? E9 8B 01 00 00 F2 0F 10 55 67 F2 0F 10 4D 6F F2 0F 10 35 ?? ?? ?? ?? 48 8D 4D D7 0F 57 15 ?? ?? ?? ?? F2 0F 58 CE E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 55 67 F2 0F 5C 75 6F 48 8D 4D E7 0F 57 15 ?? ?? ?? ?? 0F 10 38 0F 28 CE E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 7D C7 0F 10 30 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 7D C7 44 0F 28 D8 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 75 C7 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 75 C7 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 66 0F 7F 7D C7 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D C7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 2F D8 F2 0F 59 3D ?? ?? ?? ?? 76 0B 45 0F 28 CB F2 41 0F 5E F3 EB 3F 66 44 0F 2F D0 45 0F 28 CA 76 07 F2 45 0F 5E C2 EB 14 44 0F 57 0D ?? ?? ?? ?? 66 44 0F 2F C8 76 15 F2 45 0F 5E C1 F2 45 0F 59 C3 F2 44 0F 58 C6 41 0F 28 F0 EB 13 45 0F 57 C9 F2 45 0F 59 C3 F2 41 0F 59 F2 F2 41 0F 58 F0 0F 28 C6 E8 ?? ?? ?? ?? 66 44 0F 2E 0D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1D 41 0F 28 C1 E8 ?? ?? ?? ?? 66 0F 2F 3D ?? ?? ?? ?? 72 06 F2 0F 58 F0 EB 04 F2 0F 5C F0 48 8D 4D E7 0F 28 D6 0F 28 CF E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 20 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 0F 10 00 48 8B C7 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_583_0_0 {
	meta:
		name = "cacos"
		size = 820
		refs = "0046 creal 005c cimag 006a _dtest 00b4 _Inf_C 00c6 __real@3ff921fb54442d18 00f2 __real@4002d97c7f3321d2 00fc __real@3fe921fb54442d18 0110 __real@400921fb54442d18 0120 __xmm@80000000000000008000000000000000 016b __real@3ff0000000000000 017f _Cbuild 0194 csqrt 0225 conj 0241 atan2 024c __real@5fcffb3abd82527b 0259 __real@4000000000000000 02b7 asinh 02c0 __real@0000000000000000 02d0 log"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 0F 29 70 E8 0F 29 78 D8 48 8B F9 48 8D 4D C7 48 8B DA 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 F3 0F 7F 45 C7 44 0F 29 58 98 E8 ?? ?? ?? ?? 48 8D 4D C7 F2 0F 11 45 6F 0F 10 03 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1F F2 0F 10 7D 6F 66 3B C3 75 0A F2 0F 10 75 67 E9 54 02 00 00 66 83 F8 01 75 37 E9 AD 00 00 00 66 83 F8 02 75 34 66 83 FB 01 75 12 F2 0F 10 7D 67 F2 0F 10 35 ?? ?? ?? ?? E9 2B 02 00 00 66 85 DB 75 0A F2 0F 10 3D ?? ?? ?? ?? EB BE F2 0F 10 7D 67 0F 28 F7 E9 0F 02 00 00 66 83 FB 01 75 5F 66 3B C3 75 1E 0F 57 C0 66 0F 2F 45 6F 76 0A F2 0F 10 3D ?? ?? ?? ?? EB 1C F2 0F 10 3D ?? ?? ?? ?? EB 12 0F 57 FF 66 0F 2F 7D 6F 76 08 F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 0F 57 F0 66 85 45 6D 0F 84 B2 01 00 00 0F 57 F0 E9 AA 01 00 00 66 83 F8 01 75 19 F2 0F 10 3D ?? ?? ?? ?? F2 0F 10 75 67 0F 57 35 ?? ?? ?? ?? E9 8B 01 00 00 F2 0F 10 55 67 F2 0F 10 4D 6F F2 0F 10 35 ?? ?? ?? ?? 48 8D 4D D7 0F 57 15 ?? ?? ?? ?? F2 0F 58 CE E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 55 67 F2 0F 5C 75 6F 48 8D 4D E7 0F 57 15 ?? ?? ?? ?? 0F 10 38 0F 28 CE E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 7D C7 0F 10 30 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 7D C7 44 0F 28 D8 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 75 C7 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 75 C7 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 66 0F 7F 7D C7 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4D C7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 2F D8 F2 0F 59 3D ?? ?? ?? ?? 76 0B 45 0F 28 CB F2 41 0F 5E F3 EB 3F 66 44 0F 2F D0 45 0F 28 CA 76 07 F2 45 0F 5E C2 EB 14 44 0F 57 0D ?? ?? ?? ?? 66 44 0F 2F C8 76 15 F2 45 0F 5E C1 F2 45 0F 59 C3 F2 44 0F 58 C6 41 0F 28 F0 EB 13 45 0F 57 C9 F2 45 0F 59 C3 F2 41 0F 59 F2 F2 41 0F 58 F0 0F 28 C6 E8 ?? ?? ?? ?? 66 44 0F 2E 0D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1D 41 0F 28 C1 E8 ?? ?? ?? ?? 66 0F 2F 3D ?? ?? ?? ?? 72 06 F2 0F 58 F0 EB 04 F2 0F 5C F0 48 8D 4D E7 0F 28 D6 0F 28 CF E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 20 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 0F 10 00 48 8B C7 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_419_1_0 {
	meta:
		name = "casinhl"
		size = 822
		refs = "0046 creall 005c cimagl 006a _ldtest 00ec __real@bfe921fb54442d18 00f9 __real@3fe921fb54442d18 0111 _LZero_C 0118 __xmm@80000000000000008000000000000000 0141 __real@bff921fb54442d18 014e __real@3ff921fb54442d18 015b __real@3ff0000000000000 016e _LCbuild 0183 csqrtl 01cb __real@0000000000000000 0226 __real@5fcffb3abd82527b 027b asinhl 029c log 02c8 _LCmulcc 02e6 atan2"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 0F 29 70 E8 0F 29 78 D8 48 8B F9 48 8D 4D C7 48 8B DA 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 58 A8 F3 0F 7F 45 C7 44 0F 29 60 98 E8 ?? ?? ?? ?? 48 8D 4D C7 F2 0F 11 45 6F 0F 10 03 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 35 B9 FD FF 00 00 66 85 C1 74 1C 66 83 F8 01 75 0F F2 0F 10 75 67 F2 0F 10 45 6F E9 4B 02 00 00 F2 0F 10 75 6F EB 20 F2 0F 10 75 6F F2 0F 10 45 67 E9 35 02 00 00 66 83 F8 02 75 13 66 83 FB 01 74 E5 F2 0F 10 75 67 0F 28 C6 E9 1C 02 00 00 66 83 FB 01 75 55 F2 0F 10 75 6F 66 3B C3 75 24 0F 57 C0 66 0F 2F 45 67 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 F5 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 E8 01 00 00 B8 00 80 00 00 66 85 45 6D 74 14 F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 C9 01 00 00 0F 57 C0 E9 C1 01 00 00 66 83 F8 01 75 28 F2 0F 10 75 67 0F 57 C0 66 0F 2F C6 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 A0 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 93 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 55 6F 48 8D 4D D7 F2 0F 5C 4D 67 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 4D 67 F2 0F 10 55 6F F2 0F 58 0D ?? ?? ?? ?? 48 8D 4D E7 0F 57 15 ?? ?? ?? ?? 44 0F 10 18 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 75 6F 66 0F 2E 35 ?? ?? ?? ?? 44 0F 10 20 7A 06 0F 84 D4 00 00 00 48 8D 4D C7 66 44 0F 7F 5D C7 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 5D C7 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 65 C7 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 65 C7 0F 28 F0 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 66 44 0F 2F C9 76 0B 41 0F 28 F9 F2 41 0F 5E F1 EB 32 66 44 0F 2F C1 41 0F 28 F8 76 0C F2 41 0F 5E C0 F2 41 0F 59 C1 EB 20 0F 57 3D ?? ?? ?? ?? 66 0F 2F F9 76 06 F2 0F 5E C7 EB E6 0F 57 FF F2 41 0F 59 C1 F2 41 0F 59 F0 F2 0F 5C F0 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 21 66 0F 2F 05 ?? ?? ?? ?? 0F 28 C7 72 0B E8 ?? ?? ?? ?? F2 0F 58 F0 EB 09 E8 ?? ?? ?? ?? F2 0F 5C F0 4C 8D 45 C7 48 8D 55 D7 48 8D 4D E7 66 44 0F 7F 65 C7 66 44 0F 7F 5D D7 E8 ?? ?? ?? ?? 48 8D 4D D7 0F 10 00 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 67 E8 ?? ?? ?? ?? 48 8D 4D E7 0F 28 D0 0F 28 CE E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 20 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 0F 10 00 48 8B C7 45 0F 28 4B C0 45 0F 28 5B B0 45 0F 28 63 A0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_987_0_0 {
	meta:
		name = "casinh"
		size = 822
		refs = "0046 creal 005c cimag 006a _dtest 00ec __real@bfe921fb54442d18 00f9 __real@3fe921fb54442d18 0111 _Zero_C 0118 __xmm@80000000000000008000000000000000 0141 __real@bff921fb54442d18 014e __real@3ff921fb54442d18 015b __real@3ff0000000000000 016e _Cbuild 0183 csqrt 01cb __real@0000000000000000 0226 __real@5fcffb3abd82527b 027b asinh 029c log 02c8 _Cmulcc 02e6 atan2"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 10 02 0F 29 70 E8 0F 29 78 D8 48 8B F9 48 8D 4D C7 48 8B DA 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 58 A8 F3 0F 7F 45 C7 44 0F 29 60 98 E8 ?? ?? ?? ?? 48 8D 4D C7 F2 0F 11 45 6F 0F 10 03 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 48 8D 4D 6F F2 0F 11 45 67 E8 ?? ?? ?? ?? 48 8D 4D 67 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 35 B9 FD FF 00 00 66 85 C1 74 1C 66 83 F8 01 75 0F F2 0F 10 75 67 F2 0F 10 45 6F E9 4B 02 00 00 F2 0F 10 75 6F EB 20 F2 0F 10 75 6F F2 0F 10 45 67 E9 35 02 00 00 66 83 F8 02 75 13 66 83 FB 01 74 E5 F2 0F 10 75 67 0F 28 C6 E9 1C 02 00 00 66 83 FB 01 75 55 F2 0F 10 75 6F 66 3B C3 75 24 0F 57 C0 66 0F 2F 45 67 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 F5 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 E8 01 00 00 B8 00 80 00 00 66 85 45 6D 74 14 F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 C9 01 00 00 0F 57 C0 E9 C1 01 00 00 66 83 F8 01 75 28 F2 0F 10 75 67 0F 57 C0 66 0F 2F C6 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 A0 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 93 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 55 6F 48 8D 4D D7 F2 0F 5C 4D 67 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D E7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 4D 67 F2 0F 10 55 6F F2 0F 58 0D ?? ?? ?? ?? 48 8D 4D E7 0F 57 15 ?? ?? ?? ?? 44 0F 10 18 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D D7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? F2 0F 10 75 6F 66 0F 2E 35 ?? ?? ?? ?? 44 0F 10 20 7A 06 0F 84 D4 00 00 00 48 8D 4D C7 66 44 0F 7F 5D C7 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 5D C7 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 65 C7 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8D 4D C7 66 44 0F 7F 65 C7 0F 28 F0 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 66 44 0F 2F C9 76 0B 41 0F 28 F9 F2 41 0F 5E F1 EB 32 66 44 0F 2F C1 41 0F 28 F8 76 0C F2 41 0F 5E C0 F2 41 0F 59 C1 EB 20 0F 57 3D ?? ?? ?? ?? 66 0F 2F F9 76 06 F2 0F 5E C7 EB E6 0F 57 FF F2 41 0F 59 C1 F2 41 0F 59 F0 F2 0F 5C F0 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 21 66 0F 2F 05 ?? ?? ?? ?? 0F 28 C7 72 0B E8 ?? ?? ?? ?? F2 0F 58 F0 EB 09 E8 ?? ?? ?? ?? F2 0F 5C F0 4C 8D 45 C7 48 8D 55 D7 48 8D 4D E7 66 44 0F 7F 65 C7 66 44 0F 7F 5D D7 E8 ?? ?? ?? ?? 48 8D 4D D7 0F 10 00 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 67 E8 ?? ?? ?? ?? 48 8D 4D E7 0F 28 D0 0F 28 CE E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 20 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 0F 10 00 48 8B C7 45 0F 28 4B C0 45 0F 28 5B B0 45 0F 28 63 A0 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_420_0_0 {
	meta:
		name = "_copyfinddata32i64"
		size = 143
		refs = "0020 __copy_to_char 0042 strcpy_s 0050 free 008a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 83 64 24 48 00 48 8B D9 48 8B FA 48 8D 4A 18 48 8D 54 24 48 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B 5C 24 40 48 83 C4 30 5F C3 4C 8B 44 24 48 48 8D 4B 18 BA 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 2F 48 8B 4C 24 48 E8 ?? ?? ?? ?? 8B 07 89 03 8B 47 04 89 43 04 8B 47 08 89 43 08 8B 47 0C 89 43 0C 48 8B 47 10 48 89 43 10 B8 01 00 00 00 EB AF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_420_1_0 {
	meta:
		name = "_findfirst32i64"
		size = 147
		refs = "0010 __security_cookie 002e __copy_path_to_wide_string 0047 _wfindfirst32i64 0054 free 0067 _copyfinddata32i64 007e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 83 64 24 20 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 06 48 83 C8 FF EB 36 48 8B 4C 24 20 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 20 48 8B D8 E8 ?? ?? ?? ?? 48 83 FB FF 74 11 48 8D 54 24 30 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 C7 48 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 02 00 00 48 81 C4 60 02 00 00 5F C3 }
	condition:
		$1
}

rule file_1075_3_0 {
	meta:
		name = "_findfirst32"
		size = 147
		refs = "0010 __security_cookie 002e __copy_path_to_wide_string 0047 _wfindfirst32 0054 free 0067 _copyfinddata32 007e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 83 64 24 20 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 06 48 83 C8 FF EB 36 48 8B 4C 24 20 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 20 48 8B D8 E8 ?? ?? ?? ?? 48 83 FB FF 74 11 48 8D 54 24 30 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 C7 48 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 02 00 00 48 81 C4 60 02 00 00 5F C3 }
	condition:
		$1
}

rule file_420_2_0 {
	meta:
		name = "_findnext32i64"
		size = 108
		refs = "0010 __security_cookie 0028 _wfindnext32i64 003c _copyfinddata32i64 0057 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 16 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 02 8B C3 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 70 02 00 00 48 81 C4 50 02 00 00 5F C3 }
	condition:
		$1
}

rule file_1075_4_0 {
	meta:
		name = "_findnext32"
		size = 108
		refs = "0010 __security_cookie 0028 _wfindnext32 003c _copyfinddata32 0057 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 48 8B FA 48 8D 54 24 20 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 16 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 02 8B C3 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 70 02 00 00 48 81 C4 50 02 00 00 5F C3 }
	condition:
		$1
}

rule file_424_0_0 {
	meta:
		name = "_ftell_nolock"
		size = 785
		refs = "001e __chkstk 0028 __security_cookie 0042 _errno 004d _invalid_parameter_noinfo 005a _fileno 0072 _lseek 0092 __ImageBase 009a __pioinfo 00fe _lseeki64 013d __imp_ReadFile 01a5 _lookuptrailbytes 02ec __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 B8 50 10 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 10 00 00 33 DB 48 8B F9 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 87 02 00 00 E8 ?? ?? ?? ?? 48 63 E8 39 5F 08 7D 03 89 5F 08 33 D2 8B CD 44 8D 42 01 E8 ?? ?? ?? ?? 45 33 C0 8B F0 85 C0 78 D2 8B 57 18 48 8B C5 4C 8B ED 49 C1 FD 05 83 E0 1F 48 8D 0D ?? ?? ?? ?? 4A 8B 8C E9 ?? ?? ?? ?? 4C 6B F8 58 46 8A 64 39 38 45 02 E4 41 D0 FC F7 C2 08 01 00 00 75 0A 2B 77 08 8B C6 E9 21 02 00 00 8B 1F 44 8B F3 44 2B 77 10 F6 C2 03 0F 84 1E 01 00 00 41 80 FC 01 0F 85 EA 00 00 00 46 39 44 39 48 0F 84 DF 00 00 00 48 8B 1F 48 2B 5F 10 48 D1 EB 44 39 47 08 74 C2 4A 8B 54 39 40 8B CD E8 ?? ?? ?? ?? 4C 8D 25 ?? ?? ?? ?? 4B 8B 8C EC ?? ?? ?? ?? 48 8B F8 4A 3B 44 39 40 0F 85 32 FF FF FF 4A 8B 0C 39 4C 8D 4C 24 30 48 8D 54 24 40 45 33 F6 41 B8 00 10 00 00 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 08 FF FF FF 45 33 C0 8B D6 8B CD E8 ?? ?? ?? ?? 85 C0 0F 88 F4 FE FF FF 8B 44 24 30 48 3B D8 0F 87 E7 FE FF FF 48 8D 4C 24 40 48 85 DB 74 40 48 8D 54 24 40 48 03 D0 48 FF CB 48 3B CA 73 30 80 39 0D 75 14 48 8D 42 FF 48 3B C8 73 1A 80 79 01 0A 75 14 48 FF C1 EB 0F 0F B6 01 4A 0F BE 84 20 ?? ?? ?? ?? 48 03 C8 48 FF C1 48 85 DB 75 C8 48 8D 44 24 40 48 2B C8 48 8D 04 0F E9 1B 01 00 00 42 F6 44 39 08 80 74 16 48 8B 47 10 EB 0B 80 38 0A 75 03 41 FF C6 48 FF C0 48 3B 07 72 F0 85 F6 75 1C 41 8B C6 E9 F1 00 00 00 84 D2 78 F0 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 4E FE FF FF F6 C2 01 0F 84 C7 00 00 00 44 39 47 08 75 08 45 8B F0 E9 B9 00 00 00 2B 5F 10 03 5F 08 42 F6 44 39 08 80 0F 84 A5 00 00 00 33 D2 8B CD 44 8D 42 02 E8 ?? ?? ?? ?? 3B C6 75 42 48 8B 4F 10 8B C3 41 B8 00 00 00 00 48 03 C1 48 8B D0 48 2B D1 48 3B C8 49 0F 47 D0 48 85 D2 74 18 48 8B C1 48 2B C1 80 39 0A 75 02 FF C3 48 FF C0 48 FF C1 48 3B C2 72 EE F7 47 18 00 20 00 00 EB 46 45 33 C0 8B D6 8B CD E8 ?? ?? ?? ?? 85 C0 0F 88 BE FD FF FF B8 00 02 00 00 3B D8 77 11 F6 47 18 08 74 0B F7 47 18 00 04 00 00 8B D8 74 03 8B 5F 24 48 8D 05 ?? ?? ?? ?? 4A 8B 84 E8 ?? ?? ?? ?? 42 F6 44 38 08 04 74 02 FF C3 41 80 FC 01 75 02 D1 EB 2B F3 41 80 FC 01 75 03 41 D1 EE 41 8D 04 36 48 8B 8C 24 40 10 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 10 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_424_1_0 {
	meta:
		name = "ftell"
		size = 88
		refs = "001f _errno 002a _invalid_parameter_noinfo 0034 _lock_file 003d _ftell_nolock 0047 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1A E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_425_6_0 {
	meta:
		name = "_vcprintf_s_l"
		size = 2510
		refs = "0022 __security_cookie 005d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0062 _errno 00a2 __lookuptable_s 01ec __nullstring 01f4 strlen 023b __wnullstring 0279 wctomb_s 03a7 _get_printf_count_output 0515 _malloc_crt 0537 _cfltcvt_tab 054c __imp_DecodePointer 0640 write_multi_char 0655 write_string 072f free 077f _invalid_parameter_noinfo 082c _isleadbyte_l 083d _putch_nolock 09af __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FE FF FF 48 81 EC D0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C8 01 00 00 33 C0 48 8B F1 48 8D 4D 98 4D 8B E8 89 44 24 64 44 8B F0 89 44 24 58 44 8B E0 89 44 24 4C 89 44 24 68 89 44 24 60 8B D8 89 44 24 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CA FF 45 33 D2 48 89 45 80 48 85 F6 0F 84 FA 06 00 00 44 8A 3E 41 8B FA 44 89 54 24 50 44 89 54 24 48 44 89 54 24 44 45 8B C2 4C 89 54 24 70 45 84 FF 0F 84 F2 08 00 00 4C 8D 0D ?? ?? ?? ?? 41 BB 00 02 00 00 48 FF C6 48 89 75 88 85 FF 0F 88 A5 06 00 00 41 8D 47 E0 3C 58 77 0F 49 0F BE C7 42 0F B6 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C0 48 03 C8 46 0F B6 04 09 41 C1 E8 04 44 89 44 24 5C 41 83 F8 08 0F 84 79 06 00 00 41 8B C8 45 85 C0 0F 84 18 07 00 00 FF C9 0F 84 0E 08 00 00 FF C9 0F 84 B6 07 00 00 FF C9 0F 84 72 07 00 00 FF C9 0F 84 62 07 00 00 FF C9 0F 84 25 07 00 00 FF C9 0F 84 58 06 00 00 FF C9 0F 85 16 06 00 00 41 0F BE CF 83 F9 64 0F 8F 86 01 00 00 0F 84 87 02 00 00 83 F9 41 0F 84 4C 01 00 00 83 F9 43 0F 84 E9 00 00 00 8D 41 BB A9 FD FF FF FF 0F 84 35 01 00 00 83 F9 53 0F 84 83 00 00 00 83 F9 58 0F 84 E6 01 00 00 83 F9 5A 74 17 83 F9 61 0F 84 21 01 00 00 83 F9 63 0F 84 C0 00 00 00 E9 3C 04 00 00 49 8B 45 00 49 83 C5 08 48 85 C0 74 3D 48 8B 58 08 48 85 DB 74 34 0F BF 00 41 0F BA E6 0B 73 19 99 41 BF 01 00 00 00 2B C2 44 89 7C 24 40 D1 F8 89 44 24 44 E9 08 04 00 00 45 8B FA 44 89 54 24 40 89 44 24 44 E9 F7 03 00 00 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E9 D7 03 00 00 41 F7 C6 30 08 00 00 75 05 41 0F BA EE 0B 49 8B 5D 00 44 3B E2 41 8B C4 B9 FF FF FF 7F 0F 44 C1 49 83 C5 08 41 F7 C6 10 08 00 00 0F 84 07 01 00 00 48 85 DB 41 BF 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 44 89 7C 24 40 48 8B CB E9 D6 00 00 00 41 F7 C6 30 08 00 00 75 05 41 0F BA EE 0B 49 83 C5 08 41 F7 C6 10 08 00 00 74 27 45 0F B7 4D F8 48 8D 55 C0 48 8D 4C 24 44 4D 8B C3 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 19 C7 44 24 60 01 00 00 00 EB 0F 41 8A 45 F8 C7 44 24 44 01 00 00 00 88 45 C0 48 8D 5D C0 E9 35 03 00 00 C7 44 24 68 01 00 00 00 41 80 C7 20 41 83 CE 40 48 8D 5D C0 41 8B F3 45 85 E4 0F 89 23 02 00 00 41 BC 06 00 00 00 E9 5F 02 00 00 83 F9 67 7E DC 83 F9 69 0F 84 F9 00 00 00 83 F9 6E 0F 84 B6 00 00 00 83 F9 6F 0F 84 9D 00 00 00 83 F9 70 74 68 83 F9 73 0F 84 0C FF FF FF 83 F9 75 0F 84 D4 00 00 00 83 F9 78 0F 85 CA 02 00 00 8D 41 AF EB 58 FF C8 66 44 39 11 74 08 48 83 C1 02 85 C0 75 F0 48 2B CB 48 D1 F9 89 4C 24 44 E9 AB 02 00 00 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B CB EB 0A FF C8 44 38 11 74 07 48 FF C1 85 C0 75 F2 2B CB 89 4C 24 44 E9 7D 02 00 00 41 BC 10 00 00 00 41 0F BA EE 0F B8 07 00 00 00 89 44 24 64 41 B9 10 00 00 00 45 84 F6 79 65 04 51 C6 44 24 54 30 41 8D 51 F2 88 44 24 55 EB 58 41 B9 08 00 00 00 45 84 F6 79 49 45 0B F3 EB 44 49 8B 7D 00 49 83 C5 08 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 BD 03 00 00 8B 44 24 50 41 F6 C6 20 74 05 66 89 07 EB 02 89 07 8B 7C 24 50 C7 44 24 60 01 00 00 00 E9 49 03 00 00 41 83 CE 40 41 B9 0A 00 00 00 8B 54 24 4C B8 00 80 00 00 44 85 F0 75 07 41 0F BA E6 0C 73 0A 4D 8B 45 00 49 83 C5 08 EB 2E 49 83 C5 08 41 F6 C6 20 74 14 41 F6 C6 40 74 07 4D 0F BF 45 F8 EB 17 45 0F B7 45 F8 EB 10 41 F6 C6 40 74 06 4D 63 45 F8 EB 04 45 8B 45 F8 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 44 85 F0 75 0A 41 0F BA E6 0C 72 03 45 8B C0 45 85 E4 79 08 41 BC 01 00 00 00 EB 0B 41 83 E6 F7 45 3B E3 45 0F 4F E3 8B 7C 24 64 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 41 8B CC 41 FF CC 85 C9 7F 05 4D 85 C0 74 1F 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 02 03 C7 88 03 48 FF CB EB D2 8B 7C 24 50 48 8D 85 BF 01 00 00 2B C3 48 FF C3 89 44 24 44 45 85 F3 0F 84 0E 01 00 00 85 C0 74 09 80 3B 30 0F 84 01 01 00 00 48 FF CB FF 44 24 44 C6 03 30 E9 F2 00 00 00 75 0E 41 80 FF 67 75 3F 41 BC 01 00 00 00 EB 37 45 3B E3 45 0F 4F E3 41 81 FC A3 00 00 00 7E 27 41 8D BC 24 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 44 24 70 48 85 C0 74 07 48 8B D8 8B F7 EB 06 41 BC A3 00 00 00 49 8B 45 00 48 8B 0D ?? ?? ?? ?? 49 83 C5 08 41 0F BE FF 48 63 F6 48 89 45 90 FF 15 ?? ?? ?? ?? 48 8D 4D 98 44 8B CF 48 89 4C 24 30 8B 4C 24 68 4C 8B C6 89 4C 24 28 48 8D 4D 90 48 8B D3 44 89 64 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1B 45 85 E4 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 98 48 8B CB FF D0 41 80 FF 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 98 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 7C 24 50 45 33 D2 89 44 24 44 44 8B 7C 24 40 44 39 54 24 60 0F 85 36 01 00 00 41 F6 C6 40 74 31 41 0F BA E6 08 73 07 C6 44 24 54 2D EB 0B 41 F6 C6 01 74 10 C6 44 24 54 2B BF 01 00 00 00 89 7C 24 4C EB 11 41 F6 C6 02 74 07 C6 44 24 54 20 EB E8 8B 7C 24 4C 8B 74 24 58 2B 74 24 44 2B F7 41 F6 C6 0C 75 0E 4C 8D 44 24 48 8B D6 B1 20 E8 ?? ?? ?? ?? 4C 8B 4D 80 4C 8D 44 24 48 48 8D 4C 24 54 8B D7 E8 ?? ?? ?? ?? 41 F6 C6 08 74 14 41 F6 C6 04 75 0E 4C 8D 44 24 48 8B D6 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 44 45 85 FF 74 64 85 FF 7E 60 4C 8B FB 45 0F B7 0F 48 8D 95 C0 01 00 00 48 8D 4C 24 78 41 B8 06 00 00 00 FF CF 49 83 C7 02 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 26 8B 54 24 78 85 D2 74 1E 4C 8B 4D 80 4C 8D 44 24 48 48 8D 8D C0 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 85 FF 75 B4 EB 25 83 C9 FF 8B F9 89 4C 24 50 89 4C 24 48 EB 1E 4C 8B 4D 80 4C 8D 44 24 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 8B 7C 24 48 89 7C 24 50 85 FF 78 1F 41 F6 C6 04 74 19 4C 8D 44 24 48 8B D6 B1 20 E8 ?? ?? ?? ?? 8B 7C 24 48 45 33 D2 89 7C 24 50 48 8B 44 24 70 48 85 C0 74 10 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4C 89 54 24 70 44 8B 44 24 5C 48 8B 75 88 4C 8D 0D ?? ?? ?? ?? 41 BB 00 02 00 00 83 CA FF 44 8A 3E 45 84 FF 0F 85 4C F9 FF FF 45 85 C0 0F 84 28 02 00 00 41 83 F8 07 0F 84 1E 02 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 45 33 D2 E9 05 02 00 00 41 80 FF 49 74 34 41 80 FF 68 74 28 41 80 FF 6C 74 0D 41 80 FF 77 75 AE 41 0F BA EE 0B EB A7 80 3E 6C 75 0A 48 FF C6 41 0F BA EE 0C EB 98 41 83 CE 10 EB 92 41 83 CE 20 EB 8C 8A 06 41 0F BA EE 0F 3C 36 75 14 80 7E 01 34 75 0E 48 83 C6 02 41 0F BA EE 0F E9 6D FF FF FF 3C 33 75 14 80 7E 01 32 75 0E 48 83 C6 02 41 0F BA F6 0F E9 55 FF FF FF 2C 58 3C 20 77 14 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 0F 82 3B FF FF FF 44 89 54 24 5C 48 8D 55 98 41 0F B6 CF 44 89 54 24 40 E8 ?? ?? ?? ?? 85 C0 0F 84 19 01 00 00 41 0F BE CF E8 ?? ?? ?? ?? 83 C9 FF 3B C1 0F 85 F4 00 00 00 8B F9 E9 EF 00 00 00 41 80 FF 2A 75 19 45 8B 65 00 49 83 C5 08 45 85 E4 0F 89 EA FE FF FF 44 8B E2 E9 E2 FE FF FF 47 8D 24 A4 41 0F BE C7 45 8D 64 24 E8 46 8D 24 60 E9 CC FE FF FF 45 8B E2 E9 C4 FE FF FF 41 80 FF 2A 75 1C 41 8B 45 00 49 83 C5 08 89 44 24 58 85 C0 0F 89 AA FE FF FF 41 83 CE 04 F7 D8 EB 11 8B 44 24 58 8D 0C 80 41 0F BE C7 8D 04 48 83 C0 D0 89 44 24 58 E9 88 FE FF FF 41 80 FF 20 74 41 41 80 FF 23 74 31 41 80 FF 2B 74 22 41 80 FF 2D 74 13 41 80 FF 30 0F 85 66 FE FF FF 41 83 CE 08 E9 5D FE FF FF 41 83 CE 04 E9 54 FE FF FF 41 83 CE 01 E9 4B FE FF FF 41 0F BA EE 07 E9 41 FE FF FF 41 83 CE 02 E9 38 FE FF FF 44 89 54 24 68 44 89 54 24 60 44 89 54 24 58 44 89 54 24 4C 45 8B F2 44 8B E2 44 89 54 24 40 E9 14 FE FF FF FF C7 44 8A 3E 48 FF C6 45 84 FF 0F 84 22 FE FF FF 41 0F BE CF E8 ?? ?? ?? ?? 44 8B 44 24 5C 83 CA FF 41 BB 00 02 00 00 4C 8D 0D ?? ?? ?? ?? 3B C2 75 12 8B FA 89 54 24 50 89 54 24 48 45 33 D2 E9 CF FD FF FF FF C7 89 7C 24 50 89 7C 24 48 EB EC 8B C7 44 38 55 B0 74 0B 48 8B 4D A8 83 A1 C8 00 00 00 FD 48 8B 8D C8 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 18 03 00 00 48 81 C4 D0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_425_10_0 {
	meta:
		name = "write_char"
		size = 34
		refs = "000d _putch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F BE C9 48 8B DA E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_425_11_0 {
	meta:
		name = "write_multi_char"
		size = 73
		refs = "0020 _putch_nolock"
	strings:
		$1 = { 85 D2 7E 44 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 8B FA 0F BE F1 8B CE FF CF E8 ?? ?? ?? ?? 83 F8 FF 74 0D FF 03 83 3B FF 74 09 85 FF 7E 05 EB E5 83 0B FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_425_12_0 {
	meta:
		name = "write_string"
		size = 142
		refs = "0036 _putch_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 45 8B 31 41 83 21 00 49 8B F9 49 8B D8 8B F2 48 8B E9 85 D2 7E 41 0F BE 4D 00 FF CE E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 FF C5 83 3B FF 75 1A 83 3F 2A 75 19 B9 3F 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 85 F6 7F C4 83 3F 00 75 03 44 89 37 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_426_4_0 {
	meta:
		name = "vscan_fn"
		size = 163
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B F2 33 D2 49 8B F8 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B D9 E8 ?? ?? ?? ?? 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 40 48 85 DB 74 E6 4C 8B 8C 24 88 00 00 00 4C 8B 84 24 80 00 00 00 B8 FF FF FF 7F 48 3B F8 48 8D 4C 24 20 48 8B D3 0F 47 F8 C7 44 24 38 49 00 00 00 48 89 74 24 30 89 7C 24 28 48 89 74 24 20 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_427_11_0 {
	meta:
		name = "??0UMSSchedulingContext@details@Concurrency@@QEAA@PEAVUMSThreadScheduler@12@PEAVUMSThreadVirtualProcessor@12@@Z"
		size = 53
		refs = "000e ??_7UMSSchedulingContext@details@Concurrency@@6B@ 0025 ?GetNewContextId@SchedulerBase@details@Concurrency@@QEAAIXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 20 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 51 10 4C 89 41 18 48 89 01 48 8D 4A 10 E8 ?? ?? ?? ?? 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_427_16_0 {
	meta:
		name = "??0location@Concurrency@@QEAA@XZ"
		size = 16
		altNames = "??0ReferenceCountedQuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 33 C0 89 01 48 89 41 08 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_427_36_0 {
	meta:
		name = "?ClaimBoundProcessorAndSwallowActivation@UMSSchedulingContext@details@Concurrency@@AEAAXXZ"
		size = 61
		refs = "0021 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NAEAVClaimTicket@123@K_N@Z 002f ?Deactivate@VirtualProcessor@details@Concurrency@@QEAA_NPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B D9 48 8B 49 18 48 8D 54 24 20 41 B1 01 41 B8 0F 00 00 00 E8 ?? ?? ?? ?? EB 0C 48 8B 4B 18 48 8B D3 E8 ?? ?? ?? ?? 84 C0 74 F0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_427_38_0 {
	meta:
		name = "?Dispatch@UMSSchedulingContext@details@Concurrency@@UEAAXPEAUDispatchState@3@@Z"
		size = 674
		refs = "0028 ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 002e __imp_TlsSetValue 011b ?MoveCompletionListToRunnables@UMSThreadScheduler@details@Concurrency@@QEAA_NVlocation@3@@Z 0199 __imp_InterlockedPopEntrySList 01b5 ?DeferredGetInternalContext@SchedulerBase@details@Concurrency@@QEAAXXZ 01c0 ?GetAnonymousScheduleGroupSegment@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@XZ 01d1 ?PrepareForUse@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@PEAU_Chore@23@_N@Z 0200 ?NotifyBlocked@UMSThreadInternalContext@details@Concurrency@@AEAAX_N@Z 0221 ?MakeAvailableFromSchedulingContext@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ 022d ?EnsureAllTasksVisible@VirtualProcessor@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z 0249 ?Deactivate@VirtualProcessor@details@Concurrency@@QEAA_NPEAUIExecutionContext@3@@Z 0255 ?ClaimBoundProcessorAndSwallowActivation@UMSSchedulingContext@details@Concurrency@@AEAAXXZ 0265 __imp_Sleep"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 8B D9 48 8B D1 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 43 18 33 ED BA 01 00 00 00 48 8B B0 B8 00 00 00 48 85 F6 75 0D 48 8B 43 18 4C 8B B8 80 01 00 00 EB 04 4C 8B 7E 40 45 32 F6 45 32 E4 33 C0 8B FA 48 85 F6 74 12 48 8D 4E 10 48 8B 01 FF 90 80 00 00 00 BA 01 00 00 00 48 8B 4B 18 48 39 A9 78 01 00 00 75 10 85 C0 74 0C 48 89 B1 78 01 00 00 BF 02 00 00 00 48 8B 4B 18 48 8B 81 78 01 00 00 48 85 C0 41 0F 95 C5 48 85 C0 74 0F 40 38 A8 26 01 00 00 45 0F B6 F6 44 0F 45 F2 4D 85 FF 75 0B 48 8B 81 80 00 00 00 4C 8B 78 10 48 85 F6 74 06 89 BE 80 01 00 00 48 8B 43 18 48 8B B8 B0 00 00 00 48 21 A8 B0 00 00 00 48 85 FF 0F 85 89 01 00 00 48 8B 43 18 48 83 B8 78 01 00 00 00 74 4C 48 8B 4B 10 0F 57 C0 33 C0 48 8D 54 24 30 89 44 24 30 F3 0F 7F 44 24 38 E8 ?? ?? ?? ?? 48 8B 43 18 8B 88 68 01 00 00 85 C9 74 21 48 8B 43 18 48 8B B8 78 01 00 00 C7 80 68 01 00 00 00 00 00 00 48 8B 43 18 48 83 A0 78 01 00 00 00 48 85 FF 75 2F 48 8B 43 18 21 7C 24 48 48 21 7C 24 58 48 8D 48 40 48 8D 54 24 48 45 33 C9 4D 8B C7 C7 44 24 20 01 00 00 00 FF 50 68 84 C0 48 0F 45 7C 24 58 45 84 ED 75 4E 48 85 FF 75 49 48 8B 4B 10 48 81 C1 30 03 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B FF 48 23 F9 48 8B 4B 10 75 0B 48 83 C1 10 E8 ?? ?? ?? ?? EB 1A 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 85 F6 74 2C 48 85 FF 75 0F 48 8B 43 18 48 8B 90 80 00 00 00 4C 8B 7A 10 48 8B 84 24 98 00 00 00 48 8B CE 8A 50 04 80 E2 01 E8 ?? ?? ?? ?? 33 F6 48 85 FF 75 65 8D 57 01 03 EA 3B EA 75 22 45 84 F6 75 0C 48 8B 4B 18 44 8A E2 E8 ?? ?? ?? ?? 48 8B 4B 18 48 8B D3 E8 ?? ?? ?? ?? E9 BE FE FF FF 0F 8E B8 FE FF FF 45 84 F6 75 1D 48 8B 4B 18 48 8B D3 E8 ?? ?? ?? ?? 84 C0 75 08 48 8B CB E8 ?? ?? ?? ?? 45 32 E4 EB 0B B9 64 00 00 00 FF 15 ?? ?? ?? ?? 33 ED E9 84 FE FF FF 45 84 E4 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 18 48 8B D7 48 8B 01 FF 50 20 48 8B 4B 20 41 B8 01 00 00 00 48 8B 01 48 8B D7 FF 50 08 E9 90 FD FF FF }
	condition:
		$1
}

rule file_427_46_0 {
	meta:
		name = "?GetReservedContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 35
		refs = "000d __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 48 81 C1 20 03 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_427_50_0 {
	meta:
		name = "?OnPrimary@UMSSchedulingContext@details@Concurrency@@SA_NXZ"
		size = 27
		refs = "0006 ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 000c __imp_TlsGetValue"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_427_51_0 {
	meta:
		name = "?Pop@?$LockFreeStack@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedPopEntrySList"
		altNames = "?Pop@?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAAPEAVRealizedChore@23@XZ"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_234_0 {
	meta:
		name = "?Flush@?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAAPEAVRealizedChore@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_427_54_0 {
	meta:
		name = "?SetAsCurrentTls@UMSSchedulingContext@details@Concurrency@@AEAAXXZ"
		size = 16
		refs = "0005 ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 000c __imp_TlsSetValue"
	strings:
		$1 = { 48 8B D1 8B 0D ?? ?? ?? ?? 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_427_56_0 {
	meta:
		name = "?SetProxy@UMSSchedulingContext@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 75
		refs = "0015 ??_C@_0N@FACDCNDA@pThreadProxy?$AA@ 0029 ??0exception@std@@QEAA@AEBQEBD@Z 0030 ??_7invalid_argument@std@@6B@ 0037 _TI3?AVinvalid_argument@std@@ 0046 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 74 09 48 89 51 20 48 83 C4 48 C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_429_0_0 {
	meta:
		name = "atanhl"
		size = 189
		refs = "0011 _ldtest 003b __xmm@80000000000000008000000000000000 004f __real@3ff0000000000000 005a _fperrraise 0062 _LNan_C 007e _LInf_C 009a __real@4000000000000000 00a3 log1pl 00ab __real@3fe0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F7 C1 FD FF FF FF 0F 84 8D 00 00 00 F2 0F 10 4C 24 30 0F 57 C0 B9 01 00 00 00 66 0F 2F C1 76 11 0F 57 0D ?? ?? ?? ?? 8B D9 F2 0F 11 4C 24 30 EB 02 33 DB F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F CA 76 0F E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 4F 66 0F 2E CA 7A 21 75 1F B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 85 DB 74 31 0F 57 05 ?? ?? ?? ?? EB 28 0F 28 C1 F2 0F 5C D1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C2 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? EB D1 F2 0F 10 44 24 30 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_893_0_0 {
	meta:
		name = "atanh"
		size = 189
		refs = "0011 _dtest 003b __xmm@80000000000000008000000000000000 004f __real@3ff0000000000000 005a _fperrraise 0062 _Nan_C 007e _Inf_C 009a __real@4000000000000000 00a3 log1p 00ab __real@3fe0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F7 C1 FD FF FF FF 0F 84 8D 00 00 00 F2 0F 10 4C 24 30 0F 57 C0 B9 01 00 00 00 66 0F 2F C1 76 11 0F 57 0D ?? ?? ?? ?? 8B D9 F2 0F 11 4C 24 30 EB 02 33 DB F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F CA 76 0F E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 4F 66 0F 2E CA 7A 21 75 1F B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 85 DB 74 31 0F 57 05 ?? ?? ?? ?? EB 28 0F 28 C1 F2 0F 5C D1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C2 E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? EB D1 F2 0F 10 44 24 30 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_430_0_0 {
	meta:
		name = "_time64"
		size = 93
		refs = "0010 __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 48 8B 54 24 30 48 B9 00 80 C1 2A 21 4E 62 FE 48 03 D1 48 83 C9 FF 48 B8 BD 42 7A E5 D5 94 BF D6 48 F7 E2 48 B8 FF 6F 40 93 07 00 00 00 48 C1 EA 17 48 3B D0 48 0F 4F D1 48 85 DB 74 03 48 89 13 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_432_0_0 {
	meta:
		name = "__crtCompareStringW"
		size = 165
		refs = "0030 wcsnlen 006d __crtCompareStringEx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 49 63 D9 49 8B F0 8B EA 4C 8B F1 45 85 C9 7E 0E 48 8B D3 49 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 63 44 24 68 48 8B 7C 24 60 85 C0 7E 0B 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 1F 85 C0 74 1B 89 44 24 28 44 8B CB 4C 8B C6 8B D5 49 8B CE 48 89 7C 24 20 E8 ?? ?? ?? ?? EB 17 2B D8 B8 03 00 00 00 8D 48 FE 0F 48 C1 B9 02 00 00 00 85 DB 0F 44 C1 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_435_0_0 {
	meta:
		name = "fesetround"
		size = 65
		refs = "001b _getfpcontrolword 0029 _setfpcontrolword 002e fegetround"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 8B D9 25 00 03 00 00 3B C1 74 07 B8 01 00 00 00 EB 21 E8 ?? ?? ?? ?? 25 FF FC FF FF 0B C3 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 3B C3 0F 95 C1 8B C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_436_0_0 {
	meta:
		name = "feholdexcept"
		size = 61
		refs = "0019 fegetenv 0031 _clearfp"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 38 00 83 64 24 3C 00 48 8B D9 48 8D 4C 24 38 E8 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 0F 48 8B 44 24 38 48 89 03 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_437_0_0 {
	meta:
		name = "_Hypot"
		size = 484
		refs = "002b _dunscale 0085 __xmm@80000000000000008000000000000000 011b _dscale 015c __real@3ff0000000000000 0161 sqrt 017f __real@4000000000000000 019b __real@3ff6a09e667f3bcd 01a7 __real@3eec713e5d623e2b 01b8 __real@4003504816f0068e 01ce _Inf_C"
	strings:
		$1 = { 48 8B C4 F2 0F 11 48 10 F2 0F 11 40 08 55 53 57 48 8B EC 48 83 EC 40 0F 29 70 D8 48 8D 55 20 48 8D 4D 30 0F 29 78 C8 49 8B F8 E8 ?? ?? ?? ?? 48 8D 55 28 48 8D 4D 38 0F B7 D8 E8 ?? ?? ?? ?? 83 27 00 66 83 FB 01 0F 84 7E 01 00 00 66 83 F8 01 0F 84 74 01 00 00 41 B8 02 00 00 00 66 41 3B D8 75 0A F2 0F 10 45 20 E9 66 01 00 00 66 41 3B C0 75 0A F2 0F 10 45 28 E9 56 01 00 00 F2 0F 10 4D 20 F2 0F 10 1D ?? ?? ?? ?? 0F 57 C0 66 0F 2F C1 76 08 0F 57 CB F2 0F 11 4D 20 F2 0F 10 55 28 66 0F 2F C2 76 08 0F 57 D3 F2 0F 11 55 28 66 0F 2E D0 7A 14 75 12 66 0F 2E C8 7A 06 0F 84 11 01 00 00 0F B7 4D 30 EB 35 66 0F 2E C8 0F B7 4D 30 0F B7 55 38 7A 02 74 0D 66 3B CA 7C 08 75 1E 66 0F 2F D1 76 18 0F B7 C1 F2 0F 11 55 20 F2 0F 11 4D 28 0F B7 CA 66 89 55 30 66 89 45 38 0F BF C9 8B C1 99 83 E2 03 03 C2 C1 F8 02 03 C0 41 0F 44 C0 2B C8 89 07 8B D1 48 8D 4D 20 E8 ?? ?? ?? ?? 0F BF 55 38 48 8D 4D 28 2B 17 E8 ?? ?? ?? ?? F2 0F 10 75 20 F2 0F 10 45 28 0F 28 FE F2 0F 5C F8 66 0F 2E FE 7A 02 74 7E 66 0F 2F F8 76 27 F2 0F 5E F0 0F 28 C6 F2 0F 59 C6 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 7D 28 F2 0F 58 C6 F2 0F 5E F8 EB 4C F2 0F 5E F8 0F 28 F7 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F7 0F 28 C6 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 F7 F2 0F 10 7D 28 F2 0F 58 35 ?? ?? ?? ?? F2 0F 5E FE F2 0F 58 7D 20 0F 28 C7 EB 08 F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_775_0_0 {
	meta:
		name = "_LHypot"
		size = 484
		refs = "002b _ldunscale 0085 __xmm@80000000000000008000000000000000 011b _ldscale 015c __real@3ff0000000000000 0161 sqrt 017f __real@4000000000000000 019b __real@3ff6a09e667f3bcd 01a7 __real@3eec713e5d623e2b 01b8 __real@4003504816f0068e 01ce _LInf_C"
	strings:
		$1 = { 48 8B C4 F2 0F 11 48 10 F2 0F 11 40 08 55 53 57 48 8B EC 48 83 EC 40 0F 29 70 D8 48 8D 55 20 48 8D 4D 30 0F 29 78 C8 49 8B F8 E8 ?? ?? ?? ?? 48 8D 55 28 48 8D 4D 38 0F B7 D8 E8 ?? ?? ?? ?? 83 27 00 66 83 FB 01 0F 84 7E 01 00 00 66 83 F8 01 0F 84 74 01 00 00 41 B8 02 00 00 00 66 41 3B D8 75 0A F2 0F 10 45 20 E9 66 01 00 00 66 41 3B C0 75 0A F2 0F 10 45 28 E9 56 01 00 00 F2 0F 10 4D 20 F2 0F 10 1D ?? ?? ?? ?? 0F 57 C0 66 0F 2F C1 76 08 0F 57 CB F2 0F 11 4D 20 F2 0F 10 55 28 66 0F 2F C2 76 08 0F 57 D3 F2 0F 11 55 28 66 0F 2E D0 7A 14 75 12 66 0F 2E C8 7A 06 0F 84 11 01 00 00 0F B7 4D 30 EB 35 66 0F 2E C8 0F B7 4D 30 0F B7 55 38 7A 02 74 0D 66 3B CA 7C 08 75 1E 66 0F 2F D1 76 18 0F B7 C1 F2 0F 11 55 20 F2 0F 11 4D 28 0F B7 CA 66 89 55 30 66 89 45 38 0F BF C9 8B C1 99 83 E2 03 03 C2 C1 F8 02 03 C0 41 0F 44 C0 2B C8 89 07 8B D1 48 8D 4D 20 E8 ?? ?? ?? ?? 0F BF 55 38 48 8D 4D 28 2B 17 E8 ?? ?? ?? ?? F2 0F 10 75 20 F2 0F 10 45 28 0F 28 FE F2 0F 5C F8 66 0F 2E FE 7A 02 74 7E 66 0F 2F F8 76 27 F2 0F 5E F0 0F 28 C6 F2 0F 59 C6 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 7D 28 F2 0F 58 C6 F2 0F 5E F8 EB 4C F2 0F 5E F8 0F 28 F7 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F7 0F 28 C6 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 F7 F2 0F 10 7D 28 F2 0F 58 35 ?? ?? ?? ?? F2 0F 5E FE F2 0F 58 7D 20 0F 28 C7 EB 08 F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_437_1_0 {
	meta:
		name = "csqrt"
		size = 489
		refs = "0026 creal 003c cimag 004a _dtest 0089 _Hypot 00b3 __xmm@7fffffffffffffff7fffffffffffffff 00b8 ldexp 00cd __real@4000000000000000 00d9 sqrt 0127 __xmm@80000000000000008000000000000000 018c _Inf_C 01b0 _Zero_C 01cb _Cbuild"
	strings:
		$1 = { 40 55 53 56 57 41 56 48 8B EC 48 83 EC 40 0F 10 02 48 8B F9 48 8D 4D E0 0F 29 74 24 30 48 8B DA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D E0 F2 0F 11 45 40 0F 10 03 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 38 F2 0F 11 45 38 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 0F B7 F0 66 41 3B C6 75 0A F2 0F 10 55 38 E9 57 01 00 00 48 8D 4D 40 E8 ?? ?? ?? ?? 66 41 3B C6 0F 84 E1 00 00 00 F2 0F 10 4D 38 F2 0F 10 45 40 4C 8D 45 30 E8 ?? ?? ?? ?? 8B 5D 30 0F 28 F0 85 DB 75 10 0F 28 D0 F2 0F 59 55 38 0F 28 C8 E9 1F 01 00 00 F2 0F 10 45 40 8B D3 F7 DA 0F 54 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 99 2B C2 D1 F8 8B D8 F2 0F 58 C6 F2 0F 10 35 ?? ?? ?? ?? 41 2B DE F2 0F 59 C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? F2 0F 10 4D 40 0F 28 D8 0F 57 C0 66 0F 2F C8 72 18 F2 0F 10 55 38 0F 28 CB F2 0F 59 CE F2 0F 5E D1 0F 28 CB E9 B9 00 00 00 F2 0F 10 4D 38 B8 00 80 00 00 66 85 45 3E 74 1E 0F 28 D3 F2 0F 59 DE 0F 57 15 ?? ?? ?? ?? F2 0F 5E CB 0F 57 0D ?? ?? ?? ?? E9 8B 00 00 00 66 0F 2E C8 7A 0A 75 08 0F 28 D3 0F 28 C8 EB 7B 0F 28 C3 0F 28 D3 F2 0F 59 C6 F2 0F 5E C8 EB 6B 0F 57 C0 66 83 FE 02 75 18 66 0F 2F 45 40 76 0C F2 0F 10 55 40 F2 0F 10 4D 38 EB 4F 0F 10 03 EB 56 66 0F 2F 45 40 B8 00 80 00 00 76 1E F2 0F 10 15 ?? ?? ?? ?? 66 85 45 3E 0F 84 05 FF FF FF 0F 57 15 ?? ?? ?? ?? E9 F9 FE FF FF 66 85 45 3E 74 0F F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 D0 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 0F 28 74 24 30 48 8B C7 F3 0F 7F 07 48 83 C4 40 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_438_0_0 {
	meta:
		name = "_fstat64i32"
		size = 951
		refs = "001d __security_cookie 0045 __doserrno 004c _errno 0065 memset 008f _nhandle 00a6 __pioinfo 00ce __lock_fhandle 00f5 __imp_GetFileType 0114 __imp_GetLastError 011b _dosmaperr 0186 __imp_PeekNamedPipe 01b5 __imp_GetFileInformationByHandle 01fd __imp_FileTimeToLocalFileTime 0215 __imp_FileTimeToSystemTime 0251 __loctotime64_t 0368 _unlock_fhandle 0383 _invalid_parameter_noinfo 0396 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 48 8B FA 48 63 F1 89 74 24 50 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 27 03 00 00 33 D2 44 8D 42 30 48 8B CF E8 ?? ?? ?? ?? 83 FE FE 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 02 03 00 00 85 F6 0F 88 E3 02 00 00 3B 35 ?? ?? ?? ?? 0F 83 D7 02 00 00 48 8B C6 4C 8B F6 49 C1 FE 05 4C 8D 2D ?? ?? ?? ?? 83 E0 1F 4C 6B F8 58 4B 8B 44 F5 00 42 0F BE 4C 38 08 41 BC 01 00 00 00 41 23 CC 0F 84 A5 02 00 00 8B CE E8 ?? ?? ?? ?? 90 4B 8B 4C F5 00 46 84 64 39 08 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 73 02 00 00 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 0F BA F0 0F 41 3B C4 0F 84 94 00 00 00 8D 48 FE 41 3B CC 76 16 85 C0 74 CD FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 3E 02 00 00 83 F8 02 B9 00 20 00 00 74 05 B9 00 10 00 00 66 89 4F 06 89 37 89 77 10 C7 47 08 01 00 00 00 66 89 5F 04 66 89 5F 0C 48 89 5F 28 48 89 5F 20 48 89 5F 18 83 F8 02 75 08 89 5F 14 E9 01 02 00 00 4B 8B 4C F5 00 48 89 5C 24 28 48 8D 44 24 48 48 89 44 24 20 45 33 C9 45 33 C0 33 D2 4A 8B 0C 39 FF 15 ?? ?? ?? ?? F7 D8 1B C9 23 4C 24 48 89 4F 14 E9 CB 01 00 00 89 5F 04 89 5F 0A 66 44 89 67 08 4B 8B 4C F5 00 48 8D 54 24 68 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 85 C0 0F 84 51 FF FF FF 0F B7 47 06 44 84 64 24 68 74 07 0D 24 01 00 00 EB 05 0D B6 01 00 00 66 89 47 06 39 5C 24 7C 75 0F 39 9C 24 80 00 00 00 75 06 48 89 5F 20 EB 68 48 8D 54 24 40 48 8D 4C 24 7C FF 15 ?? ?? ?? ?? 85 C0 0F 84 59 01 00 00 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 41 01 00 00 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 20 39 5C 24 74 75 0C 39 5C 24 78 75 06 48 8B 47 20 EB 64 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 DF 00 00 00 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 C7 00 00 00 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 18 39 5C 24 6C 75 0C 39 5C 24 70 75 06 48 8B 47 20 EB 5C 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 74 69 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 55 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 28 8B 84 24 8C 00 00 00 89 47 14 0F B7 47 06 0F BA E8 0F 66 89 47 06 89 1F 89 5F 10 EB 03 83 CB FF 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_438_1_0 {
	meta:
		name = "_fstat64i32$fin$0"
		size = 25
		refs = "000d _unlock_fhandle"
		altNames = "_fstat32$fin$0 _fstat32i64$fin$0 _fstat64$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 8B 4D 50 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_441_9_0 {
	meta:
		name = "??0?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@XZ"
		size = 31
		refs = "0012 ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ"
		altNames = "??0?$SafeRWList@UBoostedObject@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@XZ ??0?$SafeRWList@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@V_ReaderWriterLock@34@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 8B D9 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_441_11_0 {
	meta:
		name = "??0Transmogrificator@details@Concurrency@@QEAA@XZ"
		size = 237
		refs = "0028 ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ 003f __imp_CreateEventW 0052 __imp_InitializeSListHead 0067 ?TransmogrificationHandler@Transmogrificator@details@Concurrency@@CAXPEAXE@Z 0074 __imp_RegisterWaitForSingleObject 008f __imp_GetLastError 00a7 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00ae _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00b8 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 70 48 83 61 08 00 48 83 61 10 00 C7 41 18 00 00 00 00 48 83 61 20 00 48 8B D9 48 83 C1 28 E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 33 D2 33 C9 C7 43 30 00 00 00 00 FF 15 ?? ?? ?? ?? 48 89 43 10 48 85 C0 74 41 48 8D 4B 40 FF 15 ?? ?? ?? ?? 48 8B 53 10 83 64 24 28 00 83 4C 24 20 FF 4C 8D 05 ?? ?? ?? ?? 48 8D 4B 08 4C 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 41 48 8B C3 48 8B 9C 24 80 00 00 00 48 83 C4 70 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 50 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_441_17_0 {
	meta:
		name = "??1Transmogrificator@details@Concurrency@@QEAA@XZ"
		size = 89
		refs = "0013 __imp_InterlockedFlushSList 0025 __imp_SetEvent 0040 __imp_UnregisterWaitEx 0055 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 83 C1 40 FF 15 ?? ?? ?? ?? 48 85 C0 74 15 48 8B 48 A8 48 8B 18 FF 15 ?? ?? ?? ?? 48 8B C3 48 85 DB 75 EB 48 8B 4F 08 48 85 C9 74 0A 48 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4F 10 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_441_33_0 {
	meta:
		name = "?BeginTransmogrifying@Transmogrificator@details@Concurrency@@AEAAXXZ"
		size = 126
		refs = "0021 ?RemoveHead@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAPEAUListEntry@23@XZ 0032 ??2@YAPEAX_K@Z 0047 ??0CachedTransmogrifiedPrimary@details@Concurrency@@QEAA@PEAVTransmogrificator@12@@Z 0063 ?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B D9 48 8D 4B 20 E8 ?? ?? ?? ?? 48 8D B8 30 FF FF FF B9 A0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 10 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 EB 02 33 C9 48 8B C1 48 87 47 68 48 83 F8 01 75 08 48 8B D7 E8 ?? ?? ?? ?? F0 83 43 18 FF 7F AE 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_441_37_0 {
	meta:
		name = "?PerformTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 99
		refs = "0016 __imp_InterlockedPopEntrySList 0039 ?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z 0054 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 83 C1 40 48 8B FA FF 15 ?? ?? ?? ?? 48 85 C0 74 0E F0 FF 4B 30 48 83 C0 80 48 89 47 68 EB 2B 48 8D 97 D0 00 00 00 48 8D 4B 20 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 43 18 FF C0 83 F8 01 75 0A 48 8B 4B 10 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_441_38_0 {
	meta:
		name = "?RemoveHead@?$List@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAPEAUListEntry@23@XZ"
		size = 49
	strings:
		$1 = { 48 8B 01 48 8B D1 48 85 C0 75 01 C3 4C 8B 40 08 49 3B C0 75 06 48 83 21 00 EB 12 49 8B 48 08 48 89 01 48 8B 12 49 8B 48 08 48 89 4A 08 49 8B C0 C3 }
	condition:
		$1
}

rule file_441_39_0 {
	meta:
		name = "?RemoveHead@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAPEAUListEntry@23@XZ"
		size = 100
		refs = "0017 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 004d ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 E8 ?? ?? ?? ?? 4C 8B 06 33 FF 4D 85 C0 74 23 49 8B 50 08 4C 3B C2 75 05 48 89 3E EB 12 48 8B 42 08 4C 89 00 48 8B 0E 48 8B 42 08 48 89 41 08 48 8B FA 48 8D 4E 08 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_441_40_0 {
	meta:
		name = "?ReturnToCache@Transmogrificator@details@Concurrency@@QEAAXPEAVCachedTransmogrifiedPrimary@23@@Z"
		size = 38
		refs = "000f __imp_SetEvent 0022 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 8B 41 30 83 F8 08 7C 0B 48 8B 4A 28 48 FF 25 ?? ?? ?? ?? F0 FF 41 30 48 83 EA 80 48 83 C1 40 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_441_43_0 {
	meta:
		name = "?UnblockTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 32
		refs = "0017 ?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 33 C0 F0 48 0F B1 4A 68 74 08 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_443_3_0 {
	meta:
		name = "_strxfrm_l"
		size = 374
		refs = "002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0089 strncpy 0091 strlen 00c8 __crtLCMapStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 70 48 8B F9 4C 8B F2 48 8D 48 D8 49 8B D1 49 8B F0 E8 ?? ?? ?? ?? BB FF FF FF 7F 48 3B F3 77 0F 48 85 FF 75 05 48 85 F6 75 05 4D 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 9C 00 00 00 48 85 FF 74 08 48 85 F6 74 03 C6 07 00 48 8B 44 24 50 48 8B 90 30 01 00 00 48 85 D2 75 20 39 50 08 75 1B 4C 8B C6 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 EB 5E 8B 40 08 C7 44 24 40 01 00 00 00 48 8D 4C 24 50 89 44 24 38 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF 4D 8B CE 41 B8 00 04 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 95 00 00 00 48 63 E8 48 3B EE 76 4D 48 85 FF 74 13 48 85 F6 74 0E C6 07 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 8D 5D FF 80 7C 24 68 00 74 0C 48 8B 4C 24 60 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 48 8B C3 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 48 8B 54 24 50 C7 44 24 40 01 00 00 00 48 8D 4C 24 50 8B 42 08 48 8B 92 30 01 00 00 4D 8B CE 89 44 24 38 89 74 24 30 41 B8 00 04 00 00 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 75 8B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 82 }
	condition:
		$1
}

rule file_444_0_0 {
	meta:
		name = "log"
		size = 1339
		refs = "000c __use_fma3_lib 002d __mask_1023 003c __real_inf 0052 __real_mant 005a __real_one 0062 __mask_1023_f 0070 __real_notsign 007a __mask_mant_all8 0081 __mask_mant9 0094 __real_threshold 00a6 __real_half 00b5 __log_F_inv_qword 00dc __log_256_lead 00e4 __real_1_over_6 00ec __real_1_over_3 0104 __real_1_over_5 010c __real_1_over_2 0120 __real_1_over_4 0134 __real_log2_tail 0149 __log_256_tail 015a __real_log2_lead 0184 __real_two 01a0 __real_ca2 01a8 __real_ca4 01cc __real_ca1 01d4 __real_ca3 023a __mask_2045 0256 __real_ninf 025d __flag_x_zero 0262 _log_special 0274 __real_neg_qnan 027b __flag_x_neg 02a5 __real_qnanbit 02b1 __flag_x_nan"
	strings:
		$1 = { 48 83 EC 58 66 0F 7F 74 24 20 83 3D ?? ?? ?? ?? 00 0F 85 B9 02 00 00 66 0F 6F D8 66 0F 28 E0 66 0F 73 D3 34 66 48 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 48 8B C8 48 0F BA F1 3F 48 3B 0D ?? ?? ?? ?? 0F 83 4A 02 00 00 66 0F 6F D0 F3 0F E6 F3 66 0F DB 15 ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 A4 01 00 00 66 0F 54 25 ?? ?? ?? ?? 4C 8B C8 48 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? 49 D1 E1 49 03 C1 66 48 0F 6E C8 66 0F 2F 25 ?? ?? ?? ?? 0F 82 E2 00 00 00 48 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 66 0F 57 ED 66 0F 2F C5 0F 86 89 01 00 00 F2 0F 5C CA F2 41 0F 59 0C C1 66 0F 28 D1 66 0F 28 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CA F2 0F 59 DC F2 0F 58 CB F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C E9 F2 41 0F 10 04 C1 48 8D 15 ?? ?? ?? ?? F2 0F 10 14 C2 F2 0F 58 D5 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E6 F2 0F 58 C4 F2 0F 58 C2 66 0F 6F 74 24 20 48 83 C4 58 C3 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 10 C8 F2 0F 5E CA F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 F0 F2 0F 59 F1 F2 0F 58 C9 F2 0F 10 D1 F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 EA F2 0F 58 25 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 D2 F2 0F 59 D1 F2 0F 59 EA F2 0F 58 E5 F2 0F 5C E6 F2 0F 58 C4 66 0F 6F 74 24 20 48 83 C4 58 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 48 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 25 FE FF FF 66 0F 1F 84 00 00 00 00 00 75 1E F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 66 66 0F 1F 84 00 00 00 00 00 48 3B 05 ?? ?? ?? ?? 74 27 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 0F 1F 40 00 66 0F 6F 74 24 20 48 83 C4 58 C3 0F 1F 44 00 00 48 33 C0 C5 E1 73 D0 34 C4 E1 F9 7E C0 C5 E1 FB 1D ?? ?? ?? ?? C5 FA E6 F3 C5 F9 DB 2D ?? ?? ?? ?? C5 F9 2F 2D ?? ?? ?? ?? 0F 84 01 02 00 00 C5 D1 EF ED C5 F9 2F C5 0F 86 A3 01 00 00 C5 F9 DB 15 ?? ?? ?? ?? C5 FB 5C 25 ?? ?? ?? ?? C5 F9 2F 35 ?? ?? ?? ?? 0F 84 53 01 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 F9 DB 1D ?? ?? ?? ?? C5 E1 73 F3 01 C5 E1 D4 C9 C4 E1 F9 7E C8 C5 D9 DB 25 ?? ?? ?? ?? C5 F9 2F 25 ?? ?? ?? ?? 0F 82 B1 00 00 00 48 C1 E8 2C C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? C5 F3 5C CA C4 C1 73 59 0C C1 4C 8D 0D ?? ?? ?? ?? C5 F3 59 C1 C5 FB 10 1D ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C4 E2 F1 A9 1D ?? ?? ?? ?? C4 E2 F1 A9 2D ?? ?? ?? ?? C5 FB 10 E0 C4 E2 F1 A9 1D ?? ?? ?? ?? C5 FB 59 E0 C4 E2 D1 B9 C8 C4 E2 E1 B9 CC C5 FB 10 2D ?? ?? ?? ?? C4 E2 C9 AB E9 C4 C1 7B 10 04 C1 48 8D 15 ?? ?? ?? ?? C5 FB 10 0C C2 C5 F3 58 CD C4 E2 C9 B9 05 ?? ?? ?? ?? C5 FB 58 C1 C5 F9 6F 74 24 20 48 83 C4 58 C3 66 0F 1F 84 00 00 00 00 00 C5 FB 10 1D ?? ?? ?? ?? C5 FB 5C 05 ?? ?? ?? ?? C5 E3 58 D8 C5 FB 5E CB C5 FB 10 25 ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C5 FB 59 D9 C5 F3 58 C9 C5 F3 59 D1 C4 E2 E9 A9 25 ?? ?? ?? ?? C4 E2 E9 A9 2D ?? ?? ?? ?? C5 EB 59 D1 C5 DB 59 E2 C5 EB 59 D2 C5 EB 59 D1 C4 E2 D1 B9 E2 C5 DB 5C E3 C5 FB 58 C4 C5 F9 6F 74 24 20 48 83 C4 58 C3 C5 E9 EB 15 ?? ?? ?? ?? C5 EB 5C 15 ?? ?? ?? ?? C5 D1 73 D2 34 C5 E9 DB 15 ?? ?? ?? ?? C5 F9 28 C2 C5 D1 FA 2D ?? ?? ?? ?? C5 FA E6 F5 E9 7B FE FF FF 75 2E C5 FB 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 74 24 20 48 83 C4 58 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 74 24 20 48 83 C4 58 C3 90 48 3B 05 ?? ?? ?? ?? 74 27 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? C4 E1 F9 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 1F 44 00 00 C5 F9 6F 74 24 20 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_445_0_0 {
	meta:
		name = "_resetstkoflw"
		size = 292
		refs = "002a __security_cookie 0053 __imp_VirtualQuery 006a __imp_GetSystemInfo 007b __crtSetThreadStackGuarantee 00ce __imp_VirtualAlloc 00e8 __imp_VirtualProtect 0101 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 81 EC 90 00 00 00 48 8D 6C 24 20 48 89 9D 90 00 00 00 48 89 B5 98 00 00 00 48 89 BD A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 68 8B 04 24 48 83 EC 10 4C 8D 74 24 20 41 8B 06 48 8D 55 08 41 B8 30 00 00 00 49 8B CE FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 97 00 00 00 4C 8B 7D 10 48 8D 4D 38 FF 15 ?? ?? ?? ?? 8B 7D 3C 48 8D 4D 00 33 DB 21 5D 00 E8 ?? ?? ?? ?? 85 C0 74 08 8B 45 00 85 C0 0F 45 D8 8D 57 FF 8D 4F FF 8B C2 03 CB F7 D0 23 C8 74 02 03 CF 8D 04 3F 8B DA 3B C8 48 F7 D3 0F 42 C8 49 23 DE 49 8D 04 3F 8B F1 48 2B DE 48 3B D8 72 3C 41 B9 04 00 00 00 41 B8 00 10 00 00 8B D6 48 8B CB FF 15 ?? ?? ?? ?? 48 85 C0 74 20 4C 8D 4D 04 41 B8 04 01 00 00 8B D6 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 48 8B 4D 68 48 33 CD E8 ?? ?? ?? ?? 48 8B 9D 90 00 00 00 48 8B B5 98 00 00 00 48 8B BD A0 00 00 00 48 8D 65 70 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_446_0_0 {
	meta:
		name = "ctanh"
		size = 437
		refs = "0033 creal 0049 cimag 0057 _dtest 007f _Zero_C 0086 __xmm@80000000000000008000000000000000 009a __real@bff0000000000000 00a7 __real@3ff0000000000000 00d3 __real@0000000000000000 00f4 _Nan_C 0106 tan 0113 sinh 0141 _Inf_C 016e sqrt 0186 _Cbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8B EC 48 83 EC 60 0F 10 02 0F 29 70 E8 48 8B F9 0F 29 78 D8 48 8D 4D C0 48 8B DA F3 0F 7F 45 C0 44 0F 29 40 C8 E8 ?? ?? ?? ?? 48 8D 4D C0 F2 0F 11 45 18 0F 10 03 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D 18 F2 0F 11 45 10 E8 ?? ?? ?? ?? 48 8D 4D 10 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 75 43 B8 00 80 00 00 0F 57 C0 66 85 45 16 74 11 F2 0F 10 15 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? EB 03 0F 28 D0 66 0F 2F 45 18 76 0D F2 0F 10 0D ?? ?? ?? ?? E9 DE 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 D1 00 00 00 66 83 F8 02 75 0E F2 0F 10 55 10 F2 0F 11 D1 E9 BD 00 00 00 66 83 FB 02 75 20 F2 0F 10 55 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 05 F2 0F 10 55 18 F2 0F 10 4D 18 E9 97 00 00 00 66 83 F8 01 75 10 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 81 00 00 00 F2 0F 10 45 10 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 18 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 F7 F2 0F 59 F7 F2 0F 58 F1 F2 0F 59 F0 44 0F 28 C6 F2 44 0F 59 C0 F2 44 0F 58 C1 66 44 0F 2E 05 ?? ?? ?? ?? 7A 19 75 17 0F 57 D2 66 0F 2F D0 76 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 FA EB 1E F2 0F 59 C0 F2 41 0F 5E F8 F2 0F 58 C1 E8 ?? ?? ?? ?? F2 0F 59 C6 F2 41 0F 5E C0 0F 28 C8 0F 28 D7 48 8D 4D C0 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 0F 28 74 24 50 0F 28 7C 24 40 49 8B 5B 20 0F 10 00 45 0F 28 43 D0 48 8B C7 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_447_8_0 {
	meta:
		name = "??0TimerObj@?6??wait@Concurrency@@YAXI@Z@QEAA@I@Z"
		size = 76
		refs = "0025 ??_7TimerObj@?6??wait@Concurrency@@YAXI@Z@6B@ 002d ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 0039 ?_Start@_Timer@details@Concurrency@@IEAAXXZ 003e ?Block@Context@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 61 08 00 89 51 10 C6 41 14 00 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 48 89 43 18 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_447_11_0 {
	meta:
		name = "??0_Timer@details@Concurrency@@IEAA@I_N@Z"
		size = 26
		refs = "0008 ??_7_Timer@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 89 51 10 48 89 01 44 88 41 14 48 8B C1 C3 }
	condition:
		$1
}

rule file_447_16_0 {
	meta:
		name = "??1TimerObj@?6??wait@Concurrency@@YAXI@Z@UEAA@XZ"
		size = 31
		refs = "000c ??_7_Timer@details@Concurrency@@6B@ 0016 ?_Stop@_Timer@details@Concurrency@@IEAAXXZ"
		altNames = "??1_Timer@details@Concurrency@@MEAA@XZ"
	strings:
		$1 = { 48 83 EC 28 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_447_29_0 {
	meta:
		name = "??_GTimerObj@?6??wait@Concurrency@@YAXI@Z@UEAAPEAXI@Z"
		size = 65
		refs = "0012 ??_7_Timer@details@Concurrency@@6B@ 0021 ?_Stop@_Timer@details@Concurrency@@IEAAXXZ 002f ??3@YAXPEAX@Z"
		altNames = "??_G_Timer@details@Concurrency@@MEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 8B FA 48 89 01 48 8B D9 74 05 E8 ?? ?? ?? ?? 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_447_42_0 {
	meta:
		name = "?_Start@_Timer@details@Concurrency@@IEAAXXZ"
		size = 276
		refs = "001d ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 0030 ?FireTimer@_TimerStub@details@Concurrency@@SAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_TIMER@@@Z 0038 ?RegisterAsyncTimerAndLoadLibrary@details@Concurrency@@YAPEAU_TP_TIMER@@KP6AXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU3@@Z1_N@Z 0054 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 0063 ?FireTimerXP@_TimerStub@details@Concurrency@@SAXPEAXE@Z 007c ?__CreateTimerQueueTimer@platform@details@Concurrency@@YAHPEAPEAXPEAXP6AX1E@Z1KKK@Z 0099 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00b3 ??0exception@std@@QEAA@AEBQEBDH@Z 00ba ??_7bad_alloc@std@@6B@ 00c1 _TI2?AVbad_alloc@std@@ 00d0 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 60 48 8D 79 08 48 8B D9 48 83 3F 00 75 68 E8 ?? ?? ?? ?? 83 F8 03 7C 20 44 8A 4B 14 8B 4B 10 48 8D 15 ?? ?? ?? ?? 4C 8B C3 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 40 EB 50 80 7B 14 00 74 05 8B 73 10 EB 02 33 F6 E8 ?? ?? ?? ?? C7 44 24 30 20 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D0 8B 43 10 4C 8B CB 48 8B CF 89 74 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 51 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 70 48 8D 4C 24 40 41 B8 01 00 00 00 48 89 44 24 70 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 48 89 44 24 40 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 70 48 8D 4C 24 40 41 B8 01 00 00 00 48 89 44 24 70 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 48 89 44 24 40 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_447_43_0 {
	meta:
		name = "?_Stop@_Timer@details@Concurrency@@IEAAXXZ"
		size = 62
		refs = "000a ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 0018 ?DeleteAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_TIMER@@@Z 001f ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 002f ?__DeleteTimerQueueTimer@platform@details@Concurrency@@YAXPEAX00@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 83 F8 03 7C 0B 48 8B 4B 08 E8 ?? ?? ?? ?? EB 15 E8 ?? ?? ?? ?? 48 8B 53 08 49 83 C8 FF 48 8B C8 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_447_47_0 {
	meta:
		name = "?wait@Concurrency@@YAXI@Z"
		size = 113
		refs = "0013 ?Yield@Context@Concurrency@@SAXXZ 002b ??_7TimerObj@?6??wait@Concurrency@@YAXI@Z@6B@ 0035 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 0044 ?_Start@_Timer@details@Concurrency@@IEAAXXZ 0049 ?Block@Context@Concurrency@@SAXXZ 0051 ??_7_Timer@details@Concurrency@@6B@ 0068 ?_Stop@_Timer@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 83 EC 58 48 C7 44 24 20 FE FF FF FF 83 F9 01 73 07 E8 ?? ?? ?? ?? EB 53 48 83 64 24 30 00 89 4C 24 38 C6 44 24 3C 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 E8 ?? ?? ?? ?? 48 89 44 24 40 48 8D 4C 24 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 83 7C 24 30 00 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_448_2_0 {
	meta:
		name = "_wstat64"
		size = 1163
		refs = "0022 __security_cookie 003f __doserrno 0047 _errno 0052 _invalid_parameter_noinfo 0063 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 0068 wcspbrk 00a0 towlower 00af _getdrive 00cf __imp_FindFirstFileExW 00e3 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 011c _wfullpath 0168 wcslen 0176 IsRootUNCName 0183 __imp_GetDriveTypeW 019b free 01cf __loctotime64_t 0237 _wsopen_s 0254 _fstat64 025f _close 0288 __imp_FileTimeToSystemTime 02a2 __imp_SystemTimeToTzSpecificLocalTime 03e7 __imp_FindClose 03f3 __wdtoxmode 042d __imp_GetLastError 0434 _dosmaperr 046c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 45 33 E4 48 8B DA 48 8B F9 48 85 C9 75 1D E8 ?? ?? ?? ?? 44 89 20 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 03 04 00 00 48 85 D2 74 DE 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 18 E8 ?? ?? ?? ?? BB 02 00 00 00 89 18 E8 ?? ?? ?? ?? 89 18 E9 D5 03 00 00 66 83 7F 02 3A 75 1E 0F B7 0F 66 85 C9 74 07 66 44 39 67 04 74 D2 E8 ?? ?? ?? ?? 44 0F B7 E8 41 83 ED 60 EB 08 E8 ?? ?? ?? ?? 44 8B E8 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CF 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 8B F0 48 83 F8 FF 0F 85 1A 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF 49 8B F4 E8 ?? ?? ?? ?? 48 85 C0 0F 84 76 FF FF FF E8 ?? ?? ?? ?? 44 8B 38 E8 ?? ?? ?? ?? 48 8D 8D B0 01 00 00 41 B8 04 01 00 00 48 8B D7 44 89 20 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 38 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 31 FF FF FF E8 ?? ?? ?? ?? 45 33 C0 48 8B D7 33 C9 44 89 38 E8 ?? ?? ?? ?? 48 8B F0 4C 8B F0 4D 85 F6 0F 84 80 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 83 F8 03 74 0C 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 66 49 8B CE FF 15 ?? ?? ?? ?? 41 BE 01 00 00 00 41 3B C6 76 52 48 85 F6 74 08 48 8B CE E8 ?? ?? ?? ?? 83 4C 24 30 FF 45 33 C9 45 8B C6 41 8B D6 B9 BC 07 00 00 44 89 64 24 28 C7 44 24 60 10 00 00 00 4C 89 64 24 7C 66 44 89 65 8C 44 89 64 24 20 E8 ?? ?? ?? ?? 48 89 43 28 48 89 43 20 48 89 43 30 E9 07 02 00 00 48 85 F6 0F 84 84 FE FF FF 48 8B CE E8 ?? ?? ?? ?? E9 77 FE FF FF F7 44 24 60 00 04 00 00 74 64 81 7D 84 0C 00 00 A0 75 5B 83 4C 24 40 FF F6 44 24 60 10 45 8B C4 B8 00 20 00 00 48 8D 4C 24 40 41 B9 40 00 00 00 48 8B D7 44 0F 45 C0 44 89 64 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 2E FE FF FF 8B 4C 24 40 83 F9 FF 0F 84 21 FE FF FF 48 8B D3 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? E9 D3 01 00 00 44 39 64 24 74 75 0D 44 39 64 24 78 75 06 4C 89 63 28 EB 6A 48 8D 54 24 48 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 B4 01 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 9A 01 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 43 28 44 39 64 24 6C 75 0D 44 39 64 24 70 75 06 48 8B 43 28 EB 66 48 8D 54 24 48 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 19 01 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 FF 00 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 43 20 44 39 64 24 64 75 0D 44 39 64 24 68 75 06 48 8B 43 28 EB 66 48 8D 54 24 48 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 9B 00 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 81 00 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B CE 48 89 43 30 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 7C C7 43 08 01 00 00 00 66 89 43 06 8B 45 80 48 C1 E1 20 48 03 C8 41 8D 45 FF 66 44 89 63 04 89 03 89 43 10 33 C0 48 89 4B 18 66 44 89 63 0C EB 36 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CB FF 48 8B CE FF 15 ?? ?? ?? ?? 8B C3 EB 19 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 83 C8 FF 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_449_0_0 {
	meta:
		name = "__sse2_cosh2"
		size = 576
		refs = "000a __common_dcosh_data 022b __common_dcosh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 01 00 00 48 8D 05 ?? ?? ?? ?? 44 0F 29 9C 24 00 01 00 00 44 0F 29 94 24 E0 00 00 00 44 0F 29 84 24 C0 00 00 00 0F 29 BC 24 D0 00 00 00 0F 29 B4 24 F0 00 00 00 0F 28 F0 4C 89 AC 24 10 01 00 00 4C 8D 6C 24 6F 0F 28 15 ?? ?? ?? ?? 49 83 E5 C0 0F 28 CA 66 0F 73 D2 0B 0F 28 1D ?? ?? ?? ?? 0F 55 CE 66 0F 59 D9 0F 28 25 ?? ?? ?? ?? 66 0F 58 DC F3 44 0F 7E 05 ?? ?? ?? ?? 66 44 0F 70 D1 DD F3 0F 7E 3D ?? ?? ?? ?? 66 45 0F 66 D0 66 44 0F 70 C3 88 F3 44 0F 7E 1D ?? ?? ?? ?? 66 44 0F DB C7 66 45 0F FA D8 66 41 0F 6F F8 66 41 0F 72 F3 03 66 0F 72 F7 03 66 45 0F 7E D9 66 45 0F 70 DB 01 0F 28 05 ?? ?? ?? ?? 66 45 0F 7E DA 44 0F 28 DB 41 0F 50 D2 66 0F 73 F3 2C 66 44 0F 70 D7 01 0F 28 2D ?? ?? ?? ?? 66 44 0F 5C DC 66 0F 7E F9 66 45 0F 7E D0 0F 28 25 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 66 41 0F 59 E3 66 41 0F 59 FB 66 0F 5C CC 66 0F 5C CF 44 0F 28 D9 83 E2 03 66 44 0F 59 D9 66 41 0F 59 EB 66 41 0F 59 C3 66 0F 59 E9 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 E9 66 41 0F 59 C3 4D 63 C9 48 63 C9 4D 63 D2 4D 63 C0 F2 45 0F 10 14 01 F2 44 0F 10 04 01 66 45 0F 16 14 02 66 0F DB 1D ?? ?? ?? ?? 66 45 0F 16 04 00 66 44 0F FB D3 66 44 0F D4 C3 66 44 0F FB D2 41 0F 28 D0 66 41 0F 5C D2 66 45 0F 58 C2 66 0F 59 EA 66 41 0F 59 C0 66 0F 58 C5 66 41 0F 58 C0 75 3B 0F 28 B4 24 F0 00 00 00 0F 28 BC 24 D0 00 00 00 44 0F 28 84 24 C0 00 00 00 44 0F 28 94 24 E0 00 00 00 44 0F 28 9C 24 00 01 00 00 4C 8B AC 24 10 01 00 00 48 81 C4 18 01 00 00 C3 41 0F 29 75 00 41 0F 29 45 40 74 B9 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 45 40 EB 81 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D7 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_450_0_0 {
	meta:
		name = "_lsearch_s"
		size = 165
		refs = "002d _errno 0038 _invalid_parameter_noinfo 0081 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 49 8B F1 49 8B F8 48 8B DA 4C 8B F1 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 4A 4D 85 C0 74 E7 48 85 D2 74 E2 4D 85 C9 74 DD 48 39 6C 24 50 74 D6 41 39 28 76 1C 48 8B 4C 24 58 4C 8B C3 49 8B D6 FF 54 24 50 85 C0 74 19 FF C5 48 03 DE 3B 2F 72 E4 4C 8B C6 49 8B D6 48 8B CB E8 ?? ?? ?? ?? FF 07 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_451_0_0 {
	meta:
		name = "sqrt"
		size = 256
		refs = "0084 ??_C@_04EIAKFFMI@sqrt?$AA@ 008e _handle_error"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 58 48 BA 00 00 00 00 00 00 F0 7F F2 0F 11 44 24 68 49 B8 00 00 00 00 00 00 00 80 48 8B 4C 24 68 48 8B C1 48 23 C2 48 3B C2 0F 85 9D 00 00 00 48 B8 FF FF FF FF FF FF 0F 00 48 85 C8 74 4D F2 0F 10 4C 24 60 0F 57 C0 41 B9 01 00 00 00 44 89 4C 24 40 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 49 B8 00 00 00 00 00 00 08 00 C7 44 24 28 21 00 00 00 4C 0B C1 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 05 00 00 00 E8 ?? ?? ?? ?? EB 67 49 85 C8 74 50 F2 0F 10 4C 24 60 0F 57 C0 41 B9 01 00 00 00 44 89 4C 24 40 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 49 B8 00 00 00 00 00 00 F8 FF EB AC 49 85 C8 74 0F 48 B8 FF FF FF FF FF FF FF 7F 48 85 C8 EB AE F2 0F 51 4C 24 60 F2 0F 11 4C 24 70 F2 0F 10 44 24 70 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_452_0_0 {
	meta:
		name = "lroundl"
		size = 96
		refs = "0010 _ldtest 0027 roundl 002f __real@c1e0000000000000 003f __real@41dfffffffc00000 0055 _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 40 FF C8 83 F8 01 76 2F F2 0F 10 44 24 30 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? F2 0F 11 44 24 30 72 14 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 72 06 F2 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1318_0_0 {
	meta:
		name = "lround"
		size = 96
		refs = "0010 _dtest 0027 round 002f __real@c1e0000000000000 003f __real@41dfffffffc00000 0055 _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 40 FF C8 83 F8 01 76 2F F2 0F 10 44 24 30 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? F2 0F 11 44 24 30 72 14 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 72 06 F2 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_453_0_0 {
	meta:
		name = "__sse2_ceilf4"
		size = 96
		refs = "0015 s_dw7f800000_1933_0_1 0029 s_dw4affffff_1933_0_1 0049 s_dwbf800000_1933_0_1"
	strings:
		$1 = { 66 0F 6F C8 F3 0F 5B D0 66 0F 72 E1 1F 66 0F 6F D8 66 0F DB 05 ?? ?? ?? ?? 0F 5B D2 66 0F 6F E9 66 0F 72 F1 1F 66 0F 66 05 ?? ?? ?? ?? 66 0F EB D1 66 0F 6F E3 66 0F DB D8 66 0F DF C2 66 0F EB C3 66 0F 76 E0 66 0F DF 25 ?? ?? ?? ?? 66 0F DF EC 0F 5C C5 C3 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_455_0_0 {
	meta:
		name = "modff"
		size = 144
	strings:
		$1 = { 0F 28 C8 F3 0F 11 4C 24 08 44 8B 44 24 08 41 8B C0 C1 E8 17 0F B6 C8 83 E9 7F 79 1A 41 81 E0 00 00 00 80 44 89 44 24 08 F3 0F 10 44 24 08 F3 0F 11 02 0F 28 C1 C3 41 B9 17 00 00 00 41 3B C9 7D 24 44 2B C9 B8 01 00 00 00 41 8A C9 D3 E0 FF C8 F7 D0 41 23 C0 89 44 24 08 F3 0F 10 44 24 08 F3 0F 5C C8 EB C9 41 8B C0 F3 0F 11 0A 0F BA F0 1F 3D 00 00 80 7F 76 06 F3 0F 58 C9 EB B5 41 81 E0 00 00 00 80 44 89 44 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_457_4_0 {
	meta:
		name = "_mbspbrk_l"
		size = 207
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002f strpbrk 0040 _errno 004b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 8B 54 24 28 83 7A 08 00 75 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 7C 48 85 DB 74 05 48 85 FF 75 63 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5E 80 3F 00 48 8B CF 74 2D 0F B6 01 F6 44 10 19 04 74 17 3A 03 75 08 8A 43 01 38 41 01 74 17 80 79 01 00 74 11 48 FF C1 EB 04 3A 03 74 08 48 FF C1 80 39 00 75 D3 80 39 00 75 1A 0F B6 03 F6 44 10 19 04 74 08 48 FF C3 80 3B 00 74 08 48 FF C3 80 3B 00 75 AC 8A 03 F6 D8 48 1B C0 48 23 C3 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_458_0_0 {
	meta:
		name = "modf"
		size = 190
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 0F 28 C8 4C 8B 44 24 08 49 8B C0 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B C1 72 32 48 B9 00 00 00 00 00 00 F0 7F F2 0F 11 02 48 3B C1 76 06 F2 0F 58 C9 EB 74 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 08 F2 0F 10 44 24 08 C3 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 1A 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 08 F2 0F 10 44 24 08 EB 2E 49 8B C0 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 49 23 C0 48 89 44 24 08 F2 0F 10 44 24 08 F2 0F 5C C8 F2 0F 11 02 0F 28 C1 C3 }
	condition:
		$1
}

rule file_459_52_0 {
	meta:
		name = "??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z"
		size = 47
		refs = "0010 ??0exception@std@@QEAA@XZ 0017 ??_7scheduler_resource_allocation_error@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 89 5F 18 48 8B 5C 24 30 48 89 07 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_53_0 {
	meta:
		name = "??0scheduler_resource_allocation_error@Concurrency@@QEAA@PEBDJ@Z"
		size = 58
		refs = "001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7scheduler_resource_allocation_error@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8D 54 24 38 41 8B F8 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 89 7B 18 48 89 03 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_460_0_0 {
	meta:
		name = "copysignf"
		size = 52
	strings:
		$1 = { F3 0F 11 44 24 08 F3 0F 11 4C 24 10 8B 44 24 10 8B C8 BA FF 7F 00 00 C1 E8 10 C1 E9 10 66 33 4C 24 0A 66 23 CA 66 33 C8 66 89 4C 24 0A F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_462_0_0 {
	meta:
		name = "logbf"
		size = 106
		refs = "0015 _fdunscale 0046 _FInf_C 0052 _fperrraise 0061 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 2C FF C9 74 1E FF C9 74 12 0F B7 44 24 38 66 FF C8 98 66 0F 6E C0 0F 5B C0 EB 2B F3 0F 10 44 24 30 EB 23 F3 0F 10 05 ?? ?? ?? ?? EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_467_4_0 {
	meta:
		name = "_mbsnccnt_l"
		size = 152
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 75 19 48 85 DB 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 D2 EB 3C 33 D2 48 85 DB 74 35 48 8B 4C 24 28 48 FF CB 80 3F 00 74 28 0F B6 07 F6 44 08 19 04 74 13 48 8B C3 48 FF CB 48 85 C0 74 13 48 FF C7 80 3F 00 74 0B 48 FF C2 48 FF C7 48 85 DB 75 D0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_468_4_0 {
	meta:
		name = "_mbsncpy_l"
		size = 228
		refs = "0028 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0041 _errno 004c _invalid_parameter_noinfo 0069 strncpy 00a9 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B D9 48 8B E9 48 8B F2 48 8D 48 D8 49 8B D1 49 8B F8 E8 ?? ?? ?? ?? 48 85 DB 75 05 48 85 FF 75 0A 48 85 F6 75 19 48 85 FF 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 ED EB 59 48 8B 4C 24 28 83 79 08 00 75 13 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 EB 3B 48 85 FF 74 36 0F B6 06 48 FF CF F6 44 08 19 04 88 03 74 52 8A 46 01 48 83 C3 02 48 83 C6 02 88 43 FF 84 C0 75 DA 88 43 FE 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 60 48 8B C5 48 8B 6C 24 58 48 83 C4 40 5F C3 48 FF C3 48 FF C6 84 C0 74 B9 EB 8E }
	condition:
		$1
}

rule file_469_3_0 {
	meta:
		name = "_wcsicmp"
		size = 132
		refs = "0010 __locale_changed 001c _errno 0027 _invalid_parameter_noinfo 0080 _wcsicmp_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 4C 8B CA 4C 8B D1 44 39 05 ?? ?? ?? ?? 75 65 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B D2 43 0F B7 14 0A 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 41 0F B7 09 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 49 83 C1 02 66 85 D2 74 05 66 3B D1 74 CF 0F B7 C9 0F B7 C2 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_525_3_0 {
	meta:
		name = "_wcsicoll"
		size = 132
		refs = "0010 __locale_changed 001c _errno 0027 _invalid_parameter_noinfo 0080 _wcsicoll_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 4C 8B CA 4C 8B D1 44 39 05 ?? ?? ?? ?? 75 65 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B D2 43 0F B7 14 0A 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 41 0F B7 09 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 49 83 C1 02 66 85 D2 74 05 66 3B D1 74 CF 0F B7 C9 0F B7 C2 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_469_4_0 {
	meta:
		name = "_wcsicmp_l"
		size = 237
		refs = "0022 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0033 _errno 003e _invalid_parameter_noinfo 0094 _towlower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B F1 48 8B FA 48 8D 48 D8 49 8B D0 E8 ?? ?? ?? ?? 33 ED 48 85 F6 74 05 48 85 FF 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F EB 7C 48 8B 44 24 20 48 39 A8 38 01 00 00 75 34 48 2B F7 0F B7 1C 3E 8D 43 BF 66 83 F8 19 77 04 66 83 C3 20 0F B7 0F 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 48 83 C7 02 66 85 DB 74 39 66 3B D9 74 D1 EB 32 0F B7 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 0F B7 0F 48 8D 54 24 20 0F B7 D8 48 8D 76 02 E8 ?? ?? ?? ?? 48 8D 7F 02 0F B7 C8 66 85 DB 74 05 66 3B D8 74 CE 0F B7 C9 0F B7 C3 2B C1 40 38 6C 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_470_3_0 {
	meta:
		name = "_searchenv_s"
		size = 814
		refs = "0017 __security_cookie 0046 _errno 0051 _invalid_parameter_noinfo 0088 _access_s 00a3 _fullpath 00c3 _dupenv_s 00eb strlen 0119 _calloc_crt 015f _getpath 0215 strcpy_s 0252 free 02d7 __security_check_cookie 02ff _invoke_watson"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 78 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 01 00 00 33 F6 4D 8B E1 4C 89 4C 24 40 4D 8B F0 4C 8B EA 4C 8B F9 48 89 74 24 30 8B EE 4D 85 C0 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 E9 6C 02 00 00 4D 85 C9 74 E1 48 85 C9 75 05 41 88 30 EB D7 40 38 31 75 08 41 88 30 E9 20 02 00 00 E8 ?? ?? ?? ?? 33 D2 49 8B CF 8B 38 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 38 85 DB 75 1F 4D 8B C4 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 FD 01 00 00 41 88 36 E9 EE 01 00 00 48 8D 4C 24 30 4D 8B C5 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 85 C4 01 00 00 E9 16 02 00 00 48 8B 5C 24 30 48 85 DB 0F 84 B1 01 00 00 49 8B CF E8 ?? ?? ?? ?? BF 08 01 00 00 48 8D 6C 24 50 4C 8B E8 48 3B C7 72 37 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 78 02 49 03 FD 48 8B CF E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 13 41 88 36 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 6E 01 00 00 E8 ?? ?? ?? ?? 8B 00 89 44 24 38 48 85 DB 0F 84 4C 01 00 00 4C 8B C7 48 8B D5 48 8B CB 4D 2B C5 4C 8B E3 49 FF C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 5F 48 8D 44 24 50 48 3B E8 0F 85 1F 01 00 00 E8 ?? ?? ?? ?? 83 38 22 0F 85 11 01 00 00 49 8B CC E8 ?? ?? ?? ?? 49 8D 7D 02 8D 53 01 48 03 F8 48 8B CF E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 0F 84 78 FF FF FF 4C 8B C7 48 8B D0 49 8B CC 4D 2B C5 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 CE 00 00 00 40 38 75 00 0F 84 C4 00 00 00 48 8B CD E8 ?? ?? ?? ?? 4C 8B E0 48 8D 0C 28 0F BE 41 FF 83 C0 D1 83 F8 2D 77 10 48 BA 01 08 00 00 00 20 00 00 48 0F A3 C2 72 09 C6 01 5C 48 FF C1 49 FF C4 48 8B D7 4D 8B C7 48 2B D1 48 03 D5 E8 ?? ?? ?? ?? 85 C0 0F 85 F8 00 00 00 33 D2 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 10 FF FF FF 48 8B 5C 24 40 4B 8D 04 2C 48 3B C3 72 22 48 8D 44 24 50 41 88 36 48 3B E8 74 08 48 8B CD E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 43 E8 ?? ?? ?? ?? 8B 4C 24 38 4C 8B C5 89 08 49 8B CE 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 80 00 00 00 48 8D 44 24 50 48 3B E8 74 1F 48 8B CD E8 ?? ?? ?? ?? EB 15 41 88 36 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 30 48 8D 44 24 50 48 3B E8 74 08 48 8B CD E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 60 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 78 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_472_0_0 {
	meta:
		name = "_dscale"
		size = 605
		refs = "006a _dnorm 008b _Inf_C 009f __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 48 8B D9 0F B7 49 06 BD FF 07 00 00 66 C1 E9 04 8B F2 66 23 CD 66 3B CD 75 28 F6 43 06 0F 75 13 33 FF 66 39 7B 02 75 0B 66 39 3B 75 06 44 8D 5F 01 EB 06 41 BB 02 00 00 00 41 0F B7 C3 E9 DF 01 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C C1 01 00 00 85 F6 7E 33 0F BF C1 2B E8 3B EE 7F 2A F2 0F 10 05 ?? ?? ?? ?? 41 BE 00 80 00 00 66 44 85 73 06 74 07 0F 57 05 ?? ?? ?? ?? F2 0F 11 03 B8 01 00 00 00 E9 8D 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 1C 66 03 F1 B8 0F 80 00 00 66 21 43 06 66 C1 E6 04 66 09 73 06 83 C8 FF E9 66 01 00 00 0F B7 4B 06 FF CE 41 BC 10 00 00 00 44 0F B7 F9 03 F2 66 83 E1 0F 66 41 0B CC 8D 46 35 41 BE 00 80 00 00 66 45 23 FE 66 89 4B 06 83 F8 34 0F 87 28 01 00 00 0F B7 EF 45 8D 5C 24 F1 66 83 FE F0 7F 4A B8 F0 FF 00 00 44 0F B7 C1 0F B7 4B 02 66 2B C6 66 C1 E8 04 66 41 03 C3 0F B7 D0 0F B7 C2 66 C1 E0 04 66 03 F0 66 85 ED 8B C7 0F 95 C0 0F B7 E8 66 0B 2B 66 89 0B 41 0F B7 C8 44 8B C7 49 2B D3 75 E3 66 89 7B 06 66 89 4B 02 66 F7 DE 74 6F 44 0F B7 03 44 0F B7 4B 02 44 0F BF D6 45 2B E2 41 0F B7 D0 8B C7 41 8B CC 66 D3 E2 66 85 ED 0F B7 CE 0F 95 C0 66 41 D3 E8 0F B7 EA 0F B7 53 06 66 0B E8 41 0F B7 C1 41 8B CC 66 D3 E0 41 8B CA 66 41 D3 C9 66 44 0B C0 0F B7 CE 66 41 D3 E9 41 8B CC 0F B7 C2 66 D3 E0 41 8B CA 66 44 89 03 66 44 0B C8 66 D3 EA 66 89 53 06 66 44 89 4B 02 66 44 09 7B 06 0F B7 43 06 66 44 3B F5 72 07 75 2D 44 84 1B 74 28 66 44 01 1B 75 22 66 44 01 5B 02 0F B7 4B 02 75 17 66 41 03 CB 66 89 4B 02 75 0D 66 41 03 C3 66 89 43 06 E9 BA FE FF FF 66 41 3B C7 0F 85 B0 FE FF FF 66 39 7B 02 0F 85 A6 FE FF FF 66 39 3B 74 0C E9 9C FE FF FF 66 44 89 7B 06 89 3B 0F B7 C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_472_1_0 {
	meta:
		name = "_fdscale"
		size = 468
		refs = "005c _fdnorm 007d _FInf_C 0091 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B D9 0F B7 49 02 BD FF 00 00 00 66 C1 E9 07 8B F2 66 23 CD 66 3B CD 75 1E F6 43 02 7F 75 0E 33 FF 8D 47 01 66 39 3B 0F 84 72 01 00 00 B8 02 00 00 00 E9 68 01 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C 4A 01 00 00 85 F6 7E 33 0F BF C1 2B E8 3B EE 7F 2A F3 0F 10 05 ?? ?? ?? ?? 41 BB 00 80 00 00 66 44 85 5B 02 74 07 0F 57 05 ?? ?? ?? ?? F3 0F 11 03 B8 01 00 00 00 E9 16 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 21 B8 7F 80 00 00 66 03 F1 66 21 43 02 B8 80 00 00 00 66 0F AF F0 66 09 73 02 83 C8 FF E9 EA 00 00 00 0F B7 4B 02 B8 80 00 00 00 44 8D 56 FF 0F B7 E9 66 83 E1 7F 44 03 D2 66 0B C8 41 8D 42 18 41 BB 00 80 00 00 66 41 23 EB 66 89 4B 02 83 F8 17 0F 87 AB 00 00 00 0F B7 F7 41 BE 10 00 00 00 66 41 83 FA F0 7F 0E 0F B7 33 66 89 7B 02 66 45 03 D6 66 89 0B 66 41 F7 DA 74 4A 44 0F B7 03 8B C7 45 0F BF CA 45 2B F1 41 0F B7 D0 41 8B CE 66 D3 E2 66 85 F6 41 0F B7 CA 0F 95 C0 66 41 D3 E8 0F B7 F2 0F B7 53 02 66 0B F0 41 8B CE 0F B7 C2 66 D3 E0 41 8B C9 66 44 0B C0 66 D3 EA 66 89 53 02 66 44 89 03 66 09 6B 02 0F B7 4B 02 B8 01 00 00 00 66 44 3B DE 72 06 75 15 84 03 74 11 66 01 03 75 0C 66 03 C8 66 89 4B 02 E9 2B FF FF FF 66 3B CD 0F 85 22 FF FF FF 66 39 3B 74 0C E9 18 FF FF FF 66 89 6B 02 66 89 3B 0F B7 C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_62_0_1 {
	meta:
		name = "_FDscale"
		size = 468
		refs = "005c _FDnorm 007d _FInf 0091 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B D9 0F B7 49 02 BD FF 00 00 00 66 C1 E9 07 8B F2 66 23 CD 66 3B CD 75 1E F6 43 02 7F 75 0E 33 FF 8D 47 01 66 39 3B 0F 84 72 01 00 00 B8 02 00 00 00 E9 68 01 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C 4A 01 00 00 85 F6 7E 33 0F BF C1 2B E8 3B EE 7F 2A F3 0F 10 05 ?? ?? ?? ?? 41 BB 00 80 00 00 66 44 85 5B 02 74 07 0F 57 05 ?? ?? ?? ?? F3 0F 11 03 B8 01 00 00 00 E9 16 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 21 B8 7F 80 00 00 66 03 F1 66 21 43 02 B8 80 00 00 00 66 0F AF F0 66 09 73 02 83 C8 FF E9 EA 00 00 00 0F B7 4B 02 B8 80 00 00 00 44 8D 56 FF 0F B7 E9 66 83 E1 7F 44 03 D2 66 0B C8 41 8D 42 18 41 BB 00 80 00 00 66 41 23 EB 66 89 4B 02 83 F8 17 0F 87 AB 00 00 00 0F B7 F7 41 BE 10 00 00 00 66 41 83 FA F0 7F 0E 0F B7 33 66 89 7B 02 66 45 03 D6 66 89 0B 66 41 F7 DA 74 4A 44 0F B7 03 8B C7 45 0F BF CA 45 2B F1 41 0F B7 D0 41 8B CE 66 D3 E2 66 85 F6 41 0F B7 CA 0F 95 C0 66 41 D3 E8 0F B7 F2 0F B7 53 02 66 0B F0 41 8B CE 0F B7 C2 66 D3 E0 41 8B C9 66 44 0B C0 66 D3 EA 66 89 53 02 66 44 89 03 66 09 6B 02 0F B7 4B 02 B8 01 00 00 00 66 44 3B DE 72 06 75 15 84 03 74 11 66 01 03 75 0C 66 03 C8 66 89 4B 02 E9 2B FF FF FF 66 3B CD 0F 85 22 FF FF FF 66 39 3B 74 0C E9 18 FF FF FF 66 89 6B 02 66 89 3B 0F B7 C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_473_0_0 {
	meta:
		name = "_fsopen"
		size = 213
		refs = "0030 _errno 003b _invalid_parameter_noinfo 005b _getstream 0096 _local_unwind 00ad _openfile 00b8 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 56 48 83 EC 30 48 89 64 24 20 45 8B F0 48 8B FA 48 8B F1 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 7C 33 C0 48 85 D2 0F 95 C0 85 C0 74 E0 33 C0 38 02 0F 95 C0 85 C0 74 D5 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 40 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB C6 80 3E 00 75 22 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 8D 15 0C 00 00 00 48 8B 4C 24 20 E8 ?? ?? ?? ?? 90 90 33 C0 EB 1F 4C 8B C8 45 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_473_1_0 {
	meta:
		name = "_fsopen$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "fwprintf$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 40 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_473_3_0 {
	meta:
		name = "fopen_s"
		size = 83
		refs = "0015 _errno 0021 _invalid_parameter_noinfo 0036 _fsopen"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4C 8B CA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 41 B8 80 00 00 00 48 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 04 33 C0 EB 07 E8 ?? ?? ?? ?? 8B 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1358_1_0 {
	meta:
		name = "_wfopen_s"
		size = 83
		refs = "0015 _errno 0021 _invalid_parameter_noinfo 0036 _wfsopen"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4C 8B CA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 41 B8 80 00 00 00 48 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 04 33 C0 EB 07 E8 ?? ?? ?? ?? 8B 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_474_0_0 {
	meta:
		name = "memchr"
		size = 27
	strings:
		$1 = { 4D 85 C0 74 0C 38 11 74 08 48 FF C1 49 FF C8 75 F4 49 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_475_0_0 {
	meta:
		name = "_strdate"
		size = 272
		refs = "0009 __security_cookie 001e _errno 0029 _invalid_parameter_noinfo 003e __imp_GetLocalTime 0106 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 C9 00 00 00 C6 01 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 22 44 0F B7 4C 24 20 44 0F B7 44 24 26 41 B3 30 41 BA 67 66 66 66 B8 1F 85 EB 51 C6 43 05 2F C6 43 02 2F C6 43 08 00 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 64 44 2B C8 41 8B C2 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 88 03 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 02 CB 88 4B 01 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 88 4B 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 45 02 C3 44 88 43 04 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 8B C3 41 8D 0C 13 88 4B 06 8A CA C0 E2 02 02 CA 02 C9 44 2A C9 45 02 CB 44 88 4B 07 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_475_1_0 {
	meta:
		name = "_strdate_s"
		size = 303
		refs = "0009 __security_cookie 0034 _errno 0049 __imp_GetLocalTime 0116 _invalid_parameter_noinfo 0125 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 0F 84 E8 00 00 00 48 85 D2 0F 84 DF 00 00 00 C6 01 00 48 83 FA 09 73 0F E8 ?? ?? ?? ?? BB 22 00 00 00 E9 D1 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 22 44 0F B7 4C 24 20 44 0F B7 44 24 26 41 B3 30 41 BA 67 66 66 66 B8 1F 85 EB 51 C6 43 05 2F C6 43 02 2F C6 43 08 00 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 64 44 2B C8 41 8B C2 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 88 03 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 02 CB 88 4B 01 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 88 4B 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 45 02 C3 44 88 43 04 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 88 43 06 8A C2 C0 E2 02 02 C2 02 C0 44 2A C8 45 02 CB 33 C0 44 88 4B 07 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_476_0_0 {
	meta:
		name = "__loctotime32_t"
		size = 690
		refs = "0017 __security_cookie 0089 _days 015d __tzset 0166 _get_daylight 0177 _get_dstbias 0188 _get_timezone 0239 _isindst 0249 _errno 025e __security_check_cookie 0283 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 33 FF 8D 99 94 F8 FF FF 45 8B E9 8D 43 BA 48 63 F2 89 7D B8 89 7D BC 89 7D C0 3D 06 04 00 00 0F 87 01 02 00 00 8D 46 FF 83 F8 0B 0F 87 F5 01 00 00 41 83 F9 17 0F 87 EB 01 00 00 44 8B 7D 68 41 83 FF 3B 0F 87 DD 01 00 00 44 8B 65 70 41 83 FC 3B 0F 87 CF 01 00 00 44 8D 57 01 45 3B C2 0F 8C C2 01 00 00 48 8D 0D ?? ?? ?? ?? 41 BB 1F 85 EB 51 44 8B 4C B1 FC 8B 0C B1 41 2B C9 41 3B C8 7D 62 8B C3 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 16 41 8B C3 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 3B D9 75 23 8D 8B 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 0F 85 56 01 00 00 83 FE 02 0F 85 4D 01 00 00 41 83 F8 1D 0F 8F 43 01 00 00 8B C3 47 8D 34 01 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 16 41 8B C3 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 3B D9 75 1F 8D 8B 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 75 08 83 FE 02 7E 03 45 03 F2 E8 ?? ?? ?? ?? 48 8D 4D B8 E8 ?? ?? ?? ?? 85 C0 0F 85 2B 01 00 00 48 8D 4D BC E8 ?? ?? ?? ?? 85 C0 0F 85 05 01 00 00 48 8D 4D C0 E8 ?? ?? ?? ?? 85 C0 0F 85 DF 00 00 00 41 BA 1F 85 EB 51 8D 8B 2B 01 00 00 44 8D 43 FF 41 8B C2 41 8D BC 24 80 81 55 7C 44 89 75 E4 89 5D DC 44 89 6D D0 44 89 7D CC F7 E9 44 8B CA 41 8B C2 44 89 65 C8 41 C1 F9 07 41 8B C9 41 F7 E8 C1 E9 1F C1 FA 05 41 8B C0 44 03 C9 8B CA C1 E9 1F 03 D1 44 2B CA 99 83 E2 03 03 C2 69 CB 6D 01 00 00 C1 F8 02 41 03 C6 41 03 C1 03 C8 8D 04 49 8D 0C C5 00 00 00 00 41 03 CD 6B C1 3C 41 03 C7 6B C8 3C 8D 46 FF 03 4D C0 89 45 D8 03 F9 83 7D 78 01 74 19 83 7D 78 FF 75 16 83 7D B8 00 74 10 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 74 03 03 7D BC 8B C7 EB 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_477_0_0 {
	meta:
		name = "__avx_logf8"
		size = 544
		refs = "003f __common_slog_data 0217 __common_slog_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 B4 24 F0 01 00 00 C5 7C 11 A4 24 D0 01 00 00 C5 7C 11 9C 24 B0 01 00 00 C5 7C 11 8C 24 90 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 2F 01 00 00 C5 F8 10 25 ?? ?? ?? ?? 49 83 E5 C0 C5 F8 10 2D ?? ?? ?? ?? C5 F8 10 0D ?? ?? ?? ?? C5 F8 10 15 ?? ?? ?? ?? C5 79 FA F4 C4 E3 7D 19 C3 01 C4 C1 21 72 E6 17 C5 61 FA E4 C5 09 DB F5 C4 C1 31 72 E4 17 C5 99 DB ED C5 09 FE F4 C5 D1 FE E4 C5 F9 FE E9 C5 E1 FE C9 C5 E9 66 D9 C5 F1 EF C9 C4 43 25 18 C9 01 C4 41 7C 5B D9 C5 69 66 CD C5 B1 6B D3 C5 E9 63 D9 C5 F9 D7 D3 C5 24 59 1D ?? ?? ?? ?? C4 E3 0D 18 E4 01 C5 DC 5C 15 ?? ?? ?? ?? C5 EC 59 25 ?? ?? ?? ?? C5 DC 58 2D ?? ?? ?? ?? C5 54 59 CA C5 34 58 25 ?? ?? ?? ?? C5 1C 59 F2 C5 8C 58 0D ?? ?? ?? ?? C5 F4 59 DA C5 E4 58 25 ?? ?? ?? ?? C5 DC 59 EA C5 54 58 0D ?? ?? ?? ?? C5 34 59 E2 C5 1C 58 35 ?? ?? ?? ?? C5 8C 59 CA C5 F4 59 DA C5 E4 58 D2 C5 A4 58 CA 84 D2 75 38 C5 7C 10 8C 24 90 01 00 00 C5 7C 10 9C 24 B0 01 00 00 C5 7C 10 A4 24 D0 01 00 00 C5 7C 10 B4 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 B8 33 C0 C5 FC 11 B4 24 C0 00 00 00 C5 FC 11 BC 24 A0 00 00 00 C5 7C 11 84 24 80 00 00 00 C5 7C 11 54 24 60 C5 7C 11 6C 24 40 C5 7C 11 7C 24 20 48 89 9C 24 E8 00 00 00 8B D8 48 89 B4 24 E0 00 00 00 8B F2 0F A3 DE 72 4F FF C3 83 FB 20 7C F4 C5 FC 10 B4 24 C0 00 00 00 C5 FC 10 BC 24 A0 00 00 00 C5 7C 10 84 24 80 00 00 00 C5 7C 10 54 24 60 C5 7C 10 6C 24 40 C5 7C 10 7C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 E8 00 00 00 48 8B B4 24 E0 00 00 00 E9 21 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 9D 0F 1F 00 }
	condition:
		$1
}

rule file_478_0_0 {
	meta:
		name = "__GSHandlerCheck_EH"
		size = 143
		refs = "0034 __GSHandlerCheckCommon 006a __CxxFrameHandler3"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B 59 38 48 8B F2 4D 8B F0 48 8B E9 4C 8D 43 04 49 8B D1 48 8B CE 49 8B F9 E8 ?? ?? ?? ?? 44 8B 5B 04 44 8B 55 04 41 8B C3 41 83 E3 02 41 B8 01 00 00 00 41 23 C0 41 80 E2 66 44 0F 44 D8 45 85 DB 74 14 4C 8B CF 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 44 8B C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 41 8B C0 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_479_0_0 {
	meta:
		name = "__chkstk"
		size = 78
	strings:
		$1 = { 48 83 EC 10 4C 89 14 24 4C 89 5C 24 08 4D 33 DB 4C 8D 54 24 18 4C 2B D0 4D 0F 42 D3 65 4C 8B 1C 25 10 00 00 00 4D 3B D3 73 16 66 41 81 E2 00 F0 4D 8D 9B 00 F0 FF FF 41 C6 03 00 4D 3B D3 75 F0 4C 8B 14 24 4C 8B 5C 24 08 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_480_0_0 {
	meta:
		name = "log10"
		size = 1467
		refs = "000c __use_fma3_lib 002d __int_1023 0039 __real_inf 0057 __mask_mant 005f __real_one 0067 __real_neg_1023 0075 __real_notsign 007f __mask_mant_top8 0086 __mask_mant9 0099 __real_threshold 00ab __real_half 00ba __log_F_inv_qword 00e1 __log10_256_lead 00e9 __real_1_over_6 00f1 __real_1_over_3 0109 __real_1_over_5 0111 __real_1_over_2 0125 __real_1_over_4 0139 __real_log10_2_tail 0141 __real_log10_e 0156 __log10_256_tail 0163 __real_log10_2_lead 0194 __real_two 01b0 __real_ca2 01b8 __real_ca4 01dc __real_ca1 01e4 __real_ca3 0200 __real_log10_e_tail 0210 __real_log10_e_lead 021c __mask_lower 0281 __mask_2045 0296 __real_ninf 029d __flag_x_zero 02a2 _log10_special 02b4 __real_neg_qnan 02bb __flag_x_neg 02e5 __real_qnanbit 02f1 __flag_x_nan"
	strings:
		$1 = { 48 83 EC 58 66 0F 7F 74 24 20 83 3D ?? ?? ?? ?? 00 0F 85 F9 02 00 00 66 0F 28 D8 66 0F 28 E0 66 0F 73 D3 34 66 48 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 66 0F 28 E8 66 0F 54 2D ?? ?? ?? ?? 66 0F 2F 2D ?? ?? ?? ?? 0F 84 85 02 00 00 66 0F 28 D0 F3 0F E6 F3 66 0F DB 15 ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 E6 01 00 00 66 0F 54 25 ?? ?? ?? ?? 4C 8B C8 48 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? 49 D1 E1 49 03 C1 66 48 0F 6E C8 66 0F 2F 25 ?? ?? ?? ?? 0F 82 ED 00 00 00 48 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 66 0F 57 ED 66 0F 2F C5 0F 86 C4 01 00 00 F2 0F 5C CA F2 41 0F 59 0C C1 66 0F 28 D1 66 0F 28 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CA F2 0F 59 DC F2 0F 58 CB F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C E9 F2 41 0F 10 04 C1 48 8D 15 ?? ?? ?? ?? F2 0F 10 14 C2 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E6 F2 0F 58 C4 F2 0F 58 D5 F2 0F 58 C2 66 0F 6F 74 24 20 48 83 C4 58 C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 58 D0 66 0F 28 C8 F2 0F 5E CA F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? 66 0F 28 F0 F2 0F 59 F1 F2 0F 58 C9 66 0F 28 D1 F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 EA F2 0F 58 25 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 D2 F2 0F 59 D1 F2 0F 59 EA F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 E5 F2 0F 5C E6 F2 0F 10 35 ?? ?? ?? ?? 66 0F 28 D8 66 0F DB 1D ?? ?? ?? ?? F2 0F 5C C3 F2 0F 58 E0 66 0F 28 C3 66 0F 28 CC F2 0F 59 E2 F2 0F 59 C2 F2 0F 59 CE F2 0F 59 DE F2 0F 58 C4 F2 0F 58 C1 F2 0F 58 C3 66 0F 6F 74 24 20 48 83 C4 58 C3 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 48 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 E3 FD FF FF 66 90 75 1E F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 66 66 0F 1F 84 00 00 00 00 00 48 3B 05 ?? ?? ?? ?? 74 27 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 0F 1F 40 00 66 0F 6F 74 24 20 48 83 C4 58 C3 0F 1F 44 00 00 48 33 C0 C5 E1 73 D0 34 C4 E1 F9 7E C0 C5 E1 FB 1D ?? ?? ?? ?? C5 FA E6 F3 C5 F9 DB 2D ?? ?? ?? ?? C5 F9 2F 2D ?? ?? ?? ?? 0F 84 41 02 00 00 C5 D1 EF ED C5 F9 2F C5 0F 86 E3 01 00 00 C5 F9 DB 15 ?? ?? ?? ?? C5 FB 5C 25 ?? ?? ?? ?? C5 F9 2F 35 ?? ?? ?? ?? 0F 84 8E 01 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 F9 DB 1D ?? ?? ?? ?? C5 E1 73 F3 01 C5 E1 D4 C9 C4 E1 F9 7E C8 C5 D9 DB 25 ?? ?? ?? ?? C5 F9 2F 25 ?? ?? ?? ?? 0F 82 B1 00 00 00 48 C1 E8 2C C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? C5 F3 5C CA C4 C1 73 59 0C C1 4C 8D 0D ?? ?? ?? ?? C5 F3 59 C1 C5 FB 10 1D ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C4 E2 F1 A9 1D ?? ?? ?? ?? C4 E2 F1 A9 2D ?? ?? ?? ?? F2 0F 10 E0 C4 E2 F1 A9 1D ?? ?? ?? ?? C5 FB 59 E0 C4 E2 D1 B9 C8 C4 E2 E1 B9 CC C5 F3 59 0D ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C4 E2 C9 AB E9 F2 41 0F 10 04 C1 48 8D 15 ?? ?? ?? ?? F2 0F 10 14 C2 C5 EB 58 D5 C4 E2 C9 B9 05 ?? ?? ?? ?? C5 FB 58 C2 C5 F9 6F 74 24 20 48 83 C4 58 C3 90 C5 FB 10 15 ?? ?? ?? ?? C5 FB 5C 05 ?? ?? ?? ?? C5 EB 58 D0 C5 FB 5E CA C5 FB 10 25 ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C5 FB 59 F1 C5 F3 58 C9 C5 F3 59 D1 C4 E2 E9 A9 25 ?? ?? ?? ?? C4 E2 E9 A9 2D ?? ?? ?? ?? C5 EB 59 D1 C5 DB 59 E2 C5 EB 59 D2 C5 EB 59 D1 C5 D3 59 EA C5 DB 58 E5 C5 DB 5C E6 C5 F9 DB 1D ?? ?? ?? ?? C5 FB 5C C3 C5 DB 58 E0 C5 DB 59 0D ?? ?? ?? ?? C5 DB 59 25 ?? ?? ?? ?? C5 E3 59 05 ?? ?? ?? ?? C5 E3 59 1D ?? ?? ?? ?? C5 FB 58 C4 C5 FB 58 C1 C5 FB 58 C3 C5 F9 6F 74 24 20 48 83 C4 58 C3 C5 E9 EB 15 ?? ?? ?? ?? C5 EB 5C 15 ?? ?? ?? ?? C5 D1 73 D2 34 C5 E9 DB 15 ?? ?? ?? ?? C5 F9 28 C2 C5 D1 FA 2D ?? ?? ?? ?? C5 FA E6 F5 E9 40 FE FF FF 0F 1F 44 00 00 75 2E C5 FB 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 74 24 20 48 83 C4 58 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 FB 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C5 F9 6F 74 24 20 48 83 C4 58 C3 90 48 3B 05 ?? ?? ?? ?? 74 27 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 0F 1F 40 00 C5 F9 6F 74 24 20 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_483_0_0 {
	meta:
		name = "_openfile"
		size = 697
		refs = "0018 _commode 0052 _errno 005d _invalid_parameter_noinfo 01a0 ?ccsField@?P@??_openfile@@9@9 01ae _mbsnbcmp 01dc ?utf8encoding@?P@??_openfile@@9@9 01ea _mbsnbicmp 01ff ?utf16encoding@?P@??_openfile@@9@9 0222 ?unicodeencoding@?P@??_openfile@@9@9 026e _sopen_s 027d _cflush"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 55 41 56 41 57 48 83 EC 30 8B 35 ?? ?? ?? ?? 4D 8B F1 45 33 C9 45 33 D2 45 33 DB 80 3A 20 45 8D 69 01 41 8B E8 48 8B DA 4C 8B F9 75 08 49 03 DD 80 3B 20 74 F8 80 3B 61 74 2F 80 3B 72 74 23 80 3B 77 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 3A 02 00 00 BF 01 03 00 00 EB 0C 33 FF 41 0B F5 EB 08 BF 09 01 00 00 83 CE 02 49 03 DD 41 8B D5 8A 03 84 C0 0F 84 BB 01 00 00 41 B8 00 40 00 00 85 D2 0F 84 EE 00 00 00 0F BE C8 83 F9 53 7F 79 74 6A 83 E9 20 0F 84 CE 00 00 00 83 E9 0B 74 47 FF C9 74 3E 83 E9 18 74 27 83 E9 0A 74 19 83 F9 04 75 8A 45 85 D2 0F 85 A5 00 00 00 45 8B D5 83 CF 10 E9 A2 00 00 00 0F BA EF 07 E9 99 00 00 00 40 F6 C7 40 0F 85 87 00 00 00 83 CF 40 E9 87 00 00 00 45 8B DD EB 7A 40 F6 C7 02 75 74 83 E7 FE 83 E6 FC 83 CF 02 0F BA EE 07 EB 6D 45 85 D2 75 60 45 8B D5 83 CF 20 EB 60 83 E9 54 74 4D 83 E9 0E 74 3A FF C9 74 29 83 E9 0B 74 16 83 F9 06 0F 85 18 FF FF FF F7 C7 00 C0 00 00 75 34 41 0B F8 EB 37 45 85 C9 75 2A 45 8B CD 0F BA F6 0E EB 29 45 85 C9 75 1C 45 8B CD 41 0B F0 EB 1C F7 C7 00 C0 00 00 75 0C 0F BA EF 0F EB 0E 0F BA E7 0C 73 04 33 D2 EB 04 0F BA EF 0C 49 03 DD 8A 03 84 C0 0F 85 0A FF FF FF 45 85 DB 0F 84 B6 00 00 00 EB 03 49 03 DD 80 3B 20 74 F8 48 8D 0D ?? ?? ?? ?? 41 B8 03 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 97 FE FF FF 48 83 C3 03 EB 03 49 03 DD 80 3B 20 74 F8 80 3B 3D 0F 85 80 FE FF FF 49 03 DD 80 3B 20 74 F8 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 05 0F BA EF 12 EB 4D 48 8D 15 ?? ?? ?? ?? 41 B8 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 08 0F BA EF 11 EB 2A 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 15 FE FF FF 48 83 C3 07 0F BA EF 10 EB 03 49 03 DD 80 3B 20 74 F8 80 3B 00 0F 85 FA FD FF FF 48 8D 4C 24 68 44 8B CD 44 8B C7 49 8B D7 C7 44 24 20 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 E7 FD FF FF 44 01 2D ?? ?? ?? ?? 41 21 46 08 8B 44 24 68 49 83 26 00 49 83 66 10 00 49 83 66 28 00 41 89 46 1C 41 89 76 18 49 8B C6 48 8B 5C 24 60 48 8B 6C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_484_4_0 {
	meta:
		name = "_mbcjistojms_l"
		size = 151
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0070 _errno"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 81 78 04 A4 03 00 00 75 5C 8B C3 0F B6 CB C1 E8 08 0F B6 D0 8D 42 DF 83 F8 5D 77 3C 8D 41 DF 83 F8 5D 77 34 F6 C2 01 74 0F 83 F9 5F 77 05 83 C1 1F EB 08 83 C1 20 EB 03 83 C1 7E 8D 5A DF D1 EB 81 C3 81 00 00 00 81 FB 9F 00 00 00 76 03 83 C3 40 C1 E3 08 0B D9 EB 0D E8 ?? ?? ?? ?? 33 DB C7 00 2A 00 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_484_6_0 {
	meta:
		name = "_mbcjmstojis_l"
		size = 193
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 009a _errno"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 28 41 81 78 04 A4 03 00 00 0F 85 81 00 00 00 8B C3 0F B6 D3 C1 E8 08 0F B6 C8 42 F6 44 01 19 04 74 61 42 F6 44 02 19 08 74 59 81 F9 A0 00 00 00 1B C0 83 E0 C0 05 C1 00 00 00 2B C8 81 FA 9F 00 00 00 72 0D 8D 59 11 8D 42 82 C1 E3 09 0B D8 EB 1A 33 C0 83 FA 7E 8B DA 0F 97 C0 C1 E1 09 83 C0 1F 81 C1 00 21 00 00 2B D8 0B D9 8D 83 DF DE FF FF 3D 5D 5D 00 00 77 0B 0F B6 C3 83 E8 21 83 F8 5D 76 0D E8 ?? ?? ?? ?? 33 DB C7 00 2A 00 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_485_0_0 {
	meta:
		name = "wcsstr"
		size = 508
		refs = "0029 __isa_available"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 10 0F B7 3A 33 F6 48 8B DA 4C 8B C1 66 3B F7 75 08 48 8B C1 E9 C5 01 00 00 83 3D ?? ?? ?? ?? 02 41 BA FF 0F 00 00 45 8D 5A F1 0F 8D D9 00 00 00 0F B7 C7 0F 57 D2 66 0F 6E C0 F2 0F 70 C8 00 66 0F 70 D9 00 49 8B C0 49 23 C2 49 3B C3 77 2D F3 41 0F 6F 00 66 0F 6F C8 66 0F 75 C3 66 0F 75 CA 66 0F EB C8 66 0F D7 C1 85 C0 75 06 49 83 C0 10 EB D2 0F BC C8 48 D1 E9 4D 8D 04 48 66 41 3B 30 0F 84 56 01 00 00 66 41 3B 38 75 74 49 8B D0 4C 8B CB 49 8B C1 49 23 C2 49 3B C3 77 47 48 8B C2 49 23 C2 49 3B C3 77 3C F3 41 0F 6F 09 F3 0F 6F 02 66 0F 75 C1 66 0F 75 CA 66 0F 75 C2 66 0F EB C1 66 0F D7 C0 85 C0 75 0A 48 83 C2 10 49 83 C1 10 EB BF 0F BC C0 8B C8 48 D1 E9 48 03 C9 48 03 D1 4C 03 C9 41 0F B7 01 66 3B F0 0F 84 E6 00 00 00 66 39 02 75 0A 48 83 C2 02 49 83 C1 02 EB 92 49 83 C0 02 E9 3B FF FF FF 48 8B C2 49 23 C2 49 3B C3 77 06 F3 0F 6F 02 EB 2D 48 8B CA 0F 57 C0 41 B9 08 00 00 00 0F B7 D7 66 0F 73 D8 02 0F B7 C2 66 0F C4 C0 07 66 3B F2 74 07 48 83 C1 02 0F B7 11 49 FF C9 75 E2 49 8B C0 49 23 C2 49 3B C3 77 5B F3 41 0F 6F 08 66 0F 3A 63 C1 0D 76 06 49 83 C0 10 EB E2 73 75 66 0F 3A 63 C1 0D 48 63 C1 4D 8D 04 40 49 8B D0 4C 8B CB 48 8B C2 49 23 C2 49 3B C3 77 3A 49 8B C1 49 23 C2 49 3B C3 77 2F F3 0F 6F 0A F3 41 0F 6F 11 66 0F 3A 63 D1 0D 71 18 78 34 48 83 C2 10 49 83 C1 10 EB CD 66 41 3B 30 74 29 66 41 39 38 74 BB 49 83 C0 02 EB 88 41 0F B7 01 66 3B F0 74 0F 66 39 02 75 EC 48 83 C2 02 49 83 C1 02 EB A3 49 8B C0 EB 02 33 C0 48 8B 5C 24 20 48 8B 74 24 28 48 83 C4 10 5F C3 }
	condition:
		$1
}

rule file_486_0_0 {
	meta:
		name = "__sse2_expf4"
		size = 640
		refs = "0003 s_dwExp2_Table 000a s_dwInvLn 0011 s_dwNegRS 001b s_dwLnHi 0022 s_dwBias 0030 flAbsMask 003c flBound1 0060 s_dwLnLo 00ab flTwo 0172 flBound2 01ff flInf 0263 flOne"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 0F 28 15 ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 0F 59 D0 0F 28 25 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 5C 15 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 66 0F DB E8 66 0F 66 2D ?? ?? ?? ?? 0F 50 CD 23 C9 0F 85 85 00 00 00 0F 28 E8 0F 58 DA 66 0F 7E D0 0F 59 E3 66 0F C5 D2 02 0F 59 1D ?? ?? ?? ?? 83 E0 3F 83 E2 3F 66 0F FE CA 0F 5C C4 F3 41 0F 7E 24 C0 66 0F C5 C2 04 41 0F 16 24 D0 66 0F C5 D2 06 0F 5C C3 83 E0 3F 83 E2 3F 66 0F 72 D1 06 F3 41 0F 7E 14 C0 41 0F 16 14 D0 0F 28 D8 0F 58 C0 0F 59 DB 0F 58 05 ?? ?? ?? ?? 0F C6 E2 88 66 0F 72 F1 17 0F 58 C3 66 0F EB CC 0F 59 C1 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 0F 28 E8 0F 58 DA 66 0F 7E D1 0F 59 E3 66 44 0F C5 CA 02 0F 59 1D ?? ?? ?? ?? 83 E1 3F 41 83 E1 3F 66 0F FE CA 0F 5C C4 F3 41 0F 7E 24 C8 66 44 0F C5 D2 04 43 0F 16 24 C8 66 44 0F C5 DA 06 0F 5C C3 41 83 E2 3F 41 83 E3 3F 66 0F 72 D1 06 F3 43 0F 7E 1C D0 43 0F 16 1C D8 0F C6 E3 88 0F 28 D8 0F 58 C0 0F 59 DB 0F 58 05 ?? ?? ?? ?? 66 0F 72 F1 17 0F 58 C3 66 0F EB CC 0F 59 C8 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 0F C2 1D ?? ?? ?? ?? 01 66 0F DB CB 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 01 66 0F DF DA 66 0F DB C3 0F 50 D5 B8 03 00 00 00 23 C2 83 E2 0C 03 C0 0F 28 15 ?? ?? ?? ?? 0F 59 D5 0F 5C 15 ?? ?? ?? ?? 66 0F DB D3 66 0F DB E3 66 0F FE 15 ?? ?? ?? ?? 66 0F 72 D2 06 41 0F 28 9C C0 40 02 00 00 41 0F C6 9C 90 40 02 00 00 88 66 0F FE D3 66 0F 72 F2 17 66 0F EB D4 0F 59 C2 41 0F 28 9C C0 00 02 00 00 41 0F C6 9C 90 00 02 00 00 88 0F 59 C3 66 0F EB C1 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 0F C2 1D ?? ?? ?? ?? 01 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 01 66 0F DF D3 41 0F 28 8C C0 80 02 00 00 41 0F C6 8C 90 80 02 00 00 88 66 0F DB CA 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 00 41 0F 28 9C C0 C0 02 00 00 41 0F C6 9C 90 C0 02 00 00 88 66 0F DB D3 66 0F EB CA 0F 28 15 ?? ?? ?? ?? 0F C2 D5 03 66 0F DB EA 66 0F EB CD 0F 59 C9 66 0F EB C1 C3 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_487_1_0 {
	meta:
		name = "?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
		size = 203
		refs = "0032 memset 006c _woutput_l 0092 _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 55 48 8B EC 48 83 EC 50 48 8B FA 33 D2 4D 8B F0 48 8B D9 44 8D 42 28 48 8D 4D D8 49 8B F1 E8 ?? ?? ?? ?? C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 48 81 FF FF FF FF 3F 76 09 C7 45 D8 FF FF FF 7F EB 06 8D 04 3F 89 45 D8 4C 8B 4D 30 48 8D 4D D0 4C 8B C6 49 8B D6 E8 ?? ?? ?? ?? FF 4D D8 8B D8 78 14 48 8B 4D D0 C6 01 00 48 8B 4D D0 48 FF C1 48 89 4D D0 EB 0F 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 4D D0 FF 4D D8 78 05 C6 01 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 74 24 68 48 8B 7C 24 70 4C 8B 74 24 78 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_489_0_0 {
	meta:
		name = "_lfind"
		size = 151
		refs = "002d _errno 0038 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 F6 45 8B F1 49 8B F8 48 8B DA 4C 8B F9 48 85 C9 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 4D 85 C0 74 CE 48 85 D2 75 05 41 39 30 75 C4 45 85 C9 74 BF 48 39 74 24 50 74 B8 41 39 30 76 C3 48 8B D3 49 8B CF FF 54 24 50 85 C0 74 0B FF C6 49 03 DE 3B 37 72 E9 EB AA 48 8B C3 EB A7 }
	condition:
		$1
}

rule file_490_0_0 {
	meta:
		name = "__avx_powf8"
		size = 1520
		refs = "000a __common_spow_data 05e9 __common_spow_cout_rare"
	strings:
		$1 = { 48 81 EC 58 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 B0 01 00 00 C5 7C 11 B4 24 70 01 00 00 C5 7C 11 AC 24 50 01 00 00 C5 7C 11 A4 24 30 01 00 00 C5 7C 11 9C 24 10 01 00 00 C5 7C 11 94 24 30 02 00 00 C5 7C 11 8C 24 10 02 00 00 C5 7C 11 84 24 F0 01 00 00 C5 FC 11 BC 24 D0 01 00 00 C5 FC 11 B4 24 90 01 00 00 4C 89 AC 24 50 02 00 00 4C 8D 6C 24 6F 49 83 E5 C0 C4 C1 7C 11 45 20 C5 7D 10 25 ?? ?? ?? ?? C5 7D 10 35 ?? ?? ?? ?? C5 F8 10 25 ?? ?? ?? ?? C5 78 10 0D ?? ?? ?? ?? C4 C1 7C 11 4D 00 C5 F9 FA D4 C4 E3 7D 19 C3 01 C5 7C 5A C0 C5 FC 5A FB C5 E1 FA DC C4 41 3D 54 DC C4 41 45 54 FC C4 C1 25 56 C6 C4 41 05 56 FE C4 C1 71 DB E1 C4 C3 7D 19 CA 01 C5 FC 5A F1 C4 41 29 DB E9 C5 FD 5A C8 C4 41 7D 5A CF C5 7A 7F 6C 24 20 C4 C1 7C 5A EA C5 78 53 D1 C4 41 78 53 E9 C4 41 7C 5A F2 C4 41 7C 5A DD C4 43 7D 09 CE 00 C5 7D 10 35 ?? ?? ?? ?? C4 63 7D 19 C1 01 C4 C1 39 73 D0 14 C5 F1 73 D1 14 C5 38 C6 D1 DD C4 41 7E E6 D2 C5 B9 73 D7 14 C4 C3 7D 19 FC 01 C4 C1 71 73 D4 14 C5 38 C6 E9 DD C4 43 7D 09 C3 00 C4 41 7D 59 E1 C4 C1 7E E6 FD C4 C1 05 59 C0 C4 41 1D 5C DE C4 41 7D 5C E6 C4 C1 01 73 D1 28 C5 79 7E F8 C4 43 7D 19 CD 01 48 63 C0 C4 C1 09 73 D5 28 C4 41 79 7E F0 C4 63 79 16 F9 02 48 63 C9 C5 7B 10 AC 10 80 A1 BF FF 4D 63 C0 C4 43 79 16 F1 02 4D 63 C9 C5 11 16 AC 11 80 A1 BF FF C4 41 7B 10 BC 10 80 A1 BF FF C4 C1 79 73 D0 28 C4 63 7D 19 C1 01 C5 F1 73 D1 28 C5 F9 7E C8 C4 C1 79 7E C2 C4 41 01 16 BC 11 80 A1 BF FF 48 63 C0 C4 E3 79 16 C9 02 48 63 C9 4D 63 D2 C4 C3 79 16 C3 02 4D 63 DB C4 43 15 18 EF 01 C5 7B 10 BC 10 80 A1 BF FF C5 81 16 8C 11 80 A1 BF FF C5 7D 10 3D ?? ?? ?? ?? C4 41 7B 10 B4 12 80 A1 BF FF C4 C1 09 16 84 13 80 A1 BF FF C5 7D 10 35 ?? ?? ?? ?? C4 41 05 C2 C9 11 C4 41 05 C2 F8 11 C4 41 35 54 C6 C4 41 05 54 CE C5 7D 10 3D ?? ?? ?? ?? C4 41 3D 56 C7 C4 41 35 56 CF C4 41 2D 5C D0 C4 C1 45 5C F9 C4 E3 7D 18 C1 01 C5 FD 10 0D ?? ?? ?? ?? C5 2D 59 F1 C5 45 59 F9 C5 FD 10 0D ?? ?? ?? ?? C5 FD 10 3D ?? ?? ?? ?? C4 41 75 59 C3 C4 41 75 59 CC C5 3D 58 D7 C5 B5 58 CF C4 41 25 59 C3 C4 41 1D 59 CC C4 41 2D 59 D0 C4 41 75 59 C1 C4 41 25 58 DA C4 41 1D 58 C0 C4 C1 25 58 CD C5 3D 58 D0 C5 FD 10 05 ?? ?? ?? ?? C4 41 75 58 CE C4 41 2D 58 EF C5 35 59 CE C5 15 59 C5 C5 FD 10 2D ?? ?? ?? ?? C5 FD 10 35 ?? ?? ?? ?? C5 78 10 2D ?? ?? ?? ?? C5 35 59 FD C5 BD 59 ED C5 05 5C E6 C5 55 5C DE C5 1D 58 D0 C5 A5 58 C8 C5 78 10 25 ?? ?? ?? ?? C5 2D 5C F0 C5 F5 5C C0 C4 41 05 5C F6 C5 D5 5C E8 C5 7D 10 3D ?? ?? ?? ?? C4 63 7D 19 C7 01 C5 38 C6 DF DD C5 F8 10 3D ?? ?? ?? ?? C5 69 66 C7 C5 E9 76 D7 C4 63 7D 19 CE 01 C5 B0 C6 F6 DD C5 39 EB CA C5 F8 10 15 ?? ?? ?? ?? C5 59 66 C2 C5 D9 76 E2 C5 39 EB C4 C4 C1 48 54 E5 C4 41 31 EB C8 C5 61 66 C7 C5 E1 76 DF C4 C1 59 66 F4 C5 B9 EB DB C5 31 EB CE C5 7A 6F 44 24 20 C4 41 20 54 ED C5 B9 66 E2 C5 B9 76 D2 C5 D9 EB F2 C4 41 11 66 E4 C5 E1 EB FE C5 F9 10 25 ?? ?? ?? ?? C4 41 41 EB DC C4 41 31 6B CB C4 41 39 EF C0 C4 C1 31 63 D0 C5 F9 D7 C2 C4 41 55 59 CF C4 41 0D 59 C7 C5 28 54 DC C4 63 7D 19 D3 01 C4 C1 29 73 D2 0B C4 41 79 7E D8 C5 60 54 E4 C4 41 79 7E E2 C5 E1 73 D3 0B C4 C1 29 73 F2 34 41 C1 E0 03 C4 43 79 16 D9 02 41 C1 E2 03 C4 63 79 16 E1 02 41 C1 E1 03 C1 E1 03 C4 C1 F9 6E 84 10 00 36 00 00 C4 C1 F9 6E B4 12 00 36 00 00 C4 C1 79 16 AC 11 00 36 00 00 C5 C9 16 BC 11 00 36 00 00 C5 70 54 EC C4 E3 7D 19 CA 01 C5 F1 73 D1 0B C5 E8 54 E4 C5 E9 73 D2 0B C4 41 79 7E E8 C5 F1 73 F1 34 C4 C1 79 7E E3 41 C1 E0 03 C4 43 79 16 E9 02 41 C1 E3 03 C4 E3 79 16 E1 02 41 C1 E1 03 C1 E1 03 C4 41 F9 6E 9C 10 00 36 00 00 C4 41 F9 6E A4 13 00 36 00 00 C4 41 21 16 AC 11 00 36 00 00 C5 99 16 A4 11 00 36 00 00 C4 63 55 18 F7 01 C5 C1 73 F3 34 C4 41 0D 59 C0 C4 C1 3D 58 C6 C4 63 15 18 FC 01 C4 41 05 59 C9 C4 C1 35 58 E7 C4 E3 7D 19 C6 01 C4 C1 79 D4 EA C5 49 D4 CF C5 F9 73 F2 34 C4 C1 7C 10 55 00 C4 C3 7D 19 E0 01 C5 D9 D4 E1 C5 39 D4 C0 C4 43 55 18 D9 01 C4 C1 7D 5A DB C4 C3 5D 18 E8 01 C5 FD 5A F5 C4 E3 65 18 C6 01 84 C0 75 6A C5 FC 10 B4 24 90 01 00 00 C5 FC 10 BC 24 D0 01 00 00 C5 7C 10 84 24 F0 01 00 00 C5 7C 10 8C 24 10 02 00 00 C5 7C 10 94 24 30 02 00 00 C5 7C 10 9C 24 10 01 00 00 C5 7C 10 A4 24 30 01 00 00 C5 7C 10 AC 24 50 01 00 00 C5 7C 10 B4 24 70 01 00 00 C5 7C 10 BC 24 B0 01 00 00 4C 8B AC 24 50 02 00 00 48 81 C4 58 02 00 00 C3 C4 C1 7C 10 4D 20 C4 C1 7C 11 55 40 C4 C1 7C 11 85 80 00 00 00 C4 C1 7C 11 4D 00 85 C0 0F 84 73 FF FF FF 33 D2 48 89 5C 24 28 8B DA 48 89 74 24 20 8B F0 0F A3 DE 72 1F FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7C 10 85 80 00 00 00 E9 3F FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 4D 8D 84 9D 80 00 00 00 E8 ?? ?? ?? ?? EB C5 90 }
	condition:
		$1
}

rule file_491_1_0 {
	meta:
		name = "_setmaxstdio"
		size = 273
		refs = "0018 _errno 0023 _invalid_parameter_noinfo 0035 _lock 003c _nstream 0050 __piob 0055 _recalloc_crt 00b6 free 0100 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 63 D9 8D 43 EC 3D EC 07 00 00 76 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D7 00 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 8B 3D ?? ?? ?? ?? 3B DF 7E 44 48 8B D3 41 B8 08 00 00 00 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 84 91 00 00 00 8B 15 ?? ?? ?? ?? 89 54 24 24 3B D3 7D 0C 48 63 CA 48 83 24 C8 00 FF C2 EB EC 89 1D ?? ?? ?? ?? 89 5C 24 20 EB 62 75 04 8B DF EB 68 89 5C 24 20 FF CF 89 7C 24 24 4C 8B 0D ?? ?? ?? ?? 3B FB 7C 26 48 63 C7 49 8B 0C C1 48 85 C9 74 12 F6 41 18 83 75 3E E8 ?? ?? ?? ?? 4C 8B 0D ?? ?? ?? ?? FF CF 89 7C 24 24 EB D6 83 FB FF 74 2C 48 8B D3 41 B8 08 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 85 C0 74 0F 89 1D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 07 83 CB FF 89 5C 24 20 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_491_2_0 {
	meta:
		name = "_setmaxstdio$fin$0"
		size = 25
		refs = "0014 _unlock"
		altNames = "_fcloseall$fin$0 _getstream$fin$0 _rmtmp$fin$1 flsall$fin$1"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 01 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_492_0_0 {
	meta:
		name = "__common_stanh_cout_rare"
		size = 80
		refs = "0003 _imlsTanhHATab"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 8A 41 03 24 80 C0 E8 07 44 0F B6 C8 44 0F B7 51 02 41 81 E2 80 7F 00 00 41 81 FA 80 7F 00 00 43 8B 04 88 74 05 89 02 33 C0 C3 F7 01 FF FF 7F 00 74 F3 F3 0F 10 01 F3 0F 58 C0 F3 0F 11 02 EB E7 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_493_0_0 {
	meta:
		name = "_spawnlp"
		size = 204
		refs = "0017 __security_cookie 0034 _errno 003f _invalid_parameter_noinfo 007a _capture_argv 0090 _spawnvp 00aa free 00bd __security_check_cookie"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 49 8B C0 48 8B FA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 68 80 3A 00 74 E5 48 85 C0 74 E0 41 80 38 00 74 DA 48 8D 8C 24 78 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 83 64 24 20 00 48 8B D7 4C 8B C0 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 8B F8 48 85 DB 74 12 48 8D 44 24 30 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_494_0_0 {
	meta:
		name = "fesetexceptflag"
		size = 87
		refs = "001e _getfpstatusword 0033 _setfpstatusword 003a fetestexcept"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B F1 F6 C2 1F 75 04 33 C0 EB 2A E8 ?? ?? ?? ?? 8B CF F7 D1 8B D8 23 D9 8B 0E 23 CF 0B D9 8B CB E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 33 C9 3B C3 0F 95 C1 8B C1 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_496_0_0 {
	meta:
		name = "towctrans"
		size = 30
		refs = "000b towupper 0012 towlower"
	strings:
		$1 = { 48 83 EC 28 66 83 FA 01 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 0F B7 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_496_1_0 {
	meta:
		name = "wctrans"
		size = 133
		refs = "0021 tab 003c strcmp"
		altNames = "wctype"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 48 8B F1 48 39 2D ?? ?? ?? ?? 8B DD 74 2F 4C 8D 35 ?? ?? ?? ?? 8B FD 49 8B C6 48 8B 08 48 8B D6 E8 ?? ?? ?? ?? 85 C0 74 32 48 FF C7 FF C3 48 8B C7 48 C1 E0 04 49 03 C6 48 39 28 75 DD 0F B7 C5 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 63 C3 48 C1 E0 04 42 0F B7 44 30 08 EB D6 }
	condition:
		$1
}

rule file_497_1_0 {
	meta:
		name = "_wfindfirst64i32"
		size = 328
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 __time64_t_from_ft 0123 wcscpy_s 0143 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B DA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 48 8D 4B 24 48 89 43 18 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 20 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 0F FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_497_2_0 {
	meta:
		name = "_wfindnext64i32"
		size = 290
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileW 0074 __imp_GetLastError 00c7 __time64_t_from_ft 0101 wcscpy_s 011d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 48 8D 4B 24 48 89 43 18 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 20 E8 ?? ?? ?? ?? 85 C0 0F 84 2E FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_499_0_0 {
	meta:
		name = "_setjmp"
		size = 160
		refs = "0003 _setjmpexused"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 85 C0 0F 85 8E 00 00 00 48 89 01 48 89 59 08 48 89 69 18 48 89 71 20 48 89 79 28 4C 89 61 30 4C 89 69 38 4C 89 71 40 4C 89 79 48 4C 8D 44 24 08 4C 89 41 10 4C 8B 04 24 4C 89 41 50 0F AE 59 58 D9 79 5C 66 0F 7F 71 60 66 0F 7F 79 70 66 44 0F 7F 81 80 00 00 00 66 44 0F 7F 89 90 00 00 00 66 44 0F 7F 91 A0 00 00 00 66 44 0F 7F 99 B0 00 00 00 66 44 0F 7F A1 C0 00 00 00 66 44 0F 7F A9 D0 00 00 00 66 44 0F 7F B1 E0 00 00 00 66 44 0F 7F B9 F0 00 00 00 C3 FF E0 }
	condition:
		$1
}

rule file_500_6_0 {
	meta:
		name = "_wtof_l"
		size = 142
		refs = "0009 __security_cookie 001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0049 iswctype 005f _wfltin2 0084 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 EB 2C 48 83 C3 02 0F B7 0B BA 08 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 EB 4C 8D 44 24 20 48 8D 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? F2 0F 10 40 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_503_0_0 {
	meta:
		name = "?GetPdbDll@@YAPEAUHINSTANCE__@@XZ"
		size = 24
		refs = "0002 ?alreadyTried@?1??GetPdbDll@@YAPEAUHINSTANCE__@@XZ@4_NA 0014 ?GetPdbDllFromInstallPath@@YAPEAUHINSTANCE__@@XZ"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 03 33 C0 C3 C6 05 ?? ?? ?? ?? 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_503_1_0 {
	meta:
		name = "?GetPdbDllFromInstallPath@@YAPEAUHINSTANCE__@@XZ"
		size = 597
		refs = "0025 __security_cookie 0036 ??_C@_1BK@GAEMIDIL@?$AAA?$AAD?$AAV?$AAA?$AAP?$AAI?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 0044 __imp_LoadLibraryExW 0055 __imp_GetLastError 0082 ??_C@_0O@COHOBMLB@RegOpenKeyExW?$AA@ 008b __imp_GetProcAddress 009a ??_C@_0BB@GLNAEDBD@RegQueryValueExW?$AA@ 00b2 ??_C@_0M@HLOHPNFA@RegCloseKey?$AA@ 00cf ??_C@_1HE@HOJOLGOA@?$AAS?$AAO?$AAF?$AAT?$AAW?$AAA?$AAR?$AAE?$AA?2?$AAW?$AAo?$AAw?$AA6?$AA4?$AA3?$AA2?$AAN?$AAo?$AAd?$AAe?$AA?2?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?2?$AAV@ 00f3 __imp_FreeLibrary 0118 ??_C@_1BG@EABPBLLF@?$AAP?$AAr?$AAo?$AAd?$AAu?$AAc?$AAt?$AAD?$AAi?$AAr?$AA?$AA@ 01b3 mspdbName 0234 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 56 41 57 48 8D A8 88 FE FF FF 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 01 00 00 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 45 33 FF 48 8B F8 48 85 C0 75 2C FF 15 ?? ?? ?? ?? 83 F8 57 75 1A 48 8D 0D ?? ?? ?? ?? 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 07 33 C0 E9 AA 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 E1 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 C9 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 B1 48 8D 44 24 38 48 8D 15 ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 48 C7 C1 02 00 00 80 48 89 44 24 20 FF D3 85 C0 74 0E 48 8B CF FF 15 ?? ?? ?? ?? E9 7C FF FF FF 48 8B 4C 24 38 48 8D 44 24 30 4C 8D 4C 24 34 48 89 44 24 28 48 8D 44 24 40 48 8D 15 ?? ?? ?? ?? 45 33 C0 C7 44 24 30 08 02 00 00 48 89 44 24 20 FF D6 48 8B 4C 24 38 8B D8 41 FF D6 48 8B CF FF 15 ?? ?? ?? ?? 85 DB 0F 85 2F FF FF FF 83 7C 24 34 01 0F 85 24 FF FF FF 8B 54 24 30 F6 C2 01 0F 85 17 FF FF FF D1 EA 83 FA 02 0F 82 0C FF FF FF 41 83 C8 FF 41 03 D0 66 44 39 7C 54 40 0F 85 F9 FE FF FF 8D 4A FF 8D 43 5C 66 39 44 4C 40 74 07 66 89 44 54 40 FF C2 44 2B C2 41 83 F8 18 0F 82 D8 FE FF FF 48 8D 42 17 48 3D 04 01 00 00 0F 87 C8 FE FF FF 0F 10 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 0F 10 0D ?? ?? ?? ?? 48 8D 4C 24 40 41 B8 00 09 00 00 0F 11 44 54 40 F2 0F 10 05 ?? ?? ?? ?? 0F 11 4C 54 50 F2 0F 11 44 54 60 89 44 54 68 0F B7 05 ?? ?? ?? ?? 66 89 44 54 6C 33 D2 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 1F FF 15 ?? ?? ?? ?? 83 F8 57 75 14 44 8D 43 08 48 8D 4C 24 40 33 D2 FF 15 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 8D 50 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_503_2_0 {
	meta:
		name = "?_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z"
		size = 881
		refs = "0042 __imp_VirtualQuery 0060 __imp_GetModuleFileNameW 00d6 ?PDBOK@?BM@??_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z@4_NA 00df mspdb 00ec ?alreadyTried@?1??GetPdbDll@@YAPEAUHINSTANCE__@@XZ@4_NA 00ff ?GetPdbDllFromInstallPath@@YAPEAUHINSTANCE__@@XZ 0126 ??_C@_0BB@KCIACLNC@PDBOpenValidate5?$AA@ 012f __imp_GetProcAddress 018d ??_C@_01KDCPPGHE@r?$AA@ 0276 __imp_GetProcessHeap 0284 __imp_HeapAlloc 032d __imp_HeapFree"
	strings:
		$1 = { 44 89 44 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC B8 00 00 00 33 FF 4C 8B F1 4C 8B E2 41 89 39 66 89 3A 44 8D 6F 01 4D 2B F5 44 8D 47 30 48 8D 55 CF 49 8B CE 4D 8B F9 FF 15 ?? ?? ?? ?? 48 85 C0 75 07 33 C0 E9 0B 03 00 00 44 8B 45 7F 48 8B 55 77 48 8B 4D D7 FF 15 ?? ?? ?? ?? 85 C0 74 E3 48 8B 55 D7 B8 4D 5A 00 00 66 39 02 75 D5 39 7A 3C 7E D0 48 63 4A 3C 48 03 CA 81 39 50 45 00 00 75 C1 44 0F B7 49 14 44 0F B7 41 06 44 2B F2 4C 03 C9 8B F7 8B DF 45 85 C0 74 24 8B C3 48 8D 0C 80 45 3B 74 C9 24 72 0F 41 8B F6 41 2B 74 C9 24 45 3B 74 C9 20 72 08 41 03 DD 41 3B D8 72 DC 41 3B D8 0F 84 7B FF FF FF 41 03 DD 40 38 3D ?? ?? ?? ?? 75 40 48 39 3D ?? ?? ?? ?? 0F 85 62 FF FF FF 40 38 3D ?? ?? ?? ?? 74 05 48 8B C7 EB 0C 44 88 2D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 0F 84 38 FF FF FF 44 88 2D ?? ?? ?? ?? EB 07 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 0F FF FF FF 48 8D 4D AF 45 33 C9 45 33 C0 48 89 4C 24 38 48 8D 4D C7 48 89 7C 24 30 48 89 7C 24 28 48 89 4C 24 20 48 8B 4D 77 33 D2 FF D0 85 C0 0F 84 DD FE FF FF 48 8B 4D AF 48 8B 01 FF 10 3D 41 91 32 01 0F 85 CF 01 00 00 48 8B 4D AF 4C 8D 4D BF 4C 8D 05 ?? ?? ?? ?? 48 8B 01 33 D2 FF 50 38 85 C0 0F 84 B0 01 00 00 48 8B 4D BF 48 89 7C 24 30 4C 8D 4D 9F 48 8B 01 44 8B C6 0F B7 D3 48 89 7C 24 28 48 89 7C 24 20 FF 50 40 85 C0 0F 84 7B 01 00 00 48 8B 4D 9F 48 89 7D 97 48 8D 55 97 48 8B 01 FF 90 D0 00 00 00 84 C0 0F 84 51 01 00 00 48 8B 4D 97 48 85 C9 0F 84 44 01 00 00 4C 8B F7 48 8B 01 FF 50 10 85 C0 0F 84 16 01 00 00 48 8B 4D 97 48 8D 55 5F 48 89 7C 24 30 48 8B 01 48 89 54 24 28 48 8D 55 B7 48 89 54 24 20 4C 8D 4D 57 4C 8D 45 6F 33 D2 FF 50 18 84 C0 0F 84 F7 00 00 00 0F B7 45 57 3B C3 75 0E 8B 4D 6F 3B CE 77 07 03 4D B7 3B F1 72 06 48 8B 4D 97 EB A3 8B 5D 5F 48 B9 FD FF FF FF FF FF FF 1F 48 8D 43 FF 48 3B C1 0F 87 C1 00 00 00 48 C1 E3 03 FF 15 ?? ?? ?? ?? 4C 8B C3 48 8B C8 33 D2 FF 15 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 9D 00 00 00 48 8B 4D 97 48 89 44 24 30 48 8D 45 5F 4C 8B 11 48 89 44 24 28 48 8D 55 A7 45 33 C9 45 33 C0 48 89 7C 24 20 41 FF 52 18 84 C0 74 5D 2B 75 6F 41 3B 36 72 55 41 8B CD 44 39 6D 5F 76 10 8B C1 41 3B 34 C6 72 08 41 03 CD 3B 4D 5F 72 F0 8B 55 A7 8D 41 FF 48 8B 4D 9F 41 8B 44 C6 04 48 89 7C 24 30 4C 8D 4D 67 25 FF FF FF 00 4D 8B C4 48 89 7C 24 28 41 89 07 48 8B 01 48 89 7C 24 20 FF 90 E0 00 00 00 84 C0 41 0F 45 FD FF 15 ?? ?? ?? ?? 4D 8B C6 33 D2 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B 4D 97 48 8B 01 FF 10 48 8B 4D 9F 48 8B 11 FF 92 80 00 00 00 48 8B 4D BF 48 8B 11 FF 52 70 48 8B 4D AF 48 8B 11 FF 52 58 8B C7 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_504_0_0 {
	meta:
		name = "_freopen_helper"
		size = 239
		refs = "0032 _errno 003e _invalid_parameter_noinfo 008f _lock_file 009e _fclose_nolock 00c2 _openfile 00cd _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 48 20 41 56 48 83 EC 20 49 8B D9 4D 8B F0 48 8B F2 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 90 00 00 00 48 83 21 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 D8 33 C0 4D 85 C0 0F 95 C0 85 C0 74 CC 33 C0 48 85 DB 0F 95 C0 85 C0 74 C0 80 3A 00 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 EB 4E 48 8B CB E8 ?? ?? ?? ?? 90 F6 43 18 83 74 08 48 8B CB E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 23 00 83 63 18 00 83 63 08 00 4C 8B CB 44 8B 44 24 50 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 48 89 07 48 8B CB E8 ?? ?? ?? ?? 48 83 3F 00 74 AB 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_504_2_0 {
	meta:
		name = "freopen"
		size = 47
		refs = "0021 _freopen_helper"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 58 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 4C 24 58 C7 44 24 20 40 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 58 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1049_0_0 {
	meta:
		name = "_wfreopen"
		size = 47
		refs = "0021 _wfreopen_helper"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 58 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 4C 24 58 C7 44 24 20 40 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 58 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_504_3_0 {
	meta:
		name = "freopen_s"
		size = 22
		refs = "000d _freopen_helper"
	strings:
		$1 = { 48 83 EC 38 C7 44 24 20 80 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1049_3_0 {
	meta:
		name = "_wfreopen_s"
		size = 22
		refs = "000d _wfreopen_helper"
	strings:
		$1 = { 48 83 EC 38 C7 44 24 20 80 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_505_0_0 {
	meta:
		name = "_Cosh"
		size = 248
		refs = "001e _dtest 004b __xmm@80000000000000008000000000000000 0058 _Xbig_C 006e __real@3ff0000000000000 0073 _dexp 007b __real@3fd0000000000000 00ca _Inf_C 00da _fperrraise 00e2 _Nan_C"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 4D 18 0F B7 D8 E8 ?? ?? ?? ?? 33 D2 66 3B D3 7E 67 66 3B D0 7E 62 F2 0F 10 4D 10 0F 57 C0 66 0F 2F C1 76 0C 0F 57 0D ?? ?? ?? ?? F2 0F 11 4D 10 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 66 0F 2F C1 76 26 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 45 10 F2 0F 58 45 10 F2 0F 59 45 18 EB 5D F2 0F 10 4D 18 E8 ?? ?? ?? ?? EB 06 66 83 FB 02 75 07 F2 0F 10 45 10 EB 44 66 83 F8 02 74 39 B9 01 00 00 00 66 3B D9 75 2F 66 85 C0 74 1B 0F 57 C0 66 0F 2F 45 18 F2 0F 10 05 ?? ?? ?? ?? 76 1D 0F 57 05 ?? ?? ?? ?? EB 14 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 05 F2 0F 10 45 18 48 8B 5C 24 40 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_663_0_0 {
	meta:
		name = "_LCosh"
		size = 248
		refs = "001e _ldtest 004b __xmm@80000000000000008000000000000000 0058 _LXbig_C 006e __real@3ff0000000000000 0073 _ldexp 007b __real@3fd0000000000000 00ca _LInf_C 00da _fperrraise 00e2 _LNan_C"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 4C 24 10 F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 4D 18 0F B7 D8 E8 ?? ?? ?? ?? 33 D2 66 3B D3 7E 67 66 3B D0 7E 62 F2 0F 10 4D 10 0F 57 C0 66 0F 2F C1 76 0C 0F 57 0D ?? ?? ?? ?? F2 0F 11 4D 10 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 66 0F 2F C1 76 26 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 45 10 F2 0F 58 45 10 F2 0F 59 45 18 EB 5D F2 0F 10 4D 18 E8 ?? ?? ?? ?? EB 06 66 83 FB 02 75 07 F2 0F 10 45 10 EB 44 66 83 F8 02 74 39 B9 01 00 00 00 66 3B D9 75 2F 66 85 C0 74 1B 0F 57 C0 66 0F 2F 45 18 F2 0F 10 05 ?? ?? ?? ?? 76 1D 0F 57 05 ?? ?? ?? ?? EB 14 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 05 F2 0F 10 45 18 48 8B 5C 24 40 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_505_1_0 {
	meta:
		name = "ccosh"
		size = 423
		refs = "0027 creal 003d cimag 004b _dtest 0065 _Nan_C 0089 _fperrraise 00a0 _Zero_C 00a7 __xmm@80000000000000008000000000000000 00cd _Inf_C 0128 sin 013d cos 015e _Sinh 0178 _Cosh 0187 _Cbuild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 8B EC 48 83 EC 40 0F 10 02 48 8B F9 48 8D 4D E0 0F 29 74 24 30 48 8B DA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D E0 F2 0F 11 45 28 0F 10 03 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1B F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D E0 66 85 C0 75 6C F2 0F 10 55 20 E9 0A 01 00 00 BE 01 00 00 00 66 3B C6 75 60 8B CE E8 ?? ?? ?? ?? 66 85 DB 75 26 0F 57 D2 66 0F 2F 55 20 76 0F F2 0F 10 15 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? E9 CA 00 00 00 48 8D 4D E0 66 3B DE 75 15 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? E9 B0 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 A0 00 00 00 66 83 F8 02 75 0C 66 85 DB 75 C7 F2 0F 10 55 28 EB B3 66 3B DE 75 4E 66 85 C0 75 20 F2 0F 10 55 20 0F 57 C0 66 0F 2F 45 28 76 07 0F 57 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? EB 60 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 F2 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? EB 31 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 D6 0F 28 C8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_506_0_0 {
	meta:
		name = "_local_unwind"
		size = 48
		refs = "0018 RtlUnwindEx"
	strings:
		$1 = { 48 81 EC D8 04 00 00 4D 33 C0 4D 33 C9 48 89 64 24 20 4C 89 44 24 28 E8 ?? ?? ?? ?? 48 81 C4 D8 04 00 00 C3 CC CC CC CC CC CC 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_506_1_0 {
	meta:
		name = "_NLG_Notify"
		size = 32
	strings:
		$1 = { 48 89 4C 24 08 48 89 54 24 18 44 89 44 24 10 49 C7 C1 20 05 93 19 EB 08 CC CC CC CC CC CC 66 90 }
	condition:
		$1
}

rule file_506_2_0 {
	meta:
		name = "__NLG_Dispatch2"
		size = 16
	strings:
		$1 = { C3 CC CC CC CC CC CC 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_510_0_0 {
	meta:
		name = "_CxxThrowException"
		size = 197
		refs = "0015 ?ExceptionTemplate@?1??_CxxThrowException@@9@4UEHExceptionRecord@@B 0070 __imp_RtlPcToFileHeader 00af __imp_RaiseException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 0F 28 05 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 48 8B DA 48 8B F9 0F 29 45 C0 0F 28 05 ?? ?? ?? ?? 0F 29 4D D0 0F 28 0D ?? ?? ?? ?? 0F 29 45 E0 0F 29 4D F0 48 85 D2 74 16 F6 02 10 74 11 48 8B 09 48 83 E9 08 48 8B 01 48 8B 58 30 FF 50 40 48 8D 55 10 48 8B CB 48 89 7D E8 48 89 5D F0 FF 15 ?? ?? ?? ?? 48 8B D0 48 89 45 10 48 89 45 F8 48 85 DB 74 1B F6 03 08 B9 00 40 99 01 74 05 89 4D E0 EB 0C 8B 45 E0 48 85 D2 0F 44 C1 89 45 E0 44 8B 45 D8 8B 55 C4 8B 4D C0 4C 8D 4D E0 FF 15 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_512_0_0 {
	meta:
		name = "_umask"
		size = 34
		refs = "0015 _umask_s"
	strings:
		$1 = { 48 83 EC 28 83 64 24 30 00 48 8D 54 24 30 81 E1 80 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_512_1_0 {
	meta:
		name = "_umask_s"
		size = 67
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _umaskval"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 1E 8B 05 ?? ?? ?? ?? 89 02 F7 C1 7F FE FF FF 75 D9 81 E1 80 01 00 00 33 C0 89 0D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_513_1_0 {
	meta:
		name = "__tmainCRTStartup"
		size = 393
		refs = "0010 __crtGetShowWindowMode 001d __set_app_type 0029 __ImageBase 0070 _heap_init 007a __error_mode 0082 _FF_MSGBANNER 008c _NMSG_WRITE 0096 __crtExitProcess 009b _mtinit 00c6 _RTC_Initialize 00cc _ioinit 00da fast_error_exit 00e0 __imp_GetCommandLineA 00e7 _acmdln 00ec __crtGetEnvironmentStringsA 00f3 _aenvptr 00f8 _setargv 0106 _amsg_exit 010b _setenvp 0123 _cinit 0133 _wincmdln 0144 WinMain 0155 exit 015a _cexit 016c _exit 0172 _c_exit"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 E8 ?? ?? ?? ?? 0F B7 F0 B9 02 00 00 00 E8 ?? ?? ?? ?? B8 4D 5A 00 00 48 8D 3D ?? ?? ?? ?? 66 39 05 ?? ?? ?? ?? 74 04 33 DB EB 31 48 63 05 ?? ?? ?? ?? 48 03 C7 81 38 50 45 00 00 75 EA B9 0B 02 00 00 66 39 48 18 75 DF 33 DB 83 B8 84 00 00 00 0E 76 09 39 98 F8 00 00 00 0F 95 C3 89 5C 24 40 E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? B9 1C 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 85 C0 79 0A B9 1B 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 09 00 00 00 E8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 0F B7 CE 4C 8B C0 33 D2 48 8B CF E8 ?? ?? ?? ?? 8B F8 89 44 24 20 85 DB 75 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B F8 83 7C 24 40 00 75 08 8B C8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_723_0_0 {
	meta:
		name = "__tmainCRTStartup"
		size = 393
		refs = "0010 __crtGetShowWindowMode 001d __set_app_type 0029 __ImageBase 0070 _heap_init 007a __error_mode 0082 _FF_MSGBANNER 008c _NMSG_WRITE 0096 __crtExitProcess 009b _mtinit 00c6 _RTC_Initialize 00cc _ioinit 00da fast_error_exit 00e0 __imp_GetCommandLineW 00e7 _wcmdln 00ec __crtGetEnvironmentStringsW 00f3 _wenvptr 00f8 _wsetargv 0106 _amsg_exit 010b _wsetenvp 0123 _cinit 0133 _wwincmdln 0144 wWinMain 0155 exit 015a _cexit 016c _exit 0172 _c_exit"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 E8 ?? ?? ?? ?? 0F B7 F0 B9 02 00 00 00 E8 ?? ?? ?? ?? B8 4D 5A 00 00 48 8D 3D ?? ?? ?? ?? 66 39 05 ?? ?? ?? ?? 74 04 33 DB EB 31 48 63 05 ?? ?? ?? ?? 48 03 C7 81 38 50 45 00 00 75 EA B9 0B 02 00 00 66 39 48 18 75 DF 33 DB 83 B8 84 00 00 00 0E 76 09 39 98 F8 00 00 00 0F 95 C3 89 5C 24 40 E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? B9 1C 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 85 C0 79 0A B9 1B 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 09 00 00 00 E8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 0F B7 CE 4C 8B C0 33 D2 48 8B CF E8 ?? ?? ?? ?? 8B F8 89 44 24 20 85 DB 75 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B F8 83 7C 24 40 00 75 08 8B C8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_513_4_0 {
	meta:
		name = "fast_error_exit"
		size = 44
		refs = "0008 __error_mode 0012 _FF_MSGBANNER 0019 _NMSG_WRITE 0028 __crtExitProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 83 3D ?? ?? ?? ?? 01 8B D9 75 05 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? B9 FF 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_514_0_0 {
	meta:
		name = "carg"
		size = 66
		refs = "0020 creal 002d cimag 003e atan2"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 0F 10 01 48 8D 48 C8 0F 29 70 E8 0F 10 C8 F3 0F 7F 40 C8 F3 0F 7F 48 D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 74 24 40 48 83 C4 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1209_0_0 {
	meta:
		name = "cabs"
		size = 66
		refs = "0020 cimag 002d creal 003e _hypot"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 0F 10 01 48 8D 48 C8 0F 29 70 E8 0F 10 C8 F3 0F 7F 40 C8 F3 0F 7F 48 D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 74 24 40 48 83 C4 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_973_0_0 {
	meta:
		name = "cabsl"
		size = 66
		refs = "0020 cimagl 002d creall 003e _hypot"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 0F 10 01 48 8D 48 C8 0F 29 70 E8 0F 10 C8 F3 0F 7F 40 C8 F3 0F 7F 48 D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 74 24 40 48 83 C4 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_708_1_0 {
	meta:
		name = "cargl"
		size = 66
		refs = "0020 creall 002d cimagl 003e atan2"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 0F 10 01 48 8D 48 C8 0F 29 70 E8 0F 10 C8 F3 0F 7F 40 C8 F3 0F 7F 48 D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 74 24 40 48 83 C4 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_516_0_0 {
	meta:
		name = "__free_lc_time"
		size = 1018
		refs = "0016 free"
	strings:
		$1 = { 48 85 C9 0F 84 F0 03 00 00 53 48 83 EC 20 48 8B D9 48 8B 49 08 E8 ?? ?? ?? ?? 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 8B 4B 40 E8 ?? ?? ?? ?? 48 8B 4B 48 E8 ?? ?? ?? ?? 48 8B 4B 50 E8 ?? ?? ?? ?? 48 8B 4B 58 E8 ?? ?? ?? ?? 48 8B 4B 60 E8 ?? ?? ?? ?? 48 8B 4B 68 E8 ?? ?? ?? ?? 48 8B 4B 38 E8 ?? ?? ?? ?? 48 8B 4B 70 E8 ?? ?? ?? ?? 48 8B 4B 78 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 88 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 98 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B A0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B A8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B B0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B B8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B C8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B E0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B E8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 00 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 08 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 10 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 18 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 20 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 30 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 38 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 40 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 48 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 50 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 68 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 70 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 78 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 80 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 88 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 90 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 60 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B A0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B A8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B B0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B B8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B C0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B C8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 98 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B D0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B D8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B E0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B E8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B F0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B F8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 00 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 08 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 10 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 18 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 20 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 28 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 30 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 38 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 40 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 48 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 50 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 58 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 60 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 68 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 70 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 78 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 80 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 88 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 90 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 98 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B A0 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B A8 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B B0 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B B8 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_516_1_0 {
	meta:
		name = "__init_time"
		size = 157
		refs = "001d __lc_time_c 002e _calloc_crt 0048 _get_lc_time 0054 __free_lc_time 005c free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 48 83 B9 50 01 00 00 00 48 8B F9 48 8D 2D ?? ?? ?? ?? 74 4B BA C0 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 07 B8 01 00 00 00 EB 4C 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 12 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB D8 C7 83 5C 01 00 00 01 00 00 00 EB 03 48 8B DD 48 8B 87 20 01 00 00 48 3B C5 74 07 F0 FF 88 5C 01 00 00 48 89 9F 20 01 00 00 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_516_2_0 {
	meta:
		name = "_get_lc_time"
		size = 2937
		refs = "0039 __copy_locale_name 006b __getlocaleinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 55 48 8B EC 48 83 EC 40 48 8B B2 50 01 00 00 48 8B DA 48 8B F9 48 85 C9 75 08 83 C8 FF E9 2A 0B 00 00 48 8B CE E8 ?? ?? ?? ?? 48 83 65 F8 00 41 B9 31 00 00 00 45 8D 71 D0 48 89 87 B8 02 00 00 48 8D 47 08 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 5D F0 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4F 10 45 8D 4E 31 4C 8B C6 48 89 4C 24 20 48 8D 4D F0 41 8B D6 8B D8 E8 ?? ?? ?? ?? 48 8D 4F 18 48 89 4C 24 20 45 8D 4E 32 48 8D 4D F0 4C 8B C6 41 8B D6 0B D8 E8 ?? ?? ?? ?? 45 8D 4E 33 48 8D 4D F0 0B D8 48 8D 47 20 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 34 48 8D 4D F0 0B D8 48 8D 47 28 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 35 48 8D 4D F0 0B D8 48 8D 47 30 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 36 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 7C 24 20 0B D8 E8 ?? ?? ?? ?? 45 8D 4E 29 0B D8 48 8D 47 40 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2A 48 8D 4D F0 0B D8 48 8D 47 48 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2B 4C 8B C6 0B D8 48 8D 47 50 48 89 44 24 20 48 8D 4D F0 41 8B D6 E8 ?? ?? ?? ?? 45 8D 4E 2C 48 8D 4D F0 0B D8 48 8D 47 58 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2D 48 8D 4D F0 0B D8 48 8D 47 60 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2E 48 8D 4D F0 0B D8 48 8D 47 68 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2F 48 8D 4D F0 0B D8 48 8D 47 38 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 43 48 8D 4D F0 0B D8 48 8D 47 70 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 44 48 8D 4D F0 0B D8 48 8D 47 78 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 45 48 8D 4D F0 0B D8 48 8D 87 80 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 46 48 8D 4D F0 0B D8 48 8D 87 88 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 47 48 8D 4D F0 0B D8 48 8D 87 90 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 48 4C 8B C6 0B D8 48 8D 87 98 00 00 00 41 8B D6 48 89 44 24 20 48 8D 4D F0 E8 ?? ?? ?? ?? 45 8D 4E 49 48 8D 4D F0 0B D8 48 8D 87 A0 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4A 48 8D 4D F0 0B D8 48 8D 87 A8 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4B 48 8D 4D F0 0B D8 48 8D 87 B0 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4C 48 8D 4D F0 0B D8 48 8D 87 B8 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4D 48 8D 4D F0 0B D8 48 8D 87 C0 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4E 48 8D 4D F0 0B D8 48 8D 87 C8 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 37 48 8D 4D F0 0B D8 48 8D 87 D0 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 38 48 8D 4D F0 0B D8 48 8D 87 D8 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 39 48 8D 4D F0 0B D8 48 8D 87 E0 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3A 4C 8B C6 0B D8 48 8D 87 E8 00 00 00 41 8B D6 48 89 44 24 20 48 8D 4D F0 E8 ?? ?? ?? ?? 45 8D 4E 3B 48 8D 4D F0 0B D8 48 8D 87 F0 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3C 48 8D 4D F0 0B D8 48 8D 87 F8 00 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3D 48 8D 4D F0 0B D8 48 8D 87 00 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3E 48 8D 4D F0 0B D8 48 8D 87 08 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3F 48 8D 4D F0 0B D8 48 8D 87 10 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 40 48 8D 4D F0 0B D8 48 8D 87 18 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 41 48 8D 4D F0 0B D8 48 8D 87 20 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 42 48 8D 4D F0 0B D8 48 8D 87 28 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 27 48 8D 4D F0 0B D8 48 8D 87 30 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 28 48 8D 4D F0 0B D8 48 8D 87 38 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 40 01 00 00 45 8D 4E 1E 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 1F 0B D8 48 8D 87 48 01 00 00 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 03 10 00 00 0B D8 48 8D 87 50 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 09 10 00 00 0B D8 48 8D 87 58 01 00 00 4C 8B C6 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 30 48 8D 4D F0 45 8D 71 D1 0B D8 48 8D 87 68 01 00 00 41 8B D6 4C 8B C6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 30 48 8D 4D F0 0B D8 48 8D 87 70 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 31 48 8D 4D F0 0B D8 48 8D 87 78 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 32 48 8D 4D F0 0B D8 48 8D 87 80 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 33 48 8D 4D F0 0B D8 48 8D 87 88 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 34 48 8D 4D F0 0B D8 48 8D 87 90 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 60 01 00 00 45 8D 4E 35 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 28 0B D8 48 8D 87 A0 01 00 00 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 29 48 8D 4D F0 0B D8 48 8D 87 A8 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2A 48 8D 4D F0 0B D8 48 8D 87 B0 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2B 48 8D 4D F0 0B D8 48 8D 87 B8 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2C 48 8D 4D F0 0B D8 48 8D 87 C0 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2D 48 8D 4D F0 0B D8 48 8D 87 C8 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 2E 48 8D 4D F0 0B D8 48 8D 87 98 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 42 48 8D 4D F0 0B D8 48 8D 87 D0 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 43 48 8D 4D F0 0B D8 48 8D 87 D8 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 E0 01 00 00 45 8D 4E 44 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 45 48 8D 4D F0 0B D8 48 8D 87 E8 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 46 48 8D 4D F0 0B D8 48 8D 87 F0 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 47 48 8D 4D F0 0B D8 48 8D 87 F8 01 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 48 48 8D 4D F0 0B D8 48 8D 87 00 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 49 48 8D 4D F0 0B D8 48 8D 87 08 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4A 48 8D 4D F0 0B D8 48 8D 87 10 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4B 48 8D 4D F0 0B D8 48 8D 87 18 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4C 48 8D 4D F0 0B D8 48 8D 87 20 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 4D 48 8D 4D F0 0B D8 48 8D 87 28 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 30 02 00 00 45 8D 4E 36 48 8D 4D F0 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 37 48 8D 4D F0 0B D8 48 8D 87 38 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 38 48 8D 4D F0 0B D8 48 8D 87 40 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 39 48 8D 4D F0 0B D8 48 8D 87 48 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3A 48 8D 4D F0 0B D8 48 8D 87 50 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3B 48 8D 4D F0 0B D8 48 8D 87 58 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3C 48 8D 4D F0 0B D8 48 8D 87 60 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3D 48 8D 4D F0 0B D8 48 8D 87 68 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3E 48 8D 4D F0 0B D8 48 8D 87 70 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 3F 48 8D 4D F0 0B D8 48 8D 87 78 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 80 02 00 00 48 89 44 24 20 45 8D 4E 40 48 8D 4D F0 4C 8B C6 41 8B D6 E8 ?? ?? ?? ?? 45 8D 4E 41 48 8D 4D F0 0B D8 48 8D 87 88 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 26 48 8D 4D F0 0B D8 48 8D 87 90 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 27 48 8D 4D F0 0B D8 48 8D 87 98 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 1D 48 8D 4D F0 0B D8 48 8D 87 A0 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4E 1E 48 8D 4D F0 0B D8 48 8D 87 A8 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 03 10 00 00 0B D8 48 8D 87 B0 02 00 00 4C 8B C6 41 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 0B C3 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 74 24 68 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_519_4_0 {
	meta:
		name = "_mbsncoll_l"
		size = 311
		refs = "002d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0098 _strncoll_l 00a9 _mbsnbcnt_l 00ef __crtCompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 60 4C 8B F1 48 8B EA 48 8D 48 D8 49 8B D1 49 8B D9 49 8B F0 E8 ?? ?? ?? ?? 48 85 F6 75 07 33 FF E9 CA 00 00 00 4D 85 F6 74 05 48 85 ED 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BF FF FF FF 7F E9 A6 00 00 00 BF FF FF FF 7F 48 3B F7 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 48 8B 44 24 48 49 8B CE 83 78 08 00 75 12 4C 8B CB 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 8B F8 EB 67 4C 8D 44 24 40 48 8B D6 E8 ?? ?? ?? ?? 4C 8D 44 24 40 48 8B D6 48 8B CD 48 8B D8 E8 ?? ?? ?? ?? 48 8B 54 24 48 4D 8B CE 8B 4A 04 48 8B 92 20 02 00 00 41 B8 00 10 00 00 89 4C 24 38 89 44 24 30 48 8D 4C 24 40 48 89 6C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 78 FE 80 7C 24 58 00 74 0C 48 8B 44 24 50 83 A0 C8 00 00 00 FD 4C 8D 5C 24 60 8B C7 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_521_0_0 {
	meta:
		name = "wcscpy_s"
		size = 107
		refs = "001d _errno 0029 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 48 85 C9 74 0E 48 85 D2 74 09 4D 85 C0 75 1D 66 44 89 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C9 4D 2B C8 41 0F B7 00 66 43 89 04 01 4D 8D 40 02 66 85 C0 74 05 48 FF CA 75 E9 48 85 D2 75 10 66 44 89 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB BF 33 C0 EB C4 }
	condition:
		$1
}

rule file_523_0_0 {
	meta:
		name = "__sse2_acosf4"
		size = 416
		refs = "0031 __common_sacos_data 019a __common_sacos_cout_rare"
	strings:
		$1 = { 48 81 EC F8 00 00 00 44 0F 29 84 24 C0 00 00 00 0F 29 BC 24 D0 00 00 00 0F 29 B4 24 E0 00 00 00 4C 89 AC 24 F0 00 00 00 4C 8D 6C 24 6F 44 0F 28 05 ?? ?? ?? ?? 49 83 E5 C0 41 0F 28 F8 44 0F 54 C0 0F 56 F8 0F 28 15 ?? ?? ?? ?? 0F 28 EF 0F 59 EA 0F 28 E7 0F 59 E7 0F 58 EA 0F 52 D5 0F 5D E5 0F 28 DF 0F 28 CA 0F C2 1D ?? ?? ?? ?? 02 0F 59 CA 0F 50 D3 0F 28 DC 0F 28 35 ?? ?? ?? ?? 0F C2 DD 05 0F 58 ED 0F 59 D5 85 D2 0F 59 E9 0F 28 0D ?? ?? ?? ?? 0F 59 CC 0F 5C 2D ?? ?? ?? ?? 0F 59 F5 0F 58 0D ?? ?? ?? ?? 0F 59 EA 0F 58 35 ?? ?? ?? ?? 0F 59 F5 0F 28 EC 0F 59 EC 0F 5C D6 0F 59 CD 0F 28 35 ?? ?? ?? ?? 0F 28 E8 0F 59 F4 0F 54 D3 0F C2 EC 01 0F 58 35 ?? ?? ?? ?? 0F 58 CE 0F 28 F3 0F 59 CC 0F 55 35 ?? ?? ?? ?? 0F 58 0D ?? ?? ?? ?? 0F 59 CC 0F 28 25 ?? ?? ?? ?? 0F 54 E3 0F 54 E5 0F 28 EB 0F 55 EF 0F 58 F4 0F 56 EA 66 41 0F EF E8 0F 59 CD 0F 58 CD 0F 58 F1 75 2C 0F 28 BC 24 D0 00 00 00 0F 28 C6 0F 28 B4 24 E0 00 00 00 44 0F 28 84 24 C0 00 00 00 4C 8B AC 24 F0 00 00 00 48 81 C4 F8 00 00 00 C3 41 0F 29 45 00 41 0F 29 75 40 74 C8 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 75 40 EB 90 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB D7 }
	condition:
		$1
}

rule file_524_0_0 {
	meta:
		name = "_ungetwc_nolock"
		size = 512
		refs = "0019 __security_cookie 006a _getbuf 007c _fileno 0083 __badioinfo 008a __pioinfo 013e wctomb_s 01de __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 41 BF FF FF 00 00 48 8B FA 0F B7 E9 66 89 4C 24 28 66 41 3B CF 0F 84 91 01 00 00 F6 42 18 01 BE 02 00 00 00 75 14 F6 42 18 80 0F 84 7C 01 00 00 40 84 72 18 0F 85 72 01 00 00 48 83 7A 10 00 75 08 48 8B CA E8 ?? ?? ?? ?? F6 47 18 40 0F 85 22 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 35 ?? ?? ?? ?? 4C 8D 2D ?? ?? ?? ?? 83 F8 FF 74 32 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 25 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 48 6B C8 58 49 03 4C DD 00 EB 03 49 8B CE F6 41 08 80 0F 84 C8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 30 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 23 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 4C 6B F0 58 4D 03 74 DD 00 41 F6 46 38 7F 74 13 8A 44 24 29 40 88 6C 24 30 89 74 24 20 88 44 24 31 EB 25 48 8D 54 24 30 48 8D 4C 24 20 44 0F B7 CD 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 87 00 00 00 8B 74 24 20 48 8B 47 10 48 63 D6 48 03 D0 48 39 17 73 0E 83 7F 08 00 75 6E 3B 77 24 7F 69 48 89 17 8D 46 FF 48 63 D0 85 C0 78 15 48 FF 0F 8A 44 14 30 48 FF CA 48 8B 0F 88 01 79 EF 8B 74 24 20 01 77 08 83 67 18 EF 83 4F 18 01 0F B7 C5 EB 3B 48 8B 47 10 48 8D 48 02 48 39 0F 73 12 83 7F 08 00 75 24 48 63 47 24 48 3B C6 72 1B 48 89 0F 48 83 07 FE F6 47 18 40 48 8B 07 74 35 66 39 28 74 BF 48 03 C6 48 89 07 41 0F B7 C7 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 40 49 8B 6B 48 49 8B E3 41 5F 41 5E 41 5D 5F 5E C3 66 89 28 EB 8A }
	condition:
		$1
}

rule file_524_1_0 {
	meta:
		name = "ungetwc"
		size = 101
		refs = "0022 _errno 002d _invalid_parameter_noinfo 003c _lock_file 0048 _ungetwc_nolock 0053 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 0F B7 F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 22 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 0F B7 CF E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_627_1_0 {
	meta:
		name = "fputwc"
		size = 101
		refs = "0022 _errno 002d _invalid_parameter_noinfo 003c _lock_file 0048 _fputwc_nolock 0053 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 0F B7 F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 22 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 0F B7 CF E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_525_4_0 {
	meta:
		name = "_wcsicoll_l"
		size = 230
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002f _errno 003a _invalid_parameter_noinfo 00a4 __crtCompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B F9 48 8B DA 48 8D 4C 24 30 49 8B D0 E8 ?? ?? ?? ?? 33 F6 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 77 48 8B 44 24 30 48 8B 88 30 01 00 00 48 85 C9 75 3C 48 2B FB 0F B7 0C 1F 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 0F B7 13 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 48 83 C3 02 66 85 C9 74 05 66 3B CA 74 D1 0F B7 C2 0F B7 D1 2B D0 EB 34 41 83 C9 FF 4C 8B C7 BA 01 10 00 00 44 89 4C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 BA FF FF FF 7F EB 03 8D 50 FE 40 38 74 24 48 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 74 24 68 8B C2 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_526_0_0 {
	meta:
		name = "_execvpe"
		size = 781
		refs = "0031 _errno 003c _invalid_parameter_noinfo 006d _execve 0088 _mbschr 00bb ??_C@_04HBHDLLBA@PATH?$AA@ 00c7 _dupenv_s 00f3 _calloc_crt 012a isleadbyte 0189 _mbsrchr 0195 ??_C@_01KICIPPFI@?2?$AA@ 01a2 strcat_s 01d4 strlen 0285 free 02c9 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 ED 4D 8B E8 4C 8B E2 48 8B F1 48 89 68 08 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 53 02 00 00 40 38 29 74 E6 48 85 D2 74 E1 48 8B 02 48 85 C0 74 D9 40 38 28 74 D4 E8 ?? ?? ?? ?? 4D 8B C5 49 8B D4 48 8B CE 89 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 38 02 0F 85 0A 02 00 00 BA 5C 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 F4 01 00 00 8D 50 2F 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 E0 01 00 00 40 38 2E 74 0A 80 7E 01 3A 0F 84 D1 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 60 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 85 B1 01 00 00 E9 DC 01 00 00 48 39 6C 24 60 0F 84 B0 01 00 00 BA 01 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 4C 8B F0 48 85 C0 0F 84 83 01 00 00 4C 8B 7C 24 60 41 8A 07 84 C0 74 57 48 8D 5F 01 3C 3B 74 4F 48 8D AF 02 01 00 00 4C 3B F5 73 41 0F BE C8 E8 ?? ?? ?? ?? 85 C0 74 1B 41 80 7F 01 00 74 2E 48 3B DD 73 29 41 8A 07 48 FF C3 41 88 06 49 FF C6 49 FF C7 41 8A 07 49 FF C7 48 FF C3 41 88 06 41 8A 07 49 FF C6 33 ED 84 C0 75 B1 EB 02 33 ED 41 88 2E 49 8D 5E FF 4C 3B F7 77 03 49 8B DE 80 3B 5C 4C 8B F7 75 2F BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B D8 74 3E 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 26 E9 1F 01 00 00 80 3B 2F 74 1C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 13 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 8D 00 00 00 4C 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 EF 00 00 00 E8 ?? ?? ?? ?? 4D 8B C5 49 8B D4 48 8B CF 89 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 38 02 74 4C BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B F8 74 12 BA 2F 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B F8 75 35 48 8D 5F 01 BA 5C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B D8 74 12 BA 2F 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B D8 75 0D 41 38 2F 74 08 49 FF C7 E9 8A FE FF FF 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 60 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C8 FF 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_527_0_0 {
	meta:
		name = "_lfind_s"
		size = 156
		refs = "002d _errno 0038 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 F6 4D 8B F1 49 8B F8 48 8B DA 4C 8B F9 48 85 C9 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 4D 85 C0 74 CE 48 85 D2 75 05 41 39 30 75 C4 4D 85 C9 74 BF 48 39 74 24 50 74 B8 41 39 30 76 C3 48 8B 4C 24 58 4C 8B C3 49 8B D7 FF 54 24 50 85 C0 74 0B FF C6 49 03 DE 3B 37 72 E4 EB A5 48 8B C3 EB A2 }
	condition:
		$1
}

rule file_528_0_0 {
	meta:
		name = "_get_fmode"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _fmode"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_871_4_0 {
	meta:
		name = "_get_daylight"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _daylight"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_871_5_0 {
	meta:
		name = "_get_dstbias"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _dstbias"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_871_6_0 {
	meta:
		name = "_get_timezone"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _timezone"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_528_1_0 {
	meta:
		name = "_set_fmode"
		size = 61
		refs = "001b _fmode 0024 _errno 002f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 8D 81 00 C0 FF FF A9 FF 3F FF FF 75 12 81 F9 00 C0 00 00 74 0A 87 0D ?? ?? ?? ?? 33 C0 EB 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_528_2_0 {
	meta:
		name = "_setmode"
		size = 250
		refs = "0045 _errno 006c _nhandle 007f __pioinfo 009c __lock_fhandle 00b2 _setmode_nolock 00cb _unlock_fhandle 00df _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 89 4C 24 08 57 41 56 41 57 48 83 EC 20 8B DA 48 63 F9 81 FA 00 00 02 00 74 30 81 FA 00 00 01 00 74 28 81 FA 00 80 00 00 74 20 81 FA 00 40 00 00 74 18 81 FA 00 00 04 00 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 8A 00 00 00 83 FF FE 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 7D 85 C9 78 69 3B 3D ?? ?? ?? ?? 73 61 48 8B C7 48 8B F7 48 C1 FE 05 4C 8D 3D ?? ?? ?? ?? 83 E0 1F 4C 6B F0 58 49 8B 04 F7 41 0F BE 4C 06 08 83 E1 01 74 3A 8B CF E8 ?? ?? ?? ?? 90 49 8B 04 F7 41 F6 44 06 08 01 74 0D 8B D3 8B CF E8 ?? ?? ?? ?? 8B D8 EB 0E E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_528_3_0 {
	meta:
		name = "_setmode$fin$0"
		size = 23
		refs = "0012 _unlock_fhandle"
		altNames = "_chsize_s$fin$0 _close$fin$0 _commit$fin$0 _dup$fin$0 _eof$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 40 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_528_4_0 {
	meta:
		name = "_setmode_nolock"
		size = 220
		refs = "0010 __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 48 63 C1 48 8D 3D ?? ?? ?? ?? 4C 8B D0 83 E0 1F 49 C1 FA 05 4C 6B C0 58 4E 8B 0C D7 43 8A 44 01 38 43 0F B6 4C 01 08 02 C0 8B D9 44 0F BE D8 81 E3 80 00 00 00 41 D1 FB 81 FA 00 40 00 00 74 5B 81 FA 00 80 00 00 74 49 8D 82 00 00 FF FF A9 FF FF FE FF 74 22 81 FA 00 00 04 00 75 50 80 C9 80 43 88 4C 01 08 4A 8B 04 D7 42 80 64 00 38 81 42 80 4C 00 38 01 EB 36 80 C9 80 43 88 4C 01 08 4A 8B 04 D7 42 80 64 00 38 82 42 80 4C 00 38 02 EB 1C 80 E1 7F 43 88 4C 01 08 EB 12 80 C9 80 43 88 4C 01 08 4A 8B 0C D7 42 80 64 01 38 80 85 DB 75 07 B8 00 80 00 00 EB 0F 41 F7 DB 1B C0 25 00 C0 00 00 05 00 40 00 00 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_529_0_0 {
	meta:
		name = "__avx_tanh4"
		size = 832
		refs = "000a __common_dtanh_data 0334 __common_dtanh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 D0 00 00 00 C5 7C 11 B4 24 F0 01 00 00 C5 7C 11 AC 24 D0 01 00 00 C4 41 09 EF F6 C5 7C 11 A4 24 B0 01 00 00 C5 7C 11 9C 24 90 01 00 00 C5 7C 11 94 24 70 01 00 00 C5 7C 11 8C 24 50 01 00 00 C5 7C 11 84 24 30 01 00 00 C5 FC 11 BC 24 10 01 00 00 C5 FC 11 B4 24 F0 00 00 00 4C 89 AC 24 10 02 00 00 4C 8D 6C 24 6F 49 83 E5 C0 C4 C1 7D 11 45 20 C5 78 10 15 ?? ?? ?? ?? C5 F8 10 1D ?? ?? ?? ?? C5 FD 54 0D ?? ?? ?? ?? C5 7D 54 0D ?? ?? ?? ?? C4 E3 7D 19 C5 01 C5 F8 C6 E5 DD C5 59 DB 2D ?? ?? ?? ?? C5 91 FA 05 ?? ?? ?? ?? C4 41 61 66 C5 C4 41 79 66 FE C4 C1 79 66 E2 C4 C1 79 DB EF C4 43 51 4A D2 40 C5 91 66 15 ?? ?? ?? ?? C4 C1 61 72 D2 0A C4 41 69 EB E0 C5 F9 7E D9 C4 41 78 50 C4 C4 E3 79 16 D8 01 48 63 C9 48 63 C0 C4 C3 79 16 D9 02 C4 C3 79 16 DA 03 4D 63 C9 4D 63 D2 C5 F9 10 14 11 C5 79 10 1C 10 C5 79 10 64 10 10 C5 F9 10 44 10 20 C5 79 10 44 11 10 C5 79 10 7C 11 20 C5 F9 10 5C 11 30 C4 C3 6D 18 34 11 01 C4 43 25 18 14 12 01 C5 F9 10 54 10 30 C4 41 4D 15 D2 C5 F9 10 74 11 40 C4 43 3D 18 6C 11 10 01 C4 C3 05 18 6C 11 20 01 C4 43 65 18 5C 11 30 01 C4 43 1D 18 74 12 10 01 C4 C3 7D 18 64 12 20 01 C4 C3 6D 18 7C 12 30 01 C5 79 10 44 10 40 C4 41 15 14 E6 C4 41 15 15 EE C5 55 14 F4 C5 55 15 FC C5 A5 14 C7 C5 A5 15 EF C5 79 10 5C 11 50 C5 F9 10 7C 10 50 C4 C3 3D 18 54 12 40 01 C4 43 25 18 44 11 50 01 C4 C3 4D 18 5C 11 40 01 C5 E5 14 E2 C5 E5 15 DA C5 F9 10 74 11 60 C4 43 45 18 5C 12 50 01 C4 C1 3D 14 D3 C4 41 3D 15 DB C5 79 10 44 10 60 C4 C3 4D 18 74 11 60 01 C4 43 3D 18 44 12 60 01 C4 C1 4D 14 F8 C5 75 58 C7 C4 C1 25 59 C8 C5 F5 58 CA C4 C1 75 59 D0 C5 ED 58 DB C4 C1 65 59 F0 C5 CD 58 E4 C4 C1 5D 59 F8 C5 C5 58 ED C4 41 55 59 D8 C5 A5 58 C0 C4 C1 7D 59 C0 C4 41 7D 58 FF C4 C1 05 59 C0 C4 41 7D 58 F6 C4 C1 0D 59 C0 C4 41 7D 58 ED C4 C1 15 59 C0 C4 41 7D 58 E4 C4 41 1D 59 C0 C4 41 3D 58 D2 C4 C1 2D 56 C1 45 85 C0 75 6A C5 FC 10 B4 24 F0 00 00 00 C5 FC 10 BC 24 10 01 00 00 C5 7C 10 84 24 30 01 00 00 C5 7C 10 8C 24 50 01 00 00 C5 7C 10 94 24 70 01 00 00 C5 7C 10 9C 24 90 01 00 00 C5 7C 10 A4 24 B0 01 00 00 C5 7C 10 AC 24 D0 01 00 00 C5 7C 10 B4 24 F0 01 00 00 C5 7C 10 BC 24 D0 00 00 00 4C 8B AC 24 10 02 00 00 48 81 C4 18 02 00 00 C3 C4 C1 7D 10 4D 20 C4 C1 7D 11 45 40 C4 C1 7D 11 4D 00 74 82 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 41 8B F0 0F A3 DE 72 1C FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 45 40 E9 50 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D0 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_531_3_0 {
	meta:
		name = "_mbsnset_s_l"
		size = 595
		refs = "006f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 008c _strnset_s 00bd _ismbblead_l 01e7 _errno 01f1 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 45 33 ED 33 F6 49 8B E9 45 8B F8 48 8B FA 4C 8B F1 44 89 AC 24 88 00 00 00 4D 85 C9 75 15 48 85 C9 75 19 48 85 D2 0F 85 DA 01 00 00 33 C0 E9 E6 01 00 00 48 85 C9 0F 84 CA 01 00 00 48 85 D2 0F 84 C1 01 00 00 48 8B 94 24 90 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 33 C9 39 48 08 75 18 4C 8B CD 45 8B C7 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 8B D8 E9 71 01 00 00 45 8B E7 49 8B DE 41 C1 EC 08 45 84 E4 0F 84 D0 00 00 00 45 84 FF 0F 84 DB 00 00 00 48 8D 54 24 20 41 0F B6 CC E8 ?? ?? ?? ?? 33 C9 85 C0 0F 84 C3 00 00 00 41 38 0E 74 6D 48 85 ED 74 60 48 FF CF 74 5B 4C 8D 6B 01 41 38 4D 00 0F 84 85 00 00 00 85 F6 74 04 8B F1 EB 11 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 33 C9 8B F0 44 88 23 49 8B DD 48 FF CF 74 29 85 F6 74 04 8B F1 EB 13 41 0F B6 4D 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 33 C9 8B F0 48 FF C3 45 88 7D 00 48 FF CD 38 0B 75 9B 44 8B AC 24 88 00 00 00 48 85 ED 0F 85 98 00 00 00 85 F6 0F 84 8C 00 00 00 38 0B 0F 84 88 00 00 00 48 FF CF 74 7F 41 BD 01 00 00 00 38 4B 01 75 67 88 0B 48 FF C7 EB 6D 88 0B 48 FF C7 41 BD 01 00 00 00 EB C3 48 8D 54 24 20 41 0F B6 CF E8 ?? ?? ?? ?? 33 C9 85 C0 74 05 41 88 0E EB 69 41 38 0E 74 A5 48 85 ED 74 A9 48 FF CF 74 9B 85 F6 74 04 8B F1 EB 11 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 33 C9 8B F0 44 88 3B 48 FF C3 48 FF CD 38 0B 75 D0 E9 70 FF FF FF C6 03 20 EB 05 48 FF CF 74 07 48 FF C3 38 0B 75 F4 48 85 FF 75 14 41 88 0E E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? EB 11 45 85 ED 74 10 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 33 C9 EB 02 8B D9 38 4C 24 38 74 1F 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_533_0_0 {
	meta:
		name = "_call_matherr"
		size = 101
		refs = "0040 _ctrlfp 004a _matherr 0055 _set_errno_from_matherr"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 50 F2 0F 10 84 24 80 00 00 00 F2 0F 10 8C 24 88 00 00 00 8B D9 89 48 C8 48 8B 8C 24 90 00 00 00 BA C0 FF 00 00 F2 0F 11 58 D8 F2 0F 11 40 E0 F2 0F 11 48 E8 4C 89 40 D0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 44 24 40 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_533_1_0 {
	meta:
		name = "_exception_enabled"
		size = 185
		refs = "0028 _set_statfp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B D9 48 8B F2 8B F9 83 E3 1F F6 C1 08 74 13 84 D2 79 0F B9 01 00 00 00 E8 ?? ?? ?? ?? 83 E3 F7 EB 57 B9 04 00 00 00 40 84 F9 74 11 48 0F BA E2 09 73 0A E8 ?? ?? ?? ?? 83 E3 FB EB 3C 40 F6 C7 01 74 16 48 0F BA E2 0A 73 0F B9 08 00 00 00 E8 ?? ?? ?? ?? 83 E3 FE EB 20 40 F6 C7 02 74 1A 48 0F BA E2 0B 73 13 40 F6 C7 10 74 0A B9 10 00 00 00 E8 ?? ?? ?? ?? 83 E3 FD 40 F6 C7 10 74 14 48 0F BA E6 0C 73 0D B9 20 00 00 00 E8 ?? ?? ?? ?? 83 E3 EF 48 8B 74 24 38 33 C0 85 DB 48 8B 5C 24 30 0F 94 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_533_2_0 {
	meta:
		name = "_handle_error"
		size = 295
		refs = "001b __security_cookie 003c _ctrlfp 005f _exception_enabled 00a8 _raise_exc 00ae _matherr_flag 00e3 _call_matherr 00ec _set_errno_from_matherr 010d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 48 8D 68 C9 48 81 EC F0 00 00 00 0F 29 70 C8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 8B F2 4C 8B F1 BA C0 FF 00 00 B9 80 1F 00 00 41 8B F9 49 8B D8 E8 ?? ?? ?? ?? 8B 4D 5F 48 89 44 24 40 48 89 5C 24 50 F2 0F 10 44 24 50 48 8B 54 24 40 F2 0F 11 44 24 48 E8 ?? ?? ?? ?? F2 0F 10 75 77 85 C0 75 40 83 7D 7F 02 75 11 8B 45 BF F2 0F 11 75 AF 83 E0 E3 83 C8 03 89 45 BF 44 8B 45 5F 48 8D 44 24 48 48 8D 54 24 40 48 89 44 24 28 48 8D 45 6F 48 8D 4C 24 60 44 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 34 85 FF 74 30 48 8B 44 24 40 F2 0F 10 44 24 48 8B 55 67 F2 0F 10 5D 6F 48 89 44 24 30 4D 8B C6 8B CF F2 0F 11 44 24 28 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? EB 1C 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 40 BA C0 FF 00 00 E8 ?? ?? ?? ?? F2 0F 10 44 24 48 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 E0 00 00 00 48 81 C4 F0 00 00 00 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_533_3_0 {
	meta:
		name = "_handle_errorf"
		size = 307
		refs = "001b __security_cookie 003c _ctrlfp 005e _exception_enabled 00a7 _raise_excf 00ad _matherr_flag 00eb _call_matherr 00f8 _set_errno_from_matherr 0119 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 48 8D 68 C9 48 81 EC F0 00 00 00 0F 29 70 C8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 8B F2 4C 8B F1 BA C0 FF 00 00 B9 80 1F 00 00 41 8B F9 49 8B D8 E8 ?? ?? ?? ?? 8B 4D 5F 48 89 44 24 48 89 5C 24 50 F3 0F 10 44 24 50 48 8B 54 24 48 F3 0F 11 44 24 40 E8 ?? ?? ?? ?? F3 0F 10 75 77 85 C0 75 40 83 7D 7F 02 75 11 8B 45 BF F3 0F 11 75 AF 83 E0 E1 83 C8 01 89 45 BF 44 8B 45 5F 48 8D 44 24 40 48 8D 54 24 48 48 89 44 24 28 48 8D 45 6F 48 8D 4C 24 60 44 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 41 85 FF 74 3D F3 0F 10 44 24 40 F3 0F 10 5D 6F 48 8B 44 24 48 8B 55 67 48 89 44 24 30 4D 8B C6 0F 5A C0 0F 5A CE 0F 5A DB 8B CF F2 0F 11 44 24 28 F2 0F 11 4C 24 20 E8 ?? ?? ?? ?? F2 0F 5A C0 EB 1C 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 48 BA C0 FF 00 00 E8 ?? ?? ?? ?? F3 0F 10 44 24 40 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 E0 00 00 00 48 81 C4 F0 00 00 00 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_534_3_0 {
	meta:
		name = "_wctomb_l"
		size = 123
		refs = "0024 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _wctomb_s_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 50 48 8B F9 0F B7 DA 48 8D 48 D8 83 CE FF 49 8B D0 89 70 20 E8 ?? ?? ?? ?? 48 8B 44 24 30 4C 63 80 D4 00 00 00 48 8D 44 24 30 48 8D 4C 24 78 44 0F B7 CB 48 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 44 74 24 78 80 7C 24 48 00 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 48 8B 5C 24 60 8B C6 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_534_4_0 {
	meta:
		name = "_wctomb_s_l"
		size = 394
		refs = "0048 _errno 0054 _invalid_parameter_noinfo 0068 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00a0 memset 012d __imp_WideCharToMultiByte 0150 __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 66 44 89 4C 24 20 57 48 83 EC 60 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 13 4D 85 C0 74 0E 48 85 C9 74 02 21 11 33 C0 E9 95 00 00 00 48 85 C9 74 03 83 09 FF 49 81 F8 FF FF FF 7F 76 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 6F 48 8B 94 24 90 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 44 24 40 48 83 B8 38 01 00 00 00 75 7F 0F B7 84 24 88 00 00 00 B9 FF 00 00 00 66 3B C1 76 50 48 85 F6 74 12 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 18 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 8B C3 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 20 49 8B E3 5F C3 48 85 F6 74 0B 48 85 FF 0F 84 89 00 00 00 88 06 48 85 DB 74 55 C7 03 01 00 00 00 EB 4D 83 64 24 78 00 48 8D 4C 24 78 4C 8D 84 24 88 00 00 00 48 89 4C 24 38 48 83 64 24 30 00 8B 48 04 41 B9 01 00 00 00 33 D2 89 7C 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 19 83 7C 24 78 00 0F 85 64 FF FF FF 48 85 DB 74 02 89 03 33 DB E9 68 FF FF FF FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 47 FF FF FF 48 85 F6 74 12 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? E9 2C FF FF FF }
	condition:
		$1
}

rule file_534_5_0 {
	meta:
		name = "wctomb"
		size = 84
		refs = "001d ___mb_cur_max_func 0037 _wctomb_s_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 83 CE FF 0F B7 DA 48 8B F9 89 74 24 50 E8 ?? ?? ?? ?? 48 83 64 24 20 00 48 8D 4C 24 50 4C 63 C0 44 0F B7 CB 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 40 85 C0 0F 44 74 24 50 8B C6 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_535_0_0 {
	meta:
		name = "?wcstoxl@@YAKPEB_WPEAPEB_WHH@Z"
		size = 488
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0071 iswctype 00a0 _wchartodigit"
	strings:
		$1 = { 48 89 5C 24 18 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 41 8B E9 45 8B F0 4C 8B FA 48 85 D2 74 03 48 89 0A 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 8D 01 00 00 45 85 C0 74 09 41 8D 40 FE 83 F8 22 77 DB 0F B7 31 33 FF 48 8D 59 02 44 8D 6F 08 EB 07 0F B7 33 48 83 C3 02 41 8B D5 0F B7 CE E8 ?? ?? ?? ?? 85 C0 75 EA 66 83 FE 2D 75 05 83 CD 02 EB 06 66 83 FE 2B 75 07 0F B7 33 48 83 C3 02 41 BD DF FF 00 00 45 85 F6 75 2F 0F B7 CE E8 ?? ?? ?? ?? 85 C0 74 08 41 BE 0A 00 00 00 EB 42 0F B7 03 66 83 E8 58 66 41 85 C5 74 08 41 BE 08 00 00 00 EB 2D 41 BE 10 00 00 00 41 83 FE 10 75 21 0F B7 CE E8 ?? ?? ?? ?? 85 C0 75 15 0F B7 03 66 83 E8 58 66 41 85 C5 75 08 0F B7 73 02 48 83 C3 04 33 D2 83 C8 FF 41 F7 F6 44 8B E8 44 8B E2 0F B7 CE E8 ?? ?? ?? ?? 83 F8 FF 75 24 8D 4E BF 66 83 F9 19 76 09 8D 46 9F 66 83 F8 19 77 2E 8D 46 9F 66 83 F8 19 0F B7 C6 77 03 83 E8 20 83 C0 C9 41 3B C6 73 17 83 CD 08 41 3B FD 72 29 75 05 41 3B C4 76 22 83 CD 04 4D 85 FF 75 20 4C 8B 64 24 60 48 83 EB 02 40 F6 C5 08 75 1A 4D 85 FF 49 0F 45 DC 33 FF EB 5A 41 0F AF FE 03 F8 0F B7 33 48 83 C3 02 EB 8A BE FF FF FF 7F 40 F6 C5 04 75 1D 40 F6 C5 01 75 3A 8B C5 83 E0 02 74 08 81 FF 00 00 00 80 77 08 85 C0 75 27 3B FE 76 23 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 74 05 83 CF FF EB 0D 40 8A C5 24 02 F6 D8 1B FF F7 DF 03 FE 4D 85 FF 74 03 49 89 1F 40 F6 C5 02 74 02 F7 DF 8B C7 48 8B 5C 24 70 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_538_0_0 {
	meta:
		name = "__IsPackagedAppHelper"
		size = 53
		refs = "0007 encodedKERNEL32Functions 0013 __security_cookie"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 83 64 24 30 00 48 33 05 ?? ?? ?? ?? 74 15 48 8D 4C 24 30 33 D2 FF D0 83 F8 7A 75 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_538_1_0 {
	meta:
		name = "__crtCaptureCurrentContext"
		size = 109
		refs = "000f __imp_RtlCaptureContext 0027 __imp_RtlLookupFunctionEntry 005e __imp_RtlVirtualUnwind"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 40 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B BB F8 00 00 00 48 8D 54 24 50 45 33 C0 48 8B CF FF 15 ?? ?? ?? ?? 48 85 C0 74 32 48 83 64 24 38 00 48 8B 54 24 50 48 8D 4C 24 58 48 89 4C 24 30 48 8D 4C 24 60 4C 8B C8 48 89 4C 24 28 33 C9 4C 8B C7 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_538_2_0 {
	meta:
		name = "__crtCapturePreviousContext"
		size = 113
		refs = "000d __imp_RtlCaptureContext 0027 __imp_RtlLookupFunctionEntry 005e __imp_RtlVirtualUnwind"
	strings:
		$1 = { 40 53 56 57 48 83 EC 40 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B B3 F8 00 00 00 33 FF 48 8D 54 24 60 45 33 C0 48 8B CE FF 15 ?? ?? ?? ?? 48 85 C0 74 39 48 83 64 24 38 00 48 8B 54 24 60 48 8D 4C 24 68 48 89 4C 24 30 48 8D 4C 24 70 4C 8B C8 48 89 4C 24 28 33 C9 4C 8B C6 48 89 5C 24 20 FF 15 ?? ?? ?? ?? FF C7 83 FF 02 7C B1 48 83 C4 40 5F 5E 5B C3 }
	condition:
		$1
}

rule file_538_3_0 {
	meta:
		name = "__crtCloseThreadpoolTimer"
		size = 27
		refs = "0007 encodedKERNEL32Functions 000e __security_cookie"
		altNames = "__crtCloseThreadpoolWait __crtFlushProcessWriteBuffers __crtFreeLibraryWhenCallbackReturns __crtSetThreadpoolTimer __crtSetThreadpoolWait __crtWaitForThreadpoolTimerCallbacks"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 02 FF D0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_538_5_0 {
	meta:
		name = "__crtCreateEventExW"
		size = 41
		refs = "0003 encodedKERNEL32Functions 000d __security_cookie 0025 __imp_CreateEventW"
	strings:
		$1 = { 4C 8B 15 ?? ?? ?? ?? 41 8B C0 4C 33 15 ?? ?? ?? ?? 74 03 49 FF E2 83 E0 01 4C 8B CA 41 83 E0 02 8B D0 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_538_6_0 {
	meta:
		name = "__crtCreateSemaphoreExW"
		size = 26
		refs = "0003 encodedKERNEL32Functions 000a __security_cookie 0016 __imp_CreateSemaphoreW"
	strings:
		$1 = { 4C 8B 15 ?? ?? ?? ?? 4C 33 15 ?? ?? ?? ?? 74 03 49 FF E2 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_538_7_0 {
	meta:
		name = "__crtCreateSymbolicLinkW"
		size = 45
		refs = "0007 encodedKERNEL32Functions 000e __security_cookie 0022 __imp_SetLastError"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 07 48 83 C4 28 48 FF E0 B9 78 00 00 00 FF 15 ?? ?? ?? ?? 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_538_8_0 {
	meta:
		name = "__crtCreateThreadpoolTimer"
		size = 22
		refs = "0003 encodedKERNEL32Functions 000a __security_cookie"
		altNames = "__crtCreateThreadpoolWait __crtGetCurrentProcessorNumber __crtSetThreadStackGuarantee"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 03 48 FF E0 33 C0 C3 }
	condition:
		$1
}

rule file_538_10_0 {
	meta:
		name = "__crtFlsAlloc"
		size = 26
		refs = "0003 encodedKERNEL32Functions 000a __security_cookie 0016 __imp_TlsAlloc"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 03 48 FF E0 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_538_11_0 {
	meta:
		name = "__crtFlsFree"
		size = 26
		refs = "0003 encodedKERNEL32Functions 000a __security_cookie 0016 __imp_TlsFree"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 03 48 FF E0 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_538_12_0 {
	meta:
		name = "__crtFlsGetValue"
		size = 26
		refs = "0003 encodedKERNEL32Functions 000a __security_cookie 0016 __imp_TlsGetValue"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 03 48 FF E0 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_538_13_0 {
	meta:
		name = "__crtFlsSetValue"
		size = 26
		refs = "0003 encodedKERNEL32Functions 000a __security_cookie 0016 __imp_TlsSetValue"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 03 48 FF E0 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_538_17_0 {
	meta:
		name = "__crtGetFileInformationByHandleEx"
		size = 45
		refs = "0007 encodedKERNEL32Functions 000e __security_cookie 0022 __imp_SetLastError"
		altNames = "__crtGetLogicalProcessorInformation __crtSetFileInformationByHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 07 48 83 C4 28 48 FF E0 B9 78 00 00 00 FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_538_19_0 {
	meta:
		name = "__crtGetShowWindowMode"
		size = 44
		refs = "000e __imp_GetStartupInfoW"
	strings:
		$1 = { 48 81 EC 98 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? F6 44 24 5C 01 0F B7 4C 24 60 B8 0A 00 00 00 0F 45 C1 48 81 C4 98 00 00 00 C3 }
	condition:
		$1
}

rule file_538_20_0 {
	meta:
		name = "__crtGetTickCount64"
		size = 40
		refs = "0007 encodedKERNEL32Functions 000e __security_cookie 001d __imp_GetTickCount"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 07 48 83 C4 28 48 FF E0 FF 15 ?? ?? ?? ?? 8B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_538_21_0 {
	meta:
		name = "__crtInitializeCriticalSectionEx"
		size = 43
		refs = "0007 encodedKERNEL32Functions 000e __security_cookie 001d __imp_InitializeCriticalSectionAndSpinCount"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 07 48 83 C4 28 48 FF E0 FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_538_22_0 {
	meta:
		name = "__crtIsPackagedApp"
		size = 76
		refs = "0008 ?isPackaged@?1??__crtIsPackagedApp@@9@9 0015 encodedKERNEL32Functions 0020 __security_cookie"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB 85 C0 79 2F 48 8B 05 ?? ?? ?? ?? 89 5C 24 30 48 33 05 ?? ?? ?? ?? 74 11 48 8D 4C 24 30 33 D2 FF D0 83 F8 7A 8D 43 01 74 02 8B C3 89 05 ?? ?? ?? ?? 85 C0 0F 9F C3 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_538_23_0 {
	meta:
		name = "__crtLoadWinApiPointers"
		size = 1018
		refs = "0009 ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 000f __imp_GetModuleHandleW 0016 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 0022 __imp_GetProcAddress 0029 ??_C@_07PEJMOBNF@FlsFree?$AA@ 0033 __security_cookie 003a encodedKERNEL32Functions 0047 ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 0065 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 0083 ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 00a1 ??_C@_0P@DLHPPCNH@CreateEventExW?$AA@ 00bf ??_C@_0BD@KIEEOEEH@CreateSemaphoreExW?$AA@ 00dd ??_C@_0BI@BKLFFAPO@SetThreadStackGuarantee?$AA@ 00fb ??_C@_0BG@OGFAJCKC@CreateThreadpoolTimer?$AA@ 0119 ??_C@_0BD@LPLEMMDI@SetThreadpoolTimer?$AA@ 0137 ??_C@_0CA@FMNJENH@WaitForThreadpoolTimerCallbacks?$AA@ 0155 ??_C@_0BF@DCFCCNOC@CloseThreadpoolTimer?$AA@ 0173 ??_C@_0BF@FLABGKKM@CreateThreadpoolWait?$AA@ 0191 ??_C@_0BC@MGCOHNA@SetThreadpoolWait?$AA@ 01af ??_C@_0BE@OCIOMIMP@CloseThreadpoolWait?$AA@ 01cd ??_C@_0BJ@LKGHFHBO@FlushProcessWriteBuffers?$AA@ 01f2 ??_C@_0BP@KALKKPMO@FreeLibraryWhenCallbackReturns?$AA@ 0209 ??_C@_0BK@DFNBACLA@GetCurrentProcessorNumber?$AA@ 0227 ??_C@_0BP@KHGALBC@GetLogicalProcessorInformation?$AA@ 0245 ??_C@_0BE@FKKLLFLM@CreateSymbolicLinkW?$AA@ 0263 ??_C@_0BJ@OHNKDLIJ@SetDefaultDllDirectories?$AA@ 0281 ??_C@_0BE@LJANKFHF@EnumSystemLocalesEx?$AA@ 029f ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 02bd ??_C@_0BA@EPCJIIPD@GetDateFormatEx?$AA@ 02db ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 02f9 ??_C@_0BA@CIJJKCJJ@GetTimeFormatEx?$AA@ 0317 ??_C@_0BJ@PBCCBIPI@GetUserDefaultLocaleName?$AA@ 0335 ??_C@_0BC@CELBKLLA@IsValidLocaleName?$AA@ 0353 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 0371 ??_C@_0BE@JOGNEJCI@GetCurrentPackageId?$AA@ 038f ??_C@_0P@CDHHOHKP@GetTickCount64?$AA@ 03ad ??_C@_0BO@KPCLFDJJ@GetFileInformationByHandleExW?$AA@ 03d2 ??_C@_0BM@MHIDLABK@SetFileInformationByHandleW?$AA@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 48 8B D8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 33 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_538_30_0 {
	meta:
		name = "__crtTerminateProcess"
		size = 31
		refs = "000a __imp_GetCurrentProcess 001b __imp_TerminateProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 FF 15 ?? ?? ?? ?? 8B D3 48 8B C8 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_538_31_0 {
	meta:
		name = "__crtUnhandledException"
		size = 32
		refs = "000d __imp_SetUnhandledExceptionFilter 001c __imp_UnhandledExceptionFilter"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 FF 15 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_539_0_0 {
	meta:
		name = "_spawnl"
		size = 207
		refs = "0017 __security_cookie 0034 _errno 003f _invalid_parameter_noinfo 007a _capture_argv 0093 _spawnve 00ad free 00c0 __security_check_cookie"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 49 8B C0 48 8B FA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 6B 80 3A 00 74 E5 48 85 C0 74 E0 41 80 38 00 74 DA 48 8D 8C 24 78 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 48 8B D7 8B CE 4C 8B C0 48 8B D8 E8 ?? ?? ?? ?? 48 8B F8 48 85 DB 74 12 48 8D 44 24 30 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_540_1_0 {
	meta:
		name = "remainderf"
		size = 774
		refs = "00d1 __real@3fe0000000000000 00ea __xmm@80000000000000008000000000000000 010c __real@3ff0000000000000 022e ??_C@_0L@JMNNGNHM@remainderf?$AA@ 02fc _handle_errorf"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 50 48 B8 FF FF FF FF FF FF FF 7F 0F 28 E1 0F 57 D2 0F 28 C8 0F 57 DB BB 01 00 00 00 F3 0F 5A D1 F2 0F 11 54 24 70 F3 0F 5A DC 4C 8B 44 24 70 F2 0F 11 5C 24 70 4D 8B C8 49 8B C8 4C 8B 5C 24 70 4C 23 C8 48 C1 E9 34 4D 8B D3 49 8B D3 4C 23 D0 B8 FF 07 00 00 48 C1 EA 34 23 C8 23 D0 3B CB 0F 8C 8E 01 00 00 81 F9 FE 07 00 00 0F 8F 8A 01 00 00 8D 42 FF 3D FD 07 00 00 0F 87 74 01 00 00 4D 3B CA 75 21 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 70 F2 0F 10 44 24 70 66 0F 5A C0 E9 51 02 00 00 4C 89 4C 24 70 F2 0F 10 54 24 70 4C 89 54 24 70 F2 0F 10 5C 24 70 4D 3B CA 73 30 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F D0 76 04 F2 0F 5C D3 0F 57 C0 0F 2F C1 76 07 0F 57 15 ?? ?? ?? ?? 0F 57 C0 F2 0F 5A C2 E9 06 02 00 00 0F AE 5C 24 68 44 8B 44 24 68 3B CA 7F 0C F2 0F 10 25 ?? ?? ?? ?? 33 D2 EB 4B 2B CA B8 AB AA AA 2A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 52 8D 04 C5 FF 03 00 00 48 63 C8 48 B8 00 00 00 00 00 00 70 3E 48 C1 E1 34 48 89 4C 24 70 F2 0F 10 44 24 70 48 89 44 24 70 F2 0F 10 64 24 70 F2 0F 59 C3 0F 28 D8 85 D2 7E 26 8B CA 0F 28 C2 F2 0F 5E C3 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 CB F2 0F 59 DC F2 0F 5C D1 48 2B CB 75 DC 0F 28 C2 F2 0F 5E C3 F2 0F 2C C0 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 6E C8 23 C3 F3 0F E6 C9 F2 0F 59 CB F2 0F 5C D1 66 0F 2F D0 F2 0F 11 54 24 70 77 0C 66 0F 2E D0 7A 10 75 0E 85 C0 74 0A F2 0F 5C D3 F2 0F 11 54 24 70 44 89 44 24 68 0F AE 54 24 68 0F 57 C0 0F 2F 44 24 60 F2 0F 10 44 24 70 76 07 0F 57 05 ?? ?? ?? ?? F2 0F 5A C0 E9 03 01 00 00 81 F9 FE 07 00 00 7E 58 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 48 B8 FF FF FF FF FF FF 0F 00 F3 0F 11 4C 24 30 44 8B CB BA 06 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 4C 85 C0 0F 84 AA 00 00 00 F3 0F 11 4C 24 60 44 8B 44 24 60 49 0F BA E8 16 83 64 24 20 00 E9 9E 00 00 00 81 FA FE 07 00 00 7E 55 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 0F 84 88 00 00 00 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 44 8B CB BA 06 00 00 00 F3 0F 11 64 24 60 44 8B 44 24 60 48 8D 0D ?? ?? ?? ?? 49 0F BA E8 16 83 64 24 20 00 EB 41 3B CB 7D 04 3B D3 7D 3E C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 48 8D 0D ?? ?? ?? ?? BA 06 00 00 00 44 8B CB C7 44 24 20 08 00 00 00 41 B8 00 00 C0 FF E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_541_0_0 {
	meta:
		name = "clogf"
		size = 526
		refs = "001a crealf 0028 cimagf 0036 _fdtest 0090 atan2f 00b4 __xmm@80000000800000008000000080000000 00ff _fperrraise 0107 _FInf_C 011a __real@3f666666 012a __real@3ecccccd 014a _fd_int 0191 __real@3f800000 01ad log1pf 01b5 __real@3f000000 01df logf 01f8 _FCbuild"
	strings:
		$1 = { 48 89 4C 24 08 55 53 57 48 8B EC 48 83 EC 50 0F 29 74 24 40 0F 29 7C 24 30 E8 ?? ?? ?? ?? 48 8B 4D 20 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 F8 E8 ?? ?? ?? ?? 0F B7 D8 66 83 FF 02 75 18 F3 0F 10 4D 28 66 83 F8 01 0F 84 91 01 00 00 F3 0F 10 C1 E9 90 01 00 00 66 83 FB 02 75 18 F3 0F 10 4D 30 66 83 FF 01 0F 84 73 01 00 00 F3 0F 10 C1 E9 72 01 00 00 F3 0F 10 4D 28 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F8 66 83 FF 01 0F 84 4B 01 00 00 66 83 FB 01 0F 84 41 01 00 00 F3 0F 10 55 28 F3 0F 10 35 ?? ?? ?? ?? 0F 57 DB 0F 2F DA 76 08 0F 57 D6 F3 0F 11 55 28 F3 0F 10 4D 30 0F 2F D9 76 08 0F 57 CE F3 0F 11 4D 30 0F 2F CA 76 13 0F 28 C2 0F 28 D1 0F 28 C8 F3 0F 11 55 28 F3 0F 11 4D 30 0F 2E D3 7A 1F 75 1D B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 57 C6 0F 28 CF E9 E1 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C2 0F 82 97 00 00 00 0F 2F 0D ?? ?? ?? ?? 0F 82 8A 00 00 00 BB 0B 00 00 00 48 8D 4D D0 F3 0F 11 55 D0 8B D3 F3 0F 11 4D 38 E8 ?? ?? ?? ?? 48 8D 4D 38 8B D3 E8 ?? ?? ?? ?? F3 0F 10 65 38 F3 0F 10 5D D0 F3 0F 10 6D 30 0F 28 CB 0F 28 C4 F3 0F 58 45 30 F3 0F 10 55 28 F3 0F 58 4D 28 F3 0F 5C EC F3 0F 5C D3 F3 0F 59 DB F3 0F 59 E4 F3 0F 5C 1D ?? ?? ?? ?? F3 0F 59 E8 F3 0F 59 D1 F3 0F 58 EA F3 0F 58 DC F3 0F 58 EB 0F 28 C5 E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? E9 50 FF FF FF F3 0F 5E CA F3 0F 59 C9 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 F3 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 58 C6 E9 22 FF FF FF 0F 28 C8 F3 0F 10 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 48 83 C4 50 5F 5B 5D C3 }
	condition:
		$1
}

rule file_542_4_0 {
	meta:
		name = "_mbbtype_l"
		size = 148
		refs = "0018 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 40 8A F9 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 8B 44 24 28 FF CB 74 3B 44 0F B6 C7 41 8A 54 00 19 F6 C2 04 74 07 B9 01 00 00 00 EB 3A 48 8B 44 24 20 48 8B 88 08 01 00 00 B8 57 01 00 00 66 42 85 04 41 75 0A F6 C2 03 75 05 83 C8 FF EB 1A 33 C0 EB 16 40 0F B6 CF 8A 54 01 19 80 E2 08 F6 DA 1B C9 83 E1 03 FF C9 8B C1 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_543_0_0 {
	meta:
		name = "__avx_expf8"
		size = 528
		refs = "002d __common_sexp_data 0200 __common_sexp_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 84 24 D0 01 00 00 C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 6F 01 00 00 C5 FC 10 25 ?? ?? ?? ?? 49 83 E5 C0 C5 FC 59 0D ?? ?? ?? ?? C5 F8 10 15 ?? ?? ?? ?? C5 F8 10 35 ?? ?? ?? ?? C5 F8 10 1D ?? ?? ?? ?? C5 74 58 C4 C5 BC 5C CC C5 F8 54 E2 C4 E3 7D 19 C5 01 C5 D9 66 E6 C5 D0 54 EA C5 D1 66 D6 C5 D9 6B E2 C5 D1 EF ED C5 D9 63 F5 C5 F4 59 2D ?? ?? ?? ?? C5 F4 59 0D ?? ?? ?? ?? C5 F9 D7 D6 C5 FC 5C F5 C5 B9 FE D3 C4 63 7D 19 C4 01 C5 B9 72 F2 17 C5 CC 5C D1 C5 D9 FE DB C5 E1 72 F3 17 C5 EC 59 0D ?? ?? ?? ?? C5 F4 58 25 ?? ?? ?? ?? C5 DC 59 EA C5 D4 58 35 ?? ?? ?? ?? C4 E3 3D 18 DB 01 C5 4C 59 C2 C5 BC 58 0D ?? ?? ?? ?? C5 F4 59 E2 C5 DC 58 2D ?? ?? ?? ?? C5 D4 59 D2 C5 EC 58 0D ?? ?? ?? ?? C5 E4 59 C9 84 D2 75 26 C5 FC 10 B4 24 F0 01 00 00 C5 7C 10 84 24 D0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 CA 33 C0 C5 FC 11 BC 24 00 01 00 00 C5 7C 11 8C 24 E0 00 00 00 C5 7C 11 94 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 28 01 00 00 8B D8 48 89 B4 24 20 01 00 00 8B F2 0F A3 DE 72 61 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 00 01 00 00 C5 7C 10 8C 24 E0 00 00 00 C5 7C 10 94 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 28 01 00 00 48 8B B4 24 20 01 00 00 E9 0F FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 8B 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_545_0_0 {
	meta:
		name = "_dup2"
		size = 384
		refs = "0020 __doserrno 0029 _errno 0045 _nhandle 005f __pioinfo 00ae _calloc_crt 0122 __lock_fhandle 0140 _dup2_nolock 0149 _unlock_fhandle 016b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 20 89 54 24 10 89 4C 24 08 56 57 41 56 48 83 EC 20 8B DA 48 63 F9 83 FF FE 75 19 E8 ?? ?? ?? ?? 33 F6 89 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 37 01 00 00 33 F6 85 C9 0F 88 16 01 00 00 44 8B 05 ?? ?? ?? ?? 41 3B F8 0F 83 06 01 00 00 48 8B CF 48 8B C7 48 C1 F8 05 4C 8D 35 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 04 C6 0F BE 54 08 08 83 E2 01 0F 84 DC 00 00 00 83 FB FE 75 07 E8 ?? ?? ?? ?? EB 9E 8B C6 81 FB 00 08 00 00 0F 92 C0 85 C0 0F 84 BD 00 00 00 41 3B D8 7C 7B 49 39 36 75 63 BA 58 00 00 00 8D 4A C8 E8 ?? ?? ?? ?? 48 85 C0 74 57 49 89 06 44 8B 05 ?? ?? ?? ?? 41 83 C0 20 44 89 05 ?? ?? ?? ?? 48 8D 88 00 0B 00 00 48 3B C1 73 30 48 8D 50 09 66 C7 42 FF 00 0A 48 83 4A F7 FF 89 72 03 48 8D 52 58 49 8B 0E 48 81 C1 00 0B 00 00 48 8D 42 F7 48 3B C1 72 DB 44 8B 05 ?? ?? ?? ?? 49 83 C6 08 EB 8D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 54 3B FB 7D 0B 8B CF E8 ?? ?? ?? ?? 8B CB EB 0B 7E 0F 8B CB E8 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 90 8B D3 8B CF E8 ?? ?? ?? ?? 8B F0 8B CF E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 8B C6 EB 1A E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_545_1_0 {
	meta:
		name = "_dup2$fin$0"
		size = 31
		refs = "000d _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 40 E8 ?? ?? ?? ?? 8B 4D 48 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_545_2_0 {
	meta:
		name = "_dup2_nolock"
		size = 373
		refs = "0022 __pioinfo 0048 _errno 0053 __doserrno 008b _close_nolock 0091 __imp_GetCurrentProcess 009b _get_osfhandle 00d0 __imp_DuplicateHandle 00da __imp_GetLastError 00eb _set_osfhnd 00f8 _dosmaperr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 63 D9 4C 8D 2D ?? ?? ?? ?? 48 63 F2 48 8B C3 48 8B EB 83 E0 1F 48 C1 FD 05 4C 6B E0 58 49 8B 44 ED 00 42 F6 44 20 08 01 75 1B E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF E9 F5 00 00 00 3B DE 0F 84 EB 00 00 00 48 8B C6 4C 8B F6 83 E0 1F 49 C1 FE 05 4C 6B F8 58 4B 8B 44 F5 00 41 F6 44 07 08 01 74 07 8B CE E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? C7 44 24 30 02 00 00 00 4C 8D 8C 24 80 00 00 00 4C 8B C7 48 8B D3 48 8B C8 C7 44 24 28 01 00 00 00 83 64 24 20 00 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 11 48 8B 94 24 80 00 00 00 8B CE E8 ?? ?? ?? ?? 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? E9 59 FF FF FF 49 8B 44 ED 00 42 8A 4C 20 08 4B 8B 44 F5 00 80 E1 EF 41 88 4C 07 08 49 8B 44 ED 00 4B 8B 54 F5 00 42 8A 4C 20 38 41 32 4C 17 38 80 E1 7F 41 30 4C 17 38 49 8B 44 ED 00 4B 8B 54 F5 00 42 8A 4C 20 38 41 32 4C 17 38 80 E1 7F 42 32 4C 20 38 41 88 4C 17 38 33 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_545_3_0 {
	meta:
		name = "extend_ioinfo_arrays"
		size = 159
		refs = "000c _nhandle 0019 __pioinfo 002c _calloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 15 ?? ?? ?? ?? 8B F9 3B CA 7C 77 48 8D 1D ?? ?? ?? ?? 48 83 3B 00 75 62 BA 58 00 00 00 8D 4A C8 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 62 8B 15 ?? ?? ?? ?? 48 89 03 48 05 00 0B 00 00 83 C2 20 89 15 ?? ?? ?? ?? 48 3B C8 73 30 48 8D 51 09 48 83 4A F7 FF 83 62 03 00 66 C7 42 FF 00 0A 48 8B 0B 48 8D 52 58 48 8D 42 F7 48 81 C1 00 0B 00 00 48 3B C1 72 DA 8B 15 ?? ?? ?? ?? 48 83 C3 08 3B FA 7D 90 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 83 C8 FF EB F0 }
	condition:
		$1
}

rule file_546_0_0 {
	meta:
		name = "__common_ssin_cout_rare"
		size = 112
		altNames = "__common_scos_cout_rare"
	strings:
		$1 = { 48 83 EC 28 44 8B 01 0F B7 41 02 44 89 44 24 20 25 80 7F 00 00 41 C1 E8 18 41 83 E0 7F F3 0F 10 09 3D 80 7F 00 00 75 34 44 88 44 24 23 81 7C 24 20 00 00 80 7F 75 16 B8 01 00 00 00 66 0F EF C0 F3 0F 59 C8 F3 0F 11 0A 48 83 C4 28 C3 F3 0F 59 C9 33 C0 F3 0F 11 0A 48 83 C4 28 C3 33 C0 48 83 C4 28 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_547_1_0 {
	meta:
		name = "_vsnwprintf_l"
		size = 252
		refs = "0037 memset 0041 _errno 004c _invalid_parameter_noinfo 0098 _woutput_l 00c3 _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 55 48 8B EC 48 83 EC 50 48 83 65 D0 00 48 8B FA 33 D2 49 8B F0 48 8B D9 44 8D 42 28 48 8D 4D D8 4D 8B F1 E8 ?? ?? ?? ?? 48 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 8A 00 00 00 48 85 FF 74 05 48 85 DB 74 DE C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 48 81 FF FF FF FF 3F 76 09 C7 45 D8 FF FF FF 7F EB 06 8D 04 3F 89 45 D8 4C 8B 4D 30 48 8D 4D D0 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 8B F8 48 85 DB 74 3F FF 4D D8 78 14 48 8B 45 D0 C6 00 00 48 8B 45 D0 48 FF C0 48 89 45 D0 EB 0F 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 45 D0 FF 4D D8 78 05 C6 00 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 4C 8B 74 24 78 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_548_0_0 {
	meta:
		name = "longjmp"
		size = 236
		refs = "00e6 RtlUnwindEx"
	strings:
		$1 = { 48 81 EC 38 05 00 00 48 85 D2 75 03 48 FF C2 4D 33 D2 4C 39 11 0F 85 88 00 00 00 48 8B C2 48 8B 59 08 48 8B 71 20 48 8B 79 28 4C 8B 61 30 4C 8B 69 38 4C 8B 71 40 4C 8B 79 48 0F AE 51 58 DB E2 D9 69 5C 66 0F 6F 71 60 66 0F 6F 79 70 66 44 0F 6F 81 80 00 00 00 66 44 0F 6F 89 90 00 00 00 66 44 0F 6F 91 A0 00 00 00 66 44 0F 6F 99 B0 00 00 00 66 44 0F 6F A1 C0 00 00 00 66 44 0F 6F A9 D0 00 00 00 66 44 0F 6F B1 E0 00 00 00 66 44 0F 6F B9 F0 00 00 00 48 8B 51 50 48 8B 69 18 48 8B 61 10 FF E2 C7 44 24 30 26 00 00 80 44 89 54 24 34 4C 89 54 24 38 4C 89 54 24 40 4C 89 54 24 28 41 FF C2 44 89 54 24 48 48 89 4C 24 50 48 8D 44 24 60 48 89 44 24 20 4C 8B CA 4C 8D 44 24 30 48 8B 51 50 48 8B 09 E8 ?? ?? ?? ?? EB B7 }
	condition:
		$1
}

rule file_552_0_0 {
	meta:
		name = "_d_inttype"
		size = 87
		refs = "000d _fpclass 0019 _frnd 0029 __real@3fe0000000000000"
	strings:
		$1 = { 48 83 EC 38 0F 29 74 24 20 0F 28 F0 E8 ?? ?? ?? ?? A8 90 75 36 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E C6 7A 28 75 26 F2 0F 59 35 ?? ?? ?? ?? 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E C6 7A 09 75 07 B8 02 00 00 00 EB 09 B8 01 00 00 00 EB 02 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_552_1_0 {
	meta:
		name = "_powhlp"
		size = 310
		refs = "0019 __xmm@7fffffffffffffff7fffffffffffffff 0047 __real@3ff0000000000000 0055 _d_inf 00ad _d_ind 00f3 _d_inttype 0110 __xmm@80000000000000008000000000000000 0129 _d_mzero"
	strings:
		$1 = { 48 8B C4 48 89 58 18 F2 0F 11 48 10 F2 0F 11 40 08 57 48 83 EC 30 0F 54 05 ?? ?? ?? ?? 0F 29 70 E8 48 8B 40 10 48 8B C8 49 8B D8 41 B8 00 00 F0 7F 48 C1 E9 20 33 FF 0F 28 F1 41 3B C8 75 44 85 C0 75 40 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C1 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 CF 00 00 00 66 0F 2F C8 77 3A 48 B8 00 00 00 00 00 00 F0 3F 48 89 03 48 8B 5C 24 50 0F 28 74 24 20 8B C7 48 83 C4 30 5F C3 BA 00 00 F0 FF 3B CA 75 30 85 C0 75 2C F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C1 76 05 48 89 3B EB CE 66 0F 2F C8 77 A8 F2 0F 10 05 ?? ?? ?? ?? BF 01 00 00 00 F2 0F 11 03 EB B5 48 8B 4C 24 40 48 8B C1 48 C1 E8 20 41 3B C0 75 1A 85 C9 75 16 0F 57 C0 66 0F 2F C8 0F 87 73 FF FF FF 66 0F 2F C1 E9 7B FF FF FF 3B C2 75 86 85 C9 75 82 0F 28 C1 E8 ?? ?? ?? ?? 0F 57 C0 66 0F 2F F0 76 16 F2 0F 10 05 ?? ?? ?? ?? 83 F8 01 75 20 0F 57 05 ?? ?? ?? ?? EB 17 66 0F 2F C6 0F 86 44 FF FF FF 83 F8 01 75 08 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 3B FF FF FF }
	condition:
		$1
}

rule file_553_0_0 {
	meta:
		name = "__crtsetenv"
		size = 947
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0059 _mbschr 0079 _environ 0087 __initenv 00bc _calloc_crt 00cf _amsg_exit 00e2 _strdup 0117 _wenviron 011e __wtomb_environ 0160 _malloc_crt 01c1 _mbsnbicoll 0215 free 0266 _recalloc_crt 0309 strlen 0336 strcpy_s 0359 __imp_SetEnvironmentVariableA 03ae _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 8B DA 4C 8B F9 41 8B FE 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 ED 00 00 00 48 8B 29 48 85 ED 0F 84 D6 00 00 00 BA 3D 00 00 00 48 8B CD E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 BD 00 00 00 48 3B E8 0F 84 B4 00 00 00 44 38 70 01 48 8B 35 ?? ?? ?? ?? 45 8B E6 41 0F 94 C4 48 3B 35 ?? ?? ?? ?? 75 7A 48 8B DE 41 8B CE 48 8B C6 48 85 F6 75 05 49 8B F6 EB 5C 4C 39 36 74 0B 48 8D 40 08 FF C1 4C 39 30 75 F5 8D 41 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B F0 48 85 C0 75 08 8D 48 09 E8 ?? ?? ?? ?? 48 8B 03 48 85 C0 74 1B 49 2B DE 48 8B C8 E8 ?? ?? ?? ?? 49 89 06 49 83 C6 08 4A 8B 04 33 48 85 C0 75 E8 49 21 3E 45 33 F6 8B 5C 24 68 48 89 35 ?? ?? ?? ?? 48 85 F6 0F 85 8C 00 00 00 85 DB 74 3D 4C 39 35 ?? ?? ?? ?? 74 34 E8 ?? ?? ?? ?? 85 C0 74 6F E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 45 85 E4 74 04 33 C0 EB DA B9 08 00 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 C1 4C 89 30 4C 39 35 ?? ?? ?? ?? 75 19 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 9F 4C 89 30 48 8B 35 ?? ?? ?? ?? 4C 8B F6 48 85 F6 74 8D 48 8B 06 41 8B CD 48 8B DE 2B CD 48 85 C0 74 3F 48 63 F1 4C 8B C6 48 8B D0 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 17 48 8B 03 80 3C 06 3D 0F 84 A9 00 00 00 40 38 3C 06 0F 84 9F 00 00 00 48 83 C3 08 48 8B 03 48 85 C0 75 CB 48 8B 35 ?? ?? ?? ?? 48 2B DE 48 C1 FB 03 F7 DB 85 DB 0F 88 9A 00 00 00 49 39 3E 0F 84 91 00 00 00 48 63 F3 49 8B 0C F6 E8 ?? ?? ?? ?? 45 85 E4 74 74 49 39 3C F6 74 1E 48 8D 4E 01 49 8D 0C CE 48 8B 01 FF C3 48 8D 49 08 49 89 04 F6 48 FF C6 49 39 3C F6 75 EA 48 63 D3 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 0F 83 A3 00 00 00 48 8B 0D ?? ?? ?? ?? 41 B8 08 00 00 00 E8 ?? ?? ?? ?? 45 33 F6 48 85 C0 0F 84 88 00 00 00 48 89 05 ?? ?? ?? ?? EB 7F 48 8B 35 ?? ?? ?? ?? 48 2B DE 48 C1 FB 03 E9 6A FF FF FF 49 89 2C F6 45 33 F6 4D 89 37 EB 60 45 33 F6 45 85 E4 0F 85 E4 00 00 00 85 DB 79 02 F7 DB 8D 43 02 3B C3 0F 8C 76 FE FF FF 4C 63 C0 48 B8 FF FF FF FF FF FF FF 1F 4C 3B C0 0F 83 60 FE FF FF BA 08 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 84 4A FE FF FF 48 63 CB 48 89 2C C8 4C 89 74 C8 08 4D 89 37 E9 7B FF FF FF 45 33 F6 44 39 74 24 68 74 72 48 8B CD E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 48 02 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 54 48 8B CD E8 ?? ?? ?? ?? 4C 8B C5 48 8B CB 48 8D 50 02 E8 ?? ?? ?? ?? 85 C0 75 60 48 8B D3 48 8B CB 48 2B D5 49 03 D5 44 88 32 48 FF C2 45 85 E4 49 0F 45 D6 FF 15 ?? ?? ?? ?? 85 C0 75 0E 83 CF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 45 85 E4 74 0B 48 8B CD E8 ?? ?? ?? ?? 4D 89 37 8B C7 E9 A6 FD FF FF 48 8B CD E8 ?? ?? ?? ?? 4D 89 37 E9 B8 FD FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_553_3_0 {
	meta:
		name = "findenv"
		size = 131
		refs = "0012 _environ 0031 _mbsnbicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 4C 63 C2 48 8B F1 48 8B 10 48 8B D8 48 85 D2 74 34 49 8B F8 4C 8B C7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 0F 48 8B 03 80 3C 07 3D 74 34 80 3C 07 00 74 2E 48 83 C3 08 48 8B 13 48 85 D2 75 D6 48 8B 05 ?? ?? ?? ?? 48 2B D8 48 C1 FB 03 F7 DB 48 8B 74 24 38 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 2B 1D ?? ?? ?? ?? 48 C1 FB 03 EB E1 }
	condition:
		$1
}

rule file_554_0_0 {
	meta:
		name = "__avx_log104"
		size = 656
		refs = "000a __common_dlog10_data 027c __common_dlog10_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 05 ?? ?? ?? ?? C5 FC 11 BC 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 8F 01 00 00 C5 FD 54 1D ?? ?? ?? ?? 49 83 E5 C0 C5 E5 56 3D ?? ?? ?? ?? C5 FD 5A EF C5 F8 53 E5 C5 FC 5A E4 C4 E3 7D 09 E4 00 C5 F1 73 D0 14 C4 E3 7D 19 C2 01 C5 E1 73 D2 14 C5 FD C2 15 ?? ?? ?? ?? 11 C5 F0 C6 EB DD C5 FD C2 0D ?? ?? ?? ?? 16 C5 FE E6 DD C5 ED 56 D1 C4 E3 7D 19 D1 01 C5 E8 C6 E9 DD C5 C5 54 15 ?? ?? ?? ?? C5 C5 5C FA C5 F8 50 D5 C5 ED 59 D4 C5 C5 59 FC C5 ED 5C 0D ?? ?? ?? ?? C5 F5 58 CF C5 C1 73 D4 28 C4 E3 7D 19 E5 01 C5 D1 73 D5 28 C4 C1 79 7E E9 C5 DD C2 25 ?? ?? ?? ?? 1E C5 F9 7E F9 4D 63 C9 C4 C3 79 16 EA 02 4D 63 D2 C4 C3 79 16 F8 02 C4 C1 7B 10 BC 01 40 90 BF FF C5 DD 54 25 ?? ?? ?? ?? C4 C1 41 16 AC 02 40 90 BF FF C5 DD 56 3D ?? ?? ?? ?? C5 E5 5C DF C5 F5 59 3D ?? ?? ?? ?? C5 E5 59 25 ?? ?? ?? ?? C5 F5 59 1D ?? ?? ?? ?? C5 C5 58 3D ?? ?? ?? ?? 48 63 C9 4D 63 C0 C5 FB 10 94 01 40 90 BF FF C4 C1 69 16 94 00 40 90 BF FF C4 E3 6D 18 D5 01 C5 E5 58 2D ?? ?? ?? ?? C5 F5 59 D9 C5 F5 59 0D ?? ?? ?? ?? C5 D5 59 EB C5 D5 58 EF C5 D5 59 DB C5 E5 58 C9 C5 F5 58 D2 C5 ED 58 CC 85 D2 75 1D C5 FC 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 D5 33 C0 C5 FC 11 B4 24 20 01 00 00 C5 7C 11 84 24 00 01 00 00 C5 7C 11 8C 24 E0 00 00 00 C5 7C 11 94 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 48 01 00 00 8B D8 48 89 B4 24 40 01 00 00 8B F2 0F A3 DE 72 6A FF C3 83 FB 20 7C F4 C5 FC 10 B4 24 20 01 00 00 C5 7C 10 84 24 00 01 00 00 C5 7C 10 8C 24 E0 00 00 00 C5 7C 10 94 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 48 01 00 00 48 8B B4 24 40 01 00 00 E9 08 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB 82 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_555_1_0 {
	meta:
		name = "__wdtoxmode"
		size = 245
		refs = "006d wcsrchr 007c ??_C@_19DOGDICKI@?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 0084 _wcsicmp 008f ??_C@_19BDKLHPGC@?$AA?4?$AAc?$AAm?$AAd?$AA?$AA@ 00a2 ??_C@_19PINKOIBI@?$AA?4?$AAb?$AAa?$AAt?$AA?$AA@ 00b5 ??_C@_19CDGLJBOD@?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 66 83 7A 02 3A 0F B6 C1 4C 8B C2 48 8B CA 75 04 48 8D 4A 04 33 F6 66 83 39 5C 74 06 66 83 39 2F 75 06 66 39 71 02 74 0E A8 10 75 0A BB 00 80 00 00 66 39 31 75 05 BB 40 40 00 00 66 C1 E0 07 B9 80 00 00 00 BA 2E 00 00 00 66 F7 D0 66 23 C1 B9 00 01 00 00 66 0B C1 49 8B C8 66 0B D8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 50 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 39 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 26 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 13 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 04 66 83 CB 40 48 8B 74 24 38 0F B7 C3 66 C1 E8 03 66 83 E0 38 66 0B D8 0F B7 C3 66 C1 E8 06 66 83 E0 07 66 0B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_555_3_0 {
	meta:
		name = "_wstat32"
		size = 1153
		refs = "0022 __security_cookie 0042 __doserrno 004a _errno 0055 _invalid_parameter_noinfo 006a ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 006f wcspbrk 00a4 towlower 00b3 _getdrive 00d3 __imp_FindFirstFileExW 00ea ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0123 _wfullpath 016e wcslen 017c IsRootUNCName 0189 __imp_GetDriveTypeW 01a1 free 01d4 __loctotime32_t 024a _wsopen_s 025e _fstat32 0269 _close 0292 __imp_FileTimeToSystemTime 02ac __imp_SystemTimeToTzSpecificLocalTime 03e9 __imp_FindClose 03f5 __wdtoxmode 0441 __imp_GetLastError 0448 _dosmaperr 0462 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 45 33 E4 48 8B FA 48 8B F1 45 8B FC 48 85 C9 75 21 E8 ?? ?? ?? ?? 44 89 20 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 F5 03 00 00 48 85 D2 74 DA 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 15 E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 EB CC 66 83 7E 02 3A 75 1E 0F B7 0E 66 85 C9 74 07 66 44 39 66 04 74 D5 E8 ?? ?? ?? ?? 44 0F B7 E8 41 83 ED 60 EB 08 E8 ?? ?? ?? ?? 44 8B E8 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CE 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 83 CB FF 4C 8B F0 48 3B C3 0F 85 27 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE 4D 8B F4 E8 ?? ?? ?? ?? 48 85 C0 0F 84 F4 00 00 00 E8 ?? ?? ?? ?? 44 8B 20 E8 ?? ?? ?? ?? 48 8D 8D B0 01 00 00 44 21 30 41 B8 04 01 00 00 48 8B D6 E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 20 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 AF 00 00 00 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 33 C9 44 89 20 E8 ?? ?? ?? ?? 4C 8B F0 4C 8B F8 45 33 E4 4D 85 FF 74 7F 49 8B CF E8 ?? ?? ?? ?? 48 83 F8 03 74 0C 49 8B CF E8 ?? ?? ?? ?? 85 C0 74 65 49 8B CF FF 15 ?? ?? ?? ?? 41 BF 01 00 00 00 41 3B C7 76 51 4D 85 F6 74 08 49 8B CE E8 ?? ?? ?? ?? 89 5C 24 30 45 33 C9 45 8B C7 41 8B D7 B9 BC 07 00 00 44 89 64 24 28 C7 44 24 60 10 00 00 00 4C 89 64 24 7C 66 44 89 65 8C 44 89 64 24 20 E8 ?? ?? ?? ?? 45 8B FC 89 47 1C 89 47 18 89 47 20 E9 04 02 00 00 4D 85 F6 74 08 49 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 E9 47 02 00 00 F7 44 24 60 00 04 00 00 74 5A 81 7D 84 0C 00 00 A0 75 51 F6 44 24 60 10 45 8B C4 B8 00 20 00 00 48 8D 4C 24 40 41 B9 40 00 00 00 48 8B D6 44 0F 45 C0 89 5C 24 40 44 89 64 24 20 E8 ?? ?? ?? ?? 85 C0 75 A4 8B 4C 24 40 3B CB 74 9C 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? E9 DA 01 00 00 44 39 64 24 74 75 0D 44 39 64 24 78 75 06 44 89 67 1C EB 68 48 8D 54 24 48 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 A1 01 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 87 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 1C 44 39 64 24 6C 75 0C 44 39 64 24 70 75 05 8B 47 1C EB 65 48 8D 54 24 48 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 26 01 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 0C 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 18 44 39 64 24 64 75 0C 44 39 64 24 68 75 05 8B 47 1C EB 65 48 8D 54 24 48 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 AB 00 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 91 00 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 49 8B CE 89 47 20 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D6 E8 ?? ?? ?? ?? 66 89 47 06 B8 01 00 00 00 66 89 47 08 8B 45 80 89 47 14 44 39 64 24 7C 74 12 E8 ?? ?? ?? ?? 44 8B FB C7 00 84 00 00 00 44 89 67 14 41 8D 4D FF 66 44 89 67 04 C7 47 0A 00 00 00 00 89 0F 89 4F 10 41 8B C7 EB 18 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 49 8B CE FF 15 ?? ?? ?? ?? 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_557_0_0 {
	meta:
		name = "acosh"
		size = 194
		refs = "0015 _dtest 003f __real@3ff0000000000000 0055 _fperrraise 005d _Nan_C 0074 __real@4000000000000000 007c _Eps_C 0099 sqrt 00a2 log1p 00ac log 00b4 __real@3fe62e42fefa39ef"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 FF C9 74 0F FF C9 75 17 F2 0F 10 44 24 40 E9 89 00 00 00 B8 00 80 00 00 66 85 44 24 46 EB E7 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 4C 24 40 66 0F 2F D1 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 55 66 0F 2E CA 7A 07 75 05 0F 57 C0 EB 48 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 05 ?? ?? ?? ?? 66 0F 2F C1 76 22 0F 28 F1 F2 0F 58 CA F2 0F 5C F2 F2 0F 59 CE 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 58 C6 E8 ?? ?? ?? ?? EB 10 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_558_0_0 {
	meta:
		name = "conjf"
		size = 53
		refs = "000a crealf 001a cimagf 0021 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 4C 24 30 F3 0F 11 44 24 38 E8 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? F3 0F 11 44 24 3C 48 8B 44 24 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_559_10_0 {
	meta:
		name = "??0?$Hash@II@details@Concurrency@@QEAA@H@Z"
		size = 75
		refs = "0029 ??_U@YAPEAX_K@Z 003e memset"
		altNames = "??0?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 61 04 00 89 11 48 8B D9 48 63 D2 48 C7 C1 FF FF FF FF B8 08 00 00 00 48 F7 E2 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 4C 63 03 33 D2 49 C1 E0 03 48 8B C8 48 89 43 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_559_11_0 {
	meta:
		name = "??0?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z"
		size = 299
		refs = "009a ??_U@YAPEAX_K@Z 00af memset 00b7 ??2@YAPEAX_K@Z 00f7 __imp_InitializeSListHead"
		altNames = "??0?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z ??0?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z ??0?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z ??0?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z ??0?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 48 83 61 20 00 83 61 54 00 48 83 61 58 00 48 89 51 48 C7 41 68 00 02 00 00 C7 41 6C 01 00 00 00 41 8D 40 FF C7 41 70 00 00 00 00 44 89 49 74 48 8B D9 C7 41 78 00 00 00 00 41 85 C0 74 2F 41 8B C0 D1 F8 44 0B C0 41 8B C0 C1 F8 02 44 0B C0 41 8B C0 C1 F8 04 44 0B C0 41 8B C0 C1 F8 08 44 0B C0 41 8B C0 C1 F8 10 44 0B C0 41 FF C0 44 89 41 50 49 63 C8 B8 08 00 00 00 48 C7 C5 FF FF FF FF 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 4C 63 43 50 33 D2 49 C1 E0 03 48 8B C8 48 8B F8 E8 ?? ?? ?? ?? 8D 4D 19 E8 ?? ?? ?? ?? 48 85 C0 74 0B 48 83 60 08 00 48 89 38 89 68 10 48 63 4B 68 48 89 43 58 B8 08 00 00 00 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 58 48 89 43 60 48 89 08 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 4B 10 FF 15 ?? ?? ?? ?? 8B 4B 50 D1 F9 74 0C 8B 43 54 FF C0 D1 F9 75 FA 89 43 54 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_559_14_0 {
	meta:
		name = "??0QuickBitSet@details@Concurrency@@QEAA@AEBV012@@Z"
		size = 31
		refs = "0012 ?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 21 00 48 83 61 08 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_559_15_0 {
	meta:
		name = "??0SchedulingNode@details@Concurrency@@QEAA@AEBVQuickBitSet@12@KPEAVSchedulingRing@12@@Z"
		size = 214
		refs = "0036 ?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z 005e ??_U@YAPEAX_K@Z 0074 memset 00ac ??0?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F9 41 8B D8 48 8B F1 4C 89 49 08 48 83 C1 10 83 21 00 48 83 61 08 00 E8 ?? ?? ?? ?? 90 B9 01 10 00 00 89 4E 20 83 66 24 00 B8 08 00 00 00 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 46 28 4C 63 46 20 49 C1 E0 03 33 D2 48 8B C8 E8 ?? ?? ?? ?? 90 C7 46 30 00 00 00 00 C7 46 34 00 00 00 00 C7 46 38 00 00 00 00 C7 46 3C 00 00 00 00 89 5E 40 48 8D 4E 50 41 B9 FF FF FF 7F 41 B8 00 01 00 00 48 8B 17 E8 ?? ?? ?? ?? 48 8B 4E 08 48 8B 01 48 89 06 8B 81 28 01 00 00 89 46 44 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_559_17_0 {
	meta:
		name = "?dtor$1@?0???0SchedulingNode@details@Concurrency@@QEAA@AEBVQuickBitSet@12@KPEAVSchedulingRing@12@@Z@4HA"
		size = 16
		refs = "000c ??1?$Hash@II@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$1@?0???1SchedulingNode@details@Concurrency@@QEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_799_20_0 {
	meta:
		name = "?dtor$0@?0???1SchedulingRing@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_758_1 {
	meta:
		name = "?dtor$1@?0???1_Task_impl_base@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_22_0 {
	meta:
		name = "??1?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 264
		refs = "001a __imp_InterlockedFlushSList 00d6 ??_V@YAXPEAX@Z 00de ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1F 48 8D 8B E0 FE FF FF 48 8B 1B 48 85 C9 74 0B 4C 8B 01 BA 01 00 00 00 41 FF 10 48 85 DB 75 E1 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1F 48 8D 8B E0 FE FF FF 48 8B 1B 48 85 C9 74 0B 4C 8B 01 BA 01 00 00 00 41 FF 10 48 85 DB 75 E1 48 8B 5F 20 EB 19 48 8D 8B E0 FE FF FF 48 8B 1B 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 DB 75 E2 48 8B 77 58 48 85 F6 74 47 33 DB 39 5F 50 7E 24 45 33 F6 48 8B 06 49 8B 0C 06 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 FF C3 49 83 C6 08 3B 5F 50 7C DF 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 B9 48 8B 4F 60 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_25_0 {
	meta:
		name = "??1SchedulingNode@details@Concurrency@@QEAA@XZ"
		size = 75
		refs = "0020 ??1?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@XZ 002a ?Wipe@?$Hash@II@details@Concurrency@@QEAAXXZ 0033 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 83 C1 50 E8 ?? ?? ?? ?? 90 48 8D 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 90 48 8B 4F 18 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_33_0 {
	meta:
		name = "??A?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEBAPEAVVirtualProcessor@12@H@Z"
		size = 91
		altNames = "??A?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEBAPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@12@H@Z ??A?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEBAPEAVExternalStatistics@12@H@Z ??A?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEBAPEAVScheduleGroupSegmentBase@12@H@Z ??A?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEBAPEAVWorkQueue@12@H@Z"
	strings:
		$1 = { 4C 8B C9 8B 49 54 4C 63 DA 45 8B C3 41 D3 F8 45 3B 41 6C 7C 03 33 C0 C3 49 8B 41 60 45 3B 41 68 7C 1E 45 2B 41 68 49 63 49 68 4C 8B 54 C8 F8 78 16 41 8D 48 01 4D 8B 52 08 48 FF C9 75 F7 EB 07 49 63 C8 4C 8B 14 C8 41 8B 41 50 FF C8 48 63 D0 49 8B 02 49 23 D3 48 8B 04 D0 C3 }
	condition:
		$1
}

rule file_559_45_0 {
	meta:
		name = "?Add@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAAHPEAVVirtualProcessor@23@@Z"
		size = 369
		refs = "00c4 ??_U@YAPEAX_K@Z 00d9 memset 00e3 ??2@YAPEAX_K@Z 0129 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0138 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 55 41 56 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B FA 48 8B F9 49 83 CB FF 44 8D 6E 01 44 39 5B 10 7C 53 4C 8B 0B 33 D2 39 57 50 7E 49 4D 8B C1 49 83 38 00 75 1B 8D 04 32 48 63 CA 41 89 87 9C 00 00 00 44 8B 57 70 33 C0 F0 4D 0F B1 3C C9 74 0E 41 03 D5 49 83 C0 08 3B 57 50 7D 19 EB D1 03 F2 41 8A ED 41 3B F2 7C 05 F0 44 01 6F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B3 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 75 33 C0 F0 4C 0F B1 6B 08 75 6B 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B F0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 30 EB 02 33 D2 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 48 89 14 C8 44 01 6F 6C 48 87 53 08 4C 39 6B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 6B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 D7 FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_559_46_0 {
	meta:
		name = "?AddVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@_N@Z"
		size = 318
		refs = "0022 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0032 __imp_InterlockedPopEntrySList 009e ?InterlockedSet@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z 00ce ?Add@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAAHPEAVVirtualProcessor@23@@Z 00d8 ?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z 00e9 ?GetScheduleGroupSegment@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupSegmentBase@23@XZ 011e ?MakeAvailable@VirtualProcessor@details@Concurrency@@IEAAXW4AvailabilityType@123@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 8A F8 4C 8B F2 48 8B F9 E8 ?? ?? ?? ?? 48 8D 6F 50 48 8B CD 48 8B F0 FF 15 ?? ?? ?? ?? 48 85 C0 74 1E 48 8D 98 E0 FE FF FF 48 85 DB 74 12 4C 8B 0B 4D 8B C6 48 8B D7 48 8B CB 41 FF 51 30 EB 15 48 8B 0F 4D 8B C6 48 8B D7 48 8B 01 FF 90 B8 00 00 00 48 8B D8 45 84 FF 74 19 48 8D 4E F0 C6 83 00 01 00 00 01 48 89 8B 08 01 00 00 48 89 99 10 01 00 00 F0 FF 47 38 48 8B 0F 8B 93 D4 00 00 00 48 83 C1 48 E8 ?? ?? ?? ?? 48 8B 07 44 8B 88 A8 02 00 00 48 8B 07 44 8B 80 A4 02 00 00 45 3B C1 75 4D 48 8B 07 44 8B 40 1C 45 85 C0 7E 41 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 48 8B 0F B2 01 E8 ?? ?? ?? ?? 84 C0 74 42 48 85 F6 74 0D 48 8B CE E8 ?? ?? ?? ?? 48 8B D0 EB 08 48 8B 47 08 48 8B 50 10 48 8B 03 45 33 C0 48 8B CB FF 50 38 EB 1A 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 45 33 C0 48 8B CB 41 8D 50 01 E8 ?? ?? ?? ?? 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_559_49_0 {
	meta:
		name = "?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z"
		size = 131
		refs = "0020 ??_V@YAXPEAX@Z 0043 ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 32 48 8B FA 48 8B D9 39 31 74 30 48 8B 49 08 E8 ?? ?? ?? ?? 8D 56 1F 48 C7 C1 FF FF FF FF C1 EA 05 B8 04 00 00 00 89 33 48 F7 E2 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 43 08 8B 03 33 D2 83 C0 1F C1 E8 05 85 C0 74 1A 44 8B C0 48 8B 47 08 48 8B 4B 08 8B 04 02 89 04 0A 48 8D 52 04 49 FF C8 75 E9 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_559_51_0 {
	meta:
		name = "?DeleteElements@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 49
	strings:
		$1 = { 48 85 D2 74 2B 53 48 83 EC 20 48 8B DA 48 8D 8B E0 FE FF FF 48 8B 1B 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 DB 75 E2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_559_56_0 {
	meta:
		name = "?FindMatchingVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 160
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 8B 99 C0 00 00 00 45 33 C9 48 8B FA 4C 8B C1 85 DB 7E 76 41 8B 88 A4 00 00 00 41 8B D1 D3 FA 41 3B 90 BC 00 00 00 7D 59 4D 63 98 B8 00 00 00 49 8B 80 B0 00 00 00 41 3B D3 7C 18 41 2B D3 4E 8B 54 D8 F8 78 15 8D 4A 01 4D 8B 52 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 14 C8 41 8B 80 A0 00 00 00 FF C8 48 63 C8 49 63 C1 48 23 C8 49 8B 02 48 8B 04 C8 48 85 C0 74 09 48 39 B8 88 00 00 00 74 0A 41 FF C1 44 3B CB 7C 8A 33 C0 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_559_57_0 {
	meta:
		name = "?FindVirtualProcessorByLocation@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEBVlocation@3@@Z"
		size = 206
	strings:
		$1 = { 8B 02 4C 8B CA 4C 8B C1 25 FF FF FF 0F 83 F8 03 0F 85 B1 00 00 00 48 8B 01 8B 88 58 02 00 00 39 4A 04 75 05 48 8B 42 10 C3 41 8B 80 C0 00 00 00 45 33 D2 85 C0 0F 8E 8C 00 00 00 41 8B 88 A4 00 00 00 41 8B D2 D3 FA 41 3B 90 BC 00 00 00 7D 64 49 8B 80 B0 00 00 00 41 3B 90 B8 00 00 00 7C 23 41 2B 90 B8 00 00 00 49 63 88 B8 00 00 00 4C 8B 5C C8 F8 78 15 8D 4A 01 4D 8B 5B 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 1C C8 41 8B 80 A0 00 00 00 FF C8 48 63 C8 49 63 C2 48 23 C8 49 8B 03 48 8B 14 C8 48 85 D2 74 0C 41 8B 41 08 39 82 D0 00 00 00 74 16 41 8B 80 C0 00 00 00 41 FF C2 44 3B D0 0F 8C 74 FF FF FF 33 C0 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_559_58_0 {
	meta:
		name = "?FoundAvailableVirtualProcessor@SchedulingNode@details@Concurrency@@AEAA_NAEAVClaimTicket@VirtualProcessor@23@Vlocation@3@K@Z"
		size = 257
		refs = "002e ?FindVirtualProcessorByLocation@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEBVlocation@3@@Z 0044 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NAEAVClaimTicket@123@K_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8B 00 41 8B F1 48 8B EA 25 FF FF FF 0F 48 8B D9 83 F8 03 75 29 49 8B D0 E8 ?? ?? ?? ?? 48 85 C0 74 1C 41 B1 01 44 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 07 B0 01 E9 99 00 00 00 8B 83 C0 00 00 00 33 FF 85 C0 0F 8E 87 00 00 00 8B 8B A4 00 00 00 8B D7 D3 FA 3B 93 BC 00 00 00 7D 65 4C 63 8B B8 00 00 00 48 8B 83 B0 00 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 83 A0 00 00 00 FF C8 48 63 C8 48 63 C7 48 23 C8 49 8B 00 48 8B 0C C8 48 85 C9 74 16 41 B1 01 44 8B C6 48 8B D5 E8 ?? ?? ?? ?? 84 C0 0F 85 72 FF FF FF 8B 83 C0 00 00 00 FF C7 3B F8 0F 8C 79 FF FF FF 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_559_62_0 {
	meta:
		name = "?GetLocation@SchedulingNode@details@Concurrency@@QEAA?AVlocation@3@XZ"
		size = 64
		refs = "002e ??0location@Concurrency@@QEAA@W4_Type@01@IIPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B D9 48 8B 09 48 8B FA 48 8B 01 FF 50 08 44 8B 43 44 BA 02 00 00 00 48 8B CF 44 8B C8 48 89 5C 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_559_68_0 {
	meta:
		name = "?InterlockedSet@QuickBitSet@details@Concurrency@@QEAAXI@Z"
		size = 30
	strings:
		$1 = { 48 8B 41 08 8B CA 41 B8 01 00 00 00 83 E1 1F 8B D2 41 D3 E0 48 C1 EA 05 F0 44 09 04 90 C3 }
	condition:
		$1
}

rule file_559_69_0 {
	meta:
		name = "?InterlockedSet@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z"
		size = 154
		refs = "0053 ?_Sleep0@details@Concurrency@@YAXXZ 0069 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 40 48 8B 41 10 BF 01 00 00 00 48 8B E9 8B F7 8B DA F0 0F C1 34 98 03 F7 3B F7 75 49 4C 8B 71 08 48 C1 EB 05 83 E2 1F 41 8B 04 9E 8A CA D3 E7 85 C7 74 2A 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 49 89 43 E8 41 8B 04 9E 85 C7 74 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 8B 0C 9E 85 CF 75 EE 48 8B 4D 08 F0 09 3C 99 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 7C 24 68 8B C6 48 8B 74 24 60 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_559_75_0 {
	meta:
		name = "?PullFromFreePool@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAAPEAVVirtualProcessor@23@XZ"
		size = 26
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 85 C0 74 06 48 05 E0 FE FF FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_559_76_0 {
	meta:
		name = "?Reallocate@QuickBitSet@details@Concurrency@@IEAAXI@Z"
		size = 74
		refs = "0014 ??_V@YAXPEAX@Z 0037 ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 49 08 8B DA E8 ?? ?? ?? ?? 8D 53 1F 48 C7 C1 FF FF FF FF C1 EA 05 B8 04 00 00 00 89 1F 48 F7 E2 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 89 47 08 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_559_78_0 {
	meta:
		name = "?SpinUntilClear@QuickBitSet@details@Concurrency@@QEBAXI@Z"
		size = 96
		refs = "0034 ?_Sleep0@details@Concurrency@@YAXXZ 0045 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B 71 08 8B DA 83 E2 1F 48 C1 EB 05 BF 01 00 00 00 8A CA 8B 04 9E D3 E7 85 C7 74 24 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 04 9E 85 C7 75 EF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_559_80_0 {
	meta:
		name = "?Steal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z"
		size = 88
		refs = "002a ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0036 ?UnlockedSteal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z 0041 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 40 8A FA 48 8B F1 48 8B 59 20 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 40 8A D7 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_559_82_0 {
	meta:
		name = "?StealLocalRunnableContext@SchedulingNode@details@Concurrency@@AEAAPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z"
		size = 274
		refs = "00cc ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 00d7 ?UnlockedSteal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z 00e2 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 41 56 41 57 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B E9 33 FF 44 8B B1 C0 00 00 00 48 85 D2 74 0F 44 8B BA 9C 00 00 00 8D 77 01 E9 AD 00 00 00 45 33 FF 33 F6 E9 A3 00 00 00 42 8D 04 3E 99 41 F7 FE 44 8B C2 8B 8D A4 00 00 00 41 D3 F8 44 3B 85 BC 00 00 00 0F 8D 80 00 00 00 4C 63 95 B8 00 00 00 48 8B 85 B0 00 00 00 45 3B C2 7C 19 4E 8B 4C D0 F8 45 2B C2 78 16 41 8D 48 01 4D 8B 49 08 48 FF C9 75 F7 EB 07 49 63 C8 4C 8B 0C C8 8B 85 A0 00 00 00 FF C8 48 63 C8 48 63 C2 48 23 C8 49 8B 01 48 8B 14 C8 48 85 D2 74 30 48 8D 7A 18 48 8B 5F 20 48 89 5C 24 50 48 8B CB E8 ?? ?? ?? ?? 90 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 85 FF 75 0B FF C6 41 3B F6 0F 8C 54 FF FF FF 48 8B C7 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_560_0_0 {
	meta:
		name = "__inittime"
		size = 44
		refs = "000b __imp_GetSystemTimeAsFileTime 0023 start_tics"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 8B 44 24 30 8B 4C 24 34 48 C1 E1 20 48 03 C8 33 C0 48 89 0D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_560_1_0 {
	meta:
		name = "clock"
		size = 61
		refs = "000b __imp_GetSystemTimeAsFileTime 001e start_tics"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 8B 44 24 30 8B 4C 24 34 48 C1 E1 20 48 2B 0D ?? ?? ?? ?? 48 03 C8 48 B8 4B 59 86 38 D6 C5 6D 34 48 F7 E1 48 C1 EA 0B 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_561_0_0 {
	meta:
		name = "qsort"
		size = 759
		refs = "0010 __security_cookie 0033 _errno 003e _invalid_parameter_noinfo 00b3 shortsort 02e6 __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 56 48 81 EC 40 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 00 04 00 00 4D 8B F1 49 8B E8 4C 8B E1 48 85 C9 75 1A 48 85 D2 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 93 02 00 00 4D 85 C0 74 E6 4D 85 C9 74 E1 48 83 FA 02 0F 82 7F 02 00 00 48 89 9C 24 38 04 00 00 48 89 B4 24 30 04 00 00 48 89 BC 24 28 04 00 00 4C 89 AC 24 20 04 00 00 4C 89 BC 24 18 04 00 00 4C 8D 7A FF 4C 0F AF FD 4C 03 F9 45 33 ED 33 D2 49 8B C7 49 8B CC 49 2B C4 48 F7 F5 48 8D 70 01 48 83 FE 08 77 26 4D 8B CE 4C 8B C5 49 8B D7 E8 ?? ?? ?? ?? 49 FF CD 0F 88 F2 01 00 00 4E 8B 64 EC 20 4E 8B BC EC 10 02 00 00 EB C2 48 D1 EE 48 0F AF F5 49 03 F4 48 8B D6 41 FF D6 85 C0 7E 2A 4C 8B C5 48 8B D6 4C 3B E6 74 1F 4D 8B CC 4C 2B CE 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 49 8B D7 49 8B CC 41 FF D6 85 C0 7E 2F 4C 8B C5 49 8B D7 4D 3B E7 74 24 4D 8B CC 4D 2B CF 0F 1F 44 00 00 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 49 8B D7 48 8B CE 41 FF D6 85 C0 7E 33 4C 8B C5 49 8B D7 49 3B F7 74 28 4C 8B CE 4D 2B CF 66 0F 1F 84 00 00 00 00 00 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 49 8B DC 49 8B FF 90 48 3B F3 76 1B 48 03 DD 48 3B DE 73 13 48 8B D6 48 8B CB 41 FF D6 85 C0 7E EB 48 3B F3 77 16 90 48 03 DD 49 3B DF 77 0D 48 8B D6 48 8B CB 41 FF D6 85 C0 7E EB 48 2B FD 48 3B FE 76 0D 48 8B D6 48 8B CF 41 FF D6 85 C0 7F EB 48 3B FB 72 37 4C 8B C5 48 8B D7 48 3B DF 74 1F 4C 8B CB 4C 2B CF 0F B6 02 41 0F B6 0C 11 48 8D 52 01 41 88 44 11 FF 88 4A FF 49 FF C8 75 E7 48 3B F7 75 82 48 8B F3 E9 7A FF FF FF 48 03 FD 48 3B F7 73 22 66 90 48 2B FD 48 3B FE 76 18 48 8B D6 48 8B CF 41 FF D6 85 C0 74 EB 48 3B F7 72 1B 66 0F 1F 44 00 00 48 2B FD 49 3B FC 76 0D 48 8B D6 48 8B CF 41 FF D6 85 C0 74 EB 49 8B CF 48 8B C7 48 2B CB 49 2B C4 48 3B C1 7C 26 4C 3B E7 73 10 4E 89 64 EC 20 4A 89 BC EC 10 02 00 00 49 FF C5 49 3B DF 0F 83 33 FE FF FF 4C 8B E3 E9 05 FE FF FF 49 3B DF 73 10 4A 89 5C EC 20 4E 89 BC EC 10 02 00 00 49 FF C5 4C 3B E7 0F 83 0D FE FF FF 4C 8B FF E9 DF FD FF FF 4C 8B AC 24 20 04 00 00 48 8B BC 24 28 04 00 00 48 8B B4 24 30 04 00 00 48 8B 9C 24 38 04 00 00 4C 8B BC 24 18 04 00 00 48 8B 8C 24 00 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 04 00 00 41 5E 41 5C 5D C3 }
	condition:
		$1
}

rule file_561_1_0 {
	meta:
		name = "shortsort"
		size = 189
	strings:
		$1 = { 48 3B D1 0F 86 B3 00 00 00 48 89 6C 24 20 56 41 56 41 57 48 83 EC 20 48 89 5C 24 40 48 89 7C 24 48 4C 89 64 24 50 4E 8D 24 01 4D 8B F9 49 8B E8 48 8B F2 4C 8B F1 66 66 0F 1F 84 00 00 00 00 00 49 8B DE 49 8B FC 4C 3B E6 77 1C 0F 1F 44 00 00 48 8B D3 48 8B CF 41 FF D7 85 C0 48 0F 4F DF 48 03 FD 48 3B FE 76 E9 4C 8B C5 48 8B C6 48 3B DE 74 25 48 85 ED 74 20 48 2B DE 66 0F 1F 44 00 00 0F B6 08 0F B6 14 03 48 8D 40 01 88 4C 03 FF 88 50 FF 49 FF C8 75 E9 48 2B F5 49 3B F6 77 A1 4C 8B 64 24 50 48 8B 7C 24 48 48 8B 5C 24 40 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 5E C3 }
	condition:
		$1
}

rule file_563_3_0 {
	meta:
		name = "_mbscpy_s_l"
		size = 320
		refs = "002b _errno 0037 _invalid_parameter_noinfo 0056 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006f strcpy_s 00ac _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 49 8B F8 48 8B F2 48 8B D9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 26 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 74 24 58 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 28 48 8B CB 83 78 08 00 75 12 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 AA 00 00 00 8A 07 48 FF C7 88 01 48 FF C1 84 C0 74 05 48 FF CE 75 ED 48 85 F6 75 4D 40 38 37 75 32 48 8D 71 FF 48 8B FE 48 3B F3 72 19 0F B6 0F 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CF 48 3B FB 73 E7 8B C6 2B C7 A8 01 74 05 C6 06 00 EB 4B C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 45 48 8D 79 FE 48 8B F7 48 3B FB 72 19 0F B6 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CE 48 3B F3 73 E7 8B C7 2B C6 A8 01 74 16 48 3B FB 72 11 C6 07 00 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 0F 84 0C FF FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 FB FE FF FF }
	condition:
		$1
}

rule file_568_0_0 {
	meta:
		name = "ctanhl"
		size = 437
		refs = "0033 creall 0049 cimagl 0057 _ldtest 007f _LZero_C 0086 __xmm@80000000000000008000000000000000 009a __real@bff0000000000000 00a7 __real@3ff0000000000000 00d3 __real@0000000000000000 00f4 _LNan_C 0106 tan 0113 sinh 0141 _LInf_C 0169 sqrt 0186 _LCbuild"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 55 48 8B EC 48 83 EC 60 0F 10 02 0F 29 70 E8 48 8B F9 0F 29 78 D8 48 8D 4D C0 48 8B DA F3 0F 7F 45 C0 44 0F 29 40 C8 E8 ?? ?? ?? ?? 48 8D 4D C0 F2 0F 11 45 18 0F 10 03 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D 18 F2 0F 11 45 10 E8 ?? ?? ?? ?? 48 8D 4D 10 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 01 75 43 B8 00 80 00 00 0F 57 C0 66 85 45 16 74 11 F2 0F 10 15 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? EB 03 0F 28 D0 66 0F 2F 45 18 76 0D F2 0F 10 0D ?? ?? ?? ?? E9 DE 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 D1 00 00 00 66 83 F8 02 75 0E F2 0F 10 55 10 F2 0F 11 D1 E9 BD 00 00 00 66 83 FB 02 75 20 F2 0F 10 55 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 05 F2 0F 10 55 18 F2 0F 10 4D 18 E9 97 00 00 00 66 83 F8 01 75 10 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 81 00 00 00 F2 0F 10 45 10 E8 ?? ?? ?? ?? 0F 28 F8 F2 0F 10 45 18 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 F7 F2 0F 59 F7 F2 0F 58 F1 F2 0F 59 F0 44 0F 28 C6 F2 44 0F 59 C0 F2 44 0F 58 C1 66 44 0F 2E 05 ?? ?? ?? ?? 7A 19 75 17 0F 57 D2 66 0F 2F D0 76 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 FA EB 1E F2 0F 59 C0 F2 0F 58 C1 E8 ?? ?? ?? ?? F2 41 0F 5E F8 F2 0F 59 C6 F2 41 0F 5E C0 0F 28 C8 0F 28 D7 48 8D 4D C0 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 0F 28 74 24 50 0F 28 7C 24 40 49 8B 5B 20 0F 10 00 45 0F 28 43 D0 48 8B C7 F3 0F 7F 07 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_570_0_0 {
	meta:
		name = "_FHypot"
		size = 476
		refs = "002b _fdunscale 0085 __xmm@80000000800000008000000080000000 0115 _fdscale 0154 __real@3f800000 0159 sqrtf 0177 __real@40000000 0193 __real@3fb504f3 019f __real@376389f3 01b0 __real@401a8241 01c6 _FInf_C"
	strings:
		$1 = { 48 8B C4 F3 0F 11 48 10 F3 0F 11 40 08 55 53 57 48 8B EC 48 83 EC 40 0F 29 70 D8 48 8D 55 20 48 8D 4D 30 0F 29 78 C8 49 8B F8 E8 ?? ?? ?? ?? 48 8D 55 28 48 8D 4D 38 0F B7 D8 E8 ?? ?? ?? ?? 83 27 00 66 83 FB 01 0F 84 76 01 00 00 66 83 F8 01 0F 84 6C 01 00 00 41 B8 02 00 00 00 66 41 3B D8 75 0A F3 0F 10 45 20 E9 5E 01 00 00 66 41 3B C0 75 0A F3 0F 10 45 28 E9 4E 01 00 00 F3 0F 10 4D 20 F3 0F 10 1D ?? ?? ?? ?? 0F 57 C0 0F 2F C1 76 08 0F 57 CB F3 0F 11 4D 20 F3 0F 10 55 28 0F 2F C2 76 08 0F 57 D3 F3 0F 11 55 28 0F 2E D0 7A 13 75 11 0F 2E C8 7A 06 0F 84 0D 01 00 00 0F B7 4D 30 EB 33 0F 2E C8 0F B7 4D 30 0F B7 55 38 7A 02 74 0C 66 3B CA 7C 07 75 1D 0F 2F D1 76 18 0F B7 C1 F3 0F 11 55 20 F3 0F 11 4D 28 0F B7 CA 66 89 55 30 66 89 45 38 0F BF C9 8B C1 99 83 E2 03 03 C2 C1 F8 02 03 C0 41 0F 44 C0 2B C8 89 07 8B D1 48 8D 4D 20 E8 ?? ?? ?? ?? 0F BF 55 38 48 8D 4D 28 2B 17 E8 ?? ?? ?? ?? F3 0F 10 75 20 F3 0F 10 45 28 0F 28 FE F3 0F 5C F8 0F 2E FE 7A 02 74 7D 0F 2F F8 76 27 F3 0F 5E F0 0F 28 C6 F3 0F 59 C6 F3 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 7D 28 F3 0F 58 C6 F3 0F 5E F8 EB 4C F3 0F 5E F8 0F 28 F7 F3 0F 58 35 ?? ?? ?? ?? F3 0F 59 F7 0F 28 C6 F3 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E F0 F3 0F 58 35 ?? ?? ?? ?? F3 0F 58 F7 F3 0F 10 7D 28 F3 0F 58 35 ?? ?? ?? ?? F3 0F 5E FE F3 0F 58 7D 20 0F 28 C7 EB 08 F3 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_570_1_0 {
	meta:
		name = "csqrtf"
		size = 443
		refs = "0015 crealf 0023 cimagf 0031 _fdtest 006d _FHypot 0094 __xmm@7fffffff7fffffff7fffffff7fffffff 009c ldexp 00ac __real@40000000 00b5 sqrtf 0113 __xmm@80000000800000008000000080000000 0176 _FInf_C 0193 _FZero_C 01aa _FCbuild"
	strings:
		$1 = { 48 89 4C 24 08 55 53 57 48 8B EC 48 83 EC 30 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4D 20 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 28 F3 0F 11 45 28 E8 ?? ?? ?? ?? BF 01 00 00 00 0F B7 D8 66 3B C7 75 0A F3 0F 10 4D 28 E9 55 01 00 00 48 8D 4D 30 E8 ?? ?? ?? ?? 66 3B C7 0F 84 E8 00 00 00 F3 0F 10 4D 28 F3 0F 10 45 30 4C 8D 45 38 E8 ?? ?? ?? ?? 8B 5D 38 0F 28 F0 85 DB 75 0D 0F 28 C8 F3 0F 59 4D 28 E9 21 01 00 00 F3 0F 10 45 30 8B D3 F7 DA 0F 54 05 ?? ?? ?? ?? 0F 5A C0 E8 ?? ?? ?? ?? F2 0F 5A C0 F3 0F 58 C6 F3 0F 10 35 ?? ?? ?? ?? F3 0F 59 C6 E8 ?? ?? ?? ?? 8B C3 99 2B C2 D1 F8 2B C7 F3 0F 5A C0 8B D0 E8 ?? ?? ?? ?? F3 0F 10 4D 30 0F 57 D2 0F 57 DB 0F 2F CA F2 0F 5A D8 72 18 F3 0F 10 4D 28 0F 28 D3 0F 28 C3 F3 0F 59 D6 F3 0F 5E CA E9 B0 00 00 00 F3 0F 10 45 28 B8 00 80 00 00 66 85 45 2A 74 1E 0F 28 CB F3 0F 59 DE 0F 57 0D ?? ?? ?? ?? F3 0F 5E C3 0F 57 05 ?? ?? ?? ?? E9 82 00 00 00 0F 2E C2 7A 0A 75 08 0F 28 CB 0F 28 C2 EB 73 0F 28 CB F3 0F 59 CE F3 0F 5E C1 0F 28 CB EB 63 0F 57 C0 66 83 FB 02 75 18 0F 2F 45 30 76 0C F3 0F 10 4D 30 F3 0F 10 45 28 EB 48 48 8B 45 20 EB 47 0F 2F 45 30 B8 00 80 00 00 76 17 F3 0F 10 0D ?? ?? ?? ?? 66 85 45 2A 74 29 0F 57 0D ?? ?? ?? ?? EB 20 66 85 45 2A 74 0F F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 30 5F 5B 5D C3 }
	condition:
		$1
}

rule file_571_0_0 {
	meta:
		name = "strnlen"
		size = 24
	strings:
		$1 = { 33 C0 48 85 D2 74 10 80 39 00 74 0B 48 FF C0 48 FF C1 48 3B C2 72 F0 C3 }
	condition:
		$1
}

rule file_572_4_0 {
	meta:
		name = "_mbsnbcnt_l"
		size = 147
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 75 19 48 85 DB 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 D2 EB 37 48 8B D7 48 85 DB 74 2C 48 8B 4C 24 28 48 FF CB 80 3A 00 74 1F 0F B6 02 F6 44 08 19 04 74 08 48 FF C2 80 3A 00 74 0A 48 FF C2 48 85 DB 74 05 EB DC 48 FF CA 48 2B D7 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_573_0_0 {
	meta:
		name = "__avx_atan2f8"
		size = 672
		refs = "005a __common_satan2_data 029a __common_satan2_cout_rare"
	strings:
		$1 = { 48 81 EC 58 02 00 00 C5 7C 11 BC 24 70 01 00 00 C5 7C 11 A4 24 30 02 00 00 C5 7C 11 9C 24 D0 01 00 00 C5 7C 11 94 24 10 02 00 00 C5 7C 11 84 24 F0 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 90 01 00 00 4C 89 AC 24 50 02 00 00 4C 8D AC 24 CF 00 00 00 C5 FC 10 35 ?? ?? ?? ?? 49 83 E5 C0 C5 74 C2 1D ?? ?? ?? ?? 12 C5 F4 54 EE C5 FC 54 D6 C5 6C C2 D5 11 C5 D4 56 3D ?? ?? ?? ?? C4 E3 45 4A E2 A0 C4 63 6D 4A FD A0 C5 A4 54 3D ?? ?? ?? ?? C4 41 5C 5E DF C5 F8 10 25 ?? ?? ?? ?? C5 78 10 3D ?? ?? ?? ?? C5 74 57 C5 C5 FC 57 F2 C5 2C 55 15 ?? ?? ?? ?? C4 C3 7D 19 EC 01 C5 D1 FA EC C4 E3 7D 19 D3 01 C5 19 FA E4 C5 E9 FA D4 C5 E1 FA DC C4 C1 51 66 E7 C4 C1 51 76 EF C5 D9 EB E5 C4 C1 69 66 EF C4 C1 69 76 D7 C5 D1 EB D2 C4 C1 61 66 EF C5 D9 EB D2 C4 C1 19 66 E7 C4 41 19 76 E7 C4 C1 61 76 DF C4 C1 59 EB E4 C5 51 EB FB C4 C1 59 EB E7 C5 E9 6B D4 C5 E1 EF DB C4 C1 24 59 E3 C5 E9 63 EB C5 F9 D7 D5 C5 5C 59 FC C5 04 59 25 ?? ?? ?? ?? C5 84 59 15 ?? ?? ?? ?? C5 9C 58 1D ?? ?? ?? ?? C5 6C 58 25 ?? ?? ?? ?? C4 C1 64 59 EF C4 41 1C 59 E7 C5 D4 58 15 ?? ?? ?? ?? C5 9C 58 2D ?? ?? ?? ?? C4 C1 6C 59 DF C4 C1 54 59 EF C5 E4 58 15 ?? ?? ?? ?? C5 D4 58 1D ?? ?? ?? ?? C4 41 6C 59 FF C5 E4 59 E4 C5 84 58 15 ?? ?? ?? ?? C5 DC 58 DA C4 41 64 59 DB C4 41 24 58 D2 C4 41 2C 56 C0 C5 BC 58 D7 C5 EC 56 D6 84 D2 75 53 C5 FC 10 B4 24 90 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 84 24 F0 01 00 00 C5 7C 10 94 24 10 02 00 00 C5 7C 10 9C 24 D0 01 00 00 C5 7C 10 A4 24 30 02 00 00 C5 7C 10 BC 24 70 01 00 00 4C 8B AC 24 50 02 00 00 C5 FC 28 C2 48 81 C4 58 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 C4 C1 7C 11 95 80 00 00 00 85 D2 74 94 33 C0 C5 7C 11 4C 24 60 C5 7C 11 6C 24 40 C5 7C 11 74 24 20 48 89 9C 24 88 00 00 00 8B D8 48 89 B4 24 80 00 00 00 8B F2 0F A3 DE 72 37 FF C3 83 FB 20 7C F4 C5 7C 10 4C 24 60 C5 7C 10 6C 24 40 C5 7C 10 74 24 20 C4 C1 7C 10 95 80 00 00 00 48 8B 9C 24 88 00 00 00 48 8B B4 24 80 00 00 00 E9 30 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 4D 8D 84 9D 80 00 00 00 E8 ?? ?? ?? ?? EB AD }
	condition:
		$1
}

rule file_574_0_0 {
	meta:
		name = "_getc_nolock"
		size = 37
		refs = "0018 _filbuf"
		altNames = "_inc"
	strings:
		$1 = { 48 83 EC 28 FF 49 08 78 0E 48 8B 01 0F B6 10 48 FF C0 48 89 01 EB 07 E8 ?? ?? ?? ?? 8B D0 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_574_1_0 {
	meta:
		name = "fgetc"
		size = 254
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0039 _lock_file 004c _fileno 005a __pioinfo 007b __badioinfo 00e3 _filbuf 00ed _unlock_file"
		altNames = "getc"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 FF 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 BB 00 00 00 E8 ?? ?? ?? ?? 90 F6 43 18 40 0F 85 80 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 85 FF 75 1D FF 4B 08 78 0E 48 8B 03 0F B6 38 48 FF C0 48 89 03 EB 0A 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_576_1_0 {
	meta:
		name = "_mbstok_l"
		size = 62
		refs = "0019 _getptd 003a _mbstok_s_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 4C 8B CB 48 8B D7 4C 8D 40 30 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_577_1_0 {
	meta:
		name = "_getdcwd"
		size = 302
		refs = "0019 _validdrive 0022 __doserrno 002d _errno 0038 _invalid_parameter_noinfo 0042 _getdrive 0098 __imp_GetFullPathNameA 00cc calloc 0114 __imp_GetLastError 011b _dosmaperr"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 48 83 EC 20 41 8B F0 48 8B FA 8B D9 85 C9 74 29 E8 ?? ?? ?? ?? 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? E9 DE 00 00 00 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 18 85 F6 7F 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D9 8B EE C6 07 00 EB 02 33 ED 85 DB 74 15 80 C3 40 66 C7 44 24 41 3A 2E C6 44 24 43 00 88 5C 24 40 EB 07 66 C7 44 24 40 2E 00 4C 8D 4C 24 58 48 8D 4C 24 40 4C 8B C7 8B D5 FF 15 ?? ?? ?? ?? 85 C0 74 72 48 85 FF 74 19 3B C5 7D 05 48 8B C7 EB 73 E8 ?? ?? ?? ?? C7 00 22 00 00 00 C6 07 00 EB 61 3B C6 BA 01 00 00 00 0F 4F F0 48 63 CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 EB 2F 4C 8D 4C 24 58 48 8D 4C 24 40 4C 8B C0 8B D6 FF 15 ?? ?? ?? ?? 85 C0 74 09 3B C6 7D 05 48 8B C3 EB 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 48 48 83 C4 20 5F 5E 5D C3 }
	condition:
		$1
}

rule file_577_2_0 {
	meta:
		name = "_validdrive"
		size = 128
		refs = "0009 __security_cookie 001b __doserrno 0026 _errno 0031 _invalid_parameter_noinfo 0061 __imp_GetDriveTypeW 0076 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 83 F9 1A 76 1F E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 34 33 DB 85 C9 75 05 8D 43 01 EB 29 66 83 C1 40 C7 44 24 22 3A 00 5C 00 66 89 5C 24 26 66 89 4C 24 20 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 83 F8 02 0F 93 C3 8B C3 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_579_0_0 {
	meta:
		name = "fdim"
		size = 96
		refs = "0016 _dtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 33 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 1B F2 0F 10 4C 24 38 F2 0F 10 44 24 30 66 0F 2F C8 72 05 0F 57 C0 EB 04 F2 0F 5C C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_994_0_0 {
	meta:
		name = "fdiml"
		size = 96
		refs = "0016 _ldtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 33 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 1B F2 0F 10 4C 24 38 F2 0F 10 44 24 30 66 0F 2F C8 72 05 0F 57 C0 EB 04 F2 0F 5C C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_580_0_0 {
	meta:
		name = "__avx_asin4"
		size = 656
		refs = "0048 __common_dasin_data 0287 __common_dasin_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 F0 01 00 00 C5 7C 11 94 24 90 01 00 00 C5 7C 11 8C 24 B0 01 00 00 C5 7C 11 84 24 70 01 00 00 C5 FC 11 B4 24 D0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 0F 01 00 00 C5 FD 10 2D ?? ?? ?? ?? 49 83 E5 C0 C5 7D 10 0D ?? ?? ?? ?? C5 55 54 D0 C4 41 2D 59 F9 C5 AD C2 25 ?? ?? ?? ?? 1D C4 41 35 5C FF C4 41 2D C2 C9 15 C4 C1 7D 5A DF C5 55 55 C0 C4 C1 2D 59 EA C4 C1 55 5D EF C4 41 05 58 FF C4 E3 7D 19 E1 01 C5 D8 C6 D1 DD C5 F8 52 E3 C5 F8 50 D2 C5 FC 5A F4 C5 CD 59 CE C5 85 59 F6 C5 85 59 D1 C5 ED 5C 25 ?? ?? ?? ?? C5 DD 59 1D ?? ?? ?? ?? C5 4D 59 FC C5 E5 58 0D ?? ?? ?? ?? C5 F5 59 D4 C5 D5 59 0D ?? ?? ?? ?? C5 ED 58 1D ?? ?? ?? ?? C5 F5 58 0D ?? ?? ?? ?? C5 D5 59 15 ?? ?? ?? ?? C5 E5 59 E4 C5 ED 58 15 ?? ?? ?? ?? C5 DD 58 25 ?? ?? ?? ?? C4 41 5D 59 FF C5 D5 59 25 ?? ?? ?? ?? C5 05 5C FE C5 D5 59 35 ?? ?? ?? ?? C5 CD 58 1D ?? ?? ?? ?? C5 DD 58 35 ?? ?? ?? ?? C5 D5 59 E5 C5 E5 59 DC C5 E5 58 DE C5 F5 59 F4 C5 CD 58 CA C5 DD 59 D4 C5 D5 59 35 ?? ?? ?? ?? C5 E5 59 D2 C5 CD 58 35 ?? ?? ?? ?? C5 ED 58 C9 C5 F5 59 DC C5 D5 59 0D ?? ?? ?? ?? C5 E5 58 D6 C5 F5 58 1D ?? ?? ?? ?? C5 ED 59 E4 C5 DD 58 CB C5 F5 59 ED C4 C3 2D 4B CF 90 C5 55 59 D1 C5 AD 58 D1 C5 35 54 0D ?? ?? ?? ?? C4 C1 6D 58 C9 C4 C1 75 57 C8 85 D2 75 41 C5 FC 10 B4 24 D0 01 00 00 C5 7C 10 84 24 70 01 00 00 C5 7C 10 8C 24 B0 01 00 00 C5 7C 10 94 24 90 01 00 00 C5 7C 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 B1 33 C0 C5 FC 11 BC 24 A0 00 00 00 C5 7C 11 9C 24 80 00 00 00 C5 7C 11 64 24 60 C5 7C 11 6C 24 40 C5 7C 11 74 24 20 48 89 9C 24 C8 00 00 00 8B D8 48 89 B4 24 C0 00 00 00 8B F2 0F A3 DE 72 46 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 A0 00 00 00 C5 7C 10 9C 24 80 00 00 00 C5 7C 10 64 24 60 C5 7C 10 6C 24 40 C5 7C 10 74 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 C8 00 00 00 48 8B B4 24 C0 00 00 00 E9 2C FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB A6 0F 1F 00 }
	condition:
		$1
}

rule file_581_4_0 {
	meta:
		name = "_toupper_l"
		size = 336
		refs = "001a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _isctype_l 009e _isleadbyte_l 00ba _errno 010f __crtLCMapStringA"
	strings:
		$1 = { 48 89 74 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 70 48 63 F9 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FF 00 01 00 00 73 5D 48 8B 55 E0 83 BA D4 00 00 00 01 7E 16 4C 8D 45 E0 BA 02 00 00 00 8B CF E8 ?? ?? ?? ?? 48 8B 55 E0 EB 0E 48 8B 82 08 01 00 00 0F B7 04 78 83 E0 02 85 C0 74 10 48 8B 82 18 01 00 00 0F B6 04 38 E9 C2 00 00 00 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 8B C7 E9 BB 00 00 00 48 8B 45 E0 83 B8 D4 00 00 00 01 7E 29 8B F7 48 8D 55 E0 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? 85 C0 74 13 40 88 75 10 40 88 7D 11 C6 45 12 00 B9 02 00 00 00 EB 18 E8 ?? ?? ?? ?? B9 01 00 00 00 C7 00 2A 00 00 00 40 88 7D 10 C6 45 11 00 48 8B 55 E0 C7 44 24 40 01 00 00 00 4C 8D 4D 10 8B 42 04 48 8B 92 38 01 00 00 41 B8 00 02 00 00 89 44 24 38 48 8D 45 20 C7 44 24 30 03 00 00 00 48 89 44 24 28 89 4C 24 20 48 8D 4D E0 E8 ?? ?? ?? ?? 85 C0 0F 84 50 FF FF FF 83 F8 01 0F B6 45 20 74 09 0F B6 4D 21 C1 E0 08 0B C1 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 73 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_581_5_0 {
	meta:
		name = "toupper"
		size = 30
		refs = "0002 __locale_changed 001a _toupper_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0E 8D 41 9F 83 F8 19 77 03 83 C1 E0 8B C1 C3 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_585_2_0 {
	meta:
		name = "_wspawnvpe"
		size = 677
		refs = "0038 _errno 0043 _invalid_parameter_noinfo 0089 _wspawnve 00af wcschr 00bf ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 00cb _wdupenv_s 00f7 _calloc_crt 0116 _wgetpath 0135 wcslen 0150 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 015d wcscat_s 01d0 __doserrno 0232 free 0276 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 45 33 FF 4D 8B E1 4D 8B F0 48 8B F2 44 8B E9 4C 89 78 C8 41 8B FF 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 F8 01 00 00 66 44 39 3A 74 E1 4D 85 C0 74 DC 49 8B 00 48 85 C0 74 D4 66 44 39 38 74 CE E8 ?? ?? ?? ?? 8B 18 89 5C 24 78 E8 ?? ?? ?? ?? 4D 8B CC 4D 8B C6 48 8B D6 41 8B CD 44 89 38 E8 ?? ?? ?? ?? 48 8B E8 48 83 F8 FF 0F 85 7E 01 00 00 E8 ?? ?? ?? ?? 83 38 02 0F 85 70 01 00 00 8D 55 30 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 5C 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 85 3C 01 00 00 E9 85 01 00 00 4C 39 7C 24 30 0F 84 2C 01 00 00 BA 02 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 11 01 00 00 48 8B 4C 24 30 41 B8 03 01 00 00 48 8B D0 E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 84 EF 00 00 00 33 DB 66 39 1F 0F 84 E0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 66 83 7C 47 FE 5C 74 28 B9 2F 00 00 00 66 39 4C 47 FE 74 1C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 12 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 84 00 00 00 4C 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 33 DB 85 C0 0F 85 EC 00 00 00 E8 ?? ?? ?? ?? 4D 8B CC 4D 8B C6 48 8B D7 41 8B CD 89 18 E8 ?? ?? ?? ?? 48 8B E8 48 83 F8 FF 75 4C E8 ?? ?? ?? ?? 83 38 02 74 25 E8 ?? ?? ?? ?? 83 38 15 74 1B 66 83 3F 5C 8D 43 2F 74 05 66 39 07 75 2A 66 83 7F 02 5C 74 06 66 39 47 02 75 1D 41 B8 03 01 00 00 48 8B D7 49 8B CF E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 85 17 FF FF FF 8B 5C 24 78 45 33 FF E8 ?? ?? ?? ?? 44 39 38 75 07 E8 ?? ?? ?? ?? 89 18 48 85 FF 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B C5 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_586_4_0 {
	meta:
		name = "_mbslen_l"
		size = 107
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0022 strlen"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 54 24 28 83 7A 08 00 75 0D 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 EB 24 33 C9 EB 17 0F B6 C0 F6 44 10 19 04 74 08 48 FF C3 80 3B 00 74 0B FF C1 48 FF C3 8A 03 84 C0 75 E3 48 63 C9 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_587_0_0 {
	meta:
		name = "_ldpoly"
		size = 27
		altNames = "_LPoly _Poly _dpoly"
	strings:
		$1 = { 0F 28 C8 F2 0F 10 02 EB 0C F2 0F 59 C1 48 83 C2 08 F2 0F 58 02 41 FF C8 79 EF C3 }
	condition:
		$1
}

rule file_587_1_0 {
	meta:
		name = "erfcl"
		size = 611
		refs = "001d _ldtest 0042 __real@3fde861fbb24c00a 0055 erfl 005d __real@3ff0000000000000 0071 __real@3ff85e353f7ced91 0096 __real@bfe8000000000000 009e __real@3f2ae308ebe29ba9 00a5 s00 00bd __real@becfb31f5ac7b849 00c4 c00 00ea __real@bff4800000000000 00f2 __real@3ee0332f18362059 00f9 s01 0111 __real@3f215bbcc2cdf4ec 0118 c01 0136 approx 015c _fperrraise 01d9 _ld_int 01f4 exp 0216 __xmm@80000000000000008000000000000000 0220 _ldexp 0245 __real@4000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 48 8D 4D 10 0F 29 74 24 30 0F 29 7C 24 20 E8 ?? ?? ?? ?? 33 D2 0F BF C8 85 C9 0F 84 1D 02 00 00 FF C9 0F 84 FC 01 00 00 FF C9 0F 84 ED 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 55 10 66 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C C8 0F 28 C1 E9 E6 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 0F 86 B4 00 00 00 F2 0F 10 05 ?? ?? ?? ?? B8 07 00 00 00 66 0F 2F C2 76 54 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 FF C8 F2 0F 59 C2 F2 0F 58 01 79 F0 F2 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? B9 08 00 00 00 48 83 C0 08 FF C9 F2 0F 59 CA F2 0F 58 08 79 F0 F2 0F 5E C1 E9 6D 01 00 00 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 FF C8 F2 0F 59 C2 F2 0F 58 01 79 F0 F2 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? B9 08 00 00 00 48 83 C0 08 FF C9 F2 0F 59 CA F2 0F 58 08 79 F0 EB AA 4C 8D 05 ?? ?? ?? ?? 49 8B C8 F2 0F 10 01 66 0F 2F C2 77 21 FF C2 48 83 C1 30 48 63 C2 48 83 F8 06 72 E7 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 E9 EB 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 63 C2 48 8D 0C 40 48 03 C9 F2 0F 5E C2 49 8B 44 C8 10 41 8B 54 C8 18 F2 41 0F 5C 44 C8 08 F2 0F 11 45 18 F2 0F 10 38 EB 0C F2 0F 59 F8 48 83 C0 08 F2 0F 58 38 FF CA 79 F0 49 8B 44 C8 20 41 8B 4C C8 28 F2 0F 10 30 EB 0C F2 0F 59 F0 48 83 C0 08 F2 0F 58 30 FF C9 79 F0 48 8D 4D 18 BA 11 00 00 00 F2 0F 11 55 18 E8 ?? ?? ?? ?? F2 0F 10 4D 18 0F 28 C1 F2 0F 58 4D 10 F2 0F 5C 45 10 F2 0F 59 C1 E8 ?? ?? ?? ?? F2 0F 5E FE 48 8D 4D 18 45 33 C0 0F 28 C8 F2 0F 10 45 18 F2 0F 59 C0 F2 0F 59 CF 0F 57 05 ?? ?? ?? ?? F2 0F 11 45 18 E8 ?? ?? ?? ?? F2 0F 10 45 18 EB 28 F2 0F 10 45 10 EB 21 B8 00 80 00 00 66 85 45 16 0F 84 1F FF FF FF F2 0F 10 05 ?? ?? ?? ?? EB 08 F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_1113_1_0 {
	meta:
		name = "erfc"
		size = 611
		refs = "001d _dtest 0042 __real@3fde861fbb24c00a 0055 erf 005d __real@3ff0000000000000 0071 __real@3ff85e353f7ced91 0096 __real@bfe8000000000000 009e __real@3f2ae308ebe29ba9 00a5 s00 00bd __real@becfb31f5ac7b849 00c4 c00 00ea __real@bff4800000000000 00f2 __real@3ee0332f18362059 00f9 s01 0111 __real@3f215bbcc2cdf4ec 0118 c01 0136 approx 015c _fperrraise 01d9 _d_int 01f4 exp 0216 __xmm@80000000000000008000000000000000 0220 _dexp 0245 __real@4000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 48 8D 4D 10 0F 29 74 24 30 0F 29 7C 24 20 E8 ?? ?? ?? ?? 33 D2 0F BF C8 85 C9 0F 84 1D 02 00 00 FF C9 0F 84 FC 01 00 00 FF C9 0F 84 ED 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 55 10 66 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C C8 0F 28 C1 E9 E6 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 0F 86 B4 00 00 00 F2 0F 10 05 ?? ?? ?? ?? B8 07 00 00 00 66 0F 2F C2 76 54 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 FF C8 F2 0F 59 C2 F2 0F 58 01 79 F0 F2 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? B9 08 00 00 00 48 83 C0 08 FF C9 F2 0F 59 CA F2 0F 58 08 79 F0 F2 0F 5E C1 E9 6D 01 00 00 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 FF C8 F2 0F 59 C2 F2 0F 58 01 79 F0 F2 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? B9 08 00 00 00 48 83 C0 08 FF C9 F2 0F 59 CA F2 0F 58 08 79 F0 EB AA 4C 8D 05 ?? ?? ?? ?? 49 8B C8 F2 0F 10 01 66 0F 2F C2 77 21 FF C2 48 83 C1 30 48 63 C2 48 83 F8 06 72 E7 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 E9 EB 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 63 C2 48 8D 0C 40 48 03 C9 F2 0F 5E C2 49 8B 44 C8 10 41 8B 54 C8 18 F2 41 0F 5C 44 C8 08 F2 0F 11 45 18 F2 0F 10 38 EB 0C F2 0F 59 F8 48 83 C0 08 F2 0F 58 38 FF CA 79 F0 49 8B 44 C8 20 41 8B 4C C8 28 F2 0F 10 30 EB 0C F2 0F 59 F0 48 83 C0 08 F2 0F 58 30 FF C9 79 F0 48 8D 4D 18 BA 11 00 00 00 F2 0F 11 55 18 E8 ?? ?? ?? ?? F2 0F 10 4D 18 0F 28 C1 F2 0F 58 4D 10 F2 0F 5C 45 10 F2 0F 59 C1 E8 ?? ?? ?? ?? F2 0F 5E FE 48 8D 4D 18 45 33 C0 0F 28 C8 F2 0F 10 45 18 F2 0F 59 C0 F2 0F 59 CF 0F 57 05 ?? ?? ?? ?? F2 0F 11 45 18 E8 ?? ?? ?? ?? F2 0F 10 45 18 EB 28 F2 0F 10 45 10 EB 21 B8 00 80 00 00 66 85 45 16 0F 84 1F FF FF FF F2 0F 10 05 ?? ?? ?? ?? EB 08 F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_589_0_0 {
	meta:
		name = "_capture_argv"
		size = 150
		refs = "003d _calloc_crt 0050 _recalloc_crt"
		altNames = "_wcapture_argv"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B D9 49 8B E8 48 8B F2 4C 8B F1 4D 8B D0 33 FF 48 3B FB 72 30 4C 3B D5 75 0F BA 10 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 11 41 B8 10 00 00 00 48 8B D3 49 8B CA E8 ?? ?? ?? ?? 4C 8B D0 48 85 C0 74 1C 48 03 DB 49 89 34 FA 48 FF C7 48 85 F6 74 0D 49 83 06 08 49 8B 06 48 8B 70 F8 EB B2 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 49 8B C2 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_589_1_0 {
	meta:
		name = "_cenvarg"
		size = 1207
		refs = "001c __security_cookie 002a ??_C@_0L@NKOGAPMJ@SystemRoot?$AA@ 007c strlen 00a1 _calloc_crt 00b8 _errno 00c3 __doserrno 00d8 __security_check_cookie 00fb _dupenv_s 015f _aenvptr 0169 __crtGetEnvironmentStringsA 0184 free 0235 _mbsnicmp 02b7 strcpy_s 0340 memcpy 03aa ??_C@_01NEMOKFLO@?$DN?$AA@ 03b5 strcat_s 0434 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E9 48 81 EC 88 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 0F B7 05 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 4C 8B F2 33 D2 66 89 45 FF 8A 05 ?? ?? ?? ?? F2 0F 11 45 F7 8D 7A 02 88 45 01 48 8B 01 4C 89 4D D7 4D 8B E0 48 89 4D EF 89 55 C3 8B F2 44 8B EA 89 55 BF 48 89 55 CF 89 55 C7 48 8B D9 44 8B FF EB 14 48 8B C8 E8 ?? ?? ?? ?? 48 8D 5B 08 FF C0 44 03 F8 48 8B 03 48 85 C0 75 E7 41 8B C7 BA 01 00 00 00 41 8B CF 48 89 45 E7 E8 ?? ?? ?? ?? 33 DB 49 89 04 24 48 85 C0 75 40 48 8B 45 D7 48 89 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 83 C8 FF 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 4C 8D 45 F7 48 8D 4D CF 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0A 83 F8 16 75 74 E9 17 03 00 00 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B 4D CF 44 8D 3C 07 4C 89 7D DF 48 85 C9 74 0C E8 ?? ?? ?? ?? 44 03 F8 4C 89 7D DF 4D 85 F6 0F 84 5C 01 00 00 49 8B 06 49 8B DE EB 13 48 8B C8 E8 ?? ?? ?? ?? 48 8D 5B 08 FF C0 03 F8 48 8B 03 48 85 C0 75 E8 48 8B 15 ?? ?? ?? ?? 48 85 D2 75 30 E8 ?? ?? ?? ?? 48 8B D0 48 89 05 ?? ?? ?? ?? 48 85 C0 75 1C 49 8B 0C 24 83 CE FF E8 ?? ?? ?? ?? 48 8B 45 D7 4D 89 2C 24 4C 89 28 E9 5F 02 00 00 40 38 32 74 27 8A 02 48 8B CA 3C 3D 74 1E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? FF C0 44 03 E8 49 63 C5 48 8D 0C 10 8A 01 84 C0 75 DE 49 63 CD 41 8B DD 48 03 CA 89 5D BF 80 39 3D 75 3A 40 38 71 01 74 31 80 79 02 3A 75 2B 80 79 03 3D 75 25 8D 43 04 48 63 C8 48 03 CA E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 83 C3 05 03 D8 48 63 CB 48 03 CA 80 39 3D 74 C9 89 5D BF 8B C3 49 8B DE 41 2B C5 03 F8 89 7D C3 49 39 36 74 25 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B 0B 48 8D 55 F7 4C 8B C0 E8 ?? ?? ?? ?? 85 C0 74 52 48 83 C3 08 48 39 33 75 DB 41 03 FF 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B 7D D7 49 89 07 48 85 C0 75 3E 49 8B 0C 24 E8 ?? ?? ?? ?? 45 33 ED 4D 89 2C 24 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 83 CE FF C7 00 08 00 00 00 E9 68 01 00 00 C7 45 C7 01 00 00 00 EB B1 4C 8B 7D D7 49 89 1F 48 8B 7D EF 49 8B 1C 24 4C 8B 07 4D 85 C0 74 5C 48 8B 55 E7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 DF 01 00 00 48 8B 0F E8 ?? ?? ?? ?? FF C0 48 98 48 03 D8 48 83 C7 08 EB 36 49 8B 14 24 4C 8B C0 48 8B CB 48 2B D3 48 03 55 E7 E8 ?? ?? ?? ?? 85 C0 0F 85 58 01 00 00 48 8B 0F E8 ?? ?? ?? ?? 48 63 C8 48 03 D9 48 83 C7 08 C6 03 20 48 FF C3 48 8B 07 48 85 C0 75 C2 66 89 73 FF 49 8B 3F 4D 85 F6 0F 84 BB 00 00 00 8B 45 BF 49 63 D5 48 8B CF 48 03 15 ?? ?? ?? ?? 41 2B C5 48 63 D8 4C 8B C3 E8 ?? ?? ?? ?? 45 33 ED 48 03 FB 4D 39 2E 74 37 8B 5D C3 4D 8B 06 48 8B D3 48 8B CF 48 2B D7 49 03 17 E8 ?? ?? ?? ?? 85 C0 0F 85 F5 00 00 00 49 8B 0E E8 ?? ?? ?? ?? 49 83 C6 08 FF C0 48 98 48 03 F8 4D 39 2E 75 CC 44 39 6D C7 75 58 48 63 5D DF 4C 8D 45 F7 48 8B CF 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 E6 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 B7 00 00 00 48 8B 4D CF 48 85 C9 74 12 4C 8B C1 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 5D 48 03 FB EB 03 45 33 ED 48 85 FF 74 0E 49 3B 3F 75 06 44 88 2F 48 FF C7 44 88 2F 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4D CF 4C 89 2D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 8B C6 E9 AC FC FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 21 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 21 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_590_2_0 {
	meta:
		name = "_wstripquote"
		size = 129
		refs = "0017 wcslen 0023 _calloc_crt 006b free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 8B FE E8 ?? ?? ?? ?? 8D 56 02 48 8D 48 01 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 40 48 8B D0 0F B7 03 66 85 C0 74 2D 66 83 F8 22 75 08 48 83 C3 02 FF C7 EB 0B 66 89 01 48 83 C1 02 48 83 C3 02 0F B7 03 66 85 C0 75 DF 85 FF 74 08 66 89 31 48 8B C2 EB 0A 48 8B CA E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_590_3_0 {
	meta:
		name = "_wtempnam"
		size = 660
		refs = "002f _mtinitlocknum 0041 ??_C@_17DDHKMLLK@?$AAT?$AAM?$AAP?$AA?$AA@ 004d _wdupenv_s 0066 _invoke_watson 007c _waccess_s 00a3 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 00b6 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 00c9 wcslen 00e5 calloc 0103 wcscat_s 0190 _lock 0197 _tempoff 01a3 _old_pfxlen 01b8 _errno 01f0 _ultow_s 0240 free 024d _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B F2 48 8B F9 45 33 ED 45 8B FD 4C 89 6C 24 70 41 8D 5D 02 8B CB E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 3E 02 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 70 E8 ?? ?? ?? ?? 83 F8 16 75 15 4C 89 6C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 85 C0 75 1C 48 8B 4C 24 70 48 85 C9 74 12 33 D2 E8 ?? ?? ?? ?? 85 C0 75 07 48 8B 7C 24 70 EB 35 48 85 FF 74 0E 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 22 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 85 C0 48 0F 45 F9 48 85 F6 74 0B 48 8B CE E8 ?? ?? ?? ?? 4C 8B F8 48 8B CF E8 ?? ?? ?? ?? 8D 48 0C 41 03 CF 44 8B F1 48 8B D3 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 73 01 00 00 66 44 89 28 4C 8B C7 41 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 44 01 00 00 48 8B CF E8 ?? ?? ?? ?? 66 83 7C 47 FE 5C 74 33 66 83 7C 47 FE 2F 74 2B 4C 8D 05 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 15 4C 89 6C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 85 F6 74 27 4C 8B C6 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 15 4C 89 6C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? 4C 8D 24 43 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 8B 3D ?? ?? ?? ?? B8 01 00 00 00 44 39 3D ?? ?? ?? ?? 0F 42 F8 89 3D ?? ?? ?? ?? 44 89 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 30 8B 0D ?? ?? ?? ?? FF C1 89 0D ?? ?? ?? ?? 8B C1 2B C7 3D FF FF FF 7F 77 5E 49 8B C4 48 2B C3 48 D1 F8 4D 8B C6 4C 2B C0 41 B9 0A 00 00 00 49 8B D4 E8 ?? ?? ?? ?? 85 C0 75 29 E8 ?? ?? ?? ?? 44 89 28 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 B0 E8 ?? ?? ?? ?? 83 38 0D 74 A6 E8 ?? ?? ?? ?? 89 30 EB 26 4C 89 6C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 30 48 8B CB E8 ?? ?? ?? ?? 49 8B DD B9 02 00 00 00 E8 ?? ?? ?? ?? EB 15 4C 89 6C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 4C 24 70 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_591_0_0 {
	meta:
		name = "__static_scalar_cos"
		size = 1280
		refs = "000c __spec_table"
	strings:
		$1 = { 53 56 57 41 54 48 83 EC 58 48 8D 05 ?? ?? ?? ?? F2 0F 11 84 24 80 00 00 00 48 89 44 24 40 0F 29 74 24 30 0F 29 7C 24 20 F2 0F 10 84 24 80 00 00 00 4C 8B 64 24 40 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 0F 84 82 04 00 00 8B C8 81 E9 60 3F 00 00 C1 E9 07 81 E1 FC FF 00 00 4D 8D 9C 24 D0 00 00 00 49 03 CB 66 48 0F 7E C0 44 8B 51 14 44 8B 41 18 8B D0 48 C1 E8 15 0D 00 00 00 80 C1 E8 0B 45 8B CA 4C 0F AF D2 4C 0F AF C8 4C 0F AF C0 8B 71 10 8B 79 0C 45 8B DA 49 C1 EA 20 4D 03 CA 4D 03 D8 45 8B C3 49 C1 EB 20 4D 03 CB 44 8B D6 48 0F AF F2 4C 0F AF D0 44 8B DF 48 0F AF FA 8B DE 48 C1 EE 20 4C 03 CB 41 8B D9 49 C1 E9 20 4C 03 D6 4D 03 D1 48 C1 E3 20 4C 0B C3 4C 0F AF D8 44 8B 49 08 8B 71 04 8B DF 48 C1 EF 20 4C 03 D3 41 8B DA 49 C1 EA 20 4C 03 DF 4D 03 DA 49 8B F9 4C 0F AF CA 48 0F AF F8 45 8B D1 49 C1 E9 20 4D 03 DA 45 8B D3 49 C1 EB 20 49 03 F9 49 03 FB 4C 8B CE 48 0F AF F2 4C 0F AF C8 49 C1 E2 20 4C 0B D3 8B 01 44 8B DE 48 C1 EE 20 49 03 FB 44 8B DF 48 C1 EF 20 4C 03 CE 4C 03 CF 48 0F AF D0 66 0F C5 D8 03 49 8D BC 24 D0 00 00 00 48 2B CF 03 C9 03 C9 03 C9 83 C1 13 BE 00 80 00 00 23 F3 C1 EB 04 81 E3 FF 07 00 00 81 EB FF 03 00 00 2B CB 4C 03 CA 8B D1 83 C2 20 83 F9 01 0F 8C 8A 02 00 00 F7 D9 83 C1 1D 41 D3 E1 41 8B F9 41 81 E1 FF FF FF 1F 41 F7 C1 00 00 00 10 0F 85 94 02 00 00 41 D3 E9 BB 00 00 00 00 49 C1 E1 20 4D 0B CB 49 83 F9 00 0F 84 F5 01 00 00 4D 0F BD D9 B9 1D 00 00 00 41 2B CB 0F 8E 1D 02 00 00 49 D3 E1 49 8B C2 49 D3 E2 03 D1 F7 D9 83 C1 40 48 D3 E8 49 D3 E8 4C 0B C8 4D 0B D0 F2 49 0F 2A C1 49 D1 EA F2 49 0F 2A DA 66 0F 57 E4 C1 E2 04 F7 DA 81 C2 F0 3F 00 00 0B D6 33 D3 66 0F C4 E2 03 F3 41 0F 7E 94 24 C0 00 00 00 F3 41 0F 7E B4 24 C8 00 00 00 66 0F 57 ED 81 EA F0 03 00 00 66 0F C4 EA 03 F2 0F 59 C4 C1 E6 10 C1 FE 1F F2 0F 59 DD F3 0F 7E C8 F2 0F 59 C2 C1 EF 1D F2 0F 58 CB F2 0F 59 DA 03 FE 33 FE F2 0F 59 F1 8B C7 F2 0F 58 F3 F3 0F 7E D0 F2 0F 58 C6 F2 0F 5C D0 F2 0F 58 F2 F3 41 0F 7E 4C 24 70 F2 0F 59 C8 F3 41 0F 7E 94 24 80 00 00 00 F2 48 0F 2D D1 F2 0F 58 CA F3 41 0F 7E 5C 24 50 F2 0F 5C CA 66 41 0F 28 54 24 40 F2 0F 59 D9 66 0F 14 C9 C1 E0 03 81 C2 10 76 1C 00 F3 0F 7E E0 03 D0 83 E2 3F 66 41 0F 28 6C 24 30 49 8D 84 24 80 01 00 00 C1 E2 05 48 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 41 0F 59 4C 24 60 F2 0F 5C E3 F3 0F 7E 78 08 66 0F 14 C0 F3 0F 7E DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB F3 0F 7E 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 5C CE 66 41 0F 28 74 24 10 F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 41 0F 58 6C 24 20 F2 0F 59 20 66 41 0F 58 34 24 66 0F 59 E8 F3 0F 7E C3 F2 0F 58 58 08 66 0F 59 CF F3 0F 7E FC F2 0F 58 E3 66 0F 58 F5 F3 0F 7E 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F3 0F 7E C4 F2 0F 58 CE F2 0F 58 C1 E9 13 01 00 00 83 C2 40 4D 8B CA 4D 8B D0 49 C7 C0 00 00 00 00 49 83 F9 00 0F 85 F1 FD FF FF 83 C2 40 4D 8B CA 4D 8B D0 49 83 F9 00 0F 85 DE FD FF FF 66 0F 57 C0 66 0F 57 F6 E9 86 FE FF FF 0F 84 F9 FD FF FF F7 D9 49 D3 EA 49 8B C1 49 D3 E9 2B D1 F7 D9 83 C1 40 48 D3 E0 4C 0B D0 E9 DC FD FF FF F7 D9 49 C1 E1 20 4D 0B CB 49 D3 E1 49 8B F9 41 F7 C1 00 00 00 80 75 56 41 D3 E9 BB 00 00 00 00 48 C1 EF 03 E9 7B FD FF FF 41 D3 E9 BB 00 00 00 20 D3 EB 49 C1 E1 20 4D 0B CB 48 C1 E3 20 81 C7 00 00 00 20 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 E9 36 FD FF FF 41 D3 E9 48 BB 00 00 00 00 01 00 00 00 48 D3 EB 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 48 C1 EF 03 81 C7 00 00 00 20 E9 F2 FC FF FF F2 0F 5C C0 F2 0F 11 44 24 48 0F 28 74 24 30 0F 28 7C 24 20 F2 0F 10 44 24 48 48 83 C4 58 41 5C 5F 5E 5B C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_591_1_0 {
	meta:
		name = "__sse2_cos2"
		size = 1184
		refs = "001b iABSMASK 0023 dbPio2 0033 dbNegRS 003b dbPi1 0043 dbInvPi 004b dbPi2 005f dbHUGE 0071 db05 008d dbPi3 00a1 dbPi4 00ad dbA8 00b5 dbA7 00dd dbA6 00e5 dbA5 00f5 dbA4 00fd dbA3 010d dbA2 0115 dbA1 0162 TWO_POW_30 0170 flAllOnes 01f1 THE_PI02_INV 0206 MMI_ONE 020e RS 0222 PI02C_0 022e PI02C_1 023e PI02C_2 026f PI02C_3 029b PI02C_4 02ab MMISIGNMASK"
	strings:
		$1 = { 48 81 EC D8 00 00 00 0F 29 BC 24 C0 00 00 00 0F 29 B4 24 B0 00 00 00 66 0F 54 05 ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 C8 66 0F 58 D0 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 54 0D ?? ?? ?? ?? 66 0F 5C D5 66 0F C2 0D ?? ?? ?? ?? 06 66 0F 58 EA 66 0F 73 F2 3F 66 0F 5C 2D ?? ?? ?? ?? 66 0F 50 C1 66 0F 59 E5 66 0F 59 DD 0B C0 0F 85 BC 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CD 66 0F 5C C4 66 0F 5C C3 66 0F 59 2D ?? ?? ?? ?? 66 0F 5C C1 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 58 E8 66 0F 59 C0 66 0F 57 EA 66 0F 28 E0 66 0F 59 C0 66 0F 59 E5 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 C3 66 0F 59 CC 66 0F 59 C5 66 0F 58 CD 66 0F 58 C1 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 C7 44 24 20 00 00 00 00 66 0F 70 C9 F5 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 F0 66 0F 28 3D ?? ?? ?? ?? 66 0F 29 4C 24 30 66 0F 57 0D ?? ?? ?? ?? 66 0F 66 FE 66 0F 29 74 24 40 66 0F 50 D7 66 0F 29 4C 24 50 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CD 83 F2 03 0F 85 D7 01 00 00 83 F8 03 74 47 66 0F 5C C4 66 0F 5C C3 66 0F 59 2D ?? ?? ?? ?? 66 0F 5C C1 66 0F 58 E8 66 0F 59 C0 66 0F EF EA 66 0F 54 54 24 50 66 0F 54 6C 24 50 66 0F 54 44 24 50 66 0F 29 54 24 60 66 0F 29 6C 24 70 66 0F 29 84 24 80 00 00 00 66 0F 28 C6 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DE 66 0F E6 DB 66 0F 70 DB DC 66 0F EB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 73 F3 3E 66 0F 5C F0 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C CA 66 0F DB EB 66 0F 58 C1 66 0F EF 2D ?? ?? ?? ?? 66 0F EF E8 66 0F 59 C0 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 83 F8 03 74 27 66 0F 54 54 24 30 66 0F 54 6C 24 30 66 0F 54 44 24 30 66 0F 56 54 24 60 66 0F 56 6C 24 70 66 0F 56 84 24 80 00 00 00 66 0F 28 E0 66 0F 59 C0 66 0F 59 E5 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 C3 66 0F 59 CC 66 0F 59 C5 66 0F 58 CD 66 0F 58 C1 E9 D4 00 00 00 66 0F 29 84 24 90 00 00 00 89 44 24 20 83 F8 03 0F 84 A1 00 00 00 66 0F 5C C4 66 0F 5C C3 66 0F 59 2D ?? ?? ?? ?? 66 0F 5C C1 66 0F 58 E8 66 0F 59 C0 66 0F EF EA 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 E0 66 0F 59 C0 66 0F 59 E5 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 C3 66 0F 59 CC 66 0F 59 C5 66 0F 58 CD 66 0F 58 C1 66 0F 29 84 24 A0 00 00 00 8B 44 24 20 A8 01 75 4E D1 F8 A8 01 75 27 D1 F8 89 44 24 20 66 0F 28 84 24 A0 00 00 00 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 F2 0F 10 84 24 98 00 00 00 89 44 24 20 E8 8E F6 FF FF F2 0F 11 84 24 A8 00 00 00 8B 44 24 20 EB B8 F2 0F 10 84 24 90 00 00 00 E8 71 F6 FF FF F2 0F 11 84 24 A0 00 00 00 8B 44 24 20 EB 95 66 90 }
	condition:
		$1
}

rule file_592_0_0 {
	meta:
		name = "strncmp"
		size = 125
	strings:
		$1 = { 48 2B D1 4D 85 C0 74 6A F7 C1 07 00 00 00 74 1D 0F B6 01 3A 04 11 75 5D 48 FF C1 49 FF C8 74 52 84 C0 74 4E 48 F7 C1 07 00 00 00 75 E3 49 BB 80 80 80 80 80 80 80 80 49 BA FF FE FE FE FE FE FE FE 8D 04 11 25 FF 0F 00 00 3D F8 0F 00 00 77 C0 48 8B 01 48 3B 04 11 75 B7 48 83 C1 08 49 83 E8 08 76 0F 4E 8D 0C 10 48 F7 D0 49 23 C1 49 85 C3 74 CF 33 C0 C3 48 1B C0 48 83 C8 01 C3 }
	condition:
		$1
}

rule file_593_1_0 {
	meta:
		name = "system"
		size = 290
		refs = "0015 __security_cookie 0026 ??_C@_07CFPBBAOO@COMSPEC?$AA@ 0037 _dupenv_s 005d _access_s 006b ??_C@_02HNHPBPFE@?1c?$AA@ 0081 _errno 009c _spawnve 00ce ??_C@_07INNMNHPJ@cmd?4exe?$AA@ 00e0 _spawnvpe 00eb free 00f9 __security_check_cookie 011d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 4C 8D 05 ?? ?? ?? ?? 48 8D 4D D0 33 DB 33 D2 48 89 5D D0 E8 ?? ?? ?? ?? 83 F8 16 0F 84 C9 00 00 00 48 8B 4D D0 48 89 4D D8 48 85 FF 75 17 48 85 C9 0F 84 90 00 00 00 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 EB 7E 48 8D 05 ?? ?? ?? ?? 48 89 7D E8 48 89 5D F0 48 89 45 E0 48 85 C9 74 4B E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 4C 8D 45 D8 89 18 48 8B 55 D8 45 33 C9 33 C9 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 09 E8 ?? ?? ?? ?? 89 38 EB 36 E8 ?? ?? ?? ?? 83 38 02 74 0A E8 ?? ?? ?? ?? 83 38 0D 75 22 E8 ?? ?? ?? ?? 89 38 48 8D 15 ?? ?? ?? ?? 4C 8D 45 D8 45 33 C9 33 C9 48 89 55 D8 E8 ?? ?? ?? ?? 8B D8 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_846_1_0 {
	meta:
		name = "_wsystem"
		size = 290
		refs = "0015 __security_cookie 0026 ??_C@_1BA@HMCCKBDK@?$AAC?$AAO?$AAM?$AAS?$AAP?$AAE?$AAC?$AA?$AA@ 0037 _wdupenv_s 005d _waccess_s 006b ??_C@_15JBFELBFC@?$AA?1?$AAc?$AA?$AA@ 0081 _errno 009c _wspawnve 00ce ??_C@_1BA@DBKIDAPL@?$AAc?$AAm?$AAd?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 00e0 _wspawnvpe 00eb free 00f9 __security_check_cookie 011d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 4C 8D 05 ?? ?? ?? ?? 48 8D 4D D0 33 DB 33 D2 48 89 5D D0 E8 ?? ?? ?? ?? 83 F8 16 0F 84 C9 00 00 00 48 8B 4D D0 48 89 4D D8 48 85 FF 75 17 48 85 C9 0F 84 90 00 00 00 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 EB 7E 48 8D 05 ?? ?? ?? ?? 48 89 7D E8 48 89 5D F0 48 89 45 E0 48 85 C9 74 4B E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 4C 8D 45 D8 89 18 48 8B 55 D8 45 33 C9 33 C9 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 09 E8 ?? ?? ?? ?? 89 38 EB 36 E8 ?? ?? ?? ?? 83 38 02 74 0A E8 ?? ?? ?? ?? 83 38 0D 75 22 E8 ?? ?? ?? ?? 89 38 48 8D 15 ?? ?? ?? ?? 4C 8D 45 D8 45 33 C9 33 C9 48 89 55 D8 E8 ?? ?? ?? ?? 8B D8 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_594_0_0 {
	meta:
		name = "_logb"
		size = 285
		refs = "0071 ??_C@_05JGDBENOH@_logb?$AA@ 007b _handle_error"
	strings:
		$1 = { 48 83 EC 58 F2 0F 11 44 24 60 41 B8 FF 03 00 00 48 BA FF FF FF FF FF FF FF 7F 48 8B 44 24 60 0F 28 C8 48 8B C8 48 C1 E9 34 81 E1 FF 07 00 00 49 2B C8 48 85 C2 75 4D C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 02 00 00 00 49 B8 00 00 00 00 00 00 F0 FF F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 48 8D 0D ?? ?? ?? ?? BA 25 00 00 00 E8 ?? ?? ?? ?? E9 94 00 00 00 48 C7 C2 02 FC FF FF 48 3B CA 7C 0F 49 3B C8 7F 0F 0F 57 C0 F2 48 0F 2A C1 EB 79 49 3B C8 7E 48 48 B9 FF FF FF FF FF FF 0F 00 48 85 C1 74 65 C7 44 24 40 01 00 00 00 0F 57 C0 49 B8 00 00 00 00 00 00 08 00 4C 0B C0 41 B9 01 00 00 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 EB 82 48 B9 FF FF FF FF FF FF 0F 00 48 23 C1 48 B9 00 00 00 00 00 00 10 00 EB 06 48 03 C0 48 FF CA 48 3B C1 72 F5 0F 57 C0 F2 48 0F 2A C2 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_595_0_0 {
	meta:
		name = "cimagf"
		size = 47
		refs = "0007 __security_cookie 0026 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 08 48 89 0C 24 F3 0F 10 44 24 04 48 8B 4C 24 08 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_596_5_0 {
	meta:
		name = "_cprinput_s_l"
		size = 4536
		refs = "0022 __security_cookie 007a _errno 0085 _invalid_parameter_noinfo 0096 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00d2 iswctype 00e6 _getwche_nolock 0108 _ungetwch_nolock 01aa isdigit 057e __check_float_string 07ea _malloc_crt 080f wcstombs_s 082d _cfltcvt_tab 0836 __imp_DecodePointer 084d free 093a memset 0c55 wctomb_s 0e12 isxdigit 1184 __security_check_cookie 11b3 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 50 FD FF FF 48 81 EC B0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 02 00 00 45 33 ED 4C 8D 75 E0 4C 89 45 B8 41 8B C5 41 0F B7 FD 48 8B F1 48 89 4C 24 60 4C 89 75 80 48 C7 45 A0 5E 01 00 00 89 45 B0 89 7C 24 38 44 89 6D 94 4C 89 6C 24 68 4C 89 6C 24 78 44 89 6C 24 44 4C 89 6D A8 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 E8 10 00 00 48 8D 4D C0 E8 ?? ?? ?? ?? 0F B7 06 41 8B DD 44 88 6C 24 40 45 8B E5 44 89 6C 24 30 89 5C 24 70 66 85 C0 0F 84 AC 10 00 00 BB 25 00 00 00 41 BE FF FF 00 00 44 8D 7B DC BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 74 4C 45 2B E7 45 03 E7 44 89 64 24 30 E8 ?? ?? ?? ?? 0F B7 D8 66 41 3B C6 74 19 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 75 D9 0F B7 CB E8 ?? ?? ?? ?? 48 83 C6 02 BA 08 00 00 00 0F B7 0E E8 ?? ?? ?? ?? 85 C0 75 EB E9 7D 03 00 00 4C 8B 54 24 60 66 41 3B 1A 0F 85 08 0F 00 00 66 41 3B 5A 02 0F 84 E7 0E 00 00 45 33 DB 45 0F B7 FD 41 8B D5 4D 8B E5 45 8D 4B 01 44 89 7D 90 44 89 6C 24 4C 44 89 6C 24 58 45 8B C5 44 89 6C 24 54 4C 89 6D 88 44 88 6C 24 50 44 88 6C 24 41 45 8A FD 41 8A F5 44 89 6D B4 45 8A E1 89 54 24 3C 45 8A F3 45 8B EB 83 CF FF 49 83 C2 02 B8 00 FF 00 00 41 0F B7 1A 4C 89 54 24 60 66 85 D8 75 3B 0F B6 CB E8 ?? ?? ?? ?? 44 8B 44 24 54 8B 54 24 3C 4C 8B 54 24 60 45 33 DB 45 8D 4B 01 85 C0 74 1A 8D 14 92 45 03 C1 8D 52 E8 44 89 44 24 54 8D 14 53 89 54 24 3C E9 D7 00 00 00 83 FB 2A 0F 84 CB 00 00 00 83 FB 46 0F 84 C5 00 00 00 83 FB 49 74 4E 83 FB 4C 74 44 83 FB 4E 0F 84 B2 00 00 00 83 FB 68 74 2E B9 6C 00 00 00 3B D9 74 0A 83 FB 77 74 1B E9 92 00 00 00 49 8D 42 02 66 39 08 75 0A 4C 8B D0 48 89 44 24 60 EB 32 45 02 E1 45 02 F1 EB 7F 44 02 E7 44 02 F7 EB 77 45 02 E1 EB 72 41 0F B7 42 02 66 83 F8 36 75 1C 49 8D 4A 04 66 83 39 34 75 12 4C 8B D1 48 89 4C 24 60 45 03 E9 4C 89 5C 24 78 EB 4B 66 83 F8 33 75 14 49 8D 4A 04 66 83 39 32 75 0A 4C 8B D1 48 89 4C 24 60 EB 31 66 83 E8 58 B9 20 00 00 00 66 3B C1 77 13 0F B7 C0 48 B9 01 10 82 00 01 00 00 00 48 0F A3 C1 72 BB 45 03 E9 4C 89 5C 24 78 41 02 F1 EB 03 45 02 F9 40 84 F6 0F 84 CE FE FF FF 8B 7C 24 38 44 88 7C 24 34 44 8B 7D 90 8A 4C 24 34 44 88 64 24 35 4C 8B 65 88 44 89 6C 24 48 44 8B 6D B4 84 C9 75 1A 48 8B 45 B8 48 89 45 A8 48 83 C0 08 48 89 45 B8 48 8B 40 F8 48 89 45 88 EB 04 4C 89 5D 88 41 8A DB 88 5D 98 45 84 F6 75 25 41 0F B7 02 41 B9 EF FF 00 00 66 83 E8 43 66 41 23 C1 41 B9 01 00 00 00 66 F7 D8 45 1A F6 41 80 E6 02 41 FE CE 41 0F B7 32 83 CE 20 89 75 90 83 FE 6E 0F 84 83 00 00 00 83 FE 63 74 4B 83 FE 7B 74 46 44 8B 6C 24 30 BB FF FF 00 00 45 03 E9 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 66 3B C3 74 17 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 41 B9 01 00 00 00 85 C0 75 D5 8A 5D 98 8B 75 90 44 89 6C 24 30 44 8B 6D B4 EB 11 44 01 4C 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 B8 FF FF 00 00 66 3B C7 0F 84 D1 0C 00 00 8B 54 24 3C 4C 8B 54 24 60 44 8B 44 24 54 8A 4C 24 34 EB 05 B8 FF FF 00 00 45 85 C0 74 08 85 D2 0F 84 9E 0C 00 00 84 C9 75 50 8D 46 9D A9 E7 FF FF FF 75 46 83 FE 6B 74 41 4C 8B 4D A8 49 8B 01 49 83 C1 08 45 8B 21 4D 8B D9 4C 89 4D A8 49 83 C1 08 48 89 45 88 4C 89 4D B8 41 B9 01 00 00 00 4D 3B E1 73 1F 45 33 ED 45 84 F6 0F 8E 6F 0C 00 00 66 44 89 28 E9 69 0C 00 00 4C 8B 5D A8 41 B9 01 00 00 00 83 FE 6F 0F 8F 33 04 00 00 0F 84 E0 08 00 00 83 FE 63 0F 84 02 04 00 00 83 FE 64 0F 84 CE 08 00 00 0F 8E 3E 04 00 00 83 FE 67 7E 67 83 FE 69 74 45 83 FE 6E 0F 85 2B 04 00 00 44 8B 64 24 30 45 33 ED 41 8B C4 84 C9 0F 84 55 0B 00 00 41 BF 01 00 00 00 41 BE FF FF 00 00 48 8B 74 24 60 44 00 7C 24 40 48 83 C6 02 48 89 74 24 60 BB 25 00 00 00 E9 B9 0B 00 00 BE 64 00 00 00 B8 2D 00 00 00 66 3B C7 0F 85 78 05 00 00 44 88 4C 24 41 E9 78 05 00 00 45 33 ED 41 8B DD 41 8D 4D 2D 45 8D 7D 01 66 3B CF 75 0C 48 8B 45 80 41 8B DF 66 89 08 EB 0A B8 2B 00 00 00 66 3B C7 75 23 44 8B 74 24 3C 44 8B 64 24 30 45 2B F7 45 03 E7 E8 ?? ?? ?? ?? 44 8B 44 24 54 0F B7 F8 89 7C 24 38 EB 0A 44 8B 74 24 3C 44 8B 64 24 30 45 85 C0 B8 FF FF FF FF BE 00 FF 00 00 44 0F 44 F0 EB 61 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 57 41 8B C6 45 2B F7 85 C0 74 4D 48 8B 4D 80 44 01 7C 24 58 40 0F BE C7 66 89 04 59 48 8D 45 94 49 03 DF 4C 8D 4D E0 4C 8D 45 80 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 1C 0B 00 00 45 03 E7 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 66 85 FE 74 9A 48 8B 45 C0 48 8B 88 F0 00 00 00 48 8B 41 58 0F B7 30 40 0F BE C7 8B CE 3B F0 0F 85 B6 00 00 00 41 8B C6 45 2B F7 85 C0 0F 84 A8 00 00 00 45 03 E7 E8 ?? ?? ?? ?? 4C 8D 4D E0 0F B7 F8 48 8B 45 80 4C 8D 45 80 66 89 34 58 48 8D 45 94 49 03 DF 48 8D 55 A0 48 8B CB 89 7C 24 38 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 9B 0A 00 00 BE 00 FF 00 00 EB 5D 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 53 41 8B C6 45 2B F7 85 C0 74 49 48 8B 45 80 44 01 7C 24 58 4C 8D 4D E0 66 89 3C 58 48 8D 45 94 49 03 DF 4C 8D 45 80 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 46 0A 00 00 45 03 E7 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 66 85 FE 74 9E 8B 74 24 58 85 F6 0F 84 1D 01 00 00 8D 47 BB B9 DF FF 00 00 66 85 C1 0F 85 0C 01 00 00 41 8B C6 45 2B F7 85 C0 0F 84 FE 00 00 00 48 8B 45 80 B9 65 00 00 00 4C 8D 4D E0 66 89 0C 58 48 8D 45 94 49 03 DF 4C 8D 45 80 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 D2 09 00 00 45 03 E7 E8 ?? ?? ?? ?? B9 2D 00 00 00 0F B7 F8 89 7C 24 38 66 3B C8 75 32 48 8B 45 80 4C 8D 4D E0 4C 8D 45 80 66 89 0C 58 48 8D 45 94 49 03 DF 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 89 09 00 00 EB 0A B8 2B 00 00 00 66 3B C7 75 6A 41 8B C6 45 2B F7 85 C0 75 51 45 8B F5 EB 5B 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 56 41 8B C6 45 2B F7 85 C0 74 4C 48 8B 45 80 4C 8D 4D E0 4C 8D 45 80 66 89 3C 58 48 8D 45 94 49 03 DF 48 8D 55 A0 48 8B CB 41 03 F7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 22 09 00 00 45 03 E7 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 B8 00 FF 00 00 66 85 F8 74 9B 45 2B E7 41 BE FF FF 00 00 44 89 64 24 30 66 44 3B F7 74 08 0F B7 CF E8 ?? ?? ?? ?? 85 F6 0F 84 E5 08 00 00 44 38 6C 24 34 0F 85 C9 FC FF FF 48 8B 45 A0 4C 8B 75 80 44 01 7C 24 70 66 45 89 2C 5E 48 8D 1C 45 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 AC 08 00 00 48 8D 43 FF 4D 8B CE 4C 8B C3 48 8B D6 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 16 0F 84 87 09 00 00 83 F8 22 0F 84 7E 09 00 00 0F BE 5C 24 35 48 8B 0D ?? ?? ?? ?? 41 2B DF FF 15 ?? ?? ?? ?? 48 8B 55 88 4C 8D 4D C0 4C 8B C6 8B CB FF D0 48 8B CE E8 ?? ?? ?? ?? E9 39 FC FF FF 45 85 C0 75 0C 41 03 D1 44 89 4C 24 54 89 54 24 3C 45 84 F6 0F 8E E2 02 00 00 45 8A E9 E9 DA 02 00 00 83 FE 70 0F 84 93 04 00 00 83 FE 73 0F 84 BD 02 00 00 83 FE 75 0F 84 98 04 00 00 83 FE 78 0F 84 1B FC FF FF 83 FE 7B 74 31 66 41 39 3A 0F 85 05 08 00 00 FE 4C 24 40 44 8B 64 24 30 45 33 ED 45 8D 7D 01 41 BE FF FF 00 00 84 C9 0F 85 CC FB FF FF 4C 89 5D B8 E9 C3 FB FF FF 45 84 F6 45 0F B6 ED B8 5E 00 00 00 45 0F 4F E9 49 83 C2 02 4C 89 54 24 60 66 41 3B 02 75 0E 49 83 C2 02 C6 44 24 50 FF 4C 89 54 24 60 48 8B 5C 24 68 45 33 F6 48 85 DB 75 22 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 68 48 85 C0 0F 84 FC 07 00 00 41 8D 46 01 89 45 B0 33 D2 41 B8 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 54 24 60 BA 5D 00 00 00 66 41 3B 12 75 0D 8D 42 C3 44 8B FA 49 83 C2 02 88 43 0B 41 0F B7 02 41 B9 01 00 00 00 66 3B D0 0F 84 BB 00 00 00 41 8D 71 2C 49 83 C2 02 66 3B F0 75 7C 66 45 85 FF 74 76 41 0F B7 0A 66 3B D1 74 6D 49 83 C2 02 4C 89 54 24 60 66 44 3B F9 73 06 44 0F B7 C9 EB 08 45 0F B7 CF 44 0F B7 F9 41 BB 01 00 00 00 66 45 3B F9 73 2D 45 0F B7 D7 41 0F B7 CF 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 66 45 03 FB D2 E2 4D 03 D3 41 08 14 18 66 45 3B F9 72 DC 4C 8B 54 24 60 45 0F B7 C1 41 0F B7 C1 41 8B D3 41 B9 01 00 00 00 45 0F B7 FE EB 0E 44 0F B7 F8 44 0F B7 C0 41 8B D1 0F B7 C0 83 E0 07 49 C1 E8 03 8A C8 D2 E2 41 08 14 18 41 0F B7 02 BA 5D 00 00 00 66 3B D0 0F 85 4C FF FF FF 8B 75 90 66 45 39 32 0F 84 EB 06 00 00 4C 89 54 24 60 E9 15 01 00 00 B8 2B 00 00 00 66 3B C7 75 11 41 2B D1 89 54 24 3C 75 6F 45 85 C0 74 6A 41 8A D9 44 8B 74 24 30 41 BC 30 00 00 00 66 44 3B E7 0F 85 20 03 00 00 45 8D 7C 24 D1 45 03 F7 44 89 74 24 30 E8 ?? ?? ?? ?? B9 DF FF 00 00 0F B7 F8 89 7C 24 38 8D 47 A8 66 85 C1 74 73 45 8B EF 83 FE 78 74 3F 44 8B 74 24 3C 33 C0 39 44 24 54 74 08 45 2B F7 75 03 41 02 DF 44 8B 7C 24 48 BE 6F 00 00 00 E9 DF 02 00 00 44 8B 74 24 30 45 03 F1 44 89 74 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 EB 83 45 2B F7 B8 FF FF 00 00 44 89 74 24 30 66 3B C7 74 08 0F B7 CF E8 ?? ?? ?? ?? 44 8B 7C 24 48 41 8B FC 44 89 64 24 38 E9 91 02 00 00 45 03 F7 44 89 74 24 30 E8 ?? ?? ?? ?? 44 8B 74 24 3C 0F B7 F8 33 C0 89 7C 24 38 39 44 24 54 74 0C 41 83 EE 02 45 3B F7 7D 03 41 02 DF 44 8B 7C 24 48 44 8B 6C 24 58 BE 78 00 00 00 E9 57 02 00 00 45 0F B6 ED 45 84 F6 45 0F 4F E9 8B 4C 24 30 48 8B 5D 88 41 B8 01 00 00 00 41 2B C8 B8 FF FF 00 00 89 4C 24 30 66 3B C7 74 12 0F B7 CF E8 ?? ?? ?? ?? 8B 4C 24 30 41 B8 01 00 00 00 83 FE 63 74 03 4D 2B E0 44 8B 74 24 3C 44 8A 7C 24 50 33 D2 39 54 24 54 74 0E 41 8B C6 45 2B F0 85 C0 0F 84 4B 01 00 00 41 03 C8 89 4C 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 83 FE 63 74 48 83 FE 73 75 15 8D 47 F7 66 83 F8 04 0F 86 C2 00 00 00 8D 46 AD 66 3B F8 75 2E 83 FE 7B 0F 85 B1 00 00 00 48 8B 4C 24 68 0F B7 C7 0F B7 D7 48 C1 E8 03 83 E2 07 0F BE 0C 08 41 0F BE C7 33 C8 0F A3 D1 0F 83 8C 00 00 00 33 D2 38 54 24 34 75 71 4D 85 E4 0F 84 B9 04 00 00 45 84 ED 74 21 48 8B 55 88 8B 4C 24 30 41 B8 01 00 00 00 66 89 3A 48 83 C2 02 4D 2B E0 48 89 55 88 E9 53 FF FF FF 89 55 90 48 8B 55 88 48 8D 4D 90 44 0F B7 CF 4D 8B C4 E8 ?? ?? ?? ?? 83 F8 22 0F 84 73 04 00 00 48 63 45 90 8B 4C 24 30 33 D2 44 8D 42 01 85 C0 0F 8E 1F FF FF FF 48 01 45 88 4C 2B E0 E9 13 FF FF FF 8B 4C 24 30 48 83 C3 02 41 B8 01 00 00 00 E9 00 FF FF FF 44 8B 64 24 30 41 BF 01 00 00 00 41 BE FF FF 00 00 45 2B E7 44 89 64 24 30 66 44 3B F7 74 08 0F B7 CF E8 ?? ?? ?? ?? 33 D2 48 8B 45 88 48 3B D8 0F 84 BC 03 00 00 38 54 24 34 0F 85 48 03 00 00 44 01 7C 24 70 83 FE 63 0F 84 3A 03 00 00 45 84 ED 74 1F 45 33 ED 66 44 89 28 E9 9F F7 FF FF 44 8B 64 24 30 41 BF 01 00 00 00 41 BE FF FF 00 00 EB B7 45 33 ED 44 88 28 E9 81 F7 FF FF 44 8B 7C 24 48 44 88 4C 24 35 45 03 F9 45 33 F6 4C 89 74 24 78 EB 05 44 8B 7C 24 48 B8 2D 00 00 00 66 3B C7 75 07 44 88 4C 24 41 EB 0A B8 2B 00 00 00 66 3B C7 75 47 41 2B D1 89 54 24 3C 75 12 45 85 C0 74 0D 44 8B 6C 24 58 41 8A D9 44 8B F2 EB 36 44 8B 64 24 30 45 03 E1 44 89 64 24 30 E8 ?? ?? ?? ?? 44 8B 74 24 3C 44 8B 6C 24 58 0F B7 F8 33 C0 89 7C 24 38 EB 16 44 8B 7C 24 48 44 8B 6C 24 58 44 8B 74 24 3C 33 C0 44 8B 64 24 30 45 85 FF 0F 84 0A 01 00 00 84 DB 48 8B 5C 24 78 0F 85 E4 00 00 00 8D 46 90 A9 F7 FF FF FF B8 00 FF 00 00 74 3C 66 85 F8 0F 85 AD 00 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 83 FE 6F 75 12 8D 46 C9 66 3B C7 0F 86 89 00 00 00 48 C1 E3 03 EB 45 48 8D 1C 9B 48 03 DB EB 3C 66 85 F8 75 75 0F B7 C7 0F B6 D8 8B CB E8 ?? ?? ?? ?? 85 C0 74 64 48 C1 64 24 78 04 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 78 85 C0 75 10 B8 DF FF 00 00 66 23 F8 66 83 EF 07 89 7C 24 38 0F B7 C7 B9 01 00 00 00 83 E8 30 44 03 E9 48 98 48 03 D8 33 C0 48 89 5C 24 78 39 44 24 54 74 05 44 2B F1 74 38 44 03 E1 44 89 64 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 E9 3B FF FF FF 41 FF CC B8 FF FF 00 00 44 89 64 24 30 66 3B C7 74 08 0F B7 CF E8 ?? ?? ?? ?? 48 8B 5C 24 78 33 C9 38 4C 24 41 0F 84 08 01 00 00 48 F7 DB 48 89 5C 24 78 E9 FB 00 00 00 84 DB 8B 5C 24 4C 0F 85 E1 00 00 00 8D 46 90 A9 F7 FF FF FF B8 00 FF 00 00 74 3A 66 85 F8 0F 85 AB 00 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 83 FE 6F 75 11 8D 46 C9 66 3B C7 0F 86 87 00 00 00 C1 E3 03 EB 48 8D 04 9B 8D 1C 00 EB 40 66 85 F8 75 75 0F B7 C7 0F B6 D8 8B CB E8 ?? ?? ?? ?? 85 C0 74 64 8B 44 24 4C 8B CB C1 E0 04 89 44 24 4C E8 ?? ?? ?? ?? 8B 5C 24 4C 85 C0 75 10 B8 DF FF 00 00 66 23 F8 66 83 EF 07 89 7C 24 38 0F B7 C7 83 C3 D0 B9 01 00 00 00 03 D8 33 C0 44 03 E9 89 5C 24 4C 39 44 24 54 74 05 44 2B F1 74 37 44 03 E1 44 89 64 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 E9 3D FF FF FF 41 FF CC B8 FF FF 00 00 44 89 64 24 30 66 3B C7 74 08 0F B7 CF E8 ?? ?? ?? ?? 8B 5C 24 4C 33 C9 38 4C 24 41 74 06 F7 DB 89 5C 24 4C 83 FE 46 BB 00 00 00 00 44 0F 44 EB 45 85 ED 0F 84 C3 00 00 00 45 33 ED 44 38 6C 24 34 0F 85 B5 F4 FF FF FF 44 24 70 8B 44 24 4C EB 05 44 8B 7C 24 48 45 85 FF 74 11 48 8B 45 88 48 8B 4C 24 78 48 89 08 E9 90 F4 FF FF 48 8B 4D 88 41 BF 01 }
	condition:
		$1
}

rule file_596_12_0 {
	meta:
		name = "_whiteout"
		size = 64
		refs = "0010 _getwche_nolock 002a iswctype"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 FF 07 E8 ?? ?? ?? ?? 0F B7 D8 B8 FF FF 00 00 66 3B D8 74 11 BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 DB 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_597_0_0 {
	meta:
		name = "_fdexp"
		size = 610
		refs = "0027 _fdtest 0059 __real@c3650000 0069 __real@43650000 0073 _FInf_C 0085 _fperrraise 0096 __real@3f000000 00a4 __real@3fb8aa3b 00b1 __real@bf000000 00be _FEps_C 00d8 __real@3990bfbf 00e0 __real@3f316000 00f2 __xmm@80000000800000008000000080000000 0119 __real@3c085413 0121 __real@3dccbf9e 013c __real@3f800000 01aa _FNan_C 01f9 _fdscale 023d __real@00000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 F3 0F 11 48 10 55 41 56 41 57 48 8B EC 48 83 EC 20 41 8B F0 48 8B D9 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 45 33 F6 0F B7 C8 66 44 3B F7 0F 8E 16 01 00 00 66 44 3B F0 0F 8E 0C 01 00 00 F3 0F 10 23 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C4 0F 87 CE 01 00 00 0F 2F 25 ?? ?? ?? ?? 76 23 F3 0F 10 05 ?? ?? ?? ?? 41 8D 4E 08 F3 0F 59 45 28 F3 0F 11 03 E8 ?? ?? ?? ?? 41 8D 46 01 E9 B7 01 00 00 F3 0F 10 2D ?? ?? ?? ?? 0F 28 CC 0F 57 C0 F3 0F 59 0D ?? ?? ?? ?? 0F 2F C1 76 0A F3 0F 10 05 ?? ?? ?? ?? EB 03 0F 28 C5 F3 0F 10 15 ?? ?? ?? ?? F3 0F 58 C1 F3 0F 2C C0 66 0F 6E C8 0F 5B C9 0F 28 C1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C E0 0F 28 C2 F3 0F 5C E1 0F 57 05 ?? ?? ?? ?? 0F 2F E0 76 10 0F 2F D4 76 0B F3 0F 10 45 28 F3 0F 11 03 EB 4A 0F 28 D4 F3 0F 59 D4 0F 28 DA F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 1D ?? ?? ?? ?? F3 0F 58 D5 F3 0F 59 D4 0F 28 CA F3 0F 58 CB F3 0F 5C DA F3 0F 58 0D ?? ?? ?? ?? F3 0F 58 1D ?? ?? ?? ?? F3 0F 5E CB F3 0F 59 4D 28 F3 0F 11 0B 8D 14 30 E9 98 00 00 00 41 BF 02 00 00 00 66 41 3B FF 75 09 41 0F B7 C7 E9 D7 00 00 00 66 41 3B CF 75 0E F3 0F 10 45 28 41 0F B7 C7 E9 BF 00 00 00 66 85 C9 75 2F F3 0F 10 03 0F 2E 05 ?? ?? ?? ?? 7A 18 75 16 B8 01 00 00 00 8B C8 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB CD F3 0F 10 45 28 E9 87 00 00 00 B8 01 00 00 00 66 3B C8 75 21 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 03 0F 57 0D ?? ?? ?? ?? 0F 2E C1 7A 02 74 C1 F3 0F 10 45 28 EB 60 66 85 FF 75 34 F3 0F 10 45 28 8B D6 F3 0F 11 03 48 8B CB E8 ?? ?? ?? ?? 0F BF D8 8B D3 85 DB 74 09 FF CA 75 0F 8D 4A 08 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 EB 2B F3 0F 10 03 0F 2E 05 ?? ?? ?? ?? 7A 09 75 07 F3 0F 59 45 28 EB 11 F3 0F 10 45 28 F3 0F 59 05 ?? ?? ?? ?? 41 0F B7 C6 F3 0F 11 03 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_597_1_0 {
	meta:
		name = "exp2f"
		size = 228
		refs = "0013 _fdtest 0039 __real@cf000000 004a __real@4f000000 005c _fd_int 0076 __real@3f000000 0080 __real@bf800000 008d __real@bf000000 009a __real@3f800000 00a5 __real@3f317218 00bb _fdexp"
	strings:
		$1 = { F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 45 33 C0 0F BF C8 85 C9 0F 84 B1 00 00 00 FF C9 0F 84 99 00 00 00 FF C9 0F 84 8A 00 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 4D 10 0F 2F C1 73 5A 0F 2F 0D ?? ?? ?? ?? 73 51 48 8D 4D 18 33 D2 F3 0F 11 4D 18 E8 ?? ?? ?? ?? F3 0F 10 4D 10 F3 0F 2C 45 18 F3 0F 5C 4D 18 44 0F BF C0 0F 2F 0D ?? ?? ?? ?? 76 0D F3 0F 58 0D ?? ?? ?? ?? 41 FF C0 EB 18 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 76 0B F3 0F 58 0D ?? ?? ?? ?? 41 FF C8 F3 0F 59 0D ?? ?? ?? ?? 48 8D 4D 10 F3 0F 11 4D 10 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 45 10 EB 18 B8 00 80 00 00 66 85 45 12 74 EE 0F 57 C0 EB 08 F3 0F 10 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_598_5_0 {
	meta:
		name = "_cprinput_l"
		size = 4168
		refs = "0022 __security_cookie 0076 _errno 0081 _invalid_parameter_noinfo 0092 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00cf iswctype 00e3 _getwche_nolock 0105 _ungetwch_nolock 019a isdigit 04fb __check_float_string 0775 _malloc_crt 079a wcstombs_s 07b8 _cfltcvt_tab 07c7 __imp_DecodePointer 07de free 08cd memset 0bb0 wctomb_s 0d39 isxdigit 0ff1 __security_check_cookie 102e _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 50 FD FF FF 48 81 EC B0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 02 00 00 4C 8D 75 E0 4C 89 45 A8 48 8B F1 4C 89 75 80 45 33 F6 48 89 4C 24 58 41 8B C6 41 0F B7 FE 48 C7 45 98 5E 01 00 00 44 89 74 24 78 4C 89 74 24 68 4C 89 74 24 70 89 45 A0 89 7C 24 38 4C 89 75 B0 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 59 0F 00 00 48 8D 4D B8 E8 ?? ?? ?? ?? 0F B7 06 44 88 74 24 3D 45 8B FE 44 89 74 24 30 45 8B EE 44 89 74 24 60 66 85 C0 0F 84 1B 0F 00 00 BB 25 00 00 00 41 BD FF FF 00 00 44 8D 63 DC BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 74 4C 45 2B FC 45 03 FC 44 89 7C 24 30 E8 ?? ?? ?? ?? 0F B7 D8 66 41 3B C5 74 19 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 75 D9 0F B7 CB E8 ?? ?? ?? ?? 48 83 C6 02 BA 08 00 00 00 0F B7 0E E8 ?? ?? ?? ?? 85 C0 75 EB E9 17 0E 00 00 4C 8B 54 24 58 66 41 3B 1A 0F 85 2A 0E 00 00 66 41 3B 5A 02 0F 84 09 0E 00 00 45 0F B7 FE 45 8A E6 41 8B D6 41 BB 01 00 00 00 45 33 C9 44 89 7D 88 44 89 65 A4 44 89 74 24 4C 44 89 74 24 50 45 8A FB 45 8B E1 89 54 24 44 45 8B EE 44 88 74 24 48 44 88 74 24 3C 41 8A FE 41 8A F6 49 83 C2 02 B8 00 FF 00 00 41 0F B7 1A 4C 89 54 24 58 66 85 D8 75 35 0F B6 CB E8 ?? ?? ?? ?? 8B 54 24 44 4C 8B 54 24 58 45 33 C9 45 8D 59 01 85 C0 74 19 47 8D 6C AD 00 41 03 D3 45 8D 6D E8 89 54 24 44 46 8D 2C 6B E9 D7 00 00 00 83 FB 2A 0F 84 CB 00 00 00 83 FB 46 0F 84 C5 00 00 00 83 FB 49 74 4E 83 FB 4C 74 44 83 FB 4E 0F 84 B2 00 00 00 83 FB 68 74 2E B9 6C 00 00 00 3B D9 74 0A 83 FB 77 74 1B E9 92 00 00 00 49 8D 42 02 66 39 08 75 0A 4C 8B D0 48 89 44 24 58 EB 32 45 02 FB 45 02 F3 EB 7F 41 FE CF 41 FE CE EB 77 45 02 FB EB 72 41 0F B7 42 02 66 83 F8 36 75 1C 49 8D 4A 04 66 83 39 34 75 12 4C 8B D1 48 89 4C 24 58 45 03 E3 4C 89 4C 24 70 EB 4B 66 83 F8 33 75 14 49 8D 4A 04 66 83 39 32 75 0A 4C 8B D1 48 89 4C 24 58 EB 31 66 83 E8 58 B9 20 00 00 00 66 3B C1 77 13 0F B7 C0 48 B9 01 10 82 00 01 00 00 00 48 0F A3 C1 72 BB 45 03 E3 4C 89 4C 24 70 41 02 F3 EB 03 41 02 FB 40 84 F6 0F 84 D4 FE FF FF 40 88 7C 24 34 8B 7C 24 38 44 88 7C 24 35 8A 4C 24 34 44 8B 7D 88 44 89 64 24 40 44 8B 65 A4 84 C9 75 1A 48 8B 45 A8 48 89 45 B0 48 83 C0 08 48 89 45 A8 48 8B 40 F8 48 89 45 90 EB 04 4C 89 4D 90 41 8A D9 88 5C 24 7C 45 84 F6 75 1F 41 0F B7 02 41 B8 EF FF 00 00 66 83 E8 43 66 41 23 C0 66 F7 D8 45 1A F6 41 80 E6 02 41 FE CE 41 0F B7 32 83 CE 20 89 75 88 83 FE 6E 0F 84 86 00 00 00 83 FE 63 74 4C 83 FE 7B 74 47 44 8B 64 24 30 BB FF FF 00 00 45 03 E3 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 66 3B C3 74 17 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 85 C0 75 D5 8A 5C 24 7C 8B 75 88 44 89 64 24 30 44 8B 65 A4 EB 11 44 01 5C 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 B8 FF FF 00 00 66 3B C7 0F 84 0A 0C 00 00 4C 8B 54 24 58 8B 54 24 44 8A 4C 24 34 45 33 C9 45 8D 59 01 EB 05 B8 FF FF 00 00 85 D2 74 09 45 85 ED 0F 84 D5 0B 00 00 83 FE 6F 0F 8F 3C 04 00 00 0F 84 98 08 00 00 83 FE 63 0F 84 10 04 00 00 83 FE 64 0F 84 86 08 00 00 0F 8E 47 04 00 00 83 FE 67 7E 66 83 FE 69 74 44 83 FE 6E 0F 85 34 04 00 00 44 8B 7C 24 30 45 33 F6 44 8D 66 93 41 8B C7 84 C9 75 1D 44 8B 74 24 40 45 85 F6 0F 84 EC 0A 00 00 48 8B 45 90 48 8B 4C 24 70 48 89 08 45 33 F6 41 BD FF FF 00 00 E9 F5 0A 00 00 BE 64 00 00 00 B8 2D 00 00 00 66 3B C7 0F 85 85 05 00 00 44 88 5C 24 3C E9 85 05 00 00 45 33 F6 41 8B DE 41 8D 4E 2D 66 3B CF 75 0C 48 8B 45 80 49 8B DB 66 89 08 EB 0A B8 2B 00 00 00 66 3B C7 75 1D 44 8B 7C 24 30 45 2B EB 45 03 FB E8 ?? ?? ?? ?? 8B 54 24 44 0F B7 F8 89 7C 24 38 EB 05 44 8B 7C 24 30 85 D2 BA FF FF FF FF BE 00 FF 00 00 44 0F 44 EA 66 85 FE 75 6B 44 8D 62 02 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 58 41 8B C5 45 2B EC 85 C0 74 4E 48 8B 4D 80 44 01 64 24 50 40 0F BE C7 66 89 04 59 48 8D 44 24 78 49 03 DC 4C 8D 4D E0 4C 8D 45 80 48 8D 55 98 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 A0 0A 00 00 45 03 FC E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 66 85 C6 74 99 48 8B 45 B8 41 BC 01 00 00 00 48 8B 88 F0 00 00 00 48 8B 41 58 0F B7 30 40 0F BE C7 8B CE 3B F0 0F 85 B8 00 00 00 41 8B C5 45 2B EC 85 C0 0F 84 AA 00 00 00 45 03 FC E8 ?? ?? ?? ?? 4C 8D 4D E0 0F B7 F8 48 8B 45 80 4C 8D 45 80 66 89 34 58 48 8D 44 24 78 49 03 DC 48 8D 55 98 48 8B CB 89 7C 24 38 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 18 0A 00 00 BE 00 FF 00 00 EB 5E 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 54 41 8B C5 45 2B EC 85 C0 74 4A 48 8B 45 80 44 01 64 24 50 4C 8D 4D E0 66 89 3C 58 48 8D 44 24 78 49 03 DC 4C 8D 45 80 48 8D 55 98 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 C2 09 00 00 45 03 FC E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 66 85 FE 74 9D 8B 74 24 50 85 F6 0F 84 20 01 00 00 8D 47 BB B9 DF FF 00 00 66 85 C1 0F 85 0F 01 00 00 41 8B C5 45 2B EC 85 C0 0F 84 01 01 00 00 48 8B 45 80 B9 65 00 00 00 4C 8D 4D E0 66 89 0C 58 48 8D 44 24 78 49 03 DC 4C 8D 45 80 48 8D 55 98 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 4D 09 00 00 45 03 FC E8 ?? ?? ?? ?? B9 2D 00 00 00 0F B7 F8 89 7C 24 38 66 3B C8 75 33 48 8B 45 80 4C 8D 4D E0 4C 8D 45 80 66 89 0C 58 48 8D 44 24 78 49 03 DC 48 8D 55 98 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 03 09 00 00 EB 0A B8 2B 00 00 00 66 3B C7 75 6B 41 8B C5 45 2B EC 85 C0 75 52 45 8B EE EB 5C 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 57 41 8B C5 45 2B EC 85 C0 74 4D 48 8B 45 80 4C 8D 4D E0 4C 8D 45 80 66 89 3C 58 48 8D 44 24 78 49 03 DC 48 8D 55 98 48 8B CB 41 03 F4 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 9B 08 00 00 45 03 FC E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 B8 00 FF 00 00 66 85 F8 74 9A 45 2B FC 41 BD FF FF 00 00 44 89 7C 24 30 66 44 3B EF 74 08 0F B7 CF E8 ?? ?? ?? ?? 85 F6 0F 84 5E 08 00 00 44 38 74 24 34 0F 85 D8 07 00 00 48 8B 45 98 4C 8B 75 80 44 01 64 24 60 45 33 E4 66 45 89 24 5E 48 8D 1C 45 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 1F 08 00 00 48 8D 43 FF 4D 8B CE 4C 8B C3 48 8B D6 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 16 0F 84 8C 08 00 00 83 F8 22 0F 84 83 08 00 00 0F BE 5C 24 35 48 8B 0D ?? ?? ?? ?? 41 BC 01 00 00 00 41 2B DC FF 15 ?? ?? ?? ?? 48 8B 55 90 4C 8D 4D B8 4C 8B C6 8B CB FF D0 48 8B CE E8 ?? ?? ?? ?? 45 33 F6 E9 42 07 00 00 85 D2 75 08 44 89 5C 24 44 45 03 EB 45 84 F6 0F 8E D6 02 00 00 45 8A E3 E9 CE 02 00 00 83 FE 70 0F 84 45 04 00 00 83 FE 73 0F 84 B1 02 00 00 83 FE 75 0F 84 47 04 00 00 83 FE 78 0F 84 11 FC FF FF 83 FE 7B 74 35 66 41 39 3A 0F 85 5D 07 00 00 FE 4C 24 3D 44 8B 7C 24 30 45 33 F6 45 8D 66 01 41 BD FF FF 00 00 84 C9 0F 85 D4 06 00 00 4C 8B 45 B0 4C 89 45 A8 E9 C7 06 00 00 45 84 F6 45 0F B6 E4 B8 5E 00 00 00 45 0F 4F E3 49 83 C2 02 4C 89 54 24 58 66 41 3B 02 75 0E 49 83 C2 02 C6 44 24 48 FF 4C 89 54 24 58 48 8B 5C 24 68 45 33 F6 48 85 DB 75 22 B9 00 20 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 68 48 85 C0 0F 84 F2 06 00 00 41 8D 46 01 89 45 A0 33 D2 41 B8 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 54 24 58 BA 5D 00 00 00 66 41 3B 12 75 0D 8D 42 C3 44 8B FA 49 83 C2 02 88 43 0B 41 0F B7 02 66 3B D0 0F 84 C0 00 00 00 BE 2D 00 00 00 44 8D 4E D4 49 83 C2 02 66 3B F0 75 7C 66 45 85 FF 74 76 41 0F B7 0A 66 3B D1 74 6D 49 83 C2 02 4C 89 54 24 58 66 44 3B F9 73 06 44 0F B7 C9 EB 08 45 0F B7 CF 44 0F B7 F9 41 BB 01 00 00 00 66 45 3B F9 73 2D 45 0F B7 D7 41 0F B7 CF 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 66 45 03 FB D2 E2 4D 03 D3 41 08 14 18 66 45 3B F9 72 DC 4C 8B 54 24 58 45 0F B7 C1 41 0F B7 C1 41 8B D3 41 B9 01 00 00 00 45 0F B7 FE EB 0E 44 0F B7 F8 44 0F B7 C0 41 8B D1 0F B7 C0 83 E0 07 49 C1 E8 03 8A C8 D2 E2 41 08 14 18 41 0F B7 02 BA 5D 00 00 00 66 3B D0 0F 85 4C FF FF FF 8B 75 88 66 45 39 32 0F 84 E7 05 00 00 4C 89 54 24 58 E9 06 01 00 00 B8 2B 00 00 00 66 3B C7 75 0C 45 2B EB 75 66 85 D2 74 62 41 8A DB 44 8B 74 24 30 B8 30 00 00 00 66 3B C7 0F 85 C1 02 00 00 44 8D 78 D1 45 03 F7 44 89 74 24 30 E8 ?? ?? ?? ?? B9 DF FF 00 00 0F B7 F8 89 7C 24 38 8D 47 A8 66 85 C1 74 71 45 8B E7 83 FE 78 74 3A 33 C0 39 44 24 44 74 08 45 2B EF 75 03 41 02 DF 44 8B 74 24 40 BE 6F 00 00 00 E9 81 02 00 00 44 8B 74 24 30 45 03 F3 44 89 74 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 EB 8B 45 2B F7 B8 FF FF 00 00 44 89 74 24 30 66 3B C7 74 08 0F B7 CF E8 ?? ?? ?? ?? 44 8B 74 24 40 B8 30 00 00 00 8B F8 89 44 24 38 E9 35 02 00 00 45 03 F7 44 89 74 24 30 E8 ?? ?? ?? ?? 0F B7 F8 33 C0 89 7C 24 38 39 44 24 44 74 0C 41 83 ED 02 45 3B EF 7D 03 41 02 DF 44 8B 74 24 40 44 8B 64 24 50 BE 78 00 00 00 E9 FB 01 00 00 45 0F B6 E4 45 84 F6 45 0F 4F E3 44 8B 7C 24 30 48 8B 5D 90 BA 01 00 00 00 44 2B FA B8 FF FF 00 00 44 89 7C 24 30 66 3B C7 74 0D 0F B7 CF E8 ?? ?? ?? ?? BA 01 00 00 00 44 8A 74 24 48 33 C9 39 4C 24 44 74 0E 41 8B C5 44 2B EA 85 C0 0F 84 F0 00 00 00 44 03 FA 44 89 7C 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 83 FE 63 74 44 83 FE 73 75 15 8D 47 F7 66 83 F8 04 0F 86 9D 00 00 00 8D 46 AD 66 3B F8 75 2A 83 FE 7B 0F 85 8C 00 00 00 48 8B 4C 24 68 0F B7 C7 0F B7 D7 48 C1 E8 03 83 E2 07 0F BE 0C 08 41 0F BE C6 33 C8 0F A3 D1 73 6B 33 C9 38 4C 24 34 75 55 45 84 E4 74 13 48 8B 4D 90 66 89 39 48 83 C1 02 48 89 4D 90 33 C9 EB 41 48 8B 55 90 89 4D 88 48 8D 4D 88 44 0F B7 CF 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 33 C9 85 C0 74 13 83 F8 16 0F 84 5D 04 00 00 83 F8 22 75 13 E9 53 04 00 00 48 63 45 88 48 01 45 90 EB 04 48 83 C3 02 BA 01 00 00 00 E9 24 FF FF FF BA 01 00 00 00 41 BD FF FF 00 00 44 2B FA 44 89 7C 24 30 66 44 3B EF 74 15 0F B7 CF E8 ?? ?? ?? ?? BA 01 00 00 00 EB 06 41 BD FF FF 00 00 48 8B 45 90 45 33 F6 48 3B D8 0F 84 84 03 00 00 44 38 74 24 34 0F 85 F8 02 00 00 01 54 24 60 83 FE 63 0F 84 EB 02 00 00 45 84 E4 45 8D 66 01 74 09 66 44 89 30 E9 DF 02 00 00 44 88 30 E9 D7 02 00 00 44 8B 74 24 40 44 88 5C 24 35 4C 89 4C 24 70 45 03 F3 EB 05 44 8B 74 24 40 B8 2D 00 00 00 66 3B C7 75 07 44 88 5C 24 3C EB 0A B8 2B 00 00 00 66 3B C7 75 35 45 2B EB 75 09 85 D2 74 05 41 8A DB EB 27 44 8B 7C 24 30 45 03 FB 44 89 7C 24 30 E8 ?? ?? ?? ?? 44 8B 64 24 50 0F B7 F8 33 C0 89 7C 24 38 EB 11 44 8B 74 24 40 44 8B 64 24 50 33 C0 44 8B 7C 24 30 45 85 F6 0F 84 0A 01 00 00 84 DB 48 8B 5C 24 70 0F 85 E4 00 00 00 8D 46 90 A9 F7 FF FF FF B8 00 FF 00 00 74 3C 66 85 F8 0F 85 AD 00 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 83 FE 6F 75 12 8D 46 C9 66 3B C7 0F 86 89 00 00 00 48 C1 E3 03 EB 45 48 8D 1C 9B 48 03 DB EB 3C 66 85 F8 75 75 0F B7 C7 0F B6 D8 8B CB E8 ?? ?? ?? ?? 85 C0 74 64 48 C1 64 24 70 04 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 70 85 C0 75 10 B8 DF FF 00 00 66 23 F8 66 83 EF 07 89 7C 24 38 0F B7 C7 B9 01 00 00 00 83 E8 30 44 03 E1 48 98 48 03 D8 33 C0 48 89 5C 24 70 39 44 24 44 74 05 44 2B E9 74 38 44 03 F9 44 89 7C 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 E9 3B FF FF FF 41 FF CF B8 FF FF 00 00 44 89 7C 24 30 66 3B C7 74 08 0F B7 CF E8 ?? ?? ?? ?? 48 8B 5C 24 70 33 C9 38 4C 24 3C 0F 84 08 01 00 00 48 F7 DB 48 89 5C 24 70 E9 FB 00 00 00 84 DB 8B 5C 24 4C 0F 85 E1 00 00 00 8D 46 90 A9 F7 FF FF FF B8 00 FF 00 00 74 3A 66 85 F8 0F 85 AB 00 00 00 0F B7 C7 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 83 FE 6F 75 11 8D 46 C9 66 3B C7 0F 86 87 00 00 00 C1 E3 03 EB 48 8D 04 9B 8D 1C 00 EB 40 66 85 F8 75 75 0F B7 C7 0F B6 D8 8B CB E8 ?? ?? ?? ?? 85 C0 74 64 8B 44 24 4C 8B CB C1 E0 04 89 44 24 4C E8 ?? ?? ?? ?? 8B 5C 24 4C 85 C0 75 10 B8 DF FF 00 00 66 23 F8 66 83 EF 07 89 7C 24 38 0F B7 C7 83 C3 D0 B9 01 00 00 00 03 D8 33 C0 44 03 E1 89 5C 24 4C 39 44 24 44 74 05 44 2B E9 74 37 44 03 F9 44 89 7C 24 30 E8 ?? ?? ?? ?? 0F B7 F8 89 7C 24 38 E9 3D FF FF FF 41 FF CF B8 FF FF 00 00 44 89 7C 24 30 66 3B C7 74 08 0F B7 CF E8 ?? ?? ?? ?? 8B 5C 24 4C 33 C9 38 4C 24 3C 74 06 F7 DB 89 5C 24 4C 83 FE 46 BB 00 00 00 00 44 0F 44 E3 45 85 E4 0F 84 B7 00 00 00 44 8D 63 01 38 5C 24 34 0F 85 2E F5 FF FF 44 01 64 24 60 8B 44 24 4C E9 0B F5 FF FF 48 8B 4D 90 45 33 F6 41 BD FF FF 00 00 44 38 74 24 35 74 04 89 01 EB 0B 66 89 01 EB 06 41 BC 01 00 00 00 48 8B 74 24 58 44 00 64 24 3D 48 83 C6 02 48 89 74 24 58 BB 25 00 00 00 EB 44 66 41 3B 1A 75 10 49 8D 42 02 66 3B 18 4C 0F 44 D0 4C 89 54 24 58 45 03 FC 44 89 7C 24 30 E8 ?? ?? ?? ?? 48 8B 74 24 58 0F B7 F8 0F B7 06 48 83 C6 02 89 7C 24 38 48 89 74 24 58 66 3B C7 0F 85 86 00 00 00 0F B7 06 66 85 C0 74 15 E9 2F F1 FF FF 66 3B C7 74 08 0F B7 CF E8 ?? ?? ?? ?? 45 33 F6 48 8B 5C 24 68 BF 01 00 00 00 39 7D A0 75 08 48 8B CB E8 ?? ?? ?? ?? 39 7C 24 78 75 09 48 8B 4D 80 E8 ?? ?? ?? ?? 44 8B 6C 24 60 44 38 75 D0 74 0B 48 8B 4D C8 83 A1 C8 00 00 00 FD 41 8B C5 48 8B 8D A0 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F8 03 00 00 48 81 C4 }
	condition:
		$1
}

rule file_599_3_0 {
	meta:
		name = "_mbsncpy_s_l"
		size = 503
		refs = "005c _errno 0068 _invalid_parameter_noinfo 009b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b7 strncpy_s 00f0 _ismbblead_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 45 33 E4 4D 8B F9 49 8B D8 4C 8B F2 48 8B F9 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 44 88 21 EB E8 48 85 DB 75 35 44 88 21 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 48 8B 94 24 80 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 44 39 60 08 75 18 4D 8B CF 4C 8B C3 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 8B D8 E9 19 01 00 00 48 8B F7 49 8B EE 49 83 FF FF 75 19 48 8B CF 48 2B CB 8A 03 88 04 19 48 FF C3 84 C0 74 6E 48 FF CD 75 EF EB 67 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 24 44 38 63 01 74 3C 48 83 FD 02 76 32 8A 03 48 83 C3 02 88 06 8A 43 FF 48 83 C6 02 88 46 FF 48 83 ED 02 EB 13 8A 03 48 FF C3 88 06 48 FF C6 84 C0 74 1C 48 FF CD 74 17 49 FF CF 74 12 EB B1 33 ED EB 0C 44 88 26 48 FF C6 41 BC 01 00 00 00 4D 85 FF 75 03 44 88 3E 48 85 ED 75 73 49 83 FF FF 75 57 45 85 E4 74 0A E8 ?? ?? ?? ?? 8D 5D 2A 89 18 49 83 FE 01 76 35 49 8D 76 FE 48 03 F7 48 8B DE 48 3B F7 72 19 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CB 48 3B DF 73 E7 8B C6 2B C3 A8 01 74 05 C6 06 00 EB 06 42 C6 44 37 FF 00 BB 50 00 00 00 EB 2B C6 07 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 15 45 85 E4 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 02 33 DB 80 7C 24 38 00 0F 84 86 FE FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 75 FE FF FF }
	condition:
		$1
}

rule file_600_0_0 {
	meta:
		name = "_wspawnle"
		size = 225
		refs = "0018 __security_cookie 0037 _errno 0042 _invalid_parameter_noinfo 007d _wcapture_argv 00a4 _wspawnve 00be free 00d1 __security_check_cookie"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 ED 49 8B C0 48 8B FA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 79 66 39 2A 74 E5 48 85 C0 74 E0 66 41 39 28 74 DA 48 8D 8C 24 88 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 4C 24 20 48 8B D7 49 83 C1 08 4C 8B C0 8B CE 4C 89 4C 24 20 4D 8B 49 F8 48 8B D8 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B F8 48 85 DB 74 12 48 8D 44 24 30 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_835_0_0 {
	meta:
		name = "_wspawnlpe"
		size = 225
		refs = "0018 __security_cookie 0037 _errno 0042 _invalid_parameter_noinfo 007d _wcapture_argv 00a4 _wspawnvpe 00be free 00d1 __security_check_cookie"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 ED 49 8B C0 48 8B FA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 79 66 39 2A 74 E5 48 85 C0 74 E0 66 41 39 28 74 DA 48 8D 8C 24 88 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 4C 24 20 48 8B D7 49 83 C1 08 4C 8B C0 8B CE 4C 89 4C 24 20 4D 8B 49 F8 48 8B D8 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B F8 48 85 DB 74 12 48 8D 44 24 30 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_601_0_0 {
	meta:
		name = "free"
		size = 61
		refs = "0010 _crtheap 0018 __imp_HeapFree 0021 _errno 002a __imp_GetLastError 0031 _get_errno_from_oserr"
	strings:
		$1 = { 48 85 C9 74 37 53 48 83 EC 20 4C 8B C1 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 17 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_602_0_0 {
	meta:
		name = "memcpy_s"
		size = 135
		refs = "0027 _errno 0033 _invalid_parameter_noinfo 004c memcpy 0058 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D9 49 8B F0 48 8B FA 4D 85 C9 75 04 33 C0 EB 56 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 3C 4D 85 C0 74 12 48 3B D3 72 0D 4C 8B C3 48 8B D6 E8 ?? ?? ?? ?? EB CB 4C 8B C2 33 D2 E8 ?? ?? ?? ?? 48 85 F6 74 C5 48 3B FB 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB BE B8 16 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_10_0 {
	meta:
		name = "??0Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@23@AEBVQuickBitSet@23@II@Z"
		size = 136
		refs = "0031 ?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z 0060 ??_U@YAPEAX_K@Z 0075 memset"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 41 8B D9 48 8B F9 48 89 11 48 83 C1 08 83 21 00 48 83 61 08 00 49 8B D0 E8 ?? ?? ?? ?? 90 8B 44 24 60 89 47 20 C7 47 24 00 00 00 00 48 83 67 28 00 B8 08 00 00 00 48 F7 E3 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 47 18 44 8B C3 49 C1 E0 03 33 D2 48 8B C8 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_604_14_0 {
	meta:
		name = "??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
		size = 53
		refs = "001b ?GetScheduleGroupSegment@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupSegmentBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 C7 01 01 00 00 00 48 8D 4A 10 48 8B DA E8 ?? ?? ?? ?? 48 89 5F 10 48 8B 5C 24 30 48 89 47 08 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_15_0 {
	meta:
		name = "??0WorkItem@details@Concurrency@@QEAA@PEAVRealizedChore@12@PEAVScheduleGroupSegmentBase@12@@Z"
		size = 18
	strings:
		$1 = { C7 01 02 00 00 00 4C 89 41 08 48 89 51 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_604_17_0 {
	meta:
		name = "??0WorkItem@details@Concurrency@@QEAA@PEAVWorkQueue@12@PEAVScheduleGroupSegmentBase@12@@Z"
		size = 18
	strings:
		$1 = { C7 01 10 00 00 00 4C 89 41 08 48 89 51 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_604_18_0 {
	meta:
		name = "??0WorkItem@details@Concurrency@@QEAA@PEAV_UnrealizedChore@12@PEAVScheduleGroupSegmentBase@12@@Z"
		size = 18
	strings:
		$1 = { C7 01 04 00 00 00 4C 89 41 08 48 89 51 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_604_44_0 {
	meta:
		name = "?AcquireQuickCacheSlot@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@I@Z"
		size = 74
	strings:
		$1 = { 48 8B 81 A0 00 00 00 C1 E2 04 41 B9 01 00 00 00 44 8B C2 48 8B 14 D0 49 3B D1 76 2B 48 8B 81 A0 00 00 00 4A 8B 14 C0 49 3B D1 76 15 48 8B 89 A0 00 00 00 48 8B C2 F0 4E 0F B1 0C C1 48 3B D0 74 02 33 D2 48 8B C2 C3 33 C0 C3 }
	condition:
		$1
}

rule file_604_45_0 {
	meta:
		name = "?ActualGetQuickCacheSlot@SchedulerBase@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@I@Z"
		size = 56
	strings:
		$1 = { 48 8B 81 A0 00 00 00 C1 E2 04 41 B9 01 00 00 00 44 8B C2 48 8B 14 D0 49 3B D1 76 19 48 8B 89 A0 00 00 00 48 8B C2 F0 4E 0F B1 0C C1 48 3B D0 75 04 48 8B C2 C3 33 C0 C3 }
	condition:
		$1
}

rule file_604_47_0 {
	meta:
		name = "?BiasStage@WorkSearchContext@details@Concurrency@@AEAA?AW4BiasStageType@123@XZ"
		size = 19
	strings:
		$1 = { 83 79 14 65 73 03 33 C0 C3 83 79 14 7F 1B C0 83 C0 02 C3 }
	condition:
		$1
}

rule file_604_48_0 {
	meta:
		name = "?Bind@WorkItem@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 90
		refs = "000f ?ResolveToken@WorkItem@details@Concurrency@@QEAA_NXZ 0036 ?GetInternalContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVInternalContextBase@23@PEAU_Chore@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 01 18 48 8B D9 74 0D E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 39 83 3B 02 74 0A 83 3B 04 75 2B 41 B0 01 EB 03 45 33 C0 48 8B 53 10 48 8B 4B 08 E8 ?? ?? ?? ?? 48 89 43 10 48 85 C0 74 0D 80 88 27 01 00 00 01 C7 03 01 00 00 00 48 8B 43 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_604_49_0 {
	meta:
		name = "?BindTo@WorkItem@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 71
		refs = "002e ?PrepareForUse@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@PEAU_Chore@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 39 02 48 8B FA 48 8B D9 74 0A 83 39 04 75 18 41 B1 01 EB 03 45 33 C9 4C 8B 41 10 48 8B 51 08 48 8B CF E8 ?? ?? ?? ?? 48 89 7B 10 C7 03 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_50_0 {
	meta:
		name = "?CheckPriorityList@WorkSearchContext@details@Concurrency@@AEAA_N_K@Z"
		size = 25
	strings:
		$1 = { 48 8B C2 48 2B 41 20 48 3D E8 03 00 00 0F 97 C0 84 C0 74 04 48 89 51 20 C3 }
	condition:
		$1
}

rule file_604_56_0 {
	meta:
		name = "?DemandInitialize@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 143
		refs = "002c ??2@YAPEAX_K@Z 004e ??0Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@23@AEBVQuickBitSet@23@II@Z 006b ?_Sleep0@details@Concurrency@@YAXXZ 007c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 50 48 C7 44 24 30 FE FF FF FF 48 8B D9 48 8B 41 20 48 85 C0 75 40 8D 48 01 F0 48 0F B1 4B 20 75 35 B9 50 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 60 48 85 C0 74 19 4C 8D 43 08 83 64 24 20 00 44 8B 4B 18 48 8B 13 48 8B C8 E8 ?? ?? ?? ?? 90 48 89 43 20 48 89 43 28 48 8B 43 28 48 85 C0 75 25 21 44 24 40 48 8D 05 ?? ?? ?? ?? 48 89 44 24 48 EB 0A 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 43 28 48 85 C0 74 ED 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_604_58_0 {
	meta:
		name = "?Dequeue@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA_NPEAPEAV_UnrealizedChore@23@@Z"
		size = 245
		refs = "0045 ?LocateMailboxSegment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@AEAAPEAUSegment@123@I_N@Z 009f ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 00a7 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z 00ca ?Claim@Slot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA_NPEAPEAV_UnrealizedChore@34@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 4C 8B FA 48 8B F9 8B 6F 30 8B 47 34 3B E8 0F 84 AE 00 00 00 8D 4D 01 8B C5 F0 0F B1 4F 30 74 04 8B E8 EB E5 45 33 C0 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B 4F 28 4C 8B F0 48 3B C1 74 5F 48 8B 5F 28 EB 22 48 8B 76 28 8B 4E 24 03 4F 18 74 F4 8B 4B 20 39 4E 20 76 45 48 8B C3 F0 48 0F B1 77 28 48 8B D8 74 05 48 8B F3 EB DD 48 3B C6 74 2D 8B 4F 18 8B C1 F0 0F C1 43 24 03 C1 75 16 4C 8B 0B 48 8D 4B 30 48 8D 15 ?? ?? ?? ?? 4C 8B C3 E8 ?? ?? ?? ?? 48 8B 5B 28 48 3B DE 75 D3 41 2B 6E 20 48 8D 4C 24 20 49 8B D7 89 6C 24 28 4C 89 74 24 20 E8 ?? ?? ?? ?? 84 C0 0F 84 48 FF FF FF B0 01 EB 02 32 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_604_66_0 {
	meta:
		name = "?FindScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@HHPEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
		size = 131
	strings:
		$1 = { 48 89 5C 24 08 33 C0 49 8B D9 45 8B D8 41 3B D0 7D 66 4C 8B 54 24 28 48 85 C0 75 5C 41 8B 4A 54 44 8B C2 41 D3 F8 45 3B 42 6C 7D 45 49 8B 42 60 45 3B 42 68 7C 1E 45 2B 42 68 49 63 4A 68 4C 8B 4C C8 F8 78 16 41 8D 48 01 4D 8B 49 08 48 FF C9 75 F7 EB 07 49 63 C8 4C 8B 0C C8 41 8B 42 50 FF C8 48 63 C8 48 63 C2 48 23 C8 49 8B 01 48 8B 04 C8 FF C2 41 3B D3 7C 9F 8D 4A FF 89 0B 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_604_67_0 {
	meta:
		name = "?FindVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@HHPEAH@Z"
		size = 155
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 33 C0 49 8B F9 41 8B D8 44 8B D2 4C 8B D9 41 3B D0 7D 6D 48 85 C0 75 68 41 8B 8B A4 00 00 00 41 8B D2 D3 FA 41 3B 93 BC 00 00 00 7D 4B 4D 63 8B B8 00 00 00 49 8B 83 B0 00 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 41 8B 83 A0 00 00 00 FF C8 48 63 C8 49 63 C2 48 23 C8 49 8B 00 48 8B 04 C8 41 FF C2 44 3B D3 7C 93 48 8B 5C 24 08 41 8D 4A FF 89 0F 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_604_73_0 {
	meta:
		name = "?GetFirstSchedulingNode@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingNode@23@PEAH@Z"
		size = 64
	strings:
		$1 = { 83 22 00 44 8B 49 44 45 33 C0 4C 8B D2 4C 8B D9 45 85 C9 7E 24 41 8B C0 99 41 F7 F9 83 FA FF 74 18 49 8B 43 30 48 63 CA 48 8B 04 C8 48 85 C0 75 0B 41 FF C0 45 3B C1 7C DC 33 C0 C3 41 89 12 C3 }
	condition:
		$1
}

rule file_604_74_0 {
	meta:
		name = "?GetFirstVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAH@Z"
		size = 17
		refs = "000d ?FindVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@HHPEAH@Z"
	strings:
		$1 = { 44 8B 81 C0 00 00 00 4C 8B CA 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_604_76_0 {
	meta:
		name = "?GetLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVVirtualProcessor@23@_N@Z"
		size = 188
		refs = "0028 ?Pop@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 003e ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z 0066 ?StealLocalRunnableContext@VirtualProcessor@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B FA 48 8B D9 45 84 C9 74 41 49 8D 48 18 44 8B 41 04 8B 01 44 2B C0 45 85 C0 7E 07 E8 ?? ?? ?? ?? EB 02 33 C0 48 85 C0 74 7A 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 07 F2 0F 10 48 10 F2 0F 11 4F 10 B0 01 EB 5B 83 79 14 65 72 10 83 79 14 7F 73 49 49 8B C8 E8 ?? ?? ?? ?? EB 18 49 8D 48 18 8B 51 04 8B 01 2B D0 85 D2 7E 07 E8 ?? ?? ?? ?? EB 02 33 C0 48 85 C0 74 22 48 8D 4C 24 38 48 8B D0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 07 F2 0F 10 48 10 F2 0F 11 4F 10 FF 43 14 EB A7 83 63 14 00 32 C0 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_604_77_0 {
	meta:
		name = "?GetLocalRunnableContext@VirtualProcessor@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ"
		size = 22
		refs = "000f ?Pop@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
	strings:
		$1 = { 8B 51 1C 48 83 C1 18 8B 01 2B D0 85 D2 0F 8F ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule file_604_83_0 {
	meta:
		name = "?GetNextScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
		size = 117
		refs = "0037 ?FindScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@HHPEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 57 48 83 EC 30 8B 02 49 8B F9 41 8B F0 FF C0 48 8B DA 48 8B E9 41 3B C0 7E 1C 45 8B 41 70 4D 89 4B E8 4C 8B CA 8B D0 E8 ?? ?? ?? ?? 48 8B C8 33 C0 48 85 C9 75 18 4C 8B CB 44 8B C6 8B D0 48 8B CD 48 89 7C 24 20 E8 ?? ?? ?? ?? 48 8B C8 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B C1 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_604_84_0 {
	meta:
		name = "?GetNextSchedulingNode@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingNode@23@PEAHH@Z"
		size = 96
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 44 8B 51 44 45 33 DB 41 83 F8 FF 41 0F 95 C3 45 33 C9 48 8B DA 44 03 1A 48 8B F9 45 85 D2 7E 25 43 8D 04 19 99 41 F7 FA 41 3B D0 74 18 48 8B 47 30 48 63 CA 48 8B 04 C8 48 85 C0 75 15 41 FF C1 45 3B CA 7C DB 33 C0 48 8B 5C 24 08 48 8B 7C 24 10 C3 89 13 EB F1 }
	condition:
		$1
}

rule file_604_85_0 {
	meta:
		name = "?GetNextVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAHH@Z"
		size = 98
		refs = "002e ?FindVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@HHPEAH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 02 41 8B F0 48 8B DA FF C0 48 8B F9 41 3B C0 7E 1B 44 8B 81 C0 00 00 00 4C 8B CA 8B D0 E8 ?? ?? ?? ?? 48 8B D0 33 C0 48 85 D2 75 13 4C 8B CB 44 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 8B 5C 24 30 48 8B 74 24 38 48 8B C2 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_89_0 {
	meta:
		name = "?GetPseudoRRAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z"
		size = 108
		refs = "0035 ?FindScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@HHPEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 30 8B 99 20 01 00 00 44 8B 81 90 00 00 00 48 8D 69 20 48 8B F2 4C 8B CA 8B D3 48 8B F9 48 89 68 E8 E8 ?? ?? ?? ?? 48 85 C0 75 19 85 DB 74 15 4C 8B CE 44 8B C3 33 D2 48 8B CF 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_604_90_0 {
	meta:
		name = "?GetPseudoRRNonAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z"
		size = 111
		refs = "0038 ?FindScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@HHPEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 30 8B 99 24 01 00 00 44 8B 81 10 01 00 00 48 8D A9 A0 00 00 00 48 8B F2 4C 8B CA 8B D3 48 8B F9 48 89 68 E8 E8 ?? ?? ?? ?? 48 85 C0 75 19 85 DB 74 15 4C 8B CE 44 8B C3 33 D2 48 8B CF 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_604_91_0 {
	meta:
		name = "?GetRealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N@Z"
		size = 107
		refs = "0019 ?GetRealizedChore@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVRealizedChore@23@XZ 004c ?HasRealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEBA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 49 8B D8 48 8B FA 48 8B CB 45 84 C9 74 33 E8 ?? ?? ?? ?? 48 85 C0 74 3C C7 44 24 20 02 00 00 00 48 89 44 24 30 F2 0F 10 4C 24 30 48 89 5C 24 28 0F 10 44 24 20 B0 01 0F 11 07 F2 0F 11 4F 10 EB 15 E8 ?? ?? ?? ?? 84 C0 74 0A C7 44 24 20 08 00 00 00 EB D1 32 C0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_604_92_0 {
	meta:
		name = "?GetRealizedChoreWithinGroup@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@2@Z"
		size = 206
		refs = "0041 ?SkipSegmentSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@0W4SearchAffinity@123@_N@Z 0056 ?GetRealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 78 18 41 54 41 56 41 57 48 83 EC 30 49 8B 98 A8 01 00 00 44 8A 64 24 78 49 8B E8 45 8A F1 44 8B 4C 24 70 4C 8B FA 45 33 C0 48 8B D5 44 88 60 D8 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 19 45 8A CE 4C 8B C5 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 52 83 7C 24 70 00 74 06 48 8B 5B 18 EB 04 48 8B 5B 20 48 85 DB 74 3A 44 8B 4C 24 70 4C 8B C5 48 8B D3 48 8B CF 44 88 64 24 20 E8 ?? ?? ?? ?? 84 C0 75 15 45 8A CE 4C 8B C3 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 B5 48 8B 9B B0 01 00 00 EB C1 32 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 7C 24 60 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_604_93_0 {
	meta:
		name = "?GetRunnableContext@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@@Z"
		size = 60
		refs = "0020 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 49 8B 00 49 8B C8 48 8B DA FF 50 18 48 85 C0 74 1F 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 03 F2 0F 10 48 10 B0 01 F2 0F 11 4B 10 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_604_94_0 {
	meta:
		name = "?GetRunnableContextWithinGroup@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@W4SearchAffinity@123@_N@Z"
		size = 188
		refs = "003b ?SkipSegmentSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@0W4SearchAffinity@123@_N@Z 004d ?GetRunnableContext@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 56 41 57 48 83 EC 30 49 8B 98 A8 01 00 00 44 8A 7C 24 70 49 8B E8 4C 8B F2 45 33 C0 48 8B D5 44 88 78 D8 41 8B F1 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 16 4C 8B C5 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 4A 85 F6 74 06 48 8B 5B 18 EB 04 48 8B 5B 20 48 85 DB 74 35 44 8B CE 4C 8B C5 48 8B D3 48 8B CF 44 88 7C 24 20 E8 ?? ?? ?? ?? 84 C0 75 12 4C 8B C3 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 BD 48 8B 9B B0 01 00 00 EB C6 32 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_604_99_0 {
	meta:
		name = "?GetUnrealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N2@Z"
		size = 119
		refs = "0025 ?StealUnrealizedChore@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAV_UnrealizedChore@23@_N@Z 0053 ?LocateUnrealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 40 80 7D 30 00 49 8B D8 48 8B FA 48 8B CB 74 31 41 8A D1 E8 ?? ?? ?? ?? 48 85 C0 74 37 C7 45 E0 04 00 00 00 48 89 45 F0 F2 0F 10 4D F0 48 89 5D E8 0F 10 45 E0 B0 01 0F 11 07 F2 0F 11 4F 10 EB 15 E8 ?? ?? ?? ?? 48 85 C0 74 09 C7 45 E0 10 00 00 00 EB D0 32 C0 48 8B 5C 24 50 48 8B 7C 24 58 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_604_100_0 {
	meta:
		name = "?GetUnrealizedChoreWithinGroup@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@2@Z"
		size = 216
		refs = "0041 ?SkipSegmentSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@0W4SearchAffinity@123@_N@Z 005b ?GetUnrealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N2@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 41 54 41 56 41 57 48 83 EC 30 49 8B 98 A8 01 00 00 40 8A 74 24 78 4D 8B F0 45 8A F9 44 8B 4C 24 70 4C 8B E2 45 33 C0 49 8B D6 40 88 70 D8 48 8B F9 E8 ?? ?? ?? ?? 84 C0 75 1E 44 8A CE 4D 8B C6 49 8B D4 48 8B CF 44 88 7C 24 20 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 57 83 7C 24 70 00 74 06 48 8B 5B 18 EB 04 48 8B 5B 20 48 85 DB 74 3F 44 8B 4C 24 70 4D 8B C6 48 8B D3 48 8B CF 40 88 74 24 20 E8 ?? ?? ?? ?? 84 C0 75 1A 44 8A CE 4C 8B C3 49 8B D4 48 8B CF 44 88 7C 24 20 E8 ?? ?? ?? ?? 84 C0 75 B0 48 8B 9B B0 01 00 00 EB BC 32 C0 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_604_101_0 {
	meta:
		name = "?Grow@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@AEAAPEAUSegment@123@PEAU4123@@Z"
		size = 97
		refs = "0020 ??2@YAPEAX_K@Z 0049 ??0Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@23@AEBVQuickBitSet@23@II@Z"
	strings:
		$1 = { 40 57 48 83 EC 40 48 C7 44 24 30 FE FF FF FF 48 89 5C 24 58 48 8B FA 48 8B D9 B9 50 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 50 33 C0 48 85 C9 74 1B 44 8B 4B 18 8B 57 20 41 03 D1 4C 8D 43 08 89 54 24 20 48 8B 13 E8 ?? ?? ?? ?? 90 48 89 43 20 48 89 47 28 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_604_105_0 {
	meta:
		name = "?InternalRelease@ScheduleGroupBase@details@Concurrency@@IEAAJXZ"
		size = 66
		refs = "002d ?RemoveScheduleGroup@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F6 41 50 04 48 8B D9 75 22 83 CF FF F0 0F C1 79 28 FF CF 75 12 48 8B 11 FF 52 38 48 8B 4B 08 48 8B D3 E8 ?? ?? ?? ?? 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_107_0 {
	meta:
		name = "?Invoke@WorkItem@details@Concurrency@@QEAAXXZ"
		size = 74
		refs = "0028 ?Invoke@RealizedChore@details@Concurrency@@QEAAXXZ 0040 ?ReleaseRealizedChore@SchedulerBase@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 39 02 48 8B D9 74 15 83 39 04 75 31 48 8B 41 10 48 8B C8 48 83 C4 20 5B 48 FF 60 18 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 43 08 48 8B 53 10 48 8B 88 A8 01 00 00 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_604_112_0 {
	meta:
		name = "?LocateMailboxSegment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@AEAAPEAUSegment@123@I_N@Z"
		size = 181
		refs = "002e ?DemandInitialize@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@AEAAXXZ 0060 ??2@YAPEAX_K@Z 0086 ??0Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@23@AEBVQuickBitSet@23@II@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 40 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 8A F8 8B EA 48 8B D9 48 8B 41 28 48 85 C0 75 05 E8 ?? ?? ?? ?? 40 84 FF 74 06 48 8B 4B 20 EB 04 48 8B 4B 28 48 8D 71 20 8B 43 18 03 06 3B E8 72 4F 48 8D 79 28 48 8B 0F 48 85 C9 75 E7 B9 50 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 21 44 8B 4B 18 8B 0E 41 03 C9 4C 8D 43 08 89 4C 24 20 48 8B 13 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 EB 02 33 C9 48 89 4B 20 48 89 0F 48 85 C9 75 A4 48 8B C1 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_604_117_0 {
	meta:
		name = "?PeriodicScan@SchedulerBase@details@Concurrency@@QEAAX_K@Z"
		size = 36
		refs = "001b ?PerformServiceScan@SchedulerBase@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 81 88 02 00 00 4C 8B C2 4C 2B C0 49 81 F8 D0 07 00 00 76 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_604_118_0 {
	meta:
		name = "?Pop@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 163
		refs = "008b ?StaticDelete@Segment@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0090 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 83 EC 28 44 8B 41 04 48 63 51 08 48 8B 41 10 41 FF C8 45 33 C9 4D 63 D0 44 89 41 04 49 23 D2 4C 87 0C D0 4D 85 C9 75 07 41 8D 40 01 89 41 04 41 F6 C1 01 74 65 4C 63 41 08 49 83 E1 FE 4D 23 C2 49 C1 E0 04 4C 03 41 18 49 8B 00 41 8B 50 08 48 8B 48 18 4C 8B 14 D1 49 83 FA 01 74 19 49 8B 00 41 8B 50 08 48 8B 48 18 B8 01 00 00 00 48 87 04 D1 49 3B C2 74 24 4D 8B 00 F0 41 FF 48 24 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 EB 03 49 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1236_165_0 {
	meta:
		name = "?Pop@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ"
		size = 163
		refs = "008b ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0090 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 83 EC 28 44 8B 41 04 48 63 51 08 48 8B 41 10 41 FF C8 45 33 C9 4D 63 D0 44 89 41 04 49 23 D2 4C 87 0C D0 4D 85 C9 75 07 41 8D 40 01 89 41 04 41 F6 C1 01 74 65 4C 63 41 08 49 83 E1 FE 4D 23 C2 49 C1 E0 04 4C 03 41 18 49 8B 00 41 8B 50 08 48 8B 48 18 4C 8B 14 D1 49 83 FA 01 74 19 49 8B 00 41 8B 50 08 48 8B 48 18 B8 01 00 00 00 48 87 04 D1 49 3B C2 74 24 4D 8B 00 F0 41 FF 48 24 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 EB 03 49 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_604_119_0 {
	meta:
		name = "?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z"
		size = 60
		refs = "0020 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 09 48 8B DA 48 8B 01 FF 50 10 48 85 C0 74 1F 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 03 F2 0F 10 48 10 B0 01 F2 0F 11 4B 10 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_604_120_0 {
	meta:
		name = "?QuickSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@PEAVWorkItem@23@_NK@Z"
		size = 163
		refs = "0035 ?GetRunnableContext@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@@Z 0056 ?GetRealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N@Z 007a ?GetUnrealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N2@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 8B 5C 24 60 45 8A F1 49 8B F8 48 8B F2 48 8B E9 F6 C3 01 74 0F 4C 8B C2 48 8B D7 E8 ?? ?? ?? ?? 84 C0 75 45 F6 C3 0A 74 1C 44 8B CB 4C 8B C6 48 8B D7 41 D1 E9 48 8B CD 41 80 E1 01 E8 ?? ?? ?? ?? 84 C0 75 24 F6 C3 14 74 23 C1 EB 02 45 8A CE 4C 8B C6 80 E3 01 48 8B D7 48 8B CD 88 5C 24 20 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 02 32 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_604_121_0 {
	meta:
		name = "?QuickSearchYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@PEAVWorkItem@23@_NK@Z"
		size = 143
		refs = "0033 ?GetUnrealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N2@Z 0058 ?GetRealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N@Z 0071 ?GetRunnableContext@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@@Z"
	strings:
		$1 = { 48 89 6C 24 08 48 89 74 24 10 57 48 83 EC 30 F6 44 24 60 14 49 8B F8 48 8B F2 48 8B E9 74 1C 8B 44 24 60 4C 8B C2 48 8B D7 C1 E8 02 24 01 88 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 3E F6 44 24 60 0A 74 1E 44 8B 4C 24 60 4C 8B C6 48 8B D7 41 D1 E9 48 8B CD 41 80 E1 01 E8 ?? ?? ?? ?? 84 C0 75 19 F6 44 24 60 01 74 16 4C 8B C6 48 8B D7 48 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 02 32 C0 48 8B 6C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_604_123_0 {
	meta:
		name = "?Reset@WorkSearchContext@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@W4Algorithm@123@@Z"
		size = 113
		refs = "002c ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ 003f ?SearchFair@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NK@Z 004a ?SearchFairYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NK@Z 0053 ?SearchCacheLocal@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NK@Z 005e ?SearchCacheLocalYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NK@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 61 14 00 48 89 11 8B 82 D4 00 00 00 89 41 10 48 8B 42 78 41 8B D8 48 8B 10 48 8B F9 48 89 51 08 E8 ?? ?? ?? ?? 48 89 47 20 48 89 47 18 FF CB 74 14 48 8D 05 ?? ?? ?? ?? 48 89 47 28 48 8D 05 ?? ?? ?? ?? EB 12 48 8D 05 ?? ?? ?? ?? 48 89 47 28 48 8D 05 ?? ?? ?? ?? 48 89 47 30 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_125_0 {
	meta:
		name = "?ResolveToken@WorkItem@details@Concurrency@@QEAA_NXZ"
		size = 156
		refs = "0034 ?Dequeue@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA_NPEAPEAV_UnrealizedChore@23@@Z 004a ?_SetDetached@_UnrealizedChore@details@Concurrency@@QEAAX_N@Z 005d ?Steal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_N@Z 0073 ?GetRealizedChore@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVRealizedChore@23@XZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 83 39 08 48 8B D9 74 57 83 39 10 75 6A 48 8B 49 10 48 83 F9 01 75 34 48 8B 4B 08 48 8D 54 24 30 48 83 C1 60 E8 ?? ?? ?? ?? F6 D8 48 1B F6 48 23 74 24 30 74 42 B2 01 48 8B CE E8 ?? ?? ?? ?? 48 89 73 10 C7 03 04 00 00 00 EB 2C 33 D2 E8 ?? ?? ?? ?? 48 85 C0 74 20 C7 03 04 00 00 00 EB 14 48 8B 49 08 E8 ?? ?? ?? ?? 48 85 C0 74 0A C7 03 02 00 00 00 48 89 43 10 F6 03 18 48 8B 74 24 40 48 8B 5C 24 38 0F 94 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_127_0 {
	meta:
		name = "?SearchCacheLocal@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NK@Z"
		size = 1056
		refs = "001c __security_cookie 0042 ?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z 0053 ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ 007c ?PerformServiceScan@SchedulerBase@details@Concurrency@@AEAAX_K@Z 00b7 ?GetNextPriorityObject@SchedulerBase@details@Concurrency@@QEAAPEAUBoostedObject@23@XZ 00da ?QuickSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@PEAVWorkItem@23@_NK@Z 00f1 ?StealLocalRunnableContext@VirtualProcessor@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ 0108 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z 0158 ?CheckAffinityNotification@VirtualProcessor@details@Concurrency@@QEAA_NXZ 021f ?GetLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVVirtualProcessor@23@_N@Z 0261 ?SearchCacheLocal_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z 02a4 ?SearchCacheLocal_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z 02e8 ?SearchCacheLocal_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z 0311 ?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z 032d ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 03e0 ?_FastVPIntersects@location@Concurrency@@QEBA_NAEBV12@@Z 03f9 ?UpdateWorkState@VirtualProcessor@details@Concurrency@@QEAAX_N0@Z 0408 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E9 48 81 EC C8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 33 DB 45 8A E9 44 88 4D 8F 4C 89 45 CF 4C 8B E2 48 89 55 97 44 8A F3 48 8B F9 E8 ?? ?? ?? ?? 84 C0 74 08 8D 43 01 E9 AE 03 00 00 E8 ?? ?? ?? ?? 4C 8B 47 08 48 8B D0 48 89 47 18 49 8B 80 88 02 00 00 48 8B CA 48 2B C8 48 81 F9 D0 07 00 00 76 08 49 8B C8 E8 ?? ?? ?? ?? 48 8B 4F 18 44 8B 7D 7F BE 01 00 00 00 48 8B C1 48 2B 47 20 48 3D E8 03 00 00 0F 97 C0 84 C0 0F 84 88 00 00 00 48 89 4F 20 48 8B 4F 08 48 39 99 F8 01 00 00 74 6D E8 ?? ?? ?? ?? 48 85 C0 74 63 39 18 75 20 48 8D 90 40 FE FF FF 45 8A CD 4D 8B C4 48 8B CF 44 89 7C 24 20 E8 ?? ?? ?? ?? 84 C0 75 3E EB 16 44 84 FE 74 11 48 8D 88 B8 FE FF FF E8 ?? ?? ?? ?? 48 85 C0 75 06 48 8B 4F 08 EB B6 48 8D 4D D7 48 8B D0 E8 ?? ?? ?? ?? 0F 10 00 41 0F 11 04 24 F2 0F 10 48 10 F2 41 0F 11 4C 24 10 44 8A F6 48 8B 07 40 88 B0 9A 00 00 00 48 8B 0F 4C 8B A9 80 00 00 00 4C 89 6D AF 45 84 F6 0F 85 2A 02 00 00 48 89 75 EF C7 45 F7 02 00 00 00 38 99 98 00 00 00 75 16 E8 ?? ?? ?? ?? 44 8A 5D 8F 84 C0 75 0D 45 84 DB 75 08 8B C6 EB 06 44 8A 5D 8F 8B C3 44 8A D6 40 88 75 90 4C 63 E8 49 83 FD 02 0F 8F DA 01 00 00 48 8B 45 CF 48 89 45 A7 48 8B 45 AF 48 89 45 9F 48 85 C0 0F 84 B1 01 00 00 44 8B 47 10 4C 8B 4F 08 49 8B 81 A0 00 00 00 41 C1 E0 04 4A 8B 0C C0 48 3B CE 76 25 49 8B 81 A0 00 00 00 4A 8B 14 C0 48 3B D6 76 15 49 8B 89 A0 00 00 00 48 8B C2 F0 4A 0F B1 34 C1 48 3B D0 74 03 48 8B D3 48 85 D2 74 1F 45 8A CB 4D 8B C4 48 8B CF 44 89 7C 24 20 E8 ?? ?? ?? ?? 44 8A 55 90 84 C0 0F 85 46 01 00 00 45 84 D2 74 22 44 84 FE 74 1D 4C 8B 07 45 33 C9 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1F 01 00 00 44 8A 55 90 45 8B E7 44 23 E6 74 36 8A 45 8F 4C 8B 4D A7 4C 8B 45 9F 48 8B 55 97 88 44 24 38 42 8B 44 AD EF 44 89 7C 24 30 89 44 24 28 48 8B CF 44 88 54 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 D9 00 00 00 41 F6 C7 0A 74 3D 8A 4D 8F 4C 8B 4D A7 4C 8B 45 9F 48 8B 55 97 88 4C 24 38 42 8B 4C AD EF 41 8B C7 44 89 7C 24 30 89 4C 24 28 D1 E8 48 8B CF 40 22 C6 88 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 41 F6 C7 14 74 3A 8A 4D 8F 4C 8B 4D A7 4C 8B 45 9F 48 8B 55 97 88 4C 24 38 42 8B 4C AD EF 41 8B C7 44 89 7C 24 30 89 4C 24 28 C1 E8 02 48 8B CF 40 22 C6 88 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 56 45 85 E4 4C 8B 65 97 74 20 49 83 FD 02 75 1A 48 8B 45 9F 4C 8B 0F 49 8B D4 4C 8B 40 08 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 31 4C 8B 45 9F 48 8B 55 AF 48 8B 4F 08 88 5D 90 48 89 5D A7 E8 ?? ?? ?? ?? 48 89 45 9F 44 8A D3 48 85 C0 74 14 44 8A 5D 8F E9 5A FE FF FF 4C 8B 65 97 44 8A 55 90 44 8A F6 44 8A 5D 8F 4C 03 EE 45 84 F6 0F 84 1C FE FF FF 45 84 F6 0F 84 93 00 00 00 4C 8B 6D AF 49 8B 4C 24 08 48 8B 57 18 4C 8B 79 10 8B C2 2B 81 B8 01 00 00 83 F8 64 76 07 48 89 91 B8 01 00 00 48 8D 51 18 41 B9 FF FF FF 0F 44 85 0A 74 4E 8B 4D B7 4C 8B 07 8B C1 49 81 C0 D8 00 00 00 41 33 00 41 23 C1 33 C8 89 4D B7 41 33 08 41 23 C9 41 33 08 89 4D B7 49 8B 40 08 48 8D 4D B7 48 89 45 BF 41 8B 40 04 89 45 BB 49 8B 40 10 48 89 45 C7 E8 ?? ?? ?? ?? 0F B6 DB 84 C0 0F 45 DE 48 8B 0F 4D 3B FD 8A D3 41 0F 94 C0 E8 ?? ?? ?? ?? 41 8A C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_604_128_0 {
	meta:
		name = "?SearchCacheLocalYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NK@Z"
		size = 844
		refs = "0017 __security_cookie 0040 ?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z 0050 ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ 0079 ?PerformServiceScan@SchedulerBase@details@Concurrency@@AEAAX_K@Z 00b4 ?GetNextPriorityObject@SchedulerBase@details@Concurrency@@QEAAPEAUBoostedObject@23@XZ 00d8 ?QuickSearchYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@PEAVWorkItem@23@_NK@Z 00f0 ?StealLocalRunnableContext@VirtualProcessor@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ 0108 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z 0163 ?CheckAffinityNotification@VirtualProcessor@details@Concurrency@@QEAA_NXZ 01d3 ?SearchCacheLocal_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z 0212 ?SearchCacheLocal_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z 0251 ?SearchCacheLocal_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z 0272 ?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z 0293 ?GetLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVVirtualProcessor@23@_N@Z 02b3 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 0321 ?UpdateWorkState@VirtualProcessor@details@Concurrency@@QEAAX_N0@Z 0334 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 98 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 88 00 00 00 41 8A E9 44 88 4C 24 40 4D 8B E0 4C 89 44 24 58 48 8B F2 48 8B D9 40 32 FF E8 ?? ?? ?? ?? 84 C0 74 07 B0 01 E9 D9 02 00 00 E8 ?? ?? ?? ?? 4C 8B 43 08 48 8B D0 48 89 43 18 49 8B 80 88 02 00 00 48 8B CA 48 2B C8 48 81 F9 D0 07 00 00 76 08 49 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 18 44 8B BC 24 00 01 00 00 48 8B C1 48 2B 43 20 48 3D E8 03 00 00 0F 97 C0 84 C0 0F 84 88 00 00 00 48 89 4B 20 48 8B 4B 08 48 83 B9 F8 01 00 00 00 74 6C E8 ?? ?? ?? ?? 48 85 C0 74 62 83 38 00 75 20 48 8D 90 40 FE FF FF 44 8A CD 4C 8B C6 48 8B CB 44 89 7C 24 20 E8 ?? ?? ?? ?? 84 C0 75 3C EB 17 41 F6 C7 01 74 11 48 8D 88 B8 FE FF FF E8 ?? ?? ?? ?? 48 85 C0 75 06 48 8B 4B 08 EB B4 48 8D 4C 24 60 48 8B D0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 06 F2 0F 10 48 10 F2 0F 11 4E 10 40 B7 01 48 8B 03 C6 80 9A 00 00 00 01 48 8B 0B 4C 8B B1 80 00 00 00 4C 89 74 24 48 40 84 FF 0F 85 A9 01 00 00 83 64 24 7C 00 C7 44 24 78 01 00 00 00 C7 84 24 80 00 00 00 02 00 00 00 40 38 B9 98 00 00 00 75 15 E8 ?? ?? ?? ?? 84 C0 75 0C 40 84 ED 75 07 B8 01 00 00 00 EB 02 33 C0 C6 44 24 41 01 48 63 E8 48 83 FD 02 0F 8F 5A 01 00 00 8B 4C AC 78 4D 8B EE 4D 85 F6 0F 84 39 01 00 00 41 8B C7 83 E0 14 89 44 24 50 85 C0 74 3A 8A 54 24 40 41 8B C7 4D 8B CC 88 54 24 38 C1 E8 02 44 89 7C 24 30 89 4C 24 28 24 01 4D 8B C5 48 8B CB 48 8B D6 88 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 F2 00 00 00 8B 4C AC 78 41 F6 C7 0A 74 35 8A 54 24 40 41 8B C7 4D 8B CC 88 54 24 38 D1 E8 44 89 7C 24 30 89 4C 24 28 24 01 4D 8B C5 48 8B CB 48 8B D6 88 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 B3 00 00 00 45 8B F7 41 83 E6 01 74 32 8A 44 24 40 4D 8B CC 4D 8B C5 88 44 24 38 8B 44 AC 78 44 89 7C 24 30 89 44 24 28 8A 44 24 41 48 8B D6 48 8B CB 88 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 73 45 85 F6 74 1C 48 83 FD 02 75 16 4C 8B 0B 4D 8B 45 08 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 52 80 7C 24 41 00 74 1A 45 85 F6 74 15 4C 8B 03 41 B1 01 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 31 4C 8B 74 24 48 48 8B 4B 08 4D 8B C5 49 8B D6 C6 44 24 41 00 45 33 E4 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 74 15 8B 44 24 50 8B 4C AC 78 E9 D9 FE FF FF 4C 8B 74 24 48 40 B7 01 4C 8B 64 24 58 48 FF C5 40 84 FF 0F 84 9C FE FF FF 40 84 FF 74 3B 4C 8B 43 18 48 8B 56 08 41 8B C0 2B 82 B8 01 00 00 83 F8 64 76 07 4C 89 82 B8 01 00 00 4C 39 72 10 48 8B 56 08 48 8B 0B 41 0F 94 C0 F7 42 18 FF FF FF 0F 0F 94 C2 E8 ?? ?? ?? ?? 40 8A C7 48 8B 8C 24 88 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_604_129_0 {
	meta:
		name = "?SearchCacheLocal_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z"
		size = 450
		refs = "004f ?GetRealizedChoreWithinGroup@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@2@Z 0071 ?GetPseudoRRNonAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 0078 ?GetPseudoRRAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 00f5 ?QuickSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@PEAVWorkItem@23@_NK@Z 0113 ?SkipSegmentSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@0W4SearchAffinity@123@_N@Z 012d ?GetRealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N@Z 0155 ?GetNextScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 44 8A AC 24 A8 00 00 00 8B AC 24 98 00 00 00 4D 8B F9 49 8B D8 4C 8B E2 4C 8B F1 4D 85 C9 74 25 44 8A 8C 24 90 00 00 00 44 88 68 C0 4D 8B C7 89 68 B8 E8 ?? ?? ?? ?? 84 C0 74 0A B8 01 00 00 00 E9 06 01 00 00 48 8D 94 24 88 00 00 00 48 8B CB 85 ED 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B F0 8B 84 24 88 00 00 00 89 44 24 30 48 85 F6 0F 84 D2 00 00 00 BF 01 00 00 00 45 8B 46 10 4D 8B 4E 08 49 8B 81 A0 00 00 00 41 C1 E0 04 4A 8B 0C C0 48 3B CF 76 25 49 8B 81 A0 00 00 00 4A 8B 14 C0 48 3B D7 76 15 49 8B 89 A0 00 00 00 48 8B C2 F0 4A 0F B1 3C C1 48 3B D0 74 02 33 D2 48 85 D2 74 21 8B 84 24 A0 00 00 00 45 8A CD 4D 8B C4 49 8B CE 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 84 00 00 00 44 8B CD 4D 8B C7 48 8B D6 49 8B CE 44 88 6C 24 20 E8 ?? ?? ?? ?? 84 C0 75 1A 44 8A 8C 24 90 00 00 00 4C 8B C6 49 8B D4 49 8B CE E8 ?? ?? ?? ?? 84 C0 75 55 44 8B 44 24 30 48 8D 94 24 88 00 00 00 48 8B CB 4C 8D 8B A0 00 00 00 85 ED 74 04 4C 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 85 33 FF FF FF 32 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 40 8A C7 EB DD 85 ED 75 1A 8B 8B 10 01 00 00 8B 84 24 88 00 00 00 FF C0 99 F7 F9 89 93 24 01 00 00 EB DD 8B 8B 90 00 00 00 8B 84 24 88 00 00 00 FF C0 99 F7 F9 89 93 20 01 00 00 EB C3 }
	condition:
		$1
}

rule file_604_130_0 {
	meta:
		name = "?SearchCacheLocal_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z"
		size = 476
		refs = "0041 ?GetRunnableContextWithinGroup@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@W4SearchAffinity@123@_N@Z 006b ?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z 0089 ?GetPseudoRRNonAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 0090 ?GetPseudoRRAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 010d ?QuickSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@PEAVWorkItem@23@_NK@Z 0130 ?SkipSegmentSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@0W4SearchAffinity@123@_N@Z 0142 ?GetRunnableContext@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@@Z 0170 ?GetNextScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 41 54 41 55 41 56 41 57 48 83 EC 40 44 8A AC 24 A8 00 00 00 4D 8B E1 49 8B F8 4C 8B FA 4C 8B F1 4D 85 C9 74 23 44 8B 8C 24 98 00 00 00 4D 8B C4 44 88 6C 24 20 E8 ?? ?? ?? ?? 84 C0 74 0A B8 01 00 00 00 E9 2F 01 00 00 80 BC 24 90 00 00 00 00 74 16 4D 8B 0E 49 8B D7 49 8B CE 4D 8B 41 78 E8 ?? ?? ?? ?? 84 C0 75 D6 83 BC 24 98 00 00 00 00 48 8D 94 24 88 00 00 00 48 8B CF 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B F0 8B 84 24 88 00 00 00 89 44 24 30 48 85 F6 0F 84 D5 00 00 00 BB 01 00 00 00 45 8B 46 10 4D 8B 4E 08 49 8B 81 A0 00 00 00 41 C1 E0 04 4A 8B 0C C0 48 3B CB 76 25 49 8B 81 A0 00 00 00 4A 8B 14 C0 48 3B D3 76 15 49 8B 89 A0 00 00 00 48 8B C2 F0 4A 0F B1 1C C1 48 3B D0 74 02 33 D2 48 85 D2 74 21 8B 84 24 A0 00 00 00 45 8A CD 4D 8B C7 49 8B CE 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 81 00 00 00 44 8B 8C 24 98 00 00 00 4D 8B C4 48 8B D6 49 8B CE 44 88 6C 24 20 E8 ?? ?? ?? ?? 84 C0 75 12 4C 8B C6 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 75 54 83 BC 24 98 00 00 00 00 44 8B 44 24 30 48 8D 94 24 88 00 00 00 48 8B CF 4C 8D 8F A0 00 00 00 74 04 4C 8D 4F 20 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 85 30 FF FF FF 32 C0 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F C3 8A C3 EB E4 83 BC 24 98 00 00 00 00 75 1A 8B 8F 10 01 00 00 8B 84 24 88 00 00 00 FF C0 99 F7 F9 89 97 24 01 00 00 EB D8 8B 8F 90 00 00 00 8B 84 24 88 00 00 00 FF C0 99 F7 F9 89 97 20 01 00 00 EB BE }
	condition:
		$1
}

rule file_604_131_0 {
	meta:
		name = "?SearchCacheLocal_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@K3@Z"
		size = 456
		refs = "004f ?GetUnrealizedChoreWithinGroup@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NW4SearchAffinity@123@2@Z 0071 ?GetPseudoRRNonAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 0078 ?GetPseudoRRAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 00f5 ?QuickSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@PEAVWorkItem@23@_NK@Z 0113 ?SkipSegmentSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@0W4SearchAffinity@123@_N@Z 0133 ?GetUnrealizedChore@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N2@Z 015b ?GetNextScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 44 8A BC 24 A8 00 00 00 8B AC 24 98 00 00 00 4D 8B E1 49 8B D8 4C 8B EA 4C 8B F1 4D 85 C9 74 25 44 8A 8C 24 90 00 00 00 44 88 78 C0 4D 8B C4 89 68 B8 E8 ?? ?? ?? ?? 84 C0 74 0A B8 01 00 00 00 E9 0C 01 00 00 48 8D 94 24 88 00 00 00 48 8B CB 85 ED 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B F0 8B 84 24 88 00 00 00 89 44 24 30 48 85 F6 0F 84 D8 00 00 00 BF 01 00 00 00 45 8B 46 10 4D 8B 4E 08 49 8B 81 A0 00 00 00 41 C1 E0 04 4A 8B 0C C0 48 3B CF 76 25 49 8B 81 A0 00 00 00 4A 8B 14 C0 48 3B D7 76 15 49 8B 89 A0 00 00 00 48 8B C2 F0 4A 0F B1 3C C1 48 3B D0 74 02 33 D2 48 85 D2 74 21 8B 84 24 A0 00 00 00 45 8A CF 4D 8B C5 49 8B CE 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 8A 00 00 00 44 8B CD 4D 8B C4 48 8B D6 49 8B CE 44 88 7C 24 20 E8 ?? ?? ?? ?? 84 C0 75 20 8A 84 24 90 00 00 00 45 8A CF 4C 8B C6 49 8B D5 49 8B CE 88 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 55 44 8B 44 24 30 48 8D 94 24 88 00 00 00 48 8B CB 4C 8D 8B A0 00 00 00 85 ED 74 04 4C 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 85 2D FF FF FF 32 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 40 8A C7 EB DD 85 ED 75 1A 8B 8B 10 01 00 00 8B 84 24 88 00 00 00 FF C0 99 F7 F9 89 93 24 01 00 00 EB DD 8B 8B 90 00 00 00 8B 84 24 88 00 00 00 FF C0 99 F7 F9 89 93 20 01 00 00 EB C3 }
	condition:
		$1
}

rule file_604_132_0 {
	meta:
		name = "?SearchFair@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NK@Z"
		size = 332
		refs = "0027 ?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z 003b ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 0052 ?SearchFair_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z 006c ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 0086 ?StealForeignLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@@Z 00ba ?SearchFair_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@_N@Z 00fe ?SearchFair_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@_N@Z 0126 ?SetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAXPEAVSchedulingRing@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4C 8B E2 48 8B D9 40 32 F6 E8 ?? ?? ?? ?? 84 C0 74 07 B0 01 E9 F7 00 00 00 48 8B 4B 08 E8 ?? ?? ?? ?? 8B 6C 24 60 48 8B F8 40 F6 C5 01 74 49 EB 22 4D 8B C6 E8 ?? ?? ?? ?? 48 8B 4B 08 40 8A F0 84 C0 0F 85 BD 00 00 00 4D 8B C6 48 8B D7 E8 ?? ?? ?? ?? 4C 8B F0 49 8B D4 48 8B CB 48 85 C0 75 D0 48 8B 03 4C 8B 40 78 E8 ?? ?? ?? ?? 40 8A F0 84 C0 0F 85 95 00 00 00 40 F6 C5 0A 74 41 4C 8B F7 48 85 FF 74 39 44 8B FD 41 D1 EF 45 8A CF 4D 8B C6 49 8B D4 41 80 E1 01 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 40 8A F0 84 C0 75 59 4D 8B C6 48 8B D7 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 CD 40 F6 C5 14 74 48 4C 8B F7 48 85 FF 74 40 C1 ED 02 44 8A CD 4D 8B C6 49 8B D4 41 80 E1 01 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 40 8A F0 84 C0 75 15 4D 8B C6 48 8B D7 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 CD EB 08 49 8B D6 E8 ?? ?? ?? ?? 40 8A C6 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_604_133_0 {
	meta:
		name = "?SearchFairYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_NK@Z"
		size = 349
		refs = "0027 ?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z 003b ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 006c ?SearchFair_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@_N@Z 0086 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 00b7 ?SearchFair_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@_N@Z 00f5 ?SearchFair_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z 0125 ?StealForeignLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@@Z 0157 ?SetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAXPEAVSchedulingRing@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4C 8B E2 48 8B D9 40 32 ED E8 ?? ?? ?? ?? 84 C0 74 07 B0 01 E9 F9 00 00 00 48 8B 4B 08 E8 ?? ?? ?? ?? 8B 74 24 60 48 8B F8 40 F6 C6 14 74 46 4C 8B F0 48 85 C0 74 3E 44 8B FE 41 C1 EF 02 45 8A CF 4D 8B C6 49 8B D4 41 80 E1 01 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 40 8A E8 84 C0 0F 85 CF 00 00 00 4D 8B C6 48 8B D7 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 C9 40 F6 C6 0A 74 45 4C 8B F7 48 85 FF 74 3D 44 8B FE 41 D1 EF 45 8A CF 4D 8B C6 49 8B D4 41 80 E1 01 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 40 8A E8 84 C0 0F 85 84 00 00 00 4D 8B C6 48 8B D7 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 C9 40 F6 C6 01 74 49 48 8B F7 48 85 FF 74 2C 4C 8B C6 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 40 8A E8 84 C0 75 4F 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 D4 48 8B 03 49 8B D4 48 8B CB 4C 8B 40 78 E8 ?? ?? ?? ?? 40 8A E8 40 8A C5 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 49 8B D6 EB 03 48 8B D6 E8 ?? ?? ?? ?? EB CF }
	condition:
		$1
}

rule file_604_134_0 {
	meta:
		name = "?SearchFair_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@_N@Z"
		size = 206
		refs = "002c ?GetPseudoRRNonAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 0045 ?GetRealizedChore@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVRealizedChore@23@XZ 008a ?HasRealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEBA_NXZ 00a4 ?GetNextScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 40 48 8B F2 48 8D 55 E0 49 8B C8 45 8A F1 49 8B F8 E8 ?? ?? ?? ?? 44 8B 7D E0 48 8B D8 48 85 C0 74 77 48 8B C8 45 84 F6 74 45 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 41 C7 45 E8 02 00 00 00 48 89 45 F8 8B 8F 10 01 00 00 8B 45 E0 F2 0F 10 4D F8 FF C0 48 89 5D F0 99 0F 10 45 E8 F7 F9 B0 01 89 97 24 01 00 00 0F 11 06 F2 0F 11 4E 10 EB 2C E8 ?? ?? ?? ?? 84 C0 75 18 4C 8D 8F A0 00 00 00 48 8D 55 E0 45 8B C7 48 8B CF E8 ?? ?? ?? ?? EB 8A C7 45 E8 08 00 00 00 EB A9 32 C0 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_604_135_0 {
	meta:
		name = "?SearchFair_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z"
		size = 156
		refs = "001e ?GetPseudoRRNonAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 004d ?GetNextScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z 0084 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B F2 48 8D 54 24 68 49 8B C8 49 8B D8 E8 ?? ?? ?? ?? 8B 7C 24 68 EB 29 4C 8B 00 48 8B C8 41 FF 50 18 4C 8B C0 48 85 C0 75 2C 4C 8D 8B A0 00 00 00 48 8D 54 24 68 44 8B C7 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 75 D2 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 8B 8B 10 01 00 00 8B 44 24 68 FF C0 99 F7 F9 48 8D 4C 24 20 89 93 24 01 00 00 49 8B D0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 06 F2 0F 10 48 10 B0 01 F2 0F 11 4E 10 EB BA }
	condition:
		$1
}

rule file_604_136_0 {
	meta:
		name = "?SearchFair_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@_N@Z"
		size = 212
		refs = "002c ?GetPseudoRRNonAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z 0047 ?StealUnrealizedChore@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAV_UnrealizedChore@23@_N@Z 008c ?LocateUnrealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ 00aa ?GetNextScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 40 48 8B F2 48 8D 55 E0 49 8B C8 45 8A F1 49 8B F8 E8 ?? ?? ?? ?? 44 8B 7D E0 48 8B D8 48 85 C0 74 7D 48 8B C8 45 84 F6 74 47 33 D2 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 45 C7 45 E8 04 00 00 00 8B 8F 10 01 00 00 8B 45 E0 48 89 5D F0 0F 10 45 E8 FF C0 4C 89 45 F8 99 F2 0F 10 4D F8 F7 F9 B0 01 89 97 24 01 00 00 0F 11 06 F2 0F 11 4E 10 EB 30 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 18 4C 8D 8F A0 00 00 00 48 8D 55 E0 45 8B C7 48 8B CF E8 ?? ?? ?? ?? EB 84 C7 45 E8 10 00 00 00 EB A1 32 C0 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_604_137_0 {
	meta:
		name = "?ServiceMark@ScheduleGroupSegmentBase@details@Concurrency@@QEAAX_K@Z"
		size = 21
	strings:
		$1 = { 8B C2 2B 81 B8 01 00 00 83 F8 64 76 07 48 89 91 B8 01 00 00 C3 }
	condition:
		$1
}

rule file_604_138_0 {
	meta:
		name = "?ServiceMark@VirtualProcessor@details@Concurrency@@QEAAX_K@Z"
		size = 21
	strings:
		$1 = { 8B C2 2B 81 38 01 00 00 83 F8 64 76 07 48 89 91 38 01 00 00 C3 }
	condition:
		$1
}

rule file_604_139_0 {
	meta:
		name = "?SetDeletionReferences@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAAXI@Z"
		size = 42
		refs = "0018 ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0021 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B C1 8B C2 F0 0F C1 41 24 03 C2 75 13 4D 8B 08 48 8D 15 ?? ?? ?? ?? 48 83 C1 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_604_140_0 {
	meta:
		name = "?SetPseudoRRAffineScheduleGroupSegmentNext@SchedulingRing@details@Concurrency@@QEAAXH@Z"
		size = 21
	strings:
		$1 = { 44 8B 81 90 00 00 00 8D 42 01 99 41 F7 F8 89 91 20 01 00 00 C3 }
	condition:
		$1
}

rule file_604_141_0 {
	meta:
		name = "?SetPseudoRRNonAffineScheduleGroupSegmentNext@SchedulingRing@details@Concurrency@@QEAAXH@Z"
		size = 21
	strings:
		$1 = { 44 8B 81 10 01 00 00 8D 42 01 99 41 F7 F8 89 91 24 01 00 00 C3 }
	condition:
		$1
}

rule file_604_142_0 {
	meta:
		name = "?SkipSegmentSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVScheduleGroupSegmentBase@23@0W4SearchAffinity@123@_N@Z"
		size = 212
		refs = "0051 ?_FastVPIntersects@location@Concurrency@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B F1 49 3B D0 75 07 B0 01 E9 A3 00 00 00 33 DB 48 83 C2 18 45 85 C9 0F 84 89 00 00 00 41 FF C9 74 65 41 FF C9 0F 85 84 00 00 00 F7 02 FF FF FF 0F 74 6F 48 8B 09 48 81 C1 D8 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 5C 4C 8B 4E 08 8B C3 44 8B D3 45 8B 41 60 41 83 C0 1F 41 C1 E8 05 45 85 C0 74 4F 85 C0 75 1D 48 8B 47 38 49 8B 49 68 41 8B D2 8B 04 90 41 FF C2 23 04 91 45 3B D0 72 E3 85 C0 74 2E 38 5C 24 50 EB 19 F7 02 FF FF FF 0F 74 13 48 8B 09 48 81 C1 D8 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0D B3 01 EB 09 F7 02 FF FF FF 0F 0F 95 C3 8A C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_604_147_0 {
	meta:
		name = "?StealForeignLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@@Z"
		size = 213
		refs = "006f ?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 4C 8B 59 08 33 DB 45 33 C9 45 8B 53 44 49 8B E8 4C 8B F2 48 8B F1 45 85 D2 7E 24 41 8B C1 99 41 F7 FA 83 FA FF 74 18 49 8B 43 30 48 63 CA 4C 8B 04 C8 4D 85 C0 75 60 41 FF C1 45 3B CA 7C DC 45 33 C0 4D 85 C0 74 58 4C 3B C5 74 12 45 33 C9 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 3D 4C 8B 5E 08 45 33 C9 8D 7B 01 45 8B 53 44 45 85 D2 7E CE 41 8D 04 39 99 41 F7 FA 85 D2 74 22 49 8B 43 30 48 63 CA 4C 8B 04 C8 4D 85 C0 75 0A 41 FF C1 45 3B CA 7C DC EB A8 8B DA EB A7 B0 01 EB 02 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_604_148_0 {
	meta:
		name = "?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z"
		size = 195
		refs = "0032 ?FindVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@HHPEAH@Z 005c ?StealLocalRunnableContext@VirtualProcessor@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ 0098 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 48 83 EC 40 49 8B D8 45 8B 80 C0 00 00 00 48 8B FA 33 D2 49 8B F1 48 8B E9 4C 8D 4C 24 60 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 73 48 3B C6 74 25 48 8B 55 18 8B CA 2B 88 38 01 00 00 83 F9 64 76 07 48 89 90 38 01 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 75 2A 8B 54 24 60 FF C2 85 D2 7E 1B 44 8B 83 C0 00 00 00 4C 8D 4C 24 60 48 8B CB E8 ?? ?? ?? ?? 33 D2 48 85 C0 75 B1 45 33 C0 EB 9A 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 07 F2 0F 10 48 10 B0 01 F2 0F 11 4F 10 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_604_149_0 {
	meta:
		name = "?StealLocalRunnableContext@VirtualProcessor@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ"
		size = 98
		refs = "0035 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0040 ?UnlockedSteal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z 004b ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 33 F6 48 8D 79 18 8B 57 04 8B 07 3B D0 7E 27 48 8B 5F 20 48 89 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 8B F0 48 8B CB E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_604_153_0 {
	meta:
		name = "?TransferReferences@WorkItem@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 131
		refs = "0015 ?GetScheduleGroupSegment@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupSegmentBase@23@XZ 0057 ?RemoveScheduleGroup@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z 0074 ?SwapScheduleGroupSegment@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 48 8D 4A 10 48 8B FA E8 ?? ?? ?? ?? 83 3B 02 48 8B 53 08 48 8B C8 75 38 48 8B 98 A8 01 00 00 48 3B 9A A8 01 00 00 74 05 45 33 C0 EB 36 F6 43 50 04 75 38 F0 FF 4B 28 75 32 48 8B 03 48 8B CB FF 50 38 48 8B 4B 08 48 8B D3 E8 ?? ?? ?? ?? EB 1B 48 8B 82 A8 01 00 00 48 39 81 A8 01 00 00 74 0B 41 B0 01 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_605_11_0 {
	meta:
		name = "??0VirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
		size = 89
		refs = "000d ??_7VirtualProcessorRoot@details@Concurrency@@6B@ 0024 ??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z 003e ?s_currentId@VirtualProcessorRoot@details@Concurrency@@0JA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 48 C7 41 08 00 00 00 00 48 83 C1 10 E8 ?? ?? ?? ?? 66 C7 47 70 00 00 C7 47 78 00 00 00 00 B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 48 8B 5C 24 30 FF C0 89 47 74 48 89 7F 40 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_605_49_0 {
	meta:
		name = "?Remove@VirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIScheduler@3@@Z"
		size = 145
		refs = "0027 ?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 0038 ?DestroyVirtualProcessorRoot@SchedulerProxy@details@Concurrency@@QEAAXPEAVVirtualProcessorRoot@23@@Z 003f ??_C@_0L@HKFDMHB@pScheduler?$AA@ 0053 ??0exception@std@@QEAA@AEBQEBD@Z 005a ??_7invalid_argument@std@@6B@ 0061 _TI3?AVinvalid_argument@std@@ 0070 _CxxThrowException 007b ??0invalid_operation@Concurrency@@QEAA@XZ 0082 _TI2?AVinvalid_operation@Concurrency@@"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 85 D2 74 2E 48 8B 41 30 48 39 50 10 75 5D F0 FF 49 78 75 0D 48 8D 51 10 48 8B 49 30 E8 ?? ?? ?? ?? 48 8B 4B 30 48 8B D3 48 83 C4 50 5B E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 20 48 89 44 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_605_50_0 {
	meta:
		name = "?ResetSubscriptionLevel@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ"
		size = 28
		refs = "0013 ?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
	strings:
		$1 = { 48 83 EC 28 F0 FF 49 78 75 0D 48 8D 51 10 48 8B 49 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_606_0_0 {
	meta:
		name = "catanhf"
		size = 779
		refs = "0029 crealf 0037 cimagf 0045 _fdtest 0082 __real@bfc90fdb 00be _FZero_C 00c5 __xmm@80000000800000008000000080000000 0108 __real@3fc90fdb 015b __real@5e7fe80a 0168 __real@3f800000 01ea _fperrraise 01f2 _FInf_C 0208 __real@40800000 0210 sqrtf 022d logf 0235 __real@40000000 0241 atan2f 0256 __real@3f000000 028f log1pf 02ac __real@3e800000 02e3 _FCbuild"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 53 57 48 8B EC 48 83 EC 70 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 E8 ?? ?? ?? ?? 48 8B 4D 20 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 66 83 FF 02 75 3D 66 3B C7 75 07 F3 0F 10 7D 30 EB 67 BB 01 00 00 00 66 3B C3 75 1A 0F 57 FF 0F 2F 7D 28 0F 86 86 00 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 51 02 00 00 F3 0F 10 7D 30 0F 28 C7 E9 44 02 00 00 BB 01 00 00 00 66 83 F8 02 75 35 66 3B FB 76 07 F3 0F 10 7D 28 EB E1 B8 00 80 00 00 66 85 45 32 74 11 F3 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? EB 03 0F 57 FF F3 0F 10 45 28 E9 04 02 00 00 66 3B FB 75 34 0F 57 FF 0F 2F 7D 30 76 0F F3 0F 10 3D ?? ?? ?? ?? 0F 57 3D ?? ?? ?? ?? B8 00 80 00 00 66 85 45 2A 0F 85 7A FF FF FF F3 0F 10 05 ?? ?? ?? ?? E9 CB 01 00 00 F3 0F 10 5D 28 F3 44 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 44 0F 28 CB 66 85 45 2A 74 04 45 0F 57 C8 F3 0F 10 55 30 45 0F 57 D2 44 0F 2F D2 76 0B 41 0F 57 D0 F3 0F 11 55 30 EB 0B 41 0F 57 D8 33 DB F3 0F 11 5D 28 F3 0F 10 05 ?? ?? ?? ?? 0F 2F D0 76 35 F3 0F 10 05 ?? ?? ?? ?? 0F 28 CB F3 0F 5E CA 0F 28 F8 F3 0F 5E FA F3 0F 59 C9 F3 0F 58 C8 F3 0F 5E F9 44 0F 2F D3 76 30 F3 0F 10 05 ?? ?? ?? ?? E9 35 01 00 00 44 0F 2F C8 76 2A F3 0F 5E D3 0F 28 FA F3 0F 59 D2 F3 0F 5E FB F3 0F 58 15 ?? ?? ?? ?? F3 0F 5E FA EB CA F3 0F 10 05 ?? ?? ?? ?? E9 05 01 00 00 0F 2E 15 ?? ?? ?? ?? 0F 8A 8C 00 00 00 0F 85 86 00 00 00 41 0F 2E DA 7A 1E 75 1C B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 3D ?? ?? ?? ?? F3 0F 10 45 28 E9 CE 00 00 00 F3 0F 59 DB F3 0F 58 1D ?? ?? ?? ?? 0F 28 C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C1 E8 ?? ?? ?? ?? F3 0F 5E F0 0F 28 C6 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 0F 28 F8 41 0F 28 C1 E8 ?? ?? ?? ?? 44 0F 2F 55 28 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? 76 72 41 0F 57 C0 EB 6C F3 0F 10 35 ?? ?? ?? ?? F3 45 0F 59 C9 F3 0F 5C F2 F3 0F 59 15 ?? ?? ?? ?? 0F 28 CE F3 0F 59 CE F3 41 0F 58 C9 F3 0F 5E D1 0F 28 C2 E8 ?? ?? ?? ?? F3 0F 10 4D 30 F3 0F 58 0D ?? ?? ?? ?? 0F 28 F8 F3 0F 10 45 28 F3 0F 59 3D ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 CE F3 41 0F 5C C9 E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? 85 DB 74 06 41 0F 57 F8 EB 04 41 0F 57 C0 0F 28 C8 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 28 7C 24 50 44 0F 28 44 24 40 44 0F 28 4C 24 30 44 0F 28 54 24 20 48 83 C4 70 5F 5B 5D C3 }
	condition:
		$1
}

rule file_607_0_0 {
	meta:
		name = "_wchartodigit"
		size = 405
	strings:
		$1 = { BA 30 00 00 00 66 3B CA 0F 82 83 01 00 00 66 83 F9 3A 73 06 0F B7 C1 2B C2 C3 BA 10 FF 00 00 66 3B CA 0F 83 5B 01 00 00 BA 60 06 00 00 66 3B CA 0F 82 5B 01 00 00 8D 42 0A 66 3B C8 72 D6 BA F0 06 00 00 66 3B CA 0F 82 45 01 00 00 8D 42 0A 66 3B C8 72 C0 BA 66 09 00 00 66 3B CA 0F 82 2F 01 00 00 8D 42 0A 66 3B C8 72 AA 8D 50 76 66 3B CA 0F 82 1B 01 00 00 8D 42 0A 66 3B C8 72 96 8D 50 76 66 3B CA 0F 82 07 01 00 00 8D 42 0A 66 3B C8 72 82 8D 50 76 66 3B CA 0F 82 F3 00 00 00 8D 42 0A 66 3B C8 0F 82 6A FF FF FF 8D 50 76 66 3B CA 0F 82 DB 00 00 00 8D 42 0A 66 3B C8 0F 82 52 FF FF FF BA 66 0C 00 00 66 3B CA 0F 82 C1 00 00 00 8D 42 0A 66 3B C8 0F 82 38 FF FF FF 8D 50 76 66 3B CA 0F 82 A9 00 00 00 8D 42 0A 66 3B C8 0F 82 20 FF FF FF 8D 50 76 66 3B CA 0F 82 91 00 00 00 8D 42 0A 66 3B C8 0F 82 08 FF FF FF BA 50 0E 00 00 66 3B CA 72 7B 8D 42 0A 66 3B C8 0F 82 F2 FE FF FF 8D 50 76 66 3B CA 72 67 8D 42 0A 66 3B C8 0F 82 DE FE FF FF 8D 50 46 66 3B CA 72 53 8D 42 0A 66 3B C8 0F 82 CA FE FF FF BA 40 10 00 00 66 3B CA 72 3D 8D 42 0A 66 3B C8 0F 82 B4 FE FF FF BA E0 17 00 00 66 3B CA 72 27 8D 42 0A 66 3B C8 0F 82 9E FE FF FF 8D 50 26 66 3B CA 72 13 8D 42 0A EB 05 B8 1A FF 00 00 66 3B C8 0F 82 83 FE FF FF 83 C8 FF C3 }
	condition:
		$1
}

rule file_609_0_0 {
	meta:
		name = "__sse4_expf4"
		size = 624
		refs = "0003 s_dwExp2_Table 000a s_dwInvLn 0014 s_dwLnHi 001b s_dwBias 0026 flAbsMask 0032 flBound1 0059 s_dwLnLo 00a4 flTwo 0165 flBound2 018e s_dwNegRS 01f2 flInf 0256 flOne"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 0F 59 D8 0F 28 25 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 66 0F 5B D3 0F 28 2D ?? ?? ?? ?? 66 0F DB E8 66 0F 66 2D ?? ?? ?? ?? 0F 50 CD 23 C9 0F 85 7F 00 00 00 0F 28 E8 66 0F 3A 08 DB 00 66 0F 7E D0 0F 59 E3 66 0F C5 D2 02 0F 59 1D ?? ?? ?? ?? 83 E0 3F 83 E2 3F 66 0F FE CA 0F 5C C4 F3 41 0F 7E 24 C0 66 0F C5 C2 04 41 0F 16 24 D0 66 0F C5 D2 06 0F 5C C3 83 E0 3F 83 E2 3F 66 0F 72 D1 06 F3 41 0F 7E 14 C0 41 0F 16 14 D0 0F 28 D8 0F 58 C0 0F 59 DB 0F 58 05 ?? ?? ?? ?? 0F C6 E2 88 66 0F 72 F1 17 0F 58 C3 66 0F EB CC 0F 59 C1 C3 0F 1F 40 00 0F 28 E8 66 0F 3A 08 DB 00 66 0F 7E D1 0F 59 E3 66 44 0F C5 CA 02 0F 59 1D ?? ?? ?? ?? 83 E1 3F 41 83 E1 3F 66 0F FE CA 0F 5C C4 F3 41 0F 7E 24 C8 66 44 0F C5 D2 04 43 0F 16 24 C8 66 44 0F C5 DA 06 0F 5C C3 41 83 E2 3F 41 83 E3 3F 66 0F 72 D1 06 F3 43 0F 7E 1C D0 43 0F 16 1C D8 0F C6 E3 88 0F 28 D8 0F 58 C0 0F 59 DB 0F 58 05 ?? ?? ?? ?? 66 0F 72 F1 17 0F 58 C3 66 0F EB CC 0F 59 C8 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 0F C2 1D ?? ?? ?? ?? 01 66 0F DB CB 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 01 66 0F DF DA 66 0F DB C3 0F 50 D5 B8 03 00 00 00 23 C2 83 E2 0C 03 C0 0F 28 15 ?? ?? ?? ?? 0F 59 D5 0F 5C 15 ?? ?? ?? ?? 66 0F DB D3 66 0F DB E3 66 0F FE 15 ?? ?? ?? ?? 66 0F 72 D2 06 41 0F 28 9C C0 40 02 00 00 41 0F C6 9C 90 40 02 00 00 88 66 0F FE D3 66 0F 72 F2 17 66 0F EB D4 0F 59 C2 41 0F 28 9C C0 00 02 00 00 41 0F C6 9C 90 00 02 00 00 88 0F 59 C3 66 0F EB C1 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 0F C2 1D ?? ?? ?? ?? 01 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 01 66 0F DF D3 41 0F 28 8C C0 80 02 00 00 41 0F C6 8C 90 80 02 00 00 88 66 0F DB CA 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 00 41 0F 28 9C C0 C0 02 00 00 41 0F C6 9C 90 C0 02 00 00 88 66 0F DB D3 66 0F EB CA 0F 28 15 ?? ?? ?? ?? 0F C2 D5 03 66 0F DB EA 66 0F EB CD 0F 59 C9 66 0F EB C1 C3 66 90 }
	condition:
		$1
}

rule file_610_0_0 {
	meta:
		name = "??__C@YAXPEAX0_KHP6AX00@ZP6AX0@Z@Z"
		size = 104
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 45 8B F9 4D 8B F0 48 8B F2 48 8B F9 33 DB 89 58 CC 89 58 C8 41 3B DF 7D 25 48 8B D6 48 8B CF FF 94 24 80 00 00 00 49 03 FE 48 89 7C 24 60 49 03 F6 48 89 74 24 68 FF C3 89 5C 24 24 EB D6 C7 44 24 20 01 00 00 00 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_610_1_0 {
	meta:
		name = "?fin$0@?0???__C@YAXPEAX0_KHP6AX00@ZP6AX0@Z@Z@4HA"
		size = 47
		refs = "0023 ?__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z"
		altNames = "?fin$0@?0???__D@YAXPEAX0_KHP6AX00@ZP6AX0@Z@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 20 00 75 19 4C 8B 8D 88 00 00 00 44 8B 45 24 48 8B 55 70 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_613_0_0 {
	meta:
		name = "fdimf"
		size = 95
		refs = "0016 _fdtest"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 30 EB 32 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 38 EB 1A F3 0F 10 4C 24 38 F3 0F 10 44 24 30 0F 2F C8 72 05 0F 57 C0 EB 04 F3 0F 5C C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_615_0_0 {
	meta:
		name = "memcpy"
		size = 1381
		refs = "0027 __favor 00cf __ImageBase 00d7 MoveSmall 00e0 MoveSmall0 00e4 MoveSmall1 00e8 MoveSmall2 00ec MoveSmall3 00f0 MoveSmall4 00f4 MoveSmall5 00f8 MoveSmall6 00fc MoveSmall7 0100 MoveSmall8 0104 MoveSmall9 0108 MoveSmall10 010c MoveSmall11 0110 MoveSmall12 0114 MoveSmall13 0118 MoveSmall14 011c MoveSmall15 0120 MoveSmall16"
	strings:
		$1 = { 4C 8B D9 4C 8B D2 49 83 F8 10 0F 86 B9 00 00 00 48 2B D1 73 0F 49 8B C2 49 03 C0 48 3B C8 0F 8C 96 03 00 00 0F BA 25 ?? ?? ?? ?? 01 73 13 57 56 48 8B F9 49 8B F2 49 8B C8 F3 A4 5E 5F 49 8B C3 C3 0F BA 25 ?? ?? ?? ?? 02 0F 82 56 02 00 00 F6 C1 07 74 36 F6 C1 01 74 0B 8A 04 0A 49 FF C8 88 01 48 FF C1 F6 C1 02 74 0F 66 8B 04 0A 49 83 E8 02 66 89 01 48 83 C1 02 F6 C1 04 74 0D 8B 04 0A 49 83 E8 04 89 01 48 83 C1 04 4D 8B C8 49 C1 E9 05 0F 85 D9 01 00 00 4D 8B C8 49 C1 E9 03 74 14 48 8B 04 0A 48 89 01 48 83 C1 08 49 FF C9 75 F0 49 83 E0 07 4D 85 C0 75 07 49 8B C3 C3 0F 1F 00 48 8D 14 0A 4C 8B D1 EB 03 4D 8B D3 4C 8D 0D ?? ?? ?? ?? 43 8B 84 81 ?? ?? ?? ?? 49 03 C1 FF E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 49 8B C3 C3 48 0F B6 02 41 88 02 49 8B C3 C3 48 0F B7 02 66 41 89 02 49 8B C3 C3 48 0F B6 02 48 0F B7 4A 01 41 88 02 66 41 89 4A 01 49 8B C3 C3 8B 02 41 89 02 49 8B C3 C3 48 0F B6 02 8B 4A 01 41 88 02 41 89 4A 01 49 8B C3 C3 48 0F B7 02 8B 4A 02 66 41 89 02 41 89 4A 02 49 8B C3 C3 48 0F B6 02 48 0F B7 4A 01 8B 52 03 41 88 02 66 41 89 4A 01 41 89 52 03 49 8B C3 C3 48 8B 02 49 89 02 49 8B C3 C3 48 0F B6 02 48 8B 4A 01 41 88 02 49 89 4A 01 49 8B C3 C3 48 0F B7 02 48 8B 4A 02 66 41 89 02 49 89 4A 02 49 8B C3 C3 48 0F B6 02 48 0F B7 4A 01 48 8B 52 03 41 88 02 66 41 89 4A 01 49 89 52 03 49 8B C3 C3 8B 02 48 8B 4A 04 41 89 02 49 89 4A 04 49 8B C3 C3 48 0F B6 02 8B 4A 01 48 8B 52 05 41 88 02 41 89 4A 01 49 89 52 05 49 8B C3 C3 48 0F B7 02 8B 4A 02 48 8B 52 06 66 41 89 02 41 89 4A 02 49 89 52 06 49 8B C3 C3 4C 0F B6 02 48 0F B7 42 01 8B 4A 03 48 8B 52 07 45 88 02 66 41 89 42 01 41 89 4A 03 49 89 52 07 49 8B C3 C3 F3 0F 6F 02 F3 41 0F 7F 02 49 8B C3 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 48 8B 04 0A 4C 8B 54 0A 08 48 83 C1 20 48 89 41 E0 4C 89 51 E8 48 8B 44 0A F0 4C 8B 54 0A F8 49 FF C9 48 89 41 F0 4C 89 51 F8 75 D4 49 83 E0 1F E9 F2 FD FF FF 49 83 F8 20 0F 86 E1 00 00 00 F6 C1 0F 75 0E 0F 10 04 0A 48 83 C1 10 49 83 E8 10 EB 1D 0F 10 0C 0A 48 83 C1 20 80 E1 F0 0F 10 44 0A F0 41 0F 11 0B 48 8B C1 49 2B C3 4C 2B C0 4D 8B C8 49 C1 E9 07 74 66 0F 29 41 F0 EB 0A 66 90 0F 29 41 E0 0F 29 49 F0 0F 10 04 0A 0F 10 4C 0A 10 48 81 C1 80 00 00 00 0F 29 41 80 0F 29 49 90 0F 10 44 0A A0 0F 10 4C 0A B0 49 FF C9 0F 29 41 A0 0F 29 49 B0 0F 10 44 0A C0 0F 10 4C 0A D0 0F 29 41 C0 0F 29 49 D0 0F 10 44 0A E0 0F 10 4C 0A F0 75 AD 0F 29 41 E0 49 83 E0 7F 0F 28 C1 4D 8B C8 49 C1 E9 04 74 1A 66 0F 1F 84 00 00 00 00 00 0F 29 41 F0 0F 10 04 0A 48 83 C1 10 49 FF C9 75 EF 49 83 E0 0F 74 0D 49 8D 04 08 0F 10 4C 02 F0 0F 11 48 F0 0F 29 41 F0 49 8B C3 C3 0F 1F 40 00 41 0F 10 02 49 8D 4C 08 F0 0F 10 0C 0A 41 0F 11 03 0F 11 09 49 8B C3 C3 0F 1F 84 00 00 00 00 00 66 66 66 90 66 66 66 90 66 90 0F BA 25 ?? ?? ?? ?? 02 0F 82 B9 00 00 00 49 03 C8 F6 C1 07 74 36 F6 C1 01 74 0B 48 FF C9 8A 04 0A 49 FF C8 88 01 F6 C1 02 74 0F 48 83 E9 02 66 8B 04 0A 49 83 E8 02 66 89 01 F6 C1 04 74 0D 48 83 E9 04 8B 04 0A 49 83 E8 04 89 01 4D 8B C8 49 C1 E9 05 75 41 4D 8B C8 49 C1 E9 03 74 14 48 83 E9 08 48 8B 04 0A 49 FF C9 48 89 01 75 F0 49 83 E0 07 4D 85 C0 75 0F 49 8B C3 C3 66 66 66 0F 1F 84 00 00 00 00 00 49 2B C8 4C 8B D1 48 8D 14 0A E9 7D FC FF FF 90 48 8B 44 0A F8 4C 8B 54 0A F0 48 83 E9 20 48 89 41 18 4C 89 51 10 48 8B 44 0A 08 4C 8B 14 0A 49 FF C9 48 89 41 08 4C 89 11 75 D5 49 83 E0 1F EB 8E 49 83 F8 20 0F 86 05 FF FF FF 49 03 C8 F6 C1 0F 75 0E 48 83 E9 10 0F 10 04 0A 49 83 E8 10 EB 1B 48 83 E9 10 0F 10 0C 0A 48 8B C1 80 E1 F0 0F 10 04 0A 0F 11 08 4C 8B C1 4D 2B C3 4D 8B C8 49 C1 E9 07 74 68 0F 29 01 EB 0D 66 0F 1F 44 00 00 0F 29 41 10 0F 29 09 0F 10 44 0A F0 0F 10 4C 0A E0 48 81 E9 80 00 00 00 0F 29 41 70 0F 29 49 60 0F 10 44 0A 50 0F 10 4C 0A 40 49 FF C9 0F 29 41 50 0F 29 49 40 0F 10 44 0A 30 0F 10 4C 0A 20 0F 29 41 30 0F 29 49 20 0F 10 44 0A 10 0F 10 0C 0A 75 AE 0F 29 41 10 49 83 E0 7F 0F 28 C1 4D 8B C8 49 C1 E9 04 74 1A 66 66 0F 1F 84 00 00 00 00 00 0F 29 01 48 83 E9 10 0F 10 04 0A 49 FF C9 75 F0 49 83 E0 0F 74 08 41 0F 10 0A 41 0F 11 0B 0F 29 01 49 8B C3 C3 }
	condition:
		$1
}

rule file_617_0_0 {
	meta:
		name = "wcscspn"
		size = 63
	strings:
		$1 = { 45 33 D2 4C 8B CA 48 8B C1 66 44 39 11 74 29 4D 8B C1 66 45 39 11 74 16 41 0F B7 11 66 3B 10 74 17 49 83 C0 02 41 0F B7 10 66 85 D2 75 EE 48 83 C0 02 66 44 39 10 EB D5 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_618_4_0 {
	meta:
		name = "_mbsnicmp_l"
		size = 386
		refs = "0034 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004c _strnicmp 0060 _errno 006b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 33 ED 49 8B F0 48 8B FA 48 8B D9 4D 85 C0 75 07 33 C0 E9 42 01 00 00 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 48 8B 4C 24 28 39 69 08 75 13 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 05 01 00 00 48 85 DB 74 05 48 85 FF 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 E1 00 00 00 0F B6 13 48 FF CE 48 FF C3 F6 44 0A 19 04 74 3A 40 38 2B 75 04 8B D5 EB 43 0F B6 03 66 C1 E2 08 48 FF C3 66 0B D0 66 3B 51 0C 72 0C 66 3B 51 0E 77 06 66 03 51 10 EB 24 66 3B 51 12 72 1E 66 3B 51 14 77 18 66 03 51 16 EB 12 0F B7 C2 F6 44 08 19 10 74 08 0F B6 94 08 19 01 00 00 44 0F B6 07 48 FF C7 41 F6 44 08 19 04 74 43 40 38 2F 75 05 44 8B C5 EB 4D 0F B6 07 66 41 C1 E0 08 48 FF C7 66 44 0B C0 66 44 3B 41 0C 72 0E 66 44 3B 41 0E 77 07 66 44 03 41 10 EB 29 66 44 3B 41 12 72 22 66 44 3B 41 14 77 1B 66 44 03 41 16 EB 14 41 0F B7 C0 F6 44 08 19 10 74 09 44 0F B6 84 08 19 01 00 00 66 44 3B C2 75 12 66 85 D2 74 09 48 85 F6 0F 85 2A FF FF FF 8B C5 EB 07 1B C0 83 E0 02 FF C8 40 38 6C 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_619_14_0 {
	meta:
		name = "??0ListNode@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA@AEBQEAV_TaskCollection@23@0@Z"
		size = 22
	strings:
		$1 = { 48 83 21 00 48 8B 02 48 89 41 08 49 8B 00 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_619_17_0 {
	meta:
		name = "??0TaskStack@details@Concurrency@@QEAA@XZ"
		size = 16
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 88 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_619_19_0 {
	meta:
		name = "??0_AsyncTaskCollection@details@Concurrency@@AEAA@PEAV_CancellationTokenState@12@@Z"
		size = 98
		refs = "001e ??_7_RefCounterBase@details@Concurrency@@6B@ 002f ??_7_AsyncTaskCollection@details@Concurrency@@6B@ 003b ??0_TaskCollection@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@@Z 0042 ?_CompletionHandler@_AsyncTaskCollection@details@Concurrency@@CAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 87 E8 00 00 00 48 89 BF F0 00 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_619_25_0 {
	meta:
		name = "??0_Scoped_lock_read@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 30
		refs = "0011 ?_AcquireRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8D 4A 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_705_12_0 {
	meta:
		name = "??0_Scoped_lock@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 30
		refs = "0011 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8D 4A 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_26_0 {
	meta:
		name = "??0_StructuredTaskCollection@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@@Z"
		size = 164
		refs = "0041 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0049 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 004e ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0058 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0079 ?_CancelViaToken@_StructuredTaskCollection@details@Concurrency@@CAXPEAV123@@Z 008a ?_RegisterCallback@_CancellationTokenState@details@Concurrency@@QEAAPEAV_CancellationTokenRegistration@23@P6AXPEAX@Z0H@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 61 20 00 48 8B D9 B8 FF FF FF 0F 09 41 08 21 43 08 0F BA 6B 08 1C 48 83 63 28 00 48 83 63 18 00 48 89 51 10 B9 00 00 00 80 48 8B FA 89 4B 24 48 85 D2 74 57 85 0D ?? ?? ?? ?? 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 18 48 83 FF 02 74 04 F0 FF 47 08 48 39 78 68 74 26 48 83 FF 02 74 20 48 8D 15 ?? ?? ?? ?? 41 B9 01 00 00 00 4C 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 83 C8 01 48 89 43 10 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_27_0 {
	meta:
		name = "??0_TaskCollection@details@Concurrency@@AEAA@PEAV012@_N@Z"
		size = 369
		refs = "0051 ??0event@Concurrency@@QEAA@XZ 0087 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0093 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0098 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 00a2 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00c9 ?_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ 00d2 ?set@event@Concurrency@@QEAAXXZ 012c ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 013e ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 8A E8 48 8B F2 48 8B D9 81 49 08 FF FF FF 0F 48 83 61 10 00 83 61 20 00 C7 41 24 00 00 00 80 48 83 61 28 00 C7 41 58 00 00 00 00 48 83 C1 60 E8 ?? ?? ?? ?? 90 48 8B 86 A8 00 00 00 48 89 83 A8 00 00 00 48 83 A3 B8 00 00 00 00 C7 83 C8 00 00 00 00 00 00 00 83 A3 D4 00 00 00 00 48 83 A3 D8 00 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 18 48 8B 40 60 48 89 03 48 8B 46 10 48 89 43 10 48 A9 FD FF FF FF 74 04 F0 FF 40 08 48 8B CB E8 ?? ?? ?? ?? 48 8D 4B 60 E8 ?? ?? ?? ?? 40 84 ED 74 41 48 8B 8B A8 00 00 00 48 8B 81 B0 00 00 00 48 89 83 B0 00 00 00 F0 48 0F B1 99 B0 00 00 00 74 30 48 8B D0 48 89 83 B0 00 00 00 48 8B 8B A8 00 00 00 F0 48 0F B1 99 B0 00 00 00 48 3B C2 75 E1 EB 0F 83 8B C8 00 00 00 01 48 83 A3 B0 00 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 83 78 40 00 75 08 48 8B C8 E8 ?? ?? ?? ?? 48 8B 47 40 8B 88 A0 00 00 00 89 8B D0 00 00 00 81 63 08 FF FF FF 0F 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_619_29_0 {
	meta:
		name = "??0_TaskCollection@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@@Z"
		size = 265
		refs = "0049 ??0event@Concurrency@@QEAA@XZ 0086 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0092 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0097 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 00a1 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00b4 ?_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ 00bd ?set@event@Concurrency@@QEAAXXZ 00c9 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00db ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B FA 48 8B D9 81 49 08 FF FF FF 0F 48 89 51 10 83 61 20 00 C7 41 24 00 00 00 80 48 83 61 28 00 C7 41 58 00 00 00 00 48 83 C1 60 E8 ?? ?? ?? ?? 90 48 83 A3 B0 00 00 00 00 48 83 A3 B8 00 00 00 00 C7 83 C8 00 00 00 00 00 00 00 83 A3 D4 00 00 00 00 48 83 A3 D8 00 00 00 00 48 F7 C7 FD FF FF FF 74 04 F0 FF 47 08 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 18 48 8B 40 60 48 89 03 48 8B CB E8 ?? ?? ?? ?? 48 8D 4B 60 E8 ?? ?? ?? ?? 48 89 9B A8 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 83 78 40 00 75 08 48 8B C8 E8 ?? ?? ?? ?? 48 8B 47 40 8B 88 A0 00 00 00 89 8B D0 00 00 00 81 63 08 FF FF FF 0F 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_619_31_0 {
	meta:
		name = "??0_TaskCollection@details@Concurrency@@QEAA@XZ"
		size = 241
		refs = "0043 ??0event@Concurrency@@QEAA@XZ 0073 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 007f ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0084 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 008e ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00a1 ?_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ 00aa ?set@event@Concurrency@@QEAAXXZ 00b6 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00c8 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 81 49 08 FF FF FF 0F 48 83 61 10 00 83 61 20 00 C7 41 24 00 00 00 80 48 83 61 28 00 C7 41 58 00 00 00 00 48 83 C1 60 E8 ?? ?? ?? ?? 90 48 83 A3 B0 00 00 00 00 48 83 A3 B8 00 00 00 00 C7 83 C8 00 00 00 00 00 00 00 83 A3 D4 00 00 00 00 48 83 A3 D8 00 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 18 48 8B 40 60 48 89 03 48 8B CB E8 ?? ?? ?? ?? 48 8D 4B 60 E8 ?? ?? ?? ?? 48 89 9B A8 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 83 78 40 00 75 08 48 8B C8 E8 ?? ?? ?? ?? 48 8B 47 40 8B 88 A0 00 00 00 89 8B D0 00 00 00 81 63 08 FF FF FF 0F 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_619_33_0 {
	meta:
		name = "??0_TaskCollectionBase@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@@Z"
		size = 31
	strings:
		$1 = { 81 49 08 FF FF FF 0F 83 61 20 00 48 83 61 28 00 48 89 51 10 48 8B C1 C7 41 24 00 00 00 80 C3 }
	condition:
		$1
}

rule file_619_34_0 {
	meta:
		name = "??0_TaskCollectionBase@details@Concurrency@@QEAA@XZ"
		size = 31
	strings:
		$1 = { 81 49 08 FF FF FF 0F 33 C0 48 89 41 10 89 41 20 48 89 41 28 C7 41 24 00 00 00 80 48 8B C1 C3 }
	condition:
		$1
}

rule file_619_43_0 {
	meta:
		name = "??1TaskStack@details@Concurrency@@QEAA@XZ"
		size = 23
		refs = "000e ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_619_45_0 {
	meta:
		name = "??1_AsyncTaskCollection@details@Concurrency@@UEAA@XZ"
		size = 48
		refs = "001b ??1_TaskCollection@details@Concurrency@@QEAA@XZ 0023 ??_7_RefCounterBase@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_619_52_0 {
	meta:
		name = "??1_StructuredTaskCollection@details@Concurrency@@QEAA@XZ"
		size = 101
		refs = "0010 ?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 0015 ?__uncaught_exception@@YA_NXZ 0037 ?_CleanupToken@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 004f ??0missing_wait@Concurrency@@QEAA@XZ 0056 _TI2?AVmissing_wait@Concurrency@@ 0060 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 83 79 20 00 48 8B D9 7E 1A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 48 F7 43 10 FD FF FF FF 74 22 EB 18 48 F7 43 10 FD FF FF FF 74 08 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 48 8B CB E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_619_53_0 {
	meta:
		name = "??1_TaskCollection@details@Concurrency@@QEAA@XZ"
		size = 255
		refs = "0038 ?_TaskCleanup@_TaskCollection@details@Concurrency@@AEAA_N_N@Z 005f ?_ReleaseAlias@_TaskCollection@details@Concurrency@@AEAAXXZ 0081 ??_V@YAXPEAX@Z 0089 ??3@YAXPEAX@Z 00a1 ?__ExceptionPtrDestroy@@YAXPEAX@Z 00d1 ??0missing_wait@Concurrency@@QEAA@XZ 00d8 _TI2?AVmissing_wait@Concurrency@@ 00e2 _CxxThrowException 00fb ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B F9 40 32 F6 48 39 89 A8 00 00 00 74 0A 8B 81 C8 00 00 00 A8 01 74 36 33 D2 E8 ?? ?? ?? ?? 84 C0 40 0F 94 C6 48 39 BF A8 00 00 00 75 20 48 8B 8F B0 00 00 00 48 85 C9 74 14 48 8B 99 B0 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 EC 48 8B 9F B8 00 00 00 48 85 DB 74 16 48 8B 4B 08 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 5F 28 48 83 E3 FC 74 16 48 83 FB 0C 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 10 48 F7 C1 FD FF FF FF 74 0C F0 FF 49 08 75 06 48 8B 01 FF 50 08 40 84 F6 74 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 60 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_54_0 {
	meta:
		name = "?dtor$0@?0???1_TaskCollection@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_72_0 {
	meta:
		name = "??_GTaskStack@details@Concurrency@@QEAAPEAXI@Z"
		size = 57
		refs = "0019 ??_V@YAXPEAX@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 49 08 8B FA 48 85 C9 74 05 E8 ?? ?? ?? ?? 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_73_0 {
	meta:
		name = "??_G_AsyncTaskCollection@details@Concurrency@@UEAAPEAXI@Z"
		size = 76
		refs = "0022 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 002a ??_7_RefCounterBase@details@Concurrency@@6B@ 003a ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B DA 48 8B F9 48 83 C1 10 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_619_86_0 {
	meta:
		name = "?AddArbitraryAlias@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollection@23@0@Z"
		size = 51
		refs = "0013 ?SweepAliasTable@ContextBase@details@Concurrency@@QEAAXXZ 0029 ?Insert@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@0@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 8B D0 00 00 00 4C 8D 44 24 40 48 8D 54 24 38 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_94_0 {
	meta:
		name = "?Find@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@PEAPEAV523@@Z"
		size = 124
	strings:
		$1 = { 48 89 5C 24 08 4C 8B DA 48 8B D9 49 B9 25 23 22 84 E4 9C F2 CB 45 33 D2 41 0F B6 04 12 48 B9 B3 01 00 00 00 01 00 00 49 FF C2 4C 33 C8 4C 0F AF C9 49 83 FA 08 72 E1 48 63 0B 33 D2 49 8B C1 48 F7 F1 48 8B 43 08 48 63 CA 48 8B 04 C8 48 85 C0 74 11 49 8B 0B 48 39 48 08 74 0A 48 8B 00 48 85 C0 75 F2 33 C0 48 85 C0 74 0C 4D 85 C0 74 07 48 8B 48 10 49 89 08 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_619_95_0 {
	meta:
		name = "?FindAndDelete@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA_NAEBQEAV_TaskCollection@23@PEAPEAV423@@Z"
		size = 164
		refs = "007d ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 4C 8B D9 49 B9 25 23 22 84 E4 9C F2 CB 45 33 D2 41 0F B6 04 12 48 B9 B3 01 00 00 00 01 00 00 49 FF C2 4C 33 C8 4C 0F AF C9 49 83 FA 08 72 E1 49 63 0B 4D 8B 53 08 33 D2 49 8B C1 48 F7 F1 4C 63 CA 33 D2 4B 8B 0C CA 48 85 C9 74 14 48 8B 03 48 39 41 08 74 27 48 8B D1 48 8B 09 48 85 C9 75 EF 33 C9 48 85 C9 74 2C 4D 85 C0 74 07 48 8B 51 10 49 89 10 E8 ?? ?? ?? ?? B0 01 EB 19 48 8B 01 48 85 D2 75 06 4B 89 04 CA EB 03 48 89 02 41 FF 4B 04 EB CF 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_98_0 {
	meta:
		name = "?GetArbitraryAlias@ContextBase@details@Concurrency@@QEAAPEAV_TaskCollection@23@PEAV423@@Z"
		size = 128
		refs = "0022 ?Find@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@PEAPEAV523@@Z 005c ?FindAndDelete@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA_NAEBQEAV_TaskCollection@23@PEAPEAV423@@Z 0064 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 006c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 18 48 89 54 24 10 57 48 83 EC 20 48 8D B9 D0 00 00 00 48 8D 54 24 38 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 06 48 8B 58 10 EB 02 33 DB 48 85 DB 74 3A 8B 83 C8 00 00 00 D1 E8 A8 01 74 2E 48 8B 83 A8 00 00 00 48 8D 54 24 30 45 33 C0 48 8B CF 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 DB 48 8B C3 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_101_0 {
	meta:
		name = "?GetWorkQueue@ContextBase@details@Concurrency@@QEAAPEAVWorkQueue@23@XZ"
		size = 31
		refs = "0011 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 40 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 48 8B 43 40 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1236_133_0 {
	meta:
		name = "?GetStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAPEAVWorkQueue@23@XZ"
		size = 31
		refs = "0011 ?CreateStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 40 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 48 8B 43 40 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_102_0 {
	meta:
		name = "?GetWorkQueueIdentity@ContextBase@details@Concurrency@@QEAAIXZ"
		size = 37
		refs = "0011 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 40 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 48 8B 43 40 8B 80 A0 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_103_0 {
	meta:
		name = "?HasAnyCancellation@ContextBase@details@Concurrency@@QEBA_NXZ"
		size = 20
	strings:
		$1 = { 8B 91 C4 00 00 00 8B 81 BC 00 00 00 03 D0 85 D2 0F 9F C0 C3 }
	condition:
		$1
}

rule file_619_105_0 {
	meta:
		name = "?HashValue@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@CAIAEBQEAV_TaskCollection@23@H@Z"
		size = 58
	strings:
		$1 = { 49 B8 25 23 22 84 E4 9C F2 CB 45 33 C9 41 0F B6 04 09 49 BA B3 01 00 00 00 01 00 00 49 FF C1 4C 33 C0 4D 0F AF C2 49 83 F9 08 72 E1 48 63 CA 49 8B C0 33 D2 48 F7 F1 8B C2 C3 }
	condition:
		$1
}

rule file_619_113_0 {
	meta:
		name = "?Insert@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@0@Z"
		size = 215
		refs = "0081 ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B D9 4D 8B F0 48 8B FA 33 C9 49 B9 25 23 22 84 E4 9C F2 CB 0F B6 04 39 48 BA B3 01 00 00 00 01 00 00 48 FF C1 4C 33 C8 4C 0F AF CA 48 83 F9 08 72 E2 48 63 0B 33 D2 49 8B C1 48 F7 F1 48 8B 43 08 48 63 F2 48 8B 0C F0 48 85 C9 74 11 48 8B 07 48 39 41 08 74 0A 48 8B 09 48 85 C9 75 F2 33 C9 48 85 C9 75 44 B9 18 00 00 00 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 14 48 83 20 00 48 8B 07 49 89 40 08 49 8B 06 49 89 40 10 EB 03 45 33 C0 48 8B 4B 08 49 8B C0 48 8B 14 F1 49 89 10 48 8B 4B 08 4C 89 04 F1 FF 43 04 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_619_114_0 {
	meta:
		name = "?IsCanceledAtDepth@ContextBase@details@Concurrency@@QEAA_NPEAV_TaskCollectionBase@23@@Z"
		size = 17
		refs = "000d ?IsCanceledAtDepth@ContextBase@details@Concurrency@@AEAA_NPEAV_TaskCollectionBase@23@H@Z"
	strings:
		$1 = { 44 8B 42 08 41 C1 E0 04 41 C1 F8 04 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_119_0 {
	meta:
		name = "?Lookup@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@AEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@H@Z"
		size = 36
	strings:
		$1 = { 48 8B 41 08 4D 63 C0 4A 8B 04 C0 48 85 C0 74 11 48 8B 0A 48 39 48 08 74 0A 48 8B 00 48 85 C0 75 F2 33 C0 C3 }
	condition:
		$1
}

rule file_619_125_0 {
	meta:
		name = "?Push@TaskStack@details@Concurrency@@QEAA_NH@Z"
		size = 156
		refs = "004e ??_U@YAPEAX_K@Z 0064 memcpy 006f ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B 39 8B EA 48 8B F1 39 79 04 7C 57 81 79 04 00 04 00 00 7C 08 C6 41 10 01 32 C0 EB 56 83 C7 08 B8 04 00 00 00 48 63 CF 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 4C 63 06 48 8B 56 08 49 C1 E0 02 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4E 08 89 3E E8 ?? ?? ?? ?? 48 89 5E 08 48 63 4E 04 48 8B 46 08 89 2C 88 FF 46 04 B0 01 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_127_0 {
	meta:
		name = "?Remove@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@AEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@H@Z"
		size = 72
	strings:
		$1 = { 4C 8B 59 08 4D 63 D0 33 C0 4F 8B 04 D3 4C 8B C9 4D 85 C0 74 14 48 8B 0A 49 39 48 08 74 0E 49 8B C0 4D 8B 00 4D 85 C0 75 EF 33 C0 C3 48 85 C0 75 09 49 8B 00 4B 89 04 D3 EB 06 49 8B 08 48 89 08 41 FF 49 04 49 8B C0 C3 }
	condition:
		$1
}

rule file_619_130_0 {
	meta:
		name = "?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
		size = 239
		refs = "001f ?PopStructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ 0061 ?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ 006c ?_WaitOnStolenChores@_StructuredTaskCollection@details@Concurrency@@AEAAXJ@Z 007c ?_UnderlyingYield@details@Concurrency@@YAXXZ 00a4 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00c4 ?CancelCollectionComplete@ContextBase@details@Concurrency@@QEAA_NH@Z 00db ?_RethrowException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B 79 18 8B 71 20 48 8B D9 EB 38 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 2F FF CE 48 83 F8 01 74 23 48 83 60 10 00 80 BF 88 00 00 00 00 48 8B 87 F8 00 00 00 74 05 FF 40 24 EB 06 FF 80 A4 00 00 00 FF 4B 20 85 F6 7F C4 83 7B 20 00 7E 17 48 8B CB E8 ?? ?? ?? ?? 8B 53 20 48 8B CB E8 ?? ?? ?? ?? 83 63 20 00 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8B 4B 28 48 8B C1 48 83 E0 FC 48 83 F8 08 74 08 80 E1 03 80 F9 01 75 0C 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB DB 48 8B 43 28 83 E0 03 48 83 F8 03 75 13 8B 53 08 48 8B CF C1 E2 04 C1 FA 04 E8 ?? ?? ?? ?? EB 0D 48 83 F8 02 75 07 F0 FF 8F C4 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_619_131_0 {
	meta:
		name = "?_Abort@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
		size = 411
		refs = "0020 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0070 ?_AbortiveSweep@_TaskCollection@details@Concurrency@@AEAAXPEAX@Z 00a8 ?TryPopUnstructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z 00e5 ?_NotifyCompletedChoreAndFree@_TaskCollection@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z 0122 ?_Cancel@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z 012d ?_FullAliasWait@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z 017c ?_Reset@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 44 8A F2 48 8B D9 E8 ?? ?? ?? ?? 48 8B B3 B8 00 00 00 48 8B E8 48 39 9B A8 00 00 00 74 11 44 8B 83 C8 00 00 00 41 F6 C0 01 74 04 33 FF EB 0E 48 8B 83 A8 00 00 00 48 8B B8 B0 00 00 00 48 85 F6 0F 84 8A 00 00 00 80 7E 10 00 0F 84 80 00 00 00 48 8B D5 48 8B CB E8 ?? ?? ?? ?? C6 46 10 00 EB 78 48 63 83 D4 00 00 00 48 83 F8 02 76 10 FF 4E 04 48 8B 46 08 48 63 4E 04 8B 14 88 EB 07 8B 94 83 BC 00 00 00 FF 8B D4 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 3E 48 83 F8 01 74 2F 80 BD 88 00 00 00 00 74 0C 48 8B 8D F8 00 00 00 FF 41 24 EB 0D 48 8B 85 F8 00 00 00 FF 80 A4 00 00 00 48 83 62 10 00 48 8B CB E8 ?? ?? ?? ?? 83 BB D4 00 00 00 00 7F 88 45 84 F6 75 1E 83 7B 20 00 7F 18 48 39 9B A8 00 00 00 74 0A 8B 83 C8 00 00 00 A8 01 74 05 48 85 FF 74 11 48 8B 8B A8 00 00 00 4C 8B C7 33 D2 E8 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 39 9B A8 00 00 00 74 0E 8B 83 C8 00 00 00 A8 01 74 04 33 C0 EB 0E 48 8B 83 A8 00 00 00 48 8B 80 B0 00 00 00 48 3B F8 74 05 48 8B F8 EB 92 83 A3 D4 00 00 00 00 48 85 F6 74 04 83 66 04 00 45 84 F6 75 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_619_132_0 {
	meta:
		name = "?_AbortiveSweep@_TaskCollection@details@Concurrency@@AEAAXPEAX@Z"
		size = 92
		refs = "0014 ?_CollectionMatchPredicate@_TaskCollection@details@Concurrency@@CA_NPEAV_UnrealizedChore@23@PEAX@Z 001b ?_SweepAbortedChore@_TaskCollection@details@Concurrency@@CA_NPEAV_UnrealizedChore@23@PEAX@Z 0028 ?SweepUnstructured@ContextBase@details@Concurrency@@QEAAXP6A_NPEAV_UnrealizedChore@23@PEAX@Z12@Z 0034 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 48 8B C2 48 89 4C 24 20 48 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 44 24 20 48 8B C8 E8 ?? ?? ?? ?? 83 7C 24 28 00 76 24 E8 ?? ?? ?? ?? 80 B8 88 00 00 00 00 48 8B 88 F8 00 00 00 8B 44 24 28 74 05 01 41 24 EB 06 01 81 A4 00 00 00 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_619_133_0 {
	meta:
		name = "?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ"
		size = 246
		refs = "0020 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 002c ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0031 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 003e ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 004f ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ 0074 ?GetIndirectAlias@ContextBase@details@Concurrency@@QEBAPEAV_TaskCollection@23@XZ 008d ?GetArbitraryAlias@ContextBase@details@Concurrency@@QEAAPEAV_TaskCollection@23@PEAV423@@Z 009c ??2@YAPEAX_K@Z 00b4 ??0_TaskCollection@details@Concurrency@@AEAA@PEAV012@_N@Z 00c9 ?SweepAliasTable@ContextBase@details@Concurrency@@QEAAXXZ 00df ?Insert@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@0@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B F9 33 F6 F7 05 ?? ?? ?? ?? 00 00 00 80 74 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B D8 48 39 73 40 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 43 40 8B 88 A0 00 00 00 48 3B 5F 18 75 0D 3B 8F D0 00 00 00 75 05 48 8B C7 EB 76 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 09 48 39 B8 A8 00 00 00 74 60 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 75 50 B9 E8 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 11 41 B0 01 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 74 24 40 48 89 7C 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8D 8B D0 00 00 00 4C 8D 44 24 40 48 8D 54 24 48 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_619_138_0 {
	meta:
		name = "?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ"
		size = 135
		refs = "0012 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 001e ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0023 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 002d ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0039 ?_MarkCancellation@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ 0056 ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 0071 ?_FinishCancelState@_TaskCollectionBase@details@Concurrency@@IEAAX_K@Z 007d ?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 18 00 48 8B D9 75 25 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 18 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 40 8B 53 08 48 8B 43 18 C1 E2 04 C1 FA 04 85 D2 78 0F 48 8B C8 E8 ?? ?? ?? ?? BA 03 00 00 00 EB 0C F0 FF 80 C4 00 00 00 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 18 48 8B D3 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_139_0 {
	meta:
		name = "?_Cancel@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z"
		size = 231
		refs = "0023 ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 0033 ?_SetCancelState@_TaskCollection@details@Concurrency@@AEAA_NJ@Z 005b ?_CancelFromArbitraryThread@_TaskCollection@details@Concurrency@@AEAAX_N@Z 0088 ?_CancelStolenContexts@_TaskCollection@details@Concurrency@@AEAAX_N0@Z 0096 ?_CancelDirectAliases@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z 00c6 ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 00d6 ?_AbortiveSweep@_TaskCollection@details@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 4D 8B F0 40 8A F2 48 8B D9 E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 84 C0 74 5F 48 39 BF A8 00 00 00 74 0B 8B 8F C8 00 00 00 F6 C1 01 75 12 48 3B FB 74 0D 40 8A D6 48 8B CB E8 ?? ?? ?? ?? EB 2B 8B 7B 58 8D 47 FF A9 FB FF FF FF 74 47 B9 03 00 00 00 33 C0 F0 0F B1 4B 58 3B C7 75 E3 41 B0 01 40 8A D6 48 8B CB E8 ?? ?? ?? ?? 4D 8B C6 40 8A D6 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 8B 53 08 48 8B 6B 18 C1 E2 04 48 8B CD C1 FA 04 E8 ?? ?? ?? ?? 83 FF 05 75 0B 48 8B D5 48 8B CB E8 ?? ?? ?? ?? B8 04 00 00 00 87 43 58 E9 7A FF FF FF }
	condition:
		$1
}

rule file_619_140_0 {
	meta:
		name = "?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ"
		size = 21
		refs = "0011 ?_Cancel@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z"
		altNames = "?_CancelViaToken@_TaskCollection@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 4C 8B 81 B0 00 00 00 48 8B 89 A8 00 00 00 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_141_0 {
	meta:
		name = "?_CancelDirectAliases@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z"
		size = 55
		refs = "001c ?_CancelFromArbitraryThread@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
	strings:
		$1 = { 4D 85 C0 74 31 48 89 5C 24 08 57 48 83 EC 20 49 8B D8 40 8A FA 40 8A D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 9B B0 00 00 00 48 85 DB 75 E9 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_142_0 {
	meta:
		name = "?_CancelFromArbitraryThread@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
		size = 190
		refs = "007b ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 008b ?_AbortiveSweep@_TaskCollection@details@Concurrency@@AEAAXPEAX@Z 0099 ?_CancelStolenContexts@_TaskCollection@details@Concurrency@@AEAAX_N0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 8B 79 58 45 33 C0 44 8A FA 41 8D 70 04 48 8B D9 8B CF 85 FF 74 10 FF C9 74 04 3B CE 75 0E 41 B8 09 00 00 00 EB 0B 41 B8 03 00 00 00 45 85 C0 74 5C 8B C7 F0 44 0F B1 43 58 44 8B C0 74 04 8B F8 EB CE 8D 47 FF 40 32 ED A9 FB FF FF FF 75 28 8B 53 08 4C 8B 73 18 40 B5 01 C1 E2 04 49 8B CE C1 FA 04 E8 ?? ?? ?? ?? 83 FF 05 75 0B 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 44 8A C5 41 8A D7 48 8B CB E8 ?? ?? ?? ?? 40 84 ED 74 03 87 73 58 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_619_145_0 {
	meta:
		name = "?_CancelStolenContexts@_TaskCollection@details@Concurrency@@AEAAX_N0@Z"
		size = 175
		refs = "002e ?_AcquireRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 004d ?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z 0074 ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 00ab ?_ReleaseRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 68 18 41 8A D8 48 8B F1 4C 8D 71 30 4C 89 70 08 49 8D 4E 08 E8 ?? ?? ?? ?? 90 84 DB 75 0E 83 7E 50 00 7E 14 49 8B 3E 48 85 FF 75 42 48 8B D6 48 8B 4E 18 E8 ?? ?? ?? ?? 49 8B 3E 48 85 FF EB 2C 48 8D 9F 60 FF FF FF B8 01 00 00 00 87 83 C0 00 00 00 BA 19 FC FF FF 48 8B CB E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 49 3B 3E 74 06 48 8B 7F 08 EB 02 33 FF 48 85 FF 75 C5 49 8D 4E 08 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_149_0 {
	meta:
		name = "?_CleanupToken@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
		size = 77
		refs = "0012 ?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 64 24 40 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 8B D8 48 85 C9 74 0C F0 FF 49 08 75 06 48 8B 11 FF 52 08 48 F7 C3 FD FF FF FF 74 0F F0 FF 4B 08 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_151_0 {
	meta:
		name = "?_CompletionHandler@_AsyncTaskCollection@details@Concurrency@@CAXPEAX@Z"
		size = 21
		altNames = "?_NotificationHandler@_AsyncTaskCollection@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_619_152_0 {
	meta:
		name = "?_Construct@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
		size = 18
	strings:
		$1 = { 81 61 08 FF FF FF 0F 48 83 61 18 00 0F BA 69 08 1C C3 }
	condition:
		$1
}

rule file_619_153_0 {
	meta:
		name = "?_CountUp@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
		size = 45
		refs = "0014 ?_Initialize@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 0023 ?Set@StructuredEvent@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 41 24 48 8B D9 3D 01 00 00 80 7F 05 E8 ?? ?? ?? ?? F0 FF 43 24 75 09 48 8D 4B 30 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_163_0 {
	meta:
		name = "?_FullAliasWait@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z"
		size = 436
		refs = "0029 __security_cookie 005e ??_7?$_MallocaArrayHolder@PEAVevent@Concurrency@@@details@Concurrency@@6B@ 00ae __chkstk 00c8 malloc 00ea ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0101 ??0exception@std@@QEAA@AEBQEBDH@Z 0108 ??_7bad_alloc@std@@6B@ 0113 _TI2?AVbad_alloc@std@@ 011c _CxxThrowException 016b ?wait_for_multiple@event@Concurrency@@SA_KPEAPEAV12@_K_NI@Z 017d free 018b ?wait@event@Concurrency@@QEAA_KI@Z 0197 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 70 48 8D 6C 24 20 48 C7 45 20 FE FF FF FF 48 89 5D 70 48 89 75 78 48 89 BD 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 40 48 8B FA 48 8B F1 33 C0 48 85 D2 0F 84 3E 01 00 00 FF C0 48 8B 92 B0 00 00 00 48 85 D2 75 F2 85 C0 0F 8E 28 01 00 00 48 8D 0D ?? ?? ?? ?? 48 89 4D 08 48 21 55 10 48 21 55 18 44 8D 70 01 4D 63 FE 49 8B CF 48 C1 E1 03 48 8D 41 10 48 3B C1 76 5B 4A 8D 0C FD 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 20 48 85 DB 74 28 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 75 3A 48 8D 05 ?? ?? ?? ?? 48 89 45 00 41 B8 01 00 00 00 48 8D 55 00 48 8D 4D 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 28 48 8D 15 ?? ?? ?? ?? 48 8D 4D 28 E8 ?? ?? ?? ?? CC 48 89 5D 10 48 83 65 18 00 48 8B 86 A8 00 00 00 48 83 C0 60 48 89 03 41 83 FE 01 7E 1F 48 8D 4B 08 45 8D 46 FF 48 8D 47 60 48 89 01 48 8D 49 08 48 8B BF B0 00 00 00 49 FF C8 75 E9 41 83 C9 FF 41 B0 01 49 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4B F0 81 39 DD DD 00 00 75 13 E8 ?? ?? ?? ?? EB 0C 48 83 C1 60 83 CA FF E8 ?? ?? ?? ?? 48 8B 4D 40 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 70 48 8B 75 78 48 8B BD 80 00 00 00 48 8D 65 50 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_619_167_0 {
	meta:
		name = "?_HasDirectAlias@_TaskCollection@details@Concurrency@@AEBA_NXZ"
		size = 20
	strings:
		$1 = { 48 8B 91 A8 00 00 00 33 C0 48 39 82 B0 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule file_619_170_0 {
	meta:
		name = "?_Initialize@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
		size = 95
		refs = "0035 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0049 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 BF 01 00 00 80 48 8B D9 8D 47 FF F0 0F B1 79 24 75 10 33 C0 48 83 C1 30 74 03 48 89 01 87 43 24 EB 28 33 C0 89 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 8B 41 24 EB 0D 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 43 24 3B C7 7E EF 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_619_171_0 {
	meta:
		name = "?_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 61
		refs = "0033 ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 33 C0 89 41 50 89 41 54 89 81 CC 00 00 00 48 83 C1 30 48 89 4C 24 48 74 0D 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_619_172_0 {
	meta:
		name = "?dtor$0@?0??_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 83 C2 30 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_619_177_0 {
	meta:
		name = "?_IsCanceling@_StructuredTaskCollection@details@Concurrency@@QEAA_NXZ"
		size = 193
		refs = "001c ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0028 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 002d ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0037 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0052 ?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z 0069 ?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ 008c ?IsCanceledAtDepth@ContextBase@details@Concurrency@@AEAA_NPEAV_TaskCollectionBase@23@H@Z 00a2 ?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F9 48 39 59 18 75 25 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 47 18 48 39 5F 28 74 07 B8 01 00 00 00 EB 65 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 A9 FD FF FF FF 74 11 8B 40 10 85 C0 74 0A 48 8B CF E8 ?? ?? ?? ?? EB D6 44 8B 47 08 48 8B 77 18 41 C1 E0 04 41 C1 F8 04 41 83 F8 FF 74 0F 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 16 8B 86 C4 00 00 00 85 C0 7E 11 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 05 BB 01 00 00 00 8A C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_178_0 {
	meta:
		name = "?_IsCanceling@_TaskCollection@details@Concurrency@@QEAA_NXZ"
		size = 245
		refs = "0044 ?_Cancel@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z 004b ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 006f ?IsCanceledAtDepth@ContextBase@details@Concurrency@@AEAA_NPEAV_TaskCollectionBase@23@H@Z 0085 ?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 41 54 48 8B D9 85 C0 74 07 B0 01 E9 C5 00 00 00 48 8B 41 10 48 A9 FD FF FF FF 74 1E 8B 40 10 85 C0 74 17 4C 8B 81 B0 00 00 00 48 8B 89 A8 00 00 00 33 D2 E8 ?? ?? ?? ?? EB CF E8 ?? ?? ?? ?? 48 8B F8 44 8B 40 08 48 8B 70 18 41 C1 E0 04 41 C1 F8 04 41 83 F8 FF 74 0F 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 A2 8B 86 C4 00 00 00 85 C0 7E 0C 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 8C 48 39 BF A8 00 00 00 74 4D 8B 87 C8 00 00 00 A8 01 74 43 44 8B 43 08 48 8B 7B 18 41 C1 E0 04 41 C1 F8 04 41 83 F8 FF 74 13 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 50 FF FF FF 8B 87 C4 00 00 00 85 C0 7E 10 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 36 FF FF FF 32 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_179_0 {
	meta:
		name = "?_IsCurrentlyInlined@_TaskCollectionBase@details@Concurrency@@QEBA_NXZ"
		size = 16
	strings:
		$1 = { 8B 51 08 B9 FF FF FF 0F 23 D1 3B D1 0F 95 C0 C3 }
	condition:
		$1
}

rule file_619_180_0 {
	meta:
		name = "?_IsDirectAlias@_TaskCollection@details@Concurrency@@AEBA_NXZ"
		size = 29
	strings:
		$1 = { 48 39 89 A8 00 00 00 74 0F 8B 81 C8 00 00 00 B9 01 00 00 00 84 C1 74 02 33 C9 8A C1 C3 }
	condition:
		$1
}

rule file_619_181_0 {
	meta:
		name = "?_IsIndirectAlias@_TaskCollection@details@Concurrency@@AEBA_NXZ"
		size = 29
	strings:
		$1 = { 48 39 89 A8 00 00 00 74 0F 8B 81 C8 00 00 00 B9 01 00 00 00 84 C1 75 02 33 C9 8A C1 C3 }
	condition:
		$1
}

rule file_619_182_0 {
	meta:
		name = "?_IsMarkedForAbnormalExit@_TaskCollection@details@Concurrency@@QEBA_NXZ"
		size = 16
	strings:
		$1 = { 48 8B 81 A8 00 00 00 8B 48 54 85 C9 0F 95 C0 C3 }
	condition:
		$1
}

rule file_619_186_0 {
	meta:
		name = "?_NewCollection@_AsyncTaskCollection@details@Concurrency@@SAPEAV123@PEAV_CancellationTokenState@23@@Z"
		size = 58
		refs = "0018 ??2@YAPEAX_K@Z 002f ??0_AsyncTaskCollection@details@Concurrency@@AEAA@PEAV_CancellationTokenState@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 F8 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 09 48 8B D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_619_190_0 {
	meta:
		name = "?_NotifyCompletedChoreAndFree@_TaskCollection@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z"
		size = 87
		refs = "001c ?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0039 ?set@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 80 7A 20 00 48 8B D9 74 08 48 8B CA E8 ?? ?? ?? ?? 48 8B BB D8 00 00 00 48 8B B3 E0 00 00 00 F0 FF 4B 20 75 09 48 8D 4B 60 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 8B CE FF D7 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_619_191_0 {
	meta:
		name = "?_NotifyNewChore@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 52
		refs = "0022 ?wait@event@Concurrency@@QEAA_KI@Z 002a ?reset@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 B8 01 00 00 00 F0 0F C1 41 20 FF C0 83 F8 01 75 17 48 8D 59 60 83 CA FF 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_196_0 {
	meta:
		name = "?_RaisedCancel@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 42
		refs = "0011 ?_RaisedCancel@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 A8 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 A8 00 00 00 F0 81 48 54 00 00 00 40 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_197_0 {
	meta:
		name = "?_RaisedException@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 42
		refs = "0011 ?_RaisedException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 A8 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 A8 00 00 00 F0 81 48 54 00 00 00 80 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_205_0 {
	meta:
		name = "?_ReleaseAlias@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 55
		refs = "0025 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 002d ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 81 C8 00 00 00 48 8B D9 EB 0F 8B D0 83 CA 02 F0 0F B1 91 C8 00 00 00 74 11 A8 02 74 ED E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_619_206_0 {
	meta:
		name = "?_ReportUnobservedException@details@Concurrency@@YAXXZ"
		size = 78
		refs = "0007 s_unobservedExceptionHandler 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 001d IsProcessorFeaturePresent 003c _call_reportfault 004a __crtTerminateProcess"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 07 E8 ?? ?? ?? ?? FF D0 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B9 05 00 00 00 CD 29 41 B8 01 00 00 00 BA 15 00 00 40 41 8D 48 02 E8 ?? ?? ?? ?? B9 15 00 00 40 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_208_0 {
	meta:
		name = "?_Reset@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z"
		size = 300
		refs = "001b ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0039 ?_UnderlyingYield@details@Concurrency@@YAXXZ 004d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 007b ?CancelCollectionComplete@ContextBase@details@Concurrency@@QEAA_NH@Z 00d1 ?_Reset@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z 0113 ?_RethrowException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B FA 48 8B D9 E8 ?? ?? ?? ?? 48 8B 6B 18 48 8B F0 8B 43 58 83 F8 09 75 2D 8B 4B 58 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 83 F9 09 75 DF 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 43 58 83 F8 09 74 EE EB CB 33 D2 48 3B F5 75 49 F0 0F B1 53 58 75 C0 83 F8 04 75 13 8B 53 08 48 8B CE C1 E2 04 C1 FA 04 E8 ?? ?? ?? ?? 33 D2 81 4B 08 FF FF FF 0F 48 8D 8B A8 00 00 00 48 39 19 74 4A 8B 83 C8 00 00 00 A8 01 75 79 48 85 FF 74 74 48 8B 19 E9 6F FF FF FF B8 03 00 00 00 F0 0F B1 53 58 83 F8 09 75 CE E9 6A FF FF FF 8B 87 C8 00 00 00 D1 E8 A8 01 75 0C 33 D2 48 8B CF E8 ?? ?? ?? ?? 33 D2 48 8B BF B0 00 00 00 48 85 FF 75 DC 8B C2 87 43 54 85 C0 79 2B 48 8D 05 ?? ?? ?? ?? 89 54 24 40 48 89 44 24 48 EB 0A 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 83 7B 28 08 74 EF 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_619_209_0 {
	meta:
		name = "?_RunAndWait@_StructuredTaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z"
		size = 732
		refs = "0031 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 003d ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0042 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 004c ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00aa ?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z 00cc ?PushGoverningTokenState@ContextBase@details@Concurrency@@QEAAXPEAV_CancellationTokenState@23@H@Z 00f8 ?IsCancellationVisible@ContextBase@details@Concurrency@@QEBA_NPEAV_TaskCollectionBase@23@_N@Z 0114 ??0_Interruption_exception@details@Concurrency@@QEAA@XZ 011b _TI2?AV_Interruption_exception@details@Concurrency@@ 0125 _CxxThrowException 013a ?PopStructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ 01d8 ?_WaitOnStolenChores@_StructuredTaskCollection@details@Concurrency@@AEAAXJ@Z 0208 ?PopGoverningTokenState@ContextBase@details@Concurrency@@QEAAXPEAV_CancellationTokenState@23@@Z 021a ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z 0230 ?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 53 56 41 54 41 56 41 57 48 81 EC 90 00 00 00 48 C7 44 24 28 FE FF FF FF 4C 8B F2 48 8B D9 48 83 79 18 00 75 25 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 18 48 8B 73 18 48 89 B4 24 D0 00 00 00 48 8B 46 60 48 89 03 48 85 C0 74 0B 8B 40 08 C1 E0 04 C1 F8 04 FF C0 81 63 08 00 00 00 F0 25 FF FF FF 0F 09 43 08 48 89 5E 60 48 83 64 24 20 00 45 33 FF 4C 89 BC 24 D8 00 00 00 4C 39 7B 10 74 30 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 4C 8B F8 48 89 84 24 D8 00 00 00 44 8B 43 08 41 C1 E0 04 41 C1 F8 04 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 90 4D 85 F6 74 53 F6 43 28 03 75 32 8B 8E C4 00 00 00 8B 86 BC 00 00 00 03 C8 85 C9 7E 12 45 33 C0 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 0E 49 8B CE 41 FF 56 08 49 83 66 10 00 EB 1B 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 44 8B 63 20 45 85 E4 0F 8E 97 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 89 84 24 C8 00 00 00 F6 43 28 03 75 5E 8B 96 C4 00 00 00 8B 8E BC 00 00 00 03 D1 85 D2 7E 12 45 33 C0 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 3A 4D 85 F6 74 55 41 FF CC 49 83 FE 01 74 AC FF 4B 20 80 BE 88 00 00 00 00 48 8B 86 F8 00 00 00 74 05 FF 40 24 EB 06 FF 80 A4 00 00 00 49 8B CE 41 FF 56 08 49 83 66 10 00 EB 80 0F BA 6B 08 1D 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 8B 53 20 85 D2 7E 0C 48 8B CB E8 ?? ?? ?? ?? 83 63 20 00 EB 18 4C 8B BC 24 D8 00 00 00 48 8B B4 24 D0 00 00 00 48 8B 9C 24 C0 00 00 00 48 83 7B 10 00 74 1D 49 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B 54 24 20 48 85 D2 74 08 49 8B CF E8 ?? ?? ?? ?? 48 8B 03 48 89 46 60 48 83 7B 28 00 74 55 48 8B CB E8 ?? ?? ?? ?? 8B 96 C4 00 00 00 8B 86 BC 00 00 00 03 D0 85 D2 7E 34 48 83 7B 10 00 41 0F 95 C0 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 1C 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? CC B8 02 00 00 00 EB 4B 8B 8E C4 00 00 00 8B 86 BC 00 00 00 03 C8 85 C9 7E 34 48 83 7B 10 00 41 0F 95 C0 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 1C 48 8D 4C 24 78 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 78 E8 ?? ?? ?? ?? CC B8 01 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5E 5B C3 }
	condition:
		$1
}

rule file_619_211_0 {
	meta:
		name = "__catch$?_RunAndWait@_StructuredTaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z$0"
		size = 91
		refs = "0048 ?_RaisedCancel@_TaskCollectionBase@details@Concurrency@@IEAAXXZ 0050 $LN40"
	strings:
		$1 = { 48 8B 95 C8 00 00 00 48 8B 8D C0 00 00 00 48 83 FA 02 72 33 F7 41 08 00 00 00 20 74 25 FF 49 20 48 8B 85 D0 00 00 00 80 B8 88 00 00 00 00 48 8B 80 F8 00 00 00 74 05 FF 40 24 EB 06 FF 80 A4 00 00 00 48 83 62 10 00 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_619_213_0 {
	meta:
		name = "__catch$?_RunAndWait@_StructuredTaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z$1"
		size = 45
		refs = "001a ?_RaisedException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ 0022 $LN42"
	strings:
		$1 = { 48 8B 85 C8 00 00 00 48 83 F8 02 72 05 48 83 60 10 00 48 8B 8D C0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_619_214_0 {
	meta:
		name = "?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z"
		size = 1138
		refs = "002c ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 003c ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00b6 ?_CancelViaToken@_TaskCollection@details@Concurrency@@CAXPEAV123@@Z 00bb ?_RegisterCallback@_CancellationTokenState@details@Concurrency@@QEAAPEAV_CancellationTokenRegistration@23@P6AXPEAX@Z0H@Z 00db ?PushGoverningTokenState@ContextBase@details@Concurrency@@QEAAXPEAV_CancellationTokenState@23@H@Z 00f6 ?_NotifyNewChore@_TaskCollection@details@Concurrency@@AEAAXXZ 0100 ??0_Interruption_exception@details@Concurrency@@QEAA@XZ 0107 _TI2?AV_Interruption_exception@details@Concurrency@@ 0111 _CxxThrowException 0150 ?IsCancellationVisible@ContextBase@details@Concurrency@@QEBA_NPEAV_TaskCollectionBase@23@_N@Z 01f9 ?TryPopUnstructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z 025b ?_NotifyCompletedChoreAndFree@_TaskCollection@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z 02e4 ?_FullAliasWait@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z 0308 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0320 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0372 ?PopGoverningTokenState@ContextBase@details@Concurrency@@QEAAXPEAV_CancellationTokenState@23@@Z 0383 ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z 03b3 ?_Abort@_TaskCollection@details@Concurrency@@AEAAX_N@Z 040d ?_Reset@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 53 56 57 41 54 41 55 41 56 41 57 48 81 EC F0 00 00 00 48 C7 44 24 38 FE FF FF FF 4C 8B FA 4C 8B F1 E8 ?? ?? ?? ?? 48 8B F8 48 89 84 24 48 01 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 30 49 8B 86 B0 00 00 00 48 89 44 24 20 33 DB 88 9C 24 40 01 00 00 48 8B 46 60 48 89 07 44 8D 63 01 48 85 C0 74 0E 8B 40 08 C1 E0 04 C1 F8 04 41 03 C4 EB 02 8B C3 81 67 08 00 00 00 F0 25 FF FF FF 0F 09 47 08 48 89 7E 60 4C 8B EB 48 89 5C 24 28 49 8B 4E 10 48 85 C9 74 3F 48 83 F9 02 74 20 48 3B 4E 68 74 1A 45 8B CC 4D 8B C6 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 28 44 8B 47 08 41 C1 E0 04 41 C1 F8 04 49 8B 56 10 48 8B CE E8 ?? ?? ?? ?? 90 33 C0 F0 44 0F B1 67 58 83 F8 03 75 28 4D 85 FF 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? 4D 85 FF 74 63 48 8B CF E8 ?? ?? ?? ?? 49 8B 86 A8 00 00 00 8B 48 54 85 C9 75 2C 8B 8E C4 00 00 00 8B 86 BC 00 00 00 03 C8 85 C9 0F 8E 03 01 00 00 45 33 C0 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 ED 00 00 00 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 39 9F D4 00 00 00 0F 8E 04 01 00 00 49 8B 86 A8 00 00 00 8B 48 54 85 C9 0F 85 D1 00 00 00 8B 8E C4 00 00 00 8B 86 BC 00 00 00 03 C8 85 C9 7E 16 45 33 C0 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 A9 00 00 00 48 63 87 D4 00 00 00 48 83 F8 02 76 17 48 8B 87 B8 00 00 00 FF 48 04 48 63 48 04 48 8B 40 08 8B 14 88 EB 08 41 8B 94 86 BC 00 00 00 FF 8F D4 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4C 8B F8 48 89 84 24 38 01 00 00 48 85 C0 75 17 48 8B 87 B8 00 00 00 48 85 C0 74 03 89 58 04 89 9F D4 00 00 00 EB 69 49 3B C4 0F 84 50 FF FF FF 38 9E 88 00 00 00 48 8B 86 F8 00 00 00 74 06 44 01 60 24 EB 07 44 01 A0 A4 00 00 00 49 8B CF 41 FF 57 08 49 89 5F 10 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 48 89 9C 24 38 01 00 00 E9 11 FF FF FF 48 8D 8C 24 B8 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 B8 00 00 00 E8 ?? ?? ?? ?? 48 8B 87 B8 00 00 00 48 85 C0 74 3F 38 58 10 74 3A 44 88 A4 24 40 01 00 00 41 8B C4 B9 05 00 00 00 F0 0F B1 4F 58 83 F8 04 74 05 83 F8 09 75 1B 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 70 E8 ?? ?? ?? ?? 4C 8B 7C 24 20 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 38 9C 24 40 01 00 00 74 35 B8 05 00 00 00 F0 44 0F B1 67 58 83 F8 09 75 25 89 5C 24 48 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 41 8B 46 58 83 F8 09 75 0C 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB EB 49 8B 86 B0 00 00 00 4C 3B F8 75 02 EB 31 48 89 44 24 20 E9 3F FE FF FF 4C 8B 6C 24 28 4C 8B 7C 24 20 48 8B 74 24 30 48 8B BC 24 48 01 00 00 4C 8B B4 24 30 01 00 00 41 BC 01 00 00 00 33 DB 49 8B 56 10 48 85 D2 74 2A 48 8B CE E8 ?? ?? ?? ?? 4D 85 ED 74 1D 49 8B D5 49 8B 4E 10 E8 ?? ?? ?? ?? F0 41 FF 4D 08 75 0A 49 8B 45 00 49 8B CD FF 50 08 48 8B 07 48 89 46 60 49 8B 86 A8 00 00 00 8B 48 54 85 C9 48 8B CF 74 59 33 D2 E8 ?? ?? ?? ?? 8B 8E C4 00 00 00 8B 86 BC 00 00 00 03 C8 85 C9 7E 39 49 39 5E 10 41 0F 95 C0 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 22 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? CC B8 02 00 00 00 EB 56 49 8B D7 E8 ?? ?? ?? ?? 8B 8E C4 00 00 00 8B 86 BC 00 00 00 03 C8 85 C9 7E 39 49 39 5E 10 41 0F 95 C0 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 22 48 8D 8C 24 D0 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 D0 00 00 00 E8 ?? ?? ?? ?? CC 41 8B C4 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_619_216_0 {
	meta:
		name = "__catch$?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z$0"
		size = 57
		refs = "001d ?_NotifyCompletedChoreAndFree@_TaskCollection@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z 0025 ?_RaisedCancel@_TaskCollection@details@Concurrency@@AEAAXXZ 002d $LN49"
	strings:
		$1 = { 48 8B 95 38 01 00 00 48 8B 9D 48 01 00 00 48 83 FA 02 72 0D 48 83 62 10 00 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 5D 5B C3 CC }
	condition:
		$1
}

rule file_619_218_0 {
	meta:
		name = "__catch$?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z$1"
		size = 57
		refs = "001d ?_NotifyCompletedChoreAndFree@_TaskCollection@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z 0025 ?_RaisedException@_TaskCollection@details@Concurrency@@AEAAXXZ 002d $LN51"
	strings:
		$1 = { 48 8B 95 38 01 00 00 48 8B 9D 48 01 00 00 48 83 FA 02 72 0D 48 83 62 10 00 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 5D 5B C3 CC }
	condition:
		$1
}

rule file_619_219_0 {
	meta:
		name = "?_Schedule@_StructuredTaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 135
		refs = "001e ?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0032 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 003e ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0043 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 004d ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0067 ?PushStructured@ContextBase@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z 0071 ??0invalid_multiple_scheduling@Concurrency@@QEAA@XZ 0078 _TI2?AVinvalid_multiple_scheduling@Concurrency@@ 0082 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 83 7A 10 00 48 8B FA 48 8B D9 75 54 48 89 4A 10 48 8D 05 ?? ?? ?? ?? 48 89 42 18 FF 41 20 48 83 79 18 00 75 25 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 18 48 8B 4B 18 48 8B D7 48 8B 5C 24 50 48 83 C4 40 5F E9 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_619_220_0 {
	meta:
		name = "?_Schedule@_StructuredTaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@PEAVlocation@3@@Z"
		size = 151
		refs = "0026 ?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 003a ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0046 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 004b ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0055 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0077 ?PushStructured@ContextBase@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@PEAVlocation@3@@Z 0081 ??0invalid_multiple_scheduling@Concurrency@@QEAA@XZ 0088 _TI2?AVinvalid_multiple_scheduling@Concurrency@@ 0092 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 83 7A 10 00 49 8B F0 48 8B FA 48 8B D9 75 5C 48 89 4A 10 48 8D 05 ?? ?? ?? ?? 48 89 42 18 FF 41 20 48 83 79 18 00 75 25 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 18 48 8B 4B 18 4C 8B C6 48 8B D7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_619_221_0 {
	meta:
		name = "?_Schedule@_TaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 261
		refs = "002b ??0invalid_multiple_scheduling@Concurrency@@QEAA@XZ 0032 _TI2?AVinvalid_multiple_scheduling@Concurrency@@ 003c _CxxThrowException 0042 ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 0050 ?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0081 ??2@YAPEAX_K@Z 00ac ?_NotifyNewChore@_TaskCollection@details@Concurrency@@AEAAXXZ 00b1 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00bc ?PushUnstructured@ContextBase@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@@Z 00c6 ?Push@TaskStack@details@Concurrency@@QEAA_NH@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 70 18 48 8B F2 48 83 7A 10 00 74 1B 48 8D 48 E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B D8 48 89 46 10 48 8D 05 ?? ?? ?? ?? 48 89 46 18 48 63 8B D4 00 00 00 8D 41 01 89 83 D4 00 00 00 48 8B F9 48 83 F9 02 72 65 48 8B BB B8 00 00 00 48 85 FF 75 2B 8D 4F 18 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 12 83 20 00 83 60 04 00 48 83 60 08 00 C6 40 10 00 EB 02 33 FF 48 89 BB B8 00 00 00 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 8B D0 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 27 FF 8B D4 00 00 00 EB 1F 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 89 84 BB C0 00 00 00 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_619_223_0 {
	meta:
		name = "__catch$?_Schedule@_TaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z$0"
		size = 25
		refs = "000b ?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0014 _CxxThrowException"
		altNames = "__catch$?_Schedule@_TaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@PEAVlocation@3@@Z$0"
	strings:
		$1 = { 48 8B 4D 58 80 79 20 00 74 05 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_619_224_0 {
	meta:
		name = "?_Schedule@_TaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@PEAVlocation@3@@Z"
		size = 281
		refs = "0033 ??0invalid_multiple_scheduling@Concurrency@@QEAA@XZ 003a _TI2?AVinvalid_multiple_scheduling@Concurrency@@ 0044 _CxxThrowException 004a ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 0058 ?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0089 ??2@YAPEAX_K@Z 00b4 ?_NotifyNewChore@_TaskCollection@details@Concurrency@@AEAAXXZ 00b9 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00c7 ?PushUnstructured@ContextBase@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@PEAVlocation@3@@Z 00d1 ?Push@TaskStack@details@Concurrency@@QEAA_NH@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 41 56 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 4D 8B F0 48 8B F2 48 83 7A 10 00 74 1B 48 8D 48 E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B D8 48 89 46 10 48 8D 05 ?? ?? ?? ?? 48 89 46 18 48 63 8B D4 00 00 00 8D 41 01 89 83 D4 00 00 00 48 8B F9 48 83 F9 02 72 68 48 8B BB B8 00 00 00 48 85 FF 75 2B 8D 4F 18 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 12 83 20 00 83 60 04 00 48 83 60 08 00 C6 40 10 00 EB 02 33 FF 48 89 BB B8 00 00 00 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4D 8B C6 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 8B D0 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 2A FF 8B D4 00 00 00 EB 22 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4D 8B C6 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 89 84 BB C0 00 00 00 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_619_227_0 {
	meta:
		name = "?_SetCancelState@_TaskCollection@details@Concurrency@@AEAA_NJ@Z"
		size = 43
	strings:
		$1 = { 8B 41 54 41 B9 FF FF FF 3F EB 15 44 8B C0 41 81 E0 00 00 00 C0 44 0B C2 F0 44 0F B1 41 54 74 08 41 85 C1 74 E6 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_619_229_0 {
	meta:
		name = "?_SetUnobservedExceptionHandler@details@Concurrency@@YAXP6AXXZ@Z"
		size = 21
		refs = "0005 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 000c s_unobservedExceptionHandler"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_918_24_0 {
	meta:
		name = "??__E?s_cookie@Security@details@Concurrency@@2_KA@@YAXXZ"
		size = 21
		refs = "0005 ?InitializeCookie@Security@details@Concurrency@@SA_KXZ 000c ?s_cookie@Security@details@Concurrency@@2_KA"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_619_232_0 {
	meta:
		name = "?_SweepAbortedChore@_TaskCollection@details@Concurrency@@CA_NPEAV_UnrealizedChore@23@PEAX@Z"
		size = 29
		refs = "0012 ?_NotifyCompletedChoreAndFree@_TaskCollection@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B C1 48 8B 49 10 FF 42 08 49 8B D0 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_619_234_0 {
	meta:
		name = "?_TaskCleanup@_TaskCollection@details@Concurrency@@AEAA_N_N@Z"
		size = 166
		refs = "003d ?__uncaught_exception@@YA_NXZ 0081 ?_Abort@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 40 8A EA 48 8B F9 44 8D 73 01 40 8A F3 48 39 89 A8 00 00 00 74 0B 8B 81 C8 00 00 00 41 84 C6 74 49 E8 ?? ?? ?? ?? 84 C0 75 35 39 5F 20 40 0F 9F C6 48 39 BF A8 00 00 00 75 20 48 8B 87 B0 00 00 00 EB 12 39 58 20 48 8B 80 B0 00 00 00 40 0F B6 F6 41 0F 4F F6 48 85 C0 75 E9 40 84 F6 74 0E 40 8A D5 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 0F 94 C0 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_619_235_0 {
	meta:
		name = "?_WaitOnStolenChores@_StructuredTaskCollection@details@Concurrency@@AEAAXJ@Z"
		size = 63
		refs = "001a ?_Initialize@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 0030 ?Wait@StructuredEvent@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 41 24 8B FA 48 8B D9 3D 01 00 00 80 7F 05 E8 ?? ?? ?? ?? 8B C7 F7 D8 F0 0F C1 43 24 3B C7 79 09 48 8D 4B 30 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_620_1_0 {
	meta:
		name = "??$?0V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@PEAV__ExceptionPtr@@@Z"
		size = 32
		refs = "0013 ??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_2_0 {
	meta:
		name = "??$?0V__ExceptionPtr@@P6AXPEAV0@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@PEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
		size = 37
		refs = "0018 ??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8D 4C 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_7_0 {
	meta:
		name = "??$_Resetp0@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@1@@Z"
		size = 95
		altNames = "??$_Resetp0@U?$_Task_impl@E@details@Concurrency@@@?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@E@details@Concurrency@@PEAV_Ref_count_base@1@@Z ??$_Resetp0@U?$_Task_impl@_N@details@Concurrency@@@?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@1@@Z ??$_Resetp0@U_ExceptionHolder@details@Concurrency@@@?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXPEAU_ExceptionHolder@details@Concurrency@@PEAV_Ref_count_base@1@@Z ?_Reset0@?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@E@details@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset0@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset0@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXPEAU_ExceptionHolder@details@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset0@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset0@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 59 08 49 8B F0 48 8B EA 48 8B F9 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 8B 5C 24 30 48 89 77 08 48 8B 74 24 40 48 89 2F 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_620_8_0 {
	meta:
		name = "??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@@Z"
		size = 153
		refs = "002d ??2@YAPEAX_K@Z 0047 ??_7?$_Ref_count@V__ExceptionPtr@@@std@@6B@"
	strings:
		$1 = { 48 8B C4 48 89 50 10 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F1 B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 1B B8 01 00 00 00 89 47 08 89 47 0C 48 8D 05 ?? ?? ?? ?? 48 89 07 4C 89 77 10 EB 02 33 FF 48 8B 5E 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 89 7E 08 4C 89 36 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_620_10_0 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@@Z$0"
		size = 35
		refs = "000d ??1__ExceptionPtr@@QEAA@XZ 0015 ??3@YAXPEAX@Z 001e _CxxThrowException"
	strings:
		$1 = { 48 8B 5D 48 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_620_11_0 {
	meta:
		name = "??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
		size = 209
		refs = "002e _malloc_crt 003d ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0055 ??0exception@std@@QEAA@AEBQEBDH@Z 005c ??_7bad_alloc@std@@6B@ 0068 _TI2?AVbad_alloc@std@@ 0072 _CxxThrowException 0087 ??_7?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@6B@"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 56 57 41 56 48 83 EC 50 48 C7 40 C0 FE FF FF FF 48 89 58 08 49 8B D8 4C 8B F2 48 8B F1 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 3C 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 44 8D 47 01 48 8D 54 24 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 07 4C 89 77 10 48 89 5F 18 48 8B 5E 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 89 7E 08 4C 89 36 48 8B 5C 24 70 48 83 C4 50 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_620_13_0 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z$0"
		size = 20
		refs = "000f _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 78 FF 95 80 00 00 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_620_17_0 {
	meta:
		name = "??$reset@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@@Z"
		size = 101
		refs = "0018 ??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 0F 57 C0 48 8D 4C 24 20 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 44 24 28 48 89 4C 24 28 48 89 43 08 48 8B 44 24 20 48 89 03 48 85 C9 74 24 F0 FF 49 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_620_18_0 {
	meta:
		name = "??$reset@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
		size = 106
		refs = "001d ??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 0F 57 C0 4C 8D 4C 24 40 48 8D 4C 24 20 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 44 24 28 48 89 4C 24 28 48 89 43 08 48 8B 44 24 20 48 89 03 48 85 C9 74 24 F0 FF 49 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_620_25_0 {
	meta:
		name = "??0?$_Ptr_base@V__ExceptionPtr@@@std@@QEAA@$$QEAV01@@Z"
		size = 49
		altNames = "??0?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@$$QEAV01@@Z ??0?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@$$QEAV01@@Z ??0?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@$$QEAV01@@Z ??0?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAA@$$QEAV01@@Z ??0?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@$$QEAV01@@Z ??0?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@$$QEAV01@@Z ??0?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@$$QEAV01@@Z ??0?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@QEAA@$$QEAV01@@Z ??0?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@$$QEAV01@@Z ??0?$task@E@Concurrency@@QEAA@$$QEAV01@@Z ??0?$task@X@Concurrency@@QEAA@$$QEAV01@@Z ??0?$task@_N@Concurrency@@QEAA@$$QEAV01@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 4C 8B C9 48 3B CA 74 1C 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 48 8B 02 48 8B 09 49 89 01 48 89 0A 49 8B C1 C3 }
	condition:
		$1
}

rule file_620_27_0 {
	meta:
		name = "??0?$_Ref_count@V__ExceptionPtr@@@std@@QEAA@PEAV__ExceptionPtr@@@Z"
		size = 29
		refs = "0012 ??_7?$_Ref_count@V__ExceptionPtr@@@std@@6B@"
	strings:
		$1 = { B8 01 00 00 00 48 89 51 10 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_620_28_0 {
	meta:
		name = "??0?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@QEAA@PEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@V?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@@@@Z"
		size = 33
		refs = "0016 ??_7?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@6B@"
	strings:
		$1 = { B8 01 00 00 00 48 89 51 10 4C 89 41 18 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_620_30_0 {
	meta:
		name = "??0?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_41_1 {
	meta:
		name = "??$?0U?$_Task_impl@E@details@Concurrency@@X@?$shared_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@AEBV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_43_1 {
	meta:
		name = "??$?0U?$_Task_impl@_N@details@Concurrency@@X@?$shared_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@AEBV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@1@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_542_1 {
	meta:
		name = "??0?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@E@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_546_1 {
	meta:
		name = "??0?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_549_1 {
	meta:
		name = "??0?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXPEAU_ExceptionHolder@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_551_1 {
	meta:
		name = "??0?$shared_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_554_1 {
	meta:
		name = "??0?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_556_1 {
	meta:
		name = "??0?$task@E@Concurrency@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@E@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_559_1 {
	meta:
		name = "??0?$task@X@Concurrency@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@E@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_562_1 {
	meta:
		name = "??0?$task@_N@Concurrency@@QEAA@AEBV01@@Z"
		size = 39
		refs = "001a ?_Reset@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_32_0 {
	meta:
		name = "??0_Ref_count_base@std@@IEAA@XZ"
		size = 25
		refs = "0003 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 01 00 00 00 89 41 08 89 41 0C 48 8B C1 C3 }
	condition:
		$1
}

rule file_620_33_0 {
	meta:
		name = "??0__ExceptionPtr@@AEAA@PEBUEHExceptionRecord@@_N@Z"
		size = 408
		refs = "0078 memset 00ea __imp_EncodePointer 010c malloc 0113 _malloc_crt 0133 ?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z 0156 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0170 ??0exception@std@@QEAA@AEBQEBDH@Z 0177 ??_7bad_alloc@std@@6B@ 017e _TI2?AVbad_alloc@std@@ 018d _CxxThrowException 0193 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 50 44 88 81 98 00 00 00 8B 02 48 8B FA 89 01 8B 42 04 48 83 61 08 00 48 83 61 10 00 89 41 04 8B 42 18 33 D2 45 8A F0 48 8B D9 89 41 18 44 8D 42 0F 85 C0 74 16 41 3B D0 73 11 48 8B 44 D7 20 48 89 44 D1 20 FF C2 3B 51 18 72 EA 44 39 41 18 73 1A 8B 49 18 44 2B 43 18 33 D2 48 83 C1 04 49 C1 E0 03 48 8D 0C CB E8 ?? ?? ?? ?? 81 3F 63 73 6D E0 0F 85 B3 00 00 00 83 7F 18 04 0F 85 A9 00 00 00 8B 4F 20 8D 81 E0 FA 6C E6 83 F8 02 76 0C 81 F9 00 40 99 01 0F 85 8F 00 00 00 48 83 63 28 00 48 83 7F 28 00 48 8B 77 30 0F 84 D2 00 00 00 48 85 F6 0F 84 C9 00 00 00 83 7E 0C 00 0F 84 BF 00 00 00 48 63 4E 0C 48 8B 43 38 83 3C 01 00 0F 8E AD 00 00 00 48 8B CE FF 15 ?? ?? ?? ?? 48 8B 4B 38 48 89 43 30 48 63 46 0C 48 63 6C 08 04 48 03 E9 48 63 4D 14 45 84 F6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 34 4C 63 4D 14 4C 8B 47 28 48 8B D0 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 89 73 28 4C 8D 5C 24 50 48 8B C3 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 70 48 8D 4C 24 30 41 B8 01 00 00 00 48 89 44 24 70 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 48 89 44 24 30 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_620_47_0 {
	meta:
		name = "??1?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@XZ"
		size = 50
		altNames = "??1?$_RunAllParam@E@details@Concurrency@@QEAA@XZ ??1?$shared_ptr@U?$_Task_completion_event_impl@E@details@Concurrency@@@std@@QEAA@XZ ??1?$shared_ptr@U?$_Task_completion_event_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@QEAA@XZ ??1?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@XZ ??1?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@QEAA@XZ ??1?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@XZ ??1?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@XZ ??1?$shared_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@XZ ??1?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@QEAA@XZ ??1?$task@E@Concurrency@@QEAA@XZ ??1?$task@X@Concurrency@@QEAA@XZ ??1?$task@_N@Concurrency@@QEAA@XZ ??1?$task_completion_event@E@Concurrency@@QEAA@XZ ??1?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@QEAA@XZ ??1scheduler_ptr@Concurrency@@QEAA@XZ ?_Decref@?$_Ptr_base@U?$_Task_completion_event_impl@E@details@Concurrency@@@std@@QEAAXXZ ?_Decref@?$_Ptr_base@U?$_Task_completion_event_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@QEAAXXZ ?_Decref@?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXXZ ?_Decref@?$_Ptr_base@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@QEAAXXZ ?_Decref@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXXZ ?_Decref@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXXZ ?_Decref@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXXZ ?_Decref@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXXZ ?_Decref@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXXZ ?__ExceptionPtrDestroy@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_49_0 {
	meta:
		name = "??1__ExceptionPtr@@QEAA@XZ"
		size = 144
		refs = "0033 __imp_DecodePointer 0080 free 008b ?terminate@@YAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 81 39 63 73 6D E0 48 8B D9 75 73 83 79 18 04 75 6D 8B 49 20 8D 81 E0 FA 6C E6 83 F8 02 76 08 81 F9 00 40 99 01 75 57 48 8B 4B 30 FF 15 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 4B 48 8B 4B 28 48 85 C9 74 33 83 7A 04 00 4C 8B 4B 38 48 63 40 0C 4E 63 44 08 04 74 0B 48 63 42 04 49 03 C1 FF D0 EB 15 43 F6 04 08 08 74 0E 48 8B 09 48 85 C9 74 06 48 8B 01 FF 50 10 48 8B 4B 28 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_620_56_0 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 136
		altNames = "??4?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z ??4?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z ??4?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8D 44 24 20 0F 57 C0 48 8B F9 F3 0F 7F 44 24 20 48 3B C2 74 17 4C 8B 42 08 48 83 62 08 00 48 8B 02 48 83 22 00 48 89 44 24 20 EB 0A 4C 8B 44 24 28 48 8B 44 24 20 48 8B 49 08 4C 89 47 08 48 89 07 48 89 4C 24 28 48 85 C9 74 24 F0 FF 49 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_620_57_0 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 120
		refs = "0023 ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 4C 8B 42 08 48 8B 12 48 8B F9 0F 57 C0 48 8D 4C 24 20 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8B 57 08 48 8B 44 24 28 48 89 47 08 48 8B 44 24 20 48 89 54 24 28 48 89 07 48 85 D2 74 24 F0 FF 4A 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_783_1 {
	meta:
		name = "??4?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 120
		refs = "0023 ?_Reset@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 4C 8B 42 08 48 8B 12 48 8B F9 0F 57 C0 48 8D 4C 24 20 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8B 57 08 48 8B 44 24 28 48 89 47 08 48 8B 44 24 20 48 89 54 24 28 48 89 07 48 85 D2 74 24 F0 FF 4A 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_785_1 {
	meta:
		name = "??4?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 120
		refs = "0023 ?_Reset@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXPEAU_ExceptionHolder@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 4C 8B 42 08 48 8B 12 48 8B F9 0F 57 C0 48 8D 4C 24 20 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8B 57 08 48 8B 44 24 28 48 89 47 08 48 8B 44 24 20 48 89 54 24 28 48 89 07 48 85 D2 74 24 F0 FF 4A 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_620_62_0 {
	meta:
		name = "??_G?$shared_ptr@V__ExceptionPtr@@@std@@QEAAPEAXI@Z"
		size = 91
		refs = "0044 ??3@YAXPEAX@Z"
		altNames = "??_G?$_RunAllParam@E@details@Concurrency@@QEAAPEAXI@Z ??_G?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAPEAXI@Z ??_G?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 08 8B F2 48 8B F9 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 40 F6 C6 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_620_69_0 {
	meta:
		name = "??__E?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ"
		size = 32
		refs = "0007 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A 000c ?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 0013 ??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_132_2 {
	meta:
		name = "??__Einitlocks@@YAXXZ"
		size = 32
		refs = "0007 initlocks 000c ??0_Init_locks@std@@QEAA@XZ 0013 ??__Finitlocks@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_48_1 {
	meta:
		name = "??__Einitlocks@std@@YAXXZ"
		size = 32
		refs = "0007 initlocks 000c ??0_Init_locks@std@@QEAA@XZ 0013 ??__Finitlocks@std@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_620_70_0 {
	meta:
		name = "??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ"
		size = 53
		refs = "0009 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_71_0 {
	meta:
		name = "?_Assign_rv@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAX$$QEAV12@@Z"
		size = 34
		altNames = "?_Assign_rv@?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAX$$QEAV12@@Z ?_Assign_rv@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAX$$QEAV12@@Z ?_Assign_rv@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAX$$QEAV12@@Z ?_Assign_rv@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 3B CA 74 1C 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 48 8B 02 4C 8B 01 48 89 01 4C 89 02 C3 }
	condition:
		$1
}

rule file_620_72_0 {
	meta:
		name = "?_BadAllocException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 50
		refs = "0015 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A 0025 ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B D9 48 89 01 48 89 41 08 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_620_73_0 {
	meta:
		name = "?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z"
		size = 208
		refs = "0063 __AdjustPointer 00a3 memcpy"
	strings:
		$1 = { 48 8B C4 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 49 8B F8 4C 8B F2 4C 8B C1 48 8B 74 24 60 F6 06 01 75 69 48 63 46 18 33 DB 85 C0 74 09 48 8B C8 49 03 48 38 EB 03 48 8B CB 48 85 C9 74 4E F6 06 04 74 27 85 C0 74 07 48 8B D8 49 03 58 38 48 8D 56 08 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 41 B8 01 00 00 00 49 8B CE FF D3 EB 20 85 C0 74 07 48 8B D8 49 03 58 38 48 8D 56 08 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 49 8B CE FF D3 90 EB 21 4D 8B C1 48 8B D7 49 8B CE E8 ?? ?? ?? ?? F6 06 08 74 0E 48 8B 0F 48 85 C9 74 06 48 8B 01 FF 50 08 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_620_76_0 {
	meta:
		name = "?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z"
		size = 587
		refs = "0087 __imp_RtlPcToFileHeader 00d7 ??2@YAPEAX_K@Z 00f4 ??0__ExceptionPtr@@AEAA@PEBUEHExceptionRecord@@_N@Z 010b ??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@@Z 011f _malloc_crt 012b ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 014e ??0exception@std@@QEAA@AEBQEBDH@Z 0155 ??_7bad_alloc@std@@6B@ 0164 _TI2?AVbad_alloc@std@@ 0171 _CxxThrowException 01a7 ?_DeleteExceptionPtr@@YAXQEAV__ExceptionPtr@@@Z 01b4 ??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 53 56 57 41 56 48 81 EC E8 00 00 00 48 C7 40 B0 FE FF FF FF 45 8A F1 49 8B D8 48 8B F9 83 64 24 30 00 C7 44 24 60 63 73 6D E0 C7 44 24 64 01 00 00 00 48 83 64 24 68 00 48 83 64 24 70 00 C7 44 24 78 04 00 00 00 BE 20 05 93 19 89 B0 78 FF FF FF 48 89 50 80 48 85 DB 74 11 41 F6 00 10 74 0B 48 8B 02 48 8B 40 F8 48 8B 58 30 48 89 9C 24 90 00 00 00 48 8D 94 24 18 01 00 00 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 48 89 84 24 18 01 00 00 48 89 84 24 98 00 00 00 48 85 DB 74 20 B8 00 40 99 01 F6 03 08 74 09 89 84 24 80 00 00 00 EB 0D 48 85 C9 0F 44 F0 89 B4 24 80 00 00 00 0F 57 C0 F3 0F 7F 44 24 20 B9 A0 00 00 00 45 84 F6 74 48 E8 ?? ?? ?? ?? 48 89 84 24 20 01 00 00 48 85 C0 74 11 41 B0 01 48 8D 54 24 60 48 8B C8 E8 ?? ?? ?? ?? 90 0F 57 C0 F3 0F 7F 44 24 38 48 8B D0 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 8B 54 24 38 E9 A4 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 4D 48 8D 05 ?? ?? ?? ?? 48 89 84 24 20 01 00 00 41 B8 01 00 00 00 48 8D 94 24 20 01 00 00 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 84 24 A0 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 48 89 84 24 20 01 00 00 48 89 44 24 38 45 33 C0 48 8D 54 24 60 48 8B C8 E8 ?? ?? ?? ?? 90 0F 57 C0 F3 0F 7F 44 24 48 4C 8D 8C 24 28 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B 4C 24 50 48 8B 54 24 48 48 89 54 24 20 48 89 4C 24 28 48 83 27 00 48 83 67 08 00 48 8D 44 24 20 48 3B F8 74 13 48 8B 47 08 48 89 4F 08 48 8B C8 48 89 44 24 28 48 89 17 C7 44 24 30 01 00 00 00 48 85 C9 74 31 83 CE FF 8B C6 F0 0F C1 41 08 03 C6 75 23 48 8B 5C 24 28 48 8B 03 48 8B CB FF 10 8B C6 F0 0F C1 43 0C 03 C6 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 8B C7 EB 08 48 8B 84 24 10 01 00 00 48 81 C4 E8 00 00 00 41 5E 5F 5E 5B C3 CC }
	condition:
		$1
}

rule file_620_79_0 {
	meta:
		name = "?dtor$2@?0??_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z@4HA"
		size = 31
		refs = "0015 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 95 20 01 00 00 48 8B 4D 38 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_620_80_0 {
	meta:
		name = "?dtor$4@?0??_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z@4HA"
		size = 41
		refs = "001f ??1?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 10 83 65 30 FE 48 8B 8D 10 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_620_82_0 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z$0"
		size = 54
		refs = "0008 ?_BadAllocException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 0010 ??_7bad_alloc@std@@6B@ 0023 ??1exception@std@@UEAA@XZ 002b $LN26"
	strings:
		$1 = { 48 8B 8D 10 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 85 C0 00 00 00 48 8D 8D C0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_620_86_0 {
	meta:
		name = "?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 333
		refs = "0020 _getptd 007a ??2@YAPEAX_K@Z 009e ??0__ExceptionPtr@@AEAA@PEBUEHExceptionRecord@@_N@Z 00b5 ??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@AEAAXPEAV__ExceptionPtr@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 60 48 C7 40 C0 FE FF FF FF 48 89 58 18 48 8B F9 83 60 B8 00 E8 ?? ?? ?? ?? 48 83 B8 F0 00 00 00 00 0F 84 F1 00 00 00 E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 0F 85 DF 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 39 4D 4F 43 E0 0F 84 C7 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 39 52 43 43 E0 0F 84 AF 00 00 00 B9 A0 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 78 48 85 C0 74 18 E8 ?? ?? ?? ?? 41 B0 01 48 8B 90 F0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 90 0F 57 C0 F3 0F 7F 44 24 30 48 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 27 00 48 83 67 08 00 48 8D 44 24 30 48 3B F8 74 1C 48 8B 4F 08 48 8B 44 24 38 48 89 47 08 48 89 4C 24 38 48 8B 44 24 30 48 89 07 EB 05 48 8B 4C 24 38 C7 44 24 20 01 00 00 00 48 85 C9 74 24 F0 FF 49 08 75 1E 48 8B 5C 24 38 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 38 48 8B 01 FF 50 08 48 8B C7 EB 1B 48 83 27 00 48 83 67 08 00 C7 44 24 20 01 00 00 00 48 8B C7 EB 05 48 8B 44 24 70 48 8B 9C 24 80 00 00 00 48 83 C4 60 5F C3 CC }
	condition:
		$1
}

rule file_620_87_0 {
	meta:
		name = "?dtor$0@?0??_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ@4HA"
		size = 38
		refs = "001c ??1?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 70 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_620_90_0 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$0"
		size = 45
		refs = "0005 ?_BadAllocException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 000d ??_7bad_alloc@std@@6B@ 001a ??1exception@std@@UEAA@XZ 0022 $LN18"
	strings:
		$1 = { 48 8B 4D 70 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 45 40 48 8D 4D 40 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_620_95_0 {
	meta:
		name = "?_Decref@_Ref_count_base@std@@QEAAXXZ"
		size = 41
	strings:
		$1 = { 40 53 48 83 EC 20 F0 FF 49 08 48 8B D9 75 14 48 8B 01 FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_96_0 {
	meta:
		name = "?_Decwref@_Ref_count_base@std@@QEAAXXZ"
		size = 21
	strings:
		$1 = { 48 83 EC 28 F0 FF 49 0C 75 06 48 8B 01 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_620_97_0 {
	meta:
		name = "?_DeleteExceptionPtr@@YAXQEAV__ExceptionPtr@@@Z"
		size = 27
		refs = "000a ??1__ExceptionPtr@@QEAA@XZ 0017 free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_620_98_0 {
	meta:
		name = "?_Delete_this@?$_Ref_count@V__ExceptionPtr@@@std@@EEAAXXZ"
		size = 25
		altNames = "?_Delete_this@?$_Ref_count_obj@U?$_Task_impl@E@details@Concurrency@@@std@@EEAAXXZ ?_Delete_this@?$_Ref_count_obj@U?$_Task_impl@_N@details@Concurrency@@@std@@EEAAXXZ ?_Delete_this@?$_Ref_count_obj@U_ExceptionHolder@details@Concurrency@@@std@@EEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_620_99_0 {
	meta:
		name = "?_Delete_this@?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@EEAAXXZ"
		size = 30
		refs = "001a free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 33 D2 48 8B D9 FF 50 10 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_620_100_0 {
	meta:
		name = "?_Destroy@?$_Ref_count@V__ExceptionPtr@@@std@@EEAAXXZ"
		size = 37
		refs = "0013 ??1__ExceptionPtr@@QEAA@XZ 001b ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 10 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_105_0 {
	meta:
		name = "?_Get_deleter@?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@UEBAPEAXAEBVtype_info@@@Z"
		size = 45
		refs = "000f ??_R0P6AXPEAV__ExceptionPtr@@@Z@8 0017 ??8type_info@@QEBA_NAEBV0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B D9 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 4B 18 F6 D8 48 1B C0 48 23 C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_108_0 {
	meta:
		name = "?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 123
		refs = "001f ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0036 ??0exception@std@@QEAA@AEBQEBDH@Z 003d ??_7bad_alloc@std@@6B@ 004c _TI2?AVbad_alloc@std@@ 0059 ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z 0069 ??1exception@std@@UEAA@XZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 50 49 C7 43 D0 FE FF FF FF 49 89 5B 10 48 8B D9 83 64 24 20 00 48 8D 05 ?? ?? ?? ?? 49 89 43 08 41 B8 01 00 00 00 49 8D 53 08 49 8D 4B D8 E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 48 89 7C 24 30 45 33 C9 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 90 48 89 7C 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_620_112_0 {
	meta:
		name = "?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
		size = 105
		altNames = "?_Reset@?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@E@details@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXPEAU_ExceptionHolder@details@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@2@@Z ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F8 48 8B EA 48 8B F1 4D 85 C0 74 05 F0 41 FF 40 08 48 8B 59 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 8B 5C 24 30 48 89 2E 48 8B 6C 24 38 48 89 7E 08 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_620_113_0 {
	meta:
		name = "?_RethrowException@__ExceptionPtr@@QEBAXXZ"
		size = 488
		refs = "0026 __security_cookie 00dc __imp_DecodePointer 013e __chkstk 0156 ?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z 017d __imp_RaiseException 018c __security_check_cookie 01b1 ??_C@_0O@DPKOEFFH@bad?5exception?$AA@ 01c2 ??0exception@std@@QEAA@AEBQEBD@Z 01c9 ??_7bad_exception@std@@6B@ 01d0 _TI2?AVbad_exception@std@@ 01dd _CxxThrowException 01e3 ?terminate@@YAXXZ"
	strings:
		$1 = { 40 55 48 81 EC 00 01 00 00 48 8D 6C 24 30 48 89 9D E8 00 00 00 48 89 B5 F0 00 00 00 48 89 BD F8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 85 C0 00 00 00 48 8B F9 48 85 C9 0F 84 6E 01 00 00 0F 10 07 0F 10 4F 10 48 8D 4D 20 BA 80 00 00 00 48 8B 44 17 10 8D 72 8F 0F 11 01 0F 10 47 20 0F 11 49 10 0F 10 4F 30 0F 11 41 20 0F 10 47 40 0F 11 49 30 0F 10 4F 50 0F 11 41 40 0F 10 47 60 0F 11 49 50 0F 10 0C 17 0F 11 41 60 0F 10 47 70 0F 11 44 11 F0 0F 11 0C 11 48 89 44 11 10 44 8B 55 20 44 8B 45 38 41 81 FA 63 73 6D E0 0F 85 B4 00 00 00 41 83 F8 04 0F 85 AA 00 00 00 8B 4D 40 8D 81 E0 FA 6C E6 83 F8 02 76 0C 81 F9 00 40 99 01 0F 85 9B 00 00 00 48 8B 4D 50 FF 15 ?? ?? ?? ?? 4C 8B 45 48 4D 85 C0 0F 84 F5 00 00 00 48 85 C0 0F 84 EC 00 00 00 83 78 0C 00 0F 84 E2 00 00 00 48 8B 57 38 48 63 48 0C 83 3C 11 00 0F 8E D0 00 00 00 48 89 45 50 48 63 40 0C 48 63 4C 10 04 48 03 CA 4C 63 49 14 4A 8D 04 0E 49 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 89 4C 24 20 48 8D 5C 24 30 48 8B CF 48 8B D3 E8 ?? ?? ?? ?? 44 8B 45 38 44 8B 55 20 48 89 5D 48 44 3B C6 44 0F 47 C6 44 89 45 38 8B 55 24 4C 8D 4D 40 41 8B CA FF 15 ?? ?? ?? ?? 48 8B 8D C0 00 00 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 9D E8 00 00 00 48 8B B5 F0 00 00 00 48 8B BD F8 00 00 00 48 8D A5 D0 00 00 00 5D C3 48 8D 05 ?? ?? ?? ?? 48 8D 55 00 48 8D 4D 08 48 89 45 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 08 48 89 45 08 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_620_114_0 {
	meta:
		name = "?_Swap@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXAEAV12@@Z"
		size = 29
		altNames = "?_Swap@?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXAEAV12@@Z ?_Swap@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXAEAV12@@Z ?_Swap@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXAEAV12@@Z ?_Swap@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXAEAV12@@Z ?__ExceptionPtrSwap@@YAXPEAX0@Z ?swap@?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAXAEAV12@@Z ?swap@?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXAEAV12@@Z ?swap@?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXAEAV12@@Z ?swap@?$shared_ptr@V__ExceptionPtr@@@std@@QEAAXAEAV12@@Z"
	strings:
		$1 = { 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 48 8B 02 4C 8B 01 48 89 01 4C 89 02 C3 }
	condition:
		$1
}

rule file_620_117_0 {
	meta:
		name = "?__ExceptionPtrCopy@@YAXPEAXPEBX@Z"
		size = 35
		refs = "001a ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 15 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_620_118_0 {
	meta:
		name = "?__ExceptionPtrCopyException@@YAXPEAXPEBX1@Z"
		size = 78
		refs = "0012 ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z 001d ??4?$shared_ptr@V__ExceptionPtr@@@std@@QEAAAEAV01@$$QEAV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 48 8D 4C 24 20 41 B1 01 E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? 48 8B 5C 24 28 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_620_120_0 {
	meta:
		name = "?__ExceptionPtrCurrentException@@YAXPEAX@Z"
		size = 107
		refs = "0018 ?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 0039 ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 85 DB 74 1C 48 83 23 00 48 83 63 08 00 4C 8B 44 24 30 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 5C 24 30 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_620_126_0 {
	meta:
		name = "?allocate@?$_DebugMallocator@V?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@@@QEBAPEAV?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@std@@_K@Z"
		size = 171
		refs = "0028 _malloc_crt 0036 ??_C@_0DE@EODPDEIB@_DebugMallocator?$DMT?$DO?3?3allocate?$CI?$CJ?5@ 004a ??0exception@std@@QEAA@AEBQEBD@Z 0051 ??_7length_error@std@@6B@ 0058 _TI3?AVlength_error@std@@ 0067 _CxxThrowException 006f ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0089 ??0exception@std@@QEAA@AEBQEBDH@Z 0090 ??_7bad_alloc@std@@6B@ 0097 _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 07 33 C0 48 83 C4 48 C3 48 B8 66 66 66 66 66 66 66 06 48 3B D0 77 14 48 8D 0C 92 48 C1 E1 03 E8 ?? ?? ?? ?? 48 85 C0 75 DA EB 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_620_127_0 {
	meta:
		name = "?allocate@?$_DebugMallocator@V__ExceptionPtr@@@@QEBAPEAV__ExceptionPtr@@_K@Z"
		size = 171
		refs = "0028 _malloc_crt 0036 ??_C@_0DE@EODPDEIB@_DebugMallocator?$DMT?$DO?3?3allocate?$CI?$CJ?5@ 004a ??0exception@std@@QEAA@AEBQEBD@Z 0051 ??_7length_error@std@@6B@ 0058 _TI3?AVlength_error@std@@ 0067 _CxxThrowException 006f ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0089 ??0exception@std@@QEAA@AEBQEBDH@Z 0090 ??_7bad_alloc@std@@6B@ 0097 _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 07 33 C0 48 83 C4 48 C3 48 B8 99 99 99 99 99 99 99 01 48 3B D0 77 14 48 8D 0C 92 48 C1 E1 05 E8 ?? ?? ?? ?? 48 85 C0 75 DA EB 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_621_0_0 {
	meta:
		name = "_errcode"
		size = 67
	strings:
		$1 = { 8B C1 F6 C1 20 74 07 B9 05 00 00 00 EB 32 A8 08 74 07 B9 01 00 00 00 EB 27 A8 04 74 07 B9 02 00 00 00 EB 1C B9 01 00 00 00 84 C1 74 07 B9 03 00 00 00 EB 0C 0F B6 C0 B9 02 00 00 00 23 C8 03 C9 8B C1 C3 }
	condition:
		$1
}

rule file_621_1_0 {
	meta:
		name = "_except1"
		size = 239
		refs = "001c __security_cookie 0044 _handle_exc 0075 _raise_exc_ex 0080 _errcode 0086 _matherr_flag 00ac _umatherr 00b5 _set_errno_from_matherr 00c2 _ctrlfp 00d3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 8D 68 A9 48 81 EC E0 00 00 00 0F 29 70 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 48 8B 5D 7F 8B F2 48 8D 55 9F F2 0F 11 55 A7 F2 0F 11 5D 9F 0F 28 F2 4C 8B C3 8B F9 E8 ?? ?? ?? ?? 85 C0 75 31 21 44 24 30 83 65 EF FE 48 8D 45 9F 48 89 44 24 28 48 8D 45 A7 48 8D 55 7F 48 8D 4D AF 44 8B CE 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5D 7F 8B CF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 25 85 C0 74 21 F2 0F 10 45 9F 0F 57 DB 0F 28 D6 8B D6 8B C8 48 89 5C 24 28 F2 0F 11 44 24 20 E8 ?? ?? ?? ?? EB 19 8B C8 E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 9F 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 28 41 0F 28 73 F0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_621_2_0 {
	meta:
		name = "_except2"
		size = 260
		refs = "0020 __security_cookie 0046 _handle_exc 0085 _raise_exc_ex 0090 _errcode 0096 _matherr_flag 00bc _umatherr 00c5 _set_errno_from_matherr 00d2 _ctrlfp 00e3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 8D 68 B1 48 81 EC F0 00 00 00 0F 29 70 D8 0F 29 78 C8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8B 5D 7F 8B F2 48 8D 55 77 F2 0F 11 55 87 0F 28 F3 0F 28 FA 4C 8B C3 8B F9 E8 ?? ?? ?? ?? 85 C0 75 3F 8B 45 D7 83 64 24 30 00 48 8D 55 7F F2 0F 11 75 C7 83 E0 E3 48 8D 4D 97 44 8B CE 83 C8 03 44 8B C7 89 45 D7 48 8D 45 77 48 89 44 24 28 48 8D 45 87 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5D 7F 8B CF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 25 85 C0 74 21 F2 0F 10 45 77 0F 28 DE 0F 28 D7 8B D6 8B C8 48 89 5C 24 28 F2 0F 11 44 24 20 E8 ?? ?? ?? ?? EB 19 8B C8 E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 77 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 00 00 00 49 8B 5B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_621_3_0 {
	meta:
		name = "_get_fname"
		size = 49
		refs = "0003 ?_names@?1??_get_fname@@9@9"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 33 D2 49 8B C1 39 08 74 15 4C 8D 05 ?? ?? ?? ?? 48 83 C0 10 FF C2 49 3B C0 7C EA 33 C0 C3 48 63 C2 48 03 C0 49 8B 44 C1 08 C3 }
	condition:
		$1
}

rule file_621_4_0 {
	meta:
		name = "_handle_exc"
		size = 610
		refs = "003d _set_statfp 00b2 __real@0000000000000000 00ba _d_max 0104 _d_inf 0115 __xmm@80000000000000008000000000000000 015f _decomp"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 8B D9 0F 29 74 24 20 83 E3 1F 4D 8B F8 48 8B F2 44 8B E1 45 8D 6E 10 F6 C1 08 74 16 45 84 FF 79 11 41 8D 4E 01 E8 ?? ?? ?? ?? 83 E3 F7 E9 DD 01 00 00 B9 04 00 00 00 44 84 E1 74 14 49 0F BA E0 09 73 0D E8 ?? ?? ?? ?? 83 E3 FB E9 BF 01 00 00 BF 01 00 00 00 44 84 E7 0F 84 B0 00 00 00 49 0F BA E0 0A 0F 83 A5 00 00 00 8D 4F 07 E8 ?? ?? ?? ?? 49 8B C7 B9 00 60 00 00 48 23 C1 74 5D 48 3D 00 20 00 00 74 3D 48 3D 00 40 00 00 74 1D 48 3B C1 75 73 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 77 59 EB 50 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 77 30 F2 0F 10 05 ?? ?? ?? ?? EB 38 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 76 22 F2 0F 10 05 ?? ?? ?? ?? EB 27 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 0F F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? F2 0F 11 06 83 E3 FE E9 01 01 00 00 41 F6 C4 02 0F 84 F7 00 00 00 49 0F BA E0 0B 0F 83 EC 00 00 00 F2 0F 10 02 45 84 E5 0F 57 F6 41 8B EE 0F 45 EF 66 0F 2E C6 7A 09 75 07 8B EF E9 BE 00 00 00 48 8D 54 24 70 E8 ?? ?? ?? ?? 8B 4C 24 70 81 C1 00 FA FF FF F2 0F 11 84 24 88 00 00 00 81 F9 CE FB FF FF 7D 0B F2 0F 59 C6 8B EF E9 8A 00 00 00 48 8B 84 24 88 00 00 00 66 0F 2F F0 45 8B C6 41 0F 97 C0 48 C1 E8 30 66 83 E0 0F 66 41 0B C5 66 89 84 24 8E 00 00 00 81 F9 03 FC FF FF 7D 46 8B 84 24 88 00 00 00 BA 03 FC FF FF 2B D1 8B 8C 24 8C 00 00 00 40 84 C7 74 05 85 ED 0F 44 EF D1 E8 89 84 24 88 00 00 00 40 84 CF 74 0B 0F BA E8 1F 89 84 24 88 00 00 00 D1 E9 48 2B D7 75 D6 89 8C 24 8C 00 00 00 F2 0F 10 84 24 88 00 00 00 45 85 C0 74 07 0F 57 05 ?? ?? ?? ?? F2 0F 11 06 85 ED 74 08 49 8B CD E8 ?? ?? ?? ?? 83 E3 FD 45 84 E5 74 14 49 0F BA E7 0C 73 0D B9 20 00 00 00 E8 ?? ?? ?? ?? 83 E3 EF 0F 28 74 24 20 85 DB 48 8B 5C 24 78 41 0F 94 C6 41 8B C6 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_621_5_0 {
	meta:
		name = "_handle_qnan1"
		size = 95
		refs = "0008 _matherr_flag 0033 _umatherr 003a _errno 004d _ctrlfp"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 0F 29 74 24 30 49 8B D8 0F 28 F1 75 1F 8B D1 0F 57 DB 0F 28 D1 B9 01 00 00 00 48 89 5C 24 28 F2 0F 11 4C 24 20 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CB C7 00 21 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 30 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_621_6_0 {
	meta:
		name = "_handle_qnan2"
		size = 99
		refs = "0008 _matherr_flag 0037 _umatherr 003e _errno 0051 _ctrlfp"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 0F 29 74 24 30 0F 28 F1 F2 0F 58 F2 49 8B D9 75 1F 0F 28 DA 8B D1 0F 28 D1 B9 01 00 00 00 48 89 5C 24 28 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? EB 1B E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CB C7 00 21 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 30 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_621_7_0 {
	meta:
		name = "_raise_exc"
		size = 39
		refs = "001e _raise_exc_ex"
	strings:
		$1 = { 48 83 EC 48 83 64 24 30 00 48 8B 44 24 78 48 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_621_8_0 {
	meta:
		name = "_raise_exc_ex"
		size = 771
		refs = "0111 _statfp 024e _clrfp 0260 __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 48 8B EC 48 83 EC 20 48 8B DA 33 D2 41 8B F1 89 51 04 48 8B 45 10 BF 0D 00 00 C0 89 50 08 48 8B 45 10 89 50 0C 41 F6 C0 10 74 0D 48 8B 45 10 BF 8F 00 00 C0 83 48 04 01 41 F6 C0 02 74 0D 48 8B 45 10 BF 93 00 00 C0 83 48 04 02 41 F6 C0 01 74 0D 48 8B 45 10 BF 91 00 00 C0 83 48 04 04 41 F6 C0 04 74 0D 48 8B 45 10 BF 8E 00 00 C0 83 48 04 08 41 F6 C0 08 74 0D 48 8B 45 10 BF 90 00 00 C0 83 48 04 10 48 8B 4D 10 48 8B 03 48 C1 E8 07 C1 E0 04 F7 D0 33 41 08 83 E0 10 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 09 C1 E0 03 F7 D0 33 41 08 83 E0 08 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 0A C1 E0 02 F7 D0 33 41 08 83 E0 04 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 0B 03 C0 F7 D0 33 41 08 83 E0 02 31 41 08 8B 03 48 8B 4D 10 48 C1 E8 0C F7 D0 33 41 08 83 E0 01 31 41 08 E8 ?? ?? ?? ?? 48 8B D0 A8 01 74 08 48 8B 4D 10 83 49 0C 10 A8 04 74 08 48 8B 4D 10 83 49 0C 08 A8 08 74 08 48 8B 45 10 83 48 0C 04 F6 C2 10 74 08 48 8B 45 10 83 48 0C 02 F6 C2 20 74 08 48 8B 45 10 83 48 0C 01 8B 03 B9 00 60 00 00 48 23 C1 74 3E 48 3D 00 20 00 00 74 26 48 3D 00 40 00 00 74 0E 48 3B C1 75 30 48 8B 45 10 83 08 03 EB 27 48 8B 45 10 83 20 FE 48 8B 45 10 83 08 02 EB 17 48 8B 45 10 83 20 FD 48 8B 45 10 83 08 01 EB 07 48 8B 45 10 83 20 FC 48 8B 45 10 81 E6 FF 0F 00 00 81 20 1F 00 FE FF 48 8B 45 10 C1 E6 05 09 30 48 8B 45 10 48 8B 75 38 83 48 20 01 83 7D 40 00 74 33 48 8B 45 10 BA E1 FF FF FF 21 50 20 48 8B 45 30 8B 08 48 8B 45 10 89 48 10 48 8B 45 10 83 48 60 01 48 8B 45 10 21 50 60 48 8B 45 10 8B 0E 89 48 50 EB 48 48 8B 4D 10 41 B8 E3 FF FF FF 8B 41 20 41 23 C0 83 C8 02 89 41 20 48 8B 45 30 48 8B 08 48 8B 45 10 48 89 48 10 48 8B 45 10 83 48 60 01 48 8B 55 10 8B 42 60 41 23 C0 83 C8 02 89 42 60 48 8B 45 10 48 8B 16 48 89 50 50 E8 ?? ?? ?? ?? 33 D2 4C 8D 4D 10 44 8D 42 01 8B CF FF 15 ?? ?? ?? ?? 48 8B 4D 10 F6 41 08 10 74 05 48 0F BA 33 07 F6 41 08 08 74 05 48 0F BA 33 09 F6 41 08 04 74 05 48 0F BA 33 0A F6 41 08 02 74 05 48 0F BA 33 0B F6 41 08 01 74 05 48 0F BA 33 0C 8B 01 83 E0 03 74 2D FF C8 74 1D FF C8 74 0D FF C8 75 28 48 81 0B 00 60 00 00 EB 1F 48 0F BA 33 0D 48 0F BA 2B 0E EB 13 48 0F BA 33 0E 48 0F BA 2B 0D EB 07 48 81 23 FF 9F FF FF 83 7D 40 00 74 07 8B 41 50 89 06 EB 07 48 8B 41 50 48 89 06 48 8B 5C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_621_9_0 {
	meta:
		name = "_raise_excf"
		size = 42
		refs = "0021 _raise_exc_ex"
	strings:
		$1 = { 48 83 EC 48 48 8B 44 24 78 C7 44 24 30 01 00 00 00 48 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_621_10_0 {
	meta:
		name = "_set_errno_from_matherr"
		size = 46
		refs = "0012 _errno"
	strings:
		$1 = { 48 83 EC 28 83 F9 01 74 15 8D 41 FE 83 F8 01 77 18 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_621_11_0 {
	meta:
		name = "_umatherr"
		size = 212
		refs = "0014 ?_names@?1??_get_fname@@9@9 0098 _ctrlfp 00a2 _matherr 00ad _set_errno_from_matherr"
	strings:
		$1 = { F2 0F 11 5C 24 20 F2 0F 11 54 24 18 53 48 83 EC 50 4C 8D 0D ?? ?? ?? ?? 8B D9 45 33 C0 49 8B C1 39 10 74 17 48 8D 0D ?? ?? ?? ?? 48 83 C0 10 41 FF C0 48 3B C1 7C E9 33 C0 EB 0B 49 63 C0 48 03 C0 49 8B 44 C1 08 48 8B 8C 24 88 00 00 00 48 89 44 24 28 BA C0 FF 00 00 48 85 C0 74 5C 8B 44 24 70 89 5C 24 20 89 44 24 30 8B 44 24 74 89 44 24 34 8B 44 24 78 89 44 24 38 8B 44 24 7C 89 44 24 3C 8B 84 24 80 00 00 00 89 44 24 40 8B 84 24 84 00 00 00 89 44 24 44 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 44 24 40 EB 15 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? F2 0F 10 84 24 80 00 00 00 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_622_0_0 {
	meta:
		name = "__sse2_coshf4"
		size = 416
		refs = "0032 __common_scosh_data 0193 __common_scosh_cout_rare"
	strings:
		$1 = { 48 81 EC F8 00 00 00 44 0F 29 AC 24 E0 00 00 00 44 0F 29 94 24 C0 00 00 00 44 0F 29 8C 24 D0 00 00 00 4C 89 AC 24 F0 00 00 00 4C 8D 6C 24 6F 0F 28 1D ?? ?? ?? ?? 49 83 E5 C0 0F 28 15 ?? ?? ?? ?? 0F 55 D8 0F 59 D3 44 0F 28 CB 44 0F 28 2D ?? ?? ?? ?? 66 0F 6F 0D ?? ?? ?? ?? 41 0F 58 D5 66 44 0F 66 C9 66 0F 76 CB 66 44 0F EB C9 0F 28 CA 41 0F 50 D1 66 0F 72 F2 17 44 0F 28 0D ?? ?? ?? ?? 41 0F 5C CD 44 0F 28 2D ?? ?? ?? ?? 85 D2 44 0F 59 E9 44 0F 59 C9 41 0F 5C DD 44 0F 28 15 ?? ?? ?? ?? 41 0F 5C D9 0F 28 CB 0F 59 CB 0F 28 2D ?? ?? ?? ?? 44 0F 59 D1 0F 59 E9 44 0F 58 15 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 44 0F 59 D1 0F 59 E9 44 0F 59 D3 0F 58 2D ?? ?? ?? ?? 44 0F 58 D3 0F 59 E9 66 0F 6F 25 ?? ?? ?? ?? 66 44 0F 6F CC 66 0F FA E2 66 44 0F FE CA 66 41 0F 6F D1 44 0F 58 CC 0F 5C D4 41 0F 59 E9 41 0F 59 D2 0F 58 D5 41 0F 58 D1 75 2E 44 0F 28 8C 24 D0 00 00 00 0F 28 C2 44 0F 28 94 24 C0 00 00 00 44 0F 28 AC 24 E0 00 00 00 4C 8B AC 24 F0 00 00 00 48 81 C4 F8 00 00 00 C3 41 0F 29 45 00 41 0F 29 55 40 74 C6 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 55 40 EB 8E 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB D7 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_623_1_0 {
	meta:
		name = "rand_s"
		size = 314
		refs = "001b g_pfnRtlGenRandom 0021 __imp_DecodePointer 002e _errno 003a _invalid_parameter_noinfo 0055 ??_C@_1BK@GAEMIDIL@?$AAA?$AAD?$AAV?$AAA?$AAP?$AAI?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 0063 __imp_LoadLibraryExW 0071 __imp_GetLastError 0097 ??_C@_0BC@JEAENNKH@SystemFunction036?$AA@ 00a0 __imp_GetProcAddress 00bd _get_errno_from_oserr 00dc __imp_EncodePointer 00fc __imp_FreeLibrary"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 4C 8B F1 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F8 4D 85 F6 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 DF 00 00 00 41 83 26 00 48 85 C0 0F 85 AE 00 00 00 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 25 FF 15 ?? ?? ?? ?? 83 F8 57 75 B3 48 8D 0D ?? ?? ?? ?? 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 99 48 8D 15 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 2B E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 4D 48 8B C8 FF 15 ?? ?? ?? ?? 33 C9 48 8B D8 FF 15 ?? ?? ?? ?? 48 87 1D ?? ?? ?? ?? 48 3B D8 74 09 48 8B CE FF 15 ?? ?? ?? ?? BA 04 00 00 00 49 8B CE FF D7 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_624_0_0 {
	meta:
		name = "_spawnle"
		size = 222
		refs = "0017 __security_cookie 0034 _errno 003f _invalid_parameter_noinfo 007a _capture_argv 00a2 _spawnve 00bc free 00cf __security_check_cookie"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 49 8B C0 48 8B FA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 7A 80 3A 00 74 E5 48 85 C0 74 E0 41 80 38 00 74 DA 48 8D 8C 24 78 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 4C 24 20 48 8B D7 49 83 C1 08 4C 8B C0 8B CE 4C 89 4C 24 20 4D 8B 49 F8 48 83 64 24 20 00 48 8B D8 E8 ?? ?? ?? ?? 48 8B F8 48 85 DB 74 12 48 8D 44 24 30 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1250_0_0 {
	meta:
		name = "_spawnlpe"
		size = 222
		refs = "0017 __security_cookie 0034 _errno 003f _invalid_parameter_noinfo 007a _capture_argv 00a2 _spawnvpe 00bc free 00cf __security_check_cookie"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 49 8B C0 48 8B FA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 7A 80 3A 00 74 E5 48 85 C0 74 E0 41 80 38 00 74 DA 48 8D 8C 24 78 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 4C 24 20 48 8B D7 49 83 C1 08 4C 8B C0 8B CE 4C 89 4C 24 20 4D 8B 49 F8 48 83 64 24 20 00 48 8B D8 E8 ?? ?? ?? ?? 48 8B F8 48 85 DB 74 12 48 8D 44 24 30 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_626_0_0 {
	meta:
		name = "roundl"
		size = 101
		refs = "0015 _ld_int 004a __real@bff0000000000000 0054 __real@3ff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F BF C8 FF C9 83 F9 01 76 37 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 26 F2 0F 10 44 24 30 B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 58 05 ?? ?? ?? ?? EB 10 F2 0F 58 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1205_0_0 {
	meta:
		name = "round"
		size = 101
		refs = "0015 _d_int 004a __real@bff0000000000000 0054 __real@3ff0000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F BF C8 FF C9 83 F9 01 76 37 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 26 F2 0F 10 44 24 30 B8 00 80 00 00 66 85 44 24 36 74 0A F2 0F 58 05 ?? ?? ?? ?? EB 10 F2 0F 58 05 ?? ?? ?? ?? EB 06 F2 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_627_0_0 {
	meta:
		name = "_fputwc_nolock"
		size = 499
		refs = "0015 __security_cookie 0035 _fileno 003c __badioinfo 0043 __pioinfo 0136 wctomb_s 0178 _flsbuf 01cf _flswbuf 01dc __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 56 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 F6 42 18 40 48 8B FA 0F B7 F1 0F 85 79 01 00 00 48 8B CA E8 ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 4C 8D 35 ?? ?? ?? ?? 83 F8 FF 74 31 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 24 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 48 6B C8 58 49 03 0C DE EB 03 48 8B CD 8A 41 38 24 7F 3C 02 0F 84 06 01 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 31 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 24 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 48 6B C8 58 49 03 0C DE EB 03 48 8B CD 8A 41 38 24 7F 3C 01 0F 84 B8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 2F 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 22 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 48 6B E8 58 49 03 2C DE F6 45 08 80 0F 84 89 00 00 00 48 8D 54 24 24 48 8D 4C 24 20 44 0F B7 CE 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 33 DB 85 C0 74 0A B8 FF FF 00 00 E9 89 00 00 00 39 5C 24 20 7E 3E 4C 8D 74 24 24 FF 4F 08 78 16 48 8B 0F 41 8A 06 88 01 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0E 41 0F BE 0E 48 8B D7 E8 ?? ?? ?? ?? 8B C8 83 F9 FF 74 BD FF C3 49 FF C6 3B 5C 24 20 7C C7 0F B7 C6 EB 40 48 63 4F 08 48 83 C1 FE 89 4F 08 85 C9 78 26 48 8B 0F 66 89 31 EB 15 48 63 47 08 48 83 C0 FE 89 47 08 85 C0 78 0F 48 8B 07 66 89 30 48 83 07 02 0F B7 C6 EB 0B 48 8B D7 0F B7 CE E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 6C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_628_0_0 {
	meta:
		name = "_finite"
		size = 42
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 48 8B 44 24 08 48 23 C1 48 B9 00 00 00 00 00 00 F0 7F 48 2B C1 48 C1 E8 3F C3 }
	condition:
		$1
}

rule file_629_0_0 {
	meta:
		name = "_recalloc"
		size = 134
		refs = "002b _errno 0043 _msize 0051 realloc 006f memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 48 8B DA 48 8B F1 48 85 D2 74 1D 33 D2 48 8D 47 E0 48 F7 F3 49 3B C0 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 3D 49 0F AF D8 48 85 C9 74 08 E8 ?? ?? ?? ?? 48 8B F8 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 16 48 3B FB 73 11 48 2B DF 48 8D 0C 07 33 D2 4C 8B C3 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_630_27_0 {
	meta:
		name = "?AddToRunnablesCollection@FairScheduleGroupSegment@details@Concurrency@@EEAAXPEAVInternalContextBase@23@@Z"
		size = 87
		refs = "0020 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0053 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
		altNames = "?AddToRunnablesCollection@CacheLocalScheduleGroupSegment@details@Concurrency@@EEAAXPEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 99 00 02 00 00 48 8B F1 48 8B FA 48 8B CB E8 ?? ?? ?? ?? 4C 8D 87 68 01 00 00 48 8B CB 49 83 20 00 48 8B 86 F8 01 00 00 48 89 38 4C 89 86 F8 01 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_630_28_0 {
	meta:
		name = "?Enqueue@?$SQueue@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 23
	strings:
		$1 = { 4C 8D 82 68 01 00 00 49 83 20 00 48 8B 41 08 48 89 10 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_630_29_0 {
	meta:
		name = "?Enqueue@?$SafeSQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 76
		refs = "001a ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0048 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 10 48 8B FA E8 ?? ?? ?? ?? 4C 8D 87 68 01 00 00 48 8D 4E 10 49 83 20 00 48 8B 46 08 48 89 38 4C 89 46 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_630_30_0 {
	meta:
		name = "?FindSegment@FairScheduleGroup@details@Concurrency@@MEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@PEAVSchedulingRing@23@@Z"
		size = 45
		refs = "001e ?FindSegment@ScheduleGroupBase@details@Concurrency@@MEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@PEAVSchedulingRing@23@@Z"
	strings:
		$1 = { 48 83 EC 48 83 64 24 20 00 F6 41 50 04 0F 57 C0 F3 0F 7F 44 24 28 74 0C 48 8D 54 24 20 E8 ?? ?? ?? ?? EB 04 48 8B 41 70 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_630_31_0 {
	meta:
		name = "?LocateSegment@FairScheduleGroup@details@Concurrency@@UEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@_N@Z"
		size = 157
		refs = "0023 ?LocateSegment@ScheduleGroupBase@details@Concurrency@@UEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@_N@Z 004b ?_Sleep0@details@Concurrency@@YAXXZ 005a ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0078 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 0088 ?CreateSegment@ScheduleGroupBase@details@Concurrency@@IEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@PEAVSchedulingRing@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 83 64 24 20 00 F6 41 50 04 0F 57 C0 48 8B D9 F3 0F 7F 44 24 28 74 0C 48 8D 54 24 20 E8 ?? ?? ?? ?? EB 6E 48 8B 41 70 45 84 C0 74 65 48 85 C0 75 60 B8 01 00 00 00 87 41 10 85 C0 74 27 83 64 24 40 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 48 48 8D 4C 24 38 E8 ?? ?? ?? ?? B8 01 00 00 00 87 43 10 85 C0 75 EA 48 8B 43 70 48 85 C0 75 1D 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB 4C 8B C0 E8 ?? ?? ?? ?? 48 89 43 70 C7 43 10 00 00 00 00 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_631_6_0 {
	meta:
		name = "_vcprintf_p_l"
		size = 4219
		refs = "0022 __security_cookie 0058 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0068 _errno 0081 _invalid_parameter_noinfo 0108 __lookuptable_s 016b strtol 0196 memset 036b _validate_param_reuseA 039f __nullstring 0455 wctomb_s 05b4 __wnullstring 0685 _get_printf_count_output 099e _malloc_crt 09f5 _cfltcvt_tab 0a02 __imp_DecodePointer 0a86 strlen 0b0e write_multi_char 0b23 write_string 0beb free 0efd _isleadbyte_l 0f0a _putch_nolock 105c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 B0 F4 FF FF 48 81 EC 50 0C 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 48 0B 00 00 33 FF 4C 8B E1 48 89 4D B8 48 8D 4D C0 4D 8B E8 89 7D 8C 44 8B FF 89 7C 24 54 89 7D 88 89 7C 24 48 8B DF 89 7C 24 4C E8 ?? ?? ?? ?? 41 83 CE FF 48 89 7D 80 41 8B F6 E8 ?? ?? ?? ?? 48 89 45 98 4D 85 E4 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 B3 0F 00 00 8B CF 44 8B D7 89 7C 24 40 89 4C 24 7C 89 7C 24 5C 83 F9 01 75 08 85 F6 0F 84 92 0F 00 00 48 8B 45 B8 41 8B D6 4D 8B CC 89 7C 24 58 45 8B E6 44 89 75 94 41 8B F6 44 89 74 24 78 44 8A 30 44 8B DF 48 89 7D A0 89 54 24 44 89 7C 24 64 89 7C 24 50 45 84 F6 0F 84 3C 0F 00 00 4C 63 C1 4C 89 44 24 70 49 FF C1 4C 89 4C 24 68 45 85 D2 0F 88 B7 0E 00 00 41 8D 46 E0 3C 58 77 18 48 8D 0D ?? ?? ?? ?? 49 0F BE C6 0F B6 4C 08 E0 83 E1 0F 45 33 D2 EB 06 45 33 D2 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C3 41 BB 01 00 00 00 48 03 C8 48 8D 05 ?? ?? ?? ?? 0F B6 04 01 C1 E8 04 89 45 90 41 3B C3 0F 85 DD 00 00 00 41 80 39 25 0F 84 DC 00 00 00 83 FE FF 75 5E 45 8D 43 09 48 8D 55 80 49 8B C9 E8 ?? ?? ?? ?? 45 33 D2 85 C0 7E 2F 48 8B 45 80 80 38 24 75 26 4C 39 54 24 70 75 14 48 8D 8D E0 01 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 89 74 24 78 EB 1D 4C 8B 4C 24 68 4C 8B 44 24 70 41 8B F2 44 89 54 24 78 41 BB 01 00 00 00 41 3B F3 75 74 48 8B 4C 24 68 48 8D 55 80 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 80 4C 8B 44 24 70 44 8B E0 41 BB 01 00 00 00 4C 8D 49 01 45 2B E3 45 33 D2 4C 89 4C 24 68 44 89 65 94 4D 85 C0 75 36 45 85 E4 0F 88 2B 0D 00 00 80 39 24 0F 85 22 0D 00 00 41 83 FC 64 0F 8D 18 0D 00 00 8B 44 24 44 44 3B E0 41 0F 4F C4 89 44 24 44 EB 09 83 F8 08 0F 84 FE 0C 00 00 8B 4D 90 85 C9 0F 84 92 0C 00 00 FF C9 0F 84 63 0C 00 00 FF C9 0F 84 03 0C 00 00 FF C9 0F 84 60 0B 00 00 FF C9 0F 84 4B 0B 00 00 FF C9 0F 84 4B 0A 00 00 FF C9 0F 84 8B 09 00 00 FF C9 0F 85 1E 0D 00 00 41 0F BE CE 83 F9 64 0F 8F 90 02 00 00 0F 84 2A 04 00 00 83 F9 41 0F 84 23 02 00 00 83 F9 43 0F 84 3A 01 00 00 8D 41 BB A9 FD FF FF FF 0F 84 0C 02 00 00 83 F9 53 0F 84 F3 00 00 00 83 F9 58 0F 84 4F 03 00 00 83 F9 5A 74 17 83 F9 61 0F 84 F4 01 00 00 83 F9 63 0F 84 11 01 00 00 E9 B4 07 00 00 85 F6 75 0A 49 8B 45 00 49 83 C5 08 EB 25 41 83 FC 63 0F 87 42 0C 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 76 02 00 00 48 8B 84 CD E8 01 00 00 48 8B 00 48 85 C0 0F 84 86 00 00 00 48 8B 58 08 48 85 DB 74 7D 0F BF 00 41 0F BA E7 0B 73 69 99 41 8B F3 44 89 5C 24 4C 2B C2 D1 F8 89 44 24 58 33 FF E9 53 07 00 00 C7 00 03 00 00 00 44 88 B4 CD F0 01 00 00 44 89 BC CD F4 01 00 00 E9 32 07 00 00 BA 03 00 00 00 45 8B CF 45 8A C6 48 8B C8 E8 ?? ?? ?? ?? 33 FF 85 C0 0F 85 17 07 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 83 CE FF E9 AB 0C 00 00 41 8B F2 44 89 54 24 4C EB 9A 48 8B 1D ?? ?? ?? ?? E9 DA 06 00 00 41 F7 C7 30 08 00 00 75 05 41 0F BA EF 0B 83 FF FF 8B D7 B8 FF FF FF 7F 0F 44 D0 85 F6 0F 85 97 01 00 00 49 8B 5D 00 49 83 C5 08 E9 C4 01 00 00 41 F7 C7 30 08 00 00 75 05 41 0F BA EF 0B 41 F7 C7 10 08 00 00 74 7A 85 F6 75 0B 45 0F B7 4D 00 49 83 C5 08 EB 47 41 83 FC 63 0F 87 2C 0B 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 75 25 48 8D 85 E0 01 00 00 48 8D 04 C8 44 39 10 75 0B C7 00 02 00 00 00 E9 18 FF FF FF BA 02 00 00 00 E9 28 FF FF FF 48 8B 84 CD E8 01 00 00 44 0F B7 08 48 8D 55 E0 48 8D 4C 24 58 41 B8 00 02 00 00 E8 ?? ?? ?? ?? 33 FF 85 C0 74 48 C7 44 24 48 01 00 00 00 EB 3E 85 F6 75 0B 41 0F B7 45 00 49 83 C5 08 EB 25 41 83 FC 63 0F 87 B2 0A 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 13 03 00 00 48 8B 84 CD E8 01 00 00 0F B7 00 88 45 E0 44 89 5C 24 58 33 FF 48 8D 5D E0 E9 E0 05 00 00 44 89 18 E9 8F FE FF FF 44 89 5D 88 41 80 C6 20 41 83 CF 40 41 3B F3 0F 85 8E 04 00 00 4D 85 C0 0F 85 85 04 00 00 41 83 FC 63 0F 87 54 0A 00 00 49 63 C4 48 8D 0C 40 48 8D 85 E0 01 00 00 48 8D 04 C8 44 39 10 0F 85 3B 04 00 00 C7 00 08 00 00 00 44 88 B4 CD F0 01 00 00 44 89 BC CD F4 01 00 00 E9 81 0A 00 00 83 F9 67 7E A5 83 F9 69 0F 84 92 01 00 00 83 F9 6E 0F 84 24 01 00 00 83 F9 6F 0F 84 06 01 00 00 83 F9 70 0F 84 C0 00 00 00 83 F9 73 0F 84 6E FE FF FF 83 F9 75 0F 84 69 01 00 00 83 F9 78 0F 85 34 05 00 00 8D 41 AF E9 B0 00 00 00 41 83 FC 63 0F 87 C8 09 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 75 19 48 8D 85 E0 01 00 00 48 8D 04 C8 44 39 10 0F 84 B5 FD FF FF E9 CB FD FF FF 48 8B 9C CD E8 01 00 00 48 8B 1B 41 F7 C7 10 08 00 00 74 34 48 85 DB 41 8B F3 44 89 5C 24 4C 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0D 41 2B D3 66 44 39 10 74 08 48 83 C0 02 85 D2 75 EF 48 2B C3 48 D1 F8 E9 5D FD FF FF 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0B 41 2B D3 44 38 10 74 07 49 03 C3 85 D2 75 F1 2B C3 E9 8B 04 00 00 BF 10 00 00 00 41 0F BA EF 0F 89 7C 24 50 B8 07 00 00 00 89 45 8C 41 B9 10 00 00 00 45 84 FF 0F 89 9C 00 00 00 41 8D 51 F2 04 51 C6 44 24 60 30 89 54 24 54 88 44 24 61 E9 88 00 00 00 41 B9 08 00 00 00 45 84 FF 79 79 B8 00 02 00 00 44 0B F8 EB 6F 85 F6 75 0A 49 8B 7D 00 49 83 C5 08 EB 25 41 83 FC 63 0F 87 CB 08 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 FF FE FF FF 48 8B 84 CD E8 01 00 00 48 8B 38 E8 ?? ?? ?? ?? 85 C0 0F 84 A3 08 00 00 8B 44 24 40 41 F6 C7 20 74 05 66 89 07 EB 02 89 07 8B 74 24 4C B8 01 00 00 00 33 FF 89 44 24 48 E9 E2 03 00 00 41 83 CF 40 41 B9 0A 00 00 00 8B 54 24 54 41 0F BA E7 0F 73 4C 85 F6 75 0D 4D 8B 45 00 49 83 C5 08 E9 9A 01 00 00 41 83 FC 63 0F 87 4E 08 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 75 6B 48 8D 85 E0 01 00 00 48 8D 04 C8 44 39 10 75 0B C7 00 04 00 00 00 E9 3A FC FF FF BA 04 00 00 00 E9 4A FC FF FF 41 0F BA E7 0C 73 4F 85 F6 74 AD 41 83 FC 63 0F 87 08 08 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 75 25 48 8D 85 E0 01 00 00 48 8D 04 C8 44 39 10 75 0B C7 00 05 00 00 00 E9 F4 FB FF FF BA 05 00 00 00 E9 04 FC FF FF 48 8B 84 CD E8 01 00 00 4C 8B 00 E9 09 01 00 00 41 F6 C7 20 0F 84 91 00 00 00 41 F6 C7 40 74 55 85 F6 75 0E 4D 0F BF 45 00 49 83 C5 08 E9 E7 00 00 00 41 83 FC 63 0F 87 9B 07 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 75 1C 48 8D 85 E0 01 00 00 48 8D 04 C8 44 39 10 0F 84 F7 FC FF FF 41 8B D3 E9 A0 FB FF FF 48 8B 84 CD E8 01 00 00 4C 0F BF 00 E9 A4 00 00 00 85 F6 75 0E 45 0F B7 45 00 49 83 C5 08 E9 92 00 00 00 41 83 FC 63 0F 87 46 07 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 74 AB 48 8B 84 CD E8 01 00 00 44 0F B7 00 EB 6E 41 F6 C7 40 74 35 85 F6 75 0A 4D 63 45 00 49 83 C5 08 EB 5A 41 83 FC 63 0F 87 0E 07 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 6F FF FF FF 48 8B 84 CD E8 01 00 00 4C 63 00 EB 33 85 F6 75 0A 45 8B 45 00 49 83 C5 08 EB 25 41 83 FC 63 0F 87 D9 06 00 00 49 63 C4 48 8D 0C 40 4D 85 C0 0F 84 3A FF FF FF 48 8B 84 CD E8 01 00 00 44 8B 00 41 F6 C7 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EF 08 41 0F BA E7 0F 72 0A 41 0F BA E7 0C 72 03 45 8B C0 BE 00 02 00 00 85 FF 79 05 41 8B FB EB 09 41 83 E7 F7 3B FE 0F 4F FE 44 8B 65 8C 49 8B C0 48 8D 9D DF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 54 8B CF 41 2B FB 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C4 88 03 49 2B DB EB D2 44 8B 65 94 48 8D 85 DF 01 00 00 89 7C 24 50 2B C3 49 03 DB 89 44 24 58 44 85 FE 0F 84 75 01 00 00 85 C0 74 09 80 3B 30 0F 84 68 01 00 00 49 2B DB 44 01 5C 24 58 C6 03 30 E9 58 01 00 00 45 8A C6 BA 08 00 00 00 45 8B CF 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 E3 05 00 00 4C 8B 44 24 70 E9 37 06 00 00 B8 00 02 00 00 48 8D 5D E0 8B F0 85 FF 79 0A C7 44 24 50 06 00 00 00 EB 49 75 0D 41 80 FE 67 75 41 44 89 5C 24 50 EB 3A 3B F8 0F 4F F8 89 7C 24 50 81 FF A3 00 00 00 7E 29 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 45 33 D2 48 89 45 A0 48 85 C0 74 07 48 8B D8 8B F7 EB 08 C7 44 24 50 A3 00 00 00 44 39 54 24 78 75 0E 49 8B 45 00 49 83 C5 08 48 89 45 B0 EB 20 41 83 FC 63 0F 87 58 05 00 00 49 63 C4 48 8D 0C 40 48 8B 84 CD E8 01 00 00 48 8B 08 48 89 4D B0 48 8B 0D ?? ?? ?? ?? 41 0F BE FE 48 63 F6 FF 15 ?? ?? ?? ?? 48 8D 4D C0 44 8B CF 48 89 4C 24 30 8B 4D 88 4C 8B C6 89 4C 24 28 8B 4C 24 50 48 8B D3 89 4C 24 20 48 8D 4D B0 FF D0 41 8B FF 81 E7 80 00 00 00 74 1D 83 7C 24 50 00 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 C0 48 8B CB FF D0 41 80 FE 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 C0 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA EF 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 89 44 24 58 33 FF 8B 74 24 4C 8B 44 24 48 83 7C 24 78 01 75 0E 4C 8B 44 24 70 4D 85 C0 0F 84 E1 04 00 00 85 C0 0F 85 29 01 00 00 41 F6 C7 40 74 31 41 0F BA E7 08 73 07 C6 44 24 60 2D EB 0B 41 F6 C7 01 74 10 C6 44 24 60 2B BF 01 00 00 00 89 7C 24 54 EB 11 41 F6 C7 02 74 07 C6 44 24 60 20 EB E8 8B 7C 24 54 44 8B 74 24 64 44 2B 74 24 58 44 2B F7 41 F6 C7 0C 75 0F 4C 8D 44 24 5C 41 8B D6 B1 20 E8 ?? ?? ?? ?? 4C 8B 4D 98 4C 8D 44 24 5C 48 8D 4C 24 60 8B D7 E8 ?? ?? ?? ?? 41 F6 C7 08 74 15 41 F6 C7 04 75 0F 4C 8D 44 24 5C 41 8B D6 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 58 85 F6 74 56 85 FF 7E 52 48 8B F3 44 0F B7 0E 48 8D 95 40 0B 00 00 48 8D 4D A8 41 B8 06 00 00 00 FF CF 48 8D 76 02 E8 ?? ?? ?? ?? 85 C0 75 22 8B 55 A8 85 D2 74 1B 4C 8B 4D 98 4C 8D 44 24 5C 48 8D 8D 40 0B 00 00 E8 ?? ?? ?? ?? 85 FF 75 BC EB 1C 83 C8 FF 89 44 24 5C EB 17 4C 8B 4D 98 4C 8D 44 24 5C 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B 44 24 5C 33 FF 89 44 24 40 85 C0 78 1D 41 F6 C7 04 74 17 4C 8D 44 24 5C 41 8B D6 B1 20 E8 ?? ?? ?? ?? 8B 44 24 5C 89 44 24 40 48 8B 45 A0 48 85 C0 74 0C 48 8B C8 E8 ?? ?? ?? ?? 48 89 7D A0 8B 7C 24 50 E9 55 FD FF FF 41 80 FE 49 74 4E 41 80 FE 68 74 3F 41 80 FE 6C 74 14 41 80 FE 77 0F 85 7F 03 00 00 41 0F BA EF 0B E9 75 03 00 00 41 80 39 6C 44 8B 54 24 40 8B 54 24 44 75 0D 4D 03 CB 41 0F BA EF 0C E9 62 03 00 00 41 83 CF 10 E9 59 03 00 00 41 83 CF 20 E9 47 03 00 00 41 8A 01 B9 00 80 00 00 44 0B F9 3C 36 75 13 41 80 79 01 34 75 0C 49 83 C1 02 44 0B F9 E9 25 03 00 00 3C 33 75 15 41 80 79 01 32 75 0E 49 83 C1 02 41 0F BA F7 0F E9 0C 03 00 00 2C 58 3C 20 77 1A 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 73 0A 41 0F BA EF 10 E9 EC 02 00 00 44 89 55 90 E9 3B 02 00 00 41 80 FE 2A 0F 85 D8 00 00 00 85 F6 75 0D 41 8B 7D 00 49 83 C5 08 E9 A6 00 00 00 48 8D 55 80 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D 80 4C 8B 44 24 70 4C 8D 49 01 41 BB 01 00 00 00 45 33 D2 41 2B C3 4C 89 4C 24 68 4D 85 C0 75 61 85 C0 0F 88 28 02 00 00 80 39 24 0F 85 1F 02 00 00 41 83 FC 64 0F 8D 15 02 00 00 8B 54 24 44 3B C2 0F 4F D0 48 98 48 8D 0C 40 48 8D 85 E0 01 00 00 89 54 24 44 48 8D 04 C8 44 39 10 75 18 44 89 18 C6 84 CD F0 01 00 00 2A 44 89 BC CD F4 01 00 00 E9 41 02 00 00 41 B0 2A 41 8B D3 E9 D9 FB FF FF 48 98 48 8D 0C 40 48 8B 84 CD E8 01 00 00 8B 38 44 8B 54 24 40 8B 54 24 44 89 7C 24 50 85 FF 0F 89 16 02 00 00 83 CF FF 89 7C 24 50 E9 0A 02 00 00 8D 3C BF 41 0F BE C6 8D 7F E8 8D 3C 78 89 7C 24 50 E9 EB 01 00 00 41 8B FA 44 89 54 24 50 E9 DE 01 00 00 41 80 FE 2A 75 7B 85 F6 75 0A 41 8B 45 00 49 83 C5 08 EB 49 48 8D 55 80 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D 80 4C 8B 44 24 70 4C 8D 49 01 41 BB 01 00 00 00 45 33 D2 41 2B C3 4C 89 4C 24 68 4D 85 C0 0F 84 FE FE FF FF 48 98 48 8D 0C 40 48 8B 84 CD E8 01 00 00 8B 00 44 8B 54 24 40 8B 54 24 44 89 44 24 64 85 C0 0F 89 75 01 00 00 41 83 CF 04 F7 D8 89 44 24 64 E9 66 01 00 00 8B 44 24 64 8D 0C 80 41 0F BE C6 8D 04 48 83 C0 D0 89 44 24 64 E9 43 01 00 00 41 80 FE 20 74 49 41 80 FE 23 74 39 41 80 FE 2B 74 2B 41 80 FE 2D 74 1C 44 8B 54 24 40 8B 54 24 44 41 80 FE 30 0F 85 21 01 00 00 41 83 CF 08 E9 18 01 00 00 41 83 CF 04 E9 06 01 00 00 45 0B FB E9 FE 00 00 00 41 0F BA EF 07 E9 F4 00 00 00 41 83 CF 02 E9 EB 00 00 00 83 CF FF 44 89 55 88 44 89 54 24 48 44 89 54 24 64 44 89 54 24 54 45 8B FA 89 7C 24 50 44 89 54 24 4C E9 C4 00 00 00 4D 85 C0 75 09 41 3B F3 0F 84 B6 00 00 00 4D 3B C3 75 09 83 FE FF 0F 84 A8 00 00 00 48 8D 55 C0 41 0F B6 CE 44 89 54 24 4C E8 ?? ?? ?? ?? 85 C0 74 4A 41 0F BE CE E8 ?? ?? ?? ?? 83 CE FF 3B C6 75 06 89 74 24 40 EB 04 FF 44 24 40 48 8B 44 24 68 44 8A 30 48 FF C0 48 89 44 24 68 45 84 F6 75 1E E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 83 CE FF 33 FF E9 EE 00 00 00 83 CE FF 41 0F BE CE E8 ?? ?? ?? ?? 4C 8B 4C 24 68 4C 8B 44 24 70 8B 54 24 44 3B C6 75 0D 44 8B D6 89 74 24 40 89 74 24 5C EB 26 44 8B 54 24 40 41 FF C2 44 89 54 24 40 44 89 54 24 5C EB 12 8B 7C 24 50 4C 8B 4C 24 68 8B 54 24 44 44 8B 54 24 40 45 8A 31 8B 74 24 78 44 8B 5D 90 45 84 F6 0F 85 38 F1 FF FF 33 FF 45 85 DB 74 0A 41 83 FB 07 0F 85 B4 F3 FF FF 8B 4C 24 7C 83 FE 01 75 54 85 C9 75 50 4C 8B C7 4C 63 CA 85 D2 78 46 48 8D 95 E8 01 00 00 8B 4A F8 FF C9 74 1D FF C9 74 19 FF C9 74 15 FF C9 74 11 FF C9 74 0D FF C9 74 09 83 F9 }
	condition:
		$1
}

rule file_634_0_0 {
	meta:
		name = "fputs"
		size = 299
		refs = "002c _errno 0037 _invalid_parameter_noinfo 0059 _fileno 0067 __pioinfo 0088 __badioinfo 00ca strlen 00d5 _lock_file 00de _stbuf 00f3 _fwrite_nolock 0100 _ftbuf 0109 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 41 56 48 83 EC 20 48 8B FA 48 8B F1 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D2 00 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DC F6 42 18 40 75 71 48 8B CA E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 8D 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 0F 85 65 FF FF FF 48 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 8B CF E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B D8 4C 8B CF 4D 8B C6 BA 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 49 2B F6 48 F7 DE 1B C0 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_635_0_0 {
	meta:
		name = "_i64toa_s"
		size = 35
		refs = "001a x64toa_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 09 48 85 C9 79 04 41 8D 41 F7 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1261_0_0 {
	meta:
		name = "_i64tow_s"
		size = 35
		refs = "001a x64tow_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 09 48 85 C9 79 04 41 8D 41 F7 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_635_1_0 {
	meta:
		name = "_itoa_s"
		size = 39
		refs = "001e xtoa_s"
	strings:
		$1 = { 48 83 EC 38 41 83 F9 0A 75 0E 85 C9 79 0A C7 44 24 20 01 00 00 00 EB 05 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1261_1_0 {
	meta:
		name = "_itow_s"
		size = 39
		refs = "001e xtow_s"
	strings:
		$1 = { 48 83 EC 38 41 83 F9 0A 75 0E 85 C9 79 0A C7 44 24 20 01 00 00 00 EB 05 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_635_2_0 {
	meta:
		name = "_ltoa_s"
		size = 34
		refs = "0019 xtoa_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 08 85 C9 79 04 41 8D 41 F7 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1261_2_0 {
	meta:
		name = "_ltow_s"
		size = 34
		refs = "0019 xtow_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 08 85 C9 79 04 41 8D 41 F7 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_635_3_0 {
	meta:
		name = "_ui64toa_s"
		size = 19
		refs = "000a x64toa_s"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1261_3_0 {
	meta:
		name = "_ui64tow_s"
		size = 19
		refs = "000a x64tow_s"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_635_4_0 {
	meta:
		name = "_ultoa_s"
		size = 19
		refs = "000a xtoa_s"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1261_4_0 {
	meta:
		name = "_ultow_s"
		size = 19
		refs = "000a xtow_s"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_635_5_0 {
	meta:
		name = "x64toa_s"
		size = 246
		refs = "0021 _errno 002d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B F1 49 8B F8 4C 8B D2 4C 8B D9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 AE 00 00 00 4D 85 C0 74 E3 C6 02 00 8B 54 24 50 8B C2 F7 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C8 8D 46 FE BB 22 00 00 00 3B C3 77 B2 33 C9 4D 8B C2 85 D2 74 0E 41 C6 02 2D 4D 8D 42 01 8D 4B DF 49 F7 DB 4D 8B C8 33 D2 49 8B C3 48 F7 F6 4C 8B D8 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 10 48 FF C1 49 FF C0 48 85 C0 74 05 48 3B CF 72 D5 48 3B CF 72 0E 41 C6 02 00 E8 ?? ?? ?? ?? E9 64 FF FF FF 41 C6 00 00 49 FF C8 41 8A 01 41 8A 08 41 88 00 41 88 09 49 FF C1 49 FF C8 4D 3B C8 72 E9 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_635_6_0 {
	meta:
		name = "xtoa_s"
		size = 245
		refs = "0021 _errno 002d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B F1 49 8B F8 4C 8B D2 44 8B D9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 AD 00 00 00 4D 85 C0 74 E3 C6 02 00 8B 54 24 50 8B C2 F7 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C8 41 8D 41 FE BB 22 00 00 00 3B C3 77 B1 33 C9 4D 8B C2 85 D2 74 0E 41 C6 02 2D 4D 8D 42 01 8D 4B DF 41 F7 DB 4D 8B C8 33 D2 41 8B C3 F7 F6 44 8B D8 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 10 48 FF C1 49 FF C0 85 C0 74 05 48 3B CF 72 D7 48 3B CF 72 0E 41 C6 02 00 E8 ?? ?? ?? ?? E9 65 FF FF FF 41 C6 00 00 49 FF C8 41 8A 01 41 8A 08 41 88 00 41 88 09 49 FF C1 49 FF C8 4D 3B C8 72 E9 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_636_3_0 {
	meta:
		name = "_wcsnicoll"
		size = 146
		refs = "0010 __locale_changed 001c _errno 0027 _invalid_parameter_noinfo 008e _wcsnicoll_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 4C 8B D2 4C 8B D9 44 39 0D ?? ?? ?? ?? 75 73 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 4C 2B DA 43 0F B7 14 13 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 41 0F B7 0A 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 49 83 C2 02 49 FF C8 74 0A 66 85 D2 74 05 66 3B D1 74 CA 0F B7 C9 0F B7 C2 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_636_4_0 {
	meta:
		name = "_wcsnicoll_l"
		size = 304
		refs = "0036 _errno 0041 _invalid_parameter_noinfo 007c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00e8 __crtCompareStringW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 33 ED 49 8B F0 48 8B FA 4C 8B F1 4D 85 C0 75 07 33 C0 E9 E5 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 C6 00 00 00 48 85 D2 74 E1 BB FF FF FF 7F 4C 3B C3 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 A0 00 00 00 48 8D 4C 24 30 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 8B 88 30 01 00 00 48 85 C9 75 42 4C 2B F7 41 0F B7 0C 3E 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 0F B7 17 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 48 83 C7 02 48 FF CE 74 0A 66 85 C9 74 05 66 3B CA 74 CB 0F B7 C2 0F B7 D9 2B D8 EB 2D 44 8B CE 4D 8B C6 BA 01 10 00 00 89 74 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 40 38 6C 24 48 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_637_0_0 {
	meta:
		name = "wcscat"
		size = 44
	strings:
		$1 = { 66 83 39 00 4C 8B C1 74 0B 49 83 C0 02 66 41 83 38 00 75 F5 4C 2B C2 0F B7 02 66 41 89 04 10 48 8D 52 02 66 85 C0 75 EF 48 8B C1 C3 }
	condition:
		$1
}

rule file_637_1_0 {
	meta:
		name = "wcscpy"
		size = 27
	strings:
		$1 = { 4C 8B C1 4C 2B C2 0F B7 02 66 41 89 04 10 48 8D 52 02 66 85 C0 75 EF 48 8B C1 C3 }
	condition:
		$1
}

rule file_639_0_0 {
	meta:
		name = "_dunscale"
		size = 154
		refs = "0059 _dnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 42 06 48 8B F1 B9 FF 07 00 00 66 C1 E8 04 33 DB 48 8B FA 66 23 C1 66 3B C1 75 24 66 89 1E F6 42 06 0F 75 14 66 39 5A 04 75 0E 66 39 5A 02 75 08 8D 43 01 66 39 1A 74 41 B8 02 00 00 00 EB 3A 66 3B D8 7C 15 48 8B CA E8 ?? ?? ?? ?? 66 85 C0 7E 08 66 89 1E 0F B7 C3 EB 20 B9 EF BF 00 00 66 21 4F 06 B9 E0 3F 00 00 66 09 4F 06 B9 FE 03 00 00 66 2B C1 66 89 06 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_38_0_1 {
	meta:
		name = "_Dunscale"
		size = 154
		refs = "0059 _Dnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 42 06 48 8B F1 B9 FF 07 00 00 66 C1 E8 04 33 DB 48 8B FA 66 23 C1 66 3B C1 75 24 66 89 1E F6 42 06 0F 75 14 66 39 5A 04 75 0E 66 39 5A 02 75 08 8D 43 01 66 39 1A 74 41 B8 02 00 00 00 EB 3A 66 3B D8 7C 15 48 8B CA E8 ?? ?? ?? ?? 66 85 C0 7E 08 66 89 1E 0F B7 C3 EB 20 B9 EF BF 00 00 66 21 4F 06 B9 E0 3F 00 00 66 09 4F 06 B9 FE 03 00 00 66 2B C1 66 89 06 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_639_1_0 {
	meta:
		name = "_fdunscale"
		size = 138
		refs = "004d _fdnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 42 02 48 8B F1 B9 FF 00 00 00 66 C1 E8 07 33 DB 48 8B FA 66 23 C1 66 3B C1 75 18 66 89 1E F6 42 02 7F 75 08 8D 43 01 66 39 1A 74 3D B8 02 00 00 00 EB 36 66 3B D8 7C 15 48 8B CA E8 ?? ?? ?? ?? 66 85 C0 7E 08 66 89 1E 0F B7 C3 EB 1C B9 7F BF 00 00 66 83 E8 7E 66 21 4F 02 B9 00 3F 00 00 66 09 4F 02 66 89 06 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_78_0_1 {
	meta:
		name = "_FDunscale"
		size = 138
		refs = "004d _FDnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 42 02 48 8B F1 B9 FF 00 00 00 66 C1 E8 07 33 DB 48 8B FA 66 23 C1 66 3B C1 75 18 66 89 1E F6 42 02 7F 75 08 8D 43 01 66 39 1A 74 3D B8 02 00 00 00 EB 36 66 3B D8 7C 15 48 8B CA E8 ?? ?? ?? ?? 66 85 C0 7E 08 66 89 1E 0F B7 C3 EB 1C B9 7F BF 00 00 66 83 E8 7E 66 21 4F 02 B9 00 3F 00 00 66 09 4F 02 66 89 06 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_642_0_0 {
	meta:
		name = "_get_fpsr"
		size = 16
	strings:
		$1 = { 48 83 EC 08 0F AE 1C 24 8B 04 24 48 83 C4 08 C3 }
	condition:
		$1
}

rule file_642_2_0 {
	meta:
		name = "_fclrf"
		size = 20
	strings:
		$1 = { 0F AE 5C 24 08 B9 C0 FF FF FF 21 4C 24 08 0F AE 54 24 08 C3 }
	condition:
		$1
}

rule file_642_3_0 {
	meta:
		name = "_frnd"
		size = 31
		refs = "0004 __real@433fffffffffffff 000e __real@c33fffffffffffff"
	strings:
		$1 = { 66 0F 2E 05 ?? ?? ?? ?? 73 14 66 0F 2E 05 ?? ?? ?? ?? 76 0A F2 48 0F 2D C8 F2 48 0F 2A C1 C3 }
	condition:
		$1
}

rule file_644_0_0 {
	meta:
		name = "_cgets"
		size = 115
		refs = "001f __doserrno 0026 _errno 0031 _invalid_parameter_noinfo 004f _cgets_s"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B F9 48 89 74 24 30 48 85 C9 75 1B E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2A 40 38 31 7E E0 48 0F BE 11 48 8D 59 02 4C 8D 44 24 30 48 8B CB E8 ?? ?? ?? ?? 8A 4C 24 30 85 C0 88 4F 01 48 0F 45 DE 48 8B C3 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_644_1_0 {
	meta:
		name = "_cgets_s"
		size = 302
		refs = "002a __doserrno 0032 _errno 003e _invalid_parameter_noinfo 0070 _lock 008d _cgetws_s 00b9 wctomb_s 00eb __console_wchar_buffer 00f1 __console_wchar_buffer_used 00ff _unlock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 40 49 8B F0 48 8B F9 45 33 FF 41 8B C7 48 85 C9 0F 95 C0 85 C0 75 20 E8 ?? ?? ?? ?? 44 89 38 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 D1 00 00 00 41 8B C7 48 85 D2 0F 95 C0 85 C0 74 D3 44 88 39 41 8B C7 4D 85 C0 0F 95 C0 85 C0 74 C3 4C 8D 72 FF B9 03 00 00 00 E8 ?? ?? ?? ?? 90 4C 89 3E 4C 89 7C 24 28 4C 8D 44 24 28 BA 02 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B D8 89 44 24 24 85 C0 75 5E 44 89 7C 24 78 8B 4C 24 20 66 85 C9 74 50 44 0F B7 C9 4D 8B C6 48 8B D7 48 8D 4C 24 78 E8 ?? ?? ?? ?? 8B D8 89 44 24 24 85 C0 75 1C 48 63 44 24 78 48 03 F8 48 89 7C 24 60 48 01 06 4C 2B F0 4C 89 74 24 30 74 18 EB 95 0F B7 44 24 20 66 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 44 88 3F 85 DB 0F 84 34 FF FF FF E8 ?? ?? ?? ?? 89 18 E9 28 FF FF FF 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_645_6_0 {
	meta:
		name = "??0exception@std@@QEAA@AEBQEBD@Z"
		size = 45
		refs = "000e ??_7exception@std@@6B@ 0020 ?_Copy_str@exception@std@@AEAAXPEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? C6 41 10 00 48 89 01 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_7_0 {
	meta:
		name = "??0exception@std@@QEAA@AEBQEBDH@Z"
		size = 25
		refs = "0003 ??_7exception@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 C6 41 10 00 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_645_8_0 {
	meta:
		name = "??0exception@std@@QEAA@AEBV01@@Z"
		size = 42
		refs = "000e ??_7exception@std@@6B@ 001d ??4exception@std@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 C6 41 10 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_9_0 {
	meta:
		name = "??0exception@std@@QEAA@XZ"
		size = 23
		refs = "0008 ??_7exception@std@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? C6 41 10 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_645_14_0 {
	meta:
		name = "??4exception@std@@QEAAAEAV01@AEBV01@@Z"
		size = 68
		refs = "0016 ?_Tidy@exception@std@@AEAAXXZ 0028 ?_Copy_str@exception@std@@AEAAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 21 E8 ?? ?? ?? ?? 80 7F 10 00 74 0E 48 8B 57 08 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B 47 08 48 89 43 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_19_0 {
	meta:
		name = "?_Copy_str@exception@std@@AEAAXPEBD@Z"
		size = 90
		refs = "001e strlen 002a malloc 0042 strcpy_s"
	strings:
		$1 = { 48 85 D2 74 54 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B F8 48 8D 48 01 E8 ?? ?? ?? ?? 48 89 46 08 48 85 C0 74 13 48 8D 57 01 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? C6 46 10 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_645_20_0 {
	meta:
		name = "?_Tidy@exception@std@@AEAAXXZ"
		size = 39
		refs = "0014 free"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 10 00 48 8B D9 74 09 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 63 08 00 C6 43 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_21_0 {
	meta:
		name = "?what@exception@std@@UEBAPEBDXZ"
		size = 18
		refs = "0008 ??_C@_0BC@EOODALEL@Unknown?5exception?$AA@"
	strings:
		$1 = { 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 0F 45 41 08 C3 }
	condition:
		$1
}

rule file_646_0_0 {
	meta:
		name = "_fdrint"
		size = 303
		refs = "0013 fegetround 0037 _fd_int 0094 __real@3f800000 00ea __real@c0000000 00f7 __real@40000000 0126 __real@bf800000"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 20 F3 0F 11 45 10 E8 ?? ?? ?? ?? 85 C0 74 7F 3D 00 01 00 00 74 4E 3D 00 02 00 00 74 22 3D 00 03 00 00 75 0B 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? F3 0F 10 45 10 48 8B 5C 24 38 48 83 C4 20 5D C3 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 E0 B8 00 80 00 00 66 85 45 12 74 D5 F3 0F 10 45 10 E9 B2 00 00 00 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 BB B8 00 80 00 00 66 85 45 12 75 B0 F3 0F 10 45 10 F3 0F 58 05 ?? ?? ?? ?? EB A6 48 8D 4D 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 8D 4D 10 66 85 C0 75 4D E8 ?? ?? ?? ?? 66 85 C0 0F 84 7A FF FF FF 48 8D 4D 10 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 65 FF FF FF F3 0F 10 45 10 B8 00 80 00 00 66 85 45 12 74 0D F3 0F 58 05 ?? ?? ?? ?? E9 4D FF FF FF F3 0F 58 05 ?? ?? ?? ?? E9 40 FF FF FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 2D FF FF FF F3 0F 10 45 10 B8 00 80 00 00 66 85 45 12 0F 84 6E FF FF FF F3 0F 58 05 ?? ?? ?? ?? E9 11 FF FF FF }
	condition:
		$1
}

rule file_646_1_0 {
	meta:
		name = "rintf"
		size = 79
		refs = "0015 _fdtest 0028 _fdrint 003e _fperrraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 F3 0F 10 44 24 40 83 F9 02 76 1E E8 ?? ?? ?? ?? 0F 28 F0 0F 2E 74 24 40 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_647_0_0 {
	meta:
		name = "_assert"
		size = 2244
		refs = "0022 __security_cookie 003f _set_error_mode 005e __app_type 0072 ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@ 0084 strcpy_s 0093 dblnewline 00a0 strcat_s 00af ??_C@_09KLGCKDOD@Program?3?5?$AA@ 00d9 __imp_GetModuleHandleExW 0102 __imp_GetModuleFileNameA 010d ??_C@_0BH@DNAGHKFM@?$DMprogram?5name?5unknown?$DO?$AA@ 0139 strlen 015c dotdotdot 0182 memcpy_s 01a9 newline 01c5 ??_C@_06IGPBOHMJ@File?3?5?$AA@ 0252 _mbsnbcat_s 03d3 ??_C@_06FIEBOLOH@Line?3?5?$AA@ 041b _itoa_s 0446 ??_C@_0N@MEECIJGN@Expression?3?5?$AA@ 04fd ??_C@_0HA@OJHAGA@For?5information?5on?5how?5your?5prog@ 0535 ??_C@_0DN@EBBNMLME@?$CIPress?5Retry?5to?5debug?5the?5applic@ 0551 ??_C@_0CF@GOGNBNAK@Microsoft?5Visual?5C?$CL?$CL?5Runtime?5Lib@ 0561 __crtMessageBoxA 057f __security_check_cookie 05aa __iob_func 05d0 _invoke_watson 0705 raise 070f _exit 088c setvbuf 0898 _assertstring 08ac fprintf 08ba fflush 08bf abort"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 60 FD FF FF 48 81 EC A0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 90 02 00 00 4C 8B E1 B9 03 00 00 00 45 8B E8 48 8B DA E8 ?? ?? ?? ?? 83 F8 01 0F 84 5D 05 00 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 33 F6 85 C0 75 0D 83 3D ?? ?? ?? ?? 01 0F 84 40 05 00 00 41 BE 40 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 8B D6 48 89 74 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 D4 07 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 A3 07 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 72 07 00 00 48 8B 95 D8 02 00 00 4C 8D 44 24 30 8D 48 06 FF 15 ?? ?? ?? ?? 48 8D 95 80 01 00 00 41 B8 04 01 00 00 F7 D8 40 88 B5 84 02 00 00 48 1B C9 48 23 4C 24 30 48 89 4C 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 20 4C 8D 05 ?? ?? ?? ?? 48 8D 8D 80 01 00 00 BA 05 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 96 04 00 00 48 8D 8D 80 01 00 00 48 8D BD 80 01 00 00 E8 ?? ?? ?? ?? 41 BF 35 00 00 00 48 83 C0 0B 48 83 F8 40 76 41 48 8D 8D 80 01 00 00 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8D 95 85 02 00 00 48 8B F8 48 8D 85 80 01 00 00 45 8D 4F CE 49 2B C7 48 03 F8 48 2B D7 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 47 04 00 00 48 8D 4C 24 40 4C 8B C7 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 7F 06 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 4E 06 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 1D 06 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C0 08 48 83 F8 40 0F 86 A8 01 00 00 48 8B CB E8 ?? ?? ?? ?? BF 01 00 00 00 4C 8B F0 8A 44 03 FF 3C 5C 74 1C 48 8D 4B FF 49 03 CE 3C 2F 74 11 49 3B FE 73 0C 48 FF C9 48 FF C7 8A 01 3C 5C 75 EB 49 8B F6 48 2B F7 48 83 FE 26 76 6A 48 83 FF 12 73 60 4C 2B FF 41 BE 40 02 00 00 48 8D 4C 24 40 4D 8B CF 41 8B D6 4C 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 B7 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 85 03 00 00 4C 8D 04 1E 48 8D 4C 24 40 41 8B D6 E8 ?? ?? ?? ?? 33 F6 85 C0 0F 84 1F 01 00 00 E9 50 03 00 00 48 83 FE 26 4C 8B C3 48 8D 4C 24 40 73 61 48 D1 EF 4C 2B FF 4D 8B CF 41 BF 40 02 00 00 41 8B D7 E8 ?? ?? ?? ?? 33 F6 85 C0 0F 85 8C 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 5B 03 00 00 48 2B DF 48 8D 4C 24 40 41 8B D7 4D 8D 04 1E 45 8B F7 E8 ?? ?? ?? ?? 85 C0 0F 84 B0 00 00 00 E9 22 03 00 00 41 BF 40 02 00 00 41 B9 23 00 00 00 41 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 9A 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 68 03 00 00 4C 8D 04 1E 44 8D 48 08 48 8D 4C 24 40 41 8B D7 E8 ?? ?? ?? ?? 33 F6 85 C0 0F 85 34 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 03 03 00 00 4C 8D 43 F9 48 8D 4C 24 40 41 8B D7 4D 03 C6 45 8B F7 E8 ?? ?? ?? ?? 85 C0 74 1D E9 CE 02 00 00 48 8D 4C 24 40 4C 8B C3 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 32 04 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 01 04 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 D0 03 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B DE 48 2B D8 E8 ?? ?? ?? ?? 48 8D 54 24 40 41 B9 0A 00 00 00 4C 8B C3 41 8B CD 48 03 D0 E8 ?? ?? ?? ?? 85 C0 0F 85 80 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 4F 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 1E 03 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D8 E8 ?? ?? ?? ?? 48 8D 88 B0 00 00 00 48 03 CB 49 3B CE 48 8D 4C 24 40 76 43 E8 ?? ?? ?? ?? 41 B9 8D 01 00 00 48 8D 4C 24 40 4D 8B C4 49 8B D6 4C 2B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 3C 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 74 18 E9 0A 02 00 00 4D 8B C4 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 8A 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 59 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 28 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 F7 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 C6 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 41 B8 12 20 01 00 E8 ?? ?? ?? ?? 83 F8 03 0F 84 91 01 00 00 83 F8 04 75 2B CC 48 8B 8D 90 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F8 03 00 00 48 81 C4 A0 03 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 83 F8 05 0F 85 17 03 00 00 EB CB E8 ?? ?? ?? ?? F7 40 78 0C 01 00 00 0F 85 D5 02 00 00 E9 B9 02 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC B9 16 00 00 00 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 45 33 C9 33 D2 48 8D 48 60 45 8D 41 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 4C 8B CB 48 8D 48 60 4D 8B C4 44 89 6C 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 48 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_650_3_0 {
	meta:
		name = "?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
		size = 121
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 8B DA 48 8B D1 48 8D 4C 24 20 41 8B F9 41 8B F0 E8 ?? ?? ?? ?? 48 8B 44 24 28 0F B6 D3 40 84 7C 02 19 75 1E 85 F6 74 14 48 8B 44 24 20 48 8B 88 08 01 00 00 0F B7 04 51 23 C6 EB 02 33 C0 85 C0 74 05 B8 01 00 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_650_4_0 {
	meta:
		name = "_ismbbalnum"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 41 B8 07 01 00 00 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_5_0 {
	meta:
		name = "_ismbbalnum_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 01 00 00 00 48 8B C8 41 B8 07 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_6_0 {
	meta:
		name = "_ismbbalpha"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 41 B8 03 01 00 00 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_7_0 {
	meta:
		name = "_ismbbalpha_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 01 00 00 00 48 8B C8 41 B8 03 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_8_0 {
	meta:
		name = "_ismbbblank"
		size = 28
		refs = "0018 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 83 F9 09 75 04 8D 41 37 C3 41 B9 02 00 00 00 8B D1 33 C9 45 8D 41 3E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_9_0 {
	meta:
		name = "_ismbbblank_l"
		size = 32
		refs = "001c ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 4C 8B D2 83 F9 09 75 04 8D 41 37 C3 41 B9 02 00 00 00 8B D1 49 8B CA 45 8D 41 3E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_10_0 {
	meta:
		name = "_ismbbgraph"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 41 B8 17 01 00 00 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_11_0 {
	meta:
		name = "_ismbbgraph_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 03 00 00 00 48 8B C8 41 B8 17 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_12_0 {
	meta:
		name = "_ismbbkalnum"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_13_0 {
	meta:
		name = "_ismbbkalnum_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 01 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_15_0 {
	meta:
		name = "_ismbbkana_l"
		size = 101
		refs = "0015 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003b ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B F9 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 48 8B 44 24 28 48 85 C0 74 20 81 78 04 A4 03 00 00 75 17 41 B9 03 00 00 00 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B C8 EB 02 33 C9 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_650_16_0 {
	meta:
		name = "_ismbbkprint"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_17_0 {
	meta:
		name = "_ismbbkprint_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 03 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_18_0 {
	meta:
		name = "_ismbbkpunct"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 02 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_19_0 {
	meta:
		name = "_ismbbkpunct_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 02 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_20_0 {
	meta:
		name = "_ismbblead"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 04 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_21_0 {
	meta:
		name = "_ismbblead_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 04 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_22_0 {
	meta:
		name = "_ismbbprint"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 41 B8 57 01 00 00 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_23_0 {
	meta:
		name = "_ismbbprint_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 03 00 00 00 48 8B C8 41 B8 57 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_24_0 {
	meta:
		name = "_ismbbpunct"
		size = 19
		refs = "000f ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 41 B9 02 00 00 00 8B D1 33 C9 45 8D 41 0E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_25_0 {
	meta:
		name = "_ismbbpunct_l"
		size = 23
		refs = "0013 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 02 00 00 00 8B D1 45 8D 41 0E 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_26_0 {
	meta:
		name = "_ismbbtrail"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 08 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_27_0 {
	meta:
		name = "_ismbbtrail_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 08 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_651_2_0 {
	meta:
		name = "_RTC_GetErrDesc"
		size = 23
		refs = "000b _RTC_errlist"
	strings:
		$1 = { 83 F9 04 77 0F 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_651_4_0 {
	meta:
		name = "_RTC_SetErrorFunc"
		size = 23
		refs = "0003 _RTC_ErrorReportFunc 000a _RTC_ErrorReportFuncW"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_651_5_0 {
	meta:
		name = "_RTC_SetErrorFuncW"
		size = 23
		refs = "0003 _RTC_ErrorReportFuncW 000a _RTC_ErrorReportFunc"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_651_6_0 {
	meta:
		name = "_RTC_SetErrorType"
		size = 28
		refs = "0008 ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 83 F9 04 77 13 4C 8D 05 ?? ?? ?? ?? 48 63 C9 41 8B 04 88 41 89 14 88 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_653_0_0 {
	meta:
		name = "nearbyintl"
		size = 44
		refs = "0010 _ldtest 0023 _ldrint"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F2 0F 10 44 24 30 83 F9 02 76 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1068_0_0 {
	meta:
		name = "nearbyint"
		size = 44
		refs = "0010 _dtest 0023 _drint"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 F2 0F 10 44 24 30 83 F9 02 76 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_654_1_0 {
	meta:
		name = "_getws_helper"
		size = 365
		refs = "003e _errno 0049 _invalid_parameter_noinfo 0062 __iob_func 006c _lock_file2 007a _fgetwc_nolock 0133 _local_unwind 014c _unlock_file2"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 56 41 57 48 83 EC 40 48 89 64 24 38 45 8B F8 48 8B FA 48 8B F1 48 8B D9 4C 8B F1 45 33 E4 41 8B C4 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 FF 00 00 00 41 8B C4 48 85 D2 0F 95 C0 85 C0 74 DC E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F B7 C0 3D FF FF 00 00 75 11 4D 8B F4 4C 89 64 24 30 45 85 FF 0F 85 A8 00 00 00 48 83 FF FF 75 32 83 F8 0A 0F 84 95 00 00 00 3D FF FF 00 00 0F 84 8A 00 00 00 66 89 03 48 83 C3 02 48 89 5C 24 28 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F B7 C0 EB CE 48 89 7C 24 20 83 F8 0A 74 32 3D FF FF 00 00 74 2B 48 85 FF 74 14 48 FF CF 48 89 7C 24 20 66 89 03 48 83 C3 02 48 89 5C 24 28 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F B7 C0 EB C9 48 85 FF 75 2B 66 44 89 26 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 0C 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? 90 90 33 C0 EB 16 66 44 89 23 E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 49 8B C6 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_655_0_0 {
	meta:
		name = "?_open@@YAHPEBDHH@Z"
		size = 52
		refs = "001d _sopen_helper"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 48 8D 44 24 58 45 8B C8 41 B8 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4C 24 58 83 CA FF 85 C0 0F 45 CA 8B C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_655_2_0 {
	meta:
		name = "?_wopen@@YAHPEB_WHH@Z"
		size = 52
		refs = "001d _wsopen_helper"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 48 8D 44 24 58 45 8B C8 41 B8 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4C 24 58 83 CA FF 85 C0 0F 45 CA 8B C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_655_1_0 {
	meta:
		name = "?_sopen@@YAHPEBDHHH@Z"
		size = 43
		refs = "0014 _sopen_helper"
	strings:
		$1 = { 48 83 EC 48 83 64 24 28 00 48 8D 44 24 30 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4C 24 30 83 CA FF 85 C0 0F 45 CA 8B C1 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_655_3_0 {
	meta:
		name = "?_wsopen@@YAHPEB_WHHH@Z"
		size = 43
		refs = "0014 _wsopen_helper"
	strings:
		$1 = { 48 83 EC 48 83 64 24 28 00 48 8D 44 24 30 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4C 24 30 83 CA FF 85 C0 0F 45 CA 8B C1 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_657_0_0 {
	meta:
		name = "fsetpos"
		size = 53
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0031 _fseeki64"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 28 C3 48 85 D2 74 E3 48 8B 12 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_659_0_0 {
	meta:
		name = "ceilf"
		size = 211
		refs = "0048 ??_C@_05KFMLJNHJ@ceilf?$AA@ 006a _handle_errorf 0094 __real@3f800000"
	strings:
		$1 = { 48 83 EC 58 45 33 C0 0F 28 C8 F3 0F 11 4C 24 60 8B 54 24 60 8B C2 0F BA F0 1F 3B D0 41 0F 95 C0 3D 00 00 80 4B 72 49 3D 00 00 80 7F 0F 86 9C 00 00 00 C7 44 24 40 01 00 00 00 44 8B C2 0F 57 C0 BA 0C 00 00 00 48 8D 0D ?? ?? ?? ?? 44 8D 4A F5 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? EB 5E 3D 00 00 80 3F 73 23 85 C0 74 53 45 85 C0 74 10 C7 44 24 60 00 00 00 80 F3 0F 10 44 24 60 EB 3E F3 0F 10 05 ?? ?? ?? ?? EB 34 8B C2 B9 96 00 00 00 C1 E8 17 2B C8 B8 01 00 00 00 D3 E0 FF C8 F7 D0 23 C2 89 44 24 60 F3 0F 10 44 24 60 45 85 C0 75 0C 3B D0 74 08 F3 0F 58 05 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_660_23_0 {
	meta:
		name = "?Block@Context@Concurrency@@SAXXZ"
		size = 54
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0017 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0024 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 83 C4 28 48 FF 60 30 }
	condition:
		$1
}

rule file_660_27_0 {
	meta:
		name = "?Id@Context@Concurrency@@SAIXZ"
		size = 35
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0D 48 8B 10 48 8B C8 48 83 C4 28 48 FF 22 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_660_28_0 {
	meta:
		name = "?IsCurrentTaskCollectionCanceling@Context@Concurrency@@SA_NXZ"
		size = 86
		refs = "0007 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 002c ?_IsCanceling@_StructuredTaskCollection@details@Concurrency@@QEAA_NXZ 0031 ?_IsAlias@_TaskCollection@details@Concurrency@@QEBA_NXZ 003d ?_OriginalCollection@_TaskCollection@details@Concurrency@@QEBAPEAV123@XZ 004a ?_IsCanceling@_TaskCollection@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 85 C0 74 3E 48 8B 58 60 48 85 DB 74 35 8B 43 08 48 8B CB C1 F8 1C A8 01 74 0A 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 84 C0 74 08 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 20 5B E9 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_660_30_0 {
	meta:
		name = "?Oversubscribe@Context@Concurrency@@SAX_N@Z"
		size = 61
		refs = "0008 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0016 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001b ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0028 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		altNames = "?_Oversubscribe@_Context@details@Concurrency@@SAX_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 F7 05 ?? ?? ?? ?? 00 00 00 80 8A D9 74 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 8A D3 48 83 C4 20 5B 48 FF 60 48 }
	condition:
		$1
}

rule file_660_33_0 {
	meta:
		name = "?Yield@Context@Concurrency@@SAXXZ"
		size = 54
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0017 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0024 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		altNames = "?_Yield@_Context@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 83 C4 28 48 FF 60 38 }
	condition:
		$1
}

rule file_660_37_0 {
	meta:
		name = "?_CurrentContext@_Context@details@Concurrency@@SA?AV123@XZ"
		size = 54
		refs = "0008 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0017 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001c ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0026 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_660_44_0 {
	meta:
		name = "?_SpinYield@Context@Concurrency@@SAXXZ"
		size = 54
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0017 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0024 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 83 C4 28 48 FF 60 40 }
	condition:
		$1
}

rule file_661_0_0 {
	meta:
		name = "acoshf"
		size = 191
		refs = "0015 _fdtest 003f __real@3f800000 0054 _fperrraise 005c _FNan_C 0072 __real@40000000 007a _FEps_C 0096 sqrtf 009f log1pf 00a9 logf 00b1 __real@3f317218"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 FF C9 74 0F FF C9 75 17 F3 0F 10 44 24 40 E9 86 00 00 00 B8 00 80 00 00 66 85 44 24 42 EB E7 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 4C 24 40 0F 2F D1 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 53 0F 2E CA 7A 07 75 05 0F 57 C0 EB 47 F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 05 ?? ?? ?? ?? 0F 2F C1 76 22 0F 28 F1 F3 0F 58 CA F3 0F 5C F2 F3 0F 59 CE 0F 28 C1 E8 ?? ?? ?? ?? F3 0F 58 C6 E8 ?? ?? ?? ?? EB 10 0F 28 C1 E8 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_663_1_0 {
	meta:
		name = "ccoshl"
		size = 445
		refs = "002c creall 0042 cimagl 0050 _ldtest 006a _LNan_C 008e _fperrraise 00a5 _LZero_C 00ac __xmm@80000000000000008000000000000000 00d2 _LInf_C 012d sin 013a cos 0176 _LSinh 0186 _LCosh 0195 _LCbuild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 8B EC 48 83 EC 50 0F 10 02 48 8B F9 48 8D 4D D0 0F 29 74 24 40 48 8B DA 0F 29 7C 24 30 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D D0 F2 0F 11 45 28 0F 10 03 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1B F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D D0 66 85 C0 75 6C F2 0F 10 55 20 E9 13 01 00 00 BE 01 00 00 00 66 3B C6 75 60 8B CE E8 ?? ?? ?? ?? 66 85 DB 75 26 0F 57 D2 66 0F 2F 55 20 76 0F F2 0F 10 15 ?? ?? ?? ?? 0F 57 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? E9 D3 00 00 00 48 8D 4D D0 66 3B DE 75 15 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? E9 B9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 A9 00 00 00 66 83 F8 02 75 0C 66 85 DB 75 C7 F2 0F 10 55 28 EB B3 66 3B DE 75 51 66 85 C0 75 20 F2 0F 10 55 20 0F 57 C0 66 0F 2F 45 28 76 07 0F 57 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? EB 69 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 F2 0F 59 C8 F2 0F 59 D6 EB 3D F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 CE 0F 28 F8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 CF 0F 28 F0 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 D6 0F 28 C8 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 0F 28 74 24 40 0F 28 7C 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_665_4_0 {
	meta:
		name = "_ismbcspace_l"
		size = 204
		refs = "0016 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0060 __crtGetStringTypeA 0093 _isctype_l"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 F6 81 FF FF 00 00 00 76 54 8B C7 89 75 30 40 88 7D 21 C1 E8 08 88 45 20 48 8B 45 E8 39 70 08 74 38 8B 40 04 8D 5E 01 44 8D 4E 02 89 5C 24 30 89 44 24 28 48 8D 45 30 4C 8D 45 20 8B D3 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 0C 66 39 75 32 75 06 F6 45 30 08 75 35 8B DE EB 31 48 8B 45 E0 BB 01 00 00 00 39 98 D4 00 00 00 7E 12 4C 8D 45 E0 8D 53 07 8B CF E8 ?? ?? ?? ?? 8B D8 EB 0E 48 8B 80 08 01 00 00 0F B7 1C 78 83 E3 08 40 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F 5E 5D C3 }
	condition:
		$1
}

rule file_666_0_0 {
	meta:
		name = "_ldexp"
		size = 646
		refs = "0027 _ldtest 0059 __real@c0dccc8000000000 006b __real@40dccc8000000000 0075 _LInf_C 0087 _fperrraise 0098 __real@3fe0000000000000 00a6 __real@3ff71547652b82fe 00b4 __real@bfe0000000000000 00c1 _LEps_C 00dc __real@3e4be8e7bcd5e4f2 00e4 __real@3fe62e42f8000000 00f6 __xmm@80000000000000008000000000000000 0122 __real@3f0152b741a5e84b 012a __real@3f503fa081572e11 0132 __real@3f8c70e8daf3bd0b 013a __real@3fbc718f8c124358 015d __real@3ff0000000000000 01cc _LNan_C 021c _ldscale 0261 __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 F2 0F 11 48 10 55 41 56 41 57 48 8B EC 48 83 EC 20 41 8B F0 48 8B D9 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 45 33 F6 0F B7 C8 66 44 3B F7 0F 8E 37 01 00 00 66 44 3B F0 0F 8E 2D 01 00 00 F2 0F 10 23 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 0F 87 F1 01 00 00 66 0F 2F 25 ?? ?? ?? ?? 76 23 F2 0F 10 05 ?? ?? ?? ?? 41 8D 4E 08 F2 0F 59 45 28 F2 0F 11 03 E8 ?? ?? ?? ?? 41 8D 46 01 E9 D9 01 00 00 F2 0F 10 2D ?? ?? ?? ?? 0F 28 CC 0F 57 C0 F2 0F 59 0D ?? ?? ?? ?? 66 0F 2F C1 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 28 C5 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C E0 0F 28 C2 F2 0F 5C E1 0F 57 05 ?? ?? ?? ?? 66 0F 2F E0 76 11 66 0F 2F D4 76 0B F2 0F 10 45 28 F2 0F 11 03 EB 65 0F 28 C4 F2 0F 59 C4 0F 28 D0 0F 28 D8 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 D8 F2 0F 58 D5 F2 0F 59 D4 0F 28 CA F2 0F 58 CB F2 0F 5C DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5E CB F2 0F 59 4D 28 F2 0F 11 0B 8D 14 30 E9 9A 00 00 00 41 BF 02 00 00 00 66 41 3B FF 75 09 41 0F B7 C7 E9 DA 00 00 00 66 41 3B CF 75 0E F2 0F 10 45 28 41 0F B7 C7 E9 C2 00 00 00 66 85 C9 75 30 F2 0F 10 03 66 0F 2E 05 ?? ?? ?? ?? 7A 18 75 16 B8 01 00 00 00 8B C8 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB CC F2 0F 10 45 28 E9 89 00 00 00 B8 01 00 00 00 66 3B C8 75 22 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 03 0F 57 0D ?? ?? ?? ?? 66 0F 2E C1 7A 02 74 C0 F2 0F 10 45 28 EB 61 66 85 FF 75 34 F2 0F 10 45 28 8B D6 F2 0F 11 03 48 8B CB E8 ?? ?? ?? ?? 0F BF D8 8B D3 85 DB 74 09 FF CA 75 0F 8D 4A 08 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 EB 2C F2 0F 10 03 66 0F 2E 05 ?? ?? ?? ?? 7A 09 75 07 F2 0F 59 45 28 EB 11 F2 0F 10 45 28 F2 0F 59 05 ?? ?? ?? ?? 41 0F B7 C6 F2 0F 11 03 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1279_0_0 {
	meta:
		name = "_dexp"
		size = 646
		refs = "0027 _dtest 0059 __real@c09cc80000000000 006b __real@409cc80000000000 0075 _Inf_C 0087 _fperrraise 0098 __real@3fe0000000000000 00a6 __real@3ff71547652b82fe 00b4 __real@bfe0000000000000 00c1 _Eps_C 00dc __real@3e4be8e7bcd5e4f2 00e4 __real@3fe62e42f8000000 00f6 __xmm@80000000000000008000000000000000 0122 __real@3f0152b741a5e84b 012a __real@3f503fa081572e11 0132 __real@3f8c70e8daf3bd0b 013a __real@3fbc718f8c124358 015d __real@3ff0000000000000 01cc _Nan_C 021c _dscale 0261 __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 F2 0F 11 48 10 55 41 56 41 57 48 8B EC 48 83 EC 20 41 8B F0 48 8B D9 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 45 33 F6 0F B7 C8 66 44 3B F7 0F 8E 37 01 00 00 66 44 3B F0 0F 8E 2D 01 00 00 F2 0F 10 23 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 0F 87 F1 01 00 00 66 0F 2F 25 ?? ?? ?? ?? 76 23 F2 0F 10 05 ?? ?? ?? ?? 41 8D 4E 08 F2 0F 59 45 28 F2 0F 11 03 E8 ?? ?? ?? ?? 41 8D 46 01 E9 D9 01 00 00 F2 0F 10 2D ?? ?? ?? ?? 0F 28 CC 0F 57 C0 F2 0F 59 0D ?? ?? ?? ?? 66 0F 2F C1 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 28 C5 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C E0 0F 28 C2 F2 0F 5C E1 0F 57 05 ?? ?? ?? ?? 66 0F 2F E0 76 11 66 0F 2F D4 76 0B F2 0F 10 45 28 F2 0F 11 03 EB 65 0F 28 C4 F2 0F 59 C4 0F 28 D0 0F 28 D8 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 D8 F2 0F 58 D5 F2 0F 59 D4 0F 28 CA F2 0F 58 CB F2 0F 5C DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 5E CB F2 0F 59 4D 28 F2 0F 11 0B 8D 14 30 E9 9A 00 00 00 41 BF 02 00 00 00 66 41 3B FF 75 09 41 0F B7 C7 E9 DA 00 00 00 66 41 3B CF 75 0E F2 0F 10 45 28 41 0F B7 C7 E9 C2 00 00 00 66 85 C9 75 30 F2 0F 10 03 66 0F 2E 05 ?? ?? ?? ?? 7A 18 75 16 B8 01 00 00 00 8B C8 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB CC F2 0F 10 45 28 E9 89 00 00 00 B8 01 00 00 00 66 3B C8 75 22 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 03 0F 57 0D ?? ?? ?? ?? 66 0F 2E C1 7A 02 74 C0 F2 0F 10 45 28 EB 61 66 85 FF 75 34 F2 0F 10 45 28 8B D6 F2 0F 11 03 48 8B CB E8 ?? ?? ?? ?? 0F BF D8 8B D3 85 DB 74 09 FF CA 75 0F 8D 4A 08 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 EB 2C F2 0F 10 03 66 0F 2E 05 ?? ?? ?? ?? 7A 09 75 07 F2 0F 59 45 28 EB 11 F2 0F 10 45 28 F2 0F 59 05 ?? ?? ?? ?? 41 0F B7 C6 F2 0F 11 03 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_666_1_0 {
	meta:
		name = "exp2l"
		size = 232
		refs = "0013 _ldtest 0039 __real@c1e0000000000000 004c __real@41dfffffffc00000 005e _ld_int 0079 __real@3fe0000000000000 0083 __real@bff0000000000000 0090 __real@bfe0000000000000 009e __real@3ff0000000000000 00a9 __real@3fe62e42fefa39ef 00bf _ldexp"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 45 33 C0 0F BF C8 85 C9 0F 84 B5 00 00 00 FF C9 0F 84 9D 00 00 00 FF C9 0F 84 8E 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4D 10 66 0F 2F C1 73 5D 66 0F 2F 0D ?? ?? ?? ?? 73 53 48 8D 4D 18 33 D2 F2 0F 11 4D 18 E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 2C 45 18 F2 0F 5C 4D 18 44 0F BF C0 66 0F 2F 0D ?? ?? ?? ?? 76 0D F2 0F 58 0D ?? ?? ?? ?? 41 FF C0 EB 19 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 0B F2 0F 58 0D ?? ?? ?? ?? 41 FF C8 F2 0F 59 0D ?? ?? ?? ?? 48 8D 4D 10 F2 0F 11 4D 10 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 45 10 EB 18 B8 00 80 00 00 66 85 45 16 74 EE 0F 57 C0 EB 08 F2 0F 10 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_1279_1_0 {
	meta:
		name = "exp2"
		size = 232
		refs = "0013 _dtest 0039 __real@c1e0000000000000 004c __real@41dfffffffc00000 005e _d_int 0079 __real@3fe0000000000000 0083 __real@bff0000000000000 0090 __real@bfe0000000000000 009e __real@3ff0000000000000 00a9 __real@3fe62e42fefa39ef 00bf _dexp"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 45 33 C0 0F BF C8 85 C9 0F 84 B5 00 00 00 FF C9 0F 84 9D 00 00 00 FF C9 0F 84 8E 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4D 10 66 0F 2F C1 73 5D 66 0F 2F 0D ?? ?? ?? ?? 73 53 48 8D 4D 18 33 D2 F2 0F 11 4D 18 E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 2C 45 18 F2 0F 5C 4D 18 44 0F BF C0 66 0F 2F 0D ?? ?? ?? ?? 76 0D F2 0F 58 0D ?? ?? ?? ?? 41 FF C0 EB 19 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 0B F2 0F 58 0D ?? ?? ?? ?? 41 FF C8 F2 0F 59 0D ?? ?? ?? ?? 48 8D 4D 10 F2 0F 11 4D 10 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 45 10 EB 18 B8 00 80 00 00 66 85 45 16 74 EE 0F 57 C0 EB 08 F2 0F 10 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_667_0_0 {
	meta:
		name = "_vsnprintf_c"
		size = 49
		refs = "001b _output_l 0020 _vsnprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 28 48 83 64 24 20 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_667_5_0 {
	meta:
		name = "_vsprintf_p"
		size = 49
		refs = "001b _output_p_l 0020 _vsnprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 28 48 83 64 24 20 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_714_2_0 {
	meta:
		name = "_vswprintf_c"
		size = 49
		refs = "001b _woutput_l 0020 _vswprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 28 48 83 64 24 20 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_714_5_0 {
	meta:
		name = "_vswprintf_p"
		size = 49
		refs = "001b _woutput_p_l 0020 _vswprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 28 48 83 64 24 20 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_667_1_0 {
	meta:
		name = "_vsnprintf_c_l"
		size = 53
		refs = "001f _output_l 0024 _vsnprintf_helper"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_667_6_0 {
	meta:
		name = "_vsprintf_p_l"
		size = 53
		refs = "001f _output_p_l 0024 _vsnprintf_helper"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_714_3_0 {
	meta:
		name = "_vswprintf_c_l"
		size = 53
		refs = "001f _woutput_l 0024 _vswprintf_helper"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_714_6_0 {
	meta:
		name = "_vswprintf_p_l"
		size = 53
		refs = "001f _woutput_p_l 0024 _vswprintf_helper"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_667_2_0 {
	meta:
		name = "_vsnprintf_helper"
		size = 230
		refs = "0038 memset 0042 _errno 004d _invalid_parameter_noinfo 00b1 _flsbuf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 50 33 DB 4D 8B F0 4C 8B F9 48 8B F2 48 8D 4D D8 44 8D 43 28 33 D2 49 8B F9 48 89 5D D0 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 76 4D 85 F6 74 05 48 85 F6 74 E1 4C 8B 4D 48 4C 8B 45 40 B9 FF FF FF 7F 4C 3B F1 41 8B C6 48 8B D7 0F 47 C1 48 8D 4D D0 C7 45 E8 42 00 00 00 48 89 75 E0 48 89 75 D0 89 45 D8 41 FF D7 8B F8 48 85 F6 74 33 85 C0 78 21 FF 4D D8 78 08 48 8B 45 D0 88 18 EB 10 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C7 EB 0E 39 5D D8 42 88 5C 36 FF 0F 9D C3 8D 43 FE 4C 8D 5C 24 50 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_667_3_0 {
	meta:
		name = "_vsnprintf_s"
		size = 30
		refs = "0015 _vsnprintf_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1042_11_0 {
	meta:
		name = "_strftime_l"
		size = 30
		refs = "0015 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_714_0_0 {
	meta:
		name = "_vsnwprintf_s"
		size = 30
		refs = "0015 _vsnwprintf_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_951_21_0 {
	meta:
		name = "_wcsftime_l"
		size = 30
		refs = "0015 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_667_4_0 {
	meta:
		name = "_vsnprintf_s_l"
		size = 328
		refs = "0060 _errno 006b _output_s_l 008c _vsnprintf_helper 0126 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 49 8B E9 49 8B F0 48 8B FA 48 8B D9 4D 85 C9 0F 84 EC 00 00 00 4D 85 C0 75 15 48 85 C9 75 19 48 85 D2 0F 85 D9 00 00 00 33 C0 E9 E5 00 00 00 48 85 C9 0F 84 C9 00 00 00 48 85 D2 0F 84 C0 00 00 00 49 3B D0 76 4D E8 ?? ?? ?? ?? 4C 8D 46 01 48 8D 0D ?? ?? ?? ?? 8B 38 48 8B 44 24 68 4C 8B CD 48 89 44 24 28 48 8B 44 24 60 48 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 75 6C E8 ?? ?? ?? ?? 83 38 22 0F 85 87 00 00 00 E8 ?? ?? ?? ?? 89 38 EB 7E E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8B CD 44 8B 30 48 8B 44 24 68 4C 8B C7 48 89 44 24 28 48 8B 44 24 60 48 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? C6 44 3B FF 00 83 F8 FE 75 1A 48 83 FE FF 75 18 E8 ?? ?? ?? ?? 83 38 22 75 33 E8 ?? ?? ?? ?? 44 89 30 EB 29 85 C0 79 28 C6 03 00 83 F8 FE 75 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_667_7_0 {
	meta:
		name = "_vsprintf_s_l"
		size = 110
		refs = "0033 _output_s_l 0038 _vsnprintf_helper 0049 _errno 0061 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 4D 85 C0 74 47 48 85 C9 74 42 48 85 D2 74 3D 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 03 C6 03 00 83 F8 FE 75 20 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_669_0_0 {
	meta:
		name = "fmax"
		size = 110
		refs = "0016 _dtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 41 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 29 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 77 17 66 0F 2E C8 7A 0E 75 0C B8 00 80 00 00 66 85 44 24 36 75 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1206_0_0 {
	meta:
		name = "fmaxl"
		size = 110
		refs = "0016 _ldtest"
	strings:
		$1 = { F2 0F 11 4C 24 10 F2 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 38 EB 41 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F2 0F 10 44 24 30 EB 29 F2 0F 10 44 24 38 F2 0F 10 4C 24 30 66 0F 2F C1 77 17 66 0F 2E C8 7A 0E 75 0C B8 00 80 00 00 66 85 44 24 36 75 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_671_0_0 {
	meta:
		name = "_hypotf"
		size = 326
		refs = "00a1 __real@47efffffe0000000 00c7 ??_C@_07HIGHJEEA@_hypotf?$AA@ 00e6 _handle_errorf 0129 _set_statfp"
	strings:
		$1 = { 4C 8B DC 48 83 EC 68 0F 28 D8 0F 28 E1 0F 57 D2 48 B8 FF FF FF FF FF FF FF 7F 0F 57 C9 0F 57 C0 41 B9 FF 07 00 00 F3 0F 5A D3 F2 0F 11 94 24 88 00 00 00 F3 0F 5A CB F3 0F 5A C4 48 8B 94 24 88 00 00 00 0F 57 D2 48 23 D0 4C 8B C2 49 C1 E8 34 F3 0F 5A D4 F2 0F 11 94 24 88 00 00 00 48 8B 8C 24 88 00 00 00 48 23 C8 48 8B C1 48 C1 E8 34 4D 3B C1 74 78 49 3B C1 74 73 F2 0F 59 C0 F2 0F 59 C9 F2 0F 58 C1 F2 0F 11 44 24 50 F2 0F 51 4C 24 50 F2 41 0F 11 4B 18 F2 41 0F 10 43 18 66 0F 2F 05 ?? ?? ?? ?? 0F 86 92 00 00 00 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 F3 0F 11 5C 24 30 BA 18 00 00 00 48 8D 0D ?? ?? ?? ?? 41 B8 00 00 80 7F 44 8D 4A EB C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E8 ?? ?? ?? ?? EB 55 F3 0F 59 DB F3 0F 59 E4 0F 57 C0 49 BA FF FF FF FF FF FF 0F 00 F3 0F 58 DC F3 0F 5A C3 F2 0F 11 84 24 80 00 00 00 4D 3B C1 75 05 49 85 D2 74 0A 49 3B C1 75 1C 49 85 CA 75 17 33 C9 E8 ?? ?? ?? ?? C7 44 24 70 00 00 80 7F F3 0F 10 44 24 70 EB 04 66 0F 5A C0 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_671_1_0 {
	meta:
		name = "infinityf_with_flags"
		size = 72
		refs = "0031 _set_statfp"
	strings:
		$1 = { 48 83 EC 28 33 C0 F6 C1 01 8D 50 08 0F 45 C2 F6 C1 02 74 03 83 C8 10 F6 C1 04 74 03 83 C8 04 84 CA 74 03 83 C8 01 F6 C1 10 74 03 83 C8 20 8B C8 E8 ?? ?? ?? ?? C7 44 24 30 00 00 80 7F F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_672_0_0 {
	meta:
		name = "tanf"
		size = 1585
		refs = "0006 __use_fma3_lib 0018 L_inf_mask_32 0039 L_piby4 0046 L_mask_3f2 004f L_mask_3e4 005e L_n_one 0066 L_min_norm 0084 L_point_333 00b0 L_tanf 00fd L_large_x_sse2 010b L_sign_mask 0113 L_twobypi 011f L_point_five 012f L_int_three 013f L_piby2_1 014b L_piby2_1tail 016b __L_2_by_pi_bits 02c2 L_piby2_lead 0333 L_signbit 0345 _tanf_special 03f8 L_large_x_fma3 05ba L_int_one"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 0F 85 3F 03 00 00 66 0F 7E C0 44 8B 05 ?? ?? ?? ?? 41 23 C0 41 3B C0 0F 84 1C 03 00 00 F3 0F 5A E8 66 49 0F 7E E9 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 8F B2 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 54 4C 3B 0D ?? ?? ?? ?? 7D 1B 4D 85 C9 74 10 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 48 83 C4 38 C3 90 66 0F 28 D5 F2 0F 59 D2 66 0F 28 C2 F2 0F 59 C5 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C5 E9 AA 02 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 28 C5 66 0F 28 C8 F2 0F 59 C8 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5E DA F2 0F 59 C8 F2 0F 59 CB F2 0F 58 C1 E9 46 02 00 00 66 49 0F 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 65 66 0F 28 C8 66 0F 54 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? 66 0F E6 E2 F3 0F E6 CC 66 0F 54 25 ?? ?? ?? ?? 66 0F 28 D0 66 0F 28 D9 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D1 F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 C2 F2 0F 5C C3 F2 0F 5C D0 66 0F 28 CA F2 0F 5C CB E9 5E 01 00 00 4C 8D 0D ?? ?? ?? ?? 66 49 0F 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 F3 43 0F 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 49 83 E3 07 66 0F 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 66 48 0F 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 1B 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 66 0F 6E E0 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 1A 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 0F 1F 44 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 23 74 41 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 66 49 0F 6E C2 F2 0F 59 05 ?? ?? ?? ?? 66 0F 7E E0 83 E0 01 66 0F 28 C8 F2 0F 59 C8 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5E DA F2 0F 59 C8 F2 0F 59 CB F2 0F 58 C1 83 F8 01 75 11 66 48 0F 6E 1D ?? ?? ?? ?? F2 0F 5E D8 F2 0F 10 C3 66 0F 54 2D ?? ?? ?? ?? 66 0F 57 C5 F2 0F 5A C0 48 83 C4 38 C3 E8 ?? ?? ?? ?? 48 83 C4 38 C3 66 90 C5 F9 7E C0 44 8B 05 ?? ?? ?? ?? 41 23 C0 41 3B C0 0F 84 C0 02 00 00 C5 FA 5A E8 C4 C1 F9 7E E9 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 7F 72 4C 3B 0D ?? ?? ?? ?? 7D 24 4C 3B 0D ?? ?? ?? ?? 7D 05 E9 8D 02 00 00 C5 D3 59 D5 C5 EB 59 C5 C4 E2 D1 99 05 ?? ?? ?? ?? E9 73 02 00 00 C5 D3 10 C5 C5 FB 59 C8 C5 FB 10 1D ?? ?? ?? ?? C4 E2 F1 A9 1D ?? ?? ?? ?? C5 FB 10 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 E3 5E DA C5 F3 59 C8 C4 E2 F1 B9 C3 E9 2E 02 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 59 C5 F9 54 0D ?? ?? ?? ?? C5 F9 28 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 F9 E6 D2 C4 E2 79 25 CA C5 F1 54 25 ?? ?? ?? ?? C5 F0 C6 C9 08 C5 FA E6 C9 C5 F9 6F D0 C4 E2 F1 BD 15 ?? ?? ?? ?? C5 F3 59 1D ?? ?? ?? ?? C5 EB 5C C3 C5 EB 5C D0 C5 EB 5C CB E9 5F 01 00 00 4C 8D 0D ?? ?? ?? ?? C4 C1 F9 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 C4 81 7A 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 49 83 E3 07 C5 F9 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 1C 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 66 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 C5 F9 6E E0 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 1A 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 0F 1F 44 00 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 23 74 41 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 C4 C1 F9 6E C2 C5 FB 59 05 ?? ?? ?? ?? C5 D9 54 15 ?? ?? ?? ?? C5 F9 7E D0 C5 FB 59 C8 C5 FB 10 1D ?? ?? ?? ?? C4 E2 F1 A9 1D ?? ?? ?? ?? C5 FB 10 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 E3 5E DA C5 F3 59 C8 C4 E2 F1 B9 C3 83 F8 01 74 02 EB 0D C4 E1 F9 6E 1D ?? ?? ?? ?? C5 E3 5E C0 C5 D1 54 2D ?? ?? ?? ?? C5 F9 57 C5 C5 FB 5A C0 48 83 C4 38 C3 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_673_0_0 {
	meta:
		name = "_chmod"
		size = 83
		refs = "001e __copy_path_to_wide_string 0036 _wchmod 0042 free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 DB 8B FA 48 89 5C 24 30 48 85 C9 74 18 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 1D 48 8B 5C 24 30 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 8B D8 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_674_7_0 {
	meta:
		name = "_vswprintf_l"
		size = 221
		refs = "0037 memset 0041 _errno 004c _invalid_parameter_noinfo 007e _woutput_l 00a4 _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 55 48 8B EC 48 83 EC 50 48 83 65 D0 00 48 8B FA 33 D2 4D 8B F0 48 8B D9 44 8D 42 28 48 8D 4D D8 49 8B F1 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6E 48 85 DB 74 E6 48 8D 4D D0 4C 8B CE 4D 8B C6 48 8B D7 C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 C7 45 D8 FF FF FF 7F E8 ?? ?? ?? ?? FF 4D D8 8B D8 78 14 48 8B 4D D0 C6 01 00 48 8B 4D D0 48 FF C1 48 89 4D D0 EB 0F 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 4D D0 FF 4D D8 78 05 C6 01 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 4C 8B 74 24 78 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_675_0_0 {
	meta:
		name = "_wexecl"
		size = 202
		refs = "001c __security_cookie 0036 _errno 0041 _invalid_parameter_noinfo 0078 _wcapture_argv 008e _wexecve 00a8 free 00bb __security_check_cookie"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 F6 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 64 66 39 31 74 E5 48 85 D2 74 E0 66 39 32 74 DB 48 8D 84 24 70 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 C0 48 8B CB 48 8B D0 48 8B F8 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_676_0_0 {
	meta:
		name = "nexttoward"
		size = 354
		refs = "0022 _dtest 003d _ldtest 00f7 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 F2 0F 11 48 10 F2 0F 11 40 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? BF F0 7F 00 00 0F B7 D8 66 83 F8 02 0F 84 05 01 00 00 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 4D 18 66 83 F8 02 0F 84 E8 00 00 00 F2 0F 10 45 10 66 0F 2E C1 7A 06 0F 84 D7 00 00 00 B9 01 00 00 00 66 3B D9 75 22 0F B7 45 16 B9 EF FF 00 00 C7 45 12 FF FF FF FF 66 23 C1 B9 EF 7F 00 00 66 0B C1 B9 FF FF 00 00 EB 14 33 D2 66 85 DB 75 1A 66 0F 2F C8 B8 00 80 00 00 66 0F 47 C2 66 89 45 16 66 89 4D 10 E9 8F 00 00 00 66 0F 2F C8 0F 57 D2 76 06 66 0F 2F C2 77 0C 66 0F 2F C1 76 3A 66 0F 2F D0 76 34 66 01 4D 10 75 6E 66 01 4D 12 75 68 66 01 4D 14 75 62 0F B7 45 16 66 03 C1 0F B7 C8 66 89 45 16 0F BA F1 0F 3B CF 75 4C B9 08 00 00 00 E8 ?? ?? ?? ?? EB 40 0F B7 45 10 B9 FF FF 00 00 66 03 C1 66 89 45 10 66 3B C1 75 2B 0F B7 45 12 66 03 C1 66 89 45 12 66 3B C1 75 1B 0F B7 45 14 66 03 C1 66 89 45 14 66 3B C1 75 0B 66 01 4D 16 EB 05 F2 0F 11 4D 10 66 85 7D 16 75 0A B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 10 48 8B 5C 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_1327_0_0 {
	meta:
		name = "nexttowardl"
		size = 354
		refs = "0022 _ldtest 00f7 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 F2 0F 11 48 10 F2 0F 11 40 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? BF F0 7F 00 00 0F B7 D8 66 83 F8 02 0F 84 05 01 00 00 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 4D 18 66 83 F8 02 0F 84 E8 00 00 00 F2 0F 10 45 10 66 0F 2E C1 7A 06 0F 84 D7 00 00 00 B9 01 00 00 00 66 3B D9 75 22 0F B7 45 16 B9 EF FF 00 00 C7 45 12 FF FF FF FF 66 23 C1 B9 EF 7F 00 00 66 0B C1 B9 FF FF 00 00 EB 14 33 D2 66 85 DB 75 1A 66 0F 2F C8 B8 00 80 00 00 66 0F 47 C2 66 89 45 16 66 89 4D 10 E9 8F 00 00 00 66 0F 2F C8 0F 57 D2 76 06 66 0F 2F C2 77 0C 66 0F 2F C1 76 3A 66 0F 2F D0 76 34 66 01 4D 10 75 6E 66 01 4D 12 75 68 66 01 4D 14 75 62 0F B7 45 16 66 03 C1 0F B7 C8 66 89 45 16 0F BA F1 0F 3B CF 75 4C B9 08 00 00 00 E8 ?? ?? ?? ?? EB 40 0F B7 45 10 B9 FF FF 00 00 66 03 C1 66 89 45 10 66 3B C1 75 2B 0F B7 45 12 66 03 C1 66 89 45 12 66 3B C1 75 1B 0F B7 45 14 66 03 C1 66 89 45 14 66 3B C1 75 0B 66 01 4D 16 EB 05 F2 0F 11 4D 10 66 85 7D 16 75 0A B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 10 48 8B 5C 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_677_0_0 {
	meta:
		name = "_swprintf_c"
		size = 252
		refs = "0032 memset 003c _errno 0047 _invalid_parameter_noinfo 0090 _woutput_l 00bf _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 41 56 48 8B EC 48 83 EC 50 45 33 F6 49 8B F0 48 8B D9 48 8B FA 48 8D 4D D8 45 8D 46 28 33 D2 4C 89 75 D0 E8 ?? ?? ?? ?? 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 9E 00 00 00 48 85 FF 74 05 48 85 DB 74 E1 4C 8D 4D 48 C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 48 81 FF FF FF FF 3F 76 09 C7 45 D8 FF FF FF 7F EB 06 8D 04 3F 89 45 D8 48 8D 4D D0 45 33 C0 48 8B D6 E8 ?? ?? ?? ?? 8B F8 48 85 DB 74 56 85 C0 78 4B FF 4D D8 78 14 48 8B 45 D0 44 88 30 48 8B 45 D0 48 FF C0 48 89 45 D0 EB 14 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 22 48 8B 45 D0 FF 4D D8 78 05 44 88 30 EB 10 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C7 EB 07 66 44 89 33 83 C8 FF 48 83 C4 50 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_678_0_0 {
	meta:
		name = "strncpy_s"
		size = 188
		refs = "0036 _errno 0042 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1E 33 C0 EB 2D 48 85 C9 74 15 48 85 D2 74 10 4D 85 C9 75 04 88 19 EB E9 4D 85 C0 75 1B 88 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B D9 4C 8B D2 49 83 F9 FF 75 18 4D 2B D8 41 8A 00 43 88 04 03 49 FF C0 84 C0 74 2A 49 FF CA 75 ED EB 23 4C 2B C1 43 8A 04 18 41 88 03 49 FF C3 84 C0 74 0A 49 FF CA 74 05 49 FF C9 75 E8 4D 85 C9 75 03 41 88 1B 4D 85 D2 0F 85 79 FF FF FF 49 83 F9 FF 75 0A 88 5C 11 FF 41 8D 42 50 EB 9A 88 19 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 83 }
	condition:
		$1
}

rule file_679_0_0 {
	meta:
		name = "_fdquad"
		size = 1019
		refs = "0026 __security_cookie 0039 __real@c522f983 0052 __real@4522f983 0063 __real@3f22f983 0073 __real@3f000000 007d __real@bf000000 008d _fd_int 00b0 __real@3e800000 00bb __real@3f30000000000000 00cd __real@46c90000 00d5 __real@40fda000 00e8 __real@3aa22000 00f3 __real@33340000 00fb __real@2ec23000 012c _fdunscale 0146 _fdxp_setw 016a _fdscale 0188 __b 01a3 memcpy 01b3 _fdxp_mulh 0200 _fdxp_addx 022e __real@3e22f983 0250 __xmm@80000000800000008000000080000000 026f __c 02a6 get_acsize 0362 __real@be800000 0393 _fdxp_getw 03a4 __real@cf000000 03ac __real@4f000000 03be fmodf 03d4 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 4C 89 78 20 55 48 8D 68 A1 48 81 EC B0 00 00 00 0F 29 70 E8 0F 29 78 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 F3 0F 10 09 F3 0F 10 3D ?? ?? ?? ?? 48 8B F9 0F 2F CF F3 0F 11 4D CF 0F 86 CB 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 0F 86 BA 00 00 00 F3 0F 59 0D ?? ?? ?? ?? 0F 57 F6 0F 2F CE 72 0A F3 0F 58 0D ?? ?? ?? ?? EB 08 F3 0F 58 0D ?? ?? ?? ?? 48 8D 4D C7 33 D2 F3 0F 11 4D C7 E8 ?? ?? ?? ?? F3 0F 10 65 C7 0F 2E E6 7A 09 75 07 F3 0F 10 5D CF EB 6C F3 0F 10 5D CF 0F 28 C4 F3 0F 59 05 ?? ?? ?? ?? 0F 5A C8 F2 0F 59 0D ?? ?? ?? ?? 66 0F 5A D1 0F 28 C2 0F 28 CA F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C D8 0F 28 C2 F3 0F 5C D9 F3 0F 59 05 ?? ?? ?? ?? 0F 28 CA F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 15 ?? ?? ?? ?? F3 0F 5C D8 F3 0F 5C D9 F3 0F 5C DA F3 0F 11 5D CF F3 0F 11 1F E9 87 02 00 00 48 8D 55 C7 48 8D 4D CB F3 0F 11 4D C7 BB 05 00 00 00 E8 ?? ?? ?? ?? 66 83 7D CB 21 0F 57 F6 7D 15 F3 0F 10 55 CF 48 8D 4D DF 8B D3 E8 ?? ?? ?? ?? E9 B5 00 00 00 0F BF 45 CB 48 8D 4D CF 83 E8 19 C1 F8 03 0F BF D0 66 89 45 CB C1 E2 03 F7 DA E8 ?? ?? ?? ?? 48 8D 4D D7 BA 02 00 00 00 F3 0F 10 55 CF E8 ?? ?? ?? ?? 0F BF 45 CB 4C 8D 3D ?? ?? ?? ?? FF C8 41 B8 14 00 00 00 48 98 48 8D 0C 80 49 8D 14 8F 48 8D 4D DF E8 ?? ?? ?? ?? 48 8D 4D DF 8B D3 F3 0F 10 55 D7 E8 ?? ?? ?? ?? F3 0F 10 45 DB 0F 2E C6 7A 02 74 41 0F BF 45 CB 41 B8 14 00 00 00 FF C8 48 98 48 8D 0C 80 49 8D 14 8F 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8D 4D F7 8B D3 F3 0F 10 55 DB E8 ?? ?? ?? ?? 4C 8D 45 F7 48 8D 4D DF 44 8B CB 8B D3 E8 ?? ?? ?? ?? F3 0F 10 4D DF 0F 2F F9 77 0D 0F 2F 0D ?? ?? ?? ?? 0F 86 D0 00 00 00 F3 0F 10 45 E3 48 8D 4D C7 33 D2 F3 0F 58 C1 F3 0F 59 05 ?? ?? ?? ?? F3 0F 11 45 C7 E8 ?? ?? ?? ?? F3 0F 10 45 C7 0F 57 C9 48 8D 4D D7 BA 02 00 00 00 0F 57 05 ?? ?? ?? ?? F3 0F 5A C8 F2 0F 59 0D ?? ?? ?? ?? 66 0F 5A D1 E8 ?? ?? ?? ?? 4C 63 C3 48 8D 15 ?? ?? ?? ?? 48 8D 4D F7 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8D 4D F7 8B D3 F3 0F 10 55 D7 E8 ?? ?? ?? ?? F3 0F 10 45 DB 0F 2E C6 7A 06 0F 84 52 FF FF FF F3 0F 10 45 DF E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 0F 48 63 D8 4C 8B C3 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8D 4D 0F 8B D3 F3 0F 10 55 DB E8 ?? ?? ?? ?? 4C 8D 45 0F 48 8D 4D F7 44 8B CB 8B D3 E8 ?? ?? ?? ?? E9 07 FF FF FF F3 0F 10 45 E3 F3 0F 58 C1 F3 0F 59 05 ?? ?? ?? ?? 0F 2F C6 72 0A F3 0F 58 05 ?? ?? ?? ?? EB 08 F3 0F 58 05 ?? ?? ?? ?? 48 8D 4D C7 33 D2 F3 0F 11 45 C7 E8 ?? ?? ?? ?? F3 0F 10 45 C7 0F 2E C6 7A 02 74 5D F3 0F 10 45 DF E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 0F 48 63 D8 4C 8B C3 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8D 4D 0F 8B D3 F3 0F 10 45 C7 F3 0F 59 05 ?? ?? ?? ?? 0F 5A C8 F2 0F 59 0D ?? ?? ?? ?? 66 0F 5A D1 E8 ?? ?? ?? ?? 4C 8D 45 0F 48 8D 4D DF 44 8B CB 8B D3 E8 ?? ?? ?? ?? 48 8D 4D DF 8B D3 E8 ?? ?? ?? ?? F3 0F 10 65 C7 F3 0F 11 07 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 0F 2F D4 77 05 0F 2F E1 76 0B 0F 28 C4 E8 ?? ?? ?? ?? 0F 28 E0 F3 0F 2C C4 83 E0 03 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 18 49 8B 7B 20 4D 8B 7B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_679_1_0 {
	meta:
		name = "_fdquadph"
		size = 206
		refs = "0016 _fdquad 002d _fd_int 003b __real@ce800000 0043 __real@4e800000 0056 fmodf 005e __real@40000000 0066 __real@40490fdb 0081 __real@3f490fdb 008b __real@3f000000 0097 __real@bf490fdb"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 0F 29 74 24 20 48 8B F9 0F 28 F1 E8 ?? ?? ?? ?? 48 8D 4C 24 48 BA 01 00 00 00 F3 0F 11 74 24 48 8B D8 E8 ?? ?? ?? ?? F3 0F 10 44 24 48 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 0F 2F D0 F3 0F 5C F0 77 05 0F 2F C1 76 05 E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 0F 28 CE F3 0F 59 CA F3 0F 2C C0 F3 0F 58 0F 83 E0 03 03 D8 0F 2F 0D ?? ?? ?? ?? 72 0C F3 0F 5C 35 ?? ?? ?? ?? FF C3 EB 17 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C1 72 18 F3 0F 58 35 ?? ?? ?? ?? FF CB F3 0F 59 F2 F3 0F 58 37 F3 0F 11 37 EB 04 F3 0F 11 0F 0F 28 74 24 20 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_679_2_0 {
	meta:
		name = "_fdsin"
		size = 300
		refs = "0013 _fdtest 0038 _fdquad 0042 _FRteps_C 004a __xmm@80000000800000008000000080000000 006d __real@3f800000 0086 __real@3ab24993 008e __real@3d2aa036 009e __real@3effffdf 00b4 __real@394c8c6e 00bc __real@3c088342 00d0 __real@3e2aaaa1 00f7 _fperrraise 00ff _FNan_C"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 8B DA E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 E3 00 00 00 FF C9 0F 84 C7 00 00 00 FF C9 0F 84 B7 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 03 D8 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? F3 0F 10 54 24 30 0F 28 C1 0F 57 C4 0F 2F D0 76 14 0F 2F CA 76 0F F6 C3 01 74 73 F3 0F 10 15 ?? ?? ?? ?? EB 69 0F 28 DA F3 0F 59 DA 0F 28 C3 F6 C3 01 74 2E F3 0F 59 05 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C D0 F3 0F 59 D3 F3 0F 5C 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 15 ?? ?? ?? ?? EB 2C F3 0F 59 05 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? F3 0F 5C C8 F3 0F 59 CB F3 0F 59 DA F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 CB F3 0F 58 D1 F6 C3 02 74 03 0F 57 D4 0F 28 C2 EB 3D F3 0F 10 44 24 30 EB 35 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 21 F6 C3 01 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 06 F3 0F 10 44 24 30 F6 C3 02 74 07 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_679_3_0 {
	meta:
		name = "get_acsize"
		size = 73
		refs = "0015 _fdunscale"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF 4C 24 38 B8 AB AA AA 2A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 B8 05 00 00 00 8D 14 55 04 00 00 00 48 63 CA 48 3B C8 0F 46 C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_679_4_0 {
	meta:
		name = "lgamma_big"
		size = 185
		refs = "001b _fdlog 0023 __real@3f800000 003c __real@3f000000 004b _fdunscale 006a _fdscale 0082 __real@3daaaaab 008a __real@3ed67f1d 009a _fperrraise"
	strings:
		$1 = { 48 83 EC 58 0F 29 74 24 40 33 D2 0F 29 7C 24 30 44 0F 29 44 24 20 44 0F 28 C0 E8 ?? ?? ?? ?? F3 0F 10 3D ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 60 41 0F 28 C8 0F 28 F0 F3 0F 5C 0D ?? ?? ?? ?? F3 0F 5C F7 F3 0F 11 4C 24 68 E8 ?? ?? ?? ?? F3 0F 10 4C 24 68 0F BF 54 24 60 48 8D 4C 24 68 F3 0F 59 CE F3 0F 11 4C 24 68 E8 ?? ?? ?? ?? 66 85 C0 79 21 F3 0F 10 44 24 68 F3 41 0F 5E F8 F3 0F 59 3D ?? ?? ?? ?? F3 0F 58 3D ?? ?? ?? ?? F3 0F 58 C7 EB 10 B9 08 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 44 24 68 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_679_5_0 {
	meta:
		name = "lgammaf"
		size = 567
		refs = "0026 _fd_int 0057 _fperrraise 005f _FInf_C 006c _fdgamma_big 0076 __xmm@80000000800000008000000080000000 0088 __real@40490fdb 0090 _fdsin 00ab _fdlog 00bf lgamma_big 00e7 rootapprox 0138 _fdpoly 0144 __real@3f99999a 014e __real@3fc00000 015a approx 01bf _fdtgamma 01d2 __xmm@7fffffff7fffffff7fffffff7fffffff 01f6 __real@3f317216 01fe __real@33fbe8e8 0215 log1pf"
	strings:
		$1 = { F3 0F 11 44 24 08 55 53 57 48 8B EC 48 83 EC 40 48 8D 4D 30 33 D2 0F 29 74 24 30 F3 0F 11 45 30 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 33 D2 F3 0F 10 7D 20 85 C9 74 11 FF C9 74 1F FF C9 75 28 F3 0F 10 C7 E9 DC 01 00 00 0F 57 C0 0F 2F C7 72 17 B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 BD 01 00 00 F3 0F 10 0D ?? ?? ?? ?? 0F 28 C1 0F 57 05 ?? ?? ?? ?? 0F 2F C7 76 50 F3 0F 5C 7D 30 F3 0F 59 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 33 D2 F3 0F 59 45 20 F3 0F 5E C8 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 20 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 5C F0 0F 28 C6 E9 56 01 00 00 0F 2F F9 72 0D 0F 28 C7 E8 ?? ?? ?? ?? E9 44 01 00 00 44 8B C2 48 8D 0D ?? ?? ?? ?? 0F 2F 79 FC 76 09 F3 0F 10 01 0F 2F C7 77 10 41 FF C0 48 83 C1 20 49 63 C0 48 83 F8 0C 72 E1 49 63 C0 48 83 F8 0C 73 2E 48 C1 E0 05 48 8D 15 ?? ?? ?? ?? 44 8B 44 10 18 F3 0F 5C 7C 10 08 F3 0F 5C 7C 10 0C 48 8B 54 10 10 0F 28 C7 E8 ?? ?? ?? ?? E9 E4 00 00 00 0F 2F 3D ?? ?? ?? ?? 76 6C F3 0F 10 05 ?? ?? ?? ?? 0F 2F C7 76 5F 48 8D 3D ?? ?? ?? ?? 48 8B CF F3 0F 10 01 0F 2F C7 77 0F FF C2 48 83 C1 28 48 63 C2 48 83 F8 01 72 E8 48 63 C2 48 8D 1C 80 F3 0F 5C 7C DF 04 44 8B 44 DF 10 48 8B 54 DF 08 0F 28 C7 E8 ?? ?? ?? ?? 44 8B 44 DF 20 48 8B 54 DF 18 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? F3 0F 5E F0 E9 11 FF FF FF 48 8D 55 28 48 8D 4D 20 E8 ?? ?? ?? ?? 33 D2 F3 0F 11 45 30 F3 0F 10 45 20 0F 54 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 45 28 F7 D8 0F 57 05 ?? ?? ?? ?? 66 0F 6E C8 0F 5B C9 0F 28 D1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 45 30 F3 0F 58 D1 F3 0F 11 55 20 E8 ?? ?? ?? ?? F3 0F 10 4D 20 F3 0F 58 C8 0F 28 C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F 5B 5D C3 }
	condition:
		$1
}

rule file_680_3_0 {
	meta:
		name = "?__crtGetLocaleInfoA_stat@@YAHPEAUlocaleinfo_struct@@PEB_WKPEADH@Z"
		size = 362
		refs = "0022 __security_cookie 004c __crtGetLocaleInfoEx 00a5 __chkstk 00bf malloc 012b __imp_WideCharToMultiByte 013e free 014c __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 83 EC 50 48 8D 6C 24 40 48 89 5D 40 48 89 75 48 48 89 7D 50 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 48 8B 01 45 8B F8 4C 8B E2 44 8B 70 04 4D 8B E9 45 33 C0 45 33 C9 41 8B D7 49 8B CC 33 FF E8 ?? ?? ?? ?? 48 63 F0 85 C0 75 07 33 C0 E9 E6 00 00 00 7E 77 33 D2 48 8D 42 E0 48 F7 F6 48 83 F8 02 72 68 48 8D 0C 36 48 8D 41 10 48 3B C1 76 5B 48 8D 0C 75 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 40 48 85 DB 74 A1 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C3 10 EB 03 48 8B DF 48 85 DB 0F 84 74 FF FF FF 44 8B CE 4C 8B C3 41 8B D7 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 39 8B 45 60 41 83 C9 FF 33 D2 48 89 7C 24 38 4C 8B C3 41 8B CE 48 89 7C 24 30 85 C0 75 0B 89 7C 24 28 48 89 7C 24 20 EB 09 89 44 24 28 4C 89 6C 24 20 FF 15 ?? ?? ?? ?? 8B F8 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 40 48 8B 75 48 48 8B 7D 50 48 8D 65 10 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_680_6_0 {
	meta:
		name = "__crtGetLocaleInfoA"
		size = 102
		refs = "0021 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f ?__crtGetLocaleInfoA_stat@@YAHPEAUlocaleinfo_struct@@PEB_WKPEADH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B F2 48 8B D1 48 8D 4C 24 30 49 8B D9 41 8B F8 E8 ?? ?? ?? ?? 8B 84 24 80 00 00 00 48 8D 4C 24 30 4C 8B CB 44 8B C7 48 8B D6 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_681_0_0 {
	meta:
		name = "_fclose_nolock"
		size = 122
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0030 _flush 003a _freebuf 0042 _fileno 0049 _close 0060 free"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 CF FF 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0B C7 EB 46 F6 41 18 83 74 3A E8 ?? ?? ?? ?? 48 8B CB 8B F8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 79 05 83 CF FF EB 13 48 8B 4B 28 48 85 C9 74 0A E8 ?? ?? ?? ?? 48 83 63 28 00 83 63 18 00 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_681_1_0 {
	meta:
		name = "fclose"
		size = 102
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0042 _lock_file 004b _fclose_nolock 0055 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 83 CF FF 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB 26 F6 41 18 40 74 06 83 61 18 00 EB F0 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? EB D6 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_682_0_0 {
	meta:
		name = "__avx_coshf8"
		size = 576
		refs = "0036 __common_scosh_data 0232 __common_scosh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 A4 24 D0 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 4F 01 00 00 C5 FC 10 0D ?? ?? ?? ?? 49 83 E5 C0 C5 FC 10 1D ?? ?? ?? ?? C5 F8 10 15 ?? ?? ?? ?? C5 F8 10 35 ?? ?? ?? ?? C5 F4 55 E0 C5 5C 59 25 ?? ?? ?? ?? C5 9C 58 EB C5 59 66 E2 C4 E3 7D 19 E1 01 C5 D9 76 FA C5 99 EB FF C5 71 66 E2 C5 F1 76 D2 C5 99 EB CA C5 41 6B E1 C5 C1 EF FF C5 99 63 D7 C5 54 5C E3 C5 F9 D7 D2 C5 9C 59 1D ?? ?? ?? ?? C5 DC 5C FB C5 9C 59 25 ?? ?? ?? ?? C5 44 5C E4 C5 E9 72 F5 17 C4 E3 7D 19 EF 01 C5 C9 FE EA C5 E1 72 F7 17 C5 C9 FA CA C4 C1 1C 59 FC C5 C9 FE E3 C5 C9 FA F3 C5 C4 59 15 ?? ?? ?? ?? C5 EC 58 1D ?? ?? ?? ?? C4 E3 75 18 F6 01 C5 E4 59 CF C5 C4 59 1D ?? ?? ?? ?? C4 C1 74 59 D4 C4 41 6C 58 E4 C4 E3 55 18 E4 01 C5 DC 5C EE C5 DC 58 F6 C5 E4 58 25 ?? ?? ?? ?? C4 41 54 59 E4 C5 DC 59 CF C5 F4 58 15 ?? ?? ?? ?? C5 EC 59 FF C5 C4 59 CE C5 9C 58 D1 C5 EC 58 CE 84 D2 75 2F C5 FC 10 B4 24 F0 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 A4 24 D0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 C1 33 C0 C5 7C 11 84 24 E0 00 00 00 C5 7C 11 8C 24 C0 00 00 00 C5 7C 11 94 24 A0 00 00 00 C5 7C 11 9C 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 08 01 00 00 8B D8 48 89 B4 24 00 01 00 00 8B F2 0F A3 DE 72 58 FF C3 83 FB 20 7C F4 C5 7C 10 84 24 E0 00 00 00 C5 7C 10 8C 24 C0 00 00 00 C5 7C 10 94 24 A0 00 00 00 C5 7C 10 9C 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 08 01 00 00 48 8B B4 24 00 01 00 00 E9 18 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 94 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_683_0_0 {
	meta:
		name = "_dlog"
		size = 449
		refs = "0018 _dunscale 0055 _fperrraise 005d _Nan_C 006a __real@3fe6a09e667f3bcd 008d __real@3ff0000000000000 00b7 __real@3fc2f8d8bf29def7 00bf __real@3fc3991accfeb3f4 00cb __real@3fc7466fd968cb62 00d7 __real@3fcc71c4da12c9c6 00e3 __real@3fd24924948ae94a 00ef __real@3fd9999999975ff7 00fb __real@3fe55555555555bc 0119 __real@3fe62e42c0000000 0121 __real@3e7f7d1cf79abc9e 0138 __real@3fdbcb7b1526e50e 0140 __real@3e5526e50e32a6ab 014b __real@3e7427de7fbcc47c 0153 __real@3fd3441300000000 0162 __real@3fdbcb7b00000000 0177 __real@3ff71547652b82fe 017f __real@3ff7154760000000 018a __real@3e54ae0bf85ddf44 01b0 _Inf_C 01b7 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 8B DA 48 8D 4C 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 7B 01 00 00 B8 00 80 00 00 FF C9 74 0F FF C9 75 14 F2 0F 10 44 24 30 E9 7C 01 00 00 66 85 44 24 36 75 09 EB EC 66 85 44 24 36 74 17 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 55 01 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4C 24 30 0F B7 44 24 40 66 0F 2F C1 76 07 F2 0F 58 C9 66 FF C8 0F 28 D1 F2 0F 58 0D ?? ?? ?? ?? 98 66 0F 6E E0 F2 0F 5C 15 ?? ?? ?? ?? 0F 28 DA F3 0F E6 E4 F2 0F 5E D9 0F 28 C3 F2 0F 59 C3 0F 28 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 0F 28 C2 F2 0F 5C C1 F2 0F 59 D8 85 DB 75 1D 0F 28 C4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C D3 EB 6A 0F 28 CA 7E 3F F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C CB 0F 28 D1 F2 0F 58 D0 EB 26 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C C3 0F 28 D0 F2 0F 58 D1 F2 0F 58 D4 0F 28 C2 EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_785_0_0 {
	meta:
		name = "_ldlog"
		size = 449
		refs = "0018 _ldunscale 0055 _fperrraise 005d _LNan_C 006a __real@3fe6a09e667f3bcd 008d __real@3ff0000000000000 00b7 __real@3fc2f8d8bf29def7 00bf __real@3fc3991accfeb3f4 00cb __real@3fc7466fd968cb62 00d7 __real@3fcc71c4da12c9c6 00e3 __real@3fd24924948ae94a 00ef __real@3fd9999999975ff7 00fb __real@3fe55555555555bc 0119 __real@3fe62e42c0000000 0121 __real@3e7f7d1cf79abc9e 0138 __real@3fdbcb7b1526e50e 0140 __real@3e5526e50e32a6ab 014b __real@3e7427de7fbcc47c 0153 __real@3fd3441300000000 0162 __real@3fdbcb7b00000000 0177 __real@3ff71547652b82fe 017f __real@3ff7154760000000 018a __real@3e54ae0bf85ddf44 01b0 _LInf_C 01b7 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 8B DA 48 8D 4C 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 7B 01 00 00 B8 00 80 00 00 FF C9 74 0F FF C9 75 14 F2 0F 10 44 24 30 E9 7C 01 00 00 66 85 44 24 36 75 09 EB EC 66 85 44 24 36 74 17 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 55 01 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4C 24 30 0F B7 44 24 40 66 0F 2F C1 76 07 F2 0F 58 C9 66 FF C8 0F 28 D1 F2 0F 58 0D ?? ?? ?? ?? 98 66 0F 6E E0 F2 0F 5C 15 ?? ?? ?? ?? 0F 28 DA F3 0F E6 E4 F2 0F 5E D9 0F 28 C3 F2 0F 59 C3 0F 28 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 0F 28 C2 F2 0F 5C C1 F2 0F 59 D8 85 DB 75 1D 0F 28 C4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C D3 EB 6A 0F 28 CA 7E 3F F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C CB 0F 28 D1 F2 0F 58 D0 EB 26 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C C3 0F 28 D0 F2 0F 58 D1 F2 0F 58 D4 0F 28 C2 EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_683_1_0 {
	meta:
		name = "_dlogpoly"
		size = 83
		refs = "0007 __real@3fc2f8d8bf29def7 000f __real@3fc3991accfeb3f4 001b __real@3fc7466fd968cb62 0027 __real@3fcc71c4da12c9c6 0033 __real@3fd24924948ae94a 003f __real@3fd9999999975ff7 004b __real@3fe55555555555bc"
		altNames = "_ldlogpoly"
	strings:
		$1 = { 0F 28 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? 0F 28 C1 C3 }
	condition:
		$1
}

rule file_685_0_0 {
	meta:
		name = "floor"
		size = 255
		refs = "006e ??_C@_05PBJFFIGL@floor?$AA@ 0090 _handle_error 00b3 __real@bff0000000000000 00f6 __real@3ff0000000000000"
	strings:
		$1 = { 48 83 EC 58 45 33 C0 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 60 48 8B 54 24 60 0F 28 C8 48 8B C2 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B D0 41 0F 95 C0 48 3B C1 72 5B 48 B9 00 00 00 00 00 00 F0 7F 48 3B C1 0F 86 AC 00 00 00 C7 44 24 40 01 00 00 00 0F 57 C0 49 B8 00 00 00 00 00 00 08 00 4C 0B C2 BA 0B 00 00 00 48 8D 0D ?? ?? ?? ?? F2 0F 11 44 24 38 F2 0F 11 4C 24 30 44 8D 4A F6 C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? EB 64 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 19 48 85 C0 74 50 4D 85 C0 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 41 0F 57 C0 EB 3C 48 8B C2 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 48 23 C2 48 89 44 24 60 F2 0F 10 44 24 60 4D 85 C0 74 0D 48 3B C2 74 08 F2 0F 5C 05 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_686_0_0 {
	meta:
		name = "_commit"
		size = 215
		refs = "001a _errno 0033 _nhandle 0046 __pioinfo 0062 __lock_fhandle 0075 _get_osfhandle 007e __imp_FlushFileBuffers 0088 __imp_GetLastError 0097 __doserrno 00ae _unlock_fhandle 00c2 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 56 48 83 EC 20 48 63 F9 83 FF FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 9D 00 00 00 85 C9 0F 88 85 00 00 00 3B 3D ?? ?? ?? ?? 73 7D 48 8B C7 48 8B DF 48 C1 FB 05 4C 8D 35 ?? ?? ?? ?? 83 E0 1F 48 6B F0 58 49 8B 04 DE 0F BE 4C 30 08 83 E1 01 74 57 8B CF E8 ?? ?? ?? ?? 90 49 8B 04 DE F6 44 30 08 01 74 2B 8B CF E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 0A FF 15 ?? ?? ?? ?? 8B D8 EB 02 33 DB 85 DB 74 15 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_688_14_0 {
	meta:
		name = "??0UMSThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@PEAXI@Z"
		size = 786
		refs = "004c ??_7UMSThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 0059 ??_7UMSThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0064 ??_7UMSThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 0098 __imp_CreateEventW 00b2 ?s_threadProxyIdCount@ResourceManager@details@Concurrency@@0JC 00c2 ?CreateUmsThreadContext@UMS@details@Concurrency@@SAHPEAPEAX@Z 00e4 ?SetUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@Z 0114 ?InitializeProcThreadAttributeList@UMS@details@Concurrency@@SAHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@KKPEA_K@Z 011d ??_U@YAPEAX_K@Z 0164 ?UpdateProcThreadAttribute@UMS@details@Concurrency@@SAHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@K_KPEAX12PEA_K@Z 017c __imp_GetCurrentProcess 018d ?UMSThreadProxyMain@UMSThreadProxy@details@Concurrency@@CAKPEAX@Z 01a7 ?CreateRemoteThreadEx@UMS@details@Concurrency@@SAPEAXPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AK0@Z0KPEAU_PROC_THREAD_ATTRIBUTE_LIST@@PEAK@Z 01b3 ?DeleteProcThreadAttributeList@UMS@details@Concurrency@@SAXPEAU_PROC_THREAD_ATTRIBUTE_LIST@@@Z 01bb ??_V@YAXPEAX@Z 01ea __imp_GetLastError 0201 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0208 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0211 _CxxThrowException 02d6 ?DeleteUmsThreadContext@UMS@details@Concurrency@@SAHPEAX@Z 02e0 __imp_CloseHandle 02fd ??0scheduler_worker_creation_error@Concurrency@@QEAA@J@Z 0304 _TI3?AVscheduler_worker_creation_error@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 55 57 41 54 41 56 41 57 48 8D 6C 24 E0 48 81 EC 20 01 00 00 45 33 E4 48 89 51 18 44 89 49 50 4C 89 61 28 4C 89 61 30 4C 89 61 48 44 89 61 54 44 88 61 58 44 89 61 5C 4C 8D 79 20 44 89 61 70 48 8D 05 ?? ?? ?? ?? 48 89 01 4D 89 27 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 41 8B F9 48 89 41 10 44 89 61 38 4C 89 61 40 4C 89 61 68 49 8B D8 48 8B F1 4C 89 A1 8C 00 00 00 44 89 61 78 45 33 C9 33 C9 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 89 46 30 48 85 C0 0F 84 3F 01 00 00 41 8D 44 24 01 F0 0F C1 05 ?? ?? ?? ?? FF C0 49 8B CF 89 86 88 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 48 01 00 00 49 8B 0F 45 8D 4C 24 08 4C 8D 45 58 41 8D 54 24 01 48 89 75 58 E8 ?? ?? ?? ?? 85 C0 0F 84 54 01 00 00 49 8B 07 4C 8D 4D 50 41 8D 54 24 01 45 33 C0 33 C9 C7 44 24 40 00 01 00 00 48 89 44 24 48 48 89 5C 24 50 E8 ?? ?? ?? ?? 48 8B 4D 50 E8 ?? ?? ?? ?? 4C 8D 4D 50 41 8D 54 24 01 48 8B C8 45 33 C0 4C 8B F0 E8 ?? ?? ?? ?? 85 C0 0F 84 34 01 00 00 4C 89 64 24 30 4C 8D 4C 24 40 33 D2 41 B8 06 00 03 00 49 8B CE 4C 89 64 24 28 48 C7 44 24 20 18 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 34 01 00 00 48 8D 9E 94 00 00 00 C1 E7 0A FF 15 ?? ?? ?? ?? 48 89 5C 24 38 4C 89 74 24 30 4C 8D 0D ?? ?? ?? ?? 48 8B C8 44 8B C7 33 D2 C7 44 24 28 00 00 01 00 48 89 74 24 20 E8 ?? ?? ?? ?? 49 8B CE 48 89 46 28 E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 4C 39 66 28 0F 84 09 01 00 00 4C 8D 9C 24 20 01 00 00 48 8B C6 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 FF 15 ?? ?? ?? ?? 48 8D 4D D8 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D 98 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 98 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 58 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 78 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 78 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4D B8 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D B8 E8 ?? ?? ?? ?? CC 49 8B 0F E8 ?? ?? ?? ?? 48 8B 4E 30 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 4D F8 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F8 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_688_17_0 {
	meta:
		name = "??0scheduler_worker_creation_error@Concurrency@@QEAA@AEBV01@@Z"
		size = 61
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7scheduler_resource_allocation_error@Concurrency@@6B@ 002d ??_7scheduler_worker_creation_error@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 8B 43 18 48 8B 5C 24 30 89 47 18 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_688_20_0 {
	meta:
		name = "??1UMSThreadProxy@details@Concurrency@@UEAA@XZ"
		size = 75
		refs = "0009 ??_7UMSThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 0016 ??_7UMSThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0021 ??_7UMSThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 002f __imp_CloseHandle 0047 ?DeleteUmsThreadContext@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 41 10 48 8B 49 30 FF 15 ?? ?? ?? ?? 48 8B 4B 28 FF 15 ?? ?? ?? ?? 48 8B 4B 20 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_688_37_0 {
	meta:
		name = "?Deactivate@UMSThreadProxy@details@Concurrency@@IEAA_NXZ"
		size = 89
		refs = "002f ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 71 08 48 8B F9 48 8B 06 48 8B CE FF 50 30 48 83 67 60 00 48 8B CF C7 47 5C 05 00 00 00 E8 ?? ?? ?? ?? 83 7F 70 01 48 8B 16 0F 94 C3 83 67 70 00 48 8B CE FF 52 38 48 8B 74 24 38 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_688_43_0 {
	meta:
		name = "?FreeViaExit@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
		size = 39
		refs = "0023 ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 08 48 8B 01 FF 50 30 48 8B CB C7 43 5C 06 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_688_44_0 {
	meta:
		name = "?FromListEntry@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAU_SLIST_ENTRY@@@Z"
		size = 16
	strings:
		$1 = { 48 85 C9 75 03 33 C0 C3 48 8D 81 60 FF FF FF C3 }
	condition:
		$1
}

rule file_688_45_0 {
	meta:
		name = "?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z"
		size = 136
		refs = "0030 ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z 005a __imp_GetLastError 0072 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0079 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0083 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 50 33 DB 48 85 C9 75 04 33 C0 EB 41 41 B9 08 00 00 00 48 8D 44 24 60 4C 8D 44 24 68 41 8D 51 F9 48 89 5C 24 68 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 20 48 8B 4C 24 68 48 85 C9 74 0D 48 8B 11 FF 12 84 C0 48 0F 44 5C 24 68 48 8B C3 48 83 C4 50 5B C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_688_53_0 {
	meta:
		name = "?InternalSwitchOut@UMSThreadProxy@details@Concurrency@@IEAAXW4SwitchingProxyState@3@@Z"
		size = 127
		refs = "0032 ?PerformTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z 0062 ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 71 08 48 8B F9 8B DA 48 8B 06 48 8B CE FF 50 30 83 FB 02 75 1E 48 8B 4F 18 48 8B D7 48 83 C1 60 E8 ?? ?? ?? ?? 48 83 67 60 00 C7 47 5C 04 00 00 00 EB 1A 48 8B 47 68 48 85 C0 74 0A 48 C7 47 68 00 00 00 00 EB 07 C7 47 5C 07 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 06 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF 60 38 }
	condition:
		$1
}

rule file_688_54_0 {
	meta:
		name = "?InternalSwitchTo@UMSThreadProxy@details@Concurrency@@IEAAXPEAV123@W4SwitchingProxyState@3@@Z"
		size = 168
		refs = "0017 __security_cookie 0062 ?PerformTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z 0075 ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z 008f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8D 79 08 48 8B D9 49 63 F0 48 8B 07 48 8B CF 48 8B EA C7 44 24 20 02 00 00 00 C7 44 24 24 01 00 00 00 C7 44 24 28 03 00 00 00 FF 50 30 83 FE 02 75 10 48 8B 4B 18 48 8B D3 48 83 C1 60 E8 ?? ?? ?? ?? 8B 54 B4 20 48 8B CB 48 89 6B 60 89 53 5C E8 ?? ?? ?? ?? 85 F6 74 09 48 8B 07 48 8B CF FF 50 38 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_688_55_0 {
	meta:
		name = "?InternalYieldToSystem@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
		size = 66
		refs = "002a ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 08 48 8B D9 48 8B 07 48 8B CF FF 50 30 48 83 63 60 00 48 8B CB C7 43 5C 09 00 00 00 E8 ?? ?? ?? ?? 48 8B 07 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 60 38 }
	condition:
		$1
}

rule file_688_58_0 {
	meta:
		name = "?IsSuspended@UMSThreadProxy@details@Concurrency@@QEAA_NXZ"
		size = 51
		refs = "0022 ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 49 20 33 DB 4C 8D 44 24 40 44 8D 4B 01 8D 53 05 88 5C 24 40 48 89 5C 24 20 E8 ?? ?? ?? ?? 38 5C 24 40 0F 95 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_688_59_0 {
	meta:
		name = "?IsTerminated@UMSThreadProxy@details@Concurrency@@QEAA_NXZ"
		size = 51
		refs = "0022 ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 49 20 33 DB 4C 8D 44 24 40 44 8D 4B 01 8D 53 06 88 5C 24 40 48 89 5C 24 20 E8 ?? ?? ?? ?? 38 5C 24 40 0F 95 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_688_60_0 {
	meta:
		name = "?NotifyTransmogrification@UMSThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 16
		refs = "000c ?UnblockTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 8B D1 48 8B 49 18 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_688_63_0 {
	meta:
		name = "?RequestTransmogrification@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
		size = 16
		refs = "000c ?PerformTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 8B D1 48 8B 49 18 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_688_61_0 {
	meta:
		name = "?PrepareToRun@UMSThreadProxy@details@Concurrency@@IEAAXPEAVUMSFreeVirtualProcessorRoot@23@@Z"
		size = 16
	strings:
		$1 = { C7 41 38 00 00 00 00 48 89 51 48 48 89 51 40 C3 }
	condition:
		$1
}

rule file_688_62_0 {
	meta:
		name = "?ReadyForDispatch@UMSThreadProxy@details@Concurrency@@AEAAXXZ"
		size = 39
		refs = "0023 ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 08 48 8B 01 FF 50 30 48 8B CB C7 43 5C 08 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_688_64_0 {
	meta:
		name = "?SetPriority@UMSThreadProxy@details@Concurrency@@QEAAXH@Z"
		size = 74
		refs = "000d __imp_SetThreadPriority 001c __imp_GetLastError 0034 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 003b _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0045 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 89 51 54 48 8B 49 28 FF 15 ?? ?? ?? ?? 85 C0 74 05 48 83 C4 48 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_688_65_0 {
	meta:
		name = "?SpinOnAndReturnBlockingType@UMSThreadProxy@details@Concurrency@@IEAA?AW4BlockingType@123@XZ"
		size = 58
		refs = "0017 ?_Sleep0@details@Concurrency@@YAXXZ 0026 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 41 38 48 8B D9 85 C0 75 21 21 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 EF 8B 43 38 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_688_66_0 {
	meta:
		name = "?SpinUntilBlocked@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
		size = 60
		refs = "001a ?_Sleep0@details@Concurrency@@YAXXZ 0029 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 41 40 48 8B D9 48 85 C0 74 24 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 43 40 48 85 C0 75 ED 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_688_67_0 {
	meta:
		name = "?UMSThreadProxyMain@UMSThreadProxy@details@Concurrency@@CAKPEAX@Z"
		size = 31
		refs = "000a ?ReadyForDispatch@UMSThreadProxy@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 10 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_690_0_0 {
	meta:
		name = "strncat_s"
		size = 213
		refs = "0038 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4C 8B DA 4C 8B D1 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1A 33 C0 EB 29 48 85 C9 74 11 48 85 D2 74 0C 4D 85 C9 74 20 4D 85 C0 75 1B 88 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 38 19 74 08 48 FF C1 48 FF CA 75 F4 48 85 D2 75 05 41 88 1A EB D1 49 83 F9 FF 75 18 49 2B C8 41 8A 00 42 88 04 01 49 FF C0 84 C0 74 2D 48 FF CA 75 ED EB 26 4D 85 C9 74 1F 4C 2B C1 41 8A 04 08 88 01 48 FF C1 84 C0 74 0A 48 FF CA 74 05 49 FF C9 75 E9 4D 85 C9 75 02 88 19 48 85 D2 0F 85 6A FF FF FF 49 83 F9 FF 75 0A 43 88 5C 1A FF 8D 42 50 EB 87 41 88 1A E8 ?? ?? ?? ?? BB 22 00 00 00 E9 6C FF FF FF }
	condition:
		$1
}

rule file_691_4_0 {
	meta:
		name = "_mbsdec_l"
		size = 150
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 003c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 62 48 85 D2 74 E7 48 3B CA 73 F2 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 8B 4C 24 28 83 79 08 00 75 05 48 FF CB EB 25 48 8D 53 FF 48 FF CA 48 3B FA 77 0A 0F B6 02 F6 44 08 19 04 75 EE 48 8B CB 48 2B CA 83 E1 01 48 2B D9 48 FF CB 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_692_0_0 {
	meta:
		name = "wcsncat"
		size = 59
	strings:
		$1 = { 4C 8B C9 45 33 D2 0F B7 01 48 83 C1 02 66 85 C0 75 F4 48 83 E9 02 EB 16 0F B7 02 49 FF C8 48 8D 52 02 66 89 01 48 83 C1 02 66 85 C0 74 09 4D 85 C0 75 E5 66 44 89 11 49 8B C1 C3 }
	condition:
		$1
}

rule file_694_1_0 {
	meta:
		name = "_set_error_mode"
		size = 64
		refs = "0014 __error_mode 0029 _errno 0034 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 85 C9 78 20 83 F9 02 7E 0D 83 F9 03 75 16 8B 05 ?? ?? ?? ?? EB 21 8B 05 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_696_0_0 {
	meta:
		name = "_fgetwc_nolock"
		size = 501
		refs = "0017 __pioinfo 001e __badioinfo 0029 _fileno 0083 _filbuf 014f isleadbyte 0182 ungetc 01a2 mbtowc 01b0 _errno 01e3 _filwbuf"
	strings:
		$1 = { 48 89 5C 24 18 56 57 41 56 48 83 EC 20 F6 41 18 40 48 8B F9 4C 8D 35 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? 0F 85 A4 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 74 31 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 24 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 48 6B C8 58 49 03 0C DE EB 03 48 8B CE F6 41 38 7F 74 60 FF 4F 08 78 0E 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0A 48 8B CF E8 ?? ?? ?? ?? 8B C8 83 F9 FF 75 0A B8 FF FF 00 00 E9 4F 01 00 00 FF 4F 08 88 4C 24 40 78 0E 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0A 48 8B CF E8 ?? ?? ?? ?? 8B C8 83 F9 FF 74 D0 88 4C 24 41 0F B7 44 24 40 E9 1B 01 00 00 F6 47 18 40 0F 85 E9 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 2F 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 22 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 48 6B F0 58 49 03 34 DE F6 46 08 80 0F 84 A3 00 00 00 FF 4F 08 BB 01 00 00 00 78 0E 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0A 48 8B CF E8 ?? ?? ?? ?? 8B C8 83 F9 FF 0F 84 47 FF FF FF 88 4C 24 48 0F B6 C9 E8 ?? ?? ?? ?? 85 C0 74 3D FF 4F 08 78 0E 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0A 48 8B CF E8 ?? ?? ?? ?? 8B C8 83 F9 FF 75 12 0F BE 4C 24 48 48 8B D7 E8 ?? ?? ?? ?? E9 03 FF FF FF 88 4C 24 49 BB 02 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 4C 63 C3 E8 ?? ?? ?? ?? 83 F8 FF 0F 85 13 FF FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E9 CF FE FF FF 8B 47 08 BB 02 00 00 00 3B C3 7C 14 48 8B 0F 83 C0 FE 89 47 08 0F B7 01 48 03 CB 48 89 0F EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_696_1_0 {
	meta:
		name = "fgetwc"
		size = 92
		refs = "001f _errno 002a _invalid_parameter_noinfo 0036 _lock_file 003f _fgetwc_nolock 004a _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 1C E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_697_0_0 {
	meta:
		name = "?__CxxUnhandledExceptionFilter@@YAJPEAU_EXCEPTION_POINTERS@@@Z"
		size = 56
		refs = "0033 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 63 73 6D E0 75 1C 83 78 18 04 75 16 8B 48 20 8D 81 E0 FA 6C E6 83 F8 02 76 0F 81 F9 00 40 99 01 74 07 33 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_697_1_0 {
	meta:
		name = "__CxxSetUnhandledExceptionFilter"
		size = 23
		refs = "0007 ?__CxxUnhandledExceptionFilter@@YAJPEAU_EXCEPTION_POINTERS@@@Z 000c __crtSetUnhandledExceptionFilter"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_699_0_0 {
	meta:
		name = "calloc"
		size = 65
		refs = "0011 _calloc_impl 0024 _errno"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 40 00 4C 8D 44 24 40 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 1B 39 44 24 40 74 15 E8 ?? ?? ?? ?? 48 85 C0 74 0B E8 ?? ?? ?? ?? 8B 4C 24 40 89 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_700_0_0 {
	meta:
		name = "__avx_pow4"
		size = 1216
		refs = "000a __common_dpow_data 04b2 __common_dpow_cout_rare"
	strings:
		$1 = { 48 81 EC 58 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 B0 01 00 00 C5 7C 11 B4 24 90 01 00 00 C5 7C 11 AC 24 70 01 00 00 C5 7C 11 A4 24 50 01 00 00 C5 7C 11 9C 24 30 01 00 00 C5 7C 11 94 24 10 01 00 00 C5 7C 11 8C 24 D0 01 00 00 C5 7C 11 84 24 30 02 00 00 C5 FC 11 BC 24 10 02 00 00 C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 50 02 00 00 4C 8D 6C 24 6F C5 78 10 3D ?? ?? ?? ?? 49 83 E5 C0 C5 F8 10 1D ?? ?? ?? ?? C4 E3 7D 19 C5 01 C5 F8 C6 ED DD C5 50 54 15 ?? ?? ?? ?? C5 29 FE 25 ?? ?? ?? ?? C4 C1 21 72 D4 0A C4 C1 41 72 F3 03 C4 C1 49 72 F3 04 C5 F9 7E F8 C4 C1 79 7E F2 48 63 C0 C4 E3 79 16 F9 01 48 63 C9 C4 C3 79 16 F3 01 C5 7B 10 0C 10 4D 63 D2 4D 63 DB C5 31 16 34 11 C4 E3 79 16 F0 02 C4 E3 79 16 F1 03 C4 C3 79 16 F8 02 48 63 C0 48 63 C9 4D 63 C0 C4 C3 79 16 F9 03 4D 63 C9 C4 41 79 10 9C 12 40 20 00 00 C4 41 79 10 8C 13 40 20 00 00 C5 7D 54 2D ?? ?? ?? ?? C5 15 56 05 ?? ?? ?? ?? C4 41 7B 10 2C 10 C4 41 11 16 14 11 C4 E3 25 18 B4 10 40 20 00 00 01 C4 E3 35 18 BC 11 40 20 00 00 01 C5 4D 14 DF C5 4D 15 CF C5 D1 FA 35 ?? ?? ?? ?? C5 91 72 E6 14 C5 D1 FE 2D ?? ?? ?? ?? C4 43 0D 18 E2 01 C5 11 FE 35 ?? ?? ?? ?? C4 41 79 70 D6 50 C4 C1 79 70 FE FA C4 E3 2D 18 F7 01 C5 4D 54 2D ?? ?? ?? ?? C5 FD 10 35 ?? ?? ?? ?? C4 C1 3D 59 FC C5 15 5C 15 ?? ?? ?? ?? C5 3D 54 F6 C4 41 3D 5C EE C5 45 58 05 ?? ?? ?? ?? C4 41 2D 58 DB C4 41 0D 59 F4 C4 41 15 59 E4 C4 41 25 58 D0 C5 8D 5C FF C5 1D 58 E7 C4 C1 25 5C FA C4 41 2D 58 EC C4 C1 45 58 F8 C4 41 2D 5C DD C4 41 25 58 F4 C5 0D 58 D7 C4 41 3D 58 F4 C4 C1 2D 58 F9 C5 0D 59 05 ?? ?? ?? ?? C5 3D 58 15 ?? ?? ?? ?? C4 41 2D 59 DE C5 25 58 25 ?? ?? ?? ?? C4 41 1D 59 C6 C5 3D 58 0D ?? ?? ?? ?? C4 41 35 59 D6 C5 2D 58 1D ?? ?? ?? ?? C4 41 25 59 E6 C5 1D 58 05 ?? ?? ?? ?? C4 41 3D 59 F6 C5 8D 58 FF C5 15 58 D7 C4 41 2D 5C ED C4 C1 45 5C FD C5 2D 54 EE C4 41 2D 5C E5 C5 75 54 DE C4 C1 25 59 F5 C4 41 75 5C D3 C4 41 25 59 DC C4 41 2D 59 F4 C4 41 2D 59 D5 C4 41 25 58 E6 C4 E3 7D 19 CC 01 C5 F0 C6 D4 DD C4 C1 69 DB D7 C5 F8 10 25 ?? ?? ?? ?? C5 D9 66 E5 C4 C3 7D 19 F0 01 C4 41 48 C6 C8 DD C4 41 31 DB C7 C5 69 66 FB C5 E9 76 DB C5 81 EB EB C5 D9 EB DD C5 FD 10 25 ?? ?? ?? ?? C5 78 10 0D ?? ?? ?? ?? C4 41 39 66 F9 C4 C1 39 76 D1 C5 01 EB C2 C4 41 61 EB C8 C5 CD 58 D4 C4 41 2D 58 FC C4 C1 78 50 C1 C5 F5 59 EF C4 E3 7D 19 D7 01 C5 E8 C6 FF 88 C5 40 54 2D ?? ?? ?? ?? C5 B9 72 F7 0D C4 C1 61 72 F5 04 C4 C1 79 7E D8 C5 ED 5C D4 C5 39 FE 15 ?? ?? ?? ?? C4 41 79 70 CA 50 C4 C3 79 16 DA 02 4D 63 C0 C4 C3 79 16 D9 01 4D 63 D2 C4 E3 79 16 D9 03 4D 63 C9 48 63 C9 C5 CD 5C D2 C5 85 58 F5 C4 41 7B 10 AC 10 80 60 00 00 C4 41 79 70 DA FA C4 41 7B 10 84 12 80 60 00 00 C5 4D 58 D2 C4 41 11 16 B4 11 80 60 00 00 C5 B9 16 9C 11 80 60 00 00 C4 43 35 18 E3 01 C5 9D 54 3D ?? ?? ?? ?? C4 E3 0D 18 DB 01 C5 45 59 FB C5 AD 59 3D ?? ?? ?? ?? C4 41 05 59 EA C5 C5 58 25 ?? ?? ?? ?? C4 C1 5D 59 EA C5 D5 58 35 ?? ?? ?? ?? C4 41 4D 59 C2 C5 3D 58 0D ?? ?? ?? ?? C4 41 35 59 DA C5 25 58 25 ?? ?? ?? ?? C4 41 1D 59 F5 C4 C1 0D 58 D7 85 C0 75 6E C5 FC 10 B4 24 F0 01 00 00 C5 FC 10 BC 24 10 02 00 00 C5 7C 10 84 24 30 02 00 00 C5 7C 10 8C 24 D0 01 00 00 C5 7C 10 94 24 10 01 00 00 C5 7C 10 9C 24 30 01 00 00 C5 7C 10 A4 24 50 01 00 00 C5 7C 10 AC 24 70 01 00 00 C5 7C 10 B4 24 90 01 00 00 C5 7C 10 BC 24 B0 01 00 00 4C 8B AC 24 50 02 00 00 C5 FD 28 C2 48 81 C4 58 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 C4 C1 7D 11 95 80 00 00 00 0F 84 77 FF FF FF 33 D2 48 89 5C 24 28 8B DA 48 89 74 24 20 8B F0 0F A3 DE 72 1F FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 95 80 00 00 00 E9 43 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 4D 8D 84 DD 80 00 00 00 E8 ?? ?? ?? ?? EB C5 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_701_2_0 {
	meta:
		name = "_putenv_helper"
		size = 642
		refs = "001a __env_initialized 0035 _errno 0040 _invalid_parameter_noinfo 0053 _mbschr 0073 strnlen 0080 strlen 0091 _calloc_crt 0100 strcpy_s 0134 __crtsetenv 014a free 0156 _wenviron 0180 __imp_MultiByteToWideChar 0210 wcslen 0250 __crtwsetenv"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 56 48 8B EC 48 83 EC 30 48 83 65 48 00 83 3D ?? ?? ?? ?? 00 48 8B F2 48 8B F9 75 08 83 C8 FF E9 42 02 00 00 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB E1 48 85 D2 75 5F 44 8D 62 3D 41 8B D4 E8 ?? ?? ?? ?? 48 85 C0 74 20 48 8B C8 BB FF 7F 00 00 48 2B CF 48 3B CB 7D C8 48 8D 48 01 8B D3 E8 ?? ?? ?? ?? 48 3B C3 73 B8 48 8B CF E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 48 01 48 8B D8 E8 ?? ?? ?? ?? 48 89 45 48 48 85 C0 74 89 4C 8B C7 48 8D 53 01 48 8B C8 EB 7B BB FF 7F 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 48 8B CE 4C 8B F0 E8 ?? ?? ?? ?? 4C 3B F3 0F 83 68 FF FF FF 48 3B C3 0F 83 5F FF FF FF 48 8D 58 02 BA 01 00 00 00 49 03 DE 48 8B CB E8 ?? ?? ?? ?? 48 89 45 48 48 85 C0 0F 84 31 FF FF FF 4C 8B C7 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B 45 48 41 BC 3D 00 00 00 45 88 24 06 48 8B 4D 48 49 FF C6 49 2B DE 4C 8B C6 49 03 CE 48 8B D3 E8 ?? ?? ?? ?? 48 8D 4D 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 48 8B 4D 48 48 85 C9 0F 84 DE FE FF FF E8 ?? ?? ?? ?? E9 D4 FE FF FF 48 83 3D ?? ?? ?? ?? 00 0F 84 0E 01 00 00 83 64 24 28 00 48 83 65 40 00 48 83 64 24 20 00 83 CB FF 4C 8B C7 33 D2 44 8B CB 33 C9 FF 15 ?? ?? ?? ?? 44 8B F0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B C3 E9 D4 00 00 00 48 85 F6 74 25 83 64 24 28 00 48 83 64 24 20 00 44 8B CB 4C 8B C6 33 D2 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 CA 41 FF C6 44 03 F0 49 63 CE BA 02 00 00 00 E8 ?? ?? ?? ?? 48 89 45 40 48 85 C0 74 B9 44 8B CB 4C 8B C7 33 D2 33 C9 44 89 74 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0B 48 8B 4D 40 E8 ?? ?? ?? ?? EB 85 48 85 F6 74 3E 48 8B 4D 40 E8 ?? ?? ?? ?? 48 8B 4D 40 44 8B CB 66 44 89 24 41 48 8B 4D 40 48 FF C0 44 2B F0 48 8D 04 41 4C 8B C6 33 D2 33 C9 44 89 74 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 B2 48 8D 4D 40 33 D2 E8 ?? ?? ?? ?? 85 C0 74 17 48 8B 4D 40 48 85 C9 0F 84 31 FF FF FF E8 ?? ?? ?? ?? E9 27 FF FF FF 33 C0 48 8B 5C 24 60 48 83 C4 30 41 5E 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_703_0_0 {
	meta:
		name = "__static_scalar_tan"
		size = 1408
		refs = "000c __spec_table"
	strings:
		$1 = { 53 56 57 41 54 48 83 EC 58 48 8D 05 ?? ?? ?? ?? F2 0F 11 84 24 80 00 00 00 48 89 44 24 40 0F 29 74 24 30 0F 29 7C 24 20 F2 0F 10 84 24 80 00 00 00 4C 8B 64 24 40 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 0F 84 0E 05 00 00 8B C8 81 E9 60 3F 00 00 C1 E9 07 81 E1 FC FF 00 00 4D 8D 9C 24 40 01 00 00 49 03 CB 66 48 0F 7E C0 44 8B 51 14 44 8B 41 18 8B D0 48 C1 E8 15 0D 00 00 00 80 C1 E8 0B 45 8B CA 4C 0F AF D2 4C 0F AF C8 4C 0F AF C0 8B 71 10 8B 79 0C 45 8B DA 49 C1 EA 20 4D 03 CA 4D 03 D8 45 8B C3 49 C1 EB 20 4D 03 CB 44 8B D6 48 0F AF F2 4C 0F AF D0 44 8B DF 48 0F AF FA 8B DE 48 C1 EE 20 4C 03 CB 41 8B D9 49 C1 E9 20 4C 03 D6 4D 03 D1 48 C1 E3 20 4C 0B C3 4C 0F AF D8 44 8B 49 08 8B 71 04 8B DF 48 C1 EF 20 4C 03 D3 41 8B DA 49 C1 EA 20 4C 03 DF 4D 03 DA 49 8B F9 4C 0F AF CA 48 0F AF F8 45 8B D1 49 C1 E9 20 4D 03 DA 45 8B D3 49 C1 EB 20 49 03 F9 49 03 FB 4C 8B CE 48 0F AF F2 4C 0F AF C8 49 C1 E2 20 4C 0B D3 8B 01 44 8B DE 48 C1 EE 20 49 03 FB 44 8B DF 48 C1 EF 20 4C 03 CE 4C 03 CF 48 0F AF D0 66 0F C5 D8 03 49 8D BC 24 40 01 00 00 48 2B CF 03 C9 03 C9 03 C9 83 C1 13 BE 00 80 00 00 23 F3 C1 EB 04 81 E3 FF 07 00 00 81 EB FF 03 00 00 2B CB 4C 03 CA 8B D1 83 C2 20 83 F9 00 0F 8C 16 03 00 00 F7 D9 83 C1 1D 41 D3 E1 41 8B F9 41 81 E1 FF FF FF 3F 41 F7 C1 00 00 00 20 0F 85 20 03 00 00 41 D3 E9 BB 00 00 00 00 49 C1 E1 20 4D 0B CB 49 83 F9 00 0F 84 89 02 00 00 4D 0F BD D9 B9 1D 00 00 00 41 2B CB 0F 8E A9 02 00 00 49 D3 E1 49 8B C2 49 D3 E2 03 D1 F7 D9 83 C1 40 48 D3 E8 49 D3 E8 4C 0B C8 4D 0B D0 F2 49 0F 2A C1 49 D1 EA F2 49 0F 2A DA 66 0F 57 E4 C1 E2 04 F7 DA 81 C2 F0 3F 00 00 0B D6 33 D3 66 0F C4 E2 03 F3 41 0F 7E 54 24 60 F3 41 0F 7E 7C 24 68 66 0F 57 ED 81 EA F0 03 00 00 66 0F C4 EA 03 F2 0F 59 C4 C1 E6 10 C1 FE 1F F2 0F 59 DD F3 0F 7E C8 F2 0F 59 C2 C1 EF 1E F2 0F 58 CB F2 0F 59 DA 03 FE 33 FE F2 0F 59 F9 8B C7 F2 0F 58 FB F3 0F 7E D0 F2 0F 58 C7 F2 0F 5C D0 F2 0F 58 FA 66 41 0F 28 0C 24 F2 0F 12 C0 66 0F 59 C8 F2 0F 12 FF F2 0F 2D D1 66 41 0F 28 54 24 10 66 0F 58 CA 66 41 0F 28 5C 24 20 66 0F 5C CA F3 41 0F 7E AC 24 80 00 00 00 C1 E0 04 81 C2 00 29 07 00 66 41 0F 28 64 24 30 66 0F 59 D9 03 D0 83 E2 1F F2 0F 59 E9 8B CA 66 0F 59 E1 D1 E1 66 0F 5C C3 66 41 0F 59 4C 24 40 03 D1 C1 E1 02 03 D1 F2 0F 58 E8 66 0F 28 D0 66 0F 5C C4 F3 41 0F 7E B4 24 90 00 00 00 C1 E2 04 49 8D 84 24 F0 01 00 00 66 41 0F 54 6C 24 50 66 0F 28 D8 48 03 C2 66 0F 5C D0 66 0F 15 C0 F2 0F 5E F5 66 0F 5C D4 F2 0F 5C DD 66 0F 5C D1 66 0F 28 48 30 66 0F 58 D7 66 0F 28 78 10 66 0F 59 F8 66 0F 28 60 60 66 0F 59 C8 66 0F 59 E0 F2 0F 58 D3 66 0F 28 D8 66 0F 59 C0 66 0F 58 38 66 0F 58 48 20 66 0F 59 C8 66 0F 58 60 50 66 0F 58 F9 66 0F 28 48 70 66 0F 59 C8 66 0F 59 C0 66 0F 58 E1 66 0F 28 48 40 66 0F 59 C8 66 0F 58 F9 66 0F 28 CB 66 0F 59 D8 F2 0F 59 C0 66 0F 59 88 90 00 00 00 66 0F 59 E3 F3 0F 7E D9 66 0F 58 FC F3 0F 7E E1 F2 0F 59 C7 66 0F 15 FF F2 0F 58 C7 66 0F 15 C9 F2 0F 58 D9 F2 0F 5C E3 F2 0F 58 CC F3 0F 7E E2 F3 0F 7E B8 90 00 00 00 66 0F 15 D2 F2 0F 58 B8 98 00 00 00 F2 0F 59 FA F2 0F 58 B8 88 00 00 00 F2 0F 58 F9 F2 0F 58 C7 F3 41 0F 7E BC 24 90 00 00 00 F2 0F 59 E6 F3 0F 7E 90 A8 00 00 00 66 0F 54 D6 F2 0F 59 EA F2 0F 59 B0 A0 00 00 00 F2 0F 5C FD F2 0F 5C 90 80 00 00 00 F2 0F 5C FC F2 0F 59 FE F3 0F 7E E3 F2 0F 5C DA F2 0F 58 D3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 5C C7 F2 0F 58 C3 E9 0B 01 00 00 83 C2 40 4D 8B CA 4D 8B D0 49 C7 C0 00 00 00 00 49 83 F9 00 0F 85 5D FD FF FF 83 C2 40 4D 8B CA 4D 8B D0 49 83 F9 00 0F 85 4A FD FF FF E9 73 FD FF FF 0F 84 6D FD FF FF F7 D9 49 D3 EA 49 8B C1 49 D3 E9 2B D1 F7 D9 83 C1 40 48 D3 E0 4C 0B D0 E9 50 FD FF FF F7 D1 49 C1 E1 20 4D 0B CB 49 D3 E1 49 8B F9 41 F7 C1 00 00 00 80 75 56 41 D3 E9 BB 00 00 00 00 48 C1 EF 02 E9 EF FC FF FF 41 D3 E9 BB 00 00 00 40 D3 EB 49 C1 E1 20 4D 0B CB 48 C1 E3 20 81 C7 00 00 00 40 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 E9 AA FC FF FF 41 D3 E9 48 BB 00 00 00 00 01 00 00 00 48 D3 EB 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 48 C1 EF 02 81 C7 00 00 00 40 E9 66 FC FF FF F2 0F 5C C0 F2 0F 11 44 24 48 0F 28 74 24 30 0F 28 7C 24 20 F2 0F 10 44 24 48 48 83 C4 58 41 5C 5F 5E 5B C3 0F 1F 00 }
	condition:
		$1
}

rule file_703_1_0 {
	meta:
		name = "__sse2_tan2"
		size = 1712
		refs = "001b MMDRSHIFT 002b MMDPI1 0033 MMDPI2 003b MMIABSMASK 0043 MMDINVPI2 0057 MMDPI3 006b MMDHUGE 007f MMDPI4 00ba MMDP3 00c2 MMDQ3 00ca MMDP0 00d2 MMDQ0 00de MMDP2 00ea MMDQ2 00f6 MMDP1 0102 MMDQ1 016e MMISIGNMASK 0193 TWO_POW_30 01a5 flAllOnes 020f THE_PI04_INV 0224 MMI_ONE 022c MSK_LOW_BIT 0234 RS 0248 PI04C_0 0254 PI04C_1 0264 PI04C_2 0295 PI04C_3 02c1 PI04C_4"
	strings:
		$1 = { 48 81 EC D8 00 00 00 0F 29 BC 24 C0 00 00 00 0F 29 B4 24 B0 00 00 00 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 D0 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? 66 0F 59 05 ?? ?? ?? ?? 66 0F 58 C6 66 0F 28 D8 66 0F 5C C6 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 E0 66 0F 59 E8 66 0F 59 F0 66 0F 66 3D ?? ?? ?? ?? 66 0F 50 C7 0B C0 0F 85 E7 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 F8 66 0F 28 C3 66 0F 73 F3 3E 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 57 C9 66 0F C2 D9 04 66 0F 73 F0 3F 66 0F 28 CA 66 0F 59 D2 66 0F 5C CF 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 E6 66 0F 59 EA 66 0F 58 EF 66 0F 59 E1 66 0F 28 CB 66 0F 54 CC 66 0F 28 D3 66 0F 55 D5 66 0F 56 CA 66 0F 28 F3 66 0F 55 F4 66 0F 28 FB 66 0F 54 FD 66 0F 56 F7 66 0F 5E F1 66 0F 57 C6 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 C7 44 24 20 00 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F DB CA 66 0F 29 54 24 30 66 0F 70 FF F5 66 0F DB 15 ?? ?? ?? ?? 66 0F 29 4C 24 40 66 0F 28 0D ?? ?? ?? ?? 66 0F 66 CA 66 0F 29 7C 24 50 66 0F 57 3D ?? ?? ?? ?? 66 0F 50 D1 66 0F 29 54 24 60 66 0F 29 7C 24 70 66 0F 28 3D ?? ?? ?? ?? 83 F2 03 0F 85 6C 03 00 00 83 F8 03 74 3C 66 0F 59 F8 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 57 C9 66 0F 5C D7 66 0F 54 5C 24 70 66 0F 54 54 24 70 66 0F 29 9C 24 80 00 00 00 66 0F 29 94 24 90 00 00 00 66 0F 28 54 24 60 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DA 66 0F E6 DB 66 0F 70 DB 10 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 56 C3 66 0F 5C 05 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E0 66 0F 5C D1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 CA 66 0F 5C D4 66 0F 5C CA 66 0F 28 F2 66 0F 5C CC 66 0F 5C D5 66 0F 72 E3 01 66 0F 5C F2 66 0F 28 FA 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 D1 66 0F 59 E0 66 0F 5C FA 66 0F 28 EA 66 0F 5C D4 66 0F 58 CF 66 0F 5C EA 66 0F 59 05 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C C8 66 0F 58 D1 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 F2 66 0F 59 D2 83 F8 03 74 1E 66 0F 54 5C 24 50 66 0F 54 4C 24 50 66 0F 56 9C 24 80 00 00 00 66 0F 56 8C 24 90 00 00 00 66 0F 28 C3 66 0F 73 F3 3E 66 0F 73 F0 3F 66 0F 59 E2 66 0F 59 EA 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F EF 44 24 40 66 0F 59 E2 66 0F 59 EA 66 0F EF C9 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 59 EA 66 0F C2 D9 04 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E6 66 0F 28 CB 66 0F 54 CC 66 0F 28 D3 66 0F 55 D5 66 0F 56 CA 66 0F 28 F3 66 0F 55 F4 66 0F 28 FB 66 0F 54 FD 66 0F 56 F7 66 0F 5E F1 66 0F 57 C6 E9 A6 02 00 00 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DA 66 0F E6 DB 66 0F 70 DB 10 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 56 C3 66 0F 5C 05 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E0 66 0F 5C D1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 CA 66 0F 5C D4 66 0F 5C CA 66 0F 28 F2 66 0F 5C CC 66 0F 5C D5 66 0F 72 E3 01 66 0F 5C F2 66 0F 28 FA 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 D1 66 0F 59 E0 66 0F 5C FA 66 0F 28 EA 66 0F 5C D4 66 0F 58 CF 66 0F 5C EA 66 0F 59 05 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C C8 66 0F 58 D1 66 0F 28 C3 66 0F 73 F0 3F 66 0F EF 44 24 40 66 0F 73 F3 3E 66 0F EF C9 66 0F C2 D9 04 66 0F 28 CA 66 0F 59 D2 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 E6 66 0F 59 EA 66 0F 58 EF 66 0F 59 E1 66 0F 28 CB 66 0F 54 CC 66 0F 28 D3 66 0F 55 D5 66 0F 56 CA 66 0F 28 F3 66 0F 55 F4 66 0F 28 FB 66 0F 54 FD 66 0F 56 F7 66 0F 5E F1 66 0F 57 C6 E9 1E 01 00 00 89 44 24 20 83 F8 03 0F 84 F4 00 00 00 66 0F 28 54 24 30 66 0F 59 F8 66 0F 5C D4 66 0F EF E4 66 0F 5C D5 66 0F 5C D6 66 0F 57 C9 66 0F 28 CA 66 0F 59 D2 66 0F 5C CF 66 0F 29 8C 24 A0 00 00 00 66 0F 28 C3 66 0F 73 F0 3F 66 0F EF C4 66 0F 73 F3 3E 66 0F EF C9 66 0F C2 D9 04 66 0F 28 8C 24 A0 00 00 00 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 E6 66 0F 59 EA 66 0F 58 EF 66 0F 59 E1 66 0F 28 CB 66 0F 54 CC 66 0F 28 D3 66 0F 55 D5 66 0F 56 CA 66 0F 28 F3 66 0F 55 F4 66 0F 28 FB 66 0F 54 FD 66 0F 56 F7 66 0F 5E F1 66 0F 57 C6 66 0F 29 84 24 A0 00 00 00 8B 44 24 20 A8 01 75 4B D1 F8 A8 01 75 27 D1 F8 89 44 24 20 66 0F 28 84 24 A0 00 00 00 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 F2 0F 10 44 24 38 89 44 24 20 E8 05 F4 FF FF F2 0F 11 84 24 A8 00 00 00 8B 44 24 20 EB BB F2 0F 10 44 24 30 E8 EB F3 FF FF F2 0F 11 84 24 A0 00 00 00 8B 44 24 20 EB 9B 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_704_3_0 {
	meta:
		name = "__ascii_strnicmp"
		size = 70
	strings:
		$1 = { 4C 8B D1 4D 85 C0 74 3B 45 0F B6 0A 49 FF C2 41 8D 41 BF 83 F8 19 77 04 41 83 C1 20 0F B6 0A 48 FF C2 8D 41 BF 83 F8 19 77 03 83 C1 20 49 FF C8 74 0A 45 85 C9 74 05 44 3B C9 74 CC 44 2B C9 41 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_704_4_0 {
	meta:
		name = "_strnicmp"
		size = 79
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 003f __ascii_strnicmp 004b _strnicmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_942_3_0 {
	meta:
		name = "_strncoll"
		size = 79
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 003f strncmp 004b _strncoll_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1121_3_0 {
	meta:
		name = "_wcsncoll"
		size = 79
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 003f wcsncmp 004b _wcsncoll_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_704_5_0 {
	meta:
		name = "_strnicmp_l"
		size = 217
		refs = "002e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0047 _errno 0052 _invalid_parameter_noinfo 0071 __ascii_strnicmp 0086 _tolower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 49 8B E8 48 8B FA 48 8B F1 4D 85 C0 0F 84 9C 00 00 00 48 8D 48 D8 49 8B D1 E8 ?? ?? ?? ?? BB FF FF FF 7F 48 85 F6 74 0A 48 85 FF 74 05 48 3B EB 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 53 48 8B 44 24 20 48 83 B8 38 01 00 00 00 75 12 4C 8B C5 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 EB 32 48 2B F7 0F B6 0C 3E 48 8D 54 24 20 E8 ?? ?? ?? ?? 0F B6 0F 48 8D 54 24 20 8B D8 E8 ?? ?? ?? ?? 48 FF C7 48 FF CD 74 08 85 DB 74 04 3B D8 74 D3 2B D8 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C3 EB 02 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_705_11_0 {
	meta:
		name = "??0UMSBackgroundPoller@details@Concurrency@@QEAA@XZ"
		size = 115
		refs = "001e ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ 002e __imp_CreateEventW 0045 __imp_GetLastError 005d ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0064 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 006e _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 21 00 C7 41 08 00 00 00 00 48 83 61 10 00 48 8B D9 48 83 C1 18 E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 03 48 85 C0 74 09 48 8B C3 48 83 C4 40 5B C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_705_37_0 {
	meta:
		name = "?DoPolling@UMSBackgroundPoller@details@Concurrency@@QEAA_NXZ"
		size = 218
		refs = "0030 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 005e ?IsSuspended@UMSThreadProxy@details@Concurrency@@QEAA_NXZ 00a2 ?PushPolledCompletion@UMSSchedulerProxy@details@Concurrency@@AEAAXPEAVUMSThreadProxy@23@@Z 00bb ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 41 56 41 57 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B E9 48 8D 79 10 48 89 78 08 48 8D 4F 08 E8 ?? ?? ?? ?? 90 48 8B 1F 48 85 DB 74 04 48 8B 5B 08 48 85 DB 74 68 48 3B 1F 74 06 48 8B 73 08 EB 02 33 F6 4C 8D B3 50 FF FF FF 49 8B CE E8 ?? ?? ?? ?? 84 C0 75 40 48 8B 4B 08 48 8B 03 48 89 01 48 8B 0B 48 8B 43 08 48 89 41 08 48 8B 07 48 3B D8 75 10 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 07 F0 FF 4D 08 49 8B D6 49 8B 8E E0 00 00 00 E8 ?? ?? ?? ?? 48 8B DE 48 85 F6 75 98 8B 45 08 85 C0 0F 94 C3 48 8D 4F 08 E8 ?? ?? ?? ?? 8A C3 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_705_41_0 {
	meta:
		name = "?InsertProxyInCompletionWhenAwake@UMSBackgroundPoller@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@PEAVUMSSchedulerProxy@23@@Z"
		size = 64
		refs = "001c ?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z 0036 __imp_SetEvent"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 89 82 E0 00 00 00 48 81 C2 B0 00 00 00 48 83 C1 10 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 43 08 FF C0 83 F8 01 75 09 48 8B 0B FF 15 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_706_11_0 {
	meta:
		name = "print_FPIEEE_RECORD_EXCEPTION2"
		size = 88
		refs = "0025 ??_C@_0CP@LOMHEIAG@ERROR?3?5expected?5res?5?$DN?5?$CFx?5got?5res@ 0032 printf 0042 ??_C@_0CL@CIOCHMAI@ERROR?3?5expected?5flags?5?$DN?5?$CFx?5got?5f@"
		altNames = "print_FPIEEE_RECORD_NO_EXCEPTION2"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 20 41 8B D8 48 8B F9 44 8B 48 50 41 3B D1 74 19 F3 0F 10 50 50 48 8D 0D ?? ?? ?? ?? 0F 5A D2 66 49 0F 7E D0 E8 ?? ?? ?? ?? 44 8B 47 04 41 3B D8 74 0E 48 8D 0D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_706_12_0 {
	meta:
		name = "print_FPIEEE_RECORD_EXCEPTION3"
		size = 71
		refs = "001c ??_C@_0CN@GELCHFEH@ERROR?3?5expected?5eflags?5?$DN?5?$CFx?5got?5@ 0021 printf 0031 ??_C@_0CL@CIOCHMAI@ERROR?3?5expected?5flags?5?$DN?5?$CFx?5got?5f@"
		altNames = "print_FPIEEE_RECORD_NO_EXCEPTION3"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B D8 44 8B 41 1C 48 8B F9 41 3B D0 74 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 47 04 41 3B D8 74 0E 48 8D 0D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_707_0_0 {
	meta:
		name = "__sse2_atan2f4"
		size = 1328
		refs = "0014 s_dwAbsMask 003d s_dwMaxNormal 0045 s_dwMinBound 0053 s_dwSignMask 0062 s_fOne 00ae s_fPi2 00be s_fPi 00d1 s_fA8 00db s_fA7 00e5 s_fA6 00ec s_fA5 00f9 s_fA4 0100 s_fA3 010d s_fA2 0114 s_fA1 0121 s_fA0 0155 INFP 015f INFN 016a NEGZERO 02b1 _2il0floatpacket_16 02db pi_or_zero 02f2 _2il0floatpacket_11 02fe _2il0floatpacket_10 0307 _2il0floatpacket_14 0317 _2il0floatpacket_9 032b _2il0floatpacket_8 033e _2il0floatpacket_7 034a _2il0floatpacket_15 035c _2il0floatpacket_13 0371 _2il0floatpacket_12 03f5 _2il0floatpacket_17 0400 _2il0floatpacket_18 041f _2il0floatpacket_20 0427 _2il0floatpacket_19 043b _2il0floatpacket_21 0449 _2il0floatpacket_22 047e _2il0floatpacket_23 048c _2il0floatpacket_24"
	strings:
		$1 = { 48 81 EC C8 00 00 00 0F 29 7C 24 60 0F 29 74 24 70 0F 28 15 ?? ?? ?? ?? 0F 28 EA 0F 11 84 24 80 00 00 00 66 0F DB E9 66 0F DB D0 0F 11 8C 24 90 00 00 00 0F 28 FD 0F 28 F2 66 0F 66 35 ?? ?? ?? ?? 66 0F 66 3D ?? ?? ?? ?? 66 0F DF F7 0F 50 C6 0F 28 35 ?? ?? ?? ?? 66 0F DB C6 0F 28 FE 66 0F EB 05 ?? ?? ?? ?? 0F 28 DD 66 0F DB F9 0F 11 44 24 50 66 0F EB 3D ?? ?? ?? ?? 0F C2 DA 01 0F 28 E3 66 0F DB E5 0F 28 C3 66 0F DF C2 66 0F EB E0 66 0F DB D3 0F 28 C3 66 0F DF C5 66 0F EB D0 0F 5E E2 66 0F DB F3 66 0F EF ED 66 0F DB 1D ?? ?? ?? ?? 0F C2 CD 01 66 0F EB E6 66 0F DB 0D ?? ?? ?? ?? 0F 28 C4 0F 59 C4 0F 28 D0 0F 59 D0 0F 28 35 ?? ?? ?? ?? 0F 59 F2 0F 28 2D ?? ?? ?? ?? 0F 59 EA 0F 58 35 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 F2 0F 59 EA 0F 58 35 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 F2 0F 59 EA 0F 58 35 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 F2 0F 59 C5 0F 58 35 ?? ?? ?? ?? 0F 58 C6 0F 59 C4 0F 28 6C 24 50 0F 58 C3 0F 59 C7 89 84 24 B0 00 00 00 0F 58 C1 0F 59 C5 83 BC 24 B0 00 00 00 0F 0F 84 8D 02 00 00 F3 0F 10 1D ?? ?? ?? ?? 33 C9 F3 0F 10 15 ?? ?? ?? ?? 0F 57 C0 F3 0F 10 0D ?? ?? ?? ?? 33 D2 44 0F 29 44 24 40 B8 00 00 80 3F 44 0F 29 4C 24 30 44 0F 29 54 24 20 44 8B 8C 8C 90 00 00 00 45 8B C1 44 8B 94 8C 80 00 00 00 45 8B DA 41 81 E3 00 00 00 80 44 89 8C 24 C4 00 00 00 41 81 E1 FF FF FF 7F 41 81 E0 00 00 00 80 F3 44 0F 10 8C 8C 80 00 00 00 41 81 F9 00 00 80 7F F3 0F 10 A4 8C 90 00 00 00 89 94 24 B4 00 00 00 89 94 24 B8 00 00 00 89 84 24 BC 00 00 00 44 89 94 24 C0 00 00 00 7F 10 41 81 E2 FF FF FF 7F 41 81 FA 00 00 80 7F 7E 0A F3 44 0F 58 CC E9 A0 01 00 00 44 0F 2E C8 7A 06 0F 84 A0 02 00 00 0F 2E E0 7A 06 0F 84 71 02 00 00 0F 2E E3 7A 06 0F 84 23 02 00 00 0F 2E E2 7A 06 0F 84 CC 01 00 00 44 0F 2E CB 7A 06 0F 84 B5 01 00 00 44 0F 2E CA 7A 06 0F 84 9E 01 00 00 44 8B 8C 24 C0 00 00 00 41 81 CB 00 00 80 3F 44 8B 94 24 C4 00 00 00 41 81 E1 FF FF FF 7F 41 81 E2 FF FF FF 7F 44 89 8C 24 B4 00 00 00 44 89 94 24 B8 00 00 00 F3 44 0F 10 84 24 B4 00 00 00 F3 0F 10 A4 24 B8 00 00 00 44 89 9C 24 BC 00 00 00 44 0F 2F C4 76 1E 44 0F 28 D0 F2 44 0F 10 0D ?? ?? ?? ?? F3 44 0F 5C D4 F3 45 0F 5E D0 F3 45 0F 5A C2 EB 0E F3 44 0F 5E C4 F3 45 0F 5A C0 45 0F 57 C9 41 0F 28 F0 4C 8D 0D ?? ?? ?? ?? F2 41 0F 59 F0 4D 8B D1 0F 28 FE F2 0F 59 FE F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EF F2 0F 10 25 ?? ?? ?? ?? F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 58 EC F2 0F 59 EF F2 0F 10 25 ?? ?? ?? ?? 41 C1 F8 1F F2 0F 58 EC F2 0F 59 EF F2 0F 10 25 ?? ?? ?? ?? 4D 63 C0 F2 0F 58 EC F2 0F 59 EF F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 EC F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E7 F2 41 0F 58 E2 F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 59 E7 F2 41 0F 58 E2 F2 0F 59 E7 F2 0F 10 3D ?? ?? ?? ?? F2 0F 58 E7 F2 0F 59 F4 F2 0F 58 EE F2 44 0F 59 C5 F2 45 0F 58 C8 F3 44 0F 5A 84 24 BC 00 00 00 F2 47 0F 59 4C C1 18 F2 47 0F 58 4C C2 08 F2 45 0F 59 C8 F2 45 0F 5A C9 F3 44 0F 11 8C 8C A0 00 00 00 48 FF C1 48 83 F9 04 0F 8C C3 FD FF FF 44 0F 28 44 24 40 44 0F 28 4C 24 30 44 0F 28 54 24 20 0F 28 84 24 A0 00 00 00 0F 28 74 24 70 0F 28 7C 24 60 48 81 C4 C8 00 00 00 C3 F3 44 0F 10 0D ?? ?? ?? ?? EB B2 F3 44 0F 10 0D ?? ?? ?? ?? EB A7 44 0F 2E CB 7A 02 74 36 44 0F 2E CA 7A 02 74 20 44 0F 2F C8 F3 44 0F 10 0D ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? 77 80 44 0F 28 CC E9 77 FF FF FF F3 44 0F 10 0D ?? ?? ?? ?? E9 69 FF FF FF F3 44 0F 10 0D ?? ?? ?? ?? E9 5B FF FF FF 44 0F 2E CB 7A 02 74 2D 44 0F 2E CA 7A 02 74 17 41 0F 2F C1 44 0F 28 C9 0F 87 3D FF FF FF 44 0F 28 C8 E9 34 FF FF FF F3 44 0F 10 0D ?? ?? ?? ?? E9 26 FF FF FF F3 44 0F 10 0D ?? ?? ?? ?? E9 18 FF FF FF 44 0F 2F C8 F3 44 0F 10 0D ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? 0F 87 FD FE FF FF 44 0F 28 CC E9 F4 FE FF FF 45 85 DB 74 36 0F 2F E0 0F 87 E6 FE FF FF 0F 2F C4 76 0E F3 44 0F 10 0D ?? ?? ?? ?? E9 D3 FE FF FF 45 85 C0 F3 0F 10 25 ?? ?? ?? ?? 0F 84 C2 FE FF FF 44 0F 28 CC E9 B9 FE FF FF 0F 2F E0 0F 87 B0 FE FF FF 0F 2F C4 76 0E F3 44 0F 10 0D ?? ?? ?? ?? E9 9D FE FF FF 45 85 C0 F3 0F 10 25 ?? ?? ?? ?? 0F 84 8C FE FF FF 44 0F 28 CC E9 83 FE FF FF 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_709_6_0 {
	meta:
		name = "_vcwprintf_l"
		size = 2714
		refs = "0022 __security_cookie 0067 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006c _errno 008d _invalid_parameter_noinfo 00fd __lookuptable 025b __nullstring 0263 strlen 02cb _isleadbyte_l 033a _mbtowc_l 03e6 __wnullstring 0471 _get_printf_count_output 05f8 _malloc_crt 061f _cfltcvt_tab 0639 __imp_DecodePointer 072e write_multi_char 0743 write_string 07a3 _putwch_nolock 0829 free 087b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 33 C0 48 89 4C 24 78 48 8D 4D 88 4D 8B E0 4C 89 44 24 50 89 44 24 70 44 8B F0 89 44 24 58 8B F8 89 44 24 40 89 44 24 4C 89 44 24 74 89 44 24 6C 8B D8 89 44 24 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B 44 24 78 45 33 D2 48 89 45 A8 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C9 38 4D A0 74 0B 48 8B 45 98 83 A0 C8 00 00 00 FD 83 C8 FF E9 C5 07 00 00 45 0F B7 38 41 8B F2 44 89 54 24 48 45 8B EA 41 8B D2 4C 89 55 80 66 45 85 FF 0F 84 92 07 00 00 41 BB 20 00 00 00 41 B9 00 02 00 00 49 83 C0 02 4C 89 44 24 78 85 F6 0F 88 75 07 00 00 41 0F B7 C7 B9 58 00 00 00 66 41 2B C3 66 3B C1 77 15 48 8D 0D ?? ?? ?? ?? 41 0F B7 C7 0F BE 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C2 48 63 C9 48 8D 14 C8 48 8D 05 ?? ?? ?? ?? 0F BE 14 02 C1 FA 04 89 54 24 60 8B CA 85 D2 0F 84 0B 08 00 00 FF C9 0F 84 2B 09 00 00 FF C9 0F 84 C8 08 00 00 FF C9 0F 84 7E 08 00 00 FF C9 0F 84 69 08 00 00 FF C9 0F 84 26 08 00 00 FF C9 0F 84 32 07 00 00 FF C9 0F 85 DF 06 00 00 41 0F B7 CF 83 F9 64 0F 8F 13 02 00 00 0F 84 1A 03 00 00 83 F9 41 0F 84 D0 01 00 00 83 F9 43 0F 84 54 01 00 00 8D 41 BB A9 FD FF FF FF 0F 84 B9 01 00 00 83 F9 53 0F 84 C6 00 00 00 B8 58 00 00 00 3B C8 0F 84 63 02 00 00 83 F9 5A 74 4F 83 F9 61 0F 84 A1 01 00 00 83 F9 63 0F 84 25 01 00 00 44 8B 7C 24 44 BF 2D 00 00 00 44 39 54 24 6C 0F 85 31 06 00 00 41 F6 C6 40 0F 84 1D 05 00 00 41 0F BA E6 08 0F 83 E4 04 00 00 66 89 7C 24 5C BF 01 00 00 00 89 7C 24 4C E9 03 05 00 00 49 8B 04 24 49 83 C4 08 4C 89 64 24 50 48 85 C0 74 39 48 8B 58 08 48 85 DB 74 30 BF 2D 00 00 00 41 0F BA E6 0B 73 16 0F BF 00 44 8D 7F D4 99 44 89 7C 24 44 2B C2 D1 F8 44 8B E8 EB 90 44 0F BF 28 45 8B FA 44 89 54 24 44 EB 82 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 4C 8B E8 E9 5E FF FF FF 41 F7 C6 30 08 00 00 75 03 45 0B F3 83 7C 24 40 FF 49 8B 1C 24 B8 FF FF FF 7F 0F 44 F8 49 83 C4 08 4C 89 64 24 50 45 84 F3 0F 84 38 01 00 00 48 85 DB 45 8B EA 48 0F 44 1D ?? ?? ?? ?? 48 8B F3 85 FF 0F 8E 15 04 00 00 44 38 16 0F 84 0D FF FF FF 0F B6 0E 48 8D 55 88 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 03 48 FF C6 41 FF C5 48 FF C6 44 3B EF 7C D6 E9 E7 FE FF FF 41 F7 C6 30 08 00 00 75 03 45 0B F3 41 0F B7 04 24 49 83 C4 08 41 BF 01 00 00 00 66 89 44 24 64 44 89 7C 24 44 4C 89 64 24 50 45 84 F3 74 34 88 44 24 68 48 8B 45 88 44 88 54 24 69 4C 63 80 D4 00 00 00 4C 8D 4D 88 48 8D 54 24 68 48 8D 4D C0 E8 ?? ?? ?? ?? 45 33 D2 85 C0 79 0B 44 89 7C 24 6C EB 04 66 89 45 C0 48 8D 5D C0 45 8B EF E9 79 FE FF FF C7 44 24 74 01 00 00 00 66 45 03 FB B8 67 00 00 00 41 83 CE 40 48 8D 5D C0 41 8B F1 85 FF 0F 89 45 02 00 00 41 BD 06 00 00 00 44 89 6C 24 40 E9 88 02 00 00 B8 67 00 00 00 3B C8 7E D4 83 F9 69 0F 84 FB 00 00 00 83 F9 6E 0F 84 B8 00 00 00 83 F9 6F 0F 84 9A 00 00 00 83 F9 70 74 59 83 F9 73 0F 84 BC FE FF FF 83 F9 75 0F 84 D6 00 00 00 83 F9 78 0F 85 FC FD FF FF 8D 41 AF EB 48 48 85 DB 41 BF 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 44 89 7C 24 44 48 8B C3 EB 0C FF CF 66 44 39 10 74 08 48 83 C0 02 85 FF 75 F0 48 2B C3 48 D1 F8 44 8B E8 E9 C3 FD FF FF BF 10 00 00 00 41 0F BA EE 0F B8 07 00 00 00 41 B9 10 00 00 00 89 44 24 70 BE 00 02 00 00 45 8D 79 20 45 84 F6 79 79 66 83 C0 51 66 44 89 7C 24 5C 41 8D 51 F2 66 89 44 24 5E EB 68 41 B9 08 00 00 00 45 84 F6 79 4E BE 00 02 00 00 44 0B F6 EB 49 49 8B 3C 24 49 83 C4 08 4C 89 64 24 50 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 01 FC FF FF 45 8D 5A 20 45 84 F3 74 05 66 89 37 EB 02 89 37 C7 44 24 6C 01 00 00 00 E9 7F 03 00 00 41 83 CE 40 41 B9 0A 00 00 00 BE 00 02 00 00 41 BF 30 00 00 00 8B 54 24 4C B8 00 80 00 00 44 85 F0 74 0A 4D 8B 04 24 49 83 C4 08 EB 3D 41 0F BA E6 0C 72 EF 49 83 C4 08 45 84 F3 74 1B 4C 89 64 24 50 41 F6 C6 40 74 08 4D 0F BF 44 24 F8 EB 1F 45 0F B7 44 24 F8 EB 17 41 F6 C6 40 74 07 4D 63 44 24 F8 EB 05 45 8B 44 24 F8 4C 89 64 24 50 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 44 85 F0 75 0A 41 0F BA E6 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 09 41 83 E6 F7 3B FE 0F 4F FE 44 8B 64 24 70 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C4 88 03 48 FF CB EB D3 4C 8B 64 24 50 48 8D 85 BF 01 00 00 89 7C 24 40 2B C3 48 FF C3 44 8B E8 44 85 F6 0F 84 26 FC FF FF 85 C0 74 09 44 38 3B 0F 84 19 FC FF FF 48 FF CB 41 FF C5 44 88 3B E9 0B FC FF FF 75 11 66 44 3B F8 75 41 41 BD 01 00 00 00 E9 AE FD FF FF 41 3B F9 41 BD A3 00 00 00 41 0F 4F F9 89 7C 24 40 41 3B FD 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 80 48 85 C0 0F 84 7D FD FF FF 48 8B D8 8B F7 44 8B 6C 24 40 EB 03 44 8B EF 49 8B 04 24 48 8B 0D ?? ?? ?? ?? 49 83 C4 08 4C 89 64 24 50 41 0F BE FF 48 63 F6 48 89 45 B0 FF 15 ?? ?? ?? ?? 48 8D 4D 88 48 89 4C 24 30 8B 4C 24 74 44 8B CF 89 4C 24 28 48 8D 4D B0 4C 8B C6 48 8B D3 44 89 6C 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1B 45 85 ED 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 88 48 8B CB FF D0 B9 67 00 00 00 66 44 3B F9 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 88 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 44 8B E8 EB 05 BF 2D 00 00 00 44 8B 7C 24 44 E9 FC FA FF FF 41 F6 C6 01 74 0F B8 2B 00 00 00 66 89 44 24 5C E9 0C FB FF FF 41 F6 C6 02 74 13 B8 20 00 00 00 66 89 44 24 5C 8D 78 E1 89 7C 24 4C EB 09 8B 7C 24 4C B8 20 00 00 00 8B 74 24 58 41 2B F5 2B F7 41 F6 C6 0C 75 0E 4C 8D 44 24 48 8B C8 8B D6 E8 ?? ?? ?? ?? 4C 8B 4D A8 4C 8D 44 24 48 48 8D 4C 24 5C 8B D7 E8 ?? ?? ?? ?? 41 F6 C6 08 74 17 41 F6 C6 04 75 11 4C 8D 44 24 48 B9 30 00 00 00 8B D6 E8 ?? ?? ?? ?? 45 85 FF 75 74 45 85 ED 7E 6F 48 8B FB 45 8B FD 48 8B 45 88 4C 8D 4D 88 48 8D 4C 24 64 4C 63 80 D4 00 00 00 48 8B D7 41 FF CF E8 ?? ?? ?? ?? 45 33 D2 4C 63 E0 85 C0 7E 32 0F B7 4C 24 64 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 09 83 C9 FF 89 4C 24 48 EB 08 FF 44 24 48 8B 4C 24 48 49 03 FC 45 33 D2 45 85 FF 7F A7 EB 07 83 C9 FF 89 4C 24 48 4C 8B 64 24 50 EB 1B 4C 8B 4D A8 4C 8D 44 24 48 41 8B D5 48 8B CB E8 ?? ?? ?? ?? 8B 4C 24 48 45 33 D2 85 C9 78 1A 41 F6 C6 04 74 14 4C 8D 44 24 48 B9 20 00 00 00 8B D6 E8 ?? ?? ?? ?? 45 33 D2 41 BB 20 00 00 00 48 8B 45 80 48 85 C0 74 13 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 45 8D 5A 20 4C 89 55 80 8B 54 24 60 4C 8B 44 24 78 8B 74 24 48 8B 7C 24 40 41 B9 00 02 00 00 45 0F B7 38 66 45 85 FF 0F 85 7A F8 FF FF 44 38 55 A0 74 0B 48 8B 4D 98 83 A1 C8 00 00 00 FD 8B C6 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 18 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 0F B7 C7 83 F8 49 74 3C 83 F8 68 74 2F B9 6C 00 00 00 3B C1 74 0C 83 F8 77 75 99 41 0F BA EE 0B EB 92 66 41 39 08 75 0B 49 83 C0 02 41 0F BA EE 0C EB 81 41 83 CE 10 E9 78 FF FF FF 45 0B F3 E9 70 FF FF FF 41 0F B7 00 41 0F BA EE 0F 66 83 F8 36 75 16 66 41 83 78 02 34 75 0E 49 83 C0 04 41 0F BA EE 0F E9 4B FF FF FF 66 83 F8 33 75 16 66 41 83 78 02 32 75 0E 49 83 C0 04 41 0F BA F6 0F E9 2F FF FF FF 66 83 E8 58 66 41 3B C3 77 14 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 0F 82 11 FF FF FF 44 89 54 24 60 41 0F B7 CF C7 44 24 44 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B 44 24 78 8B 54 24 60 B9 FF FF 00 00 41 BB 20 00 00 00 41 B9 00 02 00 00 66 3B C1 0F 85 1C 01 00 00 83 CE FF 89 74 24 48 45 33 D2 E9 C9 FE FF FF 66 41 83 FF 2A 75 1E 41 8B 3C 24 49 83 C4 08 4C 89 64 24 50 89 7C 24 40 85 FF 0F 89 A9 FE FF FF 83 CF FF EB 0D 8D 3C BF 41 0F B7 C7 8D 7F E8 8D 3C 78 89 7C 24 40 E9 8E FE FF FF 41 8B FA 44 89 54 24 40 E9 81 FE FF FF 66 41 83 FF 2A 75 21 41 8B 04 24 49 83 C4 08 4C 89 64 24 50 89 44 24 58 85 C0 0F 89 61 FE FF FF 41 83 CE 04 F7 D8 EB 11 8B 44 24 58 8D 0C 80 41 0F B7 C7 8D 04 48 83 C0 D0 89 44 24 58 E9 3F FE FF FF 41 0F B7 C7 41 3B C3 74 49 83 F8 23 74 3A B9 2B 00 00 00 3B C1 74 28 B9 2D 00 00 00 3B C1 74 16 B9 30 00 00 00 3B C1 0F 85 12 FE FF FF 41 83 CE 08 E9 09 FE FF FF 41 83 CE 04 E9 00 FE FF FF 41 83 CE 01 E9 F7 FD FF FF 41 0F BA EE 07 E9 ED FD FF FF 41 83 CE 02 E9 E4 FD FF FF 83 CF FF 44 89 54 24 74 44 89 54 24 6C 44 89 54 24 58 44 89 54 24 4C 45 8B F2 89 7C 24 40 44 89 54 24 44 E9 BC FD FF FF FF C6 E9 E0 FE FF FF }
	condition:
		$1
}

rule file_710_0_0 {
	meta:
		name = "setbuf"
		size = 28
		refs = "0018 setvbuf"
	strings:
		$1 = { 48 85 D2 75 09 45 33 C9 44 8D 42 04 EB 09 41 B9 00 02 00 00 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_711_0_0 {
	meta:
		name = "acoshl"
		size = 177
		refs = "0015 _ldtest 002e __real@3ff0000000000000 003e _fperrraise 0046 _LNan_C 0069 __real@4000000000000000 0071 _LEps_C 008b sqrt 0094 log1pl 009b log 00a3 __real@3fe62e42fefa39ef"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 FF C9 74 2C FF C9 F2 0F 10 44 24 40 74 7D F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D0 76 20 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? EB 5B B8 00 80 00 00 66 85 44 24 46 EB CA 66 0F 2E C2 7A 07 75 05 0F 57 C0 EB 42 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5E 0D ?? ?? ?? ?? 66 0F 2F C8 76 1F 0F 28 F0 F2 0F 58 C2 F2 0F 5C F2 F2 0F 59 C6 E8 ?? ?? ?? ?? F2 0F 58 C6 E8 ?? ?? ?? ?? EB 0D E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_712_4_0 {
	meta:
		name = "_mbstowcs_l_helper"
		size = 476
		refs = "0047 _errno 0052 _invalid_parameter_noinfo 0068 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00ca __imp_MultiByteToWideChar 00db __imp_GetLastError 00ff _isleadbyte_l 0166 strlen"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 45 33 E4 49 8B E8 4C 8B F2 48 8B F9 41 8B DC 48 85 C9 74 10 4D 85 C0 75 07 33 C0 E9 80 01 00 00 66 44 89 21 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 5E 01 00 00 48 8D 4C 24 30 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 85 FF 0F 84 DF 00 00 00 4C 39 A0 38 01 00 00 75 2C 48 85 ED 0F 84 1B 01 00 00 42 0F B6 04 33 66 89 07 46 38 24 33 0F 84 09 01 00 00 48 FF C3 48 83 C7 02 48 3B DD 72 E2 E9 F8 00 00 00 8B 48 04 48 83 CB FF 4D 8B C6 8D 53 0A 44 8B CB 89 6C 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 0F 85 CA 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 75 5F 44 8B FD 49 8B F6 85 ED 74 29 41 FF CF 44 38 26 74 21 0F B6 0E 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF C6 44 38 26 74 34 48 FF C6 45 85 FF EB D5 48 8B 44 24 30 41 2B F6 4D 8B C6 8B 48 04 BA 01 00 00 00 44 8B CE 89 6C 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 75 11 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 66 44 89 27 EB 53 48 8B D9 EB 4E 4C 39 A0 38 01 00 00 75 0D 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 EB 38 8B 48 04 48 83 CB FF 4D 8B C6 8D 53 0A 44 8B CB 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 63 C8 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 04 48 8D 59 FF 44 38 64 24 48 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B C3 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_712_5_0 {
	meta:
		name = "_mbstowcs_s_l"
		size = 304
		refs = "003d _errno 0049 _invalid_parameter_noinfo 006c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00a0 _mbstowcs_l_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 56 41 57 48 83 EC 40 45 33 E4 4D 8B F9 49 8B F0 48 8B FA 4C 8B F1 41 8B DC 48 85 D2 75 07 4D 85 C0 74 21 EB 05 4D 85 C0 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 C2 00 00 00 66 44 89 22 48 85 C9 74 03 4C 89 21 48 8B 94 24 88 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 84 24 80 00 00 00 4C 3B C6 4C 0F 47 C6 49 81 F8 FF FF FF 7F 76 0C E8 ?? ?? ?? ?? BB 16 00 00 00 EB 4E 4C 8D 4C 24 20 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 48 83 F8 FF 75 12 48 85 FF 74 04 66 44 89 27 E8 ?? ?? ?? ?? 8B 18 EB 45 48 FF C0 48 85 FF 74 35 48 3B C6 76 2A 48 83 BC 24 80 00 00 00 FF 74 17 66 44 89 27 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 16 48 8B C6 BB 50 00 00 00 66 44 89 64 47 FE 4D 85 F6 74 03 49 89 06 44 38 64 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 74 24 68 48 8B 7C 24 70 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_712_6_0 {
	meta:
		name = "mbstowcs"
		size = 26
		refs = "0002 __locale_changed 000c __initiallocalestructinfo 0016 _mbstowcs_l_helper"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 09 4C 8D 0D ?? ?? ?? ?? EB 03 45 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_713_0_0 {
	meta:
		name = "cbrtf"
		size = 336
		refs = "001c _fdunscale 0087 _fdscale 0094 __xmm@80000000800000008000000080000000 00c1 __real@3e79a416 00c9 __real@3e8f2a5a 00d1 __real@3fc00000 00d9 __real@3f754413 00e5 __real@3f000000 00ed __real@3da1a0cf"
	strings:
		$1 = { 48 89 5C 24 20 F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 55 10 48 8D 4D 18 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0A F3 0F 10 45 10 E9 13 01 00 00 44 0F BF 45 18 45 33 C9 B8 56 55 55 55 41 8D 59 01 41 F7 E8 8B C2 C1 E8 1F 03 D0 8D 04 52 41 3B C0 74 3B 66 44 03 C3 B8 56 55 55 55 44 2B CB 41 0F BF C8 F7 E9 8B C2 C1 E8 1F 03 D0 8D 04 52 3B C1 75 E0 66 44 89 45 18 45 85 C9 79 11 48 8D 4D 10 41 8B D1 E8 ?? ?? ?? ?? 44 0F B7 45 18 F3 0F 10 2D ?? ?? ?? ?? F3 0F 10 5D 10 B8 00 80 00 00 66 85 45 12 75 04 33 DB EB 08 0F 57 DD F3 0F 11 5D 10 0F 28 D3 0F 28 C3 0F 28 E3 F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 25 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 59 1D ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 5E D0 F3 0F 5E DA 0F 28 C2 F3 0F 59 C2 F3 0F 58 D8 F3 0F 5E E3 F3 0F 58 E2 F3 0F 59 25 ?? ?? ?? ?? F3 0F 11 65 20 85 DB 74 08 0F 57 E5 F3 0F 11 65 20 41 0F BF C8 B8 56 55 55 55 F7 E9 48 8D 4D 20 8B C2 C1 E8 1F 03 D0 E8 ?? ?? ?? ?? F3 0F 10 45 20 48 8B 5C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_714_1_0 {
	meta:
		name = "_vsnwprintf_s_l"
		size = 333
		refs = "0062 _errno 006d _woutput_s_l 008e _vswprintf_helper 012d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 45 33 FF 49 8B E9 49 8B F0 48 8B FA 48 8B D9 4D 85 C9 0F 84 F1 00 00 00 4D 85 C0 75 15 48 85 C9 75 19 48 85 D2 0F 85 DE 00 00 00 33 C0 E9 EA 00 00 00 48 85 C9 0F 84 CE 00 00 00 48 85 D2 0F 84 C5 00 00 00 49 3B D0 76 50 E8 ?? ?? ?? ?? 4C 8D 46 01 48 8D 0D ?? ?? ?? ?? 8B 38 48 8B 44 24 78 4C 8B CD 48 89 44 24 28 48 8B 44 24 70 48 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 75 70 E8 ?? ?? ?? ?? 83 38 22 0F 85 8C 00 00 00 E8 ?? ?? ?? ?? 89 38 E9 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8B CD 44 8B 30 48 8B 44 24 78 4C 8B C7 48 89 44 24 28 48 8B 44 24 70 48 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 66 44 89 7C 7B FE 83 F8 FE 75 1A 48 83 FE FF 75 18 E8 ?? ?? ?? ?? 83 38 22 75 34 E8 ?? ?? ?? ?? 44 89 30 EB 2A 85 C0 79 29 66 44 89 3B 83 F8 FE 75 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_714_4_0 {
	meta:
		name = "_vswprintf_helper"
		size = 282
		refs = "0038 memset 0042 _errno 004d _invalid_parameter_noinfo 00c7 _flsbuf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 50 33 DB 4D 8B F0 4C 8B F9 48 8B FA 48 8D 4D D8 44 8D 43 28 33 D2 49 8B F1 48 89 5D D0 E8 ?? ?? ?? ?? 48 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 A7 00 00 00 4D 85 F6 74 05 48 85 FF 74 DE C7 45 E8 42 00 00 00 48 89 7D E0 48 89 7D D0 49 81 FE FF FF FF 3F 76 09 C7 45 D8 FF FF FF 7F EB 07 43 8D 04 36 89 45 D8 4C 8B 4D 48 4C 8B 45 40 48 8D 4D D0 48 8B D6 41 FF D7 8B F0 48 85 FF 74 5C 85 C0 78 49 FF 4D D8 78 13 48 8B 45 D0 88 18 48 8B 45 D0 48 FF C0 48 89 45 D0 EB 14 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 21 48 8B 45 D0 FF 4D D8 78 04 88 18 EB 10 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C6 EB 0F 39 5D D8 66 42 89 5C 77 FE 0F 9D C3 8D 43 FE 4C 8D 5C 24 50 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_714_7_0 {
	meta:
		name = "_vswprintf_s_l"
		size = 121
		refs = "0039 _woutput_s_l 003e _vswprintf_helper 004f _errno 0067 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 33 FF 48 8B D9 4D 85 C0 74 47 48 85 C9 74 42 48 85 D2 74 3D 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 03 66 89 3B 83 F8 FE 75 20 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_715_0_0 {
	meta:
		name = "lroundf"
		size = 94
		refs = "0010 _fdtest 0027 roundf 002e __real@cf000000 003e __real@4f000000 0053 _fperrraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 98 85 C0 74 3E FF C8 83 F8 01 76 2D F3 0F 10 44 24 30 E8 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? F3 0F 11 44 24 30 72 13 F3 0F 10 0D ?? ?? ?? ?? 0F 2F C8 72 06 F3 0F 2C C0 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_716_0_0 {
	meta:
		name = "_ioinit"
		size = 813
		refs = "002b _lock 003f _calloc_crt 005e _local_unwind 006f __pioinfo 0076 _nhandle 00c5 __imp_GetStartupInfoW 01be __imp_GetFileType 01fa __crtInitializeCriticalSectionEx 027c __imp_GetStdHandle 02e3 __piob 0305 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 41 56 41 57 48 81 EC C0 00 00 00 48 89 64 24 48 B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 BF 58 00 00 00 8B D7 44 8D 6F C8 41 8B CD E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 28 45 33 E4 48 85 C0 75 19 48 8D 15 0A 00 00 00 48 8B CC E8 ?? ?? ?? ?? 90 90 83 C8 FF E9 9F 02 00 00 48 89 05 ?? ?? ?? ?? 44 89 2D ?? ?? ?? ?? 48 05 00 0B 00 00 48 3B C8 73 39 66 C7 41 08 00 0A 48 83 09 FF 44 89 61 0C 80 61 38 80 8A 41 38 24 7F 88 41 38 66 C7 41 39 0A 0A 44 89 61 50 44 88 61 4C 48 03 CF 48 89 4C 24 28 48 8B 05 ?? ?? ?? ?? EB BC 48 8D 4C 24 50 FF 15 ?? ?? ?? ?? 66 44 39 A4 24 92 00 00 00 0F 84 42 01 00 00 48 8B 84 24 98 00 00 00 48 85 C0 0F 84 31 01 00 00 4C 8D 70 04 4C 89 74 24 38 48 63 30 49 03 F6 48 89 74 24 40 41 BF 00 08 00 00 44 39 38 44 0F 4C 38 BB 01 00 00 00 89 5C 24 30 44 39 3D ?? ?? ?? ?? 7D 73 48 8B D7 49 8B CD E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 28 48 85 C0 75 09 44 8B 3D ?? ?? ?? ?? EB 52 48 63 D3 4C 8D 05 ?? ?? ?? ?? 49 89 04 D0 44 01 2D ?? ?? ?? ?? 49 8B 04 D0 48 05 00 0B 00 00 48 3B C8 73 2A 66 C7 41 08 00 0A 48 83 09 FF 44 89 61 0C 80 61 38 80 66 C7 41 39 0A 0A 44 89 61 50 44 88 61 4C 48 03 CF 48 89 4C 24 28 EB C7 FF C3 EB 80 41 8B FC 44 89 64 24 20 4C 8D 2D ?? ?? ?? ?? 41 3B FF 7D 77 48 8B 0E 48 8D 41 02 48 83 F8 01 76 51 41 F6 06 01 74 4B 41 F6 06 08 75 0A FF 15 ?? ?? ?? ?? 85 C0 74 3B 48 63 CF 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B D9 58 49 03 5C C5 00 48 89 5C 24 28 48 8B 06 48 89 03 41 8A 06 88 43 08 48 8D 4B 10 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? FF 43 0C FF C7 89 7C 24 20 49 FF C6 4C 89 74 24 38 48 83 C6 08 48 89 74 24 40 EB 84 41 8B FC 44 89 64 24 20 49 C7 C7 FE FF FF FF 83 FF 03 0F 8D CD 00 00 00 48 63 F7 48 6B DE 58 48 03 1D ?? ?? ?? ?? 48 89 5C 24 28 48 8B 03 48 83 C0 02 48 83 F8 01 76 10 0F BE 43 08 0F BA E8 07 88 43 08 E9 92 00 00 00 C6 43 08 81 8D 47 FF F7 D8 1B C9 83 C1 F5 B8 F6 FF FF FF 85 FF 0F 44 C8 FF 15 ?? ?? ?? ?? 4C 8B F0 48 8D 48 01 48 83 F9 01 76 46 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 74 39 4C 89 33 0F B6 C0 83 F8 02 75 09 0F BE 43 08 83 C8 40 EB 0C 83 F8 03 75 0A 0F BE 43 08 83 C8 08 88 43 08 48 8D 4B 10 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? FF 43 0C EB 21 0F BE 43 08 83 C8 40 88 43 08 4C 89 3B 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 08 48 8B 04 F0 44 89 78 1C FF C7 89 7C 24 20 E9 2A FF FF FF B9 0B 00 00 00 E8 ?? ?? ?? ?? 33 C0 4C 8D 9C 24 C0 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 4D 8B 63 38 49 8B E3 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_716_1_0 {
	meta:
		name = "_ioinit$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_716_2_0 {
	meta:
		name = "_ioterm"
		size = 115
		refs = "0012 __pioinfo 0038 __imp_DeleteCriticalSection 0052 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 3D ?? ?? ?? ?? BE 40 00 00 00 48 8B 1F 48 85 DB 74 37 48 8D 83 00 0B 00 00 EB 1D 83 7B 0C 00 74 0A 48 8D 4B 10 FF 15 ?? ?? ?? ?? 48 8B 07 48 83 C3 58 48 05 00 0B 00 00 48 3B D8 72 DE 48 8B 0F E8 ?? ?? ?? ?? 48 83 27 00 48 83 C7 08 48 FF CE 75 B8 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_717_3_0 {
	meta:
		name = "?_strlwr_s_l_stat@@YAHPEAD_KPEAUlocaleinfo_struct@@@Z"
		size = 523
		refs = "001e __security_cookie 0038 _errno 0044 _invalid_parameter_noinfo 004e strnlen 0097 __crtLCMapStringA 0132 __chkstk 014c malloc 01c2 strcpy_s 01e3 free 01f1 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 60 48 8D 6C 24 50 48 89 5D 30 48 89 75 38 48 89 7D 40 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 4D 8B F0 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 9A 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 05 C6 03 00 EB DB 49 8B 06 48 8B 90 38 01 00 00 48 85 D2 74 60 8B 40 04 C7 44 24 40 01 00 00 00 4C 8B CB 89 44 24 38 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF 41 B8 00 01 00 00 49 8B CE E8 ?? ?? ?? ?? 4C 63 F8 85 C0 75 35 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 2F 01 00 00 8A 0B 8D 41 BF 3C 19 77 05 80 C1 20 88 0B 48 FF C3 80 3B 00 75 EA 33 C0 E9 12 01 00 00 49 8B CF 49 3B F7 73 12 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 50 FF FF FF 85 C0 7E 6F 33 D2 48 8D 42 E0 48 F7 F1 48 83 F8 01 72 60 49 8D 47 10 48 3B C1 76 57 48 83 C1 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 50 48 85 FF 74 28 C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C7 10 EB 02 33 FF 48 85 FF 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 33 FF FF FF 49 8B 16 C7 44 24 40 01 00 00 00 4C 8B CB 8B 42 04 48 8B 92 38 01 00 00 41 B8 00 01 00 00 89 44 24 38 44 89 7C 24 30 49 8B CE 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_717_7_0 {
	meta:
		name = "_strlwr"
		size = 88
		refs = "000f __locale_changed 001b _errno 0026 _invalid_parameter_noinfo 004b _strlwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 31 48 85 C9 75 25 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 24 8A 11 8D 42 BF 3C 19 77 05 80 C2 20 88 11 48 FF C1 44 38 01 75 EA EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_717_8_0 {
	meta:
		name = "_strlwr_l"
		size = 30
		refs = "0011 _strlwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 83 CA FF 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1044_8_0 {
	meta:
		name = "_strupr_l"
		size = 30
		refs = "0011 _strupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 83 CA FF 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1006_8_0 {
	meta:
		name = "_wcslwr_l"
		size = 30
		refs = "0011 _wcslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 83 CA FF 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1316_8_0 {
	meta:
		name = "_wcsupr_l"
		size = 30
		refs = "0011 _wcsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 83 CA FF 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_717_10_0 {
	meta:
		name = "_strlwr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 ?_strlwr_s_l_stat@@YAHPEAD_KPEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1044_10_0 {
	meta:
		name = "_strupr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 ?_strupr_s_l_stat@@YAHPEAD_KPEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1006_10_0 {
	meta:
		name = "_wcslwr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 ?_wcslwr_s_l_stat@@YAHPEA_W_KPEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1316_10_0 {
	meta:
		name = "_wcsupr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 ?_wcsupr_s_l_stat@@YAHPEA_W_KPEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_718_16_0 {
	meta:
		name = "??0VirtualProcessor@details@Concurrency@@QEAA@XZ"
		size = 115
		refs = "0014 ??_7VirtualProcessor@details@Concurrency@@6B@ 0026 ??0?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_HyperNonReentrantLock@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 99 C8 00 00 00 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 48 83 C1 18 48 8B D3 E8 ?? ?? ?? ?? 33 C0 48 89 47 40 48 89 47 48 48 89 47 68 48 89 47 70 89 03 48 8B 5C 24 30 89 87 D8 00 00 00 48 89 87 E0 00 00 00 48 89 87 E8 00 00 00 89 87 F0 00 00 00 48 89 87 F8 00 00 00 89 87 30 01 00 00 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_718_17_0 {
	meta:
		name = "??0WorkSearchContext@details@Concurrency@@QEAA@XZ"
		size = 21
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 28 48 89 41 30 48 8B C1 C3 }
	condition:
		$1
}

rule file_718_28_0 {
	meta:
		name = "??1VirtualProcessor@details@Concurrency@@UEAA@XZ"
		size = 93
		refs = "0019 ??_7VirtualProcessor@details@Concurrency@@6B@ 002d ?ReturnSubAllocator@SchedulerBase@details@Concurrency@@SAXPEAVSubAllocator@23@@Z 0041 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 89 90 00 00 00 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 83 A3 90 00 00 00 00 48 8B 8B F8 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_718_30_0 {
	meta:
		name = "?dtor$1@?0???1VirtualProcessor@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 F0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_718_46_0 {
	meta:
		name = "?AcknowledgedAffinityMessage@SchedulerBase@details@Concurrency@@QEAA_NI@Z"
		size = 58
	strings:
		$1 = { 4C 8B D1 44 8B CA 83 E2 1F 49 8B 82 98 00 00 00 49 C1 E9 05 41 B8 01 00 00 00 8A CA 41 D3 E0 46 85 04 88 0F 95 C0 84 C0 74 0F 41 F7 D0 49 8B 8A 98 00 00 00 F0 46 21 04 89 C3 }
	condition:
		$1
}

rule file_718_48_0 {
	meta:
		name = "?Affinitize@VirtualProcessor@details@Concurrency@@MEAAXPEAVInternalContextBase@23@@Z"
		size = 86
		refs = "0019 ?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 48 85 D2 74 14 48 8B CA E8 ?? ?? ?? ?? 48 8B 03 48 8B D7 48 8B CB FF 50 38 48 89 9F B8 00 00 00 48 85 DB 74 16 F6 83 27 01 00 00 01 74 0D FF 87 A4 00 00 00 80 A3 27 01 00 00 FE 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_718_49_0 {
	meta:
		name = "?CheckAffinityNotification@VirtualProcessor@details@Concurrency@@QEAA_NXZ"
		size = 87
	strings:
		$1 = { 80 B9 9A 00 00 00 00 74 0D C6 81 9A 00 00 00 00 B8 01 00 00 00 C3 48 8B 41 78 BA 01 00 00 00 4C 8B 08 8B 81 D4 00 00 00 44 8B C0 83 E0 1F 8A C8 49 8B 81 98 00 00 00 49 C1 E8 05 D3 E2 42 85 14 80 0F 95 C0 84 C0 74 0E F7 D2 49 8B 89 98 00 00 00 F0 42 21 14 81 C3 }
	condition:
		$1
}

rule file_718_50_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 92
		refs = "0017 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ"
		altNames = "?CheckForDeletionBridge@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B 49 48 E8 ?? ?? ?? ?? 33 DB 84 C0 75 2B 48 8B 7E 20 EB 19 48 8D 8F E0 FE FF FF 48 8B 3F 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 FF 75 E2 48 89 5E 20 87 5E 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_718_53_0 {
	meta:
		name = "?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NAEAVClaimTicket@123@K_N@Z"
		size = 151
	strings:
		$1 = { 48 89 5C 24 08 44 8B 51 10 48 8B DA 4C 8B D9 45 85 D0 74 2A 33 C9 41 83 F8 0F 75 0F 44 8B D1 45 87 53 10 45 85 D2 0F 95 C0 EB 1D 41 8B C2 F0 41 0F B1 4B 10 44 8B D0 74 0D 41 85 C0 75 ED 32 C0 48 8B 5C 24 08 C3 B0 01 84 C0 74 F2 45 84 C9 74 37 49 8B 43 78 48 8B 08 F0 FF 89 A4 02 00 00 49 8B 43 78 F0 FF 48 30 41 8D 42 FC A9 FB FF FF FF 75 16 49 8B 4B 78 48 8B 11 F0 FF 8A A8 02 00 00 49 8B 4B 78 F0 FF 49 34 44 89 13 4C 89 5B 08 B0 01 45 89 53 14 EB A9 }
	condition:
		$1
}

rule file_718_56_0 {
	meta:
		name = "?ClearQuickCacheSlot@SchedulerBase@details@Concurrency@@QEAAXI@Z"
		size = 43
	strings:
		$1 = { 48 8B 81 A0 00 00 00 C1 E2 04 44 8B C2 48 8B 14 D0 B8 01 00 00 00 48 3B D0 75 0F 48 8B 89 A0 00 00 00 33 D2 F0 4A 0F B1 14 C1 C3 }
	condition:
		$1
}

rule file_718_64_0 {
	meta:
		name = "?ExerciseClaim@VirtualProcessor@details@Concurrency@@AEAA_NW4AvailabilityType@123@PEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z"
		size = 191
		refs = "0058 ?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z 006f ?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@_N@Z 007d ?MakeAvailable@VirtualProcessor@details@Concurrency@@IEAAXW4AvailabilityType@123@_N@Z 008e ?GetAnonymousScheduleGroupSegment@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@XZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 41 78 44 8B D2 49 8B F1 48 8B 28 49 8B F8 44 8B F2 48 8B D9 41 FF CA 74 1E 41 83 FA 03 74 18 48 8B 89 88 00 00 00 48 8B 93 C0 00 00 00 48 8B 01 FF 50 28 B0 01 EB 52 B2 01 48 8B CD E8 ?? ?? ?? ?? 84 C0 75 25 48 85 F6 74 0E 41 B0 01 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 45 33 C0 41 8B D6 48 8B CB E8 ?? ?? ?? ?? 32 C0 EB 1F 48 85 FF 75 0B 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 8B 03 4C 8B C6 48 8B D7 48 8B CB FF 50 38 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_718_66_0 {
	meta:
		name = "?ExerciseWith@ClaimTicket@VirtualProcessor@details@Concurrency@@QEAA_NPEAVInternalContextBase@34@@Z"
		size = 50
		refs = "0025 ?ExerciseClaim@VirtualProcessor@details@Concurrency@@AEAA_NW4AvailabilityType@123@PEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B CA 8B 11 32 C0 48 8B D9 85 D2 74 18 48 8B 49 08 48 8B 41 78 4C 8B 40 08 4D 8B 40 10 E8 ?? ?? ?? ?? 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_718_68_0 {
	meta:
		name = "?Find@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBIPEAI@Z"
		size = 122
	strings:
		$1 = { 48 89 5C 24 08 4C 8B DA 48 8B D9 49 B9 25 23 22 84 E4 9C F2 CB 45 33 D2 41 0F B6 04 12 48 B9 B3 01 00 00 00 01 00 00 49 FF C2 4C 33 C8 4C 0F AF C9 49 83 FA 04 72 E1 48 63 0B 33 D2 49 8B C1 48 F7 F1 48 8B 43 08 48 63 CA 48 8B 04 C8 48 85 C0 74 10 41 8B 0B 39 48 08 74 0A 48 8B 00 48 85 C0 75 F3 33 C0 48 85 C0 74 0B 4D 85 C0 74 06 8B 48 0C 41 89 08 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_718_71_0 {
	meta:
		name = "?GetCurrentSubAllocator@VirtualProcessor@details@Concurrency@@QEAAPEAVSubAllocator@23@XZ"
		size = 46
		refs = "0016 ?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 90 00 00 00 00 48 8B D9 75 0E 33 C9 E8 ?? ?? ?? ?? 48 89 83 90 00 00 00 48 8B 83 90 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_718_73_0 {
	meta:
		name = "?GetDequeuedTaskCount@VirtualProcessor@details@Concurrency@@AEAAIXZ"
		size = 21
	strings:
		$1 = { 8B 91 A4 00 00 00 8B C2 2B 81 AC 00 00 00 89 91 AC 00 00 00 C3 }
	condition:
		$1
}

rule file_718_74_0 {
	meta:
		name = "?GetEnqueuedTaskCount@VirtualProcessor@details@Concurrency@@AEAAIXZ"
		size = 21
	strings:
		$1 = { 8B 91 A0 00 00 00 8B C2 2B 81 A8 00 00 00 89 91 A8 00 00 00 C3 }
	condition:
		$1
}

rule file_718_78_0 {
	meta:
		name = "?GetResourceMaskId@SchedulerBase@details@Concurrency@@QEAAII@Z"
		size = 39
		refs = "001a ?Find@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBIPEAI@Z"
	strings:
		$1 = { 89 54 24 10 48 83 EC 28 4C 8D 44 24 30 48 8D 54 24 38 48 81 C1 48 02 00 00 E8 ?? ?? ?? ?? 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_718_83_0 {
	meta:
		name = "?Grow@QuickBitSet@details@Concurrency@@QEAAXI@Z"
		size = 165
		refs = "003e ??_U@YAPEAX_K@Z 007c memset 0085 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 8B FA 48 8B D9 3B 11 74 71 8D 72 1F 48 C7 C1 FF FF FF FF B8 04 00 00 00 C1 EE 05 44 8B C6 49 F7 E0 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 8B 13 45 33 C0 83 C2 1F 4C 8B F0 C1 EA 05 85 D2 74 18 44 8B CA 48 8B 43 08 41 8B 0C 00 43 89 0C 30 4D 8D 40 04 49 FF C9 75 EB 2B F2 49 8D 0C 96 33 D2 44 8B C6 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8B 4B 08 E8 ?? ?? ?? ?? 4C 89 73 08 89 3B 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_718_84_0 {
	meta:
		name = "?HashValue@?$Hash@II@details@Concurrency@@CAIAEBIH@Z"
		size = 58
	strings:
		$1 = { 49 B8 25 23 22 84 E4 9C F2 CB 45 33 C9 41 0F B6 04 09 49 BA B3 01 00 00 00 01 00 00 49 FF C1 4C 33 C0 4D 0F AF C2 49 83 F9 04 72 E1 48 63 CA 49 8B C0 33 D2 48 F7 F1 8B C2 C3 }
	condition:
		$1
}

rule file_718_86_0 {
	meta:
		name = "?Initialize@VirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 577
		refs = "00cc ?Find@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBIPEAI@Z 00e2 ?GetProcessorCount@Concurrency@@YAIXZ 00ec ?Grow@QuickBitSet@details@Concurrency@@QEAAXI@Z 0143 ?Reset@WorkSearchContext@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@W4Algorithm@123@@Z 016e ??0location@Concurrency@@QEAA@W4_Type@01@IIPEAX@Z 01c8 ?InterlockedSet@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z 0205 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0228 ?ThrowVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@CAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 56 48 83 EC 50 33 ED 48 89 51 78 49 8B D8 48 89 A9 38 01 00 00 48 89 A9 B0 00 00 00 44 8D 75 01 44 89 B1 60 01 00 00 44 89 B1 48 01 00 00 48 8B 42 08 48 89 81 80 00 00 00 48 8B 41 78 48 89 99 88 00 00 00 66 89 A9 00 01 00 00 48 89 A9 A0 00 00 00 48 89 A9 A8 00 00 00 89 69 10 48 89 A9 08 01 00 00 89 A9 30 01 00 00 48 89 A9 B8 00 00 00 48 89 A9 90 00 00 00 66 89 A9 98 00 00 00 44 88 B1 9A 00 00 00 48 8B 30 49 8B 00 48 8B F9 49 8B C8 FF 50 20 48 8B CB 89 87 CC 00 00 00 48 8B 03 FF 50 08 48 8D 8E 48 02 00 00 4C 8D 44 24 78 48 8D 54 24 70 89 87 D0 00 00 00 89 44 24 70 E8 ?? ?? ?? ?? 8B 44 24 78 48 8D 9F F0 00 00 00 89 87 D4 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 8B D0 E8 ?? ?? ?? ?? 8B 03 83 C0 1F C1 E8 05 85 C0 74 14 8B CD 8B D0 48 8B 43 08 89 2C 01 48 8D 49 04 49 2B D6 75 F0 8B 8F D4 00 00 00 48 8B 53 08 41 8B C6 44 8B C1 83 E1 1F 49 C1 E8 05 D3 E0 48 8D 4F 40 42 09 04 82 48 8B D7 45 8B C6 39 6E 14 74 06 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 78 48 8B 08 48 8B 01 FF 50 08 44 8B 87 D0 00 00 00 48 8D 4C 24 30 44 8B C8 BA 03 00 00 00 48 89 7C 24 20 E8 ?? ?? ?? ?? 48 8B D0 8B 08 B8 FF FF FF 0F 33 8F D8 00 00 00 23 C8 31 8F D8 00 00 00 8B 8F D8 00 00 00 33 0A 23 C8 33 0A 89 8F D8 00 00 00 48 8B 42 08 48 8D 4E 78 48 89 87 E0 00 00 00 8B 42 04 89 87 DC 00 00 00 48 8B 42 10 48 89 87 E8 00 00 00 8B 9F D4 00 00 00 8B D3 E8 ?? ?? ?? ?? 48 8B 86 A0 00 00 00 C1 E3 04 48 8B 0C D8 49 3B CE 75 10 48 8B 8E A0 00 00 00 49 8B C6 F0 48 0F B1 2C D9 48 8B 47 78 8B 9F CC 00 00 00 48 8B 08 48 8B 01 FF 50 08 44 8A 05 ?? ?? ?? ?? 41 80 F8 04 72 1D 44 8B 05 ?? ?? ?? ?? 41 F6 C0 04 74 10 44 8B CB 44 8B C0 B2 04 41 8B CE E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 38 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_718_88_0 {
	meta:
		name = "?InterlockedClear@QuickBitSet@details@Concurrency@@QEAAXI@Z"
		size = 33
	strings:
		$1 = { 48 8B 41 08 8B CA 41 B8 01 00 00 00 83 E1 1F 8B D2 41 D3 E0 48 C1 EA 05 41 F7 D0 F0 44 21 04 90 C3 }
	condition:
		$1
}

rule file_718_89_0 {
	meta:
		name = "?InterlockedClear@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z"
		size = 152
		refs = "004f ?_Sleep0@details@Concurrency@@YAXXZ 0065 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 40 48 8B 41 10 48 8B E9 8B DA 83 CE FF F0 0F C1 34 98 FF CE 75 4D 4C 8B 71 08 48 C1 EB 05 83 E2 1F 41 8B 04 9E 8D 7E 01 8A CA D3 E7 85 C7 75 29 21 74 24 28 48 8D 05 ?? ?? ?? ?? 49 89 43 E8 41 8B 04 9E 85 C7 75 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 8B 0C 9E 85 CF 74 EE F7 D7 48 8B 4D 08 F0 21 3C 99 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 7C 24 68 8B C6 48 8B 74 24 60 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_718_94_0 {
	meta:
		name = "?ListenAffinity@SchedulerBase@details@Concurrency@@QEAAXI@Z"
		size = 74
		refs = "0014 ?InterlockedSet@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 83 C1 78 8B DA E8 ?? ?? ?? ?? 48 8B 87 A0 00 00 00 C1 E3 04 48 8B 14 D8 B8 01 00 00 00 48 3B D0 75 0F 48 8B 8F A0 00 00 00 33 D2 F0 48 0F B1 14 D9 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_718_95_0 {
	meta:
		name = "?Lookup@?$Hash@II@details@Concurrency@@AEAAPEAUListNode@123@AEBIH@Z"
		size = 34
	strings:
		$1 = { 48 8B 41 08 4D 63 C0 4A 8B 04 C0 48 85 C0 74 0F 8B 0A 39 48 08 74 0A 48 8B 00 48 85 C0 75 F3 33 C0 C3 }
	condition:
		$1
}

rule file_718_96_0 {
	meta:
		name = "?MakeAvailable@VirtualProcessor@details@Concurrency@@IEAAXW4AvailabilityType@123@_N@Z"
		size = 126
		refs = "0036 ?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 81 B8 00 00 00 8B FA 48 8B D9 48 89 81 C0 00 00 00 45 84 C0 74 18 83 FA 01 74 05 83 FA 04 75 0E 48 8B 49 78 33 D2 48 8B 09 E8 ?? ?? ?? ?? 48 8B 43 78 48 8B 08 F0 FF 81 A4 02 00 00 48 8B 43 78 F0 FF 40 30 8D 47 FC A9 FB FF FF FF 75 16 48 8B 43 78 48 8B 08 F0 FF 81 A8 02 00 00 48 8B 43 78 F0 FF 40 34 87 7B 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_718_97_0 {
	meta:
		name = "?MarkForRetirement@VirtualProcessor@details@Concurrency@@AEAAXXZ"
		size = 107
		refs = "001d ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NAEAVClaimTicket@123@K_N@Z 005a ?ExerciseClaim@VirtualProcessor@details@Concurrency@@AEAA_NW4AvailabilityType@123@PEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8D 54 24 20 41 B1 01 41 B8 0F 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 39 8B 54 24 20 83 FA 02 74 14 83 FA 08 74 0F 48 8B 03 48 8B CB 48 83 C4 30 5B 48 FF 60 18 48 8B 4C 24 28 45 33 C9 45 33 C0 C6 83 01 01 00 00 01 48 83 C4 30 5B E9 ?? ?? ?? ?? C6 83 01 01 00 00 01 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_718_98_0 {
	meta:
		name = "?Oversubscribe@VirtualProcessor@details@Concurrency@@EEAAPEAV123@XZ"
		size = 56
		refs = "0034 ?AddVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 78 48 8B D9 48 8B 10 48 8B 8A 98 02 00 00 48 8B 93 88 00 00 00 48 8B 01 FF 50 28 48 8B 4B 78 41 B0 01 48 8B D0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_718_101_0 {
	meta:
		name = "?Remove@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVVirtualProcessor@23@H_N@Z"
		size = 318
		refs = "00ae __imp_QueryDepthSList 00ca __imp_InterlockedPushEntrySList 00e4 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 00fa __imp_InterlockedFlushSList 0109 ?CheckForDeletionBridge@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 0115 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D EF 00 00 00 48 8B 43 60 44 3B 53 68 7C 1E 44 2B 53 68 48 63 4B 68 4C 8B 44 C8 F8 78 16 41 8D 4A 01 4D 8B 40 08 48 2B CD 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 50 49 63 CB 48 8B 44 24 50 45 33 F6 F0 4C 0F B1 34 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 8F 00 00 00 41 8D 46 FE F0 45 0F B1 58 10 45 84 C9 74 7B 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 96 20 01 00 00 0F B7 C0 3B 43 74 7E 5A 48 8D 7B 10 48 8B CF FF 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 0F B7 C0 3B 43 74 7E 45 48 8B 4B 48 E8 ?? ?? ?? ?? 84 C0 75 38 33 C0 F0 0F B1 6B 78 75 2F 48 8B CF FF 15 ?? ?? ?? ?? 4C 8B 4B 48 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 89 43 20 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_718_104_0 {
	meta:
		name = "?Retire@VirtualProcessor@details@Concurrency@@MEAAXXZ"
		size = 485
		refs = "0021 ?RemovePrioritizedObject@SchedulerBase@details@Concurrency@@QEAAXPEAUBoostedObject@23@@Z 0037 ?InterlockedClear@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z 00cb ?GetScheduleGroupSegment@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupSegmentBase@23@XZ 011b ?AddRunnableContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@Vlocation@3@@Z 012e ?Pop@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 017f ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 019f ?ThrowVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@CAXW4ConcRT_EventType@3@EKK@Z 01b0 ?ReturnSubAllocator@SchedulerBase@details@Concurrency@@SAXPEAVSubAllocator@23@@Z 01e1 ?Remove@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVVirtualProcessor@23@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B F9 48 8D 91 48 01 00 00 48 8B 49 78 48 8B 09 E8 ?? ?? ?? ?? 48 8B 47 78 8B 97 D4 00 00 00 48 8B 08 48 83 C1 48 E8 ?? ?? ?? ?? 48 8B 47 78 F0 FF 48 38 80 BF 00 01 00 00 00 75 0B 48 8B 47 78 48 8B 08 F0 FF 49 1C 48 8B 47 78 48 8B 10 8B 87 A0 00 00 00 8B C8 2B 8F A8 00 00 00 89 87 A8 00 00 00 F0 0F C1 8A AC 02 00 00 8B 87 A4 00 00 00 8B C8 2B 8F AC 00 00 00 89 87 AC 00 00 00 F0 0F C1 8A B0 02 00 00 80 BF 98 00 00 00 00 75 16 48 8B 47 78 8B 97 D4 00 00 00 48 8B 08 48 83 C1 78 E8 ?? ?? ?? ?? 48 C7 87 B8 00 00 00 00 00 00 00 48 8D 77 18 EB 59 48 8D 4B 10 E8 ?? ?? ?? ?? 8B 54 24 20 4C 8D 44 24 20 8B 48 18 4C 8B C8 33 CA 81 E1 FF FF FF 0F 33 D1 8B 48 18 33 CA 48 8B D3 81 E1 FF FF FF 0F 33 48 18 48 8B 40 20 48 89 44 24 28 41 8B 41 1C 89 4C 24 20 89 44 24 24 49 8B 41 28 49 8B C9 48 89 44 24 30 E8 ?? ?? ?? ?? 8B 4E 04 8B 06 2B C8 85 C9 7E 0D 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB 48 85 DB 75 88 48 8B 47 78 48 8B 08 48 8B 87 88 00 00 00 48 8B 18 48 8B 01 FF 50 68 48 8B 8F 88 00 00 00 48 8B D0 FF 53 10 48 8B 47 78 48 83 A7 88 00 00 00 00 48 8B 08 8B 9F CC 00 00 00 48 8B 01 FF 50 08 8A 0D ?? ?? ?? ?? B2 04 3A CA 72 1A 8B 0D ?? ?? ?? ?? 84 CA 74 10 44 8B CB 44 8B C0 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F 90 00 00 00 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 83 A7 90 00 00 00 00 48 8B 4F 78 44 8B 87 9C 00 00 00 41 B1 01 48 83 C1 50 48 8B D7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_718_105_0 {
	meta:
		name = "?SafePoint@VirtualProcessor@details@Concurrency@@QEAA_NXZ"
		size = 19
		refs = "000f ?MarkSafePoint@SchedulerBase@details@Concurrency@@QEAA_NPEAVSafePointMarker@23@@Z"
	strings:
		$1 = { 48 8B 41 78 48 8D 91 30 01 00 00 48 8B 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_718_106_0 {
	meta:
		name = "?SaveRetiredVirtualProcessorStatistics@SchedulerBase@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@@Z"
		size = 63
	strings:
		$1 = { 8B 82 A0 00 00 00 44 8B C0 44 2B 82 A8 00 00 00 89 82 A8 00 00 00 F0 44 0F C1 81 AC 02 00 00 8B 82 A4 00 00 00 44 8B C0 44 2B 82 AC 00 00 00 89 82 AC 00 00 00 F0 44 0F C1 81 B0 02 00 00 C3 }
	condition:
		$1
}

rule file_718_107_0 {
	meta:
		name = "?Set@QuickBitSet@details@Concurrency@@QEAAXI@Z"
		size = 28
	strings:
		$1 = { 4C 8B 41 08 44 8B CA 83 E2 1F 8A CA B8 01 00 00 00 49 C1 E9 05 D3 E0 43 09 04 88 C3 }
	condition:
		$1
}

rule file_718_109_0 {
	meta:
		name = "?SpinUntilSet@QuickBitSet@details@Concurrency@@QEBAXI@Z"
		size = 96
		refs = "0034 ?_Sleep0@details@Concurrency@@YAXXZ 0045 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B 71 08 8B DA 83 E2 1F 48 C1 EB 05 BF 01 00 00 00 8A CA 8B 04 9E D3 E7 85 C7 75 24 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 04 9E 85 C7 74 EF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_718_110_0 {
	meta:
		name = "?StartupWorkerContext@VirtualProcessor@details@Concurrency@@EEAA_NPEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z"
		size = 221
		refs = "002c ?_Sleep0@details@Concurrency@@YAXXZ 0044 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 006d ?PrepareForUse@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@PEAU_Chore@23@_N@Z 007c ?GetInternalContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVInternalContextBase@23@PEAU_Chore@23@_N@Z 0092 ?MakeAvailable@VirtualProcessor@details@Concurrency@@IEAAXW4AvailabilityType@123@_N@Z 009e ?DeferredGetInternalContext@SchedulerBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B 81 B8 00 00 00 49 8B F8 48 8B F2 48 8B D9 48 85 C0 74 30 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8B 81 B8 00 00 00 EB 11 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 83 B8 00 00 00 48 85 C0 75 EA 48 85 FF 74 1A 48 83 7F 40 00 75 23 45 33 C9 45 33 C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? EB 10 45 33 C0 33 D2 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB 48 85 FF 75 1B 8D 57 04 41 B0 01 E8 ?? ?? ?? ?? 48 8B 4B 78 48 8B 09 E8 ?? ?? ?? ?? 32 C0 EB 27 48 8B 03 48 8B D7 FF 50 20 48 8B 83 88 00 00 00 48 8B 93 B8 00 00 00 4C 8B 00 48 8B 8B 88 00 00 00 41 FF 50 28 B0 01 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_718_112_0 {
	meta:
		name = "?ThrowVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@CAXW4ConcRT_EventType@3@EKK@Z"
		size = 154
		refs = "0018 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0036 memset 003d ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 004b VirtualProcessorEventGuid 007f ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 68 08 48 89 70 10 48 89 78 18 41 56 48 83 EC 60 48 83 3D ?? ?? ?? ?? 00 41 8B F9 41 8B F0 40 8A EA 44 8B F1 74 58 33 D2 48 8D 48 BA 44 8D 42 3E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 05 ?? ?? ?? ?? B8 40 00 00 00 4C 8D 44 24 20 C7 44 24 4C 00 00 02 00 F3 0F 7F 44 24 38 44 88 74 24 24 40 88 6C 24 25 89 74 24 54 66 89 44 24 20 89 7C 24 50 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 6B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_718_114_0 {
	meta:
		name = "?TraceVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@AEAAXW4ConcRT_EventType@3@EKK@Z"
		size = 59
		refs = "0008 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0031 ?ThrowVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@CAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8A 05 ?? ?? ?? ?? 45 8B D9 45 8A D0 8B DA 44 3A C0 77 1C 8B 05 ?? ?? ?? ?? A8 04 74 12 44 8B 4C 24 50 45 8B C3 41 8A D2 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_718_115_0 {
	meta:
		name = "?UpdateWorkState@VirtualProcessor@details@Concurrency@@QEAAX_N0@Z"
		size = 177
		refs = "004c ?InterlockedSet@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z 0086 ?InterlockedClear@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 41 78 45 33 FF 45 8A F0 48 8B 28 40 8A F2 48 8B F9 44 38 B9 98 00 00 00 74 42 84 D2 75 52 8B 99 D4 00 00 00 C6 81 9A 00 00 00 01 48 8D 4D 78 8B D3 E8 ?? ?? ?? ?? 48 8B 8D A0 00 00 00 C1 E3 04 48 8B 14 D9 48 83 FA 01 75 26 48 8B 8D A0 00 00 00 48 8B C2 F0 4C 0F B1 3C D9 EB 14 40 84 F6 74 0F 8B 97 D4 00 00 00 48 8D 4D 78 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 40 88 B7 98 00 00 00 48 8B 74 24 50 44 88 B7 99 00 00 00 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_718_116_0 {
	meta:
		name = "?Wipe@QuickBitSet@details@Concurrency@@QEAAXXZ"
		size = 35
	strings:
		$1 = { 8B 01 83 C0 1F C1 E8 05 85 C0 74 16 33 D2 44 8B C0 48 8B 41 08 83 24 02 00 48 8D 52 04 49 FF C8 75 EF C3 }
	condition:
		$1
}

rule file_721_0_0 {
	meta:
		name = "__free_lconv_mon"
		size = 266
		refs = "0018 __lconv_c 001f free"
	strings:
		$1 = { 48 85 C9 0F 84 00 01 00 00 53 48 83 EC 20 48 8B D9 48 8B 49 18 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 20 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 28 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 30 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 38 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 40 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 48 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 68 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 70 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 78 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 88 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_721_1_0 {
	meta:
		name = "__init_monetary"
		size = 1280
		refs = "0047 __lconv_c 005b _calloc_crt 0079 _malloc_crt 0089 free 00df __getlocaleinfo 0378 __free_lconv_mon"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 33 DB 48 8B F1 48 89 4D F0 44 8B FB 48 89 5D F8 48 39 99 40 01 00 00 75 18 48 39 99 48 01 00 00 75 0F 44 8B E3 4C 8D 35 ?? ?? ?? ?? E9 43 04 00 00 BA 98 00 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 0A B8 01 00 00 00 E9 71 04 00 00 BF 04 00 00 00 8B CF E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 75 0A 49 8B CE E8 ?? ?? ?? ?? EB D8 89 18 48 39 9E 40 01 00 00 0F 84 32 03 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 75 0D 49 8B CE E8 ?? ?? ?? ?? 49 8B CC EB CD 89 18 48 8B BE 40 01 00 00 41 B9 15 00 00 00 49 8D 46 18 48 8D 4D F0 41 8D 51 EC 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 49 8D 4E 20 41 B9 14 00 00 00 48 89 4C 24 20 41 8D 51 ED 48 8D 4D F0 4C 8B C7 8B D8 E8 ?? ?? ?? ?? 49 8D 4E 28 41 B9 16 00 00 00 48 89 4C 24 20 41 8D 51 EB 48 8D 4D F0 4C 8B C7 0B D8 E8 ?? ?? ?? ?? 41 B9 17 00 00 00 48 8D 4D F0 0B D8 49 8D 46 30 41 8D 51 EA 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 18 00 00 00 4D 8D 6E 38 48 8D 4D F0 41 8D 51 E9 4C 8B C7 0B D8 4C 89 6C 24 20 E8 ?? ?? ?? ?? 41 B9 50 00 00 00 0B D8 49 8D 46 40 48 8D 4D F0 41 8D 51 B1 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 51 00 00 00 0B D8 49 8D 46 48 48 8D 4D F0 41 8D 51 B0 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 1A 00 00 00 0B D8 49 8D 46 50 4C 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 19 00 00 00 0B D8 49 8D 46 51 4C 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 54 00 00 00 0B D8 49 8D 46 52 4C 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 49 8D 46 53 48 8D 4D F0 41 B9 55 00 00 00 4C 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 0B D8 49 8D 46 54 41 B9 56 00 00 00 4C 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 57 00 00 00 0B D8 49 8D 46 55 4C 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 52 00 00 00 0B D8 49 8D 46 56 4C 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 53 00 00 00 0B D8 49 8D 46 57 4C 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 15 00 00 00 48 8D 4D F0 0B D8 49 8D 46 68 41 8D 51 ED 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 14 00 00 00 48 8D 4D F0 0B D8 49 8D 46 70 41 8D 51 EE 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 16 00 00 00 48 8D 4D F0 0B D8 49 8D 46 78 41 8D 51 EC 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 17 00 00 00 48 8D 4D F0 0B D8 49 8D 86 80 00 00 00 41 8D 51 EB 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 50 00 00 00 48 8D 4D F0 0B D8 49 8D 86 88 00 00 00 41 8D 51 B2 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 41 B9 51 00 00 00 49 8D 86 90 00 00 00 48 8D 4D F0 41 8D 51 B1 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 0B C3 74 20 49 8B CE E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 49 8B CF E9 F4 FC FF FF 49 8B 55 00 33 DB EB 11 8A 0A 8D 41 D0 3C 09 77 11 80 E9 30 88 0A 48 FF C2 38 1A 75 EB E9 80 00 00 00 80 F9 3B 75 EF 4C 8B C2 49 8D 48 01 8A 01 41 88 00 4C 8B C1 84 C0 75 F0 EB DD 48 8D 05 ?? ?? ?? ?? BA 80 00 00 00 0F 10 00 41 0F 11 06 0F 10 48 10 41 0F 11 4E 10 0F 10 40 20 41 0F 11 46 20 0F 10 48 30 41 0F 11 4E 30 0F 10 40 40 41 0F 11 46 40 0F 10 48 50 41 0F 11 4E 50 0F 10 40 60 41 0F 11 46 60 0F 10 40 70 41 0F 11 44 16 F0 0F 10 0C 10 41 0F 11 0C 16 48 8B 44 10 10 49 89 44 16 10 48 8B 86 F0 00 00 00 48 8B 08 49 89 0E 48 8B 86 F0 00 00 00 48 8B 48 08 49 89 4E 08 48 8B 86 F0 00 00 00 48 8B 48 10 49 89 4E 10 48 8B 86 F0 00 00 00 48 8B 48 58 49 89 4E 58 48 8B 86 F0 00 00 00 48 8B 48 60 49 89 4E 60 41 C7 04 24 01 00 00 00 4D 85 FF 74 07 41 C7 07 01 00 00 00 48 8B 86 E8 00 00 00 48 85 C0 74 03 F0 FF 08 48 8B 8E D8 00 00 00 48 85 C9 74 1D F0 FF 09 75 18 48 8B 8E F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8E D8 00 00 00 E8 ?? ?? ?? ?? 4C 89 BE E8 00 00 00 4C 89 A6 D8 00 00 00 4C 89 B6 F0 00 00 00 33 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_721_2_0 {
	meta:
		name = "fix_grouping"
		size = 60
	strings:
		$1 = { 45 33 C9 48 8B D1 44 38 09 74 16 8A 0A 8D 41 D0 3C 09 77 0E 80 E9 30 88 0A 48 FF C2 44 38 0A 75 EA C3 80 F9 3B 75 F2 4C 8B C2 49 8D 48 01 8A 01 41 88 00 4C 8B C1 84 C0 75 F0 EB E0 }
	condition:
		$1
}

rule file_722_10_0 {
	meta:
		name = "sprintf"
		size = 160
		refs = "002f memset 0039 _errno 0044 _invalid_parameter_noinfo 0077 _output_l 0092 _flsbuf"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 55 53 57 48 8B EC 48 83 EC 50 48 83 65 D0 00 48 8B FA 33 D2 48 8B D9 48 8D 4D D8 44 8D 42 28 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4B 48 85 DB 74 E6 4C 8D 4D 30 48 8D 4D D0 45 33 C0 48 8B D7 C7 45 D8 FF FF FF 7F C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 E8 ?? ?? ?? ?? FF 4D D8 8B D8 78 09 48 8B 4D D0 C6 01 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 50 5F 5B 5D C3 }
	condition:
		$1
}

rule file_725_0_0 {
	meta:
		name = "??_M@YAXPEAX_KHP6AX0@Z@Z"
		size = 93
	strings:
		$1 = { 48 8B C4 4C 89 48 20 44 89 40 18 48 89 50 10 53 56 57 41 56 48 83 EC 38 4D 8B F1 49 63 F8 48 8B F2 83 60 C8 00 48 8B DF 48 0F AF DA 48 03 D9 48 89 58 08 FF CF 89 7C 24 70 78 10 48 2B DE 48 89 5C 24 60 48 8B CB 41 FF D6 EB E8 C7 44 24 20 01 00 00 00 48 83 C4 38 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_725_1_0 {
	meta:
		name = "?fin$0@?0???_M@YAXPEAX_KHP6AX0@Z@Z@4HA"
		size = 44
		refs = "0020 ?__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 20 00 75 16 4C 8B 4D 78 44 8B 45 70 48 8B 55 68 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_725_2_0 {
	meta:
		name = "?ArrayUnwindFilter@@YAHPEAU_EXCEPTION_POINTERS@@@Z"
		size = 28
		refs = "0017 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 63 73 6D E0 74 07 33 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_725_3_0 {
	meta:
		name = "?__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z"
		size = 74
	strings:
		$1 = { 48 89 5C 24 10 44 89 44 24 18 48 89 4C 24 08 56 57 41 56 48 83 EC 40 49 8B F1 41 8B F8 4C 8B F2 48 8B D9 FF CF 89 7C 24 70 78 0F 49 2B DE 48 89 5C 24 60 48 8B CB FF D6 EB E9 EB 00 48 8B 5C 24 68 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_725_4_0 {
	meta:
		name = "?filt$0@?0??__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z@4HA"
		size = 65
		refs = "0035 ?terminate@@YAXXZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 89 4D 38 48 89 4D 28 48 8B 45 28 48 8B 08 48 89 4D 30 48 8B 45 30 81 38 63 73 6D E0 74 0C C7 45 20 00 00 00 00 8B 45 20 EB 06 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_726_0_0 {
	meta:
		name = "_wfdopen"
		size = 446
		refs = "002a _errno 0058 _nhandle 006f __pioinfo 00cf _commode 0160 _getstream 0181 _cflush 018f _unlock_file 01a4 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 4C 8B C2 48 63 F1 45 33 F6 41 8B C6 48 85 D2 0F 95 C0 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 6A 01 00 00 83 FE FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 5A 01 00 00 85 C9 0F 88 42 01 00 00 3B 35 ?? ?? ?? ?? 0F 83 36 01 00 00 48 8B CE 48 8B C6 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 0F BE 54 08 08 41 BF 01 00 00 00 41 23 D7 0F 84 06 01 00 00 45 8D 5F 1F EB 04 49 83 C0 02 66 45 39 18 74 F6 41 0F B7 00 83 F8 61 74 14 83 F8 72 74 0A 83 F8 77 74 0A E9 6F FF FF FF 41 8B FF EB 05 BF 02 00 00 00 41 8B D7 45 8B CE 45 8B D6 0B 3D ?? ?? ?? ?? 49 83 C0 02 41 0F B7 00 66 85 C0 74 67 85 D2 74 63 0F B7 C8 41 2B CB 74 E7 83 E9 0B 74 3F 83 E9 37 74 30 FF C9 74 1E 83 E9 0B 74 0B 83 F9 06 0F 85 21 FF FF FF EB 1C 45 85 C9 75 26 45 8B CF 0F BA F7 0E EB BB 45 85 C9 75 18 45 8B CF 0F BA EF 0E EB AD 45 85 D2 75 0A 45 8B D7 EB A3 40 84 FF 79 05 41 8B D6 EB 99 83 E7 FC 0F BA EF 07 EB 90 49 83 C0 02 66 45 39 18 74 F6 41 8B C6 66 45 39 30 0F 94 C0 85 C0 0F 84 CA FE FF FF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 48 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB 2A 44 01 3D ?? ?? ?? ?? 89 78 18 89 70 1C 48 8B C8 E8 ?? ?? ?? ?? 48 8B C3 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_727_0_0 {
	meta:
		name = "cosf"
		size = 1279
		refs = "0006 __use_fma3_lib 0068 L_one_half 0088 L_large_x_sse2 009a L_2bypi 00bd L_piby2_1 00c9 L_piby2_1tail 00ed L_piby2_2 00fa L_piby2_2tail 015d L_one_sixth 0184 L_real_one 01cb __remainder_piby2d2f_forAsm 0201 __Lsinfarray 0254 __Lcosfarray 02ca _cosf_special 02e7 L_inf_mask_32 0308 L_piby2 0315 L_two_to_neg_7 031e L_two_to_neg_13 0331 L__min_norm_double 03c8 L_large_x_fma3 03d2 L_sign_mask 03f4 L__int_three 043f __remainder_piby2_fma3_bdl 0451 __remainder_piby2_fma3"
	strings:
		$1 = { 48 83 EC 68 83 3D ?? ?? ?? ?? 00 0F 85 CF 02 00 00 66 0F 57 D2 66 0F 7E C2 B8 00 00 80 7F 44 8B D0 44 23 D2 44 3B D0 0F 84 9C 02 00 00 F3 0F 5A C0 66 48 0F 7E C2 4C 8B D2 49 0F BA F2 3F 41 B8 01 00 00 00 66 0F 28 C8 48 B8 18 2D 44 54 FB 21 E9 3F 4C 3B D0 7F 29 66 0F 28 D0 F2 0F 59 D2 33 C0 49 8B D2 F2 0F 10 2D ?? ?? ?? ?? E9 7F 01 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 49 0F 6E C2 4C 3B 15 ?? ?? ?? ?? 0F 83 2E 01 00 00 66 0F 28 D0 F2 0F 10 1D ?? ?? ?? ?? 66 0F 28 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 D3 4D 8B CA 49 C1 E9 34 F2 0F 58 D5 F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 66 0F 28 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? 66 48 0F 7E C1 F2 0F 10 2D ?? ?? ?? ?? 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 66 0F 28 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 66 0F 28 C4 66 0F 28 CD F2 0F 5C C5 48 81 F9 F2 03 00 00 0F 8D AD 00 00 00 48 81 F9 DE 03 00 00 7E 54 66 0F 28 D0 F2 0F 59 D0 44 23 C0 74 27 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 DA F2 0F 5C C3 E9 32 01 00 00 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 E9 0B 01 00 00 0F 1F 80 00 00 00 00 44 23 C0 0F 85 FB 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 EE 00 00 00 66 66 0F 1F 84 00 00 00 00 00 48 89 54 24 20 4C 89 54 24 30 E8 ?? ?? ?? ?? 48 8B 54 24 20 4C 8B 54 24 30 41 B8 01 00 00 00 66 0F 28 C8 F2 0F 10 2D ?? ?? ?? ?? EB 03 0F 1F 00 66 0F 28 D0 F2 0F 59 D0 44 23 C0 74 53 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 E2 F2 0F 59 E2 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 10 D8 F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 CD F2 0F 59 CB F2 0F 58 C1 EB 5D 66 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 E2 F2 0F 59 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 CC F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C1 83 C0 01 83 E0 02 74 14 66 0F 57 D2 F2 0F 5C D0 66 0F 28 C2 0F 1F 84 00 00 00 00 00 F2 0F 5A C0 48 83 C4 68 C3 E8 ?? ?? ?? ?? 48 83 C4 68 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 7E C0 44 8B 05 ?? ?? ?? ?? 41 23 C0 41 3B C0 0F 84 FE 01 00 00 C5 FA 5A E8 C4 C1 F9 7E E9 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 8F AE 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 45 4C 3B 0D ?? ?? ?? ?? 7D 1C C4 E1 F9 6E 05 ?? ?? ?? ?? C5 FB 58 05 ?? ?? ?? ?? E9 B2 01 00 00 66 0F 1F 44 00 00 C5 D3 59 05 ?? ?? ?? ?? C4 E2 D1 AD 05 ?? ?? ?? ?? E9 96 01 00 00 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 C5 C5 F9 28 15 ?? ?? ?? ?? C5 FB 59 D8 C5 E3 59 0D ?? ?? ?? ?? C5 EB 5C D1 C5 FB 10 0D ?? ?? ?? ?? C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 E3 59 DB C5 F9 6F C2 C4 E2 F1 B9 C3 E9 3B 01 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 62 C5 F9 54 0D ?? ?? ?? ?? C5 F9 28 15 ?? ?? ?? ?? C4 E2 F1 A9 15 ?? ?? ?? ?? C5 F9 E6 D2 C4 E2 79 25 CA C5 F1 54 25 ?? ?? ?? ?? C5 F0 C6 C9 08 C5 FA E6 C9 C5 F9 6F D0 C4 E2 F1 BD 15 ?? ?? ?? ?? C5 F3 59 1D ?? ?? ?? ?? C5 EB 5C C3 C5 EB 5C D0 C5 EB 5C CB C4 E1 F9 7E E0 EB 2C 0F 1F 80 00 00 00 00 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 7D 12 E8 ?? ?? ?? ?? EB 10 66 66 66 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? 48 0F BA E0 00 73 34 C5 FB 10 0D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 FB 59 DB C4 E2 F1 B9 C3 EB 4A 66 90 C5 F9 28 15 ?? ?? ?? ?? C5 FB 59 D8 C5 E3 59 0D ?? ?? ?? ?? C5 EB 5C D1 C5 FB 10 0D ?? ?? ?? ?? C4 E2 E1 B9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C4 E2 E1 A9 0D ?? ?? ?? ?? C5 E3 59 DB C5 F9 6F C2 C4 E2 F1 B9 C3 48 83 C0 01 48 D1 E8 48 C1 E0 3F C4 E1 F9 6E D8 C5 F9 57 C3 C5 FB 5A C0 48 83 C4 68 C3 E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_728_0_0 {
	meta:
		name = "_cos_special"
		size = 18
		refs = "0003 ??_C@_03LALBNOCG@cos?$AA@ 000e _sincos_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 12 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_728_1_0 {
	meta:
		name = "_cosf_special"
		size = 18
		refs = "0003 ??_C@_04OBBKPIAC@cosf?$AA@ 000e _sincosf_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 12 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_728_2_0 {
	meta:
		name = "_sin_special"
		size = 18
		refs = "0003 ??_C@_03BLEJJJBH@sin?$AA@ 000e _sincos_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 1E 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_728_5_0 {
	meta:
		name = "_sinf_special"
		size = 18
		refs = "0003 ??_C@_04LAGPAAHP@sinf?$AA@ 000e _sincosf_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 1E 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_728_3_0 {
	meta:
		name = "_sincos_special"
		size = 212
		refs = "00c5 _handle_error"
	strings:
		$1 = { 48 83 EC 58 F2 0F 11 44 24 60 41 8B C8 4C 8B D2 4C 8B 44 24 60 48 BA 00 00 00 00 00 00 F0 7F 0F 28 C8 49 8B C0 48 23 C2 48 3B C2 0F 85 98 00 00 00 48 B8 FF FF FF FF FF FF 0F 00 41 B9 01 00 00 00 4C 85 C0 75 38 44 89 4C 24 40 48 B8 00 00 00 00 00 00 F8 FF 0F 57 C0 48 89 44 24 60 4C 8B C0 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB 41 49 8B C0 48 C1 E8 33 F7 D0 41 84 C1 74 12 48 B8 00 00 00 00 00 00 08 00 4C 0B C0 4C 89 44 24 60 44 89 4C 24 40 0F 57 C0 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 8B D1 49 8B CA E8 ?? ?? ?? ?? F2 0F 10 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_728_4_0 {
	meta:
		name = "_sincosf_special"
		size = 156
		refs = "008d _handle_errorf"
	strings:
		$1 = { 48 83 EC 58 48 83 64 24 78 00 0F 28 C8 4C 8B DA BA 00 00 80 7F 45 8B D0 F3 0F 11 4C 24 78 8B 4C 24 78 8B C1 23 C2 3B C2 75 67 0F 57 C0 41 B9 01 00 00 00 44 89 4C 24 40 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 F7 C1 FF FF 7F 00 75 12 C7 44 24 78 00 00 C0 FF C7 44 24 20 08 00 00 00 EB 1B 8B C1 C1 E8 16 F7 D0 41 84 C1 74 0A 0F BA E9 16 89 4C 24 78 EB E0 83 64 24 20 00 4C 8B 44 24 78 41 8B D2 49 8B CB E8 ?? ?? ?? ?? F3 0F 10 44 24 78 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_728_6_0 {
	meta:
		name = "_tan_special"
		size = 18
		refs = "0003 ??_C@_03IIINPABG@tan?$AA@ 000e _sincos_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 20 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_728_7_0 {
	meta:
		name = "_tanf_special"
		size = 18
		refs = "0003 ??_C@_04MHPLPEIA@tanf?$AA@ 000e _sincosf_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 20 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_729_4_0 {
	meta:
		name = "_mbschr_l"
		size = 189
		refs = "001d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 _errno 0034 _invalid_parameter_noinfo 004a strchr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 33 F6 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5A 48 8B 54 24 28 39 72 08 75 0F 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 EB 44 0F B6 0B 66 85 C9 74 32 0F B6 C1 F6 44 10 19 04 74 1C 48 FF C3 40 38 33 74 27 0F B6 03 0F B7 C9 C1 E1 08 0B C8 3B F9 75 0C 48 FF CB EB 16 0F B7 C1 3B F8 74 05 48 FF C3 EB C6 0F B7 C1 3B F8 74 03 48 8B DE 40 38 74 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 74 24 58 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_730_0_0 {
	meta:
		name = "_fstat32"
		size = 940
		refs = "001d __security_cookie 0045 __doserrno 004c _errno 0065 memset 008f _nhandle 00a6 __pioinfo 00ce __lock_fhandle 00f5 __imp_GetFileType 0114 __imp_GetLastError 011b _dosmaperr 0181 __imp_PeekNamedPipe 01b0 __imp_GetFileInformationByHandle 01f7 __imp_FileTimeToLocalFileTime 020f __imp_FileTimeToSystemTime 024b __loctotime32_t 035d _unlock_fhandle 0378 _invalid_parameter_noinfo 038b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 48 8B FA 48 63 F1 89 74 24 50 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 1C 03 00 00 33 D2 44 8D 42 24 48 8B CF E8 ?? ?? ?? ?? 83 FE FE 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 F7 02 00 00 85 F6 0F 88 D8 02 00 00 3B 35 ?? ?? ?? ?? 0F 83 CC 02 00 00 48 8B C6 4C 8B F6 49 C1 FE 05 4C 8D 2D ?? ?? ?? ?? 83 E0 1F 4C 6B F8 58 4B 8B 44 F5 00 42 0F BE 4C 38 08 41 BC 01 00 00 00 41 23 CC 0F 84 9A 02 00 00 8B CE E8 ?? ?? ?? ?? 90 4B 8B 4C F5 00 46 84 64 39 08 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 68 02 00 00 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 0F BA F0 0F 41 3B C4 0F 84 8F 00 00 00 8D 48 FE 41 3B CC 76 16 85 C0 74 CD FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 33 02 00 00 83 F8 02 B9 00 20 00 00 74 05 B9 00 10 00 00 66 89 4F 06 89 37 89 77 10 C7 47 08 01 00 00 00 66 89 5F 04 66 89 5F 0C 48 89 5F 1C 89 5F 18 83 F8 02 75 08 89 5F 14 E9 FB 01 00 00 4B 8B 4C F5 00 48 89 5C 24 28 48 8D 44 24 48 48 89 44 24 20 45 33 C9 45 33 C0 33 D2 4A 8B 0C 39 FF 15 ?? ?? ?? ?? F7 D8 1B C9 23 4C 24 48 89 4F 14 E9 C5 01 00 00 89 5F 04 89 5F 0A 66 44 89 67 08 4B 8B 4C F5 00 48 8D 54 24 68 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 85 C0 0F 84 56 FF FF FF 0F B7 47 06 44 84 64 24 68 74 07 0D 24 01 00 00 EB 05 0D B6 01 00 00 66 89 47 06 39 5C 24 7C 75 0E 39 9C 24 80 00 00 00 75 05 89 5F 1C EB 67 48 8D 54 24 40 48 8D 4C 24 7C FF 15 ?? ?? ?? ?? 85 C0 0F 84 54 01 00 00 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 3C 01 00 00 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 1C 39 5C 24 74 75 0B 39 5C 24 78 75 05 8B 47 1C EB 64 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 DC 00 00 00 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 C4 00 00 00 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 18 39 5C 24 6C 75 0B 39 5C 24 70 75 05 8B 47 1C EB 5C 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 74 68 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 54 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 20 8B 84 24 8C 00 00 00 89 47 14 0F B7 47 06 0F BA E8 0F 66 89 47 06 89 1F 89 5F 10 EB 03 83 CB FF 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_732_0_0 {
	meta:
		name = "_ldpow"
		size = 1840
		refs = "004b __security_cookie 007a _ldunscale 0089 _ld_int 00cd __real@3fe0000000000000 00ea __real@bfe0000000000000 00f6 __real@3ff0000000000000 0128 _fperrraise 0130 _LNan_C 0149 __xmm@80000000000000008000000000000000 017e __real@3fe6a09e667f3bcd 0195 __real@4000000000000000 01a2 scale 01db lnbias 0203 _ldlogpoly 0216 __real@3fe62e42fefa39ef 027a __real@c0e0000000000000 0299 __real@c02e000000000000 02a7 __real@402e000000000000 02b6 __real@c044000000000000 02c0 __real@4044000000000000 032c __real@40e0000000000000 0346 _ldxp_setw 036d _ldxp_addx 0395 log2e 03a2 memcpy 03b4 _ldxp_mulh 043b _ldxp_addh 0514 _ldxp_getw 0549 _ldexp 0567 _LInf_C 0619 __security_check_cookie 067b _LZero_C"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 B0 48 81 EC 50 01 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 44 0F 29 48 88 44 0F 29 90 78 FF FF FF 44 0F 29 98 68 FF FF FF 44 0F 29 B8 58 FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D0 48 8D 54 24 28 48 8D 4C 24 20 F2 0F 11 44 24 28 F2 0F 11 4C 24 40 F2 0F 11 4C 24 38 4D 8B F8 44 0F 28 C9 E8 ?? ?? ?? ?? 48 8D 4C 24 38 33 D2 0F B7 D8 E8 ?? ?? ?? ?? 45 33 E4 0F B7 F0 4D 85 FF 74 04 66 45 89 27 45 0F 57 C0 66 85 F6 75 09 66 45 0F 2E C8 7A 02 74 44 0F B7 44 24 20 F2 0F 10 54 24 28 41 BE 01 00 00 00 66 85 DB 0F 89 D9 04 00 00 F2 44 0F 10 1D ?? ?? ?? ?? 66 41 3B C6 75 28 66 41 0F 2E D3 7A 02 74 12 66 41 3B F6 75 19 66 0F 2E 15 ?? ?? ?? ?? 7A 0F 75 0D F2 0F 10 05 ?? ?? ?? ?? E9 12 05 00 00 66 44 3B E3 0F 8E 98 04 00 00 66 44 3B E6 0F 8C 8E 04 00 00 BF 00 80 00 00 66 85 7C 24 2E 74 1A 66 85 F6 79 15 41 8B CE E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 D8 04 00 00 66 41 0F 2F D0 76 06 45 0F B7 EC EB 29 0F 57 15 ?? ?? ?? ?? 48 8D 4C 24 38 83 CA FF F2 0F 11 54 24 28 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 44 0F B7 E8 0F B7 44 24 20 BE 20 00 00 00 66 41 3B C6 75 24 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 76 16 F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? 41 8B C4 EB 2F F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 C2 F2 41 0F 58 C3 F2 0F 2C C0 2B C6 66 44 0F 6E D0 F3 45 0F E6 D2 F2 44 0F 5E 15 ?? ?? ?? ?? F2 45 0F 58 D3 0F 28 C2 F2 41 0F 58 D2 4C 63 E0 48 8D 05 ?? ?? ?? ?? 49 C1 E4 05 4C 03 E0 F2 41 0F 5C C2 0F 28 F8 F2 0F 11 44 24 28 F2 0F 5E FA 0F 28 F7 F2 0F 59 F7 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 6C 24 28 0F BF 44 24 20 F2 0F 10 25 ?? ?? ?? ?? 0F 28 DD 41 0F 28 C9 66 0F 6E D0 44 0F 28 F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5C C2 F2 44 0F 59 FE F3 0F E6 D2 F2 0F 59 05 ?? ?? ?? ?? F2 41 0F 58 14 24 F2 44 0F 5C FD F2 44 0F 58 F8 F2 44 0F 59 FF F2 41 0F 58 DF 0F 28 C3 F2 0F 5E C4 F2 0F 58 C2 F2 0F 11 44 24 38 F2 0F 59 C8 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 F2 0F 11 4C 24 30 76 0B 33 DB 44 0F B7 F3 E9 C2 02 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 82 85 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 77 66 44 0F 2F 0D ?? ?? ?? ?? 76 6C F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C1 76 5D 66 44 0F 2F C1 76 07 F2 41 0F 5C CB EB 05 F2 41 0F 58 CB F2 44 0F 2C C1 F2 41 0F 10 4C 24 10 F2 41 0F 59 D1 F2 41 0F 59 D9 F2 41 0F 58 4C 24 08 66 41 0F 6E C0 F3 0F E6 C0 F2 41 0F 59 C9 F2 0F 59 CC F2 0F 5C D0 F2 0F 58 CB F2 0F 59 D4 F2 0F 58 CA F2 0F 11 4C 24 30 E9 05 02 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 87 21 02 00 00 BB 04 00 00 00 48 8D 4C 24 50 0F 28 D5 8B D3 E8 ?? ?? ?? ?? 8D 7B FE 48 8D 4C 24 40 41 0F 28 D7 8B D7 E8 ?? ?? ?? ?? 4C 8D 44 24 40 48 8D 4C 24 50 44 8B CF 8B D3 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 66 41 0F 2E C0 7A 14 75 12 48 8D 4C 24 70 41 0F 28 D0 8B D3 E8 ?? ?? ?? ?? EB 7F 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 70 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4C 24 70 8B D3 F2 0F 10 54 24 50 E8 ?? ?? ?? ?? 49 8B F6 F2 0F 10 44 F4 50 66 41 0F 2E C0 7A 02 74 42 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 41 B8 20 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D B0 8B D3 F2 0F 10 54 F4 50 E8 ?? ?? ?? ?? 4C 8D 45 B0 48 8D 4C 24 70 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 03 F6 48 3B F3 7C AF BE 20 00 00 00 48 8D 4C 24 70 41 B9 03 00 00 00 4D 8B C4 8B D3 E8 ?? ?? ?? ?? 0F BF 44 24 20 48 8D 4C 24 70 66 0F 6E D0 8B D3 F3 0F E6 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 50 41 0F 28 D1 8B D7 E8 ?? ?? ?? ?? 48 8D 54 24 70 48 8D 4D 90 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4D 90 8B D3 F2 0F 10 54 24 50 E8 ?? ?? ?? ?? F2 0F 10 44 24 58 66 41 0F 2E C0 7A 02 74 34 48 8D 54 24 70 48 8D 4D B0 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4D B0 8B D3 F2 0F 10 54 24 58 E8 ?? ?? ?? ?? 4C 8D 45 B0 48 8D 4D 90 44 8B CB 8B D3 E8 ?? ?? ?? ?? F2 0F 10 4D 90 66 41 0F 2E C8 F2 0F 11 4C 24 28 7A 02 74 21 F2 0F 10 55 98 66 41 0F 2E D0 7A 02 74 13 F2 0F 10 45 A0 F2 0F 58 C2 F2 0F 58 C1 F2 0F 11 44 24 28 48 8D 4C 24 28 33 D2 E8 ?? ?? ?? ?? 48 8D 4D 90 8B D3 F2 0F 10 54 24 28 0F 57 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D 90 8B D3 E8 ?? ?? ?? ?? F2 44 0F 2C 44 24 28 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 30 33 DB 4D 85 FF 74 07 66 45 89 07 44 8B C3 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 4C 24 30 44 0F B7 F0 41 0F BF CE 85 C9 74 19 FF C9 75 2C F2 0F 10 05 ?? ?? ?? ?? B9 08 00 00 00 F2 0F 11 44 24 30 EB 0C F2 44 0F 11 44 24 30 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4C 24 30 66 45 85 ED 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 70 BF 02 00 00 00 66 3B DF 75 05 0F 28 C2 EB 61 66 3B F7 75 06 41 0F 28 C1 EB 56 BF 00 80 00 00 66 41 3B DE 0F 85 C2 00 00 00 66 85 7C 24 2E 75 16 66 85 7C 24 46 75 09 F2 44 0F 10 05 ?? ?? ?? ?? 41 0F 28 C0 EB 2A 66 85 7C 24 46 75 6D 66 85 F6 75 16 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 88 13 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 8B 4D D0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 58 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 45 0F 28 7B 90 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 85 F6 75 81 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 6B FF FF FF F2 44 0F 10 05 ?? ?? ?? ?? 44 0F 57 05 ?? ?? ?? ?? E9 55 FF FF FF 66 41 3B F6 75 23 66 85 7C 24 46 75 0E 66 85 C0 0F 8E 3F FF FF FF E9 31 FF FF FF 66 85 C0 0F 8F 31 FF FF FF E9 23 FF FF FF 66 85 7C 24 46 75 2C 66 85 F6 0F 85 1C FF FF FF 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 06 FF FF FF 66 85 7C 24 2E 0F 84 FB FE FF FF EB 8E B9 04 00 00 00 E8 ?? ?? ?? ?? 66 85 F6 0F 85 0E FF FF FF 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 F8 FE FF FF 66 85 7C 24 2E 0F 84 ED FE FF FF F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 E1 FE FF FF }
	condition:
		$1
}

rule file_880_0_0 {
	meta:
		name = "_dpow"
		size = 1840
		refs = "004b __security_cookie 007a _dunscale 0089 _d_int 00cd __real@3fe0000000000000 00ea __real@bfe0000000000000 00f6 __real@3ff0000000000000 0128 _fperrraise 0130 _Nan_C 0149 __xmm@80000000000000008000000000000000 017e __real@3fe6a09e667f3bcd 0195 __real@4000000000000000 01a2 scale 01db lnbias 0203 _dlogpoly 0216 __real@3fe62e42fefa39ef 027a __real@c0e0000000000000 0299 __real@c02e000000000000 02a7 __real@402e000000000000 02b6 __real@c044000000000000 02c0 __real@4044000000000000 032c __real@40e0000000000000 0346 _dxp_setw 036d _dxp_addx 0395 log2e 03a2 memcpy 03b4 _dxp_mulh 043b _dxp_addh 0514 _dxp_getw 0549 _dexp 0567 _Inf_C 0619 __security_check_cookie 067b _Zero_C"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 B0 48 81 EC 50 01 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 44 0F 29 48 88 44 0F 29 90 78 FF FF FF 44 0F 29 98 68 FF FF FF 44 0F 29 B8 58 FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D0 48 8D 54 24 28 48 8D 4C 24 20 F2 0F 11 44 24 28 F2 0F 11 4C 24 40 F2 0F 11 4C 24 38 4D 8B F8 44 0F 28 C9 E8 ?? ?? ?? ?? 48 8D 4C 24 38 33 D2 0F B7 D8 E8 ?? ?? ?? ?? 45 33 E4 0F B7 F0 4D 85 FF 74 04 66 45 89 27 45 0F 57 C0 66 85 F6 75 09 66 45 0F 2E C8 7A 02 74 44 0F B7 44 24 20 F2 0F 10 54 24 28 41 BE 01 00 00 00 66 85 DB 0F 89 D9 04 00 00 F2 44 0F 10 1D ?? ?? ?? ?? 66 41 3B C6 75 28 66 41 0F 2E D3 7A 02 74 12 66 41 3B F6 75 19 66 0F 2E 15 ?? ?? ?? ?? 7A 0F 75 0D F2 0F 10 05 ?? ?? ?? ?? E9 12 05 00 00 66 44 3B E3 0F 8E 98 04 00 00 66 44 3B E6 0F 8C 8E 04 00 00 BF 00 80 00 00 66 85 7C 24 2E 74 1A 66 85 F6 79 15 41 8B CE E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 D8 04 00 00 66 41 0F 2F D0 76 06 45 0F B7 EC EB 29 0F 57 15 ?? ?? ?? ?? 48 8D 4C 24 38 83 CA FF F2 0F 11 54 24 28 E8 ?? ?? ?? ?? F2 0F 10 54 24 28 44 0F B7 E8 0F B7 44 24 20 BE 20 00 00 00 66 41 3B C6 75 24 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 76 16 F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? 41 8B C4 EB 2F F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 C2 F2 41 0F 58 C3 F2 0F 2C C0 2B C6 66 44 0F 6E D0 F3 45 0F E6 D2 F2 44 0F 5E 15 ?? ?? ?? ?? F2 45 0F 58 D3 0F 28 C2 F2 41 0F 58 D2 4C 63 E0 48 8D 05 ?? ?? ?? ?? 49 C1 E4 05 4C 03 E0 F2 41 0F 5C C2 0F 28 F8 F2 0F 11 44 24 28 F2 0F 5E FA 0F 28 F7 F2 0F 59 F7 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 6C 24 28 0F BF 44 24 20 F2 0F 10 25 ?? ?? ?? ?? 0F 28 DD 41 0F 28 C9 66 0F 6E D0 44 0F 28 F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5C C2 F2 44 0F 59 FE F3 0F E6 D2 F2 0F 59 05 ?? ?? ?? ?? F2 41 0F 58 14 24 F2 44 0F 5C FD F2 44 0F 58 F8 F2 44 0F 59 FF F2 41 0F 58 DF 0F 28 C3 F2 0F 5E C4 F2 0F 58 C2 F2 0F 11 44 24 38 F2 0F 59 C8 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 F2 0F 11 4C 24 30 76 0B 33 DB 44 0F B7 F3 E9 C2 02 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 82 85 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 77 66 44 0F 2F 0D ?? ?? ?? ?? 76 6C F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C1 76 5D 66 44 0F 2F C1 76 07 F2 41 0F 5C CB EB 05 F2 41 0F 58 CB F2 44 0F 2C C1 F2 41 0F 10 4C 24 10 F2 41 0F 59 D1 F2 41 0F 59 D9 F2 41 0F 58 4C 24 08 66 41 0F 6E C0 F3 0F E6 C0 F2 41 0F 59 C9 F2 0F 59 CC F2 0F 5C D0 F2 0F 58 CB F2 0F 59 D4 F2 0F 58 CA F2 0F 11 4C 24 30 E9 05 02 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 87 21 02 00 00 BB 04 00 00 00 48 8D 4C 24 50 0F 28 D5 8B D3 E8 ?? ?? ?? ?? 8D 7B FE 48 8D 4C 24 40 41 0F 28 D7 8B D7 E8 ?? ?? ?? ?? 4C 8D 44 24 40 48 8D 4C 24 50 44 8B CF 8B D3 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 66 41 0F 2E C0 7A 14 75 12 48 8D 4C 24 70 41 0F 28 D0 8B D3 E8 ?? ?? ?? ?? EB 7F 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 70 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4C 24 70 8B D3 F2 0F 10 54 24 50 E8 ?? ?? ?? ?? 49 8B F6 F2 0F 10 44 F4 50 66 41 0F 2E C0 7A 02 74 42 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 41 B8 20 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D B0 8B D3 F2 0F 10 54 F4 50 E8 ?? ?? ?? ?? 4C 8D 45 B0 48 8D 4C 24 70 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 03 F6 48 3B F3 7C AF BE 20 00 00 00 48 8D 4C 24 70 41 B9 03 00 00 00 4D 8B C4 8B D3 E8 ?? ?? ?? ?? 0F BF 44 24 20 48 8D 4C 24 70 66 0F 6E D0 8B D3 F3 0F E6 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 50 41 0F 28 D1 8B D7 E8 ?? ?? ?? ?? 48 8D 54 24 70 48 8D 4D 90 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4D 90 8B D3 F2 0F 10 54 24 50 E8 ?? ?? ?? ?? F2 0F 10 44 24 58 66 41 0F 2E C0 7A 02 74 34 48 8D 54 24 70 48 8D 4D B0 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 4D B0 8B D3 F2 0F 10 54 24 58 E8 ?? ?? ?? ?? 4C 8D 45 B0 48 8D 4D 90 44 8B CB 8B D3 E8 ?? ?? ?? ?? F2 0F 10 4D 90 66 41 0F 2E C8 F2 0F 11 4C 24 28 7A 02 74 21 F2 0F 10 55 98 66 41 0F 2E D0 7A 02 74 13 F2 0F 10 45 A0 F2 0F 58 C2 F2 0F 58 C1 F2 0F 11 44 24 28 48 8D 4C 24 28 33 D2 E8 ?? ?? ?? ?? 48 8D 4D 90 8B D3 F2 0F 10 54 24 28 0F 57 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D 90 8B D3 E8 ?? ?? ?? ?? F2 44 0F 2C 44 24 28 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 30 33 DB 4D 85 FF 74 07 66 45 89 07 44 8B C3 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? F2 0F 10 4C 24 30 44 0F B7 F0 41 0F BF CE 85 C9 74 19 FF C9 75 2C F2 0F 10 05 ?? ?? ?? ?? B9 08 00 00 00 F2 0F 11 44 24 30 EB 0C F2 44 0F 11 44 24 30 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4C 24 30 66 45 85 ED 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 70 BF 02 00 00 00 66 3B DF 75 05 0F 28 C2 EB 61 66 3B F7 75 06 41 0F 28 C1 EB 56 BF 00 80 00 00 66 41 3B DE 0F 85 C2 00 00 00 66 85 7C 24 2E 75 16 66 85 7C 24 46 75 09 F2 44 0F 10 05 ?? ?? ?? ?? 41 0F 28 C0 EB 2A 66 85 7C 24 46 75 6D 66 85 F6 75 16 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 88 13 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 8B 4D D0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 58 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 45 0F 28 5B A0 45 0F 28 7B 90 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 85 F6 75 81 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 6B FF FF FF F2 44 0F 10 05 ?? ?? ?? ?? 44 0F 57 05 ?? ?? ?? ?? E9 55 FF FF FF 66 41 3B F6 75 23 66 85 7C 24 46 75 0E 66 85 C0 0F 8E 3F FF FF FF E9 31 FF FF FF 66 85 C0 0F 8F 31 FF FF FF E9 23 FF FF FF 66 85 7C 24 46 75 2C 66 85 F6 0F 85 1C FF FF FF 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 06 FF FF FF 66 85 7C 24 2E 0F 84 FB FE FF FF EB 8E B9 04 00 00 00 E8 ?? ?? ?? ?? 66 85 F6 0F 85 0E FF FF FF 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 89 F8 FE FF FF 66 85 7C 24 2E 0F 84 ED FE FF FF F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 E1 FE FF FF }
	condition:
		$1
}

rule file_732_1_0 {
	meta:
		name = "_ldtgamma"
		size = 363
		refs = "0018 __real@404b000000000000 0025 stirling 0032 __real@bfe0000000000000 0040 __real@3fe0000000000000 0057 __real@3ff0000000000000 006f __real@bff0000000000000 00a1 __real@3ff8000000000000 00bf __real@4004000000000000 00db __real@c000000000000000 0115 _ldunscale 0122 s 0134 _ldpoly 013b c"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 29 74 24 30 0F 29 7C 24 20 F2 0F 10 39 66 0F 2F 3D ?? ?? ?? ?? 48 8B C2 48 8B D9 72 0A E8 ?? ?? ?? ?? E9 2D 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 3C F2 0F 10 0D ?? ?? ?? ?? 0F 28 C7 66 0F 2F F9 F2 0F 11 44 24 50 77 18 F2 0F 58 3D ?? ?? ?? ?? 66 0F 2F F9 F2 0F 59 C7 76 EE F2 0F 11 44 24 50 F2 0F 58 3D ?? ?? ?? ?? E9 94 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 17 0F 28 C7 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C7 F2 0F 11 44 24 50 EB 6F F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 10 F2 0F 11 7C 24 50 F2 0F 58 3D ?? ?? ?? ?? EB 24 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F CF F2 0F 11 44 24 50 76 0F F2 0F 58 3D ?? ?? ?? ?? 33 C9 66 89 0A EB 33 66 0F 2F F9 76 18 F2 0F 58 3D ?? ?? ?? ?? 66 0F 2F F9 F2 0F 5E C7 77 EE F2 0F 11 44 24 50 F2 0F 58 3D ?? ?? ?? ?? 48 8D 54 24 50 48 8B C8 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 F2 0F 11 03 0F 28 C7 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 41 B8 06 00 00 00 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 59 F7 0F 28 C6 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_880_1_0 {
	meta:
		name = "_dtgamma"
		size = 363
		refs = "0018 __real@404b000000000000 0025 stirling 0032 __real@bfe0000000000000 0040 __real@3fe0000000000000 0057 __real@3ff0000000000000 006f __real@bff0000000000000 00a1 __real@3ff8000000000000 00bf __real@4004000000000000 00db __real@c000000000000000 0115 _dunscale 0122 s 0134 _dpoly 013b c"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 29 74 24 30 0F 29 7C 24 20 F2 0F 10 39 66 0F 2F 3D ?? ?? ?? ?? 48 8B C2 48 8B D9 72 0A E8 ?? ?? ?? ?? E9 2D 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 3C F2 0F 10 0D ?? ?? ?? ?? 0F 28 C7 66 0F 2F F9 F2 0F 11 44 24 50 77 18 F2 0F 58 3D ?? ?? ?? ?? 66 0F 2F F9 F2 0F 59 C7 76 EE F2 0F 11 44 24 50 F2 0F 58 3D ?? ?? ?? ?? E9 94 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 17 0F 28 C7 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C7 F2 0F 11 44 24 50 EB 6F F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C7 76 10 F2 0F 11 7C 24 50 F2 0F 58 3D ?? ?? ?? ?? EB 24 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F CF F2 0F 11 44 24 50 76 0F F2 0F 58 3D ?? ?? ?? ?? 33 C9 66 89 0A EB 33 66 0F 2F F9 76 18 F2 0F 58 3D ?? ?? ?? ?? 66 0F 2F F9 F2 0F 5E C7 77 EE F2 0F 11 44 24 50 F2 0F 58 3D ?? ?? ?? ?? 48 8D 54 24 50 48 8B C8 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 F2 0F 11 03 0F 28 C7 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 41 B8 06 00 00 00 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 59 F7 0F 28 C6 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_732_3_0 {
	meta:
		name = "stirling"
		size = 222
		refs = "0038 __real@3fe0000000000000 003d _ldpow 0048 __real@3ff0000000000000 0060 approx0 006c __real@3f86e2e6d3354adf 0074 _ldpoly 0094 __xmm@80000000000000008000000000000000 00a5 exp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 60 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 4C 8B C2 48 8B DA 48 8B F9 44 0F 29 48 B8 F2 44 0F 10 09 41 0F 28 C9 41 0F 28 C1 F2 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 03 F2 0F 10 3D ?? ?? ?? ?? 66 F7 D8 41 B8 01 00 00 00 F2 41 0F 5E F9 66 89 03 48 8B 15 ?? ?? ?? ?? 44 0F 28 C0 F2 0F 5C 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 41 B8 0D 00 00 00 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? 44 0F 57 0D ?? ?? ?? ?? F2 0F 5E F0 41 0F 28 C1 F2 0F 11 37 E8 ?? ?? ?? ?? F2 0F 10 0F 48 8B 5C 24 70 0F 28 74 24 50 0F 28 7C 24 40 F2 41 0F 59 C0 F2 0F 5E C8 0F 57 C0 44 0F 28 44 24 30 44 0F 28 4C 24 20 F2 0F 11 0F 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_880_2_0 {
	meta:
		name = "stirling"
		size = 222
		refs = "0038 __real@3fe0000000000000 003d _dpow 0048 __real@3ff0000000000000 0060 approx0 006c __real@3f86e2e6d3354adf 0074 _dpoly 0094 __xmm@80000000000000008000000000000000 00a5 exp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 60 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 4C 8B C2 48 8B DA 48 8B F9 44 0F 29 48 B8 F2 44 0F 10 09 41 0F 28 C9 41 0F 28 C1 F2 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 03 F2 0F 10 3D ?? ?? ?? ?? 66 F7 D8 41 B8 01 00 00 00 F2 41 0F 5E F9 66 89 03 48 8B 15 ?? ?? ?? ?? 44 0F 28 C0 F2 0F 5C 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 41 B8 0D 00 00 00 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? 44 0F 57 0D ?? ?? ?? ?? F2 0F 5E F0 41 0F 28 C1 F2 0F 11 37 E8 ?? ?? ?? ?? F2 0F 10 0F 48 8B 5C 24 70 0F 28 74 24 50 0F 28 7C 24 40 F2 41 0F 59 C0 F2 0F 5E C8 0F 57 C0 44 0F 28 44 24 30 44 0F 28 4C 24 20 F2 0F 11 0F 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_732_4_0 {
	meta:
		name = "tgammal"
		size = 578
		refs = "001f _ld_int 0055 _fperrraise 005d _LNan_C 0081 _LInf_C 0092 __xmm@80000000000000008000000000000000 00a5 __real@c065c00000000000 00c5 _ldgamma_big 00f9 __real@3ff0000000000000 0110 __real@bff0000000000000 0135 __real@400921fb54442d18 013c _ldsin 0175 _ldtgamma 019d _ldscale 01c8 __real@4065c00000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 48 8D 4D 28 33 D2 F2 0F 11 45 28 0F 29 74 24 30 E8 ?? ?? ?? ?? 0F BF C8 F2 0F 10 55 10 0F 57 F6 85 C9 74 34 FF C9 74 0E FF C9 75 67 F2 0F 10 45 10 E9 F3 01 00 00 B8 00 80 00 00 66 85 45 16 74 EB B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 D1 01 00 00 66 0F 2E D6 7A 2F 75 2D B9 04 00 00 00 E8 ?? ?? ?? ?? B8 00 80 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 85 45 16 0F 84 A8 01 00 00 0F 57 05 ?? ?? ?? ?? E9 9C 01 00 00 66 0F 2F F2 77 AE F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CA 72 12 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 76 01 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? 0F 57 C6 66 0F 2F C2 0F 86 E6 00 00 00 0F 28 C2 F2 0F 11 55 20 F2 0F 5C 55 28 48 8D 4D 20 83 CA FF 0F 57 C6 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 11 55 28 F2 0F 11 45 E0 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 5C 4D 20 66 0F 2F C1 F2 0F 10 45 28 76 08 0F 57 C6 F2 0F 11 45 28 F2 0F 59 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? F2 0F 10 4D 10 48 8D 55 18 48 8D 4D E0 F2 0F 59 C1 0F 57 CE F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 C1 F2 0F 10 0D ?? ?? ?? ?? 0F 57 C6 F2 0F 5E C8 F2 0F 11 4D 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 0F BF 55 18 48 8D 4D 20 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E C8 F2 0F 59 4D E0 F2 0F 11 4D 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 20 EB 73 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 72 53 48 8D 55 18 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF 55 18 48 8D 4D 10 F2 0F 58 05 ?? ?? ?? ?? F7 DA F2 0F 5E 45 10 F2 0F 11 45 10 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0F FF C9 0F 85 2B FE FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 15 FE FF FF B9 08 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_880_3_0 {
	meta:
		name = "tgamma"
		size = 578
		refs = "001f _d_int 0055 _fperrraise 005d _Nan_C 0081 _Inf_C 0092 __xmm@80000000000000008000000000000000 00a5 __real@c065c00000000000 00c5 _dgamma_big 00f9 __real@3ff0000000000000 0110 __real@bff0000000000000 0135 __real@400921fb54442d18 013c _dsin 0175 _dtgamma 019d _dscale 01c8 __real@4065c00000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 48 8D 4D 28 33 D2 F2 0F 11 45 28 0F 29 74 24 30 E8 ?? ?? ?? ?? 0F BF C8 F2 0F 10 55 10 0F 57 F6 85 C9 74 34 FF C9 74 0E FF C9 75 67 F2 0F 10 45 10 E9 F3 01 00 00 B8 00 80 00 00 66 85 45 16 74 EB B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? E9 D1 01 00 00 66 0F 2E D6 7A 2F 75 2D B9 04 00 00 00 E8 ?? ?? ?? ?? B8 00 80 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 85 45 16 0F 84 A8 01 00 00 0F 57 05 ?? ?? ?? ?? E9 9C 01 00 00 66 0F 2F F2 77 AE F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F CA 72 12 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 76 01 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? 0F 57 C6 66 0F 2F C2 0F 86 E6 00 00 00 0F 28 C2 F2 0F 11 55 20 F2 0F 5C 55 28 48 8D 4D 20 83 CA FF 0F 57 C6 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 11 55 28 F2 0F 11 45 E0 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 5C 4D 20 66 0F 2F C1 F2 0F 10 45 28 76 08 0F 57 C6 F2 0F 11 45 28 F2 0F 59 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? F2 0F 10 4D 10 48 8D 55 18 48 8D 4D E0 F2 0F 59 C1 0F 57 CE F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 C1 F2 0F 10 0D ?? ?? ?? ?? 0F 57 C6 F2 0F 5E C8 F2 0F 11 4D 20 E8 ?? ?? ?? ?? F2 0F 10 4D 20 0F BF 55 18 48 8D 4D 20 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E C8 F2 0F 59 4D E0 F2 0F 11 4D 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 45 20 EB 73 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C2 72 53 48 8D 55 18 48 8D 4D 10 E8 ?? ?? ?? ?? 0F BF 55 18 48 8D 4D 10 F2 0F 58 05 ?? ?? ?? ?? F7 DA F2 0F 5E 45 10 F2 0F 11 45 10 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0F FF C9 0F 85 2B FE FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 15 FE FF FF B9 08 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_733_4_0 {
	meta:
		name = "wprintf"
		size = 171
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 0040 __iob_func 004e _lock_file2 005d _stbuf 0078 _woutput_l 008a _ftbuf 009e _unlock_file2"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 53 57 48 83 EC 28 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6A 48 8D 7C 24 48 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 48 30 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 48 8D 48 30 4C 8B CF 45 33 C0 48 8B 54 24 40 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 48 8D 50 30 8B CB E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 83 C4 28 5F 5B C3 }
	condition:
		$1
}

rule file_939_6_0 {
	meta:
		name = "printf"
		size = 171
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 0040 __iob_func 004e _lock_file2 005d _stbuf 0078 _output_l 008a _ftbuf 009e _unlock_file2"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 53 57 48 83 EC 28 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6A 48 8D 7C 24 48 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 48 30 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 48 8D 48 30 4C 8B CF 45 33 C0 48 8B 54 24 40 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 48 8D 50 30 8B CB E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 83 C4 28 5F 5B C3 }
	condition:
		$1
}

rule file_733_5_0 {
	meta:
		name = "wprintf$fin$0"
		size = 39
		refs = "000a __iob_func 001b _unlock_file2"
		altNames = "_putws$fin$0 printf$fin$0 puts$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 48 83 C0 30 48 8B D0 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_734_0_0 {
	meta:
		name = "RoundFloatToIntegral"
		size = 463
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 41 57 8B C2 45 33 C9 49 8B F0 C1 E8 17 8B D9 44 0F B6 D8 B8 FF 00 00 00 44 3B D8 75 06 0F BA E2 16 72 23 41 BE FF FF 7F 00 45 85 DB 75 05 41 85 D6 74 13 44 3B D8 75 05 41 85 D6 74 09 41 81 FB 96 00 00 00 72 0A 45 89 08 8B C2 E9 51 01 00 00 45 85 DB 75 09 41 85 D6 0F 85 B2 00 00 00 41 83 FB 7F 0F 82 A8 00 00 00 41 83 C3 81 41 8B C1 B9 17 00 00 00 41 2B CB 8B FA 41 BF 00 00 80 00 41 23 FE 41 0B FF 8B EF D3 ED 44 8B C5 41 D3 E0 41 8D 4B 09 D3 E7 D3 EF B9 16 00 00 00 85 FF 44 8D 51 EB 0F 95 C0 89 06 41 8B C2 44 3B D9 74 05 41 2B CB D3 E0 8D 34 00 B9 00 00 00 80 85 DB 75 0B 3B F8 72 31 75 1D 41 84 EA EB 16 41 3B DA 75 06 85 D1 74 21 EB 09 83 FB 02 75 1A 85 D1 75 16 85 FF 74 12 44 03 C6 41 81 F8 00 00 00 01 75 06 45 03 DA 45 8B C7 45 23 C6 41 8D 43 7F 23 D1 C1 E0 17 25 00 00 80 7F 41 0B C0 0B C2 E9 91 00 00 00 41 BA 01 00 00 00 85 C9 75 37 B9 00 00 00 80 85 D1 74 1B 41 83 FB 7E 75 0D 41 85 D6 74 08 41 B9 00 00 80 BF EB 65 41 B9 00 00 00 80 EB 5D 41 83 FB 7E 75 57 41 85 D6 74 52 41 B9 00 00 80 3F EB 4A 41 3B CA 75 16 B9 00 00 00 80 41 B9 00 00 80 BF 23 D1 F7 DA 1B C0 44 23 C8 EB 2F 83 F9 02 B9 00 00 00 80 75 16 23 D1 41 B9 00 00 80 3F F7 DA 1B C0 25 00 00 80 40 44 03 C8 EB 0F 23 D1 41 B9 00 00 00 80 F7 DA 1B C9 44 23 C9 45 89 10 41 8B C1 48 8B 5C 24 18 48 8B 6C 24 20 48 8B 74 24 28 48 8B 7C 24 30 41 5F 41 5E C3 }
	condition:
		$1
}

rule file_734_1_0 {
	meta:
		name = "_XMMI_FP_Emulation"
		size = 4527
		refs = "0022 __security_cookie 004f __read_mxcsr 005e __write_mxcsr 0124 __int_sqrtss 017d __Fill_FPIEEE_RECORD 02ab __int_divss 02b7 __int_mulss 02c3 __int_subss 02cf __int_addss 095c __int_maxss 0969 __int_minss 0a2b __int_ucomiss 0a37 __int_comiss 0ae2 __int_cmpss 0c5c __int_cvtsi2ss 0c6b __int64_cvtsi2ss 0e35 RoundFloatToIntegral 0f3e __int_cvttss2si 0f45 __int64_cvttss2si 0f58 __int_cvtss2si 0f66 __int64_cvtss2si 118d __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 45 33 ED 48 8B F9 41 8B DD 45 8B E5 4C 89 6D E8 45 8B FD 4C 89 6D E0 45 8B F5 89 5D D4 44 89 6D D0 E8 ?? ?? ?? ?? BE 80 1F 00 00 89 45 D8 8B CE E8 ?? ?? ?? ?? 48 8B 4F 20 41 B8 FF 0F 00 00 8B 01 44 89 6D DC 33 47 10 83 E0 03 31 01 48 8B 4F 20 8B 47 14 C1 E0 02 33 01 83 E0 1C 31 01 48 8B 57 20 8B 0A 8B C1 C1 E8 05 41 23 C0 83 F8 3E 0F 87 63 0C 00 00 83 F8 3D 0F 83 4F 0B 00 00 83 F8 38 0F 87 2D 09 00 00 83 F8 35 0F 83 29 08 00 00 83 F8 2B 0F 82 BD 10 00 00 83 F8 32 0F 86 23 01 00 00 83 F8 34 0F 87 AB 10 00 00 44 39 6F 0C 8B 4F 10 8D 46 40 0F 45 F0 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B 57 20 8B 02 8B 4A 10 25 BF 00 FE FF 0D A0 00 00 00 89 02 E8 ?? ?? ?? ?? 44 8B E0 E8 ?? ?? ?? ?? BE 01 00 00 00 8B D8 83 E3 3F 44 8B FB 44 23 FE 74 09 40 84 37 0F 84 A6 01 00 00 8B C3 41 BE 02 00 00 00 41 23 C6 74 04 44 09 77 04 85 C0 74 09 44 84 37 0F 84 45 0A 00 00 41 BD 20 00 00 00 41 23 DD 74 3B 44 84 2F 75 36 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 48 8B 47 20 44 09 6F 04 09 70 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 60 50 E9 65 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 0B 48 8B 47 20 09 70 0C 44 09 6F 04 45 85 FF 74 0B 48 8B 47 20 83 48 0C 10 89 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 60 50 E9 ED 06 00 00 8B 5A 10 44 8B 7A 30 41 BD 20 00 00 00 83 F8 2B 72 41 83 F8 2C 76 31 83 F8 2E 76 21 83 F8 30 76 11 83 F8 32 77 2D 81 E1 9F 00 FE FF 0F BA E9 07 EB 1F 81 E1 7F 00 FE FF 83 C9 60 EB 14 81 E1 5F 00 FE FF 83 C9 40 EB 09 81 E1 3F 00 FE FF 41 0B CD 89 0A 44 39 67 08 B8 80 9F 00 00 0F 45 F0 44 39 67 0C 74 03 83 CE 40 8B 4F 10 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B 47 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 FF C9 74 30 FF C9 74 20 FF C9 74 10 FF C9 75 31 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 22 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 16 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 0A 41 8B D7 8B CB E8 ?? ?? ?? ?? 89 45 D4 E8 ?? ?? ?? ?? BE 01 00 00 00 44 8B E0 41 83 E4 3F 40 84 37 75 37 44 84 E6 74 32 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 83 48 0C 10 48 8B 47 20 09 77 04 83 48 04 10 48 8B 47 20 83 60 60 FE 8B 4D D8 E8 ?? ?? ?? ?? 8B C6 E9 62 0E 00 00 41 BE 02 00 00 00 44 84 37 75 13 45 84 E6 74 0E 48 8B CF E8 ?? ?? ?? ?? 44 09 77 04 EB CB F6 07 04 75 24 41 F6 C4 04 74 1E 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 83 48 0C 08 48 8B 47 20 83 4F 04 04 83 48 04 08 EB A2 8B 55 D4 41 8B CC 0F BA F2 1F C1 E9 04 8D 42 FF 23 CE 3D FE FF 7F 00 76 14 81 FA 00 00 80 00 75 04 3B CE 74 08 85 D2 75 08 3B CE 75 04 8B C6 EB 03 8B 45 DC F6 07 10 0F 85 53 02 00 00 85 C0 0F 84 4B 02 00 00 E8 ?? ?? ?? ?? 0F BA E0 0F 73 04 0F BA F0 0F 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 48 8B 47 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 FF C9 0F 84 3D 01 00 00 FF C9 0F 84 B2 00 00 00 FF C9 74 53 FF C9 0F 85 AA 01 00 00 B9 00 00 80 7F 41 BC 00 00 80 6F 85 D9 8B CB 41 8B D4 75 13 E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 15 E8 ?? ?? ?? ?? 41 8B D4 41 8B CF 8B D8 E8 ?? ?? ?? ?? 44 8B F8 41 8B D7 8B CB E8 ?? ?? ?? ?? E9 D7 00 00 00 B9 00 00 80 7F 41 BC 00 00 80 6F 41 8B D4 85 D9 75 15 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 28 44 85 F9 75 0C 41 8B CF E8 ?? ?? ?? ?? 8B C8 EB 0C 8B CB E8 ?? ?? ?? ?? 41 8B CF 8B D8 41 8B D4 E8 ?? ?? ?? ?? 44 8B F8 41 8B D7 8B CB E8 ?? ?? ?? ?? EB 7C 8B C3 41 BC 00 00 80 6F C1 E8 17 0F B6 C8 84 C0 75 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 13 81 C1 C0 00 00 00 81 E3 FF FF 7F 80 C1 E1 17 0B CB 8B D9 41 8B C7 C1 E8 17 0F B6 C0 85 C0 75 17 41 8B D4 41 8B CF E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? EB 12 05 C0 00 00 00 41 81 E7 FF FF 7F 80 C1 E0 17 41 0B C7 8B D0 8B CB E8 ?? ?? ?? ?? 8B D8 E9 84 00 00 00 8B C3 41 BC 00 00 80 6F C1 E8 17 0F B6 C8 84 C0 75 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 13 81 C1 C0 00 00 00 81 E3 FF FF 7F 80 C1 E1 17 0B CB 8B D9 41 8B C7 C1 E8 17 0F B6 C0 85 C0 75 17 41 8B D4 41 8B CF E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? EB 12 05 C0 00 00 00 41 81 E7 FF FF 7F 80 C1 E0 17 41 0B C7 8B D0 8B CB E8 ?? ?? ?? ?? E9 78 FF FF FF 8B 5D D4 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 E2 3F 41 84 D5 74 0B 48 8B 4F 20 09 71 0C 44 09 6F 04 48 8B 4F 20 44 09 71 0C 48 8B 47 20 83 4F 04 10 44 09 70 04 41 84 D6 74 04 44 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 58 50 E9 1A FD FF FF F6 07 08 0F 85 ED 01 00 00 41 F6 C4 08 0F 84 E3 01 00 00 E8 ?? ?? ?? ?? 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 48 8B 47 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 FF C9 0F 84 FD 00 00 00 FF C9 74 75 FF C9 74 49 FF C9 0F 85 6F 01 00 00 B9 00 00 80 7F 41 BC 00 00 80 6F 41 8B D4 44 85 F9 75 0C 41 8B CF E8 ?? ?? ?? ?? 8B C8 EB 0C 8B CB E8 ?? ?? ?? ?? 41 8B CF 8B D8 41 8B D4 E8 ?? ?? ?? ?? 8B CB 8B D0 E8 ?? ?? ?? ?? E9 A5 00 00 00 41 BC 00 00 80 6F 8B CB 41 8B D4 E8 ?? ?? ?? ?? 41 8B D4 41 8B CF 8B D8 E8 ?? ?? ?? ?? 8B CB 8B D0 E8 ?? ?? ?? ?? EB 7D 41 8B C7 B9 00 00 80 7F 41 BC 00 00 80 6F C1 E8 17 0F B6 C0 89 45 D0 8B C3 23 C1 3D 00 00 80 60 72 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 0A 81 E3 00 00 80 80 0F BA EB 17 81 7D D0 C1 00 00 00 72 1A 41 8B D4 41 8B CF E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 44 8B F8 EB 0C 41 81 E7 00 00 80 80 41 0F BA EF 17 41 8B D7 8B CB E8 ?? ?? ?? ?? 8B D8 E9 85 00 00 00 41 8B C7 B9 00 00 80 7F 41 BC 00 00 80 6F C1 E8 17 0F B6 C0 89 45 D0 8B C3 23 C1 3D 00 00 80 60 72 18 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 0A 81 E3 00 00 80 80 0F BA EB 17 81 7D D0 C1 00 00 00 72 1A 41 8B D4 41 8B CF E8 ?? ?? ?? ?? 41 8B D4 8B C8 E8 ?? ?? ?? ?? 44 8B F8 EB 0C 41 81 E7 00 00 80 80 41 0F BA EF 17 41 8B D7 8B CB E8 ?? ?? ?? ?? E9 77 FF FF FF 8B 5D D4 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 E2 3F 41 84 D5 74 0B 48 8B 4F 20 09 71 0C 44 09 6F 04 48 8B 4F 20 83 49 0C 04 48 8B 47 20 83 4F 04 08 83 48 04 04 E9 E6 FD FF FF 44 84 2F 75 6A 45 84 E5 74 65 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 44 09 6F 04 48 8B 47 20 09 70 04 41 F6 C4 10 74 0C 48 8B 47 20 44 09 70 0C 83 4F 04 10 41 F6 C4 08 74 0C 48 8B 47 20 83 48 0C 04 83 4F 04 08 45 84 E6 74 04 44 09 77 04 48 8B 47 20 8B 4D D4 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 48 50 E9 B5 FA FF FF 48 8B CF E8 ?? ?? ?? ?? 45 84 E5 74 0B 48 8B 47 20 09 70 0C 44 09 6F 04 41 F6 C4 10 74 0C 48 8B 47 20 44 09 70 0C 83 4F 04 10 41 F6 C4 08 74 0C 48 8B 47 20 83 48 0C 04 83 4F 04 08 41 F6 C4 04 74 0C 48 8B 47 20 83 48 0C 08 83 4F 04 04 45 84 E6 74 04 44 09 77 04 44 84 E6 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 8B 4D D4 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 48 50 33 F6 E9 2E FA FF FF 44 39 6F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 48 8B 57 20 41 BB FF 0F 00 00 8B 02 44 8B 4A 10 44 8B 52 30 8B C8 C1 E9 05 41 23 CB 83 F9 35 72 22 83 F9 36 76 11 83 F9 38 77 18 25 1F 05 FE FF 0D 00 05 00 00 EB 0A 25 3F 05 FE FF 0D 20 05 00 00 89 02 48 8B 47 20 44 8B 00 41 C1 E8 05 45 23 C3 41 83 E8 28 74 12 41 FF C8 75 1A 41 8B D2 41 8B C9 E8 ?? ?? ?? ?? EB 0B 41 8B D2 41 8B C9 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? BE 01 00 00 00 44 8B F8 41 83 E7 3F 45 8B E7 44 23 E6 74 09 40 84 37 0F 84 60 F9 FF FF 41 BE 02 00 00 00 45 23 FE 74 09 44 84 37 0F 84 05 02 00 00 48 8B CF E8 ?? ?? ?? ?? 45 85 FF 74 04 44 09 77 04 45 85 E4 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 58 50 E9 11 02 00 00 83 F8 3A 0F 86 57 01 00 00 83 F8 3C 0F 87 90 07 00 00 44 39 6F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 48 8B 47 20 8B 08 44 8B 78 10 8B 58 30 C1 E9 05 81 E1 FF 0F 00 00 83 E9 3B 74 10 FF C9 75 16 8B D3 41 8B CF E8 ?? ?? ?? ?? EB 0A 8B D3 41 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 57 20 BE 01 00 00 00 8B 0A 44 8B E0 41 83 E4 3F 81 E1 FF 00 FE FF 81 C9 E0 00 00 00 45 8B F4 89 0A 44 23 F6 74 09 40 84 37 0F 84 80 F8 FF FF B9 00 00 80 7F 41 8B C7 BA FF FF 7F 00 23 C1 3B C1 75 05 44 85 FA 75 0C 8B C3 23 C1 3B C1 75 34 85 DA 74 30 81 67 1C 6F F7 FF FF 83 4F 1C 45 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 83 60 60 FE E9 2D 01 00 00 41 BE 02 00 00 00 45 23 E6 74 09 44 84 37 0F 84 D1 00 00 00 44 8B C6 41 8B D7 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 07 81 67 1C 2A F7 FF FF 44 8B C6 8B D3 41 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 0A 81 67 1C 2B F7 FF FF 09 77 1C 45 33 C0 8B D3 41 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 0B 81 67 1C 6A F7 FF FF 83 4F 1C 40 48 8B CF E8 ?? ?? ?? ?? 45 85 E4 74 80 44 09 77 04 E9 77 FF FF FF 44 39 6F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 48 8B 47 20 44 8B 47 18 8B 48 10 8B 50 30 81 20 FF 00 FE FF 81 08 E0 00 00 00 41 83 E0 07 E8 ?? ?? ?? ?? 44 8B E0 E8 ?? ?? ?? ?? BE 01 00 00 00 8B D8 83 E3 3F 44 8B FB 44 23 FE 74 09 40 84 37 0F 84 57 F7 FF FF 41 BE 02 00 00 00 41 23 DE 74 16 44 84 37 75 11 44 09 77 04 48 8B CF E8 ?? ?? ?? ?? E9 51 F7 FF FF 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 04 44 09 77 04 45 85 FF 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 60 50 41 8B F5 E9 1A F7 FF FF 8B 42 20 D1 E8 83 E0 0F 83 F8 05 75 22 44 8B 62 10 48 8B 5D E8 8B 4F 10 85 C9 74 2A FF C9 74 21 FF C9 74 16 FF C9 75 1E BE 80 7F 00 00 EB 17 83 F8 06 75 DD 48 8B 5A 10 EB DB BE 80 5F 00 00 EB 05 BE 80 3F 00 00 8B CE E8 ?? ?? ?? ?? 48 8B 47 20 8B 50 20 D1 EA 83 E2 0F 83 FA 05 75 0A 41 8B CC E8 ?? ?? ?? ?? EB 0D 83 FA 06 75 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 20 89 41 50 E8 ?? ?? ?? ?? 48 8B 57 20 41 BD 20 00 00 00 8B 0A 8B D8 81 E1 1F 01 FE FF 83 E3 3F 0F BA E9 08 89 0A 44 84 2F 75 37 41 84 DD 74 32 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 41 8D 75 E1 09 70 0C 48 8B 47 20 44 09 6F 04 09 70 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 E9 40 F6 FF FF 48 8B CF E8 ?? ?? ?? ?? BE 01 00 00 00 41 84 DD 74 0B 48 8B 47 20 09 70 0C 44 09 6F 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 E9 DA FB FF FF 83 F8 3F 0F 84 1E 03 00 00 83 F8 40 0F 84 8D 01 00 00 83 F8 41 0F 84 0C 03 00 00 83 F8 42 0F 84 7B 01 00 00 83 C0 BA BE 01 00 00 00 3B C6 0F 87 4A 04 00 00 81 E1 3F 01 FE FF 41 BF 00 00 40 00 81 C9 20 01 00 00 89 0A 48 8B 47 20 8B 58 10 8B C3 C1 E8 17 0F B6 C8 B8 FF 00 00 00 3B C8 75 56 41 85 DF 74 0D 48 8B CF E8 ?? ?? ?? ?? E9 4F FC FF FF 3B C8 75 40 41 85 DF 75 3B F7 C3 FF FF 3F 00 74 33 48 8B CF 40 84 37 0F 84 60 F5 FF FF E8 ?? ?? ?? ?? 48 8B 47 20 83 48 0C 10 48 8B 47 20 09 77 04 09 70 60 48 8B 47 20 83 60 60 E1 41 0B DF E9 1A FC FF FF 85 C9 75 31 BA FF FF 7F 00 85 DA 74 28 44 39 6F 0C 74 22 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 81 E3 00 00 00 80 E9 E5 FB FF FF 44 8B 7F 18 41 83 E7 0F 41 F6 C7 04 75 09 45 8B F7 41 83 E6 03 EB 24 8B 4F 10 85 C9 74 1D FF C9 74 16 FF C9 74 0A FF C9 75 11 44 8D 71 03 EB 0B 41 BE 02 00 00 00 EB 03 44 8B F6 4C 8D 45 D0 8B D3 41 8B CE E8 ?? ?? ?? ?? 8B D8 41 F6 C7 08 0F 85 25 FF FF FF 44 39 6D D0 0F 84 1B FF FF FF 41 BD 20 00 00 00 48 8B CF 44 84 2F 75 1C E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 48 8B 47 20 44 09 6F 04 09 70 04 E9 66 F7 FF FF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 48 8B 47 20 44 09 6F 04 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 58 50 E9 3B FA FF FF 8B 5A 10 83 F8 40 74 13 83 F8 42 75 1A 81 E1 5F 05 FE FF 81 C9 40 05 00 00 EB 0A 81 E1 1F 01 FE FF 0F BA E9 08 89 0A 44 39 6F 0C B8 C0 1F 00 00 0F 45 F0 48 8B 47 20 8B 08 C1 E9 05 41 23 C8 83 F9 08 74 05 83 F9 2A EB 11 8B 4F 10 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B 4F 20 8B 01 C1 E8 05 25 FF 0F 00 00 83 F8 08 74 1F 83 F8 2A 75 2E 8B 41 60 8B CB 83 E0 1E 3C 0A 75 07 E8 ?? ?? ?? ?? EB 18 E8 ?? ?? ?? ?? EB 1F 8B 41 60 8B CB 83 E0 1E 3C 0A 75 0E E8 ?? ?? ?? ?? 44 8B F8 48 8B 5D E0 EB 08 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? BE 01 00 00 00 44 8B F0 41 83 E6 3F 40 84 37 75 09 44 84 F6 0F 85 65 F3 FF FF 41 BD 20 00 00 00 44 84 2F 75 46 45 84 F5 74 41 48 8B CF E8 ?? ?? ?? ?? 48 8B 47 20 09 70 0C 44 09 6F 04 48 8B 47 20 09 70 04 48 8B 47 20 09 70 60 48 8B 4F 20 8B 41 60 83 E0 1E 3C 0A 75 09 44 89 79 50 E9 40 F3 FF FF 48 89 59 50 E9 37 F3 FF FF 48 8B CF E8 ?? ?? ?? ?? 45 84 F5 74 0B 48 8B 47 20 09 70 0C 44 09 6F 04 44 84 F6 74 0B 48 8B 47 20 83 48 }
	condition:
		$1
}

rule file_734_2_0 {
	meta:
		name = "__Fill_FPIEEE_RECORD"
		size = 242
		altNames = "__Fill_FPIEEE_RECORD2"
	strings:
		$1 = { 48 8B 51 20 8B 41 10 4C 8B C1 33 02 41 BB FE FF FF FF 41 BA FD FF FF FF 83 E0 03 41 B9 FB FF FF FF 31 02 8B 41 14 48 8B 51 20 C1 E0 02 33 02 83 E0 1C 31 02 48 8B 49 20 41 8B 00 C1 E8 05 BA F7 FF FF FF F7 D0 33 41 08 83 E0 01 31 41 08 41 8B 00 49 8B 48 20 C1 E8 03 F7 D0 33 41 08 83 E0 02 31 41 08 41 8B 00 49 8B 48 20 D1 E8 F7 D0 33 41 08 83 E0 04 31 41 08 41 8B 00 49 8B 48 20 03 C0 F7 D0 33 41 08 83 E0 08 31 41 08 41 8B 00 49 8B 48 20 C1 E0 04 F7 D0 33 41 08 83 E0 10 31 41 08 49 8B 40 20 B9 EF FF FF FF 44 21 58 0C 49 8B 40 20 44 21 50 0C 49 8B 40 20 44 21 48 0C 49 8B 40 20 21 50 0C 49 8B 40 20 21 48 0C 49 8B 40 20 44 21 58 04 49 8B 40 20 44 21 50 04 49 8B 40 20 44 21 48 04 49 8B 40 20 21 50 04 49 8B 40 20 21 48 04 C3 }
	condition:
		$1
}

rule file_734_3_0 {
	meta:
		name = "__isnanf"
		size = 30
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 0E F7 C1 FF FF 7F 00 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_734_4_0 {
	meta:
		name = "fp32_is_denormal"
		size = 25
	strings:
		$1 = { F7 C1 00 00 80 7F 75 0E F7 C1 FF FF 7F 00 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_734_5_0 {
	meta:
		name = "fp32_is_inf"
		size = 30
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 0E F7 C1 FF FF 7F 00 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_734_6_0 {
	meta:
		name = "fp32_is_qnan"
		size = 28
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 0C 0F BA E1 16 73 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_734_7_0 {
	meta:
		name = "fp32_is_snan"
		size = 36
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 14 0F BA E1 16 72 0E F7 C1 FF FF 3F 00 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_734_8_0 {
	meta:
		name = "fp32_is_zero"
		size = 25
	strings:
		$1 = { F7 C1 00 00 80 7F 75 0E F7 C1 FF FF 7F 00 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_737_0_0 {
	meta:
		name = "__common_dacos_cout_rare"
		size = 2720
		refs = "006b _vmldACosHATab 0a02 _2il0floatpacket_190"
	strings:
		$1 = { 55 48 81 EC D0 00 00 00 48 8D 6C 24 20 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 48 89 BD A0 00 00 00 41 81 F8 F0 7F 00 00 44 0F 29 7D 60 44 0F 29 75 70 44 0F 29 AD 80 00 00 00 44 0F 29 A5 90 00 00 00 44 0F 29 5D 30 44 0F 29 55 40 0F 29 75 50 F2 0F 10 01 48 8B 39 0F 84 1C 0A 00 00 48 89 7D 18 48 C1 EF 38 F2 44 0F 10 2D ?? ?? ?? ?? 83 E7 7F 40 88 7D 1F F2 44 0F 10 5D 18 4C 8B 0D ?? ?? ?? ?? 66 45 0F 2F EB 0F 86 67 09 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C3 0F 86 10 04 00 00 66 44 0F 2F 1D ?? ?? ?? ?? 0F 86 B4 03 00 00 F2 44 0F 10 2D ?? ?? ?? ?? 41 0F 28 C3 F2 41 0F 59 C5 41 0F 28 D3 F2 0F 11 45 10 45 0F 28 FB F2 0F 10 65 10 41 0F 28 DD F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 5C 65 18 F2 0F 11 65 08 F2 0F 10 4D 10 F2 44 0F 10 65 08 F2 41 0F 5C CC F2 0F 11 4D 10 F2 0F 10 75 10 F2 0F 5C D6 F2 0F 11 55 08 F2 0F 10 6D 10 0F 28 D5 F2 44 0F 58 FD F2 0F 59 D5 F2 44 0F 10 75 08 0F 28 C2 F2 45 0F 59 FE F2 0F 59 DA F2 41 0F 58 C7 F2 44 0F 59 D0 F2 0F 11 5D 10 F2 0F 10 65 10 F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 5C E2 F2 44 0F 59 D0 F2 0F 11 65 08 F2 0F 10 4D 10 F2 44 0F 10 65 08 F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 5C CC F2 44 0F 59 D0 F2 0F 11 4D 10 F2 0F 10 75 10 F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 5C D6 F2 44 0F 59 D0 F2 0F 11 55 08 41 0F 28 F3 F2 0F 10 65 10 F2 0F 10 5D 08 F2 44 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 58 FB F2 0F 59 EC F2 44 0F 59 D0 F2 41 0F 59 F7 F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 58 F6 F2 44 0F 59 D0 45 0F 28 F5 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 59 F5 F2 44 0F 59 D0 F2 44 0F 11 75 10 F2 44 0F 10 65 10 F2 44 0F 5C E5 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 11 65 08 44 0F 28 E5 F2 0F 10 55 10 F2 0F 58 EE F2 44 0F 59 D0 F2 44 0F 59 FD F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 10 4D 08 F2 44 0F 59 D0 F2 0F 5C D1 F2 0F 11 55 10 F2 0F 10 5D 10 F2 44 0F 5C E3 0F 28 DC F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 11 65 08 F2 0F 10 4D 10 F2 0F 10 55 08 44 0F 28 F2 F2 0F 59 D9 F2 44 0F 58 F6 F2 44 0F 59 D0 F2 41 0F 59 E6 F2 44 0F 59 EB F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 58 E7 F2 44 0F 59 D0 F2 44 0F 11 6D 10 44 0F 28 F3 F2 44 0F 10 6D 10 F2 44 0F 5C EB F2 0F 58 DC F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 59 C3 F2 44 0F 59 D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 C5 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EB F2 44 0F 11 6D 08 F2 0F 58 C5 F2 44 0F 10 6D 10 F2 41 0F 58 C2 F2 44 0F 10 15 ?? ?? ?? ?? F2 41 0F 59 F2 F2 41 0F 59 D2 F2 41 0F 59 CA F2 0F 58 C6 F2 44 0F 10 7D 08 F2 0F 58 C2 F2 45 0F 5C EF F2 44 0F 11 6D 10 41 0F 28 D3 F2 44 0F 10 65 10 F2 0F 58 D1 F2 45 0F 5C F4 F2 44 0F 11 75 08 F2 44 0F 10 6D 10 F2 44 0F 10 65 08 F2 0F 11 55 10 F2 0F 10 5D 10 F2 0F 11 4D 00 F2 44 0F 5C DB F2 44 0F 58 D9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 E1 F2 44 0F 59 E9 F2 41 0F 59 CC F2 44 0F 11 5D 08 F2 0F 10 55 10 F2 44 0F 10 5D 08 F2 41 0F 58 C3 F2 0F 58 C4 0F 28 E2 F2 41 0F 58 E5 F2 0F 58 C1 F2 0F 11 65 10 F2 44 0F 10 5D 10 F2 41 0F 5C D3 F2 41 0F 58 D5 F2 0F 11 55 08 F2 0F 10 65 10 F2 0F 10 29 F2 0F 10 5D 08 66 0F 2F 2D ?? ?? ?? ?? F2 0F 58 C3 76 42 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CB F2 0F 5C CC F2 0F 11 4D 10 F2 0F 10 55 10 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C DA F2 0F 5C C8 F2 0F 5C DC F2 0F 11 5D 08 F2 0F 10 55 10 F2 0F 10 65 08 F2 0F 58 CC EB 40 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CC F2 0F 58 CB F2 0F 11 4D 10 F2 0F 10 55 10 F2 0F 5C DA F2 0F 58 DC F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 C4 F2 0F 11 5D 08 F2 0F 10 55 10 F2 0F 10 4D 08 F2 0F 58 C8 F2 0F 58 D1 F2 0F 11 12 E9 BC 05 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 45 0F 58 EB F2 44 0F 11 6D 10 F2 0F 10 45 10 F2 0F 59 45 18 F2 0F 11 45 00 40 8A 7D 07 8A 49 07 40 80 E7 7F 80 E1 80 40 0A F9 40 88 7D 07 F2 0F 5C 4D 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 0A E9 6F 05 00 00 4D 8B D1 F2 45 0F 5C EB F2 41 0F 59 C5 F2 0F 11 45 00 44 0F B7 45 06 41 81 E0 F0 7F 00 00 41 C1 E8 04 41 81 C0 01 FC FF FF 45 8B D8 41 8B F8 41 F7 DB 41 81 C3 FF 03 00 00 49 C1 EA 30 41 81 E3 FF 07 00 00 41 C1 E3 04 41 81 E2 0F 80 FF FF 4C 89 4D 18 45 0B D3 66 44 89 55 1E 83 E7 01 F2 0F 10 75 18 44 8B DF F2 0F 59 C6 0F 28 E8 F2 44 0F 10 1D ?? ?? ?? ?? F2 0F 58 E8 75 03 0F 28 E8 F2 44 0F 59 DD 44 2B C7 F2 0F 10 1D ?? ?? ?? ?? 45 0F 28 D3 41 C1 E3 08 44 0F 28 E5 41 D1 E8 F2 0F 58 C3 F2 44 0F 5C D5 F2 0F 11 45 20 41 81 C0 FF 03 00 00 44 8B 55 20 41 81 E0 FF 07 00 00 41 81 E2 FF 01 00 00 F2 44 0F 11 55 08 45 03 D3 F2 0F 10 75 08 4C 8D 1D ?? ?? ?? ?? F2 44 0F 5C DE F2 47 0F 10 3C D3 41 0F 28 E3 4C 89 4D 28 41 0F 28 D7 49 C1 E9 30 F2 45 0F 5C E3 F2 45 0F 59 DF F2 41 0F 59 D7 41 C1 E0 04 41 81 E1 0F 80 FF FF 45 0B C8 66 44 89 4D 2E F2 44 0F 10 75 28 F2 45 0F 59 DE F2 0F 59 E2 F2 41 0F 59 D4 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 E2 0F 28 C1 F2 41 0F 59 C3 F2 0F 11 45 10 F2 44 0F 10 55 10 F2 0F 10 35 ?? ?? ?? ?? F2 45 0F 5C D3 F2 0F 59 F4 F2 44 0F 11 55 08 F2 44 0F 10 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 41 0F 59 F7 F2 45 0F 59 FC F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 59 F5 F2 45 0F 59 D5 F2 41 0F 58 F7 F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 59 F6 F2 45 0F 59 D5 F2 0F 10 55 10 F2 0F 10 5D 08 F2 44 0F 10 25 ?? ?? ?? ?? F2 0F 5C D3 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 D5 F2 45 0F 59 E5 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 11 55 10 0F 28 D1 F2 0F 10 65 10 F2 0F 10 1D ?? ?? ?? ?? F2 44 0F 5C DC F2 41 0F 59 D5 F2 44 0F 58 15 ?? ?? ?? ?? 44 0F 28 FB F2 44 0F 11 5D 08 F2 44 0F 10 5D 10 F2 0F 10 6D 08 F2 0F 11 55 10 F2 0F 58 F5 F2 45 0F 59 D5 F2 44 0F 58 3D ?? ?? ?? ?? F2 0F 10 65 10 F2 45 0F 58 FC F2 45 0F 59 D5 F2 41 0F 5C E5 F2 45 0F 59 FD F2 45 0F 59 D5 F2 0F 10 05 ?? ?? ?? ?? 45 0F 28 E5 44 0F 28 F0 F2 0F 11 65 08 F2 0F 10 6D 10 F2 0F 10 55 08 F2 44 0F 58 35 ?? ?? ?? ?? F2 0F 5C EA F2 45 0F 58 F7 F2 0F 11 6D 10 44 0F 28 F9 F2 0F 10 65 10 F2 45 0F 58 F2 F2 44 0F 5C E4 F2 41 0F 59 F6 F2 44 0F 11 65 08 F2 44 0F 10 75 10 41 0F 28 EE 41 0F 28 E6 F2 41 0F 59 EE F2 41 0F 58 E5 F2 44 0F 59 F3 F2 44 0F 59 FD F2 0F 10 55 08 F2 44 0F 11 7D 10 F2 44 0F 10 65 10 F2 0F 59 E2 F2 44 0F 5C E5 F2 0F 59 DA F2 44 0F 11 65 08 F2 44 0F 10 65 10 F2 44 0F 10 7D 08 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C E7 F2 41 0F 59 D5 F2 44 0F 11 65 10 F2 44 0F 10 7D 10 F2 41 0F 5C EF 45 0F 28 FE F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 6D 08 F2 44 0F 10 65 10 F2 44 0F 59 25 ?? ?? ?? ?? F2 41 0F 59 D5 F2 45 0F 58 FC F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 6D 08 F2 41 0F 58 D2 F2 0F 58 EC F2 41 0F 59 D3 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 11 7D 10 F2 44 0F 10 7D 10 F2 44 0F 11 65 20 F2 45 0F 5C F7 F2 45 0F 58 F4 F2 44 0F 11 75 08 44 0F 28 F0 F2 44 0F 10 7D 10 F2 44 0F 10 65 08 F2 45 0F 58 F7 F2 44 0F 11 75 10 F2 44 0F 10 75 10 F2 41 0F 5C C6 F2 41 0F 58 C7 F2 0F 11 45 08 F2 44 0F 10 75 10 F2 41 0F 59 CE F2 44 0F 10 7D 08 F2 0F 11 4D 10 F2 0F 10 4D 10 F2 41 0F 5C CE F2 0F 11 4D 08 F2 0F 10 4D 10 F2 0F 10 45 08 F2 0F 5C C8 F2 0F 11 4D 10 F2 0F 10 45 10 F2 44 0F 5C F0 F2 44 0F 11 75 08 F2 0F 10 45 10 F2 44 0F 10 75 08 F2 44 0F 10 29 F2 45 0F 58 F4 66 44 0F 2F 2D ?? ?? ?? ?? F2 45 0F 58 F7 F2 44 0F 58 F3 F2 44 0F 58 F5 F2 45 0F 59 F3 F2 44 0F 59 D8 F2 41 0F 58 F6 F2 0F 58 F2 77 4C F2 0F 10 15 ?? ?? ?? ?? 0F 28 C2 F2 0F 10 25 ?? ?? ?? ?? F2 41 0F 5C C3 F2 0F 5C E6 F2 0F 11 45 10 F2 0F 10 4D 10 F2 44 0F 11 5D 00 F2 0F 5C D1 F2 41 0F 5C D3 F2 0F 11 55 08 F2 44 0F 10 5D 10 F2 0F 10 5D 08 0F 28 F3 F2 0F 58 F4 F2 44 0F 58 DE F2 44 0F 11 1A EB 2B 66 41 0F 2E C5 7A 02 74 70 44 0F 57 2D ?? ?? ?? ?? 66 41 0F 2E C5 7A 02 74 49 B8 01 00 00 00 F2 0F 5C C0 F2 0F 5E C0 F2 0F 11 02 0F 28 75 50 44 0F 28 55 40 44 0F 28 5D 30 44 0F 28 A5 90 00 00 00 44 0F 28 AD 80 00 00 00 44 0F 28 75 70 44 0F 28 7D 60 48 8B BD A0 00 00 00 48 8D A5 B0 00 00 00 5D C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 02 EB B2 48 8B 0D ?? ?? ?? ?? 48 89 0A EB A6 F2 0F 5E C0 F2 0F 11 02 F7 41 04 FF FF 0F 00 75 95 BA 01 00 00 00 33 C0 83 39 00 0F 44 C2 EB 86 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_741_0_0 {
	meta:
		name = "__common_dasin_cout_rare"
		size = 2752
		refs = "0070 _vmldASinHATab"
	strings:
		$1 = { 56 48 81 EC D0 00 00 00 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 F2 0F 10 01 41 81 F8 F0 7F 00 00 48 8B 31 44 0F 29 BC 24 A0 00 00 00 44 0F 29 B4 24 B0 00 00 00 44 0F 29 5C 24 60 44 0F 29 54 24 70 44 0F 29 8C 24 80 00 00 00 44 0F 29 84 24 90 00 00 00 0F 29 BC 24 C0 00 00 00 0F 84 3E 0A 00 00 48 89 74 24 38 48 C1 EE 38 F2 44 0F 10 1D ?? ?? ?? ?? 83 E6 7F 40 88 74 24 3F F2 44 0F 10 4C 24 38 4C 8B 0D ?? ?? ?? ?? 66 45 0F 2F D9 0F 82 B9 09 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C1 0F 86 1A 04 00 00 66 44 0F 2F 0D ?? ?? ?? ?? 0F 86 7C 03 00 00 F2 44 0F 10 35 ?? ?? ?? ?? 41 0F 28 E1 F2 41 0F 59 E6 45 0F 28 C1 F2 0F 11 64 24 28 45 0F 28 D1 F2 44 0F 10 5C 24 28 41 0F 28 DE F2 44 0F 5C 5C 24 38 F2 44 0F 11 5C 24 20 F2 0F 10 7C 24 28 F2 0F 10 4C 24 20 F2 0F 5C F9 F2 0F 11 7C 24 28 F2 0F 10 54 24 28 F2 44 0F 5C C2 F2 44 0F 11 44 24 20 F2 0F 10 6C 24 28 0F 28 D5 F2 44 0F 58 D5 F2 0F 59 D5 F2 44 0F 10 7C 24 20 0F 28 C2 F2 45 0F 59 D7 F2 0F 59 DA F2 41 0F 58 C2 F2 44 0F 10 05 ?? ?? ?? ?? F2 44 0F 59 C0 F2 0F 11 5C 24 28 F2 0F 10 64 24 28 F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 5C E2 F2 44 0F 59 C0 F2 0F 11 64 24 20 F2 0F 10 4C 24 28 F2 44 0F 10 5C 24 20 F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 5C CB F2 44 0F 59 C0 F2 0F 11 4C 24 28 F2 0F 10 7C 24 28 F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 5C D7 F2 44 0F 59 C0 F2 0F 11 54 24 20 41 0F 28 F9 F2 0F 10 64 24 28 F2 0F 10 5C 24 20 F2 44 0F 59 FC F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 58 D3 F2 0F 59 EC F2 44 0F 59 C0 F2 41 0F 59 FA F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 58 FF F2 44 0F 59 C0 45 0F 28 FE F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 59 C0 F2 44 0F 11 7C 24 28 F2 44 0F 10 5C 24 28 F2 44 0F 5C DD F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 11 5C 24 20 44 0F 28 DD F2 0F 10 54 24 28 F2 0F 58 EF F2 44 0F 59 C0 F2 44 0F 59 D5 F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 10 4C 24 20 F2 44 0F 59 C0 F2 0F 5C D1 F2 0F 11 54 24 28 F2 0F 10 5C 24 28 F2 44 0F 5C DB 0F 28 DC F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 11 5C 24 20 F2 0F 10 4C 24 28 F2 0F 10 54 24 20 44 0F 28 FA F2 0F 59 D9 F2 44 0F 58 FF F2 44 0F 59 C0 F2 41 0F 59 E7 F2 44 0F 59 F3 F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 58 E2 F2 44 0F 59 C0 F2 44 0F 11 74 24 28 44 0F 28 DB F2 44 0F 10 54 24 28 F2 44 0F 5C D3 F2 0F 58 DC F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 59 C3 F2 44 0F 11 54 24 20 F2 44 0F 10 54 24 28 F2 44 0F 10 74 24 20 F2 44 0F 59 C0 F2 45 0F 5C D6 F2 44 0F 11 54 24 28 F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 59 D5 F2 0F 59 C3 F2 0F 10 2D ?? ?? ?? ?? F2 44 0F 58 D0 F2 0F 59 CD F2 0F 59 FD F2 0F 59 D5 F2 45 0F 58 D0 F2 44 0F 10 74 24 28 41 0F 28 C1 F2 45 0F 5C DE F2 0F 58 C1 F2 44 0F 58 D7 F2 44 0F 11 5C 24 20 F2 44 0F 58 D2 F2 44 0F 10 74 24 28 F2 44 0F 10 5C 24 20 F2 0F 11 44 24 28 F2 0F 10 54 24 28 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 5C CA F2 0F 59 E0 F2 44 0F 59 F0 F2 41 0F 59 C3 F2 44 0F 58 C9 F2 44 0F 11 4C 24 20 F2 0F 10 4C 24 28 F2 44 0F 10 4C 24 20 F2 45 0F 58 D1 F2 44 0F 58 D4 0F 28 E1 F2 41 0F 58 E6 F2 44 0F 58 D0 F2 0F 11 64 24 28 F2 44 0F 10 4C 24 28 F2 41 0F 5C C9 F2 41 0F 58 CE F2 0F 11 4C 24 20 F2 0F 10 5C 24 28 F2 0F 10 54 24 20 8A 49 07 F2 44 0F 58 D2 80 E1 80 F2 44 0F 58 D3 F2 44 0F 11 54 24 30 40 8A 74 24 37 40 80 E6 7F 40 0A F1 40 88 74 24 37 4C 8B 44 24 30 4C 89 02 E9 2C 06 00 00 66 44 0F 2F 0D ?? ?? ?? ?? 72 42 F2 45 0F 58 CB F2 44 0F 11 4C 24 28 F2 0F 10 44 24 28 F2 0F 59 44 24 38 F2 0F 11 44 24 30 40 8A 74 24 37 8A 49 07 40 80 E6 7F 80 E1 80 40 0A F1 40 88 74 24 37 4C 8B 44 24 30 4C 89 02 E9 DF 05 00 00 F2 45 0F 59 C9 F2 44 0F 11 4C 24 28 F2 0F 10 44 24 28 8A 49 07 80 E1 80 F2 0F 58 44 24 38 F2 0F 11 44 24 30 40 8A 74 24 37 40 80 E6 7F 40 0A F1 40 88 74 24 37 4C 8B 44 24 30 4C 89 02 E9 9D 05 00 00 4D 8B D1 F2 45 0F 5C D9 F2 41 0F 59 C3 F2 0F 11 44 24 38 44 0F B7 44 24 3E 41 81 E0 F0 7F 00 00 41 C1 E8 04 41 81 C0 01 FC FF FF 45 8B D8 41 8B F0 41 F7 DB 41 81 C3 FF 03 00 00 49 C1 EA 30 41 81 E3 FF 07 00 00 41 C1 E3 04 41 81 E2 0F 80 FF FF 4C 89 4C 24 40 45 0B D3 66 44 89 54 24 46 83 E6 01 F2 0F 10 7C 24 40 44 8B DE F2 0F 59 C7 0F 28 E8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 E8 F2 44 0F 10 0D ?? ?? ?? ?? 75 03 0F 28 E8 F2 44 0F 59 CD F2 0F 58 C2 F2 0F 11 44 24 48 45 0F 28 C1 44 8B 54 24 48 44 2B C6 41 C1 E3 08 41 81 E2 FF 01 00 00 45 03 D3 F2 44 0F 5C C5 4C 8D 1D ?? ?? ?? ?? F2 44 0F 11 44 24 20 44 0F 28 C5 F2 0F 10 5C 24 20 F2 0F 10 3D ?? ?? ?? ?? F2 44 0F 5C CB F2 43 0F 10 04 D3 41 0F 28 C9 0F 28 E0 F2 45 0F 5C C1 F2 0F 59 E0 F2 44 0F 59 C8 F2 0F 59 CC F2 41 0F 59 E0 F2 0F 5C 0D ?? ?? ?? ?? 41 D1 E8 F2 0F 58 CC F2 0F 59 F9 41 81 C0 FF 03 00 00 4C 89 4C 24 50 41 81 E0 FF 07 00 00 49 C1 E9 30 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 41 81 E1 0F 80 FF FF 41 C1 E0 04 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 45 0B C8 66 44 89 4C 24 56 F2 0F 10 5C 24 50 F2 44 0F 59 CB F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 44 0F 10 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 35 ?? ?? ?? ?? F2 0F 59 F9 F2 45 0F 59 F3 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 F8 F2 41 0F 59 C0 F2 0F 59 FD 44 0F 28 C1 F2 0F 58 F8 F2 45 0F 59 C1 F2 0F 59 FB F2 44 0F 11 44 24 28 F2 44 0F 10 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 0F 10 54 24 28 F2 0F 10 1D ?? ?? ?? ?? F2 41 0F 5C D1 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 0F 11 54 24 20 0F 28 D3 F2 0F 10 6C 24 28 F2 0F 10 64 24 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C EC F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 C3 F2 41 0F 58 D6 F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 59 D3 F2 45 0F 59 C3 F2 0F 11 6C 24 28 0F 28 E9 F2 44 0F 10 54 24 28 0F 28 E0 F2 41 0F 59 EB F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 5C CA F2 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 C3 F2 0F 58 E2 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 44 0F 11 4C 24 20 F2 44 0F 10 4C 24 28 F2 44 0F 10 7C 24 20 F2 0F 11 6C 24 28 F2 41 0F 58 FF F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 44 0F 10 54 24 28 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 5C D3 F2 45 0F 59 C3 F2 44 0F 11 54 24 20 44 0F 28 D1 F2 0F 10 54 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 5C D7 F2 45 0F 59 C3 F2 0F 11 54 24 28 F2 44 0F 10 74 24 28 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 45 0F 59 C3 F2 45 0F 59 C3 F2 41 0F 58 E0 F2 0F 59 FC 41 0F 28 E3 F2 41 0F 5C E6 F2 0F 11 64 24 20 F2 44 0F 10 74 24 28 41 0F 28 EE 41 0F 28 E6 F2 41 0F 59 EE F2 41 0F 58 E3 F2 44 0F 59 F3 F2 44 0F 59 D5 F2 0F 10 54 24 20 F2 44 0F 11 54 24 28 F2 44 0F 10 7C 24 28 F2 0F 59 E2 F2 44 0F 5C FD F2 0F 59 DA F2 44 0F 11 7C 24 20 F2 44 0F 10 7C 24 28 F2 44 0F 10 54 24 20 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C FA F2 41 0F 59 D3 F2 44 0F 11 7C 24 28 45 0F 28 FE F2 44 0F 10 54 24 28 F2 41 0F 5C EA F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 6C 24 20 F2 44 0F 10 54 24 28 F2 44 0F 59 15 ?? ?? ?? ?? F2 41 0F 59 D3 F2 45 0F 58 FA F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 6C 24 20 F2 41 0F 58 D0 F2 0F 58 EC F2 41 0F 59 D1 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 28 F2 44 0F 11 54 24 48 F2 45 0F 5C F7 F2 45 0F 58 F2 F2 44 0F 11 74 24 20 44 0F 28 F0 F2 44 0F 10 7C 24 28 F2 44 0F 10 54 24 20 F2 45 0F 58 F7 F2 44 0F 11 74 24 28 F2 44 0F 10 74 24 28 F2 41 0F 5C C6 F2 41 0F 58 C7 F2 0F 11 44 24 20 F2 44 0F 10 74 24 28 F2 41 0F 59 CE F2 44 0F 10 7C 24 20 F2 0F 11 4C 24 28 F2 0F 10 4C 24 28 F2 41 0F 5C CE F2 0F 11 4C 24 20 F2 0F 10 4C 24 28 F2 0F 10 44 24 20 F2 0F 5C C8 F2 0F 11 4C 24 28 F2 0F 10 44 24 28 F2 44 0F 5C F0 F2 44 0F 11 74 24 20 F2 0F 10 44 24 28 F2 44 0F 10 74 24 20 F2 45 0F 58 F2 F2 45 0F 58 F7 F2 44 0F 58 F3 F2 44 0F 58 F5 F2 45 0F 59 F1 F2 44 0F 59 C8 F2 41 0F 58 FE F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 FA 44 0F 28 D8 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C D9 F2 0F 5C D7 F2 44 0F 11 5C 24 28 F2 44 0F 10 5C 24 28 F2 41 0F 5C C3 F2 41 0F 5C C1 F2 0F 11 44 24 20 F2 0F 10 5C 24 28 F2 0F 10 4C 24 20 8A 49 07 F2 0F 58 D1 80 E1 80 F2 0F 58 DA F2 0F 11 5C 24 30 40 8A 74 24 37 40 80 E6 7F 40 0A F1 40 88 74 24 37 48 8B 4C 24 30 48 89 0A EB 11 B8 01 00 00 00 F2 0F 5C C0 F2 0F 5E C0 F2 0F 11 02 0F 28 BC 24 C0 00 00 00 44 0F 28 84 24 90 00 00 00 44 0F 28 8C 24 80 00 00 00 44 0F 28 54 24 70 44 0F 28 5C 24 60 44 0F 28 B4 24 B0 00 00 00 44 0F 28 BC 24 A0 00 00 00 48 81 C4 D0 00 00 00 5E C3 F2 0F 5E C0 F2 0F 11 02 F7 41 04 FF FF 0F 00 75 AE BA 01 00 00 00 33 C0 83 39 00 0F 44 C2 EB 9F }
	condition:
		$1
}

rule file_742_0_0 {
	meta:
		name = "_rmtmp"
		size = 158
		refs = "0015 _lock 0022 _nstream 002e __piob 0044 _lock_file2 0062 _fclose_nolock 007a _unlock_file2 0088 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 FF 8D 4F 01 E8 ?? ?? ?? ?? 90 33 DB 89 5C 24 20 3B 1D ?? ?? ?? ?? 7D 5A 48 63 F3 48 8B 05 ?? ?? ?? ?? 48 8B 14 F0 48 85 D2 74 43 F6 42 18 83 74 3D 8B CB E8 ?? ?? ?? ?? 90 48 8B 15 ?? ?? ?? ?? 48 8B 0C F2 F6 41 18 83 74 19 48 83 79 28 00 74 12 E8 ?? ?? ?? ?? FF C7 89 7C 24 24 48 8B 15 ?? ?? ?? ?? 48 8B 14 F2 8B CB E8 ?? ?? ?? ?? FF C3 EB 9A B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_742_1_0 {
	meta:
		name = "_rmtmp$fin$0"
		size = 40
		refs = "0013 __piob 001c _unlock_file2"
		altNames = "flsall$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 63 4D 20 48 8B C1 48 8B 15 ?? ?? ?? ?? 48 8B 14 CA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_743_0_0 {
	meta:
		name = "lldiv"
		size = 19
	strings:
		$1 = { 48 8B C2 48 99 49 F7 F8 48 89 01 48 89 51 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_744_4_0 {
	meta:
		name = "_mbsnlen_l"
		size = 152
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0030 strnlen"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 44 24 28 41 83 78 08 00 75 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 EB 3E 33 D2 33 C9 48 85 FF 74 2E 80 3B 00 74 29 0F B6 03 42 F6 44 00 19 04 74 10 48 FF C1 48 3B CF 73 19 48 FF C3 80 3B 00 74 0E 48 FF C1 48 FF C2 48 FF C3 48 3B CF 72 D2 48 3B CF 48 0F 43 D7 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_745_0_0 {
	meta:
		name = "_wspawnlp"
		size = 207
		refs = "0018 __security_cookie 0037 _errno 0042 _invalid_parameter_noinfo 007d _wcapture_argv 0092 _wspawnvp 00ac free 00bf __security_check_cookie"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 ED 49 8B C0 48 8B FA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 67 66 39 2A 74 E5 48 85 C0 74 E0 66 41 39 28 74 DA 48 8D 8C 24 88 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8B D7 8B CE 4C 8B C0 48 8B D8 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B F8 48 85 DB 74 12 48 8D 44 24 30 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_746_4_0 {
	meta:
		name = "_ismbcalpha_l"
		size = 204
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 FF 81 FB FF 00 00 00 76 56 8B C3 89 7D 20 88 5D 11 C1 E8 08 88 45 10 48 8B 45 E8 39 78 08 74 67 8B 40 04 8D 5F 01 44 8D 4F 02 89 5C 24 30 89 44 24 28 48 8D 45 20 4C 8D 45 10 48 8D 4D E0 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 39 66 39 7D 22 75 33 B8 03 01 00 00 66 85 45 20 EB 26 48 8B 45 E0 0F B6 D3 BB 01 00 00 00 48 8B 88 08 01 00 00 B8 03 01 00 00 66 85 04 51 75 0C 48 8B 45 E8 84 5C 02 19 75 02 8B DF 40 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_748_0_0 {
	meta:
		name = "_wcsnset_s"
		size = 129
		refs = "0068 _errno 0073 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 51 33 C0 EB 62 48 85 C9 74 48 48 85 D2 74 43 48 8B C1 66 44 39 11 74 1B 4D 85 C9 74 26 48 FF CA 74 11 66 44 89 00 48 83 C0 02 49 FF C9 66 44 39 10 75 E5 4D 85 C9 75 11 EB 09 48 FF CA 74 0A 48 83 C0 02 66 44 39 10 75 F1 48 85 D2 75 B3 66 44 89 11 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_750_0_0 {
	meta:
		name = "__GSHandlerCheck_SEH"
		size = 149
		refs = "003e __GSHandlerCheckCommon 0072 __C_specific_handler"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 4D 8B 51 38 48 8B F2 4D 8B F0 41 8B 1A 48 8B E9 49 8B D1 48 C1 E3 04 48 8B CE 49 8B F9 49 03 DA 4C 8D 43 04 E8 ?? ?? ?? ?? 44 8B 5B 04 44 8B 55 04 41 8B C3 41 83 E3 02 BA 01 00 00 00 23 C2 41 80 E2 66 44 0F 44 D8 45 85 DB 74 13 4C 8B CF 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 8B C2 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_752_0_0 {
	meta:
		name = "strstr"
		size = 477
		refs = "0022 __isa_available"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 10 40 8A 3A 48 8B DA 4C 8B C1 40 84 FF 75 08 48 8B C1 E9 B2 01 00 00 83 3D ?? ?? ?? ?? 02 41 BA FF 0F 00 00 45 8D 5A F1 0F 8D D0 00 00 00 40 0F B6 C7 0F 57 D2 8B C8 C1 E1 08 0B C8 66 0F 6E C1 F2 0F 70 C8 00 66 0F 70 D9 00 49 8B C0 49 23 C2 49 3B C3 77 29 F3 41 0F 6F 00 66 0F 6F C8 66 0F 74 C3 66 0F 74 CA 66 0F EB C8 66 0F D7 C1 85 C0 75 06 49 83 C0 10 EB D2 0F BC C0 4C 03 C0 41 80 38 00 0F 84 3F 01 00 00 41 3A 38 75 69 49 8B D0 4C 8B CB 49 8B C1 49 23 C2 49 3B C3 77 41 48 8B C2 49 23 C2 49 3B C3 77 36 F3 41 0F 6F 09 F3 0F 6F 02 66 0F 74 C1 66 0F 74 CA 66 0F 74 C2 66 0F EB C1 66 0F D7 C0 85 C0 75 0A 48 83 C2 10 49 83 C1 10 EB BF 0F BC C0 8B C8 48 03 D1 4C 03 C9 41 8A 01 84 C0 0F 84 D8 00 00 00 38 02 75 08 48 FF C2 49 FF C1 EB 9D 49 FF C0 E9 4C FF FF FF 48 8B C2 49 23 C2 49 3B C3 77 06 F3 0F 6F 02 EB 2B 48 8B CA 0F 57 C0 41 B9 10 00 00 00 40 8A D7 66 0F 73 D8 01 0F BE C2 66 0F 3A 20 C0 0F 84 D2 74 05 48 FF C1 8A 11 49 FF C9 75 E4 49 8B C0 49 23 C2 49 3B C3 77 5A F3 41 0F 6F 08 66 0F 3A 63 C1 0C 76 06 49 83 C0 10 EB E2 73 6D 66 0F 3A 63 C1 0C 48 63 C1 4C 03 C0 49 8B D0 4C 8B CB 48 8B C2 49 23 C2 49 3B C3 77 38 49 8B C1 49 23 C2 49 3B C3 77 2D F3 0F 6F 0A F3 41 0F 6F 11 66 0F 3A 63 D1 0C 71 17 78 2D 48 83 C2 10 49 83 C1 10 EB CD 41 80 38 00 74 22 41 38 38 74 BC 49 FF C0 EB 8B 41 8A 01 84 C0 74 0C 38 02 75 F0 48 FF C2 49 FF C1 EB AA 49 8B C0 EB 02 33 C0 48 8B 5C 24 20 48 83 C4 10 5F C3 }
	condition:
		$1
}

rule file_753_0_0 {
	meta:
		name = "__common_dlog_cout_rare"
		size = 704
		refs = "003e _imldLnHATab 0064 _2il0floatpacket_70 025c _2il0floatpacket_71"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 41 81 F8 F0 7F 00 00 0F 84 4E 02 00 00 F2 0F 10 19 45 33 C0 48 8B 09 48 89 4C 24 30 48 C1 E9 30 F7 C1 F0 7F 00 00 75 14 F2 0F 59 1D ?? ?? ?? ?? 41 B8 C4 FF FF FF F2 0F 11 5C 24 30 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D8 0F 86 D2 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 0F 28 D3 F2 0F 5C D0 F2 0F 11 54 24 28 80 64 24 2F 7F F2 0F 10 4C 24 28 66 0F 2F 0D ?? ?? ?? ?? 0F 86 3F 01 00 00 F2 0F 11 5C 24 28 44 0F B7 4C 24 2E 41 81 E1 0F 80 FF FF 41 81 C9 F0 3F FF FF 66 44 89 4C 24 2E F2 0F 10 6C 24 28 0F 28 DD 0F B7 4C 24 36 81 E1 F0 7F 00 00 F2 0F 58 1D ?? ?? ?? ?? C1 E9 04 F2 0F 11 5C 24 20 0F 28 DD 44 8B 54 24 20 41 83 E2 7F F2 0F 58 1D ?? ?? ?? ?? F2 0F 11 5C 24 20 45 8D 84 08 01 FC FF FF F2 41 0F 2A C8 F2 0F 10 5C 24 20 47 8D 1C 52 48 8D 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 4C 8B C9 F2 0F 10 25 ?? ?? ?? ?? 4C 8B C1 F2 0F 59 D1 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 59 CC F2 0F 5C EB F2 43 0F 58 54 D8 08 F2 43 0F 58 4C D9 10 F2 42 0F 10 24 D9 F2 0F 59 DC F2 0F 59 E5 F2 0F 5C D8 0F 28 C3 F2 0F 58 DA F2 0F 58 C4 F2 0F 58 E1 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 59 E8 F2 0F 58 E5 F2 0F 58 DC F2 0F 11 1A 48 83 C4 38 C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 C2 F2 0F 58 D0 F2 0F 11 12 48 83 C4 38 C3 66 0F 2E D8 7A 02 74 12 F2 0F 5E C0 F2 0F 11 02 B8 01 00 00 00 48 83 C4 38 C3 F2 0F 10 0D ?? ?? ?? ?? B8 02 00 00 00 0F 57 0D ?? ?? ?? ?? F2 0F 5E C8 F2 0F 11 0A 48 83 C4 38 C3 44 8A 41 07 41 80 E0 80 41 80 F8 80 74 11 F2 0F 10 01 F2 0F 59 C0 F2 0F 11 02 48 83 C4 38 C3 F7 41 04 FF FF 0F 00 75 E6 83 39 00 75 E1 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E C0 F2 0F 11 02 48 83 C4 38 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_755_10_0 {
	meta:
		name = "??0ThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@I@Z"
		size = 214
		refs = "0019 ??_7ThreadProxy@details@Concurrency@@6B@ 0044 ?s_threadProxyIdCount@ResourceManager@details@Concurrency@@0JC 0050 ?__CreateAutoResetEvent@platform@details@Concurrency@@YAPEAX_N@Z 005e ?ThreadProxyMain@ThreadProxy@details@Concurrency@@CAKPEAX@Z 007c ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 0098 __imp_CloseHandle 00a8 __imp_GetLastError 00c0 ??0scheduler_worker_creation_error@Concurrency@@QEAA@J@Z 00c7 _TI3?AVscheduler_worker_creation_error@Concurrency@@ 00d1 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 50 83 61 2C 00 48 89 51 08 44 89 41 28 C6 41 30 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 C7 41 34 01 00 00 00 C7 41 38 00 00 00 00 48 8B 49 08 48 8B 01 FF 50 10 B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 33 C9 89 43 3C E8 ?? ?? ?? ?? 8B 53 28 48 8D 4B 40 4C 8D 05 ?? ?? ?? ?? C1 E2 0A 48 89 4C 24 28 4C 8B CB 33 C9 48 89 43 18 C7 44 24 20 00 00 01 00 E8 ?? ?? ?? ?? 48 89 43 10 48 85 C0 74 09 48 8B C3 48 83 C4 50 5B C3 48 8B 4B 18 FF 15 ?? ?? ?? ?? 48 8B 4B 08 48 8B 01 FF 50 18 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_755_16_0 {
	meta:
		name = "??1ThreadProxy@details@Concurrency@@UEAA@XZ"
		size = 54
		refs = "0009 ??_7ThreadProxy@details@Concurrency@@6B@ 0019 __imp_CloseHandle 0022 ?__CloseThreadHandle@platform@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 18 FF 15 ?? ?? ?? ?? 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 01 48 83 C4 20 5B 48 FF 60 18 }
	condition:
		$1
}

rule file_755_33_0 {
	meta:
		name = "?Cancel@ThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 18
		refs = "000e __imp_SetEvent"
	strings:
		$1 = { C7 41 38 01 00 00 00 48 8B 49 18 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_755_38_0 {
	meta:
		name = "?SpinUntilBlocked@ThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 55
		refs = "0017 ?_Sleep0@details@Concurrency@@YAXXZ 0026 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 41 34 48 8B D9 85 C0 75 21 21 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 43 34 85 C0 74 EF 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_755_39_0 {
	meta:
		name = "?SuspendExecution@ThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 44
		refs = "001d __imp_WaitForSingleObjectEx"
	strings:
		$1 = { 40 53 48 83 EC 20 B8 01 00 00 00 48 8B D9 45 33 C0 87 41 34 48 8B 49 18 83 CA FF FF 15 ?? ?? ?? ?? 33 C0 87 43 34 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_755_40_0 {
	meta:
		name = "?ThreadProxyMain@ThreadProxy@details@Concurrency@@CAKPEAX@Z"
		size = 68
		refs = "0015 __imp_WaitForSingleObjectEx 0038 ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 45 33 C0 83 CA FF FF 15 ?? ?? ?? ?? 33 C0 48 8B CB 87 43 34 48 8B 13 FF 52 28 48 8B 03 BA 01 00 00 00 48 8B CB FF 50 20 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_756_0_0 {
	meta:
		name = "??_N@YAXPEAX_KHP6AX0@Z2@Z"
		size = 108
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 48 89 48 08 57 41 56 41 57 48 83 EC 30 4D 8B F9 45 8B F0 48 8B F2 48 8B F9 33 DB 89 58 DC 89 58 D8 41 3B DE 7D 1B BA 01 00 00 00 48 8B CF 41 FF D7 48 03 FE 48 89 7C 24 50 FF C3 89 5C 24 24 EB E0 C7 44 24 20 01 00 00 00 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_756_1_0 {
	meta:
		name = "?fin$0@?0???_N@YAXPEAX_KHP6AX0@Z2@Z@4HA"
		size = 44
		refs = "0020 ?__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z"
		altNames = "?fin$0@?0???_L@YAXPEAX_KHP6AX0@Z2@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 20 00 75 16 4C 8B 4D 70 44 8B 45 24 48 8B 55 58 48 8B 4D 50 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_757_5_0 {
	meta:
		name = "vfwprintf_helper"
		size = 160
		refs = "0031 _errno 003c _invalid_parameter_noinfo 0055 _lock_file 005e _stbuf 007d _ftbuf 0086 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 54 24 10 57 41 56 41 57 48 83 EC 20 4D 8B F1 49 8B F0 48 8B FA 4C 8B F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 47 33 C0 4D 85 C0 0F 95 C0 85 C0 74 DF 48 8B CA E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B D8 4C 8B 4C 24 60 4D 8B C6 48 8B D6 48 8B CF 41 FF D7 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_758_0_0 {
	meta:
		name = "_FCosh"
		size = 245
		refs = "001e _fdtest 004a __xmm@80000000800000008000000080000000 0057 _FXbig_C 006c __real@3f800000 0071 _fdexp 0079 __real@3e800000 00c7 _FInf_C 00d7 _fperrraise 00df _FNan_C"
	strings:
		$1 = { 48 89 5C 24 18 F3 0F 11 4C 24 10 F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 4D 18 0F B7 D8 E8 ?? ?? ?? ?? 33 D2 66 3B D3 7E 65 66 3B D0 7E 60 F3 0F 10 4D 10 0F 57 C0 0F 2F C1 76 0C 0F 57 0D ?? ?? ?? ?? F3 0F 11 4D 10 F3 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 0F 2F C1 76 26 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 45 10 F3 0F 58 45 10 F3 0F 59 45 18 EB 5C F3 0F 10 4D 18 E8 ?? ?? ?? ?? EB 06 66 83 FB 02 75 07 F3 0F 10 45 10 EB 43 66 83 F8 02 74 38 B9 01 00 00 00 66 3B D9 75 2E 66 85 C0 74 1A 0F 57 C0 0F 2F 45 18 F3 0F 10 05 ?? ?? ?? ?? 76 1D 0F 57 05 ?? ?? ?? ?? EB 14 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 05 F3 0F 10 45 18 48 8B 5C 24 40 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_758_1_0 {
	meta:
		name = "ccoshf"
		size = 357
		refs = "0015 crealf 0023 cimagf 0031 _fdtest 004b _FNan_C 006b _fperrraise 0081 _FZero_C 0088 __xmm@80000000800000008000000080000000 00aa _FInf_C 00fc sinf 0111 cosf 0132 _FSinh 014c _FCosh 0154 _FCbuild"
	strings:
		$1 = { 48 89 4C 24 08 55 53 57 48 8B EC 48 83 EC 30 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4D 20 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 17 F3 0F 10 05 ?? ?? ?? ?? 66 85 C0 75 67 F3 0F 10 4D 28 E9 F5 00 00 00 BF 01 00 00 00 66 3B C7 75 5B 8B CF E8 ?? ?? ?? ?? 66 85 DB 75 25 0F 57 C9 0F 2F 4D 28 76 0F F3 0F 10 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 BA 00 00 00 66 3B DF 75 15 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 A0 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 28 C8 E9 90 00 00 00 66 83 F8 02 75 0C 66 85 DB 75 CB F3 0F 10 4D 30 EB B7 66 3B DF 75 45 66 85 C0 75 17 F3 0F 10 4D 28 0F 57 C0 0F 2F 45 30 76 B9 0F 57 0D ?? ?? ?? ?? EB B0 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 F3 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? EB 31 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 30 5F 5B 5D C3 }
	condition:
		$1
}

rule file_762_0_0 {
	meta:
		name = "_filbuf"
		size = 323
		refs = "0018 _errno 0023 _invalid_parameter_noinfo 005c _getbuf 006d _fileno 007c _read 00bd __pioinfo 00dd __badioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 04 01 00 00 8B 41 18 A8 83 0F 84 F9 00 00 00 A8 40 0F 85 F1 00 00 00 A8 02 74 0B 83 C8 20 89 41 18 E9 E2 00 00 00 83 C8 01 89 41 18 A9 0C 01 00 00 75 07 E8 ?? ?? ?? ?? EB 07 48 8B 41 10 48 89 01 48 8B CF E8 ?? ?? ?? ?? 44 8B 47 24 48 8B 57 10 8B C8 E8 ?? ?? ?? ?? 89 47 08 8D 48 01 83 F9 01 0F 86 90 00 00 00 F6 47 18 82 75 5A 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 38 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 2B 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 8D 35 ?? ?? ?? ?? 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 48 6B C8 58 48 03 0C DE EB 07 48 8D 0D ?? ?? ?? ?? 8A 41 08 24 82 3C 82 75 05 0F BA 6F 18 0D 81 7F 24 00 02 00 00 75 16 F6 47 18 08 74 10 F7 47 18 00 04 00 00 75 07 C7 47 24 00 10 00 00 48 8B 0F FF 4F 08 0F B6 01 48 FF C1 48 89 0F EB 14 F7 D8 1B C0 83 E0 10 83 C0 10 09 47 18 83 67 08 00 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_763_0_0 {
	meta:
		name = "__avx_sinf8"
		size = 2784
		refs = "0080 __common_ssin_data 0213 __common_ssin_cout_rare 0248 __common_ssin_reduction_data"
	strings:
		$1 = { 56 41 56 41 57 48 81 EC C0 02 00 00 33 F6 C5 7C 11 BC 24 A0 02 00 00 C5 7C 11 B4 24 60 02 00 00 C5 7C 11 AC 24 20 02 00 00 C5 7C 11 A4 24 40 02 00 00 C5 7C 11 9C 24 C0 01 00 00 C5 7C 11 94 24 E0 01 00 00 C5 7C 11 8C 24 A0 01 00 00 C5 7C 11 84 24 80 02 00 00 C5 FC 11 BC 24 80 01 00 00 C5 FC 11 B4 24 00 02 00 00 C5 C1 EF FF 4C 89 AC 24 D8 00 00 00 4C 8D AC 24 1F 01 00 00 C5 FC 10 35 ?? ?? ?? ?? 49 83 E5 C0 C5 FC 54 D6 C5 EC C2 0D ?? ?? ?? ?? 1E C4 E3 7D 19 CB 01 C5 F1 6B E3 C5 D9 63 EF C5 F9 D7 C5 84 C0 0F 85 6A 01 00 00 C5 7C 10 05 ?? ?? ?? ?? C5 EC 59 1D ?? ?? ?? ?? C4 C1 64 58 E0 C5 CC 55 C8 C5 D1 72 F4 1F C4 41 5C 5C E8 C5 14 59 0D ?? ?? ?? ?? C5 14 59 15 ?? ?? ?? ?? C5 14 59 25 ?? ?? ?? ?? C5 14 59 3D ?? ?? ?? ?? C4 C1 6C 5C D1 C4 41 6C 5C DA C4 41 24 5C F4 C4 C1 0C 5C D7 C5 6C 59 D2 C4 E3 7D 19 E6 01 C5 AC 59 25 ?? ?? ?? ?? C5 C1 72 F6 1F C4 E3 55 18 DF 01 C5 DC 58 2D ?? ?? ?? ?? C4 C1 54 59 F2 C5 CC 58 3D ?? ?? ?? ?? C4 41 44 59 C2 C5 3C 58 0D ?? ?? ?? ?? C4 41 34 59 DA C5 6C 57 EB C4 41 24 59 E5 C4 41 1C 58 F5 C5 8C 57 C9 40 84 F6 75 73 C5 FC 10 B4 24 00 02 00 00 C5 FC 10 BC 24 80 01 00 00 C5 7C 10 84 24 80 02 00 00 C5 7C 10 8C 24 A0 01 00 00 C5 7C 10 94 24 E0 01 00 00 C5 7C 10 9C 24 C0 01 00 00 C5 7C 10 A4 24 40 02 00 00 C5 7C 10 AC 24 20 02 00 00 C5 7C 10 B4 24 60 02 00 00 C5 7C 10 BC 24 A0 02 00 00 4C 8B AC 24 D8 00 00 00 C5 FC 28 C1 48 81 C4 C0 02 00 00 41 5F 41 5E 5E C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 F6 0F 84 79 FF FF FF 45 33 F6 44 0F A3 F6 72 14 41 FF C6 41 83 FE 20 7C F1 C4 C1 7C 10 4D 40 E9 5C FF FF FF C5 F8 77 4B 8D 4C B5 00 4B 8D 54 B5 40 E8 ?? ?? ?? ?? EB D8 C5 7C 10 15 ?? ?? ?? ?? BA 00 00 80 7F C4 C1 7C 11 45 00 C5 79 6E C2 C4 41 79 70 E8 00 C5 AC 54 F2 BA FF 00 00 00 C4 C1 4C C2 CA 00 48 8D 05 ?? ?? ?? ?? C5 91 DB E0 C4 C3 7D 19 C7 01 C5 89 72 D4 17 C4 41 11 DB CF C4 C1 19 72 F6 01 C4 C1 21 72 D1 17 C4 C1 19 FE EE C4 C1 49 72 F3 01 C4 41 49 FE D3 C4 C1 31 72 F2 02 C4 41 79 7E CE C5 F8 11 44 24 20 C5 78 11 7C 24 30 C4 43 79 16 CF 01 C4 63 79 16 CE 02 C4 E3 7D 19 CB 01 C5 F1 6B D3 C5 F1 72 F5 02 C5 E9 63 FF C5 F9 D7 CF C4 C1 79 7E C8 C4 41 79 6E 24 06 C4 41 79 6E 34 07 89 8C 24 D0 00 00 00 C4 63 79 16 C9 03 C4 C3 79 16 CA 02 C4 C3 79 16 CB 03 C4 C3 79 16 C9 01 C5 F9 6E 2C 06 C5 F9 6E 34 01 C4 C1 79 6E 3C 02 C4 41 79 6E 04 03 C4 41 19 6C DE C5 51 6C D6 C5 F9 6E 6C 06 04 C5 F9 6E 74 01 04 C4 41 41 6C E8 C4 41 20 C6 C2 88 C4 41 79 6E 64 06 04 C4 41 79 6E 74 07 04 C5 51 6C D6 C4 C1 79 6E 6C 07 08 41 BF FF FF 7F 00 C4 C1 79 6E 1C 00 C4 C1 79 6E 14 01 C4 41 19 6C DE C4 41 79 6E 74 06 08 41 BE 00 00 80 00 C5 E1 6C E2 C4 C1 79 6E 4C 00 04 C4 C1 79 6E 5C 01 04 C4 C1 79 6E 54 02 04 C4 C1 79 6E 7C 03 04 C4 41 58 C6 ED 88 C5 F1 6C E3 C5 69 6C CF C4 C1 79 6E 7C 03 08 41 BB FF FF 00 00 C4 C1 79 6E 4C 00 08 41 B8 00 00 40 47 C4 C1 79 6E 5C 01 08 41 B9 00 00 80 3F C4 C1 79 6E 54 02 08 41 BA 00 00 00 80 C4 C1 58 C6 E1 88 C5 71 6C CB C5 69 6C E7 C4 C1 79 6E FF C4 C1 30 C6 CC 88 C4 41 79 6E CE C5 79 70 E7 00 41 BF 00 00 80 28 C5 89 6C DD C5 99 DB C0 C4 C1 79 70 E9 00 C4 41 19 DB FF C4 41 20 C6 D2 88 C5 79 FE F5 C5 F9 6E 74 06 08 C4 C1 79 6E C3 C5 79 6E 5C 01 08 48 8D 05 ?? ?? ?? ?? 41 BE FF FF 03 00 C4 C1 49 6C D3 C5 81 FE F5 C5 79 70 F8 00 C5 A1 72 D4 10 C4 C1 11 DB FF C4 41 09 DB CF C5 78 11 44 24 50 C4 41 39 DB E7 C5 E0 C6 DA 88 C4 C1 39 72 D2 10 C4 C1 29 DB C7 C5 E9 72 D1 10 C4 C1 29 72 D6 10 C4 41 49 DB F7 C5 FA 7F 7C 24 60 C4 C1 59 DB EF C4 E2 31 40 FF C4 C1 71 DB CF C5 FA 7F BC 24 B0 00 00 00 C5 D9 72 D3 10 C4 E2 29 40 FA C4 C1 61 DB DF C4 E2 31 40 D2 41 BB 00 00 00 34 C5 78 11 6C 24 40 C5 91 72 D6 10 C4 C2 09 40 F4 C5 E9 72 D2 10 C5 7A 7F 64 24 70 C5 C1 FE FA C5 7A 7F 84 24 90 00 00 00 B9 7A 77 95 B7 C5 FA 7F 84 24 A0 00 00 00 BE FF FF FF 7F C5 FA 7F B4 24 C0 00 00 00 C4 42 09 40 E0 C4 E2 31 40 F5 C4 62 09 40 C0 C4 E2 29 40 C1 C4 C1 39 DB D7 C5 F1 72 D0 10 C4 C1 49 DB C7 C5 F9 FE C7 C5 C9 72 D6 10 C5 F1 FE F8 C4 C1 39 72 D0 10 C4 E2 11 40 C3 C4 E2 11 40 DC C5 F9 72 D0 10 C4 E2 09 40 E4 C5 F1 72 D4 10 C5 E1 FE D9 C5 F1 72 D7 10 C5 7A 7F 9C 24 80 00 00 00 C5 E9 FE D3 C4 42 31 40 DB C5 F9 FE E2 C4 E2 29 40 ED C4 C1 21 DB C7 C5 D1 FE DE C4 C1 19 DB D7 C5 F9 FE C3 C5 E1 72 D4 10 C5 F1 FE F0 C4 C1 21 72 D3 10 C4 E2 11 40 8C 24 A0 00 00 00 C5 D1 72 D6 10 C4 C1 71 FE C0 C4 C1 19 72 D4 10 C5 E9 FE C8 C4 C1 41 DB FF C4 E2 29 40 94 24 80 00 00 00 C5 61 FE C1 C5 FA 6F 9C 24 B0 00 00 00 C4 C1 69 FE C3 C4 C1 61 DB CF C4 C1 69 72 D0 10 C5 F1 FE C8 C4 C1 39 72 F0 10 C4 62 11 40 9C 24 90 00 00 00 C5 D1 FE E9 C5 FA 6F 8C 24 C0 00 00 00 C4 41 21 FE DC C4 C1 71 DB C7 C5 99 72 D5 10 C4 C1 79 FE C3 C5 F1 72 D1 10 C5 78 10 5C 24 40 C5 E9 FE D0 C4 C1 79 72 D3 10 C4 C1 51 DB EF C4 62 29 40 54 24 60 C4 41 79 6E D9 C4 62 31 40 C8 C5 F9 72 D3 10 C4 41 31 DB CF C5 29 FE D0 C4 C1 31 FE DA C5 F9 72 D2 10 C5 19 FE CB C4 C1 69 DB D7 C5 F8 10 5C 24 50 C4 C1 19 72 F1 10 C5 B1 72 D3 10 C5 19 FE D5 C4 62 11 40 6C 24 70 41 B9 DB 0F C9 40 C4 42 09 40 F1 C5 11 FE E9 C4 C1 09 DB DF C4 41 59 DB FF C4 41 61 FE CD C4 C1 79 6E E2 C4 C1 79 FE C1 C5 89 72 F6 10 C5 F9 70 F4 00 C5 99 72 F0 10 C5 C9 DB 6C 24 20 C5 09 FE CF C4 C1 79 70 FB 00 C5 99 FE C2 C5 49 DB 74 24 30 C4 C1 71 72 D2 09 C5 D1 EF DF C4 41 79 6E E0 C4 41 39 FE FF C5 B9 72 D0 09 C5 89 EF E7 C5 F1 EB D3 C4 C1 79 70 F4 00 C5 39 EB EC C4 41 79 6E E7 41 BA FF 01 00 00 41 B8 00 10 C9 40 41 BF 00 00 80 35 C4 C3 6D 18 CD 01 C5 F9 6E D2 C4 63 4D 18 DE 01 BA 00 F0 FF FF C5 A4 58 E1 C5 79 70 C2 00 C4 C1 5C 5C DB C5 74 5C EB C4 C1 79 70 CC 00 C4 41 79 6E E6 C5 D1 EF D1 C5 89 EF D9 C4 C1 79 70 CC 00 C4 C1 71 DB F1 C4 C1 71 DB CF C5 A1 72 F6 05 C5 99 72 F1 05 C5 21 EB DA C5 99 EB F3 C4 C1 31 72 D1 12 C4 C1 01 72 D7 12 C4 E3 6D 18 DB 01 C4 C1 79 6E D2 C4 E3 25 18 CE 01 C5 79 6E D9 C5 F9 70 F2 00 C4 C1 79 6E D1 C5 74 5C E3 C4 C1 79 6E CB C4 41 49 DB D2 C5 C9 DB C0 C5 F9 70 D9 00 C4 C1 29 72 F2 0E C5 D1 EF EB C4 41 29 EB D1 C5 A9 EB CD C5 A9 72 F0 0E C5 09 EF F3 C4 41 29 EB D7 C4 C1 29 EB C6 C4 E3 75 18 D8 01 C4 43 55 18 F6 01 C4 C1 79 6E E8 C4 41 64 5C D6 C5 F9 70 F5 00 C4 41 14 58 CA C4 C1 14 5C C1 C5 79 70 EA 00 C5 AC 58 C8 C5 79 6E D2 C4 C1 79 70 C2 00 C4 41 74 58 FC C4 41 79 70 E3 00 C4 E3 7D 18 C8 01 C5 B4 54 E9 C5 34 5C CD C4 43 15 18 ED 01 C4 E3 4D 18 D6 01 C4 C1 79 6E F7 C4 C3 1D 18 DC 01 C4 41 6C 59 D1 C5 E4 59 CD C4 41 14 59 F7 C4 C1 64 59 D9 C5 EC 59 C5 C5 F9 6E D6 C5 F9 70 EA 00 C5 79 70 CE 00 C5 2C 58 F9 C5 0C 58 D3 C4 C1 04 58 DA C5 FC 58 CB C5 FC 5C C1 C5 7C 58 D3 C4 C1 7C 10 45 00 8B B4 24 D0 00 00 00 C4 E3 7D 19 E7 01 C4 C1 59 DB E0 C5 E9 72 F4 04 C4 C1 41 DB F8 C4 C1 79 7E D7 C4 C3 79 16 D6 01 C4 C3 79 16 D3 02 C4 C3 79 16 D2 03 C4 41 79 6E 04 07 C4 C1 79 6E 14 06 C4 43 35 18 E9 01 C5 B1 72 F7 04 C4 41 79 7E C9 C4 C1 79 6E 24 02 C4 43 79 16 C8 01 C4 63 79 16 C9 02 C4 63 79 16 CA 03 C4 41 79 6E 4C 02 04 C4 63 55 18 DD 01 C4 41 7C 54 E3 C4 C1 1C C2 DD 1E C4 41 1C C2 F5 12 C5 B9 6C EA C4 41 79 6E 04 03 C5 B9 6C F4 C4 41 79 6E 44 03 04 C5 0C 54 F8 C5 E4 54 C9 C5 D0 C6 FE 88 C4 41 79 6E 1C 01 C4 41 79 6E 24 00 C5 79 6E 2C 01 C5 79 6E 34 02 C4 C1 79 6E 6C 07 04 C4 C1 79 6E 74 06 04 C5 84 56 C9 C4 41 21 6C FC C4 C1 11 6C D6 C5 51 6C DE C4 41 39 6C E1 C5 80 C6 E2 88 C4 41 20 C6 EC 88 C4 41 64 54 D2 C5 F4 59 D9 C4 E3 45 18 D4 01 C4 C1 79 6E 64 01 04 48 8D 05 ?? ?? ?? ?? C4 41 79 6E 5C 00 04 C5 79 6E 64 01 04 C5 79 6E 74 02 04 C4 41 59 6C FB C4 41 19 6C C6 C4 41 00 C6 C0 88 C4 43 15 18 C8 01 C4 41 79 6E 6C 07 0C C4 41 79 6E 44 06 0C C4 C1 79 6E 74 03 0C C4 C1 79 6E 6C 02 0C C4 C1 11 6C E0 C4 41 79 6E 64 01 0C C4 41 79 6E 6C 00 0C C5 79 6E 74 01 0C C5 79 6E 7C 02 0C C5 C9 6C FD C4 41 19 6C C5 C4 C1 09 6C F7 C5 58 C6 DF 88 C5 B8 C6 EE 88 C5 6C 59 F9 C4 E3 25 18 FD 01 C5 74 59 E7 C4 41 34 58 EC C4 C1 34 5C E5 C4 41 04 58 C5 C4 C1 5C 58 EC C4 41 14 5C F0 C4 41 79 6E 6C 02 08 C5 E4 59 25 ?? ?? ?? ?? C4 C1 0C 58 F7 C5 5C 58 1D ?? ?? ?? ?? C5 EC 58 E7 C5 CC 58 F5 C4 C1 79 6E 7C 07 08 C5 24 59 E3 C5 E4 59 15 ?? ?? ?? ?? C4 41 79 6E 5C 06 08 C4 41 41 6C F3 C4 C1 79 6E 7C 01 08 C4 41 79 6E 5C 00 08 C5 9C 59 E9 C4 C1 74 59 C9 C4 41 79 6E 64 03 08 C4 41 19 6C FD C5 EC 58 15 ?? ?? ?? ?? C4 41 41 6C EB C5 F9 6E 7C 01 08 C5 DC 5C C9 C5 79 6E 64 02 08 C5 EC 59 DB C5 2C 59 D1 C4 C1 08 C6 D7 88 C4 41 41 6C F4 C4 41 10 C6 FE 88 C4 C1 64 59 D9 C5 D4 59 E9 C5 D4 58 F6 C4 C3 6D 18 D7 01 C5 2C 58 D2 C4 C1 64 58 E2 C5 DC 58 FE C5 BC 58 CF E9 89 F6 FF FF 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_765_0_0 {
	meta:
		name = "_CRT_INIT"
		size = 351
		refs = "0013 _heap_init 0023 _mtinit 002c _heap_term 0033 _RTC_Initialize 0039 __imp_GetCommandLineA 0040 _acmdln 0045 __crtGetEnvironmentStringsA 004c _aenvptr 0051 _ioinit 005a _mtterm 0061 _setargv 006a _setenvp 0075 _cinit 007f __proc_attached 0089 _ioterm 00ab _C_Termination_Done 00b2 _cexit 00b7 __freeCrtMemory 00d7 __flsindex 00f1 __crtFlsGetValue 0103 _calloc_crt 011d __crtFlsSetValue 012b _initptd 0131 __imp_GetCurrentThreadId 013f free 0150 _freeptd"
	strings:
		$1 = { 4C 89 44 24 18 53 48 83 EC 20 49 8B D8 83 FA 01 75 7D E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 37 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB E9 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 07 E8 ?? ?? ?? ?? EB CB E8 ?? ?? ?? ?? 85 C0 78 1F E8 ?? ?? ?? ?? 85 C0 78 16 33 C9 E8 ?? ?? ?? ?? 85 C0 75 0B FF 05 ?? ?? ?? ?? E9 CC 00 00 00 E8 ?? ?? ?? ?? EB CA 85 D2 75 52 8B 05 ?? ?? ?? ?? 85 C0 0F 8E 7A FF FF FF FF C8 89 05 ?? ?? ?? ?? 39 15 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 DB 75 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 85 DB 75 7F 83 3D ?? ?? ?? ?? FF 74 76 E8 ?? ?? ?? ?? EB 6F 83 FA 02 75 5E 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 5A BA 78 04 00 00 8D 48 01 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 08 FF FF FF 48 8B D0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 85 C0 74 16 33 D2 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 03 48 83 4B 08 FF EB 16 E8 ?? ?? ?? ?? E9 D3 FE FF FF 83 FA 03 75 07 33 C9 E8 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_765_1_0 {
	meta:
		name = "_CRT_INIT$fin$0"
		size = 38
		refs = "0012 __flsindex 001a _mtterm"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 83 7D 40 00 75 0F 83 3D ?? ?? ?? ?? FF 74 06 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_765_2_0 {
	meta:
		name = "_DllMainCRTStartup"
		size = 61
		refs = "001d __security_init_cookie 0039 __DllMainCRTStartup"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 8B DA 48 8B F1 83 FA 01 75 05 E8 ?? ?? ?? ?? 4C 8B C7 8B D3 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_3_0 {
	meta:
		name = "__DllMainCRTStartup"
		size = 288
		refs = "0030 __proc_attached 0048 _pRawDllMain 0068 _CRT_INIT 0086 DllMain"
	strings:
		$1 = { 48 8B C4 48 89 58 20 4C 89 40 18 89 50 10 48 89 48 08 56 57 41 56 48 83 EC 50 49 8B F0 8B DA 4C 8B F1 BA 01 00 00 00 89 50 B8 85 DB 75 0F 39 1D ?? ?? ?? ?? 75 07 33 C0 E9 D2 00 00 00 8D 43 FF 83 F8 01 77 38 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 0A 8B D3 FF D0 8B D0 89 44 24 20 85 D2 74 17 4C 8B C6 8B D3 49 8B CE E8 ?? ?? ?? ?? 8B D0 89 44 24 20 85 C0 75 07 33 C0 E9 92 00 00 00 4C 8B C6 8B D3 49 8B CE E8 ?? ?? ?? ?? 8B F8 89 44 24 20 83 FB 01 75 34 85 C0 75 30 4C 8B C6 33 D2 49 8B CE E8 ?? ?? ?? ?? 4C 8B C6 33 D2 49 8B CE E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 0A 4C 8B C6 33 D2 49 8B CE FF D0 85 DB 74 05 83 FB 03 75 37 4C 8B C6 8B D3 49 8B CE E8 ?? ?? ?? ?? F7 D8 1B C9 23 CF 8B F9 89 4C 24 20 74 1C 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 10 4C 8B C6 8B D3 49 8B CE FF D0 8B F8 89 44 24 20 8B C7 EB 02 33 C0 48 8B 9C 24 88 00 00 00 48 83 C4 50 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_765_4_0 {
	meta:
		name = "__DllMainCRTStartup$filt$0"
		size = 73
		refs = "0030 _CRT_INIT 003d __CppXcptFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 89 4D 40 48 8B 01 8B 10 89 55 30 48 89 4D 38 89 55 28 83 7D 78 01 75 13 4C 8B 85 80 00 00 00 33 D2 48 8B 4D 70 E8 ?? ?? ?? ?? 90 48 8B 55 38 8B 4D 28 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_765_5_0 {
	meta:
		name = "__DllXcptFilter"
		size = 38
		refs = "0011 _CRT_INIT 0022 __CppXcptFilter"
	strings:
		$1 = { 40 53 48 83 EC 20 41 8B D9 83 FA 01 75 07 33 D2 E8 ?? ?? ?? ?? 48 8B 54 24 50 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_766_0_0 {
	meta:
		name = "_time32"
		size = 85
		refs = "0010 __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 48 8B 54 24 30 48 B9 00 80 C1 2A 21 4E 62 FE 48 03 D1 48 B8 BD 42 7A E5 D5 94 BF D6 48 F7 E2 48 83 C8 FF 48 C1 EA 17 48 81 FA 7F D2 FF 7F 48 0F 4F D0 48 85 DB 74 02 89 13 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_767_0_0 {
	meta:
		name = "_fullpath"
		size = 299
		refs = "0041 __imp_GetFullPathNameA 004b __imp_GetLastError 0052 _dosmaperr 0070 _errno 0085 calloc 00af _invalid_parameter_noinfo 00db free 0112 _getcwd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 20 49 8B F8 48 8B EA 48 8B F1 48 85 D2 0F 84 E8 00 00 00 80 3A 00 0F 84 DF 00 00 00 48 85 C9 75 6A 45 33 C9 45 33 C0 33 D2 48 8B CD FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 E9 B9 00 00 00 8B C0 48 3B F8 48 0F 47 C7 48 8B F8 48 83 F8 FF 76 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB DA BA 01 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B8 4D 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB A1 48 8B D9 4C 8D 4C 24 38 4C 8B C3 8B D7 48 8B CD FF 15 ?? ?? ?? ?? 8B C8 48 3B CF 72 1D 48 85 F6 75 08 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 67 FF FF FF 85 C0 75 16 48 85 F6 0F 85 4D FF FF FF 48 8B CB E8 ?? ?? ?? ?? E9 40 FF FF FF 48 8B C3 EB 08 41 8B D0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_768_0_0 {
	meta:
		name = "feupdateenv"
		size = 64
		refs = "0013 fetestexcept 001d fesetenv 0028 feraiseexcept"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 B9 1F 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 8B F8 E8 ?? ?? ?? ?? 85 C0 75 0B 8B CF E8 ?? ?? ?? ?? 85 C0 74 05 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_769_0_0 {
	meta:
		name = "_FF_MSGBANNER"
		size = 67
		refs = "000a _set_error_mode 0023 __app_type 0030 _NMSG_WRITE"
	strings:
		$1 = { 48 83 EC 28 B9 03 00 00 00 E8 ?? ?? ?? ?? 83 F8 01 74 17 B9 03 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 1D 83 3D ?? ?? ?? ?? 01 75 14 B9 FC 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_769_1_0 {
	meta:
		name = "_GET_RTERRMSG"
		size = 47
		refs = "0003 rterrs"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 33 D2 4D 8B C1 41 3B 08 74 12 FF C2 49 83 C0 10 48 63 C2 48 83 F8 17 72 EC 33 C0 C3 48 63 C2 48 03 C0 49 8B 44 C1 08 C3 }
	condition:
		$1
}

rule file_769_2_0 {
	meta:
		name = "_NMSG_WRITE"
		size = 623
		refs = "001e __security_cookie 0030 _GET_RTERRMSG 0046 _set_error_mode 0061 __app_type 007b ?outmsg@?8??_NMSG_WRITE@@9@9 0088 ??_C@_1DE@JNGNBFGO@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 0093 wcscpy_s 00ba __imp_GetModuleFileNameW 00c9 ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 00e3 wcslen 00ff ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 011d wcsncpy_s 012c ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 0137 wcscat_s 015c ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 016a __crtMessageBoxW 0177 __imp_GetStdHandle 01bc strlen 01d7 __imp_WriteFile 01e7 __security_check_cookie 0218 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 0F 84 99 01 00 00 8D 4E 03 E8 ?? ?? ?? ?? 83 F8 01 0F 84 1D 01 00 00 8D 4E 03 E8 ?? ?? ?? ?? 85 C0 75 0D 83 3D ?? ?? ?? ?? 01 0F 84 04 01 00 00 81 FF FC 00 00 00 0F 84 63 01 00 00 48 8D 2D ?? ?? ?? ?? 41 BF 14 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B CD 41 8B D7 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 BB 01 00 00 4C 8D 35 ?? ?? ?? ?? 41 B8 04 01 00 00 66 89 35 ?? ?? ?? ?? 49 8B D6 FF 15 ?? ?? ?? ?? 41 8D 7F E7 85 C0 75 19 4C 8D 05 ?? ?? ?? ?? 8B D7 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 29 01 00 00 49 8B CE E8 ?? ?? ?? ?? 48 FF C0 48 83 F8 3C 76 39 49 8B CE E8 ?? ?? ?? ?? 48 8D 4D BC 4C 8D 05 ?? ?? ?? ?? 48 8D 0C 41 41 B9 03 00 00 00 48 8B C1 49 2B C6 48 D1 F8 48 2B F8 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 F4 00 00 00 4C 8D 05 ?? ?? ?? ?? 49 8B D7 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 04 01 00 00 4C 8B C3 49 8B D7 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 D9 00 00 00 48 8D 15 ?? ?? ?? ?? 41 B8 10 20 01 00 48 8B CD E8 ?? ?? ?? ?? EB 6B B9 F4 FF FF FF FF 15 ?? ?? ?? ?? 48 8B F8 48 8D 48 FF 48 83 F9 FD 77 53 44 8B C6 48 8D 54 24 40 8A 0B 88 0A 66 39 33 74 15 41 FF C0 48 FF C2 48 83 C3 02 49 63 C0 48 3D F4 01 00 00 72 E2 48 8D 4C 24 40 40 88 B4 24 33 02 00 00 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 48 8D 54 24 40 48 8B CF 4C 8B C0 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 28 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5F 41 5E 5F C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_770_0_0 {
	meta:
		name = "_exp_special"
		size = 206
		refs = "00ae ??_C@_03KHJOGHMM@exp?$AA@ 00bd _handle_error"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 0F 28 D0 0F 28 F1 41 FF C8 74 65 41 FF C8 74 31 41 FF C8 0F 85 9D 00 00 00 C7 40 D8 01 00 00 00 0F 57 C0 45 8D 48 03 F2 0F 11 40 D0 F2 0F 11 50 C8 C7 40 C0 22 00 00 00 C7 40 B8 11 00 00 00 EB 59 C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 04 00 00 00 F2 0F 11 44 24 38 F2 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 EB 2A C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 01 00 00 00 F2 0F 11 44 24 38 F2 0F 11 54 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 F2 0F 11 4C 24 78 48 8D 0D ?? ?? ?? ?? BA 14 00 00 00 4C 8B 44 24 78 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_770_1_0 {
	meta:
		name = "_expf_special"
		size = 221
		refs = "00c2 ??_C@_04KBNCNMNN@expf?$AA@ 00cc _handle_errorf"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 0F 29 70 E8 0F 28 D0 0F 28 F1 41 FF C8 74 65 41 FF C8 74 31 41 FF C8 0F 85 AC 00 00 00 C7 40 D8 01 00 00 00 0F 57 C0 45 8D 48 03 F3 0F 11 40 D0 F3 0F 11 50 C8 C7 40 C0 22 00 00 00 C7 40 B8 11 00 00 00 EB 59 C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 04 00 00 00 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 EB 2A C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 01 00 00 00 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 83 A4 24 88 00 00 00 00 F3 0F 11 B4 24 88 00 00 00 4C 8B 84 24 88 00 00 00 48 8D 0D ?? ?? ?? ?? BA 14 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_771_10_0 {
	meta:
		name = "??0UMSThreadInternalContext@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
		size = 54
		refs = "000a ??0InternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z 0011 ??_7UMSThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 001b ??_7UMSThreadInternalContext@details@Concurrency@@6BContextBase@12@@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 05 ?? ?? ?? ?? 48 89 43 10 C7 83 80 01 00 00 00 00 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_771_16_0 {
	meta:
		name = "??1UMSThreadInternalContext@details@Concurrency@@UEAA@XZ"
		size = 26
		refs = "0003 ??_7UMSThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 000d ??_7UMSThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0016 ??1InternalContextBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1248_16_0 {
	meta:
		name = "??1ThreadInternalContext@details@Concurrency@@UEAA@XZ"
		size = 26
		refs = "0003 ??_7ThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 000d ??_7ThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0016 ??1InternalContextBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_771_29_0 {
	meta:
		name = "??_GUMSThreadInternalContext@details@Concurrency@@UEAAPEAXI@Z"
		size = 68
		refs = "000d ??_7UMSThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 001c ??_7UMSThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0025 ??1InternalContextBase@details@Concurrency@@UEAA@XZ 0032 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1248_31_0 {
	meta:
		name = "??_GThreadInternalContext@details@Concurrency@@UEAAPEAXI@Z"
		size = 68
		refs = "000d ??_7ThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 001c ??_7ThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0025 ??1InternalContextBase@details@Concurrency@@UEAA@XZ 0032 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_771_32_0 {
	meta:
		name = "?Block@UMSThreadInternalContext@details@Concurrency@@UEAAXXZ"
		size = 201
		refs = "0013 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0027 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 004c ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 008a ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 00ae ?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z 00c5 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 38 48 8B 01 8B 7B 20 FF 50 08 44 8A 05 ?? ?? ?? ?? B2 04 BE 02 00 00 00 44 3A C2 72 19 8B 0D ?? ?? ?? ?? 40 84 CE 74 0E 8D 4E 01 44 8B CF 44 8B C0 E8 ?? ?? ?? ?? 48 8B 83 F8 00 00 00 41 B8 01 00 00 00 80 B8 01 01 00 00 00 41 8B C0 74 27 F0 0F C1 43 54 41 03 C0 41 3B C0 75 0D 41 8B C0 F0 0F B1 73 54 41 8B D0 74 02 8B D6 48 8D 4B F0 E8 ?? ?? ?? ?? EB 22 F0 0F C1 43 54 41 03 C0 41 3B C0 75 15 41 8B C0 F0 0F B1 73 54 75 0B 48 8D 4B F0 33 D2 E8 ?? ?? ?? ?? 48 8B CB 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_771_36_0 {
	meta:
		name = "?EnterCriticalRegionHelper@UMSThreadInternalContext@details@Concurrency@@UEAAHXZ"
		size = 91
		refs = "003b __imp_Sleep"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 41 24 48 8B D9 48 8B 89 F0 00 00 00 EB 34 48 8B 8B F8 00 00 00 48 85 C9 74 34 48 83 B9 78 01 00 00 00 74 2A 48 8B 03 48 8B CB FF 50 70 B9 01 00 00 00 FF 15 ?? ?? ?? ?? FF 43 24 48 8B 8B F0 00 00 00 48 8B 01 FF 50 20 83 7B 24 01 74 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_771_38_0 {
	meta:
		name = "?EnterHyperCriticalRegionHelper@UMSThreadInternalContext@details@Concurrency@@UEAAHXZ"
		size = 97
		refs = "003e __imp_Sleep"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 41 24 FF 41 28 48 8B D9 48 8B 89 F0 00 00 00 EB 37 48 8B 8B F8 00 00 00 48 85 C9 74 37 48 83 B9 78 01 00 00 00 74 2D 48 8B 03 48 8B CB FF 50 78 B9 01 00 00 00 FF 15 ?? ?? ?? ?? FF 43 24 FF 43 28 48 8B 8B F0 00 00 00 48 8B 01 FF 50 30 83 7B 24 01 74 BD 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_771_40_0 {
	meta:
		name = "?ExitCriticalRegionHelper@UMSThreadInternalContext@details@Concurrency@@UEAAHXZ"
		size = 17
	strings:
		$1 = { FF 49 24 48 8B 89 F0 00 00 00 48 8B 01 48 FF 60 28 }
	condition:
		$1
}

rule file_771_42_0 {
	meta:
		name = "?ExitHyperCriticalRegionHelper@UMSThreadInternalContext@details@Concurrency@@UEAAHXZ"
		size = 23
	strings:
		$1 = { 83 C8 FF 01 41 24 01 41 28 48 8B 89 F0 00 00 00 48 8B 01 48 FF 60 38 }
	condition:
		$1
}

rule file_771_49_0 {
	meta:
		name = "?IsSynchronouslyBlocked@UMSThreadInternalContext@details@Concurrency@@UEBA_NXZ"
		size = 24
	strings:
		$1 = { 8B 41 54 83 F8 02 74 0A 8B 41 50 A8 02 75 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_771_50_0 {
	meta:
		name = "?NotifyBlocked@UMSThreadInternalContext@details@Concurrency@@AEAAX_N@Z"
		size = 25
	strings:
		$1 = { F6 DA 48 C7 81 08 01 00 00 00 00 00 00 1B C0 83 E0 02 83 C0 02 87 41 60 C3 }
	condition:
		$1
}

rule file_771_53_0 {
	meta:
		name = "?PrepareToRun@UMSThreadInternalContext@details@Concurrency@@EEAAXPEAVVirtualProcessor@23@@Z"
		size = 26
	strings:
		$1 = { 48 89 91 78 01 00 00 33 C0 89 81 80 01 00 00 48 89 91 08 01 00 00 87 41 60 C3 }
	condition:
		$1
}

rule file_771_54_0 {
	meta:
		name = "?RMAwaken@UMSThreadInternalContext@details@Concurrency@@EEAAXXZ"
		size = 130
		refs = "0079 ?MoveCompletionListToRunnables@UMSThreadScheduler@details@Concurrency@@QEAA_NVlocation@3@@Z"
	strings:
		$1 = { 48 83 EC 48 48 8B 41 48 4C 8B C1 33 C9 48 85 C0 74 04 48 8D 48 F0 4D 8B 80 08 01 00 00 8B 54 24 20 41 B9 FF FF FF 0F 41 8B 80 D8 00 00 00 33 C2 41 23 C1 33 D0 89 54 24 20 41 8B 80 D8 00 00 00 33 C2 48 8D 54 24 20 41 23 C1 41 33 80 D8 00 00 00 89 44 24 20 49 8B 80 E0 00 00 00 48 89 44 24 28 41 8B 80 DC 00 00 00 89 44 24 24 49 8B 80 E8 00 00 00 48 89 44 24 30 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_771_55_0 {
	meta:
		name = "?SpinOnAndReturnBlockingType@UMSThreadInternalContext@details@Concurrency@@AEAA?AW4BlockingType@123@XZ"
		size = 67
		refs = "001a ?_Sleep0@details@Concurrency@@YAXXZ 0029 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 81 80 01 00 00 48 8B D9 85 C0 75 24 21 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 80 01 00 00 85 C0 74 EC 8B 83 80 01 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_774_0_0 {
	meta:
		name = "wcstok"
		size = 167
		refs = "0011 _getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 E8 ?? ?? ?? ?? 45 33 C9 4C 8B C0 48 85 DB 75 2D 48 8B 58 28 EB 27 48 8B C7 66 44 39 0F 74 14 0F B7 17 66 3B D1 74 0C 48 83 C0 02 0F B7 10 66 85 D2 75 EF 66 44 39 08 74 0C 48 83 C3 02 0F B7 0B 66 85 C9 75 D1 48 8B C3 EB 27 48 8B CF 66 44 39 0F 74 14 0F B7 17 66 3B 13 74 0C 48 83 C1 02 0F B7 11 66 85 D2 75 EF 66 44 39 09 75 0C 48 83 C3 02 66 44 39 0B 75 D3 EB 08 66 44 89 0B 48 83 C3 02 48 3B C3 49 89 58 28 48 8B 5C 24 30 49 0F 44 C1 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_775_1_0 {
	meta:
		name = "csqrtl"
		size = 487
		refs = "0026 creall 003c cimagl 004a _ldtest 0089 _LHypot 00b3 __xmm@7fffffffffffffff7fffffffffffffff 00b8 ldexp 00c4 __real@4000000000000000 00cd sqrt 0125 __xmm@80000000000000008000000000000000 018a _LInf_C 01ae _LZero_C 01c9 _LCbuild"
	strings:
		$1 = { 40 55 53 56 57 41 56 48 8B EC 48 83 EC 40 0F 10 02 48 8B D9 48 8D 4D E0 0F 29 74 24 30 48 8B FA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D E0 F2 0F 11 45 40 0F 10 07 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 38 F2 0F 11 45 38 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 0F B7 F0 66 41 3B C6 75 0A F2 0F 10 55 38 E9 55 01 00 00 48 8D 4D 40 E8 ?? ?? ?? ?? 66 41 3B C6 0F 84 DF 00 00 00 F2 0F 10 4D 38 F2 0F 10 45 40 4C 8D 45 30 E8 ?? ?? ?? ?? 8B 7D 30 0F 28 F0 85 FF 75 10 0F 28 D0 F2 0F 59 55 38 0F 28 C8 E9 1D 01 00 00 F2 0F 10 45 40 8B D7 F7 DA 0F 54 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 C6 F2 0F 10 35 ?? ?? ?? ?? F2 0F 59 C6 E8 ?? ?? ?? ?? 8B C7 99 2B C2 D1 F8 41 2B C6 8B D0 E8 ?? ?? ?? ?? F2 0F 10 4D 40 0F 28 D8 0F 57 C0 66 0F 2F C8 72 18 F2 0F 10 55 38 0F 28 CB F2 0F 59 CE F2 0F 5E D1 0F 28 CB E9 B9 00 00 00 F2 0F 10 4D 38 B8 00 80 00 00 66 85 45 3E 74 1E 0F 28 D3 F2 0F 59 DE 0F 57 15 ?? ?? ?? ?? F2 0F 5E CB 0F 57 0D ?? ?? ?? ?? E9 8B 00 00 00 66 0F 2E C8 7A 0A 75 08 0F 28 D3 0F 28 C8 EB 7B 0F 28 C3 0F 28 D3 F2 0F 59 C6 F2 0F 5E C8 EB 6B 0F 57 C0 66 83 FE 02 75 18 66 0F 2F 45 40 76 0C F2 0F 10 55 40 F2 0F 10 4D 38 EB 4F 0F 10 07 EB 56 66 0F 2F 45 40 B8 00 80 00 00 76 1E F2 0F 10 15 ?? ?? ?? ?? 66 85 45 3E 0F 84 07 FF FF FF 0F 57 15 ?? ?? ?? ?? E9 FB FE FF FF 66 85 45 3E 74 0F F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 28 D0 F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 0F 28 74 24 30 48 8B C3 F3 0F 7F 03 48 83 C4 40 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_776_0_0 {
	meta:
		name = "floorf"
		size = 205
		refs = "0048 ??_C@_06OJDGOBKJ@floorf?$AA@ 006f _handle_errorf 0089 __real@bf800000 00c4 __real@3f800000"
	strings:
		$1 = { 48 83 EC 58 45 33 C0 0F 28 C8 F3 0F 11 4C 24 60 8B 54 24 60 8B C2 0F BA F0 1F 3B D0 41 0F 95 C0 3D 00 00 80 4B 72 4E 3D 00 00 80 7F 0F 86 96 00 00 00 C7 44 24 40 01 00 00 00 44 8B C2 0F 57 C0 BA 0B 00 00 00 48 8D 0D ?? ?? ?? ?? 49 0F BA E8 16 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 44 8D 4A F6 C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? EB 53 3D 00 00 80 3F 73 18 85 C0 74 48 45 85 C0 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 39 0F 57 C0 EB 34 8B C2 B9 96 00 00 00 C1 E8 17 2B C8 B8 01 00 00 00 D3 E0 FF C8 F7 D0 23 C2 89 44 24 60 F3 0F 10 44 24 60 45 85 C0 74 0C 3B D0 74 08 F3 0F 5C 05 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_777_0_0 {
	meta:
		name = "__sse2_log102"
		size = 496
		refs = "0022 __common_dlog10_data 0072 _2il0floatpacket_52 01e0 __common_dlog10_cout_rare"
	strings:
		$1 = { 48 81 EC E8 00 00 00 0F 28 E0 44 0F 29 BC 24 C0 00 00 00 0F 28 E8 44 0F 29 B4 24 D0 00 00 00 4C 8D 05 ?? ?? ?? ?? 4C 89 AC 24 E0 00 00 00 4C 8D 6C 24 6F 44 0F 28 35 ?? ?? ?? ?? 49 83 E5 C0 44 0F 54 F0 44 0F 56 35 ?? ?? ?? ?? 66 41 0F 5A CE 66 0F C2 25 ?? ?? ?? ?? 01 66 0F C2 2D ?? ?? ?? ?? 06 0F 16 C9 0F 56 E5 0F 53 D1 66 0F 50 D4 0F 28 1D ?? ?? ?? ?? 0F 28 C8 66 0F 73 D1 14 44 0F 5A FA 66 44 0F 58 FB 66 44 0F 5C FB 66 0F 70 D1 DD 41 0F 28 E7 F3 0F E6 DA 0F 28 15 ?? ?? ?? ?? 66 0F 73 D4 28 41 0F 54 D6 85 D2 66 44 0F 5C F2 66 41 0F 59 D7 66 45 0F 59 F7 66 0F 5C 15 ?? ?? ?? ?? 66 0F 7E E0 66 0F 70 EC 02 0F 28 25 ?? ?? ?? ?? 66 41 0F C2 E7 01 66 41 0F 58 D6 66 0F 7E E9 0F 54 25 ?? ?? ?? ?? 44 0F 28 FA 0F 56 25 ?? ?? ?? ?? 66 0F 5C DC 66 44 0F 59 FA 66 0F 59 1D ?? ?? ?? ?? 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 44 0F 28 35 ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 44 0F 59 F2 66 41 0F 59 E7 66 44 0F 58 35 ?? ?? ?? ?? 66 0F 59 15 ?? ?? ?? ?? 66 41 0F 58 E6 66 41 0F 59 E7 48 63 C0 66 0F 58 E2 48 63 C9 F2 42 0F 10 8C 00 40 90 BF FF 66 42 0F 16 8C 01 40 90 BF FF 66 0F 58 E1 66 0F 58 E3 75 25 44 0F 28 B4 24 D0 00 00 00 0F 28 C4 44 0F 28 BC 24 C0 00 00 00 4C 8B AC 24 E0 00 00 00 48 81 C4 E8 00 00 00 C3 41 0F 29 45 00 41 0F 29 65 40 74 CF 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 65 40 EB 97 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D7 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_779_0_0 {
	meta:
		name = "_gets_helper"
		size = 596
		refs = "0034 _errno 003f _invalid_parameter_noinfo 0057 __iob_func 0061 _lock_file2 0079 _fileno 0087 __pioinfo 00a8 __badioinfo 012b _filbuf 0221 _local_unwind 0239 _unlock_file2"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 40 48 89 64 24 38 45 8B F8 48 8B FA 4C 8B F1 48 8B D9 48 8B F1 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 F6 01 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DD E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? F6 40 18 40 0F 85 84 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 F6 48 89 74 24 20 48 85 F6 0F 84 2C 01 00 00 E8 ?? ?? ?? ?? FF 48 08 78 16 E8 ?? ?? ?? ?? 48 8B C8 48 8B 00 0F B6 10 48 FF C0 48 89 01 EB 0F E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B D0 89 54 24 60 83 FA FF 75 10 33 F6 48 89 74 24 20 45 85 FF 0F 85 E4 00 00 00 48 83 FF FF 75 51 83 FA 0A 0F 84 D2 00 00 00 83 FA FF 0F 84 C9 00 00 00 88 13 48 FF C3 48 89 5C 24 30 E8 ?? ?? ?? ?? FF 48 08 78 16 E8 ?? ?? ?? ?? 48 8B C8 48 8B 00 0F B6 10 48 FF C0 48 89 01 EB 0F E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B D0 89 54 24 60 EB AF 48 89 7C 24 28 83 FA 0A 74 51 83 FA FF 74 4C 48 85 FF 74 12 48 FF CF 48 89 7C 24 28 88 13 48 FF C3 48 89 5C 24 30 E8 ?? ?? ?? ?? FF 48 08 78 16 E8 ?? ?? ?? ?? 48 8B C8 48 8B 00 0F B6 10 48 FF C0 48 89 01 EB 0F E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B D0 89 54 24 60 EB AA 48 85 FF 75 2A 41 88 3E E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 0C 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? 90 90 33 C0 EB 15 C6 03 00 E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_781_0_0 {
	meta:
		name = "__chkstk2"
		size = 60
	strings:
		$1 = { 41 50 41 51 4D 33 C9 4C 8D 44 24 18 4C 2B C0 4D 0F 42 C1 65 4C 8B 0C 25 10 00 00 00 4D 3B C1 73 16 66 41 81 E0 00 F0 4D 8D 89 00 F0 FF FF 41 C6 01 00 4D 3B C1 75 F0 41 59 41 58 C3 }
	condition:
		$1
}

rule file_782_1_0 {
	meta:
		name = "_wfindfirst32i64"
		size = 337
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 __timet_from_ft 012c wcscpy_s 014c _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B DA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 89 43 0C 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4B 10 48 8D 4B 18 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 06 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_782_2_0 {
	meta:
		name = "_wfindnext32i64"
		size = 299
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileW 0074 __imp_GetLastError 00c7 __timet_from_ft 010a wcscpy_s 0126 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 89 43 0C 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4B 10 48 8D 4B 18 E8 ?? ?? ?? ?? 85 C0 0F 84 25 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_783_2_0 {
	meta:
		name = "__mtold12"
		size = 546
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 56 48 83 EC 10 41 83 20 00 41 83 60 04 00 41 83 60 08 00 4D 8B D0 8B FA 48 8B E9 BB 4E 40 00 00 85 D2 0F 84 41 01 00 00 45 33 DB 45 33 C0 45 33 C9 45 8D 63 01 F2 41 0F 10 02 45 8B 72 08 41 8B C8 C1 E9 1F 45 03 C0 45 03 C9 F2 0F 11 04 24 44 0B C9 43 8D 14 1B 41 8B C3 C1 E8 1F 45 03 C9 44 0B C0 8B C2 03 D2 41 8B C8 C1 E8 1F 45 03 C0 C1 E9 1F 44 0B C0 33 C0 44 0B C9 8B 0C 24 41 89 12 8D 34 0A 45 89 42 04 45 89 4A 08 3B F2 72 04 3B F1 73 03 41 8B C4 41 89 32 85 C0 74 24 41 8B C0 41 FF C0 33 C9 44 3B C0 72 05 45 3B C4 73 03 41 8B CC 45 89 42 04 85 C9 74 07 41 FF C1 45 89 4A 08 48 8B 04 24 33 C9 48 C1 E8 20 45 8D 1C 00 45 3B D8 72 05 44 3B D8 73 03 41 8B CC 45 89 5A 04 85 C9 74 07 45 03 CC 45 89 4A 08 45 03 CE 8D 14 36 41 8B CB C1 E9 1F 47 8D 04 1B 45 03 C9 44 0B C9 8B C6 41 89 12 C1 E8 1F 45 89 4A 08 44 0B C0 33 C0 45 89 42 04 0F BE 4D 00 44 8D 1C 0A 44 3B DA 72 05 44 3B D9 73 03 41 8B C4 45 89 1A 85 C0 74 24 41 8B C0 41 FF C0 33 C9 44 3B C0 72 05 45 3B C4 73 03 41 8B CC 45 89 42 04 85 C9 74 07 41 FF C1 45 89 4A 08 49 03 EC 45 89 42 04 45 89 4A 08 FF CF 0F 85 CC FE FF FF 41 83 7A 08 00 75 3A 45 8B 42 04 41 8B 12 41 8B C0 45 8B C8 C1 E0 10 8B CA C1 E2 10 C1 E9 10 41 C1 E9 10 41 89 12 44 8B C1 44 0B C0 B8 F0 FF 00 00 66 03 D8 45 85 C9 74 D2 45 89 42 04 45 89 4A 08 41 8B 52 08 41 BB 00 80 00 00 41 85 D3 75 38 45 8B 0A 45 8B 42 04 41 8B C8 41 8B C1 45 03 C0 C1 E8 1F 03 D2 C1 E9 1F 44 0B C0 B8 FF FF 00 00 0B D1 66 03 D8 45 03 C9 41 85 D3 74 DA 45 89 0A 45 89 42 04 41 89 52 08 48 8B 6C 24 38 48 8B 74 24 40 66 41 89 5A 0A 48 8B 5C 24 30 48 83 C4 10 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_784_0_0 {
	meta:
		name = "_wgetpath"
		size = 225
		refs = "0039 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B D9 4C 8B F2 66 B9 3B 00 EB 04 48 83 C3 02 66 39 0B 74 F7 33 FF 48 8B EB 49 FF C8 75 0C E8 ?? ?? ?? ?? 8D 77 22 89 30 EB 74 0F B7 03 66 85 C0 74 67 BE 22 00 00 00 66 3B C1 74 59 48 83 C3 02 66 3B C6 74 17 66 41 89 06 49 83 C6 02 49 FF C8 75 39 48 8B EB E8 ?? ?? ?? ?? EB CA 0F B7 03 66 85 C0 74 35 66 3B C6 74 19 66 41 89 06 48 83 C3 02 49 83 C6 02 49 FF C8 74 D8 0F B7 03 66 85 C0 75 E2 66 39 3B 74 12 48 83 C3 02 0F B7 03 66 85 C0 74 06 EB A2 48 83 C3 02 66 39 0B 74 F7 48 8B 74 24 40 48 3B EB 48 8B 6C 24 38 66 41 89 3E 48 0F 45 FB 48 8B 5C 24 30 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_786_0_0 {
	meta:
		name = "_heapwalk"
		size = 363
		refs = "002c memset 0046 _errno 0051 _invalid_parameter_noinfo 007b _crtheap 0081 __imp_HeapWalk 00b6 __imp_HeapValidate 0122 __imp_GetLastError"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 48 08 57 41 56 41 57 48 83 EC 50 48 8B F9 33 DB 48 89 58 C0 33 D2 44 8D 43 20 48 8D 48 C8 E8 ?? ?? ?? ?? 44 8D 7B FE 44 89 7C 24 78 8B C3 48 85 FF 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8D 43 FA E9 F8 00 00 00 66 89 5C 24 36 88 5C 24 35 4C 8B 07 4C 89 44 24 28 4D 85 C0 75 2E 48 8D 54 24 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 0A B8 FD FF FF FF E9 C2 00 00 00 BE 01 00 00 00 44 8D 76 03 E9 97 00 00 00 BE 01 00 00 00 39 77 10 75 2B 33 D2 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 0A B8 FC FF FF FF E9 8D 00 00 00 41 BE 04 00 00 00 66 44 89 74 24 36 EB 06 41 BE 04 00 00 00 90 89 5C 24 20 48 8D 54 24 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B CB 85 C0 0F 44 CE 89 4C 24 20 EB 1C B9 02 00 00 00 89 4C 24 20 33 DB 8D 71 FF 44 8D 71 02 48 8B 7C 24 70 44 8B 7C 24 78 3B CE 75 13 FF 15 ?? ?? ?? ?? 3D 03 01 00 00 0F 95 C3 8D 43 FB EB 22 83 F9 02 74 86 44 84 74 24 36 74 9D 48 8B 4C 24 28 48 89 0F 8B 4C 24 30 48 89 4F 08 89 77 10 41 8B C7 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_787_1_0 {
	meta:
		name = "??0DName@@QEAA@AEAPEBDD@Z"
		size = 224
		refs = "0072 ?disableFlags@UnDecorator@@0KA 008f ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B FA 48 8B 12 41 8A F0 48 8B D9 48 85 D2 0F 84 96 00 00 00 80 3A 00 0F 84 87 00 00 00 45 33 C0 4C 8B 0F 41 8A 09 40 3A CE 74 41 8D 41 DC 3C 3B 77 10 49 BA 01 F2 3F E5 FF FF 7F 08 49 0F A3 C2 72 1B 8D 41 9F 3C 19 76 14 80 C1 80 80 F9 7E 76 0C F7 05 ?? ?? ?? ?? 00 00 01 00 74 35 49 8D 41 01 41 FF C0 48 89 07 80 38 00 75 B4 48 8B CB E8 ?? ?? ?? ?? 48 8B 07 8A 08 84 C9 74 1B 48 FF C0 48 89 07 40 3A CE 74 26 48 83 23 00 C6 43 08 03 EB 1C C6 43 08 02 EB 16 80 7B 08 00 75 10 C6 43 08 01 EB 0A C6 41 08 01 EB 04 C6 41 08 02 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_3_0 {
	meta:
		name = "??0DName@@QEAA@D@Z"
		size = 56
		refs = "002b ?doPchar@DName@@AEAAXPEBDH@Z"
		altNames = "??4DName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 88 54 24 10 53 48 83 EC 20 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B D9 84 D2 74 10 48 8D 54 24 38 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_4_0 {
	meta:
		name = "??0DName@@QEAA@PEAV0@@Z"
		size = 133
		refs = "0022 heap 002a ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0036 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 48 85 D2 74 48 8D 56 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 85 C0 74 1D 48 8D 0D ?? ?? ?? ?? 48 89 08 8A 4F 08 80 E9 02 80 F9 01 48 0F 46 FE 48 89 78 08 EB 03 48 8B C6 48 89 03 48 F7 D8 1A C0 F6 D0 24 03 88 43 08 EB 07 40 88 71 08 48 89 31 81 63 08 FF 00 FF FF 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_5_0 {
	meta:
		name = "??0DName@@QEAA@PEBD@Z"
		size = 71
		refs = "003a ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 88 4B 08 81 63 08 FF 00 FF FF 48 89 0B 48 85 D2 74 21 48 8B C2 44 8B C1 38 0A 74 17 48 FF C0 41 FF C0 38 08 75 F6 45 85 C0 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_6_0 {
	meta:
		name = "??0DName@@QEAA@W4DNameStatus@@@Z"
		size = 79
		refs = "0031 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 81 61 08 FF 00 FF FF 33 FF 48 8B D9 8D 4F 01 8D 42 FE 44 8B C2 3B C1 48 89 3B 44 0F 47 C7 44 88 43 08 3B D1 75 11 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 04 C6 43 08 03 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_7_0 {
	meta:
		name = "??0DName@@QEAA@XZ"
		size = 19
	strings:
		$1 = { 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B C1 C3 }
	condition:
		$1
}

rule file_787_8_0 {
	meta:
		name = "??0DName@@QEAA@_J@Z"
		size = 169
		refs = "0009 __security_cookie 008f ?doPchar@DName@@AEAAXPEBDH@Z 009f __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 45 33 DB 4C 8B C2 48 8B D9 44 88 59 08 81 61 08 FF 00 FF FF 4C 8D 4C 24 35 4C 89 19 44 88 5C 24 35 45 8A D3 48 85 D2 79 06 41 B2 01 49 F7 D8 49 FF C9 48 B8 CD CC CC CC CC CC CC CC 49 F7 E0 48 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A C1 41 80 C0 30 45 88 01 4C 8B C2 48 85 D2 75 D0 45 84 D2 74 07 49 FF C9 41 C6 01 2D 4C 8D 44 24 35 49 8B D1 48 8B CB 45 2B C1 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_787_9_0 {
	meta:
		name = "??0DName@@QEAA@_K@Z"
		size = 143
		refs = "0009 __security_cookie 0075 ?doPchar@DName@@AEAAXPEBDH@Z 0085 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 45 33 D2 4C 8B C2 48 8B D9 44 88 51 08 81 61 08 FF 00 FF FF 4C 8D 4C 24 34 4C 89 11 44 88 54 24 34 49 FF C9 48 B8 CD CC CC CC CC CC CC CC 49 F7 E0 48 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A C1 41 80 C0 30 45 88 01 4C 8B C2 48 85 D2 75 D0 4C 8D 44 24 34 49 8B D1 48 8B CB 45 2B C1 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_787_11_0 {
	meta:
		name = "??0DNameStatusNode@@AEAA@W4DNameStatus@@@Z"
		size = 33
		refs = "0003 ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 33 C0 83 FA 01 44 8D 40 04 41 0F 44 C0 89 41 0C 48 8B C1 C3 }
	condition:
		$1
}

rule file_787_13_0 {
	meta:
		name = "??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z"
		size = 113
		refs = "0011 ?name@UnDecorator@@0PEBDEB 0018 ?gName@UnDecorator@@0PEBDEB 0027 ?maxStringLength@UnDecorator@@0HA 002e ?outputString@UnDecorator@@0PEADEA 0045 ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 0050 ?pArgList@UnDecorator@@0PEAVReplicator@@EA 0056 ?disableFlags@UnDecorator@@0KA 0062 ?fExplicitTemplateParams@UnDecorator@@0_NA 0069 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA"
	strings:
		$1 = { 41 83 CA FF 48 8D 41 58 44 89 11 44 89 10 4C 89 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 45 33 C0 48 85 D2 74 10 44 89 0D ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? EB 0E 4C 89 05 ?? ?? ?? ?? 44 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 44 24 30 48 89 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8B 44 24 28 44 88 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C1 C3 }
	condition:
		$1
}

rule file_787_14_0 {
	meta:
		name = "??0charNode@@QEAA@D@Z"
		size = 17
		refs = "0003 ??_7charNode@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 88 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_787_15_0 {
	meta:
		name = "??0pDNameNode@@QEAA@PEAVDName@@@Z"
		size = 38
		refs = "0003 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 45 33 C0 48 89 01 48 85 D2 74 09 8A 42 08 2C 02 3C 01 76 03 4C 8B C2 4C 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_787_16_0 {
	meta:
		name = "??0pairNode@@QEAA@PEAVDNameNode@@0@Z"
		size = 26
		refs = "0007 ??_7pairNode@@6B@"
	strings:
		$1 = { 83 49 18 FF 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 4C 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_787_17_0 {
	meta:
		name = "??0pcharNode@@QEAA@PEBDH@Z"
		size = 135
		refs = "0012 ??_7pcharNode@@6B@ 002f heap 003a ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 41 8B F8 48 8B F2 48 8B D9 48 89 01 45 85 C0 74 44 48 85 D2 74 3F 48 8D 0D ?? ?? ?? ?? 48 63 D7 45 33 C0 E8 ?? ?? ?? ?? 89 7B 10 48 8B C8 48 89 43 08 48 85 C0 74 18 85 FF 74 23 48 2B F0 8B D7 8A 04 0E 88 01 48 FF C1 48 FF CA 75 F3 EB 0F 83 63 10 00 EB 09 48 83 61 08 00 83 61 10 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_21_0 {
	meta:
		name = "??4DName@@QEAAAEAV0@PEAV0@@Z"
		size = 134
		refs = "0030 heap 0038 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0044 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 40 88 71 08 81 61 08 FF 00 FF FF 48 89 31 48 85 D2 74 45 8D 56 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 85 C0 74 1D 48 8D 0D ?? ?? ?? ?? 48 89 08 8A 4F 08 80 E9 02 80 F9 01 48 0F 46 FE 48 89 78 08 EB 03 48 8B C6 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 03 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_22_0 {
	meta:
		name = "??4DName@@QEAAAEAV0@PEBD@Z"
		size = 61
		refs = "0030 ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 48 8B C2 88 4B 08 81 63 08 FF 00 FF FF 48 89 0B 44 8B C1 38 0A 74 0A 48 FF C0 41 FF C0 38 08 75 F6 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_23_0 {
	meta:
		name = "??4DName@@QEAAAEAV0@W4DNameStatus@@@Z"
		size = 60
		refs = "001d ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 81 61 08 FF 00 FF FF 48 8B D9 88 51 08 B9 01 00 00 00 3B D1 75 13 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 48 83 23 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_24_0 {
	meta:
		name = "??AReplicator@@QEBA?AVDName@@H@Z"
		size = 71
		refs = "003a ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 41 83 F8 09 77 22 83 39 FF 74 16 44 3B 01 7F 11 49 63 C0 48 8B 4C C1 08 0F 10 01 F3 0F 7F 02 EB 14 BA 02 00 00 00 EB 05 BA 03 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_25_0 {
	meta:
		name = "??BUnDecorator@@QEAAPEADXZ"
		size = 500
		refs = "0027 ?name@UnDecorator@@0PEBDEB 004b ?gName@UnDecorator@@0PEBDEB 0055 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 005c ??_C@_04HEJADOOB@CV?3?5?$AA@ 0068 ??0DName@@QEAA@PEBD@Z 007c ??YDName@@QEAAAEAV0@AEBV0@@Z 0092 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00af ?disableFlags@UnDecorator@@0KA 014a ??4DName@@QEAAAEAV0@PEBD@Z 0151 ?outputString@UnDecorator@@0PEADEA 016f ?maxStringLength@UnDecorator@@0HA 017d heap 019c ?getString@DName@@QEBAPEADPEADH@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 70 8B 4D B8 48 83 65 B0 00 48 83 65 C0 00 B8 00 00 FF FF 21 45 C8 23 C8 48 8B 05 ?? ?? ?? ?? 89 4D B8 48 85 C0 0F 84 D1 00 00 00 80 38 3F 0F 85 93 00 00 00 8A 50 01 80 FA 40 75 3E 48 83 05 ?? ?? ?? ?? 02 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D3 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 4D D0 EB 59 80 FA 24 75 5A 48 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 0F 10 08 66 0F 6F C1 66 0F 73 D8 08 66 0F 7E C0 88 45 B8 3C 02 74 18 F7 05 ?? ?? ?? ?? 00 10 00 00 75 53 48 8B 05 ?? ?? ?? ?? 80 38 00 74 47 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 08 0F 29 4D B0 EB 27 80 FA 3F 75 E9 48 8B 05 ?? ?? ?? ?? 80 78 02 40 75 DC 81 E1 02 00 FF FF 83 C9 02 48 83 65 B0 00 89 4D B8 0F 28 4D B0 80 7D B8 03 75 07 33 C0 E9 CD 00 00 00 80 7D B8 02 74 1F F7 05 ?? ?? ?? ?? 00 10 00 00 75 0C 48 8B 05 ?? ?? ?? ?? 80 38 00 75 07 66 0F 7F 4D C0 EB 10 48 8B 15 ?? ?? ?? ?? 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 33 48 8B 4D C0 48 85 C9 74 05 48 8B 01 FF 10 FF C0 48 63 C8 89 05 ?? ?? ?? ?? 48 83 C1 07 48 83 E1 F8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 59 44 8B 05 ?? ?? ?? ?? 48 8D 4D C0 48 8B D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 8A 10 48 8B C8 84 D2 74 2B 41 B0 20 41 3A D0 75 15 48 FF C0 44 88 01 48 FF C1 EB 03 48 FF C0 44 38 00 74 F8 EB 08 88 11 48 FF C1 48 FF C0 8A 10 84 D2 75 D8 8A 00 88 01 48 8B 05 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_787_26_0 {
	meta:
		name = "??H@YA?AVDName@@DAEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@D@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 48 8D 4C 24 20 49 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_787_27_0 {
	meta:
		name = "??H@YA?AVDName@@PEBDAEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@PEBD@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 48 8D 4C 24 20 49 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_787_28_0 {
	meta:
		name = "??H@YA?AVDName@@W4DNameStatus@@AEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@W4DNameStatus@@@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 48 8D 4C 24 20 49 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_787_29_0 {
	meta:
		name = "??HDName@@QEBA?AV0@AEBV0@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_31_0 {
	meta:
		name = "??HDName@@QEBA?AV0@PEAV0@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@PEAV0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_32_0 {
	meta:
		name = "??HDName@@QEBA?AV0@PEBD@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_30_0 {
	meta:
		name = "??HDName@@QEBA?AV0@D@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 41 8A D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_33_0 {
	meta:
		name = "??HDName@@QEBA?AV0@W4DNameStatus@@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 41 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_34_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@AEBV0@@Z"
		size = 64
		refs = "001a ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0033 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 01 48 8B D9 7F 28 48 83 3A 00 75 0B 0F BE 52 08 E8 ?? ?? ?? ?? EB 17 48 83 39 00 75 09 0F 10 02 F3 0F 7F 01 EB 08 48 8B 12 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_35_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@D@Z"
		size = 132
		refs = "003f ?doPchar@DName@@AEAAXPEBDH@Z 004b heap 0054 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0060 ??_7charNode@@6B@ 0072 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 41 B8 01 00 00 00 40 8A FA 48 8B D9 44 38 41 08 7F 5A 84 D2 74 56 48 83 39 00 75 1F 48 83 21 00 88 54 24 30 C6 41 08 00 81 61 08 FF 00 FF FF 48 8D 54 24 30 E8 ?? ?? ?? ?? EB 31 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8D 0D ?? ?? ?? ?? 40 88 78 08 48 89 08 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_36_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@PEAV0@@Z"
		size = 149
		refs = "0028 ??4DName@@QEAAAEAV0@PEAV0@@Z 0039 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0045 heap 004e ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 005a ??_7pDNameNode@@6B@ 007e ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 80 79 08 01 48 8B FA 48 8B D9 7F 67 33 F6 48 85 D2 74 60 48 39 31 75 07 E8 ?? ?? ?? ?? EB 54 8A 42 08 3C 01 76 0A 0F BE D0 E8 ?? ?? ?? ?? EB 43 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 85 C0 74 1D 48 8D 0D ?? ?? ?? ?? 48 89 08 8A 4F 08 80 E9 02 80 F9 01 48 0F 46 FE 48 89 78 08 EB 03 48 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_37_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@PEBD@Z"
		size = 138
		refs = "002c ??4DName@@QEAAAEAV0@PEBD@Z 0038 heap 0041 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0065 ??0pcharNode@@QEAA@PEBDH@Z 0073 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 80 79 08 01 48 8B F2 48 8B F9 7F 5C 33 DB 48 85 D2 74 55 38 1A 74 51 48 39 19 75 07 E8 ?? ?? ?? ?? EB 45 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 18 E8 ?? ?? ?? ?? 48 85 C0 74 22 48 8B CE 44 8B C3 38 1E 74 0A 48 FF C1 41 FF C0 38 19 75 F6 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_38_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@W4DNameStatus@@@Z"
		size = 67
		refs = "0024 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 002f ?append@DName@@AEAAXPEAVDNameNode@@@Z 0036 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 01 48 8B D9 7F 2B 48 83 39 00 74 20 8D 42 FE 83 F8 01 76 18 85 D2 74 19 8B CA E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_39_0 {
	meta:
		name = "??YReplicator@@QEAAAEAV0@AEBVDName@@@Z"
		size = 94
		refs = "0021 heap 002a ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 39 09 48 8B FA 48 8B D9 74 3B 48 83 3A 00 74 35 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 09 0F 10 07 F3 0F 7F 00 EB 02 33 C9 48 85 C9 74 0A FF 03 48 63 03 48 89 4C C3 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_40_0 {
	meta:
		name = "??_5DName@@QEAAAEAV0@AEBV0@@Z"
		size = 20
	strings:
		$1 = { 80 79 08 03 74 0A 8A 42 08 3C 01 7E 03 88 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_787_41_0 {
	meta:
		name = "?Constructor@_HeapManager@@QEAAXP6APEAX_K@ZP6AXPEAX@Z@Z"
		size = 22
	strings:
		$1 = { 33 C0 48 89 11 4C 89 41 08 48 89 41 20 48 89 41 10 48 89 41 18 C3 }
	condition:
		$1
}

rule file_787_42_0 {
	meta:
		name = "?Destructor@_HeapManager@@QEAAXXZ"
		size = 62
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 08 00 48 8B D9 74 28 48 8B 41 10 48 89 41 18 EB 19 48 8B 43 18 48 8B 08 48 89 4B 10 48 8B C8 FF 53 08 48 8B 43 10 48 89 43 18 48 85 C0 75 E2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_43_0 {
	meta:
		name = "?UScore@UnDecorator@@SAPEBDW4Tokens@@@Z"
		size = 31
		refs = "0002 ?disableFlags@UnDecorator@@0KA 0010 tokenTable"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? F7 D0 A8 01 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 75 04 48 83 C0 02 C3 }
	condition:
		$1
}

rule file_787_44_0 {
	meta:
		name = "?append@DName@@AEAAXPEAVDNameNode@@@Z"
		size = 99
		refs = "001b heap 0024 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0037 ??_7pairNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 85 D2 74 3F 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 20 E8 ?? ?? ?? ?? 48 85 C0 74 19 48 8B 13 83 48 18 FF 48 8D 0D ?? ?? ?? ?? 48 89 50 08 48 89 08 48 89 78 10 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_45_0 {
	meta:
		name = "?composeDeclaration@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 3460
		refs = "0040 ?getTypeEncoding@UnDecorator@@CAHXZ 0075 ??0DName@@QEAA@W4DNameStatus@@@Z 00a2 ??YDName@@QEAAAEAV0@AEBV0@@Z 0158 ?disableFlags@UnDecorator@@0KA 017e ?getBasedType@UnDecorator@@CA?AVDName@@XZ 018c ??0DName@@QEAA@D@Z 01da ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 01ef ??YDName@@QEAAAEAV0@D@Z 021b ?gName@UnDecorator@@0PEBDEB 0271 ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 027d ??0DName@@QEAA@PEBD@Z 02c2 ??_C@_03OPGICMGF@?$HN?8?5?$AA@ 02d0 ??YDName@@QEAAAEAV0@PEBD@Z 02e5 ??_C@_02IGFCGPIL@?$HN?8?$AA@ 02f9 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 0489 ??_C@_00CNPNBAHC@?$AA@ 049f ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 05bd ?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z 05c4 ??_C@_01CLKCMJKC@?5?$AA@ 061b heap 0624 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0680 ??_C@_0N@CBHHHENL@?$GAvtordispex?$HL?$AA@ 070e ??_C@_0L@GHPFDFH@?$GAvtordisp?$HL?$AA@ 075d ??_C@_0L@HNGCOGAE@?$GAadjustor?$HL?$AA@ 0796 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0819 ?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ 0866 ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ 08a4 ?getDispatchTarget@UnDecorator@@CA?AVDName@@XZ 0928 ?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z 09c8 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 09dd ?getScope@UnDecorator@@CA?AVDName@@XZ 0a7e ??_C@_0CB@KJDOOODE@?$GAlocal?5static?5destructor?5helper?8@ 0aa5 ??_C@_0DB@ILEFOCIJ@?$GAtemplate?5static?5data?5member?5con@ 0acc ??_C@_0DA@HGFJFBBE@?$GAtemplate?5static?5data?5member?5des@ 0b5f ?getExternalDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0bad ??_C@_07PGOEDBHP@static?5?$AA@ 0c06 ??_C@_08NIEOINHE@virtual?5?$AA@ 0c67 ??_C@_09LAPHOOG@private?3?5?$AA@ 0c91 ??_C@_0M@GAIFPFIP@protected?3?5?$AA@ 0cb3 ??_C@_08GPDDCMKI@public?3?5?$AA@ 0cf6 ??_C@_08KJLFOPNE@?$FLthunk?$FN?3?$AA@ 0d2e ??_C@_0M@DHNBOJMP@extern?5?$CCC?$CC?5?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC F0 00 00 00 8B 5C 24 48 48 83 64 24 40 00 0F 29 70 B8 81 E3 00 00 FF FF 0F 29 78 A8 4C 8B E2 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 49 83 3C 24 00 8B F0 74 14 41 F7 44 24 08 00 02 00 00 74 09 C7 45 7F 01 00 00 00 EB 04 83 65 7F 00 3D FF FF 00 00 75 12 BA 02 00 00 00 48 8B CF E8 ?? ?? ?? ?? E9 DE 0C 00 00 3D FE FF 00 00 75 26 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 49 8B D4 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? E9 B1 0C 00 00 3D FD FF 00 00 75 0E 41 0F 10 04 24 F3 0F 7F 07 E9 9C 0C 00 00 44 8B F8 41 B9 00 10 00 00 41 B8 00 1B 00 00 41 81 E7 00 80 00 00 0F 84 1F 08 00 00 45 33 ED 8B D0 44 8B F6 81 E2 00 18 00 00 81 FA 00 08 00 00 89 55 6F 41 0F 94 C5 25 00 04 00 00 45 23 F1 89 45 77 45 85 ED 41 8B C6 8B 4D 77 44 89 6D BB 44 89 75 B7 0F 45 C1 85 C0 74 0E 8B C6 41 23 C0 41 3B C1 0F 84 D3 07 00 00 45 85 ED 41 8B C6 0F 45 C1 85 C0 74 1B 8B C6 41 23 C0 3D 00 11 00 00 0F 84 B6 07 00 00 3D 00 12 00 00 0F 84 AB 07 00 00 0F BA E6 0E 73 5F 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 0F 84 CA 00 00 00 C1 E9 03 F7 D1 F6 C1 01 0F 84 BC 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 20 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D 87 48 8B D3 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 45 87 66 0F 7F 44 24 40 8B 5C 24 48 8B 55 6F 45 85 ED 44 0F 45 75 77 45 85 F6 0F 84 BB 01 00 00 81 FA 00 18 00 00 0F 85 AF 01 00 00 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8D 4D 87 B2 7B 41 0F 10 04 24 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 48 8D 54 24 30 0F 28 45 87 48 8D 4D 87 66 0F 7F 45 87 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8D 4D C7 80 38 00 74 5B 80 38 41 74 3E BA 02 00 00 00 EB 54 48 8D 4C 24 30 E8 ?? ?? ?? ?? 80 7C 24 48 03 0F 84 69 FF FF FF 80 78 08 01 8B 55 6F 0F 8E 5F FF FF FF 0F B6 40 08 81 E3 00 FF FF FF 0B D8 89 5C 24 48 E9 4A FF FF FF 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? BB 00 10 00 00 85 1D ?? ?? ?? ?? 75 48 48 8D 4C 24 30 B2 2C E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D 87 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 45 87 48 8D 15 ?? ?? ?? ?? 48 8D 4D 87 66 0F 7F 45 87 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 0F 84 DC 05 00 00 8B C1 C1 E8 04 F7 D0 A8 01 0F 84 CD 05 00 00 85 CB 0F 85 C5 05 00 00 48 8D 4D A7 B2 20 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 87 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 45 87 48 8D 4D 87 B2 20 66 0F 7F 45 87 E8 ?? ?? ?? ?? 48 8D 54 24 40 0F 28 45 87 48 8D 4D 87 66 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 75 87 44 8B 65 6F E9 E5 07 00 00 44 8B 75 DF 48 83 65 F7 00 48 83 65 C7 00 48 83 65 E7 00 48 83 65 A7 00 48 83 65 D7 00 8B 45 B7 BA 00 00 FF FF 21 55 FF 21 55 CF 21 55 EF 21 55 AF 44 23 F2 45 85 ED 0F 45 45 77 44 89 75 DF 85 C0 0F 84 82 00 00 00 45 85 ED 74 65 8B C6 25 00 07 00 00 3D 00 06 00 00 75 2E 48 8D 4C 24 30 B2 01 E8 ?? ?? ?? ?? 48 8D 4C 24 30 B2 01 0F 28 44 24 30 66 0F 7F 45 F7 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 C7 EB 13 45 85 ED 74 24 8B C6 25 00 07 00 00 3D 00 05 00 00 75 16 48 8D 4C 24 30 B2 01 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 E7 48 8D 4C 24 30 B2 01 E8 ?? ?? ?? ?? BA 00 00 FF FF 0F 28 7C 24 30 EB 04 0F 28 7D A7 45 85 ED 0F 84 85 00 00 00 8B C6 25 00 07 00 00 3D 00 02 00 00 74 77 8B 05 ?? ?? ?? ?? 48 83 65 A7 00 21 55 AF 48 83 65 87 00 21 55 8F 83 E0 60 C7 44 24 20 01 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 3C 60 74 19 4C 8D 4D A7 48 8D 55 87 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 D7 EB 2D 4C 8D 4D 87 48 8D 55 A7 E8 ?? ?? ?? ?? 80 7D DF 03 74 1A 80 7C 24 38 01 7E 13 0F B6 44 24 38 41 81 E6 00 FF FF FF 44 0B F0 44 89 75 DF 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 74 38 C1 E9 04 F7 D1 F6 C1 01 74 2E 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 44 24 40 EB 27 48 8D 4C 24 30 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 16 80 78 08 01 7E 10 0F B6 40 08 81 E3 00 FF FF FF 0B D8 89 5C 24 48 33 DB 49 39 1C 24 74 50 48 39 5C 24 40 74 3E F7 05 ?? ?? ?? ?? 00 10 00 00 75 32 48 8D 4D 87 B2 20 E8 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 0B 41 0F 10 04 24 F3 0F 7F 44 24 40 81 65 8F 00 00 FF FF 4C 8B E3 48 89 5D 87 39 5D 7F 74 5F 48 8D 4D A7 33 D2 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D3 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 10 00 00 74 0A 0F 28 44 24 40 E9 A8 FA FF FF 0F 28 75 87 EB 3C 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 74 0F 88 58 08 81 60 08 FF 00 FF FF 48 89 18 EB 03 4C 8B E3 48 8D 4D 97 49 8B D4 E8 ?? ?? ?? ?? 0F 10 30 44 8B 75 B7 45 85 ED 44 0F 45 75 77 45 85 F6 0F 84 2B 01 00 00 45 85 ED 0F 84 EB 00 00 00 8B C6 25 00 07 00 00 3D 00 06 00 00 75 7B 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 F7 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 B2 2C 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 55 C7 0F 28 44 24 30 48 8D 4C 24 30 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 44 24 30 B2 2C 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 44 24 30 EB 2C 45 85 ED 74 5D 8B C6 25 00 07 00 00 3D 00 05 00 00 75 4F 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 44 24 30 48 8D 55 E7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 B2 2C 0F 28 44 24 30 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 11 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 66 0F 7F 7C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D 87 B2 28 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D3 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 B2 29 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 45 85 ED 74 1C 8B C6 25 00 07 00 00 3D 00 02 00 00 74 0E 48 8D 55 D7 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8D 4D 97 C1 E8 13 F7 D0 A8 01 74 14 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D0 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 1A 80 78 08 01 7E 14 8B 4C 24 48 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4C 24 48 8B 05 ?? ?? ?? ?? 48 8D 4D 97 C1 E8 08 F7 D0 A8 01 74 14 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D0 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 1A 80 78 08 01 7E 14 8B 4C 24 48 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4C 24 48 48 8D 4D 97 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 1A 80 78 08 01 7E 14 8B 4C 24 48 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4C 24 48 8B 05 ?? ?? ?? ?? C1 E8 02 F7 D0 A8 01 74 15 4D 85 E4 74 10 0F 28 44 24 40 F3 41 0F 7F 04 24 E9 8B FA FF FF 0F 28 74 24 40 44 8B 65 6F E9 70 02 00 00 48 8D 4C 24 40 49 8B D4 E8 ?? ?? ?? ?? 41 B8 00 7C 00 00 45 85 FF 75 2F 8B C6 41 23 C0 3D 00 68 00 00 75 12 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? E9 2B 04 00 00 45 85 FF 75 0C 8B C6 41 23 C0 3D 00 70 00 00 74 DD B9 00 60 00 00 45 85 FF 0F 85 C5 00 00 00 8B C6 41 23 C0 3B C1 75 58 48 8D 4D 87 33 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 30 B2 7B 0F 28 44 24 40 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4C 24 30 0F 28 44 24 30 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF 0F 28 44 24 30 F3 0F 7F 07 E8 ?? ?? ?? ?? E9 AB 03 00 00 45 85 FF 75 5F 8B C6 41 23 C0 41 3B C0 75 55 0F 28 44 24 40 48 8D 15 ?? ?? ?? ?? 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8B CF 48 8B D0 E8 ?? ?? ?? ?? B2 7D 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 85 56 03 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? E9 47 03 00 00 45 33 ED 44 8B E6 8B C6 41 81 E4 00 18 00 00 44 8B F6 41 B9 00 10 00 00 41 81 FC 00 08 00 00 BB 00 1B 00 00 41 0F 94 C5 85 F1 B9 00 00 00 00 0F 94 C1 45 85 FF 41 0F 45 CD 25 00 04 00 00 45 23 F1 85 C9 89 4D BB 44 0F 45 F0 45 85 F6 74 78 33 C9 8B C6 41 8B D7 23 C3 41 3B C1 0F 94 C1 F7 DA 1B C0 85 C1 74 09 48 8D 15 ?? ?? ?? ?? EB 4C 45 85 F6 74 53 33 C9 8B C6 41 8B D7 23 C3 3D 00 11 00 00 0F 94 C1 F7 DA 1B C0 85 C1 74 09 48 8D 15 ?? ?? ?? ?? EB 25 45 85 F6 74 2C 33 C9 8B C6 41 8B D7 23 C3 3D 00 12 00 00 0F 94 C1 F7 DA 1B C0 85 C1 74 13 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 15 45 85 FF 75 10 8B C6 41 23 C0 3D 00 78 00 00 0F 84 14 FB FF FF 45 85 F6 74 5F 33 C9 8B D6 41 8B C7 23 D3 81 FA 00 11 00 00 0F 94 C1 F7 D8 1B C0 85 C1 75 16 33 C9 81 FA 00 12 00 00 41 8B C7 0F 94 C1 F7 D8 1B C0 85 C1 74 2F 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 EB 11 48 8D 54 24 40 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 30 0F 29 74 24 40 83 7D BB 00 0F 84 6D 01 00 00 8B 05 ?? ?? ?? ?? C1 E8 09 F7 D0 A8 01 0F 84 AD 00 00 00 33 C9 8B DE B8 01 00 00 00 81 E3 00 07 00 00 81 FB 00 02 00 00 0F 94 C1 45 85 FF 0F 45 C1 85 C0 74 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 45 85 FF 74 08 81 FB 00 01 00 00 74 1A 45 85 F6 74 47 8D 83 00 FC FF FF A9 FF FC FF FF 75 3A 81 FB 00 07 00 00 74 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 8B 05 ?? ?? ?? ?? C1 E8 07 F7 D0 A8 01 0F 84 9A 00 00 00 33 C0 8B D6 81 E2 C0 00 00 00 83 FA 40 0F 94 C0 45 85 FF 44 0F 45 E8 45 85 ED 74 09 48 8D 15 ?? ?? ?? ?? EB 4A 33 C9 81 FA 80 00 00 00 0F 94 C1 33 C0 41 81 FC 00 10 00 00 0F 94 C0 45 85 FF 0F 45 C1 85 C0 74 09 48 8D 15 ?? ?? ?? ?? EB 20 33 C9 85 D2 0F 94 C1 33 C0 45 85 E4 0F 94 C0 45 85 FF 0F 45 C1 85 C0 74 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 45 85 F6 74 3E F7 05 ?? ?? ?? ?? 00 10 00 00 75 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 0F BA E6 10 73 2D 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 F3 0F 7F 37 4C 8D 9C 24 F0 00 00 00 48 8B C7 49 8B 5B 40 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_787_56_0 {
	meta:
		name = "?doPchar@DName@@AEAAXPEBDH@Z"
		size = 172
		refs = "0044 heap 004f ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0062 ??0pcharNode@@QEAA@PEBDH@Z 007c ??_7charNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 39 00 41 8B F8 48 8B F2 48 8B D9 74 11 81 61 08 FF 00 FF FF 48 83 21 00 C6 41 08 03 EB 6D 48 85 D2 74 64 45 85 C0 74 5F 41 8B C8 45 33 C0 FF C9 48 8D 0D ?? ?? ?? ?? 74 1E 41 8D 50 18 E8 ?? ?? ?? ?? 48 85 C0 74 30 44 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? EB 22 BA 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 11 8A 0E 48 8D 15 ?? ?? ?? ?? 88 48 08 48 89 10 EB 02 33 C0 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 02 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_59_0 {
	meta:
		name = "?doThisTypes@UnDecorator@@SAHXZ"
		size = 18
		refs = "0002 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 33 C0 83 E1 60 80 F9 60 0F 95 C0 C3 }
	condition:
		$1
}

rule file_787_63_0 {
	meta:
		name = "?getArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 322
		refs = "0033 ?gName@UnDecorator@@0PEBDEB 0057 ??YDName@@QEAAAEAV0@D@Z 007c ?pArgList@UnDecorator@@0PEAVReplicator@@EA 0090 ??AReplicator@@QEBA?AVDName@@H@Z 009b ??YDName@@QEAAAEAV0@AEBV0@@Z 00bd ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 00e3 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 012b ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 80 79 08 00 48 8B D9 BE 01 00 00 00 0F 85 FF 00 00 00 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 84 EF 00 00 00 80 38 5A 0F 84 E6 00 00 00 85 F6 74 04 33 F6 EB 11 B2 2C 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 B7 00 00 00 44 0F BE 00 41 83 E8 30 41 83 F8 09 77 28 48 8B 0D ?? ?? ?? ?? 48 FF C0 48 8D 54 24 40 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? EB 6E 48 83 64 24 20 00 81 64 24 28 00 00 FF FF 48 8D 54 24 20 48 8D 4C 24 30 48 8B F8 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 2B C7 48 83 F8 01 7E 16 48 8B 0D ?? ?? ?? ?? 83 39 09 74 0A 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 3B C7 75 16 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 48 8B 05 ?? ?? ?? ?? 80 7B 08 00 0F 84 17 FF FF FF EB 0D BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 68 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_787_64_0 {
	meta:
		name = "?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 250
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0028 ?getArgumentList@UnDecorator@@CA?AVDName@@XZ 0052 ??0DName@@QEAA@W4DNameStatus@@@Z 0066 ??_C@_0M@ELJOJFFH@?0?$DMellipsis?$DO?$AA@ 0073 ?disableFlags@UnDecorator@@0KA 008c ??_C@_04EENFHACM@?0?4?4?4?$AA@ 0095 ??YDName@@QEAAAEAV0@PEBD@Z 00b6 ??_C@_0L@EGPHHEKN@?$DMellipsis?$DO?$AA@ 00d1 ??_C@_03KHICJKCI@?4?4?4?$AA@ 00e1 ??_C@_04GKJNKENE@void?$AA@ 00ed ??0DName@@QEAA@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 58 0F 84 C2 00 00 00 80 38 5A 0F 84 8E 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 80 7C 24 28 00 75 66 48 8B 05 ?? ?? ?? ?? 80 38 00 74 5A 80 38 40 74 60 80 38 5A 74 12 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 96 00 00 00 0F 28 44 24 20 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8D 4C 24 20 66 0F 7F 44 24 20 C1 E8 12 F7 D0 A8 01 48 8D 05 ?? ?? ?? ?? 48 0F 45 D0 E8 ?? ?? ?? ?? 0F 28 44 24 20 F3 0F 7F 03 EB 4D 48 FF C0 48 89 05 ?? ?? ?? ?? EB E9 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? C1 E8 12 F7 D0 A8 01 48 8D 05 ?? ?? ?? ?? 48 0F 45 D0 EB 11 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_787_65_0 {
	meta:
		name = "?getArrayType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 577
		refs = "0021 ?gName@UnDecorator@@0PEBDEB 0038 ?getNumberOfDimensions@UnDecorator@@CAHXZ 004f ??0DName@@QEAA@D@Z 0063 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0077 ??YDName@@QEAAAEAV0@D@Z 009b ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 00a4 ??YDName@@QEAAAEAV0@PEBD@Z 00c5 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00e7 ??YDName@@QEAAAEAV0@AEBV0@@Z 0185 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 01c7 ??_C@_02GOGNNPBN@?$CJ?$FL?$AA@ 021d ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 45 33 FF 48 8B F2 4C 8B F1 44 38 38 0F 84 65 01 00 00 E8 ?? ?? ?? ?? 85 C0 8B F8 41 0F 48 FF 85 FF 75 3C 48 8D 4D D0 B2 5B E8 ?? ?? ?? ?? 8D 57 01 48 8D 4D B0 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 28 45 B0 48 8D 4D A0 B2 5D 66 0F 7F 45 A0 E8 ?? ?? ?? ?? 48 8D 55 A0 E9 95 01 00 00 81 65 A8 00 00 FF FF F7 46 08 00 08 00 00 4C 89 7D A0 74 74 48 8D 15 ?? ?? ?? ?? 48 8D 4D A0 E8 ?? ?? ?? ?? EB 62 8B C7 FF CF 85 C0 74 60 48 8B 05 ?? ?? ?? ?? 44 38 38 74 54 48 8D 4D E0 33 D2 E8 ?? ?? ?? ?? 48 8D 4D F0 B2 5B 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D C0 48 8B D3 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 0F 28 45 C0 48 8D 4D D0 B2 5D 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D A0 E8 ?? ?? ?? ?? 80 7D A8 01 7E 98 4C 39 3E 74 65 F7 46 08 00 08 00 00 74 0A 0F 10 06 F3 0F 7F 45 D0 EB 3C 48 8D 4D F0 B2 28 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D6 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 48 8D 4D D0 B2 29 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 D0 48 8D 55 A0 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 A0 48 8D 55 A0 48 8D 4D B0 E8 ?? ?? ?? ?? 0F BA 6D B8 0B 0F 10 45 B0 F3 41 0F 7F 06 E9 85 00 00 00 48 8D 4D F0 4C 39 3A 74 3F B2 28 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D6 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 D0 EB 0F B2 5B E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 D0 48 8D 4D D0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D C0 B2 5D 0F 28 45 D0 66 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 55 C0 49 8B CE E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B C6 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_787_66_0 {
	meta:
		name = "?getBasedType@UnDecorator@@CA?AVDName@@XZ"
		size = 189
		refs = "0008 ?disableFlags@UnDecorator@@0KA 000f tokenTable 0026 ??0DName@@QEAA@PEBD@Z 002d ?gName@UnDecorator@@0PEBDEB 0059 ??0DName@@QEAA@W4DNameStatus@@@Z 0065 ?getScopedName@UnDecorator@@CA?AVDName@@XZ 0072 ??YDName@@QEAAAEAV0@AEBV0@@Z 007b ??_C@_04GKJNKENE@void?$AA@ 0085 ??YDName@@QEAAAEAV0@PEBD@Z 0096 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 009d ??_C@_02KCKGHPCA@?$CJ?5?$AA@"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B D9 F7 D0 A8 01 75 04 48 83 C2 02 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 80 39 00 74 55 0F BE 01 48 FF C1 48 89 0D ?? ?? ?? ?? 83 F8 30 74 30 83 F8 32 74 12 83 F8 35 75 48 8D 50 CD 48 8B CB E8 ?? ?? ?? ?? EB 55 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? EB 22 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB 0F 48 8D 4C 24 20 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 03 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_787_67_0 {
	meta:
		name = "?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 1040
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 007d ??_C@_05KNFBNCOH@float?$AA@ 0086 ??4DName@@QEAAAEAV0@PEBD@Z 0092 ??_C@_04GOKPGOLB@long?$AA@ 009b ??_C@_03JBIPMCLC@int?$AA@ 00a4 ??_C@_05BFKKPKCG@short?$AA@ 00ad ??_C@_04ENMBGAPA@char?$AA@ 0120 ??_C@_06EBGKOKIG@__int8?$AA@ 0137 ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 013e ??_C@_06GCICPBLB@__w64?5?$AA@ 014a ??0DName@@QEAA@PEBD@Z 016a ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 0176 ??_C@_07ICFHOGAF@__int16?$AA@ 0189 ??_C@_07LFCOJCAC@__int64?$AA@ 0192 ??_C@_07OFLPPHGP@__int32?$AA@ 019b ??_C@_08GAHOLHEO@__int128?$AA@ 01d0 ?getECSUDataType@UnDecorator@@CA?AVDName@@XZ 01f5 ??_C@_07NFANNNEC@UNKNOWN?$AA@ 0201 ??_C@_07CLGGIAMF@wchar_t?$AA@ 020d ??_C@_09EEKGDCPH@?$DMunknown?$DO?$AA@ 023b ??_C@_00CNPNBAHC@?$AA@ 0254 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z 0260 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 0269 ??YDName@@QEAAAEAV0@PEBD@Z 0279 ??_C@_04DDKJGDCM@bool?$AA@ 0285 ??_C@_04GKJNKENE@void?$AA@ 02c1 ??_C@_05CJIMAING@long?5?$AA@ 02d1 ??_C@_06BNJCAIGJ@double?$AA@ 030e ??_C@_09EBBEKKIH@unsigned?5?$AA@ 0317 ??_C@_07EDHNAJHC@signed?5?$AA@ 0335 ??YDName@@QEAAAEAV0@AEBV0@@Z 034f ??0DName@@QEAA@D@Z 038b ??_C@_05BNCCCJPP@const?$AA@ 03a0 ??_C@_09EFNPDFFP@?5volatile?$AA@ 03b7 ??_C@_08PABEKFH@volatile?$AA@ 03c7 ??_C@_01NBENCBCI@?$CK?$AA@ 03e7 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 8B EC 48 83 EC 70 48 8B F9 48 8B 0D ?? ?? ?? ?? 48 8B F2 8A 01 88 45 38 84 C0 0F 84 B4 03 00 00 48 83 65 B0 00 81 65 B8 00 00 FF FF 48 FF C1 0F B6 C0 83 CB FF 48 89 0D ?? ?? ?? ?? C6 45 30 00 83 F8 4E 7F 65 0F 84 7A 02 00 00 83 F8 43 0F 8C 38 02 00 00 83 F8 45 7E 48 83 F8 47 7E 3A 83 F8 49 7E 2C 83 F8 4B 7E 1E 83 F8 4D 0F 85 1B 02 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? E9 58 02 00 00 48 8D 15 ?? ?? ?? ?? EB E9 48 8D 15 ?? ?? ?? ?? EB E0 48 8D 15 ?? ?? ?? ?? EB D7 48 8D 15 ?? ?? ?? ?? EB CE 83 F8 4F 0F 84 02 02 00 00 0F 8E D3 01 00 00 83 F8 53 0F 8E C3 01 00 00 83 F8 58 0F 84 AE 01 00 00 83 F8 5F 0F 85 B8 01 00 00 0F B6 19 48 FF C1 8B C3 48 89 0D ?? ?? ?? ?? 83 FB 4D 0F 8F AC 00 00 00 83 F8 4C 0F 8D 9A 00 00 00 83 F8 47 7F 79 83 F8 46 7D 6B 85 C0 74 4A 83 F8 24 74 21 83 C0 BC 83 F8 01 0F 87 D5 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? E9 B8 01 00 00 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D C0 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 E9 98 02 00 00 48 FF C9 BA 01 00 00 00 48 89 0D ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? E9 77 01 00 00 48 8D 15 ?? ?? ?? ?? EB A8 83 F8 49 7E 0E 83 F8 4B 7F 6C 48 8D 15 ?? ?? ?? ?? EB 95 48 8D 15 ?? ?? ?? ?? EB 8C 48 8D 15 ?? ?? ?? ?? EB 83 83 F8 4E 0F 84 CC 00 00 00 83 F8 4F 74 67 83 F8 52 74 56 83 F8 57 74 45 83 C0 A8 83 F8 01 77 31 48 FF C9 48 89 0D ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 66 48 0F 7E C0 0F 29 45 B0 48 85 C0 0F 85 01 01 00 00 F3 0F 7F 07 E9 0B 02 00 00 48 8D 15 ?? ?? ?? ?? E9 26 FF FF FF 48 8D 15 ?? ?? ?? ?? E9 1A FF FF FF 48 8D 15 ?? ?? ?? ?? E9 0E FF FF FF BB FE FF FF FF 0F 10 06 48 83 65 B0 00 81 65 B8 00 00 FF FF F3 0F 7F 45 C0 83 FB FE 0F 85 45 01 00 00 4C 8D 0D ?? ?? ?? ?? 4C 8D 45 C0 48 8D 55 B0 48 8D 4D D0 BB 00 08 00 00 09 5D C8 E8 ?? ?? ?? ?? 85 5D D8 75 10 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 10 45 D0 E9 73 FF FF FF 48 8D 15 ?? ?? ?? ?? E9 A2 FE FF FF 48 8D 15 ?? ?? ?? ?? E9 F3 FD FF FF 8B D8 83 E3 03 EB 49 48 FF C9 48 89 0D ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 66 48 0F 7E C0 0F 29 45 B0 48 85 C0 75 2E E9 2B FF FF FF 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 83 FB FF 0F 85 34 FF FF FF 8A 5D 30 8A 4D 38 80 F9 43 74 22 8D 41 BB A8 F9 74 12 80 F9 5F 75 44 80 EB 45 80 FB 08 77 3C F6 C3 01 75 37 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D D0 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 B0 48 83 3E 00 74 2C 48 8D 4D F0 B2 20 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D6 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D B0 E8 ?? ?? ?? ?? 0F 28 45 B0 E9 6C FE FF FF 48 83 3E 00 75 41 F6 C3 01 74 27 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? F6 C3 02 74 27 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? EB 15 F6 C3 02 74 10 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 45 C0 48 8D 55 B0 48 8B CF E8 ?? ?? ?? ?? EB 20 48 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D6 0F 10 00 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B C7 48 8B 9C 24 90 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_787_68_0 {
	meta:
		name = "?getCallIndex@UnDecorator@@CA?AVDName@@XZ"
		size = 25
		refs = "000c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		altNames = "?getGuardNumber@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_69_0 {
	meta:
		name = "?getCallingConvention@UnDecorator@@CA?AVDName@@XZ"
		size = 255
		refs = "000d ?gName@UnDecorator@@0PEBDEB 0041 ??0DName@@QEAA@W4DNameStatus@@@Z 0047 ?disableFlags@UnDecorator@@0KA 0084 tokenTable 00d8 ??4DName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 8B F9 80 38 00 0F 84 CA 00 00 00 0F BE 18 48 FF C0 BA 02 00 00 00 83 EB 41 48 89 05 ?? ?? ?? ?? 83 FB 10 0F 87 B1 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 0F 84 83 00 00 00 83 E3 FE 74 62 83 FB 02 74 54 83 FB 04 74 46 83 FB 06 74 38 83 FB 08 74 2A 83 FB 0C 74 1C 83 FB 0E 74 0E 83 FB 10 75 5B 48 8B 15 ?? ?? ?? ?? EB 3D 48 8B 15 ?? ?? ?? ?? EB 34 48 8B 15 ?? ?? ?? ?? EB 2B 48 8B 15 ?? ?? ?? ?? EB 22 48 8B 15 ?? ?? ?? ?? EB 19 48 8B 15 ?? ?? ?? ?? EB 10 48 8B 15 ?? ?? ?? ?? EB 07 48 8B 15 ?? ?? ?? ?? F7 D1 F6 C1 01 75 04 48 83 C2 02 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 07 EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_787_70_0 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
		size = 1780
		refs = "002c ?gName@UnDecorator@@0PEBDEB 006a ?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AEAPEBDAEA_NH@Z 00b7 ?disableFlags@UnDecorator@@0KA 00f0 tokenTable 010d ??YDName@@QEAAAEAV0@D@Z 0122 ??YDName@@QEAAAEAV0@PEBD@Z 01b3 ??4DName@@QEAAAEAV0@PEBD@Z 02cf ??0DName@@QEAA@PEBD@Z 02e7 ??YDName@@QEAAAEAV0@AEBV0@@Z 0393 ??_C@_02MOLJINC@?3?3?$AA@ 03d2 ?getScope@UnDecorator@@CA?AVDName@@XZ 03de ??0DName@@QEAA@W4DNameStatus@@@Z 0463 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 048d ?getBasedType@UnDecorator@@CA?AVDName@@XZ 04eb ??_C@_09GAIEOBLP@volatile?5?$AA@ 0522 ??_C@_06LIJLOJAG@const?5?$AA@ 0575 ??0DName@@QEAA@D@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 4C 89 40 18 55 57 41 54 41 56 41 57 48 8D 68 A9 48 81 EC E0 00 00 00 45 33 F6 0F 29 70 C8 48 8B 05 ?? ?? ?? ?? 48 8B F2 BA 00 00 FF FF 4D 8B F9 21 55 C7 48 8B D9 4C 89 75 BF 44 88 74 24 20 44 38 30 0F 84 DB 05 00 00 80 38 24 75 2E 44 8B 4D 7F 4C 8D 44 24 20 48 8D 55 6F 48 8D 4D AF E8 ?? ?? ?? ?? 4C 39 75 AF 74 0D 0F 10 45 AF F3 0F 7F 03 E9 4F 06 00 00 BA 00 00 FF FF 48 8B 05 ?? ?? ?? ?? 4C 89 75 8F 4C 89 75 AF 0F BE 08 B8 16 00 00 00 4D 8B E6 44 8D 40 2B 8B F9 41 3A C8 41 0F 4D C0 21 55 B7 2B F8 21 55 97 8B 15 ?? ?? ?? ?? 0F 28 75 8F 8B C7 83 E8 04 0F 84 F7 00 00 00 FF C8 74 75 83 F8 03 0F 85 D0 01 00 00 8B C2 D1 E8 F7 D0 A8 01 0F 84 63 01 00 00 F7 D2 4C 39 75 AF 74 47 48 8B 3D ?? ?? ?? ?? F6 C2 01 75 04 48 83 C7 02 0F 28 45 AF 48 8D 4D EF B2 20 66 0F 7F 45 EF E8 ?? ?? ?? ?? 48 8D 4D CF 0F 28 45 EF 48 8B D7 66 0F 7F 45 CF E8 ?? ?? ?? ?? 0F 28 45 CF 66 0F 7F 45 AF E9 08 01 00 00 F6 C2 01 48 8B 15 ?? ?? ?? ?? E9 EA 00 00 00 8B C2 D1 E8 F7 D0 A8 01 0F 84 F7 00 00 00 F7 D2 4D 85 E4 74 46 48 8B 3D ?? ?? ?? ?? F6 C2 01 75 04 48 83 C7 02 48 8D 4D 0F B2 20 66 0F 7F 75 0F E8 ?? ?? ?? ?? 48 8D 4D FF 48 8B D7 0F 28 45 0F 66 0F 7F 45 FF E8 ?? ?? ?? ?? 0F 28 75 FF 0F 29 75 8F 4C 8B 65 8F E9 9E 00 00 00 F6 C2 01 48 8B 15 ?? ?? ?? ?? 75 04 48 83 C2 02 48 8D 4D 8F E8 ?? ?? ?? ?? 4C 8B 65 8F 0F 28 75 8F EB 7B 8B C2 D1 E8 F7 D0 A8 01 74 7D 8B C2 C1 E8 11 F7 D0 A8 01 74 72 F7 D2 4C 39 75 AF 74 45 48 8B 3D ?? ?? ?? ?? F6 C2 01 75 04 48 83 C7 02 0F 28 45 AF 48 8D 4D DF B2 20 66 0F 7F 45 DF E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 45 DF 48 8B D7 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 E9 07 FF FF FF F6 C2 01 48 8B 15 ?? ?? ?? ?? 75 04 48 83 C2 02 48 8D 4D AF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 41 B8 41 00 00 00 48 8B 05 ?? ?? ?? ?? 48 FF C0 48 89 05 ?? ?? ?? ?? 80 38 24 75 2C 44 8B 4D 7F 4C 8D 44 24 20 48 8D 55 6F 48 8D 4D 9F E8 ?? ?? ?? ?? 4C 39 75 9F 0F 85 A7 03 00 00 8B 15 ?? ?? ?? ?? 41 B8 41 00 00 00 48 8B 05 ?? ?? ?? ?? B9 16 00 00 00 44 38 00 0F BE 38 41 0F 4D C8 2B F9 E9 18 FE FF FF 48 8B 05 ?? ?? ?? ?? 44 38 30 74 07 48 FF 05 ?? ?? ?? ?? 83 FF 1F 0F 87 BB 00 00 00 4C 8B 75 6F 48 8D 4D 8F 49 8B D6 E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 28 45 BF 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 83 7D AF 00 0F 28 44 24 30 66 0F 7F 45 8F 74 35 48 8D 4C 24 30 B2 20 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 55 AF 48 8D 4C 24 30 0F 28 44 24 30 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 8F 4D 85 E4 74 35 48 8D 4C 24 30 B2 20 66 0F 7F 74 24 30 E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 28 44 24 30 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 8F 45 33 E4 40 F6 C7 10 0F 84 EF 00 00 00 44 39 65 7F 74 0D BA 02 00 00 00 48 8B CB E9 40 03 00 00 45 38 26 74 75 48 8D 15 ?? ?? ?? ?? 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4D 9F 66 0F 7F 45 8F 44 38 20 74 07 E8 ?? ?? ?? ?? EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 48 8D 55 8F 48 8D 4C 24 30 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 8F EB 33 48 8B 05 ?? ?? ?? ?? 44 38 20 74 48 48 8D 4D 9F E8 ?? ?? ?? ?? 80 7D 97 03 74 18 80 78 08 01 7E 12 8B 4D 97 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D 97 48 8B 05 ?? ?? ?? ?? 8A 08 84 C9 74 14 48 FF C0 48 89 05 ?? ?? ?? ?? 80 F9 40 74 13 E9 25 FF FF FF 48 8D 4D 8F BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 A8 01 8B C7 74 3D 83 E0 0C 3C 0C 75 64 44 39 65 7F 0F 85 F6 FE FF FF 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 8F EB 2E 83 E0 0C 3C 0C 75 27 48 8D 4D 9F E8 ?? ?? ?? ?? 80 7D 97 03 74 18 80 78 08 01 7E 12 8B 4D 97 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D 97 40 F6 C7 02 74 31 48 8D 15 ?? ?? ?? ?? 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 8F 40 F6 C7 01 74 31 48 8D 15 ?? ?? ?? ?? 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 8F BF 00 01 00 00 44 39 65 7F 0F 85 AE 00 00 00 4C 39 26 74 75 85 7E 08 75 4D 4D 39 27 74 48 48 8D 4D 9F B2 20 E8 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D7 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 B2 20 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B D6 0F 28 44 24 30 66 0F 7F 44 24 30 EB 3F F7 46 08 00 08 00 00 74 0A 0F 10 06 F3 0F 7F 45 8F EB 44 48 8D 4D 9F B2 20 E8 ?? ?? ?? ?? 48 8B D6 EB 13 4D 39 27 74 2F 48 8D 4D 9F B2 20 E8 ?? ?? ?? ?? 49 8B D7 0F 10 00 F3 0F 7F 44 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 8F E8 ?? ?? ?? ?? 09 7D 97 44 38 64 24 20 74 05 0F BA 6D 97 0D 0F 28 45 8F E9 53 FA FF FF 0F 10 45 9F E9 4A FA FF FF 44 39 75 7F 0F 85 8E 00 00 00 4C 39 36 74 6E BF 00 01 00 00 85 7E 08 75 51 4D 39 31 74 4C 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D 9F 49 8B D7 0F 10 00 F3 0F 7F 45 9F E8 ?? ?? ?? ?? 0F 28 45 9F 48 8D 4D 9F B2 20 66 0F 7F 45 9F E8 ?? ?? ?? ?? 0F 28 45 9F 48 8B D6 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? EB 38 48 8D 4D 9F BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 EB DC 4D 39 31 74 16 48 8D 4D 9F BA 01 00 00 00 E8 ?? ?? ?? ?? 49 8B D7 0F 10 00 EB C4 BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 48 8B C3 49 8B 5B 30 49 8B 73 38 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_787_71_0 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@XZ"
		size = 70
		refs = "002d ??_C@_00CNPNBAHC@?$AA@ 0039 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
		altNames = "?getStorageConvention@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 48 8B D9 33 C9 B8 00 00 FF FF 49 89 4B D8 21 44 24 38 49 89 4B E8 21 44 24 48 89 4C 24 20 4D 8D 4B D8 4C 8D 05 ?? ?? ?? ?? 49 8D 53 E8 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_787_72_0 {
	meta:
		name = "?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
		size = 226
		refs = "0015 ??0DName@@QEAA@PEAV0@@Z 001c ?gName@UnDecorator@@0PEBDEB 003c ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0058 ??_C@_04GKJNKENE@void?$AA@ 0060 ??0DName@@QEAA@PEBD@Z 0069 ??_C@_05BEFAKPML@void?5?$AA@ 0095 ??_C@_00CNPNBAHC@?$AA@ 00a5 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 00bd ??0DName@@QEAA@W4DNameStatus@@@Z 00d0 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 60 48 8B D9 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 33 C9 38 08 0F 84 89 00 00 00 80 38 3F 74 49 80 38 58 74 11 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? E9 8F 00 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 48 39 4D D0 75 11 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 6E 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? EB 49 81 65 E8 00 00 FF FF 48 89 4D E0 89 4C 24 20 48 FF C0 48 8D 4D F0 4C 8D 4D E0 4C 8D 05 ?? ?? ?? ?? 48 8D 55 D0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 D0 EB 81 48 8D 4D E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 48 8D 55 D0 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_787_73_0 {
	meta:
		name = "?getDecoratedName@UnDecorator@@CA?AVDName@@XZ"
		size = 626
		refs = "0014 ?disableFlags@UnDecorator@@0KA 0032 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 004e ?gName@UnDecorator@@0PEBDEB 0078 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 00a2 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00b5 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 00c5 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0115 ?getScope@UnDecorator@@CA?AVDName@@XZ 0126 ?fExplicitTemplateParams@UnDecorator@@0_NA 0146 ??YDName@@QEAAAEAV0@AEBV0@@Z 0182 ??_C@_02MOLJINC@?3?3?$AA@ 0187 ??YDName@@QEAAAEAV0@PEBD@Z 0232 ?composeDeclaration@UnDecorator@@CA?AVDName@@AEBV2@@Z 025b ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 55 48 8B EC 48 83 EC 50 8B 05 ?? ?? ?? ?? 48 8B D9 0F BA E0 0D 73 2A 0F BA F0 0D 48 8D 4D F0 33 D2 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA 2D ?? ?? ?? ?? 0D 0F 10 45 F0 F3 0F 7F 03 E9 14 02 00 00 48 8B 05 ?? ?? ?? ?? B2 3F 8A 08 3A CA 0F 85 EB 01 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 38 10 75 4F 48 FF C0 38 10 75 23 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? EB 0A 48 FF C0 48 89 05 ?? ?? ?? ?? 80 38 00 75 F1 EB A8 80 38 24 48 8D 4D D0 75 09 B2 01 E8 ?? ?? ?? ?? EB 21 45 33 C0 33 D2 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 48 8D 4D D0 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 83 7D D0 00 8B 75 D8 74 0F 0F BA E6 09 73 09 C7 45 20 01 00 00 00 EB 04 83 65 20 00 8B CE C1 E9 0F 83 E1 01 80 7D D8 01 89 4D 18 7E 09 0F 28 45 D0 E9 42 FF FF FF 48 8B 05 ?? ?? ?? ?? F6 00 BF 0F 84 A0 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 83 7D E0 00 0F 84 89 00 00 00 80 3D ?? ?? ?? ?? 00 48 8D 4D F0 74 45 0F 28 45 D0 48 8D 55 E0 C6 05 ?? ?? ?? ?? 00 66 0F 7F 45 F0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 45 F0 80 38 40 66 0F 7F 45 D0 74 4B 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D F0 0F 10 00 F3 0F 7F 45 F0 EB 09 0F 28 45 E0 66 0F 7F 45 F0 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D F0 0F 28 45 F0 66 0F 7F 45 F0 E8 ?? ?? ?? ?? 0F 28 45 F0 66 0F 7F 45 D0 8B 75 D8 8B 4D 18 8B 55 20 85 D2 74 0E 48 83 7D D0 00 74 07 0F BA EE 09 89 75 D8 41 B8 00 80 00 00 85 C9 74 06 41 0B F0 89 75 D8 48 83 7D D0 00 0F 84 17 FF FF FF B9 00 10 00 00 85 F1 0F 85 0A FF FF FF 48 8B 05 ?? ?? ?? ?? 80 38 00 74 13 80 38 40 74 07 BA 02 00 00 00 EB 52 48 FF 05 ?? ?? ?? ?? 85 0D ?? ?? ?? ?? 74 27 85 D2 75 23 41 85 F0 75 1E 48 83 65 E0 00 81 65 E8 00 00 FF FF 48 8D 55 E0 48 8D 4D F0 E8 ?? ?? ?? ?? E9 BC FE FF FF 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? EB 16 BA 02 00 00 00 84 C9 75 05 BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 78 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_787_74_0 {
	meta:
		name = "?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		size = 348
		refs = "001a ?gName@UnDecorator@@0PEBDEB 0036 ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@ 004f ??0DName@@QEAA@W4DNameStatus@@@Z 00e1 ??0DName@@QEAA@_J@Z 0106 ??0DName@@QEAA@_K@Z 0115 ??0DName@@QEAA@PEBD@Z 0129 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 4C 8B 05 ?? ?? ?? ?? 33 F6 44 8A CA 41 80 38 51 48 8B F9 44 8D 56 01 75 11 4D 03 C2 48 8D 35 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 41 8A 08 84 C9 75 10 41 8B D2 48 8B CF E8 ?? ?? ?? ?? E9 EB 00 00 00 8D 41 D0 3C 09 77 2A 4D 03 C2 0F BE C1 83 E8 2F 4C 89 05 ?? ?? ?? ?? 48 63 D0 48 85 F6 74 09 48 8D 4D D0 E9 85 00 00 00 48 8D 4D F0 E9 AE 00 00 00 33 D2 41 B3 40 EB 2B 84 C9 74 B4 8D 41 BF 3C 0F 77 4C 0F BE C1 48 C1 E2 04 83 E8 41 48 63 C8 48 03 CA 4D 03 C2 4C 89 05 ?? ?? ?? ?? 48 8B D1 41 8A 08 41 3A CB 75 D0 41 8A 00 4D 03 C2 4C 89 05 ?? ?? ?? ?? 41 3A C3 75 15 45 84 C9 74 25 48 85 F6 74 15 48 8D 4D F0 E8 ?? ?? ?? ?? EB 23 BA 02 00 00 00 E9 5A FF FF FF 48 8D 4D D0 E8 ?? ?? ?? ?? EB 40 48 85 F6 74 32 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D E0 48 8B D6 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D C0 48 8B D3 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 45 C0 EB 09 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 4C 8D 5C 24 60 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_787_75_0 {
	meta:
		name = "?getDispatchTarget@UnDecorator@@CA?AVDName@@XZ"
		size = 98
		refs = "000c ?gName@UnDecorator@@0PEBDEB 0044 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? 80 39 5F 75 35 80 79 01 5F 75 2F 48 83 C1 02 48 89 0D ?? ?? ?? ?? 0F BE 01 48 FF C1 83 E8 41 48 89 0D ?? ?? ?? ?? 83 F8 03 76 0F BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 0F 48 83 23 00 C6 43 08 00 81 63 08 FF 00 FF FF 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_76_0 {
	meta:
		name = "?getDisplacement@UnDecorator@@CA?AVDName@@XZ"
		size = 25
		refs = "000c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 B2 01 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_77_0 {
	meta:
		name = "?getECSUDataType@UnDecorator@@CA?AVDName@@XZ"
		size = 349
		refs = "0019 ?disableFlags@UnDecorator@@0KA 0042 ?gName@UnDecorator@@0PEBDEB 0083 ??_C@_0N@DLIEFKNA@cointerface?5?$AA@ 008c ??_C@_08KOFANOFK@coclass?5?$AA@ 009a ?getEnumType@UnDecorator@@CA?AVDName@@XZ 00a1 ??_C@_05LJGMCFOG@enum?5?$AA@ 00ad ??0DName@@QEAA@PEBD@Z 00c1 ??YDName@@QEAAAEAV0@AEBV0@@Z 00d3 ??_C@_06LJBABKPM@class?5?$AA@ 00dc ??_C@_07DIBCDNGL@struct?5?$AA@ 00e5 ??_C@_06MOJHIBMG@union?5?$AA@ 00ee ??4DName@@QEAAAEAV0@PEBD@Z 0110 ?getScopedName@UnDecorator@@CA?AVDName@@XZ 013b ??_C@_0P@GCIFDJCJ@?$GAunknown?5ecsu?8?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 8B 05 ?? ?? ?? ?? 48 8B F9 44 8B C0 41 C1 E8 0F 41 F7 D0 41 83 E0 01 74 0D 0F BA E0 0C 72 07 BE 01 00 00 00 EB 02 33 F6 48 8B 15 ?? ?? ?? ?? 48 83 65 C0 00 81 65 C8 00 00 FF FF 0F BE 0A 48 FF C2 48 89 15 ?? ?? ?? ?? 85 C9 0F 84 C4 00 00 00 83 E9 54 74 76 FF C9 74 69 FF C9 74 5C FF C9 74 1A FF C9 74 0D FF C9 75 72 48 8D 15 ?? ?? ?? ?? EB 60 48 8D 15 ?? ?? ?? ?? EB 57 48 8D 4D E0 41 8B F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D3 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 C0 EB 22 48 8D 15 ?? ?? ?? ?? EB 10 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D C0 E8 ?? ?? ?? ?? 48 83 65 D0 00 81 65 D8 00 00 FF FF 85 F6 74 09 0F 28 45 C0 66 0F 7F 45 D0 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 28 45 D0 F3 0F 7F 07 EB 19 48 FF CA 48 8B CF 48 89 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 5C 24 60 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_787_79_0 {
	meta:
		name = "?getEnumType@UnDecorator@@CA?AVDName@@XZ"
		size = 230
		refs = "0010 ?gName@UnDecorator@@0PEBDEB 004f ??_C@_05CJIMAING@long?5?$AA@ 0058 ??_C@_04LAHKHJMA@int?5?$AA@ 0061 ??_C@_06EHJMALKF@short?5?$AA@ 006a ??_C@_05CIHEBHNO@char?5?$AA@ 0073 ??4DName@@QEAAAEAV0@PEBD@Z 0095 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 009e ??0DName@@QEAA@PEBD@Z 00b3 ??YDName@@QEAAAEAV0@AEBV0@@Z 00d4 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 83 65 D0 00 81 65 D8 00 00 FF FF 80 38 00 48 8B D9 0F 84 A2 00 00 00 8A 00 3C 30 0F 8C 91 00 00 00 3C 31 7E 2D 3C 33 7E 20 3C 34 74 35 3C 35 74 0F 2C 36 3C 01 77 7B 48 8D 15 ?? ?? ?? ?? EB 19 48 8D 15 ?? ?? ?? ?? EB 10 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F BE 00 48 FF 05 ?? ?? ?? ?? 83 C0 CF A9 F9 FF FF FF 75 2B 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 EB 04 0F 28 45 D0 F3 0F 7F 03 EB 11 BA 02 00 00 00 EB 05 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_787_80_0 {
	meta:
		name = "?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AEAPEBDAEA_NH@Z"
		size = 587
		refs = "0026 ?gName@UnDecorator@@0PEBDEB 0090 ??0DName@@QEAA@W4DNameStatus@@@Z 00e0 ?doPchar@DName@@AEAAXPEBDH@Z 00eb ??0DName@@QEAA@_K@Z 0100 ??YDName@@QEAAAEAV0@AEBV0@@Z 011a ??YDName@@QEAAAEAV0@D@Z 0178 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0199 ??_C@_01FGNFDNOH@?$CF?$AA@ 020b ??_C@_01JKBOJNNK@?$FO?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 74 24 18 55 48 8B EC 48 83 EC 60 44 8B 55 D8 48 83 65 D0 00 48 8B D9 48 8B 0D ?? ?? ?? ?? 49 8B F0 41 81 E2 00 00 FF FF 41 BE 01 00 00 00 45 8B D9 44 89 55 D8 49 03 CE 48 89 0D ?? ?? ?? ?? 44 0F BE 09 45 8B C1 41 83 E8 41 0F 84 86 01 00 00 41 FF C8 0F 84 3D 01 00 00 41 FF C8 0F 84 28 01 00 00 80 39 00 0F 84 17 01 00 00 8A 41 01 84 C0 0F 84 0C 01 00 00 45 85 DB 74 12 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 99 01 00 00 41 C1 E1 04 48 83 C1 02 0F BE F0 81 C6 D0 FC FF FF 48 89 0D ?? ?? ?? ?? 41 03 F1 41 3B F6 76 51 48 83 65 D0 00 41 81 E2 00 FF FF FF 48 8D 55 C0 41 81 E2 FF 00 FF FF 48 8D 4D D0 45 8B C6 44 89 55 D8 C6 45 C0 2C E8 ?? ?? ?? ?? 48 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 45 D0 48 8B D0 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 EB 04 0F 28 45 D0 48 8D 4D E0 B2 3E 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 45 E0 80 38 24 66 0F 7F 45 D0 75 0C 49 03 C6 48 89 05 ?? ?? ?? ?? EB 20 48 8D 4D E0 B2 5E 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 45 E0 66 0F 7F 45 D0 80 38 00 74 0C 49 03 C6 48 89 05 ?? ?? ?? ?? EB 0C 48 8D 4D D0 41 8B D6 E8 ?? ?? ?? ?? 0F BA 6D D8 0E 0F 28 45 D0 F3 0F 7F 03 E9 A4 00 00 00 41 8B D6 E9 F6 FE FF FF 48 8D 05 ?? ?? ?? ?? 48 89 02 EB 37 45 85 DB 0F 85 DC FE FF FF 48 83 65 D0 00 41 81 E2 00 FF FF FF 48 8D 55 C0 41 81 E2 FF 00 FF FF 48 8D 4D D0 45 8B C6 44 88 36 C6 45 C0 3E 44 89 55 D8 E8 ?? ?? ?? ?? 4C 01 35 ?? ?? ?? ?? EB 41 45 85 DB 75 32 48 8B 02 80 38 26 75 11 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 0D ?? ?? ?? ?? 48 8B 02 80 38 2A 75 11 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 0D ?? ?? ?? ?? 49 03 CE 48 89 0D ?? ?? ?? ?? 48 83 23 00 C6 43 08 00 81 63 08 FF 00 FF FF 4C 8D 5C 24 60 48 8B C3 49 8B 5B 10 49 8B 73 18 4D 8B 73 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_787_81_0 {
	meta:
		name = "?getExternalDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 210
		refs = "0027 heap 002c ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0052 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 0077 ??_C@_00CNPNBAHC@?$AA@ 0084 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 0098 ??YDName@@QEAAAEAV0@D@Z 00ad ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 45 33 C0 48 8B F2 48 8B F9 41 8D 50 10 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 48 83 20 00 C6 40 08 00 81 60 08 FF 00 FF FF EB 02 33 DB 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 83 65 D0 00 48 83 65 E0 00 83 64 24 20 00 B8 00 00 FF FF 4C 8D 4D D0 21 45 D8 21 45 E8 4C 8D 05 ?? ?? ?? ?? 48 8D 55 E0 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D E0 B2 20 0F 28 45 F0 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D E0 48 8B D6 0F 28 45 E0 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 48 8B C7 0F 28 45 E0 F3 0F 7F 03 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_787_82_0 {
	meta:
		name = "?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 1286
		refs = "0029 ?gName@UnDecorator@@0PEBDEB 003e ??0DName@@QEAA@W4DNameStatus@@@Z 0050 ??YDName@@QEAAAEAV0@AEBV0@@Z 00f2 ??_C@_02MOLJINC@?3?3?$AA@ 00fb ??0DName@@QEAA@PEBD@Z 012d ?getScope@UnDecorator@@CA?AVDName@@XZ 013b ??0DName@@QEAA@D@Z 01be ?disableFlags@UnDecorator@@0KA 01cc ??_C@_00CNPNBAHC@?$AA@ 01f0 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 021f ?getBasedType@UnDecorator@@CA?AVDName@@XZ 02f5 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 0376 ??YDName@@QEAAAEAV0@D@Z 0389 heap 0392 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 03b8 ?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z 03c1 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 043e ?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ 0488 ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 8B F9 48 8B 0D ?? ?? ?? ?? 33 DB 4C 8B E2 38 19 75 23 8D 53 01 48 8D 4D 17 E8 ?? ?? ?? ?? 49 8B D4 0F 10 00 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 89 04 00 00 8A 01 2C 36 3C 03 76 0F 80 39 5F 74 0A BA 02 00 00 00 E9 6A 04 00 00 44 0F BE 31 BE 01 00 00 00 83 CA FF 48 03 CE 41 83 EE 36 48 89 0D ?? ?? ?? ?? 41 83 FE 29 75 28 38 19 74 20 44 0F BE 31 48 03 CE 41 83 EE 3D 48 89 0D ?? ?? ?? ?? 41 8D 46 FC 83 F8 03 76 11 44 8B F2 EB 0C 8B D6 EB 81 41 83 FE 03 44 0F 47 F2 44 3B F2 74 A1 44 8B 7D EF 41 0F 10 04 24 45 8B EE 41 81 E7 00 00 FF FF 48 89 5D E7 44 89 7D EF F3 0F 7F 45 D7 41 83 E5 02 0F 84 0E 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 07 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 45 07 48 8D 4D 17 66 0F 7F 45 D7 38 18 74 41 E8 ?? ?? ?? ?? 48 8D 4D F7 B2 20 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D 07 48 8B D3 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 0F 28 45 07 48 8D 55 D7 48 8D 4D 07 66 0F 7F 45 07 E8 ?? ?? ?? ?? 33 DB EB 1C 8B D6 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 07 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 45 07 66 0F 7F 45 D7 38 18 0F 84 05 01 00 00 80 38 40 0F 85 BC FE FF FF 48 03 C6 48 89 5D F7 48 89 5D 07 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 74 24 20 83 E0 60 4C 8D 05 ?? ?? ?? ?? 48 8D 4D 17 3C 60 B8 00 00 FF FF 0F 84 87 00 00 00 21 45 FF 21 45 0F 4C 8D 4D F7 48 8D 55 07 E8 ?? ?? ?? ?? 0F 28 45 17 66 0F 7F 45 E7 41 F6 C6 04 0F 84 DA 00 00 00 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 40 84 C6 0F 84 A0 00 00 00 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 4D F7 B2 20 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D 17 48 8B D3 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 48 8D 55 D7 48 8D 4D 17 66 0F 7F 45 17 E8 ?? ?? ?? ?? 33 DB 0F 28 45 17 66 0F 7F 45 D7 EB 79 21 45 0F 21 45 FF 4C 8D 4D 07 48 8D 55 F7 E8 ?? ?? ?? ?? 80 7D EF 03 0F 84 78 FF FF FF 40 38 75 1F 0F 8E 6E FF FF FF 0F B6 45 1F 41 81 E7 00 FF FF FF 44 0B F8 44 89 7D EF E9 57 FF FF FF 48 8D 4D 17 8B D6 E8 ?? ?? ?? ?? 48 8D 55 D7 E9 8B FD FF FF 48 8D 4D 17 E8 ?? ?? ?? ?? 80 7D DF 03 74 18 40 38 70 08 7E 12 8B 4D DF 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D DF 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 40 84 C6 74 29 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 17 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 66 0F 7F 45 D7 EB 27 48 8D 4D 17 E8 ?? ?? ?? ?? 80 7D DF 03 74 18 40 38 70 08 7E 12 8B 4D DF 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D DF 49 39 1C 24 74 3D 48 8D 4D 07 B2 28 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 17 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 48 8D 4D 17 B2 29 66 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 66 0F 7F 45 D7 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 0F 88 58 08 81 60 08 FF 00 FF FF 48 89 18 EB 03 4C 8B F3 48 8D 4D 27 49 8B D6 E8 ?? ?? ?? ?? 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 4D F7 B2 28 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D 17 48 8B D3 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 48 8D 4D 17 B2 29 66 0F 7F 45 17 E8 ?? ?? ?? ?? 48 8D 55 17 48 8D 4D D7 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B C1 83 E0 60 3C 60 74 18 45 85 ED 74 13 48 8D 55 E7 48 8D 4D D7 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? C1 E9 13 F7 D1 40 84 CE 48 8D 4D 17 74 13 E8 ?? ?? ?? ?? 48 8D 4D D7 48 8B D0 E8 ?? ?? ?? ?? EB 23 E8 ?? ?? ?? ?? 80 7D DF 03 74 18 40 38 70 08 7E 12 8B 4D DF 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D DF 8B 05 ?? ?? ?? ?? 48 8D 4D 17 C1 E8 08 F7 D0 40 84 C6 74 13 E8 ?? ?? ?? ?? 48 8D 4D D7 48 8B D0 E8 ?? ?? ?? ?? EB 23 E8 ?? ?? ?? ?? 80 7D DF 03 74 18 40 38 70 08 7E 12 8B 4D DF 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D DF 4D 85 F6 74 13 0F 28 45 D7 F3 41 0F 7F 06 0F 10 4D 27 F3 0F 7F 0F EB 0D BA 03 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 48 8B C7 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_787_84_0 {
	meta:
		name = "?getLastChar@DName@@QEBADXZ"
		size = 18
	strings:
		$1 = { 48 8B 09 48 85 C9 75 03 32 C0 C3 48 8B 01 48 FF 60 08 }
	condition:
		$1
}

rule file_787_87_0 {
	meta:
		name = "?getLastChar@pDNameNode@@UEBADXZ"
		size = 34
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 33 C0 48 85 C9 74 0E 48 8B 09 48 85 C9 74 06 48 8B 01 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_787_88_0 {
	meta:
		name = "?getLastChar@pairNode@@UEBADXZ"
		size = 39
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 48 8B 01 FF 50 08 84 C0 75 0A 48 8B 4B 08 48 8B 01 FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_89_0 {
	meta:
		name = "?getLastChar@pcharNode@@UEBADXZ"
		size = 20
	strings:
		$1 = { 33 C0 39 41 10 74 0C 48 63 51 10 48 8B 41 08 8A 44 10 FF C3 }
	condition:
		$1
}

rule file_787_90_0 {
	meta:
		name = "?getLexicalFrame@UnDecorator@@CA?AVDName@@XZ"
		size = 95
		refs = "0015 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0024 ??0DName@@QEAA@D@Z 003a ??YDName@@QEAAAEAV0@AEBV0@@Z 004d ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B F9 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 40 B2 60 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D3 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 B2 27 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_787_91_0 {
	meta:
		name = "?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
		size = 176
		refs = "004c heap 005c ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 7A 07 48 8B D9 48 83 E7 F8 45 85 C0 74 07 48 8B CF FF 13 EB 7A B8 08 00 00 00 48 85 FF 48 0F 44 F8 48 8B 41 20 48 3B C7 73 52 BE 00 10 00 00 48 3B FE 76 04 33 C0 EB 57 48 8D 0D ?? ?? ?? ?? BA 08 10 00 00 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 83 20 00 48 85 C0 74 D7 48 8B 4B 18 48 85 C9 74 05 48 89 01 EB 04 48 89 43 10 48 2B F7 48 89 43 18 48 89 73 20 EB 07 48 2B C7 48 89 41 20 48 8B 43 20 48 83 C0 08 48 03 43 18 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_92_0 {
	meta:
		name = "?getNumberOfDimensions@UnDecorator@@CAHXZ"
		size = 115
		refs = "0003 ?gName@UnDecorator@@0PEBDEB"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 8A 11 84 D2 75 03 33 C0 C3 8D 42 D0 3C 09 77 11 0F BE C2 83 E8 2F 48 FF C1 48 89 0D ?? ?? ?? ?? C3 45 33 C0 41 B1 40 EB 25 84 D2 74 D9 8D 42 BF 3C 0F 77 34 41 C1 E0 04 0F BE C2 41 83 C0 BF 44 03 C0 48 FF C1 48 89 0D ?? ?? ?? ?? 8A 11 41 3A D1 75 D6 8A 01 48 FF C1 48 89 0D ?? ?? ?? ?? 41 3A C1 75 04 41 8B C0 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_787_93_0 {
	meta:
		name = "?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z"
		size = 1755
		refs = "0022 ?gName@UnDecorator@@0PEBDEB 0087 __ImageBase 008f nameTable 0098 ??4DName@@QEAAAEAV0@PEBD@Z 00aa ??_C@_08LHJFAFGD@operator?$AA@ 00b3 ??0DName@@QEAA@PEBD@Z 00c8 ??YDName@@QEAAAEAV0@AEBV0@@Z 00e9 ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 00f7 ??0DName@@QEAA@D@Z 0136 ??YDName@@QEAAAEAV0@D@Z 017b ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 020c ??0DName@@QEAA@W4DNameStatus@@@Z 02f0 ??_C@_08OBABFOLI@?$GAstring?8?$AA@ 02f9 ?getStringEncoding@UnDecorator@@CA?AVDName@@PEADH@Z 0331 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 0399 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 03bf rttiTable 043e ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 04bb ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 04fd ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 055b ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 061a ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0647 ?getSymbolName@UnDecorator@@CA?AVDName@@XZ 065a ??_C@_02OHHJMEON@?8?8?$AA@ 0663 ??YDName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 20 4C 89 40 18 55 48 8D 68 A1 48 81 EC F0 00 00 00 48 8B 1D ?? ?? ?? ?? 48 83 65 97 00 48 83 65 87 00 0F BE 03 33 F6 48 8B F9 B9 00 00 FF FF 44 8D 46 01 21 4D 9F 21 4D 8F 49 03 D8 48 89 1D ?? ?? ?? ?? 83 F8 41 0F 8F B8 01 00 00 0F 84 41 06 00 00 85 C0 0F 84 93 01 00 00 83 F8 2F 0F 8E B0 02 00 00 83 F8 31 7E 5F 83 F8 39 0F 8F A2 02 00 00 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 83 7D 97 00 0F 84 30 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D A7 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 0F 28 45 A7 E9 06 01 00 00 21 4D 8F 48 89 75 87 84 D2 0F 84 8D 00 00 00 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8D 4D B7 B2 3C 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D A7 48 8B D3 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8B 4D 87 48 85 C9 74 15 48 8B 01 FF 50 08 3C 3E 75 0B 48 8D 4D 87 B2 20 E8 ?? ?? ?? ?? 48 8D 4D 87 B2 3E E8 ?? ?? ?? ?? 48 8B 45 77 48 85 C0 74 03 C6 00 01 48 8B 1D ?? ?? ?? ?? 40 38 33 75 06 0F 10 45 87 EB 78 48 8B 75 87 48 FF C3 48 89 1D ?? ?? ?? ?? 48 8D 4D 47 45 33 C0 33 D2 E8 ?? ?? ?? ?? 0F 10 00 48 89 1D ?? ?? ?? ?? 66 48 0F 7E C0 0F 29 45 97 48 85 C0 74 2E 80 7B FF 31 75 28 48 8D 4D B7 B2 7E E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D A7 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 0F 28 45 A7 0F 29 45 97 48 85 F6 74 11 48 8D 55 87 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 28 45 97 F3 0F 7F 07 4C 8D 9C 24 F0 00 00 00 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 28 49 8B E3 5D C3 49 2B D8 41 8B D0 48 89 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? EB CD 83 F8 42 0F 84 83 04 00 00 0F 8E 00 01 00 00 83 F8 5A 0F 8E 77 04 00 00 83 F8 5F 0F 85 EE 00 00 00 0F BE 0B 49 03 D8 48 89 1D ?? ?? ?? ?? 83 F9 4F 0F 8F EE 00 00 00 83 F9 44 0F 8D 1A 04 00 00 83 F9 39 7F 7E 74 55 85 C9 74 9E 83 F9 2F 0F 8E BB 00 00 00 83 F9 36 7E 2A 83 F9 38 0F 8F AD 00 00 00 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? E9 4A FF FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? E9 E5 FD FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 87 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA 6D 8F 0F E9 88 FE FF FF 83 F9 3F 74 2D 83 F9 40 7E 42 83 F9 42 0F 8E 84 03 00 00 83 F9 43 75 34 48 8D 15 ?? ?? ?? ?? 48 8D 4D 87 E8 ?? ?? ?? ?? 0F BA 6D 8F 0C E9 56 FE FF FF 0F BE 03 49 03 D8 48 89 1D ?? ?? ?? ?? 85 C0 0F 84 DF FE FF FF 83 F8 30 74 0A BA 02 00 00 00 E9 DD FE FF FF 45 33 C0 48 8D 15 ?? ?? ?? ?? EB BD 83 F9 54 0F 8F 46 02 00 00 83 F9 53 0F 8D 23 03 00 00 83 E9 50 0F 84 E2 01 00 00 FF C9 0F 84 7D FE FF FF FF C9 75 C3 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 97 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 8A 08 84 C9 75 1A 0F 28 45 97 BA 01 00 00 00 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 3D FE FF FF 0F BE C1 83 E8 30 0F 88 73 FF FF FF 48 63 D0 48 83 FA 05 0F 83 66 FF FF FF 48 8B 94 D3 ?? ?? ?? ?? 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F BE 01 48 FF C1 48 89 0D ?? ?? ?? ?? 83 F8 30 0F 84 0D 01 00 00 83 F8 31 74 35 83 C0 CE 83 F8 02 77 19 0F 28 45 97 48 8D 55 87 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 D0 FD FF FF 48 FF C9 BA 01 00 00 00 48 89 0D ?? ?? ?? ?? E9 E5 FD FF FF 0F 28 45 97 48 8D 55 87 48 8D 4D 97 66 0F 7F 45 97 E8 ?? ?? ?? ?? 48 8D 4D D7 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 2C 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D 37 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 2C 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 2C 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D E7 33 D2 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 29 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 E8 ?? ?? ?? ?? B2 27 48 8B CF 0F 28 45 97 F3 0F 7F 07 E8 ?? ?? ?? ?? E9 E9 FC FF FF 48 8D 4D B7 33 D2 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 20 0F 28 45 B7 66 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D A7 0F 28 45 A7 66 0F 7F 45 A7 E8 ?? ?? ?? ?? 0F 28 45 A7 E9 C6 FE FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 97 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D 07 45 33 C0 33 D2 E8 ?? ?? ?? ?? 0F 10 00 66 48 0F 7E C0 0F 11 45 87 48 85 C0 0F 84 82 FE FF FF F7 45 8F 00 04 00 00 0F 84 75 FE FF FF E9 9B FD FF FF 83 F9 56 0F 8E F6 00 00 00 83 F9 57 0F 8E 89 FD FF FF 83 F9 59 0F 8E CB 00 00 00 83 F9 5F 0F 85 77 FD FF FF 0F BE 03 49 03 D8 48 89 1D ?? ?? ?? ?? 83 F8 41 0F 8C 61 FD FF FF 83 F8 44 7E 0E 83 F8 46 7E 22 83 F8 4A 0F 8F 4E FD FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? E9 9C FC FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 87 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 3F 75 2D 48 8D 4D 27 E8 ?? ?? ?? ?? 48 8D 4D 87 48 8B D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 21 48 FF C0 48 89 05 ?? ?? ?? ?? EB 15 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 4D 87 48 8B D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 87 E8 ?? ?? ?? ?? E9 F1 FA FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? E9 03 FC FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? E9 F5 F9 FF FF 41 8B F0 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 97 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 D6 F9 FF FF 48 83 7D 97 00 0F 84 06 FB FF FF 0F BA 6D 9F 09 E9 FC FA FF FF }
	condition:
		$1
}

rule file_787_94_0 {
	meta:
		name = "?getPointerType@UnDecorator@@CA?AVDName@@AEBV2@0@Z"
		size = 30
		refs = "0009 ??_C@_01NBENCBCI@?$CK?$AA@ 0011 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 0D ?? ?? ?? ?? 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_95_0 {
	meta:
		name = "?getPointerTypeArray@UnDecorator@@CA?AVDName@@AEBV2@0@Z"
		size = 30
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 0011 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 0D ?? ?? ?? ?? 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_96_0 {
	meta:
		name = "?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 533
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 004d ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0059 ??_C@_08PABEKFH@volatile?$AA@ 0062 ??4DName@@QEAAAEAV0@PEBD@Z 0073 ??YDName@@QEAAAEAV0@D@Z 0081 ??_C@_01HNPIGOCE@?$CG?$AA@ 00b2 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z 00d4 ??0DName@@QEAA@W4DNameStatus@@@Z 0123 ??_C@_0P@GCOCNKDM@std?3?3nullptr_t?$AA@ 012f ??0DName@@QEAA@PEBD@Z 016f ??_C@_02PPKAJPJL@?$CG?$CG?$AA@ 019a ??_C@_00CNPNBAHC@?$AA@ 01a2 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 01c5 ?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z 01dc ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z 01fe ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 60 4C 8B 05 ?? ?? ?? ?? 48 83 65 D0 00 48 8B D9 41 0F BE 08 48 8B FA BA 00 00 FF FF 21 55 D8 85 C9 0F 84 AA 01 00 00 83 E9 24 74 7E 83 E9 1D 74 3C FF C9 74 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 AC 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 83 3F 00 74 0B 48 8D 4D D0 B2 20 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 0F 10 07 49 FF C0 48 8D 55 D0 4C 89 05 ?? ?? ?? ?? 4C 8D 45 E0 48 8B CB 0F 11 45 E0 66 0F 73 D8 08 66 0F 7E C0 0F BA E8 08 89 45 E8 E8 ?? ?? ?? ?? E9 47 01 00 00 41 8A 40 01 3C 24 74 1A 84 C0 0F 84 17 01 00 00 48 8B CB BA 02 00 00 00 E8 ?? ?? ?? ?? E9 25 01 00 00 49 83 C0 02 4C 89 05 ?? ?? ?? ?? 41 0F BE 08 85 C9 0F 84 EE 00 00 00 83 E9 41 0F 84 CE 00 00 00 FF C9 0F 84 A9 00 00 00 FF C9 74 6F 83 E9 0E 74 5E FF C9 74 32 FF C9 74 22 FF C9 48 8B CB 75 B1 49 FF C0 48 8D 15 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CA 00 00 00 49 FF C0 4C 89 05 ?? ?? ?? ?? EB 87 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 83 3F 00 74 0B 48 8D 4D D0 B2 20 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? E9 0D FF FF FF 21 55 D8 48 83 65 D0 00 83 64 24 20 00 49 FF C0 4C 8D 4D D0 48 8D 4D F0 4C 89 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 8B D7 E8 ?? ?? ?? ?? 48 8B D0 E9 9B FE FF FF 49 FF C0 48 8B D7 48 8B CB 4C 89 05 ?? ?? ?? ?? 41 B8 01 00 00 00 E8 ?? ?? ?? ?? EB 37 49 FF C0 48 8B D7 48 8B CB 4C 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 48 8D 4D E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D7 48 8B CB 0F 10 00 F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B 7C 24 78 48 8B C3 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_787_97_0 {
	meta:
		name = "?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z"
		size = 263
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 0045 ??_C@_04GKJNKENE@void?$AA@ 004a ??0DName@@QEAA@PEBD@Z 0056 ??_C@_05BEFAKPML@void?5?$AA@ 0075 ?getArrayType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0080 ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0090 ??_C@_0M@EALIELKG@cli?3?3array?$DM?$AA@ 00ae ??YDName@@QEAAAEAV0@AEBV0@@Z 00c4 ??_C@_0O@GKABPPIF@cli?3?3pin_ptr?$DM?$AA@ 00de ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 8B FA 48 8B D9 80 38 00 0F 84 AC 00 00 00 45 85 C0 74 38 80 38 58 75 33 48 FF C0 48 89 05 ?? ?? ?? ?? 48 83 3A 00 75 11 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? EB 7D 80 38 59 75 11 48 FF C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 79 48 8D 4D D0 E8 ?? ?? ?? ?? F7 47 08 00 40 00 00 74 2B 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 EB 16 F7 47 08 00 20 00 00 74 09 48 8D 15 ?? ?? ?? ?? EB CA 0F 28 45 D0 F3 0F 7F 03 EB 20 48 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 48 8B D7 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_787_98_0 {
	meta:
		name = "?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
		size = 305
		refs = "001e ?gName@UnDecorator@@0PEBDEB 0058 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 006e ?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z 007f ??0DName@@QEAA@PEBD@Z 009e ??YDName@@QEAAAEAV0@AEBV0@@Z 00bb ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z 00cb ??0DName@@QEAA@W4DNameStatus@@@Z 00d7 ??YDName@@QEAAAEAV0@PEBD@Z 00fd ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 8B F1 33 DB 8A 08 4D 8B F9 49 8B F8 4C 8B F2 84 C9 0F 84 87 00 00 00 8D 41 CA 3C 03 76 36 80 F9 5F 74 31 4C 8B CA 48 8D 4D F0 4D 8B C7 48 8B D7 89 5C 24 20 E8 ?? ?? ?? ?? 41 80 3F 2A 48 8D 55 F0 0F 94 C3 48 8B CE 44 8B C3 E8 ?? ?? ?? ?? E9 9E 00 00 00 48 8D 4D F0 49 8B D1 E8 ?? ?? ?? ?? 49 39 1E 74 1A 48 39 1F 74 09 F7 47 08 00 01 00 00 75 0C 48 8D 4D F0 49 8B D6 E8 ?? ?? ?? ?? 48 39 1F 74 0C 48 8D 4D F0 48 8B D7 E8 ?? ?? ?? ?? 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? EB 54 48 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D F0 49 8B D7 E8 ?? ?? ?? ?? 49 39 1E 74 0C 48 8D 4D F0 49 8B D6 E8 ?? ?? ?? ?? 48 39 1F 74 1C 49 39 1E 74 0B 48 8D 4D F0 B2 20 E8 ?? ?? ?? ?? 48 8D 4D F0 48 8B D7 E8 ?? ?? ?? ?? 0F 10 45 F0 F3 0F 7F 06 48 8B 5C 24 60 48 8B 7C 24 70 48 8B C6 48 8B 74 24 68 48 83 C4 40 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_787_100_0 {
	meta:
		name = "?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ"
		size = 295
		refs = "0013 ?gName@UnDecorator@@0PEBDEB 004d ?disableFlags@UnDecorator@@0KA 0068 ??_C@_01CLKCMJKC@?5?$AA@ 0071 ??YDName@@QEAAAEAV0@PEBD@Z 007e tokenTable 00af ??_C@_03DCBBJBAA@amp?$AA@ 00b8 ??_C@_03PBJBJNON@cpu?$AA@ 00cf ??_C@_02KEGNLNML@?0?5?$AA@ 00e8 ??0DName@@QEAA@W4DNameStatus@@@Z 00f6 ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 5F 0F 85 E2 00 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 0F BE 30 48 FF C0 83 EE 41 48 89 05 ?? ?? ?? ?? 83 FE 03 0F 87 9C 00 00 00 49 83 63 E8 00 8B 05 ?? ?? ?? ?? 81 64 24 28 00 00 FF FF D1 E8 F7 D0 A8 01 0F 84 95 00 00 00 48 8D 15 ?? ?? ?? ?? 49 8D 4B E8 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? F7 D0 A8 01 75 04 48 83 C2 02 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 F6 74 54 8B FE F7 D7 FF C7 23 FE 8B C7 FF C8 74 0D FF C8 75 33 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? F7 D7 23 F7 74 22 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BB 48 8B CB BA 02 00 00 00 E8 ?? ?? ?? ?? EB 26 48 8D 4C 24 20 B2 29 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 03 EB 0F 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B 74 24 48 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_787_101_0 {
	meta:
		name = "?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
		size = 52
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0020 ??0DName@@QEAA@PEAV0@@Z 0027 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 40 75 11 48 FF C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_102_0 {
	meta:
		name = "?getScope@UnDecorator@@CA?AVDName@@XZ"
		size = 1266
		refs = "0048 ?gName@UnDecorator@@0PEBDEB 0058 ?fExplicitTemplateParams@UnDecorator@@0_NA 0061 ?fGetTemplateArgumentList@UnDecorator@@0_NA 0073 ??_C@_02MOLJINC@?3?3?$AA@ 007f ??0DName@@QEAA@PEBD@Z 0093 ??YDName@@QEAAAEAV0@AEBV0@@Z 00ae ??0DName@@QEAA@D@Z 0129 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0147 ??0DName@@QEAA@AEBV0@@Z 0169 ??YDName@@QEAAAEAV0@D@Z 01aa ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 01d2 ??YDName@@QEAAAEAV0@PEBD@Z 02fa ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 0337 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 03a4 ??0DName@@QEAA@AEAPEBDD@Z 03ab ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 03da ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 03e8 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 0488 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 0493 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 55 48 8D A8 C8 FE FF FF 48 81 EC 30 02 00 00 45 33 F6 48 8B F9 44 88 71 08 8B 41 08 4C 89 31 25 FF 00 FF FF 41 8A F6 89 41 08 84 C0 0F 85 14 04 00 00 48 8B 05 ?? ?? ?? ?? F6 00 BF 0F 84 04 04 00 00 44 38 35 ?? ?? ?? ?? 74 0D 44 38 35 ?? ?? ?? ?? 0F 84 67 04 00 00 4C 39 37 74 61 48 8D 15 ?? ?? ?? ?? 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D F0 48 8B D7 0F 10 00 F3 0F 7F 45 F0 E8 ?? ?? ?? ?? 0F 10 45 F0 F3 0F 7F 07 40 84 F6 74 2D 48 8D 8D 20 01 00 00 B2 5B E8 ?? ?? ?? ?? 48 8D 4D 80 48 8B D7 0F 10 00 F3 0F 7F 45 80 E8 ?? ?? ?? ?? 0F 10 45 80 41 8A F6 F3 0F 7F 07 48 8B 05 ?? ?? ?? ?? 80 38 3F 0F 85 42 03 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 0F BE 08 83 E9 24 0F 84 F7 02 00 00 FF C9 0F 84 96 02 00 00 83 E9 1A 0F 84 C8 01 00 00 83 E9 02 0F 84 84 02 00 00 83 E9 08 0F 84 6A 01 00 00 83 F9 08 74 6C 48 8D 8D 10 01 00 00 33 D2 E8 ?? ?? ?? ?? 48 8D 8D B0 00 00 00 B2 60 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 70 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4C 24 70 48 8B D3 E8 ?? ?? ?? ?? 48 8D 4D 30 B2 27 0F 28 44 24 70 66 0F 7F 45 30 E8 ?? ?? ?? ?? 48 8D 4D 90 48 8B D7 0F 28 45 30 66 0F 7F 45 90 E8 ?? ?? ?? ?? 0F 28 45 90 E9 C1 02 00 00 81 64 24 28 00 00 FF FF 48 FF 05 ?? ?? ?? ?? 4C 89 74 24 20 48 8D 4C 24 40 45 33 C0 B2 01 E8 ?? ?? ?? ?? 44 38 74 24 48 75 44 0F 28 44 24 40 4C 39 74 24 20 74 30 48 8D 15 ?? ?? ?? ?? 48 8D 4D 50 66 0F 7F 45 50 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4D 00 0F 28 45 50 66 0F 7F 45 00 E8 ?? ?? ?? ?? 0F 28 45 00 66 0F 7F 44 24 20 EB 15 8B 44 24 28 4C 89 74 24 20 25 02 00 FF FF 83 C8 02 89 44 24 28 44 38 74 24 28 75 5C 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 85 7A FF FF FF 48 8D 8D F0 00 00 00 B2 5B E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4D C0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 0F 28 45 C0 48 8D 4D 40 B2 5D 66 0F 7F 45 40 E8 ?? ?? ?? ?? 0F 28 45 40 F3 0F 7F 07 48 FF 05 ?? ?? ?? ?? E9 DF 01 00 00 81 67 08 FF 00 FF FF 4C 89 37 C6 47 08 02 E9 CC 01 00 00 48 FF 05 ?? ?? ?? ?? 48 8D 8D 80 00 00 00 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8D 4D E0 B2 5D 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D 20 48 8B D7 66 0F 7F 45 20 E8 ?? ?? ?? ?? 40 B6 01 0F 28 45 20 E9 7C 01 00 00 48 8B 05 ?? ?? ?? ?? 48 8D 48 01 80 39 5F 75 4F 80 78 02 3F 75 49 48 89 0D ?? ?? ?? ?? 48 8D 8D 90 00 00 00 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 8D 4D A0 48 8B D7 0F 10 00 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 0F 10 45 A0 F3 0F 7F 07 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 85 26 01 00 00 E9 36 FF FF FF 48 8D 8D A0 00 00 00 E8 ?? ?? ?? ?? 48 8D 8D C0 00 00 00 B2 60 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D B0 48 8B D3 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 28 45 B0 48 8D 4D D0 B2 27 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4C 24 50 0F 28 45 D0 48 8B D7 66 0F 7F 44 24 50 E8 ?? ?? ?? ?? 0F 28 44 24 50 E9 B7 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D 60 41 B0 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D 10 48 8B D7 0F 10 00 F3 0F 7F 45 10 E8 ?? ?? ?? ?? 0F 10 45 10 F3 0F 7F 07 48 8B 0D ?? ?? ?? ?? 83 39 09 74 6D 48 8D 55 60 E8 ?? ?? ?? ?? EB 62 48 FF 0D ?? ?? ?? ?? 48 8D 8D 00 01 00 00 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8D 4C 24 60 48 8B D7 0F 10 00 F3 0F 7F 44 24 60 E8 ?? ?? ?? ?? 0F 10 44 24 60 EB 29 48 8D 4D 70 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D7 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 10 44 24 30 F3 0F 7F 07 44 38 77 08 E9 E6 FB FF FF 48 8B 05 ?? ?? ?? ?? 44 38 30 74 15 80 38 40 74 68 81 67 08 FF 00 FF FF 4C 89 37 C6 47 08 02 EB 58 BA 01 00 00 00 4C 39 37 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 44 48 8D 4D 70 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 48 8B D7 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 F3 0F 7F 07 4C 8D 9C 24 30 02 00 00 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_787_103_0 {
	meta:
		name = "?getScopedName@UnDecorator@@CA?AVDName@@XZ"
		size = 280
		refs = "0029 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 003b ?gName@UnDecorator@@0PEBDEB 0050 ?getScope@UnDecorator@@CA?AVDName@@XZ 0057 ??_C@_02MOLJINC@?3?3?$AA@ 0068 ??YDName@@QEAAAEAV0@PEBD@Z 007d ??YDName@@QEAAAEAV0@AEBV0@@Z 00c6 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 00d1 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 40 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B D9 48 8D 4D E0 45 33 C0 B2 01 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 03 80 7B 08 00 48 8B 05 ?? ?? ?? ?? 75 4F 80 38 00 74 4A 80 38 40 74 4A 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 48 8B D3 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 F3 0F 7F 03 48 8B 05 ?? ?? ?? ?? 80 38 40 75 0C 48 FF C0 48 89 05 ?? ?? ?? ?? EB 69 80 38 00 74 11 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 EB 53 48 83 3B 00 BA 01 00 00 00 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 3E 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 48 8B D3 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 F3 0F 7F 03 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_787_104_0 {
	meta:
		name = "?getSignedDimension@UnDecorator@@CA?AVDName@@XZ"
		size = 124
		refs = "0010 ?gName@UnDecorator@@0PEBDEB 0023 ??0DName@@QEAA@W4DNameStatus@@@Z 003f ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 004e ??0DName@@QEAA@D@Z 0060 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B 0D ?? ?? ?? ?? 8A 01 84 C0 75 0F BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? EB 45 33 D2 3C 3F 75 37 48 FF C1 48 89 0D ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 30 B2 2D 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_787_106_0 {
	meta:
		name = "?getString@DName@@QEBAPEADPEAD0@Z"
		size = 19
	strings:
		$1 = { 48 8B 09 48 85 C9 75 04 48 8B C2 C3 48 8B 01 48 FF 60 10 }
	condition:
		$1
}

rule file_787_107_0 {
	meta:
		name = "?getString@DName@@QEBAPEADPEADH@Z"
		size = 135
		refs = "002d heap 003b ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8B 09 41 8B F0 48 8B DA 48 85 C9 74 4C 48 85 D2 75 22 48 8B 01 FF 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 8D 70 01 48 63 D6 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 2D 48 8B 0F 48 85 C9 75 05 48 8B C3 EB 13 4C 8B 09 4C 63 C6 48 8B D3 49 FF C8 4C 03 C3 41 FF 51 10 C6 00 00 EB 08 48 85 D2 74 03 C6 02 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_108_0 {
	meta:
		name = "?getString@DNameStatusNode@@UEBAPEADPEAD0@Z"
		size = 67
		refs = "001c ??_C@_04OKOHEJBO@?5?$DP?$DP?5?$AA@"
	strings:
		$1 = { 83 79 08 01 75 39 44 2B C2 B9 04 00 00 00 44 3B C1 41 0F 4C C8 85 C9 74 1F 4C 8D 0D ?? ?? ?? ?? 4C 8B C2 44 8B D1 4C 2B CA 43 8A 04 01 41 88 00 49 FF C0 49 FF CA 75 F1 48 63 C1 48 03 C2 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_787_109_0 {
	meta:
		name = "?getString@charNode@@UEBAPEADPEAD0@Z"
		size = 17
	strings:
		$1 = { 49 3B D0 73 08 8A 41 08 88 02 48 FF C2 48 8B C2 C3 }
	condition:
		$1
}

rule file_787_110_0 {
	meta:
		name = "?getString@pDNameNode@@UEBAPEADPEAD0@Z"
		size = 38
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 48 85 C9 74 11 48 8B 09 48 85 C9 74 09 48 8B 01 FF 50 10 48 8B D0 48 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_787_111_0 {
	meta:
		name = "?getString@pairNode@@UEBAPEADPEAD0@Z"
		size = 59
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 49 08 49 8B D8 48 8B 01 FF 50 10 48 3B C3 73 11 48 8B 4F 10 4C 8B C3 48 8B D0 4C 8B 09 41 FF 51 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_112_0 {
	meta:
		name = "?getString@pcharNode@@UEBAPEADPEAD0@Z"
		size = 53
	strings:
		$1 = { 44 8B 49 10 4C 8B 51 08 44 2B C2 45 3B C8 45 0F 4F C8 45 85 C9 74 17 48 8B CA 4C 2B D2 45 8B C1 41 8A 04 0A 88 01 48 FF C1 49 FF C8 75 F2 49 63 C1 48 03 C2 C3 }
	condition:
		$1
}

rule file_787_113_0 {
	meta:
		name = "?getStringEncoding@UnDecorator@@CA?AVDName@@PEADH@Z"
		size = 191
		refs = "000f ??0DName@@QEAA@PEBD@Z 0016 ?gName@UnDecorator@@0PEBDEB 004c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00b2 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8A 02 48 FF C2 48 89 15 ?? ?? ?? ?? 3C 40 75 7F 8A 02 48 FF C2 48 89 15 ?? ?? ?? ?? 3C 5F 75 6F 48 FF C2 48 8D 4C 24 30 48 89 15 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 8A 08 84 C9 74 2F 80 F9 40 74 10 48 FF C0 48 89 05 ?? ?? ?? ?? 8A 08 84 C9 75 EB 80 38 00 74 15 0F 10 44 24 20 48 FF C0 48 89 05 ?? ?? ?? ?? F3 0F 7F 03 EB 1E 48 FF C8 BA 01 00 00 00 48 89 05 ?? ?? ?? ?? EB 05 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_787_114_0 {
	meta:
		name = "?getStringHelper@@YAPEADPEAD00H@Z"
		size = 44
	strings:
		$1 = { 2B D1 44 3B CA 44 0F 4F CA 45 85 C9 74 17 48 8B D1 4C 2B C1 45 8B D1 41 8A 04 10 88 02 48 FF C2 49 FF CA 75 F2 49 63 C1 48 03 C1 C3 }
	condition:
		$1
}

rule file_787_115_0 {
	meta:
		name = "?getSymbolName@UnDecorator@@CA?AVDName@@XZ"
		size = 76
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0020 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 0033 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 003f ?getZName@UnDecorator@@CA?AVDName@@_N0@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 3F 75 24 48 FF C0 80 38 24 75 09 B2 01 E8 ?? ?? ?? ?? EB 1D 45 33 C0 33 D2 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_116_0 {
	meta:
		name = "?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 746
		refs = "0022 __security_cookie 0045 ?fGetTemplateArgumentList@UnDecorator@@0_NA 0056 ?gName@UnDecorator@@0PEBDEB 0092 ?pTemplateArgList@UnDecorator@@0PEAVReplicator@@EA 0097 ??AReplicator@@QEBA?AVDName@@H@Z 00a2 ??YDName@@QEAAAEAV0@AEBV0@@Z 00eb ??_C@_04GKJNKENE@void?$AA@ 00fc ??4DName@@QEAAAEAV0@PEBD@Z 0130 ?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ 0147 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 014d ?disableFlags@UnDecorator@@0KA 0167 ?getString@DName@@QEBAPEADPEADH@Z 0170 atol 0178 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 018c ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 0195 ??0DName@@QEAA@PEBD@Z 01b6 ??_C@_01GEODFPGF@?8?$AA@ 01c4 ??YDName@@QEAAAEAV0@PEBD@Z 022e ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0263 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 0281 ??YDName@@QEAAAEAV0@D@Z 029a ??_C@_03KHICJKCI@?4?4?4?$AA@ 02c9 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 41 56 41 57 48 8D 68 A1 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 41 B7 01 48 8B D9 44 88 3D ?? ?? ?? ?? 80 79 08 00 0F 85 64 02 00 00 48 8B 0D ?? ?? ?? ?? F6 01 BF 0F 84 54 02 00 00 40 32 F6 45 84 FF 74 05 45 32 FF EB 03 40 B6 01 44 0F BE 01 41 83 E8 30 41 83 F8 09 77 2A 48 FF C1 48 8D 55 D7 48 89 0D ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? E9 FB 01 00 00 48 83 64 24 20 00 81 64 24 28 00 00 FF FF 40 32 FF 80 39 24 4C 8B F1 75 1B 80 79 01 24 75 15 8A 41 02 3C 57 75 34 48 83 C1 03 40 B7 01 48 89 0D ?? ?? ?? ?? 8A 01 3C 58 75 34 48 FF C1 48 8D 15 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? E9 36 01 00 00 3C 56 75 D6 48 83 C1 03 48 89 0D ?? ?? ?? ?? E9 94 01 00 00 3C 24 75 1C 48 FF C1 38 01 74 15 48 89 0D ?? ?? ?? ?? 48 8D 4D F7 E8 ?? ?? ?? ?? E9 F9 00 00 00 3C 3F 0F 85 D8 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 74 77 48 8D 55 27 48 8D 4C 24 30 41 B8 10 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D 27 E8 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 08 48 8B D0 E9 6D FF FF FF 48 8D 15 ?? ?? ?? ?? 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D C7 0F 10 00 F3 0F 7F 45 C7 E8 ?? ?? ?? ?? 0F 28 45 C7 48 8D 15 ?? ?? ?? ?? 48 8D 4D B7 66 0F 7F 45 B7 E8 ?? ?? ?? ?? 0F 28 45 B7 EB 43 48 8D 15 ?? ?? ?? ?? 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D A7 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 0F 28 45 A7 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 66 0F 7F 45 97 E8 ?? ?? ?? ?? 0F 28 45 97 66 0F 7F 44 24 20 EB 22 48 83 65 87 00 81 65 8F 00 00 FF FF 48 8D 55 87 48 8D 4D 07 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 44 24 20 48 8B 0D ?? ?? ?? ?? 48 8B C1 49 2B C6 48 83 F8 01 7E 20 48 8B 05 ?? ?? ?? ?? 83 38 09 74 14 48 8D 54 24 20 48 8B C8 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 7C 24 20 00 74 37 40 84 F6 74 0A B2 2C 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 40 84 FF 74 0F 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 80 7B 08 00 0F 84 A3 FD FF FF C6 05 ?? ?? ?? ?? 00 48 8B C3 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_787_117_0 {
	meta:
		name = "?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ"
		size = 889
		refs = "001e __security_cookie 002f ?gName@UnDecorator@@0PEBDEB 0080 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0086 ?disableFlags@UnDecorator@@0KA 00a4 ?getString@DName@@QEBAPEADPEADH@Z 00ad atol 00b5 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 0114 ??0DName@@QEAA@W4DNameStatus@@@Z 0141 ??0DName@@QEAA@PEBD@Z 0156 ??YDName@@QEAAAEAV0@D@Z 016b ??YDName@@QEAAAEAV0@AEBV0@@Z 017f ??_C@_04HIBGFPH@NULL?$AA@ 019c ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 01a3 ??_C@_01HNPIGOCE@?$CG?$AA@ 0228 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0251 ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 0277 ??_C@_01GEODFPGF@?8?$AA@ 0283 ??YDName@@QEAAAEAV0@PEBD@Z 028f ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@ 029d ??0DName@@QEAA@D@Z 035c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 48 8D 68 B8 48 81 EC 40 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 30 48 8B F9 48 8B 0D ?? ?? ?? ?? 0F BE 31 48 FF C1 48 89 0D ?? ?? ?? ?? 8B DE 83 FE 45 0F 8F 9F 01 00 00 83 FB 45 0F 84 89 01 00 00 85 DB 0F 84 6D 01 00 00 83 EB 30 0F 84 57 01 00 00 FF CB 0F 84 07 01 00 00 FF CB 74 59 83 FB 12 0F 85 91 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 0F 84 AF 01 00 00 48 8D 55 B0 48 8D 4C 24 20 41 B8 10 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 81 01 00 00 48 8B D0 E9 C0 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 80 7C 24 28 01 0F 8F EB 00 00 00 80 7D B8 01 0F 8F E1 00 00 00 48 8D 55 C1 48 8D 4C 24 20 41 B8 64 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 12 BA 02 00 00 00 48 8B CF E8 ?? ?? ?? ?? E9 34 02 00 00 8A 45 C1 88 45 C0 3C 2D 75 0C 8A 45 C2 C6 45 C2 2E 88 45 C1 EB 04 C6 45 C1 2E 48 8D 55 C0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 65 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 48 8D 55 B0 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 DD 01 00 00 80 39 40 75 1E 48 FF C1 48 8D 15 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? E9 BA 01 00 00 48 8D 4D 90 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 70 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 0F 10 00 EB A7 48 8B CF E8 ?? ?? ?? ?? E9 88 01 00 00 48 FF C9 48 89 0D ?? ?? ?? ?? BA 01 00 00 00 E9 33 FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 67 01 00 00 83 FB 4A 0F 8E A2 00 00 00 83 FB 51 0F 84 7E FE FF FF 83 FB 52 74 1D 83 FB 53 0F 85 01 FF FF FF 48 83 27 00 C6 47 08 00 81 67 08 FF 00 FF FF E9 33 01 00 00 48 8D 4D B0 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 45 B0 F3 0F 7F 07 E9 0E 01 00 00 48 8D 4C 24 30 40 80 FE 44 75 3E 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4D B0 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 45 B0 48 8D 15 ?? ?? ?? ?? 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 C5 00 00 00 48 8D 15 ?? ?? ?? ?? EB C0 48 8D 4C 24 20 B2 7B E8 ?? ?? ?? ?? 40 80 EE 48 40 80 FE 02 77 23 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 2C E8 ?? ?? ?? ?? 83 EB 46 74 33 FF CB 74 0C FF CB 74 4D FF CB 74 27 FF CB 75 5B 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 2C E8 ?? ?? ?? ?? 48 8D 4D 80 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 2C E8 ?? ?? ?? ?? 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 0F 10 44 24 20 B2 7D 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D 30 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_787_118_0 {
	meta:
		name = "?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z"
		size = 462
		refs = "0027 ?gName@UnDecorator@@0PEBDEB 0047 ?pArgList@UnDecorator@@0PEAVReplicator@@EA 004e ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 0055 ?pTemplateArgList@UnDecorator@@0PEAVReplicator@@EA 00bf ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 00cf ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 00d9 ?fExplicitTemplateParams@UnDecorator@@0_NA 0101 ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 0110 ??0DName@@QEAA@D@Z 0126 ??YDName@@QEAAAEAV0@AEBV0@@Z 0155 ??YDName@@QEAAAEAV0@D@Z 01a6 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8D 6C 24 80 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 44 8A F2 48 8B F9 80 38 3F 0F 85 66 01 00 00 80 78 01 24 0F 85 5C 01 00 00 4C 8B 3D ?? ?? ?? ?? 4C 8B 25 ?? ?? ?? ?? 4C 8B 2D ?? ?? ?? ?? 83 C9 FF 48 83 C0 02 32 DB 89 4C 24 60 89 4D C0 89 4D 20 48 8D 4C 24 60 BE 01 00 00 00 48 89 05 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8D 4D C0 88 9D C0 00 00 00 48 89 0D ?? ?? ?? ?? 48 8D 4D 20 40 8A D6 48 89 0D ?? ?? ?? ?? 80 38 3F 48 8D 4C 24 30 75 1E 48 03 C6 4C 8D 85 C0 00 00 00 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 9D C0 00 00 00 EB 08 44 8A C6 E8 ?? ?? ?? ?? 0F 10 00 0F B6 0D ?? ?? ?? ?? 66 48 0F 7E C0 0F 11 44 24 20 48 85 C0 0F 44 CE 88 0D ?? ?? ?? ?? 84 DB 0F 85 8A 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 40 B2 3C 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D3 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 48 85 C9 74 16 48 8B 01 FF 50 08 3C 3E 75 0C 48 8D 4C 24 20 B2 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 3E E8 ?? ?? ?? ?? 45 84 F6 74 16 48 8B 05 ?? ?? ?? ?? 80 38 00 74 0A 48 03 C6 48 89 05 ?? ?? ?? ?? 0F 10 44 24 20 4C 89 3D ?? ?? ?? ?? 4C 89 25 ?? ?? ?? ?? 4C 89 2D ?? ?? ?? ?? F3 0F 7F 07 EB 0A BA 02 00 00 00 E8 ?? ?? ?? ?? 4C 8D 9C 24 80 01 00 00 48 8B C7 49 8B 5B 30 49 8B 73 38 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_787_119_0 {
	meta:
		name = "?getThisType@UnDecorator@@CA?AVDName@@XZ"
		size = 71
		refs = "0026 ??_C@_00CNPNBAHC@?$AA@ 003a ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 49 83 63 D8 00 49 83 63 E8 00 B8 00 00 FF FF 21 44 24 38 21 44 24 48 4D 8D 4B D8 4C 8D 05 ?? ?? ?? ?? 49 8D 53 E8 48 8B D9 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_787_120_0 {
	meta:
		name = "?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 195
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 004b ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0052 ??_C@_07HDJPLPEK@?5throw?$CI?$AA@ 005e ??0DName@@QEAA@PEBD@Z 0072 ??YDName@@QEAAAEAV0@AEBV0@@Z 009a ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 00ac ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 8B F9 80 38 00 74 57 80 38 5A 75 20 48 83 65 D0 00 48 FF C0 81 65 D8 00 00 FF FF 0F 10 45 D0 48 89 05 ?? ?? ?? ?? F3 0F 7F 01 EB 6A 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D3 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? EB 26 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D D0 BA 01 00 00 00 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 10 45 D0 B2 29 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 8B 7C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_787_121_0 {
	meta:
		name = "?getTypeEncoding@UnDecorator@@CAHXZ"
		size = 1247
		refs = "0007 ?gName@UnDecorator@@0PEBDEB 00ed ?getTypeEncoding@UnDecorator@@CAHXZ"
	strings:
		$1 = { 48 83 EC 28 4C 8B 05 ?? ?? ?? ?? 41 B9 00 40 00 00 33 D2 41 80 38 5F 75 0D 49 FF C0 41 8B D1 4C 89 05 ?? ?? ?? ?? 41 8A 00 2C 41 3C 19 0F 86 B5 03 00 00 41 80 38 24 0F 85 35 02 00 00 49 FF C0 45 32 D2 4C 89 05 ?? ?? ?? ?? 41 0F BE 08 83 F9 42 0F 8F F7 00 00 00 0F 84 E6 00 00 00 85 C9 0F 84 D1 00 00 00 83 F9 24 0F 85 A0 00 00 00 49 8D 40 01 80 38 50 4C 0F 44 C0 49 FF C0 4C 89 05 ?? ?? ?? ?? 45 38 10 74 7C 41 8A 00 2C 46 A8 FD 74 26 41 80 38 4A 74 2F 41 80 38 4B 0F 8E A8 03 00 00 41 80 38 4D 7E 10 41 80 38 4F 7E 19 41 80 38 51 0F 85 92 03 00 00 49 FF C0 4C 89 05 ?? ?? ?? ?? E9 4B FF FF FF 49 FF C0 4C 89 05 ?? ?? ?? ?? 41 8A 00 2C 30 3C 09 77 21 41 0F BE 00 83 E8 2F 48 98 4C 03 C0 4C 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA E8 10 E9 E0 03 00 00 BA FF FF 00 00 E9 5F 01 00 00 B8 FE FF 00 00 E9 CC 03 00 00 83 F9 2F 0F 8E 32 03 00 00 83 F9 35 7E 6F 83 F9 41 0F 85 24 03 00 00 81 E2 FF F4 FF FF 81 CA 00 90 00 00 E9 2D 01 00 00 BA FE FF 00 00 49 FF C8 E9 20 01 00 00 81 CA 00 98 00 00 E9 15 01 00 00 83 E9 43 0F 84 06 01 00 00 FF C9 0F 84 F0 00 00 00 FF C9 0F 84 DA 00 00 00 83 E9 0D 0F 85 D9 02 00 00 49 FF C0 41 B2 01 4C 89 05 ?? ?? ?? ?? 41 8A 08 8D 41 D0 3C 05 0F 87 A6 00 00 00 41 0F BE 00 41 B9 00 80 00 00 41 BB FF EF FF FF 41 0B D1 83 E8 30 41 85 D1 74 09 41 23 D3 0F BA EA 0B EB 06 81 E2 FF 9F FF FF 45 84 D2 74 0C 0F BA F2 08 81 CA 00 06 00 00 EB 0A 0F BA F2 09 81 CA 00 05 00 00 A8 01 74 06 0F BA EA 0D EB 04 0F BA F2 0D 83 E0 06 74 34 83 F8 02 74 1A 83 F8 04 0F 85 58 02 00 00 8B C2 8B CA 25 3F FF FF FF 81 E2 FF E7 FF FF EB 27 8B C2 8B CA 0F BA F2 0B 83 E0 BF 0F BA E8 07 0F BA EA 0C EB 12 8B C2 8B CA 41 23 D3 0F BA F0 07 83 C8 40 0F BA EA 0B 41 23 C9 0F 45 D0 EB 32 F6 D9 BA FF FF 00 00 1B C0 03 C2 E9 99 02 00 00 81 E2 FF F6 FF FF 81 CA 00 92 00 00 EB 14 81 E2 FF F5 FF FF 81 CA 00 91 00 00 EB 06 81 CA 00 7C 00 00 49 FF C0 4C 89 05 ?? ?? ?? ?? E9 66 02 00 00 41 8A 08 8D 41 D0 3C 08 0F 87 3D 01 00 00 49 FF C0 0F BE C9 0F BA F2 0F 4C 89 05 ?? ?? ?? ?? 83 E9 30 0F 84 E3 00 00 00 FF C9 0F 84 A9 00 00 00 FF C9 74 77 FF C9 74 67 FF C9 74 56 FF C9 74 41 FF C9 74 2C FF C9 74 17 FF C9 0F 85 87 01 00 00 0F BA F2 0A 81 CA 00 78 00 00 E9 07 02 00 00 81 E2 FF F3 FF FF 81 CA 00 70 00 00 E9 F6 01 00 00 81 E2 FF EB FF FF 81 CA 00 68 00 00 E9 E5 01 00 00 81 E2 FF E3 FF FF 81 CA 00 60 00 00 E9 D4 01 00 00 0F BA F2 0E 0F BA EA 0D E9 C7 01 00 00 0F BA F2 0D 41 0B D1 E9 BB 01 00 00 41 B9 00 80 00 00 41 85 D1 74 0C 81 E2 FF FA FF FF 0F BA EA 09 EB 06 81 E2 FF 9F FF FF 8B C2 8B CA 25 3F FF FF FF 81 E2 FF E7 FF FF EB 67 41 B9 00 80 00 00 41 85 D1 74 0C 81 E2 FF FA FF FF 0F BA EA 09 EB 06 81 E2 FF 9F FF FF 8B C2 8B CA 0F BA F2 0B 83 E0 BF 0F BA E8 07 0F BA EA 0C EB 35 41 B9 00 80 00 00 41 85 D1 74 0C 81 E2 FF FA FF FF 0F BA EA 09 EB 06 81 E2 FF 9F FF FF 8B C2 8B CA 41 BB FF EF FF FF 0F BA F0 07 41 23 D3 83 C8 40 0F BA EA 0B 41 23 C9 0F 45 D0 E9 1B 01 00 00 80 F9 39 75 14 49 FF C0 BA FD FF 00 00 4C 89 05 ?? ?? ?? ?? E9 02 01 00 00 F6 D9 BA FE FF 00 00 1B C0 F7 D8 03 D0 E9 F0 00 00 00 45 0F BE 10 49 FF C0 41 B9 00 80 00 00 41 83 EA 41 41 0B D1 4C 89 05 ?? ?? ?? ?? 41 F6 C2 01 74 06 0F BA EA 0D EB 04 0F BA F2 0D 41 83 FA 18 0F 8D BB 00 00 00 41 BB FF EF FF FF 41 85 D1 74 09 41 23 D3 0F BA EA 0B EB 06 81 E2 FF 9F FF FF 41 8B C2 83 E0 18 74 3A 83 F8 08 74 20 83 F8 10 74 0A B8 FF FF 00 00 E9 87 00 00 00 8B C2 8B CA 25 3F FF FF FF 81 E2 FF E7 FF FF EB 27 8B C2 8B CA 0F BA F2 0B 83 E0 BF 0F BA E8 07 0F BA EA 0C EB 12 8B C2 8B CA 41 23 D3 0F BA F0 07 83 C8 40 0F BA EA 0B 41 23 C9 0F 45 D0 41 83 E2 06 74 41 41 83 FA 02 74 24 41 83 FA 04 74 12 41 83 FA 06 75 A0 81 E2 FF FC FF FF 0F BA EA 0A EB 23 81 E2 FF F9 FF FF 0F BA EA 08 EB 17 41 85 D1 74 0C 81 E2 FF FA FF FF 0F BA EA 09 EB 06 81 E2 FF 9F FF FF 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_787_122_0 {
	meta:
		name = "?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ"
		size = 76
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0027 ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 0033 ??0DName@@QEAA@PEBD@Z 003f ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 00 74 24 80 38 41 74 07 BA 02 00 00 00 EB 1D 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_787_124_0 {
	meta:
		name = "?getVdispMapType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 90
		refs = "000c ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 0018 ??YDName@@QEAAAEAV0@PEBD@Z 0022 ?getScope@UnDecorator@@CA?AVDName@@XZ 002d ??YDName@@QEAAAEAV0@AEBV0@@Z 0037 ??YDName@@QEAAAEAV0@D@Z 003e ?gName@UnDecorator@@0PEBDEB"
	strings:
		$1 = { 40 53 48 83 EC 30 0F 10 02 48 8D 15 ?? ?? ?? ?? 48 8B D9 F3 0F 7F 01 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? B2 7D 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 0A 48 FF C0 48 89 05 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_787_125_0 {
	meta:
		name = "?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 463
		refs = "0029 ?gName@UnDecorator@@0PEBDEB 0051 ??_C@_00CNPNBAHC@?$AA@ 0064 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 0078 ??YDName@@QEAAAEAV0@D@Z 008d ??YDName@@QEAAAEAV0@AEBV0@@Z 00b6 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 00be ??YDName@@QEAAAEAV0@PEBD@Z 00dd ?getScope@UnDecorator@@CA?AVDName@@XZ 00eb ??0DName@@QEAA@D@Z 0147 ??_C@_02MDINNEEG@s?5?$AA@ 0164 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 019a ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 F3 0F 7F 01 80 79 08 01 0F 8F 94 01 00 00 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 54 01 00 00 48 83 65 C0 00 48 83 65 D0 00 83 64 24 20 00 B8 00 00 FF FF 4C 8D 4D C0 4C 8D 05 ?? ?? ?? ?? 21 45 C8 21 45 D8 48 8D 55 D0 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 4D D0 B2 20 0F 28 45 E0 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D7 0F 28 45 D0 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 F3 0F 7F 07 80 7F 08 01 0F 8F 17 01 00 00 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 84 CB 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 7F 08 01 0F 8F A6 00 00 00 F6 00 BF 74 78 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 4D F0 B2 60 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D3 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 48 8D 4D C0 B2 27 66 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 0A 48 FF C0 48 89 05 ?? ?? ?? ?? 80 7F 08 01 7F 3A 80 38 40 74 85 48 8D 15 ?? ?? ?? ?? E9 6A FF FF FF 80 7F 08 01 7F 23 80 38 00 75 0D BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? B2 7D 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 3C 48 FF C0 48 89 05 ?? ?? ?? ?? EB 30 80 79 08 01 7F 2A 48 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D7 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 10 45 D0 F3 0F 7F 07 4C 8D 5C 24 70 48 8B C7 49 8B 5B 10 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_787_126_0 {
	meta:
		name = "?getZName@UnDecorator@@CA?AVDName@@_N0@Z"
		size = 632
		refs = "001d __security_cookie 002b ?gName@UnDecorator@@0PEBDEB 004c ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 005b ??AReplicator@@QEBA?AVDName@@H@Z 0080 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00c0 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 00cc ??_C@_0BE@JAEOCHPE@template?9parameter?9?$AA@ 0104 ??_C@_0O@KHGCOMHP@generic?9type?9?$AA@ 0147 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 014d ?disableFlags@UnDecorator@@0KA 0166 ?getString@DName@@QEBAPEADPEADH@Z 016f atol 0177 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 0188 ??4DName@@QEAAAEAV0@PEBD@Z 0198 ??_C@_01NLNLIGKH@?$GA?$AA@ 01a9 ??0DName@@QEAA@PEBD@Z 01be ??YDName@@QEAAAEAV0@AEBV0@@Z 01c9 ??_C@_01GEODFPGF@?8?$AA@ 01d7 ??YDName@@QEAAAEAV0@PEBD@Z 0222 ??0DName@@QEAA@AEAPEBDD@Z 0244 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 025b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4C 8B 0D ?? ?? ?? ?? 45 8A D0 40 8A F2 45 0F BE 01 48 8B D9 41 83 E8 30 41 83 F8 09 77 1E 48 8B D1 48 8B 0D ?? ?? ?? ?? 49 FF C1 4C 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EC 01 00 00 48 83 65 A0 00 41 BB 00 00 FF FF 44 21 5D A8 41 80 39 3F 75 50 48 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 00 8A 01 48 FF C1 48 89 0D ?? ?? ?? ?? F3 0F 7F 45 A0 3C 40 0F 84 87 01 00 00 48 FF C9 48 89 0D ?? ?? ?? ?? 8A 01 48 8D 4D A0 F6 D8 1B D2 F7 DA FF C2 E8 ?? ?? ?? ?? E9 65 01 00 00 48 8D 3D ?? ?? ?? ?? 49 8B C9 41 B8 12 00 00 00 48 8B C7 8A 11 84 D2 74 0F 3A 10 75 0B 48 FF C1 48 FF C0 41 FF C8 75 EB 0F B6 09 0F B6 00 3B C8 75 06 49 83 C1 13 EB 3A 48 8D 3D ?? ?? ?? ?? 49 8B C9 41 B8 0C 00 00 00 48 8B C7 8A 11 84 D2 74 0F 3A 10 75 0B 48 FF C1 48 FF C0 41 FF C8 75 EB 0F B6 09 0F B6 00 3B C8 0F 85 B3 00 00 00 49 83 C1 0D 48 8D 4D C0 4C 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 74 3A 48 8D 55 E8 48 8D 4D C0 41 B8 10 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D E8 E8 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? 48 8D 4D A0 48 85 C0 74 11 48 8B D0 E8 ?? ?? ?? ?? E9 9D 00 00 00 48 8D 4D A0 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D D8 48 8B D7 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D B0 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 28 45 B0 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 66 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D A0 E8 ?? ?? ?? ?? EB 44 45 84 D2 74 24 41 80 39 40 75 1E 48 83 65 C0 00 44 21 5D C8 0F 28 45 C0 49 FF C1 66 0F 7F 45 A0 4C 89 0D ?? ?? ?? ?? EB 1B 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 41 B0 40 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 A0 40 84 F6 74 15 48 8B 0D ?? ?? ?? ?? 83 39 09 74 09 48 8D 55 A0 E8 ?? ?? ?? ?? 0F 28 45 A0 F3 0F 7F 03 48 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_787_135_0 {
	meta:
		name = "?isUDC@DName@@QEBAHXZ"
		size = 22
	strings:
		$1 = { 33 C0 48 39 01 74 0E F7 41 08 00 02 00 00 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_787_136_0 {
	meta:
		name = "?isUDTThunk@DName@@QEBAHXZ"
		size = 22
	strings:
		$1 = { 33 C0 48 39 01 74 0E F7 41 08 00 04 00 00 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_787_139_0 {
	meta:
		name = "?length@DName@@QEBAHXZ"
		size = 17
	strings:
		$1 = { 48 8B 09 48 85 C9 75 03 33 C0 C3 48 8B 01 48 FF 20 }
	condition:
		$1
}

rule file_787_142_0 {
	meta:
		name = "?length@pDNameNode@@UEBAHXZ"
		size = 33
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 33 C0 48 85 C9 74 0D 48 8B 09 48 85 C9 74 05 48 8B 01 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_787_143_0 {
	meta:
		name = "?length@pairNode@@UEBAHXZ"
		size = 71
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 79 18 00 48 8B F1 7D 1C 48 8B 49 10 48 8B 5E 08 48 8B 01 FF 10 48 8B 13 48 8B CB 8B F8 FF 12 03 F8 89 7E 18 8B 46 18 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_787_145_0 {
	meta:
		name = "?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
		size = 136
		refs = "0002 ??_B?1??make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z@51 0011 ?nodes@?1??make@DNameStatusNode@@SAPEAV2@W4DNameStatus@@@Z@4PAV2@A 0022 ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? A8 01 75 5F 83 C8 01 33 D2 C7 05 ?? ?? ?? ?? 01 00 00 00 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 04 00 00 00 48 89 15 ?? ?? ?? ?? 48 C7 05 ?? ?? ?? ?? 02 00 00 00 48 C7 05 ?? ?? ?? ?? 03 00 00 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 83 F9 03 77 12 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 C1 E0 04 48 03 C1 C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_787_154_0 {
	meta:
		name = "?und_memcpy@@YAXPEADPEBDI@Z"
		size = 25
	strings:
		$1 = { 45 85 C0 74 13 48 2B D1 45 8B C0 8A 04 0A 88 01 48 FF C1 49 FF C8 75 F3 C3 }
	condition:
		$1
}

rule file_787_155_0 {
	meta:
		name = "?und_strlen@@YAIPEBD@Z"
		size = 17
	strings:
		$1 = { 33 C0 38 01 74 0A 48 FF C1 FF C0 80 39 00 75 F6 C3 }
	condition:
		$1
}

rule file_787_156_0 {
	meta:
		name = "?und_strncmp@@YAIPEBD0I@Z"
		size = 44
	strings:
		$1 = { 45 85 C0 75 03 33 C0 C3 41 83 C9 FF EB 10 8A 01 84 C0 74 0F 3A 02 75 0B 48 FF C1 48 FF C2 45 03 C1 75 EB 0F B6 01 0F B6 0A 2B C1 C3 }
	condition:
		$1
}

rule file_787_157_0 {
	meta:
		name = "__unDName"
		size = 256
		refs = "0036 _mtinitlocknum 0044 _lock 004c heap 0093 ??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z 009d ??BUnDecorator@@QEAAPEADXZ 00df _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 81 EC E0 00 00 00 49 8B D9 41 8B F8 48 8B F2 4C 8B F1 4D 85 C9 75 07 33 C0 E9 B6 00 00 00 B9 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 EB B9 05 00 00 00 E8 ?? ?? ?? ?? 90 48 89 1D ?? ?? ?? ?? 48 8B 84 24 10 01 00 00 48 89 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 0F 57 C0 F3 0F 7F 05 ?? ?? ?? ?? 0F B7 84 24 18 01 00 00 89 44 24 28 48 83 64 24 20 00 44 8B CF 4C 8B C6 49 8B D6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B D8 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 74 29 48 8B 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 85 C9 74 16 48 8B 11 48 89 15 ?? ?? ?? ?? 41 FF D0 4C 8B 05 ?? ?? ?? ?? EB D7 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 4C 8D 9C 24 E0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_787_158_0 {
	meta:
		name = "__unDName$fin$0"
		size = 25
		refs = "0014 _unlock"
		altNames = "__unDNameEx$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 05 00 00 00 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_787_159_0 {
	meta:
		name = "__unDNameEx"
		size = 262
		refs = "0036 _mtinitlocknum 0044 _lock 004c heap 0099 ??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z 00a3 ??BUnDecorator@@QEAAPEADXZ 00e5 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 81 EC E0 00 00 00 49 8B D9 41 8B F8 48 8B F2 4C 8B F1 4D 85 C9 75 07 33 C0 E9 BC 00 00 00 B9 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 EB B9 05 00 00 00 E8 ?? ?? ?? ?? 90 48 89 1D ?? ?? ?? ?? 48 8B 84 24 10 01 00 00 48 89 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 0F 57 C0 F3 0F 7F 05 ?? ?? ?? ?? 8B 84 24 20 01 00 00 89 44 24 28 48 8B 84 24 18 01 00 00 48 89 44 24 20 44 8B CF 4C 8B C6 49 8B D6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B D8 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 74 29 48 8B 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 85 C9 74 16 48 8B 11 48 89 15 ?? ?? ?? ?? 41 FF D0 4C 8B 05 ?? ?? ?? ?? EB D7 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 4C 8D 9C 24 E0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_788_0_0 {
	meta:
		name = "__sse4_floorf4"
		size = 16
	strings:
		$1 = { 66 0F 3A 08 C0 01 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_789_0_0 {
	meta:
		name = "_clrfp"
		size = 29
		refs = "0007 _get_fpsr 0011 _fclrf"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 83 E3 3F E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_789_1_0 {
	meta:
		name = "_ctrlfp"
		size = 124
		refs = "0016 _get_fpsr 0036 ?dazSupported@?1??_ctrlfp@@9@9 0043 _set_fpsr"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 8B F0 89 44 24 38 8B CB F7 D1 81 C9 7F 80 FF FF 23 C8 23 FB 0B CF 89 4C 24 30 80 3D ?? ?? ?? ?? 00 74 25 F6 C1 40 74 20 E8 ?? ?? ?? ?? EB 17 C6 05 ?? ?? ?? ?? 00 8B 4C 24 30 83 E1 BF E8 ?? ?? ?? ?? 8B 74 24 38 EB 08 83 E1 BF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_789_3_0 {
	meta:
		name = "_set_statfp"
		size = 31
		refs = "000a _get_fpsr 001b _set_fpsr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 83 E3 3F 0B C3 8B C8 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_789_4_0 {
	meta:
		name = "_statfp"
		size = 17
		refs = "0005 _get_fpsr"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 E0 3F 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_791_0_0 {
	meta:
		name = "fgetws"
		size = 200
		refs = "002b _errno 0036 _invalid_parameter_noinfo 0064 _lock_file 007a _fgetwc_nolock 00ad _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 4D 8B F0 8B DA 48 8B F9 48 8B F1 45 33 FF 48 85 C9 75 18 85 D2 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 76 41 8B C7 85 D2 0F 99 C0 85 C0 74 E0 41 8B C7 4D 85 C0 0F 95 C0 85 C0 74 D3 85 D2 74 DF 4C 89 44 24 50 49 8B C8 E8 ?? ?? ?? ?? 90 48 85 FF 74 3B FF CB 89 5C 24 58 74 2F 49 8B CE E8 ?? ?? ?? ?? 0F B7 C0 3D FF FF 00 00 75 0A 48 3B F7 75 18 49 8B FF EB 17 66 89 06 48 83 C6 02 48 89 74 24 20 83 F8 0A 74 02 EB C9 66 44 89 3E 49 8B CE E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_791_1_0 {
	meta:
		name = "fgetws$fin$0"
		size = 24
		refs = "0013 _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 50 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_792_8_0 {
	meta:
		name = "??0SchedulerPolicy@Concurrency@@QEAA@AEBV01@@Z"
		size = 70
		refs = "0016 ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 B9 28 00 00 00 48 8B DA E8 ?? ?? ?? ?? 48 89 07 48 8B 13 48 8B 5C 24 30 0F 10 02 0F 11 00 0F 10 4A 10 0F 11 48 10 F2 0F 10 42 20 F2 0F 11 40 20 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_792_9_0 {
	meta:
		name = "??0SchedulerPolicy@Concurrency@@QEAA@XZ"
		size = 28
		refs = "000f ?_Initialize@SchedulerPolicy@Concurrency@@AEAAX_KPEAPEAD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 33 D2 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_792_10_0 {
	meta:
		name = "??0SchedulerPolicy@Concurrency@@QEAA@_KZZ"
		size = 49
		refs = "0024 ?_Initialize@SchedulerPolicy@Concurrency@@AEAAX_KPEAPEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 53 48 83 EC 30 49 8D 43 18 4D 8D 43 E8 48 8B D9 49 89 43 E8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_792_23_0 {
	meta:
		name = "??4SchedulerPolicy@Concurrency@@QEAAAEAV01@AEBV01@@Z"
		size = 34
	strings:
		$1 = { 48 8B 02 48 8B 11 0F 10 00 0F 11 02 0F 10 48 10 0F 11 4A 10 F2 0F 10 40 20 48 8B C1 F2 0F 11 42 20 C3 }
	condition:
		$1
}

rule file_792_36_0 {
	meta:
		name = "?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z"
		size = 75
		refs = "002c ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 0035 ??0invalid_scheduler_policy_key@Concurrency@@QEAA@PEBD@Z 003c _TI2?AVinvalid_scheduler_policy_key@Concurrency@@ 0046 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B C1 83 FA 09 77 0E 48 8B 00 48 63 CA 8B 04 88 48 83 C4 48 C3 B8 0A 00 00 00 48 8D 4C 24 20 3B D0 0F 47 D0 48 8D 05 ?? ?? ?? ?? 48 8B 14 D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_792_37_0 {
	meta:
		name = "?SetConcurrencyLimits@SchedulerPolicy@Concurrency@@QEAAXII@Z"
		size = 178
		refs = "004c ?_ResolvePolicyValues@SchedulerPolicy@Concurrency@@AEAAXXZ 0053 ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 005d ??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z 0064 _TI2?AVinvalid_scheduler_policy_value@Concurrency@@ 006e _CxxThrowException 0079 ??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@XZ 0080 _TI2?AVinvalid_scheduler_policy_thread_specification@Concurrency@@"
	strings:
		$1 = { 48 83 EC 48 45 85 C0 0F 84 82 00 00 00 41 BA 00 00 00 80 43 8D 04 10 45 8D 4A FE 41 3B C1 76 6F 42 8D 04 12 41 3B C1 76 27 83 C8 FF 44 3B C0 74 09 3B D0 74 05 44 3B C2 72 39 48 8B 01 44 89 40 04 48 8B 01 89 50 08 48 83 C4 48 E9 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_792_38_0 {
	meta:
		name = "?SetPolicyValue@SchedulerPolicy@Concurrency@@QEAAIW4PolicyElementKey@2@I@Z"
		size = 202
		refs = "002f ?_ValidPolicyValue@SchedulerPolicy@Concurrency@@CA_NW4PolicyElementKey@2@I@Z 003d ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 004d ?_ResolvePolicyValues@SchedulerPolicy@Concurrency@@AEAAXXZ 007a ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 0083 ??0invalid_scheduler_policy_key@Concurrency@@QEAA@PEBD@Z 008a _TI2?AVinvalid_scheduler_policy_key@Concurrency@@ 0094 _CxxThrowException 00b4 ??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z 00bb _TI2?AVinvalid_scheduler_policy_value@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 41 8B E8 48 63 FA 48 8B F1 85 D2 74 08 8D 47 FD 83 F8 06 77 3F 41 8B D0 8B CF E8 ?? ?? ?? ?? 84 C0 74 62 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B 0E 89 2C B9 48 8B CE 8B D8 E8 ?? ?? ?? ?? 48 8B 6C 24 58 48 8B 74 24 60 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 B8 0A 00 00 00 48 8D 4C 24 20 3B F8 0F 47 F8 48 8D 05 ?? ?? ?? ?? 48 8B 14 F8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC B8 0A 00 00 00 48 8D 4C 24 20 3B F8 0F 47 F8 48 8D 05 ?? ?? ?? ?? 48 8B 14 F8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_792_39_0 {
	meta:
		name = "?_AreConcurrencyLimitsValid@SchedulerPolicy@Concurrency@@AEBA_NXZ"
		size = 80
		refs = "001a ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 BF 01 00 00 00 48 8B D9 8B D7 E8 ?? ?? ?? ?? 8D 57 01 48 8B CB 8B F0 E8 ?? ?? ?? ?? 83 C9 FF 3B F1 74 0B 3B C1 74 07 3B F0 73 03 40 32 FF 48 8B 5C 24 30 48 8B 74 24 38 40 8A C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_792_40_0 {
	meta:
		name = "?_AreConcurrencyLimitsValid@SchedulerPolicy@Concurrency@@CA_NII@Z"
		size = 21
	strings:
		$1 = { 83 C8 FF 3B D0 74 0B 3B C8 74 07 3B D1 73 03 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_792_42_0 {
	meta:
		name = "?_Assign@SchedulerPolicy@Concurrency@@AEAAXAEBV12@@Z"
		size = 31
	strings:
		$1 = { 48 8B 02 48 8B 11 0F 10 00 0F 11 02 0F 10 48 10 0F 11 4A 10 F2 0F 10 40 20 F2 0F 11 42 20 C3 }
	condition:
		$1
}

rule file_792_46_0 {
	meta:
		name = "?_Initialize@SchedulerPolicy@Concurrency@@AEAAX_KPEAPEAD@Z"
		size = 334
		refs = "002f ??2@YAPEAX_K@Z 0044 ?PolicyDefaults@details@Concurrency@@3PAIA 0097 ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 00a5 ??0invalid_scheduler_policy_key@Concurrency@@QEAA@PEBD@Z 00ac _TI2?AVinvalid_scheduler_policy_key@Concurrency@@ 00b6 _CxxThrowException 00c0 ?_ValidPolicyValue@SchedulerPolicy@Concurrency@@CA_NW4PolicyElementKey@2@I@Z 00e3 ??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z 00ea _TI2?AVinvalid_scheduler_policy_value@Concurrency@@ 0108 ?_AreConcurrencyLimitsValid@SchedulerPolicy@Concurrency@@AEBA_NXZ 0116 ??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@XZ 011d _TI2?AVinvalid_scheduler_policy_thread_specification@Concurrency@@ 012f ?_ResolvePolicyValues@SchedulerPolicy@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 4D 8B F8 4C 8B EA 48 8B F1 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 84 24 A0 00 00 00 48 89 06 0F 10 05 ?? ?? ?? ?? 0F 11 00 0F 10 0D ?? ?? ?? ?? 0F 11 48 10 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 40 20 45 33 F6 4D 3B F5 0F 83 95 00 00 00 49 83 07 08 49 8B 07 48 63 58 F8 48 83 C0 08 49 89 07 44 8B 60 F8 83 FB 09 76 30 B8 0A 00 00 00 3B D8 0F 47 D8 48 8D 05 ?? ?? ?? ?? 48 8B 14 D8 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 8B D4 8B CB E8 ?? ?? ?? ?? 84 C0 75 30 B8 0A 00 00 00 3B D8 0F 47 D8 48 8D 05 ?? ?? ?? ?? 48 8B 14 D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 44 89 24 9F 49 FF C6 E9 62 FF FF FF 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 1B 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 90 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_792_48_0 {
	meta:
		name = "__catch$?_Initialize@SchedulerPolicy@Concurrency@@AEAAX_KPEAPEAD@Z$0"
		size = 22
		refs = "0008 ??3@YAXPEAX@Z 0011 _CxxThrowException"
	strings:
		$1 = { 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_792_52_0 {
	meta:
		name = "?_ResolvePolicyValues@SchedulerPolicy@Concurrency@@AEAAXXZ"
		size = 99
		refs = "0015 ?GetProcessorCount@Concurrency@@YAIXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 33 DB 48 8B F9 89 18 E8 ?? ?? ?? ?? 83 C9 FF 8B D0 48 8B 07 39 48 08 75 23 39 48 04 75 12 48 8B 07 48 83 C3 04 89 14 03 48 83 FB 08 7C F0 EB 1B 39 50 04 0F 42 50 04 89 50 08 EB 0F 39 48 04 75 0A 39 50 08 0F 47 50 08 89 50 04 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_792_53_0 {
	meta:
		name = "?_StringFromPolicyKey@SchedulerPolicy@Concurrency@@CAPEADI@Z"
		size = 24
		refs = "000f ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA"
	strings:
		$1 = { B8 0A 00 00 00 3B C8 0F 47 C8 8B C1 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 C3 }
	condition:
		$1
}

rule file_792_55_0 {
	meta:
		name = "?_ValidPolicyValue@SchedulerPolicy@Concurrency@@CA_NW4PolicyElementKey@2@I@Z"
		size = 130
	strings:
		$1 = { 45 33 C9 41 B8 01 00 00 00 85 C9 74 67 41 3B C8 74 4E 83 F9 02 74 4D 83 F9 03 74 3A 83 F9 05 7E 2B 83 F9 06 74 07 83 FA 02 72 53 EB 1A 8D 42 0F 83 F8 1E 77 0A B9 01 FF 3F 40 0F A3 C1 72 3F 81 FA 00 F0 00 00 74 37 45 8A C1 EB 32 81 FA FF FF FF 7F 76 2A EB F1 8D 42 FF 3D FE FF FF 7F EB F2 85 D2 74 E3 B8 00 00 00 80 03 C2 3D FE FF FF 7F 77 0C EB D3 45 0F B6 C0 85 D2 45 0F 45 C1 41 8A C0 C3 }
	condition:
		$1
}

rule file_792_56_0 {
	meta:
		name = "?_ValidateConcRTPolicy@SchedulerPolicy@Concurrency@@QEBAXXZ"
		size = 116
		refs = "000f ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 0031 ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 003b ??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z 0042 _TI2?AVinvalid_scheduler_policy_value@Concurrency@@ 004c _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 BA 02 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 85 C0 74 17 BA 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 29 48 83 C4 40 5B C3 48 8B 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_793_0_0 {
	meta:
		name = "strcmp"
		size = 103
	strings:
		$1 = { 48 2B D1 F6 C1 07 74 14 0F B6 01 3A 04 11 75 4F 48 FF C1 84 C0 74 45 F6 C1 07 75 EC 49 BB 80 80 80 80 80 80 80 80 49 BA FF FE FE FE FE FE FE FE 67 8D 04 11 25 FF 0F 00 00 3D F8 0F 00 00 77 C8 48 8B 01 48 3B 04 11 75 BF 4D 8D 0C 02 48 F7 D0 48 83 C1 08 49 23 C1 49 85 C3 74 D4 33 C0 C3 48 1B C0 48 83 C8 01 C3 }
	condition:
		$1
}

rule file_794_0_0 {
	meta:
		name = "__avx_tanf8"
		size = 3696
		refs = "007d __common_stan_data 0234 __common_stan_cout_rare 02f3 __common_stan_reduction_data"
	strings:
		$1 = { 53 55 48 81 EC C8 02 00 00 33 DB C5 7C 11 BC 24 A0 02 00 00 C5 F1 EF C9 C5 7C 11 B4 24 80 02 00 00 C5 7C 11 AC 24 60 02 00 00 C5 7C 11 A4 24 40 02 00 00 C5 7C 11 9C 24 C0 01 00 00 C5 7C 11 94 24 80 01 00 00 C5 7C 11 8C 24 E0 01 00 00 C5 7C 11 84 24 00 02 00 00 C5 FC 11 BC 24 A0 01 00 00 C5 FC 11 B4 24 20 02 00 00 4C 89 AC 24 D8 00 00 00 4C 8D AC 24 1F 01 00 00 C5 FC 10 2D ?? ?? ?? ?? 49 83 E5 C0 C5 7C 54 C5 C5 BC C2 15 ?? ?? ?? ?? 1E C5 D4 55 E8 C4 E3 7D 19 D3 01 C5 E9 6B E3 C5 D9 63 D1 C5 F9 D7 C2 84 C0 0F 85 8A 01 00 00 C5 FC 10 3D ?? ?? ?? ?? C5 BC 59 35 ?? ?? ?? ?? C5 CC 58 E7 C5 5C 5C EF C5 14 59 0D ?? ?? ?? ?? C5 14 59 15 ?? ?? ?? ?? C5 14 59 25 ?? ?? ?? ?? C5 14 59 3D ?? ?? ?? ?? C4 41 3C 5C C1 C4 41 3C 5C DA C4 41 24 5C F4 C4 C1 0C 5C DF C5 E4 59 D3 C5 6C 59 15 ?? ?? ?? ?? C5 6C 59 0D ?? ?? ?? ?? C5 2C 58 25 ?? ?? ?? ?? C5 34 58 1D ?? ?? ?? ?? C5 9C 59 D2 C5 24 59 F3 C5 EC 58 15 ?? ?? ?? ?? C5 F1 72 F4 1F C4 C3 7D 19 E0 01 C4 C1 49 72 F0 1F C4 E3 75 18 FE 01 C5 C4 57 CD C5 D1 72 F4 1E C4 C1 59 72 F0 1E C5 C4 57 FF C4 E3 55 18 F4 01 C5 4C C2 FF 0C C4 C1 04 55 DE C5 04 54 EA C4 41 04 54 F6 C5 04 55 FA C4 C1 64 56 DD C4 C1 0C 56 E7 C5 E4 5E EC C5 D4 57 C9 84 DB 75 70 C5 FC 10 B4 24 20 02 00 00 C5 FC 10 BC 24 A0 01 00 00 C5 7C 10 84 24 00 02 00 00 C5 7C 10 8C 24 E0 01 00 00 C5 7C 10 94 24 80 01 00 00 C5 7C 10 9C 24 C0 01 00 00 C5 7C 10 A4 24 40 02 00 00 C5 7C 10 AC 24 60 02 00 00 C5 7C 10 B4 24 80 02 00 00 C5 7C 10 BC 24 A0 02 00 00 4C 8B AC 24 D8 00 00 00 C5 FC 28 C1 48 81 C4 C8 02 00 00 5D 5B C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 DB 74 80 33 ED 0F A3 EB 72 12 FF C5 83 FD 20 7C F4 C4 C1 7C 10 4D 40 E9 67 FF FF FF C5 F8 77 49 8D 4C AD 00 49 8D 54 AD 40 E8 ?? ?? ?? ?? EB DA 41 BB 00 00 80 7F C4 C1 7C 11 45 00 C4 41 79 6E CB C4 41 79 70 D1 00 C4 43 2D 18 F2 01 C4 C1 7C 54 EE C4 41 54 C2 FE 00 C5 29 DB E0 C4 E3 7D 19 C6 01 C4 C1 11 72 D4 17 C5 A9 DB E6 C4 C1 21 72 F5 01 C5 89 72 D4 17 C4 41 21 FE CD C4 C1 51 72 F6 01 C4 C1 61 72 F1 02 C4 C1 79 7E DA C5 F8 11 44 24 20 C5 F8 11 74 24 30 C4 C3 79 16 D9 01 C4 C3 79 16 D8 02 C4 E3 79 16 DD 03 C4 43 7D 19 F8 01 C4 C1 01 6B D0 C4 41 51 FE FE C4 C1 11 72 F7 02 C5 E9 63 C9 C5 79 7E E9 C5 F9 D7 D9 C4 63 79 16 EA 01 C4 63 79 16 E8 02 C4 43 79 16 EB 03 89 9C 24 D0 00 00 00 48 8D 1D ?? ?? ?? ?? C4 41 79 6E 04 1A C4 C1 79 6E 3C 19 C4 C1 79 6E 14 18 C5 F9 6E 4C 1D 00 C5 79 6E 0C 19 C5 79 6E 14 1A C5 F9 6E 2C 18 C4 41 79 6E 34 1B C5 39 6C E7 C5 E9 6C E1 C4 41 31 6C FA C4 C1 51 6C DE C4 41 79 6E 74 1B 04 C4 41 79 6E 44 1A 04 C4 C1 79 6E 7C 19 04 C4 C1 79 6E 54 18 04 C5 F9 6E 4C 1D 04 C5 79 6E 4C 19 04 C5 79 6E 54 1A 04 C5 F9 6E 6C 18 04 C5 18 C6 DC 88 C5 00 C6 E3 88 C5 B9 6C E7 C5 69 6C E9 C4 41 31 6C FA C4 C1 51 6C DE C4 41 58 C6 ED 88 C5 80 C6 E3 88 C5 79 6E 7C 18 08 B8 FF FF 7F 00 C5 79 6E 74 1A 08 BA 00 00 80 00 C5 F9 6E 6C 19 08 B9 FF FF 00 00 C4 41 79 6E 44 1A 08 41 BA FF 00 00 00 C4 C1 79 6E 7C 19 08 41 B9 00 00 40 47 C4 C1 79 6E 54 18 08 41 B8 00 00 80 3F C5 F9 6E 4C 1D 08 BD 00 00 00 80 C5 39 6C CF C5 69 6C D1 C5 F9 6E D0 C4 C1 30 C6 CA 88 C5 79 6E CA C5 79 70 D2 00 C5 F9 6E D1 C4 41 51 6C C6 C5 A9 DB C0 C4 C1 79 6E 5C 1B 08 48 8D 1D ?? ?? ?? ?? C5 A9 DB F6 C4 C1 79 70 E9 00 BA FF FF 03 00 C5 81 6C FB C5 79 FE F5 C5 79 70 FA 00 C5 C9 FE F5 C5 B8 C6 DF 88 C4 C1 21 DB FF C5 E9 72 D1 10 C4 C1 29 72 D6 10 C4 41 09 DB CF C4 C1 11 DB EF C5 78 11 5C 24 40 C4 C1 21 72 D5 10 C5 FA 7F 7C 24 60 C5 91 72 D6 10 C4 41 49 DB F7 C5 B9 72 D4 10 C4 E2 31 40 F7 C4 C1 59 DB C7 C4 E2 29 40 FA C4 C1 71 DB CF C4 E2 31 40 D2 C5 D9 72 D3 10 C5 78 11 64 24 50 C4 41 19 DB E7 C5 FA 7F B4 24 B0 00 00 00 C5 E9 72 D2 10 C4 E2 31 40 F5 C5 C1 FE FA C5 7A 7F 64 24 70 C4 C1 61 DB DF C4 42 09 40 E4 B8 00 00 80 28 C5 7A 7F 84 24 90 00 00 00 B9 00 00 00 34 C5 FA 7F 84 24 A0 00 00 00 41 BB 00 F0 FF FF C5 7A 7F A4 24 C0 00 00 00 C4 42 09 40 E0 C4 62 09 40 C0 C4 E2 29 40 C1 C4 C1 49 DB CF C5 F9 72 D0 10 C5 F1 FE D7 C5 F9 FE FA C4 C1 39 DB C7 C4 E2 11 40 D3 C5 C9 72 D6 10 C4 E2 11 40 DC C5 E9 72 D2 10 C4 E2 09 40 E4 C4 C1 39 72 D0 10 C5 F1 72 D4 10 C5 E1 FE E1 C5 F1 72 D7 10 C5 7A 7F 9C 24 80 00 00 00 C5 F9 FE C4 C4 42 31 40 DB C5 E9 FE E0 C4 E2 29 40 ED C4 C1 21 DB D7 C5 D1 FE DE C4 C1 19 DB C7 C5 E9 FE D3 C4 C1 21 72 D3 10 C5 F1 FE F2 C5 E9 72 D4 10 C4 E2 11 40 8C 24 A0 00 00 00 C4 C1 19 72 D4 10 C4 C1 71 FE C8 C5 FA 6F 9C 24 B0 00 00 00 C5 F9 FE E9 C4 62 29 40 84 24 80 00 00 00 C5 E9 FE D5 C4 C1 61 DB EF C4 C1 39 FE CB C5 F9 72 D6 10 C5 51 FE D9 C4 C1 79 FE EB C5 B9 72 D2 10 C5 7A 6F 9C 24 C0 00 00 00 C5 E9 72 F2 10 C4 E2 11 40 84 24 90 00 00 00 C4 C1 21 DB CF C4 C1 79 FE C4 C5 99 72 D5 10 C5 F1 FE C8 C4 C1 51 DB EF C5 B9 FE C1 C5 C9 72 F6 10 C5 78 10 44 24 40 C4 C1 71 72 D0 10 C4 62 31 40 C9 C4 62 29 40 54 24 60 C4 C1 31 DB CF C5 B1 72 D3 10 C4 41 29 FE D1 C5 B1 72 D0 10 C4 C1 71 FE CA C4 C1 79 DB C7 C5 78 10 44 24 50 C5 19 FE E1 C4 C1 61 72 F4 10 C4 C1 19 72 D0 10 C4 62 11 40 6C 24 70 C5 E1 FE CD C4 42 09 40 F4 C4 C1 19 72 D3 10 C4 41 09 DB D7 C4 41 11 FE DC C4 41 41 DB F7 C4 41 59 DB FF C4 41 29 FE EB C4 41 69 FE D7 C5 F9 6E D5 C4 41 31 FE CD C4 C1 49 FE FE C4 C1 79 6E E0 C5 F9 70 F2 00 C4 C1 51 72 F1 10 C5 49 DB 64 24 20 C5 D1 FE C0 C5 F9 70 D4 00 C5 E1 72 D1 09 C5 49 DB 7C 24 30 C5 19 EF C2 C4 41 79 6E C9 C5 D9 72 D0 09 C5 01 EF DA C4 C1 61 EB F0 C4 C1 79 70 E9 00 C4 41 59 EB EB BD FF 01 00 00 41 B8 DB 0F C9 40 C4 C1 79 6E E2 41 B9 00 10 C9 40 41 BA 7A 77 95 B7 C5 F9 70 E4 00 C4 C3 4D 18 DD 01 C5 79 6E E8 C4 63 55 18 F5 01 B8 FF FF FF 7F C5 0C 58 DB C4 C1 79 70 ED 00 C4 41 24 5C C6 C5 79 6E F2 C4 41 79 70 F6 00 C5 09 DB EF C5 C1 72 D7 12 C4 41 64 5C C8 C5 19 EF C5 C5 81 EF DD C4 C1 09 DB EA C4 C1 11 72 F5 05 C5 89 72 F5 05 C4 41 11 EB E8 C5 89 EB EB C4 C1 29 72 D2 12 BA 00 00 80 35 C4 63 15 18 ED 01 C5 F9 6E E9 C5 79 70 F5 00 B9 7F 00 00 00 C4 C1 19 EF EE C4 41 01 EF E6 C5 79 6E FD C4 E3 3D 18 DB 01 C4 41 79 70 C7 00 C5 B9 DB C9 C5 B9 DB C0 C5 F1 72 F1 0E C5 F9 72 F0 0E C5 F1 EB CF C4 C1 79 EB C2 C5 F1 EB CD C4 41 79 EB D4 C5 14 5C EB C4 C1 79 6E FA C5 79 70 C7 00 C4 C3 75 18 CA 01 C4 41 79 6E D1 C4 43 55 18 E4 01 C4 C1 74 5C CC C4 41 79 70 FA 00 C5 B4 58 D9 C5 B4 5C C3 C5 74 58 E0 C4 C1 79 6E CB C5 F9 70 C1 00 C4 C1 1C 58 ED C4 41 79 6E E8 C4 41 79 70 CD 00 C4 E3 7D 18 C8 01 C5 64 54 E1 C4 C1 64 5C DC C4 43 35 18 F1 01 C4 43 05 18 FF 01 C4 43 3D 18 D0 01 C5 79 6E C2 C4 41 04 59 CC C5 84 59 C3 C4 41 2C 59 E4 C5 8C 59 ED C5 2C 59 F3 C4 41 79 70 D0 00 C4 C1 7C 58 C4 C4 41 54 58 E6 C5 F9 6E E8 C5 F9 70 FD 00 C4 C1 7C 58 DC C4 C1 7C 10 45 00 C5 34 58 EB C4 41 34 5C CD C5 34 58 E3 C4 63 45 18 F7 01 C4 41 7C 54 FE C4 C3 2D 18 DA 01 C5 84 C2 FB 1E C5 04 C2 FB 12 C4 41 44 54 C4 C5 79 6E E1 C4 C1 79 70 DC 00 C5 84 54 E8 C4 41 44 54 ED C4 C1 54 56 ED C4 41 54 58 E0 C4 63 7D 19 DE 01 C5 21 DB DC C5 A1 DB FB C5 C9 DB E4 C5 D9 DB DB C5 C9 72 F7 02 C5 C9 FE EF C5 C9 72 F3 02 C5 C9 FE E3 C5 B9 72 F5 03 C5 E1 72 F4 03 C5 79 7E C0 C4 C1 79 7E D8 C4 63 79 16 C2 01 C4 63 79 16 C1 02 C4 63 79 16 C5 03 C4 C3 79 16 D9 01 C4 C3 79 16 DA 02 C4 C3 79 16 DB 03 C5 79 6E 8C 18 40 04 00 00 C5 79 6E 94 1A 40 04 00 00 C5 79 6E 9C 19 40 04 00 00 C5 79 6E AC 1D 40 04 00 00 C4 C1 79 6E A4 18 40 04 00 00 C4 C1 79 6E AC 19 40 04 00 00 C4 C1 79 6E B4 1A 40 04 00 00 C4 C1 79 6E BC 1B 40 04 00 00 C4 41 31 6C F2 C4 41 21 6C FD C5 59 6C CD C5 49 6C D7 C4 41 08 C6 C7 88 C4 41 30 C6 DA 88 C5 F9 6E A4 18 44 04 00 00 C5 F9 6E AC 1A 44 04 00 00 8B 9C 24 D0 00 00 00 C4 C3 3D 18 DB 01 89 9C 24 D0 00 00 00 48 8D 1D ?? ?? ?? ?? C5 D9 6C FD C4 C1 7C 11 45 00 C5 79 6E AC 19 44 04 00 00 C5 F9 6E B4 1D 44 04 00 00 C5 91 6C EE C4 41 79 6E AC 18 44 04 00 00 C4 41 79 6E 8C 19 44 04 00 00 C4 41 79 6E 94 1A 44 04 00 00 C4 41 79 6E 84 1B 44 04 00 00 C4 41 11 6C D9 C4 C1 29 6C F0 C5 C0 C6 C5 88 C5 A0 C6 FE 88 C5 F9 6E AC 18 48 04 00 00 C5 79 6E B4 1A 48 04 00 00 C5 79 6E BC 19 48 04 00 00 C5 F9 6E A4 1D 48 04 00 00 C4 41 79 6E 84 18 48 04 00 00 C4 41 79 6E 9C 19 48 04 00 00 C4 C1 79 6E B4 1A 48 04 00 00 C4 41 51 6C EE C5 01 6C CC C4 C1 39 6C EB C4 41 10 C6 D1 88 C5 F9 6E A4 18 4C 04 00 00 C5 79 6E AC 1A 4C 04 00 00 C5 79 6E 8C 19 4C 04 00 00 C4 41 59 6C C5 C4 C1 79 6E A4 1B 4C 04 00 00 C4 E3 7D 18 C7 01 C4 C1 79 6E BC 1B 48 04 00 00 C5 49 6C F7 C4 41 50 C6 FE 88 C4 C1 79 6E BC 18 4C 04 00 00 C4 41 79 6E B4 19 4C 04 00 00 C4 41 41 6C EE C5 F9 6E BC 19 50 04 00 00 C5 79 6E B4 1D 50 04 00 00 C4 C3 2D 18 EF 01 C5 79 6E 94 1D 4C 04 00 00 C4 41 79 6E BC 1A 4C 04 00 00 C4 41 31 6C DA C5 01 6C CC C4 C1 38 C6 F3 88 C4 41 10 C6 D1 88 C5 79 6E 84 18 50 04 00 00 C5 79 6E 9C 1A 50 04 00 00 C4 41 39 6C FB C4 41 79 6E 8C 18 50 04 00 00 C4 41 79 6E 84 1A 50 04 00 00 C4 41 79 6E 9C 1B 50 04 00 00 C4 C1 41 6C E6 C4 41 39 6C F3 C5 00 C6 EC 88 C5 F9 6E A4 18 54 04 00 00 C5 79 6E 84 1D 54 04 00 00 C4 C3 4D 18 F2 01 C4 41 79 6E 94 19 50 04 00 00 C4 C1 31 6C FA C4 41 40 C6 FE 88 C5 79 6E 8C 1A 54 04 00 00 C5 79 6E 94 19 54 04 00 00 C4 41 59 6C D9 C4 C1 29 6C F8 C4 C1 79 6E A4 19 54 04 00 00 C4 41 79 6E 8C 1A 54 04 00 00 C4 41 79 6E 94 1B 54 04 00 00 C5 20 C6 F7 88 C4 41 31 6C DA C5 79 6E 8C 19 58 04 00 00 C5 79 6E 94 1D 58 04 00 00 C4 43 15 18 EF 01 C4 41 79 6E BC 18 54 04 00 00 C5 01 6C C4 C4 C1 38 C6 FB 88 C5 79 6E BC 18 58 04 00 00 C5 F9 6E A4 1A 58 04 00 00 C5 01 6C C4 C4 41 31 6C DA C4 41 79 6E BC 19 58 04 00 00 C4 C1 79 6E A4 1A 58 04 00 00 C4 41 79 6E 8C 1B 58 04 00 00 C4 41 38 C6 C3 88 C4 41 59 6C D9 C5 F9 6E A4 1A 5C 04 00 00 C5 79 6E 8C 19 5C 04 00 00 C4 E3 0D 18 FF 01 C4 41 79 6E B4 18 58 04 00 00 C4 41 09 6C D7 C4 41 28 C6 F3 88 C5 79 6E BC 18 5C 04 00 00 C5 79 6E 94 1D 5C 04 00 00 C5 01 6C DC C4 41 79 6E BC 18 5C 04 00 00 C4 C1 79 6E A4 19 5C 04 00 00 C4 C1 44 59 FC C4 43 3D 18 C6 01 C4 41 31 6C F2 C4 41 79 6E 8C 1A 5C 04 00 00 C4 41 79 6E 94 1B 5C 04 00 00 C4 41 20 C6 DE 88 C5 01 6C F4 C4 41 31 6C FA C4 C1 08 C6 E7 88 C5 79 6E 8C 18 60 04 00 00 C5 79 6E 94 1A 60 04 00 00 C5 79 6E B4 19 60 04 00 00 C5 79 6E BC 1D 60 04 00 00 C4 63 25 18 DC 01 C4 C1 31 6C E2 C4 41 09 6C CF C4 41 58 C6 C9 88 C4 41 79 6E 94 18 60 04 00 00 C4 41 79 6E B4 19 60 04 00 00 C4 41 79 6E BC 1A 60 04 00 00 C4 C1 79 6E A4 1B 60 04 00 00 C4 41 29 6C D6 C5 01 6C F4 C4 41 28 C6 FE 88 C5 F9 6E A4 18 64 04 00 00 C5 79 6E 94 1A 64 04 00 00 C5 79 6E B4 19 64 04 00 00 C4 C1 59 6C E2 C4 41 24 59 DC C4 41 24 58 D8 C4 43 35 18 CF 01 C5 79 6E BC 1D 64 04 00 00 C4 41 09 6C D7 C4 41 79 6E B4 18 64 04 00 00 C4 41 79 6E BC 19 64 04 00 00 C4 C1 58 C6 E2 88 C4 41 09 6C D7 C4 41 79 6E B4 1A 64 04 00 00 C4 41 79 6E BC 1B 64 04 00 00 C4 41 09 6C F7 C4 41 64 5C FC C4 41 28 C6 D6 88 C4 C1 64 5C DF C4 41 64 5C F4 8B 9C 24 D0 00 00 00 C4 43 5D 18 D2 01 C5 84 54 E1 C5 04 5C FC C4 41 2C 59 D4 C5 84 58 D8 C5 FC 53 C4 C5 8C 58 DB C4 41 2C 58 C1 C4 41 1C 59 CC C5 FC 54 C9 C5 5C 59 F1 C4 41 34 59 C0 C4 E3 6D 18 D2 01 C4 41 6C 5C FE C4 C1 74 59 C7 C4 C1 04 59 E7 C5 7C 58 F1 C5 DC 58 D2 C5 F4 59 CD C5 0C 59 F2 C4 C1 64 59 C6 C5 FC 59 D8 C4 C1 7C 5C E7 C5 64 5C FC C5 CC 58 DF C4 C1 04 59 D6 C5 CC 5C F3 C5 EC 59 C5 C5 E4 58 D1 C5 CC 58 EF C5 F4 5C CA C5 D4 58 C0 C5 F4 58 CB C5 FC 58 E1 C4 C1 3C 58 C3 C5 14 58 EC C4 41 7C 59 E4 C4 C1 1C 58 C5 C5 EC 58 C8 C4 C1 7C 10 45 00 E9 1C F3 FF FF 0F 1F 00 }
	condition:
		$1
}

rule file_795_0_0 {
	meta:
		name = "__avx_tanhf8"
		size = 768
		refs = "000f __common_stanh_data 02ec __common_stanh_cout_rare"
	strings:
		$1 = { 57 41 56 41 57 48 81 EC 10 02 00 00 4C 8D 1D ?? ?? ?? ?? C5 7C 11 BC 24 E0 01 00 00 C5 7C 11 B4 24 40 01 00 00 C5 7C 11 A4 24 C0 01 00 00 C5 7C 11 9C 24 A0 01 00 00 C5 7C 11 94 24 80 01 00 00 C5 7C 11 8C 24 60 01 00 00 4C 89 AC 24 00 02 00 00 4C 8D AC 24 DF 00 00 00 C5 7C 54 0D ?? ?? ?? ?? 49 83 E5 C0 C5 7C 54 15 ?? ?? ?? ?? C5 F8 10 25 ?? ?? ?? ?? C5 F8 10 0D ?? ?? ?? ?? C5 78 10 25 ?? ?? ?? ?? C5 78 10 3D ?? ?? ?? ?? C5 79 DB DC C4 E3 7D 19 C5 01 C5 A1 66 D1 C5 D1 DB EC C5 D1 66 D9 C5 D9 EF E4 C5 E9 6B CB C4 C1 21 FA D4 C5 71 63 F4 C4 C1 69 66 DF C4 C1 79 D7 FE C4 41 51 FA F4 C5 69 66 E4 C5 89 66 E4 C4 C1 69 DB EC C5 09 DB DC C4 C1 09 66 CF C4 43 51 4A E7 30 C4 43 21 4A FF 10 C4 C1 09 72 D4 0E C4 C1 19 72 D7 0E C4 41 79 7E F7 C5 79 7E E1 C4 43 79 16 F2 01 C4 63 79 16 E2 01 4D 63 FF 4D 63 D2 C4 43 79 16 F1 02 C4 43 79 16 F0 03 48 63 C9 C4 63 79 16 E0 02 48 63 D2 C4 43 79 16 E6 03 4D 63 C9 4D 63 C0 48 63 C0 4D 63 F6 C4 01 79 10 3C 1F C4 81 79 10 2C 1A C4 A1 79 10 1C 19 C4 21 79 10 1C 1A C4 83 05 18 24 19 01 C4 83 55 18 14 18 01 C5 5D 14 F2 C5 DD 15 E2 C4 81 79 10 54 1F 10 C4 A3 65 18 0C 18 01 C4 81 79 10 5C 1A 10 C4 03 25 18 3C 1E 01 C4 41 75 14 E7 C4 C1 75 15 EF C4 21 79 10 7C 19 10 C4 83 65 18 4C 18 10 01 C4 A1 79 10 5C 1A 10 C4 03 6D 18 5C 19 10 01 C5 A5 14 D1 C5 A5 15 C9 C4 23 05 18 7C 18 10 01 C4 03 65 18 5C 1E 10 01 C4 C1 05 14 DB C4 41 05 15 DB C4 41 7C 5A F9 C4 43 7D 19 C9 01 C4 C1 75 59 CF C4 41 7C 5A C9 C5 F5 58 D2 C4 C1 25 59 C9 C4 C1 6D 59 D7 C5 F5 58 DB C5 ED 58 CC C4 C1 65 59 E1 C5 DD 58 D5 C4 C1 75 59 EF C4 41 6D 59 D9 C4 41 55 58 F6 C4 41 25 58 FC C4 41 7D 5A E6 C4 C1 7D 5A CF C4 E3 1D 18 D1 01 C4 C1 6C 56 CA 40 84 FF 75 4F C5 7C 10 8C 24 60 01 00 00 C5 7C 10 94 24 80 01 00 00 C5 7C 10 9C 24 A0 01 00 00 C5 7C 10 A4 24 C0 01 00 00 C5 7C 10 B4 24 40 01 00 00 C5 7C 10 BC 24 E0 01 00 00 4C 8B AC 24 00 02 00 00 C5 FC 28 C1 48 81 C4 10 02 00 00 41 5F 41 5E 5F C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 FF 74 A1 C5 FC 11 B4 24 80 00 00 00 45 33 F6 C5 FC 11 7C 24 60 C5 7C 11 44 24 40 C5 7C 11 6C 24 20 44 0F A3 F7 72 2F 41 FF C6 41 83 FE 20 7C F1 C5 FC 10 B4 24 80 00 00 00 C5 FC 10 7C 24 60 C5 7C 10 44 24 40 C5 7C 10 6C 24 20 C4 C1 7C 10 4D 40 E9 4E FF FF FF C5 F8 77 4B 8D 4C B5 00 4B 8D 54 B5 40 E8 ?? ?? ?? ?? EB BD 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_798_0_0 {
	meta:
		name = "__common_trig_reduction"
		size = 1328
		refs = "003b _zero_none 006b _PI02_INV 0072 _PIO2_21x5 00c0 _PI04_INV 00c7 _PI04_21x5 017e _PIO2_25x2 0185 _DDP 01ad _PI04_25x2 01b4 _DP 02ba _2il0floatpacket_3 044b _TWO_26H 04ec _PI04 04f9 _PI02"
	strings:
		$1 = { 41 55 41 56 41 57 48 83 EC 50 4C 8B EA F2 0F 11 44 24 70 0F B7 44 24 76 8B C8 81 E1 F0 7F 00 00 C1 E9 04 44 0F 29 4C 24 30 81 F9 FF 07 00 00 44 0F 29 44 24 40 7C 19 F2 0F 10 0D ?? ?? ?? ?? 33 C0 F2 0F 59 C1 F2 41 0F 11 45 00 E9 BB 04 00 00 81 F9 1D 04 00 00 0F 8D 17 01 00 00 F2 0F 10 54 24 70 45 85 C0 75 25 F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 2C C0 FF C0 83 E0 FE F2 0F 2A C8 C1 E0 1E EB 52 41 83 F8 01 75 2A F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 2C C0 83 C8 01 F2 0F 2A C8 C1 E0 1E F7 D0 25 00 00 00 80 EB 22 F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 2C C0 FF C0 83 E0 FE F2 0F 2A C8 D1 F8 F2 0F 10 19 F2 0F 59 D9 F2 0F 10 61 08 F2 0F 5C D3 F2 0F 59 E1 44 0F 28 C2 F2 0F 10 69 10 F2 44 0F 5C C4 F2 0F 59 E9 F2 41 0F 5C D0 41 0F 28 C0 F2 0F 5C D4 F2 0F 5C C5 44 0F 28 C8 F2 44 0F 5C C0 F2 44 0F 5C C5 F2 41 0F 58 D0 F2 44 0F 58 CA 41 0F 28 D9 F2 41 0F 5C C1 F2 0F 58 C2 F2 0F 10 51 18 F2 0F 59 D1 F2 0F 5C DA F2 44 0F 5C CB F2 44 0F 5C CA F2 0F 10 51 20 F2 0F 59 CA F2 41 0F 58 C1 F2 0F 5C C1 F2 0F 58 D8 F2 41 0F 11 5D 00 E9 98 03 00 00 45 85 C0 75 13 45 33 DB 4C 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? EB 2D 41 83 F8 01 75 16 41 BB 01 00 00 00 4C 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? EB 11 45 33 DB 4C 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 25 0F 80 FF FF 44 8D B1 38 FF FF FF 41 81 E6 FF 07 00 00 44 8D B9 E4 FB FF FF 41 C1 E6 04 41 0B C6 66 89 44 24 76 B8 1F 85 EB 51 41 F7 EF 41 C1 FF 1F C1 FA 03 41 2B D7 6B C2 E7 F2 44 0F 10 44 24 70 81 64 24 70 00 00 00 F8 8D 8C 01 E4 FB FF FF F2 0F 10 6C 24 70 83 F9 11 F2 44 0F 5C C5 7C 4B 48 63 D2 F2 45 0F 10 4C D1 08 F2 41 0F 10 04 D1 FF C2 F2 44 0F 59 CD F2 41 0F 59 C0 41 0F 28 D1 F2 0F 58 D0 F2 0F 5C C2 F2 44 0F 58 C8 41 0F 28 C9 F2 0F 58 CA F2 0F 11 4C 24 20 81 64 24 20 00 00 F0 FF F2 0F 5C 54 24 20 EB 0D F2 44 0F 10 0D ?? ?? ?? ?? 41 0F 28 D1 48 63 D2 0F 28 DA F2 41 0F 10 0C D1 F2 41 0F 59 C8 F2 0F 58 D9 0F 28 C3 F2 0F 5C D3 F2 0F 58 CA F2 41 0F 10 54 D1 08 F2 44 0F 58 C9 0F 28 CD F2 0F 59 CA F2 41 0F 59 D0 F2 0F 58 C1 0F 28 E0 F2 0F 5C E3 0F 28 DD 0F 57 25 ?? ?? ?? ?? F2 0F 58 CC F2 41 0F 10 64 D1 10 F2 0F 59 DC F2 41 0F 59 E0 F2 44 0F 58 C9 0F 28 C8 F2 41 0F 58 C9 F2 0F 58 CA F2 0F 58 CB F2 0F 11 4C 24 20 0F B7 44 24 26 25 F0 7F 00 00 C1 E8 04 F7 D8 66 49 0F 7E CF 41 0F 28 C9 8D 88 33 04 00 00 05 F4 03 00 00 C1 F8 1F 48 63 C0 4C 8B F0 49 F7 D6 4D 0B FE 49 D3 FF 45 8B F7 4C 23 F8 49 D3 E7 4C 89 7C 24 20 4C 8D 3D ?? ?? ?? ?? F2 0F 5C 44 24 20 F2 0F 58 C8 43 8D 0C 1E 83 E1 01 43 8D 44 1E 01 41 83 F8 01 F2 0F 5C C1 F2 44 0F 58 C8 F2 41 0F 10 04 CF F2 0F 58 C8 0F 28 C1 F2 0F 58 C2 F2 0F 5C C8 F2 0F 58 D1 0F 28 C8 F2 0F 58 CB F2 44 0F 58 CA F2 0F 5C C1 0F 28 D1 F2 0F 58 D8 F2 0F 58 D4 F2 44 0F 58 CB F2 0F 5C CA F2 41 0F 10 44 D1 18 0F 28 DD F2 0F 59 D8 F2 0F 58 E1 F2 41 0F 59 C0 F2 44 0F 58 CC 0F 28 E2 F2 0F 58 E3 0F 28 CC F2 0F 5C D4 F2 0F 58 C8 F2 0F 58 DA F2 0F 5C E1 F2 44 0F 58 CB F2 0F 58 C4 0F 28 D5 0F 28 E1 F2 44 0F 58 C8 F2 41 0F 10 44 D1 20 F2 0F 59 D0 F2 41 0F 59 C0 F2 0F 58 E2 0F 28 DC F2 0F 5C CC F2 0F 58 D1 0F 28 CD F2 44 0F 58 CA F2 41 0F 10 54 D1 28 F2 0F 59 CA F2 41 0F 59 D0 F2 0F 58 C1 F2 0F 58 D8 F2 0F 5C E3 F2 0F 58 C4 0F 28 E5 F2 44 0F 58 C8 F2 41 0F 10 44 D1 30 F2 0F 59 E0 F2 44 0F 59 C0 F2 0F 58 D4 0F 28 E3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 E2 F2 0F 5C DC F2 0F 58 D3 F2 44 0F 58 CA F2 41 0F 10 54 D1 38 F2 0F 59 EA F2 44 0F 58 C5 41 0F 28 E8 F2 0F 58 EC F2 0F 59 C5 F2 0F 58 E8 F2 0F 11 6C 24 28 F2 0F 10 4C 24 28 F2 0F 5C C8 F2 0F 5C E1 F2 44 0F 58 C4 F2 45 0F 58 C8 F2 45 0F 10 02 41 0F 28 C0 F2 41 0F 59 C1 F2 44 0F 58 C9 F2 41 0F 59 C8 F2 45 0F 59 4A 08 F2 41 0F 58 C1 0F 28 D0 F2 0F 58 D1 F2 0F 5C CA F2 0F 58 C8 F2 0F 58 D1 7F 10 C1 E0 1E F2 41 0F 11 55 00 25 00 00 00 80 EB 25 D1 F8 66 0F 2F 15 ?? ?? ?? ?? 76 13 83 C0 FD F2 0F 5C 15 ?? ?? ?? ?? F2 41 0F 11 55 00 EB 06 F2 41 0F 11 55 00 44 0F 28 44 24 40 44 0F 28 4C 24 30 48 83 C4 50 41 5F 41 5E 41 5D C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_799_11_0 {
	meta:
		name = "??0SchedulingRing@details@Concurrency@@QEAA@PEAVSchedulerBase@12@H@Z"
		size = 187
		refs = "0043 ??0?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 00a0 ?CreateSegment@ScheduleGroupBase@details@Concurrency@@IEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@PEAVSchedulingRing@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 70 18 41 8B D8 48 8B FA 48 8B F1 48 89 11 48 83 61 08 00 48 83 61 10 00 48 83 C1 20 41 B9 40 00 00 00 41 B8 00 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 8E A0 00 00 00 41 B9 40 00 00 00 41 B8 00 01 00 00 48 8B D7 E8 ?? ?? ?? ?? 90 83 A6 20 01 00 00 00 83 A6 24 01 00 00 00 89 9E 28 01 00 00 C7 86 2C 01 00 00 00 00 00 00 83 64 24 28 00 0F 57 C0 F3 0F 7F 44 24 30 4C 8B C6 48 8D 54 24 28 48 8B 8F 30 01 00 00 E8 ?? ?? ?? ?? 48 89 46 10 48 8B C6 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_799_12_0 {
	meta:
		name = "?dtor$0@?0???0SchedulingRing@details@Concurrency@@QEAA@PEAVSchedulerBase@12@H@Z@4HA"
		size = 16
		refs = "000c ??1?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_583_2 {
	meta:
		name = "?dtor$2@?0???0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z@4HA"
		size = 16
		refs = "000c ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_799_17_0 {
	meta:
		name = "??1?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 264
		refs = "001a __imp_InterlockedFlushSList 00d6 ??_V@YAXPEAX@Z 00de ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1F 48 8D 8B 20 FE FF FF 48 8B 1B 48 85 C9 74 0B 4C 8B 01 BA 01 00 00 00 41 FF 10 48 85 DB 75 E1 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1F 48 8D 8B 20 FE FF FF 48 8B 1B 48 85 C9 74 0B 4C 8B 01 BA 01 00 00 00 41 FF 10 48 85 DB 75 E1 48 8B 5F 20 EB 19 48 8D 8B 20 FE FF FF 48 8B 1B 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 DB 75 E2 48 8B 77 58 48 85 F6 74 47 33 DB 39 5F 50 7E 24 45 33 F6 48 8B 06 49 8B 0C 06 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 FF C3 49 83 C6 08 3B 5F 50 7C DF 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 B9 48 8B 4F 60 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_799_19_0 {
	meta:
		name = "??1SchedulingRing@details@Concurrency@@QEAA@XZ"
		size = 54
		refs = "0023 ??1?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 61 10 00 48 81 C1 A0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 20 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_799_34_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 92
		refs = "0017 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ"
		altNames = "?CheckForDeletionBridge@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B 49 48 E8 ?? ?? ?? ?? 33 DB 84 C0 75 2B 48 8B 7E 20 EB 19 48 8D 8F 20 FE FF FF 48 8B 3F 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 FF 75 E2 48 89 5E 20 87 5E 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_799_36_0 {
	meta:
		name = "?DeleteElements@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 49
	strings:
		$1 = { 48 85 D2 74 2B 53 48 83 EC 20 48 8B DA 48 8D 8B 20 FE FF FF 48 8B 1B 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 DB 75 E2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_799_39_0 {
	meta:
		name = "?Remove@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@H_N@Z"
		size = 318
		refs = "00ae __imp_QueryDepthSList 00ca __imp_InterlockedPushEntrySList 00e4 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 00fa __imp_InterlockedFlushSList 0109 ?CheckForDeletionBridge@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 0115 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D EF 00 00 00 48 8B 43 60 44 3B 53 68 7C 1E 44 2B 53 68 48 63 4B 68 4C 8B 44 C8 F8 78 16 41 8D 4A 01 4D 8B 40 08 48 2B CD 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 50 49 63 CB 48 8B 44 24 50 45 33 F6 F0 4C 0F B1 34 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 8F 00 00 00 41 8D 46 FE F0 45 0F B1 58 10 45 84 C9 74 7B 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 96 E0 01 00 00 0F B7 C0 3B 43 74 7E 5A 48 8D 7B 10 48 8B CF FF 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 0F B7 C0 3B 43 74 7E 45 48 8B 4B 48 E8 ?? ?? ?? ?? 84 C0 75 38 33 C0 F0 0F B1 6B 78 75 2F 48 8B CF FF 15 ?? ?? ?? ?? 4C 8B 4B 48 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 89 43 20 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_799_41_0 {
	meta:
		name = "?RemoveScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupSegmentBase@23@@Z"
		size = 37
		refs = "0021 ?Remove@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@H_N@Z"
	strings:
		$1 = { F7 42 18 FF FF FF 0F 44 8B 82 A0 01 00 00 41 B1 01 75 09 48 81 C1 A0 00 00 00 EB 04 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_800_0_0 {
	meta:
		name = "__avx_floorf8"
		size = 16
	strings:
		$1 = { C4 E3 7D 08 C0 01 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_801_0_0 {
	meta:
		name = "_exp2"
		size = 873
		refs = "0098 ??_C@_04HPAFEEIN@exp2?$AA@ 00a2 _handle_error 00ca __real@4090000000000000 010d __real@c090c80000000000 0172 __real@3ff0000000000000 0182 __real@3fe62e42f8000000 01c0 __real@3e4be8e7bcd5e4f1 01f8 __real@3f437d98a3a06a02 0200 __real@3e9208a80efa0f9c 0208 __real@3f885dd726cbfa41 0210 __real@3f985eaf935d972d 0220 __real@3fbb6a194bd1cdeb 0228 __real@3ef0e88e25daf0f3 0238 __real@3fdffc2b5ee8cd41 0240 __real@3feffc6f012164ad 0274 __real@3fa0000000000000 027c __real@4040000000000000 0284 __real@3fe62e42fefa39ef 02b6 splitexp"
	strings:
		$1 = { 48 83 EC 68 48 BA FF FF FF FF FF FF FF 7F F2 0F 11 84 24 88 00 00 00 0F 29 74 24 50 48 8B 8C 24 88 00 00 00 0F 28 E8 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 90 40 48 3B C2 0F 82 0C 01 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 77 48 B8 FF FF FF FF FF FF 0F 00 48 85 C8 74 4D C7 44 24 40 01 00 00 00 0F 57 C0 49 B8 00 00 00 00 00 00 08 00 4C 0B C1 41 B9 01 00 00 00 F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 14 00 00 00 E8 ?? ?? ?? ?? E9 B4 02 00 00 48 B8 00 00 00 00 00 00 00 80 48 85 C8 0F 84 A1 02 00 00 0F 57 C0 E9 99 02 00 00 66 0F 2F 05 ?? ?? ?? ?? 76 39 C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 03 00 00 00 49 B8 00 00 00 00 00 00 F0 7F F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 EB 8C F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C5 76 35 C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 04 00 00 00 45 33 C0 F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 E9 49 FF FF FF 48 B9 2F 6C EE 64 47 15 B7 3F 48 3B C1 0F 83 11 01 00 00 48 B9 00 00 00 00 00 00 00 3C 48 3B C1 73 10 F2 0F 58 2D ?? ?? ?? ?? 0F 28 C5 E9 E1 01 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 11 AC 24 88 00 00 00 0F 28 DD 48 8B 84 24 88 00 00 00 48 25 00 00 00 F8 48 89 84 24 88 00 00 00 F2 0F 59 EA F2 0F 10 84 24 88 00 00 00 F2 0F 5C D8 0F 28 E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 E2 F2 0F 5C E5 F2 0F 58 E0 0F 28 C3 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 E0 F2 0F 58 E3 0F 28 D4 F2 0F 58 D5 0F 28 DA 0F 28 CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E D9 0F 28 F3 F2 0F 59 DD F2 0F 59 F4 F2 0F 58 F3 F2 0F 58 35 ?? ?? ?? ?? E9 EC 00 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 0F 57 C0 48 8D 84 24 80 00 00 00 48 89 44 24 38 48 8D 44 24 78 48 89 44 24 30 48 8D 44 24 70 48 89 44 24 28 F2 0F 11 44 24 20 0F 28 C5 E8 ?? ?? ?? ?? 4C 63 4C 24 70 41 8D 81 FD 03 00 00 3D FB 07 00 00 77 32 B8 FF 03 00 00 49 03 C1 48 C1 E0 34 48 89 84 24 88 00 00 00 F2 0F 10 84 24 88 00 00 00 F2 0F 10 74 24 78 F2 0F 58 B4 24 80 00 00 00 F2 0F 59 F0 EB 5D 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 88 00 00 00 48 C1 E0 34 F2 0F 10 94 24 88 00 00 00 48 89 84 24 88 00 00 00 F2 0F 10 8C 24 88 00 00 00 F2 0F 10 74 24 78 F2 0F 58 B4 24 80 00 00 00 F2 0F 59 F2 F2 0F 59 F1 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_803_1_0 {
	meta:
		name = "_locterm"
		size = 71
		refs = "0009 __initiallocinfo 0010 __ptlocinfo 001c _lock 002c _updatetlocinfoEx_nolock 003d _unlock"
	strings:
		$1 = { 40 57 48 83 EC 20 48 8D 3D ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 74 2B B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D7 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_803_4_0 {
	meta:
		name = "__copy_locale_name"
		size = 130
		refs = "002f wcsnlen 0045 _malloc_crt 005f wcsncpy_s 007d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B F9 48 85 C9 75 12 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 BA 55 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 83 F8 55 73 DB 48 8D 0C 45 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 C6 48 8D 56 01 4C 8B C7 48 8B C8 4C 8B CA E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C3 EB AD 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_8_0 {
	meta:
		name = "__lc_lctowcs"
		size = 162
		refs = "001e wcscpy_s 0037 ??_C@_13ENNFDPBH@?$AA_?$AA?$AA@ 004b _wcscats 005e ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 009d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 33 ED 85 C0 75 65 48 8D 83 80 00 00 00 66 39 28 74 1B 4C 8D 0D ?? ?? ?? ?? 44 8D 45 02 48 8B D7 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 83 00 01 00 00 66 39 28 74 1D 4C 8D 0D ?? ?? ?? ?? 41 B8 02 00 00 00 48 8B D7 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_9_0 {
	meta:
		name = "__lc_wcstolc"
		size = 437
		refs = "0027 memset 005c wcsncpy_s 0078 ??_C@_17MBJJLFDM@?$AA_?$AA?4?$AA?0?$AA?$AA@ 0080 wcscspn 0171 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 48 8B DA 41 B8 CA 01 00 00 33 D2 48 8B F1 E8 ?? ?? ?? ?? 45 33 FF 66 44 39 3B 75 07 33 C0 E9 0D 01 00 00 66 83 3B 2E 75 31 4C 8D 43 02 66 45 39 38 74 27 BA 10 00 00 00 48 8D 8E 00 01 00 00 44 8D 4A FF E8 ?? ?? ?? ?? 85 C0 0F 85 F9 00 00 00 66 44 89 BE 1E 01 00 00 EB C2 41 8B EF 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 0F 84 B8 00 00 00 4C 8D 34 43 41 0F B7 3E 85 ED 75 2E 48 83 F8 40 0F 83 A2 00 00 00 66 83 FF 2E 0F 84 98 00 00 00 8D 55 40 4C 8B C8 4C 8B C3 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 65 E9 AF 00 00 00 83 FD 01 75 2A 48 83 F8 40 73 73 66 83 FF 5F 74 6D 48 8D 8E 80 00 00 00 8D 55 3F 4C 8B C8 4C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 36 E9 95 00 00 00 83 FD 02 75 4A 48 83 F8 10 73 44 66 85 FF 74 06 66 83 FF 2C 75 39 48 8D 8E 00 01 00 00 4C 8B C8 4C 8B C3 BA 10 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 79 66 83 FF 2C 0F 84 03 FF FF FF 66 85 FF 0F 84 FA FE FF FF 49 8D 5E 02 FF C5 E9 30 FF FF FF 83 C8 FF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_10_0 {
	meta:
		name = "_configthreadlocale"
		size = 105
		refs = "0009 _getptd 0032 _errno 003d _invalid_parameter_noinfo 005b __globallocalestatus"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 44 8B 80 C8 00 00 00 41 8B D0 80 E2 02 F6 DA 1B C9 83 FB FF 74 36 85 DB 74 39 83 FB 01 74 20 83 FB 02 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1D 41 83 E0 FD EB 04 41 83 C8 02 44 89 80 C8 00 00 00 EB 07 83 0D ?? ?? ?? ?? FF 8D 41 02 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_803_11_0 {
	meta:
		name = "_copytlocinfo_nolock"
		size = 188
		refs = "00b3 __addlocaleref"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 0F 84 AA 00 00 00 48 85 C9 0F 84 A1 00 00 00 48 3B CA 0F 84 98 00 00 00 B8 02 00 00 00 4C 8B C1 44 8D 48 7E 0F 10 02 41 0F 11 00 0F 10 4A 10 41 0F 11 48 10 0F 10 42 20 41 0F 11 40 20 0F 10 4A 30 41 0F 11 48 30 0F 10 42 40 41 0F 11 40 40 0F 10 4A 50 41 0F 11 48 50 0F 10 42 60 41 0F 11 40 60 0F 10 4A 70 4D 03 C1 49 03 D1 41 0F 11 48 F0 48 FF C8 75 AF 0F 10 02 41 0F 11 00 0F 10 4A 10 41 0F 11 48 10 0F 10 42 20 41 0F 11 40 20 0F 10 4A 30 41 0F 11 48 30 0F 10 42 40 41 0F 11 40 40 48 8B 42 50 49 89 40 50 83 21 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_803_12_0 {
	meta:
		name = "_create_locale"
		size = 119
		refs = "000c __security_cookie 0046 __imp_MultiByteToWideChar 0056 _wcreate_locale 006a __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 50 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 01 00 00 8B D9 83 F9 05 77 3A 48 85 D2 74 35 48 8D 44 24 30 4C 8B C2 41 83 C9 FF 33 D2 33 C9 C7 44 24 28 83 00 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 0E 48 8D 54 24 30 8B CB E8 ?? ?? ?? ?? EB 02 33 C0 48 8B 8C 24 40 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 50 01 00 00 5B C3 }
	condition:
		$1
}

rule file_803_13_0 {
	meta:
		name = "_expandlocale"
		size = 978
		refs = "001f __security_cookie 0046 _getptd 0081 __security_check_cookie 00b8 wcsncpy_s 00d5 ??_C@_13FHBKNHDA@?$AAC?$AA?$AA@ 00e0 wcscpy_s 0101 wcslen 0117 wcscmp 0139 encodedKERNEL32Functions 015a __lc_wcstolc 017a __get_qualified_locale_downlevel 0181 __get_qualified_locale 019b __lc_lctowcs 01e6 __crtIsValidLocaleName 0206 __crtGetLocaleInfoEx 0218 __imp_GetACP 02d0 memcpy 032b _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 B8 FE FF FF 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 30 01 00 00 48 8B BD B8 01 00 00 49 8B F1 4D 8B E8 4C 89 44 24 50 4C 8B E2 48 8B D9 E8 ?? ?? ?? ?? 48 8D 88 60 01 00 00 4C 8D B8 64 01 00 00 4C 8D B0 6A 02 00 00 48 89 4C 24 38 33 C9 4C 89 7C 24 40 89 4C 24 30 48 85 DB 75 25 33 C0 48 8B 8D 30 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 48 8B 95 B0 01 00 00 48 05 98 03 00 00 41 B9 55 00 00 00 4C 8B C0 48 8B CE 48 89 44 24 48 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 F9 02 00 00 66 83 3B 43 75 31 66 39 4B 02 75 2B 4C 8D 05 ?? ?? ?? ?? 49 8B D5 49 8B CC E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 2F 02 00 00 48 85 FF 74 02 89 0F 49 8B C4 E9 79 FF FF FF 48 8B CB E8 ?? ?? ?? ?? 4C 8B E8 48 3D 83 00 00 00 73 26 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 97 01 00 00 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 85 C0 0F 84 84 01 00 00 48 8B 05 ?? ?? ?? ?? 48 8D 4C 24 60 48 8B D3 48 33 05 ?? ?? ?? ?? B8 00 00 00 00 44 8D 78 01 44 0F 45 F8 E8 ?? ?? ?? ?? 85 C0 75 7B 45 85 FF 4C 8B 7C 24 38 4C 8D 44 24 60 49 8B D7 48 8D 4C 24 60 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 85 C0 74 59 41 BF 83 00 00 00 4C 8D 44 24 60 49 8B CE 41 8B D7 E8 ?? ?? ?? ?? 48 85 F6 0F 84 06 01 00 00 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 95 B0 01 00 00 4C 8D 85 80 00 00 00 4C 8D 48 01 48 8B CE E8 ?? ?? ?? ?? 33 F6 85 C0 0F 84 AF 00 00 00 E9 53 01 00 00 4C 8B 7C 24 38 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 FE 00 00 00 4C 8D 44 24 30 41 B9 02 00 00 00 BA 04 10 00 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 08 8B 44 24 30 85 C0 75 0A FF 15 ?? ?? ?? ?? 89 44 24 30 0F B7 C0 4C 8B C3 BA 83 00 00 00 41 89 07 4D 8D 7D 01 49 8B CE 4D 8B CF E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 52 01 00 00 48 8B 95 B0 01 00 00 4D 8B CF 4C 8B C3 48 8B CE E8 ?? ?? ?? ?? 33 F6 85 C0 0F 85 1E 01 00 00 48 8B 4C 24 48 8D 56 55 4D 8B CF 4C 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 EE 00 00 00 41 BF 83 00 00 00 66 39 33 74 24 4D 3B EF 73 1F 48 8B 4C 24 40 4D 8D 4D 01 4C 8B C3 49 8B D7 E8 ?? ?? ?? ?? 85 C0 74 13 E9 97 00 00 00 EB D7 48 8B 44 24 40 66 89 30 EB 02 33 F6 48 85 FF 74 13 48 8B 54 24 38 41 B8 04 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 50 4D 8B C6 49 8B CC E8 ?? ?? ?? ?? 85 C0 75 72 49 8B C6 E9 86 FD FF FF 48 8B CE E8 ?? ?? ?? ?? 48 8B 4C 24 48 4C 8B C6 4C 8D 48 01 BA 55 00 00 00 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 84 5C FD FF FF E9 8F 00 00 00 45 33 C9 45 33 C0 33 D2 48 89 4C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 4C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 4C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_14_0 {
	meta:
		name = "_free_locale"
		size = 154
		refs = "0017 _lock 0031 __initialmbcinfo 003b free 0046 _unlock 005f __removelocaleref 0073 __initiallocinfo 007d __freetlocinfo"
	strings:
		$1 = { 48 85 C9 0F 84 90 00 00 00 53 48 83 EC 20 48 8B D9 B9 0D 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 1B F0 FF 09 75 16 48 8B 4B 08 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 06 E8 ?? ?? ?? ?? 90 B9 0D 00 00 00 E8 ?? ?? ?? ?? 48 83 3B 00 74 3C B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 0B E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 17 83 39 00 75 12 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 06 E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_803_15_0 {
	meta:
		name = "_free_locale$fin$1"
		size = 25
		refs = "0014 _unlock"
		altNames = "__updatetmbcinfo$fin$0 _freefls$fin$1 _get_current_locale$fin$0 _initptd$fin$1 _setmbcp$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0D 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_16_0 {
	meta:
		name = "_free_locale$fin$0"
		size = 25
		refs = "0014 _unlock"
		altNames = "__updatetlocinfo$fin$0 _freefls$fin$0 _get_current_locale$fin$1 _initptd$fin$0 _locterm$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0C 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_17_0 {
	meta:
		name = "_get_current_locale"
		size = 156
		refs = "000b _getptd 001b _calloc_crt 0028 _errno 0037 __updatetlocinfo 003c __updatetmbcinfo 005b _lock 0064 __addlocaleref 006f _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B F8 BA 01 00 00 00 8D 4A 0F E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 5B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 87 C0 00 00 00 48 89 03 48 8B 87 B8 00 00 00 48 89 43 08 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 0B E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? BF 0D 00 00 00 8B CF E8 ?? ?? ?? ?? 90 48 8B 43 08 F0 FF 00 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_803_22_0 {
	meta:
		name = "_wcreate_locale"
		size = 255
		refs = "002e _calloc_crt 003b _errno 0075 free 009e __initiallocinfo 00a3 _copytlocinfo_nolock 00b0 _wsetlocale_nolock 00c4 _setmbcp_nolock 00d9 __removelocaleref 00e1 __freetlocinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B FA 8B F1 83 F9 05 77 27 48 85 D2 74 22 BD 01 00 00 00 8B D5 8D 4D 0F E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 22 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 8B D5 B9 58 01 00 00 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 0A 48 8B CB E8 ?? ?? ?? ?? EB BF 48 8B D5 B9 28 02 00 00 E8 ?? ?? ?? ?? 48 8B 0B 48 89 43 08 48 85 C0 75 07 E8 ?? ?? ?? ?? EB D6 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0B 4C 8B C7 8B D6 E8 ?? ?? ?? ?? 48 85 C0 74 13 48 8B 03 48 8B 53 08 8B 48 04 E8 ?? ?? ?? ?? 85 C0 74 25 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 DB EB 06 48 8B 43 08 89 28 48 8B C3 E9 48 FF FF FF }
	condition:
		$1
}

rule file_803_23_0 {
	meta:
		name = "_wcscats"
		size = 101
		refs = "0036 wcscat_s 0060 _invoke_watson"
	strings:
		$1 = { 45 85 C0 7E 49 44 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 83 EC 38 48 8D 7C 24 78 33 DB 48 8B F2 48 83 C7 F8 48 8B E9 48 8D 7F 08 48 8B D6 48 8B CD 4C 8B 07 E8 ?? ?? ?? ?? 85 C0 75 11 FF C3 3B 5C 24 70 7C E2 48 83 C4 38 5F 5E 5D 5B C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_24_0 {
	meta:
		name = "_wsetlocale"
		size = 411
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 003e _getptd 004b __updatetlocinfo 0061 _calloc_crt 0077 _lock 008a _copytlocinfo_nolock 0095 _unlock 00a3 _wsetlocale_nolock 00c0 __wclocalestr 00c8 wcscmp 00ce __locale_changed 00fe _updatetlocinfoEx_nolock 0106 __removelocaleref 0116 __globallocalestatus 0122 __ptlocinfo 013c __lconv 014a _pctype 0156 __mb_cur_max 0172 __freetlocinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 20 41 54 41 56 41 57 48 83 EC 30 4C 8B F2 44 8B E1 33 F6 83 F9 05 76 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 44 01 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 60 E8 ?? ?? ?? ?? 83 8B C8 00 00 00 10 BA 01 00 00 00 B9 58 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 06 01 00 00 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 4C 8D BB C0 00 00 00 49 8B 17 48 8B CF E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? 4D 8B C6 41 8B D4 48 8B CF E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 20 48 85 C0 0F 84 AE 00 00 00 4D 85 F6 74 29 48 8D 15 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 85 C0 41 BE 01 00 00 00 41 0F 45 CE 89 0D ?? ?? ?? ?? EB 06 41 BE 01 00 00 00 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D7 49 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? F6 83 C8 00 00 00 02 75 47 44 84 35 ?? ?? ?? ?? 75 3E 49 8B 17 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 82 F0 00 00 00 48 89 05 ?? ?? ?? ?? 48 8B 82 08 01 00 00 48 89 05 ?? ?? ?? ?? 8B 82 D4 00 00 00 89 05 ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? EB 11 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 90 83 A3 C8 00 00 00 EF 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_803_25_0 {
	meta:
		name = "_wsetlocale$fin$1"
		size = 27
		refs = "000f _unlock"
		altNames = "_wsetlocale$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_803_27_0 {
	meta:
		name = "_wsetlocale$fin$2"
		size = 27
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 45 60 83 A0 C8 00 00 00 EF 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_803_28_0 {
	meta:
		name = "_wsetlocale_get_all"
		size = 468
		refs = "002a _malloc_crt 0072 __lc_category 007e ??_C@_13NMPKAAJP@?$AA?$DN?$AA?$AA@ 008d _wcscats 009f ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 00aa wcscat_s 00c3 wcscmp 012b free 01cf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B F9 B9 A6 06 00 00 BD 01 00 00 00 E8 ?? ?? ?? ?? 45 33 ED 48 8B F0 48 85 C0 75 1D 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 4C 8D 70 04 BB 51 03 00 00 41 B8 03 00 00 00 66 45 89 2E 89 28 48 8B 47 38 4C 8B 0D ?? ?? ?? ?? 48 89 44 24 28 48 8D 05 ?? ?? ?? ?? 8B D3 49 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 3D ?? ?? ?? ?? 4C 8D 67 38 4C 8D 05 ?? ?? ?? ?? 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 09 01 00 00 49 8B 0C 24 49 8D 5C 24 20 48 8B 13 E8 ?? ?? ?? ?? 4C 8B E3 41 B8 03 00 00 00 85 C0 48 8B 03 BB 51 03 00 00 48 89 44 24 28 41 0F 45 ED 48 8D 05 ?? ?? ?? ?? 49 83 C7 18 8B D3 49 8B CE 4D 8B 0F 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 3B F8 7C 90 85 ED 75 53 48 8B 4F 28 83 CB FF 48 85 C9 74 13 8B C3 F0 0F C1 01 03 C3 75 09 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 47 20 48 85 C0 74 13 8B CB F0 0F C1 08 03 CB 75 09 48 8B 4F 20 E8 ?? ?? ?? ?? 4C 89 6F 20 4C 89 6F 10 48 89 77 28 4C 89 77 18 49 8B C6 E9 D6 FE FF FF 48 8B CE E8 ?? ?? ?? ?? 48 8B 4F 28 83 CB FF 48 85 C9 74 13 8B C3 F0 0F C1 01 03 C3 75 09 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 20 48 85 C9 74 13 8B C3 F0 0F C1 01 03 C3 75 09 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 47 58 4C 89 6F 20 4C 89 6F 10 4C 89 6F 28 4C 89 6F 18 E9 7A FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_29_0 {
	meta:
		name = "_wsetlocale_nolock"
		size = 618
		refs = "001a __security_cookie 003c _wsetlocale_set_cat 008d ??_C@_15NBPDDFIP@?$AA?$DN?$AA?$DL?$AA?$AA@ 0095 wcspbrk 00c7 __lc_category 00d5 wcsncmp 00e1 wcslen 0104 ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 010c wcscspn 013a wcsncpy_s 0197 _wsetlocale_get_all 01a7 __security_check_cookie 01ef _expandlocale 020c wcscmp 0250 __report_rangecheckfailure 0265 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 00 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 01 00 00 45 33 ED 49 8B D8 48 8B F9 85 D2 74 20 48 85 DB 74 0A E8 ?? ?? ?? ?? E9 56 01 00 00 48 63 C2 48 C1 E0 05 48 8B 44 08 18 E9 45 01 00 00 BD 01 00 00 00 41 8B F5 48 85 DB 0F 84 2F 01 00 00 66 41 83 38 4C 0F 85 58 01 00 00 66 41 83 78 02 43 0F 85 4C 01 00 00 66 41 83 78 04 5F 0F 85 40 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 21 01 00 00 48 8B E8 48 2B EB 48 D1 FD 0F 84 12 01 00 00 66 83 38 3B 0F 84 08 01 00 00 41 BC 01 00 00 00 4C 8D 3D ?? ?? ?? ?? 49 8B 0F 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 0D 49 8B 0F E8 ?? ?? ?? ?? 48 3B E8 74 13 48 8D 05 ?? ?? ?? ?? 49 83 C7 18 41 FF C4 4C 3B F8 7E CE 49 83 C6 02 48 8D 15 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0B 66 41 83 3E 3B 0F 85 A3 00 00 00 41 83 FC 05 7F 4A 48 8D 4C 24 30 4C 8B C8 4D 8B C6 BA 83 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 0F 01 00 00 48 8D 04 1B 48 3D 06 01 00 00 0F 83 F9 00 00 00 4C 8D 44 24 30 41 8B D4 48 8B CF 66 44 89 6C 04 30 E8 ?? ?? ?? ?? 48 85 C0 74 02 FF C6 49 8D 1C 5E 66 44 39 2B 74 0E 48 83 C3 02 66 44 39 2B 0F 85 FF FE FF FF 85 F6 0F 84 B4 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 8C 24 F0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 58 02 00 00 48 81 C4 00 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 C0 EB D1 4C 8D 8C 24 40 01 00 00 48 8D 54 24 30 41 B8 83 00 00 00 48 8B CB 4C 89 6C 24 28 48 C7 44 24 20 55 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 A3 41 8B DD 4C 8D 77 18 85 DB 74 2C 49 8B 16 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 74 19 4C 8D 44 24 30 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 05 41 8B ED EB 02 FF C6 FF C3 49 83 C6 20 83 FB 05 7E C5 85 ED 0F 85 51 FF FF FF E9 44 FF FF FF 49 8B C5 E9 4C FF FF FF E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_30_0 {
	meta:
		name = "_wsetlocale_set_cat"
		size = 782
		refs = "0022 __security_cookie 003a _getptd 006e _expandlocale 0084 __security_check_cookie 00b5 wcscmp 00ca wcslen 00da _malloc_crt 0112 wcscpy_s 014c __copy_locale_name 01c8 _first_127char 01d8 __crtGetStringTypeA 0201 _ctype_loc_style 0210 memcmp 025b __lc_category 027c free 02a4 __wclocalestr 0309 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 D0 FD FF FF 48 81 EC 30 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 20 02 00 00 49 8B D8 4C 63 E2 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 8D 70 01 00 00 48 8D 54 24 60 4C 8D B0 70 03 00 00 48 8D 44 24 40 41 B8 83 00 00 00 48 89 44 24 28 48 8B CB 48 C7 44 24 20 55 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 2C 33 C0 48 8B 8D 20 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 03 00 00 48 81 C4 30 03 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 49 8B DC 48 8D 4C 24 60 48 C1 E3 05 48 8B 54 3B 18 E8 ?? ?? ?? ?? 85 C0 75 07 48 8B 44 3B 18 EB B5 48 8D 4C 24 60 E8 ?? ?? ?? ?? 4C 8B F8 48 8D 0C 45 06 00 00 00 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 74 91 48 8B 4C 3B 18 4C 8D 44 24 60 49 8D 57 01 48 89 4C 24 48 4A 8B 8C E7 28 01 00 00 48 89 4C 24 50 8B 4F 04 89 4C 24 44 48 8D 48 04 E8 ?? ?? ?? ?? 45 33 FF 85 C0 0F 85 D8 01 00 00 66 83 7C 24 60 43 49 8D 45 04 48 89 44 3B 18 75 12 66 44 39 7C 24 62 75 0A 4E 89 BC E7 28 01 00 00 EB 14 48 8D 8D 70 01 00 00 E8 ?? ?? ?? ?? 4A 89 84 E7 28 01 00 00 41 83 FC 02 0F 85 D6 00 00 00 8B 44 24 40 45 8B C7 49 8B D7 89 47 04 49 8B 4E 20 41 8B 04 D6 39 47 04 74 19 49 8B 04 D6 49 89 0C D6 48 FF C2 41 FF C0 48 8B C8 48 83 FA 05 7C E0 EB 13 45 85 C0 74 0E 49 63 D0 49 8B 04 D6 49 89 06 49 89 0C D6 41 83 F8 05 75 7E 8B 47 04 45 8D 48 7A C7 44 24 30 01 00 00 00 89 44 24 28 48 8D 45 70 4C 8D 05 ?? ?? ?? ?? 41 8D 51 82 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 42 41 8B D7 48 8D 4D 70 B8 FF 01 00 00 FF C2 66 21 01 48 63 C2 48 8D 49 02 48 83 F8 7F 72 E9 48 8B 15 ?? ?? ?? ?? 48 8D 4D 70 41 B8 FE 00 00 00 E8 ?? ?? ?? ?? 41 8B CF 85 C0 0F 94 C1 41 89 4E 04 EB 04 45 89 7E 04 8B 47 04 41 89 06 41 8B 46 04 89 87 D0 00 00 00 EB 1C 41 83 FC 01 75 09 8B 44 24 40 89 47 08 EB 0D 41 83 FC 05 75 07 8B 44 24 40 89 47 0C 4B 8D 04 64 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 14 C2 85 C0 74 38 48 8B 44 24 48 48 89 44 3B 18 4A 8B 8C E7 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 50 49 8B CD 4A 89 84 E7 28 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 44 89 47 04 E9 D6 FD FF FF 48 8D 0D ?? ?? ?? ?? 48 39 4C 24 48 74 38 48 8B 4C 3B 28 F0 FF 09 75 2E 48 8B 4C 3B 28 E8 ?? ?? ?? ?? 48 8B 4C 3B 20 E8 ?? ?? ?? ?? 4A 8B 8C E7 28 01 00 00 E8 ?? ?? ?? ?? 4C 89 7C 3B 18 4E 89 BC E7 28 01 00 00 41 C7 45 00 01 00 00 00 4C 89 6C 3B 28 E9 C4 FD FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_803_31_0 {
	meta:
		name = "sync_legacy_variables_lk"
		size = 48
		refs = "0003 __ptlocinfo 0011 __lconv 001f _pctype 002b __mb_cur_max"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 48 8B 81 F0 00 00 00 48 89 05 ?? ?? ?? ?? 48 8B 81 08 01 00 00 48 89 05 ?? ?? ?? ?? 8B 81 D4 00 00 00 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_804_3_0 {
	meta:
		name = "sinh"
		size = 1013
		refs = "0059 _set_statfp 0096 ??_C@_04COOMCNPB@sinh?$AA@ 00b8 _handle_error 00dc __xmm@80000000000000008000000000000000 00e4 __real@408633ce8fb9f87e 0145 __real@40420fd21b95825f 0153 __real@3dcf473de6af278e 015b __real@3f962e42fe000000 0163 __real@40471547652b82fe 019b __real@3ff0000000000000 01a0 splitexp 02a0 __ImageBase 02b7 __real@3d6b4125921ea08b 02bf __real@3da9984b7f63fcd7 02c7 __real@3de611cb2bdcb7be 02cf __real@3e21ee56385b7b20 02df __real@3e5ae6460fbe61c0 02e7 __real@3e927e5069f1cb55 02f0 ?cosh_tail@?1??sinh@@9@9 0300 __real@3ec71de3a4e13e7d 0308 __real@3efa01a019079011 0311 ?sinh_lead@?1??sinh@@9@9 0321 __real@3f2a01a01a01ee80 0329 __real@3f56c16c16c212e5 0341 __real@3f811111111110fd 0349 __real@3fa5555555555502 0359 __real@3fc5555555555555 0361 __real@3fe0000000000000 037a ?sinh_tail@?1??sinh@@9@9 0387 ?cosh_lead@?1??sinh@@9@9"
	strings:
		$1 = { 48 81 EC 88 00 00 00 0F 29 74 24 70 48 BA FF FF FF FF FF FF FF 7F F2 0F 11 84 24 A8 00 00 00 48 8B 8C 24 A8 00 00 00 0F 29 7C 24 60 0F 28 F0 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 30 3E 44 0F 29 44 24 50 48 3B C2 73 1B 48 85 C0 0F 84 8A 03 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 78 03 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 53 76 4B C7 44 24 40 01 00 00 00 0F 57 C0 49 B8 00 00 00 00 00 00 08 00 4C 0B C1 BA 1F 00 00 00 48 8D 0D ?? ?? ?? ?? F2 0F 11 44 24 38 F2 0F 11 74 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 44 8D 4A E2 E8 ?? ?? ?? ?? E9 1C 03 00 00 F2 0F 58 F6 EB 96 45 33 D2 48 3B C1 0F 28 E0 41 0F 95 C2 4D 85 D2 74 07 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 57 C7 44 24 40 01 00 00 00 0F 57 C0 BA 1F 00 00 00 48 8D 0D ?? ?? ?? ?? 44 8D 4A E4 F2 0F 11 44 24 38 F2 0F 11 74 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 01 00 00 00 4D 85 D2 74 0C 49 B8 00 00 00 00 00 00 F0 FF EB 85 49 B8 00 00 00 00 00 00 F0 7F E9 76 FF FF FF 66 0F 2F 25 ?? ?? ?? ?? 0F 82 15 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 84 24 A0 00 00 00 48 89 44 24 38 48 8D 84 24 98 00 00 00 48 89 44 24 30 48 8D 84 24 90 00 00 00 0F 28 C4 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 8C 24 90 00 00 00 41 FF C9 44 89 8C 24 90 00 00 00 41 8D 81 FE 03 00 00 3D FD 07 00 00 77 36 49 63 C1 BA FF 03 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 44 0F 10 84 24 98 00 00 00 F2 44 0F 58 84 24 A0 00 00 00 EB 5F 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 A8 00 00 00 48 C1 E0 34 F2 0F 10 8C 24 A8 00 00 00 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 44 0F 10 84 24 98 00 00 00 F2 44 0F 58 84 24 A0 00 00 00 F2 44 0F 59 C1 F2 44 0F 59 C0 E9 68 01 00 00 F2 0F 2C CC 66 0F 6E C1 F3 0F E6 C0 F2 0F 5C E0 0F 28 CC F2 0F 11 A4 24 A8 00 00 00 48 8B 84 24 A8 00 00 00 48 25 00 00 00 F8 F2 0F 59 CC 48 89 84 24 A8 00 00 00 48 63 C1 48 8D 0D ?? ?? ?? ?? 0F 28 F9 0F 28 E9 F2 0F 10 B4 24 A8 00 00 00 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 10 94 C1 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 10 9C C1 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? 44 0F 28 C2 F2 0F 59 D6 F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 CC F2 0F 5C E6 F2 0F 59 E9 F2 0F 10 8C C1 ?? ?? ?? ?? F2 0F 58 EC F2 0F 10 A4 C1 ?? ?? ?? ?? 0F 28 C1 F2 0F 59 C7 F2 44 0F 59 C5 F2 44 0F 58 C0 0F 28 C4 F2 0F 59 E6 F2 44 0F 58 C2 F2 0F 59 C5 F2 44 0F 58 C1 0F 28 CB F2 44 0F 58 C0 F2 0F 59 CF F2 44 0F 58 C1 F2 44 0F 58 C4 F2 44 0F 58 C3 4D 85 D2 74 08 44 0F 57 05 ?? ?? ?? ?? 41 0F 28 C0 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_805_0_0 {
	meta:
		name = "__mbtow_environ"
		size = 197
		refs = "0018 _environ 003e __imp_MultiByteToWideChar 0052 _calloc_crt 0085 __crtwsetenv 00bd free"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 57 48 83 EC 30 48 83 64 24 40 00 48 8B 1D ?? ?? ?? ?? 48 8B 03 48 85 C0 74 75 83 CD FF 83 64 24 28 00 48 83 64 24 20 00 44 8B CD 4C 8B C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 74 78 48 8B CF BA 02 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 61 4C 8B 03 44 8B CD 33 D2 33 C9 89 7C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 3A 48 8D 4C 24 40 33 D2 E8 ?? ?? ?? ?? 85 C0 78 1E 48 83 C3 08 48 8B 03 48 85 C0 75 8E 33 C0 48 8B 5C 24 48 48 8B 6C 24 50 48 83 C4 30 5F C3 48 8B 4C 24 40 48 85 C9 74 0C EB 05 48 8B 4C 24 40 E8 ?? ?? ?? ?? 8B C5 EB D6 }
	condition:
		$1
}

rule file_806_0_0 {
	meta:
		name = "strspn"
		size = 195
		refs = "0007 __security_cookie 00b0 __security_check_cookie 00be __report_rangecheckfailure"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 45 33 C9 4C 8B DA 4C 8B D1 41 8B C1 48 83 F8 20 0F 83 94 00 00 00 44 88 4C 04 20 48 FF C0 48 83 F8 20 7C EC 8A 02 EB 22 44 0F B6 C0 0F B6 C0 BA 01 00 00 00 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 54 04 20 49 FF C3 41 8A 03 84 C0 75 DA 45 38 0A 74 53 41 0F B6 0A 41 0F B6 02 BA 01 00 00 00 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 74 22 49 FF C2 BA 01 00 00 00 41 FF C1 45 0F B6 02 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 75 DE 49 63 C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 33 C0 EB EA E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_807_0_0 {
	meta:
		name = "expf"
		size = 613
		refs = "000e __real_inf 001a __use_fma3_lib 002d __real_64_by_log2 0039 __real_p8192 0047 __real_m9600 0058 __two_to_jby64_table 0064 __real_log2_by_64 008a __real_1_by_6 009a __real_1_by_2 00e4 __real_zero 00ef __flag_y_zero 00f4 _expf_special 010f __flag_y_inf 012a __real_ninf 0132 __real_qnanbit 013d __flag_x_nan"
	strings:
		$1 = { 48 83 EC 38 66 0F 7E C2 0F BA F2 1F 3B 15 ?? ?? ?? ?? 0F 8D 08 01 00 00 83 3D ?? ?? ?? ?? 00 0F 85 4B 01 00 00 F3 0F 5A C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 66 0F 2F 1D ?? ?? ?? ?? 0F 83 BD 00 00 00 66 0F 2F 1D ?? ?? ?? ?? 0F 82 8F 00 00 00 F2 0F E6 E3 4C 8D 15 ?? ?? ?? ?? F3 0F E6 CC F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 66 0F 7E E1 48 C7 C0 3F 00 00 00 23 C1 F2 0F 5C C2 F2 0F 10 C8 2B C8 C1 F9 06 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 C0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 C3 F2 0F 58 C1 48 81 C1 FF 03 00 00 48 C1 E1 34 F2 41 0F 10 14 C2 F2 0F 59 C2 F2 0F 58 C2 66 48 0F 6E C9 F2 0F 59 C1 F2 0F 5A C0 48 83 C4 38 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F3 0F 10 0D ?? ?? ?? ?? 66 0F 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 63 00 00 00 0F 1F 00 F3 0F 10 0D ?? ?? ?? ?? 66 0F 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 66 0F 1F 44 00 00 3B 15 ?? ?? ?? ?? 74 38 3B 15 ?? ?? ?? ?? 74 20 0B 15 ?? ?? ?? ?? 66 0F 6E CA 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 0F 1F 84 00 00 00 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 6F FF FF FF 0F 1F 00 48 83 C4 38 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 FA 5A C0 C5 FB 59 1D ?? ?? ?? ?? C5 F9 2F 1D ?? ?? ?? ?? 0F 83 A6 00 00 00 C5 F9 2E 1D ?? ?? ?? ?? 72 7C C5 FB E6 E3 4C 8D 15 ?? ?? ?? ?? C5 FA E6 CC C4 E2 F1 BD 05 ?? ?? ?? ?? C5 F9 7E E1 48 C7 C0 3F 00 00 00 23 C1 C5 F9 28 C8 2B C8 C1 F9 06 C5 FB 10 1D ?? ?? ?? ?? C5 FB 59 C0 C4 E2 F1 A9 1D ?? ?? ?? ?? C4 E2 E1 A9 C1 48 81 C1 FF 03 00 00 48 C1 E1 34 C4 C1 7B 10 14 C2 C4 E2 E9 A9 C2 C4 E1 F9 6E D1 C5 FB 59 C2 C5 FB 5A C0 48 83 C4 38 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 FA 10 0D ?? ?? ?? ?? C5 F9 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 66 0F 1F 44 00 00 C5 FA 10 0D ?? ?? ?? ?? C5 F9 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 66 0F 1F 44 00 00 C5 FA 10 05 ?? ?? ?? ?? EB A5 66 0F 1F 44 00 00 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_809_4_0 {
	meta:
		name = "_mbsicmp_l"
		size = 493
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0039 _errno 0044 _invalid_parameter_noinfo 0062 _stricmp_l 00c6 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 54 41 55 41 56 48 8B EC 48 83 EC 70 48 8B F9 48 8B F2 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 45 33 F6 48 85 FF 74 05 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 68 01 00 00 48 8B 4D E8 44 39 71 08 75 14 4C 8D 45 E0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? E9 58 01 00 00 41 BC 02 00 00 00 41 BD 00 01 00 00 0F B6 1F 48 FF C7 F6 44 0B 19 04 74 73 44 38 37 75 05 41 8B DE EB 7B 8B 41 04 48 8B 91 20 02 00 00 C7 44 24 40 01 00 00 00 89 44 24 38 48 8D 45 30 44 89 64 24 30 48 89 44 24 28 4C 8D 4F FF 48 8D 4D E0 41 B8 00 02 00 00 44 89 64 24 20 E8 ?? ?? ?? ?? 83 F8 01 75 06 0F B6 5D 30 EB 19 41 3B C4 0F 85 CC 00 00 00 0F B6 5D 30 0F B6 45 31 66 41 0F AF DD 66 03 D8 48 8B 4D E8 48 FF C7 EB 12 0F B7 C3 F6 44 08 19 10 74 08 0F B6 9C 08 19 01 00 00 0F B6 16 48 FF C6 F6 44 0A 19 04 74 6F 44 38 36 75 05 41 8B D6 EB 77 8B 41 04 48 8B 91 20 02 00 00 C7 44 24 40 01 00 00 00 89 44 24 38 48 8D 45 30 44 89 64 24 30 48 89 44 24 28 4C 8D 4E FF 48 8D 4D E0 41 B8 00 02 00 00 44 89 64 24 20 E8 ?? ?? ?? ?? 83 F8 01 75 06 0F B6 55 30 EB 15 41 3B C4 75 3E 0F B6 55 30 0F B6 45 31 66 41 0F AF D5 66 03 D0 48 8B 4D E8 48 FF C6 EB 12 0F B7 C2 F6 44 08 19 10 74 08 0F B6 94 08 19 01 00 00 66 3B D3 75 20 66 85 DB 0F 85 D2 FE FF FF 41 8B C6 EB 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 07 1B C0 41 23 C4 FF C8 44 38 75 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5E 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_810_0_0 {
	meta:
		name = "_fpclass"
		size = 173
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF 0F 00 F2 0F 11 44 24 08 48 8B 44 24 08 48 85 C1 48 B9 00 00 00 00 00 00 F0 7F 48 8B D0 74 3D 48 23 D1 48 3B D1 75 17 48 B9 00 00 00 00 00 00 08 00 48 23 C1 48 F7 D8 1B C0 F7 D8 FF C0 C3 48 B9 00 00 00 00 00 00 00 80 48 23 C1 48 85 D2 75 39 48 F7 D8 1B C0 83 E0 90 83 E8 80 C3 48 23 D1 48 3B D1 48 B9 00 00 00 00 00 00 00 80 75 13 48 23 C1 48 F7 D8 1B C0 25 04 FE FF FF 05 00 02 00 00 C3 48 23 C1 48 85 D2 74 10 48 F7 D8 1B C0 25 08 FF FF FF 05 00 01 00 00 C3 48 F7 D8 1B C0 83 E0 E0 83 C0 40 C3 }
	condition:
		$1
}

rule file_810_1_0 {
	meta:
		name = "_fpclassf"
		size = 118
	strings:
		$1 = { F3 0F 11 44 24 08 B9 00 00 80 7F 8B 44 24 08 8B D0 23 D1 A9 FF FF 7F 00 74 26 3B D1 75 0E 25 00 00 40 00 F7 D8 1B C0 F7 D8 FF C0 C3 25 00 00 00 80 85 D2 75 27 F7 D8 1B C0 83 E0 90 83 E8 80 C3 25 00 00 00 80 3B D1 75 0F F7 D8 1B C0 25 04 FE FF FF 05 00 02 00 00 C3 85 D2 74 0F F7 D8 1B C0 25 08 FF FF FF 05 00 01 00 00 C3 F7 D8 1B C0 83 E0 E0 83 C0 40 C3 }
	condition:
		$1
}

rule file_810_2_0 {
	meta:
		name = "_isnan"
		size = 43
	strings:
		$1 = { 48 B8 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 48 BA 00 00 00 00 00 00 F0 7F 48 8B 4C 24 08 48 23 C8 33 C0 48 3B CA 0F 97 C0 C3 }
	condition:
		$1
}

rule file_810_3_0 {
	meta:
		name = "_isnanf"
		size = 26
	strings:
		$1 = { 33 C0 F3 0F 11 44 24 08 8B 4C 24 08 0F BA F1 1F 81 F9 00 00 80 7F 0F 97 C0 C3 }
	condition:
		$1
}

rule file_810_4_0 {
	meta:
		name = "_nextafter"
		size = 484
		refs = "0082 ??_C@_0L@KDOEJCKC@_nextafter?$AA@ 008c _handle_error"
	strings:
		$1 = { 48 83 EC 58 F2 0F 11 44 24 60 48 8B 4C 24 60 F2 0F 11 4C 24 60 4C 8B 44 24 60 49 3B C8 75 08 0F 28 C1 E9 B8 01 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 8B C1 49 B9 FF FF FF FF FF FF 0F 00 48 23 C2 48 3B C2 75 4F 49 85 C9 74 4A 49 B8 00 00 00 00 00 00 08 00 4C 0B C1 C7 44 24 40 02 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 26 00 00 00 E8 ?? ?? ?? ?? E9 4A 01 00 00 49 8B C0 48 23 C2 48 3B C2 75 14 4D 85 C1 74 0F 48 B8 00 00 00 00 00 00 08 00 4C 0B C0 EB A4 66 0F 2F C8 48 B8 00 00 00 00 00 00 00 80 76 7A 48 85 C8 74 30 48 B8 FE FF FF FF FF FF FF 7F 48 85 C8 0F 85 B0 00 00 00 80 E1 01 48 B8 FF FF FF FF FF FF FF 7F F6 D9 48 1B C9 48 23 C8 48 FF C1 E9 A2 00 00 00 48 FF C1 48 3B CA 0F 85 96 00 00 00 C7 44 24 40 02 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 03 00 00 00 49 B8 00 00 00 00 00 00 F0 7F C7 44 24 20 11 00 00 00 E9 41 FF FF FF 48 85 C8 74 44 48 FF C1 48 B8 00 00 00 00 00 00 F0 FF 48 3B C8 75 46 C7 44 24 40 02 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 03 00 00 00 4C 8B C0 C7 44 24 20 11 00 00 00 E9 F8 FE FF FF 48 85 C9 74 05 48 FF C9 EB 0A 48 B9 01 00 00 00 00 00 00 80 48 85 CA 75 34 49 85 C9 74 2F C7 44 24 40 02 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 83 64 24 28 00 41 B9 04 00 00 00 4C 8B C1 C7 44 24 20 12 00 00 00 E9 AB FE FF FF 48 89 4C 24 60 F2 0F 10 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_810_5_0 {
	meta:
		name = "_nextafterf"
		size = 393
		refs = "0071 ??_C@_0M@LNMOKHH@_nextafterf?$AA@ 007b _handle_errorf"
	strings:
		$1 = { 48 83 EC 58 F3 0F 11 44 24 60 8B 4C 24 60 F3 0F 11 4C 24 60 8B 54 24 60 3B CA 75 08 0F 28 C1 E9 60 01 00 00 41 B8 00 00 80 7F 8B C1 41 B9 FF FF 7F 00 41 23 C0 41 3B C0 75 4A 41 85 C9 74 45 4C 8B C1 C7 44 24 40 02 00 00 00 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 21 00 00 00 49 0F BA E8 16 83 64 24 20 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 26 00 00 00 E8 ?? ?? ?? ?? E9 00 01 00 00 8B C2 41 23 C0 41 3B C0 75 0A 41 85 D1 74 05 4C 8B C2 EB AA 0F 2F C8 76 58 85 C9 79 1E F7 C1 FE FF FF 7F 0F 85 8B 00 00 00 80 E1 01 F6 D9 1B C9 0F BA F1 1F FF C1 E9 82 00 00 00 FF C1 41 3B C8 75 7B C7 44 24 40 02 00 00 00 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 03 00 00 00 C7 44 24 20 11 00 00 00 E9 79 FF FF FF 85 C9 79 3D FF C1 B8 00 00 80 FF 3B C8 75 3D C7 44 24 40 02 00 00 00 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 03 00 00 00 44 8B C0 C7 44 24 20 11 00 00 00 E9 38 FF FF FF 74 04 FF C9 EB 05 B9 01 00 00 80 41 85 C8 75 34 41 85 C9 74 2F C7 44 24 40 02 00 00 00 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 83 64 24 28 00 44 8B C1 41 B9 04 00 00 00 C7 44 24 20 12 00 00 00 E9 F4 FE FF FF 89 4C 24 60 F3 0F 10 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_810_6_0 {
	meta:
		name = "_scalb"
		size = 473
		refs = "0097 ??_C@_06HBLGGACK@_scalb?$AA@ 00a1 _handle_error"
	strings:
		$1 = { 40 53 48 83 EC 50 F2 0F 11 44 24 60 48 B8 00 00 00 00 00 00 00 80 0F 28 C8 4C 8B 44 24 60 4D 8B D0 4C 23 D0 4D 3B C2 0F 84 A6 01 00 00 48 BB 00 00 00 00 00 00 F0 7F 49 8B C8 48 23 CB 48 3B CB 75 68 49 BB FF FF FF FF FF FF 0F 00 4D 85 C3 0F 84 73 01 00 00 C7 44 24 40 02 00 00 00 0F 57 C0 48 B8 00 00 00 00 00 00 08 00 4C 0B C0 45 33 C9 F2 48 0F 2A C2 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 44 89 4C 24 20 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 19 00 00 00 E8 ?? ?? ?? ?? E9 29 01 00 00 81 FA 00 00 00 80 75 08 4D 8B C2 E9 0E 01 00 00 45 33 C9 85 D2 0F 84 03 01 00 00 49 BB FF FF FF FF FF FF 0F 00 48 C1 E9 34 4D 23 C3 49 8B C0 85 D2 79 3F F7 DA 48 63 C2 48 3B C1 76 26 48 2B C1 48 83 F8 34 73 C2 48 85 C9 74 0D 48 B9 00 00 00 00 00 00 10 00 4C 0B C1 8D 48 01 49 D3 E8 E9 B8 00 00 00 48 2B C8 48 C1 E1 34 4C 0B C1 E9 A9 00 00 00 48 85 C9 0F 85 8A 00 00 00 4D 03 C0 48 B9 00 00 00 00 00 00 F0 FF 41 FF C1 4C 85 C1 74 EB 41 3B D1 7C 66 41 8D 81 FE 07 00 00 3B D0 7D 1E 49 63 C1 48 63 CA 48 2B C8 49 8B C0 48 FF C1 49 23 C3 48 C1 E1 34 4C 8B C1 4C 0B C0 EB 5D C7 44 24 40 02 00 00 00 0F 57 C0 4C 0B D3 41 B9 03 00 00 00 4D 8B C2 F2 48 0F 2A C2 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E9 EF FE FF FF 8B CA 4C 8B C0 49 D3 E0 EB 16 4C 63 CA 4C 03 C9 49 81 F9 FF 07 00 00 73 AA 49 C1 E1 34 4D 0B C1 4D 0B C2 4C 89 44 24 60 F2 0F 10 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_810_7_0 {
	meta:
		name = "_scalbf"
		size = 413
		refs = "007f ??_C@_07OIGNLDJH@_scalbf?$AA@ 0089 _handle_errorf"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 28 C8 B8 00 00 00 80 F3 0F 11 4C 24 60 44 8B 44 24 60 45 8B D0 44 23 D0 45 3B C2 0F 84 6F 01 00 00 BB 00 00 80 7F 41 8B C8 23 CB 3B CB 75 5C 41 BB FF FF 7F 00 45 85 C3 0F 84 47 01 00 00 C7 44 24 40 02 00 00 00 0F 57 C0 49 0F BA E8 16 45 33 C9 F3 48 0F 2A C2 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 44 89 4C 24 20 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 19 00 00 00 E8 ?? ?? ?? ?? E9 05 01 00 00 3B D0 75 08 45 8B C2 E9 EE 00 00 00 45 33 C9 85 D2 0F 84 E3 00 00 00 41 BB FF FF 7F 00 C1 E9 17 45 23 C3 41 8B C0 85 D2 79 2E F7 DA 3B D1 7E 1B 2B D1 83 FA 17 7D CD 85 C9 74 05 41 0F BA E8 17 8D 4A 01 41 D3 E8 E9 AC 00 00 00 C1 E1 17 C1 E2 17 2B CA E9 9C 00 00 00 85 C9 0F 85 82 00 00 00 45 03 C0 41 FF C1 41 F7 C0 00 00 80 FF 74 F1 41 3B D1 7C 64 41 8D 81 FE 00 00 00 3B D0 7D 1C C1 E2 17 41 8B C0 41 C1 E1 17 41 2B D1 41 23 C3 44 8D 82 00 00 80 00 44 0B C0 EB 5C C7 44 24 40 02 00 00 00 0F 57 C0 45 8B C2 4C 0B C3 41 B9 03 00 00 00 F3 48 0F 2A C2 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E9 12 FF FF FF 8B CA 44 8B C0 41 D3 E0 EB 15 8D 04 11 3D FF 00 00 00 7D AF C1 E1 17 C1 E2 17 03 CA 44 0B C1 45 0B C2 44 89 44 24 60 F3 0F 10 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_811_4_0 {
	meta:
		name = "_ismbclegal_l"
		size = 82
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 8B C3 C1 E8 08 0F B6 D0 F6 44 0A 19 04 74 11 0F B6 C3 F6 44 08 19 08 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_812_1_0 {
	meta:
		name = "_wmktemp_s"
		size = 336
		refs = "0035 wcsnlen 0046 __threadid 00c9 _errno 00dd _waccess_s 012f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 45 33 F6 48 8B F2 48 8B D9 48 85 C9 0F 84 F7 00 00 00 48 85 D2 0F 84 EE 00 00 00 E8 ?? ?? ?? ?? 48 8B E8 48 3B C6 0F 83 D9 00 00 00 E8 ?? ?? ?? ?? 48 8D 7B FE 48 8D 3C 6F 44 8B C8 48 83 FD 06 0F 82 BF 00 00 00 48 3B F5 0F 86 B6 00 00 00 45 8B C6 EB 3F 66 83 3F 58 0F 85 A7 00 00 00 49 83 F8 05 73 34 B8 CD CC CC CC 49 FF C0 41 F7 E1 C1 EA 03 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 44 2B C9 66 41 83 C1 30 66 44 89 0F 44 8B CA 48 83 EF 02 48 3B FB 73 BC 66 83 3F 58 75 67 49 83 F8 05 72 61 B8 61 00 00 00 66 89 07 8D 70 01 E8 ?? ?? ?? ?? 8B 28 E8 ?? ?? ?? ?? 33 D2 48 8B CB 44 89 30 E8 ?? ?? ?? ?? 85 C0 74 0A E8 ?? ?? ?? ?? 83 38 0D 75 0C 83 FE 7B 74 12 66 89 37 FF C6 EB D4 E8 ?? ?? ?? ?? 89 28 33 C0 EB 2F 66 44 89 33 E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 17 66 44 89 33 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_813_0_0 {
	meta:
		name = "casinhf"
		size = 640
		refs = "0024 crealf 0032 cimagf 0040 _fdtest 00c1 __real@bf490fdb 00ce __real@3f490fdb 00e6 _FZero_C 00ed __xmm@80000000800000008000000080000000 0115 __real@bfc90fdb 0122 __real@3fc90fdb 012f __real@3f800000 0141 _FCbuild 0149 csqrtf 017d __real@00000000 01b8 __real@5e7fe80a 020a asinhf 0220 logf 023e _FCmulcc 0253 atan2f"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 53 57 48 8B EC 48 83 EC 60 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 E8 ?? ?? ?? ?? 48 8B 4D 20 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 35 B9 FD FF 00 00 66 85 C1 74 1C 66 83 F8 01 75 0F F3 0F 10 75 28 F3 0F 10 45 30 E9 E2 01 00 00 F3 0F 10 75 30 EB 20 F3 0F 10 75 30 F3 0F 10 45 28 E9 CC 01 00 00 66 83 F8 02 75 13 66 83 FB 01 74 E5 F3 0F 10 75 28 0F 28 C6 E9 B3 01 00 00 66 83 FB 01 75 54 F3 0F 10 75 30 66 3B C3 75 23 0F 57 C0 0F 2F 45 28 76 0D F3 0F 10 05 ?? ?? ?? ?? E9 8D 01 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 80 01 00 00 B8 00 80 00 00 66 85 45 2A 74 14 F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? E9 61 01 00 00 0F 57 C0 E9 59 01 00 00 66 83 F8 01 75 27 F3 0F 10 75 28 0F 57 C0 0F 2F C6 76 0D F3 0F 10 05 ?? ?? ?? ?? E9 39 01 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 2C 01 00 00 F3 0F 10 35 ?? ?? ?? ?? F3 0F 10 4D 30 0F 28 C6 F3 0F 5C 45 28 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 F3 0F 10 4D 30 F3 0F 10 45 28 0F 57 0D ?? ?? ?? ?? F3 0F 58 C6 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 F3 0F 10 75 30 0F 2E 35 ?? ?? ?? ?? 7A 06 0F 84 AE 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8B CF 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8B CF 0F 28 F0 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 44 0F 2F C9 76 0B 41 0F 28 F9 F3 41 0F 5E F1 EB 30 44 0F 2F C1 41 0F 28 F8 76 0C F3 41 0F 5E C0 F3 41 0F 59 C1 EB 1F 0F 57 3D ?? ?? ?? ?? 0F 2F F9 76 06 F3 0F 5E C7 EB E7 0F 57 FF F3 41 0F 59 C1 F3 41 0F 59 F0 F3 0F 5C F0 0F 28 C6 E8 ?? ?? ?? ?? 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1B 0F 28 C7 E8 ?? ?? ?? ?? 0F 2F 35 ?? ?? ?? ?? 72 06 F3 0F 58 F0 EB 04 F3 0F 5C F0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 44 24 30 44 0F 28 4C 24 20 48 83 C4 60 5F 5B 5D C3 }
	condition:
		$1
}

rule file_814_0_0 {
	meta:
		name = "_beginthread"
		size = 242
		refs = "002a _errno 0035 _invalid_parameter_noinfo 0049 _calloc_crt 0056 _getptd 0065 _initptd 006c _threadstart 0095 __imp_CreateThread 00a7 __imp_GetLastError 00b1 free 00bc _dosmaperr 00e4 __imp_ResumeThread"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 33 DB 49 8B E8 44 8B F2 48 8B F1 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 82 00 00 00 BA 78 04 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 58 E8 ?? ?? ?? ?? 48 8B CF 48 8B 90 C0 00 00 00 E8 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 49 8B D6 4C 8B CF 33 C9 48 89 7C 24 28 48 89 B7 90 00 00 00 48 89 AF 98 00 00 00 C7 44 24 20 04 00 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 89 47 08 48 85 C0 75 3A FF 15 ?? ?? ?? ?? 8B D8 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 07 8B CB E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 48 8B C8 FF 15 ?? ?? ?? ?? 83 F8 FF 74 B8 48 8B C3 EB D2 }
	condition:
		$1
}

rule file_814_1_0 {
	meta:
		name = "_callthreadstart"
		size = 42
		refs = "0005 _getptd 0018 _endthread 0020 _exit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 90 48 8B 88 98 00 00 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 90 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_814_3_0 {
	meta:
		name = "_endthread"
		size = 52
		refs = "0007 _getptd_noexit 001f __imp_CloseHandle 0027 _freeptd 002f __imp_ExitThread"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 18 48 8B 48 08 48 83 F9 FF 74 06 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_814_4_0 {
	meta:
		name = "_threadstart"
		size = 113
		refs = "000a __get_flsindex 0011 __crtFlsGetValue 0028 __crtFlsSetValue 0032 __imp_GetLastError 003a __imp_ExitThread 0067 _freefls 006c _callthreadstart"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 22 E8 ?? ?? ?? ?? 48 8B D3 8B C8 E8 ?? ?? ?? ?? 85 C0 75 3B FF 15 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? CC 48 8B 83 90 00 00 00 48 89 81 90 00 00 00 48 8B 83 98 00 00 00 48 89 81 98 00 00 00 48 8B 43 08 48 89 41 08 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_815_0_0 {
	meta:
		name = "__fpecode"
		size = 20
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 05 B0 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_815_2_0 {
	meta:
		name = "__pxcptinfoptrs"
		size = 20
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 05 A8 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_815_3_0 {
	meta:
		name = "_initp_misc_winsig"
		size = 29
		refs = "0003 ctrlc_action 000a ctrlbreak_action 0011 abort_action 0018 term_action"
	strings:
		$1 = { 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_815_4_0 {
	meta:
		name = "ctrlevent_capture"
		size = 146
		refs = "0014 _lock 0020 ctrlc_action 002d __imp_DecodePointer 0039 ctrlbreak_action 005c __imp_EncodePointer 0066 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B D9 33 C9 E8 ?? ?? ?? ?? 90 85 DB 75 19 48 8D 3D ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8D 73 02 EB 19 48 8D 3D ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? BE 15 00 00 00 48 8B D8 48 83 F8 02 72 0B 33 C9 FF 15 ?? ?? ?? ?? 48 89 07 33 C9 E8 ?? ?? ?? ?? 48 85 DB 75 04 33 C0 EB 0F 48 83 FB 01 74 04 8B CE FF D3 B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_815_5_0 {
	meta:
		name = "ctrlevent_capture$fin$0"
		size = 22
		refs = "0011 _unlock"
		altNames = "signal$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 33 C9 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_815_6_0 {
	meta:
		name = "raise"
		size = 563
		refs = "0057 _errno 0062 _invalid_parameter_noinfo 006b ctrlbreak_action 007e term_action 008e abort_action 009c _getptd_noexit 00bd _XcptActTabCount 00fb ctrlc_action 0111 __imp_DecodePointer 012f _exit 013b _lock 0185 _First_FPE_Indx 0191 _Num_FPE 01c0 __imp_EncodePointer 01ce _unlock"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 8B D9 45 33 ED 44 21 6C 24 68 33 FF 89 7C 24 60 33 F6 8B D1 83 EA 02 0F 84 C4 00 00 00 83 EA 02 74 62 83 EA 02 74 4D 83 EA 02 74 58 83 EA 03 74 53 83 EA 04 74 2E 83 EA 06 74 16 FF CA 74 35 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 40 4C 8D 35 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E9 8B 00 00 00 4C 8D 35 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? EB 7B 4C 8D 35 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? EB 6B E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 83 C8 FF E9 6B 01 00 00 48 8B 90 A0 00 00 00 48 8B CA 4C 63 05 ?? ?? ?? ?? 39 59 04 74 13 48 83 C1 10 49 8B C0 48 C1 E0 04 48 03 C2 48 3B C8 72 E8 49 8B C0 48 C1 E0 04 48 03 C2 48 3B C8 73 05 39 59 04 74 02 33 C9 4C 8D 71 08 4D 8B 3E EB 20 4C 8D 35 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? BF 01 00 00 00 89 7C 24 60 FF 15 ?? ?? ?? ?? 4C 8B F8 49 83 FF 01 75 07 33 C0 E9 F6 00 00 00 4D 85 FF 75 0A 41 8D 4F 03 E8 ?? ?? ?? ?? CC 85 FF 74 08 33 C9 E8 ?? ?? ?? ?? 90 41 BC 10 09 00 00 83 FB 0B 77 33 41 0F A3 DC 73 2D 4C 8B AE A8 00 00 00 4C 89 6C 24 28 48 83 A6 A8 00 00 00 00 83 FB 08 75 52 8B 86 B0 00 00 00 89 44 24 68 C7 86 B0 00 00 00 8C 00 00 00 83 FB 08 75 39 8B 0D ?? ?? ?? ?? 8B D1 89 4C 24 20 8B 05 ?? ?? ?? ?? 03 C8 3B D1 7D 2C 48 63 CA 48 03 C9 48 8B 86 A0 00 00 00 48 83 64 C8 08 00 FF C2 89 54 24 20 8B 0D ?? ?? ?? ?? EB D3 33 C9 FF 15 ?? ?? ?? ?? 49 89 06 85 FF 74 07 33 C9 E8 ?? ?? ?? ?? 83 FB 08 75 0D 8B 96 B0 00 00 00 8B CB 41 FF D7 EB 05 8B CB 41 FF D7 83 FB 0B 0F 87 2C FF FF FF 41 0F A3 DC 0F 83 22 FF FF FF 4C 89 AE A8 00 00 00 83 FB 08 0F 85 12 FF FF FF 8B 44 24 68 89 86 B0 00 00 00 E9 03 FF FF FF 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_815_7_0 {
	meta:
		name = "raise$fin$0"
		size = 30
		refs = "0012 _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 60 00 74 08 33 C9 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_815_8_0 {
	meta:
		name = "siglookup"
		size = 59
		refs = "0006 _XcptActTabCount"
	strings:
		$1 = { 44 8B C9 48 63 0D ?? ?? ?? ?? 48 8B C2 44 39 48 04 74 13 4C 8B C1 48 83 C0 10 49 C1 E0 04 4C 03 C2 49 3B C0 72 E7 48 C1 E1 04 48 03 CA 48 3B C1 73 06 44 39 48 04 74 02 33 C0 C3 }
	condition:
		$1
}

rule file_815_9_0 {
	meta:
		name = "signal"
		size = 651
		refs = "0047 _lock 0058 ConsoleCtrlHandler_Installed 0067 ctrlevent_capture 006d __imp_SetConsoleCtrlHandler 007f __doserrno 0088 __imp_GetLastError 00b9 ctrlbreak_action 00bf __imp_DecodePointer 00d5 __imp_EncodePointer 00e5 term_action 010d abort_action 0135 ctrlc_action 015b _unlock 0184 _getptd_noexit 0197 _XcptActTab 01a7 _XcptActTabSize 01ac _malloc_crt 01ce memcpy 01df _XcptActTabCount 0262 _errno 026d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B F2 8B F9 45 33 F6 33 DB 48 8D 42 FD 48 83 F8 01 0F 86 25 02 00 00 83 F9 16 0F 87 36 01 00 00 B8 44 80 60 00 0F A3 C8 0F 83 28 01 00 00 33 C9 E8 ?? ?? ?? ?? 90 83 FF 02 74 05 83 FF 15 75 3D 83 3D ?? ?? ?? ?? 00 75 34 BA 01 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 01 75 08 89 05 ?? ?? ?? ?? EB 15 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 89 03 BB 01 00 00 00 8B CF 83 E9 02 0F 84 94 00 00 00 83 E9 04 74 67 83 E9 09 74 3A 83 E9 06 74 09 FF C9 74 59 E9 A2 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B F0 48 83 FE 02 0F 84 88 00 00 00 48 8B CE FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 76 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B F0 48 83 FE 02 74 60 48 8B CE FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 4E 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B F0 48 83 FE 02 74 38 48 8B CE FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 26 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B F0 48 83 FE 02 74 10 48 8B CE FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 85 DB 0F 85 EB 00 00 00 E9 E1 00 00 00 83 F9 0B 0F 87 DD 00 00 00 B8 10 09 00 00 0F A3 C8 0F 83 CF 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 BE 00 00 00 4C 8D 35 ?? ?? ?? ?? 4C 39 B0 A0 00 00 00 75 2E 48 63 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 83 A0 00 00 00 48 85 C0 0F 84 92 00 00 00 4C 63 05 ?? ?? ?? ?? 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B 93 A0 00 00 00 48 8B CA 4C 63 05 ?? ?? ?? ?? 39 79 04 74 13 48 83 C1 10 49 8B C0 48 C1 E0 04 48 03 C2 48 3B C8 72 E8 49 8B C0 48 C1 E0 04 48 03 C2 48 3B C8 73 05 39 79 04 74 02 33 C9 48 85 C9 74 3C 4C 8B 71 08 48 83 FE 02 74 2D 48 8D 51 04 EB 23 48 89 72 04 48 8D 52 10 48 63 0D ?? ?? ?? ?? 48 C1 E1 04 48 03 8B A0 00 00 00 48 8D 42 FC 48 3B C1 73 04 39 3A 74 D9 49 8B C6 EB 23 83 FF 11 77 0A B8 0A 20 03 00 0F A3 F8 72 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_816_0_0 {
	meta:
		name = "_wincmdln"
		size = 121
		refs = "000e __mbctype_initialized 0015 __initmbctable 001c _acmdln 0023 ??_C@_00CNPNBAHC@?$AA@ 004e _ismbblead"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 39 3D ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 85 DB 48 0F 44 D8 80 3B 20 77 09 80 3B 00 74 33 85 FF 74 29 80 3B 22 75 09 33 C0 85 FF 0F 94 C0 8B F8 0F B6 0B E8 ?? ?? ?? ?? 85 C0 74 03 48 FF C3 48 FF C3 EB D0 3C 20 77 09 48 FF C3 8A 03 84 C0 75 F3 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_817_0_0 {
	meta:
		name = "_mbsninc"
		size = 35
		refs = "0014 _mbsnbcnt_l"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 8B D9 48 85 C9 74 0D 45 33 C0 E8 ?? ?? ?? ?? 8B C0 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_817_1_0 {
	meta:
		name = "_mbsninc_l"
		size = 34
		refs = "0013 _mbsnbcnt_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 04 33 C0 EB 0A E8 ?? ?? ?? ?? 8B C0 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_819_1_0 {
	meta:
		name = "csinh"
		size = 339
		refs = "0027 creal 003d cimag 004b _dtest 0065 _Nan_C 0089 _fperrraise 00d7 sin 00e7 _Inf_C 00ec cos 010a _Cosh 0124 _Sinh 0133 _Cbuild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 8B EC 48 83 EC 40 0F 10 02 48 8B F9 48 8D 4D E0 0F 29 74 24 30 48 8B DA F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D E0 F2 0F 11 45 28 0F 10 03 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 4D 28 F2 0F 11 45 20 E8 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1B F2 0F 10 0D ?? ?? ?? ?? 48 8D 4D E0 66 85 C0 75 2C F2 0F 10 55 20 E9 B6 00 00 00 BE 01 00 00 00 66 3B C6 75 2F 8B CE E8 ?? ?? ?? ?? 48 8D 4D E0 66 3B DE 76 10 F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 E9 8C 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 4D 28 EB 7D 66 83 F8 02 74 D2 66 3B DE 75 37 66 85 C0 75 0C F2 0F 10 55 20 F2 0F 10 4D 28 EB 5D F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 F2 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 45 28 EB 31 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 45 20 E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 D6 0F 28 C8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 30 0F 10 00 48 8B C7 F3 0F 7F 07 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_820_0_0 {
	meta:
		name = "__avx_floor4"
		size = 16
	strings:
		$1 = { C4 E3 7D 09 C0 01 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_822_3_0 {
	meta:
		name = "_stricoll"
		size = 21
		refs = "0002 __locale_changed 0009 _stricmp 0011 _stricoll_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_822_4_0 {
	meta:
		name = "_stricoll_l"
		size = 184
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0051 _stricmp 007d __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 60 48 8B F9 48 8B DA 48 8D 4C 24 40 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 57 48 8B 44 24 40 48 8B 90 30 01 00 00 48 85 D2 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 43 8B 40 08 48 8D 4C 24 40 4C 8B CF 89 44 24 38 83 C8 FF 41 B8 01 10 00 00 89 44 24 30 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_823_0_0 {
	meta:
		name = "__wrt2err"
		size = 48
		refs = "0015 __pioinfo 0027 __imp_WriteFile"
	strings:
		$1 = { 48 83 EC 38 44 0F BE 01 48 83 64 24 20 00 48 8D 51 01 48 8B 0D ?? ?? ?? ?? 4C 8D 4C 24 40 48 8B 89 B0 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_825_0_0 {
	meta:
		name = "_splitpath_s"
		size = 671
		refs = "00e4 strncpy_s 010a _ismbblead 0264 _errno 0270 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B B4 24 98 00 00 00 4C 8B BC 24 88 00 00 00 48 8B F9 4C 8B E2 33 D2 4D 8B E9 8B CA 89 54 24 60 4D 8B D0 48 85 FF 74 0A 4D 85 E4 75 0F 4D 85 C0 74 0F B9 01 00 00 00 E9 C3 01 00 00 4D 85 C0 74 F1 4D 85 C9 75 0C 48 39 94 24 80 00 00 00 75 E2 EB 0A 48 39 94 24 80 00 00 00 74 D6 4D 85 FF 75 0C 48 39 94 24 90 00 00 00 75 C7 EB 0A 48 39 94 24 90 00 00 00 74 BB 4D 85 F6 75 0C 48 39 94 24 A0 00 00 00 75 AC EB 0A 48 39 94 24 A0 00 00 00 74 A0 B8 01 00 00 00 48 8B DF 38 13 74 08 48 FF C3 48 FF C8 75 F4 80 3B 3A 75 2B 4D 85 E4 74 20 49 83 F8 03 0F 82 45 01 00 00 41 B9 02 00 00 00 4C 8B C7 49 8B D2 49 8B CC E8 ?? ?? ?? ?? 33 D2 48 8D 7B 01 EB 09 4D 85 E4 74 04 41 88 14 24 48 8B EA 48 8B F2 48 8B DF 38 17 74 69 0F BE 0B E8 ?? ?? ?? ?? 33 D2 85 C0 74 05 48 FF C3 EB 17 8A 03 3C 2F 74 0D 3C 5C 74 09 3C 2E 75 09 48 8B F3 EB 04 48 8D 6B 01 48 FF C3 38 13 75 CF 48 85 ED 74 33 4D 85 ED 74 29 4C 8B CD 4C 2B CF 4C 39 8C 24 80 00 00 00 0F 86 BD 00 00 00 48 8B 94 24 80 00 00 00 4C 8B C7 49 8B CD E8 ?? ?? ?? ?? 33 D2 48 8B FD EB 09 4D 85 ED 74 04 41 88 55 00 48 85 F6 74 59 48 3B F7 72 54 4D 85 FF 74 25 4C 8B CE 4C 2B CF 4C 39 8C 24 90 00 00 00 76 75 48 8B 94 24 90 00 00 00 4C 8B C7 49 8B CF E8 ?? ?? ?? ?? 33 D2 4D 85 F6 74 57 48 2B DE 48 39 9C 24 A0 00 00 00 76 4E 48 8B 94 24 A0 00 00 00 4C 8B CB 4C 8B C6 49 8B CE E8 ?? ?? ?? ?? EB 32 4D 85 FF 74 25 48 2B DF 48 39 9C 24 90 00 00 00 76 24 48 8B 94 24 90 00 00 00 4C 8B CB 4C 8B C7 49 8B CF E8 ?? ?? ?? ?? 33 D2 4D 85 F6 74 03 41 88 16 33 C0 EB 7E 8B 4C 24 60 EB 02 8B CA 4C 8B 54 24 70 4D 85 E4 74 09 4D 85 D2 74 04 41 88 14 24 4D 85 ED 74 0E 48 39 94 24 80 00 00 00 76 04 41 88 55 00 4D 85 FF 74 0D 48 39 94 24 90 00 00 00 76 03 41 88 17 4D 85 F6 74 0D 48 39 94 24 A0 00 00 00 76 03 41 88 16 48 85 FF 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 12 85 C9 75 E7 E8 ?? ?? ?? ?? B9 22 00 00 00 89 08 8B C1 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_826_0_0 {
	meta:
		name = "_get_sys_err_msg"
		size = 49
		refs = "000d __sys_nerr 001d __sys_errlist"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 85 C9 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 8B C8 48 63 C3 48 8B 04 C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_826_2_0 {
	meta:
		name = "_wperror"
		size = 376
		refs = "0040 wcstombs_s 0060 _calloc_crt 009a free 00b3 _invoke_watson 00d8 __lock_fhandle 00e6 strlen 00f3 _write_nolock 00fd ??_C@_02LMMGGCAJ@?3?5?$AA@ 0111 _errno 011c __sys_nerr 012c __sys_errlist 0155 ??_C@_01EEMJAFIK@?6?$AA@ 0164 _unlock_fhandle"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 30 48 8B F9 33 F6 48 89 70 08 48 85 C9 0F 84 AB 00 00 00 66 39 31 0F 84 A2 00 00 00 48 C7 40 E8 FF FF FF 7F 4C 8B C9 45 33 C0 33 D2 48 8D 48 08 E8 ?? ?? ?? ?? 83 F8 16 74 6F 83 F8 22 74 6A 48 8B 4C 24 40 48 85 C9 0F 84 0C 01 00 00 8D 56 01 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 F8 00 00 00 48 83 4C 24 20 FF 4C 8B CF 4C 8B 44 24 40 48 8B D0 33 C9 E8 ?? ?? ?? ?? 83 F8 16 74 16 83 F8 22 74 11 85 C0 74 3A 48 8B CB E8 ?? ?? ?? ?? E9 C5 00 00 00 48 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B DE BF 02 00 00 00 8B CF E8 ?? ?? ?? ?? 90 48 85 DB 74 26 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 8B CF E8 ?? ?? ?? ?? 44 8B C7 48 8D 15 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 18 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 48 8B 1C C8 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 8B CF E8 ?? ?? ?? ?? 41 B8 01 00 00 00 48 8D 15 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 90 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_829_2_0 {
	meta:
		name = "_wstat32i64"
		size = 1151
		refs = "0022 __security_cookie 003f __doserrno 0047 _errno 0052 _invalid_parameter_noinfo 0063 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 0068 wcspbrk 00a0 towlower 00af _getdrive 00cf __imp_FindFirstFileExW 00e3 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 011c _wfullpath 0164 wcslen 0172 IsRootUNCName 017f __imp_GetDriveTypeW 0197 free 01cb __loctotime32_t 0230 _wsopen_s 024d _fstat32i64 0258 _close 0281 __imp_FileTimeToSystemTime 029b __imp_SystemTimeToTzSpecificLocalTime 03db __imp_FindClose 03e7 __wdtoxmode 0421 __imp_GetLastError 0428 _dosmaperr 0460 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 45 33 E4 48 8B DA 48 8B F9 48 85 C9 75 1D E8 ?? ?? ?? ?? 44 89 20 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 F7 03 00 00 48 85 D2 74 DE 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 18 E8 ?? ?? ?? ?? BB 02 00 00 00 89 18 E8 ?? ?? ?? ?? 89 18 E9 C9 03 00 00 66 83 7F 02 3A 75 1E 0F B7 0F 66 85 C9 74 07 66 44 39 67 04 74 D2 E8 ?? ?? ?? ?? 44 0F B7 E8 41 83 ED 60 EB 08 E8 ?? ?? ?? ?? 44 8B E8 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CF 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 8B F0 48 83 F8 FF 0F 85 13 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF 49 8B F4 E8 ?? ?? ?? ?? 48 85 C0 0F 84 76 FF FF FF E8 ?? ?? ?? ?? 44 8B 38 E8 ?? ?? ?? ?? 48 8D 8D B0 01 00 00 41 B8 04 01 00 00 48 8B D7 44 89 20 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 38 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 31 FF FF FF E8 ?? ?? ?? ?? 45 33 C0 48 8B D7 33 C9 44 89 38 E8 ?? ?? ?? ?? 48 8B F0 4C 8B F0 4D 85 F6 74 7D 49 8B CE E8 ?? ?? ?? ?? 48 83 F8 03 74 0C 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 63 49 8B CE FF 15 ?? ?? ?? ?? 41 BE 01 00 00 00 41 3B C6 76 4F 48 85 F6 74 08 48 8B CE E8 ?? ?? ?? ?? 83 4C 24 30 FF 45 33 C9 45 8B C6 41 8B D6 B9 BC 07 00 00 44 89 64 24 28 C7 44 24 60 10 00 00 00 4C 89 64 24 7C 66 44 89 65 8C 44 89 64 24 20 E8 ?? ?? ?? ?? 89 43 24 89 43 20 89 43 28 E9 02 02 00 00 48 85 F6 0F 84 8B FE FF FF 48 8B CE E8 ?? ?? ?? ?? E9 7E FE FF FF F7 44 24 60 00 04 00 00 74 64 81 7D 84 0C 00 00 A0 75 5B 83 4C 24 40 FF F6 44 24 60 10 45 8B C4 B8 00 20 00 00 48 8D 4C 24 40 41 B9 40 00 00 00 48 8B D7 44 0F 45 C0 44 89 64 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 35 FE FF FF 8B 4C 24 40 83 F9 FF 0F 84 28 FE FF FF 48 8B D3 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? E9 CE 01 00 00 44 39 64 24 74 75 0D 44 39 64 24 78 75 06 44 89 63 24 EB 69 48 8D 54 24 48 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 AF 01 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 95 01 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 43 24 44 39 64 24 6C 75 0C 44 39 64 24 70 75 05 8B 43 24 EB 66 48 8D 54 24 48 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 16 01 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 FC 00 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 43 20 44 39 64 24 64 75 0C 44 39 64 24 68 75 05 8B 43 24 EB 66 48 8D 54 24 48 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 4C 8D 44 24 48 48 8D 54 24 48 33 C9 FF 15 ?? ?? ?? ?? 85 C0 0F 84 80 00 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B CE 89 43 28 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 7C C7 43 08 01 00 00 00 66 89 43 06 8B 45 80 48 C1 E1 20 48 03 C8 41 8D 45 FF 66 44 89 63 04 89 03 89 43 10 33 C0 48 89 4B 18 66 44 89 63 0C EB 36 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CB FF 48 8B CE FF 15 ?? ?? ?? ?? 8B C3 EB 19 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 83 C8 FF 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_832_11_0 {
	meta:
		name = "??0InternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
		size = 142
		refs = "000d ??_7IExecutionContext@Concurrency@@6B@ 001f ??0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z 002b ??_7InternalContextBase@details@Concurrency@@6BIExecutionContext@2@@ 0035 ??_7InternalContextBase@details@Concurrency@@6BContextBase@12@@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 45 33 C0 48 89 01 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 47 10 33 C0 80 A7 27 01 00 00 FC 48 89 87 00 01 00 00 48 89 87 08 01 00 00 48 89 87 18 01 00 00 48 89 87 10 01 00 00 89 87 20 01 00 00 88 87 26 01 00 00 88 87 24 01 00 00 89 87 60 01 00 00 48 89 47 40 C6 87 70 01 00 00 01 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_832_33_0 {
	meta:
		name = "??1InternalContextBase@details@Concurrency@@UEAA@XZ"
		size = 62
		refs = "0016 ??_7InternalContextBase@details@Concurrency@@6BIExecutionContext@2@@ 0024 ??_7InternalContextBase@details@Concurrency@@6BContextBase@12@@ 002c ?Cleanup@InternalContextBase@details@Concurrency@@IEAAXXZ 003a ??1ContextBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 59 10 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_46_0 {
	meta:
		name = "??4Slot@?$Mailbox@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAAEAV0123@AEBV0123@@Z"
		size = 16
		altNames = "??0Slot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@AEBV0123@@Z ??4Slot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAAAEAV0123@AEBV0123@@Z"
	strings:
		$1 = { 48 8B 02 48 89 01 8B 42 08 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_832_66_0 {
	meta:
		name = "?AddToRunnables@InternalContextBase@details@Concurrency@@MEAAXVlocation@3@@Z"
		size = 668
		refs = "002a ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00a9 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 00bb ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 012e ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 0183 ?GrowAndPush@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@AEAAXPEAVInternalContextBase@23@VSlot@?$Mailbox@VInternalContextBase@details@Concurrency@@@23@@Z 0207 ?StartupVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@Vlocation@3@K@Z 022d ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0277 ?AddRunnableContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@Vlocation@3@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 68 20 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 4C 8B F2 48 8B F9 E8 ?? ?? ?? ?? 4C 8B 47 48 BB FF FF FF 0F 48 8B F0 45 8B 88 A8 02 00 00 45 85 C9 7E 49 8B 4D EF 41 8B 16 41 8B 06 33 D1 4C 8D 45 EF 23 D3 33 CA 48 8B D7 33 C1 48 8B 4F 48 23 C3 41 33 06 89 45 EF 49 8B 46 08 48 89 45 F7 41 8B 46 04 89 45 F3 49 8B 46 10 48 89 45 FF 48 8B 01 FF 50 78 84 C0 0F 85 EC 01 00 00 48 85 F6 0F 84 A3 01 00 00 80 BE 88 00 00 00 00 0F 85 96 01 00 00 48 8B CE E8 ?? ?? ?? ?? 48 39 47 48 0F 85 84 01 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B 47 40 48 8B 88 A8 01 00 00 F6 41 50 02 0F 85 5F 01 00 00 48 8B 86 F8 00 00 00 8B 88 D4 00 00 00 48 8B 47 40 48 8B 50 38 44 8B C1 83 E1 1F 49 C1 E8 05 42 8B 04 82 0F A3 C8 0F 83 33 01 00 00 48 8B 86 F8 00 00 00 8B 50 1C 8B 40 18 2B D0 48 8B 47 48 0F B7 48 18 3B D1 0F 8D 14 01 00 00 4C 8B 6F 40 48 8B CE 49 8B 9D A8 01 00 00 E8 ?? ?? ?? ?? 48 3B C3 74 0A C7 87 60 01 00 00 01 00 00 00 4C 8B 8E F8 00 00 00 49 63 51 1C 49 63 49 20 41 8B 41 18 03 C1 3B D0 7D 14 49 8B 41 28 48 23 CA 48 89 3C C8 8D 42 01 41 89 41 1C EB 19 48 83 65 37 00 83 65 3F 00 4C 8D 45 37 49 8D 49 18 48 8B D7 E8 ?? ?? ?? ?? 48 8B 47 48 8B 88 A4 02 00 00 85 C9 7E 76 8B 4D 1F 45 8B 46 04 4D 8B 4E 08 49 8B 56 10 41 8B 06 45 8B 16 33 C1 41 BB FF FF FF 0F 44 89 45 23 41 23 C3 44 89 45 DB 4C 89 4D 27 33 C8 48 89 55 2F 4C 89 4D DF 44 33 D1 8B 4D D7 48 89 55 E7 8B C1 45 23 D3 4C 8D 45 D7 45 33 16 41 B9 0B 00 00 00 49 8B D5 41 33 C2 44 89 55 1F 41 23 C3 33 C8 41 33 CA 41 23 CB 41 33 CA 89 4D D7 48 8B 4F 48 E8 ?? ?? ?? ?? 49 8B 9D A8 01 00 00 48 8B CE E8 ?? ?? ?? ?? 48 3B C3 74 0A C7 87 60 01 00 00 00 00 00 00 48 8B CE E8 ?? ?? ?? ?? EB 48 48 8B CE E8 ?? ?? ?? ?? 8B 4D 07 41 8B 06 4C 8D 45 07 33 C1 48 8B D7 23 C3 33 C8 41 8B 06 33 C1 48 8B 4F 40 23 C3 41 33 06 89 45 07 49 8B 46 08 48 89 45 0F 41 8B 46 04 89 45 0B 49 8B 46 10 48 89 45 17 E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 4D 8B 6B 38 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_832_67_0 {
	meta:
		name = "?Alloc@InternalContextBase@details@Concurrency@@UEAAPEAX_K@Z"
		size = 109
		refs = "0033 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0040 ?GetCurrentSubAllocator@VirtualProcessor@details@Concurrency@@QEAAPEAVSubAllocator@23@XZ 004b ?Alloc@SubAllocator@details@Concurrency@@QEAAPEAX_K@Z 0056 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 30 49 C7 43 E8 FE FF FF FF 49 89 5B 10 49 89 73 18 48 8B FA 48 8B D9 48 8D 41 F0 48 F7 D8 48 1B F6 48 23 F1 49 89 73 08 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 8B F8 00 00 00 E8 ?? ?? ?? ?? 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_832_69_0 {
	meta:
		name = "?Block@InternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 441
		refs = "0017 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 002a ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0052 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 008c ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 00b9 ?FindWorkForBlockingOrNesting@InternalContextBase@details@Concurrency@@AEAAPEAV123@AEA_N0@Z 00fb ?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z 011e ?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@_N@Z 0135 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0141 ?_PrepareSteal@_UnrealizedChore@details@Concurrency@@QEAAXPEAVContextBase@23@@Z 0152 ?GetScheduleGroupSegment@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupSegmentBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 56 48 8B EC 48 83 EC 40 48 8B F9 E8 ?? ?? ?? ?? 48 8B 4F 38 48 8B 01 8B 5F 20 FF 50 08 8A 15 ?? ?? ?? ?? 41 BC 02 00 00 00 80 FA 04 72 1D 8B 0D ?? ?? ?? ?? 41 84 CC 74 12 41 8D 4C 24 01 44 8B CB 44 8B C0 B2 04 E8 ?? ?? ?? ?? 48 8B 87 F8 00 00 00 BB 01 00 00 00 80 B8 01 01 00 00 00 8B C3 74 28 F0 0F C1 47 54 03 C3 3B C3 75 0C 8B C3 F0 44 0F B1 67 54 8B D3 74 03 41 8B D4 48 8D 4F F0 E8 ?? ?? ?? ?? E9 09 01 00 00 F0 0F C1 47 54 03 C3 3B C3 0F 85 FA 00 00 00 4C 8D 45 38 48 8D 55 30 48 8D 4F F0 C6 45 30 00 C6 45 38 00 E8 ?? ?? ?? ?? 48 8B F0 8B C3 F0 44 0F B1 67 54 75 3A 80 7D 30 00 74 20 48 8B 57 30 C6 86 70 01 00 00 00 48 89 56 40 48 8B 82 A8 01 00 00 F6 40 50 04 75 04 F0 01 58 28 48 8D 4F F0 44 8B C3 48 8B D6 E8 ?? ?? ?? ?? E9 9A 00 00 00 48 85 F6 0F 84 91 00 00 00 80 7D 30 00 74 11 48 8B 4F 38 44 8A C3 48 8B D6 E8 ?? ?? ?? ?? EB 7A 80 7D 38 00 74 23 48 8B 9E 18 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 56 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4E 10 E8 ?? ?? ?? ?? 8B 55 E0 8B CA 4C 8B C0 33 48 18 B8 FF FF FF 0F 23 C8 33 D1 48 8B CE 89 55 E0 41 33 50 18 23 D0 41 33 50 18 89 55 E0 49 8B 40 20 48 8D 55 E0 48 89 45 E8 41 8B 40 1C 89 45 E4 49 8B 40 28 48 89 45 F0 48 8B 06 FF 50 28 48 8B CF 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5E 41 5C 5F 5E 5D E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_70_0 {
	meta:
		name = "?Cancel@InternalContextBase@details@Concurrency@@MEAAXXZ"
		size = 148
		refs = "003b ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NAEAVClaimTicket@123@K_N@Z 0053 ?ExerciseClaim@VirtualProcessor@details@Concurrency@@AEAA_NW4AvailabilityType@123@PEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z 005e ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0074 ?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ 007c ?Cleanup@InternalContextBase@details@Concurrency@@IEAAXXZ 0085 ?DecrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 81 08 01 00 00 48 8B F9 48 85 C0 74 40 83 64 24 20 00 C6 81 24 01 00 00 01 48 8B 89 08 01 00 00 48 8D 54 24 20 41 B1 01 41 B8 0F 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 46 8B 54 24 20 48 8B 4C 24 28 45 33 C9 45 33 C0 E8 ?? ?? ?? ?? EB 30 48 8D 59 10 E8 ?? ?? ?? ?? 48 3B C3 75 09 C6 87 24 01 00 00 01 EB 19 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 4F 48 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_832_71_0 {
	meta:
		name = "?Cleanup@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 36
		refs = "000e ?Cleanup@ContextBase@details@Concurrency@@QEAAXXZ 0020 ?SwapScheduleGroupSegment@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C0 33 D2 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_72_0 {
	meta:
		name = "?CleanupDispatchedContextOnCancel@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 40
		refs = "000e ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0016 ?Cleanup@InternalContextBase@details@Concurrency@@IEAAXXZ 0024 ?DecrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 48 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_78_0 {
	meta:
		name = "?Dispatch@InternalContextBase@details@Concurrency@@UEAAXPEAUDispatchState@3@@Z"
		size = 462
		refs = "002a __imp_GetCurrentThreadId 003c ?SetAsCurrentTls@ContextBase@details@Concurrency@@IEAAXXZ 005f ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 0068 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 007e ??1SchedulerPolicy@Concurrency@@QEAA@XZ 0090 ?RoInitialize@WinRT@details@Concurrency@@SAJW4RO_INIT_TYPE@@@Z 0098 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 00aa ?ExecutedAssociatedChore@InternalContextBase@details@Concurrency@@IEAA_NXZ 00b6 ?IsVirtualProcessorRetired@InternalContextBase@details@Concurrency@@IEAA_NXZ 00f6 ?SafePoint@VirtualProcessor@details@Concurrency@@QEAA_NXZ 0102 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 010b ?CommitSafePoints@SchedulerBase@details@Concurrency@@QEAAXXZ 011f ?WorkWasFound@InternalContextBase@details@Concurrency@@IEAA_NPEAVWorkItem@23@@Z 0138 ?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z 0143 ?ExecuteChoreInline@InternalContextBase@details@Concurrency@@IEAAXPEAVWorkItem@23@@Z 0161 ?WaitForWork@InternalContextBase@details@Concurrency@@IEAAXXZ 0173 ?CleanupDispatchedContextOnCancel@InternalContextBase@details@Concurrency@@IEAAXXZ 0189 ?RoUninitialize@WinRT@details@Concurrency@@SAXXZ 0191 ?ClearContextTls@ContextBase@details@Concurrency@@AEAAXXZ 01a4 ??0nested_scheduler_missing_detach@Concurrency@@QEAA@XZ 01ab _TI2?AVnested_scheduler_missing_detach@Concurrency@@ 01b4 _CxxThrowException"
	strings:
		$1 = { 48 8B C4 55 57 41 56 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 58 10 48 89 70 20 48 8B D9 83 65 20 00 45 32 F6 FF 15 ?? ?? ?? ?? 89 83 90 00 00 00 48 8D 73 10 48 8B CE E8 ?? ?? ?? ?? 48 8B 4B 48 48 8B 01 48 8D 55 30 FF 50 18 90 C7 45 20 01 00 00 00 BA 09 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0F E8 ?? ?? ?? ?? 83 F8 06 75 05 40 B7 01 EB 03 40 32 FF 48 8D 4D 30 E8 ?? ?? ?? ?? 40 84 FF 74 0D 41 B6 01 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 83 A3 20 01 00 00 00 40 32 FF 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 13 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 84 C0 0F 85 BE 00 00 00 83 65 C8 00 48 83 65 D8 00 80 A3 27 01 00 00 FD 48 8B 8B 08 01 00 00 48 85 C9 0F 84 B2 00 00 00 80 BB 26 01 00 00 00 75 29 48 8B 8B 08 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 48 8B CE E8 ?? ?? ?? ?? 48 8B 4B 48 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8D 55 C8 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 84 C0 74 2A 83 7D C8 01 75 0E 45 33 C0 48 8B 55 D8 E8 ?? ?? ?? ?? EB 39 48 8D 55 C8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 EB 26 E8 ?? ?? ?? ?? 84 C0 75 1A 48 8B CB E8 ?? ?? ?? ?? 8A 83 24 01 00 00 84 C0 74 0B 48 8B CB E8 ?? ?? ?? ?? 40 B7 01 40 84 FF 0F 84 42 FF FF FF 45 84 F6 74 05 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? EB 22 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? CC 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 38 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_832_79_0 {
	meta:
		name = "?dtor$0@?0??Dispatch@InternalContextBase@details@Concurrency@@UEAAXPEAUDispatchState@3@@Z@4HA"
		size = 47
		refs = "0025 ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 85 80 00 00 00 83 E0 01 85 C0 74 13 83 A5 80 00 00 00 FE 48 8D 8D 90 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_832_82_0 {
	meta:
		name = "?ExecuteChoreInline@InternalContextBase@details@Concurrency@@IEAAXPEAVWorkItem@23@@Z"
		size = 86
		refs = "0017 ?TransferReferences@WorkItem@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z 0030 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0038 ?Invoke@WorkItem@details@Concurrency@@QEAAXXZ 0040 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0052 ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 8B D1 48 8B CF E8 ?? ?? ?? ?? 48 8B 83 08 01 00 00 48 83 C3 10 FF 80 A4 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_83_0 {
	meta:
		name = "?ExecutedAssociatedChore@InternalContextBase@details@Concurrency@@IEAA_NXZ"
		size = 145
		refs = "0024 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0053 ?Invoke@RealizedChore@details@Concurrency@@QEAAXXZ 0067 ?ReleaseRealizedChore@SchedulerBase@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z 006f ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0077 ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 B9 18 01 00 00 00 48 8B F9 74 63 48 8D 71 10 48 8B CE E8 ?? ?? ?? ?? 80 BF 25 01 00 00 00 74 17 48 8B 87 18 01 00 00 48 8B C8 FF 50 18 48 83 A7 18 01 00 00 00 EB 23 48 8B 9F 18 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 48 48 83 A7 18 01 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? B0 01 EB 02 32 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_832_87_0 {
	meta:
		name = "?FindWorkForBlockingOrNesting@InternalContextBase@details@Concurrency@@AEAAPEAV123@AEA_N0@Z"
		size = 360
		refs = "0065 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0070 ?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z 007c ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 008a ?ResolveToken@WorkItem@details@Concurrency@@QEAA_NXZ 00a4 ?BindTo@WorkItem@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z 00ef ?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@_N@Z 0125 ?Bind@WorkItem@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 50 48 8B 81 08 01 00 00 83 65 E0 00 48 83 65 F0 00 4D 8B F8 4C 8B 41 40 4C 8B F2 48 8B F1 48 8D 55 E0 48 8D 48 40 45 33 C9 C7 44 24 20 19 00 00 00 FF 50 68 84 C0 0F 84 DE 00 00 00 83 7D E0 01 0F 84 CE 00 00 00 48 8D 4E 10 E8 ?? ?? ?? ?? 48 8B 4E 48 B2 01 E8 ?? ?? ?? ?? 48 8D 4E 10 48 8B F8 E8 ?? ?? ?? ?? 48 85 FF 74 76 48 8D 4D E0 E8 ?? ?? ?? ?? 84 C0 74 1B 83 7D E0 04 48 8B D7 0F 94 C1 41 88 0F 48 8D 4D E0 E8 ?? ?? ?? ?? E9 9E 00 00 00 48 8B 86 08 01 00 00 4C 8B 46 40 48 8D 55 E0 48 8D 48 40 45 33 C9 C7 44 24 20 07 00 00 00 FF 50 68 84 C0 74 23 83 7D E0 01 48 8B D7 74 0C 83 7D E0 04 0F 94 C0 41 88 07 EB B8 48 8B 4E 48 41 B0 01 E8 ?? ?? ?? ?? EB 2B 41 C6 06 01 EB 50 48 8B 86 08 01 00 00 4C 8B 46 40 48 8D 55 E0 48 8D 48 40 45 33 C9 C7 44 24 20 01 00 00 00 FF 50 68 84 C0 74 2B 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B F8 EB 1D 48 8B 7D F0 EB 17 48 8B 4E 48 B2 01 E8 ?? ?? ?? ?? 48 85 C0 48 8B F8 0F 95 C0 41 88 06 4C 8D 5C 24 50 48 8B C7 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_832_88_0 {
	meta:
		name = "?Free@InternalContextBase@details@Concurrency@@UEAAXPEAX@Z"
		size = 62
		refs = "0011 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 001d ?GetCurrentSubAllocator@VirtualProcessor@details@Concurrency@@QEAAPEAVSubAllocator@23@XZ 0028 ?Free@SubAllocator@details@Concurrency@@QEAAXPEAX@Z 003a ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8B 8F F8 00 00 00 E8 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_92_0 {
	meta:
		name = "?GetAndResetOversubscribedVProc@InternalContextBase@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAV423@@Z"
		size = 40
	strings:
		$1 = { 45 33 C9 48 85 D2 74 1C 4C 8B 81 10 01 00 00 49 3B D0 75 10 48 8B C2 F0 4C 0F B1 89 10 01 00 00 4C 0F 44 CA 49 8B C1 C3 }
	condition:
		$1
}

rule file_832_104_0 {
	meta:
		name = "?GetVirtualProcessorId@InternalContextBase@details@Concurrency@@UEBAIXZ"
		size = 69
		refs = "000e ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0034 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 83 F8 00 00 00 48 85 C0 74 0F 48 8B 83 F8 00 00 00 8B B8 CC 00 00 00 EB 03 83 CF FF 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_832_105_0 {
	meta:
		name = "?GrowAndPush@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@AEAAXPEAVInternalContextBase@23@VSlot@?$Mailbox@VInternalContextBase@details@Concurrency@@@23@@Z"
		size = 414
		refs = "0047 ??_U@YAPEAX_K@Z 009c ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0117 memset 0174 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 017e ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 20 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 8B 41 08 4C 8B FA 48 8B F9 8D 04 45 02 00 00 00 48 C7 C6 FF FF FF FF 89 44 24 60 48 63 D8 B8 08 00 00 00 48 F7 E3 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 47 10 48 89 44 24 68 8D 46 11 48 F7 E3 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 1C 8D 53 FF 48 8B C8 85 D2 78 15 48 83 21 00 83 61 08 00 FF CA 48 8D 49 10 79 F0 EB 03 45 33 F6 48 8B 5F 20 4C 8B 67 18 48 8B CB E8 ?? ?? ?? ?? 8B 47 04 44 8B 17 8B 07 8B 6F 04 45 33 C9 2B E8 48 63 F5 85 ED 7E 45 4D 8B C6 48 8B 47 10 48 63 4F 08 49 63 D2 48 23 CA 41 FF C2 48 8B 0C C8 4B 89 4C CD 00 48 63 4F 08 49 FF C1 48 23 CA 48 C1 E1 04 48 03 4F 18 48 8B 01 49 89 00 8B 41 08 4D 8D 40 10 41 89 40 F8 4C 3B CE 7C BE 8B 44 24 60 48 8D 0C F5 00 00 00 00 33 D2 2B C5 49 03 CD 4C 63 C0 49 C1 E0 03 E8 ?? ?? ?? ?? 8B 44 24 60 4C 8B 4C 24 70 FF C8 4C 89 6F 10 4C 89 77 18 89 47 08 C7 07 00 00 00 00 4D 8B 01 4D 85 C0 74 1C 48 63 D0 48 23 D6 48 C1 E2 04 48 03 57 18 49 83 CF 01 4C 89 02 41 8B 41 08 89 42 08 48 63 57 08 48 8B 47 10 48 8B CB 48 23 D6 4C 89 3C D0 8D 45 01 89 47 04 E8 ?? ?? ?? ?? 48 8B 4C 24 68 E8 ?? ?? ?? ?? 49 8B CC 48 8B 5C 24 78 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_138_0 {
	meta:
		name = "?GrowAndPush@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
		size = 414
		refs = "0047 ??_U@YAPEAX_K@Z 009c ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0117 memset 0174 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 017e ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 20 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 8B 41 08 4C 8B FA 48 8B F9 8D 04 45 02 00 00 00 48 C7 C6 FF FF FF FF 89 44 24 60 48 63 D8 B8 08 00 00 00 48 F7 E3 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 47 10 48 89 44 24 68 8D 46 11 48 F7 E3 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 1C 8D 53 FF 48 8B C8 85 D2 78 15 48 83 21 00 83 61 08 00 FF CA 48 8D 49 10 79 F0 EB 03 45 33 F6 48 8B 5F 20 4C 8B 67 18 48 8B CB E8 ?? ?? ?? ?? 8B 47 04 44 8B 17 8B 07 8B 6F 04 45 33 C9 2B E8 48 63 F5 85 ED 7E 45 4D 8B C6 48 8B 47 10 48 63 4F 08 49 63 D2 48 23 CA 41 FF C2 48 8B 0C C8 4B 89 4C CD 00 48 63 4F 08 49 FF C1 48 23 CA 48 C1 E1 04 48 03 4F 18 48 8B 01 49 89 00 8B 41 08 4D 8D 40 10 41 89 40 F8 4C 3B CE 7C BE 8B 44 24 60 48 8D 0C F5 00 00 00 00 33 D2 2B C5 49 03 CD 4C 63 C0 49 C1 E0 03 E8 ?? ?? ?? ?? 8B 44 24 60 4C 8B 4C 24 70 FF C8 4C 89 6F 10 4C 89 77 18 89 47 08 C7 07 00 00 00 00 4D 8B 01 4D 85 C0 74 1C 48 63 D0 48 23 D6 48 C1 E2 04 48 03 57 18 49 83 CF 01 4C 89 02 41 8B 41 08 89 42 08 48 63 57 08 48 8B 47 10 48 8B CB 48 23 D6 4C 89 3C D0 8D 45 01 89 47 04 E8 ?? ?? ?? ?? 48 8B 4C 24 68 E8 ?? ?? ?? ?? 49 8B CC 48 8B 5C 24 78 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_109_0 {
	meta:
		name = "?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z"
		size = 66
		refs = "0019 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 003e ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 83 C1 10 8B F2 E8 ?? ?? ?? ?? 48 8B 83 08 01 00 00 48 8D 4B 10 01 B0 A4 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_110_0 {
	meta:
		name = "?IncrementEnqueuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXXZ"
		size = 54
		refs = "0012 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0032 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 83 08 01 00 00 48 8D 4B 10 FF 80 A0 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_115_0 {
	meta:
		name = "?InternalReference@ScheduleGroupBase@details@Concurrency@@IEAAJXZ"
		size = 22
		altNames = "?Reference@ScheduleGroupBase@details@Concurrency@@UEAAIXZ"
	strings:
		$1 = { F6 41 50 04 75 0D B8 01 00 00 00 F0 0F C1 41 28 FF C0 C3 33 C0 C3 }
	condition:
		$1
}

rule file_832_127_0 {
	meta:
		name = "?IsVirtualProcessorRetired@InternalContextBase@details@Concurrency@@IEAA_NXZ"
		size = 110
		refs = "0041 ?InterlockedClear@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z 0052 ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 005e ?CleanupDispatchedContextOnCancel@InternalContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 B9 26 01 00 00 00 48 8B D9 75 54 48 8B 81 08 01 00 00 80 B8 01 01 00 00 00 74 44 83 B9 20 01 00 00 00 76 1A 48 8B 81 08 01 00 00 48 8B 49 48 8B 90 D4 00 00 00 48 83 C1 60 E8 ?? ?? ?? ?? 83 A3 20 01 00 00 00 33 D2 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 08 48 8B CB E8 ?? ?? ?? ?? B0 01 EB 02 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_832_128_0 {
	meta:
		name = "?LeaveScheduler@InternalContextBase@details@Concurrency@@AEAAXXZ"
		size = 284
		refs = "0021 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 003d ?FindWorkForBlockingOrNesting@InternalContextBase@details@Concurrency@@AEAAPEAV123@AEA_N0@Z 006f ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 00ca ?MakeAvailable@VirtualProcessor@details@Concurrency@@IEAAXW4AvailabilityType@123@_N@Z 00d2 ?DeferredGetInternalContext@SchedulerBase@details@Concurrency@@QEAAXXZ 00fa ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0118 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 41 56 41 57 48 83 EC 20 48 8D 79 10 48 8B D9 48 8B CF E8 ?? ?? ?? ?? 4C 8D 44 24 58 48 8D 54 24 50 48 8B CB C6 44 24 50 00 C6 44 24 58 00 E8 ?? ?? ?? ?? 80 7C 24 50 00 48 8B F0 74 20 48 8B 4B 40 C6 80 70 01 00 00 00 48 89 48 40 48 8B 91 A8 01 00 00 F6 42 50 04 75 04 F0 FF 42 28 48 8B CF E8 ?? ?? ?? ?? 4C 8B BB 08 01 00 00 4C 8B 63 48 48 C7 83 08 01 00 00 00 00 00 00 4C 8B B3 00 01 00 00 48 8B EE 48 85 F6 75 0C 49 8B 07 49 8B CF FF 50 08 48 8B E8 41 B9 01 00 00 00 48 8B D6 49 8B CF 44 87 4B 60 4D 8B 17 41 FF 52 20 48 85 ED 75 24 8D 55 04 41 B0 01 49 8B CF E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 49 8B 06 8D 55 02 49 8B CE FF 50 10 EB 12 49 8B 06 41 B8 02 00 00 00 48 8B D5 49 8B CE FF 50 08 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 8B 5C 24 60 48 8B 6C 24 68 48 83 C4 20 41 5F 41 5E 41 5C 5F 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_131_0 {
	meta:
		name = "?NotifySearching@SchedulerBase@details@Concurrency@@QEAAXI_N@Z"
		size = 94
		refs = "0020 ?InterlockedSet@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z 004a ?InterlockedClear@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 33 F6 48 83 C1 60 8B DA 45 84 C0 74 2A E8 ?? ?? ?? ?? 48 8B 87 A0 00 00 00 C1 E3 04 48 8B 0C D8 8D 46 01 48 3B C8 75 14 48 8B 8F A0 00 00 00 F0 48 0F B1 34 D9 EB 05 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_832_132_0 {
	meta:
		name = "?Oversubscribe@InternalContextBase@details@Concurrency@@UEAAX_N@Z"
		size = 147
		refs = "001a ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0034 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 006d ?MarkForRetirement@VirtualProcessor@details@Concurrency@@AEAAXXZ 007d ??0invalid_oversubscribe_operation@Concurrency@@QEAA@XZ 0084 _TI2?AVinvalid_oversubscribe_operation@Concurrency@@ 008e _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 45 33 C0 48 8B D9 84 D2 74 28 FF 41 2C 83 79 2C 01 75 58 E8 ?? ?? ?? ?? 48 8B 8B F8 00 00 00 48 8B 01 FF 50 40 48 8B CB 48 83 C4 40 5B E9 ?? ?? ?? ?? 8B 41 2C 85 C0 74 38 FF C8 89 41 2C 75 2B 48 8B 89 00 01 00 00 48 85 C9 74 1F 48 8B 83 00 01 00 00 48 3B C8 75 13 48 8B C1 F0 4C 0F B1 83 00 01 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_832_133_0 {
	meta:
		name = "?PrepareForUse@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@PEAU_Chore@23@_N@Z"
		size = 80
	strings:
		$1 = { C6 81 70 01 00 00 00 48 89 51 40 4D 85 C0 75 12 48 8B 82 A8 01 00 00 F6 40 50 04 75 32 F0 FF 40 28 C3 45 84 C9 74 1A 48 8B 82 A8 01 00 00 F6 40 50 04 75 04 F0 FF 40 28 C6 81 25 01 00 00 01 EB 07 C6 81 25 01 00 00 00 4C 89 81 18 01 00 00 C3 }
	condition:
		$1
}

rule file_832_135_0 {
	meta:
		name = "?Push@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 68
		refs = "003b ?GrowAndPush@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@AEAAXPEAVInternalContextBase@23@VSlot@?$Mailbox@VInternalContextBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 63 49 04 4C 63 41 08 8B 01 41 03 C0 44 3B C8 7D 14 48 8B 41 10 4D 23 C1 4A 89 14 C0 41 8D 41 01 89 41 04 EB 15 48 83 64 24 20 00 83 64 24 28 00 4C 8D 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1236_173_0 {
	meta:
		name = "?Push@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 68
		refs = "003b ?GrowAndPush@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 63 49 04 4C 63 41 08 8B 01 41 03 C0 44 3B C8 7D 14 48 8B 41 10 4D 23 C1 4A 89 14 C0 41 8D 41 01 89 41 04 EB 15 48 83 64 24 20 00 83 64 24 28 00 4C 8D 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1236_182_0 {
	meta:
		name = "?PushStructured@WorkQueue@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 68
		refs = "003b ?GrowAndPush@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 63 49 04 4C 63 41 08 8B 01 41 03 C0 44 3B C8 7D 14 48 8B 41 10 4D 23 C1 4A 89 14 C0 41 8D 41 01 89 41 04 EB 15 48 83 64 24 20 00 83 64 24 28 00 4C 8D 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_832_137_0 {
	meta:
		name = "?ReclaimVirtualProcessor@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 96
		refs = "002d ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NAEAVClaimTicket@123@K_N@Z 004b ?Deactivate@VirtualProcessor@details@Concurrency@@QEAA_NPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 80 B9 26 01 00 00 00 48 8B D9 74 48 48 8B 89 08 01 00 00 83 64 24 20 00 48 8D 54 24 20 41 B1 01 41 B8 0F 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1E EB 09 48 8B 03 48 8B CB FF 50 40 48 8B 8B 08 01 00 00 48 8B D3 E8 ?? ?? ?? ?? 84 C0 74 E4 C6 83 26 01 00 00 00 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_832_138_0 {
	meta:
		name = "?RejoinScheduler@InternalContextBase@details@Concurrency@@AEAAXXZ"
		size = 54
		refs = "0012 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 001f ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 0032 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? BA 03 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8D 4B 10 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_832_139_0 {
	meta:
		name = "?RemoveFromUse@InternalContextBase@details@Concurrency@@QEAAXXZ"
		size = 51
		refs = "000e ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ 001b ?SwapScheduleGroupSegment@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 A3 90 00 00 00 00 C6 83 70 01 00 00 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_832_141_0 {
	meta:
		name = "?SearchForWork@VirtualProcessor@details@Concurrency@@QEAA_NPEAVWorkItem@23@PEAVScheduleGroupSegmentBase@23@_N@Z"
		size = 27
	strings:
		$1 = { 48 83 EC 38 48 8D 41 40 C7 44 24 20 07 00 00 00 48 8B C8 FF 50 28 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_832_144_0 {
	meta:
		name = "?SetProxy@InternalContextBase@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 78
		refs = "0018 ??_C@_0N@FACDCNDA@pThreadProxy?$AA@ 002c ??0exception@std@@QEAA@AEBQEBD@Z 0033 ??_7invalid_argument@std@@6B@ 003a _TI3?AVinvalid_argument@std@@ 0049 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 74 0C 48 89 91 00 01 00 00 48 83 C4 48 C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_832_145_0 {
	meta:
		name = "?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 55
		refs = "0017 ?_Sleep0@details@Concurrency@@YAXXZ 0026 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 41 60 48 8B D9 85 C0 75 21 21 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 43 60 85 C0 74 EF 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_832_148_0 {
	meta:
		name = "?SpinUntilValueEquals@details@Concurrency@@YAXPECJJ@Z"
		size = 65
		refs = "001d ?_Sleep0@details@Concurrency@@YAXXZ 002c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B 01 8B DA 48 8B F9 3B C2 74 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 07 3B C3 75 F0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_832_149_0 {
	meta:
		name = "?SpinYield@InternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 227
		refs = "0016 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0029 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 004b ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0069 ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 00b0 ?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z 00bd ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B D9 40 32 FF E8 ?? ?? ?? ?? 48 8B 4B 38 8B 73 20 48 8B 01 FF 50 08 8A 15 ?? ?? ?? ?? 80 FA 04 72 1D 8B 0D ?? ?? ?? ?? F6 C1 02 74 12 44 8B CE 44 8B C0 B2 04 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 F8 00 00 00 80 B8 01 01 00 00 00 74 10 48 8D 4B F0 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 4A 48 8B 83 F8 00 00 00 4C 8B 43 30 83 64 24 30 00 48 83 64 24 40 00 48 8D 48 40 48 8D 54 24 30 45 33 C9 C7 44 24 20 01 00 00 00 FF 50 68 84 C0 74 16 48 8B 54 24 40 48 8D 4B F0 41 B8 02 00 00 00 E8 ?? ?? ?? ?? EB 03 40 B7 01 48 8B CB E8 ?? ?? ?? ?? 40 84 FF 74 0D 48 8B 8B F0 00 00 00 48 8B 01 FF 50 18 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_832_150_0 {
	meta:
		name = "?StartupIdleVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@Vlocation@3@@Z"
		size = 89
		refs = "0050 ?StartupVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@Vlocation@3@K@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 48 45 8B 4B D8 41 8B 00 41 BA FF FF FF 0F 41 33 C1 41 23 C2 44 33 C8 41 8B 00 41 33 C1 41 B9 0B 00 00 00 41 23 C2 41 33 00 89 44 24 20 49 8B 40 08 49 89 43 E0 41 8B 40 04 89 44 24 24 49 8B 40 10 4D 8D 43 D8 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_832_151_0 {
	meta:
		name = "?SwapScheduleGroupSegment@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@_N@Z"
		size = 173
		refs = "0036 ?_Sleep0@details@Concurrency@@YAXXZ 0044 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 007a ?RemoveScheduleGroup@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 48 83 EC 40 48 83 79 40 00 41 8A E8 48 8B F2 48 8B D9 74 74 8B 81 60 01 00 00 85 C0 74 24 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 49 89 43 E8 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 85 C0 75 EC 48 8B 43 40 48 8B B8 A8 01 00 00 F6 47 50 04 75 1B F0 FF 4F 28 75 15 48 8B 07 48 8B CF FF 50 38 48 8B 4F 08 48 8B D7 E8 ?? ?? ?? ?? 40 84 ED 74 11 48 8B 86 A8 01 00 00 F6 40 50 04 75 04 F0 FF 40 28 48 89 73 40 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_832_152_0 {
	meta:
		name = "?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z"
		size = 370
		refs = "0035 ?ReclaimVirtualProcessor@InternalContextBase@details@Concurrency@@IEAAXXZ 0052 ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0076 ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0098 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 00b3 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 00bf ?ReleaseInternalContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@@Z 00cd ?TriggerCommitSafePoints@SchedulerBase@details@Concurrency@@QEAAXPEAVSafePointMarker@23@@Z 00d8 ?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z 0142 ?AddRunnableContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@Vlocation@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 41 56 48 83 EC 40 4C 8B B1 00 01 00 00 48 8B 81 08 01 00 00 40 32 F6 8B FA 48 8B D9 48 85 C0 0F 84 B9 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 08 01 00 00 48 8D 73 10 8B 90 30 01 00 00 48 8B CE 89 54 24 58 E8 ?? ?? ?? ?? 48 8B 8B 08 01 00 00 48 8B 01 FF 50 18 48 C7 83 08 01 00 00 00 00 00 00 85 FF 74 12 48 8B CE E8 ?? ?? ?? ?? B8 01 00 00 00 87 43 60 EB 3F 48 8B 4B 48 8B 73 30 48 8B 01 FF 50 08 B2 04 44 8B C0 8A 05 ?? ?? ?? ?? 3A C2 72 17 8B 05 ?? ?? ?? ?? A8 02 74 0D 44 8B CE B9 06 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 40 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4B 48 48 8D 54 24 58 E8 ?? ?? ?? ?? 48 8B 4B 48 33 D2 E8 ?? ?? ?? ?? 40 8A B3 24 01 00 00 85 FF 75 06 8D 47 01 87 43 60 8D 47 FE 83 F8 01 77 51 48 8B 4B 40 8B 54 24 20 41 B8 FF FF FF 0F 8B 41 18 33 C2 41 23 C0 33 D0 89 54 24 20 8B 41 18 33 C2 48 8B D3 41 23 C0 4C 8D 44 24 20 33 41 18 89 44 24 20 48 8B 41 20 48 89 44 24 28 8B 41 1C 89 44 24 24 48 8B 41 28 48 89 44 24 30 E8 ?? ?? ?? ?? 85 FF 74 0F 4D 8B 06 BA 01 00 00 00 49 8B CE 41 FF 50 10 48 8B 5C 24 50 48 8B 7C 24 68 40 8A C6 48 8B 74 24 60 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_832_153_0 {
	meta:
		name = "?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z"
		size = 417
		refs = "009b ?AddRunnableContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@Vlocation@3@@Z 00b0 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 00d5 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 00e1 ?ReleaseInternalContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@@Z 00ec ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 014c ?MakeAvailable@VirtualProcessor@details@Concurrency@@IEAAXW4AvailabilityType@123@_N@Z 0156 ?DeferredGetInternalContext@SchedulerBase@details@Concurrency@@QEAAXXZ 017f ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B D9 41 8B F0 4C 8B EA 41 8B C8 BF 01 00 00 00 45 85 C0 74 6F FF C9 0F 84 AD 00 00 00 FF C9 74 10 FF C9 0F 85 A1 00 00 00 8D 79 02 E9 99 00 00 00 48 8B 4B 40 8B 54 24 20 41 B8 FF FF FF 0F 8B 41 18 33 C2 41 23 C0 33 D0 89 54 24 20 8B 41 18 33 C2 48 8B D3 41 23 C0 4C 8D 44 24 20 33 41 18 89 44 24 20 48 8B 41 20 48 89 44 24 28 8B 41 1C 89 44 24 24 48 8B 41 28 48 89 44 24 30 E8 ?? ?? ?? ?? EB 46 48 8B 4B 48 8B 6B 30 48 8B 01 FF 50 08 8A 0D ?? ?? ?? ?? 80 F9 04 72 20 8B 0D ?? ?? ?? ?? BF 02 00 00 00 40 84 CF 74 10 8D 4F 04 44 8B CD 44 8B C0 B2 04 E8 ?? ?? ?? ?? 48 8B 4B 40 48 8B D3 E8 ?? ?? ?? ?? 33 FF 48 8D 4B 10 E8 ?? ?? ?? ?? 4C 8B B3 08 01 00 00 48 8B 43 48 48 C7 83 08 01 00 00 00 00 00 00 4C 8B BB 00 01 00 00 48 89 44 24 70 49 8B ED 4D 85 ED 75 0C 49 8B 06 49 8B CE FF 50 08 48 8B E8 41 B9 01 00 00 00 49 8B D5 49 8B CE 44 87 4B 60 4D 8B 16 41 FF 52 20 48 85 ED 75 25 8D 55 04 41 B0 01 49 8B CE E8 ?? ?? ?? ?? 48 8B 4C 24 70 E8 ?? ?? ?? ?? 49 8B 07 8B D7 49 8B CF FF 50 10 EB 0F 49 8B 07 44 8B C7 48 8B D5 49 8B CF FF 50 08 85 F6 74 09 48 8D 4B 10 E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_832_156_0 {
	meta:
		name = "?Unblock@InternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 304
		refs = "0028 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 004e ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 006f ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0083 ?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ 00fe ??0context_unblock_unbalanced@Concurrency@@QEAA@XZ 0105 _TI2?AVcontext_unblock_unbalanced@Concurrency@@ 010f _CxxThrowException 011a ??0context_self_unblock@Concurrency@@QEAA@XZ 0121 _TI2?AVcontext_self_unblock@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 70 48 8D 71 F0 48 8B F9 48 8B C6 48 F7 D8 48 1B DB 48 23 D9 E8 ?? ?? ?? ?? 48 3B D8 0F 84 DF 00 00 00 83 CB FF F0 0F C1 5F 54 48 8B 4F 38 8B 6F 20 FF CB 48 8B 01 FF 50 08 8A 15 ?? ?? ?? ?? B9 04 00 00 00 3A D1 72 18 8B 15 ?? ?? ?? ?? F6 C2 02 74 0D 44 8B CD 44 8B C0 8A D1 E8 ?? ?? ?? ?? 83 FB 01 75 78 48 8B CE C7 47 54 00 00 00 00 E8 ?? ?? ?? ?? 4C 8B 47 30 8B 54 24 20 41 8B 40 18 B9 FF FF FF 0F 33 C2 23 C1 33 D0 89 54 24 20 41 8B 40 18 33 C2 48 8D 54 24 20 23 C1 48 8B CE 41 33 40 18 89 44 24 20 49 8B 40 20 48 89 44 24 28 41 8B 40 1C 89 44 24 24 49 8B 40 28 48 89 44 24 30 48 8B 06 FF 50 28 4C 8D 5C 24 70 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 8D 43 01 83 F8 01 76 E2 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_832_157_0 {
	meta:
		name = "?WaitForWork@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 326
		refs = "0042 ?InterlockedSet@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z 0093 ?MakeAvailable@VirtualProcessor@details@Concurrency@@IEAAXW4AvailabilityType@123@_N@Z 00a2 ?EnsureAllTasksVisible@VirtualProcessor@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z 00d2 ?VirtualProcessorIdle@SchedulerBase@details@Concurrency@@QEAAX_N@Z 00ec ?Deactivate@VirtualProcessor@details@Concurrency@@QEAA_NPEAUIExecutionContext@3@@Z 0125 ?InterlockedClear@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 FF 81 20 01 00 00 45 33 F6 83 B9 20 01 00 00 01 48 8B F9 75 41 48 8B 81 08 01 00 00 48 8B 71 48 8B 98 D4 00 00 00 48 8D 4E 60 8B D3 E8 ?? ?? ?? ?? 48 8B 86 A0 00 00 00 C1 E3 04 48 8B 0C D8 48 83 F9 01 75 11 48 8B 8E A0 00 00 00 41 8D 46 01 F0 4C 0F B1 34 D9 8B 87 20 01 00 00 B9 00 01 00 00 3B C1 72 42 75 2F 48 8B 8F 08 01 00 00 41 B0 01 BA 02 00 00 00 C6 87 26 01 00 00 01 E8 ?? ?? ?? ?? 48 8B 8F 08 01 00 00 48 8B D7 E8 ?? ?? ?? ?? E9 85 00 00 00 F6 87 27 01 00 00 02 74 17 FF C8 89 87 20 01 00 00 48 8B 8F 00 01 00 00 48 8B 01 FF 50 18 EB 65 48 8B 4F 48 B2 01 E8 ?? ?? ?? ?? EB 09 48 8B 07 48 8B CF FF 50 40 48 8B 8F 08 01 00 00 48 8B D7 E8 ?? ?? ?? ?? 84 C0 74 E4 48 8B 4F 48 33 D2 E8 ?? ?? ?? ?? 44 88 B7 26 01 00 00 44 39 B7 20 01 00 00 76 1A 48 8B 87 08 01 00 00 48 8B 4F 48 8B 90 D4 00 00 00 48 83 C1 60 E8 ?? ?? ?? ?? 44 89 B7 20 01 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_832_159_0 {
	meta:
		name = "?WorkWasFound@InternalContextBase@details@Concurrency@@IEAA_NPEAVWorkItem@23@@Z"
		size = 108
		refs = "0032 ?ReclaimVirtualProcessor@InternalContextBase@details@Concurrency@@IEAAXXZ 0055 ?InterlockedClear@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAII@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 81 08 01 00 00 44 8A 89 26 01 00 00 4C 8B 41 40 48 8B D9 48 8D 48 40 C7 44 24 20 07 00 00 00 FF 50 68 84 C0 74 36 48 8B CB E8 ?? ?? ?? ?? 83 BB 20 01 00 00 00 74 1A 48 8B 83 08 01 00 00 48 8B 4B 48 8B 90 D4 00 00 00 48 83 C1 60 E8 ?? ?? ?? ?? 83 A3 20 01 00 00 00 B0 01 EB 02 32 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_832_160_0 {
	meta:
		name = "?Yield@InternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 448
		refs = "001e ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0031 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0053 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0071 ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 00b6 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 00c1 ?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z 00de ?ResolveToken@WorkItem@details@Concurrency@@QEAA_NXZ 00ee ?BindTo@WorkItem@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z 012a ?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@_N@Z 0145 ?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z 0185 ?Bind@WorkItem@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 50 48 8B D9 40 32 F6 E8 ?? ?? ?? ?? 48 8B 4B 38 8B 7B 20 48 8B 01 FF 50 08 8A 15 ?? ?? ?? ?? 80 FA 04 72 1D 8B 0D ?? ?? ?? ?? F6 C1 02 74 12 44 8B CF 44 8B C0 B2 04 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 F8 00 00 00 80 B8 01 01 00 00 00 74 13 48 8D 4B F0 BA 02 00 00 00 E8 ?? ?? ?? ?? E9 17 01 00 00 48 8B 83 F8 00 00 00 4C 8B 43 30 83 65 E0 00 48 83 65 F0 00 48 8D 48 40 48 8D 55 E0 45 33 C9 C7 44 24 20 09 00 00 00 FF 50 70 84 C0 0F 84 E2 00 00 00 83 7D E0 01 74 7C 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 38 B2 01 E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 85 FF 0F 84 82 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 84 C0 74 0E 48 8B D7 48 8D 4D E0 E8 ?? ?? ?? ?? EB 3E 48 8B 83 F8 00 00 00 4C 8B 43 30 48 8D 55 E0 48 8D 48 40 45 33 C9 C7 44 24 20 03 00 00 00 FF 50 70 48 8B D7 84 C0 74 2F 83 7D E0 01 75 C7 48 8B 4B 38 41 B0 01 E8 ?? ?? ?? ?? 48 8B 7D F0 48 85 FF 74 57 48 8D 4B F0 41 B8 02 00 00 00 48 8B D7 E8 ?? ?? ?? ?? EB 46 48 8B 4B 38 41 B0 01 E8 ?? ?? ?? ?? 33 FF EB D7 48 8B 83 F8 00 00 00 4C 8B 43 30 48 8D 55 E0 48 8D 48 40 45 33 C9 C7 44 24 20 01 00 00 00 FF 50 70 84 C0 74 0E 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B F8 EB A4 40 B6 01 48 8B CB E8 ?? ?? ?? ?? 40 84 F6 74 0D 48 8B 8B F0 00 00 00 48 8B 01 FF 50 18 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_834_0_0 {
	meta:
		name = "fminf"
		size = 108
		refs = "0016 _fdtest"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 38 EB 3F 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 83 F8 02 75 08 F3 0F 10 44 24 30 EB 27 F3 0F 10 44 24 38 F3 0F 10 4C 24 30 0F 2F C1 77 13 0F 2E C8 7A 11 75 0F B8 00 80 00 00 66 85 44 24 32 74 03 0F 28 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_837_1_0 {
	meta:
		name = "_purecall"
		size = 42
		refs = "0007 __pPurecall 000d __imp_DecodePointer 0020 _set_abort_behavior 0025 abort"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 02 FF D0 BA 01 00 00 00 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_839_0_0 {
	meta:
		name = "fmodf"
		size = 710
		refs = "00d5 __xmm@80000000000000008000000000000000 00f7 __real@3ff0000000000000 01ee ??_C@_05OOAOEJGP@fmodf?$AA@ 02bc _handle_errorf"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 50 48 B8 FF FF FF FF FF FF FF 7F 0F 28 E1 0F 57 D2 0F 28 C8 0F 57 DB BB 01 00 00 00 F3 0F 5A D1 F2 0F 11 54 24 70 F3 0F 5A DC 4C 8B 44 24 70 F2 0F 11 5C 24 70 4D 8B C8 49 8B C8 4C 8B 5C 24 70 4C 23 C8 48 C1 E9 34 4D 8B D3 49 8B D3 4C 23 D0 B8 FF 07 00 00 48 C1 EA 34 23 C8 23 D0 3B CB 0F 8C 4E 01 00 00 81 F9 FE 07 00 00 0F 8F 4A 01 00 00 8D 42 FF 3D FD 07 00 00 0F 87 34 01 00 00 4D 3B CA 75 21 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 70 F2 0F 10 44 24 70 66 0F 5A C0 E9 11 02 00 00 4C 89 4C 24 70 F2 0F 10 54 24 70 4C 89 54 24 70 F2 0F 10 5C 24 70 4D 3B CA 73 1B 0F 57 C0 0F 2F C1 76 07 0F 57 15 ?? ?? ?? ?? 0F 57 C0 F2 0F 5A C2 E9 DB 01 00 00 0F AE 5C 24 68 44 8B 44 24 68 3B CA 7F 0C F2 0F 10 25 ?? ?? ?? ?? 33 D2 EB 4B 2B CA B8 AB AA AA 2A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 52 8D 04 C5 FF 03 00 00 48 63 C8 48 B8 00 00 00 00 00 00 70 3E 48 C1 E1 34 48 89 4C 24 70 F2 0F 10 44 24 70 48 89 44 24 70 F2 0F 10 64 24 70 F2 0F 59 C3 0F 28 D8 85 D2 7E 26 8B CA 0F 28 C2 F2 0F 5E C3 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 CB F2 0F 59 DC F2 0F 5C D1 48 2B CB 75 DC 0F 28 C2 44 89 44 24 68 F2 0F 5E C3 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 CB F2 0F 5C D1 F2 0F 11 54 24 70 0F AE 54 24 68 0F 57 C0 0F 2F 44 24 60 F2 0F 11 D0 76 07 0F 57 05 ?? ?? ?? ?? F2 0F 5A C0 E9 03 01 00 00 81 F9 FE 07 00 00 7E 58 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 48 B8 FF FF FF FF FF FF 0F 00 F3 0F 11 4C 24 30 44 8B CB BA 16 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 4C 85 C0 0F 84 AA 00 00 00 F3 0F 11 4C 24 60 44 8B 44 24 60 49 0F BA E8 16 83 64 24 20 00 E9 9E 00 00 00 81 FA FE 07 00 00 7E 55 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 0F 84 88 00 00 00 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 44 8B CB BA 16 00 00 00 F3 0F 11 64 24 60 44 8B 44 24 60 48 8D 0D ?? ?? ?? ?? 49 0F BA E8 16 83 64 24 20 00 EB 41 3B CB 7D 04 3B D3 7D 3E C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 48 8D 0D ?? ?? ?? ?? BA 16 00 00 00 44 8B CB C7 44 24 20 08 00 00 00 41 B8 00 00 C0 FF E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_840_0_0 {
	meta:
		name = "_chdrive"
		size = 132
		refs = "0009 __security_cookie 001e __doserrno 0029 _errno 0034 _invalid_parameter_noinfo 0057 __imp_SetCurrentDirectoryW 0061 __imp_GetLastError 0068 _dosmaperr 007a __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 8D 41 FF 83 F8 19 76 20 E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 34 66 83 C1 40 C7 44 24 22 3A 00 00 00 33 DB 66 89 4C 24 20 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 10 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CB FF 8B C3 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_840_1_0 {
	meta:
		name = "_getdrive"
		size = 235
		refs = "001a __security_cookie 003c __imp_GetCurrentDirectoryW 0053 _calloc_crt 0060 _errno 00bc free 00ce __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8D 54 24 20 B9 05 01 00 00 48 8D 5C 24 20 33 ED FF 15 ?? ?? ?? ?? 8B F8 3D 04 01 00 00 7E 3B 8D 70 01 8D 55 02 48 63 CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0F E8 ?? ?? ?? ?? 33 FF C7 00 0C 00 00 00 EB 16 BD 01 00 00 00 85 FF 74 0D 48 8B D0 8B CE FF 15 ?? ?? ?? ?? 8B F8 33 F6 85 FF 74 1F 66 83 7B 02 3A 75 23 0F B7 03 66 83 E8 61 66 83 F8 19 0F B7 03 77 03 83 E8 20 8D 70 C0 EB 0B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 85 ED 74 08 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 02 00 00 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_841_3_0 {
	meta:
		name = "__ascii_memicmp"
		size = 76
	strings:
		$1 = { 45 33 C9 33 C0 4C 8B D1 4D 85 C0 74 38 4C 2B D2 41 8A 0C 12 49 FF C8 3A 0A 74 22 8D 41 BF 44 0F B6 C9 3C 19 77 04 41 83 C1 20 8A 02 2C 41 3C 19 0F B6 02 77 03 83 C0 20 44 3B C8 75 08 48 FF C2 4D 85 C0 75 CB 44 2B C8 41 8B C1 C3 }
	condition:
		$1
}

rule file_841_4_0 {
	meta:
		name = "_memicmp"
		size = 80
		refs = "0006 __locale_changed 0018 _errno 0023 _invalid_parameter_noinfo 0040 __ascii_memicmp 004c _memicmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 37 48 85 C9 75 1F 4D 85 C0 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 75 05 4D 85 C0 75 DC 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_841_5_0 {
	meta:
		name = "_memicmp_l"
		size = 224
		refs = "002e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0047 _errno 0052 _invalid_parameter_noinfo 0075 __ascii_memicmp 008e _tolower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 4C 8B F1 48 8B F2 48 8D 48 D8 49 8B D1 49 8B F8 33 DB 33 ED E8 ?? ?? ?? ?? 4D 85 F6 75 05 48 85 FF 75 0A 48 85 F6 75 1C 48 85 FF 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BB FF FF FF 7F EB 53 48 8B 44 24 20 48 39 98 38 01 00 00 75 3E 4C 8B C7 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 8B D8 EB 33 48 FF CF 3B DD 75 2A 41 0F B6 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 0F B6 0E 48 8D 54 24 20 8B D8 49 FF C6 E8 ?? ?? ?? ?? 8B E8 48 FF C6 48 85 FF 75 CF 2B DD 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 8B C3 48 8B 5C 24 50 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_844_0_0 {
	meta:
		name = "__copy_path_to_wide_string"
		size = 256
		refs = "0027 _errno 0033 _invalid_parameter_noinfo 0044 __crtIsPackagedApp 0054 __imp_AreFileApisANSI 007a __imp_MultiByteToWideChar 0087 __imp_GetLastError 008e _dosmaperr 009d _malloc_crt 00d8 free"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 57 48 83 EC 30 33 FF 48 8B DA 48 8B F1 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 A7 00 00 00 48 85 D2 74 E3 E8 ?? ?? ?? ?? 41 BF 01 00 00 00 85 C0 75 0C FF 15 ?? ?? ?? ?? 85 C0 41 0F 44 FF 83 64 24 28 00 48 83 23 00 48 83 64 24 20 00 41 83 C9 FF 4C 8B C6 33 D2 8B CF FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 75 11 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 EB 4F 48 8B CD 48 03 C9 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 E9 41 83 C9 FF 4C 8B C6 33 D2 8B CF 89 6C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 1B FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 EB B0 41 8B C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_844_1_0 {
	meta:
		name = "__copy_to_char"
		size = 277
		refs = "0027 _errno 0033 _invalid_parameter_noinfo 0044 __crtIsPackagedApp 0054 __imp_AreFileApisANSI 0086 __imp_WideCharToMultiByte 0093 __imp_GetLastError 009a _dosmaperr 00a6 _malloc_crt 00ed free"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 57 48 83 EC 40 33 FF 48 8B DA 48 8B F1 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 BC 00 00 00 48 85 D2 74 E3 E8 ?? ?? ?? ?? 41 BF 01 00 00 00 85 C0 75 0C FF 15 ?? ?? ?? ?? 85 C0 41 0F 44 FF 48 83 64 24 38 00 48 83 64 24 30 00 83 64 24 28 00 48 83 64 24 20 00 48 83 23 00 41 83 C9 FF 4C 8B C6 33 D2 8B CF FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 75 11 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 EB 58 48 8B CD E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 EC 48 83 64 24 38 00 48 83 64 24 30 00 41 83 C9 FF 4C 8B C6 33 D2 8B CF 89 6C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 1B FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 EB A7 41 8B C7 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5F C3 }
	condition:
		$1
}

rule file_844_2_0 {
	meta:
		name = "__crtCorExitProcess"
		size = 65
		refs = "0010 ??_C@_1BI@BGOHAHKC@?$AAm?$AAs?$AAc?$AAo?$AAr?$AAe?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0018 __imp_GetModuleHandleExW 0028 ??_C@_0P@MIGLKIOC@CorExitProcess?$AA@ 002e __imp_GetProcAddress"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 4C 8D 44 24 38 48 8D 15 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 1B 48 8B 4C 24 38 48 8D 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 04 8B CB FF D0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_844_3_0 {
	meta:
		name = "__crtExitProcess"
		size = 22
		refs = "0009 __crtCorExitProcess 0011 __imp_ExitProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 8B CB FF 15 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_844_4_0 {
	meta:
		name = "__freeCrtMemory"
		size = 326
		refs = "000d __onexitbegin 0013 __imp_DecodePointer 001a _wenviron 002f free 004b _environ 0081 __wargv 0095 __argv 00ce __imp_EncodePointer 00d5 _stdbuf 010e __ptmbcinfo 0126 __initialmbcinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B F8 48 85 DB 74 1A 48 8B 0B 48 85 C9 74 0B E8 ?? ?? ?? ?? 48 83 C3 08 75 ED 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 85 DB 74 1A 48 8B 0B 48 85 C9 74 0B E8 ?? ?? ?? ?? 48 83 C3 08 75 ED 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 25 ?? ?? ?? ?? 00 48 83 CB FF 48 3B FB 74 12 48 83 3D ?? ?? ?? ?? 00 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8B 05 ?? ?? ?? ?? 8B CB F0 0F C1 08 03 CB 75 1F 48 8B 0D ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? 48 3B CB 74 0C E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_844_5_0 {
	meta:
		name = "_amsg_exit"
		size = 38
		refs = "0009 _FF_MSGBANNER 0010 _NMSG_WRITE 0021 doexit"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 45 33 C0 B9 FF 00 00 00 41 8D 50 01 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_844_8_0 {
	meta:
		name = "_cinit"
		size = 150
		refs = "0009 _FPinit 001a _IsNonwritableInCurrentImage 002b _initp_misc_cfltcvt_tab 0032 __xi_z 0039 __xi_a 003e _initterm_e 0049 _RTC_Terminate 004e atexit 0055 __xc_z 005c __xc_a 0061 _initterm 0068 __dyn_tls_init_callback"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 3D ?? ?? ?? ?? 00 8B D9 74 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B CB FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 4A 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 74 1F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0F 45 33 C0 33 C9 41 8D 50 02 FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_844_11_0 {
	meta:
		name = "_get_pgmptr"
		size = 54
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0023 _pgmptr"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 11 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 DD 48 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_844_12_0 {
	meta:
		name = "_get_wpgmptr"
		size = 54
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0023 _wpgmptr"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 11 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 DD 48 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_844_13_0 {
	meta:
		name = "_init_pointers"
		size = 75
		refs = "000a __imp_EncodePointer 0015 _initp_heap_handler 001d _initp_misc_invarg 0025 _initp_misc_purevirt 002d _initp_misc_winsig 0035 _initp_eh_hooks 003d _initp_misc_rand_s 0047 __crtLoadWinApiPointers"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C9 FF 15 ?? ?? ?? ?? 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_844_14_0 {
	meta:
		name = "_initterm"
		size = 96
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 48 8B DA 48 8B F9 48 2B D9 8B F5 48 83 C3 07 48 C1 EB 03 48 3B CA 48 0F 47 DD 48 85 DB 74 16 48 8B 07 48 85 C0 74 02 FF D0 48 FF C6 48 83 C7 08 48 3B F3 72 EA 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_844_15_0 {
	meta:
		name = "_initterm_e"
		size = 57
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 8B FA 48 8B D9 48 3B CA 73 17 85 C0 75 13 48 8B 0B 48 85 C9 74 02 FF D1 48 83 C3 08 48 3B DF 72 E9 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_844_18_0 {
	meta:
		name = "doexit"
		size = 405
		refs = "002a _lock 0031 _C_Exit_Done 003e _C_Termination_Done 0049 _exitflag 0058 __onexitbegin 005e __imp_DecodePointer 0076 __onexitend 00aa __imp_EncodePointer 011f __xp_z 0126 __xp_a 012b _initterm 0132 __xt_z 0139 __xt_a 014e _unlock 016f __crtCorExitProcess 0178 __imp_ExitProcess"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 44 89 44 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 45 8B F0 8B DA 44 8B E9 B9 08 00 00 00 E8 ?? ?? ?? ?? 90 83 3D ?? ?? ?? ?? 01 0F 84 07 01 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 44 88 35 ?? ?? ?? ?? 85 DB 0F 85 DA 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F0 48 89 44 24 30 48 85 C0 0F 84 A9 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F8 48 89 44 24 20 4C 8B E6 48 89 74 24 28 4C 8B F8 48 89 44 24 38 48 83 EF 08 48 89 7C 24 20 48 3B FE 72 76 33 C9 FF 15 ?? ?? ?? ?? 48 39 07 75 02 EB E3 48 3B FE 72 62 48 8B 0F FF 15 ?? ?? ?? ?? 48 8B D8 33 C9 FF 15 ?? ?? ?? ?? 48 89 07 FF D3 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 3B E3 75 05 4C 3B F8 74 B9 4C 8B E3 48 89 5C 24 28 48 8B F3 48 89 5C 24 30 4C 8B F8 48 89 44 24 38 48 8B F8 48 89 44 24 20 EB 97 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 45 85 F6 74 0F B9 08 00 00 00 E8 ?? ?? ?? ?? 45 85 F6 75 26 C7 05 ?? ?? ?? ?? 01 00 00 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 41 8B CD E8 ?? ?? ?? ?? 41 8B CD FF 15 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_844_19_0 {
	meta:
		name = "doexit$fin$0"
		size = 36
		refs = "0018 _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 BD 80 00 00 00 00 74 0B B9 08 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_845_0_0 {
	meta:
		name = "_byteswap_uint64"
		size = 113
	strings:
		$1 = { 4C 8B C1 48 8B D1 B9 00 FF 00 00 48 23 D1 49 8B C0 41 BA 00 00 FF 00 48 C1 E0 10 41 B9 00 00 00 FF 48 03 D0 49 8B C0 49 23 C2 48 C1 E2 10 48 03 D0 49 8B C0 49 23 C1 48 C1 E2 10 48 03 D0 49 8B C0 48 C1 E8 28 48 C1 E2 08 48 23 C1 49 8B C8 48 C1 E9 08 48 03 C2 49 23 C9 48 03 C1 49 8B C8 49 C1 E8 38 48 C1 E9 18 49 23 CA 48 03 C1 49 03 C0 C3 }
	condition:
		$1
}

rule file_845_1_0 {
	meta:
		name = "_byteswap_ulong"
		size = 37
	strings:
		$1 = { 8B C1 41 B8 00 FF 00 00 8B D1 41 23 C0 C1 E2 10 03 C2 8B D1 C1 E9 18 C1 E0 08 C1 EA 08 41 23 D0 03 C2 03 C1 C3 }
	condition:
		$1
}

rule file_845_2_0 {
	meta:
		name = "_byteswap_ushort"
		size = 20
	strings:
		$1 = { 0F B7 C1 BA 00 01 00 00 66 C1 E9 08 66 0F AF C2 66 03 C1 C3 }
	condition:
		$1
}

rule file_847_0_0 {
	meta:
		name = "_pow_special"
		size = 254
		refs = "00db ??_C@_03JGHBODFD@pow?$AA@ 00ed _handle_error"
	strings:
		$1 = { 48 83 EC 68 B8 02 00 00 00 0F 29 74 24 50 0F 28 F2 44 3B C8 0F 84 92 00 00 00 0F 86 D1 00 00 00 41 83 F9 06 76 5E 41 83 F9 08 76 30 41 83 F9 09 0F 85 BB 00 00 00 89 44 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 44 8D 48 01 C7 44 24 20 11 00 00 00 EB 73 89 44 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 04 00 00 00 C7 44 24 20 12 00 00 00 EB 4B 89 44 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 41 B9 01 00 00 00 C7 44 24 20 08 00 00 00 EB 23 89 44 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 44 8B C8 C7 44 24 20 04 00 00 00 F2 0F 11 94 24 80 00 00 00 48 8D 0D ?? ?? ?? ?? BA 1D 00 00 00 4C 8B 84 24 80 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_847_1_0 {
	meta:
		name = "_powf_special"
		size = 296
		refs = "010c ??_C@_04MBFDLNIM@powf?$AA@ 0116 _handle_errorf"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 70 0F 29 74 24 60 B8 02 00 00 00 0F 28 F2 41 83 F9 01 0F 84 BB 00 00 00 44 3B C8 0F 84 8D 00 00 00 0F 86 EB 00 00 00 41 83 F9 06 76 61 41 83 F9 07 74 33 41 83 F9 09 0F 85 D5 00 00 00 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 44 8D 48 01 C7 44 24 20 11 00 00 00 E9 8D 00 00 00 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 04 00 00 00 C7 44 24 20 12 00 00 00 EB 65 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 21 00 00 00 41 B9 01 00 00 00 EB 3D 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 44 8B C8 C7 44 24 20 04 00 00 00 EB 20 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 83 64 24 28 00 45 33 C9 C7 44 24 20 08 00 00 00 48 83 65 E0 00 F3 0F 11 75 E0 4C 8B 45 E0 48 8D 0D ?? ?? ?? ?? BA 1D 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 60 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_848_1_0 {
	meta:
		name = "fmod"
		size = 1335
		refs = "00f4 ??_C@_04KEPJIHGP@fmod?$AA@ 011b _handle_error 023c __xmm@80000000000000008000000000000000 0281 __real@3ff0000000000000"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 53 57 48 81 EC A8 00 00 00 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 F2 0F 11 84 24 C8 00 00 00 0F 28 D1 45 33 C9 4C 8B 94 24 C8 00 00 00 F2 0F 11 94 24 C8 00 00 00 48 8B 9C 24 C8 00 00 00 4D 8B DA 4C 8B C3 49 8B CA 48 8B D3 0F 28 C8 44 0F 29 48 A8 44 0F 29 50 98 48 B8 FF FF FF FF FF FF FF 7F 48 C1 E9 34 48 C1 EA 34 4C 23 C0 4C 23 D8 B8 FF 07 00 00 41 8D 79 01 23 C8 23 D0 3B CF 7C 3E 81 F9 FE 07 00 00 7F 3E 8D 42 FF 3D FD 07 00 00 77 2C 4D 3B D8 0F 85 65 01 00 00 48 B8 00 00 00 00 00 00 00 80 4C 23 D0 4C 89 94 24 C0 00 00 00 F2 0F 10 84 24 C0 00 00 00 E9 4A 04 00 00 81 F9 FE 07 00 00 7E 6A C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 48 B8 FF FF FF FF FF FF 0F 00 F2 0F 11 44 24 30 BA 16 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 4C 85 D0 74 1F 49 B8 00 00 00 00 00 00 08 00 44 89 4C 24 20 4D 0B C2 44 8B CF E8 ?? ?? ?? ?? E9 EC 03 00 00 C7 44 24 20 08 00 00 00 49 B8 00 00 00 00 00 00 F8 FF EB DF 81 FA FE 07 00 00 7E 4F 48 B8 FF FF FF FF FF FF 0F 00 48 85 D8 0F 84 BD 03 00 00 C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 F2 0F 11 44 24 30 49 B8 00 00 00 00 00 00 08 00 C7 44 24 28 21 00 00 00 44 89 4C 24 20 4C 0B C3 BA 16 00 00 00 48 8D 0D ?? ?? ?? ?? EB 88 4D 85 DB 75 39 4D 85 C0 0F 85 73 03 00 00 C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 49 B8 00 00 00 00 00 00 F8 FF C7 44 24 20 08 00 00 00 EB B4 4D 85 C0 74 CB 49 BA 00 00 00 00 00 00 10 00 3B CF 7D 12 49 8B C3 4D 3B DA 73 0A 48 03 C0 2B CF 49 3B C2 72 F6 3B D7 7D 12 49 8B C0 4D 3B C2 73 0A 48 03 C0 2B D7 49 3B C2 72 F6 4C 89 9C 24 C8 00 00 00 F2 0F 10 BC 24 C8 00 00 00 4C 89 84 24 C8 00 00 00 F2 44 0F 10 84 24 C8 00 00 00 4D 3B D8 73 18 0F 57 C0 66 0F 2F C1 76 07 0F 57 3D ?? ?? ?? ?? 0F 28 C7 E9 C8 02 00 00 0F AE 9C 24 C8 00 00 00 44 8B 9C 24 C8 00 00 00 3B CA 7F 05 45 8B D1 EB 1B 2B CA B8 4F EC C4 4E F7 E9 44 8B D2 41 C1 FA 04 41 8B C2 C1 E8 1F 44 03 D0 75 0E F2 44 0F 10 15 ?? ?? ?? ?? E9 A7 00 00 00 45 6B C2 34 B8 56 55 55 55 41 F7 E8 41 8B C0 8B CA C1 E9 1F 03 CA 2B C1 99 2B C2 BA FF 03 00 00 D1 F8 44 2B C0 48 98 44 2B C1 48 03 C2 48 63 C9 48 C1 E0 34 48 03 CA 48 C1 E1 34 48 89 8C 24 C8 00 00 00 F2 0F 10 94 24 C8 00 00 00 48 89 84 24 C8 00 00 00 49 63 C0 F2 0F 10 8C 24 C8 00 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 C8 00 00 00 F2 41 0F 59 D0 48 B8 00 00 00 00 00 00 B0 3C 44 0F 28 C2 F2 44 0F 59 C1 F2 0F 10 84 24 C8 00 00 00 48 89 84 24 C8 00 00 00 F2 44 0F 59 C0 F2 44 0F 10 94 24 C8 00 00 00 48 C7 C2 00 00 00 F8 45 0F 57 C9 45 85 D2 0F 8E CE 00 00 00 41 8B CA 0F 28 C7 F2 44 0F 11 84 24 C8 00 00 00 0F 28 DF F2 41 0F 5E C0 41 0F 28 F0 F2 48 0F 2C C0 0F 57 C0 F2 48 0F 2A C0 48 8B 84 24 C8 00 00 00 48 23 C2 48 89 84 24 D0 00 00 00 F2 0F 10 A4 24 D0 00 00 00 F2 0F 11 84 24 D8 00 00 00 0F 28 E8 F2 41 0F 59 C0 48 8B 84 24 D8 00 00 00 48 23 C2 48 89 84 24 D0 00 00 00 F2 0F 10 94 24 D0 00 00 00 F2 0F 5C D8 F2 0F 5C F4 F2 0F 5C FB F2 0F 5C EA 0F 28 CA F2 0F 59 D6 F2 0F 59 CC F2 0F 5C C8 F2 0F 5C F8 0F 28 C5 F2 0F 59 EE F2 0F 59 C4 F2 0F 58 C8 F2 0F 58 CA F2 0F 58 CD F2 0F 5C F9 F2 0F 58 FB 66 44 0F 2F CF 76 05 F2 41 0F 58 F8 F2 45 0F 59 C2 48 2B CF 0F 85 35 FF FF FF F2 44 0F 11 84 24 C8 00 00 00 0F 28 C7 0F 57 F6 48 8B 84 24 C8 00 00 00 F2 41 0F 5E C0 48 23 C2 41 0F 28 E8 48 89 84 24 C8 00 00 00 F2 0F 10 94 24 C8 00 00 00 F2 0F 5C EA F2 48 0F 2C C8 F2 48 0F 2A F1 F2 0F 11 B4 24 C8 00 00 00 0F 28 DE F2 41 0F 59 F0 48 8B 84 24 C8 00 00 00 48 23 C2 48 89 84 24 C8 00 00 00 F2 0F 10 8C 24 C8 00 00 00 F2 0F 5C D9 0F 28 E1 F2 0F 59 CD F2 0F 59 E2 0F 28 C3 F2 0F 59 DD F2 0F 5C E6 F2 0F 59 C2 F2 0F 58 E0 0F 28 C7 F2 0F 5C C6 F2 0F 58 E1 F2 0F 5C F8 F2 0F 58 E3 F2 0F 5C FE F2 0F 5C FC F2 0F 58 F8 66 44 0F 2F CF F2 0F 11 BC 24 D0 00 00 00 76 0E F2 41 0F 58 F8 F2 0F 11 BC 24 D0 00 00 00 44 89 9C 24 C8 00 00 00 0F AE 94 24 C8 00 00 00 0F 57 C0 66 0F 2F 84 24 C0 00 00 00 F2 0F 10 84 24 D0 00 00 00 76 07 0F 57 05 ?? ?? ?? ?? 4C 8D 9C 24 A8 00 00 00 41 0F 28 73 E8 41 0F 28 7B D8 45 0F 28 43 C8 45 0F 28 4B B8 45 0F 28 53 A8 49 8B E3 5F 5B C3 }
	condition:
		$1
}

rule file_849_0_0 {
	meta:
		name = "nexttowardf"
		size = 311
		refs = "0022 _fdtest 003d _ldtest 00e8 _fperrraise"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 78 20 F2 0F 11 48 10 F3 0F 11 40 08 55 48 8B EC 48 83 EC 20 48 8D 4D 10 E8 ?? ?? ?? ?? BF 80 7F 00 00 0F B7 D8 66 83 F8 02 0F 84 DA 00 00 00 48 8D 4D 18 E8 ?? ?? ?? ?? F2 0F 10 55 18 66 83 F8 02 0F 84 B9 00 00 00 F3 0F 10 4D 10 0F 5A C1 66 0F 2E C2 7A 06 0F 84 A5 00 00 00 B9 01 00 00 00 66 3B D9 75 1B 0F B7 45 12 B9 7F FF 00 00 66 23 C1 B9 7F 7F 00 00 66 0B C1 B9 FF FF 00 00 EB 17 33 D2 0F 5A C1 66 85 DB 75 17 66 0F 2F D0 B8 00 80 00 00 66 0F 47 C2 66 89 45 12 66 89 4D 10 EB 68 66 0F 2F D0 0F 57 DB 76 05 0F 2F CB 77 0E 0F 5A C1 66 0F 2F C2 76 2D 0F 2F D9 76 28 66 01 4D 10 75 46 0F B7 45 12 66 03 C1 0F B7 C8 66 89 45 12 0F BA F1 0F 3B CF 75 30 B9 08 00 00 00 E8 ?? ?? ?? ?? EB 24 0F B7 45 10 B9 FF FF 00 00 66 03 C1 66 89 45 10 66 3B C1 75 0F 66 01 4D 12 EB 09 66 0F 5A C2 F3 0F 11 45 10 66 85 7D 12 75 0A B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 45 10 48 8B 5C 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_850_1_0 {
	meta:
		name = "_mbctokata_l"
		size = 41
		refs = "0009 _ismbchira_l"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 85 C0 74 10 81 C3 A1 00 00 00 81 FB 7F 83 00 00 72 02 FF C3 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_851_0_0 {
	meta:
		name = "_strset_s"
		size = 79
		refs = "0032 _errno 003d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 48 85 C9 74 25 48 85 D2 74 20 48 8B C1 44 38 09 74 10 48 FF CA 74 0B 44 88 00 48 FF C0 44 38 08 75 F0 48 85 D2 75 1D 44 88 09 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 33 C0 EB F7 }
	condition:
		$1
}

rule file_853_0_0 {
	meta:
		name = "_putch"
		size = 46
		refs = "000e _lock 0016 _putch_nolock 0022 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 8B CB E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1299_13_0 {
	meta:
		name = "_ungetch"
		size = 46
		refs = "000e _lock 0016 _ungetch_nolock 0022 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 8B CB E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_853_2_0 {
	meta:
		name = "_putch_nolock"
		size = 177
		refs = "0015 _getptd 004b isleadbyte 0073 mbtowc 0082 _putwch_nolock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 8B F9 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 48 8B D8 48 8D B0 88 00 00 00 66 44 39 B0 8E 00 00 00 75 06 40 88 7E 01 EB 03 40 88 3E 33 ED 66 39 A8 8E 00 00 00 75 16 0F B6 0E E8 ?? ?? ?? ?? 85 C0 74 0A 66 44 89 B3 8E 00 00 00 EB 3D 0F B7 83 8E 00 00 00 48 8D 4C 24 40 48 8B D6 41 03 C6 4C 63 C0 E8 ?? ?? ?? ?? 83 F8 FF 74 14 0F B7 4C 24 40 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 03 40 B7 FF 66 89 AB 8E 00 00 00 48 8B 5C 24 48 48 8B 6C 24 50 40 0F B6 C7 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_854_4_0 {
	meta:
		name = "_mbsnbicoll_l"
		size = 255
		refs = "002d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0092 _strnicoll_l 00c4 __crtCompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 60 48 8B E9 48 8B F2 48 8D 48 D8 49 8B D1 4D 8B F1 49 8B F8 E8 ?? ?? ?? ?? 48 85 FF 75 07 33 DB E9 92 00 00 00 48 85 ED 74 05 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BB FF FF FF 7F EB 71 BB FF FF FF 7F 48 3B FB 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 55 48 8B 54 24 48 83 7A 08 00 75 15 4D 8B CE 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 35 8B 42 04 48 8B 92 20 02 00 00 48 8D 4C 24 40 89 44 24 38 89 7C 24 30 4C 8B CD 41 B8 01 10 00 00 48 89 74 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 74 03 8D 58 FE 80 7C 24 58 00 74 0C 48 8B 44 24 50 83 A0 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_855_0_0 {
	meta:
		name = "_dup"
		size = 203
		refs = "001a __doserrno 0022 _errno 0037 _nhandle 004a __pioinfo 0066 __lock_fhandle 0079 _dup_nolock 009a _unlock_fhandle 00b6 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 56 48 83 EC 20 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 89 00 00 00 85 C9 78 6D 3B 1D ?? ?? ?? ?? 73 65 48 8B C3 48 8B FB 48 C1 FF 05 4C 8D 35 ?? ?? ?? ?? 83 E0 1F 48 6B F0 58 49 8B 04 FE 0F BE 4C 30 08 83 E1 01 74 3F 8B CB E8 ?? ?? ?? ?? 90 49 8B 04 FE F6 44 30 08 01 74 0B 8B CB E8 ?? ?? ?? ?? 8B F8 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CF FF 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_855_2_0 {
	meta:
		name = "_dup_nolock"
		size = 427
		refs = "0028 __pioinfo 0050 _alloc_osfhnd 0068 _errno 0073 __doserrno 0083 __imp_GetCurrentProcess 008d _get_osfhandle 00c2 __imp_DuplicateHandle 00cc __imp_GetLastError 00de _set_osfhnd 00eb _dosmaperr 018b _unlock_fhandle"
	strings:
		$1 = { 40 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 63 D9 45 33 FF 44 89 7C 24 40 48 8B C3 4C 8B E3 49 C1 FC 05 48 8D 0D ?? ?? ?? ?? 83 E0 1F 4C 6B E8 58 4A 8B 04 E1 42 8A 44 28 08 88 84 24 90 00 00 00 A8 01 75 08 83 C8 FF E9 4C 01 00 00 E8 ?? ?? ?? ?? 4C 63 F0 44 89 B4 24 98 00 00 00 83 CE FF 44 3B F6 75 1A E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 44 21 38 8B C6 E9 1A 01 00 00 FF 15 ?? ?? ?? ?? 48 8B F8 8B CB E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 48 8B C8 C7 44 24 30 02 00 00 00 C7 44 24 28 01 00 00 00 83 64 24 20 00 4C 8D 8C 24 A0 00 00 00 4C 8B C7 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 12 48 8B 94 24 A0 00 00 00 41 8B CE E8 ?? ?? ?? ?? 33 C0 85 C0 74 10 8B C8 E8 ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? EB 70 49 8B C6 4D 8B C6 49 C1 F8 05 83 E0 1F 4C 6B C8 58 0F BE 8C 24 90 00 00 00 83 E1 EF 4C 8D 15 ?? ?? ?? ?? 4B 8B 04 C2 41 88 4C 01 08 4B 8B 14 C2 4B 8B 04 E2 42 8A 4C 28 38 41 32 4C 11 38 80 E1 7F 41 30 4C 11 38 4B 8B 14 C2 4B 8B 04 E2 42 8A 4C 28 38 41 32 4C 11 38 80 E1 7F 42 32 4C 28 38 41 88 4C 11 38 41 BF 01 00 00 00 44 89 7C 24 40 45 85 FF 75 1A 49 8B D6 49 8B CE 48 C1 F9 05 83 E2 1F 48 6B D2 58 49 8B 0C CA 80 64 11 08 FE 41 8B CE E8 ?? ?? ?? ?? 45 85 FF 41 0F 45 F6 E9 DF FE FF FF 48 83 C4 50 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_855_3_0 {
	meta:
		name = "_dup_nolock$fin$0"
		size = 71
		refs = "0020 __pioinfo 003b _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 83 7D 40 00 75 25 48 63 8D 98 00 00 00 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_857_2_0 {
	meta:
		name = "_tmpfile_helper"
		size = 448
		refs = "003b _errno 0045 _invalid_parameter_noinfo 0059 _mtinitlocknum 0073 _lock 007a tmpfile_buf 0087 init_namebuf 00a0 genfname 00ad _getstream 00ff _sopen_s 0146 _strdup 0158 _close 016d _commode 018b _unlock_file 0195 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 44 8B E2 48 8B F1 33 DB 48 89 58 E0 33 FF 45 33 F6 44 89 70 D8 33 C0 48 85 C9 0F 95 C0 85 C0 75 16 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 E9 56 01 00 00 48 21 19 B9 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0C E8 ?? ?? ?? ?? 8B 00 E9 39 01 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 80 3D ?? ?? ?? ?? 00 75 0C B9 01 00 00 00 E8 ?? ?? ?? ?? EB 17 BA 10 01 00 00 41 B8 FF FF FF 7F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 D6 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 38 48 85 C0 75 08 8D 78 18 E9 BC 00 00 00 41 BE 01 00 00 00 44 89 74 24 30 E8 ?? ?? ?? ?? 44 8B 38 E8 ?? ?? ?? ?? 83 20 00 C7 44 24 20 80 01 00 00 45 8B CC 41 B8 42 85 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 83 F8 11 75 1D BA 10 01 00 00 41 B8 FF FF FF 7F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 02 EB BC E8 ?? ?? ?? ?? 83 38 00 75 08 E8 ?? ?? ?? ?? 44 89 38 83 7C 24 60 FF 74 44 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 43 28 48 85 C0 75 0B 8B 4C 24 60 E8 ?? ?? ?? ?? EB 24 83 63 08 00 48 83 23 00 48 83 63 10 00 8B 05 ?? ?? ?? ?? 0F BA E8 07 89 43 18 8B 44 24 60 89 43 1C 48 89 1E 45 85 F6 74 08 48 8B CB E8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 07 E8 ?? ?? ?? ?? 89 38 8B C7 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_857_3_0 {
	meta:
		name = "_tmpfile_helper$fin$0"
		size = 43
		refs = "0014 _unlock_file 001f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 83 7D 30 00 74 0A 48 8B 4D 38 E8 ?? ?? ?? ?? 90 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_857_4_0 {
	meta:
		name = "_tmpnam_helper"
		size = 447
		refs = "0029 _errno 0039 _mtinitlocknum 005b _lock 0068 tmpnam_buf 0076 tmpnam_s_buf 0088 init_namebuf 009a genfname 00ac _access_s 00d4 _getptd_noexit 00f7 _malloc_crt 0114 strcpy_s 012d _invoke_watson 013a strlen 0181 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 44 89 48 20 41 54 41 55 41 56 48 83 EC 40 45 8B E0 4C 8B EA 4C 8B F1 33 DB E8 ?? ?? ?? ?? 8B 00 89 44 24 30 8D 7B 02 8B CF E8 ?? ?? ?? ?? 85 C0 75 17 48 8B 84 24 80 00 00 00 48 21 18 E8 ?? ?? ?? ?? 8B 00 E9 4D 01 00 00 8B CF E8 ?? ?? ?? ?? 90 45 85 E4 75 0E 48 8D 3D ?? ?? ?? ?? 41 8D 74 24 0E EB 0C 48 8D 3D ?? ?? ?? ?? BE 12 00 00 00 80 3F 00 75 0A 41 8B CC E8 ?? ?? ?? ?? EB 10 44 8B 44 24 78 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 D5 00 00 00 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 1A 44 8B 44 24 78 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 AF 00 00 00 EB D8 4D 85 F6 75 5E E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 0A BB 0C 00 00 00 E9 91 00 00 00 48 83 78 48 00 75 13 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 89 46 48 48 85 C0 74 DC 4C 8B 76 48 4C 8B C7 BA 0E 00 00 00 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 5F 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 45 85 E4 74 1D 48 8B CF E8 ?? ?? ?? ?? 49 3B C5 72 10 BB 22 00 00 00 4D 85 ED 74 2E 41 C6 06 00 EB 28 4C 8B C7 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 84 24 80 00 00 00 4C 89 30 E8 ?? ?? ?? ?? 85 DB 74 04 89 18 EB 06 8B 4C 24 30 89 08 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_857_5_0 {
	meta:
		name = "_tmpnam_helper$fin$0"
		size = 25
		refs = "0014 _unlock"
		altNames = "_wtmpnam_helper$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 02 00 00 00 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_857_6_0 {
	meta:
		name = "genfname"
		size = 216
		refs = "000f __security_cookie 002a _mbsrchr 004c strtoul 0068 _ultoa_s 0080 strcpy_s 008b _invalid_parameter_noinfo 009b __security_check_cookie 00bd _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 48 8B DA BA 2E 00 00 00 41 8B E8 48 8B F1 E8 ?? ?? ?? ?? 48 8D 78 01 48 3B FE 72 53 48 8B C7 48 2B C6 48 3B D8 76 48 33 D2 48 8B CF 44 8D 42 20 E8 ?? ?? ?? ?? FF C0 3B C5 73 39 41 B9 20 00 00 00 48 8D 54 24 30 8B C8 45 8D 41 E8 E8 ?? ?? ?? ?? 85 C0 75 52 48 2B DF 4C 8D 44 24 30 48 8B CF 48 8D 14 1E E8 ?? ?? ?? ?? 85 C0 75 24 EB 08 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 40 5F 5E 5D C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_857_7_0 {
	meta:
		name = "init_namebuf"
		size = 447
		refs = "001a __security_cookie 0040 memset 0057 tmpnam_s_buf 0061 ??_C@_01KICIPPFI@?2?$AA@ 006c strcpy_s 00a1 tmpfile_buf 00af tmpnam_buf 00c9 __imp_GetTempPathA 0107 __security_check_cookie 0134 _getpid 0147 _ultoa_s 0152 ??_C@_01LFCBOECM@?4?$AA@ 015d strcat_s 0178 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 81 EC 50 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 01 00 00 8B D9 48 8D 4C 24 31 33 F6 33 D2 41 B8 03 01 00 00 40 88 74 24 30 E8 ?? ?? ?? ?? 33 ED 8B D3 85 DB 74 60 FF CA 74 4E FF CA 75 64 48 8D 35 ?? ?? ?? ?? 8D 6A 12 4C 8D 05 ?? ?? ?? ?? 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 31 01 00 00 48 8D 7E 01 8A 47 FF 3C 5C 74 0A 3C 2F 74 06 C6 07 5C 48 FF C7 83 FB 01 0F 85 8E 00 00 00 C6 07 74 E9 89 00 00 00 48 8D 35 ?? ?? ?? ?? BD 10 01 00 00 EB 11 48 8D 35 ?? ?? ?? ?? BD 0E 00 00 00 83 FB 01 75 A1 48 8D 54 24 30 B9 04 01 00 00 FF 15 ?? ?? ?? ?? 8B F8 8D 4F FF 81 F9 03 01 00 00 77 1E 8D 57 01 4C 8D 44 24 30 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 79 8B C7 48 FF CF 48 03 FE EB 84 83 C8 FF 48 8B 8C 24 40 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 C6 07 73 48 FF C7 48 8B DD 48 2B DF 48 03 DE E8 ?? ?? ?? ?? 41 B9 20 00 00 00 4C 8B C3 48 8B D7 8B C8 E8 ?? ?? ?? ?? 85 C0 75 44 4C 8D 05 ?? ?? ?? ?? 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 18 EB 94 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_857_8_0 {
	meta:
		name = "tmpfile"
		size = 35
		refs = "0015 _tmpfile_helper"
	strings:
		$1 = { 48 83 EC 28 48 83 64 24 30 00 48 8D 4C 24 30 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_857_10_0 {
	meta:
		name = "tmpnam"
		size = 48
		refs = "0022 _tmpnam_helper"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 48 00 48 8D 44 24 48 41 B9 FF 7F 00 00 45 33 C0 48 83 CA FF 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 48 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1225_1_0 {
	meta:
		name = "_wtmpnam"
		size = 48
		refs = "0022 _wtmpnam_helper"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 48 00 48 8D 44 24 48 41 B9 FF 7F 00 00 45 33 C0 48 83 CA FF 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 48 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_857_11_0 {
	meta:
		name = "tmpnam_s"
		size = 64
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0037 _tmpnam_helper"
	strings:
		$1 = { 48 83 EC 38 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 1B 48 8D 44 24 40 41 B9 FF FF FF 7F 41 B8 02 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1225_4_0 {
	meta:
		name = "_wtmpnam_s"
		size = 64
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0037 _wtmpnam_helper"
	strings:
		$1 = { 48 83 EC 38 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 1B 48 8D 44 24 40 41 B9 FF FF FF 7F 41 B8 02 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_858_3_0 {
	meta:
		name = "_mbtowc_l"
		size = 337
		refs = "0063 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0093 _isleadbyte_l 00d3 __imp_MultiByteToWideChar 012a _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 45 33 F6 49 8B E8 48 8B F2 48 8B F9 48 85 D2 74 13 4D 85 C0 74 0E 44 38 32 75 26 48 85 C9 74 04 66 44 89 31 33 C0 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 48 8D 4C 24 30 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 30 4C 39 B0 38 01 00 00 75 15 48 85 FF 74 06 0F B6 06 66 89 07 BB 01 00 00 00 E9 AD 00 00 00 0F B6 0E 48 8D 54 24 30 E8 ?? ?? ?? ?? BB 01 00 00 00 85 C0 74 5A 48 8B 4C 24 30 44 8B 89 D4 00 00 00 44 3B CB 7E 2F 41 3B E9 7C 2A 8B 49 04 41 8B C6 48 85 FF 0F 95 C0 8D 53 08 4C 8B C6 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 8B 4C 24 30 85 C0 75 12 48 63 81 D4 00 00 00 48 3B E8 72 3D 44 38 76 01 74 37 8B 99 D4 00 00 00 EB 3D 41 8B C6 48 85 FF 44 8B CB 0F 95 C0 4C 8B C6 BA 09 00 00 00 89 44 24 28 48 8B 44 24 30 48 89 7C 24 20 8B 48 04 FF 15 ?? ?? ?? ?? 85 C0 75 0E E8 ?? ?? ?? ?? 83 CB FF C7 00 2A 00 00 00 44 38 74 24 48 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 8B C3 E9 EE FE FF FF }
	condition:
		$1
}

rule file_859_0_0 {
	meta:
		name = "__fma3_lib_init"
		size = 61
		refs = "002c __fma3_is_available 0033 __use_fma3_lib"
	strings:
		$1 = { 40 53 48 83 EC 10 45 33 C0 33 C9 45 8D 48 01 41 8B C1 0F A2 0F BA E1 0C 89 04 24 89 5C 24 04 45 0F 42 C1 89 54 24 0C 33 C0 44 89 05 ?? ?? ?? ?? 44 89 05 ?? ?? ?? ?? 48 83 C4 10 5B C3 }
	condition:
		$1
}

rule file_859_1_0 {
	meta:
		name = "_set_FMA3_enable"
		size = 23
		refs = "0002 __use_fma3_lib 0008 __fma3_is_available"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 45 C1 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_860_0_0 {
	meta:
		name = "__common_dtanh_cout_rare"
		size = 128
		refs = "0003 _imldTanhHATab"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 8A 41 07 24 80 C0 E8 07 44 0F B6 C8 0F B7 41 06 25 F0 7F 00 00 C1 E8 04 4F 8B 04 C8 3D FF 07 00 00 74 27 3D FE 07 00 00 75 05 4C 89 02 EB 18 F2 0F 10 09 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 59 C8 F2 0F 11 0A 33 C0 C3 F7 41 04 FF FF 0F 00 75 0A 83 39 00 75 05 4C 89 02 EB EA F2 0F 10 01 F2 0F 58 C0 F2 0F 11 02 EB DC 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_861_0_0 {
	meta:
		name = "__sse2_atanf4"
		size = 192
		refs = "0007 s_dwAbsMask 000e s_fOne 002e s_dwSignMask 0035 s_fPi2 005d s_fA8 0064 s_fA7 0071 s_fA6 0078 s_fA5 0085 s_fA4 008c s_fA3 0099 s_fA2 00a0 s_fA1 00ad s_fA0"
	strings:
		$1 = { 0F 28 E8 66 0F DB 05 ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 0F 5F D8 0F 28 E0 0F 5D 05 ?? ?? ?? ?? 0F 5E C3 66 0F 66 25 ?? ?? ?? ?? 66 0F DB 2D ?? ?? ?? ?? 0F 28 15 ?? ?? ?? ?? 66 0F DB D4 66 0F DB 25 ?? ?? ?? ?? 66 0F EF D5 66 0F EF E5 66 0F EF E0 0F 59 C0 0F 28 D8 0F 59 C0 0F 28 2D ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 59 E8 0F 59 C8 0F 58 2D ?? ?? ?? ?? 0F 58 0D ?? ?? ?? ?? 0F 59 E8 0F 59 C8 0F 58 2D ?? ?? ?? ?? 0F 58 0D ?? ?? ?? ?? 0F 59 E8 0F 59 C8 0F 58 2D ?? ?? ?? ?? 0F 58 0D ?? ?? ?? ?? 0F 59 C5 0F 59 CB 0F 58 05 ?? ?? ?? ?? 0F 58 C1 0F 59 C4 0F 58 C2 C3 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_862_0_0 {
	meta:
		name = "__addlocaleref"
		size = 140
		refs = "004c __wclocalestr"
	strings:
		$1 = { F0 FF 01 48 8B 81 D8 00 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 E8 00 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 E0 00 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 F8 00 00 00 48 85 C0 74 03 F0 FF 00 48 8D 41 28 41 B8 06 00 00 00 48 8D 15 ?? ?? ?? ?? 48 39 50 F0 74 0B 48 8B 10 48 85 D2 74 03 F0 FF 02 48 83 78 E8 00 74 0C 48 8B 50 F8 48 85 D2 74 03 F0 FF 02 48 83 C0 20 49 FF C8 75 CC 48 8B 81 20 01 00 00 F0 FF 80 5C 01 00 00 C3 }
	condition:
		$1
}

rule file_862_1_0 {
	meta:
		name = "__freetlocinfo"
		size = 406
		refs = "0026 __lconv_c 0052 free 005e __free_lconv_mon 0080 __free_lconv_num 00f9 __lc_time_c 010c __free_lc_time 012f __wclocalestr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 81 F0 00 00 00 48 8B D9 48 85 C0 74 79 48 8D 0D ?? ?? ?? ?? 48 3B C1 74 6D 48 8B 83 D8 00 00 00 48 85 C0 74 61 83 38 00 75 5C 48 8B 8B E8 00 00 00 48 85 C9 74 16 83 39 00 75 11 E8 ?? ?? ?? ?? 48 8B 8B F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B E0 00 00 00 48 85 C9 74 16 83 39 00 75 11 E8 ?? ?? ?? ?? 48 8B 8B F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 F8 00 00 00 48 85 C0 74 47 83 38 00 75 42 48 8B 8B 00 01 00 00 48 81 E9 FE 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 10 01 00 00 BF 80 00 00 00 48 2B CF E8 ?? ?? ?? ?? 48 8B 8B 18 01 00 00 48 2B CF E8 ?? ?? ?? ?? 48 8B 8B F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 20 01 00 00 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 1A 83 B9 5C 01 00 00 00 75 11 E8 ?? ?? ?? ?? 48 8B 8B 20 01 00 00 E8 ?? ?? ?? ?? 48 8D B3 28 01 00 00 48 8D 7B 28 BD 06 00 00 00 48 8D 05 ?? ?? ?? ?? 48 39 47 F0 74 1A 48 8B 0F 48 85 C9 74 12 83 39 00 75 0D E8 ?? ?? ?? ?? 48 8B 0E E8 ?? ?? ?? ?? 48 83 7F E8 00 74 13 48 8B 4F F8 48 85 C9 74 0A 83 39 00 75 05 E8 ?? ?? ?? ?? 48 83 C6 08 48 83 C7 20 48 FF CD 75 B2 48 8B CB 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_862_2_0 {
	meta:
		name = "__removelocaleref"
		size = 164
		refs = "005e __wclocalestr"
	strings:
		$1 = { 48 85 C9 0F 84 97 00 00 00 41 83 C9 FF F0 44 01 09 48 8B 81 D8 00 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 E8 00 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 E0 00 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 F8 00 00 00 48 85 C0 74 04 F0 44 01 08 48 8D 41 28 41 B8 06 00 00 00 48 8D 15 ?? ?? ?? ?? 48 39 50 F0 74 0C 48 8B 10 48 85 D2 74 04 F0 44 01 0A 48 83 78 E8 00 74 0D 48 8B 50 F8 48 85 D2 74 04 F0 44 01 0A 48 83 C0 20 49 FF C8 75 CA 48 8B 81 20 01 00 00 F0 44 01 88 5C 01 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_862_3_0 {
	meta:
		name = "__updatetlocinfo"
		size = 117
		refs = "0007 _getptd 0010 __globallocalestatus 003a _lock 0049 __ptlocinfo 004e _updatetlocinfoEx_nolock 005b _unlock 0068 _amsg_exit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 8B 0D ?? ?? ?? ?? 85 88 C8 00 00 00 74 18 48 83 B8 C0 00 00 00 00 74 0E E8 ?? ?? ?? ?? 48 8B 98 C0 00 00 00 EB 2B B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8B C0 00 00 00 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 75 08 8D 4B 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_862_5_0 {
	meta:
		name = "_updatetlocinfoEx_nolock"
		size = 98
		refs = "0026 __addlocaleref 0033 __removelocaleref 003f __initiallocinfo 004c __freetlocinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 85 D2 74 43 48 85 C9 74 3E 48 8B 19 48 3B DA 74 31 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 85 DB 74 21 48 8B CB E8 ?? ?? ?? ?? 83 3B 00 75 14 48 8D 05 ?? ?? ?? ?? 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_863_0_0 {
	meta:
		name = "ccosf"
		size = 65
		refs = "000f crealf 001c cimagf 0026 __xmm@80000000800000008000000080000000 002b _FCbuild 0033 ccoshf"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE 0F 57 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_864_0_0 {
	meta:
		name = "wcslen"
		size = 25
	strings:
		$1 = { 48 8B C1 0F B7 10 48 83 C0 02 66 85 D2 75 F4 48 2B C1 48 D1 F8 48 FF C8 C3 }
	condition:
		$1
}

rule file_866_0_0 {
	meta:
		name = "_spawnv"
		size = 69
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0041 _spawnve"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 80 3A 00 74 E2 4D 85 C0 74 DD 49 8B 00 48 85 C0 74 D5 80 38 00 74 D0 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_867_0_0 {
	meta:
		name = "sqrtf"
		size = 220
		refs = "006b ??_C@_05KGFAIMPG@sqrtf?$AA@ 0075 _handle_errorf"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 58 BA 00 00 80 7F F3 0F 11 44 24 68 41 B8 00 00 00 80 8B 4C 24 68 8B C1 23 C2 3B C2 0F 85 8D 00 00 00 F7 C1 FF FF 7F 00 74 48 F3 0F 10 4C 24 60 0F 57 C0 41 B9 01 00 00 00 44 89 4C 24 40 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 44 8B C1 C7 44 24 28 21 00 00 00 49 0F BA E8 16 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 05 00 00 00 E8 ?? ?? ?? ?? EB 5C 41 85 C8 74 45 F3 0F 10 4C 24 60 0F 57 C0 41 B9 01 00 00 00 44 89 4C 24 40 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 41 B8 00 00 C0 FF EB B0 41 85 C8 74 08 F7 C1 FF FF FF 7F EB B9 F3 0F 51 44 24 60 F3 0F 11 44 24 70 F3 0F 10 44 24 70 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_868_4_0 {
	meta:
		name = "vscan_fn"
		size = 166
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo 0057 strlen"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F8 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B F1 E8 ?? ?? ?? ?? 48 85 DB 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 43 48 85 FF 74 E6 48 8B CB E8 ?? ?? ?? ?? 4C 8B 8C 24 80 00 00 00 B9 FF FF FF 7F 48 3B C1 4C 8B C6 48 8B D7 0F 47 C1 48 8D 4C 24 20 C7 44 24 38 49 00 00 00 48 89 5C 24 30 48 89 5C 24 20 89 44 24 28 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_869_0_0 {
	meta:
		name = "__sse2_logf4"
		size = 672
		refs = "0012 flMantissaMask 001a s_dwPosInf 0022 s_dwSqrt2Addition 002d s_fOne 003d s_dwSqrt2Mask 0068 s_dwExpBias 009e s_fB2 00b0 s_fB1 00b7 s_fB0 00c4 s_fLn2 0112 s_dwAbsMask 011e s_dwPosZero 0126 s_dwNegInf 0146 s_dwSpecial1 014e s_dwSpecial2 0178 s_fDenoAdd"
	strings:
		$1 = { 48 83 EC 78 0F 29 7C 24 50 0F 29 74 24 60 66 0F 6F 25 ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 15 ?? ?? ?? ?? 66 0F DB E0 0F 28 2D ?? ?? ?? ?? 66 0F FE D4 66 0F 6F C8 66 0F DB 15 ?? ?? ?? ?? 66 0F EF EA 66 0F 72 E2 17 66 0F EB E5 66 0F 72 E0 17 0F 28 2D ?? ?? ?? ?? 0F 58 EC 0F 5C 25 ?? ?? ?? ?? 66 0F FA 05 ?? ?? ?? ?? 66 0F FE C2 0F 28 D4 0F 5E E5 0F 29 4C 24 40 66 0F 66 D9 66 0F 66 0D ?? ?? ?? ?? 0F 28 EC 0F 59 E4 66 0F DB D9 0F 28 CC 0F 59 E4 66 0F D7 D3 0F 28 1D ?? ?? ?? ?? 81 FA FF FF 00 00 75 3C 0F 59 DC 0F 59 25 ?? ?? ?? ?? 0F 58 1D ?? ?? ?? ?? 0F 5B C0 0F 59 D9 0F 59 05 ?? ?? ?? ?? 0F 58 DC 0F 5C DA 0F 59 DD 0F 58 DA 0F 58 C3 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 78 C3 0F 28 54 24 40 0F 28 F2 66 0F EF FF 66 0F 6F C6 66 0F 76 05 ?? ?? ?? ?? 66 0F DB 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 6F C6 66 0F DB 05 ?? ?? ?? ?? 66 0F 6F C8 66 0F 76 05 ?? ?? ?? ?? 66 0F DB 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 66 0D ?? ?? ?? ?? 66 0F DB CE 66 0F EB F9 66 0F 6F C6 66 0F FE 05 ?? ?? ?? ?? 66 0F 66 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 7F 7C 24 20 66 0F 6F C6 66 0F FE 05 ?? ?? ?? ?? 66 0F 66 05 ?? ?? ?? ?? 66 0F 6F C8 66 0F DB 0D ?? ?? ?? ?? 66 0F 7F 4C 24 30 66 0F 6F C8 66 0F 6F D6 66 0F EB 15 ?? ?? ?? ?? 0F 5C 15 ?? ?? ?? ?? 66 0F DB C2 66 0F 76 3D ?? ?? ?? ?? 66 0F DB F7 66 0F DF 3D ?? ?? ?? ?? 66 0F EB FE 66 0F DF CF 66 0F EB C1 66 0F 6F 25 ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 15 ?? ?? ?? ?? 66 0F DB E0 0F 28 2D ?? ?? ?? ?? 66 0F FE D4 66 0F 6F C8 66 0F DB 15 ?? ?? ?? ?? 66 0F EF EA 66 0F 72 E2 17 66 0F EB E5 66 0F 72 E0 17 0F 28 3D ?? ?? ?? ?? 0F 58 FC 0F 5C 25 ?? ?? ?? ?? 66 0F FA 05 ?? ?? ?? ?? 0F 28 EC 0F 5E E7 66 0F FE C2 0F 28 D1 66 0F 66 D9 66 0F 66 0D ?? ?? ?? ?? 0F 28 FC 0F 59 E4 66 0F DB D9 0F 28 CC 0F 59 E4 66 0F D7 D3 0F 28 1D ?? ?? ?? ?? 0F 28 15 ?? ?? ?? ?? 0F 59 DC 0F 59 D4 0F 58 1D ?? ?? ?? ?? 0F 5B C0 0F 59 D9 0F 59 05 ?? ?? ?? ?? 0F 58 DA 0F 5C DD 0F 59 DF 0F 58 DD 0F 58 C3 66 0F EB 44 24 20 0F 58 44 24 30 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 78 C3 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_871_7_0 {
	meta:
		name = "_get_tzname"
		size = 177
		refs = "0045 _tzname 004e strlen 0067 _errno 0073 _invalid_parameter_noinfo 0092 strcpy_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B D8 48 8B FA 48 8B F1 48 85 D2 74 3A 48 85 DB 74 3A 48 85 D2 74 03 C6 02 00 48 85 C9 74 2D 41 83 F9 01 77 27 49 63 E9 4C 8D 35 ?? ?? ?? ?? 49 8B 0C EE E8 ?? ?? ?? ?? 48 FF C0 48 89 06 48 85 FF 75 1E 33 C0 EB 35 48 85 DB 74 C6 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 1B 48 3B C3 76 07 B8 22 00 00 00 EB 0F 4D 8B 04 EE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_872_0_0 {
	meta:
		name = "_ldrint"
		size = 303
		refs = "0013 fegetround 0037 _ld_int 0094 __real@3ff0000000000000 00ea __real@c000000000000000 00f7 __real@4000000000000000 0126 __real@bff0000000000000"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 20 F2 0F 11 45 10 E8 ?? ?? ?? ?? 85 C0 74 7F 3D 00 01 00 00 74 4E 3D 00 02 00 00 74 22 3D 00 03 00 00 75 0B 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? F2 0F 10 45 10 48 8B 5C 24 38 48 83 C4 20 5D C3 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 E0 B8 00 80 00 00 66 85 45 16 74 D5 F2 0F 10 45 10 E9 B2 00 00 00 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 BB B8 00 80 00 00 66 85 45 16 75 B0 F2 0F 10 45 10 F2 0F 58 05 ?? ?? ?? ?? EB A6 48 8D 4D 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 8D 4D 10 66 85 C0 75 4D E8 ?? ?? ?? ?? 66 85 C0 0F 84 7A FF FF FF 48 8D 4D 10 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 65 FF FF FF F2 0F 10 45 10 B8 00 80 00 00 66 85 45 16 74 0D F2 0F 58 05 ?? ?? ?? ?? E9 4D FF FF FF F2 0F 58 05 ?? ?? ?? ?? E9 40 FF FF FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 2D FF FF FF F2 0F 10 45 10 B8 00 80 00 00 66 85 45 16 0F 84 6E FF FF FF F2 0F 58 05 ?? ?? ?? ?? E9 11 FF FF FF }
	condition:
		$1
}

rule file_1034_0_0 {
	meta:
		name = "_drint"
		size = 303
		refs = "0013 fegetround 0037 _d_int 0094 __real@3ff0000000000000 00ea __real@c000000000000000 00f7 __real@4000000000000000 0126 __real@bff0000000000000"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 20 F2 0F 11 45 10 E8 ?? ?? ?? ?? 85 C0 74 7F 3D 00 01 00 00 74 4E 3D 00 02 00 00 74 22 3D 00 03 00 00 75 0B 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? F2 0F 10 45 10 48 8B 5C 24 38 48 83 C4 20 5D C3 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 E0 B8 00 80 00 00 66 85 45 16 74 D5 F2 0F 10 45 10 E9 B2 00 00 00 48 8D 4D 10 33 D2 E8 ?? ?? ?? ?? 66 85 C0 74 BB B8 00 80 00 00 66 85 45 16 75 B0 F2 0F 10 45 10 F2 0F 58 05 ?? ?? ?? ?? EB A6 48 8D 4D 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 8D 4D 10 66 85 C0 75 4D E8 ?? ?? ?? ?? 66 85 C0 0F 84 7A FF FF FF 48 8D 4D 10 83 CA FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 65 FF FF FF F2 0F 10 45 10 B8 00 80 00 00 66 85 45 16 74 0D F2 0F 58 05 ?? ?? ?? ?? E9 4D FF FF FF F2 0F 58 05 ?? ?? ?? ?? E9 40 FF FF FF E8 ?? ?? ?? ?? 66 85 C0 0F 84 2D FF FF FF F2 0F 10 45 10 B8 00 80 00 00 66 85 45 16 0F 84 6E FF FF FF F2 0F 58 05 ?? ?? ?? ?? E9 11 FF FF FF }
	condition:
		$1
}

rule file_872_1_0 {
	meta:
		name = "rintl"
		size = 80
		refs = "0015 _ldtest 0028 _ldrint 003f _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 F2 0F 10 44 24 40 83 F9 02 76 1F E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1034_1_0 {
	meta:
		name = "rint"
		size = 80
		refs = "0015 _dtest 0028 _drint 003f _fperrraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F BF C8 F2 0F 10 44 24 40 83 F9 02 76 1F E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_873_0_0 {
	meta:
		name = "_fpieee_flt"
		size = 27
		refs = "0017 _fpieee_flt_simd"
	strings:
		$1 = { 8D 81 72 FF FF 3F 83 F8 03 76 0B 81 F9 93 00 00 C0 74 03 33 C0 C3 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_874_0_0 {
	meta:
		name = "__avx_sinhf8"
		size = 576
		refs = "0036 __common_ssinh_data 022f __common_ssinh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 F0 01 00 00 C5 7C 11 8C 24 B0 01 00 00 C5 FC 11 B4 24 D0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 4F 01 00 00 C5 FC 54 2D ?? ?? ?? ?? 49 83 E5 C0 C5 54 57 F8 C5 7C 10 0D ?? ?? ?? ?? C5 84 59 0D ?? ?? ?? ?? C5 F8 10 35 ?? ?? ?? ?? C5 F8 10 15 ?? ?? ?? ?? C4 C1 74 58 C9 C5 81 66 E6 C4 63 7D 19 FB 01 C5 E1 66 DE C5 D9 6B E3 C5 C9 EF F6 C4 C1 74 5C D9 C5 D9 63 E6 C5 F9 D7 D4 C5 64 59 0D ?? ?? ?? ?? C4 41 04 5C F9 C5 64 59 0D ?? ?? ?? ?? C4 C1 04 5C D9 C5 E4 59 E3 C5 81 72 F1 17 C4 C3 7D 19 C9 01 C4 C1 69 FE CF C4 C1 49 72 F1 17 C4 41 69 FA FF C5 69 FE CE C5 E9 FA D6 C4 43 75 18 C9 01 C5 DC 59 0D ?? ?? ?? ?? C4 63 05 18 FA 01 C5 F4 58 15 ?? ?? ?? ?? C4 C1 34 58 F7 C4 41 34 5C CF C5 6C 59 FC C5 84 59 CB C5 74 58 FB C5 DC 59 1D ?? ?? ?? ?? C4 C1 4C 59 F7 C5 E4 58 0D ?? ?? ?? ?? C5 F4 59 D4 C5 EC 58 1D ?? ?? ?? ?? C5 E4 59 E4 C4 C1 5C 59 C9 C5 CC 58 D1 C4 41 6C 58 C9 C4 C1 54 56 C9 84 D2 75 2F C5 FC 10 B4 24 D0 01 00 00 C5 7C 10 8C 24 B0 01 00 00 C5 7C 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 C1 33 C0 C5 FC 11 BC 24 E0 00 00 00 C5 7C 11 84 24 C0 00 00 00 C5 7C 11 94 24 A0 00 00 00 C5 7C 11 9C 24 80 00 00 00 C5 7C 11 64 24 60 C5 7C 11 6C 24 40 C5 7C 11 74 24 20 48 89 9C 24 08 01 00 00 8B D8 48 89 B4 24 00 01 00 00 8B F2 0F A3 DE 72 58 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 E0 00 00 00 C5 7C 10 84 24 C0 00 00 00 C5 7C 10 94 24 A0 00 00 00 C5 7C 10 9C 24 80 00 00 00 C5 7C 10 64 24 60 C5 7C 10 6C 24 40 C5 7C 10 74 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 08 01 00 00 48 8B B4 24 00 01 00 00 E9 18 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 94 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_875_0_0 {
	meta:
		name = "_strset"
		size = 16
	strings:
		$1 = { 48 8B C1 EB 05 88 11 48 FF C1 80 39 00 75 F6 C3 }
	condition:
		$1
}

rule file_876_4_0 {
	meta:
		name = "_mbsnbcat_l"
		size = 328
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0054 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006d strncat 009f _mbsbtype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B E8 48 8B FA 48 8B D9 4D 85 C0 75 08 48 8B C1 E9 09 01 00 00 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 ED 00 00 00 48 85 D2 74 E4 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 00 75 16 4C 8B C5 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 E9 A4 00 00 00 48 8B F3 8A 03 48 FF C3 84 C0 75 F7 48 FF CB 48 3B DE 74 1E 8B C3 4C 8D 44 24 20 48 8B CE 2B C6 FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 03 48 FF CB 0F B6 0F 48 8B 44 24 28 48 FF CD F6 44 01 19 04 88 0B 74 20 48 FF C3 48 85 ED 74 29 8A 47 01 48 FF CD 48 83 C7 02 88 03 48 FF C3 84 C0 75 0F 88 43 FE EB 15 48 FF C3 48 FF C7 84 C9 74 0B 48 85 ED 74 06 EB BB C6 43 FF 00 48 3B DE 74 21 8B C3 4C 8D 44 24 20 48 8B CE 2B C6 FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 06 C6 43 FF 00 EB 03 C6 03 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 8B C6 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_877_0_0 {
	meta:
		name = "_swab"
		size = 88
		refs = "000d _errno 001c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 4C 8B C9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 48 85 D2 74 E7 45 85 C0 78 E2 41 83 F8 01 7E 23 41 83 C0 FE 41 D1 E8 41 FF C0 41 8A 41 01 41 8A 09 4D 8D 49 02 88 02 88 4A 01 48 8D 52 02 49 FF C8 75 E7 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_881_0_0 {
	meta:
		name = "__sse2_powf4"
		size = 1200
		refs = "0010 __common_spow_data 00dd _2il0floatpacket_128 04a1 __common_spow_cout_rare"
	strings:
		$1 = { 48 81 EC A8 01 00 00 0F 28 D0 0F 12 D0 48 8D 15 ?? ?? ?? ?? 44 0F 29 9C 24 90 01 00 00 0F 28 D9 0F 29 BC 24 70 01 00 00 0F 5A F8 44 0F 5A DA 0F 5A D1 44 0F 29 BC 24 00 01 00 00 44 0F 29 B4 24 10 01 00 00 44 0F 29 AC 24 20 01 00 00 44 0F 29 A4 24 30 01 00 00 44 0F 29 94 24 40 01 00 00 44 0F 29 8C 24 50 01 00 00 44 0F 29 84 24 60 01 00 00 0F 29 B4 24 80 01 00 00 4C 89 AC 24 A0 01 00 00 4C 8D 6C 24 6F 44 0F 28 2D ?? ?? ?? ?? 49 83 E5 C0 45 0F 28 FD 45 0F 54 EB 0F 28 25 ?? ?? ?? ?? 44 0F 54 FF 44 0F 56 FC 44 0F 56 EC 66 41 0F 5A EF 66 45 0F 5A CD 0F 16 ED 66 0F 73 D7 14 45 0F 16 C9 66 41 0F 73 D3 14 44 0F 53 C5 45 0F 53 D1 41 0F 5A E0 41 0F 5A EA 44 0F 28 25 ?? ?? ?? ?? 66 41 0F 58 E4 66 41 0F 58 EC 66 41 0F 5C E4 66 41 0F 5C EC 66 44 0F 59 FC 66 44 0F 59 ED 44 0F 28 CC 44 0F 28 D5 66 41 0F 73 D1 28 66 41 0F 73 D2 28 66 41 0F 70 F1 02 41 0F C6 FB DD 44 0F 28 1D ?? ?? ?? ?? 66 0F 7E F1 0F 28 35 ?? ?? ?? ?? 0F 12 D9 66 45 0F 5C FB 66 45 0F 5C EB F3 44 0F E6 E7 0F 5A DB 66 45 0F 7E D0 66 44 0F 7E C8 66 45 0F 70 DA 02 44 0F 28 D6 66 0F 70 FF EE 66 44 0F C2 D4 01 66 0F C2 F5 01 F3 0F E6 FF 66 45 0F 7E D9 44 0F 28 1D ?? ?? ?? ?? 0F 28 25 ?? ?? ?? ?? 45 0F 54 D3 41 0F 54 F3 44 0F 56 D4 0F 56 F4 45 0F 28 DF 66 45 0F 5C E2 66 0F 5C FE 66 45 0F 59 DF 0F 28 2D ?? ?? ?? ?? 41 0F 28 F5 66 44 0F 59 E5 66 0F 59 FD 66 41 0F 59 F5 0F 28 2D ?? ?? ?? ?? 0F 28 E5 66 41 0F 59 E7 66 41 0F 59 ED 44 0F 28 15 ?? ?? ?? ?? 66 41 0F 58 E2 66 41 0F 58 EA 66 41 0F 59 E3 66 0F 59 EE 66 44 0F 58 FC 66 44 0F 58 ED 48 63 C0 4D 63 C0 48 63 C9 4D 63 C9 F2 44 0F 10 84 10 80 A1 BF FF F2 45 0F 10 8C 10 80 A1 BF FF 66 44 0F 16 84 11 80 A1 BF FF 66 45 0F 16 8C 11 80 A1 BF FF 66 45 0F 58 F8 66 45 0F 58 E9 66 45 0F 58 FC 66 44 0F 58 EF 66 44 0F 59 FA 66 44 0F 59 EB 44 0F 28 0D ?? ?? ?? ?? 45 0F 28 D1 66 45 0F 59 D7 66 45 0F 59 CD 0F 28 15 ?? ?? ?? ?? 45 0F 28 C2 41 0F 28 F9 66 44 0F 5C C2 66 0F 5C FA 0F 28 1D ?? ?? ?? ?? 66 44 0F 58 C3 66 0F 58 FB 45 0F 28 E0 44 0F 28 DF 0F 29 44 24 20 66 0F FA 05 ?? ?? ?? ?? 66 44 0F 5C E3 66 44 0F 5C DB 66 45 0F 5C D4 66 45 0F 5C CB 66 44 0F 6F 35 ?? ?? ?? ?? 66 0F 6F D0 45 0F C6 FD DD 66 44 0F DB F1 66 44 0F 6F 2D ?? ?? ?? ?? 66 41 0F 66 D5 66 41 0F 76 C5 66 0F EB D0 66 45 0F 6F EE 66 0F 6F 05 ?? ?? ?? ?? 66 44 0F 66 E8 66 44 0F 76 F0 66 44 0F DB 3D ?? ?? ?? ?? 66 45 0F EB EE 66 44 0F 66 3D ?? ?? ?? ?? 66 41 0F EB D5 0F 28 05 ?? ?? ?? ?? 66 41 0F EB D7 45 0F 28 F8 66 41 0F 73 D0 0B 44 0F 54 F8 0F 54 C7 66 45 0F 7E FA 66 0F 73 D7 0B 66 0F 7E C1 66 41 0F 73 F0 34 44 0F 28 35 ?? ?? ?? ?? 66 0F 73 F7 34 66 45 0F C5 DF 04 66 44 0F C5 C0 04 66 45 0F 59 D6 66 45 0F 59 CE 0F 50 C2 41 C1 E2 03 C1 E1 03 41 C1 E3 03 41 C1 E0 03 85 C0 F3 41 0F 7E 94 12 00 36 00 00 F3 0F 7E 9C 11 00 36 00 00 66 41 0F 16 94 13 00 36 00 00 66 41 0F 16 9C 10 00 36 00 00 66 44 0F 59 D2 66 44 0F 59 CB 66 44 0F 58 D2 66 44 0F 58 CB 66 45 0F D4 D0 66 44 0F D4 CF 66 41 0F 5A C2 66 41 0F 5A E1 0F 16 C4 75 68 0F 28 B4 24 80 01 00 00 0F 28 BC 24 70 01 00 00 44 0F 28 84 24 60 01 00 00 44 0F 28 8C 24 50 01 00 00 44 0F 28 94 24 40 01 00 00 44 0F 28 9C 24 90 01 00 00 44 0F 28 A4 24 30 01 00 00 44 0F 28 AC 24 20 01 00 00 44 0F 28 B4 24 10 01 00 00 44 0F 28 BC 24 00 01 00 00 4C 8B AC 24 A0 01 00 00 48 81 C4 A8 01 00 00 C3 0F 28 54 24 20 41 0F 29 55 00 41 0F 29 4D 40 41 0F 29 85 80 00 00 00 0F 84 7B FF FF FF 33 D2 48 89 5C 24 28 8B DA 48 89 74 24 20 8B F0 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 1E FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 85 80 00 00 00 E9 3D FF FF FF 49 8D 4C 9D 00 49 8D 54 9D 40 4D 8D 84 9D 80 00 00 00 E8 ?? ?? ?? ?? EB C9 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_882_0_0 {
	meta:
		name = "_putwch"
		size = 50
		refs = "000f _lock 0018 _putwch_nolock 0025 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 0F B7 CB E8 ?? ?? ?? ?? 0F B7 D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1170_6_0 {
	meta:
		name = "_ungetwch"
		size = 50
		refs = "000f _lock 0018 _ungetwch_nolock 0025 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 0F B7 CB E8 ?? ?? ?? ?? 0F B7 D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_882_2_0 {
	meta:
		name = "_putwch_nolock"
		size = 89
		refs = "000c _confh 0017 __initconout 0047 __imp_WriteConsoleW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 75 07 B8 FF FF 00 00 EB 25 48 83 64 24 20 00 4C 8D 4C 24 48 48 8D 54 24 40 41 B8 01 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 D9 0F B7 44 24 40 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_883_0_0 {
	meta:
		name = "_calloc_crt"
		size = 127
		refs = "002f _calloc_impl 003d _maxwait 0046 __crtSleep"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 48 8B F2 48 8B E9 41 83 CE FF 45 33 C0 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 26 39 05 ?? ?? ?? ?? 76 1E 8B CB E8 ?? ?? ?? ?? 8D 8B E8 03 00 00 3B 0D ?? ?? ?? ?? 8B D9 41 0F 47 DE 41 3B DE 75 C4 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_883_1_0 {
	meta:
		name = "_malloc_crt"
		size = 122
		refs = "001b _maxwait 002c malloc 003f __crtSleep"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B 35 ?? ?? ?? ?? 33 DB 48 8B E9 41 83 CE FF 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 24 85 F6 74 20 8B CB E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8D 8B E8 03 00 00 3B CE 8B D9 41 0F 47 DE 41 3B DE 75 CC 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_883_2_0 {
	meta:
		name = "_realloc_crt"
		size = 129
		refs = "002c realloc 003f _maxwait 0048 __crtSleep"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 48 8B F2 48 8B E9 41 83 CE FF 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 2B 48 85 F6 74 26 39 05 ?? ?? ?? ?? 76 1E 8B CB E8 ?? ?? ?? ?? 8D 8B E8 03 00 00 3B 0D ?? ?? ?? ?? 8B D9 41 0F 47 DE 41 3B DE 75 C2 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_883_3_0 {
	meta:
		name = "_recalloc_crt"
		size = 132
		refs = "0031 _recalloc 0044 _maxwait 004d __crtSleep"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 49 8B F0 48 8B EA 41 83 CF FF 4C 8B F1 4C 8B C6 48 8B D5 49 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 2B 48 85 F6 74 26 39 05 ?? ?? ?? ?? 76 1E 8B CB E8 ?? ?? ?? ?? 8D 8B E8 03 00 00 3B 0D ?? ?? ?? ?? 8B D9 41 0F 47 DF 41 3B DF 75 BF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B C7 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_883_5_0 {
	meta:
		name = "wait_a_bit"
		size = 39
		refs = "0009 __crtSleep 0018 _maxwait"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 83 C8 FF 81 C3 E8 03 00 00 3B 1D ?? ?? ?? ?? 0F 47 D8 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_884_0_0 {
	meta:
		name = "__avx_atan4"
		size = 656
		refs = "006c __common_datan_data"
	strings:
		$1 = { 55 48 81 EC 30 02 00 00 48 8D 6C 24 20 C5 7C 11 BD C0 00 00 00 C5 7C 11 B5 E0 00 00 00 C5 7C 11 AD 00 01 00 00 C5 7C 11 A5 20 01 00 00 C5 7C 11 9D 40 01 00 00 C5 7C 11 95 60 01 00 00 C5 7C 11 8D 80 01 00 00 C5 7C 11 85 A0 01 00 00 C5 FC 11 BD C0 01 00 00 C5 FC 11 B5 E0 01 00 00 4C 89 AD 00 02 00 00 4C 8D 6D 3F C5 FD 10 35 ?? ?? ?? ?? 49 83 E5 C0 C5 FD 10 25 ?? ?? ?? ?? C5 7D 10 35 ?? ?? ?? ?? C5 7D 10 3D ?? ?? ?? ?? C5 7D 10 2D ?? ?? ?? ?? C5 FD 54 1D ?? ?? ?? ?? C5 7D 54 C6 C5 E5 C2 C4 12 C5 DD 5D D3 C5 FD 55 0D ?? ?? ?? ?? C4 C1 75 57 E8 C5 E5 5F CC C5 FD 10 1D ?? ?? ?? ?? C4 C1 7D 11 6D 00 C5 FD 10 25 ?? ?? ?? ?? C5 FD 10 2D ?? ?? ?? ?? C5 6D 5E D1 C5 FD 10 0D ?? ?? ?? ?? C5 FD 10 15 ?? ?? ?? ?? C5 7D 10 25 ?? ?? ?? ?? C5 FD 55 FE C4 41 45 57 C8 C4 41 35 57 DA C4 41 7D 11 5D 20 C4 41 25 59 DB C5 FD 10 05 ?? ?? ?? ?? C5 FD 10 35 ?? ?? ?? ?? C5 FD 10 3D ?? ?? ?? ?? C4 41 7D 11 5D 40 C4 41 25 59 DB C5 7D 10 05 ?? ?? ?? ?? C5 7D 10 15 ?? ?? ?? ?? C4 41 7D 11 5D 60 C4 41 25 59 DB C5 7D 10 0D ?? ?? ?? ?? C4 41 0D 59 F3 C4 C1 65 59 DB C4 41 15 59 EB C4 41 0D 58 F7 C5 E5 58 DC C5 95 58 E5 C4 41 75 59 FB C4 C1 0D 59 EB C4 C1 65 59 DB C4 C1 5D 59 E3 C5 85 58 D2 C5 D5 58 E8 C5 E5 58 FF C4 41 5D 58 E8 C4 C1 6D 59 CB C4 C1 55 59 D3 C4 41 45 59 C3 C5 F5 58 C6 C4 41 6D 58 F1 C5 BD 58 15 ?? ?? ?? ?? C4 C1 7D 59 F3 C4 41 15 59 CB C4 C1 6D 59 DB C5 7C 10 AD 00 01 00 00 C4 41 4D 58 FA C5 B5 58 25 ?? ?? ?? ?? C5 E5 58 05 ?? ?? ?? ?? C4 C1 05 59 CB C4 41 0D 59 D3 C4 41 5D 59 DB C5 7C 10 B5 E0 00 00 00 C5 7C 10 BD C0 00 00 00 C5 F5 58 35 ?? ?? ?? ?? C5 AD 58 2D ?? ?? ?? ?? C4 C1 25 58 D4 C4 C1 7D 10 4D 40 C5 7C 10 95 60 01 00 00 C5 7C 10 9D 40 01 00 00 C5 55 59 E1 C5 CD 59 E9 C5 FC 10 B5 E0 01 00 00 C5 9D 58 D8 C5 D5 58 FA C5 7C 10 A5 20 01 00 00 C4 C1 65 59 65 60 C5 5D 58 C7 C5 FC 10 BD C0 01 00 00 C4 41 3D 59 4D 20 C5 7C 10 85 A0 01 00 00 C4 C1 35 58 45 00 C5 7C 10 8D 80 01 00 00 4C 8B AD 00 02 00 00 48 8D A5 10 02 00 00 5D C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_885_0_0 {
	meta:
		name = "_cwait"
		size = 182
		refs = "0027 __imp_WaitForSingleObject 0039 __imp_GetExitCodeProcess 0048 __imp_GetLastError 0052 _errno 005d __doserrno 0072 _dosmaperr 0083 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 20 48 8D 42 02 48 8B FA 48 8B F1 48 83 F8 01 76 78 83 CA FF 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 75 17 48 8D 54 24 38 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 74 05 48 8B DF EB 38 FF 15 ?? ?? ?? ?? 83 F8 06 75 18 E8 ?? ?? ?? ?? C7 00 0A 00 00 00 E8 ?? ?? ?? ?? C7 00 06 00 00 00 EB 0D FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 83 CB FF 89 5C 24 38 48 8B CF FF 15 ?? ?? ?? ?? 48 85 F6 74 06 8B 4C 24 38 89 0E 48 8B C3 EB 0F E8 ?? ?? ?? ?? C7 00 0A 00 00 00 48 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_886_3_0 {
	meta:
		name = "_strcoll_l"
		size = 184
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0051 strcmp 007d __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 60 48 8B F9 48 8B DA 48 8D 4C 24 40 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 57 48 8B 44 24 40 48 8B 90 30 01 00 00 48 85 D2 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 43 8B 40 08 48 8D 4C 24 40 4C 8B CF 89 44 24 38 83 C8 FF 41 B8 00 10 00 00 89 44 24 30 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_887_1_0 {
	meta:
		name = "_wcsdup"
		size = 117
		refs = "0018 wcslen 0029 calloc 0040 wcscpy_s 0070 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B D9 48 85 C9 74 36 E8 ?? ?? ?? ?? BA 02 00 00 00 48 8D 48 01 48 8B F0 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 18 48 8D 56 01 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 17 48 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_888_0_0 {
	meta:
		name = "memcmp"
		size = 199
	strings:
		$1 = { 48 2B D1 49 83 F8 08 72 22 F6 C1 07 74 14 66 90 8A 01 3A 04 0A 75 2C 48 FF C1 49 FF C8 F6 C1 07 75 EE 4D 8B C8 49 C1 E9 03 75 1F 4D 85 C0 74 0F 8A 01 3A 04 0A 75 0C 48 FF C1 49 FF C8 75 F1 48 33 C0 C3 1B C0 83 D8 FF C3 90 49 C1 E9 02 74 37 48 8B 01 48 3B 04 0A 75 5B 48 8B 41 08 48 3B 44 0A 08 75 4C 48 8B 41 10 48 3B 44 0A 10 75 3D 48 8B 41 18 48 3B 44 0A 18 75 2E 48 83 C1 20 49 FF C9 75 CD 49 83 E0 1F 4D 8B C8 49 C1 E9 03 74 9B 48 8B 01 48 3B 04 0A 75 1B 48 83 C1 08 49 FF C9 75 EE 49 83 E0 07 EB 83 48 83 C1 08 48 83 C1 08 48 83 C1 08 48 8B 0C 11 48 0F C8 48 0F C9 48 3B C1 1B C0 83 D8 FF C3 }
	condition:
		$1
}

rule file_889_0_0 {
	meta:
		name = "ilogbf"
		size = 68
		refs = "0015 _fdunscale"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 1A FF C9 74 0F FF C9 74 0B 0F B7 44 24 38 66 FF C8 98 EB 0C B8 FF FF FF 7F EB 05 B8 00 00 00 80 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_891_4_0 {
	meta:
		name = "_mbbtombc_l"
		size = 169
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002b __ImageBase 0033 mbbtable 0055 mbctable"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 81 78 04 A4 03 00 00 75 6E 8D 43 E0 83 F8 5E 77 11 48 8D 0D ?? ?? ?? ?? 0F B7 9C 41 ?? ?? ?? ?? EB 55 81 FB DC 00 00 00 75 07 BB 8F 83 00 00 EB 46 8D 83 5F FF FF FF 83 F8 3E 77 3B 8A 05 ?? ?? ?? ?? 33 D2 84 C0 74 2F 45 33 C0 48 8D 0D ?? ?? ?? ?? 0F B6 C0 3B D8 74 13 42 8A 84 81 ?? ?? ?? ?? 49 FF C0 FF C2 84 C0 75 E8 EB 0B 48 63 C2 0F B7 9C 81 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_891_6_0 {
	meta:
		name = "_mbctombb_l"
		size = 206
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002d mbbtable 0055 mbctable"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 45 33 D2 81 78 04 A4 03 00 00 0F 85 8C 00 00 00 41 8B D2 48 8D 0D ?? ?? ?? ?? 0F B7 01 3B D8 74 78 48 8D 05 ?? ?? ?? ?? 48 83 C1 02 FF C2 48 3B C8 7E E7 81 FB 96 83 00 00 77 61 44 38 15 ?? ?? ?? ?? 41 8B CA 74 55 4D 8B C2 49 8B C2 4C 8D 1D ?? ?? ?? ?? 46 0F B7 4C 18 02 8B D3 41 2B D1 74 2E 44 33 CB 41 F7 C1 00 FF 00 00 75 0E 85 D2 7E 0A 42 0F BE 44 18 01 3B D0 78 14 49 FF C0 FF C1 49 8B C0 48 C1 E0 02 46 38 14 18 74 0F EB C5 48 63 C1 41 0F B6 1C 83 EB 03 8D 5A 20 44 38 54 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_892_0_0 {
	meta:
		name = "_j0"
		size = 576
		refs = "0037 __xmm@80000000000000008000000000000000 003f __real@401e000000000000 004e J0p 0080 J0q 00cb __real@4020000000000000 00d4 P0p 0110 P0q 014d Q0p 0184 Q0q 01c4 __real@3fe921fb54442d18 01d5 cos 01e5 sin 01ee __real@400921fb54442d18 0204 __real@4000000000000000 020e sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 0F 57 C9 44 0F 28 C0 66 0F 2F C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 76 08 44 0F 57 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 66 41 0F 2F C8 72 7C F2 0F 10 05 ?? ?? ?? ?? F2 45 0F 59 C0 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 00 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 41 0F 59 C0 48 3B C1 7F E7 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 D0 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 41 0F 59 D0 48 3B C1 7F E7 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 CA F2 0F 5E C1 E9 50 01 00 00 F2 44 0F 10 1D ?? ?? ?? ?? F2 44 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 45 0F 5E D8 41 0F 28 CB F2 41 0F 59 CB F2 44 0F 59 C9 F2 44 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C9 48 3B C1 7F E6 F2 0F 10 15 ?? ?? ?? ?? F2 44 0F 58 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 15 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 59 D1 F2 44 0F 5E C8 F2 44 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 D1 48 3B C1 7F E6 F2 0F 10 15 ?? ?? ?? ?? F2 44 0F 58 15 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 41 0F 28 F0 F2 0F 5C 35 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E D0 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 44 0F 59 05 ?? ?? ?? ?? F2 45 0F 59 D3 F2 41 0F 59 C2 F2 0F 5C F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C0 E8 ?? ?? ?? ?? F2 0F 59 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_892_1_0 {
	meta:
		name = "_j1"
		size = 619
		refs = "003d __xmm@80000000000000008000000000000000 0048 __real@401e000000000000 005b J1p 008f J1q 00e9 __real@4020000000000000 00f2 P1p 012e P1q 016b Q1p 01a2 Q1q 01e2 __real@4002d97c7f3321d2 01f3 cos 0203 sin 020c __real@400921fb54442d18 0222 __real@4000000000000000 022c sqrt"
	strings:
		$1 = { 48 8B C4 53 48 81 EC 80 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 0F 57 C9 44 0F 28 C0 BB 01 00 00 00 66 0F 2F C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 76 0B 44 0F 57 05 ?? ?? ?? ?? 83 CB FF F2 0F 10 0D ?? ?? ?? ?? 66 41 0F 2F C8 0F 82 8D 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 41 0F 28 C0 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 59 C8 F2 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 C8 48 3B C1 7F E8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D0 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C2 F2 0F 5E C8 66 0F 6E C3 F3 0F E6 C0 F2 41 0F 59 C0 F2 0F 59 C1 E9 5C 01 00 00 F2 44 0F 10 1D ?? ?? ?? ?? F2 44 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 45 0F 5E D8 41 0F 28 CB F2 41 0F 59 CB F2 44 0F 59 C9 F2 44 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C9 48 3B C1 7F E6 F2 0F 10 15 ?? ?? ?? ?? F2 44 0F 58 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 15 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 59 D1 F2 44 0F 5E C8 F2 44 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 D1 48 3B C1 7F E6 F2 0F 10 15 ?? ?? ?? ?? F2 44 0F 58 15 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 41 0F 28 F0 F2 0F 5C 35 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E D0 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 44 0F 59 05 ?? ?? ?? ?? F2 45 0F 59 D3 F2 41 0F 59 C2 F2 0F 5C F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C0 E8 ?? ?? ?? ?? 66 0F 6E CB F3 0F E6 C9 F2 0F 59 C1 F2 0F 59 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 80 00 00 00 5B C3 }
	condition:
		$1
}

rule file_892_2_0 {
	meta:
		name = "_jn"
		size = 381
		refs = "0022 __xmm@80000000000000008000000000000000 0030 _j0 0042 _j1 006d fabs 009b __real@4000000000000000 0104 __real@3ff0000000000000"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 29 74 24 40 0F 29 7C 24 30 8B D9 0F 28 F9 44 0F 29 44 24 20 85 C9 79 09 0F 57 3D ?? ?? ?? ?? F7 DB 85 DB 75 0D 0F 28 C7 E8 ?? ?? ?? ?? E9 2E 01 00 00 83 FB 01 75 0D 0F 28 C7 E8 ?? ?? ?? ?? E9 1C 01 00 00 45 0F 57 C0 66 41 0F 2E F8 7A 0B 75 09 41 0F 28 C0 E9 06 01 00 00 66 0F 6E F3 0F 28 C7 F3 0F E6 F6 E8 ?? ?? ?? ?? 03 DB 66 0F 2F C6 76 5E 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 F0 0F 28 C7 E8 ?? ?? ?? ?? B8 04 00 00 00 0F 28 D0 0F 28 D8 F2 0F 59 15 ?? ?? ?? ?? F2 0F 5E D7 F2 0F 5C D6 3B D8 74 24 66 0F 6E C0 0F 28 CB 0F 28 DA 83 C0 02 F3 0F E6 C0 F2 0F 59 C2 0F 28 D0 F2 0F 5E D7 F2 0F 5C D1 3B C3 75 DC 0F 28 C2 E9 90 00 00 00 0F 28 CF 8D 43 24 F2 0F 59 CF EB 19 66 0F 6E C0 83 E8 02 F3 0F E6 C0 F2 41 0F 5C C0 44 0F 28 C1 F2 44 0F 5E C0 3B C3 7F E3 F2 0F 10 15 ?? ?? ?? ?? 66 0F 6E C3 83 C3 FE 66 0F 6E F3 F3 0F E6 C0 F2 41 0F 5C C0 44 0F 28 C7 F3 0F E6 F6 F2 44 0F 5E C0 F2 0F 5E F7 F2 41 0F 5C F0 EB 1D 0F 28 CA 0F 28 D6 66 0F 6E C3 F3 0F E6 C0 F2 0F 59 C6 0F 28 F0 F2 0F 5E F7 F2 0F 5C F1 83 EB 02 75 DE 0F 28 C7 E8 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 5E C6 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_892_3_0 {
	meta:
		name = "_y0"
		size = 638
		refs = "0037 _d_ind 0044 domain_err 0051 __real@401e000000000000 0064 Y0p 0098 Y0q 00dc _j0 00eb __real@3fe45f306dc9c883 00f0 log 0106 __real@4020000000000000 010f P0p 014b P0q 0188 Q0p 01bf Q0q 01ff __real@3fe921fb54442d18 0210 cos 0225 sin 022e __real@400921fb54442d18 0239 __real@4000000000000000 024c sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 0F 57 C9 66 0F 2F C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 44 0F 28 D0 76 1A F2 0F 10 15 ?? ?? ?? ?? 0F 28 C8 B9 22 00 00 00 E8 ?? ?? ?? ?? E9 07 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C2 0F 82 A1 00 00 00 F2 0F 10 3D ?? ?? ?? ?? 41 0F 28 C2 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 C2 F2 0F 59 F8 F2 0F 58 38 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 F8 48 3B C1 7F E8 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 C8 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 5E F8 41 0F 28 C2 E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C2 F2 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 58 C7 E9 53 01 00 00 F2 44 0F 10 1D ?? ?? ?? ?? F2 44 0F 10 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 45 0F 5E DA 41 0F 28 CB F2 41 0F 59 CB F2 44 0F 59 C1 F2 44 0F 58 00 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C1 48 3B C1 7F E6 F2 0F 10 15 ?? ?? ?? ?? F2 44 0F 58 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 59 C9 F2 44 0F 5E C0 F2 44 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C9 48 3B C1 7F E6 F2 0F 10 15 ?? ?? ?? ?? F2 44 0F 58 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 41 0F 28 F2 F2 0F 5C 35 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 F2 45 0F 59 CB F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 44 0F 59 15 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C2 F2 41 0F 59 F0 F2 0F 58 F7 E8 ?? ?? ?? ?? F2 0F 59 C6 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_892_4_0 {
	meta:
		name = "_y1"
		size = 663
		refs = "0037 _d_ind 0044 domain_err 0051 __real@401e000000000000 0064 Y1p 0098 Y1q 00dc _j1 00e8 log 00f0 __real@3ff0000000000000 010a __real@3fe45f306dc9c883 011f __real@4020000000000000 0128 P1p 0164 P1q 01a1 Q1p 01d8 Q1q 0218 __real@4002d97c7f3321d2 0229 cos 023e sin 0247 __real@400921fb54442d18 0252 __real@4000000000000000 0265 sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 0F 57 C9 66 0F 2F C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 44 0F 28 D0 76 1A F2 0F 10 15 ?? ?? ?? ?? 0F 28 C8 B9 23 00 00 00 E8 ?? ?? ?? ?? E9 20 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C2 0F 82 BA 00 00 00 F2 0F 10 3D ?? ?? ?? ?? 41 0F 28 C2 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 C2 F2 0F 59 F8 F2 0F 58 38 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 F8 48 3B C1 7F E8 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 C8 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 5E F8 41 0F 28 C2 E8 ?? ?? ?? ?? 0F 28 F0 41 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 F0 F2 41 0F 5E CA F2 41 0F 59 FA F2 0F 5C F1 F2 0F 59 35 ?? ?? ?? ?? F2 0F 58 F7 0F 28 C6 E9 53 01 00 00 F2 44 0F 10 1D ?? ?? ?? ?? F2 44 0F 10 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 45 0F 5E DA 41 0F 28 CB F2 41 0F 59 CB F2 44 0F 59 C1 F2 44 0F 58 00 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C1 48 3B C1 7F E6 F2 0F 10 15 ?? ?? ?? ?? F2 44 0F 58 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 59 C9 F2 44 0F 5E C0 F2 44 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C9 48 3B C1 7F E6 F2 0F 10 15 ?? ?? ?? ?? F2 44 0F 58 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 41 0F 28 F2 F2 0F 5C 35 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 F2 45 0F 59 CB F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 44 0F 59 15 ?? ?? ?? ?? 0F 28 F0 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C2 F2 41 0F 59 F0 F2 0F 58 F7 E8 ?? ?? ?? ?? F2 0F 59 C6 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_892_5_0 {
	meta:
		name = "_yn"
		size = 231
		refs = "002b _d_ind 0035 domain_err 005a _y0 0072 _y1 008d __real@4000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 50 0F 29 70 E8 0F 29 78 D8 0F 57 F6 0F 28 F9 8B D9 66 0F 2F F1 44 0F 29 40 C8 76 17 F2 0F 10 15 ?? ?? ?? ?? B9 24 00 00 00 E8 ?? ?? ?? ?? E9 8E 00 00 00 BF 01 00 00 00 85 C9 79 0B F7 DB 8D 47 FE 40 84 DF 0F 45 F8 0F 28 C1 85 DB 75 13 E8 ?? ?? ?? ?? 66 0F 6E CF F3 0F E6 C9 F2 0F 59 C1 EB 60 83 FB 01 75 07 E8 ?? ?? ?? ?? EB E6 E8 ?? ?? ?? ?? 44 0F 28 C0 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E CF 3B D8 7E 22 66 0F 6E F0 FF C0 F3 0F E6 F6 F2 0F 59 F1 F2 0F 59 F0 F2 41 0F 5C F0 44 0F 28 C0 0F 28 C6 3B C3 7C DE 66 0F 6E C7 F3 0F E6 C0 F2 0F 59 C6 48 8B 5C 24 60 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_892_6_0 {
	meta:
		name = "domain_err"
		size = 78
		refs = "0023 _ctrlfp 003a _except1"
	strings:
		$1 = { 40 53 48 83 EC 50 8B D9 0F 29 74 24 40 BA C0 FF 00 00 B9 80 1F 00 00 0F 29 7C 24 30 0F 28 F2 0F 28 F9 E8 ?? ?? ?? ?? 8B D3 0F 28 DE 0F 28 D7 B9 08 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_892_7_0 {
	meta:
		name = "evaluate"
		size = 129
		refs = "0070 _invalid_parameter_noinfo 0078 __real@bff0000000000000"
	strings:
		$1 = { 48 83 EC 28 0F 28 D0 45 85 C0 7E 63 4C 63 54 24 50 45 85 D2 7E 59 49 63 C0 F2 0F 59 04 C2 41 8D 40 FF 48 63 C8 85 C0 7E 11 F2 0F 58 04 CA 48 FF C9 F2 0F 59 C2 48 85 C9 7F EF F2 0F 58 02 41 8D 42 FF 0F 28 CA 48 63 C8 F2 43 0F 59 0C D1 85 C0 7E 12 F2 41 0F 58 0C C9 48 FF C9 F2 0F 59 CA 48 85 C9 7F EE F2 41 0F 58 09 F2 0F 5E C1 EB 0D E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_894_0_0 {
	meta:
		name = "GetLocaleNameFromDefault"
		size = 144
		refs = "000c __security_cookie 0030 __crtGetUserDefaultLocaleName 003f wcslen 0059 wcsncpy_s 006d __security_check_cookie 008b _invoke_watson"
	strings:
		$1 = { 40 53 48 81 EC F0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 81 49 10 04 01 00 00 48 8B D9 48 8D 4C 24 30 BA 55 00 00 00 E8 ?? ?? ?? ?? 83 F8 01 7E 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 8B 58 02 00 00 4C 8D 44 24 30 4C 8D 48 01 BA 55 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 19 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F0 00 00 00 5B C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_894_1_0 {
	meta:
		name = "GetLocaleNameFromLangCountry"
		size = 176
		refs = "000d wcslen 0081 LangCountryEnumProcEx 008a __crtEnumSystemLocalesEx"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 8B 4B 08 33 D2 48 83 F8 03 0F 94 C2 89 53 18 E8 ?? ?? ?? ?? 33 C9 48 83 F8 03 0F 94 C1 83 7B 18 00 89 4B 1C 74 07 BA 02 00 00 00 EB 39 48 8B 0B 45 33 C9 48 85 C9 75 04 33 D2 EB 2A BA 02 00 00 00 44 0F B7 01 48 03 CA 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 05 41 FF C1 EB DE 41 8B D1 45 33 C0 89 53 14 48 8D 0D ?? ?? ?? ?? 41 8D 50 03 E8 ?? ?? ?? ?? F7 43 10 00 01 00 00 74 0F F7 43 10 00 02 00 00 74 06 F6 43 10 07 75 04 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_894_2_0 {
	meta:
		name = "GetLocaleNameFromLanguage"
		size = 135
		refs = "000d wcslen 006a LanguageEnumProcEx 0073 __crtEnumSystemLocalesEx"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 33 D2 48 83 F8 03 0F 94 C2 89 53 18 85 D2 74 07 BA 02 00 00 00 EB 39 48 8B 0B 45 33 C9 48 85 C9 75 04 33 D2 EB 2A BA 02 00 00 00 44 0F B7 01 48 03 CA 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 05 41 FF C1 EB DE 41 8B D1 45 33 C0 89 53 14 48 8D 0D ?? ?? ?? ?? 41 8D 50 03 E8 ?? ?? ?? ?? F6 43 10 04 75 04 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_894_3_0 {
	meta:
		name = "GetPrimaryLen"
		size = 47
	strings:
		$1 = { 33 D2 48 85 C9 75 03 33 C0 C3 44 0F B7 01 48 83 C1 02 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 04 FF C2 EB DE 8B C2 C3 }
	condition:
		$1
}

rule file_894_4_0 {
	meta:
		name = "LangCountryEnumProcEx"
		size = 907
		refs = "0018 __security_cookie 002b _getptd 005a __crtGetLocaleInfoEx 007b _wcsicmp 00d0 wcslen 00e6 wcsncpy_s 0113 _wcsnicmp 0150 TestDefaultCountry 02f1 __security_check_cookie 031d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 00 00 00 48 8B F9 E8 ?? ?? ?? ?? BE 40 00 00 00 48 8D 98 40 01 00 00 4C 8D 44 24 30 44 8B CE 8B 4B 1C F7 D9 48 8B CF 1B D2 81 E2 05 F0 FF FF 81 C2 02 10 00 00 E8 ?? ?? ?? ?? 33 ED 85 C0 75 0D 89 6B 10 B8 01 00 00 00 E9 74 02 00 00 48 8B 4B 08 48 8D 54 24 30 E8 ?? ?? ?? ?? 41 BE 55 00 00 00 85 C0 0F 85 F5 00 00 00 8B 43 18 4C 8D 44 24 30 44 8B CE F7 D8 48 8B CF 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 B0 48 8B 0B 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 32 81 4B 10 04 03 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 8B 58 02 00 00 4C 8B C7 4C 8D 48 01 41 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 90 00 00 00 E9 16 02 00 00 F6 43 10 02 0F 85 81 00 00 00 39 6B 14 74 40 4C 63 43 14 48 8B 0B 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 2B 83 4B 10 02 48 8B CF E8 ?? ?? ?? ?? 48 8D 8B 58 02 00 00 4C 8B C7 4C 8D 48 01 49 8B D6 E8 ?? ?? ?? ?? 85 C0 74 41 E9 DC 01 00 00 F6 43 10 01 75 36 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 2A 83 4B 10 01 48 8B CF E8 ?? ?? ?? ?? 48 8D 8B 58 02 00 00 4C 8B C7 4C 8D 48 01 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 B5 01 00 00 8B 43 10 B9 00 03 00 00 23 C1 3B C1 0F 84 46 01 00 00 8B 43 18 4C 8D 44 24 30 41 B9 80 00 00 00 F7 D8 48 8B CF 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 A2 FE FF FF 48 8B 0B 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 03 01 00 00 0F BA 6B 10 09 39 6B 18 74 3C 0F BA 6B 10 08 48 8D B3 58 02 00 00 66 39 2E 0F 85 E4 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B C7 49 8B D6 4C 8D 48 01 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 C2 00 00 00 E9 2F 01 00 00 39 6B 14 0F 84 81 00 00 00 48 8B 0B E8 ?? ?? ?? ?? 3B 43 14 75 74 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 34 48 8B 0B 8B F5 48 85 C9 74 1E 0F B7 11 48 83 C1 02 8D 42 BF 66 83 F8 19 76 0A 66 83 EA 61 66 83 FA 19 77 04 FF C6 EB E2 48 8B 0B E8 ?? ?? ?? ?? 3B F0 74 67 0F BA 6B 10 08 48 8D B3 58 02 00 00 66 39 2E 75 56 48 8B CF E8 ?? ?? ?? ?? 4C 8B C7 49 8B D6 4C 8D 48 01 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 38 E9 BA 00 00 00 0F BA 6B 10 08 48 8D B3 58 02 00 00 66 39 2E 75 22 48 8B CF E8 ?? ?? ?? ?? 4C 8B C7 49 8B D6 4C 8D 48 01 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 9C 00 00 00 8B 43 10 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_894_5_0 {
	meta:
		name = "LanguageEnumProcEx"
		size = 221
		refs = "0010 __security_cookie 0023 _getptd 0050 __crtGetLocaleInfoEx 006b _wcsicmp 0077 wcslen 008f wcsncpy_s 00b2 __security_check_cookie 00d8 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 57 48 81 EC 30 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 01 00 00 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 44 24 30 48 8D 98 40 01 00 00 41 B9 78 00 00 00 8B 4B 18 F7 D9 48 8B CF 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 21 43 10 B8 01 00 00 00 EB 44 48 8B 0B 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 28 48 8B CF E8 ?? ?? ?? ?? 48 8D 8B 58 02 00 00 4C 8B C7 4C 8D 48 01 BA 55 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 30 83 4B 10 04 8B 43 10 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 20 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 48 01 00 00 48 81 C4 30 01 00 00 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_894_6_0 {
	meta:
		name = "ProcessCodePage"
		size = 180
		refs = "0024 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@ 0029 wcscmp 0034 ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 005a __crtGetLocaleInfoEx 006c _wtol 00a0 __imp_GetACP"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 48 85 C9 74 56 66 39 31 74 51 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 41 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 24 48 8D 8F 58 02 00 00 44 8D 4E 02 4C 8D 44 24 30 BA 0B 00 00 20 E8 ?? ?? ?? ?? 85 C0 74 30 8B 44 24 30 EB 3C 48 8B CB E8 ?? ?? ?? ?? EB 32 48 8D 8F 58 02 00 00 4C 8D 44 24 30 41 B9 02 00 00 00 BA 04 10 00 20 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0E 8B 44 24 30 85 C0 75 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_894_7_0 {
	meta:
		name = "TestDefaultCountry"
		size = 104
		refs = "000d __security_cookie 002c __crtGetLocaleInfoEx 0045 wcsncmp 0059 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 41 B9 09 00 00 00 4C 8D 44 24 20 48 8B F9 41 8D 51 50 E8 ?? ?? ?? ?? 33 DB 85 C0 74 1A 48 8D 4C 24 20 41 B8 09 00 00 00 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_894_8_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 110
		refs = "0015 TestDefaultCountry 004d wcslen"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 8B FA E8 ?? ?? ?? ?? 33 DB 85 C0 75 3A 85 FF 74 36 48 8B 0E 48 85 C9 74 1E 0F B7 11 48 83 C1 02 8D 42 BF 66 83 F8 19 76 0A 66 83 EA 61 66 83 FA 19 77 04 FF C3 EB E2 48 8B 0E E8 ?? ?? ?? ?? 3B D8 75 04 33 C0 EB 05 B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_894_9_0 {
	meta:
		name = "TranslateName"
		size = 153
		refs = "0050 _wcsicmp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 33 DB 4D 8B F8 8B FA 4C 8B E1 B8 01 00 00 00 8B F3 85 D2 78 41 85 C0 74 3F 49 8B 0F 8D 04 3E 99 2B C2 D1 F8 48 63 E8 4C 8B F5 49 C1 E6 04 4B 8B 14 26 E8 ?? ?? ?? ?? 85 C0 75 0D 49 8D 4C 24 08 49 03 CE 49 89 0F EB 0A 79 05 8D 7D FF EB 03 8D 75 01 3B F7 7E BF 85 C0 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 0F 94 C3 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_894_10_0 {
	meta:
		name = "__get_qualified_locale"
		size = 652
		refs = "0015 __security_cookie 002e _getptd 006a __rg_country 0072 TranslateName 0090 GetLocaleNameFromLangCountry 0097 GetLocaleNameFromLanguage 00a4 __rg_language 00e3 ProcessCodePage 0105 __imp_IsValidCodePage 0130 wcslen 0144 wcsncpy_s 0160 __crtGetLocaleInfoEx 019a wcschr 01e0 _itow_s 0207 __crtGetUserDefaultLocaleName 024c __security_check_cookie 0272 _invoke_watson"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC F0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B E8 48 8B F2 4C 8B F1 E8 ?? ?? ?? ?? 45 33 E4 48 8D 98 40 01 00 00 49 8D 86 80 00 00 00 4C 8D BB 58 02 00 00 48 8D 7B 08 44 89 63 10 66 45 89 27 48 89 07 4C 89 33 66 44 39 20 74 14 41 8D 54 24 16 48 8D 0D ?? ?? ?? ?? 4C 8B C7 E8 ?? ?? ?? ?? 48 8B 03 66 44 39 20 0F 84 72 01 00 00 48 8B 07 48 8B CB 66 44 39 20 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 44 39 63 10 75 37 48 8D 0D ?? ?? ?? ?? 4C 8B C3 BA 40 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 48 8B 07 48 8B CB 66 44 39 20 0F 84 22 01 00 00 E8 ?? ?? ?? ?? 44 39 63 10 0F 84 66 01 00 00 49 8D 8E 00 01 00 00 48 8B D3 E8 ?? ?? ?? ?? 8B D8 85 C0 0F 84 4D 01 00 00 8D 88 18 02 FF FF 83 F9 01 0F 86 3E 01 00 00 0F B7 C8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 2D 01 00 00 48 85 F6 74 02 89 1E 48 85 ED 0F 84 C3 00 00 00 48 8D B5 20 01 00 00 49 8B CF 66 44 89 26 E8 ?? ?? ?? ?? 4D 8B C7 4C 8D 48 01 BA 55 00 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 27 01 00 00 44 8D 48 40 4C 8B C5 BA 01 10 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 D2 00 00 00 48 8D BD 80 00 00 00 41 B9 40 00 00 00 BA 02 10 00 00 4C 8B C7 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 AD 00 00 00 BA 5F 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 10 8D 50 2E 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 19 41 B9 40 00 00 00 4C 8B C7 48 8B CE 41 8D 51 C7 E8 ?? ?? ?? ?? 85 C0 74 72 41 B9 0A 00 00 00 48 8D 95 00 01 00 00 8B CB 45 8D 41 06 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 55 E8 ?? ?? ?? ?? E9 D9 FE FF FF 81 4B 10 04 01 00 00 48 8D 4C 24 30 BA 55 00 00 00 E8 ?? ?? ?? ?? 83 F8 01 0F 8E BA FE FF FF 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4C 8D 44 24 30 BA 55 00 00 00 4C 8D 48 01 49 8B CF E8 ?? ?? ?? ?? 85 C0 0F 84 92 FE FF FF EB 24 33 C0 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_895_0_0 {
	meta:
		name = "__sse2_tanf4"
		size = 2576
		refs = "001a MMSRSHIFT 002a MMSINVPI 0031 MMSPI1 0041 MMSPI2 0049 MMIABSMASK 0051 MMIHUGE 0063 MMSPI3 006a MMSPI4 0084 MMSP1 008e MMSQ2 00b9 MMSP0 00c0 MMSQ1 00cd MMSQ0 0117 MMISIGNMASK 0128 flAllOnes 014a flTwoPow30 01c0 dbInvPio4 01d5 dbiOne 01dd MSK_LOW_BIT 01e5 dbRS 0202 PI04C_0 020e PI04C_1 021e PI04C_2 024f PI04C_3 027b PI04C_4 07e5 __spec_table"
	strings:
		$1 = { 48 81 EC 28 01 00 00 0F 29 BC 24 00 01 00 00 0F 29 B4 24 10 01 00 00 0F 28 2D ?? ?? ?? ?? 0F 28 F8 0F 28 F0 0F 28 D0 0F 59 05 ?? ?? ?? ?? 0F 28 25 ?? ?? ?? ?? 0F 58 C5 0F 28 D8 0F 5C C5 0F 28 2D ?? ?? ?? ?? 66 0F DB 3D ?? ?? ?? ?? 66 0F 66 3D ?? ?? ?? ?? 0F 50 C7 0B C0 0F 85 B4 00 00 00 0F 28 35 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 66 0F 6F C3 0F 5C D4 0F 28 25 ?? ?? ?? ?? 0F 5C D5 0F 28 2D ?? ?? ?? ?? 0F 5C D6 66 0F 72 F3 1E 66 0F EF C9 0F C2 D9 04 0F 28 CA 0F 5C CF 0F 59 D2 66 0F 72 F0 1F 0F 59 E2 0F 59 EA 0F 58 25 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 E1 0F 59 EA 0F 58 2D ?? ?? ?? ?? 0F 28 CB 0F 28 D3 66 0F DB CC 66 0F DF D5 66 0F EB CA 0F 28 F3 0F 28 FB 66 0F DF F4 66 0F DB FD 66 0F EB F7 0F 5E F1 66 0F EF C6 0F 28 B4 24 10 01 00 00 0F 28 BC 24 00 01 00 00 48 81 C4 28 01 00 00 C3 0F 28 0D ?? ?? ?? ?? 0F 29 7C 24 40 66 0F DB CE 66 0F EF 3D ?? ?? ?? ?? 0F 29 54 24 50 66 0F DB 35 ?? ?? ?? ?? 0F 29 7C 24 60 0F 28 FE 0F 29 74 24 70 66 0F 66 35 ?? ?? ?? ?? 66 0F DB 4C 24 40 0F 29 8C 24 80 00 00 00 0F 50 D6 85 D2 0F 85 70 05 00 00 83 F8 0F 0F 84 DA 02 00 00 0F 28 35 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 5C D4 0F 5C D5 0F 5C D6 0F 5C D7 66 0F DB 5C 24 60 66 0F DB 54 24 60 0F 29 9C 24 90 00 00 00 0F 29 94 24 A0 00 00 00 0F 5A 44 24 70 0F 5A 4C 24 78 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D8 66 0F E6 DB 66 0F 70 DB DC 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 29 8C 24 B0 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 72 E3 01 66 0F 5C F0 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C CA 66 0F 28 EB 66 0F 28 9C 24 B0 00 00 00 66 0F 59 1D ?? ?? ?? ?? 66 0F E6 DB 66 0F 58 C8 66 0F 28 84 24 B0 00 00 00 66 0F 70 ED 88 66 0F 70 DB DC 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 29 8C 24 C0 00 00 00 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F D6 AC 24 D0 00 00 00 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 72 E3 01 66 0F 5C F0 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C CA 66 0F 28 EB 66 0F 58 C1 66 0F 5A 94 24 C0 00 00 00 66 0F 70 ED 88 66 0F 5A D8 66 0F 14 D3 F3 0F 7E 9C 24 D0 00 00 00 66 0F 14 DD 66 0F DB 5C 24 40 66 0F DB 54 24 40 66 0F EB 9C 24 90 00 00 00 66 0F EB 94 24 A0 00 00 00 0F 28 C3 66 0F 72 F0 1F 66 0F EF 84 24 80 00 00 00 66 0F 72 F3 1E 66 0F EF C9 0F C2 D9 04 0F 28 25 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 CA 0F 59 D2 0F 59 E2 0F 59 EA 0F 58 25 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 E1 0F 59 EA 0F 58 2D ?? ?? ?? ?? 0F 28 CB 0F 28 D3 66 0F DB CC 66 0F DF D5 66 0F EB CA 0F 28 F3 0F 28 FB 66 0F DF F4 66 0F DB FD 66 0F EB F7 0F 5E F1 66 0F EF C6 E9 7B 03 00 00 0F 5A C7 66 0F 70 FF EE 0F 5A FF 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 F7 66 0F E6 DB 66 0F E6 F6 66 0F 70 DB DC 66 0F 70 F6 DC 66 0F FE 1D ?? ?? ?? ?? 66 0F FE 35 ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F DB 35 ?? ?? ?? ?? 66 0F 29 B4 24 E0 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 72 E3 01 66 0F 5C F0 66 0F 29 BC 24 B0 00 00 00 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C CA 66 0F 28 EB 66 0F 58 C8 66 0F 28 84 24 B0 00 00 00 66 0F 70 ED 88 66 0F 6F 9C 24 E0 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 94 24 E0 00 00 00 66 0F 29 8C 24 C0 00 00 00 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F D6 AC 24 D0 00 00 00 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 72 E3 01 66 0F 5C F0 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C CA 66 0F 28 EB 66 0F 58 C1 66 0F 5A 94 24 C0 00 00 00 66 0F 70 ED 88 66 0F 5A D8 66 0F 14 D3 F3 0F 7E 9C 24 D0 00 00 00 66 0F 14 DD 0F 28 C3 66 0F 72 F0 1F 66 0F EF 84 24 80 00 00 00 66 0F 72 F3 1E 66 0F EF C9 0F C2 D9 04 0F 28 25 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 CA 0F 59 D2 0F 59 E2 0F 59 EA 0F 58 25 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 E1 0F 59 EA 0F 58 2D ?? ?? ?? ?? 0F 28 CB 0F 28 D3 66 0F DB CC 66 0F DF D5 66 0F EB CA 0F 28 F3 0F 28 FB 66 0F DF F4 66 0F DB FD 66 0F EB F7 0F 5E F1 66 0F EF C6 E9 EE 00 00 00 83 F8 0F 0F 84 BB 00 00 00 0F 28 35 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 CA 0F 5C CF 66 0F EF FF 0F 59 D2 0F 29 8C 24 F0 00 00 00 0F 28 C3 66 0F 72 F0 1F 66 0F EF C7 66 0F 72 F3 1E 66 0F EF C9 0F C2 D9 04 0F 28 25 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 8C 24 F0 00 00 00 0F 59 E2 0F 59 EA 0F 58 25 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 E1 0F 59 EA 0F 58 2D ?? ?? ?? ?? 0F 28 CB 0F 28 D3 66 0F DB CC 66 0F DF D5 66 0F EB CA 0F 28 F3 0F 28 FB 66 0F DF F4 66 0F DB FD 66 0F EB F7 0F 5E F1 66 0F EF C6 0F 29 84 24 F0 00 00 00 89 44 24 20 8B 44 24 20 85 C0 74 16 45 33 C9 A8 01 75 2F 49 FF C1 D1 F8 89 44 24 20 49 83 F9 04 7C ED 0F 28 84 24 F0 00 00 00 0F 28 B4 24 10 01 00 00 0F 28 BC 24 00 01 00 00 48 81 C4 28 01 00 00 C3 42 8B 44 8C 50 48 8D 15 ?? ?? ?? ?? 89 44 24 28 48 89 54 24 30 F3 0F 10 44 24 28 4C 8B 44 24 30 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 0F 84 DF 01 00 00 0F C6 C8 00 66 0F 7E C1 0F 5A C9 0F 5A C8 81 E1 FF FF FF 7F 81 E9 00 00 80 39 C1 E9 17 83 E9 1B 81 E1 F8 FF 00 00 F2 41 0F 10 9C 48 00 09 00 00 F2 41 0F 10 AC 48 08 09 00 00 F2 41 0F 10 90 B0 0A 00 00 66 0F 57 E4 BA C8 43 00 00 66 0F C4 E2 03 66 0F 54 D3 66 0F 73 F3 28 F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 CD 66 0F 28 C2 F2 0F 58 D3 66 0F 28 EA F2 0F 5C C2 F2 0F 58 D4 F2 0F 58 C3 F2 41 0F 10 B0 A0 0A 00 00 F2 0F 5C D4 F2 0F 58 C1 F2 0F 5C EA F2 0F 58 C5 F2 0F 59 C6 F2 0F 5A D0 F3 41 0F 10 88 60 0A 00 00 F3 0F 59 CA 41 0F 28 B8 F0 09 00 00 F3 0F 2D D1 66 0F DB FA F2 41 0F 10 A0 70 0A 00 00 F3 0F 58 E1 F3 41 0F 58 88 90 0A 00 00 F3 41 0F 5C A0 70 0A 00 00 F3 41 0F 5C 88 90 0A 00 00 66 0F 28 EF 66 0F 73 F7 20 66 0F 73 F5 1D 66 0F 57 FD 81 C2 00 76 1C 00 83 E2 1F F2 41 0F 10 A8 30 0A 00 00 66 0F 57 EF F2 41 0F 10 90 10 0A 00 00 66 0F 57 D7 F2 41 0F 10 B0 20 0A 00 00 66 0F 57 F7 F2 41 0F 10 98 00 0A 00 00 66 0F 57 DF 49 8D 00 C1 E2 03 48 03 C2 C1 E2 03 48 03 C2 66 0F 73 F4 1D 66 0F 73 F1 1D F2 0F 59 EC F2 0F 59 D1 F2 0F 59 F4 F2 0F 59 D9 F2 0F 58 E8 F2 0F 58 D0 F2 0F 58 EE F2 0F 58 D3 F2 41 0F 10 B8 40 0A 00 00 F2 0F 5E FD F2 0F 59 78 40 F2 0F 10 58 38 F2 0F 59 DA F2 0F 10 60 18 F2 0F 59 E2 F2 0F 10 68 28 F2 0F 59 EA F2 0F 10 70 08 F2 0F 59 F2 F2 0F 59 D2 F2 0F 58 58 30 F2 0F 58 60 10 F2 0F 58 68 20 F2 0F 58 30 F2 0F 59 DA F2 0F 59 E2 F2 0F 59 D2 F2 0F 58 DD F2 0F 58 E6 F2 0F 59 DA F2 0F 58 DC F2 0F 5C DF F2 0F 5A C3 EB 04 F3 0F 5C C0 F3 0F 11 44 24 24 8B 44 24 24 42 89 84 8C F0 00 00 00 8B 44 24 20 E9 9F FD FF FF 90 }
	condition:
		$1
}

rule file_897_2_0 {
	meta:
		name = "_strerror"
		size = 341
		refs = "0013 _getptd_noexit 0045 _calloc_crt 0073 _mbsnbcat_s 0082 ??_C@_02LMMGGCAJ@?3?5?$AA@ 008d strcat_s 0096 _errno 00a1 __sys_nerr 00b1 __sys_errlist 00c0 strlen 00d7 strncat_s 00e2 ??_C@_01EEMJAFIK@?6?$AA@ 010e _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 30 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 12 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 83 C4 30 5F C3 48 83 78 38 00 BD 86 00 00 00 75 15 BA 01 00 00 00 8B CD E8 ?? ?? ?? ?? 48 89 47 38 48 85 C0 74 CD 48 8B 7F 38 C6 07 00 48 85 DB 74 37 80 3B 00 74 32 41 B9 82 00 00 00 4C 8B C3 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 94 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 68 E8 ?? ?? ?? ?? 8B 18 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 48 8B 1C C8 48 8B CF E8 ?? ?? ?? ?? 41 B9 84 00 00 00 4C 8B C3 48 8B D5 48 8B CF 4C 2B C8 E8 ?? ?? ?? ?? 85 C0 75 60 4C 8D 05 ?? ?? ?? ?? 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 34 48 8B C7 E9 24 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_897_3_0 {
	meta:
		name = "_strerror_s"
		size = 228
		refs = "001e _errno 002a _invalid_parameter_noinfo 0049 strlen 0060 strcpy_s 006b ??_C@_02LMMGGCAJ@?3?5?$AA@ 0076 strcat_s 00a4 strerror_s 00c9 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 49 8B D8 48 8B FA 48 8B F1 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 76 48 85 D2 74 E6 C6 01 00 48 85 DB 74 3F 41 80 38 00 74 39 48 8B CB E8 ?? ?? ?? ?? 48 8D 4F F9 48 3B C1 73 28 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 66 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 3A E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 8B CE 48 2B F8 E8 ?? ?? ?? ?? 44 8B 03 48 8D 0C 06 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_898_3_0 {
	meta:
		name = "?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
		size = 572
		refs = "0028 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0048 _errno 0053 _invalid_parameter_noinfo 0085 _isctype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 54 41 56 41 57 48 83 EC 40 4C 8B E2 48 8B D1 48 8D 4C 24 20 45 8B F1 4D 8B F8 E8 ?? ?? ?? ?? 4D 85 FF 74 03 4D 89 27 4D 85 E4 74 0E 45 85 F6 74 1E 41 8D 46 FE 83 F8 22 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 86 00 00 00 41 8A 34 24 4C 8B 44 24 20 33 FF 49 8D 5C 24 01 41 83 B8 D4 00 00 00 01 7E 1A 4C 8D 44 24 20 40 0F B6 CE BA 08 00 00 00 E8 ?? ?? ?? ?? 4C 8B 44 24 20 EB 12 49 8B 80 08 01 00 00 40 0F B6 CE 0F B7 04 48 83 E0 08 85 C0 74 08 40 8A 33 48 FF C3 EB BE 8B AC 24 90 00 00 00 40 80 FE 2D 75 05 83 CD 02 EB 06 40 80 FE 2B 75 06 40 8A 33 48 FF C3 45 85 F6 74 1D 41 8D 46 FE 83 F8 22 76 0F 4D 85 FF 74 03 4D 89 27 33 FF E9 25 01 00 00 45 85 F6 75 26 40 80 FE 30 74 08 41 BE 0A 00 00 00 EB 34 8A 03 2C 58 A8 DF 74 08 41 BE 08 00 00 00 EB 24 41 BE 10 00 00 00 EB 0C 41 83 FE 10 75 16 40 80 FE 30 75 10 8A 03 2C 58 A8 DF 75 08 40 8A 73 01 48 83 C3 02 4D 8B 90 08 01 00 00 33 D2 83 C8 FF 41 F7 F6 44 8B C8 40 0F B6 CE 45 0F B7 04 4A 41 8B C8 83 E1 04 74 09 40 0F BE CE 83 E9 30 EB 1A 41 81 E0 03 01 00 00 74 2C 8D 46 9F 40 0F BE CE 3C 19 77 03 83 E9 20 83 C1 C9 41 3B CE 73 16 83 CD 08 41 3B F9 72 22 75 04 3B CA 76 1C 83 CD 04 4D 85 FF 75 1A 48 FF CB 40 F6 C5 08 75 19 4D 85 FF 49 0F 45 DC 33 FF EB 59 41 0F AF FE 03 F9 40 8A 33 48 FF C3 EB 8F BE FF FF FF 7F 40 F6 C5 04 75 1D 40 F6 C5 01 75 3A 8B C5 83 E0 02 74 08 81 FF 00 00 00 80 77 08 85 C0 75 27 3B FE 76 23 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 74 05 83 CF FF EB 0D 40 8A C5 24 02 F6 D8 1B FF F7 DF 03 FE 4D 85 FF 74 03 49 89 1F 40 F6 C5 02 74 02 F7 DF 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 4C 8D 5C 24 40 8B C7 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_898_4_0 {
	meta:
		name = "_strtol_l"
		size = 34
		refs = "0019 ?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1071_6_0 {
	meta:
		name = "_strtoi64_l"
		size = 34
		refs = "0019 ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1071_7_0 {
	meta:
		name = "_strtoimax_l"
		size = 34
		refs = "0019 ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1071_9_0 {
	meta:
		name = "_strtoll_l"
		size = 34
		refs = "0019 ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_912_5_0 {
	meta:
		name = "_wcstoi64_l"
		size = 34
		refs = "0019 ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_912_6_0 {
	meta:
		name = "_wcstoimax_l"
		size = 34
		refs = "0019 ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_912_8_0 {
	meta:
		name = "_wcstoll_l"
		size = 34
		refs = "0019 ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_898_5_0 {
	meta:
		name = "_strtoul_l"
		size = 37
		refs = "001c ?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1071_11_0 {
	meta:
		name = "_strtoui64_l"
		size = 37
		refs = "001c ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1071_12_0 {
	meta:
		name = "_strtoull_l"
		size = 37
		refs = "001c ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1071_13_0 {
	meta:
		name = "_strtoumax_l"
		size = 37
		refs = "001c ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_912_10_0 {
	meta:
		name = "_wcstoui64_l"
		size = 37
		refs = "001c ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_912_11_0 {
	meta:
		name = "_wcstoull_l"
		size = 37
		refs = "001c ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_912_12_0 {
	meta:
		name = "_wcstoumax_l"
		size = 37
		refs = "001c ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_898_6_0 {
	meta:
		name = "strtol"
		size = 48
		refs = "000e __locale_changed 001e __initiallocalestructinfo 0027 ?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 45 8B C8 4C 8B C2 39 05 ?? ?? ?? ?? 89 44 24 20 48 8B D1 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1071_5_0 {
	meta:
		name = "_strtoi64"
		size = 48
		refs = "000e __locale_changed 001e __initiallocalestructinfo 0027 ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 45 8B C8 4C 8B C2 39 05 ?? ?? ?? ?? 89 44 24 20 48 8B D1 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_912_4_0 {
	meta:
		name = "_wcstoi64"
		size = 48
		refs = "000e __locale_changed 001e __initiallocalestructinfo 0027 ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 45 8B C8 4C 8B C2 39 05 ?? ?? ?? ?? 89 44 24 20 48 8B D1 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_898_7_0 {
	meta:
		name = "strtoul"
		size = 51
		refs = "0006 __locale_changed 0021 __initiallocalestructinfo 002a ?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 45 8B C8 4C 8B C2 48 8B D1 C7 44 24 20 01 00 00 00 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1071_10_0 {
	meta:
		name = "_strtoui64"
		size = 51
		refs = "0006 __locale_changed 0021 __initiallocalestructinfo 002a ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 45 8B C8 4C 8B C2 48 8B D1 C7 44 24 20 01 00 00 00 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_912_9_0 {
	meta:
		name = "_wcstoui64"
		size = 51
		refs = "0006 __locale_changed 0021 __initiallocalestructinfo 002a ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 45 8B C8 4C 8B C2 48 8B D1 C7 44 24 20 01 00 00 00 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_899_2_0 {
	meta:
		name = "_localtime64_s"
		size = 780
		refs = "0023 _errno 002f _invalid_parameter_noinfo 0049 memset 0076 __tzset 007f _get_daylight 0090 _get_dstbias 00a1 _get_timezone 00cc _gmtime64_s 00e5 _isindst 02db _invoke_watson"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 83 65 30 00 83 65 38 00 83 65 20 00 48 8B FA 48 8B D9 48 85 C9 75 1B E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 40 5F 5B 5D C3 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D0 48 83 3F 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CD 48 B8 FF 6F 40 93 07 00 00 00 48 39 07 7F E3 E8 ?? ?? ?? ?? 48 8D 4D 30 E8 ?? ?? ?? ?? 85 C0 0F 85 6B 02 00 00 48 8D 4D 38 E8 ?? ?? ?? ?? 85 C0 0F 85 44 02 00 00 48 8D 4D 20 E8 ?? ?? ?? ?? 85 C0 0F 85 1D 02 00 00 48 8B 0F 48 81 F9 80 F4 03 00 7E 60 48 63 45 20 48 8D 55 F0 48 2B C8 48 89 4D F0 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 5D FF FF FF 39 45 30 0F 84 95 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 85 01 00 00 48 63 45 38 48 8D 55 F0 48 8B CB 48 29 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 85 28 FF FF FF C7 43 20 01 00 00 00 E9 5D 01 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 09 FF FF FF 39 45 30 74 1D 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 20 C7 43 20 01 00 00 00 03 45 38 48 98 EB 04 48 63 45 20 48 63 0B 49 B8 89 88 88 88 88 88 88 88 48 2B C8 49 8B C0 48 F7 E9 48 03 D1 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 6B C2 3C 8B D1 2B D0 89 13 79 09 8D 42 3C 48 83 E9 3C 89 03 49 8B C0 48 F7 E9 4C 8D 0C 11 49 C1 F9 05 49 8B C1 48 C1 E8 3F 4C 03 C8 48 63 43 04 4C 03 C8 49 8B C0 49 F7 E9 49 03 D1 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 6B CA 3C 41 8B D1 2B D1 89 53 04 79 0A 8D 4A 3C 49 83 E9 3C 89 4B 04 49 8B C0 49 F7 E9 4D 8D 04 11 49 B9 AB AA AA AA AA AA AA 2A 49 C1 F8 05 49 8B C0 48 C1 E8 3F 4C 03 C0 48 63 43 08 4C 03 C0 49 8B C1 49 F7 E8 48 C1 FA 02 48 8B C2 48 C1 E8 3F 48 03 D0 8D 0C 52 41 8B D0 C1 E1 03 2B D1 89 53 08 79 0A 8D 4A 18 49 83 E8 18 89 4B 08 49 8B C1 49 F7 E8 4C 8B C2 49 C1 F8 02 49 8B C0 48 C1 E8 3F 4C 03 C0 4D 85 C0 7E 30 8B 4B 18 B8 93 24 49 92 41 03 C8 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 44 01 43 0C 89 4B 18 44 01 43 1C 33 C0 E9 B8 FD FF FF 79 F7 8B 4B 18 44 01 43 0C B8 93 24 49 92 83 C1 07 41 03 C8 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 8B 43 0C 89 4B 18 85 C0 7F C4 83 C0 1F C7 43 10 0B 00 00 00 89 43 0C 41 8D 80 6D 01 00 00 01 43 1C FF 4B 14 EB AC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_901_6_0 {
	meta:
		name = "_mbsupr_s_l"
		size = 338
		refs = "0034 _errno 0040 _invalid_parameter_noinfo 004c strnlen 0063 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00ca __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 70 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 11 48 85 D2 74 11 48 85 C9 75 24 33 C0 E9 FB 00 00 00 48 85 D2 74 EF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 DE 00 00 00 E8 ?? ?? ?? ?? 48 3B C3 72 05 C6 07 00 EB D9 48 8D 4C 24 50 48 8B D6 E8 ?? ?? ?? ?? 80 3F 00 48 8B F7 48 8B DF 0F 84 9B 00 00 00 48 8B 54 24 58 0F B6 06 48 8D 0C 10 F6 41 19 04 74 6C 8B 42 04 48 8B 92 20 02 00 00 C7 44 24 40 01 00 00 00 89 44 24 38 48 8D 84 24 80 00 00 00 C7 44 24 30 02 00 00 00 48 89 44 24 28 48 8D 4C 24 50 4C 8B CE 41 B8 00 02 00 00 C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 69 8A 8C 24 80 00 00 00 48 8B 54 24 58 48 FF C6 88 0B 48 FF C3 83 F8 01 7E 1A 8A 84 24 81 00 00 00 EB 0C F6 41 19 20 74 06 8A 81 19 01 00 00 88 03 48 FF C3 48 FF C6 80 3E 00 0F 85 6A FF FF FF C6 03 00 33 C0 80 7C 24 68 00 74 0C 48 8B 4C 24 60 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C6 07 00 E8 ?? ?? ?? ?? 8B 00 EB C4 }
	condition:
		$1
}

rule file_903_1_0 {
	meta:
		name = "?swprintf@@YAHPEA_W_KPEB_WZZ"
		size = 177
		refs = "0029 memset 0063 _woutput_l 0089 _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 48 8B EC 48 83 EC 58 48 8B FA 33 D2 49 8B F0 48 8B D9 48 8D 4D D0 44 8D 42 28 E8 ?? ?? ?? ?? 4C 8D 4D 40 C7 45 E0 42 00 00 00 48 89 5D D8 48 89 5D C8 48 81 FF FF FF FF 3F 76 09 C7 45 D0 FF FF FF 7F EB 06 8D 04 3F 89 45 D0 48 8D 4D C8 45 33 C0 48 8B D6 E8 ?? ?? ?? ?? FF 4D D0 8B D8 78 14 48 8B 4D C8 C6 01 00 48 8B 4D C8 48 FF C1 48 89 4D C8 EB 0F 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 48 8B 4D C8 FF 4D D0 78 05 C6 01 00 EB 0B 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_904_7_0 {
	meta:
		name = "_input_l"
		size = 4071
		refs = "0022 __security_cookie 007a _errno 0085 _invalid_parameter_noinfo 00a3 _fileno 00aa __badioinfo 00b1 __pioinfo 0113 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 013e isspace 015a _inc 017c _ungetc_nolock 01fa isdigit 0515 __check_float_string 07a1 _cfltcvt_tab 07a9 __imp_DecodePointer 087f memset 0a08 isleadbyte 0a42 _mbtowc_l 0cc0 isxdigit 0f81 free 0fc8 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 90 FE FF FF 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 01 00 00 4C 8D 7D 00 4C 89 4D A8 49 8B D8 4C 89 7C 24 78 45 33 FF 4C 8B F2 48 89 54 24 50 48 8B F1 48 89 4C 24 68 44 89 7D 84 4C 89 7D 88 66 44 89 7D 80 41 8B FF 44 89 7C 24 3C 4C 89 7D B8 48 C7 45 A0 5E 01 00 00 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 2C 0F 00 00 48 85 C9 74 E3 F6 41 18 40 41 BC 01 00 00 00 75 69 E8 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 63 D0 41 8D 4A 02 41 3B CC 76 17 49 8B D2 49 8B CA 83 E2 1F 48 C1 F9 05 4C 6B CA 58 4D 03 0C CB EB 03 4D 8B C8 41 F6 41 38 7F 75 97 41 8D 42 02 41 3B C4 76 15 49 8B CA 49 8B C2 83 E1 1F 48 C1 F8 05 4C 6B C1 58 4D 03 04 C3 41 F6 40 38 80 0F 85 6E FF FF FF 48 8D 4D C0 48 8B D3 E8 ?? ?? ?? ?? 41 8A 06 41 8B DF 44 88 7C 24 39 45 8B E7 44 89 7C 24 34 89 5C 24 74 84 C0 0F 84 70 0E 00 00 41 83 CD FF 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 59 B8 01 00 00 00 44 2B E0 44 03 E0 48 8B CE 44 89 64 24 34 E8 ?? ?? ?? ?? 8B D8 41 3B C5 74 1B 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 B8 01 00 00 00 75 D8 48 8B D6 8B CB E8 ?? ?? ?? ?? BB 01 00 00 00 4C 03 F3 41 0F B6 0E E8 ?? ?? ?? ?? 85 C0 75 F0 4C 89 74 24 50 E9 9C 0D 00 00 41 80 3E 25 0F 85 30 0D 00 00 41 80 7E 01 25 0F 84 14 0D 00 00 4C 8B 64 24 50 33 C0 44 89 7C 24 5C 44 8D 48 01 44 88 7C 24 41 44 89 7C 24 48 44 89 7C 24 60 88 44 24 58 88 44 24 40 44 88 4C 24 38 88 44 24 30 40 8A F0 88 45 98 44 8A F0 8B F8 4D 03 E1 41 0F B6 1C 24 8B CB E8 ?? ?? ?? ?? 45 33 C0 85 C0 74 17 47 8D 3C BF 45 8D 48 01 44 01 4C 24 60 45 8D 7F E8 46 8D 3C 7B EB 6B 83 FB 2A 0F 84 18 01 00 00 83 FB 46 74 57 83 FB 49 0F 84 AA 00 00 00 83 FB 4C 0F 84 94 00 00 00 83 FB 4E 74 40 83 FB 68 74 33 41 B9 01 00 00 00 83 FB 6C 74 0A 83 FB 77 74 1E E9 DA 00 00 00 41 80 7C 24 01 6C 75 0C 49 FF C4 41 03 F9 4C 89 45 88 EB 18 44 00 4C 24 38 45 02 F1 EB 0E 44 00 6C 24 38 45 02 F5 41 B9 01 00 00 00 8A 54 24 30 40 84 F6 0F 84 5B FF FF FF 89 7C 24 70 8B 7C 24 3C 4C 89 64 24 50 44 8A 64 24 41 44 89 7C 24 44 84 D2 0F 85 A0 00 00 00 48 8B 45 A8 48 89 45 B8 48 83 C0 08 48 89 45 A8 48 8B 40 F8 48 89 45 90 E9 87 00 00 00 41 B9 01 00 00 00 44 00 4C 24 38 EB AA 41 8A 44 24 01 3C 36 75 17 41 80 7C 24 02 34 75 0F 49 83 C4 02 41 B9 01 00 00 00 E9 69 FF FF FF 3C 33 75 11 41 80 7C 24 02 32 75 09 49 83 C4 02 E9 6F FF FF FF 2C 58 3C 20 77 10 48 B9 01 10 82 00 01 00 00 00 48 0F A3 C1 72 CA 41 B9 01 00 00 00 4C 89 45 88 41 03 F9 41 02 F1 E9 4A FF FF FF 8A 54 24 30 41 B9 01 00 00 00 41 02 D1 88 54 24 30 E9 38 FF FF FF 4C 89 45 90 48 8B 4C 24 50 41 8A D8 45 84 F6 75 12 8A 01 2C 43 24 EF F6 D8 45 1A F6 41 80 E6 FE 45 02 F1 44 0F B6 39 41 83 CF 20 44 89 7D B0 41 83 FF 6E 74 6E 41 83 FF 63 74 43 41 83 FF 7B 74 3D 8B 74 24 34 4C 8B 7C 24 68 33 DB 49 8B CF 41 03 F1 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 3B C5 74 12 0F B6 C8 E8 ?? ?? ?? ?? 41 B9 01 00 00 00 85 C0 75 D8 44 8B 7D B0 89 74 24 34 EB 15 48 8B 4C 24 68 44 01 4C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 3B FD 0F 84 82 0B 00 00 8A 54 24 30 45 33 C0 8B 44 24 60 8B 74 24 44 85 C0 74 08 85 F6 0F 84 3D 0B 00 00 41 83 FF 6F 0F 8F D5 03 00 00 0F 84 FC 07 00 00 41 83 FF 63 0F 84 9D 03 00 00 41 83 FF 64 0F 84 E8 07 00 00 0F 8E E3 03 00 00 41 83 FF 67 7E 45 41 83 FF 69 74 22 41 83 FF 6E 0F 85 CD 03 00 00 44 8B 64 24 34 45 33 FF 41 8B C4 84 D2 0F 84 1D 0A 00 00 E9 2A 0A 00 00 41 BF 64 00 00 00 B9 01 00 00 00 83 FF 2D 0F 85 E8 05 00 00 88 4C 24 40 E9 E4 05 00 00 49 8B D8 41 BE 01 00 00 00 83 FF 2D 75 0D 48 8B 44 24 78 41 8B DE 40 88 38 EB 05 83 FF 2B 75 24 4C 8B 7C 24 68 44 8B 64 24 34 41 2B F6 49 8B CF 45 03 E6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 8B 44 24 60 EB 0A 44 8B 64 24 34 4C 8B 7C 24 68 85 C0 40 0F B6 CF 41 0F 44 F5 89 74 24 44 EB 58 8B C6 41 2B F6 89 74 24 44 85 C0 74 56 48 8B 44 24 78 44 01 74 24 48 4C 8D 4D 00 40 88 3C 03 48 8D 45 84 49 03 DE 4C 8D 44 24 78 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 50 0A 00 00 49 8B CF 45 03 E6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 33 D2 85 C0 75 9D 48 8B 45 C0 44 8B 74 24 44 48 8B 88 F0 00 00 00 48 8B 01 B9 01 00 00 00 40 8A 30 40 3A F7 0F 85 B9 00 00 00 41 8B C6 44 2B F1 85 C0 0F 84 AB 00 00 00 44 03 E1 49 8B CF E8 ?? ?? ?? ?? 4C 8D 4D 00 4C 8D 44 24 78 8B F8 89 44 24 3C 48 8B 44 24 78 40 88 34 03 48 8D 45 84 48 FF C3 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 BC 09 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 33 D2 8D 4A 01 85 C0 74 56 41 8B C6 44 2B F1 85 C0 74 4C 48 8B 44 24 78 01 4C 24 48 4C 8D 4D 00 40 88 3C 03 48 03 D9 48 8D 45 84 4C 8D 44 24 78 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 6A 09 00 00 49 8B CF 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 EB 9C 8B 74 24 48 85 F6 0F 84 2C 01 00 00 8D 47 BB A9 DF FF FF FF 0F 85 1E 01 00 00 41 8B C6 44 2B F1 85 C0 0F 84 10 01 00 00 48 8B 44 24 78 4C 8D 4D 00 4C 8D 44 24 78 C6 04 03 65 48 03 D9 48 8D 45 84 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 FA 08 00 00 49 8B CF 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 2D 75 36 48 8B 44 24 78 4C 8D 4D 00 4C 8D 44 24 78 40 88 3C 03 48 8D 45 84 48 FF C3 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 84 B0 08 00 00 EB 07 83 F8 2B 75 27 33 C9 41 8B C6 BA 01 00 00 00 44 2B F2 85 C0 75 05 44 8B F1 EB 11 49 8B CF 44 03 E2 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 40 0F B6 CF EB 57 41 8B C6 BA 01 00 00 00 44 2B F2 85 C0 74 51 48 8B 44 24 78 03 F2 4C 8D 4D 00 40 88 3C 03 48 03 DA 48 8D 45 84 48 8D 55 A0 4C 8D 44 24 78 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 39 08 00 00 49 8B CF 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A0 B8 01 00 00 00 44 2B E0 44 89 64 24 34 41 3B FD 74 0F 49 8B D7 8B CF E8 ?? ?? ?? ?? B8 01 00 00 00 45 33 FF 85 F6 0F 84 F0 07 00 00 44 38 7C 24 30 0F 85 00 07 00 00 48 8B 74 24 78 01 44 24 74 44 88 3C 33 0F BE 5C 24 38 48 8B 0D ?? ?? ?? ?? 2B D8 FF 15 ?? ?? ?? ?? 48 8B 55 90 4C 8D 4D C0 4C 8B C6 8B CB FF D0 E9 CB 06 00 00 41 BB 01 00 00 00 85 C0 75 08 44 89 5C 24 60 41 03 F3 45 84 F6 4C 8B 74 24 50 0F 8E 5D 01 00 00 45 8A E3 E9 59 01 00 00 41 83 FF 70 0F 84 10 04 00 00 41 83 FF 73 0F 84 5A 03 00 00 41 83 FF 75 0F 84 0F 04 00 00 41 83 FF 78 0F 84 57 FC FF FF 41 83 FF 7B 74 33 4C 8B 74 24 50 41 0F B6 06 3B C7 0F 85 1F 07 00 00 44 00 6C 24 39 44 8B 64 24 34 45 33 FF 84 D2 0F 85 73 06 00 00 4C 8B 4D B8 4C 89 4D A8 E9 66 06 00 00 8B 45 98 45 84 F6 4C 8B 74 24 50 B9 01 00 00 00 0F B6 C0 0F 4F C1 4C 03 F1 41 80 3E 5E 89 45 98 75 08 49 FF C6 44 88 6C 24 58 33 D2 48 8D 4D E0 44 8D 42 20 E8 ?? ?? ?? ?? 41 80 3E 5D 41 BB 01 00 00 00 75 0A 41 B4 5D 4D 03 F3 C6 45 EB 20 41 8A 06 3C 5D 0F 84 8F 00 00 00 45 33 ED 4D 03 F3 3C 2D 75 59 45 84 E4 74 54 41 8A 0E 80 F9 5D 74 4C 4D 03 F3 44 3A E1 73 05 44 8A C9 EB 06 45 8A CC 44 8A E1 45 3A E1 73 27 45 0F B6 D4 41 0F B6 CC 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 45 02 E3 D2 E2 4D 03 D3 42 08 54 05 E0 45 3A E1 72 DD 45 0F B6 C1 41 0F B6 C1 45 8A E5 EB 0A 44 8A E0 44 0F B6 C0 0F B6 C0 83 E0 07 49 C1 E8 03 41 8B D3 8A C8 41 8A 06 D2 E2 42 08 54 05 E0 3C 5D 0F 85 78 FF FF FF 41 83 CD FF 33 C0 41 38 06 0F 84 33 06 00 00 44 8B 65 98 8B 4C 24 34 48 8B 5D 90 41 2B CB 89 4C 24 34 41 3B FD 74 16 48 8B 54 24 68 8B CF E8 ?? ?? ?? ?? 8B 4C 24 34 41 BB 01 00 00 00 33 D2 39 54 24 60 74 0D 8B C6 41 2B F3 85 C0 0F 84 3E 02 00 00 41 03 CB 89 4C 24 34 48 8B 4C 24 68 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 3C 41 3B FD 0F 84 F9 01 00 00 41 83 FF 63 74 42 41 83 FF 73 75 11 8D 47 F7 83 F8 04 0F 86 E1 01 00 00 83 FF 20 75 2B 41 83 FF 7B 0F 85 D2 01 00 00 48 8B C7 8B D7 48 C1 F8 03 83 E2 07 0F BE 4C 05 E0 0F BE 44 24 58 33 C8 0F A3 D1 0F 83 B1 01 00 00 33 D2 38 54 24 30 0F 85 93 01 00 00 45 84 E4 0F 84 74 01 00 00 40 0F B6 CF 40 88 7D 9C E8 ?? ?? ?? ?? 85 C0 74 11 48 8B 4C 24 68 FF 44 24 34 E8 ?? ?? ?? ?? 88 45 9D B8 3F 00 00 00 4C 8D 4D C0 48 8D 55 9C 66 89 45 80 48 8B 45 C0 48 8D 4D 80 4C 63 80 D4 00 00 00 E8 ?? ?? ?? ?? 48 8B 55 90 0F B7 45 80 66 89 02 48 83 C2 02 48 89 55 90 E9 04 FF FF FF 83 FF 2B 75 0E 2B F1 89 74 24 44 75 62 85 C0 74 5E 8A D9 4C 8B 64 24 68 44 8B 74 24 34 83 FF 30 0F 85 B5 01 00 00 44 03 F1 49 8B CC 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 C0 A8 A8 DF 74 75 B9 01 00 00 00 89 4C 24 48 41 83 FF 78 74 44 33 C0 39 44 24 60 74 0A 2B F1 89 74 24 44 75 02 02 D9 41 BF 6F 00 00 00 E9 82 00 00 00 44 8B 74 24 34 4C 8B 64 24 68 44 03 F1 49 8B CC 44 89 74 24 34 E8 ?? ?? ?? ?? B9 01 00 00 00 8B F8 89 44 24 3C EB 87 44 2B F1 44 89 74 24 34 41 3B FD 74 0A 49 8B D4 8B CF E8 ?? ?? ?? ?? BF 30 00 00 00 89 7C 24 3C EB 39 41 BF 01 00 00 00 49 8B CC 45 03 F7 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 33 C0 39 44 24 60 74 0F 83 EE 02 89 74 24 44 41 3B F7 7D 03 41 02 DF 41 BF 78 00 00 00 45 8B E6 E9 E7 00 00 00 44 0F B6 65 98 45 84 F6 4C 8B 74 24 50 41 BB 01 00 00 00 45 0F 4F E3 E9 CF FD FF FF 48 8B 45 90 41 BB 01 00 00 00 40 88 38 49 03 C3 48 89 45 90 EB 09 41 BB 01 00 00 00 49 03 DB 8B 4C 24 34 E9 D3 FD FF FF 41 BB 01 00 00 00 44 29 5C 24 34 41 3B FD 74 12 48 8B 54 24 68 8B CF E8 ?? ?? ?? ?? 41 BB 01 00 00 00 33 D2 48 8B 45 90 48 3B D8 0F 84 A5 03 00 00 38 54 24 30 0F 85 D2 02 00 00 44 01 5C 24 74 41 83 FF 63 0F 84 C3 02 00 00 45 33 FF 45 84 E4 44 8B 64 24 34 74 09 66 44 89 38 E9 B5 02 00 00 44 88 38 E9 AD 02 00 00 B9 01 00 00 00 4C 89 45 88 01 4C 24 70 88 4C 24 38 EB 05 B9 01 00 00 00 83 FF 2D 75 06 88 4C 24 40 EB 05 83 FF 2B 75 0E 2B F1 89 74 24 44 75 5E 85 C0 74 5A 8A D9 44 8B 64 24 34 33 F6 39 74 24 70 0F 84 17 01 00 00 48 8B 75 88 84 DB 0F 85 F4 00 00 00 44 8B 74 24 44 48 8B 5C 24 68 41 8D 47 90 A9 F7 FF FF FF 74 4E 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 B3 00 00 00 41 83 FF 6F 75 2E 83 FF 38 0F 8D A4 00 00 00 48 C1 E6 03 EB 5C 44 8B 64 24 34 44 03 E1 48 8B 4C 24 68 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C EB 8E 48 8D 34 B6 48 03 F6 EB 34 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 67 48 C1 65 88 04 8B CE 40 0F BE DF E8 ?? ?? ?? ?? 48 8B 75 88 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C 8D 47 D0 BA 01 00 00 00 01 54 24 48 48 63 C8 48 03 F1 83 7C 24 60 00 48 89 75 88 74 05 44 2B F2 74 3B 48 8B 5C 24 68 44 03 E2 48 8B CB 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 31 FF FF FF 41 FF CC 44 89 64 24 34 41 3B FD 74 0A 48 8B D3 8B CF E8 ?? ?? ?? ?? 48 8B 75 88 80 7C 24 40 00 0F 84 FC 00 00 00 48 F7 DE 48 89 75 88 E9 F0 00 00 00 8B 74 24 5C 84 DB 0F 85 D6 00 00 00 44 8B 74 24 44 48 8B 5C 24 68 41 8D 47 90 A9 F7 FF FF FF 74 2D 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 95 00 00 00 41 83 FF 6F 75 0E 83 FF 38 0F 8D 86 00 00 00 C1 E6 03 EB 42 8D 04 B6 8D 34 00 EB 3A 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 6A 8B 44 24 5C 8B CE 40 0F BE DF C1 E0 04 89 44 24 5C E8 ?? ?? ?? ?? 8B 74 24 5C 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C 83 C6 D0 B9 01 00 00 00 33 C0 01 4C 24 48 03 F7 89 74 24 5C 39 44 24 60 74 05 44 2B F1 74 3B 48 8B 5C 24 68 44 03 E1 48 8B CB 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 4F FF FF FF 41 FF CC 44 89 64 24 34 41 3B FD 74 0A 48 8B D3 8B CF E8 ?? ?? ?? ?? 8B 74 24 5C 33 C9 38 4C 24 40 74 06 F7 DE 89 74 24 5C 8B 44 24 48 41 83 FF 46 41 BF 00 00 00 00 41 0F 44 C7 85 C0 0F 84 06 01 00 00 44 38 7C 24 30 75 1A FF 44 24 74 8B 44 24 5C 48 8B 4D 90 44 39 7C 24 70 74 0E 48 8B 45 88 48 89 01 4C 8B 74 24 50 EB 1D 4C 8B 74 24 50 44 38 7C 24 38 74 04 89 01 EB 0D 66 89 01 EB 08 44 8B 64 24 34 45 33 FF 48 8B 74 24 68 BB 01 00 00 00 00 5C 24 39 4C 03 F3 4C 89 74 24 50 EB 61 41 80 3E 25 75 0B 49 8D 46 01 80 38 25 4C 0F 44 F0 BB 01 00 00 00 48 8B CE 44 03 E3 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 0F B6 06 4C 03 F3 4C 89 74 24 50 3B C7 75 5E 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 18 48 8B CE E8 ?? ?? ?? ?? 41 0F B6 0E 4C 03 F3 4C 89 74 24 50 3B C8 75 2A 41 3B FD 75 0D 41 80 3E 25 75 3D 41 80 7E 01 6E 75 36 41 8A 06 84 C0 74 2F E9 F3 F1 FF FF 41 3B FD 74 25 48 8B 54 24 68 EB 17 41 3B C5 74 0A 48 8B D6 8B C8 E8 ?? ?? ?? ?? 41 3B FD 74 0A 48 8B D6 8B CF E8 ?? ?? ?? ?? B8 01 00 00 00 39 45 84 75 0A 48 8B 4C 24 78 E8 ?? ?? ?? ?? 45 33 FF 41 3B FD 75 15 8B 44 24 74 85 C0 75 08 8A 4C 24 39 84 C9 74 0C 44 8B E8 EB 07 8B 5C 24 74 44 8B EB 44 38 7D D8 74 0B 48 8B 4D D0 83 A1 C8 00 00 00 FD 41 8B C5 48 8B 8D 60 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 02 00 00 48 81 C4 70 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_904_9_0 {
	meta:
		name = "_whiteout"
		size = 68
		refs = "001b _inc 002a isspace"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B F9 FF 07 48 8B CE E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 0C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 E3 48 8B 74 24 38 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_905_0_0 {
	meta:
		name = "__loctotime64_t"
		size = 716
		refs = "0017 __security_cookie 0089 _days 015d __tzset 0166 _get_daylight 0177 _get_dstbias 0188 _get_timezone 024d _isindst 0262 _errno 0278 __security_check_cookie 029d _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 33 F6 8D 99 94 F8 FF FF 4D 63 E9 8D 43 BA 48 63 FA 89 75 B8 89 75 BC 89 75 C0 3D 06 04 00 00 0F 87 1A 02 00 00 8D 47 FF 83 F8 0B 0F 87 0E 02 00 00 41 83 FD 17 0F 87 04 02 00 00 4C 63 7D 68 41 83 FF 3B 0F 87 F6 01 00 00 4C 63 65 70 41 83 FC 3B 0F 87 E8 01 00 00 44 8D 56 01 45 3B C2 0F 8C DB 01 00 00 48 8D 0D ?? ?? ?? ?? 41 BB 1F 85 EB 51 44 8B 4C B9 FC 8B 0C B9 41 2B C9 41 3B C8 7D 62 8B C3 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 16 41 8B C3 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 3B D9 75 23 8D 8B 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 0F 85 6F 01 00 00 83 FF 02 0F 85 66 01 00 00 41 83 F8 1D 0F 8F 5C 01 00 00 8B C3 47 8D 34 01 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 16 41 8B C3 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 3B D9 75 1F 8D 8B 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 75 08 83 FF 02 7E 03 45 03 F2 E8 ?? ?? ?? ?? 48 8D 4D B8 E8 ?? ?? ?? ?? 85 C0 0F 85 45 01 00 00 48 8D 4D BC E8 ?? ?? ?? ?? 85 C0 0F 85 1F 01 00 00 48 8D 4D C0 E8 ?? ?? ?? ?? 85 C0 0F 85 F9 00 00 00 8D 8B 2B 01 00 00 41 BA 1F 85 EB 51 44 8D 43 FF 41 8B C2 44 89 75 E4 89 5D DC 44 89 6D D0 44 89 7D CC 44 89 65 C8 F7 E9 44 8B CA 41 8B C2 41 C1 F9 07 41 8B C9 C1 E9 1F 44 03 C9 41 F7 E8 C1 FA 05 41 8B C0 8B CA C1 E9 1F 03 D1 44 2B CA 99 83 E2 03 8D 0C 02 48 63 C3 C1 F9 02 48 83 E8 46 83 C1 EF 41 03 C9 48 63 D1 48 69 C0 6D 01 00 00 48 03 D0 49 63 C6 48 03 D0 48 63 45 C0 48 8D 0C 52 48 8D 0C CD 00 00 00 00 49 03 CD 48 6B D1 3C 49 03 D7 48 6B F2 3C 48 03 F0 8D 47 FF 49 03 F4 83 7D 78 01 89 45 D8 74 19 83 7D 78 FF 75 1A 83 7D B8 00 74 14 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 74 07 48 63 4D BC 48 03 F1 48 8B C6 EB 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_906_2_0 {
	meta:
		name = "strerror"
		size = 154
		refs = "000d _getptd_noexit 001c ??_C@_0EA@FCLIIPNN@Visual?5C?$CL?$CL?5CRT?3?5Not?5enough?5memor@ 003d _calloc_crt 0053 __sys_nerr 0063 __sys_errlist 0077 strcpy_s 0095 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 8B F9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 12 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 48 83 78 38 00 75 18 BA 01 00 00 00 B9 86 00 00 00 E8 ?? ?? ?? ?? 48 89 43 38 48 85 C0 74 CF 48 8B 5B 38 85 FF 78 09 E8 ?? ?? ?? ?? 3B 38 7C 07 E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 48 63 CF BA 86 00 00 00 4C 8B 04 C8 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C3 EB 9C 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_906_3_0 {
	meta:
		name = "strerror_s"
		size = 142
		refs = "001e _errno 002a _invalid_parameter_noinfo 004a __sys_nerr 005a __sys_errlist 0070 strncpy_s 0089 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 41 8B D8 48 8B FA 48 8B F1 48 85 C9 75 23 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 85 D2 74 D8 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 4C 8D 4F FF 4C 8B 04 C8 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 B8 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_907_13_0 {
	meta:
		name = "??0InitialThreadParam@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAV123@@Z"
		size = 94
		refs = "0019 __imp_CreateEventW 0030 __imp_GetLastError 0048 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 004f _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0059 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 89 51 08 48 8B D9 45 33 C9 33 D2 33 C9 45 33 C0 FF 15 ?? ?? ?? ?? 48 89 03 48 85 C0 74 09 48 8B C3 48 83 C4 40 5B C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_907_14_0 {
	meta:
		name = "??0ScopedCriticalRegion@UMSThreadProxy@details@Concurrency@@QEAA@XZ"
		size = 49
		refs = "000a ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 0012 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 0A 48 8D 48 08 48 8B 01 FF 50 20 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_907_17_0 {
	meta:
		name = "??0UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVUMSSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
		size = 340
		refs = "001e ??_7IThreadProxy@Concurrency@@6B@ 0028 ??_7UMSBaseObject@details@Concurrency@@6B@ 003e ??0VirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z 0046 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BIThreadProxy@2@@ 0050 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BUMSBaseObject@12@@ 005b ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BVirtualProcessorRoot@12@@ 0096 ?s_threadProxyIdCount@ResourceManager@details@Concurrency@@0JC 00ae __imp_CreateEventW 00c0 __imp_GetLastError 00d8 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00df _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00e9 _CxxThrowException 013e ?CreatePrimary@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 85 D2 74 04 48 83 C2 08 48 83 C1 10 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 47 10 48 83 A7 90 00 00 00 00 48 83 A7 98 00 00 00 00 48 83 A7 A8 00 00 00 00 48 83 A7 B0 00 00 00 00 C7 87 C0 00 00 00 01 00 00 00 B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 89 87 BC 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 87 A0 00 00 00 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 87 98 00 00 00 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_907_18_0 {
	meta:
		name = "?dtor$0@?0???0UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVUMSSchedulerProxy@12@PEAUSchedulerNode@12@I@Z@4HA"
		size = 16
		refs = "000c ??1VirtualProcessorRoot@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 80 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_907_28_0 {
	meta:
		name = "??1InitialThreadParam@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@XZ"
		size = 23
		refs = "000e __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_907_29_0 {
	meta:
		name = "??1ScopedCriticalRegion@UMSThreadProxy@details@Concurrency@@QEAA@XZ"
		size = 27
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 0A 48 83 C1 08 48 8B 01 FF 50 28 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_907_31_0 {
	meta:
		name = "??1UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAA@XZ"
		size = 108
		refs = "0009 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BIThreadProxy@2@@ 0016 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BUMSBaseObject@12@@ 0021 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BVirtualProcessorRoot@12@@ 0032 __imp_CloseHandle 0053 ??_7VirtualProcessorRoot@details@Concurrency@@6B@ 005e ??_7ExecutionResource@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 41 10 48 8B 89 A0 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 8B 98 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 FF 15 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 43 10 48 8D 05 ?? ?? ?? ?? 48 89 43 20 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_907_59_0 {
	meta:
		name = "?Activate@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 276
		refs = "005e ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 0066 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 009a ?Subscribe@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ 00ab __imp_SetEvent"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B F9 80 B9 B1 00 00 00 00 0F 84 97 00 00 00 48 3B 91 98 00 00 00 74 25 48 8B 02 48 8B CA FF 50 10 48 85 C0 74 04 48 83 C0 F8 48 85 C0 75 0E 48 8B 4F 30 48 8B 01 48 8B D6 FF 50 38 90 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 0B 48 8D 48 08 48 8B 01 FF 50 20 90 B8 01 00 00 00 F0 0F C1 47 78 FF C0 83 F8 02 75 06 48 87 77 08 EB 1A 48 8B CF E8 ?? ?? ?? ?? 48 87 77 08 48 8B 8F 88 00 00 00 FF 15 ?? ?? ?? ?? 90 48 8B 44 24 40 48 85 C0 74 4A 48 8D 48 08 48 8B 01 FF 50 28 EB 3E 48 89 91 98 00 00 00 48 8B 02 48 8D 51 F0 48 8B CE FF 50 18 C6 87 B1 00 00 00 01 C7 47 78 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? C6 87 B3 00 00 00 01 48 8B 8F 88 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_907_61_0 {
	meta:
		name = "__catch$?Activate@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z$0"
		size = 18
		refs = "000d _CxxThrowException"
	strings:
		$1 = { 48 8B 45 40 F0 FF 48 78 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_907_63_0 {
	meta:
		name = "?Affinitize@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z"
		size = 210
		refs = "0020 ?SpinUntilBlocked@UMSThreadProxy@details@Concurrency@@IEAAXXZ 0094 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 00b7 ?PrepareToRun@UMSThreadProxy@details@Concurrency@@IEAAXPEAVUMSFreeVirtualProcessorRoot@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 F6 48 8B DA 48 8B F9 45 84 C0 75 08 48 8B CA E8 ?? ?? ?? ?? 48 39 7B 48 0F 84 82 00 00 00 48 8B 47 40 48 85 C0 74 04 48 8D 70 F8 48 8D 4F 10 48 8B 01 FF 10 33 C9 48 89 4C 24 20 48 89 4C 24 28 8B C8 48 8B 46 28 48 C1 E1 06 0F B7 54 01 10 4C 8B 04 01 66 89 54 24 28 4C 89 44 24 20 0F 28 44 24 20 66 0F 7F 44 24 20 66 3B 93 28 01 00 00 75 09 4C 3B 83 20 01 00 00 74 0E 48 8B 53 28 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F B7 44 24 28 66 89 83 28 01 00 00 48 8B 44 24 20 48 89 83 20 01 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 48 48 89 9F B0 00 00 00 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_907_65_0 {
	meta:
		name = "?CreatePrimary@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXXZ"
		size = 359
		refs = "0021 __security_cookie 003f __imp_CreateEventW 004e __imp_GetLastError 0065 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 006c _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0075 _CxxThrowException 0092 ?PrimaryMain@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAKPEAX@Z 009b ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 0105 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 0125 __imp_SetThreadPriority 0132 __imp_WaitForSingleObject 0142 __imp_CloseHandle 014e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 10 48 89 78 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B D9 48 89 4D B8 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 45 B0 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4D C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D C8 E8 ?? ?? ?? ?? 90 48 8D 83 B8 00 00 00 48 89 44 24 28 83 64 24 20 00 4C 8D 4D B0 4C 8D 05 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 48 89 83 90 00 00 00 48 8B 43 40 48 85 C0 74 04 48 83 C0 F8 F0 FF 80 44 01 00 00 48 8B 43 40 48 85 C0 74 06 48 8D 78 F8 EB 02 33 FF 48 8D 4B 10 48 8B 01 FF 10 8B C8 48 C1 E1 06 48 8B 47 28 48 8B 14 01 0F B7 4C 01 10 33 C0 48 89 45 E8 48 89 45 F0 66 89 4D F0 48 89 55 E8 48 8B 93 90 00 00 00 48 8D 4D E8 E8 ?? ?? ?? ?? 48 8B 43 40 48 85 C0 74 04 48 83 C0 F8 8B 90 D0 00 00 00 48 8B 8B 90 00 00 00 FF 15 ?? ?? ?? ?? 83 CA FF 48 8B 4D B0 FF 15 ?? ?? ?? ?? 90 48 8B 4D B0 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_907_67_0 {
	meta:
		name = "?CriticalBlockAndExecute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@@Z"
		size = 153
		refs = "004c ?SweepCompletionList@UMSSchedulerProxy@details@Concurrency@@QEAA_NPEAVUMSThreadProxy@23@_N@Z 0067 __imp_WaitForMultipleObjectsEx 0073 ?IsTerminated@UMSThreadProxy@details@Concurrency@@QEAA_NXZ 0088 ?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B 81 A0 00 00 00 48 8B FA 48 8B D9 48 89 44 24 30 48 8B 41 40 48 85 C0 74 04 48 83 C0 F8 48 8B 80 20 01 00 00 48 89 44 24 38 48 8B 43 40 48 85 C0 74 06 48 8D 48 F8 EB 02 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 83 64 24 20 00 45 33 C0 48 8D 54 24 30 41 8D 48 02 41 83 C9 FF FF 15 ?? ?? ?? ?? 85 C0 75 C6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 13 41 B1 01 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB A7 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_907_69_0 {
	meta:
		name = "?Deactivate@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAA_NPEAUIExecutionContext@3@@Z"
		size = 428
		refs = "001e __imp_GetCurrentThreadId 0098 ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 00a0 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 00d3 ?Unsubscribe@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ 00e0 ?Deactivate@UMSThreadProxy@details@Concurrency@@IEAA_NXZ 00ea ?InternalDeactivate@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAA_NXZ 00ff ?_Sleep0@details@Concurrency@@YAXXZ 010e ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0149 ??0invalid_operation@Concurrency@@QEAA@XZ 0150 _TI2?AVinvalid_operation@Concurrency@@ 0159 _CxxThrowException 017b ??_C@_08BAFMHLII@pContext?$AA@ 018c ??0exception@std@@QEAA@AEBQEBD@Z 0193 ??_7invalid_argument@std@@6B@ 019a _TI3?AVinvalid_argument@std@@"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B F2 48 8B D9 FF 15 ?? ?? ?? ?? 3B 83 A8 00 00 00 41 0F 94 C6 48 85 F6 0F 84 43 01 00 00 45 84 F6 74 0D 48 3B B3 98 00 00 00 0F 85 31 01 00 00 48 83 BB A0 00 00 00 00 75 09 45 84 F6 0F 84 EA 00 00 00 48 8B 06 48 8B CE 33 FF FF 50 10 4C 8D 7B F0 49 3B C7 74 12 48 8B 06 48 8B CE FF 50 10 48 85 C0 74 04 48 8D 78 F8 45 84 F6 75 28 48 85 FF 74 23 48 39 BB A0 00 00 00 0F 85 C7 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 3B C7 0F 85 B1 00 00 00 80 BB B0 00 00 00 00 74 21 83 C8 FF F0 0F C1 43 78 FF C8 74 04 B0 01 EB 2E 80 BB B0 00 00 00 00 74 08 48 8B CB E8 ?? ?? ?? ?? 48 85 FF 74 0A 48 8B CF E8 ?? ?? ?? ?? EB 08 49 8B CF E8 ?? ?? ?? ?? 88 83 B0 00 00 00 84 C0 74 2F 83 65 A8 00 48 8D 05 ?? ?? ?? ?? 48 89 45 B0 EB 09 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8B 43 08 48 85 C0 74 EE 48 8B 43 08 48 C7 43 08 00 00 00 00 8A 83 B0 00 00 00 48 8B 9C 24 C0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 5F 5E 5D C3 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? CC 48 8D 4D E8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E8 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 55 38 48 8D 4D B8 48 89 45 38 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D B8 48 89 45 B8 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_907_70_0 {
	meta:
		name = "?DeleteThis@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXXZ"
		size = 129
		refs = "000e ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 0016 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 0072 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0A 48 8D 48 08 48 8B 11 FF 52 30 C6 83 B2 00 00 00 01 48 85 FF 74 17 48 8B 4F 40 48 8D 43 F0 48 3B C8 74 31 48 8D 4F 08 48 8B 01 FF 50 38 48 83 BB 80 00 00 00 00 74 1D 80 BB B3 00 00 00 00 48 8B 8B 88 00 00 00 75 07 C6 83 B3 00 00 00 01 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_907_71_0 {
	meta:
		name = "?EnsureAllTasksVisible@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 297
		refs = "001c __imp_GetCurrentThreadId 008e ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 0096 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 00b4 __crtFlushProcessWriteBuffers 00be ??0invalid_operation@Concurrency@@QEAA@XZ 00c5 _TI2?AVinvalid_operation@Concurrency@@ 00cf _CxxThrowException 00f3 ??_C@_08BAFMHLII@pContext?$AA@ 0107 ??0exception@std@@QEAA@AEBQEBD@Z 010e ??_7invalid_argument@std@@6B@ 0115 _TI3?AVinvalid_argument@std@@"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 48 8B F2 48 8B F9 FF 15 ?? ?? ?? ?? 3B 87 A8 00 00 00 40 0F 94 C5 48 85 F6 0F 84 BD 00 00 00 40 84 ED 74 0D 48 3B B7 98 00 00 00 0F 85 AB 00 00 00 48 83 BF A0 00 00 00 00 75 05 40 84 ED 74 64 48 8B 06 48 8B CE 33 DB FF 50 10 48 8D 4F F0 48 3B C1 74 12 48 8B 06 48 8B CE FF 50 10 48 85 C0 74 04 48 8D 58 F8 40 84 ED 75 20 48 85 DB 74 1B 48 39 9F A0 00 00 00 75 47 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 3B C3 75 35 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F E9 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 48 89 44 24 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_907_72_0 {
	meta:
		name = "?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z"
		size = 224
		refs = "0031 ?InvokeSchedulingContext@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAX_N@Z 003b ?Affinitize@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z 0061 ?ExecuteUmsThread@UMS@details@Concurrency@@SAHPEAX@Z 006d ?IsSuspended@UMSThreadProxy@details@Concurrency@@QEAA_NXZ 009e ?InsertProxyInCompletionWhenAwake@UMSBackgroundPoller@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@PEAVUMSSchedulerProxy@23@@Z 00c3 ?HandleBlocking@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 DB 41 8A E9 45 8A F8 48 8B FA 48 8B F1 48 85 D2 75 0C 33 D2 48 8B CE E8 ?? ?? ?? ?? EB F4 44 8A C5 E8 ?? ?? ?? ?? 40 84 ED 75 03 89 5F 5C 48 8D 4F 08 48 8B 01 FF 50 40 BD 0A 00 00 00 85 C0 41 0F 95 C6 48 8B 4F 20 E8 ?? ?? ?? ?? FF CD 75 11 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 09 BD 0A 00 00 00 F3 90 EB DE 48 8B 46 40 4C 8D 40 F8 48 85 C0 75 03 4C 8B C3 49 8B 40 10 48 8B D7 48 8B 48 50 48 83 C1 60 E8 ?? ?? ?? ?? 45 84 FF 74 12 45 84 F6 75 0D C7 47 38 01 00 00 00 48 87 5F 40 EB 0E 41 B0 01 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_907_86_0 {
	meta:
		name = "?GetResourceManager@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAAPEAVResourceManager@23@XZ"
		size = 20
	strings:
		$1 = { 48 8B 51 40 33 C0 48 85 D2 74 04 48 8D 42 F8 48 8B 40 20 C3 }
	condition:
		$1
}

rule file_907_96_0 {
	meta:
		name = "?HandleBlocking@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z"
		size = 138
		refs = "004f ?InvokeSchedulingContext@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAX_N@Z 0063 ?CriticalBlockAndExecute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 8D 4A 08 41 8A F8 48 8B 01 48 8B DA FF 50 40 48 63 E8 48 83 FD 02 74 25 48 83 FD 01 75 05 40 84 FF 75 1A 33 C0 C7 43 38 01 00 00 00 40 8A D7 48 87 43 40 48 8B CE E8 ?? ?? ?? ?? EB DB 48 8B D3 48 8B CE C7 43 38 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 03 BA 01 00 00 00 48 8B CB 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF 60 08 }
	condition:
		$1
}

rule file_907_97_0 {
	meta:
		name = "?HandleYielding@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@@Z"
		size = 368
		refs = "0070 ?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z 008e ?ReturnIdleProxy@UMSFreeThreadProxy@details@Concurrency@@AEAAXXZ 00d6 ?InternalDeactivate@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAA_NXZ 00ff ?NotifyTransmogrification@UMSThreadProxy@details@Concurrency@@QEAAXXZ 0107 ?ResetOnIdle@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B 42 5C BD 01 00 00 00 48 8B FA 4C 8B F1 3B C5 0F 84 0C 01 00 00 83 F8 02 0F 84 D5 00 00 00 83 F8 03 0F 84 FA 00 00 00 83 F8 04 0F 84 B1 00 00 00 83 F8 05 74 7D 83 F8 07 7E 21 89 6A 38 33 F6 48 87 72 40 48 8B 01 FF 50 18 45 33 C9 45 33 C0 48 8B D7 49 8B CE E8 ?? ?? ?? ?? CC 83 F8 06 0F 94 C0 33 F6 84 C0 74 13 89 6A 38 8B C6 48 8B CA 48 87 42 40 E8 ?? ?? ?? ?? EB 14 48 8D 4A 08 48 8B 01 FF 50 38 48 8B C6 89 6F 38 48 87 47 40 41 38 B6 C2 00 00 00 74 52 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 89 6A 38 33 F6 48 87 72 40 E8 ?? ?? ?? ?? F6 D8 1B C9 45 33 C9 45 33 C0 83 C1 02 89 4F 70 49 8B 96 B0 00 00 00 49 8B CE E8 ?? ?? ?? ?? EB B6 48 8B CA E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? EB A4 33 F6 48 8B CA 48 39 72 60 8B DE 48 0F 45 5A 60 89 6A 38 48 87 72 40 E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 48 8B D3 49 8B CE E8 ?? ?? ?? ?? CC 33 F6 48 39 72 60 8B DE 48 0F 45 5A 60 83 F8 03 75 0A 48 8B CA E8 ?? ?? ?? ?? EB 07 89 6A 38 48 87 72 40 45 33 C9 45 33 C0 48 8B D3 49 8B CE E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_907_98_0 {
	meta:
		name = "?InternalDeactivate@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAA_NXZ"
		size = 205
		refs = "0012 __security_cookie 008a ?SweepCompletionList@UMSSchedulerProxy@details@Concurrency@@QEAA_NPEAVUMSThreadProxy@23@_N@Z 00a2 __imp_WaitForMultipleObjectsEx 00b9 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B 81 98 00 00 00 48 8B 51 40 33 DB 48 89 44 24 30 48 8B F9 BE 02 00 00 00 48 8D 42 F8 48 85 D2 75 02 8B C3 48 8B 80 20 01 00 00 48 89 44 24 38 48 8D 42 F8 48 85 D2 75 03 48 8B C3 48 8B 80 28 01 00 00 B9 03 00 00 00 48 85 C0 48 89 44 24 40 0F 45 F1 EB 1A 48 8B 47 40 48 8D 48 F8 48 85 C0 75 03 48 8B CB 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 8D 54 24 30 41 83 C9 FF 45 33 C0 8B CE 89 5C 24 20 FF 15 ?? ?? ?? ?? 83 F8 01 74 C9 85 C0 0F 94 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_907_99_0 {
	meta:
		name = "?InvokeSchedulingContext@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAX_N@Z"
		size = 45
	strings:
		$1 = { 48 83 EC 28 48 8B 89 A8 00 00 00 0F B6 C2 C7 44 24 30 08 00 00 00 83 E0 01 48 8D 54 24 30 89 44 24 34 48 8B 01 FF 50 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_907_103_0 {
	meta:
		name = "?OnPrimary@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAA_NXZ"
		size = 30
		refs = "000b __imp_GetCurrentThreadId"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 3B 83 B8 00 00 00 0F 94 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_907_104_0 {
	meta:
		name = "?PollForCompletion@UMSSchedulerProxy@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 20
		refs = "0010 ?InsertProxyInCompletionWhenAwake@UMSBackgroundPoller@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@PEAVUMSSchedulerProxy@23@@Z"
	strings:
		$1 = { 48 8B 41 10 4C 8B C1 48 8B 48 50 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_907_105_0 {
	meta:
		name = "?PrimaryInvocation@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z"
		size = 365
		refs = "001d ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 005a ?SetUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@Z 006b __imp_SetEvent 008e ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z 00be ?HandleYielding@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@@Z 00cf ?HandleBlocking@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z 00e1 __imp_WaitForSingleObject 00f4 ?InvokeSchedulingContext@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAX_N@Z 010f __imp_GetLastError 0127 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 012e _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0138 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 56 57 41 56 48 83 EC 60 4D 8B F0 48 8B F2 8B F9 33 ED E8 ?? ?? ?? ?? 85 FF 75 4C 49 8B 5E 08 48 85 DB 74 0E 4C 8D 43 08 4C 89 84 24 98 00 00 00 EB 08 48 21 AC 24 98 00 00 00 41 B9 08 00 00 00 4C 8D 84 24 98 00 00 00 48 8B C8 41 8D 51 F9 E8 ?? ?? ?? ?? 85 C0 0F 84 A7 00 00 00 49 8B 0E FF 15 ?? ?? ?? ?? EB 3E 48 21 6C 24 30 48 21 6C 24 20 41 B9 08 00 00 00 41 8D 51 F9 4C 8D 44 24 30 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 A3 00 00 00 48 8B 5C 24 30 48 85 DB 74 04 48 83 C3 F8 48 8B AB B0 00 00 00 85 FF 74 22 48 8B D5 48 8B CB FF CF 74 07 E8 ?? ?? ?? ?? EB 34 40 F6 D6 40 80 E6 01 44 8A C6 E8 ?? ?? ?? ?? EB 23 48 8B 8B 98 00 00 00 83 CA FF FF 15 ?? ?? ?? ?? 80 BB C2 00 00 00 00 75 0A 33 D2 48 8B CB E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 20 49 8B 6B 28 49 8B E3 41 5E 5F 5E C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 38 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8D 4C 24 38 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_907_106_0 {
	meta:
		name = "?PrimaryMain@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAKPEAX@Z"
		size = 204
		refs = "003c ?PrimaryInvocation@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z 0046 ?EnterUmsSchedulingMode@UMS@details@Concurrency@@SAHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@Z 006d ??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ 0075 ??3@YAXPEAX@Z 008b ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z 009e __imp_GetLastError 00b6 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00bd _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00c7 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 60 48 8B 79 08 C7 44 24 20 00 01 00 00 48 8B 47 40 48 85 C0 74 04 48 83 C0 F8 48 8B 80 18 01 00 00 48 89 4C 24 38 48 8D 4C 24 20 48 89 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 E8 ?? ?? ?? ?? 85 C0 74 4E 48 8B 5F 40 48 85 DB 74 04 48 83 C3 F8 F0 FF 8B 44 01 00 00 75 15 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 4F 10 BA 01 00 00 00 48 8B 01 FF 50 40 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 78 33 C0 48 83 C4 60 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_907_107_0 {
	meta:
		name = "?Reference@UMSSchedulerProxy@details@Concurrency@@QEAAJXZ"
		size = 16
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 81 44 01 00 00 FF C0 C3 }
	condition:
		$1
}

rule file_907_108_0 {
	meta:
		name = "?Release@UMSSchedulerProxy@details@Concurrency@@QEAAJXZ"
		size = 59
		refs = "0022 ??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ 002a ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 83 CF FF F0 0F C1 B9 44 01 00 00 FF CF 75 12 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_907_109_0 {
	meta:
		name = "?ResetOnIdle@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAAXXZ"
		size = 162
		refs = "002e ?Unsubscribe@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ 003e __imp_WaitForSingleObject 004d ?_Sleep0@details@Concurrency@@YAXXZ 0062 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0093 ?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 33 DB 48 8B F9 83 C8 FF 48 89 99 B0 00 00 00 F0 0F C1 81 88 00 00 00 FF C8 7F 25 85 C0 75 09 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 8F 98 00 00 00 83 CA FF FF 15 ?? ?? ?? ?? 38 9F C2 00 00 00 75 4D 48 8D 05 ?? ?? ?? ?? 89 5C 24 28 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 47 18 48 85 C0 74 ED 48 8B 4F 18 48 89 5F 18 48 8B 01 FF 50 10 48 85 C0 74 04 48 8D 58 F8 45 33 C9 45 33 C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_907_110_0 {
	meta:
		name = "?SchedulerProxy@UMSFreeVirtualProcessorRoot@details@Concurrency@@IEAAPEAVUMSSchedulerProxy@23@XZ"
		size = 16
	strings:
		$1 = { 48 8B 51 40 33 C0 48 85 D2 74 04 48 8D 42 F8 C3 }
	condition:
		$1
}

rule file_907_112_0 {
	meta:
		name = "?SetAffinity@UMSFreeThreadProxy@details@Concurrency@@QEAAXUHardwareAffinity@23@@Z"
		size = 85
		refs = "0031 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 20 0F B7 81 28 01 00 00 48 8B FA 48 8B D9 66 39 42 08 75 0C 48 8B 81 20 01 00 00 48 39 02 74 0C 48 8B 51 28 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 08 66 89 83 28 01 00 00 48 8B 07 48 89 83 20 01 00 00 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_907_113_0 {
	meta:
		name = "?StartupPrimary@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXXZ"
		size = 21
		refs = "0011 __imp_SetEvent"
	strings:
		$1 = { C6 81 C3 00 00 00 01 48 8B 89 98 00 00 00 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_907_115_0 {
	meta:
		name = "?SwitchTo@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@W4SwitchingProxyState@3@@Z"
		size = 48
		refs = "002c ?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 02 48 8B D9 48 8B CA FF 50 10 33 D2 48 85 C0 74 04 48 8D 50 F8 45 33 C9 41 B0 01 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_908_0_0 {
	meta:
		name = "__STRINGTOLD_L"
		size = 117
		refs = "000d __security_cookie 003d __strgtold12_l 004c _ld12told 0063 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 50 48 8B 84 24 90 00 00 00 48 8B D9 48 8D 4C 24 40 48 89 44 24 38 33 C0 89 44 24 30 89 44 24 28 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D3 8B F8 E8 ?? ?? ?? ?? 83 F8 01 75 03 83 CF 02 8B C7 48 8B 4C 24 50 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_986_0_0 {
	meta:
		name = "__WSTRINGTOLD_L"
		size = 117
		refs = "000d __security_cookie 003d __wstrgtold12_l 004c _ld12told 0063 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 50 48 8B 84 24 90 00 00 00 48 8B D9 48 8D 4C 24 40 48 89 44 24 38 33 C0 89 44 24 30 89 44 24 28 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D3 8B F8 E8 ?? ?? ?? ?? 83 F8 01 75 03 83 CF 02 8B C7 48 8B 4C 24 50 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_908_6_0 {
	meta:
		name = "__strgtold12_l"
		size = 2145
		refs = "001f __security_cookie 0065 _errno 0070 _invalid_parameter_noinfo 044a __mtold12 0488 _pow10pos 049e _pow10neg 0842 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 8B 75 7F 33 DB 44 89 4D 93 44 8D 4B 01 48 89 4D A7 48 89 55 97 4C 8D 55 DF 66 89 5D 8F 44 8B DB 44 89 4D 8B 44 8B FB 89 5D 87 44 8B E3 44 8B EB 8B F3 8B CB 4D 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 BF 07 00 00 49 8B F8 41 80 38 20 77 19 49 0F BE 00 48 BA 00 26 00 00 01 00 00 00 48 0F A3 C2 73 05 4D 03 C1 EB E1 41 8A 10 4D 03 C1 83 F9 05 0F 8F 0A 02 00 00 0F 84 EA 01 00 00 44 8B C9 85 C9 0F 84 83 01 00 00 41 FF C9 0F 84 3A 01 00 00 41 FF C9 0F 84 DF 00 00 00 41 FF C9 0F 84 89 00 00 00 41 FF C9 0F 85 9A 02 00 00 41 B9 01 00 00 00 B0 30 45 8B F9 44 89 4D 87 45 85 DB 75 30 EB 09 41 8A 10 41 2B F1 4D 03 C1 3A D0 74 F3 EB 1F 80 FA 39 7F 1E 41 83 FB 19 73 0E 2A D0 45 03 D9 41 88 12 4D 03 D1 41 2B F1 41 8A 10 4D 03 C1 3A D0 7D DD 8D 42 D5 A8 FD 74 24 80 FA 43 0F 8E 3C 01 00 00 80 FA 45 7E 0C 80 EA 64 41 3A D1 0F 87 2B 01 00 00 B9 06 00 00 00 E9 49 FF FF FF 4D 2B C1 B9 0B 00 00 00 E9 3C FF FF FF 41 B9 01 00 00 00 B0 30 45 8B F9 EB 21 80 FA 39 7F 20 41 83 FB 19 73 0D 2A D0 45 03 D9 41 88 12 4D 03 D1 EB 03 41 03 F1 41 8A 10 4D 03 C1 3A D0 7D DB 49 8B 06 48 8B 88 F0 00 00 00 48 8B 01 3A 10 75 85 B9 04 00 00 00 E9 EF FE FF FF 8D 42 CF 3C 08 77 13 B9 03 00 00 00 41 B9 01 00 00 00 4D 2B C1 E9 D5 FE FF FF 49 8B 06 48 8B 88 F0 00 00 00 48 8B 01 3A 10 75 10 B9 05 00 00 00 41 B9 01 00 00 00 E9 B4 FE FF FF 80 FA 30 0F 85 F2 01 00 00 41 B9 01 00 00 00 41 8B C9 E9 9D FE FF FF 8D 42 CF 41 B9 01 00 00 00 45 8B F9 3C 08 77 06 41 8D 49 02 EB AA 49 8B 06 48 8B 88 F0 00 00 00 48 8B 01 3A 10 0F 84 79 FF FF FF 8D 42 D5 A8 FD 0F 84 1E FF FF FF 80 FA 30 74 BD E9 F0 FE FF FF 8D 42 CF 3C 08 0F 86 6A FF FF FF 49 8B 06 48 8B 88 F0 00 00 00 48 8B 01 3A 10 0F 84 79 FF FF FF 80 FA 2B 74 29 80 FA 2D 74 13 80 FA 30 74 83 41 B9 01 00 00 00 4D 2B C1 E9 70 01 00 00 B9 02 00 00 00 C7 45 8F 00 80 00 00 E9 50 FF FF FF B9 02 00 00 00 66 89 5D 8F E9 42 FF FF FF 80 EA 30 44 89 4D 87 80 FA 09 0F 87 D9 00 00 00 B9 04 00 00 00 E9 0A FF FF FF 44 8B C9 41 83 E9 06 0F 84 9C 00 00 00 41 FF C9 74 73 41 FF C9 74 42 41 FF C9 0F 84 B4 00 00 00 41 83 F9 02 0F 85 9B 00 00 00 39 5D 77 74 8A 49 8D 78 FF 80 FA 2B 74 17 80 FA 2D 0F 85 ED 00 00 00 83 4D 8B FF B9 07 00 00 00 E9 D9 FE FF FF B9 07 00 00 00 E9 CF FE FF FF 41 B9 01 00 00 00 45 8B E1 EB 06 41 8A 10 4D 03 C1 80 FA 30 74 F5 80 EA 31 80 FA 08 0F 87 44 FF FF FF B9 09 00 00 00 E9 85 FE FF FF 8D 42 CF 3C 08 77 0A B9 09 00 00 00 E9 6E FE FF FF 80 FA 30 0F 85 8F 00 00 00 B9 08 00 00 00 E9 7F FE FF FF 8D 42 CF 49 8D 78 FE 3C 08 76 D8 80 FA 2B 74 07 80 FA 2D 74 83 EB D6 B9 07 00 00 00 83 F9 0A 74 67 E9 59 FE FF FF 4C 8B C7 EB 63 41 B9 01 00 00 00 40 B7 30 45 8B E1 EB 24 80 FA 39 7F 3D 47 8D 6C AD 00 0F BE C2 45 8D 6D E8 46 8D 2C 68 41 81 FD 50 14 00 00 7F 0D 41 8A 10 4D 03 C1 40 3A D7 7D D7 EB 17 41 BD 51 14 00 00 EB 0F 80 FA 39 0F 8F A1 FE FF FF 41 8A 10 4D 03 C1 40 3A D7 7D EC E9 91 FE FF FF 4C 8B C7 41 B9 01 00 00 00 48 8B 45 97 4C 89 00 45 85 FF 0F 84 13 04 00 00 41 83 FB 18 76 19 8A 45 F6 3C 05 7C 06 41 02 C1 88 45 F6 4D 2B D1 41 BB 18 00 00 00 41 03 F1 45 85 DB 75 15 0F B7 D3 0F B7 C3 8B FB 8B CB E9 EF 03 00 00 41 FF CB 41 03 F1 4D 2B D1 41 38 1A 74 F2 4C 8D 45 BF 48 8D 4D DF 41 8B D3 E8 ?? ?? ?? ?? 39 5D 8B 7D 03 41 F7 DD 44 03 EE 45 85 E4 75 04 44 03 6D 67 39 5D 87 75 04 44 2B 6D 6F 41 81 FD 50 14 00 00 0F 8F 82 03 00 00 41 81 FD B0 EB FF FF 0F 8C 65 03 00 00 48 8D 35 ?? ?? ?? ?? 48 83 EE 60 45 85 ED 0F 84 3F 03 00 00 79 0E 48 8D 35 ?? ?? ?? ?? 41 F7 DD 48 83 EE 60 39 5D 93 75 04 66 89 5D BF 45 85 ED 0F 84 1D 03 00 00 BF 00 00 00 80 41 B9 FF 7F 00 00 41 8B C5 48 83 C6 54 41 C1 FD 03 48 89 75 9F 83 E0 07 0F 84 F1 02 00 00 48 98 41 BB 00 80 00 00 41 BE 01 00 00 00 48 8D 0C 40 48 8D 14 8E 48 89 55 97 66 44 39 1A 72 25 8B 42 08 F2 0F 10 02 48 8D 55 CF 89 45 D7 F2 0F 11 45 CF 48 8B 45 CF 48 C1 E8 10 48 89 55 97 41 2B C6 89 45 D1 0F B7 42 0A 0F B7 4D C9 48 89 5D AF 44 0F B7 E0 66 41 23 C1 89 5D B7 66 44 33 E1 66 41 23 C9 66 45 23 E3 44 8D 04 01 66 41 3B C9 0F 83 67 02 00 00 66 41 3B C1 0F 83 5D 02 00 00 41 BA FD BF 00 00 66 45 3B C2 0F 87 4D 02 00 00 41 BA BF 3F 00 00 66 45 3B C2 77 0C 48 89 5D C3 89 5D BF E9 49 02 00 00 66 85 C9 75 20 66 45 03 C6 F7 45 C7 FF FF FF 7F 75 13 39 5D C3 75 0E 39 5D BF 75 09 66 89 5D C9 E9 24 02 00 00 66 85 C0 75 16 66 45 03 C6 F7 42 08 FF FF FF 7F 75 09 39 5A 04 75 04 39 1A 74 B4 44 8B FB 4C 8D 4D AF 41 BA 05 00 00 00 44 89 55 87 45 85 D2 7E 6C 43 8D 04 3F 48 8D 7D BF 48 8D 72 08 48 63 C8 41 8B C7 41 23 C6 48 03 F9 8B D0 0F B7 07 0F B7 0E 44 8B DB 0F AF C8 41 8B 01 44 8D 34 08 44 3B F0 72 05 44 3B F1 73 06 41 BB 01 00 00 00 45 89 31 41 BE 01 00 00 00 45 85 DB 74 05 66 45 01 71 04 44 8B 5D 87 48 83 C7 02 48 83 EE 02 45 2B DE 44 89 5D 87 45 85 DB 7F B2 48 8B 55 97 45 2B D6 49 83 C1 02 45 03 FE 45 85 D2 0F 8F 78 FF FF FF 44 8B 55 B7 44 8B 4D AF B8 02 C0 00 00 66 44 03 C0 BF 00 00 00 80 41 BF FF FF 00 00 66 45 85 C0 7E 3F 44 85 D7 75 34 44 8B 5D B3 41 8B D1 45 03 D2 C1 EA 1F 45 03 C9 41 8B CB C1 E9 1F 43 8D 04 1B 66 45 03 C7 0B C2 44 0B D1 44 89 4D AF 89 45 B3 44 89 55 B7 66 45 85 C0 7F C7 66 45 85 C0 7F 6A 66 45 03 C7 79 64 41 0F B7 C0 8B FB 66 F7 D8 0F B7 D0 66 44 03 C2 44 84 75 AF 74 03 41 03 FE 44 8B 5D B3 41 8B C2 41 D1 E9 41 8B CB C1 E0 1F 41 D1 EB C1 E1 1F 44 0B D8 41 D1 EA 44 0B C9 44 89 5D B3 44 89 4D AF 49 2B D6 75 CB 85 FF 44 89 55 B7 BF 00 00 00 80 74 12 41 0F B7 C1 66 41 0B C6 66 89 45 AF 44 8B 4D AF EB 04 0F B7 45 AF 48 8B 75 9F 41 BB 00 80 00 00 66 41 3B C3 77 10 41 81 E1 FF FF 01 00 41 81 F9 00 80 01 00 75 48 8B 45 B1 83 C9 FF 3B C1 75 38 8B 45 B5 89 5D B1 3B C1 75 22 0F B7 45 B9 89 5D B5 66 41 3B C7 75 0B 66 44 89 5D B9 66 45 03 C6 EB 10 66 41 03 C6 66 89 45 B9 EB 06 41 03 C6 89 45 B5 44 8B 55 B7 EB 06 41 03 C6 89 45 B1 41 B9 FF 7F 00 00 66 45 3B C1 73 1D 0F B7 45 B1 66 45 0B C4 44 89 55 C5 66 89 45 BF 8B 45 B3 66 44 89 45 C9 89 45 C1 EB 14 66 41 F7 DC 48 89 5D BF 1B C0 23 C7 05 00 80 FF 7F 89 45 C7 45 85 ED 0F 85 EE FC FF FF 8B 45 C7 0F B7 55 BF 8B 4D C1 8B 7D C5 C1 E8 10 EB 35 8B D3 0F B7 C3 8B FB 8B CB BB 01 00 00 00 EB 25 8B CB 0F B7 D3 B8 FF 7F 00 00 BB 02 00 00 00 BF 00 00 00 80 EB 0F 0F B7 D3 0F B7 C3 8B FB 8B CB BB 04 00 00 00 4C 8B 45 A7 66 0B 45 8F 66 41 89 40 0A 8B C3 66 41 89 10 41 89 48 02 41 89 78 06 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_909_0_0 {
	meta:
		name = "logbl"
		size = 107
		refs = "0015 _ldunscale 0047 _LInf_C 0053 _fperrraise 0062 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 2D FF C9 74 1F FF C9 74 13 0F B7 44 24 38 66 FF C8 98 66 0F 6E C0 F3 0F E6 C0 EB 2B F2 0F 10 44 24 30 EB 23 F2 0F 10 05 ?? ?? ?? ?? EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1033_0_0 {
	meta:
		name = "logb"
		size = 107
		refs = "0015 _dunscale 0047 _Inf_C 0053 _fperrraise 0062 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 28 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 2D FF C9 74 1F FF C9 74 13 0F B7 44 24 38 66 FF C8 98 66 0F 6E C0 F3 0F E6 C0 EB 2B F2 0F 10 44 24 30 EB 23 F2 0F 10 05 ?? ?? ?? ?? EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_910_31_0 {
	meta:
		name = "?AssociateExecutionContext@UMSFreeThreadProxy@details@Concurrency@@AEAAXPEAUIExecutionContext@3@@Z"
		size = 37
	strings:
		$1 = { 48 83 EC 28 4C 8B C2 48 89 91 00 01 00 00 48 85 D2 74 0D 49 8B 00 48 8D 51 08 49 8B C8 FF 50 18 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_910_33_0 {
	meta:
		name = "?Dispatch@UMSFreeThreadProxy@details@Concurrency@@EEAAXXZ"
		size = 123
		refs = "0039 __imp_TlsSetValue 0065 ?FreeViaExit@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 8B 41 78 83 64 24 34 00 48 8B F9 C7 44 24 30 08 00 00 00 85 C0 75 48 48 8B 49 18 48 8B DF 48 8B 01 48 83 CB 02 FF 50 20 48 8B D3 8B C8 FF 15 ?? ?? ?? ?? EB 2A 48 8B 8F 00 01 00 00 C6 47 58 00 48 8D 54 24 30 48 8B 01 FF 50 20 80 7F 58 00 74 06 C6 47 58 00 EB 08 48 8B CF E8 ?? ?? ?? ?? 8B 47 78 85 C0 74 CF 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_910_37_0 {
	meta:
		name = "?ReturnIdleProxy@UMSFreeThreadProxy@details@Concurrency@@AEAAXXZ"
		size = 35
	strings:
		$1 = { 33 C0 C6 41 58 01 48 8D 51 08 48 89 81 8C 00 00 00 48 89 81 00 01 00 00 48 8B 49 18 48 8B 01 48 FF 60 08 }
	condition:
		$1
}

rule file_910_38_0 {
	meta:
		name = "?SwitchOut@UMSFreeThreadProxy@details@Concurrency@@UEAAXW4SwitchingProxyState@3@@Z"
		size = 78
		refs = "0011 ?InternalSwitchOut@UMSThreadProxy@details@Concurrency@@IEAAXW4SwitchingProxyState@3@@Z 0018 ??_C@_0M@CIMHMGAD@switchState?$AA@ 002c ??0exception@std@@QEAA@AEBQEBD@Z 0033 ??_7invalid_argument@std@@6B@ 003a _TI3?AVinvalid_argument@std@@ 0049 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 85 D2 74 0D 48 83 C1 F8 48 83 C4 48 E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_910_39_0 {
	meta:
		name = "?SwitchTo@UMSFreeThreadProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@W4SwitchingProxyState@3@@Z"
		size = 228
		refs = "00a7 ?InternalSwitchTo@UMSThreadProxy@details@Concurrency@@IEAAXPEAV123@W4SwitchingProxyState@3@@Z 00ae ??_C@_08BAFMHLII@pContext?$AA@ 00c2 ??0exception@std@@QEAA@AEBQEBD@Z 00c9 ??_7invalid_argument@std@@6B@ 00d0 _TI3?AVinvalid_argument@std@@ 00df _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 41 8B E8 48 8B DA 48 8B F9 48 85 D2 0F 84 85 00 00 00 48 8B 01 FF 50 20 48 8B 47 38 33 F6 48 3B 98 A8 00 00 00 75 04 33 DB EB 08 48 8B 47 38 48 8B 70 40 48 8B 07 48 8B CF FF 50 28 33 D2 48 85 DB 74 34 48 8B 03 48 8B CB FF 50 10 48 85 C0 74 06 48 8D 50 F8 EB 02 33 D2 48 85 D2 75 19 48 8B 06 48 8B D3 48 8B CE FF 50 38 48 85 C0 74 06 48 8D 50 F8 EB 02 33 D2 48 8D 4F F8 44 8B C5 48 8B 5C 24 50 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_912_2_0 {
	meta:
		name = "?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
		size = 613
		refs = "002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _errno 0056 _invalid_parameter_noinfo 007a iswctype 00cd _wchartodigit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 4C 8B E2 48 8B D1 48 8D 4C 24 20 45 8B F1 4D 8B F8 E8 ?? ?? ?? ?? 4D 85 FF 74 03 4D 89 27 4D 85 E4 74 0E 45 85 F6 74 1B 41 8D 46 FE 83 F8 22 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 5B 41 0F B7 34 24 33 FF 49 8D 5C 24 02 8D 6F 08 EB 07 0F B7 33 48 83 C3 02 8B D5 0F B7 CE E8 ?? ?? ?? ?? 85 C0 75 EB 8B AC 24 A0 00 00 00 66 83 FE 2D 75 05 83 CD 02 EB 06 66 83 FE 2B 75 07 0F B7 33 48 83 C3 02 45 85 F6 74 18 41 8D 46 FE 83 F8 22 76 0F 4D 85 FF 74 03 4D 89 27 33 FF E9 79 01 00 00 41 BD DF FF 00 00 45 85 F6 75 2F 0F B7 CE E8 ?? ?? ?? ?? 85 C0 74 08 41 BE 0A 00 00 00 EB 42 0F B7 03 66 83 E8 58 66 41 85 C5 74 08 41 BE 08 00 00 00 EB 2D 41 BE 10 00 00 00 41 83 FE 10 75 21 0F B7 CE E8 ?? ?? ?? ?? 85 C0 75 15 0F B7 03 66 83 E8 58 66 41 85 C5 75 08 0F B7 73 02 48 83 C3 04 49 63 CE 33 D2 48 83 C8 FF 48 F7 F1 4D 63 E6 48 89 94 24 90 00 00 00 4C 8B E8 0F B7 CE E8 ?? ?? ?? ?? 44 8B C0 83 F8 FF 75 27 8D 4E BF 66 83 F9 19 76 09 8D 46 9F 66 83 F8 19 77 39 8D 46 9F 44 0F B7 C6 66 83 F8 19 77 04 41 83 E8 20 41 83 C0 C9 45 3B C6 73 1F 83 CD 08 49 3B FD 72 34 75 0D 41 8B C0 48 3B 84 24 90 00 00 00 76 25 83 CD 04 4D 85 FF 75 2A 4C 8B A4 24 88 00 00 00 48 83 EB 02 40 F6 C5 08 75 24 4D 85 FF 49 0F 45 DC 33 FF EB 75 49 8B CC 48 0F AF CF 41 8B F8 48 03 F9 0F B7 33 48 83 C3 02 E9 6F FF FF FF 48 BE FF FF FF FF FF FF FF 7F 40 F6 C5 04 75 25 40 F6 C5 01 75 46 8B C5 83 E0 02 74 0F 48 B9 00 00 00 00 00 00 00 80 48 3B F9 77 09 85 C0 75 2C 48 3B FE 76 27 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 74 06 48 83 CF FF EB 10 40 8A C5 24 02 F6 D8 48 1B FF 48 F7 DF 48 03 FE 4D 85 FF 74 03 49 89 1F 40 F6 C5 02 74 03 48 F7 DF 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C7 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_912_3_0 {
	meta:
		name = "_wcstof_l"
		size = 270
		refs = "003c __imp_WideCharToMultiByte 0049 __imp_GetLastError 0050 _dosmaperr 0060 _malloc_crt 00a7 free 00c7 __crt_atoflt_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 56 57 41 56 48 83 EC 50 48 83 60 D0 00 48 83 60 C8 00 83 60 C0 00 48 83 60 B8 00 4D 8B F0 48 8B FA 4C 8B C1 48 8B F1 41 83 C9 FF 33 C9 33 D2 FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 75 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F 57 C0 E9 9F 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 E8 48 83 64 24 38 00 48 83 64 24 30 00 41 83 C9 FF 4C 8B C6 33 D2 33 C9 89 6C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 17 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB A7 48 83 64 24 40 00 4C 8D 4C 24 40 48 8D 8C 24 88 00 00 00 4D 8B C6 48 8B D3 E8 ?? ?? ?? ?? 48 85 FF 74 1A 48 8B 44 24 40 48 85 C0 74 0C 48 2B C3 48 8D 04 46 48 89 07 EB 04 48 83 27 00 48 8B CB E8 ?? ?? ?? ?? F3 0F 10 84 24 88 00 00 00 48 8B 5C 24 70 48 8B 6C 24 78 48 83 C4 50 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_913_0_0 {
	meta:
		name = "_fdpoly"
		size = 27
	strings:
		$1 = { 0F 28 C8 F3 0F 10 02 EB 0C F3 0F 59 C1 48 83 C2 04 F3 0F 58 02 41 FF C8 79 EF C3 }
	condition:
		$1
}

rule file_913_1_0 {
	meta:
		name = "erfcf"
		size = 596
		refs = "001d _fdtest 0042 __real@3ef430fe 0054 erff 005c __real@3f800000 0070 __real@3fc2f1aa 0095 __real@bf400000 009d __real@3ca92ef9 00a4 s00 00bc __real@3d56d16c 00c3 c00 00e4 __real@bfa40000 00ec __real@3c8c2154 00f3 s01 010b __real@3d370146 0112 c01 012b approx 0150 _fperrraise 01ca _fd_int 01e5 expf 0207 __xmm@80000000800000008000000080000000 0211 _fdexp 0236 __real@40000000"
	strings:
		$1 = { F3 0F 11 44 24 08 55 48 8B EC 48 83 EC 40 48 8D 4D 10 0F 29 74 24 30 0F 29 7C 24 20 E8 ?? ?? ?? ?? 33 D2 0F BF C8 85 C9 0F 84 0E 02 00 00 FF C9 0F 84 ED 01 00 00 FF C9 0F 84 DE 01 00 00 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 55 10 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? F3 0F 5C C8 0F 28 C1 E9 D8 01 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C2 0F 86 AB 00 00 00 F3 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 0F 2F C2 8B D0 76 4F F3 0F 58 15 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 04 FF CA F3 0F 59 C2 F3 0F 58 01 79 F0 F3 0F 10 0D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 04 FF C8 F3 0F 59 CA F3 0F 58 09 79 F0 F3 0F 5E C1 E9 64 01 00 00 F3 0F 58 15 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 04 FF CA F3 0F 59 C2 F3 0F 58 01 79 F0 F3 0F 10 0D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C1 04 FF C8 F3 0F 59 CA F3 0F 58 09 79 F0 EB AF 4C 8D 05 ?? ?? ?? ?? 49 8B C8 F3 0F 10 01 0F 2F C2 77 21 FF C2 48 83 C1 28 48 63 C2 48 83 F8 08 72 E8 B9 10 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 E9 E8 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 48 63 C2 48 8D 14 80 F3 0F 5E C2 49 8B 44 D0 08 41 8B 4C D0 10 F3 41 0F 5C 44 D0 04 F3 0F 11 45 18 F3 0F 10 38 EB 0C F3 0F 59 F8 48 83 C0 04 F3 0F 58 38 FF C9 79 F0 49 8B 44 D0 18 41 8B 4C D0 20 F3 0F 10 30 EB 0C F3 0F 59 F0 48 83 C0 04 F3 0F 58 30 FF C9 79 F0 48 8D 4D 18 BA 08 00 00 00 F3 0F 11 55 18 E8 ?? ?? ?? ?? F3 0F 10 4D 18 0F 28 C1 F3 0F 58 4D 10 F3 0F 5C 45 10 F3 0F 59 C1 E8 ?? ?? ?? ?? F3 0F 5E FE 48 8D 4D 18 45 33 C0 0F 28 C8 F3 0F 10 45 18 F3 0F 59 C0 F3 0F 59 CF 0F 57 05 ?? ?? ?? ?? F3 0F 11 45 18 E8 ?? ?? ?? ?? F3 0F 10 45 18 EB 28 F3 0F 10 45 10 EB 21 B8 00 80 00 00 66 85 45 12 0F 84 22 FF FF FF F3 0F 10 05 ?? ?? ?? ?? EB 08 F3 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_914_4_0 {
	meta:
		name = "_mbstok_s_l"
		size = 483
		refs = "002f _errno 003a _invalid_parameter_noinfo 005d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0076 strtok_s 00a6 _ismbblead_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 45 33 E4 4D 8B F8 48 8B EA 48 8B D9 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 7F 01 00 00 48 85 D2 74 E4 48 85 C9 75 05 4D 39 20 74 DA 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 28 44 39 60 08 75 16 4D 8B C7 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 E9 2C 01 00 00 48 85 DB 75 03 49 8B 1F 44 38 23 74 7F BE 2A 00 00 00 48 8B FD 44 38 65 00 74 42 0F B6 0F 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 17 8A 4F 01 84 C9 74 20 8A 03 38 07 75 05 3A 4B 01 74 1F 48 FF C7 EB 06 8A 03 38 07 74 14 48 FF C7 44 38 27 74 3B EB C8 48 FF C7 E8 ?? ?? ?? ?? 89 30 44 38 27 74 2A 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF C3 44 38 23 74 0A 48 FF C3 44 38 23 74 09 EB 8D E8 ?? ?? ?? ?? 89 30 48 8B F3 44 38 23 0F 84 89 00 00 00 48 8B FD 45 8B F4 44 38 65 00 74 43 0F B6 0F 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 17 8A 4F 01 84 C9 74 28 8A 03 38 07 75 05 3A 4B 01 74 15 48 FF C7 EB 06 8A 03 38 07 74 15 48 FF C7 44 38 27 74 12 EB C8 41 BE 01 00 00 00 EB 03 48 FF C7 44 38 27 75 24 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 09 44 38 63 01 74 08 48 FF C3 48 FF C3 EB 84 44 88 23 EB 11 44 88 23 48 FF C3 45 85 F6 74 06 44 88 23 48 FF C3 49 89 1F 48 3B F3 75 03 49 8B F4 44 38 64 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C6 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_915_0_0 {
	meta:
		name = "cacosf"
		size = 689
		refs = "0031 crealf 003f cimagf 004d _fdtest 0097 _FInf_C 00a9 __real@3fc90fdb 00d4 __real@4016cbe4 00de __real@3f490fdb 00f1 __real@40490fdb 0101 __xmm@80000000800000008000000080000000 014c __real@3f800000 015c _FCbuild 0164 csqrtf 01c2 conjf 01d6 atan2f 01e1 __real@5e7fe80a 01ed __real@40000000 024a asinhf 0252 __real@00000000 0262 logf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 53 57 48 8B EC 48 81 EC 80 00 00 00 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 44 0F 29 58 88 E8 ?? ?? ?? ?? 48 8B 4D 20 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 1F F3 0F 10 7D 30 66 3B C3 75 0A F3 0F 10 75 28 E9 02 02 00 00 66 83 F8 01 75 37 E9 AB 00 00 00 66 83 F8 02 75 34 66 83 FB 01 75 12 F3 0F 10 7D 28 F3 0F 10 35 ?? ?? ?? ?? E9 D9 01 00 00 66 85 DB 75 0A F3 0F 10 3D ?? ?? ?? ?? EB BE F3 0F 10 7D 28 0F 28 F7 E9 BD 01 00 00 66 83 FB 01 75 5D 66 3B C3 75 1D 0F 57 C0 0F 2F 45 30 76 0A F3 0F 10 3D ?? ?? ?? ?? EB 1B F3 0F 10 3D ?? ?? ?? ?? EB 11 0F 57 FF 0F 2F 7D 30 76 08 F3 0F 10 3D ?? ?? ?? ?? F3 0F 10 35 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 0F 57 F0 66 85 45 2A 0F 84 62 01 00 00 0F 57 F0 E9 5A 01 00 00 66 83 F8 01 75 19 F3 0F 10 3D ?? ?? ?? ?? F3 0F 10 75 28 0F 57 35 ?? ?? ?? ?? E9 3B 01 00 00 F3 0F 10 4D 28 F3 0F 10 45 30 F3 0F 10 35 ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? F3 0F 58 C6 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 F3 0F 10 4D 28 F3 0F 5C 75 30 0F 57 0D ?? ?? ?? ?? 0F 28 C6 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 8B CF 44 0F 28 D8 E8 ?? ?? ?? ?? 48 8B CB 44 0F 28 D0 E8 ?? ?? ?? ?? 48 8B CB 0F 28 F0 E8 ?? ?? ?? ?? 48 8B CF 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F 28 C8 41 0F 28 C0 E8 ?? ?? ?? ?? 0F 28 F8 F3 0F 10 05 ?? ?? ?? ?? 44 0F 2F D8 F3 0F 59 3D ?? ?? ?? ?? 76 0B 45 0F 28 CB F3 45 0F 5E C3 EB 3D 44 0F 2F D0 45 0F 28 CA 76 07 F3 41 0F 5E F2 EB 13 44 0F 57 0D ?? ?? ?? ?? 44 0F 2F C8 76 15 F3 41 0F 5E F1 F3 41 0F 59 F3 F3 41 0F 58 F0 44 0F 28 C6 EB 13 45 0F 57 C9 F3 41 0F 59 F3 F3 45 0F 59 C2 F3 44 0F 58 C6 41 0F 28 C0 E8 ?? ?? ?? ?? 44 0F 2E 0D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1C 41 0F 28 C1 E8 ?? ?? ?? ?? 0F 2F 3D ?? ?? ?? ?? 72 06 F3 0F 58 F0 EB 04 F3 0F 5C F0 0F 28 CE 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 80 00 00 00 5F 5B 5D C3 }
	condition:
		$1
}

rule file_917_0_0 {
	meta:
		name = "_cwild"
		size = 232
		refs = "0009 __argv 0010 argend 001a arghead 002c ??_C@_02GNLKMPOH@?$CK?$DP?$AA@ 0031 _mbspbrk 0041 match 0048 add 0081 _calloc_crt 008f __argc 00cd free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 33 C0 48 89 05 ?? ?? ?? ?? 48 39 03 74 3E 48 FF 03 48 8B 0B 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0B 48 85 C0 74 0A 48 8B D0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 85 C0 75 15 48 83 C3 08 48 83 3B 00 75 C9 48 8B 05 ?? ?? ?? ?? 33 DB EB 0B 83 C8 FF EB 78 48 8B 40 08 FF C3 48 85 C0 75 F5 8D 43 01 B9 08 00 00 00 48 63 D0 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 D8 89 1D ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B D3 48 85 DB 74 13 48 8B 02 48 89 01 48 8B 52 08 48 83 C1 08 48 85 D2 75 ED 48 83 21 00 48 8B CB 48 85 DB 74 18 48 8B 5B 08 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 EF 48 89 1D ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_917_2_0 {
	meta:
		name = "add"
		size = 85
		refs = "000f _malloc_crt 0028 arghead 0035 argend"
		altNames = "wadd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 83 C8 FF EB 2F 48 83 60 08 00 48 83 3D ?? ?? ?? ?? 00 48 89 18 74 0D 48 8B 05 ?? ?? ?? ?? 48 89 50 08 EB 07 48 89 05 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_917_3_0 {
	meta:
		name = "find"
		size = 197
		refs = "0015 ?findbuf@?1??find@@9@9 0024 _malloc_crt 003b ?_WildFindHandle@?1??find@@9@9 0046 __imp_FindClose 0071 __imp_FindFirstFileExA 00a3 __imp_FindNextFileA"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 48 85 C9 0F 84 81 00 00 00 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 1A B9 44 02 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 04 33 C0 EB 55 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 15 FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8B 05 ?? ?? ?? ?? 83 64 24 28 00 48 83 64 24 20 00 45 33 C9 4C 8B C0 33 D2 48 8B CB FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 F8 FF 74 B2 48 8B 05 ?? ?? ?? ?? 48 83 C0 2C 48 83 C4 30 5B C3 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 D7 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E9 6F FF FF FF }
	condition:
		$1
}

rule file_917_4_0 {
	meta:
		name = "match"
		size = 682
		refs = "005c _mbsdec 00a0 find 00b3 argend 00ba ??_C@_01LFCBOECM@?4?$AA@ 00c2 _mbscmp 00d1 ??_C@_02DJGKEECL@?4?4?$AA@ 0106 strlen 0135 _calloc_crt 0152 _mbsnbcpy_s 016c strcpy_s 017c add 019d _strdup 01c8 ?findbuf@?1??find@@9@9 01cf ?_WildFindHandle@?1??find@@9@9 01d5 __imp_FindNextFileA 01f8 __imp_FindClose 0217 arghead 0229 _mbsicmp 028f _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 33 ED 48 8B DA 48 8B F9 44 89 74 24 68 48 85 D2 75 08 83 C8 FF E9 28 02 00 00 48 3B D1 74 2A 8A 03 3C 5C 74 24 3C 2F 74 20 3C 3A 74 21 48 FF CB 48 3B DF 76 12 48 8D 53 01 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 3B C7 75 D6 80 3B 3A 75 0D 48 8D 47 01 48 3B D8 0F 85 DF 01 00 00 8A 03 49 BF 01 08 00 00 00 20 00 00 2C 2F 3C 2D 77 10 48 0F BE C0 49 0F A3 C7 73 06 8B EB 2B EF FF C5 48 8B CF E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 A9 01 00 00 4C 8B 2D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 F7 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 E0 00 00 00 8A 03 2C 2F 3C 2D 0F 87 A8 00 00 00 48 0F BE C0 49 0F A3 C7 0F 83 9A 00 00 00 48 8B CE 4C 63 FD E8 ?? ?? ?? ?? 4D 8D 77 01 4C 03 F0 85 ED 0F 88 18 FF FF FF 49 83 FE FF 0F 83 0E FF FF FF 4D 3B F7 0F 82 05 FF FF FF BA 01 00 00 00 49 8B CE E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 EC FE FF FF 4D 8B CF 4C 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 36 01 00 00 4D 2B F7 4B 8D 0C 27 4C 8B C6 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 06 01 00 00 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 85 A9 FE FF FF 44 8B 74 24 68 49 BF 01 08 00 00 00 20 00 00 EB 24 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 84 FE FF FF 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 74 FE FF FF 41 FF C6 44 89 74 24 68 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 12 48 8B 35 ?? ?? ?? ?? 48 83 C6 2C 74 1A E9 C8 FE FF FF 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 45 85 F6 74 50 4D 85 ED 74 06 49 8B 7D 08 EB 07 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 35 EB 27 48 8B 17 48 8B 0B E8 ?? ?? ?? ?? 85 C0 79 0C 48 8B 03 48 8B 0F 48 89 07 48 89 0B 48 8B 5B 08 48 85 DB 75 DC 48 8B 3E 48 8D 77 08 48 8B 1E 48 85 DB 75 CD 33 C0 EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_917_5_0 {
	meta:
		name = "sort"
		size = 96
		refs = "0024 _mbsicmp"
	strings:
		$1 = { 48 85 C9 74 5A 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8D 71 08 EB 2B 48 8B 17 48 8B 0B E8 ?? ?? ?? ?? 85 C0 79 0C 48 8B 03 48 8B 0F 48 89 07 48 89 0B 48 8B 5B 08 48 85 DB 75 DC 48 8B 3E 48 8D 77 08 48 8B 1E 48 85 DB 75 CD 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1302_5_0 {
	meta:
		name = "wsort"
		size = 96
		refs = "0024 _wcsicmp"
	strings:
		$1 = { 48 85 C9 74 5A 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8D 71 08 EB 2B 48 8B 17 48 8B 0B E8 ?? ?? ?? ?? 85 C0 79 0C 48 8B 03 48 8B 0F 48 89 07 48 89 0B 48 8B 5B 08 48 85 DB 75 DC 48 8B 3E 48 8D 77 08 48 8B 1E 48 85 DB 75 CD 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_919_0_0 {
	meta:
		name = "__sse2_sinh2"
		size = 544
		refs = "000a __common_dsinh_data 0212 __common_dsinh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 01 00 00 4C 8D 05 ?? ?? ?? ?? 44 0F 29 AC 24 D0 00 00 00 44 0F 29 A4 24 E0 00 00 00 44 0F 29 94 24 F0 00 00 00 44 0F 29 8C 24 00 01 00 00 0F 29 B4 24 C0 00 00 00 4C 89 AC 24 10 01 00 00 4C 8D 6C 24 6F 0F 28 35 ?? ?? ?? ?? 49 83 E5 C0 0F 54 F0 44 0F 28 D6 44 0F 28 0D ?? ?? ?? ?? 66 44 0F EF D0 66 45 0F 59 CA 0F 28 0D ?? ?? ?? ?? 66 44 0F 58 C9 41 0F 28 E1 66 0F 5C E1 F3 0F 7E 15 ?? ?? ?? ?? 66 41 0F 70 DA DD 66 0F 66 DA 0F 28 15 ?? ?? ?? ?? 66 0F 59 D4 0F 50 D3 0F 28 0D ?? ?? ?? ?? 44 0F 28 2D ?? ?? ?? ?? 66 0F 59 CC 66 44 0F 5C D2 66 44 0F 5C D1 41 0F 28 CA 83 E2 03 66 41 0F 59 CA 66 44 0F 59 E9 66 44 0F 58 2D ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 41 0F 54 E9 66 0F 7E E8 66 44 0F EF CD 44 0F 28 25 ?? ?? ?? ?? 66 41 0F 73 F1 2D 66 0F C5 CD 04 66 44 0F 59 E9 66 44 0F 59 E1 66 45 0F 59 EA 66 44 0F 58 25 ?? ?? ?? ?? 66 45 0F 58 EA 66 44 0F 59 E1 C1 E0 04 41 0F 28 E9 C1 E1 04 85 D2 F3 42 0F 7E 54 00 08 F3 42 0F 7E 1C 00 66 42 0F 16 54 01 08 66 0F D4 EA 66 41 0F FB D1 66 0F 6F E5 66 0F 58 E2 66 0F 5C EA 66 42 0F 16 1C 01 66 41 0F D4 D9 66 0F 58 EB 66 0F 58 DC 66 44 0F 59 E5 66 44 0F 59 EB 66 45 0F 58 EC 66 44 0F 58 ED 41 0F 56 F5 75 3F 44 0F 28 8C 24 00 01 00 00 0F 28 C6 0F 28 B4 24 C0 00 00 00 44 0F 28 94 24 F0 00 00 00 44 0F 28 A4 24 E0 00 00 00 44 0F 28 AC 24 D0 00 00 00 4C 8B AC 24 10 01 00 00 48 81 C4 18 01 00 00 C3 41 0F 29 45 00 41 0F 29 75 40 74 B5 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 1B FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 75 40 E9 7A FF FF FF 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D4 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_920_0_0 {
	meta:
		name = "wcsncat_s"
		size = 231
		refs = "0039 _errno 0045 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4C 8B DA 4C 8B D1 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 21 4D 85 C0 75 1C 66 89 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 66 39 19 74 09 48 83 C1 02 48 FF CA 75 F2 48 85 D2 75 06 66 41 89 1A EB CE 49 83 F9 FF 75 1C 49 2B C8 41 0F B7 00 66 42 89 04 01 4D 8D 40 02 66 85 C0 74 32 48 FF CA 75 E9 EB 2B 4D 85 C9 74 23 4C 2B C1 41 0F B7 04 08 66 89 01 48 83 C1 02 66 85 C0 74 0A 48 FF CA 74 05 49 FF C9 75 E5 4D 85 C9 75 03 66 89 19 48 85 D2 0F 85 5D FF FF FF 49 83 F9 FF 75 0E 66 43 89 5C 5A FE 8D 42 50 E9 77 FF FF FF 66 41 89 1A E8 ?? ?? ?? ?? BB 22 00 00 00 E9 5B FF FF FF }
	condition:
		$1
}

rule file_921_4_0 {
	meta:
		name = "_mbscmp_l"
		size = 221
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002f _errno 003a _invalid_parameter_noinfo 0057 strcmp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 33 F6 48 85 FF 74 05 48 85 DB 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F EB 75 4C 8B 44 24 28 41 39 70 08 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 5D 0F B6 0F 48 FF C7 42 F6 44 01 19 04 74 16 40 38 37 75 04 8B CE EB 0D 0F B6 07 66 C1 E1 08 66 0B C8 48 FF C7 0F B6 13 48 FF C3 42 F6 44 02 19 04 74 16 40 38 33 75 04 8B D6 EB 0D 0F B6 03 66 C1 E2 08 66 0B D0 48 FF C3 66 3B D1 75 09 66 85 C9 75 AE 8B C6 EB 07 1B C0 83 E0 02 FF C8 40 38 74 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_922_0_0 {
	meta:
		name = "strtok"
		size = 248
		refs = "000d __security_cookie 0020 _getptd 00e3 __security_check_cookie 00f3 __report_rangecheckfailure"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B FA 48 8B D9 E8 ?? ?? ?? ?? 45 33 DB 4C 8B D0 41 8B CB 48 83 F9 20 0F 83 BB 00 00 00 44 88 5C 0C 20 48 FF C1 48 83 F9 20 7C EC 44 0F B6 0F BA 01 00 00 00 48 FF C7 41 8B C9 45 8B C1 83 E1 07 49 C1 E8 03 D2 E2 42 08 54 04 20 45 84 C9 75 DB 48 85 DB 75 0E 48 8B 58 20 EB 08 45 84 C0 74 21 48 FF C3 44 0F B6 03 BA 01 00 00 00 41 8B C8 41 8B C0 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 75 DA 4C 8B CB EB 1F 44 0F B6 03 BA 01 00 00 00 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 75 0A 48 FF C3 44 38 1B 75 DC EB 06 44 88 1B 48 FF C3 4C 3B CB 49 89 5A 20 4D 0F 44 CB 49 8B C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 50 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_923_4_0 {
	meta:
		name = "_mbsnset_l"
		size = 343
		refs = "002d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003c _errno 0047 _invalid_parameter_noinfo 0064 _strnset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 56 41 57 48 83 EC 40 48 8B D9 4C 8B F9 8B EA 48 8D 48 C8 49 8B D1 49 8B F0 33 FF E8 ?? ?? ?? ?? 48 85 DB 75 1A 48 85 F6 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 D8 00 00 00 4C 8B 74 24 28 41 39 7E 08 75 15 4C 8B C6 8B D5 48 8B CB E8 ?? ?? ?? ?? 4C 8B F8 E9 B8 00 00 00 8B CD C1 E9 08 84 C9 74 73 40 84 ED 75 10 E8 ?? ?? ?? ?? B1 20 C7 00 16 00 00 00 40 8A E9 48 85 F6 0F 84 91 00 00 00 48 FF CE 80 3B 00 74 7D 85 FF 75 12 0F B6 03 42 F6 44 30 19 04 74 07 BF 01 00 00 00 EB 02 33 FF 88 0B 48 FF C3 80 3B 00 74 20 85 FF 75 12 0F B6 03 42 F6 44 30 19 04 74 07 BF 01 00 00 00 EB 02 33 FF 40 88 2B 48 FF C3 EB 04 C6 43 FF 20 48 85 F6 75 AD EB 30 48 85 F6 74 37 48 FF CE 80 3B 00 74 23 85 FF 75 12 0F B6 03 42 F6 44 30 19 04 74 07 BF 01 00 00 00 EB 02 33 FF 40 88 2B 48 FF C3 48 85 F6 75 D5 85 FF 74 08 80 3B 00 74 03 C6 03 20 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 49 8B C7 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_924_0_0 {
	meta:
		name = "cexpf"
		size = 456
		refs = "0014 crealf 0022 cimagf 0030 _fdtest 00c6 _FZero_C 00cd __xmm@80000000800000008000000080000000 00dc cosf 00ef sinf 0102 _fperrraise 010f _FNan_C 018d _fdexp 01b8 _FCbuild"
	strings:
		$1 = { 48 89 4C 24 08 55 53 48 8B EC 48 83 EC 48 0F 29 74 24 30 E8 ?? ?? ?? ?? 48 8B 4D 18 F3 0F 11 45 D8 E8 ?? ?? ?? ?? 48 8D 4D D8 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 23 66 85 C0 75 14 F3 0F 10 45 D8 F3 0F 10 75 30 F3 0F 11 45 28 E9 03 01 00 00 F3 0F 10 75 D8 E9 F4 00 00 00 B9 01 00 00 00 66 83 F8 02 75 25 66 3B D9 75 16 F3 0F 10 45 D8 0F 57 F6 0F 2F F0 76 CA 83 65 28 00 E9 D3 00 00 00 F3 0F 10 75 30 E9 C4 00 00 00 66 3B D9 0F 85 A9 00 00 00 F3 0F 10 45 D8 0F 57 F6 0F 2F F0 76 4D 66 3B C1 75 22 83 65 28 00 0F 2F 75 30 0F 86 A0 00 00 00 F3 0F 10 35 ?? ?? ?? ?? 0F 57 35 ?? ?? ?? ?? E9 8C 00 00 00 F3 0F 10 45 30 E8 ?? ?? ?? ?? F3 0F 59 C6 F3 0F 11 45 28 F3 0F 10 45 30 E8 ?? ?? ?? ?? F3 0F 59 C6 0F 28 F0 EB 66 66 3B C1 75 19 E8 ?? ?? ?? ?? F3 0F 10 45 D8 F3 0F 10 35 ?? ?? ?? ?? F3 0F 11 45 28 EB 48 66 85 C0 0F 84 2D FF FF FF F3 0F 10 45 30 E8 ?? ?? ?? ?? F3 0F 59 45 D8 F3 0F 11 45 28 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 59 75 D8 EB 17 66 3B C1 75 19 E8 ?? ?? ?? ?? F3 0F 10 35 ?? ?? ?? ?? F3 0F 11 75 28 F3 0F 11 75 20 EB 46 F3 0F 10 45 D8 F3 0F 11 45 28 F3 0F 11 45 20 F3 0F 10 45 30 E8 ?? ?? ?? ?? 48 8D 4D 28 45 33 C0 0F 28 C8 E8 ?? ?? ?? ?? F3 0F 10 45 30 E8 ?? ?? ?? ?? 48 8D 4D 20 45 33 C0 0F 28 C8 E8 ?? ?? ?? ?? F3 0F 10 75 20 F3 0F 10 45 28 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 5B 5D C3 }
	condition:
		$1
}

rule file_926_0_0 {
	meta:
		name = "__sse2_floorf4"
		size = 80
		refs = "0006 _2il0floatpacket_4 0010 _2il0floatpacket_5 0037 _2il0floatpacket_6"
	strings:
		$1 = { 0F 28 E0 0F 28 0D ?? ?? ?? ?? 0F 28 E8 0F 28 1D ?? ?? ?? ?? 0F 54 E1 0F 55 C8 0F 28 D3 0F C2 D1 01 0F 58 CB 0F 54 C2 0F 5C CB 0F 56 CC 0F 28 DA 0F C2 E9 01 0F 54 2D ?? ?? ?? ?? 0F 5C CD 0F 55 D9 0F 56 C3 C3 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_929_3_0 {
	meta:
		name = "_output_s_l"
		size = 2597
		refs = "0022 __security_cookie 0068 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006d _errno 008c __ImageBase 009a _fileno 00a1 __badioinfo 00cd __pioinfo 016b __lookuptable_s 027b __nullstring 02c4 __wnullstring 02fd wctomb_s 0424 _get_printf_count_output 0597 _malloc_crt 05b8 _cfltcvt_tab 05cd __imp_DecodePointer 064d strlen 06c0 write_multi_char 06dd write_string 07c6 free 0897 _isleadbyte_l 08ad write_char 09dc _invalid_parameter_noinfo 0a06 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 20 FE FF FF 48 81 EC E0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 D8 01 00 00 33 C0 48 8B F1 48 89 4C 24 68 48 8B FA 48 8D 4D A8 49 8B D0 4D 8B E9 89 44 24 70 44 8B F0 89 44 24 54 44 8B E0 89 44 24 48 89 44 24 60 89 44 24 58 8B D8 89 44 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 41 83 C8 FF 45 33 D2 48 89 45 80 48 85 F6 0F 84 4B 09 00 00 F6 46 18 40 4C 8D 0D ?? ?? ?? ?? 0F 85 86 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 63 D0 41 8D 4A 02 83 F9 01 76 22 49 8B D2 49 8B CA 48 8D 05 ?? ?? ?? ?? 83 E2 1F 48 C1 F9 05 4C 6B CA 58 4C 03 8C C8 ?? ?? ?? ?? EB 03 4D 8B C8 41 F6 41 38 7F 0F 85 EF 08 00 00 41 8D 42 02 4C 8D 0D ?? ?? ?? ?? 83 F8 01 76 19 49 8B CA 49 8B C2 83 E1 1F 48 C1 F8 05 4C 6B C1 58 4D 03 84 C1 ?? ?? ?? ?? 41 F6 40 38 80 0F 85 BB 08 00 00 41 83 C8 FF 45 33 D2 48 85 FF 0F 84 AB 08 00 00 44 8A 3F 41 8B F2 44 89 54 24 40 44 89 54 24 44 41 8B D2 4C 89 55 88 45 84 FF 0F 84 A3 08 00 00 41 BB 00 02 00 00 48 FF C7 48 89 7D 98 85 F6 0F 88 6D 08 00 00 41 8D 47 E0 3C 58 77 12 49 0F BE C7 42 0F B6 8C 08 ?? ?? ?? ?? 83 E1 0F EB 03 41 8B CA 48 63 C1 48 8D 0C C0 48 63 C2 48 03 C8 42 0F B6 94 09 ?? ?? ?? ?? C1 EA 04 89 54 24 5C 83 FA 08 0F 84 33 08 00 00 8B CA 85 D2 0F 84 E2 06 00 00 FF C9 0F 84 F4 07 00 00 FF C9 0F 84 9C 07 00 00 FF C9 0F 84 58 07 00 00 FF C9 0F 84 48 07 00 00 FF C9 0F 84 0B 07 00 00 FF C9 0F 84 28 06 00 00 FF C9 0F 85 0B 06 00 00 41 0F BE CF 83 F9 64 0F 8F 69 01 00 00 0F 84 5B 02 00 00 83 F9 41 0F 84 2F 01 00 00 83 F9 43 0F 84 CC 00 00 00 8D 41 BB A9 FD FF FF FF 0F 84 18 01 00 00 83 F9 53 74 6D 83 F9 58 0F 84 C6 01 00 00 83 F9 5A 74 17 83 F9 61 0F 84 08 01 00 00 83 F9 63 0F 84 A7 00 00 00 E9 1C 04 00 00 49 8B 45 00 49 83 C5 08 48 85 C0 74 2F 48 8B 58 08 48 85 DB 74 26 0F BF 00 41 0F BA E6 0B 73 12 99 C7 44 24 50 01 00 00 00 2B C2 D1 F8 E9 E6 03 00 00 44 89 54 24 50 E9 DC 03 00 00 48 8B 1D ?? ?? ?? ?? E9 C5 03 00 00 41 F7 C6 30 08 00 00 75 05 41 0F BA EE 0B 49 8B 5D 00 45 3B E0 41 8B C4 B9 FF FF FF 7F 0F 44 C1 49 83 C5 08 41 F7 C6 10 08 00 00 0F 84 FD 00 00 00 48 85 DB C7 44 24 50 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 48 8B CB E9 D6 00 00 00 41 F7 C6 30 08 00 00 75 05 41 0F BA EE 0B 49 83 C5 08 41 F7 C6 10 08 00 00 74 27 45 0F B7 4D F8 48 8D 55 D0 48 8D 4C 24 44 4D 8B C3 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 19 C7 44 24 58 01 00 00 00 EB 0F 41 8A 45 F8 C7 44 24 44 01 00 00 00 88 45 D0 48 8D 5D D0 E9 2E 03 00 00 C7 44 24 60 01 00 00 00 41 80 C7 20 41 83 CE 40 48 8D 5D D0 41 8B F3 45 85 E4 0F 89 21 02 00 00 41 BC 06 00 00 00 E9 5C 02 00 00 83 F9 67 7E DC 83 F9 69 0F 84 EA 00 00 00 83 F9 6E 0F 84 AF 00 00 00 83 F9 6F 0F 84 96 00 00 00 83 F9 70 74 61 83 F9 73 0F 84 0F FF FF FF 83 F9 75 0F 84 C5 00 00 00 83 F9 78 0F 85 C3 02 00 00 8D 41 AF EB 51 FF C8 66 44 39 11 74 08 48 83 C1 02 85 C0 75 F0 48 2B CB 48 D1 F9 EB 20 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B CB EB 0A FF C8 44 38 11 74 07 48 FF C1 85 C0 75 F2 2B CB 89 4C 24 44 E9 7D 02 00 00 41 BC 10 00 00 00 41 0F BA EE 0F B8 07 00 00 00 89 44 24 70 41 B9 10 00 00 00 45 84 F6 79 5D 04 51 C6 44 24 4C 30 41 8D 51 F2 88 44 24 4D EB 50 41 B9 08 00 00 00 45 84 F6 79 41 45 0B F3 EB 3C 49 8B 7D 00 49 83 C5 08 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 9D 05 00 00 41 F6 C6 20 74 05 66 89 37 EB 02 89 37 C7 44 24 58 01 00 00 00 E9 6C 03 00 00 41 83 CE 40 41 B9 0A 00 00 00 8B 54 24 48 B8 00 80 00 00 44 85 F0 74 0A 4D 8B 45 00 49 83 C5 08 EB 3A 41 0F BA E6 0C 72 EF 49 83 C5 08 41 F6 C6 20 74 19 4C 89 6C 24 78 41 F6 C6 40 74 07 4D 0F BF 45 F8 EB 1C 45 0F B7 45 F8 EB 15 41 F6 C6 40 74 06 4D 63 45 F8 EB 04 45 8B 45 F8 4C 89 6C 24 78 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 44 85 F0 75 0A 41 0F BA E6 0C 72 03 45 8B C0 45 85 E4 79 08 41 BC 01 00 00 00 EB 0B 41 83 E6 F7 45 3B E3 45 0F 4F E3 44 8B 6C 24 70 49 8B C0 48 8D 9D CF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 48 41 8B CC 41 FF CC 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C5 88 03 48 FF CB EB D1 4C 8B 6C 24 78 48 8D 85 CF 01 00 00 2B C3 48 FF C3 89 44 24 44 45 85 F3 0F 84 09 01 00 00 85 C0 74 09 80 3B 30 0F 84 FC 00 00 00 48 FF CB FF 44 24 44 C6 03 30 E9 ED 00 00 00 75 0E 41 80 FF 67 75 3E 41 BC 01 00 00 00 EB 36 45 3B E3 45 0F 4F E3 41 81 FC A3 00 00 00 7E 26 41 8D BC 24 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 88 48 85 C0 74 07 48 8B D8 8B F7 EB 06 41 BC A3 00 00 00 49 8B 45 00 48 8B 0D ?? ?? ?? ?? 49 83 C5 08 41 0F BE FF 48 63 F6 48 89 45 A0 FF 15 ?? ?? ?? ?? 48 8D 4D A8 44 8B CF 48 89 4C 24 30 8B 4C 24 60 4C 8B C6 89 4C 24 28 48 8D 4D A0 48 8B D3 44 89 64 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1B 45 85 E4 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 A8 48 8B CB FF D0 41 80 FF 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 A8 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 89 44 24 44 44 39 54 24 58 0F 85 56 01 00 00 41 F6 C6 40 74 31 41 0F BA E6 08 73 07 C6 44 24 4C 2D EB 0B 41 F6 C6 01 74 10 C6 44 24 4C 2B BF 01 00 00 00 89 7C 24 48 EB 11 41 F6 C6 02 74 07 C6 44 24 4C 20 EB E8 8B 7C 24 48 8B 74 24 54 4C 8B 7C 24 68 2B 74 24 44 2B F7 41 F6 C6 0C 75 11 4C 8D 4C 24 40 4D 8B C7 8B D6 B1 20 E8 ?? ?? ?? ?? 48 8B 45 80 4C 8D 4C 24 40 48 8D 4C 24 4C 4D 8B C7 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 F6 C6 08 74 17 41 F6 C6 04 75 11 4C 8D 4C 24 40 4D 8B C7 8B D6 B1 30 E8 ?? ?? ?? ?? 83 7C 24 50 00 8B 7C 24 44 74 70 85 FF 7E 6C 4C 8B FB 45 0F B7 0F 48 8D 95 D0 01 00 00 48 8D 4D 90 41 B8 06 00 00 00 FF CF 4D 8D 7F 02 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 34 8B 55 90 85 D2 74 2D 48 8B 45 80 4C 8B 44 24 68 4C 8D 4C 24 40 48 8D 8D D0 01 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 D2 85 FF 75 AC 4C 8B 7C 24 68 EB 2C 4C 8B 7C 24 68 83 C8 FF 89 44 24 40 EB 22 48 8B 45 80 4C 8D 4C 24 40 4D 8B C7 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 D2 8B 44 24 40 85 C0 78 1A 41 F6 C6 04 74 14 4C 8D 4C 24 40 4D 8B C7 8B D6 B1 20 E8 ?? ?? ?? ?? 45 33 D2 48 8B 45 88 48 85 C0 74 0F 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4C 89 55 88 48 8B 7D 98 8B 74 24 40 8B 54 24 5C 41 BB 00 02 00 00 4C 8D 0D ?? ?? ?? ?? 44 8A 3F 45 84 FF 0F 84 D1 01 00 00 41 83 C8 FF E9 4C F9 FF FF 41 80 FF 49 74 34 41 80 FF 68 74 28 41 80 FF 6C 74 0D 41 80 FF 77 75 D3 41 0F BA EE 0B EB CC 80 3F 6C 75 0A 48 FF C7 41 0F BA EE 0C EB BD 41 83 CE 10 EB B7 41 83 CE 20 EB B1 8A 07 41 0F BA EE 0F 3C 36 75 11 80 7F 01 34 75 0B 48 83 C7 02 41 0F BA EE 0F EB 95 3C 33 75 11 80 7F 01 32 75 0B 48 83 C7 02 41 0F BA F6 0F EB 80 2C 58 3C 20 77 14 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 0F 82 66 FF FF FF 44 89 54 24 5C 48 8D 55 A8 41 0F B6 CF 44 89 54 24 50 E8 ?? ?? ?? ?? 85 C0 74 21 48 8B 54 24 68 4C 8D 44 24 40 41 8A CF E8 ?? ?? ?? ?? 44 8A 3F 48 FF C7 45 84 FF 0F 84 10 01 00 00 48 8B 54 24 68 4C 8D 44 24 40 41 8A CF E8 ?? ?? ?? ?? 45 33 D2 E9 FB FE FF FF 41 80 FF 2A 75 19 45 8B 65 00 49 83 C5 08 45 85 E4 0F 89 F9 FE FF FF 45 8B E0 E9 F1 FE FF FF 47 8D 24 A4 41 0F BE C7 45 8D 64 24 E8 46 8D 24 60 E9 DB FE FF FF 45 8B E2 E9 D3 FE FF FF 41 80 FF 2A 75 1C 41 8B 45 00 49 83 C5 08 89 44 24 54 85 C0 0F 89 B9 FE FF FF 41 83 CE 04 F7 D8 EB 11 8B 44 24 54 8D 0C 80 41 0F BE C7 8D 04 48 83 C0 D0 89 44 24 54 E9 97 FE FF FF 41 80 FF 20 74 41 41 80 FF 23 74 31 41 80 FF 2B 74 22 41 80 FF 2D 74 13 41 80 FF 30 0F 85 75 FE FF FF 41 83 CE 08 E9 6C FE FF FF 41 83 CE 04 E9 63 FE FF FF 41 83 CE 01 E9 5A FE FF FF 41 0F BA EE 07 E9 50 FE FF FF 41 83 CE 02 E9 47 FE FF FF 44 89 54 24 60 44 89 54 24 58 44 89 54 24 54 44 89 54 24 48 45 8B F2 45 8B E0 44 89 54 24 50 E9 23 FE FF FF 85 D2 74 1D 83 FA 07 74 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 45 33 D2 EB 02 8B C6 44 38 55 C0 74 0B 48 8B 4D B8 83 A1 C8 00 00 00 FD 48 8B 8D D8 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 03 00 00 48 81 C4 E0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_930_0_0 {
	meta:
		name = "CountryEnumProc"
		size = 236
		refs = "001a __security_cookie 002d _getptd 0044 LcidFromHexString 006f __imp_GetLocaleInfoW 008d _wcsicmp 0098 __rglangidNotDefault 00cf __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 81 EC 20 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 10 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B E8 E8 ?? ?? ?? ?? 48 8B CB 48 8B B8 70 04 00 00 E8 ?? ?? ?? ?? 8B 8D 5C 01 00 00 F7 D9 4C 8D 44 24 20 41 B9 F0 00 00 00 1B D2 8B C8 8B F0 81 E2 05 F0 FF FF 81 C2 02 10 00 00 FF 15 ?? ?? ?? ?? 33 DB 85 C0 75 07 89 1F 8D 43 01 EB 43 48 8B 8D 48 01 00 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 24 48 8D 0D ?? ?? ?? ?? 66 3B 31 74 18 FF C3 48 83 C1 02 48 63 C3 48 83 F8 0A 72 EC 83 0F 04 89 77 08 89 77 04 8B 07 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 10 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 20 01 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_930_1_0 {
	meta:
		name = "GetLcidFromCountry"
		size = 85
		refs = "000e _getptd 001d wcslen 0026 CountryEnumProc 003e __imp_EnumSystemLocalesW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 88 48 01 00 00 48 8B D8 E8 ?? ?? ?? ?? 33 D2 48 8D 0D ?? ?? ?? ?? 48 83 F8 03 0F 94 C2 89 93 5C 01 00 00 BA 01 00 00 00 FF 15 ?? ?? ?? ?? F6 07 04 75 03 83 27 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_930_2_0 {
	meta:
		name = "GetLcidFromDefault"
		size = 33
		refs = "0011 __imp_GetUserDefaultLCID"
	strings:
		$1 = { 40 53 48 83 EC 20 81 09 04 01 00 00 48 8B D9 FF 15 ?? ?? ?? ?? 89 43 08 89 43 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_930_3_0 {
	meta:
		name = "GetLcidFromLangCountry"
		size = 180
		refs = "000e _getptd 001d wcslen 0082 LangCountryEnumProc 008d __imp_EnumSystemLocalesW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8D 98 40 01 00 00 48 8B 0B E8 ?? ?? ?? ?? 48 8B 4B 08 33 D2 48 83 F8 03 0F 94 C2 89 53 18 E8 ?? ?? ?? ?? 33 C9 48 83 F8 03 BA 02 00 00 00 0F 94 C1 89 4B 1C 83 67 04 00 83 7B 18 00 75 2B 48 8B 0B 45 33 C9 44 0F B7 01 48 03 CA 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 05 41 FF C1 EB DE 41 8B D1 89 53 14 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 FF 15 ?? ?? ?? ?? F7 07 00 01 00 00 74 0D F7 07 00 02 00 00 74 05 F6 07 07 75 03 83 27 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_930_4_0 {
	meta:
		name = "GetLcidFromLanguage"
		size = 147
		refs = "000e _getptd 001d wcslen 0071 LanguageEnumProc 007c __imp_EnumSystemLocalesW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 88 40 01 00 00 48 8B D8 E8 ?? ?? ?? ?? 33 D2 B9 02 00 00 00 48 83 F8 03 0F 94 C2 89 93 58 01 00 00 85 D2 75 2F 48 8B 93 40 01 00 00 45 33 C9 44 0F B7 02 48 03 D1 41 8D 40 BF 66 83 F8 19 76 0C 66 41 83 E8 61 66 41 83 F8 19 77 05 41 FF C1 EB DE 41 8B C9 89 8B 54 01 00 00 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 FF 15 ?? ?? ?? ?? F6 07 04 75 03 83 27 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_930_5_0 {
	meta:
		name = "GetPrimaryLen"
		size = 38
	strings:
		$1 = { 45 33 C0 0F B7 11 48 83 C1 02 8D 42 BF 66 83 F8 19 76 0A 66 83 EA 61 66 83 FA 19 77 05 41 FF C0 EB E1 41 8B C0 C3 }
	condition:
		$1
}

rule file_930_6_0 {
	meta:
		name = "LangCountryEnumProc"
		size = 557
		refs = "001b __security_cookie 002e _getptd 0049 LcidFromHexString 0071 __imp_GetLocaleInfoW 0093 _wcsicmp 00fd _wcsnicmp 010f wcslen 012a __rglangidNotDefault 01e4 TestDefaultLanguage 020f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 56 48 81 EC 20 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 10 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8D B0 40 01 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 8B B8 70 04 00 00 E8 ?? ?? ?? ?? 8B 4E 1C F7 D9 4C 8D 44 24 20 41 B9 F0 00 00 00 1B D2 8B C8 8B D8 81 E2 05 F0 FF FF 81 C2 02 10 00 00 FF 15 ?? ?? ?? ?? 45 33 F6 85 C0 75 0D 44 89 37 B8 01 00 00 00 E9 7A 01 00 00 48 8B 4E 08 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 AC 00 00 00 8B 46 18 4C 8D 44 24 20 41 B9 F0 00 00 00 F7 D8 8B CB 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 B3 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 0B 81 0F 04 03 00 00 89 5F 04 EB 63 F6 07 02 75 61 44 39 76 14 74 2D 4C 63 46 14 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 18 83 0F 02 89 5F 08 48 8B 0E E8 ?? ?? ?? ?? 3B 46 14 75 33 89 5F 04 EB 2E 8B 0F F6 C1 01 75 27 45 8B C6 48 8D 15 ?? ?? ?? ?? 66 3B 1A 74 18 41 FF C0 48 83 C2 02 49 63 C0 48 83 F8 0A 72 EB 83 C9 01 89 0F 89 5F 08 8B 07 B9 00 03 00 00 23 C1 3B C1 0F 84 9D 00 00 00 8B 46 18 4C 8D 44 24 20 41 B9 F0 00 00 00 F7 D8 8B CB 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 F2 FE FF FF 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 24 0F BA 2F 09 44 39 76 18 75 47 44 39 76 14 74 41 48 8B 0E E8 ?? ?? ?? ?? 3B 46 14 75 34 BA 01 00 00 00 EB 1F 44 39 76 18 75 34 44 39 76 14 74 2E 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 1D 33 D2 4C 8B C7 8B CB E8 ?? ?? ?? ?? 85 C0 74 0D 0F BA 2F 08 44 39 77 04 75 03 89 5F 04 8B 07 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 10 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 20 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_930_7_0 {
	meta:
		name = "LanguageEnumProc"
		size = 252
		refs = "0015 __security_cookie 0028 _getptd 0043 LcidFromHexString 006b __imp_GetLocaleInfoW 0085 _wcsicmp 00bc TestDefaultLanguage 00e3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 20 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 10 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8D B0 40 01 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 8B B8 70 04 00 00 E8 ?? ?? ?? ?? 8B 4E 18 F7 D9 4C 8D 44 24 20 41 B9 F0 00 00 00 1B D2 8B C8 8B D8 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 09 21 07 B8 01 00 00 00 EB 5B 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 0A 39 46 18 75 32 8D 50 01 EB 1F 83 7E 18 00 75 30 83 7E 14 00 74 2A 48 8B 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 19 33 D2 4C 8B C7 8B CB E8 ?? ?? ?? ?? 85 C0 74 09 83 0F 04 89 5F 04 89 5F 08 8B 07 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 10 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 20 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_930_8_0 {
	meta:
		name = "LcidFromHexString"
		size = 78
	strings:
		$1 = { 0F B7 11 45 33 D2 4C 8B C9 45 8B C2 EB 37 8D 42 9F 4D 8D 49 02 66 83 F8 05 77 07 B8 D9 FF 00 00 EB 0E 8D 42 BF 66 83 F8 05 77 08 B8 F9 FF 00 00 66 03 D0 41 C1 E0 04 0F B7 CA 41 0F B7 11 41 83 C0 D0 44 03 C1 66 85 D2 75 C4 41 8B C0 C3 }
	condition:
		$1
}

rule file_930_9_0 {
	meta:
		name = "ProcessCodePage"
		size = 174
		refs = "0024 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@ 0029 wcscmp 0034 ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 0057 __imp_GetLocaleInfoW 0069 _wtol 009a __imp_GetACP"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 48 85 C9 74 53 66 39 31 74 4E 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 3E 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 21 8B 4F 08 44 8D 4E 02 4C 8D 44 24 30 BA 0B 00 00 20 FF 15 ?? ?? ?? ?? 85 C0 74 2D 8B 44 24 30 EB 39 48 8B CB E8 ?? ?? ?? ?? EB 2F 8B 4F 08 4C 8D 44 24 30 41 B9 02 00 00 00 BA 04 10 00 20 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0E 8B 44 24 30 85 C0 75 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_930_10_0 {
	meta:
		name = "TestDefaultCountry"
		size = 40
		refs = "0006 __rglangidNotDefault"
	strings:
		$1 = { 45 33 C9 4C 8D 05 ?? ?? ?? ?? 41 8D 41 01 66 41 3B 08 74 11 44 03 C8 49 83 C0 02 49 63 D1 48 83 FA 0A 72 EA C3 33 C0 C3 }
	condition:
		$1
}

rule file_930_11_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 165
		refs = "0019 _getptd 003e __imp_GetLocaleInfoW 0083 wcslen"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 20 8B EA 8B F9 E8 ?? ?? ?? ?? 8B CF 4C 8D 44 24 30 41 B9 02 00 00 00 81 E1 FF 03 00 00 BA 01 00 00 20 48 8B F0 0F BA E9 0A FF 15 ?? ?? ?? ?? 33 DB 85 C0 75 04 33 C0 EB 44 3B 7C 24 30 74 39 85 ED 74 35 48 8B 8E 40 01 00 00 0F B7 11 48 83 C1 02 8D 42 BF 66 83 F8 19 76 0A 66 83 EA 61 66 83 FA 19 77 04 FF C3 EB E2 48 8B 8E 40 01 00 00 E8 ?? ?? ?? ?? 3B D8 74 BD B8 01 00 00 00 48 8B 5C 24 38 48 8B 6C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_930_13_0 {
	meta:
		name = "__get_qualified_locale_downlevel"
		size = 662
		refs = "0015 __security_cookie 002a _getptd 003c memset 0089 __rg_country_count 0090 __rg_country 009a TranslateName 00c7 GetLcidFromLangCountry 00d2 GetLcidFromLanguage 00e2 __rg_language_count 00f0 __rg_language 0145 wcslen 0161 CountryEnumProc 0167 __imp_EnumSystemLocalesW 0180 __imp_GetUserDefaultLCID 01a9 ProcessCodePage 01cb __imp_IsValidCodePage 01e1 __imp_IsValidLocale 0208 __crtDownlevelLCIDToLocaleName 0238 __imp_GetLocaleInfoW 026e _itow_s 0283 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8B EC 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B F0 4C 8B FA 48 8B F1 E8 ?? ?? ?? ?? 33 D2 48 8D 4D E0 44 8D 42 0C 48 8B F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D E0 45 33 E4 48 89 88 70 04 00 00 48 85 F6 75 0C 81 4D E0 04 01 00 00 E9 1A 01 00 00 48 8D 86 80 00 00 00 48 8D 9F 48 01 00 00 48 89 B7 40 01 00 00 48 89 03 48 85 C0 74 1D 66 44 39 20 74 17 8B 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8B C3 FF CA E8 ?? ?? ?? ?? 44 89 65 E0 48 8B 87 40 01 00 00 48 85 C0 74 79 66 44 39 20 74 73 48 8B 03 48 85 C0 74 11 66 44 39 20 74 0B 48 8D 4D E0 E8 ?? ?? ?? ?? EB 09 48 8D 4D E0 E8 ?? ?? ?? ?? 44 39 65 E0 0F 85 B4 00 00 00 8B 15 ?? ?? ?? ?? 4C 8D 87 40 01 00 00 48 8D 0D ?? ?? ?? ?? FF CA E8 ?? ?? ?? ?? 85 C0 0F 84 87 00 00 00 48 8B 03 48 85 C0 74 11 66 44 39 20 74 0B 48 8D 4D E0 E8 ?? ?? ?? ?? EB 6E 48 8D 4D E0 E8 ?? ?? ?? ?? EB 63 48 8B 03 48 85 C0 74 48 66 44 39 20 74 42 E8 ?? ?? ?? ?? 48 8B D8 48 8B 88 48 01 00 00 E8 ?? ?? ?? ?? 41 8B CC BA 01 00 00 00 48 83 F8 03 0F 94 C1 89 8B 5C 01 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? F6 45 E0 04 75 19 44 89 65 E0 EB 13 C7 45 E0 04 01 00 00 FF 15 ?? ?? ?? ?? 89 45 E4 89 45 E8 44 39 65 E0 0F 84 E5 00 00 00 48 8D 86 00 01 00 00 48 F7 DE 48 8D 55 E0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 8B D8 85 C0 0F 84 C2 00 00 00 8D 88 18 02 FF FF 83 F9 01 0F 86 B3 00 00 00 0F B7 C8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 A2 00 00 00 8B 4D E4 BA 01 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 8C 00 00 00 4D 85 FF 74 03 41 89 1F 8B 4D E4 48 8D 97 98 03 00 00 BF 55 00 00 00 44 8B C7 E8 ?? ?? ?? ?? 4D 85 F6 74 61 8B 4D E4 49 8D 96 20 01 00 00 44 8B C7 E8 ?? ?? ?? ?? 8B 4D E4 BF 40 00 00 00 44 8B CF 4D 8B C6 BA 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 39 8B 4D E8 4D 8D 86 80 00 00 00 44 8B CF BA 02 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 1D 49 8D 96 00 01 00 00 44 8D 4F CA 44 8D 47 D0 8B CB E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_931_0_0 {
	meta:
		name = "__common_slog10_cout_rare"
		size = 720
		refs = "003b _2il0floatpacket_77 005f _2il0floatpacket_93 0077 _2il0floatpacket_78 00b7 _vmldLgHATab 00d3 _2il0floatpacket_79 00db _2il0floatpacket_80 00e3 _2il0floatpacket_82 00ef _2il0floatpacket_81 0145 _2il0floatpacket_83 0158 _2il0floatpacket_84 0164 _2il0floatpacket_85 0170 _2il0floatpacket_86 017c _2il0floatpacket_87 0188 _2il0floatpacket_88 0194 _2il0floatpacket_89 01a0 _2il0floatpacket_90 01af _2il0floatpacket_91 026a _2il0floatpacket_92"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 41 81 F8 80 7F 00 00 0F 84 61 02 00 00 F3 0F 10 01 45 33 C0 8B 09 89 4C 24 28 C1 E9 10 F7 C1 80 7F 00 00 75 14 F3 0F 59 05 ?? ?? ?? ?? 41 B8 D8 FF FF FF F3 0F 11 44 24 28 66 0F EF C9 0F 2F C1 0F 86 F5 01 00 00 0F 28 D0 F3 0F 5C 15 ?? ?? ?? ?? F3 0F 11 54 24 24 80 64 24 27 7F F3 0F 10 4C 24 24 0F 2F 0D ?? ?? ?? ?? 0F 86 53 01 00 00 0F B7 4C 24 2A 81 E1 80 7F 00 00 C1 E9 07 F3 0F 11 44 24 24 44 0F B7 4C 24 26 41 81 E1 7F 80 FF FF 41 81 C9 80 3F FF FF 45 8D 44 08 81 66 44 89 4C 24 26 48 8D 0D ?? ?? ?? ?? F3 41 0F 2A D8 F3 0F 10 64 24 24 4C 8B C9 0F 28 C4 4C 8B C1 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 2D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 D9 0F 28 CC F3 0F 11 44 24 20 F3 0F 58 CD 44 8B 54 24 20 41 83 E2 7F F3 0F 11 4C 24 20 F3 0F 10 4C 24 20 F3 0F 5C CD 47 8D 1C 52 F3 0F 5C E1 F3 43 0F 58 5C 99 08 F3 43 0F 58 54 98 04 F3 42 0F 10 04 99 F3 0F 59 C8 F3 0F 59 C4 F3 0F 5C 0D ?? ?? ?? ?? 0F 28 E9 F3 0F 58 D1 F3 0F 58 E8 F3 0F 10 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 0F 28 E8 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 EC F3 0F 59 CC F3 0F 58 DD F3 0F 58 C3 F3 0F 58 C1 F3 0F 58 D0 F3 0F 11 12 48 83 C4 38 C3 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 D0 F3 0F 10 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 D1 F3 0F 11 12 48 83 C4 38 C3 0F 2E C1 7A 02 74 12 F3 0F 5E C9 F3 0F 11 0A B8 01 00 00 00 48 83 C4 38 C3 F3 0F 10 05 ?? ?? ?? ?? B8 02 00 00 00 F3 0F 5E C1 F3 0F 11 02 48 83 C4 38 C3 44 8A 41 03 41 80 E0 80 41 80 F8 80 74 11 F3 0F 10 01 F3 0F 59 C0 F3 0F 11 02 48 83 C4 38 C3 F7 01 FF FF 7F 00 75 E7 B8 01 00 00 00 66 0F EF C9 66 0F EF C0 F3 0F 5E C8 F3 0F 11 0A 48 83 C4 38 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_932_0_0 {
	meta:
		name = "rand"
		size = 41
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 69 48 1C FD 43 03 00 81 C1 C3 9E 26 00 89 48 1C C1 E9 10 81 E1 FF 7F 00 00 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_932_1_0 {
	meta:
		name = "srand"
		size = 22
		refs = "0009 _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 58 1C 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_933_0_0 {
	meta:
		name = "fegetround"
		size = 19
		refs = "0005 _getfpcontrolword"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 25 00 03 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_934_0_0 {
	meta:
		name = "__sse2_sinhf4"
		size = 432
		refs = "003f __common_ssinh_data 01a2 __common_ssinh_cout_rare"
	strings:
		$1 = { 48 81 EC 08 01 00 00 44 0F 29 AC 24 F0 00 00 00 44 0F 29 9C 24 C0 00 00 00 44 0F 29 94 24 D0 00 00 00 44 0F 29 8C 24 E0 00 00 00 44 0F 28 C8 4C 89 AC 24 00 01 00 00 4C 8D 6C 24 6F 0F 28 05 ?? ?? ?? ?? 49 83 E5 C0 41 0F 54 C1 44 0F 28 E8 0F 28 25 ?? ?? ?? ?? 66 45 0F EF E9 41 0F 59 E5 41 0F 28 CD 44 0F 28 15 ?? ?? ?? ?? 66 0F 66 0D ?? ?? ?? ?? 41 0F 58 E2 0F 50 D1 0F 28 CC 66 0F 72 F4 17 44 0F 28 1D ?? ?? ?? ?? 85 D2 0F 28 2D ?? ?? ?? ?? 41 0F 5C CA 44 0F 59 D9 44 0F 28 15 ?? ?? ?? ?? 45 0F 5C EB 44 0F 59 D1 0F 28 1D ?? ?? ?? ?? 45 0F 5C EA 41 0F 28 CD 41 0F 59 CD 0F 59 E9 0F 59 D9 0F 58 2D ?? ?? ?? ?? 0F 58 1D ?? ?? ?? ?? 0F 59 E9 0F 59 D9 41 0F 59 ED 0F 58 1D ?? ?? ?? ?? 41 0F 58 ED 0F 59 D9 66 0F 6F 15 ?? ?? ?? ?? 66 44 0F 6F D2 66 0F FA D4 66 44 0F FE D4 66 41 0F 6F E2 44 0F 5C D2 0F 58 E2 41 0F 59 DA 0F 59 E5 0F 58 E3 41 0F 58 E2 0F 56 C4 75 34 44 0F 28 8C 24 E0 00 00 00 44 0F 28 94 24 D0 00 00 00 44 0F 28 9C 24 C0 00 00 00 44 0F 28 AC 24 F0 00 00 00 4C 8B AC 24 00 01 00 00 48 81 C4 08 01 00 00 C3 45 0F 29 4D 00 41 0F 29 45 40 74 C0 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 45 40 EB 88 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB D7 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_936_0_0 {
	meta:
		name = "atan"
		size = 603
		refs = "003a __xmm@80000000000000008000000000000000 007f ??_C@_04MLLJIGOK@atan?$AA@ 00a0 _handle_error 00ad __real@43d0dc0000000000 00b7 ?piby2@?1??atan@@9@9 00cd _set_statfp 00dd __real@bff0000000000000 00e5 __real@3ff921fb54442d18 00ed __real@3c91a62633145c06 0110 __real@3ff8000000000000 0120 __real@3fef730bd281f69b 0128 __real@3ff0000000000000 0130 __real@3c7007887af0cbbc 015d __real@3fe921fb54442d18 0169 __real@3c81a62633145c06 0182 __real@4000000000000000 0192 __real@3fddac670561bb4f 01a2 __real@3c7a2b7f222f65e0 01c6 __real@3f22a75ce41b9f87 01ce __real@3fa3f197f1e85ed9 01da __real@3f9f2d2116f053f2 01e2 __real@3fdb2cb05bf9beff 01f2 __real@3fcc3de43db425c0 01fa __real@3ff699c644c48d2e 020a __real@3fdca6be4c993b3c 0212 __real@3ffd372a17cdf5a0 0222 __real@3fd12bcb0a9169f3 022a __real@3fe9c1b08fda1eec"
	strings:
		$1 = { 48 83 EC 68 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 70 0F 29 74 24 50 4C 8B 44 24 70 0F 28 D0 0F 28 C8 49 8B C0 48 23 C1 33 C9 4C 3B C0 0F 95 C1 48 85 C9 74 07 0F 57 0D ?? ?? ?? ?? 48 BA 00 00 00 00 00 80 03 40 48 3B C2 0F 86 A9 00 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 76 49 41 B9 01 00 00 00 0F 57 C0 48 B8 00 00 00 00 00 00 08 00 44 89 4C 24 40 41 8D 51 0E 48 8D 0D ?? ?? ?? ?? F2 0F 11 44 24 38 F2 0F 11 54 24 30 4C 0B C0 C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? E9 A8 01 00 00 66 0F 2F 0D ?? ?? ?? ?? 76 26 F2 0F 10 35 ?? ?? ?? ?? 48 85 C9 74 07 0F 57 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 78 01 00 00 F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5E E1 E9 B8 00 00 00 48 BA 00 00 00 00 00 00 F3 3F 0F 28 E1 48 3B C2 76 2E F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5E E1 EB 78 48 BA 00 00 00 00 00 00 E6 3F 48 3B C2 76 26 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 5E E1 F2 0F 10 35 ?? ?? ?? ?? EB 43 48 BA 00 00 00 00 00 00 DC 3F 48 3B C2 76 2E F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5E E1 EB 06 0F 57 ED 0F 28 F5 0F 28 D4 F2 0F 59 D4 0F 28 DA 0F 28 CA 0F 28 C2 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5E D9 F2 0F 5C DE F2 0F 5C DC F2 0F 5C EB 48 85 C9 74 07 0F 57 2D ?? ?? ?? ?? 0F 28 C5 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_939_0_0 {
	meta:
		name = "_get_printf_count_output"
		size = 24
		refs = "0003 __security_cookie 0010 __enable_percent_n"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 33 C0 48 83 C9 01 48 39 0D ?? ?? ?? ?? 0F 94 C0 C3 }
	condition:
		$1
}

rule file_939_5_0 {
	meta:
		name = "_set_printf_count_output"
		size = 39
		refs = "0003 __security_cookie 0010 __enable_percent_n"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? 33 C0 48 83 CA 01 48 39 15 ?? ?? ?? ?? 0F 94 C0 F7 D9 48 1B C9 48 23 CA 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_941_0_0 {
	meta:
		name = "??__D@YAXPEAX0_KHP6AX00@ZP6AX0@Z@Z"
		size = 110
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 45 8B F9 4D 8B F0 48 8B F2 48 8B F9 33 DB 89 58 CC 89 58 C8 41 3B DF 7D 2B 41 B8 01 00 00 00 48 8B D6 48 8B CF FF 94 24 80 00 00 00 49 03 FE 48 89 7C 24 60 49 03 F6 48 89 74 24 68 FF C3 89 5C 24 24 EB D0 C7 44 24 20 01 00 00 00 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_942_4_0 {
	meta:
		name = "_strncoll_l"
		size = 255
		refs = "002f _errno 003a _invalid_parameter_noinfo 0072 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0091 strncmp 00bc __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 60 49 8B F8 48 8B F2 48 8B E9 4D 85 C0 75 07 33 C0 E9 C0 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 A1 00 00 00 48 85 D2 74 E1 BB FF FF FF 7F 4C 3B C3 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 7E 48 8D 4C 24 40 49 8B D1 E8 ?? ?? ?? ?? 48 8B 44 24 40 48 8B 90 30 01 00 00 48 85 D2 75 12 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 3B 8B 40 08 48 8D 4C 24 40 4C 8B CD 89 44 24 38 89 7C 24 30 41 B8 00 10 00 00 48 89 74 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 80 7C 24 58 00 74 0C 48 8B 44 24 50 83 A0 C8 00 00 00 FD 8B C3 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_944_0_0 {
	meta:
		name = "crealf"
		size = 46
		refs = "0007 __security_cookie 0025 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 08 48 89 0C 24 F3 0F 10 04 24 48 8B 4C 24 08 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_947_0_0 {
	meta:
		name = "_wspawnl"
		size = 210
		refs = "0018 __security_cookie 0037 _errno 0042 _invalid_parameter_noinfo 007d _wcapture_argv 0095 _wspawnve 00af free 00c2 __security_check_cookie"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 ED 49 8B C0 48 8B FA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 6A 66 39 2A 74 E5 48 85 C0 74 E0 66 41 39 28 74 DA 48 8D 8C 24 88 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 45 33 C9 48 8B D7 8B CE 4C 8B C0 48 89 6C 24 20 48 8B D8 E8 ?? ?? ?? ?? 48 8B F8 48 85 DB 74 12 48 8D 44 24 30 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_948_0_0 {
	meta:
		name = "_snwprintf"
		size = 226
		refs = "002e memset 0038 _errno 0043 _invalid_parameter_noinfo 008f _woutput_l 00ba _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 48 8B EC 48 83 EC 58 48 83 65 C8 00 48 8B FA 33 D2 49 8B F0 48 8B D9 44 8D 42 28 48 8D 4D D0 E8 ?? ?? ?? ?? 48 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 8A 00 00 00 48 85 FF 74 05 48 85 DB 74 DE 4C 8D 4D 40 C7 45 E0 42 00 00 00 48 89 5D D8 48 89 5D C8 48 81 FF FF FF FF 3F 76 09 C7 45 D0 FF FF FF 7F EB 06 8D 04 3F 89 45 D0 48 8D 4D C8 45 33 C0 48 8B D6 E8 ?? ?? ?? ?? 8B F8 48 85 DB 74 3F FF 4D D0 78 14 48 8B 45 C8 C6 00 00 48 8B 45 C8 48 FF C0 48 89 45 C8 EB 0F 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 48 8B 45 C8 FF 4D D0 78 05 C6 00 00 EB 0B 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 8B C7 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_949_3_0 {
	meta:
		name = "?__crtGetStringTypeA_stat@@YAHPEAUlocaleinfo_struct@@KPEBDHPEAGHH@Z"
		size = 374
		refs = "0022 __security_cookie 0060 __imp_MultiByteToWideChar 00b9 __chkstk 00d3 malloc 0103 memset 0137 __imp_GetStringTypeW 014a free 0158 __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 83 EC 40 48 8D 6C 24 30 48 89 5D 40 48 89 75 48 48 89 7D 50 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 44 8B 75 68 33 FF 45 8B F9 4D 8B E0 44 8B EA 45 85 F6 75 07 48 8B 01 44 8B 70 04 F7 5D 70 41 8B CE 89 7C 24 28 1B D2 48 89 7C 24 20 83 E2 08 FF C2 FF 15 ?? ?? ?? ?? 48 63 F0 85 C0 75 07 33 C0 E9 DE 00 00 00 7E 77 48 B8 F0 FF FF FF FF FF FF 7F 48 3B F0 77 68 48 8D 0C 36 48 8D 41 10 48 3B C1 76 5B 48 8D 0C 75 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 30 48 85 DB 74 A1 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C3 10 EB 03 48 8B DF 48 85 DB 0F 84 74 FF FF FF 4C 8B C6 33 D2 48 8B CB 4D 03 C0 E8 ?? ?? ?? ?? 45 8B CF 4D 8B C4 BA 01 00 00 00 41 8B CE 89 74 24 28 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 15 4C 8B 4D 60 44 8B C0 48 8B D3 41 8B CD FF 15 ?? ?? ?? ?? 8B F8 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 40 48 8B 75 48 48 8B 7D 50 48 8D 65 10 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_949_6_0 {
	meta:
		name = "__crtGetStringTypeA"
		size = 124
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0055 ?__crtGetStringTypeA_stat@@YAHPEAUlocaleinfo_struct@@KPEBDHPEAGHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 8B F2 48 8B D1 48 8D 4C 24 40 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 8B 84 24 A0 00 00 00 48 8D 4C 24 40 44 8B CB 89 44 24 30 8B 84 24 98 00 00 00 4C 8B C7 89 44 24 28 48 8B 84 24 90 00 00 00 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_951_3_0 {
	meta:
		name = "?_W_expandtime@@YAHPEAUlocaleinfo_struct@@_WPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@I@Z"
		size = 1642
		refs = "0338 ?_W_store_num@@YAXHHPEAPEA_WPEA_KI@Z 036a ?_W_store_winword@@YAHPEAUlocaleinfo_struct@@HPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@@Z 041d _errno 0428 _invalid_parameter_noinfo 04c1 __tzset 04cd __tzname 04fe _mbstowcs_s_l 0665 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 44 0F B7 D2 49 8B F9 49 8B F0 48 8B E9 41 BC 01 00 00 00 41 83 FA 59 0F 8F 74 02 00 00 0F 84 30 02 00 00 41 83 FA 49 0F 8F 56 01 00 00 0F 84 1E 01 00 00 41 83 EA 04 0F 84 D9 05 00 00 41 83 EA 09 0F 84 CF 05 00 00 41 83 EA 18 0F 84 E1 00 00 00 41 83 EA 1C 74 7E 41 FF CA 74 20 41 8D 4C 24 05 44 3B D1 0F 85 A5 03 00 00 41 8B 48 08 83 F9 17 0F 86 88 02 00 00 E9 83 03 00 00 41 83 78 10 0B 0F 87 78 03 00 00 49 63 48 10 48 8B 84 24 88 00 00 00 33 DB 48 8B 94 C8 30 02 00 00 48 8B 8C 24 80 00 00 00 48 39 19 0F 84 68 05 00 00 44 0F B7 02 66 45 85 C0 0F 84 5A 05 00 00 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 75 DE E9 41 05 00 00 B9 06 00 00 00 41 39 48 18 0F 87 1B 03 00 00 49 63 48 18 48 8B 84 24 88 00 00 00 33 DB 48 8B 94 C8 98 01 00 00 48 8B 8C 24 80 00 00 00 48 39 19 0F 84 0B 05 00 00 44 0F B7 02 66 45 85 C0 0F 84 FD 04 00 00 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 75 DE E9 E4 04 00 00 49 8B 01 B9 25 00 00 00 66 89 08 48 8B 84 24 80 00 00 00 49 83 01 02 48 FF 08 E9 C5 04 00 00 41 8B 48 08 83 F9 17 0F 87 A1 02 00 00 B8 AB AA AA 2A F7 E9 D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 52 C1 E0 02 2B C8 B8 0C 00 00 00 0F 44 C8 E9 7C 01 00 00 41 83 EA 4D 0F 84 BA 00 00 00 B9 06 00 00 00 44 2B D1 0F 84 9B 00 00 00 33 DB 41 83 EA 02 74 43 41 83 EA 02 74 28 41 FF CA 0F 85 5D 02 00 00 48 8B 84 24 88 00 00 00 48 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 E9 B3 01 00 00 41 8B 40 18 3B C1 0F 87 22 02 00 00 85 C0 74 13 8D 48 FF EB 0E 41 39 48 18 0F 87 0F 02 00 00 41 8B 48 18 45 8B 40 1C 41 81 F8 6D 01 00 00 0F 87 FA 01 00 00 44 3B C1 7C 25 B8 93 24 49 92 41 F7 E8 41 03 D0 C1 FA 02 8B C2 C1 E8 1F 03 D0 8B DA 6B C2 07 44 2B C0 44 3B C1 7C 03 41 03 DC 8B CB E9 C9 00 00 00 41 83 38 3B 0F 87 BF 01 00 00 8B 0E E9 B8 00 00 00 41 8B 48 04 83 F9 3B E9 1E FE FF FF 45 8B 40 14 41 8D 80 6C 07 00 00 3D 0F 27 00 00 0F 87 96 01 00 00 B8 1F 85 EB 51 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 64 44 2B C0 8D 42 13 BA 04 00 00 00 6B C8 64 41 03 C8 EB 73 41 83 FA 6D 0F 8F D9 01 00 00 0F 84 C3 01 00 00 41 83 EA 5A 0F 84 F8 01 00 00 41 83 EA 07 0F 84 3F 01 00 00 41 FF CA 0F 84 E1 00 00 00 41 FF CA 74 61 41 FF CA 74 27 B9 06 00 00 00 44 3B D1 0F 85 39 01 00 00 41 8B 48 1C 81 F9 6D 01 00 00 0F 87 19 01 00 00 FF C1 BA 03 00 00 00 EB 15 41 8B 48 0C 8D 41 FF 83 F8 1E 0F 87 00 01 00 00 BA 02 00 00 00 8B 84 24 90 00 00 00 4C 8B 8C 24 80 00 00 00 4C 8B C7 89 44 24 20 E8 ?? ?? ?? ?? E9 F2 02 00 00 4C 8B BC 24 88 00 00 00 4C 8B B4 24 80 00 00 00 33 DB 4C 89 7C 24 28 4C 89 74 24 20 39 9C 24 90 00 00 00 74 52 41 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 84 B6 00 00 00 49 39 1E 0F 84 AD 00 00 00 48 8B 07 B9 20 00 00 00 4C 89 7C 24 28 66 89 08 48 83 07 02 49 FF 0E 4C 89 74 24 20 4C 8B CF 4C 8B C6 BA 02 00 00 00 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 7D 02 00 00 EB 74 33 D2 EB AD 41 83 78 10 0B 77 59 49 63 48 10 48 8B 84 24 88 00 00 00 33 DB 48 8B 94 C8 D0 01 00 00 48 8B 8C 24 80 00 00 00 48 39 19 0F 84 49 02 00 00 44 0F B7 02 66 45 85 C0 0F 84 3B 02 00 00 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 75 DE E9 22 02 00 00 B9 06 00 00 00 41 39 48 18 76 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 03 02 00 00 49 63 48 18 48 8B 84 24 88 00 00 00 33 DB 48 8B 94 C8 60 01 00 00 48 8B 8C 24 80 00 00 00 48 39 19 0F 84 D9 01 00 00 44 0F B7 02 66 45 85 C0 0F 84 CB 01 00 00 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 75 DE E9 B2 01 00 00 41 8B 48 10 83 F9 0B 77 92 FF C1 E9 8B FE FF FF 41 83 EA 70 0F 84 16 01 00 00 41 83 EA 07 0F 84 F2 00 00 00 41 FF CA 0F 84 B5 00 00 00 41 FF CA 0F 84 85 00 00 00 41 FF CA 0F 85 6C FF FF FF E8 ?? ?? ?? ?? 33 DB 48 89 5C 24 30 E8 ?? ?? ?? ?? 39 5E 20 48 8B B4 24 80 00 00 00 48 8B 17 44 8B CB 4C 8B 06 41 0F 95 C1 48 8D 4C 24 30 4E 8B 0C C8 48 89 6C 24 28 48 83 4C 24 20 FF E8 ?? ?? ?? ?? 83 F8 16 0F 84 4A 01 00 00 83 F8 22 0F 84 41 01 00 00 48 8B 4C 24 30 83 F8 50 75 05 48 89 1E EB 09 49 8B C4 48 2B C1 48 01 06 48 8D 04 4D FE FF FF FF 48 01 07 E9 F7 00 00 00 41 8B 48 14 85 C9 0F 88 D4 FE FF FF B8 1F 85 EB 51 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B C2 64 2B C8 E9 B9 FD FF FF 48 8B 84 24 88 00 00 00 33 DB 48 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 39 9C 24 90 00 00 00 74 08 41 8B D4 E9 19 FE FF FF 33 D2 E9 12 FE FF FF B9 06 00 00 00 41 39 48 18 0F 87 76 FE FF FF 8B 4E 18 41 8B D4 E9 70 FD FF FF 41 83 78 08 17 0F 87 60 FE FF FF 48 8B 84 24 88 00 00 00 33 DB 41 83 78 08 0B 7F 34 48 8B 8C 24 80 00 00 00 48 8B 90 90 02 00 00 48 39 19 74 52 44 0F B7 02 66 45 85 C0 74 48 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 75 E2 EB 32 48 8B 94 24 80 00 00 00 4C 8B 80 98 02 00 00 48 39 1A 74 1E 45 0F B7 08 66 45 85 C9 74 14 48 8B 0F 49 83 C0 02 66 44 89 09 48 83 07 02 48 FF 0A 75 E2 41 8B C4 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_951_4_0 {
	meta:
		name = "?_W_store_num@@YAXHHPEAPEA_WPEA_KI@Z"
		size = 246
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 33 DB 44 8B D9 39 5C 24 28 74 6C 4D 8B 10 EB 3A B8 67 66 66 66 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 44 2B D9 66 41 83 C3 30 66 45 89 1A 49 FF 09 49 83 C2 02 44 8B DA 85 D2 7E 06 49 83 39 01 77 C0 49 8B 10 4D 89 10 49 83 EA 02 0F B7 02 41 0F B7 0A 66 41 89 02 66 89 0A 48 83 C2 02 49 83 EA 02 49 3B D2 72 E5 EB 6A 48 63 C2 49 3B 01 73 5F FF CA 44 8D 52 01 45 85 D2 74 45 48 63 C2 48 8D 3C 00 B8 67 66 66 66 FF C3 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 8D 0C 10 49 8B 00 66 03 C9 66 44 2B D9 66 41 83 C3 30 66 44 89 1C 07 44 8B DA 48 8D 7F FE 41 FF CA 75 C2 48 63 CB 48 8D 04 09 49 01 00 49 29 09 EB 03 49 21 19 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_951_5_0 {
	meta:
		name = "?_W_store_number@@YAXHPEAPEA_WPEA_K@Z"
		size = 113
	strings:
		$1 = { 4C 8B 0A 4C 8B D2 44 8B D9 EB 3A B8 67 66 66 66 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 44 2B D9 66 41 83 C3 30 66 45 89 19 49 FF 08 49 83 C1 02 44 8B DA 85 D2 7E 06 49 83 38 01 77 C0 49 8B 12 4D 89 0A 49 83 E9 02 0F B7 02 41 0F B7 09 66 41 89 01 66 89 0A 48 83 C2 02 49 83 E9 02 49 3B D1 72 E5 C3 }
	condition:
		$1
}

rule file_951_6_0 {
	meta:
		name = "?_W_store_str@@YAXPEA_WPEAPEA_WPEA_K@Z"
		size = 39
	strings:
		$1 = { 45 33 D2 4D 39 10 74 1E 44 0F B7 09 66 45 85 C9 74 14 48 8B 02 48 83 C1 02 66 44 89 08 48 83 02 02 49 FF 08 75 E2 C3 }
	condition:
		$1
}

rule file_951_7_0 {
	meta:
		name = "?_W_store_winword@@YAHPEAUlocaleinfo_struct@@HPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@@Z"
		size = 1240
		refs = "001c __security_cookie 00f1 __crtGetTimeFormatEx 00f8 __crtGetDateFormatEx 0142 __chkstk 0163 malloc 01eb free 027a ??_C@_1M@PBPMMENC@?$AAa?$AAm?$AA?1?$AAp?$AAm?$AA?$AA@ 0282 _wcsicmp 02df ??_C@_17BLFJJHMM@?$AAa?$AA?1?$AAp?$AA?$AA@ 048b ?_W_expandtime@@YAHPEAUlocaleinfo_struct@@_WPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@I@Z 04bc __security_check_cookie"
	strings:
		$1 = { 40 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8D 6C 24 40 48 89 5D 78 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 20 4C 8B BD 90 00 00 00 4C 8B AD 98 00 00 00 45 33 DB 4D 8B E1 4C 89 45 00 4C 8B F1 48 89 4D 08 44 8B D2 4D 8B C8 85 D2 74 17 41 FF CA 74 09 49 8B BD B0 02 00 00 EB 10 49 8B BD A8 02 00 00 EB 07 49 8B BD A0 02 00 00 41 BA 01 00 00 00 45 39 95 58 01 00 00 0F 84 22 04 00 00 41 0F B7 40 14 83 FA 02 B9 6C 07 00 00 45 8B F2 44 89 5C 24 28 66 44 89 5D 1E 45 0F 45 F3 66 03 C1 49 8B 8D B8 02 00 00 66 89 45 10 41 0F B7 40 10 33 D2 66 41 03 C2 4C 8B CF 4C 89 5C 24 20 66 89 45 12 41 0F B7 40 0C 66 89 45 16 41 0F B7 40 08 66 89 45 18 41 0F B7 40 04 66 89 45 1A 41 0F B7 00 4C 8D 45 10 66 89 45 1C 45 85 F6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 45 33 DB 8B F0 85 C0 0F 84 F0 00 00 00 48 63 D0 48 8D 0C 12 48 8D 41 10 48 3B C1 76 65 48 8D 0C 55 10 00 00 00 48 81 F9 00 04 00 00 77 38 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 45 33 DB 48 8D 5C 24 40 48 85 DB 0F 84 9F 00 00 00 C7 03 CC CC 00 00 EB 16 E8 ?? ?? ?? ?? 45 33 DB 48 8B D8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C3 10 EB 03 49 8B DB 48 85 DB 74 73 49 8B 8D B8 02 00 00 33 D2 89 74 24 28 4C 8B CF 4C 8D 45 10 48 89 5C 24 20 45 85 F6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B D0 4C 8B C3 FF CA 45 33 C9 EB 1E 4D 39 0F 76 1D 41 0F B7 00 49 8B 0C 24 49 83 C0 02 66 89 01 49 83 04 24 02 49 FF 0F FF CA 85 D2 7F DE 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? B8 01 00 00 00 E9 BB 02 00 00 4C 8B 75 08 E9 97 02 00 00 4D 39 1F 0F 84 A6 02 00 00 41 8B DB 41 8B CB 49 8B C3 48 8B F7 48 83 C6 02 41 03 CA 49 03 C2 66 44 39 06 74 F0 41 0F B7 D0 83 FA 64 0F 8F 4B 01 00 00 41 B9 64 00 00 00 41 3B D1 0F 84 0E 01 00 00 41 B9 27 00 00 00 41 3B D1 0F 84 AB 00 00 00 41 8D 41 1A 3B D0 74 1D 44 8D 48 07 41 3B D1 74 60 41 8D 41 05 3B D0 74 25 41 8D 41 19 3B D0 0F 85 DA 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 52 48 8D 77 0A EB 63 FF C9 74 22 FF C9 74 21 FF C9 74 10 FF C9 0F 85 AD 01 00 00 8D 41 42 E9 C3 01 00 00 B8 62 00 00 00 E9 B9 01 00 00 41 8B DA B8 6D 00 00 00 E9 AC 01 00 00 FF C9 74 09 FF C9 74 08 E9 81 01 00 00 41 8B DA 41 0F B7 C1 E9 93 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 04 48 8D 77 06 B8 70 00 00 00 E9 72 01 00 00 41 84 CA 74 43 48 8D 3C 47 0F B7 0F 66 85 C9 0F 84 9F 01 00 00 4D 39 1F 0F 84 84 01 00 00 48 83 C7 02 66 41 3B C9 0F 84 76 01 00 00 49 8B 04 24 66 89 08 49 83 04 24 02 49 FF 0F 0F B7 0F 66 85 C9 75 D2 E9 5A 01 00 00 48 63 C1 48 8D 3C 47 E9 4E 01 00 00 FF C9 0F 84 77 FF FF FF FF C9 0F 84 72 FF FF FF FF C9 74 10 FF C9 0F 85 E4 00 00 00 8D 41 41 E9 FA 00 00 00 B8 61 00 00 00 E9 F0 00 00 00 83 EA 68 0F 84 C1 00 00 00 83 EA 05 0F 84 A4 00 00 00 83 EA 06 0F 84 87 00 00 00 FF CA 74 29 83 FA 05 0F 85 AA 00 00 00 83 F9 02 74 11 83 F9 04 0F 85 9C 00 00 00 8D 42 54 E9 B2 00 00 00 B8 79 00 00 00 E9 A8 00 00 00 41 83 79 08 0B 7F 09 49 8B 95 90 02 00 00 EB 07 49 8B 95 98 02 00 00 41 3B CA 75 31 4D 39 1F 76 2C 49 8B 0C 24 0F B7 02 66 89 01 49 83 04 24 02 49 FF 0F EB 20 4D 39 1F 76 1B 49 8B 04 24 48 83 C2 02 66 89 08 49 83 04 24 02 49 FF 0F 0F B7 0A 66 85 C9 75 E0 48 8B FE EB 7E FF C9 74 06 FF C9 74 05 EB 26 41 8B DA B8 53 00 00 00 EB 3A FF C9 74 06 FF C9 74 05 EB 12 41 8B DA B8 4D 00 00 00 EB 26 FF C9 74 1A FF C9 74 19 49 8B 04 24 48 83 C7 02 66 44 89 00 49 83 04 24 02 49 FF 0F EB 38 41 8B DA B8 49 00 00 00 4C 8B 45 00 89 5C 24 30 4D 8B CC 0F B7 D0 49 8B CE 4C 89 6C 24 28 4C 89 7C 24 20 E8 ?? ?? ?? ?? 45 33 DB 85 C0 74 3E 48 8B FE 41 BA 01 00 00 00 4C 8B 4D 00 44 0F B7 07 66 45 85 C0 0F 85 51 FD FF FF 41 8B C2 48 8B 4D 20 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 78 48 8D 65 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 C0 EB DC }
	condition:
		$1
}

rule file_951_11_0 {
	meta:
		name = "_W_Getdays_l"
		size = 376
		refs = "002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b wcslen 0076 _malloc_crt 00bb wcscpy_s 015e _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 48 8B D1 45 33 FF 48 8D 48 C8 41 8B F7 E8 ?? ?? ?? ?? 48 8B 44 24 30 4C 8B B0 20 01 00 00 41 8D 6F 07 49 8D BE 60 01 00 00 48 8B 4F 38 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 48 8D 7F 08 48 03 C6 48 8D 73 02 48 03 F0 48 FF CD 75 D9 48 8D 0C 75 02 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 93 00 00 00 48 8B D8 49 8B EF 49 81 C6 98 01 00 00 41 BC 3A 00 00 00 66 44 89 23 4D 8B 46 C8 48 83 C3 02 48 8B C3 48 8B D6 48 8B CB 48 2B C7 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 0F 85 9C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8D 1C 43 66 44 89 23 4D 8B 06 48 83 C3 02 48 8B C3 48 8B CB 48 2B C7 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 75 52 48 8B CB E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 8D 1C 43 48 83 FD 07 72 84 66 44 89 3B 44 38 7C 24 48 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 4C 8D 5C 24 50 48 8B C7 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_951_13_0 {
	meta:
		name = "_W_Getmonths_l"
		size = 376
		refs = "002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b wcslen 0076 _malloc_crt 00bb wcscpy_s 015e _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 48 8B D1 45 33 FF 48 8D 48 C8 41 8B F7 E8 ?? ?? ?? ?? 48 8B 44 24 30 4C 8B B0 20 01 00 00 41 8D 6F 0C 49 8D BE D0 01 00 00 48 8B 4F 60 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 48 8D 7F 08 48 03 C6 48 8D 73 02 48 03 F0 48 FF CD 75 D9 48 8D 0C 75 02 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 93 00 00 00 48 8B D8 49 8B EF 49 81 C6 30 02 00 00 41 BC 3A 00 00 00 66 44 89 23 4D 8B 46 A0 48 83 C3 02 48 8B C3 48 8B D6 48 8B CB 48 2B C7 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 0F 85 9C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8D 1C 43 66 44 89 23 4D 8B 06 48 83 C3 02 48 8B C3 48 8B CB 48 2B C7 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 75 52 48 8B CB E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 8D 1C 43 48 83 FD 0C 72 84 66 44 89 3B 44 38 7C 24 48 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 4C 8D 5C 24 50 48 8B C7 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_951_15_0 {
	meta:
		name = "_W_Gettnames_l"
		size = 2003
		refs = "0024 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _malloc_crt 0064 memset 009e strcpy_s 00ae strlen 0313 wcscpy_s 0323 wcslen 066e _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 8B D1 48 8D 48 B8 E8 ?? ?? ?? ?? 48 8B 44 24 30 45 33 ED 48 8B B0 20 01 00 00 33 FF BB C0 02 00 00 45 33 E4 41 83 FC 01 75 29 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 FE 05 00 00 4C 8B C3 33 D2 48 8B C8 E8 ?? ?? ?? ?? 4C 8B EB BB C0 02 00 00 48 8B C7 33 ED 4D 63 FC 48 2B C6 4C 8B F6 48 89 84 24 88 00 00 00 49 83 FF 01 75 1E 48 8D 0C 1F 49 8B D5 4A 89 0C 30 4D 8B 06 48 2B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 B3 05 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 FF C0 48 03 D8 48 8B 84 24 88 00 00 00 48 83 FD 07 72 B9 33 ED 4C 8D 76 38 49 83 FF 01 75 26 48 8B 84 24 88 00 00 00 48 8D 0C 1F 49 8B D5 49 89 0C 06 4D 8B 06 48 2B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 74 05 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C3 48 FF C5 48 03 D8 49 83 C6 08 48 83 FD 07 72 B9 33 ED 4C 8D 76 70 49 83 FF 01 75 26 48 8B 84 24 88 00 00 00 48 8D 0C 1F 49 8B D5 49 89 0C 06 4D 8B 06 48 2B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 3D 05 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C3 48 FF C5 48 03 D8 49 83 C6 08 48 83 FD 0C 72 B9 33 ED 4C 8D B6 D0 00 00 00 49 83 FF 01 75 26 48 8B 84 24 88 00 00 00 48 8D 0C 1F 49 8B D5 49 89 0C 06 4D 8B 06 48 2B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 03 05 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C3 48 FF C5 48 03 D8 49 83 C6 08 48 83 FD 0C 72 B9 33 ED 4C 8D B6 30 01 00 00 49 83 FF 01 75 26 48 8B 84 24 88 00 00 00 48 8D 0C 1F 49 8B D5 49 89 0C 06 4D 8B 06 48 2B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 C9 04 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C3 48 FF C5 48 03 D8 49 83 C6 08 48 83 FD 02 72 B9 41 83 FC 01 75 25 48 8D 0C 1F 49 8B D5 48 89 8F 40 01 00 00 4C 8B 86 40 01 00 00 48 2B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 99 04 00 00 48 8B 8E 40 01 00 00 E8 ?? ?? ?? ?? 48 FF C0 48 03 D8 41 83 FC 01 75 25 48 8D 0C 1F 49 8B D5 48 89 8F 48 01 00 00 4C 8B 86 48 01 00 00 48 2B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 72 04 00 00 48 8B 8E 48 01 00 00 E8 ?? ?? ?? ?? 48 FF C0 48 03 D8 41 83 FC 01 75 25 48 8D 0C 1F 49 8B D5 48 89 8F 50 01 00 00 4C 8B 86 50 01 00 00 48 2B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 4B 04 00 00 48 8B 8E 50 01 00 00 E8 ?? ?? ?? ?? 48 FF C0 48 03 D8 41 83 FC 01 75 13 8B 86 58 01 00 00 83 A7 5C 01 00 00 00 89 87 58 01 00 00 33 ED 4C 8D B6 60 01 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2F 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 8B 84 24 88 00 00 00 48 D1 EA 49 89 0C 06 4D 8B 06 E8 ?? ?? ?? ?? 85 C0 0F 85 EE 03 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 8D 1C 43 48 83 C3 02 48 83 FD 07 72 A9 33 ED 4C 8D B6 98 01 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2F 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 8B 84 24 88 00 00 00 48 D1 EA 49 89 0C 06 4D 8B 06 E8 ?? ?? ?? ?? 85 C0 0F 85 9F 03 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 8D 1C 43 48 83 C3 02 48 83 FD 07 72 A9 33 ED 4C 8D B6 D0 01 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2F 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 8B 84 24 88 00 00 00 48 D1 EA 49 89 0C 06 4D 8B 06 E8 ?? ?? ?? ?? 85 C0 0F 85 50 03 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 8D 1C 43 48 83 C3 02 48 83 FD 0C 72 A9 33 ED 4C 8D B6 30 02 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2F 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 8B 84 24 88 00 00 00 48 D1 EA 49 89 0C 06 4D 8B 06 E8 ?? ?? ?? ?? 85 C0 0F 85 01 03 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 8D 1C 43 48 83 C3 02 48 83 FD 0C 72 A9 33 ED 4C 8D B6 90 02 00 00 EB 03 48 FF C3 F6 C3 01 75 F8 49 83 FF 01 75 2F 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 8B 84 24 88 00 00 00 48 D1 EA 49 89 0C 06 4D 8B 06 E8 ?? ?? ?? ?? 85 C0 0F 85 B2 02 00 00 49 8B 0E E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 8D 1C 43 48 83 C3 02 48 83 FD 02 72 A9 EB 03 48 FF C3 F6 C3 01 75 F8 41 83 FC 01 75 2E 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 D1 EA 48 89 8F A0 02 00 00 4C 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 6D 02 00 00 48 8B 8E A0 02 00 00 E8 ?? ?? ?? ?? 48 8D 1C 43 48 83 C3 02 EB 03 48 FF C3 F6 C3 01 75 F8 41 83 FC 01 75 2E 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 D1 EA 48 89 8F A8 02 00 00 4C 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 31 02 00 00 48 8B 8E A8 02 00 00 E8 ?? ?? ?? ?? 48 8D 1C 43 48 83 C3 02 EB 03 48 FF C3 F6 C3 01 75 F8 41 83 FC 01 75 2E 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 D1 EA 48 89 8F B0 02 00 00 4C 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 F5 01 00 00 48 8B 8E B0 02 00 00 E8 ?? ?? ?? ?? 48 8D 1C 43 48 83 C3 02 EB 03 48 FF C3 F6 C3 01 75 F8 41 83 FC 01 75 2E 48 8B C3 49 8B D5 48 D1 E8 48 2B D3 48 8D 0C 47 48 D1 EA 48 89 8F B8 02 00 00 4C 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 B9 01 00 00 48 8B 8E B8 02 00 00 E8 ?? ?? ?? ?? 41 FF C4 48 8D 1C 43 48 83 C3 02 41 83 FC 02 0F 8C 1C FA FF FF 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 4C 8D 5C 24 50 48 8B C7 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 33 FF EB C8 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_951_17_0 {
	meta:
		name = "_Wcsftime_l"
		size = 406
		refs = "003e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00fd ?_W_expandtime@@YAHPEAUlocaleinfo_struct@@_WPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@I@Z 0145 _errno 015d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B DA 48 8B 55 58 4C 8B F9 48 8D 4D D8 45 33 ED 4D 8B E1 49 8B F8 45 8B F5 E8 ?? ?? ?? ?? 48 8B 45 30 48 85 C0 0F 84 02 01 00 00 48 85 DB 0F 84 F9 00 00 00 66 44 89 28 48 85 FF 0F 84 EC 00 00 00 48 8B 75 50 48 85 F6 75 0B 48 8B 45 D8 48 8B B0 20 01 00 00 48 8B C3 48 89 5D D0 48 85 DB 0F 84 AC 00 00 00 48 8B 4D 30 0F B7 17 85 D2 0F 84 82 00 00 00 83 FA 25 74 20 66 89 11 48 8B 4D 30 48 8B 45 D0 48 83 C1 02 48 83 C7 02 48 FF C8 48 89 45 D0 48 89 4D 30 EB 54 4D 85 E4 0F 84 8B 00 00 00 48 83 C7 02 41 8B C5 66 83 3F 23 75 09 B8 01 00 00 00 48 83 C7 02 0F B7 17 89 44 24 30 48 8D 45 D0 4C 8D 4D 30 48 8D 4D D8 4D 8B C4 48 89 74 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 24 48 8B 4D 30 48 8B 45 D0 48 83 C7 02 48 85 C0 0F 85 73 FF FF FF 48 85 C0 74 16 66 44 89 29 48 2B 5D D0 EB 3B 4C 39 6D D0 76 06 41 BE 01 00 00 00 66 45 89 2F 45 85 F6 75 13 4C 39 6D D0 77 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 49 8B DD 44 38 6D F0 74 0B 48 8B 4D E8 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 48 8B C3 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_951_22_0 {
	meta:
		name = "wcsftime"
		size = 26
		refs = "0011 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 28 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1042_12_0 {
	meta:
		name = "strftime"
		size = 26
		refs = "0011 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 28 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_952_0_0 {
	meta:
		name = "__common_sasin_cout_rare"
		size = 2784
		refs = "007b _vmldASinHATab"
	strings:
		$1 = { 55 48 81 EC D0 00 00 00 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 F3 0F 10 09 41 81 F8 80 7F 00 00 44 0F 29 BC 24 A0 00 00 00 44 0F 29 B4 24 B0 00 00 00 44 0F 29 AC 24 C0 00 00 00 44 0F 29 5C 24 60 44 0F 29 54 24 70 44 0F 29 8C 24 80 00 00 00 44 0F 29 84 24 90 00 00 00 0F 84 63 0A 00 00 F3 0F 5A C1 F2 0F 11 44 24 38 80 64 24 3F 7F F2 44 0F 10 54 24 38 F2 44 0F 10 2D ?? ?? ?? ?? 4C 8B 0D ?? ?? ?? ?? 66 45 0F 2F EA 0F 82 DF 09 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C2 0F 86 27 04 00 00 66 44 0F 2F 15 ?? ?? ?? ?? 0F 86 85 03 00 00 F2 44 0F 10 35 ?? ?? ?? ?? 41 0F 28 E2 F2 41 0F 59 E6 45 0F 28 CA F2 0F 11 64 24 28 45 0F 28 DA F2 44 0F 10 6C 24 28 41 0F 28 DE F2 44 0F 5C 6C 24 38 F2 44 0F 11 6C 24 20 F2 44 0F 10 44 24 28 F2 0F 10 4C 24 20 F2 44 0F 5C C1 F2 44 0F 11 44 24 28 F2 0F 10 54 24 28 F2 44 0F 5C CA F2 44 0F 11 4C 24 20 F2 0F 10 6C 24 28 0F 28 D5 F2 44 0F 58 DD F2 0F 59 D5 F2 44 0F 10 7C 24 20 0F 28 C2 F2 45 0F 59 DF F2 0F 59 DA F2 41 0F 58 C3 F2 44 0F 10 0D ?? ?? ?? ?? F2 44 0F 59 C8 F2 0F 11 5C 24 28 F2 0F 10 64 24 28 F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 5C E2 F2 44 0F 59 C8 F2 0F 11 64 24 20 F2 0F 10 4C 24 28 F2 44 0F 10 6C 24 20 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 5C CD F2 44 0F 59 C8 F2 0F 11 4C 24 28 F2 44 0F 10 44 24 28 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 5C D0 F2 44 0F 59 C8 F2 0F 11 54 24 20 45 0F 28 C2 F2 0F 10 64 24 28 F2 0F 10 5C 24 20 F2 44 0F 59 FC F2 44 0F 58 0D ?? ?? ?? ?? F2 44 0F 58 DB F2 0F 59 EC F2 44 0F 59 C8 F2 45 0F 59 C3 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 58 C7 F2 44 0F 59 C8 45 0F 28 FE F2 44 0F 58 0D ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 59 C8 F2 44 0F 11 7C 24 28 F2 44 0F 10 6C 24 28 F2 44 0F 5C ED F2 44 0F 58 0D ?? ?? ?? ?? F2 44 0F 11 6C 24 20 44 0F 28 ED F2 0F 10 54 24 28 F2 41 0F 58 E8 F2 44 0F 59 C8 F2 44 0F 59 DD F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 10 4C 24 20 F2 44 0F 59 C8 F2 0F 5C D1 F2 0F 11 54 24 28 F2 0F 10 5C 24 28 F2 44 0F 5C EB 0F 28 DC F2 44 0F 58 0D ?? ?? ?? ?? F2 44 0F 11 6C 24 20 F2 0F 10 4C 24 28 F2 0F 10 54 24 20 44 0F 28 FA F2 0F 59 D9 F2 45 0F 58 F8 F2 44 0F 59 C8 F2 41 0F 59 E7 F2 44 0F 59 F3 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 58 E3 F2 44 0F 59 C8 F2 44 0F 11 74 24 28 44 0F 28 EB F2 44 0F 10 5C 24 28 F2 44 0F 5C DB F2 0F 58 DC F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 59 C3 F2 44 0F 11 5C 24 20 F2 44 0F 10 5C 24 28 F2 44 0F 10 74 24 20 F2 44 0F 59 C8 F2 45 0F 5C DE F2 44 0F 11 5C 24 28 F2 44 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 59 DD F2 0F 59 C3 F2 0F 10 2D ?? ?? ?? ?? F2 44 0F 58 D8 F2 0F 59 CD F2 44 0F 59 C5 F2 0F 59 D5 F2 45 0F 58 D9 F2 44 0F 10 74 24 28 41 0F 28 C2 F2 45 0F 5C EE F2 0F 58 C1 F2 45 0F 58 D8 F2 44 0F 11 6C 24 20 F2 44 0F 58 DA F2 44 0F 10 74 24 28 F2 44 0F 10 6C 24 20 F2 0F 11 44 24 28 F2 0F 10 54 24 28 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 5C D2 F2 0F 59 E0 F2 44 0F 59 F0 F2 41 0F 59 C5 F2 44 0F 58 D1 F2 44 0F 11 54 24 20 F2 0F 10 4C 24 28 F2 44 0F 10 54 24 20 F2 45 0F 58 DA F2 44 0F 58 DC 0F 28 E1 F2 41 0F 58 E6 F2 44 0F 58 D8 F2 0F 11 64 24 28 F2 44 0F 10 54 24 28 F2 41 0F 5C CA F2 41 0F 58 CE F2 0F 11 4C 24 20 F2 0F 10 5C 24 28 F2 0F 10 54 24 20 8A 49 03 F2 44 0F 58 DA 80 E1 80 F2 44 0F 58 DB F2 44 0F 11 5C 24 30 40 8A 6C 24 37 40 80 E5 7F 40 0A E9 40 88 6C 24 37 F2 0F 5A 6C 24 30 F3 0F 11 2A E9 49 06 00 00 66 44 0F 2F 15 ?? ?? ?? ?? 72 44 F2 45 0F 58 D5 F2 44 0F 11 54 24 28 F2 0F 10 44 24 28 F2 0F 59 44 24 38 F2 0F 11 44 24 30 40 8A 6C 24 37 8A 49 03 40 80 E5 7F 80 E1 80 40 0A E9 40 88 6C 24 37 F2 0F 5A 4C 24 30 F3 0F 11 0A E9 FA 05 00 00 F2 45 0F 59 D2 F2 44 0F 11 54 24 28 F2 0F 10 44 24 28 8A 49 03 80 E1 80 F2 0F 58 44 24 38 F2 0F 11 44 24 30 40 8A 6C 24 37 40 80 E5 7F 40 0A E9 40 88 6C 24 37 F2 0F 5A 4C 24 30 F3 0F 11 0A E9 B6 05 00 00 4D 8B D1 F2 45 0F 5C EA F2 41 0F 59 C5 F2 0F 11 44 24 38 44 0F B7 44 24 3E 41 81 E0 F0 7F 00 00 41 C1 E8 04 41 81 C0 01 FC FF FF 45 8B D8 41 8B E8 41 F7 DB 41 81 C3 FF 03 00 00 49 C1 EA 30 41 81 E3 FF 07 00 00 41 C1 E3 04 41 81 E2 0F 80 FF FF 4C 89 4C 24 40 45 0B D3 66 44 89 54 24 46 83 E5 01 F2 44 0F 10 44 24 40 44 8B DD F2 41 0F 59 C0 0F 28 E8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 E8 F2 44 0F 10 15 ?? ?? ?? ?? 75 03 0F 28 E8 F2 44 0F 59 D5 F2 0F 58 C2 F2 0F 11 44 24 48 45 0F 28 CA 44 8B 54 24 48 44 2B C5 41 C1 E3 08 41 81 E2 FF 01 00 00 45 03 D3 F2 44 0F 5C CD 4C 8D 1D ?? ?? ?? ?? F2 44 0F 11 4C 24 20 44 0F 28 CD F2 0F 10 5C 24 20 F2 44 0F 10 05 ?? ?? ?? ?? F2 44 0F 5C D3 F2 43 0F 10 04 D3 41 0F 28 CA 0F 28 E0 F2 45 0F 5C CA F2 0F 59 E0 F2 44 0F 59 D0 F2 0F 59 CC F2 41 0F 59 E1 F2 0F 5C 0D ?? ?? ?? ?? 41 D1 E8 F2 0F 58 CC F2 44 0F 59 C1 41 81 C0 FF 03 00 00 4C 89 4C 24 50 41 81 E0 FF 07 00 00 49 C1 E9 30 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 41 81 E1 0F 80 FF FF 41 C1 E0 04 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 45 0B C8 66 44 89 4C 24 56 F2 0F 10 5C 24 50 F2 44 0F 59 D3 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 F2 44 0F 10 35 ?? ?? ?? ?? F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 58 35 ?? ?? ?? ?? F2 44 0F 59 C1 F2 45 0F 59 F5 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 F2 0F 10 0D ?? ?? ?? ?? F2 44 0F 59 C0 F2 41 0F 59 C1 F2 44 0F 59 C5 44 0F 28 C9 F2 44 0F 58 C0 F2 45 0F 59 CA F2 44 0F 59 C3 F2 44 0F 11 4C 24 28 F2 44 0F 10 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 0F 10 54 24 28 F2 0F 10 1D ?? ?? ?? ?? F2 41 0F 5C D2 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 0F 11 54 24 20 0F 28 D3 F2 0F 10 6C 24 28 F2 0F 10 64 24 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C EC F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 CD F2 41 0F 58 D6 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 59 D5 F2 45 0F 59 CD F2 0F 11 6C 24 28 0F 28 E9 F2 44 0F 10 5C 24 28 0F 28 E0 F2 41 0F 59 ED F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 5C D3 F2 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 CD F2 0F 58 E2 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 44 0F 11 54 24 20 F2 44 0F 10 54 24 28 F2 44 0F 10 7C 24 20 F2 0F 11 6C 24 28 F2 45 0F 58 C7 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 44 0F 10 5C 24 28 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 5C DD F2 45 0F 59 CD F2 44 0F 11 5C 24 20 44 0F 28 D9 F2 0F 10 54 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 5C D7 F2 45 0F 59 CD F2 0F 11 54 24 28 F2 44 0F 10 74 24 28 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 45 0F 59 CD F2 45 0F 59 CD F2 41 0F 58 E1 F2 44 0F 59 C4 41 0F 28 E5 F2 41 0F 5C E6 F2 0F 11 64 24 20 F2 44 0F 10 74 24 28 41 0F 28 EE 41 0F 28 E6 F2 41 0F 59 EE F2 41 0F 58 E5 F2 44 0F 59 F3 F2 44 0F 59 DD F2 0F 10 54 24 20 F2 44 0F 11 5C 24 28 F2 44 0F 10 7C 24 28 F2 0F 59 E2 F2 44 0F 5C FD F2 0F 59 DA F2 44 0F 11 7C 24 20 F2 44 0F 10 7C 24 28 F2 44 0F 10 5C 24 20 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C FB F2 41 0F 59 D5 F2 44 0F 11 7C 24 28 45 0F 28 FE F2 44 0F 10 5C 24 28 F2 41 0F 5C EB F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 6C 24 20 F2 44 0F 10 5C 24 28 F2 44 0F 59 1D ?? ?? ?? ?? F2 41 0F 59 D5 F2 45 0F 58 FB F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 6C 24 20 F2 41 0F 58 D1 F2 0F 58 EC F2 41 0F 59 D2 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 28 F2 44 0F 11 5C 24 48 F2 45 0F 5C F7 F2 45 0F 58 F3 F2 44 0F 11 74 24 20 44 0F 28 F0 F2 44 0F 10 7C 24 28 F2 44 0F 10 5C 24 20 F2 45 0F 58 F7 F2 44 0F 11 74 24 28 F2 44 0F 10 74 24 28 F2 41 0F 5C C6 F2 41 0F 58 C7 F2 0F 11 44 24 20 F2 44 0F 10 74 24 28 F2 41 0F 59 CE F2 44 0F 10 7C 24 20 F2 0F 11 4C 24 28 F2 0F 10 4C 24 28 F2 41 0F 5C CE F2 0F 11 4C 24 20 F2 0F 10 4C 24 28 F2 0F 10 44 24 20 F2 0F 5C C8 F2 0F 11 4C 24 28 F2 0F 10 44 24 28 F2 44 0F 5C F0 F2 44 0F 11 74 24 20 F2 0F 10 44 24 28 F2 44 0F 10 74 24 20 F2 45 0F 58 F3 F2 45 0F 58 F7 F2 44 0F 58 F3 F2 44 0F 58 F5 F2 45 0F 59 F2 F2 44 0F 59 D0 F2 45 0F 58 C6 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 58 C2 44 0F 28 E8 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C EA F2 41 0F 5C D0 F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 28 F2 41 0F 5C C5 F2 41 0F 5C C2 F2 0F 11 44 24 20 F2 0F 10 5C 24 28 F2 0F 10 4C 24 20 8A 49 03 F2 0F 58 D1 80 E1 80 F2 0F 58 DA F2 0F 11 5C 24 30 40 8A 6C 24 37 40 80 E5 7F 40 0A E9 40 88 6C 24 37 F2 0F 5A 64 24 30 F3 0F 11 22 EB 11 B8 01 00 00 00 F3 0F 5C C9 F3 0F 5E C9 F3 0F 11 0A 44 0F 28 84 24 90 00 00 00 44 0F 28 8C 24 80 00 00 00 44 0F 28 54 24 70 44 0F 28 5C 24 60 44 0F 28 AC 24 C0 00 00 00 44 0F 28 B4 24 B0 00 00 00 44 0F 28 BC 24 A0 00 00 00 48 81 C4 D0 00 00 00 5D C3 F3 0F 5E C9 F3 0F 11 0A BA 01 00 00 00 33 C0 F7 01 FF FF 7F 00 0F 44 C2 EB A4 0F 1F 00 }
	condition:
		$1
}

rule file_953_1_0 {
	meta:
		name = "_splitpath_helper"
		size = 653
		refs = "00e2 _mbsnbcpy_s 0108 _ismbblead 0252 _errno 025e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B B4 24 98 00 00 00 4C 8B BC 24 88 00 00 00 48 8B F9 4C 8B E2 33 D2 4D 8B E9 8B CA 89 54 24 60 48 85 FF 74 0A 4D 85 E4 75 0F 4D 85 C0 74 0F B9 01 00 00 00 E9 B4 01 00 00 4D 85 C0 74 F1 4D 85 C9 75 0C 48 39 94 24 80 00 00 00 75 E2 EB 0A 48 39 94 24 80 00 00 00 74 D6 4D 85 FF 75 0C 48 39 94 24 90 00 00 00 75 C7 EB 0A 48 39 94 24 90 00 00 00 74 BB 4D 85 F6 75 0C 48 39 94 24 A0 00 00 00 75 AC EB 0A 48 39 94 24 A0 00 00 00 74 A0 B8 01 00 00 00 48 8B DF 38 13 74 08 48 FF C3 48 FF C8 75 F4 80 3B 3A 75 2C 4D 85 E4 74 21 49 83 F8 03 0F 82 36 01 00 00 41 B9 02 00 00 00 4C 8B C7 48 83 CA FF 49 8B CC E8 ?? ?? ?? ?? 33 D2 48 8D 7B 01 EB 09 4D 85 E4 74 04 41 88 14 24 48 8B EA 48 8B F2 48 8B DF 38 17 74 65 0F BE 0B E8 ?? ?? ?? ?? 33 D2 85 C0 74 05 48 FF C3 EB 17 8A 03 3C 2F 74 0D 3C 5C 74 09 3C 2E 75 09 48 8B F3 EB 04 48 8D 6B 01 48 FF C3 38 13 75 CF 48 85 ED 74 2F 4D 85 ED 74 25 4C 8B CD 4C 2B CF 4C 39 8C 24 80 00 00 00 0F 86 AD 00 00 00 4C 8B C7 48 83 CA FF 49 8B CD E8 ?? ?? ?? ?? 33 D2 48 8B FD EB 09 4D 85 ED 74 04 41 88 55 00 48 85 F6 74 51 48 3B F7 72 4C 4D 85 FF 74 21 4C 8B CE 4C 2B CF 4C 39 8C 24 90 00 00 00 76 69 4C 8B C7 48 83 CA FF 49 8B CF E8 ?? ?? ?? ?? 33 D2 4D 85 F6 74 4F 48 2B DE 48 39 9C 24 A0 00 00 00 76 46 4C 8B CB 4C 8B C6 48 83 CA FF 49 8B CE E8 ?? ?? ?? ?? EB 2E 4D 85 FF 74 21 48 2B DF 48 39 9C 24 90 00 00 00 76 20 4C 8B CB 4C 8B C7 48 83 CA FF 49 8B CF E8 ?? ?? ?? ?? 33 D2 4D 85 F6 74 03 41 88 16 33 C0 EB 7E 8B 4C 24 60 EB 02 8B CA 4C 8B 44 24 70 4D 85 E4 74 09 4D 85 C0 74 04 41 88 14 24 4D 85 ED 74 0E 48 39 94 24 80 00 00 00 76 04 41 88 55 00 4D 85 FF 74 0D 48 39 94 24 90 00 00 00 76 03 41 88 17 4D 85 F6 74 0D 48 39 94 24 A0 00 00 00 76 03 41 88 16 48 85 FF 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 12 85 C9 75 E7 E8 ?? ?? ?? ?? B9 22 00 00 00 89 08 8B C1 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_955_0_0 {
	meta:
		name = "__lock_fhandle"
		size = 152
		refs = "0022 __pioinfo 003e _lock 005a __crtInitializeCriticalSectionEx 0068 _unlock 0079 __imp_EnterCriticalSection"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 57 48 83 EC 20 48 63 C1 48 8B F0 48 C1 FE 05 4C 8D 3D ?? ?? ?? ?? 83 E0 1F 48 6B D8 58 49 8B 3C F7 83 7C 3B 0C 00 75 34 B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 83 7C 3B 0C 00 75 18 48 8D 4B 10 48 03 CF 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? FF 44 3B 0C B9 0A 00 00 00 E8 ?? ?? ?? ?? 49 8B 0C F7 48 83 C1 10 48 03 CB FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_955_1_0 {
	meta:
		name = "__lock_fhandle$fin$0"
		size = 25
		refs = "0014 _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0A 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_955_2_0 {
	meta:
		name = "_alloc_osfhnd"
		size = 504
		refs = "002e _mtinitlocknum 0041 _lock 0051 __pioinfo 00b4 __crtInitializeCriticalSectionEx 00c1 _unlock 00d0 __imp_EnterCriticalSection 00e0 __imp_LeaveCriticalSection 0155 _calloc_crt 016c _nhandle 01bd __lock_fhandle"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 41 56 41 57 48 83 EC 30 49 83 CD FF 41 8B F5 45 33 E4 41 8D 5D 0C 8B CB E8 ?? ?? ?? ?? 85 C0 75 08 41 8B C5 E9 9B 01 00 00 8B CB E8 ?? ?? ?? ?? 90 41 8B FC 44 89 64 24 24 4C 8D 35 ?? ?? ?? ?? 83 FF 40 0F 8D 6F 01 00 00 4C 63 FF 4B 8B 1C FE 48 85 DB 0F 84 DE 00 00 00 48 89 5C 24 28 4B 8B 04 FE 48 05 00 0B 00 00 48 3B D8 0F 83 B2 00 00 00 F6 43 08 01 0F 85 98 00 00 00 44 39 63 0C 75 2F B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 44 39 63 0C 75 14 48 8D 4B 10 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? FF 43 0C B9 0A 00 00 00 E8 ?? ?? ?? ?? 45 85 E4 75 5E 48 8D 4B 10 FF 15 ?? ?? ?? ?? F6 43 08 01 74 0C 48 8D 4B 10 FF 15 ?? ?? ?? ?? EB 42 4C 8D 35 ?? ?? ?? ?? 45 85 E4 75 36 C6 43 08 01 4C 89 2B 4B 2B 1C FE 48 B8 A3 8B 2E BA E8 A2 8B 2E 48 F7 EB 48 8B F2 48 C1 FE 04 48 8B C6 48 C1 E8 3F 48 03 F0 8B C7 C1 E0 05 03 F0 89 74 24 20 EB 10 48 83 C3 58 4C 8D 35 ?? ?? ?? ?? E9 36 FF FF FF 41 3B F5 0F 85 8C 00 00 00 FF C7 89 7C 24 24 E9 09 FF FF FF BA 58 00 00 00 8D 4A C8 E8 ?? ?? ?? ?? 48 89 44 24 28 48 85 C0 74 6A 48 63 D7 49 89 04 D6 83 05 ?? ?? ?? ?? 20 49 8B 0C D6 48 81 C1 00 0B 00 00 48 3B C1 73 18 66 C7 40 08 00 0A 4C 89 28 44 89 60 0C 48 83 C0 58 48 89 44 24 28 EB D8 C1 E7 05 89 7C 24 20 48 63 CF 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 8B 04 C6 C6 44 08 08 01 8B CF E8 ?? ?? ?? ?? 85 C0 41 0F 44 FD 8B F7 89 7C 24 20 B9 0B 00 00 00 E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 30 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_955_3_0 {
	meta:
		name = "_alloc_osfhnd$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_955_4_0 {
	meta:
		name = "_alloc_osfhnd$fin$1"
		size = 25
		refs = "0014 _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0B 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_955_5_0 {
	meta:
		name = "_free_osfhnd"
		size = 170
		refs = "0016 _nhandle 0022 __pioinfo 0048 __app_type 0072 __imp_SetStdHandle 0084 _errno 008f __doserrno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 41 56 48 83 EC 20 85 C9 78 6F 3B 0D ?? ?? ?? ?? 73 67 48 63 C1 4C 8D 35 ?? ?? ?? ?? 48 8B F8 83 E0 1F 48 C1 FF 05 48 6B D8 58 49 8B 04 FE F6 44 18 08 01 74 44 48 83 3C 18 FF 74 3D 83 3D ?? ?? ?? ?? 01 75 27 85 C9 74 16 FF C9 74 0B FF C9 75 1B B9 F4 FF FF FF EB 0C B9 F5 FF FF FF EB 05 B9 F6 FF FF FF 33 D2 FF 15 ?? ?? ?? ?? 49 8B 04 FE 48 83 0C 03 FF 33 C0 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF 48 8B 5C 24 30 48 8B 7C 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_955_6_0 {
	meta:
		name = "_get_osfhandle"
		size = 116
		refs = "000a __doserrno 0012 _errno 0024 _nhandle 0030 __pioinfo 0067 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 83 F9 FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 4D 85 C9 78 31 3B 0D ?? ?? ?? ?? 73 29 48 63 C9 4C 8D 05 ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B D1 58 49 8B 04 C0 F6 44 10 08 01 74 06 48 8B 04 10 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_955_7_0 {
	meta:
		name = "_open_osfhandle"
		size = 250
		refs = "003f __imp_GetFileType 0049 __imp_GetLastError 0050 _dosmaperr 006f _alloc_osfhnd 0080 _errno 008b __doserrno 009a _set_osfhnd 00ae __pioinfo 00de _unlock_fhandle"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 48 8B F1 45 33 F6 44 89 70 E8 F6 C2 08 41 0F B6 DE 41 8D 46 20 0F 45 D8 0F BA E2 0E 73 03 80 CB 80 84 D2 79 03 80 CB 10 FF 15 ?? ?? ?? ?? 85 C0 75 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF E9 88 00 00 00 83 F8 02 75 05 80 CB 40 EB 08 83 F8 03 75 03 80 CB 08 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 48 83 FF FF 75 15 E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 44 89 30 EB C0 48 8B D6 8B CF E8 ?? ?? ?? ?? 80 CB 01 48 8B C7 48 8B D7 48 C1 FA 05 4C 8D 05 ?? ?? ?? ?? 83 E0 1F 48 6B C8 58 49 8B 04 D0 88 5C 01 08 49 8B 04 D0 80 64 01 38 80 49 8B 04 D0 80 64 01 38 7F C7 44 24 20 01 00 00 00 8B CF E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_955_8_0 {
	meta:
		name = "_open_osfhandle$fin$0"
		size = 65
		refs = "001d __pioinfo 0035 _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 20 00 75 22 48 63 4D 48 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 8B 4D 48 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_955_9_0 {
	meta:
		name = "_set_osfhnd"
		size = 173
		refs = "001e _nhandle 002a __pioinfo 0049 __app_type 0071 __imp_SetStdHandle 0082 _errno 008d __doserrno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B DA 85 C9 78 65 3B 0D ?? ?? ?? ?? 73 5D 48 63 C1 4C 8D 35 ?? ?? ?? ?? 48 8B F8 83 E0 1F 48 C1 FF 05 48 6B F0 58 49 8B 04 FE 48 83 3C 06 FF 75 3A 83 3D ?? ?? ?? ?? 01 75 25 85 C9 74 16 FF C9 74 0B FF C9 75 19 B9 F4 FF FF FF EB 0C B9 F5 FF FF FF EB 05 B9 F6 FF FF FF FF 15 ?? ?? ?? ?? 49 8B 04 FE 48 89 1C 06 33 C0 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_955_10_0 {
	meta:
		name = "_unlock_fhandle"
		size = 42
		refs = "0006 __pioinfo 0026 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 63 D1 4C 8D 05 ?? ?? ?? ?? 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B CA 58 49 8B 04 C0 48 83 C1 10 48 03 C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_957_0_0 {
	meta:
		name = "__remainder_piby2_fma3"
		size = 496
		refs = "0007 __L_2_by_pi_bits 018a L_fff800 0196 L_piby2_lead 019e L_piby2_part1 01b4 L_piby2_part2 01ce L_piby2_part3"
	strings:
		$1 = { 48 83 EC 38 4C 8D 0D ?? ?? ?? ?? C4 C1 F9 7E C3 49 8B CB 49 C1 EB 34 49 81 EB FF 03 00 00 4D 8B D3 49 C1 EA 03 49 81 EA 86 00 00 00 49 F7 DA 4B 8B 04 0A 48 C1 E1 0C 48 C1 E9 0C 48 0F BA E9 34 49 83 C2 08 C4 81 7A 6F 04 0A 48 F7 E1 4C 8B C0 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 49 83 E3 07 C5 F9 73 D8 08 49 03 C2 48 83 D2 00 4C 8B C8 4C 8B D2 C4 E1 F9 7E C0 48 F7 E1 4C 03 D0 48 C7 C1 36 00 00 00 49 8B C2 49 2B CB 48 33 D2 48 D3 E8 73 1F 49 F7 D2 49 F7 D1 49 F7 D0 48 BA 00 00 00 00 00 00 00 80 66 66 66 66 0F 1F 84 00 00 00 00 00 48 83 D0 00 48 83 E0 03 48 89 44 24 20 49 8B CB 48 83 C1 0A 49 D3 E2 49 D3 EA 48 83 E9 40 4C 8B D9 49 0F BD CA 75 19 4D 8B D1 4D 8B C8 49 C7 C0 00 00 00 00 49 0F BD CA 49 83 EB 40 0F 1F 40 00 4C 03 D9 48 83 E9 34 48 83 F9 00 7C 23 74 41 4D 8B C2 49 D3 EA 49 D3 E9 48 83 E9 40 48 F7 D9 49 D3 E0 4D 0B C8 EB 29 66 0F 1F 84 00 00 00 00 00 48 F7 D9 49 8B C1 49 D3 E2 49 D3 E1 48 83 E9 40 48 F7 D9 48 D3 E8 4C 0B D0 49 D3 E8 4D 0B C8 90 49 81 C3 FF 03 00 00 49 0F BA F2 34 49 8B CB 4C 0B D2 48 C1 E1 34 4C 0B D1 C4 C1 F9 6E D2 49 0F BD C9 48 83 E9 40 48 F7 D9 49 D3 E1 49 C1 E9 0C 48 83 C1 34 4C 2B D9 49 C1 E3 34 4C 0B CA 4D 0B CB C4 C1 F9 6E C9 C5 E9 54 25 ?? ?? ?? ?? C5 EB 5C C4 C5 EB 59 2D ?? ?? ?? ?? C5 DB 59 1D ?? ?? ?? ?? C5 E3 5C DD C4 E2 F9 B9 1D ?? ?? ?? ?? C4 E2 D9 B9 1D ?? ?? ?? ?? C4 E2 F9 B9 1D ?? ?? ?? ?? C5 F3 59 25 ?? ?? ?? ?? C4 E2 E9 B9 25 ?? ?? ?? ?? C5 E3 58 DC C5 D3 58 C3 C5 D3 5C C8 C5 F3 58 CB 48 8B 44 24 20 48 83 C4 38 C3 0F 1F 40 00 }
	condition:
		$1
}

rule file_957_1_0 {
	meta:
		name = "__remainder_piby2_fma3_bdl"
		size = 119
		refs = "0008 L_xc2 0010 L_sigma 0019 L_r 0033 L_xc1 006e L_xc3"
	strings:
		$1 = { C5 F9 28 C8 C5 F9 28 25 ?? ?? ?? ?? C5 F9 28 15 ?? ?? ?? ?? C4 E2 E9 99 0D ?? ?? ?? ?? C5 F3 5C CA C5 F9 E6 E9 C4 E1 F9 7E E8 C5 F9 28 D1 C4 E2 F9 9D 15 ?? ?? ?? ?? C5 F3 59 DC C5 F9 28 C1 C4 E2 D9 AB C3 C5 EB 5C EB C5 EB 5C E5 C5 DB 5C E3 C4 E2 F1 BD 15 ?? ?? ?? ?? C5 D3 5C EA C5 D3 58 EC C5 D3 5C E8 C5 F9 28 C2 C4 E2 D1 9D 0D ?? ?? ?? ?? 48 83 E0 03 C3 }
	condition:
		$1
}

rule file_958_3_0 {
	meta:
		name = "_ui64toa"
		size = 77
	strings:
		$1 = { 48 8B C1 4C 8B DA 4C 8B CA 41 8B C8 4C 8B D2 33 D2 48 F7 F1 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 11 49 FF C1 48 85 C0 75 E3 41 88 01 49 FF C9 41 8A 02 41 8A 09 41 88 01 41 88 0A 49 FF C2 49 FF C9 4D 3B D1 72 E9 49 8B C3 C3 }
	condition:
		$1
}

rule file_958_5_0 {
	meta:
		name = "x64toa"
		size = 88
	strings:
		$1 = { 45 8B D8 4C 8B D2 48 8B C1 45 85 C9 74 09 49 FF C2 C6 02 2D 48 F7 D8 4D 8B C2 49 8B CB 33 D2 48 F7 F1 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 12 49 FF C2 48 85 C0 75 E3 41 88 02 49 FF CA 41 8A 00 41 8A 0A 41 88 02 41 88 08 49 FF C0 49 FF CA 4D 3B C2 72 E9 C3 }
	condition:
		$1
}

rule file_958_6_0 {
	meta:
		name = "xtoa"
		size = 82
	strings:
		$1 = { 45 8B D8 4C 8B D2 8B C1 45 85 C9 74 08 49 FF C2 C6 02 2D F7 D8 4D 8B C2 33 D2 41 F7 F3 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 12 49 FF C2 85 C0 75 E4 41 88 02 49 FF CA 41 8A 00 41 8A 0A 41 88 02 41 88 08 49 FF C0 49 FF CA 4D 3B C2 72 E9 C3 }
	condition:
		$1
}

rule file_959_0_0 {
	meta:
		name = "_XcptFilter"
		size = 460
		refs = "001a _getptd_noexit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 8B F9 E8 ?? ?? ?? ?? 45 33 C9 48 8B D8 48 85 C0 0F 84 88 01 00 00 48 8B 90 A0 00 00 00 48 8B CA 39 39 74 10 48 8D 82 C0 00 00 00 48 83 C1 10 48 3B C8 72 EC 48 8D 82 C0 00 00 00 48 3B C8 73 04 39 39 74 03 49 8B C9 48 85 C9 0F 84 4E 01 00 00 4C 8B 41 08 4D 85 C0 0F 84 41 01 00 00 49 83 F8 05 75 0D 4C 89 49 08 41 8D 40 FC E9 30 01 00 00 49 83 F8 01 75 08 83 C8 FF E9 22 01 00 00 48 8B AB A8 00 00 00 48 89 B3 A8 00 00 00 83 79 04 08 0F 85 F2 00 00 00 BA 30 00 00 00 48 8B 83 A0 00 00 00 48 83 C2 10 4C 89 4C 02 F8 48 81 FA C0 00 00 00 7C E7 81 39 8E 00 00 C0 8B BB B0 00 00 00 75 0F C7 83 B0 00 00 00 83 00 00 00 E9 A1 00 00 00 81 39 90 00 00 C0 75 0F C7 83 B0 00 00 00 81 00 00 00 E9 8A 00 00 00 81 39 91 00 00 C0 75 0C C7 83 B0 00 00 00 84 00 00 00 EB 76 81 39 93 00 00 C0 75 0C C7 83 B0 00 00 00 85 00 00 00 EB 62 81 39 8D 00 00 C0 75 0C C7 83 B0 00 00 00 82 00 00 00 EB 4E 81 39 8F 00 00 C0 75 0C C7 83 B0 00 00 00 86 00 00 00 EB 3A 81 39 92 00 00 C0 75 0C C7 83 B0 00 00 00 8A 00 00 00 EB 26 81 39 B5 02 00 C0 75 0C C7 83 B0 00 00 00 8D 00 00 00 EB 12 81 39 B4 02 00 C0 75 0A C7 83 B0 00 00 00 8E 00 00 00 8B 93 B0 00 00 00 B9 08 00 00 00 41 FF D0 89 BB B0 00 00 00 EB 0A 4C 89 49 08 8B 49 04 41 FF D0 48 89 AB A8 00 00 00 E9 D8 FE FF FF 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_959_1_0 {
	meta:
		name = "__CppXcptFilter"
		size = 19
		refs = "000c _XcptFilter"
	strings:
		$1 = { B8 63 73 6D E0 3B C8 75 07 8B C8 E9 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule file_959_2_0 {
	meta:
		name = "xcptlookup"
		size = 46
	strings:
		$1 = { 44 8B C9 48 8B C2 39 08 74 10 4C 8D 82 C0 00 00 00 48 83 C0 10 49 3B C0 72 EC 48 8D 8A C0 00 00 00 48 3B C1 73 05 44 39 08 74 02 33 C0 C3 }
	condition:
		$1
}

rule file_960_0_0 {
	meta:
		name = "__isa_available_init"
		size = 420
		refs = "001e __isa_enabled 0028 __isa_available 00d3 __favor"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 10 33 C9 33 C0 33 FF 0F A2 C7 05 ?? ?? ?? ?? 02 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 44 8B DB 8B D9 44 8B C2 81 F3 6E 74 65 6C 44 8B CA 41 8B D3 41 81 F0 69 6E 65 49 81 F2 47 65 6E 75 8B E8 44 0B C3 8D 47 01 44 0B C2 41 0F 94 C2 41 81 F3 41 75 74 68 41 81 F1 65 6E 74 69 45 0B D9 81 F1 63 41 4D 44 44 0B D9 40 0F 94 C6 33 C9 0F A2 44 8B D9 44 8B C8 89 5C 24 04 89 54 24 0C 45 84 D2 74 4F 8B D0 81 E2 F0 3F FF 0F 81 FA C0 06 01 00 74 2B 81 FA 60 06 02 00 74 23 81 FA 70 06 02 00 74 1B 81 C2 B0 F9 FC FF 83 FA 20 77 24 48 B9 01 00 01 00 01 00 00 00 48 0F A3 D1 73 14 44 8B 05 ?? ?? ?? ?? 41 83 C8 01 44 89 05 ?? ?? ?? ?? EB 07 44 8B 05 ?? ?? ?? ?? 40 84 F6 74 1B 41 81 E1 00 0F F0 0F 41 81 F9 00 0F 60 00 7C 0B 41 83 C8 04 44 89 05 ?? ?? ?? ?? B8 07 00 00 00 3B E8 7C 22 33 C9 0F A2 8B FB 89 04 24 89 4C 24 08 89 54 24 0C 0F BA E3 09 73 0B 41 83 C8 02 44 89 05 ?? ?? ?? ?? 41 0F BA E3 14 73 50 C7 05 ?? ?? ?? ?? 02 00 00 00 C7 05 ?? ?? ?? ?? 06 00 00 00 41 0F BA E3 1B 73 35 41 0F BA E3 1C 73 2E C7 05 ?? ?? ?? ?? 03 00 00 00 C7 05 ?? ?? ?? ?? 0E 00 00 00 40 F6 C7 20 74 14 C7 05 ?? ?? ?? ?? 05 00 00 00 C7 05 ?? ?? ?? ?? 2E 00 00 00 48 8B 5C 24 20 48 8B 6C 24 28 48 8B 74 24 30 33 C0 48 83 C4 10 5F C3 }
	condition:
		$1
}

rule file_963_0_0 {
	meta:
		name = "imaxdiv"
		size = 29
	strings:
		$1 = { 4C 8B CA 48 8B C2 48 99 49 F7 F8 48 89 01 49 0F AF C0 4C 2B C8 48 8B C1 4C 89 49 08 C3 }
	condition:
		$1
}

rule file_966_1_0 {
	meta:
		name = "_mbctohira_l"
		size = 55
		refs = "0009 _ismbckata_l"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 85 C0 74 1E 81 FB 93 83 00 00 77 16 81 FB 7F 83 00 00 73 08 81 C3 5F FF FF FF EB 06 81 C3 5E FF FF FF 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_969_0_0 {
	meta:
		name = "wcsspn"
		size = 65
	strings:
		$1 = { 44 0F B7 01 4C 8B D2 48 8B C1 66 45 85 C0 74 2A 4D 8B CA 66 45 39 02 74 17 41 0F B7 12 66 85 D2 74 18 49 83 C1 02 41 0F B7 11 66 41 3B D0 75 ED 48 83 C0 02 44 0F B7 00 EB D0 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_970_0_0 {
	meta:
		name = "__avx_acosf8"
		size = 576
		refs = "0036 __common_sacos_data 022b __common_sacos_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 B0 01 00 00 C5 7C 11 B4 24 F0 01 00 00 C5 FC 11 B4 24 D0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 4F 01 00 00 C5 FC 10 25 ?? ?? ?? ?? 49 83 E5 C0 C5 FC 10 0D ?? ?? ?? ?? C5 DC 56 E8 C5 D4 59 D9 C5 54 59 FD C5 54 C2 35 ?? ?? ?? ?? 12 C5 E4 58 D1 C5 84 5D CA C4 41 01 EF FF C5 DC 54 E0 C4 63 7D 19 F3 01 C5 89 6B F3 C4 41 49 63 F7 C5 FC 52 F2 C5 F4 C2 DA 15 C5 EC 58 D2 C4 C1 79 D7 D6 C5 4C 59 FE C5 6C 59 F6 C4 C1 6C 59 D7 C5 6C 5C 3D ?? ?? ?? ?? C5 84 59 35 ?? ?? ?? ?? C5 CC 58 15 ?? ?? ?? ?? C4 C1 0C 59 F7 C5 6C 59 FE C4 C1 0C 5C D7 C5 74 59 35 ?? ?? ?? ?? C4 E3 55 4A EA 30 C5 0C 58 3D ?? ?? ?? ?? C5 74 59 35 ?? ?? ?? ?? C5 8C 58 35 ?? ?? ?? ?? C5 74 59 F1 C4 41 04 59 FE C5 84 58 F6 C5 4C 59 F9 C5 04 58 35 ?? ?? ?? ?? C5 7C C2 F9 11 C5 0C 59 F1 C5 E4 54 0D ?? ?? ?? ?? C4 C1 74 54 F7 C5 E4 55 0D ?? ?? ?? ?? C5 74 58 FE C5 D4 57 CC C5 0C 59 F1 C5 8C 58 D1 C5 84 58 CA 84 D2 75 2F C5 FC 10 B4 24 D0 01 00 00 C5 7C 10 B4 24 F0 01 00 00 C5 7C 10 BC 24 B0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 C1 33 C0 C5 FC 11 BC 24 E0 00 00 00 C5 7C 11 84 24 C0 00 00 00 C5 7C 11 8C 24 A0 00 00 00 C5 7C 11 94 24 80 00 00 00 C5 7C 11 5C 24 60 C5 7C 11 64 24 40 C5 7C 11 6C 24 20 48 89 9C 24 08 01 00 00 8B D8 48 89 B4 24 00 01 00 00 8B F2 0F A3 DE 72 58 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 E0 00 00 00 C5 7C 10 84 24 C0 00 00 00 C5 7C 10 8C 24 A0 00 00 00 C5 7C 10 94 24 80 00 00 00 C5 7C 10 5C 24 60 C5 7C 10 64 24 40 C5 7C 10 6C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 08 01 00 00 48 8B B4 24 00 01 00 00 E9 18 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 94 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_971_0_0 {
	meta:
		name = "__initmbctable"
		size = 40
		refs = "0006 __mbctype_initialized 0013 _setmbcp"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 14 B9 FD FF FF FF E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_971_3_0 {
	meta:
		name = "?CPtoLocaleName@@YAPEB_WH@Z"
		size = 57
		refs = "001c _mb_locale_names"
	strings:
		$1 = { 81 E9 A4 03 00 00 74 29 83 E9 04 74 1C 83 E9 0D 74 0F FF C9 74 03 33 C0 C3 48 8B 05 ?? ?? ?? ?? C3 48 8B 05 ?? ?? ?? ?? C3 48 8B 05 ?? ?? ?? ?? C3 48 8B 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_971_5_0 {
	meta:
		name = "?getSystemCP@@YAHH@Z"
		size = 125
		refs = "0010 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0016 fSystemSet 002c __imp_GetOEMCP 0043 __imp_GetACP"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 83 25 ?? ?? ?? ?? 00 83 FB FE 75 12 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? EB 15 83 FB FD 75 14 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 8B D8 EB 17 83 FB FC 75 12 48 8B 44 24 20 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 58 04 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_971_6_0 {
	meta:
		name = "?setSBCS@@YAXPEAUthreadmbcinfostruct@@@Z"
		size = 142
		refs = "0029 memset 004c __initialmbcinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 59 18 48 8B F1 BD 01 01 00 00 48 8B CB 44 8B C5 33 D2 E8 ?? ?? ?? ?? 33 C0 48 8D 7E 0C 48 89 46 04 48 89 86 20 02 00 00 B9 06 00 00 00 0F B7 C0 66 F3 AB 48 8D 3D ?? ?? ?? ?? 48 2B FE 8A 04 1F 88 03 48 FF C3 48 FF CD 75 F3 48 8D 8E 19 01 00 00 BA 00 01 00 00 8A 04 39 88 01 48 FF C1 48 FF CA 75 F3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_971_7_0 {
	meta:
		name = "?setSBUpLow@@YAXPEAUthreadmbcinfostruct@@@Z"
		size = 481
		refs = "001d __security_cookie 0038 __imp_GetCPInfo 00b9 __crtGetStringTypeA 00ec __crtLCMapStringA 01c8 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8D AC 24 80 FB FF FF 48 81 EC 80 05 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 70 04 00 00 48 8B F9 8B 49 04 48 8D 54 24 50 FF 15 ?? ?? ?? ?? BB 00 01 00 00 85 C0 0F 84 35 01 00 00 33 C0 48 8D 4C 24 70 88 01 FF C0 48 FF C1 3B C3 72 F5 8A 44 24 56 C6 44 24 70 20 48 8D 54 24 56 EB 22 44 0F B6 42 01 0F B6 C8 EB 0D 3B CB 73 0E 8B C1 C6 44 0C 70 20 FF C1 41 3B C8 76 EE 48 83 C2 02 8A 02 84 C0 75 DA 8B 47 04 83 64 24 30 00 4C 8D 44 24 70 89 44 24 28 48 8D 85 70 02 00 00 44 8B CB BA 01 00 00 00 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 83 64 24 40 00 8B 47 04 48 8B 97 20 02 00 00 89 44 24 38 48 8D 45 70 89 5C 24 30 48 89 44 24 28 4C 8D 4C 24 70 44 8B C3 33 C9 89 5C 24 20 E8 ?? ?? ?? ?? 83 64 24 40 00 8B 47 04 48 8B 97 20 02 00 00 89 44 24 38 48 8D 85 70 01 00 00 89 5C 24 30 48 89 44 24 28 4C 8D 4C 24 70 41 B8 00 02 00 00 33 C9 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 45 70 4C 8D 8D 70 01 00 00 4C 2B C7 48 8D 95 70 02 00 00 48 8D 4F 19 4C 2B CF F6 02 01 74 0A 80 09 10 41 8A 44 08 E7 EB 0D F6 02 02 74 10 80 09 20 41 8A 44 09 E7 88 81 00 01 00 00 EB 07 C6 81 00 01 00 00 00 48 FF C1 48 83 C2 02 48 FF CB 75 C9 EB 3F 33 D2 48 8D 4F 19 44 8D 42 9F 41 8D 40 20 83 F8 19 77 08 80 09 10 8D 42 20 EB 0C 41 83 F8 19 77 0E 80 09 20 8D 42 E0 88 81 00 01 00 00 EB 07 C6 81 00 01 00 00 00 FF C2 48 FF C1 3B D3 72 C7 48 8B 8D 70 04 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 05 00 00 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_971_8_0 {
	meta:
		name = "__updatetmbcinfo"
		size = 186
		refs = "000b _getptd 0014 __globallocalestatus 0039 _lock 004d __ptmbcinfo 0060 __initialmbcinfo 006f free 009b _unlock 00a8 _amsg_exit"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B F8 8B 0D ?? ?? ?? ?? 85 88 C8 00 00 00 74 13 48 83 B8 C0 00 00 00 00 74 09 48 8B 98 B8 00 00 00 EB 6C B9 0D 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 9F B8 00 00 00 48 89 5C 24 30 48 3B 1D ?? ?? ?? ?? 74 42 48 85 DB 74 1B F0 FF 0B 75 16 48 8D 05 ?? ?? ?? ?? 48 8B 4C 24 30 48 3B C8 74 05 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 87 B8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 89 44 24 30 F0 FF 00 48 8B 5C 24 30 B9 0D 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 75 08 8D 4B 20 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_971_10_0 {
	meta:
		name = "_getmbcp"
		size = 58
		refs = "000c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 00 74 05 8B 40 04 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_971_11_0 {
	meta:
		name = "_setmbcp"
		size = 580
		refs = "0020 _getptd 0028 __updatetmbcinfo 0036 ?getSystemCP@@YAHH@Z 004c _malloc_crt 00d7 _setmbcp_nolock 00f0 __initialmbcinfo 0106 free 0123 __globallocalestatus 0136 _lock 0140 __mbcodepage 0149 __ismbcodepage 0157 __mblocalename 0160 __ImageBase 017a __mbulinfo 019b _mbctype 01bd _mbcasemap 01c8 __ptmbcinfo 01f5 _unlock 0215 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 8B F9 41 83 CF FF E8 ?? ?? ?? ?? 48 8B F0 E8 ?? ?? ?? ?? 48 8B 9E B8 00 00 00 8B CF E8 ?? ?? ?? ?? 44 8B F0 3B 43 04 0F 84 DB 01 00 00 B9 28 02 00 00 E8 ?? ?? ?? ?? 48 8B D8 33 FF 48 85 C0 0F 84 C8 01 00 00 48 8B 86 B8 00 00 00 48 8B CB 8D 57 04 44 8D 42 7C 0F 10 00 0F 11 01 0F 10 48 10 0F 11 49 10 0F 10 40 20 0F 11 41 20 0F 10 48 30 0F 11 49 30 0F 10 40 40 0F 11 41 40 0F 10 48 50 0F 11 49 50 0F 10 40 60 0F 11 41 60 49 03 C8 0F 10 48 70 0F 11 49 F0 49 03 C0 48 FF CA 75 B7 0F 10 00 0F 11 01 0F 10 48 10 0F 11 49 10 48 8B 40 20 48 89 41 20 89 3B 48 8B D3 41 8B CE E8 ?? ?? ?? ?? 44 8B F8 85 C0 0F 85 15 01 00 00 48 8B 8E B8 00 00 00 4C 8D 35 ?? ?? ?? ?? F0 FF 09 75 11 48 8B 8E B8 00 00 00 49 3B CE 74 05 E8 ?? ?? ?? ?? 48 89 9E B8 00 00 00 F0 FF 03 F6 86 C8 00 00 00 02 0F 85 05 01 00 00 F6 05 ?? ?? ?? ?? 01 0F 85 F8 00 00 00 BE 0D 00 00 00 8B CE E8 ?? ?? ?? ?? 90 8B 43 04 89 05 ?? ?? ?? ?? 8B 43 08 89 05 ?? ?? ?? ?? 48 8B 83 20 02 00 00 48 89 05 ?? ?? ?? ?? 8B D7 4C 8D 05 ?? ?? ?? ?? 89 54 24 20 83 FA 05 7D 15 48 63 CA 0F B7 44 4B 0C 66 41 89 84 48 ?? ?? ?? ?? FF C2 EB E2 8B D7 89 54 24 20 81 FA 01 01 00 00 7D 13 48 63 CA 8A 44 19 18 42 88 84 01 ?? ?? ?? ?? FF C2 EB E1 89 7C 24 20 81 FF 00 01 00 00 7D 16 48 63 CF 8A 84 19 19 01 00 00 42 88 84 01 ?? ?? ?? ?? FF C7 EB DE 48 8B 0D ?? ?? ?? ?? 83 C8 FF F0 0F C1 01 FF C8 75 11 48 8B 0D ?? ?? ?? ?? 49 3B CE 74 05 E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? F0 FF 03 8B CE E8 ?? ?? ?? ?? EB 2B 83 F8 FF 75 26 4C 8D 35 ?? ?? ?? ?? 49 3B DE 74 08 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 05 33 FF 44 8B FF 41 8B C7 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_971_13_0 {
	meta:
		name = "_setmbcp_nolock"
		size = 686
		refs = "0019 __security_cookie 0029 ?getSystemCP@@YAHH@Z 0039 ?setSBCS@@YAXPEAUthreadmbcinfostruct@@@Z 0045 __rgcode_page_info 007c __imp_IsValidCodePage 0091 __imp_GetCPInfo 00aa memset 013d _mb_locale_names 0182 fSystemSet 01b3 __rgctypeflag 0282 ?setSBUpLow@@YAXPEAUthreadmbcinfostruct@@@Z 0291 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 48 8B DA E8 ?? ?? ?? ?? 33 F6 8B F8 85 C0 75 0D 48 8B CB E8 ?? ?? ?? ?? E9 44 02 00 00 4C 8D 25 ?? ?? ?? ?? 8B EE 41 BF 01 00 00 00 49 8B C4 39 38 0F 84 38 01 00 00 41 03 EF 48 83 C0 30 83 FD 05 72 EC 8D 87 18 02 FF FF 41 3B C7 0F 86 15 01 00 00 0F B7 CF FF 15 ?? ?? ?? ?? 85 C0 0F 84 04 01 00 00 48 8D 54 24 20 8B CF FF 15 ?? ?? ?? ?? 85 C0 0F 84 E3 00 00 00 48 8D 4B 18 33 D2 41 B8 01 01 00 00 E8 ?? ?? ?? ?? 89 7B 04 48 89 B3 20 02 00 00 44 39 7C 24 20 0F 86 A6 00 00 00 48 8D 54 24 26 40 38 74 24 26 74 39 40 38 72 01 74 33 0F B6 7A 01 44 0F B6 02 44 3B C7 77 1D 41 8D 48 01 48 8D 43 18 48 03 C1 41 2B F8 41 8D 0C 3F 80 08 04 49 03 C7 49 2B CF 75 F5 48 83 C2 02 40 38 32 75 C7 48 8D 43 1A B9 FE 00 00 00 80 08 08 49 03 C7 49 2B CF 75 F5 8B 4B 04 81 E9 A4 03 00 00 74 2E 83 E9 04 74 20 83 E9 0D 74 12 FF C9 74 05 48 8B C6 EB 22 48 8B 05 ?? ?? ?? ?? EB 19 48 8B 05 ?? ?? ?? ?? EB 10 48 8B 05 ?? ?? ?? ?? EB 07 48 8B 05 ?? ?? ?? ?? 48 89 83 20 02 00 00 44 89 7B 08 EB 03 89 73 08 48 8D 7B 0C 0F B7 C6 B9 06 00 00 00 66 F3 AB E9 FE 00 00 00 39 35 ?? ?? ?? ?? 0F 85 A9 FE FF FF 83 C8 FF E9 F4 00 00 00 48 8D 4B 18 33 D2 41 B8 01 01 00 00 E8 ?? ?? ?? ?? 8B C5 4D 8D 4C 24 10 4C 8D 1C 40 4C 8D 35 ?? ?? ?? ?? BD 04 00 00 00 49 C1 E3 04 4D 03 CB 49 8B D1 41 38 31 74 40 40 38 72 01 74 3A 44 0F B6 02 0F B6 42 01 44 3B C0 77 24 45 8D 50 01 41 81 FA 01 01 00 00 73 17 41 8A 06 45 03 C7 41 08 44 1A 18 0F B6 42 01 45 03 D7 44 3B C0 76 E0 48 83 C2 02 40 38 32 75 C0 49 83 C1 08 4D 03 F7 49 2B EF 75 AC 89 7B 04 44 89 7B 08 81 EF A4 03 00 00 74 29 83 EF 04 74 1B 83 EF 0D 74 0D FF CF 75 22 48 8B 35 ?? ?? ?? ?? EB 19 48 8B 35 ?? ?? ?? ?? EB 10 48 8B 35 ?? ?? ?? ?? EB 07 48 8B 35 ?? ?? ?? ?? 4C 2B DB 48 89 B3 20 02 00 00 48 8D 4B 0C 4B 8D 3C 23 BA 06 00 00 00 0F B7 44 0F F8 66 89 01 48 8D 49 02 49 2B D7 75 EF 48 8B CB E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 40 49 8B 6B 48 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_972_0_0 {
	meta:
		name = "GetTableIndexFromLcid"
		size = 67
		refs = "0013 LcidToLocaleNameTable"
	strings:
		$1 = { 44 8B D1 45 33 C0 41 B9 E3 00 00 00 43 8D 04 01 4C 8D 1D ?? ?? ?? ?? 41 8B CA 99 2B C2 D1 F8 48 63 D0 48 C1 E2 04 42 2B 0C 1A 74 16 85 C9 79 06 44 8D 48 FF EB 04 44 8D 40 01 45 3B C1 7E CD 83 C8 FF C3 }
	condition:
		$1
}

rule file_972_1_0 {
	meta:
		name = "GetTableIndexFromLocaleName"
		size = 138
		refs = "0026 LocaleNameToIndexTable 0049 __wcsnicmp_ascii"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B E9 33 FF BE E3 00 00 00 4C 8D 35 ?? ?? ?? ?? 8D 04 3E 41 B8 55 00 00 00 48 8B CD 99 2B C2 D1 F8 48 63 D8 48 8B D3 48 03 D2 49 8B 14 D6 E8 ?? ?? ?? ?? 85 C0 74 13 79 05 8D 73 FF EB 03 8D 7B 01 3B FE 7E CB 83 C8 FF EB 0B 48 8B C3 48 03 C0 41 8B 44 C6 08 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_972_2_0 {
	meta:
		name = "__crtCompareStringEx"
		size = 143
		refs = "0013 encodedKERNEL32Functions 0020 __security_cookie 0053 __crtDownlevelLocaleNameToLCID 007b __imp_CompareStringW"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 50 4C 8B 15 ?? ?? ?? ?? 41 8B D9 49 8B F8 4C 33 15 ?? ?? ?? ?? 8B F2 74 2A 33 C0 49 89 43 E8 49 89 43 E0 49 89 43 D8 8B 84 24 88 00 00 00 89 44 24 28 48 8B 84 24 80 00 00 00 49 89 43 C8 41 FF D2 EB 2D E8 ?? ?? ?? ?? 44 8B CB 4C 8B C7 8B C8 8B 84 24 88 00 00 00 8B D6 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_972_12_0 {
	meta:
		name = "__crtLCMapStringEx"
		size = 143
		refs = "0013 encodedKERNEL32Functions 0020 __security_cookie 0053 __crtDownlevelLocaleNameToLCID 007b __imp_LCMapStringW"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 50 4C 8B 15 ?? ?? ?? ?? 41 8B D9 49 8B F8 4C 33 15 ?? ?? ?? ?? 8B F2 74 2A 33 C0 49 89 43 E8 49 89 43 E0 49 89 43 D8 8B 84 24 88 00 00 00 89 44 24 28 48 8B 84 24 80 00 00 00 49 89 43 C8 41 FF D2 EB 2D E8 ?? ?? ?? ?? 44 8B CB 4C 8B C7 8B C8 8B 84 24 88 00 00 00 8B D6 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_972_3_0 {
	meta:
		name = "__crtDownlevelLCIDToLocaleName"
		size = 175
		refs = "003e GetTableIndexFromLcid 004b LcidToLocaleNameTable 0060 wcsnlen 0079 wcscpy_s 00aa _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 63 D8 48 8B F2 F7 C1 FF F3 FF FF 75 08 81 F9 00 0C 00 00 75 0F 48 85 D2 75 05 45 85 C0 7F 05 45 85 C0 79 04 33 C0 EB 47 E8 ?? ?? ?? ?? 85 C0 78 F3 48 98 48 8D 2D ?? ?? ?? ?? BA 55 00 00 00 48 03 C0 48 8B 6C C5 00 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 85 DB 7E 16 3B C3 7D CA 48 8B D3 4C 8B C5 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 18 8D 47 01 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_972_4_0 {
	meta:
		name = "__crtDownlevelLocaleNameToLCID"
		size = 50
		refs = "000a GetTableIndexFromLocaleName 001f LcidToLocaleNameTable"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 22 E8 ?? ?? ?? ?? 85 C0 78 19 48 98 48 3D E4 00 00 00 73 0F 48 8D 0D ?? ?? ?? ?? 48 03 C0 8B 04 C1 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_972_6_0 {
	meta:
		name = "__crtEnumSystemLocalesEx"
		size = 68
		refs = "0007 encodedKERNEL32Functions 000e __security_cookie 0021 __crtCallProc 0028 __crtEnumLocalesProc 0033 __imp_EnumSystemLocalesW"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 0A 45 33 C9 48 83 C4 28 48 FF E0 48 89 0D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_972_7_0 {
	meta:
		name = "__crtGetDateFormatEx"
		size = 122
		refs = "0013 encodedKERNEL32Functions 0020 __security_cookie 0044 __crtDownlevelLocaleNameToLCID 0066 __imp_GetDateFormatW"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 40 4C 8B 15 ?? ?? ?? ?? 49 8B D9 49 8B F8 4C 33 15 ?? ?? ?? ?? 8B F2 74 1B 49 83 63 E8 00 8B 44 24 78 89 44 24 28 48 8B 44 24 70 49 89 43 D8 41 FF D2 EB 27 E8 ?? ?? ?? ?? 4C 8B CB 4C 8B C7 8B C8 8B 44 24 78 8B D6 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_972_8_0 {
	meta:
		name = "__crtGetLocaleInfoEx"
		size = 80
		refs = "0012 encodedKERNEL32Functions 001f __security_cookie 002c __crtDownlevelLocaleNameToLCID 003c __imp_GetLocaleInfoW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 41 8B D9 49 8B F8 48 33 05 ?? ?? ?? ?? 8B F2 74 04 FF D0 EB 15 E8 ?? ?? ?? ?? 44 8B CB 4C 8B C7 8B C8 8B D6 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_972_9_0 {
	meta:
		name = "__crtGetTimeFormatEx"
		size = 117
		refs = "0012 encodedKERNEL32Functions 001f __security_cookie 003f __crtDownlevelLocaleNameToLCID 0061 __imp_GetTimeFormatW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 4C 8B 15 ?? ?? ?? ?? 49 8B D9 49 8B F8 4C 33 15 ?? ?? ?? ?? 8B F2 74 17 8B 44 24 68 89 44 24 28 48 8B 44 24 60 48 89 44 24 20 41 FF D2 EB 27 E8 ?? ?? ?? ?? 4C 8B CB 4C 8B C7 8B C8 8B 44 24 68 8B D6 89 44 24 28 48 8B 44 24 60 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_972_10_0 {
	meta:
		name = "__crtGetUserDefaultLocaleName"
		size = 65
		refs = "000d encodedKERNEL32Functions 0019 __security_cookie 0025 __imp_GetUserDefaultLCID 0032 __crtDownlevelLCIDToLocaleName"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 33 05 ?? ?? ?? ?? 74 04 FF D0 EB 13 FF 15 ?? ?? ?? ?? 44 8B C3 48 8B D7 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_972_11_0 {
	meta:
		name = "__crtIsValidLocaleName"
		size = 50
		refs = "0007 encodedKERNEL32Functions 000e __security_cookie 001c __crtDownlevelLocaleNameToLCID 002e __imp_IsValidLocale"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 07 48 83 C4 28 48 FF E0 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C8 48 83 C4 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_972_13_0 {
	meta:
		name = "__wcsnicmp_ascii"
		size = 85
	strings:
		$1 = { 45 33 C9 4C 8B D2 4C 8B D9 4D 85 C0 74 43 4C 2B DA 43 0F B7 0C 13 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 41 0F B7 12 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 49 83 C2 02 49 FF C8 74 0A 66 85 C9 74 05 66 3B CA 74 CA 0F B7 C2 44 0F B7 C9 44 2B C8 41 8B C1 C3 }
	condition:
		$1
}

rule file_974_0_0 {
	meta:
		name = "_strnset"
		size = 24
	strings:
		$1 = { 48 8B C1 EB 0D 49 FF C8 80 39 00 74 0A 88 11 48 FF C1 4D 85 C0 75 EE C3 }
	condition:
		$1
}

rule file_975_0_0 {
	meta:
		name = "_force_raise"
		size = 44
		refs = "0009 table"
	strings:
		$1 = { 0F 57 C0 45 33 C0 48 8D 15 ?? ?? ?? ?? 85 4A F8 74 09 F2 0F 10 02 F2 0F 5E 42 08 41 FF C0 48 83 C2 18 49 63 C0 48 83 F8 05 72 E2 C3 }
	condition:
		$1
}

rule file_975_1_0 {
	meta:
		name = "feraiseexcept"
		size = 67
		refs = "0018 fegetexceptflag 0037 fesetexceptflag"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 83 E3 1F 74 2E 48 8D 4C 24 30 BA 1F 00 00 00 E8 ?? ?? ?? ?? 8B 4C 24 30 BA 1F 00 00 00 8B C1 F7 D0 23 C3 0B C8 89 4C 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_976_0_0 {
	meta:
		name = "_FSinh"
		size = 382
		refs = "0020 _fdtest 0054 __xmm@80000000800000008000000080000000 0069 _FRteps_C 007a __real@3f0c9f54 0094 __real@3af12b62 00a0 __real@3d7a00dc 00a8 __real@3dd854ec 00b8 __real@3f800000 00c9 _FXbig_C 00e3 _fdexp 00f0 __real@3e800000 014f _fperrraise 0157 _FNan_C"
	strings:
		$1 = { 48 89 5C 24 18 F3 0F 11 4C 24 10 F3 0F 11 44 24 08 55 56 57 48 8B EC 48 83 EC 20 48 8D 4D 20 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 F8 E8 ?? ?? ?? ?? 33 F6 66 3B F7 0F 8E E8 00 00 00 66 3B F0 0F 8E DF 00 00 00 F3 0F 10 5D 20 0F 57 C0 0F 2F C3 76 11 0F 57 1D ?? ?? ?? ?? 8D 5E 01 F3 0F 11 5D 20 EB 03 0F B7 DE F3 0F 10 05 ?? ?? ?? ?? 0F 2F C3 0F 87 86 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C3 76 42 0F 28 CB F3 0F 59 CB 0F 28 D1 0F 28 C1 F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C 05 ?? ?? ?? ?? F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 C1 F3 0F 58 D3 F3 0F 58 05 ?? ?? ?? ?? 0F 28 DA F3 0F 5E D8 EB 37 F3 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 20 0F 2F C3 76 29 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 5D 20 F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E C3 F3 0F 5C D8 F3 0F 59 5D 28 EB 0F F3 0F 10 4D 28 E8 ?? ?? ?? ?? F3 0F 10 5D 20 66 85 DB 74 07 0F 57 1D ?? ?? ?? ?? 0F 28 C3 EB 4E 66 83 FF 02 75 07 F3 0F 10 45 20 EB 41 66 83 F8 02 75 07 F3 0F 10 45 28 EB 34 BB 01 00 00 00 66 3B FB 75 16 66 85 C0 75 1B 8B CB E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 14 66 85 FF 75 05 66 3B C3 EB E3 F3 0F 10 45 20 F3 0F 59 45 28 48 8B 5C 24 50 48 83 C4 20 5F 5E 5D C3 }
	condition:
		$1
}

rule file_976_1_0 {
	meta:
		name = "csinhf"
		size = 278
		refs = "0015 crealf 0023 cimagf 0031 _fdtest 004b _FNan_C 006b _fperrraise 00b0 sinf 00c0 _FInf_C 00c5 cosf 00e3 _FCosh 00fd _FSinh 0105 _FCbuild"
	strings:
		$1 = { 48 89 4C 24 08 55 53 57 48 8B EC 48 83 EC 30 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4D 20 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 17 F3 0F 10 05 ?? ?? ?? ?? 66 85 C0 75 28 F3 0F 10 4D 28 E9 A6 00 00 00 BF 01 00 00 00 66 3B C7 75 2B 8B CF E8 ?? ?? ?? ?? 66 3B DF 76 10 F3 0F 10 05 ?? ?? ?? ?? 0F 28 C8 E9 80 00 00 00 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 45 30 EB 71 66 83 F8 02 74 D6 66 3B DF 75 32 66 85 C0 75 07 F3 0F 10 4D 28 EB E2 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 F3 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 59 45 30 EB 31 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 F0 F3 0F 10 45 28 E8 ?? ?? ?? ?? 0F 28 C8 F3 0F 10 45 30 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 30 5F 5B 5D C3 }
	condition:
		$1
}

rule file_980_7_0 {
	meta:
		name = "_input_s_l"
		size = 4399
		refs = "0022 __security_cookie 007f _errno 008a _invalid_parameter_noinfo 00a8 _fileno 00af __badioinfo 00b6 __pioinfo 0118 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0143 isspace 0160 _inc 017d _ungetc_nolock 01ff isdigit 0580 __check_float_string 0735 free 083c _cfltcvt_tab 0844 __imp_DecodePointer 0909 memset 0abb isleadbyte 0af5 _mbtowc_l 0d81 isxdigit 1110 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 80 FE FF FF 48 81 EC 80 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 70 01 00 00 45 33 ED 4C 8D 7D 10 4C 89 4D C0 49 8B D8 4C 8B F2 48 89 54 24 58 4C 89 7C 24 78 48 8B F1 48 89 4C 24 68 48 C7 45 B8 5E 01 00 00 44 89 6D 90 4C 89 6D 88 66 44 89 6D 94 41 8B FD 44 89 6C 24 3C 44 89 6C 24 44 4C 89 6D B0 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 6F 10 00 00 48 85 C9 74 E3 F6 41 18 40 41 BC 01 00 00 00 75 69 E8 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 63 D0 41 8D 4A 02 41 3B CC 76 17 49 8B D2 49 8B CA 83 E2 1F 48 C1 F9 05 4C 6B CA 58 4D 03 0C CB EB 03 4D 8B C8 41 F6 41 38 7F 75 97 41 8D 42 02 41 3B C4 76 15 49 8B CA 49 8B C2 83 E1 1F 48 C1 F8 05 4C 6B C1 58 4D 03 04 C3 41 F6 40 38 80 0F 85 6E FF FF FF 48 8D 4D D0 48 8B D3 E8 ?? ?? ?? ?? 41 8A 06 41 8B DD 44 88 6C 24 39 45 8B E5 44 89 6C 24 34 89 5C 24 70 84 C0 0F 84 B2 0F 00 00 41 83 CD FF 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 57 41 BF 01 00 00 00 45 2B E7 45 03 E7 48 8B CE 44 89 64 24 34 E8 ?? ?? ?? ?? 8B D8 41 3B C5 74 16 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 DD 48 8B D6 8B CB E8 ?? ?? ?? ?? 4D 03 F7 41 0F B6 0E E8 ?? ?? ?? ?? 85 C0 75 F0 48 8B 74 24 68 4C 89 74 24 58 33 DB E9 79 0E 00 00 41 80 3E 25 0F 85 FC 0D 00 00 41 80 7E 01 25 0F 84 E0 0D 00 00 4C 8B 64 24 58 41 B8 01 00 00 00 89 5C 24 64 44 88 44 24 38 88 5D 80 89 5C 24 50 89 5C 24 48 44 8B FB 48 89 5D A8 88 5C 24 60 88 5C 24 40 88 5C 24 30 40 8A F3 88 5D A4 44 8A F3 8B FB 4D 03 E0 41 0F B6 1C 24 8B CB E8 ?? ?? ?? ?? 45 33 C9 85 C0 74 17 47 8D 3C BF 45 8D 41 01 44 01 44 24 48 45 8D 7F E8 46 8D 3C 7B EB 6B 83 FB 2A 0F 84 17 01 00 00 83 FB 46 74 57 83 FB 49 0F 84 A9 00 00 00 83 FB 4C 0F 84 93 00 00 00 83 FB 4E 74 40 83 FB 68 74 33 41 B8 01 00 00 00 83 FB 6C 74 0A 83 FB 77 74 1E E9 D9 00 00 00 41 80 7C 24 01 6C 75 0C 49 FF C4 41 03 F8 4C 89 4D 88 EB 18 44 00 44 24 38 45 02 F0 EB 0E 44 00 6C 24 38 45 02 F5 41 B8 01 00 00 00 8A 54 24 30 40 84 F6 0F 84 5B FF FF FF 89 7C 24 74 8B 7C 24 3C 4C 89 64 24 58 44 8A 65 80 44 89 7C 24 4C 84 D2 0F 85 A0 00 00 00 48 8B 45 C0 48 89 45 B0 48 83 C0 08 48 89 45 C0 48 8B 40 F8 48 89 45 98 E9 87 00 00 00 41 B8 01 00 00 00 44 00 44 24 38 EB AB 41 8A 44 24 01 3C 36 75 17 41 80 7C 24 02 34 75 0F 49 83 C4 02 41 B8 01 00 00 00 E9 6A FF FF FF 3C 33 75 11 41 80 7C 24 02 32 75 09 49 83 C4 02 E9 70 FF FF FF 2C 58 3C 20 77 10 48 B9 01 10 82 00 01 00 00 00 48 0F A3 C1 72 CA 41 B8 01 00 00 00 4C 89 4D 88 41 03 F8 41 02 F0 E9 4B FF FF FF 8A 54 24 30 41 B8 01 00 00 00 41 02 D0 88 54 24 30 E9 39 FF FF FF 4C 89 4D 98 48 8B 4C 24 58 41 8A D9 45 84 F6 75 12 8A 01 2C 43 24 EF F6 D8 45 1A F6 41 80 E6 FE 45 02 F0 44 0F B6 39 41 83 CF 20 44 89 7D C8 41 83 FF 6E 74 6C 41 83 FF 63 74 41 41 83 FF 7B 74 3B 8B 74 24 34 4C 8B 7C 24 68 49 8B CF 41 03 F0 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 3B C5 74 12 0F B6 C8 E8 ?? ?? ?? ?? 41 B8 01 00 00 00 85 C0 75 D8 44 8B 7D C8 89 74 24 34 EB 15 48 8B 4C 24 68 44 01 44 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 3B FD 0F 84 33 03 00 00 8A 54 24 30 45 33 C9 8B 44 24 48 8B 74 24 4C 85 C0 74 08 85 F6 0F 84 1F 0C 00 00 84 D2 75 53 41 8D 47 9D A9 E7 FF FF FF 75 44 41 BA 01 00 00 00 41 83 FF 6B 0F 84 97 00 00 00 48 8B 45 B0 48 8B 08 48 83 C0 08 4C 8B C0 48 89 45 B0 48 83 C0 08 48 89 45 C0 8B 40 F8 48 89 4D 98 48 89 45 A8 49 3B C2 0F 82 EC 0B 00 00 8B 44 24 48 EB 0E 8B 44 24 48 41 BA 01 00 00 00 4C 8B 45 B0 41 83 FF 6F 0F 8F 07 04 00 00 0F 84 57 08 00 00 41 83 FF 63 0F 84 D5 03 00 00 41 83 FF 64 0F 84 43 08 00 00 0F 8E 15 04 00 00 41 83 FF 67 7E 44 41 83 FF 69 74 25 41 83 FF 6E 0F 85 FF 03 00 00 44 8B 64 24 34 41 8B C4 84 D2 0F 84 8B 0A 00 00 E9 98 0A 00 00 8B 44 24 48 EB A1 41 BF 64 00 00 00 83 FF 2D 0F 85 43 06 00 00 44 88 54 24 40 E9 3E 06 00 00 49 8B D9 83 FF 2D 75 0D 48 8B 44 24 78 49 8B DA 40 88 38 EB 05 83 FF 2B 75 23 4C 8B 7C 24 68 44 8B 64 24 34 41 2B F2 49 8B CF 45 03 E2 E8 ?? ?? ?? ?? 45 33 C9 8B F8 89 44 24 3C EB 0A 44 8B 64 24 34 4C 8B 7C 24 68 44 39 4C 24 48 40 0F B6 CF 41 0F 44 F5 89 74 24 4C E8 ?? ?? ?? ?? 33 D2 85 C0 74 67 44 8D 72 01 8B C6 41 2B F6 89 74 24 4C 85 C0 74 56 48 8B 44 24 78 44 01 74 24 50 4C 8D 4D 10 40 88 3C 03 48 8D 45 90 49 03 DE 4C 8D 44 24 78 48 8D 55 B8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 98 01 00 00 49 8B CF 45 03 E6 E8 ?? ?? ?? ?? 0F B6 C8 8B F8 89 44 24 3C E8 ?? ?? ?? ?? 33 D2 85 C0 75 9D 48 8B 45 D0 44 8B 74 24 4C 48 8B 88 F0 00 00 00 48 8B 01 B9 01 00 00 00 40 8A 30 40 3A F7 0F 85 B9 00 00 00 41 8B C6 44 2B F1 85 C0 0F 84 AB 00 00 00 44 03 E1 49 8B CF E8 ?? ?? ?? ?? 4C 8D 4D 10 4C 8D 44 24 78 8B F8 89 44 24 3C 48 8B 44 24 78 40 88 34 03 48 8D 45 90 48 FF C3 48 8D 55 B8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 04 01 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 33 D2 8D 4A 01 85 C0 74 56 41 8B C6 44 2B F1 85 C0 74 4C 48 8B 44 24 78 01 4C 24 50 4C 8D 4D 10 40 88 3C 03 48 03 D9 48 8D 45 90 4C 8D 44 24 78 48 8D 55 B8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 B2 00 00 00 49 8B CF 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 EB 9C 8B 74 24 50 85 F6 0F 84 5C 01 00 00 8D 47 BB A9 DF FF FF FF 0F 85 4E 01 00 00 41 8B C6 44 2B F1 85 C0 0F 84 40 01 00 00 48 8B 44 24 78 4C 8D 4D 10 4C 8D 44 24 78 C6 04 03 65 48 03 D9 48 8D 45 90 48 8D 55 B8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 46 49 8B CF 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 2D 75 6A 48 8B 44 24 78 4C 8D 4D 10 4C 8D 44 24 78 40 88 3C 03 48 8D 45 90 48 FF C3 48 8D 55 B8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 33 C9 85 C0 75 41 44 8B 7C 24 44 83 7D 90 01 75 0A 48 8B 4C 24 78 E8 ?? ?? ?? ?? 41 3B FD 0F 85 8A 09 00 00 8B 44 24 70 85 C0 75 0C 8A 4C 24 39 84 C9 0F 84 9A 09 00 00 44 8B E8 E9 92 09 00 00 83 F8 2B 75 27 33 C9 41 8B C6 BA 01 00 00 00 44 2B F2 85 C0 75 05 44 8B F1 EB 11 49 8B CF 44 03 E2 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 40 0F B6 CF EB 57 41 8B C6 BA 01 00 00 00 44 2B F2 85 C0 74 51 48 8B 44 24 78 03 F2 4C 8D 4D 10 40 88 3C 03 48 03 DA 48 8D 45 90 48 8D 55 B8 4C 8D 44 24 78 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 51 FF FF FF 49 8B CF 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A0 B8 01 00 00 00 44 2B E0 44 89 64 24 34 41 3B FD 74 0F 49 8B D7 8B CF E8 ?? ?? ?? ?? B8 01 00 00 00 45 33 C9 85 F6 0F 84 A8 08 00 00 44 38 4C 24 30 0F 85 33 07 00 00 48 8B 74 24 78 01 44 24 70 44 88 0C 33 0F BE 5C 24 38 48 8B 0D ?? ?? ?? ?? 2B D8 FF 15 ?? ?? ?? ?? 48 8B 55 98 4C 8D 4D D0 4C 8B C6 8B CB FF D0 E9 FE 06 00 00 85 C0 75 08 44 89 54 24 48 41 03 F2 45 84 F6 4C 8B 74 24 58 0F 8E 5F 01 00 00 45 8A E2 E9 5B 01 00 00 41 83 FF 70 0F 84 3E 04 00 00 41 83 FF 73 0F 84 8E 03 00 00 41 83 FF 75 0F 84 38 04 00 00 41 83 FF 78 0F 84 28 FC FF FF 41 83 FF 7B 74 2C 4C 8B 74 24 58 41 0F B6 06 3B C7 0F 85 A6 07 00 00 44 00 6C 24 39 44 8B 64 24 34 84 D2 0F 85 AC 06 00 00 4C 89 45 C0 E9 A3 06 00 00 8B 45 A4 45 84 F6 4C 8B 74 24 58 0F B6 C0 41 0F 4F C2 4D 03 F2 41 80 3E 5E 89 45 A4 75 08 49 FF C6 44 88 6C 24 60 33 D2 48 8D 4D F0 44 8D 42 20 E8 ?? ?? ?? ?? 41 80 3E 5D 41 BB 01 00 00 00 75 0A 41 B4 5D 4D 03 F3 C6 45 FB 20 45 33 C9 41 8A 06 3C 5D 0F 84 9B 00 00 00 4D 03 F3 3C 2D 75 72 45 84 E4 74 6D 41 8A 0E 80 F9 5D 74 65 4D 03 F3 44 3A E1 73 05 44 8A C9 EB 06 45 8A CC 44 8A E1 45 3A E1 73 27 45 0F B6 D4 41 0F B6 CC 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 45 02 E3 D2 E2 4D 03 D3 42 08 54 05 F0 45 3A E1 72 DD 41 0F B6 C1 45 0F B6 C1 41 8B D3 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 F0 45 33 C9 45 8A E1 E9 7C FF FF FF 44 0F B6 C0 44 8A E0 0F B6 C0 83 E0 07 41 8B D3 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 F0 E9 5A FF FF FF 45 38 0E 0F 84 4F FD FF FF 44 8B 65 A4 8B 4C 24 34 48 8B 5D 98 BA 01 00 00 00 2B CA 89 4C 24 34 41 3B FD 74 15 48 8B 54 24 68 8B CF E8 ?? ?? ?? ?? 8B 4C 24 34 BA 01 00 00 00 41 83 FF 63 74 04 48 29 55 A8 45 33 C9 44 39 4C 24 48 74 0C 8B C6 2B F2 85 C0 0F 84 5F 02 00 00 03 CA 89 4C 24 34 48 8B 4C 24 68 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 3C 41 3B FD 0F 84 1D 02 00 00 41 83 FF 63 74 42 41 83 FF 73 75 11 8D 47 F7 83 F8 04 0F 86 05 02 00 00 83 FF 20 75 2B 41 83 FF 7B 0F 85 F6 01 00 00 48 8B C7 8B D7 48 C1 F8 03 83 E2 07 0F BE 4C 05 F0 0F BE 44 24 60 33 C8 0F A3 D1 0F 83 D5 01 00 00 45 33 C9 44 38 4C 24 30 0F 85 B6 01 00 00 48 8B 45 A8 48 85 C0 0F 84 D6 05 00 00 45 84 E4 0F 84 84 01 00 00 40 0F B6 CF 40 88 7D A0 E8 ?? ?? ?? ?? 85 C0 74 11 48 8B 4C 24 68 FF 44 24 34 E8 ?? ?? ?? ?? 88 45 A1 B8 3F 00 00 00 4C 8D 4D D0 48 8D 55 A0 66 89 45 94 48 8B 45 D0 48 8D 4D 94 4C 63 80 D4 00 00 00 E8 ?? ?? ?? ?? 48 8B 55 98 0F B7 45 94 8B 4C 24 34 66 89 02 48 83 C2 02 48 89 55 98 BA 01 00 00 00 E9 F2 FE FF FF 83 FF 2B 75 10 41 2B F2 89 74 24 4C 75 65 85 C0 74 61 41 8A DA 4C 8B 64 24 68 44 8B 74 24 34 83 FF 30 0F 85 B3 01 00 00 41 FF C6 49 8B CC 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 C0 A8 A8 DF 74 7E B8 01 00 00 00 89 44 24 50 41 83 FF 78 74 44 45 33 C9 44 39 4C 24 48 74 0A 2B F0 89 74 24 4C 75 02 02 D8 41 BF 6F 00 00 00 E9 8B 00 00 00 44 8B 74 24 34 4C 8B 64 24 68 45 03 F2 49 8B CC 44 89 74 24 34 E8 ?? ?? ?? ?? 45 33 C9 8B F8 89 44 24 3C EB 87 44 2B F0 44 89 74 24 34 41 3B FD 74 0A 49 8B D4 8B CF E8 ?? ?? ?? ?? BF 30 00 00 00 45 8B E6 89 7C 24 3C 45 33 C9 E9 1D 01 00 00 41 BF 01 00 00 00 49 8B CC 45 03 F7 44 89 74 24 34 E8 ?? ?? ?? ?? 45 33 C9 8B F8 89 44 24 3C 44 39 4C 24 48 74 0F 83 EE 02 89 74 24 4C 41 3B F7 7D 03 41 02 DF 41 BF 78 00 00 00 45 8B E6 E9 DA 00 00 00 44 0F B6 65 A4 45 84 F6 4C 8B 74 24 58 45 0F 4F E2 E9 A3 FD FF FF 48 8B 4D 98 BA 01 00 00 00 40 88 39 48 03 CA 48 2B C2 48 89 45 A8 48 89 4D 98 EB 08 BA 01 00 00 00 48 03 DA 8B 4C 24 34 E9 B0 FD FF FF BA 01 00 00 00 29 54 24 34 41 3B FD 74 11 48 8B 54 24 68 8B CF E8 ?? ?? ?? ?? BA 01 00 00 00 45 33 C9 48 8B 45 98 48 3B D8 0F 84 92 FA FF FF 44 38 4C 24 30 0F 85 D9 02 00 00 01 54 24 70 41 83 FF 63 0F 84 CB 02 00 00 45 84 E4 44 8B 64 24 34 74 09 66 44 89 08 E9 BD 02 00 00 44 88 08 E9 B5 02 00 00 44 01 54 24 74 44 88 54 24 38 4C 89 4D 88 83 FF 2D 75 07 44 88 54 24 40 EB 05 83 FF 2B 75 10 41 2B F2 89 74 24 4C 75 61 85 C0 74 5D 41 8A DA 44 8B 64 24 34 44 39 4C 24 74 0F 84 26 01 00 00 48 8B 75 88 84 DB 0F 85 03 01 00 00 44 8B 74 24 4C 48 8B 5C 24 68 41 8D 47 90 A9 F7 FF FF FF 74 54 40 0F B6 CF E8 ?? ?? ?? ?? 45 33 C9 85 C0 0F 84 BC 00 00 00 41 83 FF 6F 75 31 83 FF 38 0F 8D AD 00 00 00 48 C1 E6 03 EB 65 44 8B 64 24 34 48 8B 4C 24 68 45 03 E2 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 64 FE FF FF 48 8D 34 B6 48 03 F6 EB 3A 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 45 33 C9 85 C0 74 6A 48 C1 65 88 04 8B CE 40 0F BE DF E8 ?? ?? ?? ?? 48 8B 75 88 8B FB 83 E7 DF 45 33 C9 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C 8D 47 D0 BA 01 00 00 00 01 54 24 50 48 63 C8 48 03 F1 48 89 75 88 44 39 4C 24 48 74 05 44 2B F2 74 3E 48 8B 5C 24 68 44 03 E2 48 8B CB 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 25 FF FF FF 41 FF CC 44 89 64 24 34 41 3B FD 74 0D 48 8B D3 8B CF E8 ?? ?? ?? ?? 45 33 C9 48 8B 75 88 44 38 4C 24 40 0F 84 06 01 00 00 48 F7 DE 48 89 75 88 E9 FA 00 00 00 8B 74 24 64 84 DB 0F 85 E1 00 00 00 44 8B 74 24 4C 48 8B 5C 24 68 41 8D 47 90 A9 F7 FF FF FF 74 30 40 0F B6 CF E8 ?? ?? ?? ?? 45 33 C9 85 C0 0F 84 9A 00 00 00 41 83 FF 6F 75 0E 83 FF 38 0F 8D 8B 00 00 00 C1 E6 03 EB 48 8D 04 B6 8D 34 00 EB 40 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 45 33 C9 85 C0 74 6C 8B 44 24 64 8B CE 40 0F BE DF C1 E0 04 89 44 24 64 E8 ?? ?? ?? ?? 8B 74 24 64 8B FB 45 33 C9 83 E7 DF 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C 83 C6 D0 B8 01 00 00 00 01 44 24 50 03 F7 89 74 24 64 44 39 4C 24 48 74 05 44 2B F0 74 3E 48 8B 5C 24 68 44 03 E0 48 8B CB 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 47 FF FF FF 41 FF CC 44 89 64 24 34 41 3B FD 74 0D 48 8B D3 8B CF E8 ?? ?? ?? ?? 45 33 C9 8B 74 24 64 44 38 4C 24 40 74 06 F7 DE 89 74 24 64 8B 44 24 50 41 83 FF 46 41 0F 44 C1 85 C0 0F 84 EB F7 FF FF 44 38 4C 24 30 75 1A FF 44 24 70 8B 44 24 64 48 8B 4D 98 44 39 4C 24 74 74 0E 48 8B 45 88 48 89 01 4C 8B 74 24 58 EB 1A 4C 8B 74 24 58 44 38 4C 24 38 74 04 89 01 EB 0A 66 89 01 EB 05 44 8B 64 24 34 48 8B 74 24 68 41 BF 01 00 00 00 44 00 7C 24 39 4D 03 F7 33 DB 4C 89 74 24 58 EB 6A 41 80 3E 25 75 0B 49 8D 46 01 80 38 25 4C 0F 44 F0 41 BF 01 00 00 00 48 8B CE 45 03 E7 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 0F B6 06 4D 03 F7 4C 89 74 24 58 3B C7 0F 85 DB 00 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 1C 48 8B CE E8 ?? ?? ?? ?? 41 0F B6 0E 4D 03 F7 4C 89 74 24 58 3B C8 0F 85 A3 00 00 }
	condition:
		$1
}

rule file_981_0_0 {
	meta:
		name = "_ftbuf"
		size = 55
		refs = "0019 _flush"
	strings:
		$1 = { 85 C9 74 32 53 48 83 EC 20 F7 42 18 00 10 00 00 48 8B DA 74 1C 48 8B CA E8 ?? ?? ?? ?? 81 63 18 FF EE FF FF 83 63 24 00 48 83 23 00 48 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_981_1_0 {
	meta:
		name = "_stbuf"
		size = 207
		refs = "0014 _fileno 001b _isatty 0028 __iob_func 004e _cflush 005e _stdbuf 0074 _malloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 41 56 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 95 00 00 00 E8 ?? ?? ?? ?? 48 83 C0 30 48 3B D8 75 04 33 C0 EB 13 E8 ?? ?? ?? ?? 48 83 C0 60 48 3B D8 75 75 B8 01 00 00 00 FF 05 ?? ?? ?? ?? F7 43 18 0C 01 00 00 75 61 4C 8D 35 ?? ?? ?? ?? 48 63 F8 49 8B 04 FE 48 85 C0 75 2B B9 00 10 00 00 E8 ?? ?? ?? ?? 49 89 04 FE 48 85 C0 75 18 48 8D 43 20 48 89 43 10 48 89 03 B8 02 00 00 00 89 43 24 89 43 08 EB 15 48 89 43 10 48 89 03 C7 43 24 00 10 00 00 C7 43 08 00 10 00 00 81 4B 18 02 11 00 00 B8 01 00 00 00 EB 02 33 C0 48 8B 5C 24 30 48 8B 7C 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_982_0_0 {
	meta:
		name = "??_L@YAXPEAX_KHP6AX0@Z2@Z"
		size = 103
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 48 89 48 08 57 41 56 41 57 48 83 EC 30 4D 8B F9 45 8B F0 48 8B F2 48 8B F9 33 DB 89 58 DC 89 58 D8 41 3B DE 7D 16 48 8B CF 41 FF D7 48 03 FE 48 89 7C 24 50 FF C3 89 5C 24 24 EB E5 C7 44 24 20 01 00 00 00 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_983_0_0 {
	meta:
		name = "_hypot"
		size = 610
		refs = "00c3 __real@a590000000000000 01b7 __real@7fefffffffffffff 01d9 ??_C@_06MEIMCGCF@_hypot?$AA@ 01fc _handle_error 0243 _set_statfp"
	strings:
		$1 = { 40 53 48 83 EC 50 F2 0F 11 44 24 68 48 B8 FF FF FF FF FF FF FF 7F 48 8B 4C 24 68 F2 0F 11 4C 24 68 4C 8B 44 24 68 48 23 C8 4C 23 C0 4C 8B C9 B8 FF 07 00 00 49 8B D0 49 C1 E9 34 48 C1 EA 34 4C 3B C8 0F 84 C8 01 00 00 48 3B D0 0F 84 BF 01 00 00 48 89 4C 24 68 41 8B C1 45 33 D2 F2 0F 10 54 24 68 4C 89 44 24 68 2B C2 F2 0F 10 5C 24 68 48 85 C9 75 08 0F 28 C3 E9 E0 01 00 00 4D 85 C0 75 08 0F 28 C2 E9 D3 01 00 00 83 C0 36 83 F8 6C 0F 87 72 01 00 00 B8 F3 05 00 00 4C 3B C8 0F 87 9C 00 00 00 48 3B D0 0F 87 93 00 00 00 B8 0B 02 00 00 4C 3B C8 72 09 48 3B D0 0F 83 AE 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 BB 00 00 00 00 00 00 90 25 41 BA A8 FD FF FF 49 BB 00 00 00 00 00 00 80 25 4D 85 C9 75 20 48 8D 04 19 48 89 44 24 68 F2 0F 10 54 24 68 F2 0F 58 D0 F2 0F 11 54 24 68 48 8B 44 24 68 EB 0E 49 03 CB 48 89 4C 24 68 F2 0F 10 54 24 68 48 85 D2 75 20 49 8D 04 18 48 89 44 24 68 F2 0F 10 5C 24 68 F2 0F 58 D8 F2 0F 11 5C 24 68 48 8B 44 24 68 EB 34 4B 8D 04 18 EB 23 48 BA 00 00 00 00 00 00 80 DA 41 BA 58 02 00 00 48 8D 04 11 48 89 44 24 68 49 8D 04 10 F2 0F 10 54 24 68 48 89 44 24 68 F2 0F 10 5C 24 68 0F 28 CA 0F 28 C3 49 63 C2 48 05 FF 03 00 00 48 C1 E0 34 F2 0F 59 CA F2 0F 59 C3 F2 0F 58 C8 F2 0F 11 4C 24 70 F2 0F 51 4C 24 70 F2 0F 11 4C 24 60 48 89 44 24 68 F2 0F 10 44 24 68 F2 0F 10 4C 24 60 F2 0F 59 C8 66 0F 2F 0D ?? ?? ?? ?? 76 45 C7 44 24 40 02 00 00 00 F2 0F 11 5C 24 38 F2 0F 11 54 24 30 BA 18 00 00 00 48 8D 0D ?? ?? ?? ?? 49 B8 00 00 00 00 00 00 F0 7F 44 8D 4A EB C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E8 ?? ?? ?? ?? EB 5A 0F 28 C1 EB 55 F2 0F 58 D3 E9 71 FE FF FF F2 0F 59 C0 F2 0F 59 C9 49 BA FF FF FF FF FF FF 0F 00 F2 0F 58 C1 F2 0F 11 44 24 60 4C 3B C8 75 05 49 85 CA 74 0A 48 3B D0 75 21 4D 85 C2 75 1C 33 C9 E8 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 F0 7F 48 89 44 24 68 F2 0F 10 44 24 68 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_983_1_0 {
	meta:
		name = "infinity_with_flags"
		size = 79
		refs = "0031 _set_statfp"
	strings:
		$1 = { 48 83 EC 28 33 C0 F6 C1 01 8D 50 08 0F 45 C2 F6 C1 02 74 03 83 C8 10 F6 C1 04 74 03 83 C8 04 84 CA 74 03 83 C8 01 F6 C1 10 74 03 83 C8 20 8B C8 E8 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 F0 7F 48 89 44 24 38 F2 0F 10 44 24 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_984_0_0 {
	meta:
		name = "_dxp_addh"
		size = 865
		refs = "003d _dunscale 0051 _dtest 007f _fperrraise 0087 _Nan_C 020b _d_int 0218 _dscale"
	strings:
		$1 = { F2 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 F6 F2 0F 11 55 D8 0F 29 74 24 30 48 63 F2 48 8B F9 85 D2 0F 84 14 03 00 00 48 8D 55 D8 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B F0 7D 68 66 83 F8 02 74 54 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 47 66 83 F8 02 0F 84 E4 02 00 00 0F B7 47 06 B9 00 80 00 00 66 33 45 5E 66 85 C1 0F 84 CE 02 00 00 41 8D 4E 01 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 07 83 FE 01 0F 8E B0 02 00 00 4C 89 77 08 E9 A7 02 00 00 F2 0F 10 45 58 F2 0F 11 07 E9 99 02 00 00 66 85 C0 0F 89 90 02 00 00 41 BC 00 08 00 00 41 8B DE 85 F6 0F 8E 7F 02 00 00 4D 8B FE 4C 8D 6F F8 0F 57 F6 4C 8B F7 F2 41 0F 10 06 48 8D 55 E0 48 8D 4D 50 F2 0F 11 45 E0 E8 ?? ?? ?? ?? 33 D2 66 3B D0 0F 8C 50 02 00 00 66 85 C0 0F 84 2E 02 00 00 0F BF 55 50 0F BF 45 48 F2 0F 10 4D 58 8B CA 2B C8 83 F9 E6 7F 5D 66 0F 2E CE 7A 02 74 55 8B CB 49 8B C7 48 FF C0 FF C1 48 3B C6 7D 0D F2 0F 10 04 C7 66 0F 2E C6 7A EB 75 E9 8D 46 FF 3B C8 7D 04 FF C1 EB 06 3B CE 75 02 FF C9 48 63 D1 4C 3B FA 7D 11 48 8B 44 D7 F8 48 89 04 D7 48 FF CA 49 3B D7 7F EF F2 41 0F 11 0E F2 0F 11 75 58 E9 B1 01 00 00 B8 1A 00 00 00 3B C8 7C 12 66 0F 2E CE 7A 02 74 0A 44 8B E2 FF C3 E9 8B 01 00 00 F2 41 0F 58 0E 66 0F 2E CE F2 41 0F 11 0E 7A 3C 75 3A 8B CB 49 8B C6 FF C1 48 8D 40 08 3B CE 7D 11 F2 0F 10 00 66 0F 2E C6 F2 0F 11 40 F8 7A E7 75 E5 48 83 64 F7 F8 00 F2 41 0F 10 06 66 0F 2E C6 0F 28 C8 7A 06 0F 84 6D 01 00 00 48 8D 55 58 48 8D 4D 48 F2 0F 11 4D 58 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4C 24 E6 3B CA 0F 8D 97 00 00 00 66 41 2B D4 48 8D 4D 58 66 83 C2 1A E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F2 41 0F 10 06 F2 0F 5C 45 58 66 0F 2E C6 F2 41 0F 11 06 7A 28 75 26 8B CB 49 8B C6 FF C1 48 8D 40 08 3B CE 7D 11 F2 0F 10 00 66 0F 2E C6 F2 0F 11 40 F8 7A E7 75 E5 48 83 64 F7 F8 00 49 FF CF 49 83 ED 08 49 83 EE 08 FF CB 75 0B 41 BC 00 08 00 00 E9 B2 00 00 00 F2 41 0F 10 45 00 48 8D 55 D8 48 8D 4D 50 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 44 0F BF 65 50 E9 90 00 00 00 44 8D 63 01 44 3B E6 0F 84 A6 00 00 00 F2 41 0F 10 06 48 63 C3 48 8D 4D 50 48 8D 1C C7 F2 0F 11 45 58 48 8B D3 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? 0F BF 45 50 F2 0F 10 45 58 F2 41 0F 10 0E 89 45 60 F2 0F 5C C1 66 0F 2E C6 F2 0F 11 45 58 7A 09 75 07 F2 0F 11 4D D8 EB 05 F2 0F 11 45 D8 48 8D 55 D8 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DC 44 8B 65 60 49 FF C7 49 83 C5 08 49 83 C6 08 3B DE 0F 8C A9 FD FF FF EB 19 F2 0F 10 45 58 8D 43 01 48 63 CB F2 0F 11 04 CF 3B C6 7D 05 48 89 54 CF 08 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_1356_0_0 {
	meta:
		name = "_ldxp_addh"
		size = 865
		refs = "003d _ldunscale 0051 _ldtest 007f _fperrraise 0087 _LNan_C 020b _ld_int 0218 _ldscale"
	strings:
		$1 = { F2 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 F6 F2 0F 11 55 D8 0F 29 74 24 30 48 63 F2 48 8B F9 85 D2 0F 84 14 03 00 00 48 8D 55 D8 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B F0 7D 68 66 83 F8 02 74 54 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 47 66 83 F8 02 0F 84 E4 02 00 00 0F B7 47 06 B9 00 80 00 00 66 33 45 5E 66 85 C1 0F 84 CE 02 00 00 41 8D 4E 01 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 07 83 FE 01 0F 8E B0 02 00 00 4C 89 77 08 E9 A7 02 00 00 F2 0F 10 45 58 F2 0F 11 07 E9 99 02 00 00 66 85 C0 0F 89 90 02 00 00 41 BC 00 08 00 00 41 8B DE 85 F6 0F 8E 7F 02 00 00 4D 8B FE 4C 8D 6F F8 0F 57 F6 4C 8B F7 F2 41 0F 10 06 48 8D 55 E0 48 8D 4D 50 F2 0F 11 45 E0 E8 ?? ?? ?? ?? 33 D2 66 3B D0 0F 8C 50 02 00 00 66 85 C0 0F 84 2E 02 00 00 0F BF 55 50 0F BF 45 48 F2 0F 10 4D 58 8B CA 2B C8 83 F9 E6 7F 5D 66 0F 2E CE 7A 02 74 55 8B CB 49 8B C7 48 FF C0 FF C1 48 3B C6 7D 0D F2 0F 10 04 C7 66 0F 2E C6 7A EB 75 E9 8D 46 FF 3B C8 7D 04 FF C1 EB 06 3B CE 75 02 FF C9 48 63 D1 4C 3B FA 7D 11 48 8B 44 D7 F8 48 89 04 D7 48 FF CA 49 3B D7 7F EF F2 41 0F 11 0E F2 0F 11 75 58 E9 B1 01 00 00 B8 1A 00 00 00 3B C8 7C 12 66 0F 2E CE 7A 02 74 0A 44 8B E2 FF C3 E9 8B 01 00 00 F2 41 0F 58 0E 66 0F 2E CE F2 41 0F 11 0E 7A 3C 75 3A 8B CB 49 8B C6 FF C1 48 8D 40 08 3B CE 7D 11 F2 0F 10 00 66 0F 2E C6 F2 0F 11 40 F8 7A E7 75 E5 48 83 64 F7 F8 00 F2 41 0F 10 06 66 0F 2E C6 0F 28 C8 7A 06 0F 84 6D 01 00 00 48 8D 55 58 48 8D 4D 48 F2 0F 11 4D 58 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4C 24 E6 3B CA 0F 8D 97 00 00 00 66 41 2B D4 48 8D 4D 58 66 83 C2 1A E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F2 41 0F 10 06 F2 0F 5C 45 58 66 0F 2E C6 F2 41 0F 11 06 7A 28 75 26 8B CB 49 8B C6 FF C1 48 8D 40 08 3B CE 7D 11 F2 0F 10 00 66 0F 2E C6 F2 0F 11 40 F8 7A E7 75 E5 48 83 64 F7 F8 00 49 FF CF 49 83 ED 08 49 83 EE 08 FF CB 75 0B 41 BC 00 08 00 00 E9 B2 00 00 00 F2 41 0F 10 45 00 48 8D 55 D8 48 8D 4D 50 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 44 0F BF 65 50 E9 90 00 00 00 44 8D 63 01 44 3B E6 0F 84 A6 00 00 00 F2 41 0F 10 06 48 63 C3 48 8D 4D 50 48 8D 1C C7 F2 0F 11 45 58 48 8B D3 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? 0F BF 45 50 F2 0F 10 45 58 F2 41 0F 10 0E 89 45 60 F2 0F 5C C1 66 0F 2E C6 F2 0F 11 45 58 7A 09 75 07 F2 0F 11 4D D8 EB 05 F2 0F 11 45 D8 48 8D 55 D8 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DC 44 8B 65 60 49 FF C7 49 83 C5 08 49 83 C6 08 3B DE 0F 8C A9 FD FF FF EB 19 F2 0F 10 45 58 8D 43 01 48 63 CB F2 0F 11 04 CF 3B C6 7D 05 48 89 54 CF 08 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_984_1_0 {
	meta:
		name = "_dxp_addx"
		size = 111
		refs = "0034 __real@0000000000000000 0043 _dxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 25 F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C DB 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_92_1_1 {
	meta:
		name = "_LXp_addx"
		size = 111
		refs = "0034 __real@0000000000000000 0043 _LXp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 25 F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C DB 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_53_1_1 {
	meta:
		name = "_Xp_addx"
		size = 111
		refs = "0034 __real@0000000000000000 0043 _Xp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 25 F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C DB 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1356_1_0 {
	meta:
		name = "_ldxp_addx"
		size = 111
		refs = "0034 __real@0000000000000000 0043 _ldxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 25 F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C DB 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_984_2_0 {
	meta:
		name = "_dxp_getw"
		size = 80
		altNames = "_ldxp_getw"
	strings:
		$1 = { 85 D2 75 04 0F 57 C0 C3 83 FA 01 74 3E F2 0F 10 11 0F 57 C0 66 0F 2E D0 7A 02 74 2F 83 FA 01 7E 0D F2 0F 10 49 08 66 0F 2E C8 7A 02 74 1D 83 FA 02 75 09 F2 0F 58 51 08 0F 28 C2 C3 F2 0F 10 41 10 F2 0F 58 41 08 F2 0F 58 C2 C3 F2 0F 10 01 C3 }
	condition:
		$1
}

rule file_984_3_0 {
	meta:
		name = "_dxp_invx"
		size = 330
		refs = "0035 _dtest 005b _Inf_C 0085 memcpy 008f __real@bff0000000000000 0097 _dxp_mulh 00ad __real@3ff0000000000000 00bb _dxp_setw 00e2 _dxp_mulx 00f4 _dxp_addh 0119 _dxp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 4D 8B F8 48 63 FA 48 8B D9 85 D2 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 2A 8D 75 01 66 3B C6 75 08 48 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 BB 00 00 00 F2 0F 10 33 4C 8B F7 48 8B D3 49 C1 E6 03 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? 8B D7 F2 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F2 0F 58 73 08 F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CB F2 0F 5E D6 E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 8B D7 49 8B CF F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_92_3_1 {
	meta:
		name = "_LXp_invx"
		size = 330
		refs = "0035 _LDtest 005b _LInf 0085 memcpy 008f __real@bff0000000000000 0097 _LXp_mulh 00ad __real@3ff0000000000000 00bb _LXp_setw 00e2 _LXp_mulx 00f4 _LXp_addh 0119 _LXp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 4D 8B F8 48 63 FA 48 8B D9 85 D2 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 2A 8D 75 01 66 3B C6 75 08 48 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 BB 00 00 00 F2 0F 10 33 4C 8B F7 48 8B D3 49 C1 E6 03 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? 8B D7 F2 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F2 0F 58 73 08 F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CB F2 0F 5E D6 E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 8B D7 49 8B CF F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_53_3_1 {
	meta:
		name = "_Xp_invx"
		size = 330
		refs = "0035 _Dtest 005b _Inf 0085 memcpy 008f __real@bff0000000000000 0097 _Xp_mulh 00ad __real@3ff0000000000000 00bb _Xp_setw 00e2 _Xp_mulx 00f4 _Xp_addh 0119 _Xp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 4D 8B F8 48 63 FA 48 8B D9 85 D2 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 2A 8D 75 01 66 3B C6 75 08 48 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 BB 00 00 00 F2 0F 10 33 4C 8B F7 48 8B D3 49 C1 E6 03 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? 8B D7 F2 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F2 0F 58 73 08 F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CB F2 0F 5E D6 E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 8B D7 49 8B CF F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1356_3_0 {
	meta:
		name = "_ldxp_invx"
		size = 330
		refs = "0035 _ldtest 005b _LInf_C 0085 memcpy 008f __real@bff0000000000000 0097 _ldxp_mulh 00ad __real@3ff0000000000000 00bb _ldxp_setw 00e2 _ldxp_mulx 00f4 _ldxp_addh 0119 _ldxp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 4D 8B F8 48 63 FA 48 8B D9 85 D2 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 2A 8D 75 01 66 3B C6 75 08 48 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 BB 00 00 00 F2 0F 10 33 4C 8B F7 48 8B D3 49 C1 E6 03 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? 8B D7 F2 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F2 0F 58 73 08 F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CB F2 0F 5E D6 E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 8B D7 49 8B CF F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 49 8B CF 4C 89 64 24 20 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 8B C3 48 8B 5C 24 60 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_984_4_0 {
	meta:
		name = "_dxp_ldexpx"
		size = 110
		refs = "0032 ldexp 003a __real@0000000000000000"
		altNames = "_LXp_ldexpx _Xp_ldexpx _ldxp_ldexpx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 45 8B F0 8B EA 48 8B F1 85 D2 7E 29 48 8B F9 F2 0F 10 07 41 8B D6 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? F2 0F 11 07 7A 02 74 0A FF C3 48 83 C7 08 3B DD 7C DA 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 8B C6 48 8B 74 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_984_5_0 {
	meta:
		name = "_dxp_movx"
		size = 36
		refs = "0017 memcpy"
		altNames = "_LXp_movx _Xp_movx _ldxp_movx"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4C 63 C2 48 8B D9 49 C1 E0 03 48 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_984_6_0 {
	meta:
		name = "_dxp_mulh"
		size = 486
		refs = "001f __security_cookie 004b _dtest 0066 _fperrraise 00d4 __real@0000000000000000 012d _dunscale 013b _d_int 0148 _dscale 0158 _dxp_addh 01c5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 0F 29 7C 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E8 45 33 E4 0F 28 FA 44 8B FA 48 8B F9 85 D2 7E 58 0F 28 C2 F2 0F 59 01 48 8D 4D C8 F2 0F 11 45 C8 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 C8 F2 0F 11 07 66 44 3B E6 0F 8D 3D 01 00 00 44 3B FB 0F 8E 34 01 00 00 4C 89 67 08 E9 2B 01 00 00 4C 89 27 BB 01 00 00 00 45 8B EC 44 8B F3 45 85 FF 0F 8E 14 01 00 00 49 8B C4 4C 8D 65 C8 8B F3 4C 2B E7 48 89 45 C0 41 83 FE 04 7D 4E 48 03 C6 48 8D 0C C7 43 8D 04 2E 41 3B C7 7D 30 F2 0F 10 01 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 20 48 83 21 00 F2 0F 59 C7 44 03 F3 48 03 F3 F2 41 0F 11 04 0C 48 83 C1 08 41 83 FE 04 7C C9 EB 0E 48 83 64 F5 C8 00 BE 08 00 00 00 44 8B F6 F2 0F 10 45 C8 66 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 9B 00 00 00 48 8D 55 B8 48 8D 4D B0 F2 0F 11 45 B8 E8 ?? ?? ?? ?? 48 8D 4D B8 BA 1A 00 00 00 E8 ?? ?? ?? ?? 0F BF 55 B0 48 8D 4D B8 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F2 0F 10 55 B8 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F2 0F 10 55 C8 F2 0F 5C 55 B8 E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 20 F2 0F 10 44 C5 C8 66 0F 2E 05 ?? ?? ?? ?? F2 0F 11 44 C5 C0 7A 02 74 08 48 03 C3 48 3B C6 7C E0 48 8B 45 C0 44 03 EB 49 83 EC 08 48 03 C3 44 2B F3 48 2B F3 48 89 45 C0 45 3B EF 0F 8C FC FE FF FF 48 8B C7 48 8B 4D E8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 0F 28 7C 24 60 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_92_6_1 {
	meta:
		name = "_LXp_mulh"
		size = 486
		refs = "001f __security_cookie 004b _LDtest 0066 _Feraise 00d4 __real@0000000000000000 012d _LDunscale 013b _LDint 0148 _LDscale 0158 _LXp_addh 01c5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 0F 29 7C 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E8 45 33 E4 0F 28 FA 44 8B FA 48 8B F9 85 D2 7E 58 0F 28 C2 F2 0F 59 01 48 8D 4D C8 F2 0F 11 45 C8 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 C8 F2 0F 11 07 66 44 3B E6 0F 8D 3D 01 00 00 44 3B FB 0F 8E 34 01 00 00 4C 89 67 08 E9 2B 01 00 00 4C 89 27 BB 01 00 00 00 45 8B EC 44 8B F3 45 85 FF 0F 8E 14 01 00 00 49 8B C4 4C 8D 65 C8 8B F3 4C 2B E7 48 89 45 C0 41 83 FE 04 7D 4E 48 03 C6 48 8D 0C C7 43 8D 04 2E 41 3B C7 7D 30 F2 0F 10 01 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 20 48 83 21 00 F2 0F 59 C7 44 03 F3 48 03 F3 F2 41 0F 11 04 0C 48 83 C1 08 41 83 FE 04 7C C9 EB 0E 48 83 64 F5 C8 00 BE 08 00 00 00 44 8B F6 F2 0F 10 45 C8 66 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 9B 00 00 00 48 8D 55 B8 48 8D 4D B0 F2 0F 11 45 B8 E8 ?? ?? ?? ?? 48 8D 4D B8 BA 1A 00 00 00 E8 ?? ?? ?? ?? 0F BF 55 B0 48 8D 4D B8 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F2 0F 10 55 B8 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F2 0F 10 55 C8 F2 0F 5C 55 B8 E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 20 F2 0F 10 44 C5 C8 66 0F 2E 05 ?? ?? ?? ?? F2 0F 11 44 C5 C0 7A 02 74 08 48 03 C3 48 3B C6 7C E0 48 8B 45 C0 44 03 EB 49 83 EC 08 48 03 C3 44 2B F3 48 2B F3 48 89 45 C0 45 3B EF 0F 8C FC FE FF FF 48 8B C7 48 8B 4D E8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 0F 28 7C 24 60 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_6_1 {
	meta:
		name = "_Xp_mulh"
		size = 486
		refs = "001f __security_cookie 004b _Dtest 0066 _Feraise 00d4 __real@0000000000000000 012d _Dunscale 013b _Dint 0148 _Dscale 0158 _Xp_addh 01c5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 0F 29 7C 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E8 45 33 E4 0F 28 FA 44 8B FA 48 8B F9 85 D2 7E 58 0F 28 C2 F2 0F 59 01 48 8D 4D C8 F2 0F 11 45 C8 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 C8 F2 0F 11 07 66 44 3B E6 0F 8D 3D 01 00 00 44 3B FB 0F 8E 34 01 00 00 4C 89 67 08 E9 2B 01 00 00 4C 89 27 BB 01 00 00 00 45 8B EC 44 8B F3 45 85 FF 0F 8E 14 01 00 00 49 8B C4 4C 8D 65 C8 8B F3 4C 2B E7 48 89 45 C0 41 83 FE 04 7D 4E 48 03 C6 48 8D 0C C7 43 8D 04 2E 41 3B C7 7D 30 F2 0F 10 01 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 20 48 83 21 00 F2 0F 59 C7 44 03 F3 48 03 F3 F2 41 0F 11 04 0C 48 83 C1 08 41 83 FE 04 7C C9 EB 0E 48 83 64 F5 C8 00 BE 08 00 00 00 44 8B F6 F2 0F 10 45 C8 66 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 9B 00 00 00 48 8D 55 B8 48 8D 4D B0 F2 0F 11 45 B8 E8 ?? ?? ?? ?? 48 8D 4D B8 BA 1A 00 00 00 E8 ?? ?? ?? ?? 0F BF 55 B0 48 8D 4D B8 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F2 0F 10 55 B8 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F2 0F 10 55 C8 F2 0F 5C 55 B8 E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 20 F2 0F 10 44 C5 C8 66 0F 2E 05 ?? ?? ?? ?? F2 0F 11 44 C5 C0 7A 02 74 08 48 03 C3 48 3B C6 7C E0 48 8B 45 C0 44 03 EB 49 83 EC 08 48 03 C3 44 2B F3 48 2B F3 48 89 45 C0 45 3B EF 0F 8C FC FE FF FF 48 8B C7 48 8B 4D E8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 0F 28 7C 24 60 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1356_6_0 {
	meta:
		name = "_ldxp_mulh"
		size = 486
		refs = "001f __security_cookie 004b _ldtest 0066 _fperrraise 00d4 __real@0000000000000000 012d _ldunscale 013b _ld_int 0148 _ldscale 0158 _ldxp_addh 01c5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 0F 29 7C 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E8 45 33 E4 0F 28 FA 44 8B FA 48 8B F9 85 D2 7E 58 0F 28 C2 F2 0F 59 01 48 8D 4D C8 F2 0F 11 45 C8 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 C8 F2 0F 11 07 66 44 3B E6 0F 8D 3D 01 00 00 44 3B FB 0F 8E 34 01 00 00 4C 89 67 08 E9 2B 01 00 00 4C 89 27 BB 01 00 00 00 45 8B EC 44 8B F3 45 85 FF 0F 8E 14 01 00 00 49 8B C4 4C 8D 65 C8 8B F3 4C 2B E7 48 89 45 C0 41 83 FE 04 7D 4E 48 03 C6 48 8D 0C C7 43 8D 04 2E 41 3B C7 7D 30 F2 0F 10 01 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 20 48 83 21 00 F2 0F 59 C7 44 03 F3 48 03 F3 F2 41 0F 11 04 0C 48 83 C1 08 41 83 FE 04 7C C9 EB 0E 48 83 64 F5 C8 00 BE 08 00 00 00 44 8B F6 F2 0F 10 45 C8 66 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 9B 00 00 00 48 8D 55 B8 48 8D 4D B0 F2 0F 11 45 B8 E8 ?? ?? ?? ?? 48 8D 4D B8 BA 1A 00 00 00 E8 ?? ?? ?? ?? 0F BF 55 B0 48 8D 4D B8 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F2 0F 10 55 B8 E8 ?? ?? ?? ?? 41 8B D7 48 8B CF F2 0F 10 55 C8 F2 0F 5C 55 B8 E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 20 F2 0F 10 44 C5 C8 66 0F 2E 05 ?? ?? ?? ?? F2 0F 11 44 C5 C0 7A 02 74 08 48 03 C3 48 3B C6 7C E0 48 8B 45 C0 44 03 EB 49 83 EC 08 48 03 C3 44 2B F3 48 2B F3 48 89 45 C0 45 3B EF 0F 8C FC FE FF FF 48 8B C7 48 8B 4D E8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 0F 28 7C 24 60 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_984_7_0 {
	meta:
		name = "_dxp_mulx"
		size = 257
		refs = "0042 __real@0000000000000000 005f _dxp_mulh 007f memcpy 00d5 _dxp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 B1 00 00 00 45 85 C9 0F 84 A8 00 00 00 F2 41 0F 10 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 12 F2 41 0F 10 40 08 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7C 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 C1 E7 03 49 8B CC 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 10 13 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 43 F2 42 0F 10 04 F3 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 8B D7 49 8B CD F2 42 0F 10 14 F3 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B8 48 8B 5C 24 50 48 8B 6C 24 58 48 8B C6 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_92_7_1 {
	meta:
		name = "_LXp_mulx"
		size = 257
		refs = "0042 __real@0000000000000000 005f _LXp_mulh 007f memcpy 00d5 _LXp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 B1 00 00 00 45 85 C9 0F 84 A8 00 00 00 F2 41 0F 10 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 12 F2 41 0F 10 40 08 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7C 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 C1 E7 03 49 8B CC 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 10 13 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 43 F2 42 0F 10 04 F3 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 8B D7 49 8B CD F2 42 0F 10 14 F3 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B8 48 8B 5C 24 50 48 8B 6C 24 58 48 8B C6 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_53_7_1 {
	meta:
		name = "_Xp_mulx"
		size = 257
		refs = "0042 __real@0000000000000000 005f _Xp_mulh 007f memcpy 00d5 _Xp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 B1 00 00 00 45 85 C9 0F 84 A8 00 00 00 F2 41 0F 10 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 12 F2 41 0F 10 40 08 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7C 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 C1 E7 03 49 8B CC 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 10 13 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 43 F2 42 0F 10 04 F3 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 8B D7 49 8B CD F2 42 0F 10 14 F3 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B8 48 8B 5C 24 50 48 8B 6C 24 58 48 8B C6 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1356_7_0 {
	meta:
		name = "_ldxp_mulx"
		size = 257
		refs = "0042 __real@0000000000000000 005f _ldxp_mulh 007f memcpy 00d5 _ldxp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 B1 00 00 00 45 85 C9 0F 84 A8 00 00 00 F2 41 0F 10 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 12 F2 41 0F 10 40 08 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7C 4C 8B 64 24 70 48 8B D1 4C 8B FF 49 C1 E7 03 49 8B CC 4D 8B C7 4F 8D 2C 27 E8 ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 10 13 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 EB 43 F2 42 0F 10 04 F3 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 36 4D 8B C7 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 8B D7 49 8B CD F2 42 0F 10 14 F3 E8 ?? ?? ?? ?? 44 8B CF 4D 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 FF C6 4C 3B F5 7C B8 48 8B 5C 24 50 48 8B 6C 24 58 48 8B C6 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_984_8_0 {
	meta:
		name = "_dxp_setw"
		size = 273
		refs = "003b _dunscale 006b _d_int 007a _dscale 009d __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 83 EC 30 33 ED 0F 29 70 D8 F2 0F 11 50 08 0F 28 F2 8B FA 48 8B D9 85 D2 0F 8E D3 00 00 00 83 FA 01 0F 84 C6 00 00 00 48 8D 50 08 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AA 00 00 00 66 3B E8 7D 13 F2 0F 10 44 24 50 48 89 6B 08 F2 0F 11 03 E9 9C 00 00 00 48 8D 4C 24 50 BA 1A 00 00 00 E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 73 08 F2 0F 10 44 24 50 F2 0F 5C F0 F2 0F 11 03 F2 0F 11 36 83 FF 02 7E 63 66 0F 2E 35 ?? ?? ?? ?? 7A 08 75 06 48 89 6B 10 EB 51 48 8D 4C 24 58 48 8B D6 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CE E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8B CE E8 ?? ?? ?? ?? F2 0F 5C 36 F2 0F 11 73 10 83 FF 03 7E 1C 66 0F 2E 35 ?? ?? ?? ?? 7A 02 74 10 48 89 6B 18 EB 0A F2 0F 10 74 24 50 F2 0F 11 33 0F 28 74 24 20 48 8B C3 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_92_9_1 {
	meta:
		name = "_LXp_setw"
		size = 273
		refs = "003b _LDunscale 006b _LDint 007a _LDscale 009d __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 83 EC 30 33 ED 0F 29 70 D8 F2 0F 11 50 08 0F 28 F2 8B FA 48 8B D9 85 D2 0F 8E D3 00 00 00 83 FA 01 0F 84 C6 00 00 00 48 8D 50 08 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AA 00 00 00 66 3B E8 7D 13 F2 0F 10 44 24 50 48 89 6B 08 F2 0F 11 03 E9 9C 00 00 00 48 8D 4C 24 50 BA 1A 00 00 00 E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 73 08 F2 0F 10 44 24 50 F2 0F 5C F0 F2 0F 11 03 F2 0F 11 36 83 FF 02 7E 63 66 0F 2E 35 ?? ?? ?? ?? 7A 08 75 06 48 89 6B 10 EB 51 48 8D 4C 24 58 48 8B D6 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CE E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8B CE E8 ?? ?? ?? ?? F2 0F 5C 36 F2 0F 11 73 10 83 FF 03 7E 1C 66 0F 2E 35 ?? ?? ?? ?? 7A 02 74 10 48 89 6B 18 EB 0A F2 0F 10 74 24 50 F2 0F 11 33 0F 28 74 24 20 48 8B C3 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_9_1 {
	meta:
		name = "_Xp_setw"
		size = 273
		refs = "003b _Dunscale 006b _Dint 007a _Dscale 009d __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 83 EC 30 33 ED 0F 29 70 D8 F2 0F 11 50 08 0F 28 F2 8B FA 48 8B D9 85 D2 0F 8E D3 00 00 00 83 FA 01 0F 84 C6 00 00 00 48 8D 50 08 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AA 00 00 00 66 3B E8 7D 13 F2 0F 10 44 24 50 48 89 6B 08 F2 0F 11 03 E9 9C 00 00 00 48 8D 4C 24 50 BA 1A 00 00 00 E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 73 08 F2 0F 10 44 24 50 F2 0F 5C F0 F2 0F 11 03 F2 0F 11 36 83 FF 02 7E 63 66 0F 2E 35 ?? ?? ?? ?? 7A 08 75 06 48 89 6B 10 EB 51 48 8D 4C 24 58 48 8B D6 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CE E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8B CE E8 ?? ?? ?? ?? F2 0F 5C 36 F2 0F 11 73 10 83 FF 03 7E 1C 66 0F 2E 35 ?? ?? ?? ?? 7A 02 74 10 48 89 6B 18 EB 0A F2 0F 10 74 24 50 F2 0F 11 33 0F 28 74 24 20 48 8B C3 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1356_8_0 {
	meta:
		name = "_ldxp_setw"
		size = 273
		refs = "003b _ldunscale 006b _ld_int 007a _ldscale 009d __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 83 EC 30 33 ED 0F 29 70 D8 F2 0F 11 50 08 0F 28 F2 8B FA 48 8B D9 85 D2 0F 8E D3 00 00 00 83 FA 01 0F 84 C6 00 00 00 48 8D 50 08 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AA 00 00 00 66 3B E8 7D 13 F2 0F 10 44 24 50 48 89 6B 08 F2 0F 11 03 E9 9C 00 00 00 48 8D 4C 24 50 BA 1A 00 00 00 E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 73 08 F2 0F 10 44 24 50 F2 0F 5C F0 F2 0F 11 03 F2 0F 11 36 83 FF 02 7E 63 66 0F 2E 35 ?? ?? ?? ?? 7A 08 75 06 48 89 6B 10 EB 51 48 8D 4C 24 58 48 8B D6 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CE E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8B CE E8 ?? ?? ?? ?? F2 0F 5C 36 F2 0F 11 73 10 83 FF 03 7E 1C 66 0F 2E 35 ?? ?? ?? ?? 7A 02 74 10 48 89 6B 18 EB 0A F2 0F 10 74 24 50 F2 0F 11 33 0F 28 74 24 20 48 8B C3 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_984_9_0 {
	meta:
		name = "_dxp_sqrtx"
		size = 351
		refs = "0031 _dtest 006c sqrt 0074 __real@3ff0000000000000 0082 _dxp_setw 009b memcpy 00a8 __real@bfe0000000000000 00ad _dxp_mulh 00c2 _dxp_mulx 00e1 __real@3ff8000000000000 00e9 _dxp_addh 012d _fperrraise 0135 _Nan_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 49 8B E8 48 63 FA 48 8B D9 85 D2 0F 84 0D 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E0 00 00 00 F2 0F 10 0B 66 0F 2F C1 0F 87 D8 00 00 00 4C 8B F7 49 C1 E6 03 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F2 0F 58 4B 08 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 5E D0 E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D7 48 8B CD F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 8B D7 F2 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 48 8B CE 4C 89 7C 24 20 E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 8B C6 8B D7 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? EB 1C 66 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_92_10_1 {
	meta:
		name = "_LXp_sqrtx"
		size = 351
		refs = "0031 _LDtest 006c sqrt 0074 __real@3ff0000000000000 0082 _LXp_setw 009b memcpy 00a8 __real@bfe0000000000000 00ad _LXp_mulh 00c2 _LXp_mulx 00e1 __real@3ff8000000000000 00e9 _LXp_addh 012d _Feraise 0135 _LNan"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 49 8B E8 48 63 FA 48 8B D9 85 D2 0F 84 0D 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E0 00 00 00 F2 0F 10 0B 66 0F 2F C1 0F 87 D8 00 00 00 4C 8B F7 49 C1 E6 03 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F2 0F 58 4B 08 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 5E D0 E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D7 48 8B CD F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 8B D7 F2 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 48 8B CE 4C 89 7C 24 20 E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 8B C6 8B D7 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? EB 1C 66 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_53_10_1 {
	meta:
		name = "_Xp_sqrtx"
		size = 351
		refs = "0031 _Dtest 006c sqrt 0074 __real@3ff0000000000000 0082 _Xp_setw 009b memcpy 00a8 __real@bfe0000000000000 00ad _Xp_mulh 00c2 _Xp_mulx 00e1 __real@3ff8000000000000 00e9 _Xp_addh 012d _Feraise 0135 _Nan"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 49 8B E8 48 63 FA 48 8B D9 85 D2 0F 84 0D 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E0 00 00 00 F2 0F 10 0B 66 0F 2F C1 0F 87 D8 00 00 00 4C 8B F7 49 C1 E6 03 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F2 0F 58 4B 08 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 5E D0 E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D7 48 8B CD F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 8B D7 F2 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 48 8B CE 4C 89 7C 24 20 E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 8B C6 8B D7 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? EB 1C 66 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1356_9_0 {
	meta:
		name = "_ldxp_sqrtx"
		size = 351
		refs = "0031 _ldtest 006c sqrt 0074 __real@3ff0000000000000 0082 _ldxp_setw 009b memcpy 00a8 __real@bfe0000000000000 00ad _ldxp_mulh 00c2 _ldxp_mulx 00e1 __real@3ff8000000000000 00e9 _ldxp_addh 012d _fperrraise 0135 _LNan_C"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 49 8B E8 48 63 FA 48 8B D9 85 D2 0F 84 0D 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E0 00 00 00 F2 0F 10 0B 66 0F 2F C1 0F 87 D8 00 00 00 4C 8B F7 49 C1 E6 03 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F2 0F 58 4B 08 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 5E D0 E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D7 48 8B CD F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 8B D7 F2 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 48 8B CE 4C 89 7C 24 20 E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 8B C6 8B D7 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? EB 1C 66 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_984_10_0 {
	meta:
		name = "_dxp_subx"
		size = 118
		refs = "0034 __real@0000000000000000 003f __xmm@80000000000000008000000000000000 004a _dxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2C F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C D4 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_92_11_1 {
	meta:
		name = "_LXp_subx"
		size = 118
		refs = "0034 __real@0000000000000000 003f __xmm@80000000000000008000000000000000 004a _LXp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2C F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C D4 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_53_11_1 {
	meta:
		name = "_Xp_subx"
		size = 118
		refs = "0034 __real@0000000000000000 003f __xmm@80000000000000008000000000000000 004a _Xp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2C F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C D4 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1356_10_0 {
	meta:
		name = "_ldxp_subx"
		size = 118
		refs = "0034 __real@0000000000000000 003f __xmm@80000000000000008000000000000000 004a _ldxp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2C F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C D4 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_984_11_0 {
	meta:
		name = "fma"
		size = 609
		refs = "0025 __security_cookie 0062 _dunscale 0138 _dscale 0148 _dxp_setw 0178 _dxp_mulh 0185 __real@0000000000000000 01bb _dxp_addx 01d8 _dxp_getw 0227 _fperrraise 022f _Nan_C 023b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 48 8D 68 A1 48 81 EC F0 00 00 00 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8D 55 8F 48 8D 4C 24 24 F2 0F 11 45 AF F2 0F 11 4D B7 F2 0F 11 55 97 F2 0F 11 45 8F F2 0F 11 4D A7 F2 0F 11 55 87 0F 28 FA 0F 28 F1 44 0F 28 C0 E8 ?? ?? ?? ?? BE 02 00 00 00 0F B7 F8 66 3B C6 75 09 41 0F 28 C0 E9 B7 01 00 00 48 8D 55 A7 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F B7 D8 66 3B C6 75 08 0F 28 C6 E9 99 01 00 00 48 8D 55 87 48 8D 4C 24 20 E8 ?? ?? ?? ?? 66 3B C6 75 08 0F 28 C7 E9 7E 01 00 00 B9 01 00 00 00 66 3B F9 0F 84 30 01 00 00 66 3B D9 0F 84 27 01 00 00 66 3B C1 74 DC 66 85 FF 0F 84 3E 01 00 00 66 85 DB 0F 84 35 01 00 00 66 85 C0 0F 84 2C 01 00 00 0F BF 44 24 24 0F B7 4C 24 20 0F BF 5C 24 28 03 D8 0F B7 45 B5 BA 00 80 00 00 66 33 45 BD 66 2B CB 66 33 45 9D 66 89 4C 24 20 66 85 C2 0F 84 F9 00 00 00 8D 04 0E BF 04 00 00 00 66 3B C7 0F 87 E8 00 00 00 0F BF D1 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 4D C7 8B D7 F2 0F 10 55 8F E8 ?? ?? ?? ?? 48 8D 4D 97 8B D6 F2 0F 10 55 A7 E8 ?? ?? ?? ?? 48 8D 4D B7 8B D6 F2 0F 10 55 87 E8 ?? ?? ?? ?? 48 8D 4D C7 8B D7 F2 0F 10 55 97 E8 ?? ?? ?? ?? F2 0F 10 45 9F 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 32 F2 0F 10 55 8F 48 8D 4D E7 8B D7 E8 ?? ?? ?? ?? 48 8D 4D E7 8B D7 F2 0F 10 55 9F E8 ?? ?? ?? ?? 4C 8D 45 E7 48 8D 4D C7 44 8B CF 8B D7 E8 ?? ?? ?? ?? 4C 8D 45 B7 48 8D 4D C7 44 8B CE 8B D7 E8 ?? ?? ?? ?? 48 8D 4D C7 8B D7 E8 ?? ?? ?? ?? 48 8D 4D 87 8B D3 F2 0F 11 45 87 E8 ?? ?? ?? ?? F2 0F 10 45 87 EB 40 66 85 FF 74 2E 66 85 DB 74 29 66 3B C1 75 16 0F B7 45 B5 BA 00 80 00 00 66 33 45 BD 66 33 45 9D 66 85 C2 75 0E F2 41 0F 59 F0 F2 0F 58 F7 E9 6C FE FF FF E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 00 00 00 49 8B 5B 38 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1356_11_0 {
	meta:
		name = "fmal"
		size = 609
		refs = "0025 __security_cookie 0062 _ldunscale 0138 _ldscale 0148 _ldxp_setw 0178 _ldxp_mulh 0185 __real@0000000000000000 01bb _ldxp_addx 01d8 _ldxp_getw 0227 _fperrraise 022f _LNan_C 023b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 20 55 56 57 48 8D 68 A1 48 81 EC F0 00 00 00 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8D 55 8F 48 8D 4C 24 24 F2 0F 11 45 AF F2 0F 11 4D B7 F2 0F 11 55 97 F2 0F 11 45 8F F2 0F 11 4D A7 F2 0F 11 55 87 0F 28 FA 0F 28 F1 44 0F 28 C0 E8 ?? ?? ?? ?? BE 02 00 00 00 0F B7 F8 66 3B C6 75 09 41 0F 28 C0 E9 B7 01 00 00 48 8D 55 A7 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F B7 D8 66 3B C6 75 08 0F 28 C6 E9 99 01 00 00 48 8D 55 87 48 8D 4C 24 20 E8 ?? ?? ?? ?? 66 3B C6 75 08 0F 28 C7 E9 7E 01 00 00 B9 01 00 00 00 66 3B F9 0F 84 30 01 00 00 66 3B D9 0F 84 27 01 00 00 66 3B C1 74 DC 66 85 FF 0F 84 3E 01 00 00 66 85 DB 0F 84 35 01 00 00 66 85 C0 0F 84 2C 01 00 00 0F BF 44 24 24 0F B7 4C 24 20 0F BF 5C 24 28 03 D8 0F B7 45 B5 BA 00 80 00 00 66 33 45 BD 66 2B CB 66 33 45 9D 66 89 4C 24 20 66 85 C2 0F 84 F9 00 00 00 8D 04 0E BF 04 00 00 00 66 3B C7 0F 87 E8 00 00 00 0F BF D1 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 4D C7 8B D7 F2 0F 10 55 8F E8 ?? ?? ?? ?? 48 8D 4D 97 8B D6 F2 0F 10 55 A7 E8 ?? ?? ?? ?? 48 8D 4D B7 8B D6 F2 0F 10 55 87 E8 ?? ?? ?? ?? 48 8D 4D C7 8B D7 F2 0F 10 55 97 E8 ?? ?? ?? ?? F2 0F 10 45 9F 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 32 F2 0F 10 55 8F 48 8D 4D E7 8B D7 E8 ?? ?? ?? ?? 48 8D 4D E7 8B D7 F2 0F 10 55 9F E8 ?? ?? ?? ?? 4C 8D 45 E7 48 8D 4D C7 44 8B CF 8B D7 E8 ?? ?? ?? ?? 4C 8D 45 B7 48 8D 4D C7 44 8B CE 8B D7 E8 ?? ?? ?? ?? 48 8D 4D C7 8B D7 E8 ?? ?? ?? ?? 48 8D 4D 87 8B D3 F2 0F 11 45 87 E8 ?? ?? ?? ?? F2 0F 10 45 87 EB 40 66 85 FF 74 2E 66 85 DB 74 29 66 3B C1 75 16 0F B7 45 B5 BA 00 80 00 00 66 33 45 BD 66 33 45 9D 66 85 C2 75 0E F2 41 0F 59 F0 F2 0F 58 F7 E9 6C FE FF FF E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 00 00 00 49 8B 5B 38 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_985_3_0 {
	meta:
		name = "_strnicoll"
		size = 21
		refs = "0002 __locale_changed 0009 _strnicmp 0011 _strnicoll_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 45 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_985_4_0 {
	meta:
		name = "_strnicoll_l"
		size = 256
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0040 _errno 004b _invalid_parameter_noinfo 0092 _strnicmp_l 00bd __crtCompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 60 48 8B E9 48 8B F2 48 8D 48 D8 49 8B D1 49 8B F8 E8 ?? ?? ?? ?? 48 85 FF 75 07 33 DB E9 A0 00 00 00 48 85 ED 74 05 48 85 F6 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BB FF FF FF 7F EB 7F BB FF FF FF 7F 48 3B FB 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 63 48 8B 44 24 40 48 8B 90 30 01 00 00 48 85 D2 75 17 4C 8D 4C 24 40 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 3B 8B 40 08 48 8D 4C 24 40 4C 8B CD 89 44 24 38 89 7C 24 30 41 B8 01 10 00 00 48 89 74 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 80 7C 24 58 00 74 0C 48 8B 44 24 50 83 A0 C8 00 00 00 FD 4C 8D 5C 24 60 8B C3 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_986_6_0 {
	meta:
		name = "__wstrgtold12_l"
		size = 2425
		refs = "001f __security_cookie 0065 _errno 0070 _invalid_parameter_noinfo 0570 __mtold12 05a9 _pow10pos 05be _pow10neg 095a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 8B 7D 7F 33 DB 44 89 4D 93 44 8D 4B 01 48 89 4D A7 48 89 55 97 4C 8D 55 DF 66 89 5D 8F 44 8B DB 44 89 4D 8B 44 8B E3 89 5D 87 44 8B EB 8B F3 44 8B F3 8B CB 4D 85 FF 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 D7 08 00 00 49 8B F8 66 41 83 38 20 77 1A 41 0F B7 00 48 BA 00 26 00 00 01 00 00 00 48 0F A3 C2 73 06 49 83 C0 02 EB DF B8 30 00 00 00 41 0F B7 10 49 83 C0 02 83 F9 05 0F 8F ED 02 00 00 0F 84 C4 02 00 00 44 8B C9 85 C9 0F 84 49 02 00 00 41 FF C9 0F 84 AC 01 00 00 41 FF C9 0F 84 43 01 00 00 41 FF C9 0F 84 99 00 00 00 41 FF C9 0F 85 F5 03 00 00 41 B9 01 00 00 00 45 8B E1 44 89 4D 87 41 8D 41 2F 45 85 DB 75 36 EB 0B 41 0F B7 10 45 2B F1 49 83 C0 02 66 3B D0 74 F0 EB 22 66 83 FA 39 77 21 41 83 FB 19 73 0E 2A D0 45 03 D9 41 88 12 4D 03 D1 45 2B F1 41 0F B7 10 49 83 C0 02 66 3B D0 73 D9 0F B7 CA 8D 41 D5 A9 FD FF FF FF 74 24 83 F9 43 0F 8E 9C 03 00 00 83 F9 45 7E 0C 8D 41 9C 41 3B C1 0F 87 8B 03 00 00 B9 06 00 00 00 E9 33 FF FF FF 49 83 E8 02 B9 0B 00 00 00 E9 25 FF FF FF B8 01 00 00 00 44 8B E0 44 8D 48 2F EB 25 66 83 FA 39 77 25 41 83 FB 19 73 0E 41 2A D1 44 03 D8 41 88 12 4C 03 D0 EB 03 44 03 F0 41 0F B7 10 49 83 C0 02 66 41 3B D1 73 D5 49 8B 07 44 0F B7 CA 48 8B 88 F0 00 00 00 48 8B 01 0F BE 08 44 3B C9 75 0D B9 04 00 00 00 4D 8B CC E9 C6 FE FF FF 41 8D 41 D5 A9 FD FF FF FF 74 2C 41 83 F9 43 7E 16 41 83 F9 45 7E 18 41 8D 41 9C 4D 8B CC 41 3B C1 0F 86 62 FF FF FF 4D 8B FC E9 45 03 00 00 4D 8B CC E9 52 FF FF FF 49 83 E8 02 B9 0B 00 00 00 EB B6 8D 42 CF B9 08 00 00 00 66 3B C1 77 19 B9 03 00 00 00 49 83 E8 02 B8 30 00 00 00 41 B9 01 00 00 00 E9 63 FE FF FF 49 8B 07 48 8B 88 F0 00 00 00 48 8B 01 0F BE 08 0F B7 C2 3B C1 75 07 B9 05 00 00 00 EB D2 B8 30 00 00 00 66 3B D0 0F 85 EA 01 00 00 41 B9 01 00 00 00 41 8B C9 E9 29 FE FF FF 41 B9 01 00 00 00 8D 42 CF 41 8D 49 07 45 8B E1 66 3B C1 77 0D 41 8D 49 02 49 83 E8 02 E9 02 FE FF FF 49 8B 07 44 0F B7 CA 48 8B 88 F0 00 00 00 48 8B 01 0F BE 08 44 3B C9 0F 84 12 FF FF FF 41 8D 41 D5 A9 FD FF FF FF 0F 84 47 FF FF FF B8 30 00 00 00 44 3B C8 74 34 41 83 F9 43 0F 8E 23 FF FF FF 41 83 F9 45 7E 1F 41 8D 41 9C 4D 8B CC 41 3B C1 0F 87 0D FF FF FF B8 30 00 00 00 B9 06 00 00 00 E9 A2 FD FF FF 4D 8B CC EB F1 4D 8B CC E9 64 FF FF FF 8D 42 CF B9 08 00 00 00 66 3B C1 0F 86 08 FF FF FF 49 8B 07 44 0F B7 CA 48 8B 88 F0 00 00 00 48 8B 01 0F BE 08 44 3B C9 0F 84 1B FF FF FF 41 83 F9 2B 74 2E 41 83 F9 2D 74 17 B8 30 00 00 00 44 3B C8 0F 84 16 FF FF FF 49 83 E8 02 E9 FA 00 00 00 B9 02 00 00 00 C7 45 8F 00 80 00 00 E9 C0 FE FF FF B9 02 00 00 00 66 89 5D 8F E9 B2 FE FF FF 66 2B D0 B9 09 00 00 00 44 89 4D 87 66 3B D1 0F 87 C3 00 00 00 B9 04 00 00 00 49 83 E8 02 E9 02 FD FF FF 44 8B C9 41 83 E9 06 0F 84 F8 00 00 00 41 FF C9 74 7E 41 FF C9 74 41 41 FF C9 0F 84 37 01 00 00 41 83 F9 02 0F 85 13 01 00 00 39 5D 77 74 86 0F B7 C2 49 8D 78 FE 83 F8 2B 74 13 83 F8 2D 75 75 83 4D 8B FF B9 07 00 00 00 E9 41 FE FF FF B9 07 00 00 00 E9 37 FE FF FF 41 B9 01 00 00 00 45 8B E9 41 8D 41 2F EB 08 41 0F B7 10 49 83 C0 02 66 3B D0 74 F3 66 83 EA 31 B9 08 00 00 00 66 3B D1 0F 87 C5 00 00 00 B9 09 00 00 00 E9 67 FF FF FF 8D 42 CF B9 08 00 00 00 66 3B C1 77 0A B9 09 00 00 00 E9 E4 FD FF FF B8 30 00 00 00 66 3B D0 0F 84 DF FD FF FF 4C 8B C7 41 BF 01 00 00 00 48 8B 45 97 4C 89 00 45 85 E4 0F 84 B8 04 00 00 41 83 FB 18 76 19 8A 45 F6 3C 05 7C 06 41 02 C7 88 45 F6 4D 2B D7 41 BB 18 00 00 00 45 03 F7 45 85 DB 0F 85 C4 00 00 00 0F B7 D3 0F B7 C3 8B FB 8B CB E9 90 04 00 00 8D 42 CF B9 08 00 00 00 49 8D 78 FC 66 3B C1 76 87 0F B7 C2 83 F8 2B 74 1A 83 F8 2D 0F 84 19 FF FF FF 44 8D 49 28 41 3B C1 75 85 41 8B C1 E9 5C FD FF FF B9 07 00 00 00 83 F9 0A 0F 84 72 FF FF FF E9 44 FD FF FF 49 83 E8 02 4D 8B F9 E9 67 FF FF FF 41 BF 01 00 00 00 45 8B EF 45 8D 4F 2F EB 22 66 83 FA 39 77 39 8D 34 B6 0F B7 C2 8D 76 E8 8D 34 70 81 FE 50 14 00 00 7F 10 41 0F B7 10 49 83 C0 02 66 41 3B D1 73 D8 EB 15 BE 51 14 00 00 EB 0E 66 83 FA 39 77 0E 41 0F B7 10 49 83 C0 02 66 41 3B D1 73 EC 49 83 E8 02 E9 0A FF FF FF 41 FF CB 45 03 F7 4D 2B D7 41 38 1A 74 F2 4C 8D 45 BF 48 8D 4D DF 41 8B D3 E8 ?? ?? ?? ?? 39 5D 8B 7D 02 F7 DE 41 03 F6 45 85 ED 75 03 03 75 67 39 5D 87 75 03 2B 75 6F 81 FE 50 14 00 00 0F 8F 78 03 00 00 81 FE B0 EB FF FF 0F 8C 5E 03 00 00 4C 8D 35 ?? ?? ?? ?? 49 83 EE 60 85 F6 0F 84 39 03 00 00 79 0D 4C 8D 35 ?? ?? ?? ?? F7 DE 49 83 EE 60 39 5D 93 75 04 66 89 5D BF 85 F6 0F 84 19 03 00 00 BF 00 00 00 80 41 B9 FF 7F 00 00 8B C6 49 83 C6 54 C1 FE 03 4C 89 75 9F 83 E0 07 0F 84 F0 02 00 00 48 98 41 BB 00 80 00 00 48 8D 0C 40 49 8D 14 8E 48 89 55 97 66 44 39 1A 72 25 8B 42 08 F2 0F 10 02 48 8D 55 CF 89 45 D7 F2 0F 11 45 CF 48 8B 45 CF 48 C1 E8 10 48 89 55 97 41 2B C7 89 45 D1 0F B7 42 0A 0F B7 4D C9 48 89 5D AF 44 0F B7 E0 66 41 23 C1 89 5D B7 66 44 33 E1 66 41 23 C9 66 45 23 E3 44 8D 04 01 66 41 3B C9 0F 83 6C 02 00 00 66 41 3B C1 0F 83 62 02 00 00 41 BA FD BF 00 00 66 45 3B C2 0F 87 52 02 00 00 41 BA BF 3F 00 00 66 45 3B C2 77 0C 48 89 5D C3 89 5D BF E9 4E 02 00 00 66 85 C9 75 20 66 45 03 C7 F7 45 C7 FF FF FF 7F 75 13 39 5D C3 75 0E 39 5D BF 75 09 66 89 5D C9 E9 29 02 00 00 66 85 C0 75 16 66 45 03 C7 F7 42 08 FF FF FF 7F 75 09 39 5A 04 75 04 39 1A 74 B4 44 8B EB 4C 8D 4D AF 41 BA 05 00 00 00 44 89 55 87 45 85 D2 7E 71 42 8D 04 6D 00 00 00 00 48 8D 7D BF 4C 8D 72 08 48 63 C8 41 8B C5 41 23 C7 48 03 F9 8B D0 41 0F B7 06 0F B7 0F 44 8B DB 0F AF C8 41 8B 01 44 8D 3C 08 44 3B F8 72 05 44 3B F9 73 06 41 BB 01 00 00 00 45 89 39 41 BF 01 00 00 00 45 85 DB 74 05 66 45 01 79 04 44 8B 5D 87 48 83 C7 02 49 83 EE 02 45 2B DF 44 89 5D 87 45 85 DB 7F B1 48 8B 55 97 45 2B D7 49 83 C1 02 45 03 EF 45 85 D2 0F 8F 73 FF FF FF 44 8B 55 B7 44 8B 4D AF B8 02 C0 00 00 66 44 03 C0 BF 00 00 00 80 41 BD FF FF 00 00 66 45 85 C0 7E 3F 44 85 D7 75 34 44 8B 5D B3 41 8B D1 45 03 D2 C1 EA 1F 45 03 C9 41 8B CB C1 E9 1F 43 8D 04 1B 66 45 03 C5 0B C2 44 0B D1 44 89 4D AF 89 45 B3 44 89 55 B7 66 45 85 C0 7F C7 66 45 85 C0 7F 6A 66 45 03 C5 79 64 41 0F B7 C0 8B FB 66 F7 D8 0F B7 D0 66 44 03 C2 44 84 7D AF 74 03 41 03 FF 44 8B 5D B3 41 8B C2 41 D1 E9 41 8B CB C1 E0 1F 41 D1 EB C1 E1 1F 44 0B D8 41 D1 EA 44 0B C9 44 89 5D B3 44 89 4D AF 49 2B D7 75 CB 85 FF 44 89 55 B7 BF 00 00 00 80 74 12 41 0F B7 C1 66 41 0B C7 66 89 45 AF 44 8B 4D AF EB 04 0F B7 45 AF 4C 8B 75 9F 41 BB 00 80 00 00 66 41 3B C3 77 10 41 81 E1 FF FF 01 00 41 81 F9 00 80 01 00 75 48 8B 45 B1 83 C9 FF 3B C1 75 38 8B 45 B5 89 5D B1 3B C1 75 22 0F B7 45 B9 89 5D B5 66 41 3B C5 75 0B 66 44 89 5D B9 66 45 03 C7 EB 10 66 41 03 C7 66 89 45 B9 EB 06 41 03 C7 89 45 B5 44 8B 55 B7 EB 06 41 03 C7 89 45 B1 41 B9 FF 7F 00 00 66 45 3B C1 73 1D 0F B7 45 B1 66 45 0B C4 44 89 55 C5 66 89 45 BF 8B 45 B3 66 44 89 45 C9 89 45 C1 EB 14 66 41 F7 DC 48 89 5D BF 1B C0 23 C7 05 00 80 FF 7F 89 45 C7 85 F6 0F 85 F2 FC FF FF 8B 45 C7 0F B7 55 BF 8B 4D C1 8B 7D C5 C1 E8 10 EB 33 8B D3 0F B7 C3 8B FB 8B CB 41 8B DF EB 25 8B CB 0F B7 D3 B8 FF 7F 00 00 BB 02 00 00 00 BF 00 00 00 80 EB 0F 0F B7 D3 0F B7 C3 8B FB 8B CB BB 04 00 00 00 4C 8B 45 A7 66 0B 45 8F 66 41 89 40 0A 8B C3 66 41 89 10 41 89 48 02 41 89 78 06 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_988_0_0 {
	meta:
		name = "__sse4_exp2"
		size = 720
		refs = "0012 s_dwInvLn 001a s_dwNegRS 002b s_dwLnHi 0033 s_dwBias 0062 s_dwLnLo 0076 s_dwExp2 0094 s_dwA4 00b3 s_dwA5 00d6 s_dwA3 00de s_dwA2 00f6 s_dwOne 01a2 iAbsMask 01ae dbB1 01c7 dbB2 024a dbInf"
	strings:
		$1 = { 48 83 EC 48 0F 29 7C 24 20 0F 29 74 24 30 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D8 66 0F C5 C8 03 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 58 D3 66 0F 3A 09 DB 00 66 0F 28 E8 66 0F 7E D0 81 E1 FF 7F 00 00 66 0F 59 E3 66 0F C5 D2 04 81 F9 86 40 00 00 66 0F 59 1D ?? ?? ?? ?? 66 0F FE CA 66 0F C5 C8 07 66 0F 5C C4 4C 8D 05 ?? ?? ?? ?? 0F 8D A0 00 00 00 81 E1 FF 7F 00 00 83 E0 3F 83 E2 3F 66 0F 5C C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 73 D1 06 F3 41 0F 7E 24 C0 81 F9 86 40 00 00 0F 8D 91 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 E8 66 0F 59 C0 66 0F 73 F1 34 66 41 0F 16 24 D0 66 0F 59 D0 66 0F 59 D8 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 59 C3 66 0F 59 D5 66 0F 58 C5 66 0F 58 15 ?? ?? ?? ?? 66 0F EB CC 66 0F 58 C2 66 0F 59 C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 66 66 66 0F 1F 84 00 00 00 00 00 83 E0 3F 83 E2 3F 66 0F 5C C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 73 D1 06 F3 41 0F 7E 24 C0 0F 1F 00 4C 8D 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 F8 66 0F 59 C0 66 0F 73 F1 34 66 41 0F 16 24 D0 66 0F 59 F0 66 0F 59 D8 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 F0 66 0F 59 C3 66 0F 59 F7 66 0F 58 C7 66 0F 58 35 ?? ?? ?? ?? 66 0F EB CC 66 0F 58 C6 66 0F 59 C8 66 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 66 0F C2 1D ?? ?? ?? ?? 01 66 0F DB CB 66 0F 28 35 ?? ?? ?? ?? 66 0F DB F5 66 0F C2 35 ?? ?? ?? ?? 01 66 0F DF DE 66 0F DB C3 66 0F DB D3 66 0F DB E3 66 0F C5 C5 03 66 0F C5 D5 07 C1 E8 0F C1 EA 0F 66 0F FE 15 ?? ?? ?? ?? 66 0F 73 D2 06 F3 41 0F 7E BC C0 00 02 00 00 66 41 0F 16 BC D0 00 02 00 00 66 0F FE D7 66 0F 73 F2 34 66 0F EB D4 66 0F 59 C2 F3 41 0F 7E BC C0 10 02 00 00 66 41 0F 16 BC D0 10 02 00 00 66 0F 59 C7 66 0F EB C1 66 0F 28 3D ?? ?? ?? ?? 66 0F DB FD 66 0F C2 3D ?? ?? ?? ?? 01 66 0F DF F7 F3 41 0F 7E 8C C0 20 02 00 00 66 41 0F 16 8C D0 20 02 00 00 66 0F DB CE 66 0F 28 35 ?? ?? ?? ?? 66 0F DB F5 66 0F C2 35 ?? ?? ?? ?? 00 F3 41 0F 7E BC C0 30 02 00 00 66 41 0F 16 BC D0 30 02 00 00 66 0F DB F7 66 0F EB CE 66 0F 28 35 ?? ?? ?? ?? 66 0F C2 F5 03 66 0F DB EE 66 0F EB CD 66 0F 59 C9 66 0F EB C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_991_1_0 {
	meta:
		name = "_wspawnve"
		size = 652
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0082 wcsrchr 00a7 wcschr 00b7 wcslen 00c6 _calloc_crt 00d9 ??_C@_15PCEAIKAA@?$AA?4?$AA?2?$AA?$AA@ 00e4 wcscpy_s 00fa wcscat_s 0133 _waccess_s 014c wcomexecmd 01a8 ext_strings 021d free 0247 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 4C 89 4C 24 20 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 4D 8B F1 4D 8B E0 48 8B EA 44 8B F9 48 8B FA 48 85 D2 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 44 39 2A 74 CE 4D 85 C0 74 C9 49 8B 00 48 85 C0 74 C1 66 44 39 28 74 BB BA 5C 00 00 00 48 8B CD E8 ?? ?? ?? ?? BA 2F 00 00 00 48 8B CD 48 8B F0 E8 ?? ?? ?? ?? 48 85 C0 75 71 48 85 F6 75 79 8D 50 3A 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 66 48 8B CD E8 ?? ?? ?? ?? 8D 56 02 48 8D 58 03 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 6E FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 5C 01 00 00 4C 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 31 01 00 00 48 8D 77 04 EB 0D 48 85 F6 74 05 48 3B C6 76 03 48 8B F0 48 83 CB FF 48 8B CE 8D 53 2F E8 ?? ?? ?? ?? 48 8B CF 48 85 C0 74 28 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 85 E2 00 00 00 4D 8B CE 4D 8B C4 48 8B D7 41 8B CF E8 ?? ?? ?? ?? 48 8B D8 E9 C9 00 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 4C 8D 70 05 49 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 48 8B C3 E9 CA FE FF FF 4C 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 E3 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 2C 46 E8 ?? ?? ?? ?? 4C 8D 3D ?? ?? ?? ?? 8B 00 89 44 24 78 49 8B C5 48 2B C6 48 D1 F8 4C 2B F0 4D 8B 07 49 8B D6 49 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 8D 00 00 00 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 48 8D 05 ?? ?? ?? ?? 49 83 EF 08 4C 3B F8 7D CC EB 25 E8 ?? ?? ?? ?? 8B 4C 24 78 4C 8B 8C 24 88 00 00 00 89 08 8B 4C 24 70 4D 8B C4 48 8B D6 E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 3B FD 0F 84 4C FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 3F FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_991_2_0 {
	meta:
		name = "wcomexecmd"
		size = 141
		refs = "001b _errno 0026 _invalid_parameter_noinfo 004b _wcenvarg 0064 _wdospawn 0071 free"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4D 8B D1 49 8B C0 48 8B DA 8B F9 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 52 48 85 C0 74 E5 48 89 54 24 20 4C 8D 4C 24 30 4C 8D 44 24 58 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 D6 4C 8B 4C 24 30 4C 8B 44 24 58 48 8B D3 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 58 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1003_2_0 {
	meta:
		name = "comexecmd"
		size = 141
		refs = "001b _errno 0026 _invalid_parameter_noinfo 004b _cenvarg 0064 _dospawn 0071 free"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4D 8B D1 49 8B C0 48 8B DA 8B F9 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 52 48 85 C0 74 E5 48 89 54 24 20 4C 8D 4C 24 30 4C 8D 44 24 58 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 D6 4C 8B 4C 24 30 4C 8B 44 24 58 48 8B D3 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 58 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_992_1_0 {
	meta:
		name = "_ftime64_s"
		size = 402
		refs = "0015 __security_cookie 0033 _errno 003d _invalid_parameter_noinfo 004f __security_check_cookie 0069 __tzset 0073 _get_timezone 00a1 __imp_GetSystemTimeAsFileTime 00c1 elapsed_minutes_cache 00ce __imp_GetTimeZoneInformation 00fe dstflag_cache 018d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 00 00 00 33 DB 48 8B F9 89 5C 24 30 48 85 C9 75 36 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 8C 24 F0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 FE 00 00 00 B8 89 88 88 88 48 8D 4C 24 38 F7 6C 24 30 03 54 24 30 C1 FA 05 8B C2 C1 E8 1F 03 D0 66 89 57 0A FF 15 ?? ?? ?? ?? 48 8B 4C 24 38 48 B8 A7 BE D7 05 C2 9E 10 E5 48 F7 E1 48 8B F2 48 C1 EE 1D 48 3B 35 ?? ?? ?? ?? 74 44 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 83 F8 FF 74 1D 83 F8 02 75 1B 66 39 9C 24 DA 00 00 00 74 11 39 9C 24 E8 00 00 00 74 08 8D 58 FF EB 03 83 CB FF 48 8B 4C 24 38 89 1D ?? ?? ?? ?? 48 89 35 ?? ?? ?? ?? EB 06 8B 1D ?? ?? ?? ?? 48 B8 4B 59 86 38 D6 C5 6D 34 66 89 5F 0C 48 F7 E1 48 B8 77 BE 9F 1A 2F DD 24 06 4C 8B C2 49 C1 E8 0B 49 F7 E0 49 8B C0 48 2B C2 48 D1 E8 48 03 C2 48 BA 00 80 C1 2A 21 4E 62 FE 48 C1 E8 09 48 03 D1 48 69 C0 E8 03 00 00 4C 2B C0 48 B8 BD 42 7A E5 D5 94 BF D6 66 44 89 47 08 48 F7 E2 48 C1 EA 17 33 C0 48 89 17 E9 C6 FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_993_3_0 {
	meta:
		name = "_woutput_l"
		size = 2710
		refs = "0022 __security_cookie 0070 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0075 _errno 0091 _invalid_parameter_noinfo 0109 __lookuptable 0231 __nullstring 0239 strlen 0296 _isleadbyte_l 0339 _mbtowc_l 03ed __wnullstring 0472 _get_printf_count_output 05f5 _malloc_crt 061c _cfltcvt_tab 0636 __imp_DecodePointer 072e write_multi_char 074b write_string 07c0 write_char 0849 free 0896 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 20 FC FF FF 48 81 EC E0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 D0 03 00 00 33 C0 48 8B F1 48 89 4C 24 70 48 89 55 88 48 8D 4D 90 49 8B D0 4D 8B E1 4C 89 4C 24 50 89 45 80 44 8B F0 89 44 24 58 8B F8 89 44 24 44 89 44 24 48 89 44 24 7C 89 44 24 78 8B D8 89 44 24 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 33 D2 48 89 45 B8 48 85 F6 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C9 38 4D A8 74 0B 48 8B 45 A0 83 A0 C8 00 00 00 FD 83 C8 FF E9 DC 07 00 00 4C 8B 45 88 4D 85 C0 74 CD 45 0F B7 38 41 8B F2 44 89 54 24 40 45 8B EA 41 8B D2 4C 89 55 B0 66 45 85 FF 0F 84 A0 07 00 00 41 BB 20 00 00 00 41 B9 00 02 00 00 49 83 C0 02 4C 89 45 88 85 F6 0F 88 84 07 00 00 41 0F B7 C7 B9 58 00 00 00 66 41 2B C3 66 3B C1 77 15 48 8D 0D ?? ?? ?? ?? 41 0F B7 C7 0F BE 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C2 48 63 C9 48 8D 14 C8 48 8D 05 ?? ?? ?? ?? 0F BE 14 02 C1 FA 04 89 54 24 68 8B CA 85 D2 0F 84 1A 08 00 00 FF C9 0F 84 22 09 00 00 FF C9 0F 84 BF 08 00 00 FF C9 0F 84 75 08 00 00 FF C9 0F 84 60 08 00 00 FF C9 0F 84 1D 08 00 00 FF C9 0F 84 41 07 00 00 FF C9 0F 85 EE 06 00 00 41 0F B7 CF 83 F9 64 0F 8F 0C 02 00 00 0F 84 0F 03 00 00 83 F9 41 0F 84 C9 01 00 00 83 F9 43 0F 84 4A 01 00 00 8D 41 BB A9 FD FF FF FF 0F 84 B2 01 00 00 83 F9 53 0F 84 8D 00 00 00 B8 58 00 00 00 3B C8 0F 84 59 02 00 00 83 F9 5A 74 17 83 F9 61 0F 84 9A 01 00 00 83 F9 63 0F 84 1B 01 00 00 E9 D2 00 00 00 49 8B 04 24 49 83 C4 08 4C 89 64 24 50 48 85 C0 74 3B 48 8B 58 08 48 85 DB 74 32 BF 2D 00 00 00 41 0F BA E6 0B 73 18 0F BF 00 C7 44 24 4C 01 00 00 00 99 2B C2 D1 F8 44 8B E8 E9 98 00 00 00 44 0F BF 28 44 89 54 24 4C E9 8A 00 00 00 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 4C 8B E8 EB 6E 41 F7 C6 30 08 00 00 75 03 45 0B F3 83 7C 24 44 FF 49 8B 1C 24 B8 FF FF FF 7F 0F 44 F8 49 83 C4 08 4C 89 64 24 50 45 84 F3 0F 84 6A 01 00 00 48 85 DB 45 8B EA 48 0F 44 1D ?? ?? ?? ?? 48 8B F3 85 FF 7E 26 44 38 16 74 21 0F B6 0E 48 8D 55 90 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 03 48 FF C6 41 FF C5 48 FF C6 44 3B EF 7C DA 8B 74 24 40 BF 2D 00 00 00 44 39 54 24 78 0F 85 73 05 00 00 41 F6 C6 40 0F 84 34 04 00 00 41 0F BA E6 08 0F 83 FB 03 00 00 66 89 7C 24 5C BF 01 00 00 00 89 7C 24 48 E9 1A 04 00 00 41 F7 C6 30 08 00 00 75 03 45 0B F3 41 0F B7 04 24 49 83 C4 08 C7 44 24 4C 01 00 00 00 4C 89 64 24 50 66 89 44 24 60 45 84 F3 74 37 88 44 24 64 48 8B 45 90 44 88 54 24 65 4C 63 80 D4 00 00 00 4C 8D 4D 90 48 8D 54 24 64 48 8D 4D D0 E8 ?? ?? ?? ?? 45 33 D2 85 C0 79 0E C7 44 24 78 01 00 00 00 EB 04 66 89 45 D0 48 8D 5D D0 41 BD 01 00 00 00 E9 52 FF FF FF C7 44 24 7C 01 00 00 00 66 45 03 FB B8 67 00 00 00 41 83 CE 40 48 8D 5D D0 41 8B F1 85 FF 0F 89 3D 02 00 00 41 BD 06 00 00 00 44 89 6C 24 44 E9 80 02 00 00 B8 67 00 00 00 3B C8 7E D4 83 F9 69 0F 84 F7 00 00 00 83 F9 6E 0F 84 B4 00 00 00 83 F9 6F 0F 84 95 00 00 00 83 F9 70 74 56 83 F9 73 0F 84 8A FE FF FF 83 F9 75 0F 84 D2 00 00 00 83 F9 78 0F 85 DA FE FF FF 8D 41 AF EB 45 48 85 DB C7 44 24 4C 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0C FF CF 66 44 39 10 74 08 48 83 C0 02 85 FF 75 F0 48 2B C3 48 D1 F8 44 8B E8 E9 9F FE FF FF BF 10 00 00 00 41 0F BA EE 0F B8 07 00 00 00 89 45 80 41 B9 10 00 00 00 41 BF 00 02 00 00 45 84 F6 79 77 41 8D 49 20 66 83 C0 51 8D 51 D2 66 89 4C 24 5C 66 89 44 24 5E EB 64 41 B9 08 00 00 00 45 84 F6 79 4F 41 BF 00 02 00 00 45 0B F7 EB 4A 49 8B 3C 24 49 83 C4 08 4C 89 64 24 50 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 04 FC FF FF 45 8D 5A 20 45 84 F3 74 05 66 89 37 EB 02 89 37 C7 44 24 78 01 00 00 00 E9 9E 03 00 00 41 83 CE 40 41 B9 0A 00 00 00 41 BF 00 02 00 00 8B 54 24 48 B8 00 80 00 00 44 85 F0 74 0A 4D 8B 04 24 49 83 C4 08 EB 3D 41 0F BA E6 0C 72 EF 49 83 C4 08 45 84 F3 74 1B 4C 89 64 24 50 41 F6 C6 40 74 08 4D 0F BF 44 24 F8 EB 1F 45 0F B7 44 24 F8 EB 17 41 F6 C6 40 74 07 4D 63 44 24 F8 EB 05 45 8B 44 24 F8 4C 89 64 24 50 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 44 85 F0 75 0A 41 0F BA E6 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0B 41 83 E6 F7 41 3B FF 41 0F 4F FF 8B 75 80 49 8B C0 48 8D 9D CF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 48 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 1F 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 02 03 C6 88 03 48 FF CB EB D4 8B 74 24 40 48 8D 85 CF 01 00 00 89 7C 24 44 2B C3 48 FF C3 44 8B E8 45 85 F7 0F 84 0F FD FF FF 85 C0 B8 30 00 00 00 74 08 38 03 0F 84 FE FC FF FF 48 FF CB 41 FF C5 88 03 E9 F1 FC FF FF 75 11 66 44 3B F8 75 41 41 BD 01 00 00 00 E9 B6 FD FF FF 41 3B F9 41 BD A3 00 00 00 41 0F 4F F9 89 7C 24 44 41 3B FD 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 B0 48 85 C0 0F 84 85 FD FF FF 48 8B D8 8B F7 44 8B 6C 24 44 EB 03 44 8B EF 49 8B 04 24 48 8B 0D ?? ?? ?? ?? 49 83 C4 08 4C 89 64 24 50 41 0F BE FF 48 63 F6 48 89 45 C0 FF 15 ?? ?? ?? ?? 48 8D 4D 90 48 89 4C 24 30 8B 4C 24 7C 44 8B CF 89 4C 24 28 48 8D 4D C0 4C 8B C6 48 8B D3 44 89 6C 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1B 45 85 ED 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 B9 67 00 00 00 66 44 3B F9 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 44 8B E8 E9 E5 FB FF FF 41 F6 C6 01 74 0F B8 2B 00 00 00 66 89 44 24 5C E9 F5 FB FF FF 41 F6 C6 02 74 13 B8 20 00 00 00 66 89 44 24 5C 8D 78 E1 89 7C 24 48 EB 09 8B 7C 24 48 B8 20 00 00 00 44 8B 7C 24 58 48 8B 74 24 70 45 2B FD 44 2B FF 41 F6 C6 0C 75 12 4C 8D 4C 24 40 8B C8 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 48 8B 45 B8 4C 8D 4C 24 40 48 8D 4C 24 5C 4C 8B C6 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 7C 24 70 41 F6 C6 08 74 1B 41 F6 C6 04 75 15 4C 8D 4C 24 40 B9 30 00 00 00 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? 33 C0 39 44 24 4C 75 70 45 85 ED 7E 6B 48 8B FB 41 8B F5 48 8B 45 90 4C 8D 4D 90 48 8D 4C 24 60 4C 63 80 D4 00 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 45 33 D2 4C 63 E0 85 C0 7E 2A 48 8B 54 24 70 0F B7 4C 24 60 4C 8D 44 24 40 E8 ?? ?? ?? ?? 49 03 FC 45 33 D2 85 F6 7F BA 4C 8B 64 24 50 48 8B 7C 24 70 EB 32 4C 8B 64 24 50 48 8B 7C 24 70 83 CE FF 89 74 24 40 EB 23 48 8B 45 B8 4C 8D 4C 24 40 4C 8B C7 41 8B D5 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 D2 8B 74 24 40 85 F6 78 22 41 F6 C6 04 74 1C 4C 8D 4C 24 40 B9 20 00 00 00 4C 8B C7 41 8B D7 E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 41 BB 20 00 00 00 48 8B 45 B0 48 85 C0 74 13 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 45 8D 5A 20 4C 89 55 B0 8B 7C 24 44 4C 8B 45 88 8B 54 24 68 41 B9 00 02 00 00 45 0F B7 38 66 45 85 FF 0F 85 6C F8 FF FF 44 38 55 A8 74 0B 48 8B 4D A0 83 A1 C8 00 00 00 FD 8B C6 48 8B 8D D0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 05 00 00 48 81 C4 E0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 0F B7 C7 83 F8 49 74 3C 83 F8 68 74 2F B9 6C 00 00 00 3B C1 74 0C 83 F8 77 75 99 41 0F BA EE 0B EB 92 66 41 39 08 75 0B 49 83 C0 02 41 0F BA EE 0C EB 81 41 83 CE 10 E9 78 FF FF FF 45 0B F3 E9 70 FF FF FF 41 0F B7 00 41 0F BA EE 0F 66 83 F8 36 75 16 66 41 83 78 02 34 75 0E 49 83 C0 04 41 0F BA EE 0F E9 4B FF FF FF 66 83 F8 33 75 16 66 41 83 78 02 32 75 0E 49 83 C0 04 41 0F BA F6 0F E9 2F FF FF FF 66 83 E8 58 66 41 3B C3 77 14 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 0F 82 11 FF FF FF 44 89 54 24 68 48 8B 54 24 70 4C 8D 44 24 40 41 0F B7 CF C7 44 24 4C 01 00 00 00 E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 45 8D 5A 20 E9 D3 FE FF FF 66 41 83 FF 2A 75 1E 41 8B 3C 24 49 83 C4 08 4C 89 64 24 50 89 7C 24 44 85 FF 0F 89 C1 FE FF FF 83 CF FF EB 0D 8D 3C BF 41 0F B7 C7 8D 7F E8 8D 3C 78 89 7C 24 44 E9 A6 FE FF FF 41 8B FA 44 89 54 24 44 E9 99 FE FF FF 66 41 83 FF 2A 75 21 41 8B 04 24 49 83 C4 08 4C 89 64 24 50 89 44 24 58 85 C0 0F 89 79 FE FF FF 41 83 CE 04 F7 D8 EB 11 8B 44 24 58 8D 0C 80 41 0F B7 C7 8D 04 48 83 C0 D0 89 44 24 58 E9 57 FE FF FF 41 0F B7 C7 41 3B C3 74 49 83 F8 23 74 3A B9 2B 00 00 00 3B C1 74 28 B9 2D 00 00 00 3B C1 74 16 B9 30 00 00 00 3B C1 0F 85 2A FE FF FF 41 83 CE 08 E9 21 FE FF FF 41 83 CE 04 E9 18 FE FF FF 41 83 CE 01 E9 0F FE FF FF 41 0F BA EE 07 E9 05 FE FF FF 41 83 CE 02 E9 FC FD FF FF 83 CF FF 44 89 54 24 7C 44 89 54 24 78 44 89 54 24 58 44 89 54 24 48 45 8B F2 89 7C 24 44 44 89 54 24 4C E9 D4 FD FF FF }
	condition:
		$1
}

rule file_995_0_0 {
	meta:
		name = "fputc"
		size = 272
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 0043 _lock_file 0056 _fileno 0064 __pioinfo 0085 __badioinfo 00f0 _flsbuf 00fa _unlock_file"
		altNames = "putc"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 54 24 10 57 48 83 EC 20 48 8B DA 8B F1 33 FF 33 C0 48 85 D2 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C1 00 00 00 48 8B CA E8 ?? ?? ?? ?? 90 F6 43 18 40 0F 85 80 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 24 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 85 FF 75 20 FF 4B 08 78 0F 48 8B 03 40 88 30 40 0F B6 FE 48 FF 03 EB 0C 48 8B D3 8B CE E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_996_0_0 {
	meta:
		name = "__common_dsinh_cout_rare"
		size = 2096
		refs = "006d _vmldSinhHATab 015a _2il0floatpacket_88"
	strings:
		$1 = { 41 54 48 81 EC E0 00 00 00 33 C0 4C 8B 09 4D 8B C1 49 C1 E8 30 F2 0F 10 11 41 81 E0 F0 7F 00 00 41 C1 E8 04 44 0F 29 7C 24 50 41 81 F8 FF 07 00 00 44 0F 29 74 24 60 44 0F 29 6C 24 70 44 0F 29 A4 24 80 00 00 00 44 0F 29 9C 24 90 00 00 00 44 0F 29 94 24 A0 00 00 00 44 0F 29 8C 24 B0 00 00 00 44 0F 29 84 24 C0 00 00 00 4C 8B 25 ?? ?? ?? ?? 4C 89 8C 24 D0 00 00 00 0F 84 A1 07 00 00 45 85 C0 0F 8E 6C 07 00 00 49 8B C9 48 C1 E9 38 4C 89 4C 24 38 83 E1 7F 88 4C 24 3F 41 81 F8 C9 03 00 00 0F 8E EB 06 00 00 F2 0F 10 44 24 38 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 BC 06 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 49 05 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 82 CE 04 00 00 F2 44 0F 10 2D ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F2 44 0F 59 E8 F2 44 0F 10 25 ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? 4C 89 64 24 48 49 C1 EC 30 F2 44 0F 58 2D ?? ?? ?? ?? F2 44 0F 11 6C 24 30 41 81 E4 0F 80 FF FF F2 44 0F 10 74 24 30 44 8B 44 24 30 45 8B D0 41 C1 EA 06 41 83 E0 3F 49 C1 E9 38 F2 44 0F 5C 35 ?? ?? ?? ?? F2 45 0F 59 E6 41 8D 8A FF 03 00 00 44 0F 57 35 ?? ?? ?? ?? 41 81 C2 FE 03 00 00 F2 44 0F 59 35 ?? ?? ?? ?? F2 41 0F 5C C4 44 0F 28 C8 0F 28 E8 41 81 E2 FF 07 00 00 F7 D9 41 C1 E2 04 83 C1 FC 45 0B E2 47 8D 14 00 81 E1 FF 07 00 00 66 44 89 64 24 4E 41 81 E4 0F 80 FF FF C1 E1 04 47 8D 44 00 01 44 0B E1 41 80 E1 80 F2 45 0F 58 CE F2 44 0F 11 4C 24 40 F2 44 0F 10 54 24 40 F2 41 0F 5C EA F2 0F 11 6C 24 20 F2 44 0F 10 5C 24 40 F2 44 0F 10 44 24 20 F2 45 0F 58 D8 F2 44 0F 11 5C 24 28 F2 44 0F 10 7C 24 20 F2 45 0F 58 F7 F2 44 0F 10 7C 24 48 F2 44 0F 11 74 24 20 F2 44 0F 10 5C 24 28 66 44 89 64 24 4E 4D 8B E3 F2 41 0F 5C C3 F2 0F 11 44 24 28 F2 44 0F 10 64 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 58 E5 F2 44 0F 11 64 24 28 F2 0F 10 6C 24 40 0F 28 D5 44 0F 28 DD F2 0F 59 D4 0F 28 CD F2 44 0F 59 DD F2 44 0F 10 44 24 28 F2 0F 11 54 24 40 F2 44 0F 10 4C 24 40 F2 43 0F 10 14 C3 4D 8B C3 F2 41 0F 59 D7 F2 44 0F 5C CD F2 44 0F 11 4C 24 20 F2 44 0F 10 0D ?? ?? ?? ?? F2 45 0F 59 CB F2 0F 10 5C 24 40 F2 44 0F 10 54 24 20 F2 41 0F 5C DA F2 44 0F 10 15 ?? ?? ?? ?? F2 45 0F 59 D3 F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 11 5C 24 40 F2 0F 10 44 24 40 F2 45 0F 59 CB F2 0F 5C C8 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 D3 F2 45 0F 59 CB F2 44 0F 59 D5 F2 43 0F 10 04 D3 41 F7 DA F2 0F 11 4C 24 20 F2 41 0F 59 C7 F2 44 0F 10 5C 24 48 41 8D 8A 80 00 00 00 41 81 C2 81 00 00 00 44 0F 28 F0 F2 44 0F 10 6C 24 40 F2 41 0F 10 0C CC F2 44 0F 10 64 24 20 F2 41 0F 59 CB F2 43 0F 10 1C D0 F2 44 0F 5C F1 F2 41 0F 59 DB F2 44 0F 11 74 24 40 44 0F 28 D8 F2 44 0F 10 7C 24 40 F2 45 0F 5C DF F2 44 0F 5C D9 F2 44 0F 11 5C 24 20 F2 44 0F 10 5C 24 40 F2 44 0F 10 74 24 20 45 0F 28 FB F2 44 0F 5C F3 F2 44 0F 58 F2 F2 0F 58 D3 F2 45 0F 58 FE F2 44 0F 11 7C 24 40 F2 44 0F 10 7C 24 40 F2 45 0F 5C DF 44 0F 28 F8 F2 44 0F 58 F9 F2 45 0F 58 DE F2 44 0F 11 5C 24 20 F2 44 0F 10 74 24 40 F2 44 0F 10 5C 24 20 F2 44 0F 11 7C 24 40 F2 44 0F 10 7C 24 40 F2 41 0F 5C C7 F2 0F 58 C1 F2 0F 11 44 24 20 F2 0F 10 4C 24 40 F2 0F 10 44 24 20 0F 28 D9 F2 0F 58 D0 F2 0F 58 DA F2 0F 11 5C 24 40 F2 0F 10 44 24 40 F2 0F 5C C8 F2 0F 58 CA F2 0F 11 4C 24 20 F2 0F 10 44 24 40 F2 0F 59 E0 0F 28 C8 F2 0F 10 5C 24 20 F2 0F 11 64 24 40 F2 0F 10 64 24 40 F2 0F 59 EB F2 0F 5C E0 F2 0F 11 64 24 20 F2 44 0F 10 7C 24 40 F2 0F 10 54 24 20 F2 44 0F 5C FA F2 44 0F 11 7C 24 40 45 0F 28 F8 F2 0F 10 64 24 40 F2 44 0F 59 FB F2 0F 5C CC F2 44 0F 59 C0 F2 0F 11 4C 24 20 0F 28 CB F2 41 0F 59 CA F2 44 0F 59 D0 F2 44 0F 58 F9 41 0F 28 CB F2 41 0F 59 C9 F2 45 0F 59 CE F2 44 0F 58 F9 F2 0F 10 54 24 40 41 0F 28 CC F2 0F 10 64 24 20 F2 44 0F 58 FD F2 0F 59 CC F2 41 0F 59 E5 F2 44 0F 59 EA F2 45 0F 58 F8 F2 44 0F 59 E2 F2 45 0F 58 DF 41 0F 28 EA 41 0F 28 D5 F2 41 0F 58 E9 F2 0F 11 6C 24 40 F2 44 0F 10 44 24 40 F2 45 0F 5C D0 F2 45 0F 58 D1 45 0F 28 CE F2 44 0F 11 54 24 20 F2 0F 10 5C 24 40 F2 0F 10 44 24 20 F2 0F 58 D3 F2 44 0F 58 D8 F2 0F 11 54 24 40 F2 44 0F 58 D9 F2 44 0F 58 DC F2 0F 10 64 24 40 F2 44 0F 5C EC F2 45 0F 58 DC F2 44 0F 58 EB F2 44 0F 11 6C 24 20 F2 44 0F 10 54 24 40 F2 0F 10 6C 24 20 F2 45 0F 58 CA F2 44 0F 58 DD F2 44 0F 11 4C 24 40 F2 44 0F 10 44 24 40 F2 45 0F 5C F0 F2 45 0F 58 F2 F2 44 0F 11 74 24 20 F2 44 0F 10 6C 24 40 F2 44 0F 10 64 24 20 F2 45 0F 58 DC F2 45 0F 58 DD F2 44 0F 11 5C 24 38 44 8A 5C 24 3F 41 80 E3 7F 45 0A D9 44 88 5C 24 3F 48 8B 4C 24 38 48 89 0A E9 FD 01 00 00 0F 28 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA 8A 8C 24 D7 00 00 00 80 E1 80 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D0 F2 0F 58 C2 F2 0F 11 44 24 38 44 8A 44 24 3F 41 80 E0 7F 44 0A C1 44 88 44 24 3F 4C 8B 4C 24 38 4C 89 0A E9 90 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 4C 89 64 24 48 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 4C 24 30 F2 0F 10 64 24 30 F2 0F 10 0D ?? ?? ?? ?? 8B 4C 24 30 44 8B D1 41 83 E2 3F F2 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D4 47 8D 04 12 F2 0F 59 E3 F2 0F 5C C2 47 8D 5C 12 01 F2 0F 5C C4 F2 0F 59 C8 C1 E9 06 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 81 C1 FE 03 00 00 81 E1 FF 07 00 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 81 F9 FE 07 00 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 59 C8 F2 0F 58 C8 F2 43 0F 10 04 C1 F2 0F 59 C8 4D 8B C1 F2 43 0F 58 0C D8 F2 0F 58 C8 77 29 49 C1 EC 30 C1 E1 04 41 81 E4 0F 80 FF FF 44 0B E1 66 44 89 64 24 4E F2 0F 10 44 24 48 F2 0F 59 C8 F2 0F 11 4C 24 38 EB 39 FF C9 81 E1 FF 07 00 00 44 0F B7 44 24 4E C1 E1 04 41 81 E0 0F 80 FF FF 44 0B C1 66 44 89 44 24 4E F2 0F 10 44 24 48 F2 0F 59 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 4C 24 38 44 8A 44 24 3F 8A 8C 24 D7 00 00 00 41 80 E0 7F 80 E1 80 44 0A C1 44 88 44 24 3F 4C 8B 4C 24 38 4C 89 0A EB 2F F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C2 F2 0F 11 02 EB 18 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 11 02 44 0F 28 84 24 C0 00 00 00 44 0F 28 8C 24 B0 00 00 00 44 0F 28 94 24 A0 00 00 00 44 0F 28 9C 24 90 00 00 00 44 0F 28 A4 24 80 00 00 00 44 0F 28 6C 24 70 44 0F 28 74 24 60 44 0F 28 7C 24 50 48 81 C4 E0 00 00 00 41 5C C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 11 54 24 40 F2 0F 10 4C 24 40 4C 89 64 24 48 F2 0F 58 8C 24 D0 00 00 00 F2 0F 11 0A EB 8B F2 0F 58 D2 F2 0F 11 12 EB 81 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_998_0_0 {
	meta:
		name = "__remainder_piby2f"
		size = 623
		refs = "0013 __security_cookie 0035 ?pibits@?1??__remainder_piby2f@@9@9 0246 __real@3ff921fb54442d18 0257 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 48 83 64 24 30 00 48 8B FA 4C 8B D9 4C 8B D1 49 C1 EB 34 48 8D 35 ?? ?? ?? ?? 48 B8 00 00 00 E0 FF FF 0F 00 41 81 E3 FF 07 00 00 49 BE FF FF FF FF 0F 00 00 00 4C 23 D0 41 81 EB FF 03 00 00 B8 39 8E E3 38 49 8B D8 49 BF 00 00 00 00 00 00 10 00 BD 01 00 00 00 41 F7 EB 44 8B CA 4D 0B D7 41 C1 F9 03 49 C1 EA 1D 41 8B C1 C1 E8 1F 44 03 C8 43 8D 04 C9 C1 E0 02 44 2B D8 41 8D 41 03 4C 63 C0 4A 8B 0C C6 4A 8B 54 C6 F8 49 0F AF D2 49 0F AF CA 48 8B C1 48 C1 E9 24 48 03 D1 4A 8B 4C C6 F0 49 23 C6 48 89 44 24 28 48 8B C2 48 C1 EA 24 49 0F AF CA 48 03 CA 49 23 C6 4C 8B C1 48 C1 E9 24 48 89 44 24 20 4D 23 C6 49 63 C1 44 8B CD 48 8B 14 C6 4C 89 44 24 18 49 0F AF D2 48 03 D1 B9 23 00 00 00 49 23 D6 41 2B CB 48 89 54 24 10 48 C1 E2 24 49 0B D0 48 D3 EA 83 E2 07 8B F2 23 F5 74 61 D1 FA 49 F7 D0 03 D5 83 E2 03 89 13 8D 5D 23 8B D5 8B CB 41 2B CB 48 D3 E2 48 2B D5 49 23 D0 41 B8 00 00 01 00 49 3B D0 73 27 4C 8D 54 24 18 48 8B C2 4D 8D 52 08 44 03 CD 49 8B 0A 48 C1 E0 24 48 F7 D1 49 23 CE 48 8B D1 48 0B D0 49 3B D0 72 DE 49 63 C1 4C 8B 44 C4 18 49 F7 D0 4D 23 C6 EB 45 D1 FA 89 13 BB 24 00 00 00 48 8B D5 8B CB 41 2B CB 48 D3 E2 48 2B D5 49 23 D0 41 B8 00 00 01 00 49 3B D0 73 18 48 8D 44 24 18 48 C1 E2 24 48 8D 40 08 44 03 CD 48 0B 10 49 3B D0 72 ED 49 63 C1 4C 8B 44 C4 18 45 33 D2 48 B8 00 00 00 00 00 40 00 00 EB 08 41 83 C2 06 48 C1 E2 06 48 3B D0 72 F3 EB 06 44 03 D5 48 03 D2 49 3B D7 72 F5 43 8D 04 C9 41 2B DA C1 E0 02 8A CB 44 2B D8 49 D3 E8 48 B9 FF FF FF FF FF FF 0F 00 45 2B DA 4C 0B C2 4C 23 C1 41 8D 43 34 48 98 48 05 FF 03 00 00 48 C1 E0 34 49 0B C0 85 F6 74 0D 48 B9 00 00 00 00 00 00 00 80 48 0B C1 48 89 04 24 F2 0F 10 04 24 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 07 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 70 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1002_2_0 {
	meta:
		name = "_spawnvpe"
		size = 749
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0083 _spawnve 00a9 _mbschr 00b9 ??_C@_04HBHDLLBA@PATH?$AA@ 00c5 _dupenv_s 00f1 _calloc_crt 0110 _getpath 012d strlen 0146 _mbsrchr 0152 ??_C@_01KICIPPFI@?2?$AA@ 015f strcat_s 01ec __doserrno 0278 free 02bc _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 83 60 C8 00 33 FF 4D 8B E1 4D 8B F0 48 8B F2 44 8B E9 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 41 02 00 00 40 38 3A 74 E2 4D 85 C0 74 DD 49 8B 00 48 85 C0 74 D5 40 38 38 74 D0 E8 ?? ?? ?? ?? 8B 18 89 5C 24 78 E8 ?? ?? ?? ?? 4D 8B CC 21 38 4D 8B C6 48 8B D6 41 8B CD E8 ?? ?? ?? ?? 48 8B E8 48 83 F8 FF 0F 85 CA 01 00 00 E8 ?? ?? ?? ?? 83 38 02 0F 85 BC 01 00 00 8D 55 30 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 A8 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 85 88 01 00 00 E9 D1 01 00 00 48 39 7C 24 30 0F 84 78 01 00 00 BA 01 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 5D 01 00 00 48 8B 4C 24 30 41 B8 03 01 00 00 48 8B D0 E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 84 3E 01 00 00 80 3F 00 0F 84 31 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 5F FF 48 03 D8 80 3B 5C 75 28 BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B D8 74 37 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? EB 21 80 3B 2F 74 1C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 3B 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 B0 00 00 00 4C 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 18 01 00 00 E8 ?? ?? ?? ?? 4D 8B CC 4D 8B C6 83 20 00 48 8B D7 41 8B CD E8 ?? ?? ?? ?? 48 8B E8 48 83 F8 FF 75 79 E8 ?? ?? ?? ?? 83 38 02 74 52 E8 ?? ?? ?? ?? 83 38 15 74 48 8D 55 5D 48 8B CF E8 ?? ?? ?? ?? 48 3B F8 74 10 8D 55 30 48 8B CF E8 ?? ?? ?? ?? 48 3B F8 75 45 48 8D 5F 01 BA 5C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B D8 74 12 BA 2F 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B D8 75 1D 41 B8 03 01 00 00 48 8B D7 49 8B CF E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 85 C6 FE FF FF 8B 5C 24 78 E8 ?? ?? ?? ?? 83 38 00 75 07 E8 ?? ?? ?? ?? 89 18 48 85 FF 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B C5 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 48 21 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1003_1_0 {
	meta:
		name = "_spawnve"
		size = 645
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0080 _mbsrchr 00a5 _mbschr 00b5 strlen 00c4 _calloc_crt 00d7 ??_C@_02CEGDFPFP@?4?2?$AA@ 00e2 strcpy_s 00f8 strcat_s 0131 _access_s 014a comexecmd 01af ext_strings 0216 free 0240 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 4C 89 4C 24 20 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 4D 8B F1 4D 8B F8 48 8B EA 44 8B E1 48 8B FA 48 85 D2 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 38 2A 74 CF 4D 85 C0 74 CA 49 8B 00 48 85 C0 74 C2 44 38 28 74 BD BA 5C 00 00 00 48 8B CD E8 ?? ?? ?? ?? BA 2F 00 00 00 48 8B CD 48 8B F0 E8 ?? ?? ?? ?? 48 85 C0 75 71 48 85 F6 75 79 8D 50 3A 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 66 48 8B CD E8 ?? ?? ?? ?? 8D 56 01 48 8D 58 03 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 70 FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 57 01 00 00 4C 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 2C 01 00 00 48 8D 77 02 EB 0D 48 85 F6 74 05 48 3B C6 76 03 48 8B F0 48 83 CB FF 48 8B CE 8D 53 2F E8 ?? ?? ?? ?? 48 8B CF 48 85 C0 74 28 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 85 DD 00 00 00 4D 8B CE 4D 8B C7 48 8B D7 41 8B CC E8 ?? ?? ?? ?? 48 8B D8 E9 C4 00 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 4C 8D 70 05 49 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 48 8B C3 E9 CC FE FF FF 4C 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 DE 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 24 06 E8 ?? ?? ?? ?? 4D 2B F4 8B 00 4D 8D 2C 36 4C 8D 35 ?? ?? ?? ?? 89 44 24 78 4D 8B 06 49 8B D5 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 85 8D 00 00 00 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 48 8D 05 ?? ?? ?? ?? 49 83 EE 08 4C 3B F0 7D CC EB 25 E8 ?? ?? ?? ?? 8B 4C 24 78 4C 8B 8C 24 88 00 00 00 89 08 8B 4C 24 70 4D 8B C7 48 8B D6 E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 3B FD 0F 84 51 FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 44 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1005_0_0 {
	meta:
		name = "_controlfp_s"
		size = 99
		refs = "0027 _control87 002e _errno 003a _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 41 0F BA F0 13 8B C2 44 8B CA 41 23 C0 48 8B D9 A9 E0 FC F0 FC 74 25 48 85 C9 74 0B 33 D2 33 C9 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 1B 48 85 C9 41 8B D0 41 8B C9 74 09 E8 ?? ?? ?? ?? 89 03 EB 05 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1006_3_0 {
	meta:
		name = "?_wcslwr_s_l_stat@@YAHPEA_W_KPEAUlocaleinfo_struct@@@Z"
		size = 511
		refs = "0022 __security_cookie 003f _errno 004b _invalid_parameter_noinfo 0055 wcsnlen 008a __crtLCMapStringW 0135 __chkstk 014f malloc 01b2 wcscpy_s 01d3 free 01e1 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 40 48 8D 6C 24 30 48 89 5D 30 48 89 75 38 48 89 7D 40 4C 89 65 48 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 45 33 E4 4D 8B F8 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 83 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 06 66 44 89 23 EB DA 49 8B 07 48 8B 88 38 01 00 00 48 85 C9 74 51 41 83 C9 FF 4C 8B C3 BA 00 01 00 00 44 89 64 24 28 4C 89 64 24 20 E8 ?? ?? ?? ?? 4C 63 F0 85 C0 75 3C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 2C 01 00 00 0F B7 0B 8D 41 BF 66 83 F8 19 77 07 66 83 C1 20 66 89 0B 48 83 C3 02 66 44 39 23 75 E3 33 C0 E9 08 01 00 00 4D 8B C6 49 3B F6 73 13 66 44 89 23 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 5C FF FF FF 85 C0 7E 77 33 D2 48 8D 42 E0 49 F7 F0 48 83 F8 02 72 68 4B 8D 0C 36 48 8D 41 10 48 3B C1 76 5B 4A 8D 0C 75 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 74 29 C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C7 10 EB 03 49 8B FC 48 85 FF 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 22 FF FF FF 49 8B 0F 41 83 C9 FF 4C 8B C3 48 8B 89 38 01 00 00 BA 00 01 00 00 44 89 74 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 4C 8B 65 48 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1006_7_0 {
	meta:
		name = "_wcslwr"
		size = 95
		refs = "000f __locale_changed 001b _errno 0026 _invalid_parameter_noinfo 0052 _wcslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 38 48 85 C9 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2B 0F B7 11 8D 42 BF 66 83 F8 19 77 07 66 83 C2 20 66 89 11 48 83 C1 02 66 44 39 01 75 E3 EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1008_2_0 {
	meta:
		name = "?_set_new_handler@@YAP6AH_K@ZP6AH0@Z@Z"
		size = 79
		refs = "0013 _lock 001a ?_pnhHeap@@3P6AH_K@ZEA 0020 __imp_DecodePointer 002c __imp_EncodePointer 003d _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 B9 04 00 00 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 FF 15 ?? ?? ?? ?? B9 04 00 00 00 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1008_3_0 {
	meta:
		name = "_callnewh"
		size = 51
		refs = "000c ?_pnhHeap@@3P6AH_K@ZEA 0012 __imp_DecodePointer"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 10 48 8B CB FF D0 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1009_0_0 {
	meta:
		name = "_wchdir"
		size = 331
		refs = "001e __security_cookie 0041 __doserrno 0049 _errno 0054 _invalid_parameter_noinfo 005f __imp_SetCurrentDirectoryW 0077 __imp_GetCurrentDirectoryW 0090 _calloc_crt 00df towupper 00fa __imp_SetEnvironmentVariableW 0104 __imp_GetLastError 010b _dosmaperr 0118 free 012a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 45 33 FF 83 CE FF 48 8D 5C 24 30 45 8B F7 48 85 C9 75 1D E8 ?? ?? ?? ?? 44 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 BF 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 97 00 00 00 48 8D 54 24 30 B9 05 01 00 00 FF 15 ?? ?? ?? ?? 8B F8 3D 04 01 00 00 7E 2F 8D 68 01 BA 02 00 00 00 48 63 CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 66 41 BE 01 00 00 00 85 FF 74 5C 48 8B D0 8B CD FF 15 ?? ?? ?? ?? 8B F8 85 FF 74 4B 0F B7 03 66 83 F8 5C 74 06 66 83 F8 2F 75 0B 66 3B 43 02 75 05 41 8B F7 EB 3E B8 3D 00 00 00 66 89 44 24 20 0F B7 0B E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D3 66 89 44 24 22 C7 44 24 24 3A 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 CA FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 45 85 F6 74 08 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 28 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1010_0_0 {
	meta:
		name = "__free_lconv_num"
		size = 108
		refs = "0013 __lconv_c 001a free"
	strings:
		$1 = { 48 85 C9 74 66 53 48 83 EC 20 48 8B D9 48 8B 09 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 08 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 10 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 58 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 60 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1010_1_0 {
	meta:
		name = "__init_numeric"
		size = 710
		refs = "0044 __lconv_c 005a _calloc_crt 00d9 _malloc_crt 00e9 free 0134 __getlocaleinfo 01c4 __free_lconv_num"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 DB 48 8B F1 48 89 48 C8 48 89 58 D0 48 39 99 48 01 00 00 75 1B 48 39 99 40 01 00 00 75 12 44 8B FB 44 8B E3 4C 8D 35 ?? ?? ?? ?? E9 0C 02 00 00 BD 01 00 00 00 BA 98 00 00 00 8B CD E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 07 8B C5 E9 3B 02 00 00 48 8B 86 F0 00 00 00 BA 80 00 00 00 8D 7A 84 8B CF 0F 10 00 41 0F 11 06 0F 10 48 10 41 0F 11 4E 10 0F 10 40 20 41 0F 11 46 20 0F 10 48 30 41 0F 11 4E 30 0F 10 40 40 41 0F 11 46 40 0F 10 48 50 41 0F 11 4E 50 0F 10 40 60 41 0F 11 46 60 0F 10 40 70 41 0F 11 44 16 F0 0F 10 0C 10 41 0F 11 0C 16 48 8B 44 10 10 49 89 44 16 10 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 75 0D 49 8B CE E8 ?? ?? ?? ?? E9 74 FF FF FF 89 18 48 39 9E 48 01 00 00 0F 84 13 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 84 B6 00 00 00 89 18 48 8B BE 48 01 00 00 48 8D 4C 24 30 41 B9 0E 00 00 00 8B D5 4C 8B C7 4C 89 74 24 20 E8 ?? ?? ?? ?? 49 8D 4E 08 48 89 4C 24 20 48 8D 4C 24 30 41 B9 0F 00 00 00 4C 8B C7 8B D5 8B D8 E8 ?? ?? ?? ?? 4D 8D 6E 10 48 8D 4C 24 30 41 B9 10 00 00 00 4C 8B C7 8B D5 0B D8 4C 89 6C 24 20 E8 ?? ?? ?? ?? 41 B9 0E 00 00 00 0B D8 49 8D 46 58 48 8D 4C 24 30 41 8D 51 F4 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 0F 00 00 00 0B D8 49 8D 46 60 48 8D 4C 24 30 41 8D 51 F3 4C 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 0B C3 74 1B 49 8B CE E8 ?? ?? ?? ?? 83 CD FF 49 8B CE E8 ?? ?? ?? ?? 49 8B CC E9 0D FF FF FF 49 8B 55 00 33 DB EB 11 8A 0A 8D 41 D0 3C 09 77 0E 80 E9 30 88 0A 48 03 D5 38 1A 75 EB EB 53 80 F9 3B 75 F2 4C 8B C2 49 8D 48 01 8A 01 41 88 00 4C 8B C1 84 C0 75 F0 EB E0 48 8B 05 ?? ?? ?? ?? 4C 8B FB 49 89 06 48 8B 05 ?? ?? ?? ?? 49 89 46 08 48 8B 05 ?? ?? ?? ?? 49 89 46 10 48 8B 05 ?? ?? ?? ?? 49 89 46 58 48 8B 05 ?? ?? ?? ?? 49 89 46 60 41 89 2C 24 4D 85 FF 74 03 41 89 2F 48 8B 86 E0 00 00 00 48 85 C0 74 03 F0 FF 08 48 8B 8E D8 00 00 00 48 85 C9 74 1D F0 FF 09 75 18 48 8B 8E D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8E F0 00 00 00 E8 ?? ?? ?? ?? 4C 89 BE E0 00 00 00 4C 89 A6 D8 00 00 00 4C 89 B6 F0 00 00 00 33 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1012_1_0 {
	meta:
		name = "scaleFloat_2"
		size = 60
	strings:
		$1 = { 0F 28 D0 44 8B C2 8B C2 99 2B C2 D1 F8 44 2B C0 8D 48 7F 41 83 C0 7F C1 E1 17 41 C1 E0 17 89 4C 24 08 F3 0F 10 44 24 08 44 89 44 24 08 F3 0F 10 4C 24 08 F3 0F 59 C2 F3 0F 59 C1 C3 }
	condition:
		$1
}

rule file_1012_2_0 {
	meta:
		name = "splitexpf"
		size = 256
		refs = "0008 __real@3f000000 002f __real@00000000 0047 __ImageBase 005e ?two_to_jby32_lead_table@?1??splitexpf@@9@9 0067 ?two_to_jby32_trail_table@?1??splitexpf@@9@9 00cf __real@3e2aaaab"
	strings:
		$1 = { 48 83 EC 38 F3 0F 10 2D ?? ?? ?? ?? 0F 29 74 24 20 0F 29 7C 24 10 0F 28 E0 44 0F 29 04 24 0F 28 F9 F3 0F 59 E2 44 0F 28 C3 0F 28 F0 0F 2F 25 ?? ?? ?? ?? 76 06 F3 0F 58 E5 EB 04 F3 0F 5C E5 F3 44 0F 2C C4 48 8D 15 ?? ?? ?? ?? 41 8B C8 66 41 0F 6E C0 83 E1 1F 48 63 C1 F3 0F 10 9C 82 ?? ?? ?? ?? F3 0F 10 A4 82 ?? ?? ?? ?? 41 8B C0 2B C1 48 8B 4C 24 68 99 83 E2 1F 0F 5B C0 03 C2 C1 F8 05 41 F7 D8 89 01 48 8B 44 24 70 F3 41 0F 59 C0 44 0F 28 04 24 66 41 0F 6E C8 F3 0F 5C F0 F3 0F 59 F7 F3 0F 11 18 48 8B 44 24 78 0F 5B C9 F3 0F 59 4C 24 60 F3 0F 59 CF 0F 28 7C 24 10 0F 28 C1 F3 0F 58 C6 0F 28 D0 F3 0F 59 C0 F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 D5 F3 0F 59 D0 0F 28 C4 F3 0F 58 C3 F3 0F 58 D1 F3 0F 58 D6 0F 28 74 24 20 F3 0F 59 D0 F3 0F 58 D4 F3 0F 11 10 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1012_3_0 {
	meta:
		name = "tanhf"
		size = 729
		refs = "0054 _set_statfp 00a0 ??_C@_05NEEGJJPP@tanhf?$AA@ 00aa _handle_errorf 00b8 __real@40000000 00c0 __real@3f800000 00eb __real@41200000 0103 __real@3f666666 0125 __real@384d2b7d 012d __real@3abfbc9e 0139 __real@3eaf769c 0141 __real@3e9058e0 0149 __real@3f588550 0153 __real@382089d8 015b __real@3aa18e00 0167 __real@3e95c65f 016f __real@3e7679b1 0177 __real@3f38db60 0192 __real@3f000000 01a3 __real@4238aa3b 01aa __real@00000000 01de __ImageBase 01e9 __real@3cb17000 01f2 ?two_to_jby32_lead_table@?1??splitexpf@@9@9 01fb ?two_to_jby32_trail_table@?1??splitexpf@@9@9 0229 __real@3585fdf4 024e __real@3e2aaaab"
	strings:
		$1 = { 48 8B C4 48 81 EC B8 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 0F 28 F0 F3 0F 11 B4 24 C0 00 00 00 8B 94 24 C0 00 00 00 8B C2 0F BA F0 1F 3D 00 00 00 39 73 1A 85 C0 0F 84 61 02 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 4F 02 00 00 33 C9 3D 00 00 80 7F 76 4A 44 8D 49 01 8D 51 21 0F 57 C0 44 89 4C 24 40 F3 0F 11 B4 24 C0 00 00 00 44 8B 84 24 C0 00 00 00 F3 0F 11 44 24 38 F3 0F 11 74 24 30 89 54 24 28 89 4C 24 20 48 8D 0D ?? ?? ?? ?? 49 0F BA E8 16 E8 ?? ?? ?? ?? E9 FC 01 00 00 F3 44 0F 10 1D ?? ?? ?? ?? F3 0F 10 3D ?? ?? ?? ?? 3B C2 0F 95 C1 44 0F 28 CF 66 0F 6E C1 0F 5B C0 F3 41 0F 59 C3 F3 44 0F 5C C8 45 0F 28 C1 F3 44 0F 59 C6 44 0F 2F 05 ?? ?? ?? ?? 0F 87 B2 01 00 00 41 0F 2F F8 0F 82 8E 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 41 0F 28 C8 41 0F 2F C0 F3 41 0F 59 C8 0F 28 C1 0F 28 F9 F3 41 0F 59 C0 76 2E F3 0F 59 3D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 59 F9 F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? EB 2C F3 0F 59 3D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 59 F9 F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 F8 F3 0F 5E F9 F3 41 0F 58 F8 E9 1A 01 00 00 F3 44 0F 10 15 ?? ?? ?? ?? F3 45 0F 59 C3 41 0F 28 C0 F3 0F 59 05 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? 76 07 F3 41 0F 58 C2 EB 05 F3 41 0F 5C C2 F3 44 0F 2C C0 41 8B C0 66 41 0F 6E C0 41 8B D0 F7 D8 83 E2 1F 44 2B C2 48 63 CA 66 0F 6E F0 48 8D 05 ?? ?? ?? ?? 0F 5B C0 F3 0F 59 05 ?? ?? ?? ?? F3 0F 10 AC 88 ?? ?? ?? ?? F3 0F 10 A4 88 ?? ?? ?? ?? 41 8B C0 99 83 E2 1F 03 C2 F3 44 0F 5C C0 C1 F8 05 0F 5B F6 44 8B C0 99 2B C2 D1 F8 44 2B C0 8D 48 7F 41 83 C0 7F F3 0F 59 35 ?? ?? ?? ?? C1 E1 17 41 C1 E0 17 0F 28 C6 89 8C 24 C0 00 00 00 F3 41 0F 58 C0 0F 28 D0 F3 0F 59 C0 F3 0F 59 15 ?? ?? ?? ?? F3 0F 10 9C 24 C0 00 00 00 44 89 84 24 C0 00 00 00 F3 0F 10 8C 24 C0 00 00 00 F3 41 0F 58 D2 F3 0F 59 D0 0F 28 C4 F3 0F 58 C5 F3 0F 58 D6 F3 41 0F 58 D0 F3 0F 59 D0 F3 0F 58 D4 F3 0F 58 D5 F3 0F 59 D3 F3 0F 59 D1 F3 0F 58 D7 F3 44 0F 5E DA F3 41 0F 5C FB F3 41 0F 59 F9 0F 28 C7 4C 8D 9C 24 B8 00 00 00 41 0F 28 73 E8 41 0F 28 7B D8 45 0F 28 43 C8 45 0F 28 4B B8 45 0F 28 53 A8 45 0F 28 5B 98 49 8B E3 C3 }
	condition:
		$1
}

rule file_1013_1_0 {
	meta:
		name = "_sleep"
		size = 17
		refs = "000d __imp_Sleep"
	strings:
		$1 = { B8 01 00 00 00 85 C9 0F 44 C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1014_0_0 {
	meta:
		name = "__avx_log4"
		size = 640
		refs = "000a __common_dlog_data 0274 __common_dlog_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 05 ?? ?? ?? ?? C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 8F 01 00 00 C5 FD 54 1D ?? ?? ?? ?? 49 83 E5 C0 C5 E5 56 35 ?? ?? ?? ?? C5 FD 5A EE C5 F8 53 CD C5 FC 5A D1 C4 E3 7D 09 D2 00 C5 E1 73 D0 14 C4 E3 7D 19 C4 01 C5 D1 73 D4 14 C5 E0 C6 CD DD C5 FD C2 1D ?? ?? ?? ?? 11 C5 FD C2 25 ?? ?? ?? ?? 16 C5 FE E6 C9 C5 E5 56 E4 C4 E3 7D 19 E3 01 C5 D8 C6 EB DD C5 CD 54 25 ?? ?? ?? ?? C5 CD 5C F4 C5 F8 50 D5 C5 DD 59 E2 C5 CD 59 F2 C5 DD 5C 1D ?? ?? ?? ?? C5 E5 58 DE C5 C9 73 D2 28 C4 E3 7D 19 D5 01 C5 D1 73 D5 28 C4 C1 79 7E E9 C5 ED C2 15 ?? ?? ?? ?? 1E C5 F9 7E F1 4D 63 C9 C4 C3 79 16 EA 02 4D 63 D2 C4 C3 79 16 F0 02 C4 C1 7B 10 B4 01 40 A0 BF FF C5 ED 54 15 ?? ?? ?? ?? C4 C1 49 16 AC 02 40 A0 BF FF C5 ED 56 35 ?? ?? ?? ?? C5 F5 5C CE C5 E5 59 35 ?? ?? ?? ?? C5 F5 59 15 ?? ?? ?? ?? C5 CD 58 0D ?? ?? ?? ?? C5 E5 59 F3 48 63 C9 4D 63 C0 C5 F5 59 CE C5 FB 10 A4 01 40 A0 BF FF C4 C1 59 16 A4 00 40 A0 BF FF C4 E3 5D 18 E5 01 C5 E5 59 2D ?? ?? ?? ?? C5 D5 58 2D ?? ?? ?? ?? C5 F5 58 CD C5 F5 59 EE C5 E5 58 DD C5 E5 58 E4 C5 DD 58 CA 85 D2 75 1D C5 FC 10 B4 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 D5 33 C0 C5 FC 11 BC 24 20 01 00 00 C5 7C 11 84 24 00 01 00 00 C5 7C 11 8C 24 E0 00 00 00 C5 7C 11 94 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 48 01 00 00 8B D8 48 89 B4 24 40 01 00 00 8B F2 0F A3 DE 72 6A FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 20 01 00 00 C5 7C 10 84 24 00 01 00 00 C5 7C 10 8C 24 E0 00 00 00 C5 7C 10 94 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 48 01 00 00 48 8B B4 24 40 01 00 00 E9 08 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB 82 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_1016_0_0 {
	meta:
		name = "ccos"
		size = 121
		refs = "0024 creal 0031 cimag 0040 __xmm@80000000000000008000000000000000 0048 _Cbuild 0060 ccosh"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 70 0F 10 02 48 8B D9 48 8D 48 A8 0F 29 70 E8 0F 10 C8 F3 0F 7F 40 A8 F3 0F 7F 48 B8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4C 24 40 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 50 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_1036_0_0 {
	meta:
		name = "ccosl"
		size = 121
		refs = "0024 creall 0031 cimagl 0040 __xmm@80000000000000008000000000000000 0048 _LCbuild 0060 ccoshl"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 70 0F 10 02 48 8B D9 48 8D 48 A8 0F 29 70 E8 0F 10 C8 F3 0F 7F 40 A8 F3 0F 7F 48 B8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 F0 E8 ?? ?? ?? ?? 48 8D 4C 24 40 0F 28 D6 0F 57 05 ?? ?? ?? ?? 0F 28 C8 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 50 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_1017_0_0 {
	meta:
		name = "_fflush_nolock"
		size = 76
		refs = "0014 flsall 0019 _flush 0033 _fileno 003a _commit"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 05 83 C8 FF EB 20 F7 43 18 00 40 00 00 74 15 48 8B CB E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? F7 D8 1B C0 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1017_1_0 {
	meta:
		name = "_flush"
		size = 121
		refs = "0030 _fileno 003e _write"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 41 18 33 F6 48 8B D9 24 03 3C 02 75 3F F7 41 18 08 01 00 00 74 36 8B 39 2B 79 10 85 FF 7E 2D E8 ?? ?? ?? ?? 48 8B 53 10 44 8B C7 8B C8 E8 ?? ?? ?? ?? 3B C7 75 0F 8B 43 18 84 C0 79 0F 83 E0 FD 89 43 18 EB 07 83 4B 18 20 83 CE FF 48 8B 4B 10 83 63 08 00 8B C6 48 8B 74 24 38 48 89 0B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1017_3_0 {
	meta:
		name = "fflush"
		size = 67
		refs = "0018 flsall 001f _lock_file 0028 _fflush_nolock 0032 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 1A E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1017_5_0 {
	meta:
		name = "flsall"
		size = 230
		refs = "0024 _lock 0035 _nstream 0041 __piob 0057 _lock_file2 0074 _fflush_nolock 00ae _unlock_file2 00bf _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 55 41 56 41 57 48 83 EC 30 44 8B F1 33 F6 33 FF 8D 4E 01 E8 ?? ?? ?? ?? 90 33 DB 41 83 CD FF 89 5C 24 20 3B 1D ?? ?? ?? ?? 7D 7E 4C 63 FB 48 8B 05 ?? ?? ?? ?? 4A 8B 14 F8 48 85 D2 74 64 F6 42 18 83 74 5E 8B CB E8 ?? ?? ?? ?? 90 48 8B 05 ?? ?? ?? ?? 4A 8B 0C F8 F6 41 18 83 74 33 41 83 FE 01 75 12 E8 ?? ?? ?? ?? 41 3B C5 74 23 FF C6 89 74 24 24 EB 1B 45 85 F6 75 16 F6 41 18 02 74 10 E8 ?? ?? ?? ?? 41 3B C5 41 0F 44 FD 89 7C 24 28 48 8B 15 ?? ?? ?? ?? 4A 8B 14 FA 8B CB E8 ?? ?? ?? ?? FF C3 E9 76 FF FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? 41 83 FE 01 0F 44 FE 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 30 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_1018_0_0 {
	meta:
		name = "_FCmulcc"
		size = 136
		refs = "001d crealf 002a cimagf 006f _FCbuild"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 48 83 EC 58 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 E8 ?? ?? ?? ?? 48 8B 4C 24 60 0F 28 F8 E8 ?? ?? ?? ?? 48 8B 4C 24 68 0F 28 F0 E8 ?? ?? ?? ?? 48 8B 4C 24 68 44 0F 28 C0 E8 ?? ?? ?? ?? 41 0F 28 C8 F3 44 0F 59 C7 F3 0F 59 CE 0F 28 D0 F3 0F 59 C6 F3 0F 59 D7 F3 44 0F 5C C0 F3 0F 58 CA 41 0F 28 C0 E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_1018_1_0 {
	meta:
		name = "_FCmulcr"
		size = 71
		refs = "0017 cimagf 0028 crealf 0034 _FCbuild"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 48 0F 29 74 24 30 0F 29 7C 24 20 0F 28 F9 E8 ?? ?? ?? ?? 48 8B 4C 24 50 0F 28 F0 F3 0F 59 F7 E8 ?? ?? ?? ?? 0F 28 CE F3 0F 59 C7 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1018_2_0 {
	meta:
		name = "cpowf"
		size = 168
		refs = "0014 cimagf 001b __real@00000000 003e crealf 0053 powf 005b _FCbuild 006c logf 0079 _FCmulcr 0085 clogf 0092 _FCmulcc 009a cexpf"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 0F 2E 05 ?? ?? ?? ?? 7A 5E 75 5C 48 8B 4C 24 48 E8 ?? ?? ?? ?? 0F 2E 05 ?? ?? ?? ?? 7A 2B 75 29 48 8B 4C 24 48 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 CE E8 ?? ?? ?? ?? 0F 57 C9 E8 ?? ?? ?? ?? EB 3D 48 8B 4C 24 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 4C 24 48 0F 28 C8 E8 ?? ?? ?? ?? EB 17 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8B 4C 24 48 48 8B D0 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1019_0_0 {
	meta:
		name = "_snprintf_c"
		size = 191
		refs = "002e memset 0038 _errno 0043 _invalid_parameter_noinfo 007f _output_l 00a3 _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 48 8B EC 48 83 EC 58 48 83 65 C8 00 48 8B DA 33 D2 49 8B F0 48 8B F9 44 8D 42 28 48 8D 4D D0 E8 ?? ?? ?? ?? 48 85 F6 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 6A 48 85 DB 74 05 48 85 FF 74 E4 B8 FF FF FF 7F 4C 8D 4D 40 48 8D 4D C8 48 3B D8 48 8B D6 C7 45 E0 42 00 00 00 0F 47 D8 45 33 C0 48 89 7D D8 89 5D D0 48 89 7D C8 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 2C 85 C0 78 22 FF 4D D0 78 09 48 8B 45 C8 C6 00 00 EB 10 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C3 EB 06 C6 07 00 83 C8 FF 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_1022_3_0 {
	meta:
		name = "_towupper_l"
		size = 207
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0060 iswctype 00a0 __crtLCMapStringW"
	strings:
		$1 = { 48 89 5C 24 10 66 89 4C 24 08 55 48 8B EC 48 83 EC 50 B8 FF FF 00 00 66 3B C8 0F 84 A4 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5D E0 48 8B 83 38 01 00 00 48 85 C0 75 13 0F B7 55 10 8D 42 9F 66 83 F8 19 77 6A 66 83 EA 20 EB 64 0F B7 4D 10 BA 00 01 00 00 66 3B CA 73 25 BA 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 06 0F B7 55 10 EB 42 0F B7 4D 10 48 8B 83 18 01 00 00 0F B6 14 08 EB 31 48 8D 4D 20 41 B9 01 00 00 00 4C 8D 45 10 44 89 4C 24 28 48 89 4C 24 20 48 8B C8 BA 00 02 00 00 E8 ?? ?? ?? ?? 0F B7 55 10 85 C0 74 04 0F B7 55 20 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 0F B7 C2 48 8B 5C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_1024_0_0 {
	meta:
		name = "__avx_acos4"
		size = 672
		refs = "0048 __common_dacos_data 0296 __common_dacos_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 D0 01 00 00 C5 7C 11 B4 24 90 01 00 00 C5 7C 11 84 24 70 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 0F 01 00 00 C5 7D 10 35 ?? ?? ?? ?? 49 83 E5 C0 C5 FD 10 2D ?? ?? ?? ?? C5 8D 56 F8 C5 45 59 FD C5 45 59 C7 C5 C5 C2 25 ?? ?? ?? ?? 12 C5 85 58 ED C5 FD 5A D5 C5 3D 5D C5 C5 F8 52 F2 C5 3D C2 FD 15 C5 D5 58 ED C5 0D 54 F0 C4 E3 7D 19 E1 01 C5 D8 C6 D9 DD C5 FC 5A E6 C5 F8 50 D3 C5 DD 59 CC C5 D5 59 F4 C5 D5 59 D9 C5 E5 5C 25 ?? ?? ?? ?? C5 DD 59 15 ?? ?? ?? ?? C5 CD 59 EC C5 ED 58 0D ?? ?? ?? ?? C5 F5 59 DC C5 BD 59 0D ?? ?? ?? ?? C5 E5 58 15 ?? ?? ?? ?? C5 F5 58 1D ?? ?? ?? ?? C5 ED 59 E4 C5 BD 59 15 ?? ?? ?? ?? C5 DD 58 25 ?? ?? ?? ?? C5 ED 58 0D ?? ?? ?? ?? C5 BD 59 15 ?? ?? ?? ?? C5 DD 59 ED C4 C1 3D 59 E0 C5 ED 58 15 ?? ?? ?? ?? C5 CD 5C ED C5 BD 59 35 ?? ?? ?? ?? C4 E3 45 4B FD F0 C5 CD 58 35 ?? ?? ?? ?? C5 CD 59 F4 C5 CD 58 DB C5 F5 59 F4 C5 CD 58 CA C5 DD 59 D4 C5 BD 59 35 ?? ?? ?? ?? C5 E5 59 DA C5 CD 58 35 ?? ?? ?? ?? C5 E5 58 C9 C5 F5 59 D4 C5 ED 58 DE C5 BD 59 35 ?? ?? ?? ?? C5 E5 59 E4 C5 CD 58 35 ?? ?? ?? ?? C5 DD 58 CE C4 C1 75 59 F0 C4 C1 7D C2 C8 11 C4 C1 45 57 EE C5 CD 59 F5 C5 05 54 05 ?? ?? ?? ?? C5 BD 54 D9 C5 85 55 15 ?? ?? ?? ?? C5 ED 58 E3 C5 CD 58 CD C5 DD 58 C9 85 D2 75 41 C5 FC 10 B4 24 F0 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 84 24 70 01 00 00 C5 7C 10 B4 24 90 01 00 00 C5 7C 10 BC 24 D0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 B1 33 C0 C5 7C 11 8C 24 A0 00 00 00 C5 7C 11 94 24 80 00 00 00 C5 7C 11 5C 24 60 C5 7C 11 64 24 40 C5 7C 11 6C 24 20 48 89 9C 24 C8 00 00 00 8B D8 48 89 B4 24 C0 00 00 00 8B F2 0F A3 DE 72 46 FF C3 83 FB 20 7C F4 C5 7C 10 8C 24 A0 00 00 00 C5 7C 10 94 24 80 00 00 00 C5 7C 10 5C 24 60 C5 7C 10 64 24 40 C5 7C 10 6C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 C8 00 00 00 48 8B B4 24 C0 00 00 00 E9 2C FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB A6 0F 1F 40 00 }
	condition:
		$1
}

rule file_1025_1_0 {
	meta:
		name = "?_set_new_mode@@YAHH@Z"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0020 _newmode"
	strings:
		$1 = { 48 83 EC 28 83 F9 01 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 0C 8B 05 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1026_0_0 {
	meta:
		name = "powf"
		size = 2949
		refs = "0012 __use_fma3_lib 0076 L__xexp_bits_xmantissa_bits 009b L__1_by_2 00ad L__1023 00b8 __log_F_inv_qword 00cd L__1_by_3 00ed L__log2 00f4 L__log_256_table 0109 L__max_exp_arg 0117 L__min_exp_arg 0129 L__real_64_by_log2 0139 L__real_log2_by_64 014d L__1_by_6 0175 __two_to_jby64_table 01f4 L__neg_zero 0201 L__real_one 0212 L__real_threshold 0220 L__real_ca42 0230 L__real_two 025d L__real_ca31 0306 _powf_special 04d4 L__clear_sign"
	strings:
		$1 = { 48 83 EC 58 66 0F 7F 74 24 10 66 0F 7F 7C 24 20 83 3D ?? ?? ?? ?? 00 0F 85 B8 05 00 00 66 0F 62 C8 66 0F EF ED 66 0F 7E C8 66 0F 7E C1 44 8B C9 25 FF FF FF 7F 81 E1 FF FF FF 7F 3D 00 00 80 7F 0F 83 7A 03 00 00 3D 00 00 80 3F 0F 8E 1F 04 00 00 81 F9 00 00 80 7F 0F 83 C3 02 00 00 0F 5A C1 41 81 F9 00 00 88 3F 0F 8C 53 01 00 00 66 0F 70 D0 EE 66 0F DB 15 ?? ?? ?? ?? 66 48 0F 7E D1 48 C1 E9 2C 83 D1 00 8B C1 81 C9 00 FE 03 00 48 C1 E1 2C 66 48 0F 6E C9 66 0F EB 15 ?? ?? ?? ?? 66 0F 70 DA EE 66 0F 73 D3 34 66 0F FB 1D ?? ?? ?? ?? F3 0F E6 DB 48 8D 0D ?? ?? ?? ?? F2 0F 5C CA F2 0F 59 0C C1 66 0F 28 D1 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 59 CA F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 CA F2 0F 59 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 0F 58 1C C1 F2 0F 5C D9 F2 0F 59 C3 66 0F 2E 05 ?? ?? ?? ?? 0F 87 6D 04 00 00 66 0F 2E 05 ?? ?? ?? ?? 0F 86 2F 04 00 00 66 0F 28 D8 66 0F 59 1D ?? ?? ?? ?? F2 0F E6 E3 F3 0F E6 D4 F2 0F 59 15 ?? ?? ?? ?? 66 0F 7E E1 F2 0F 5C C2 66 0F 28 C8 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 C1 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 C3 F2 0F 58 C1 48 C7 C0 3F 00 00 00 23 C1 48 8D 0D ?? ?? ?? ?? F2 0F 59 04 C1 F2 0F 58 04 C1 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 72 E4 06 66 0F 73 F4 34 66 0F D4 E0 F2 0F 5A C4 0F 56 C5 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 66 66 0F 1F 84 00 00 00 00 00 41 83 F9 00 7F 32 83 F9 00 0F 84 C1 00 00 00 25 00 00 80 7F 3D 00 00 00 4B 7F 1D F3 0F 2D D1 F3 0F 2A D2 0F 2E D1 0F 85 C4 03 00 00 D1 DA 73 08 F3 0F 10 2D ?? ?? ?? ?? 66 0F 70 D8 EE F2 0F 5C 1D ?? ?? ?? ?? 66 48 0F 7E DA 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 83 51 FE FF FF 66 0F 28 3D ?? ?? ?? ?? 66 0F 28 CB 66 0F 28 F3 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E F1 66 0F 28 D6 F2 0F 59 F3 F2 0F 58 D2 66 0F 28 CA F2 0F 59 CA 66 0F 70 E1 44 66 0F 59 E7 F2 0F 59 D1 66 0F 58 25 ?? ?? ?? ?? F2 0F 59 C9 F2 0F 59 CA 66 0F 14 D1 66 0F 59 D4 66 0F 70 CA EE F2 0F 58 D1 F2 0F 5C D6 F2 0F 58 DA E9 7A FE FF FF 66 0F 1F 84 00 00 00 00 00 44 8B C0 66 0F 7E CA B8 00 00 00 00 41 BA 00 00 00 00 B9 00 00 80 7F 83 FA 00 0F 4C D1 44 0F 4C D1 0F 4F D0 B9 00 00 00 80 41 81 E0 00 00 80 7F 41 81 F8 00 00 00 4B 0F 4F C8 7F 23 F3 44 0F 2D C1 F3 41 0F 2A D0 0F 2E D1 0F 45 C8 75 11 41 D1 D8 0F 43 C8 73 09 41 8B C9 81 E1 00 00 00 80 0B CA 66 0F 6E C1 41 83 FA 00 74 0F 41 B9 02 00 00 00 66 0F 6F D0 E8 ?? ?? ?? ?? 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 0F 1F 44 00 00 83 F8 00 0F 84 87 01 00 00 66 0F 7E C1 66 0F 7E CA 81 F9 00 00 80 7F 74 17 81 F9 00 00 80 FF 74 1F E9 EA 01 00 00 66 66 0F 1F 84 00 00 00 00 00 83 FA 00 0F 8C 97 01 00 00 E9 B2 01 00 00 66 90 44 8B C0 B8 00 00 00 00 B9 00 00 80 7F 83 FA 00 0F 4C D0 0F 4F D1 B9 00 00 00 80 41 81 E0 00 00 80 7F 41 81 F8 00 00 00 4B 0F 4F C8 7F 18 F3 44 0F 2D C1 F3 41 0F 2A D0 0F 2E D1 0F 45 C8 75 06 41 D1 D8 0F 43 C8 0B CA 66 0F 6E C1 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 0F 1F 00 0F 87 8A 00 00 00 81 F9 00 00 80 7F 0F 87 5E 01 00 00 81 F9 00 00 80 3F 0F 84 F2 00 00 00 66 0F 7E C8 0F BA E0 1F 72 18 81 F9 00 00 80 3F 0F 82 FC 00 00 00 E9 17 01 00 00 0F 1F 80 00 00 00 00 BA 01 00 00 00 B8 00 00 00 00 41 B8 00 00 80 7F 83 F9 00 0F 45 D0 81 F9 00 00 80 3F 41 0F 42 C0 66 0F 6E C0 83 FA 00 74 0F 66 0F 6F D0 41 B9 02 00 00 00 E8 ?? ?? ?? ?? 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 0F 1F 80 00 00 00 00 41 81 F9 00 00 80 3F 74 57 66 0F 6F C1 E9 CE 00 00 00 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 83 F8 00 74 2B 66 0F 7E CA 81 FA 00 00 80 3F 0F 85 CC FB FF FF 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 66 66 0F 1F 84 00 00 00 00 00 81 F9 00 00 80 7F 0F 87 84 00 00 00 0F 1F 40 00 BA 00 00 80 3F 66 0F 6E C2 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 66 0F 1F 44 00 00 66 0F 56 0D ?? ?? ?? ?? 66 0F 54 C1 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 0F 1F 00 66 0F EF C0 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 66 66 66 0F 1F 84 00 00 00 00 00 BA 00 00 80 7F 66 0F 6E C2 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 66 0F 1F 44 00 00 F3 0F 58 C0 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EF D2 0F 56 D5 41 B9 07 00 00 00 E8 ?? ?? ?? ?? 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 BA 00 00 80 7F 66 0F 6E D2 0F 56 D5 41 B9 09 00 00 00 E8 ?? ?? ?? ?? 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 0F 1F 84 00 00 00 00 00 BA 00 00 C0 7F 66 0F 6E D2 41 B9 03 00 00 00 E8 ?? ?? ?? ?? 66 0F 6F 7C 24 20 66 0F 6F 74 24 10 48 83 C4 58 C3 C5 F1 62 C8 C5 D1 EF ED C5 F9 7E C8 C5 F9 7E C1 44 8B C9 25 FF FF FF 7F 81 E1 FF FF FF 7F 3D 00 00 80 7F 0F 83 72 03 00 00 3D 00 00 80 3F 0F 8E 17 04 00 00 81 F9 00 00 80 7F 0F 83 BB 02 00 00 C5 F8 5A C1 41 81 F9 00 00 88 3F 0F 8C 4A 01 00 00 C5 F9 70 D0 EE C5 E9 DB 15 ?? ?? ?? ?? C4 E1 F9 7E D1 48 C1 E9 2C 83 D1 00 8B C1 81 C9 00 FE 03 00 48 C1 E1 2C C4 E1 F9 6E C9 C5 E9 EB 15 ?? ?? ?? ?? C5 F9 70 DA EE C5 E1 73 D3 34 C5 E1 FB 1D ?? ?? ?? ?? C5 FA E6 DB 48 8D 0D ?? ?? ?? ?? C5 F3 5C CA C5 F3 59 0C C1 C5 F9 28 D1 C5 FB 10 25 ?? ?? ?? ?? C4 E2 F1 A9 25 ?? ?? ?? ?? C4 E2 F1 A9 25 ?? ?? ?? ?? C5 F3 59 CC C5 E3 59 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? C5 E3 58 1C C1 C5 E3 5C D9 C5 FB 59 C3 C5 F9 2E 05 ?? ?? ?? ?? 0F 87 66 04 00 00 C5 F9 2E 05 ?? ?? ?? ?? 0F 86 28 04 00 00 C5 F9 59 1D ?? ?? ?? ?? C5 FB E6 E3 C5 FA E6 D4 C5 F9 7E E1 C4 E2 E9 BD 05 ?? ?? ?? ?? C5 F9 28 C8 C5 FB 10 1D ?? ?? ?? ?? C4 E2 F9 A9 1D ?? ?? ?? ?? C4 E2 F9 A9 1D ?? ?? ?? ?? C5 FB 59 C3 48 C7 C0 3F 00 00 00 23 C1 48 8D 0D ?? ?? ?? ?? C5 FB 10 1C C1 C4 E2 E1 A9 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 D9 72 E4 06 C5 D9 73 F4 34 C5 D9 D4 E0 C5 FB 5A C4 C5 F8 56 C5 C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 66 0F 1F 84 00 00 00 00 00 41 83 F9 00 7F 33 83 F9 00 0F 84 C1 00 00 00 25 00 00 80 7F 3D 00 00 00 4B 7F 1E C5 FA 2D D1 C5 EA 2A D2 C5 F8 2E D1 0F 85 C3 03 00 00 D1 DA 73 08 C5 FA 10 2D ?? ?? ?? ?? C5 F9 70 D8 EE C5 E3 5C 1D ?? ?? ?? ?? C4 E1 F9 7E DA 48 0F BA F2 3F 48 3B 15 ?? ?? ?? ?? 0F 83 59 FE FF FF C5 F9 70 ED 44 C5 F9 28 CB C5 D3 10 EB C5 F3 58 0D ?? ?? ?? ?? C5 D3 5E E9 C5 F9 28 D5 C5 D3 59 EB C5 EB 58 D2 C5 F9 28 CA C5 F3 59 CA C5 F9 70 E1 44 C5 D9 59 25 ?? ?? ?? ?? C5 EB 59 D1 C5 D9 58 25 ?? ?? ?? ?? C5 F3 59 C9 C5 F3 59 CA C5 E9 14 D1 C5 E9 59 D4 C5 F9 70 CA EE C5 F3 58 D2 C5 EB 5C D5 C5 F9 70 ED EE C5 E3 58 DA E9 C3 F8 FF FF 66 90 44 8B C0 C5 F9 7E CA B8 00 00 00 00 41 BA 00 00 00 00 B9 00 00 80 7F 83 FA 00 0F 4C D1 44 0F 4C D1 0F 4F D0 B9 00 00 00 80 41 81 E0 00 00 80 7F 41 81 F8 00 00 00 4B 0F 4F C8 7F 23 C5 7A 2D C1 C4 C1 6A 2A D0 C5 F8 2E D1 0F 45 C8 75 11 41 D1 D8 0F 43 C8 73 09 41 8B C9 81 E1 00 00 00 80 0B CA C5 F9 6E C1 41 83 FA 00 0F 84 5B FA FF FF 41 B9 02 00 00 00 C5 F9 6F D0 E8 ?? ?? ?? ?? C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 90 83 F8 00 0F 84 87 01 00 00 C5 F9 7E C1 C5 F9 7E CA 81 F9 00 00 80 7F 74 17 81 F9 00 00 80 FF 74 1F E9 EA 01 00 00 66 66 0F 1F 84 00 00 00 00 00 83 FA 00 0F 8C 97 01 00 00 E9 B2 01 00 00 66 90 44 8B C0 B8 00 00 00 00 B9 00 00 80 7F 83 FA 00 0F 4C D0 0F 4F D1 B9 00 00 00 80 41 81 E0 00 00 80 7F 41 81 F8 00 00 00 4B 0F 4F C8 7F 18 C5 7A 2D C1 C4 C1 6A 2A D0 C5 F8 2E D1 0F 45 C8 75 06 41 D1 D8 0F 43 C8 0B CA C5 F9 6E C1 C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 0F 1F 00 0F 87 8A 00 00 00 81 F9 00 00 80 7F 0F 87 5E 01 00 00 81 F9 00 00 80 3F 0F 84 F2 00 00 00 C5 F9 7E C8 0F BA E0 1F 72 18 81 F9 00 00 80 3F 0F 82 FC 00 00 00 E9 17 01 00 00 0F 1F 80 00 00 00 00 BA 01 00 00 00 B8 00 00 00 00 41 B8 00 00 80 7F 83 F9 00 0F 45 D0 81 F9 00 00 80 3F 41 0F 42 C0 C5 F9 6E C0 83 FA 00 74 0F C5 F9 6F D0 41 B9 02 00 00 00 E8 ?? ?? ?? ?? C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 0F 1F 80 00 00 00 00 41 81 F9 00 00 80 3F 74 57 C5 F9 6F C1 E9 CE 00 00 00 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 83 F8 00 74 2B C5 F9 7E CA 81 FA 00 00 80 3F 0F 85 D4 FB FF FF C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 66 66 0F 1F 84 00 00 00 00 00 81 F9 00 00 80 7F 0F 87 84 00 00 00 0F 1F 40 00 BA 00 00 80 3F C5 F9 6E C2 C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 66 0F 1F 44 00 00 C5 F1 56 0D ?? ?? ?? ?? C5 F9 54 C1 C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 0F 1F 00 C5 F9 EF C0 C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 66 66 66 0F 1F 84 00 00 00 00 00 BA 00 00 80 7F C5 F9 6E C2 C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 66 0F 1F 44 00 00 C5 FA 58 C0 C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 66 66 66 0F 1F 84 00 00 00 00 00 C5 E9 EF D2 C5 E8 56 D5 41 B9 07 00 00 00 E8 ?? ?? ?? ?? C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 BA 00 00 80 7F C5 F9 6E D2 C5 E8 56 D5 41 B9 09 00 00 00 E8 ?? ?? ?? ?? C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 0F 1F 80 00 00 00 00 BA 00 00 C0 7F C5 F9 6E D2 41 B9 03 00 00 00 E8 ?? ?? ?? ?? C5 F9 6F 7C 24 20 C5 F9 6F 74 24 10 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_1029_0_0 {
	meta:
		name = "remquof"
		size = 476
		refs = "002c _fdtest 0070 __xmm@80000000800000008000000080000000 00b9 _fdunscale 00f9 _fdscale 0147 __real@3f000000 01ba _fperrraise 01c2 _FNan_C"
	strings:
		$1 = { F3 0F 11 4C 24 10 F3 0F 11 44 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 48 8D 4D 48 0F 29 74 24 30 4D 8B F0 E8 ?? ?? ?? ?? 48 8D 4D 50 0F B7 F8 E8 ?? ?? ?? ?? 45 33 ED 4D 85 F6 74 03 45 89 2E 66 44 3B EF 0F 8E 3D 01 00 00 66 44 3B E8 0F 8E 33 01 00 00 F3 0F 10 45 50 0F 57 F6 BB 01 00 00 00 0F 2F F0 76 12 0F 57 05 ?? ?? ?? ?? 44 0F B7 FB F3 0F 11 45 50 EB 03 45 8B FD F3 0F 10 4D 48 0F 2F F1 76 1C 0F 57 0D ?? ?? ?? ?? 8B C3 44 0F B7 E3 66 41 2B C7 44 0F B7 F8 F3 0F 11 4D 48 EB 03 45 8B E5 48 8D 55 D8 48 8D 4D 60 F3 0F 11 45 D8 E8 ?? ?? ?? ?? 41 8B F5 F3 0F 10 45 48 F3 0F 11 45 D8 48 8D 55 D8 48 8D 4D 58 E8 ?? ?? ?? ?? 66 85 C0 74 58 0F BF 7D 58 0F BF 45 60 2B F8 78 4C F3 0F 10 45 50 48 8D 4D D8 8B D7 F3 0F 11 45 D8 E8 ?? ?? ?? ?? F3 0F 10 45 48 0F 2F 45 D8 73 06 2B FB 79 DC EB 1B F3 0F 5C 45 D8 48 63 C7 F3 0F 11 45 48 48 83 F8 20 73 08 8B CF 8B C3 D3 E0 03 F0 F3 0F 11 45 D8 85 FF 79 98 EB 05 F3 0F 10 45 48 0F 2F C6 76 2A F3 0F 10 4D 50 F3 0F 59 0D ?? ?? ?? ?? 0F 2F C1 76 05 0F 2F CE 77 0C 0F 2E C8 7A 0E 75 0C 40 84 F3 74 07 F3 0F 5C 45 50 03 F3 4D 85 F6 74 12 0F BA F6 1F 8B C6 F7 D8 66 45 85 FF 0F 45 F0 41 89 36 66 45 85 E4 74 41 0F 57 05 ?? ?? ?? ?? EB 38 66 83 FF 02 75 07 F3 0F 10 45 48 EB 2B 66 83 F8 02 75 07 F3 0F 10 45 50 EB 1E BB 01 00 00 00 66 3B FB 74 05 66 85 C0 75 DD 8B CB E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_1030_1_0 {
	meta:
		name = "_wdupenv_s"
		size = 258
		refs = "0028 _lock 003c _errno 0048 _invalid_parameter_noinfo 0069 _wgetenv_helper_nolock 0079 wcslen 008a calloc 00b4 wcscpy_s 00ca _unlock 00e2 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 49 8B F0 48 8B FA 4C 8B F1 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 F6 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 76 49 89 1E 48 85 FF 74 03 48 89 1F 8B C3 48 85 F6 0F 95 C0 85 C0 74 D6 48 8B CE E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 74 4F 48 8B C8 E8 ?? ?? ?? ?? 48 8D 70 01 BA 02 00 00 00 48 8B CE E8 ?? ?? ?? ?? 49 89 06 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 18 EB 1A 4D 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 16 48 85 FF 74 03 48 89 37 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_1030_3_0 {
	meta:
		name = "_wdupenv_s_helper"
		size = 212
		refs = "0020 _errno 002c _invalid_parameter_noinfo 005d _wgetenv_helper_nolock 0071 wcslen 0082 calloc 00ac wcscpy_s 00cf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B DA 48 8B F1 48 85 C9 75 28 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 21 00 48 85 D2 74 04 48 83 22 00 4D 85 C0 74 C6 49 8B C8 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 04 33 C0 EB C5 48 8B C8 E8 ?? ?? ?? ?? BA 02 00 00 00 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 89 06 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 90 4C 8B C5 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0A 48 85 DB 74 B0 48 89 3B EB AB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1030_6_0 {
	meta:
		name = "_wgetenv_helper_nolock"
		size = 190
		refs = "0011 __env_initialized 0019 _wenviron 002e _environ 0035 __crtGetEnvironmentStringsW 003c _wenvptr 0041 _wsetenvp 004a __mbtow_environ 0067 wcslen 0091 _wcsnicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 3D ?? ?? ?? ?? 00 48 8B 1D ?? ?? ?? ?? 48 8B F1 0F 84 86 00 00 00 48 85 DB 75 33 48 39 1D ?? ?? ?? ?? 74 78 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 09 E8 ?? ?? ?? ?? 85 C0 75 5A 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 4E 48 85 F6 74 49 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B 0B 48 85 C9 74 36 E8 ?? ?? ?? ?? 48 3B C7 76 19 48 8B 0B 66 83 3C 79 3D 75 0F 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 85 C0 74 06 48 83 C3 08 EB CF 48 8B 03 48 8D 04 78 48 83 C0 02 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1030_7_0 {
	meta:
		name = "_wgetenv_s"
		size = 252
		refs = "002b _lock 003f _errno 004b _invalid_parameter_noinfo 0081 _wgetenv_helper_nolock 0091 wcslen 00b6 wcscpy_s 00c4 _unlock 00dc _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 4D 8B F1 49 8B F0 48 8B FA 4C 8B F9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 FF 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 6D 49 89 1F 48 85 FF 74 0A 48 85 F6 75 0A 48 85 FF 75 0C 48 85 F6 75 07 B8 01 00 00 00 EB 02 8B C3 85 C0 74 C9 48 85 FF 74 03 66 89 1F 49 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 31 48 8B C8 E8 ?? ?? ?? ?? 48 FF C0 49 89 07 48 85 F6 74 1E 48 3B C6 76 07 BB 22 00 00 00 EB 12 4D 8B C6 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 0E B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_1030_9_0 {
	meta:
		name = "_wgetenv_s_helper"
		size = 205
		refs = "002a _errno 0036 _invalid_parameter_noinfo 0077 _wgetenv_helper_nolock 008b wcslen 00b0 wcscpy_s 00c8 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 33 ED 49 8B D8 48 8B FA 4C 8B F1 48 85 C9 75 2E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 48 89 29 48 85 D2 74 07 48 85 DB 75 07 EB C3 48 85 DB 75 BE 48 85 D2 74 03 66 89 2A 49 8B C9 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 04 33 C0 EB B5 48 8B C8 E8 ?? ?? ?? ?? 48 FF C0 49 89 06 48 85 DB 74 E9 48 3B C3 76 07 B8 22 00 00 00 EB 96 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 CB 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1032_0_0 {
	meta:
		name = "_set_abort_behavior"
		size = 28
		refs = "0002 __abort_behavior"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 44 8B C2 23 CA 41 F7 D0 44 23 C0 44 0B C1 44 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1032_1_0 {
	meta:
		name = "abort"
		size = 85
		refs = "0005 __get_sigabrt 0014 raise 001a __abort_behavior 0027 IsProcessorFeaturePresent 0046 _call_reportfault 0050 _exit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0A B9 16 00 00 00 E8 ?? ?? ?? ?? F6 05 ?? ?? ?? ?? 02 74 29 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B9 07 00 00 00 CD 29 41 B8 01 00 00 00 BA 15 00 00 40 41 8D 48 02 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1035_1_0 {
	meta:
		name = "__initconin"
		size = 59
		refs = "0018 ??_C@_1O@PNMIMBDD@?$AAC?$AAO?$AAN?$AAI?$AAN?$AA$?$AA?$AA@ 002b __imp_CreateFileW 0032 _coninpfh"
	strings:
		$1 = { 48 83 EC 48 48 83 64 24 30 00 83 64 24 28 00 41 B8 03 00 00 00 48 8D 0D ?? ?? ?? ?? 45 33 C9 BA 00 00 00 C0 44 89 44 24 20 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1037_0_0 {
	meta:
		name = "_strtime"
		size = 248
		refs = "0009 __security_cookie 001e _errno 0029 _invalid_parameter_noinfo 003e __imp_GetLocalTime 00ee __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 B1 00 00 00 C6 01 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 28 44 0F B7 44 24 2A 44 0F B7 4C 24 2C 41 B3 30 41 BA 67 66 66 66 41 8B C2 C6 43 05 3A C6 43 02 3A C6 43 08 00 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 88 03 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 02 CB 88 4B 01 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 88 4B 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 45 02 C3 44 88 43 04 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 8B C3 41 8D 0C 13 88 4B 06 8A CA C0 E2 02 02 CA 02 C9 44 2A C9 45 02 CB 44 88 4B 07 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1037_1_0 {
	meta:
		name = "_strtime_s"
		size = 279
		refs = "0009 __security_cookie 0034 _errno 0049 __imp_GetLocalTime 00fe _invalid_parameter_noinfo 010d __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 0F 84 D0 00 00 00 48 85 D2 0F 84 C7 00 00 00 C6 01 00 48 83 FA 09 73 0F E8 ?? ?? ?? ?? BB 22 00 00 00 E9 B9 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 4C 24 28 44 0F B7 44 24 2A 44 0F B7 4C 24 2C 41 B3 30 41 BA 67 66 66 66 41 8B C2 C6 43 05 3A C6 43 02 3A C6 43 08 00 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 88 03 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 02 CB 88 4B 01 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 41 8D 0C 13 88 4B 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 45 02 C3 44 88 43 04 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 88 43 06 8A C2 C0 E2 02 02 C2 02 C0 44 2A C8 45 02 CB 33 C0 44 88 4B 07 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1038_0_0 {
	meta:
		name = "__common_sacos_cout_rare"
		size = 2672
		refs = "0072 _vmldACosHATab 09d7 _2il0floatpacket_192"
	strings:
		$1 = { 55 48 81 EC D0 00 00 00 48 8D 6C 24 20 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 F3 0F 10 09 41 81 F8 80 7F 00 00 44 0F 29 7D 60 44 0F 29 75 70 44 0F 29 A5 80 00 00 00 44 0F 29 95 90 00 00 00 44 0F 29 45 30 0F 29 7D 40 0F 29 75 50 48 89 9D A0 00 00 00 0F 84 FA 09 00 00 F3 0F 5A C1 F2 0F 11 45 18 80 65 1F 7F F2 44 0F 10 45 18 F2 44 0F 10 25 ?? ?? ?? ?? 4C 8B 0D ?? ?? ?? ?? 66 45 0F 2F E0 0F 86 42 09 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C0 0F 86 F7 03 00 00 66 44 0F 2F 05 ?? ?? ?? ?? 0F 86 9B 03 00 00 F2 44 0F 10 25 ?? ?? ?? ?? 41 0F 28 C0 F2 41 0F 59 C4 41 0F 28 D0 F2 0F 11 45 10 45 0F 28 F8 F2 0F 10 65 10 41 0F 28 DC F2 0F 10 3D ?? ?? ?? ?? F2 0F 5C 65 18 F2 0F 11 65 08 F2 0F 10 4D 10 F2 44 0F 10 55 08 F2 41 0F 5C CA F2 0F 11 4D 10 F2 0F 10 75 10 F2 0F 5C D6 F2 0F 11 55 08 F2 0F 10 6D 10 0F 28 D5 F2 44 0F 58 FD F2 0F 59 D5 F2 44 0F 10 75 08 0F 28 C2 F2 45 0F 59 FE F2 0F 59 DA F2 41 0F 58 C7 F2 0F 59 F8 F2 0F 11 5D 10 F2 0F 10 65 10 F2 0F 58 3D ?? ?? ?? ?? F2 0F 5C E2 F2 0F 59 F8 F2 0F 11 65 08 F2 0F 10 4D 10 F2 44 0F 10 55 08 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 5C CA F2 0F 59 F8 F2 0F 11 4D 10 F2 0F 10 75 10 F2 0F 58 3D ?? ?? ?? ?? F2 0F 5C D6 F2 0F 59 F8 F2 0F 11 55 08 41 0F 28 F0 F2 0F 10 65 10 F2 0F 10 5D 08 F2 44 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 FB F2 0F 59 EC F2 0F 59 F8 F2 41 0F 59 F7 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 58 F6 F2 0F 59 F8 45 0F 28 F4 F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F5 F2 0F 59 F8 F2 44 0F 11 75 10 F2 44 0F 10 55 10 F2 44 0F 5C D5 F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 11 55 08 44 0F 28 D5 F2 0F 10 55 10 F2 0F 58 EE F2 0F 59 F8 F2 44 0F 59 FD F2 0F 58 3D ?? ?? ?? ?? F2 0F 10 4D 08 F2 0F 59 F8 F2 0F 5C D1 F2 0F 11 55 10 F2 0F 10 5D 10 F2 44 0F 5C D3 0F 28 DC F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 11 55 08 F2 0F 10 4D 10 F2 0F 10 55 08 44 0F 28 F2 F2 0F 59 D9 F2 44 0F 58 F6 F2 0F 59 F8 F2 41 0F 59 E6 F2 44 0F 59 E3 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 58 E7 F2 0F 59 F8 F2 44 0F 11 65 10 44 0F 28 F3 F2 44 0F 10 65 10 F2 44 0F 5C E3 F2 0F 58 DC F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 C3 F2 0F 59 F8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 C5 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EB F2 44 0F 11 65 08 F2 0F 58 C5 F2 44 0F 10 65 10 F2 0F 58 C7 F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 F7 F2 0F 59 D7 F2 0F 59 CF F2 0F 58 C6 F2 44 0F 10 7D 08 F2 0F 58 C2 F2 45 0F 5C E7 F2 44 0F 11 65 10 41 0F 28 D0 F2 44 0F 10 55 10 F2 0F 58 D1 F2 45 0F 5C F2 F2 44 0F 11 75 08 F2 44 0F 10 65 10 F2 44 0F 10 55 08 F2 0F 11 55 10 F2 0F 10 5D 10 F2 0F 11 4D 00 F2 44 0F 5C C3 F2 44 0F 58 C1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 E1 F2 44 0F 59 E1 F2 41 0F 59 CA F2 44 0F 11 45 08 F2 0F 10 55 10 F2 44 0F 10 45 08 F2 41 0F 58 C0 F2 0F 58 C4 0F 28 E2 F2 41 0F 58 E4 F2 0F 58 C1 F2 0F 11 65 10 F2 44 0F 10 45 10 F2 41 0F 5C D0 F2 41 0F 58 D4 F2 0F 11 55 08 F3 0F 5A 29 F2 0F 10 65 10 F2 0F 10 5D 08 66 0F 2F 2D ?? ?? ?? ?? F2 0F 58 C3 76 42 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CB F2 0F 5C CC F2 0F 11 4D 10 F2 0F 10 55 10 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C DA F2 0F 5C C8 F2 0F 5C DC F2 0F 11 5D 08 F2 0F 10 55 10 F2 0F 10 65 08 F2 0F 58 CC EB 40 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CC F2 0F 58 CB F2 0F 11 4D 10 F2 0F 10 55 10 F2 0F 5C DA F2 0F 58 DC F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 C4 F2 0F 11 5D 08 F2 0F 10 55 10 F2 0F 10 4D 08 F2 0F 58 C8 F2 0F 58 D1 F2 0F 5A D2 F3 0F 11 12 E9 B0 05 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 45 0F 58 E0 F2 44 0F 11 65 10 F2 0F 10 45 10 F2 0F 59 45 18 F2 0F 11 45 00 8A 5D 07 8A 49 03 80 E3 7F 80 E1 80 0A D9 88 5D 07 F2 0F 5C 4D 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5A C9 F3 0F 11 0A E9 63 05 00 00 4D 8B D1 F2 45 0F 5C E0 F2 41 0F 59 C4 F2 0F 11 45 00 44 0F B7 45 06 41 81 E0 F0 7F 00 00 41 C1 E8 04 41 81 C0 01 FC FF FF 45 8B D8 41 8B D8 41 F7 DB 41 81 C3 FF 03 00 00 49 C1 EA 30 41 81 E3 FF 07 00 00 41 C1 E3 04 41 81 E2 0F 80 FF FF 4C 89 4D 18 45 0B D3 66 44 89 55 1E 83 E3 01 F2 0F 10 75 18 44 8B DB F2 0F 59 C6 0F 28 E8 F2 44 0F 10 05 ?? ?? ?? ?? F2 0F 58 E8 75 03 0F 28 E8 F2 44 0F 59 C5 44 2B C3 F2 0F 10 1D ?? ?? ?? ?? 41 0F 28 F8 41 C1 E3 08 44 0F 28 D5 41 D1 E8 F2 0F 58 C3 F2 0F 5C FD F2 0F 11 45 20 41 81 C0 FF 03 00 00 44 8B 55 20 41 81 E0 FF 07 00 00 41 81 E2 FF 01 00 00 F2 0F 11 7D 08 45 03 D3 F2 0F 10 75 08 4C 8D 1D ?? ?? ?? ?? F2 44 0F 5C C6 F2 47 0F 10 3C D3 41 0F 28 E0 4C 89 4D 28 41 0F 28 D7 49 C1 E9 30 F2 45 0F 5C D0 F2 45 0F 59 C7 F2 41 0F 59 D7 41 C1 E0 04 41 81 E1 0F 80 FF FF 45 0B C8 66 44 89 4D 2E F2 44 0F 10 75 28 F2 45 0F 59 C6 F2 0F 59 E2 F2 41 0F 59 D2 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 E2 0F 28 C1 F2 41 0F 59 C0 F2 0F 11 45 10 F2 0F 10 7D 10 F2 0F 10 35 ?? ?? ?? ?? F2 41 0F 5C F8 F2 0F 59 F4 F2 0F 11 7D 08 F2 0F 10 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 41 0F 59 F7 F2 45 0F 59 FA F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F5 F2 41 0F 59 FC F2 41 0F 58 F7 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 F6 F2 41 0F 59 FC F2 0F 10 55 10 F2 0F 10 5D 08 F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 5C D3 F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 59 FC F2 45 0F 59 D4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 11 55 10 0F 28 D1 F2 0F 10 65 10 F2 0F 10 1D ?? ?? ?? ?? F2 44 0F 5C C4 F2 41 0F 59 D4 F2 0F 58 3D ?? ?? ?? ?? 44 0F 28 FB F2 44 0F 11 45 08 F2 44 0F 10 45 10 F2 0F 10 6D 08 F2 0F 11 55 10 F2 0F 58 F5 F2 41 0F 59 FC F2 44 0F 58 3D ?? ?? ?? ?? F2 0F 10 65 10 F2 45 0F 58 FA F2 41 0F 59 FC F2 41 0F 5C E4 F2 45 0F 59 FC F2 41 0F 59 FC F2 0F 10 05 ?? ?? ?? ?? 45 0F 28 D4 44 0F 28 F0 F2 0F 11 65 08 F2 0F 10 6D 10 F2 0F 10 55 08 F2 44 0F 58 35 ?? ?? ?? ?? F2 0F 5C EA F2 45 0F 58 F7 F2 0F 11 6D 10 44 0F 28 F9 F2 0F 10 65 10 F2 44 0F 58 F7 F2 44 0F 5C D4 F2 41 0F 59 F6 F2 44 0F 11 55 08 F2 44 0F 10 75 10 41 0F 28 EE 41 0F 28 E6 F2 41 0F 59 EE F2 41 0F 58 E4 F2 44 0F 59 F3 F2 44 0F 59 FD F2 0F 10 55 08 F2 44 0F 11 7D 10 F2 44 0F 10 55 10 F2 0F 59 E2 F2 44 0F 5C D5 F2 0F 59 DA F2 44 0F 11 55 08 F2 44 0F 10 55 10 F2 44 0F 10 7D 08 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C D7 F2 41 0F 59 D4 F2 44 0F 11 55 10 F2 44 0F 10 7D 10 F2 41 0F 5C EF 45 0F 28 FE F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 6D 08 F2 44 0F 10 55 10 F2 44 0F 59 15 ?? ?? ?? ?? F2 41 0F 59 D4 F2 45 0F 58 FA F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 6D 08 F2 0F 58 D7 F2 0F 58 EC F2 41 0F 59 D0 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 11 7D 10 F2 44 0F 10 7D 10 F2 44 0F 11 55 20 F2 45 0F 5C F7 F2 45 0F 58 F2 F2 44 0F 11 75 08 44 0F 28 F0 F2 44 0F 10 7D 10 F2 44 0F 10 55 08 F2 45 0F 58 F7 F2 44 0F 11 75 10 F2 44 0F 10 75 10 F2 41 0F 5C C6 F2 41 0F 58 C7 F2 0F 11 45 08 F2 44 0F 10 75 10 F2 41 0F 59 CE F2 44 0F 10 7D 08 F2 0F 11 4D 10 F2 0F 10 4D 10 F2 41 0F 5C CE F2 0F 11 4D 08 F2 0F 10 4D 10 F2 0F 10 45 08 F2 0F 5C C8 F2 0F 11 4D 10 F2 0F 10 45 10 F2 44 0F 5C F0 F2 44 0F 11 75 08 F2 0F 10 45 10 F2 44 0F 10 75 08 F3 44 0F 5A 21 F2 45 0F 58 F2 66 44 0F 2F 25 ?? ?? ?? ?? F2 45 0F 58 F7 F2 44 0F 58 F3 F2 44 0F 58 F5 F2 45 0F 59 F0 F2 44 0F 59 C0 F2 41 0F 58 F6 F2 0F 58 F2 77 4C F2 0F 10 15 ?? ?? ?? ?? 0F 28 C2 F2 0F 10 25 ?? ?? ?? ?? F2 41 0F 5C C0 F2 0F 5C E6 F2 0F 11 45 10 F2 0F 10 4D 10 F2 44 0F 11 45 00 F2 0F 5C D1 F2 41 0F 5C D0 F2 0F 11 55 08 F2 44 0F 10 45 10 F2 0F 10 5D 08 0F 28 F3 F2 0F 58 F4 F2 44 0F 58 C6 F2 45 0F 5A C0 F3 44 0F 11 02 EB 2B 66 41 0F 2E C4 7A 02 74 73 44 0F 57 25 ?? ?? ?? ?? 66 41 0F 2E C4 7A 02 74 48 B8 01 00 00 00 F3 0F 5C C9 F3 0F 5E C9 F3 0F 11 0A 0F 28 75 50 0F 28 7D 40 44 0F 28 45 30 44 0F 28 95 90 00 00 00 44 0F 28 A5 80 00 00 00 44 0F 28 75 70 44 0F 28 7D 60 48 8B 9D A0 00 00 00 48 8D A5 B0 00 00 00 5D C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5A C0 F3 0F 11 02 EB AF F2 0F 5A 05 ?? ?? ?? ?? F3 0F 11 02 EB A1 F3 0F 5E C9 F3 0F 11 0A BA 01 00 00 00 33 C0 F7 01 FF FF 7F 00 0F 44 C2 EB 87 66 90 }
	condition:
		$1
}

rule file_1041_3_0 {
	meta:
		name = "?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
		size = 529
		refs = "0059 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00e0 __imp_MultiByteToWideChar 0110 _isleadbyte_l 01c6 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 50 45 33 FF 49 8B E9 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 04 66 44 89 3A 4D 85 C0 0F 84 B4 01 00 00 4D 85 C9 0F 84 AB 01 00 00 45 38 38 0F 84 A2 01 00 00 48 8B 94 24 98 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 4C 24 30 4C 39 B9 38 01 00 00 75 35 48 85 FF 74 06 0F B6 06 66 89 07 48 85 DB 74 06 C7 03 01 00 00 00 41 8B C7 44 38 7C 24 48 0F 84 68 01 00 00 48 8B 4C 24 40 83 A1 C8 00 00 00 FD E9 57 01 00 00 4C 8B B4 24 90 00 00 00 45 39 3E 74 5A 8A 06 41 88 46 01 83 B9 D4 00 00 00 01 7E 43 8B 49 04 41 8B C7 41 B9 02 00 00 00 48 85 FF 41 8D 51 07 4D 8B C6 0F 95 C0 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 17 45 89 3E 48 85 DB 74 91 48 8B 44 24 30 8B 88 D4 00 00 00 89 0B EB 82 45 89 3E E9 BE 00 00 00 0F B6 0E 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 74 78 48 8B 4C 24 30 4C 63 89 D4 00 00 00 49 3B E9 73 19 8A 06 41 88 06 48 85 DB 0F 84 4A FF FF FF C7 03 FE FF FF FF E9 3F FF FF FF 41 83 F9 01 7E 2C 8B 49 04 41 8B C7 48 85 FF 0F 95 C0 4C 8B C6 BA 09 00 00 00 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 8B 4C 24 30 85 C0 75 06 44 38 7E 01 74 85 48 85 DB 0F 84 FE FE FF FF 8B 81 D4 00 00 00 89 03 E9 F1 FE FF FF 41 8B C7 41 B9 01 00 00 00 48 85 FF 0F 95 C0 41 8D 51 08 4C 8B C6 89 44 24 28 48 8B 44 24 30 48 89 7C 24 20 8B 48 04 FF 15 ?? ?? ?? ?? 85 C0 0F 85 B1 FE FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 85 FF 74 04 66 44 89 3F 48 85 DB 74 03 83 0B FF E8 ?? ?? ?? ?? 8B 00 E9 97 FE FF FF 48 85 C9 74 03 44 89 39 33 C0 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1041_4_0 {
	meta:
		name = "_mbsrtowcs_helper"
		size = 311
		refs = "0031 _errno 003c _invalid_parameter_noinfo 0059 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0063 ?mbst@?5??_mbsrtowcs_helper@@9@4HA 00a3 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 4D 8B E9 4D 8B F8 4C 8B F2 48 8B F1 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 D0 00 00 00 48 8B 3A 83 65 D0 00 48 8D 4D D8 33 D2 33 DB E8 ?? ?? ?? ?? 4D 85 ED 4C 8D 25 ?? ?? ?? ?? 4D 0F 45 E5 48 85 F6 75 44 41 BD FF FF FF 7F EB 0E 0F 84 87 00 00 00 48 98 48 FF C3 48 03 F8 48 8D 45 D8 48 8D 55 38 48 8D 4D D0 48 89 44 24 28 4D 8B CD 4C 8B C7 4C 89 64 24 20 E8 ?? ?? ?? ?? 8B 45 D0 85 C0 79 CA 48 83 CB FF EB 51 4D 85 FF 74 49 41 BD FF FF FF 7F 48 8D 45 D8 48 8D 4D D0 4D 8B CD 48 89 44 24 28 4C 8B C7 48 8B D6 4C 89 64 24 20 E8 ?? ?? ?? ?? 48 63 45 D0 85 C0 78 17 74 11 48 FF C3 48 03 F8 48 83 C6 02 49 FF CF 75 C7 EB 08 33 FF EB 04 48 83 CB FF 49 89 3E 80 7D F0 00 74 0B 48 8B 4D E8 83 A1 C8 00 00 00 FD 48 8B C3 4C 8D 5C 24 60 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_1041_5_0 {
	meta:
		name = "btowc"
		size = 100
		refs = "0049 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 F9 FF 75 07 B8 FF FF 00 00 EB 4C 83 4C 24 50 FF 33 DB 88 4C 24 40 48 8D 44 24 58 4C 8D 44 24 40 48 8D 54 24 48 44 8D 4B 01 48 8D 4C 24 50 48 89 5C 24 28 89 5C 24 58 66 89 5C 24 48 48 89 44 24 20 E8 ?? ?? ?? ?? 0F B7 44 24 48 39 5C 24 50 B9 FF FF 00 00 0F 4C C1 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1041_6_0 {
	meta:
		name = "mbrlen"
		size = 62
		refs = "0012 ?mbst@?1??mbrlen@@9@4HA 0030 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 83 EC 38 83 4C 24 50 FF 4D 85 C0 4C 8B CA 48 8D 05 ?? ?? ?? ?? 49 0F 45 C0 48 83 64 24 28 00 4C 8B C1 48 8D 4C 24 50 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 44 24 50 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1041_7_0 {
	meta:
		name = "mbrtowc"
		size = 92
		refs = "000c ?mbst@?1??mbrtowc@@9@4HA 002d ??_C@_00CNPNBAHC@?$AA@ 004e ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 83 EC 38 83 4C 24 48 FF 48 8D 05 ?? ?? ?? ?? 48 85 D2 74 12 4D 85 C9 49 0F 45 C1 4D 8B C8 4C 8B C2 48 8B D1 EB 16 4D 85 C9 4C 8D 05 ?? ?? ?? ?? 49 0F 45 C1 41 B9 01 00 00 00 33 D2 48 83 64 24 28 00 48 8D 4C 24 48 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 44 24 48 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1041_9_0 {
	meta:
		name = "mbsrtowcs_s"
		size = 209
		refs = "003d _errno 0049 _invalid_parameter_noinfo 0071 _mbsrtowcs_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B C1 49 8B F8 48 8B DA 48 8B F1 48 85 C9 74 04 48 83 09 FF 48 85 D2 75 07 4D 85 C0 74 1F EB 05 4D 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 6B 66 89 2A 48 85 C0 74 E3 4C 8B 44 24 50 4C 8B 4C 24 58 48 8B D0 4C 3B C7 48 8B CB 4C 0F 47 C7 E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 48 85 DB 74 03 66 89 2B E8 ?? ?? ?? ?? 8B 00 EB 30 48 FF C0 48 85 DB 74 1E 48 3B C7 76 14 66 89 2B 48 3B F8 76 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 99 66 89 6C 43 FE 48 85 F6 74 03 48 89 06 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1042_4_0 {
	meta:
		name = "_Getdays_l"
		size = 316
		refs = "0023 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003b strlen 0063 _malloc_crt 008e strcpy_s 0121 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 48 8B D1 48 8D 48 D8 33 ED E8 ?? ?? ?? ?? 48 8B 44 24 30 33 FF 4C 8B B0 20 01 00 00 49 8B 4C FE 38 E8 ?? ?? ?? ?? 49 8B 0C FE 48 8B D8 E8 ?? ?? ?? ?? 48 FF C7 48 03 C5 48 8D 6B 02 48 03 E8 48 83 FF 07 72 D7 48 8D 4D 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 70 48 8B D8 33 F6 C6 03 3A 4D 8B 04 F6 48 FF C3 48 8B D7 48 8B CB 48 2B D3 48 FF C2 48 03 D5 E8 ?? ?? ?? ?? 85 C0 0F 85 8C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 03 D8 C6 03 3A 4D 8B 44 F6 38 48 FF C3 48 2B D3 48 8B CB 48 FF C2 48 03 D5 E8 ?? ?? ?? ?? 85 C0 75 48 48 8B CB E8 ?? ?? ?? ?? 48 FF C6 48 03 D8 48 83 FE 07 72 98 C6 03 00 80 7C 24 48 00 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B C7 48 8B 7C 24 78 48 83 C4 50 41 5E C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1042_6_0 {
	meta:
		name = "_Getmonths_l"
		size = 326
		refs = "0023 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f strlen 0066 _malloc_crt 0096 strcpy_s 012b _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 48 8B D1 48 8D 48 D8 33 F6 E8 ?? ?? ?? ?? 48 8B 44 24 30 8D 6E 0C 4C 8B B0 20 01 00 00 49 8D 7E 70 48 8B 4F 60 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 48 8D 7F 08 48 03 C6 48 8D 73 02 48 03 F0 48 FF CD 75 D9 48 8D 4E 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 77 48 8B D8 49 81 C6 D0 00 00 00 C6 03 3A 4D 8B 46 A0 48 FF C3 48 8B D7 48 8B CB 48 2B D3 48 FF C2 48 03 D6 E8 ?? ?? ?? ?? 85 C0 0F 85 8E 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 03 D8 C6 03 3A 4D 8B 06 48 FF C3 48 2B D3 48 8B CB 48 FF C2 48 03 D6 E8 ?? ?? ?? ?? 85 C0 75 4C 48 8B CB E8 ?? ?? ?? ?? 48 FF C5 49 83 C6 08 48 03 D8 48 83 FD 0C 72 96 C6 03 00 80 7C 24 48 00 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B C7 48 8B 7C 24 78 48 83 C4 50 41 5E C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1042_9_0 {
	meta:
		name = "_Strftime_l"
		size = 422
		refs = "003b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0057 _errno 0062 _invalid_parameter_noinfo 0087 __imp_MultiByteToWideChar 0094 __imp_GetLastError 009b _dosmaperr 00ab _malloc_crt 011c _Wcsftime_l 014b __imp_WideCharToMultiByte 0166 free"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 8B F2 48 8B 94 24 B8 00 00 00 4C 8B F9 48 8D 48 B8 4D 8B E9 4D 8B F0 33 DB 33 ED 33 FF E8 ?? ?? ?? ?? 4D 85 FF 74 12 48 85 F6 74 0D 41 88 1F 4D 85 F6 74 05 4D 85 ED 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 07 01 00 00 48 8B 44 24 40 21 5C 24 28 48 21 5C 24 20 8B 48 0C 41 83 C9 FF 4D 8B C6 33 D2 FF 15 ?? ?? ?? ?? 4C 63 E0 85 C0 75 12 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 BE 00 00 00 49 8B CC 48 03 C9 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 0F 84 A7 00 00 00 4D 8B C6 4C 8B 74 24 40 44 89 64 24 28 41 8B 4E 0C 41 83 CC FF 33 D2 45 8B CC 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 AE 48 8D 0C 36 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 6D 48 8B 84 24 B8 00 00 00 48 8B 8C 24 B0 00 00 00 4D 8B CD 48 89 44 24 28 48 89 4C 24 20 4C 8B C5 48 8B CF 48 8B D6 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3A 48 83 64 24 38 00 48 83 64 24 30 00 41 8B 4E 0C 45 8B CC 4C 8B C7 33 D2 89 74 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 DB 48 8B CF E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 48 8B C3 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1043_4_0 {
	meta:
		name = "_mbsncmp_l"
		size = 256
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 strncmp 005d _errno 0068 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 48 D8 49 8B D1 49 8B F0 E8 ?? ?? ?? ?? 33 ED 48 85 F6 0F 84 99 00 00 00 4C 8B 44 24 28 41 39 68 08 75 13 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 86 00 00 00 48 85 DB 74 05 48 85 FF 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F EB 65 0F B6 0B 48 FF CE 48 FF C3 42 F6 44 01 19 04 74 16 40 38 2B 75 04 8B CD EB 0D 0F B6 03 66 C1 E1 08 66 0B C8 48 FF C3 0F B6 17 48 FF C7 42 F6 44 02 19 04 74 16 40 38 2F 75 04 8B D5 EB 0D 0F B6 07 66 C1 E2 08 66 0B D0 48 FF C7 66 3B D1 75 0E 66 85 C9 74 05 48 85 F6 75 A6 8B C5 EB 07 1B C0 83 E0 02 FF C8 40 38 6C 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1044_3_0 {
	meta:
		name = "?_strupr_s_l_stat@@YAHPEAD_KPEAUlocaleinfo_struct@@@Z"
		size = 523
		refs = "001e __security_cookie 0038 _errno 0044 _invalid_parameter_noinfo 004e strnlen 0097 __crtLCMapStringA 0132 __chkstk 014c malloc 01c2 strcpy_s 01e3 free 01f1 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 60 48 8D 6C 24 50 48 89 5D 30 48 89 75 38 48 89 7D 40 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 4D 8B F0 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 9A 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 05 C6 03 00 EB DB 49 8B 06 48 8B 90 38 01 00 00 48 85 D2 74 60 8B 40 04 C7 44 24 40 01 00 00 00 4C 8B CB 89 44 24 38 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF 41 B8 00 02 00 00 49 8B CE E8 ?? ?? ?? ?? 4C 63 F8 85 C0 75 35 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 2F 01 00 00 8A 0B 8D 41 9F 3C 19 77 05 80 E9 20 88 0B 48 FF C3 80 3B 00 75 EA 33 C0 E9 12 01 00 00 49 8B CF 49 3B F7 73 12 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 50 FF FF FF 85 C0 7E 6F 33 D2 48 8D 42 E0 48 F7 F1 48 83 F8 01 72 60 49 8D 47 10 48 3B C1 76 57 48 83 C1 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 50 48 85 FF 74 28 C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C7 10 EB 02 33 FF 48 85 FF 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 33 FF FF FF 49 8B 16 C7 44 24 40 01 00 00 00 4C 8B CB 8B 42 04 48 8B 92 38 01 00 00 41 B8 00 02 00 00 89 44 24 38 44 89 7C 24 30 49 8B CE 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1044_7_0 {
	meta:
		name = "_strupr"
		size = 88
		refs = "000f __locale_changed 001b _errno 0026 _invalid_parameter_noinfo 004b _strupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 31 48 85 C9 75 25 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 24 8A 11 8D 42 9F 3C 19 77 05 80 EA 20 88 11 48 FF C1 44 38 01 75 EA EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1046_1_0 {
	meta:
		name = "_ftime32_s"
		size = 399
		refs = "0015 __security_cookie 0033 _errno 003d _invalid_parameter_noinfo 004f __security_check_cookie 0069 __tzset 0073 _get_timezone 00a1 __imp_GetSystemTimeAsFileTime 00c0 elapsed_minutes_cache 00cd __imp_GetTimeZoneInformation 00fd dstflag_cache 018a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 00 00 00 33 DB 48 8B F9 89 5C 24 30 48 85 C9 75 36 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 8C 24 F0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 FB 00 00 00 B8 89 88 88 88 48 8D 4C 24 38 F7 6C 24 30 03 54 24 30 C1 FA 05 8B C2 C1 E8 1F 03 D0 66 89 57 06 FF 15 ?? ?? ?? ?? 48 8B 4C 24 38 48 B8 A7 BE D7 05 C2 9E 10 E5 48 F7 E1 48 8B F2 48 C1 EE 1D 3B 35 ?? ?? ?? ?? 74 43 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 83 F8 FF 74 1D 83 F8 02 75 1B 66 39 9C 24 DA 00 00 00 74 11 39 9C 24 E8 00 00 00 74 08 8D 58 FF EB 03 83 CB FF 48 8B 4C 24 38 89 1D ?? ?? ?? ?? 89 35 ?? ?? ?? ?? EB 06 8B 1D ?? ?? ?? ?? 48 B8 4B 59 86 38 D6 C5 6D 34 66 89 5F 08 48 F7 E1 48 B8 77 BE 9F 1A 2F DD 24 06 4C 8B C2 49 C1 E8 0B 49 F7 E0 49 8B C0 48 2B C2 48 D1 E8 48 03 C2 48 BA 00 80 C1 2A 21 4E 62 FE 48 C1 E8 09 48 03 D1 48 69 C0 E8 03 00 00 4C 2B C0 48 B8 BD 42 7A E5 D5 94 BF D6 66 44 89 47 04 48 F7 E2 48 C1 EA 17 33 C0 89 17 E9 C9 FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1048_4_0 {
	meta:
		name = "_mbctoupper_l"
		size = 192
		refs = "0015 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0075 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 70 48 63 D9 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 76 6B 48 8B 55 E8 8B C3 88 5D 11 C1 E8 08 88 45 10 0F B6 C0 F6 44 10 19 04 74 65 8B 42 04 48 8B 92 20 02 00 00 C7 44 24 40 01 00 00 00 89 44 24 38 B9 02 00 00 00 48 8D 45 20 89 4C 24 30 48 89 44 24 28 89 4C 24 20 48 8D 4D E0 4C 8D 4D 10 41 B8 00 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 22 0F B6 5D 20 0F B6 45 21 C1 E3 08 03 D8 EB 13 48 8B 4D E8 F6 44 0B 19 20 74 08 0F B6 9C 0B 19 01 00 00 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_1049_1_0 {
	meta:
		name = "_wfreopen_helper"
		size = 240
		refs = "0035 _errno 0041 _invalid_parameter_noinfo 0095 _lock_file 00a4 _fclose_nolock 00c6 _wopenfile 00d1 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 4C 24 20 57 41 56 41 57 48 83 EC 20 49 8B D9 4D 8B F0 48 8B F2 48 8B F9 45 33 FF 41 8B C7 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 90 00 00 00 4C 89 39 41 8B C7 48 85 D2 0F 95 C0 85 C0 74 D8 41 8B C7 4D 85 C0 0F 95 C0 85 C0 74 CB 41 8B C7 48 85 DB 0F 95 C0 85 C0 74 BE 66 44 39 3A 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 EB 4B 48 8B CB E8 ?? ?? ?? ?? 90 F6 43 18 83 74 08 48 8B CB E8 ?? ?? ?? ?? 4C 89 7B 10 4C 89 3B 44 89 7B 18 44 89 7B 08 4C 8B CB 44 8B 44 24 60 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 48 89 07 48 8B CB E8 ?? ?? ?? ?? 4C 39 3F 74 AE 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1049_2_0 {
	meta:
		name = "_wfreopen_helper$fin$0"
		size = 24
		refs = "0013 _unlock_file"
		altNames = "fputws$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 58 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1050_0_0 {
	meta:
		name = "__strncnt"
		size = 35
	strings:
		$1 = { 48 8B C2 48 85 D2 74 10 48 FF C8 80 39 00 74 0B 48 FF C1 48 85 C0 75 F0 48 FF C8 48 2B D0 48 8D 42 FF C3 }
	condition:
		$1
}

rule file_1054_0_0 {
	meta:
		name = "_wctime32"
		size = 107
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0033 __security_check_cookie 0057 _localtime32_s 0065 _wasctime"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB DA 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 C9 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BF }
	condition:
		$1
}

rule file_1355_0_0 {
	meta:
		name = "_ctime32"
		size = 107
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0033 __security_check_cookie 0057 _localtime32_s 0065 asctime"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB DA 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 C9 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BF }
	condition:
		$1
}

rule file_1054_1_0 {
	meta:
		name = "_wctime32_s"
		size = 141
		refs = "000b __security_cookie 0037 _errno 004b _localtime32_s 005f _wasctime_s 0072 _invalid_parameter_noinfo 0081 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 F6 48 8B FA 48 8B D9 48 85 C9 74 41 48 85 D2 74 3C 66 89 31 4D 85 C0 74 34 41 39 30 7D 0C E8 ?? ?? ?? ?? 8D 5E 16 89 18 EB 34 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1055_3_0 {
	meta:
		name = "_wcsxfrm_l"
		size = 352
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0064 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0083 wcsncpy 008b wcslen 00ae __crtLCMapStringW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 41 BC FF FF FF 7F 49 8B F0 48 8B EA 48 8B F9 4D 3B C4 76 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 49 8B C4 E9 F8 00 00 00 45 33 FF 48 85 C9 75 05 4D 85 C0 75 DB 48 85 D2 74 D6 48 8D 4C 24 30 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 74 24 30 49 8B 8E 30 01 00 00 48 85 C9 75 1E 4C 8B C6 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 8B C8 E9 94 00 00 00 41 83 C9 FF 4C 8B C5 BA 00 04 00 00 44 89 7C 24 28 4C 89 7C 24 20 E8 ?? ?? ?? ?? 8B D8 85 C0 75 10 E8 ?? ?? ?? ?? 41 8B DC C7 00 2A 00 00 00 EB 60 3B C6 7F 41 49 8B 8E 30 01 00 00 41 83 C9 FF 4C 8B C5 BA 00 04 00 00 89 74 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 48 63 D8 85 C0 74 C4 48 8B CB FF CB 48 85 C9 74 2A 48 FF C9 0F B6 04 0F 66 89 04 4F 75 F3 EB 1B 48 85 FF 74 14 48 85 F6 74 0F 66 44 89 3F E8 ?? ?? ?? ?? C7 00 22 00 00 00 FF CB 48 63 CB 44 38 7C 24 48 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 48 8B C1 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1056_0_0 {
	meta:
		name = "coshf"
		size = 704
		refs = "0008 __real@3ff0000000000000 0049 __real@3f800000 0059 __real@7e37e43c8800759c 006d _set_statfp 00c1 ??_C@_05NHNGJKPP@coshf?$AA@ 00cb _handle_errorf 00f6 __xmm@80000000000000008000000000000000 00fe __real@40565a9f84f82e63 013d __real@40420fd21b95825f 014b __real@3dcf473de6af278e 0153 __real@3f962e42fe000000 0185 __real@40471547652b82fe 018a splitexp 01d6 __ImageBase 01f3 __real@3d6b4125921ea08b 01ff __real@3de611cb2bdcb7be 020b __real@3e5ae6460fbe61c0 0217 __real@3ec71de3a4e13e7d 0223 __real@3f2a01a01a01ee80 022f __real@3f811111111110fd 023b __real@3fc5555555555555 024a __real@3da9984b7f63fcd7 0257 ?sinh_lead@?1??coshf@@9@9 025f __real@3e21ee56385b7b20 026b __real@3e927e5069f1cb55 0277 __real@3efa01a019079011 0283 __real@3f56c16c16c212e5 028f __real@3fa5555555555502 029b __real@3fe0000000000000 02ac ?cosh_lead@?1??coshf@@9@9"
	strings:
		$1 = { 48 83 EC 58 F2 0F 10 2D ?? ?? ?? ?? 48 BA FF FF FF FF FF FF FF 7F 0F 57 E4 0F 28 C8 F3 0F 5A E1 F2 0F 11 64 24 68 48 8B 4C 24 68 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 10 3F 48 3B C2 73 33 48 85 C0 75 0D F3 0F 10 05 ?? ?? ?? ?? E9 69 02 00 00 0F 28 C4 F2 0F 58 05 ?? ?? ?? ?? 66 0F 2F C5 0F 86 87 00 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? EB D2 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 6C 76 50 C7 44 24 40 01 00 00 00 F3 0F 11 4C 24 68 0F 57 C0 44 8B 44 24 68 41 B9 01 00 00 00 49 0F BA E8 16 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? E9 E7 01 00 00 33 C9 E8 ?? ?? ?? ?? C7 44 24 68 00 00 80 7F F3 0F 10 44 24 68 E9 CD 01 00 00 48 3B C1 74 07 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 35 C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 03 00 00 00 41 B8 00 00 80 7F F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 EB 85 66 0F 2F 25 ?? ?? ?? ?? 0F 82 81 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 48 8D 44 24 78 48 89 44 24 38 48 8D 44 24 70 48 89 44 24 30 48 8D 44 24 60 0F 28 CD 0F 28 C4 48 89 44 24 28 F2 0F 11 54 24 20 F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 4C 24 60 41 FF C9 49 63 C1 44 89 4C 24 60 48 05 FF 03 00 00 48 C1 E0 34 48 89 44 24 68 F2 0F 10 44 24 68 F2 0F 10 54 24 70 F2 0F 58 54 24 78 F2 0F 59 D0 E9 EC 00 00 00 F2 0F 2C C4 66 0F 6E C0 48 63 C8 48 8D 05 ?? ?? ?? ?? F3 0F E6 C0 F2 0F 5C E0 0F 28 CC F2 0F 59 CC 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D4 F2 0F 59 94 C8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 C5 F2 0F 59 84 C8 ?? ?? ?? ?? F2 0F 58 D0 0F 57 C0 F2 0F 5A C2 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_1059_0_0 {
	meta:
		name = "_wctime64"
		size = 108
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0033 __security_check_cookie 0058 _localtime64_s 0066 _wasctime"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 48 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D9 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 C8 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BE }
	condition:
		$1
}

rule file_1176_0_0 {
	meta:
		name = "_ctime64"
		size = 108
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0033 __security_check_cookie 0058 _localtime64_s 0066 asctime"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 48 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D9 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 C8 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BE }
	condition:
		$1
}

rule file_1059_1_0 {
	meta:
		name = "_wctime64_s"
		size = 158
		refs = "000b __security_cookie 0037 _errno 005c _localtime64_s 0070 _wasctime_s 0083 _invalid_parameter_noinfo 0092 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 F6 48 8B FA 48 8B D9 48 85 C9 74 52 48 85 D2 74 4D 66 89 31 4D 85 C0 74 45 49 39 30 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 43 48 B8 FF 6F 40 93 07 00 00 00 49 39 00 7F E3 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1060_0_0 {
	meta:
		name = "__time64_t_from_ft"
		size = 143
		refs = "0007 __security_cookie 0025 __imp_FileTimeToSystemTime 003b __imp_SystemTimeToTzSpecificLocalTime 0073 __loctotime64_t 0086 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 83 39 00 75 06 83 79 04 00 74 5B 48 8D 54 24 50 FF 15 ?? ?? ?? ?? 85 C0 74 4C 4C 8D 44 24 40 48 8D 54 24 50 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 36 83 4C 24 30 FF 0F B7 44 24 4C 44 0F B7 54 24 4A 44 0F B7 4C 24 48 44 0F B7 44 24 46 0F B7 54 24 42 0F B7 4C 24 40 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? EB 04 48 83 C8 FF 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_1060_1_0 {
	meta:
		name = "_copyfinddata64i32"
		size = 147
		refs = "0020 __copy_to_char 0042 strcpy_s 0050 free 008e _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 83 64 24 48 00 48 8B D9 48 8B FA 48 8D 4A 24 48 8D 54 24 48 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B 5C 24 40 48 83 C4 30 5F C3 4C 8B 44 24 48 48 8D 4B 24 BA 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 33 48 8B 4C 24 48 E8 ?? ?? ?? ?? 8B 07 89 03 48 8B 47 08 48 89 43 08 48 8B 47 10 48 89 43 10 48 8B 47 18 48 89 43 18 8B 47 20 89 43 20 B8 01 00 00 00 EB AB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1061_0_0 {
	meta:
		name = "__C_specific_handler"
		size = 481
		refs = "00a5 _pDestructExceptionObject 00b4 _IsNonwritableInCurrentImage 00db _NLG_Notify 0104 __imp_RtlUnwindEx 0109 __NLG_Return2"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 4D 8B 61 08 4D 8B 39 49 8B 59 38 4D 2B FC F6 41 04 66 4D 8B F1 4C 8B EA 48 8B E9 0F 85 DE 00 00 00 41 8B 71 48 48 89 48 C8 4C 89 40 D0 3B 33 0F 83 6D 01 00 00 8B FE 48 03 FF 8B 44 FB 04 4C 3B F8 0F 82 AA 00 00 00 8B 44 FB 08 4C 3B F8 0F 83 9D 00 00 00 83 7C FB 10 00 0F 84 92 00 00 00 83 7C FB 0C 01 74 17 8B 44 FB 0C 48 8D 4C 24 30 49 8B D5 49 03 C4 FF D0 85 C0 78 7D 7E 74 81 7D 00 63 73 6D E0 75 28 48 83 3D ?? ?? ?? ?? 00 74 1E 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0E BA 01 00 00 00 48 8B CD FF 15 ?? ?? ?? ?? 8B 4C FB 10 41 B8 01 00 00 00 49 8B D5 49 03 CC E8 ?? ?? ?? ?? 49 8B 46 40 8B 54 FB 10 44 8B 4D 00 48 89 44 24 28 49 8B 46 28 49 03 D4 4C 8B C5 49 8B CD 48 89 44 24 20 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF C6 E9 35 FF FF FF 33 C0 E9 A8 00 00 00 49 8B 71 20 41 8B 79 48 49 2B F4 E9 89 00 00 00 8B CF 48 03 C9 8B 44 CB 04 4C 3B F8 72 79 8B 44 CB 08 4C 3B F8 73 70 F6 45 04 20 74 44 45 33 C9 85 D2 74 38 45 8B C1 4D 03 C0 42 8B 44 C3 04 48 3B F0 72 20 42 8B 44 C3 08 48 3B F0 73 16 8B 44 CB 10 42 39 44 C3 10 75 0B 8B 44 CB 0C 42 39 44 C3 0C 74 08 41 FF C1 44 3B CA 72 C8 44 3B CA 75 32 8B 44 CB 10 85 C0 74 07 48 3B F0 74 25 EB 17 8D 47 01 49 8B D5 41 89 46 48 44 8B 44 CB 0C B1 01 4D 03 C4 41 FF D0 FF C7 8B 13 3B FA 0F 82 6D FF FF FF B8 01 00 00 00 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1063_0_0 {
	meta:
		name = "_freebuf"
		size = 55
		refs = "001a free"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 41 18 83 48 8B D9 74 22 F6 41 18 08 74 1C 48 8B 49 10 E8 ?? ?? ?? ?? 81 63 18 F7 FB FF FF 33 C0 48 89 03 48 89 43 10 89 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1064_1_0 {
	meta:
		name = "_make__time32_t"
		size = 690
		refs = "0010 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 00a8 _days 00fb __security_check_cookie 01f3 __tzset 01fc _get_dstbias 020d _get_timezone 0224 _localtime32_s 025d _gmtime32_s 0297 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 83 65 C8 00 83 65 C4 00 44 8B CA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 49 14 41 BA 08 04 00 00 8D 41 BB 89 4D C0 41 3B C2 0F 87 8A 00 00 00 44 8B 43 10 41 83 F8 0B 76 3C B8 AB AA AA 2A 41 F7 E8 D1 FA 8B C2 C1 E8 1F 03 D0 03 CA 8D 04 52 89 4D C0 C1 E0 02 44 2B C0 44 89 43 10 45 85 C0 79 0C 41 8D 40 0C FF C9 89 43 10 89 4D C0 8D 41 BB 41 3B C2 77 44 48 63 43 10 48 8D 15 ?? ?? ?? ?? 8B 14 82 F6 C1 03 75 08 83 7B 10 01 7E 02 FF C2 8D 41 FF 69 C9 6D 01 00 00 C1 F8 02 81 C1 21 9C FF FF 03 D0 8B 43 0C 03 CA 8D 0C 01 89 4D C0 78 30 85 C0 78 34 85 C9 79 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 70 5D C3 85 C0 79 04 85 C9 79 D0 44 8D 04 49 41 C1 E0 03 85 C9 74 10 41 8B C0 99 F7 F9 33 C9 83 F8 18 0F 95 C1 EB 02 33 C9 85 C9 75 AE 8B 43 08 42 8D 0C 00 89 4D C0 45 85 C0 78 0A 85 C0 78 0E 85 C9 78 97 EB 08 85 C0 79 04 85 C9 79 8D 44 6B C1 3C 85 C9 74 10 41 8B C0 99 F7 F9 33 C9 83 F8 3C 0F 95 C1 EB 02 33 C9 85 C9 0F 85 6B FF FF FF 8B 43 04 42 8D 0C 00 89 4D C0 45 85 C0 78 0E 85 C0 78 16 85 C9 0F 88 50 FF FF FF EB 0C 85 C0 79 08 85 C9 0F 89 42 FF FF FF 44 6B C1 3C 85 C9 74 10 41 8B C0 99 F7 F9 33 C9 83 F8 3C 0F 95 C1 EB 02 33 C9 85 C9 0F 85 20 FF FF FF 8B 0B 42 8D 04 01 89 45 C0 45 85 C0 78 0E 85 C9 78 16 85 C0 0F 88 06 FF FF FF EB 0C 85 C9 79 08 85 C0 0F 89 F8 FE FF FF 45 85 C9 74 62 E8 ?? ?? ?? ?? 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 0F 85 94 00 00 00 48 8D 4D C4 E8 ?? ?? ?? ?? 85 C0 75 71 8B 45 C4 48 8D 55 C0 48 8D 4D D0 01 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 85 B5 FE FF FF 8B 43 20 85 C0 7F 08 79 30 83 7D F0 00 7E 2A 8B 45 C8 48 8D 55 C0 48 8D 4D D0 01 45 C0 E8 ?? ?? ?? ?? EB 0D 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 0F 85 7C FE FF FF 8B 45 F0 0F 10 45 D0 0F 10 4D E0 0F 11 03 0F 11 4B 10 89 43 20 8B 45 C0 E9 6D FE FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1065_1_0 {
	meta:
		name = "_wgetdcwd"
		size = 333
		refs = "000e __security_cookie 002a _validdrive 0033 __doserrno 003e _errno 0049 _invalid_parameter_noinfo 0053 _getdrive 00b0 __imp_GetFullPathNameW 00e5 calloc 0128 __imp_GetLastError 012f _dosmaperr 013e __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 45 33 F6 41 8B F8 48 8B DA 8B F1 85 C9 74 29 E8 ?? ?? ?? ?? 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? E9 E1 00 00 00 E8 ?? ?? ?? ?? 8B F0 48 85 DB 74 19 85 FF 7F 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D9 8B EF 66 44 89 33 EB 03 41 8B EE 85 F6 74 19 66 83 C6 40 C7 44 24 2A 3A 00 2E 00 66 44 89 74 24 2E 66 89 74 24 28 EB 08 C7 44 24 28 2E 00 00 00 4C 8D 4C 24 20 48 8D 4C 24 28 4C 8B C3 8B D5 FF 15 ?? ?? ?? ?? 85 C0 74 6E 48 85 DB 74 1A 3B C5 7D 05 48 8B C3 EB 6F E8 ?? ?? ?? ?? C7 00 22 00 00 00 66 44 89 33 EB 5C 3B C7 BA 02 00 00 00 0F 4F F8 48 63 CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 EB 2A 4C 8D 4C 24 20 48 8D 4C 24 28 4C 8B C0 8B D7 FF 15 ?? ?? ?? ?? 85 C0 74 04 3B C7 7C 9B FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1066_0_0 {
	meta:
		name = "__common_stan_cout_rare"
		size = 112
	strings:
		$1 = { 48 83 EC 28 33 C0 44 8B 01 44 0F B7 49 02 44 89 44 24 20 41 81 E1 80 7F 00 00 41 C1 E8 18 41 83 E0 7F F3 0F 10 09 41 81 F9 80 7F 00 00 44 88 44 24 23 74 05 48 83 C4 28 C3 81 7C 24 20 00 00 80 7F 75 16 B8 01 00 00 00 66 0F EF C0 F3 0F 59 C8 F3 0F 11 0A 48 83 C4 28 C3 F3 0F 59 C9 F3 0F 11 0A 48 83 C4 28 C3 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1067_0_0 {
	meta:
		name = "__setargv"
		size = 250
		refs = "0011 __mbctype_initialized 0019 __initmbctable 0020 ?_pgmname@?1??__setargv@@9@9 0038 __imp_GetModuleFileNameA 003f _acmdln 0046 _pgmptr 006f parse_cmdline 009f _malloc_crt 00d0 __argv 00d8 __argc 00dd _cwild"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 30 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 41 B8 04 01 00 00 33 C9 48 8B D7 C6 05 ?? ?? ?? ?? 00 FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 85 DB 74 05 80 3B 00 75 03 48 8B DF 48 8D 44 24 48 4C 8D 4C 24 40 45 33 C0 33 D2 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 74 24 40 48 B9 FF FF FF FF FF FF FF 1F 48 3B F1 73 60 48 63 4C 24 48 48 83 F9 FF 73 55 48 8D 14 F1 48 3B D1 72 4C 48 8B CA E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 3C 4C 8D 04 F0 48 8D 44 24 48 4C 8D 4C 24 40 48 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 44 24 40 48 89 3D ?? ?? ?? ?? FF C8 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B C0 EB 03 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1067_2_0 {
	meta:
		name = "parse_cmdline"
		size = 480
		refs = "0085 _ismbblead"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 48 8B 74 24 60 4D 8B E1 49 8B D8 83 26 00 4C 8B FA 48 8B F9 41 C7 01 01 00 00 00 48 85 D2 74 07 48 89 1A 49 83 C7 08 48 85 DB 74 08 8A 01 48 FF C3 41 88 00 FF 06 45 33 F6 80 3F 22 75 13 33 C0 45 85 F6 40 B5 22 0F 94 C0 48 FF C7 44 8B F0 EB 35 FF 06 48 85 DB 74 07 8A 07 88 03 48 FF C3 0F B6 2F 48 FF C7 8B CD E8 ?? ?? ?? ?? 85 C0 74 11 FF 06 48 85 DB 74 07 8A 07 88 03 48 FF C3 48 FF C7 40 84 ED 74 1C 45 85 F6 75 AE 40 80 FD 20 74 06 40 80 FD 09 75 A2 48 85 DB 74 09 C6 43 FF 00 EB 03 48 FF CF 33 ED 80 3F 00 0F 84 E7 00 00 00 80 3F 20 74 05 80 3F 09 75 05 48 FF C7 EB F1 80 3F 00 0F 84 CF 00 00 00 4D 85 FF 74 07 49 89 1F 49 83 C7 08 41 FF 04 24 48 85 DB 74 07 8A 07 88 03 48 FF C3 FF 06 BA 01 00 00 00 33 C9 EB 05 48 FF C7 FF C1 80 3F 5C 74 F6 80 3F 22 75 34 84 CA 75 1D 85 ED 74 0E 48 8D 47 01 80 38 22 75 05 48 8B F8 EB 0B 33 C0 33 D2 85 ED 0F 94 C0 8B E8 D1 E9 EB 0F FF C9 48 85 DB 74 06 C6 03 5C 48 FF C3 FF 06 85 C9 75 ED 8A 07 84 C0 74 49 85 ED 75 08 3C 20 74 41 3C 09 74 3D 85 D2 74 31 0F BE C8 E8 ?? ?? ?? ?? 48 85 DB 74 19 85 C0 74 0C 8A 07 48 FF C7 88 03 48 FF C3 FF 06 8A 07 88 03 48 FF C3 EB 09 85 C0 74 05 48 FF C7 FF 06 FF 06 48 FF C7 E9 61 FF FF FF 48 85 DB 74 06 C6 03 00 48 FF C3 FF 06 E9 10 FF FF FF 4D 85 FF 74 04 49 83 27 00 41 FF 04 24 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1069_0_0 {
	meta:
		name = "_filwbuf"
		size = 403
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 006b _getbuf 008d _fileno 009c _read 00dd __pioinfo 00fd __badioinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 F6 40 32 ED 48 8B F9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 38 01 00 00 8B 41 18 A8 83 0F 84 2D 01 00 00 A8 40 0F 85 25 01 00 00 A8 02 74 0B 83 C8 20 89 41 18 E9 16 01 00 00 83 C8 01 89 41 18 A9 0C 01 00 00 75 07 E8 ?? ?? ?? ?? EB 18 83 79 08 01 75 0B 48 8B 01 BE 01 00 00 00 40 8A 28 48 8B 41 10 48 89 01 48 8B CF E8 ?? ?? ?? ?? 44 8B 47 24 48 8B 57 10 8B C8 E8 ?? ?? ?? ?? 89 47 08 8D 48 01 83 F9 02 0F 86 B3 00 00 00 F6 47 18 82 75 5A 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 38 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 2B 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 4C 8D 35 ?? ?? ?? ?? 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 83 E0 1F 48 6B C8 58 49 03 0C DE EB 07 48 8D 0D ?? ?? ?? ?? 8A 41 08 24 82 3C 82 75 05 0F BA 6F 18 0D 81 7F 24 00 02 00 00 75 16 F6 47 18 08 74 10 F7 47 18 00 04 00 00 75 07 C7 47 24 00 10 00 00 48 8B 0F 85 F6 74 1D 0F B6 11 40 0F B6 C5 66 C1 E2 08 66 0B D0 FF 4F 08 48 8D 41 01 48 89 07 0F B7 C2 EB 26 83 47 08 FE 0F B7 01 48 83 C1 02 48 89 0F EB 16 F7 D8 1B C0 83 E0 10 83 C0 10 09 47 18 83 67 08 00 B8 FF FF 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1070_0_0 {
	meta:
		name = "RoundDoubleToIntegral"
		size = 628
		refs = "0064 fp64_is_inf 0080 fp64_is_denormal"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 54 24 10 56 57 41 54 41 55 41 56 48 83 EC 20 B8 FF 07 00 00 48 8B F2 33 FF 48 C1 EE 20 4D 8B E0 48 8B DA 8B EE 44 8B F1 C1 ED 14 23 E8 3B E8 75 0A 0F BA E6 13 0F 82 0F 02 00 00 41 BD FF FF 0F 00 85 ED 75 0F 41 85 F5 75 0A 39 7C 24 58 0F 84 F6 01 00 00 48 8B CA E8 ?? ?? ?? ?? 85 C0 0F 85 E6 01 00 00 81 FD 33 04 00 00 0F 83 DA 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 EF 00 00 00 81 FD FF 03 00 00 0F 82 E3 00 00 00 8B 44 24 58 44 8D 8D 01 FC FF FF B9 34 00 00 00 41 2B C9 4C 8B D6 48 BB 00 00 00 00 00 00 10 00 4D 23 D5 49 C1 E2 20 4C 0B D0 8B C7 4C 0B D3 4D 8B DA 49 D3 EB 49 8B D3 48 D3 E2 41 8D 49 0C 49 D3 E2 49 D3 EA B9 33 00 00 00 4D 85 D2 0F 95 C0 41 89 04 24 8D 41 CE 44 3B C9 74 06 41 2B C9 48 D3 E0 41 B8 00 00 00 80 45 85 F6 75 0D 4C 3B D0 72 3E 75 23 41 F6 C3 01 EB 1B 41 83 FE 01 75 07 41 85 F0 74 2B EB 0B 41 83 FE 02 75 23 41 85 F0 75 1E 4D 85 D2 74 19 48 8D 14 42 48 B8 00 00 00 00 00 00 20 00 48 3B D0 75 06 41 FF C1 48 8B D3 41 8D 89 FF 03 00 00 48 8B C2 41 23 F0 C1 E1 14 48 C1 E8 20 89 54 24 58 41 23 C5 81 E1 00 00 F0 7F 0B C8 0B CE 89 4C 24 5C 48 8B 44 24 58 E9 E2 00 00 00 45 85 F6 75 64 8B 4C 24 5C 41 B8 00 00 00 80 8B C1 25 00 00 F0 7F 41 85 C8 74 30 3D 00 00 E0 3F 75 1A 41 85 CD 75 06 39 7C 24 58 74 0F 48 BF 00 00 00 00 00 00 F0 BF E9 92 00 00 00 48 BF 00 00 00 00 00 00 00 80 E9 83 00 00 00 3D 00 00 E0 3F 75 7C 41 85 CD 75 06 39 7C 24 58 74 71 48 BF 00 00 00 00 00 00 F0 3F EB 65 41 83 FE 01 75 0C 48 BF 00 00 00 00 00 00 F0 BF EB 3E 41 83 FE 02 75 2E 8B 44 24 5C 41 B8 00 00 00 80 48 BF 00 00 00 00 00 00 F0 3F 41 23 C0 F7 D8 48 B8 00 00 00 00 00 00 10 40 48 1B C9 48 23 C8 48 03 F9 EB 1F 48 BF 00 00 00 00 00 00 00 80 8B 44 24 5C 41 B8 00 00 00 80 41 23 C0 F7 D8 48 1B C9 48 23 F9 41 C7 04 24 01 00 00 00 48 8B C7 EB 07 48 8B C3 41 89 3C 24 48 8B 5C 24 50 48 8B 6C 24 60 48 83 C4 20 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_1070_1_0 {
	meta:
		name = "_XMMI2_FP_Emulation"
		size = 6205
		refs = "0022 __security_cookie 0046 __read_mxcsr 0055 __write_mxcsr 0146 __int_maxsd 0159 __int_minsd 017a __Fill_FPIEEE_RECORD2 020b __int_sqrtsd 038a __int_divsd 039d __int_mulsd 03aa __int_subsd 03b7 __int_addsd 042a __MIN_DOUBLE_NORMAL 04d5 __TWO_TO_768 0ab6 __int_cmpsd 0b75 __int_ucomisd 0b82 __int_comisd 0d59 __int_cvtsd2ss 0de9 __int_cvtss2sd 11b6 __int_cvttsd2si 11bd __int64_cvttsd2si 11d1 __int_cvtsd2si 11df __int64_cvtsd2si 12dd __int_cvtsi2ss 140c fp64_is_snan 1462 fp64_is_denormal 14de RoundDoubleToIntegral 1742 __int_cvttss2si 174b __int_cvtss2si 181b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 45 33 E4 4C 8B F1 45 8B EC 4C 89 65 E0 4C 89 65 D8 41 8B FC 44 89 65 E8 E8 ?? ?? ?? ?? BE 80 1F 00 00 89 45 EC 8B CE E8 ?? ?? ?? ?? 49 8B 4E 20 41 BF FF 0F 00 00 8B 01 44 89 65 F0 41 33 46 10 83 E0 03 31 01 49 8B 4E 20 41 8B 46 14 C1 E0 02 33 01 83 E0 1C 31 01 49 8B 56 20 8B 0A 8B C1 C1 E8 05 41 23 C7 83 F8 5D 0F 87 34 0C 00 00 0F 84 EB 14 00 00 83 F8 58 0F 87 6E 0A 00 00 83 F8 57 0F 83 CF 09 00 00 83 F8 49 0F 82 73 0A 00 00 83 F8 50 0F 86 0A 02 00 00 83 F8 52 0F 86 ED 00 00 00 83 F8 56 0F 87 58 0A 00 00 45 39 66 0C 8D 46 40 0F 45 F0 8B CE E8 ?? ?? ?? ?? 4D 8B 4E 20 41 8B 01 49 8B 49 10 49 8B 51 30 44 8B C0 41 C1 E8 05 45 23 C7 41 83 F8 53 72 25 41 83 F8 54 76 12 41 83 F8 56 77 19 25 1F 05 FE FF 0D 00 05 00 00 EB 0A 25 3F 05 FE FF 0D 20 05 00 00 41 89 01 49 8B 46 20 44 8B 00 41 C1 E8 05 45 23 C7 41 83 E8 28 74 18 41 FF C8 75 0A E8 ?? ?? ?? ?? E9 6B 09 00 00 48 8B 5D E0 E9 65 09 00 00 E8 ?? ?? ?? ?? E9 58 09 00 00 41 BC 02 00 00 00 41 23 FC 74 09 45 84 26 0F 84 94 09 00 00 49 8B CE E8 ?? ?? ?? ?? 85 FF 74 04 45 09 66 04 85 F6 74 0C 49 8B 46 20 83 48 0C 10 45 09 7E 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 49 8B 46 20 48 89 58 50 E9 BF 08 00 00 45 39 66 0C 41 8B 4E 10 B8 C0 1F 00 00 0F 45 F0 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 49 8B 56 20 8B 02 48 8B 4A 10 25 BF 00 FE FF 0D A0 00 00 00 89 02 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 41 BF 01 00 00 00 8B F8 83 E7 3F 8B F7 41 23 F7 74 09 45 84 3E 0F 84 AF 08 00 00 8B C7 41 BC 02 00 00 00 41 23 C4 74 04 45 09 66 04 85 C0 74 09 45 84 26 0F 84 BE 08 00 00 83 E7 20 74 48 41 F6 06 20 75 42 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 44 09 78 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 49 8B 46 20 48 89 58 50 E9 6B 15 00 00 49 8B CE E8 ?? ?? ?? ?? 85 FF 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 85 F6 0F 84 D8 FE FF FF 49 8B 46 20 83 48 0C 10 45 89 7E 04 E9 C7 FE FF FF 48 8B 5A 10 48 8B 7A 30 48 89 5D D0 48 89 7D D8 83 F8 49 72 41 83 F8 4A 76 31 83 F8 4C 76 21 83 F8 4E 76 11 83 F8 50 77 2D 81 E1 9F 00 FE FF 0F BA E9 07 EB 1F 81 E1 7F 00 FE FF 83 C9 60 EB 14 81 E1 5F 00 FE FF 83 C9 40 EB 09 81 E1 3F 00 FE FF 83 C9 20 89 0A 45 39 66 08 B8 80 9F 00 00 0F 45 F0 45 39 66 0C 74 03 83 CE 40 41 8B 4E 10 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 8B 08 C1 E9 05 41 23 CF FF C9 74 39 FF C9 74 28 FF C9 74 17 FF C9 75 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 2B 48 8B 75 E0 EB 2C 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 E0 48 8B F0 E8 ?? ?? ?? ?? 41 BF 01 00 00 00 44 8B E8 41 83 E5 3F 45 84 3E 75 09 45 84 EF 0F 85 FF 06 00 00 41 BC 02 00 00 00 45 84 26 75 09 45 84 EC 0F 85 F3 0C 00 00 41 F6 06 04 75 28 41 F6 C5 04 74 22 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 83 48 0C 08 49 8B 46 20 41 83 4E 04 04 83 48 04 08 E9 D9 06 00 00 8B 55 E4 48 8B 05 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? 8B 4D E0 45 8B C5 41 C1 E8 04 45 23 C7 81 E2 FF FF FF 7F 75 04 85 C9 74 0B 41 3B D1 72 21 75 12 3B C8 72 1B 41 3B D1 75 09 3B C8 75 05 45 3B C7 74 0D 85 D2 75 0E 85 C9 75 0A 45 3B C7 75 05 41 8B C7 EB 03 8B 45 F0 41 F6 06 10 0F 85 86 02 00 00 85 C0 0F 84 7E 02 00 00 E8 ?? ?? ?? ?? 0F BA E0 0F 73 04 0F BA F0 0F 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 49 8B 46 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 FF C9 0F 84 6D 01 00 00 FF C9 0F 84 C3 00 00 00 FF C9 74 53 FF C9 0F 85 F9 01 00 00 48 8B 15 ?? ?? ?? ?? 48 8B CB BE 00 00 F0 7F E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 85 75 D4 75 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 0E 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 8B F8 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 AB 01 00 00 48 8B 15 ?? ?? ?? ?? BE 00 00 F0 7F 85 75 D4 75 1C 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 2F 85 75 DC 75 0D 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 EB 0E 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 3F 01 00 00 8B 45 D4 BE FF 07 00 00 41 BD FF FF 0F 80 C1 E8 14 23 C6 75 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 18 48 C1 EB 20 05 00 06 00 00 41 23 DD C1 E0 14 0B D8 89 5D D4 48 8B 5D D0 8B 45 DC C1 E8 14 23 C6 75 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 18 05 00 06 00 00 48 C1 EF 20 C1 E0 14 41 23 FD 0B F8 89 7D DC 48 8B 45 D8 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E9 9D 00 00 00 8B 45 D4 BE FF 07 00 00 41 BD FF FF 0F 80 C1 E8 14 23 C6 75 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 18 48 C1 EB 20 05 00 06 00 00 41 23 DD C1 E0 14 0B D8 89 5D D4 48 8B 5D D0 8B 45 DC C1 E8 14 23 C6 75 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 18 05 00 06 00 00 48 C1 EF 20 C1 E0 14 41 23 FD 0B F8 89 7D DC 48 8B 45 D8 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 49 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 83 E1 3F F6 C1 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 44 09 60 0C 49 8B 46 20 41 83 4E 04 10 44 09 60 04 41 84 CC E9 B5 02 00 00 41 F6 06 08 0F 85 59 02 00 00 41 F6 C5 08 0F 84 4F 02 00 00 E8 ?? ?? ?? ?? 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 49 8B 46 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 FF C9 0F 84 3D 01 00 00 FF C9 0F 84 85 00 00 00 FF C9 74 50 FF C9 0F 85 D7 01 00 00 48 8B 15 ?? ?? ?? ?? BE 00 00 F0 7F 85 75 DC 75 0D 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 EB 0E 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? E9 8C 01 00 00 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? E9 5B 01 00 00 8B 45 DC BE FF 07 00 00 41 BD 00 00 10 00 C1 E8 14 23 C6 BE 00 00 F0 7F 89 45 E8 8B 45 D4 23 C6 BE 00 00 10 80 3D 00 00 10 60 72 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 14 48 C1 EB 20 23 DE 41 0B DD 83 65 D0 00 89 5D D4 48 8B 5D D0 81 7D E8 01 06 00 00 72 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 14 48 C1 EF 20 23 FE 41 0B FD 83 65 D8 00 89 7D DC 48 8B 45 D8 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E9 AB 00 00 00 8B 45 DC BE FF 07 00 00 41 BD 00 00 10 00 C1 E8 14 23 C6 BE 00 00 F0 7F 89 45 E8 8B 45 D4 23 C6 BE 00 00 10 80 3D 00 00 10 60 72 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 14 48 C1 EB 20 23 DE 41 0B DD 83 65 D0 00 89 5D D4 48 8B 5D D0 81 7D E8 01 06 00 00 72 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 14 48 C1 EF 20 23 FE 41 0B FD 83 65 D8 00 89 7D DC 48 8B 45 D8 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 49 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 83 E1 3F F6 C1 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 83 48 0C 04 49 8B 46 20 41 83 4E 04 08 83 48 04 04 E9 95 FD FF FF 41 F6 06 20 75 77 41 F6 C5 20 74 71 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 44 09 78 04 41 F6 C5 10 74 0D 49 8B 46 20 44 09 60 0C 41 83 4E 04 10 41 F6 C5 08 74 0D 49 8B 46 20 83 48 0C 04 41 83 4E 04 08 45 84 EC 74 04 45 09 66 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 49 8B 46 20 48 89 70 50 E9 1C 0E 00 00 49 8B CE E8 ?? ?? ?? ?? 41 F6 C5 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 41 F6 C5 10 74 0D 49 8B 46 20 44 09 60 0C 41 83 4E 04 10 41 F6 C5 08 74 0D 49 8B 46 20 83 48 0C 04 41 83 4E 04 08 41 F6 C5 04 74 0D 49 8B 46 20 83 48 0C 08 41 83 4E 04 04 45 84 EC 74 04 45 09 66 04 45 84 EF 74 0C 49 8B 46 20 83 48 0C 10 45 09 7E 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 49 8B 46 20 48 89 70 50 45 33 FF E9 86 0D 00 00 45 39 66 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 45 8B 46 18 48 8B 48 10 48 8B 50 30 81 20 FF 00 FE FF 81 08 E0 00 00 00 41 83 E0 07 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 41 BF 01 00 00 00 8B F8 83 E7 3F 8B F7 41 23 F7 0F 84 8A F6 FF FF 45 84 3E 0F 85 81 F6 FF FF 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 83 48 0C 10 49 8B 46 20 45 09 7E 04 83 48 04 10 49 8B 46 20 83 60 60 FE E9 FE 0C 00 00 45 09 66 04 49 8B CE E8 ?? ?? ?? ?? EB E5 83 F8 5A 76 19 83 F8 5B 0F 84 66 0A 00 00 83 F8 5C 0F 84 EC 05 00 00 33 C0 E9 DD 0C 00 00 45 39 66 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 8B 08 48 8B 58 10 48 8B 78 30 C1 E9 05 48 89 5D D0 48 89 7D D8 41 23 CF 83 E9 59 74 11 FF C9 75 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 49 8B 4E 20 41 BF 01 00 00 00 44 8B E8 8B 01 41 83 E5 3F 25 FF 00 FE FF 0D E0 00 00 00 45 8B E5 89 01 45 23 E7 74 09 45 84 3E 0F 84 26 FF FF FF 8B 45 D4 BE 00 00 F0 7F B9 FF FF 0F 00 23 C6 3B C6 75 0B 85 4D D4 75 1A 83 7D D0 00 75 14 8B 45 DC 23 C6 3B C6 75 3E 85 4D DC 75 06 83 7D D8 00 74 33 41 81 66 1C 6F F7 FF FF 41 83 4E 1C 45 49 8B CE E8 ?? ?? ?? ?? 45 85 E4 74 0C 49 8B 46 20 83 48 0C 10 45 09 7E 04 49 8B 46 20 83 60 60 FE E9 5A FE FF FF 41 BC 02 00 00 00 45 23 EC 74 09 45 84 26 0F 84 D6 FE FF FF 45 8B C7 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 83 CE FF 48 89 45 E0 48 C1 E8 20 3B C6 75 0D 39 75 E0 75 08 41 81 66 1C 2A F7 FF FF 45 8B C7 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 E0 48 C1 E8 20 3B C6 75 11 39 75 E0 75 0C 41 81 66 1C 2B F7 FF FF 45 09 7E 1C 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 E0 48 C1 E8 20 3B C6 75 12 39 75 E0 75 0D 41 81 66 1C 6A F7 FF FF 41 83 4E 1C 40 49 8B CE E8 ?? ?? ?? ?? 45 85 ED 0F 84 4D FF FF FF 45 09 66 04 E9 44 FF FF FF 83 F8 63 0F 87 A4 06 00 00 0F 84 CB 05 00 00 83 F8 5E 0F 84 34 04 00 00 0F 86 42 FE FF FF 83 F8 60 0F 86 99 03 00 00 83 F8 62 0F 87 30 FE FF FF 48 8B 5A 10 81 E1 1F 01 FE FF B8 80 9F 00 00 0F BA E9 08 48 89 5D D0 89 0A 45 39 66 08 0F 45 F0 45 39 66 0C 74 03 83 CE 40 41 8B 4E 10 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 41 BF 01 00 00 00 8B D8 8B D0 83 E3 3F 45 84 3E 75 09 41 84 DF 0F 85 62 FD FF FF 41 BC 02 00 00 00 45 84 26 75 16 41 84 DC 74 11 49 8B CE E8 ?? ?? ?? ?? 45 09 66 04 E9 5D FD FF FF 41 F6 06 08 0F 85 BF 00 00 00 F6 C3 08 0F 84 B6 00 00 00 8B 4D D4 44 21 6D D8 83 E2 DF 8B C1 0F BA F1 1E BE 00 00 F0 7F 81 C9 00 00 F0 3F 23 C6 89 4D D4 8B CA 89 45 DC E8 ?? ?? ?? ?? 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B 55 D8 48 8B C8 E8 ?? ?? ?? ?? 49 8B 4E 20 48 89 41 50 E8 ?? ?? ?? ?? 49 8B CE 8B D8 83 E3 3F E8 ?? ?? ?? ?? F6 C3 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 83 48 0C 04 41 8B 46 04 83 C8 08 41 89 46 04 41 84 DC 74 07 41 0B C4 41 89 46 04 49 8B 46 20 83 48 04 04 49 8B 46 20 44 09 78 60 49 8B 4E 20 8B 41 60 83 E0 E3 41 0B C4 89 41 60 E9 9F 09 00 00 44 8B C7 8B CB 41 0F BA F0 1F C1 E9 04 41 8D 40 FF 41 23 CF 3D FE FF 7F 00 76 18 41 81 F8 00 00 80 00 75 05 41 3B CF 74 0A 45 85 C0 75 0A 41 3B CF 75 05 41 8B C7 EB 03 41 8B C5 41 F6 06 10 0F 85 17 01 00 00 85 C0 0F 84 0F 01 00 00 0F BA E2 0F 73 04 0F BA F2 0F 83 E2 DF 8B CA E8 ?? ?? ?? ?? 8B 4D D4 BE 00 00 F0 7F 85 CE 75 63 81 C9 00 00 F0 3F 89 4D D4 48 8B 4D D0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 89 45 D0 48 C1 E8 20 8B C8 23 CE 81 F9 00 00 00 40 75 26 B9 FF FF 0F 00 85 C1 75 1D 44 39 6D D0 75 17 BE 00 00 10 80 44 8D 69 01 23 C6 41 0B C5 83 65 D0 00 89 45 D4 EB 0A 41 BD FF FF 0F 80 44 21 6D D4 48 8B 45 D0 EB 34 44 21 6D D8 8B C1 0F BA F1 1E 81 C9 00 00 F0 3F 23 C6 89 4D D4 48 8B 4D D0 89 45 DC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B 55 D8 48 8B C8 E8 ?? ?? ?? ?? 49 8B 4E 20 48 89 41 50 E8 ?? ?? ?? ?? 49 8B CE 8B D8 83 E3 3F E8 ?? ?? ?? ?? F6 C3 20 74 0D 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 49 8B 46 20 44 09 60 0C 41 8B 46 04 83 C8 10 41 89 46 04 41 84 DC 74 07 41 0B C4 41 89 46 04 49 8B 46 20 44 09 60 04 E9 87 FE FF FF 49 8B 46 20 89 78 50 41 F6 06 20 75 50 F6 C3 20 74 4B 49 8B CE E8 ?? ?? ?? ?? 49 8B 46 20 44 09 78 0C 41 83 4E 04 20 F6 C3 10 74 0D 49 8B 46 20 44 09 60 0C 41 83 4E 04 10 F6 C3 }
	condition:
		$1
}

rule file_1070_3_0 {
	meta:
		name = "__isnand"
		size = 37
	strings:
		$1 = { 41 B8 00 00 F0 7F 8B C2 41 23 C0 41 3B C0 75 12 F7 C2 FF FF 0F 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1070_4_0 {
	meta:
		name = "fp64_is_denormal"
		size = 34
	strings:
		$1 = { 48 8B C1 48 C1 E8 20 A9 00 00 F0 7F 75 11 A9 FF FF 0F 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1070_5_0 {
	meta:
		name = "fp64_is_inf"
		size = 42
	strings:
		$1 = { 41 B8 00 00 F0 7F 48 8B D1 48 C1 EA 20 8B C2 41 23 C0 41 3B C0 75 10 F7 C2 FF FF 0F 00 75 08 85 C9 75 04 8D 41 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1070_6_0 {
	meta:
		name = "fp64_is_qnan"
		size = 32
	strings:
		$1 = { 48 C1 E9 20 BA 00 00 F0 7F 8B C1 23 C2 3B C2 75 0C 0F BA E1 13 73 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1070_7_0 {
	meta:
		name = "fp64_is_snan"
		size = 50
	strings:
		$1 = { 41 B8 00 00 F0 7F 48 8B D1 48 C1 EA 20 8B C2 41 23 C0 41 3B C0 75 18 0F BA E2 13 72 12 F7 C2 FF FF 07 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1070_8_0 {
	meta:
		name = "fp64_is_zero"
		size = 32
	strings:
		$1 = { 48 8B C1 48 C1 E8 20 A9 00 00 F0 7F 75 0F A9 FF FF 0F 00 75 08 85 C9 75 04 8D 41 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1071_3_0 {
	meta:
		name = "?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
		size = 589
		refs = "002d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004d _errno 0058 _invalid_parameter_noinfo 008c _isctype_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 4C 8B E2 48 8B D1 48 8D 48 B8 45 8B F1 4D 8B F8 E8 ?? ?? ?? ?? 4D 85 FF 74 03 4D 89 27 4D 85 E4 74 0E 45 85 F6 74 20 41 8D 46 FE 83 F8 22 76 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 FF E9 B6 01 00 00 41 8A 34 24 4C 8B 44 24 20 33 FF 49 8D 5C 24 01 41 83 B8 D4 00 00 00 01 7E 1A 4C 8D 44 24 20 40 0F B6 CE BA 08 00 00 00 E8 ?? ?? ?? ?? 4C 8B 44 24 20 EB 12 49 8B 80 08 01 00 00 40 0F B6 CE 0F B7 04 48 83 E0 08 85 C0 74 08 40 8A 33 48 FF C3 EB BE 8B AC 24 90 00 00 00 40 80 FE 2D 75 05 83 CD 02 EB 06 40 80 FE 2B 75 06 40 8A 33 48 FF C3 45 85 F6 75 24 40 80 FE 30 74 08 41 BE 0A 00 00 00 EB 32 8A 03 2C 58 A8 DF 74 08 41 BE 08 00 00 00 EB 22 41 BE 10 00 00 00 41 83 FE 10 75 16 40 80 FE 30 75 10 8A 03 2C 58 A8 DF 75 08 40 8A 73 01 48 83 C3 02 4D 8B A8 08 01 00 00 4D 63 D6 33 D2 48 83 C8 FF 49 F7 F2 4C 8B DA 4C 8B C8 40 0F B6 CE 45 0F B7 44 4D 00 41 8B C8 83 E1 04 74 09 40 0F BE D6 83 EA 30 EB 1A 41 81 E0 03 01 00 00 74 2F 8D 46 9F 40 0F BE D6 3C 19 77 03 83 EA 20 83 C2 C9 41 3B D6 73 19 83 CD 08 49 3B F9 72 25 75 07 8B C2 49 3B C3 76 1C 83 CD 04 4D 85 FF 75 20 48 FF CB 40 F6 C5 08 75 1F 4D 85 FF 49 0F 45 DC 33 FF EB 70 49 8B CA 48 0F AF CF 8B FA 48 03 F9 40 8A 33 48 FF C3 EB 85 48 BE FF FF FF FF FF FF FF 7F 40 F6 C5 04 75 25 40 F6 C5 01 75 46 8B C5 83 E0 02 74 0F 48 B9 00 00 00 00 00 00 00 80 48 3B F9 77 09 85 C0 75 2C 48 3B FE 76 27 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 74 06 48 83 CF FF EB 10 40 8A C5 24 02 F6 D8 48 1B FF 48 F7 DF 48 03 FE 4D 85 FF 74 03 49 89 1F 40 F6 C5 02 74 03 48 F7 DF 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 4C 8D 5C 24 40 48 8B C7 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1071_4_0 {
	meta:
		name = "_strtof_l"
		size = 31
		refs = "0010 __crt_atoflt_l"
	strings:
		$1 = { 48 83 EC 28 4C 8B CA 48 8B D1 48 8D 4C 24 48 E8 ?? ?? ?? ?? F3 0F 10 44 24 48 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1071_14_0 {
	meta:
		name = "strtof"
		size = 34
		refs = "0013 __crt_atoflt_l"
	strings:
		$1 = { 48 83 EC 28 4C 8B CA 48 8B D1 48 8D 4C 24 40 45 33 C0 E8 ?? ?? ?? ?? F3 0F 10 44 24 40 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1074_0_0 {
	meta:
		name = "strtok_s"
		size = 283
		refs = "000d __security_cookie 002a _errno 0035 _invalid_parameter_noinfo 0044 __security_check_cookie 0116 __report_rangecheckfailure"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 33 FF 4D 8B D8 48 8B DA 4C 8B D1 4D 85 C0 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 50 5F C3 48 85 D2 74 D1 48 85 C9 75 05 49 39 38 74 C7 48 8B C7 48 83 F8 20 0F 83 A6 00 00 00 40 88 7C 04 20 48 FF C0 48 83 F8 20 7C EC 44 0F B6 0B BA 01 00 00 00 48 FF C3 41 8B C9 45 8B C1 83 E1 07 49 C1 E8 03 D2 E2 42 08 54 04 20 45 84 C9 75 DB 4D 85 D2 75 0D 4D 8B 13 EB 08 45 84 C0 74 21 49 FF C2 45 0F B6 02 BA 01 00 00 00 41 8B C8 41 8B C0 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 75 DA 4D 8B CA EB 1F 45 0F B6 02 BA 01 00 00 00 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 75 0A 49 FF C2 41 38 3A 75 DC EB 06 41 88 3A 49 FF C2 4D 3B CA 4D 89 13 4C 0F 44 CF 49 8B C1 E9 26 FF FF FF E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1075_0_0 {
	meta:
		name = "__timet_from_ft"
		size = 142
		refs = "0007 __security_cookie 0025 __imp_FileTimeToSystemTime 003b __imp_SystemTimeToTzSpecificLocalTime 0073 __loctotime32_t 0085 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 83 39 00 75 06 83 79 04 00 74 5B 48 8D 54 24 50 FF 15 ?? ?? ?? ?? 85 C0 74 4C 4C 8D 44 24 40 48 8D 54 24 50 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 36 83 4C 24 30 FF 0F B7 44 24 4C 44 0F B7 54 24 4A 44 0F B7 4C 24 48 44 0F B7 44 24 46 0F B7 54 24 42 0F B7 4C 24 40 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? EB 03 83 C8 FF 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_1075_1_0 {
	meta:
		name = "_copyfinddata32"
		size = 141
		refs = "0020 __copy_to_char 0042 strcpy_s 0050 free 0088 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 83 64 24 48 00 48 8B D9 48 8B FA 48 8D 4A 14 48 8D 54 24 48 E8 ?? ?? ?? ?? 85 C0 75 0B 48 8B 5C 24 40 48 83 C4 30 5F C3 4C 8B 44 24 48 48 8D 4B 14 BA 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 2D 48 8B 4C 24 48 E8 ?? ?? ?? ?? 8B 07 89 03 8B 47 04 89 43 04 8B 47 08 89 43 08 8B 47 0C 89 43 0C 8B 47 10 89 43 10 B8 01 00 00 00 EB B1 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1075_2_0 {
	meta:
		name = "_findclose"
		size = 37
		refs = "0006 __imp_FindClose 000f _errno"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1077_1_0 {
	meta:
		name = "perror"
		size = 173
		refs = "0015 __lock_fhandle 0028 strlen 0035 _write_nolock 003f ??_C@_02LMMGGCAJ@?3?5?$AA@ 004b _errno 0056 __sys_nerr 0066 __sys_errlist 008f ??_C@_01EEMJAFIK@?6?$AA@ 009e _unlock_fhandle"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 BF 02 00 00 00 8B CF E8 ?? ?? ?? ?? 90 48 85 DB 74 2B 80 3B 00 74 26 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 8B CF E8 ?? ?? ?? ?? 44 8B C7 48 8D 15 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 18 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 48 8B 1C C8 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 8B CF E8 ?? ?? ?? ?? 41 B8 01 00 00 00 48 8D 15 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 90 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1077_2_0 {
	meta:
		name = "perror$fin$0"
		size = 25
		refs = "0014 _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 02 00 00 00 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1078_0_0 {
	meta:
		name = "__avx_cosh4"
		size = 720
		refs = "000a __common_dcosh_data 02bb __common_dcosh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 05 ?? ?? ?? ?? C5 7C 11 B4 24 70 01 00 00 C5 7C 11 A4 24 30 01 00 00 C5 7C 11 94 24 50 01 00 00 C5 7C 11 8C 24 F0 01 00 00 C5 7C 11 84 24 D0 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 90 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 CF 00 00 00 C5 FD 10 15 ?? ?? ?? ?? 49 83 E5 C0 C5 FD 10 1D ?? ?? ?? ?? C5 78 10 15 ?? ?? ?? ?? C5 F9 10 2D ?? ?? ?? ?? C5 ED 55 E0 C5 DD 59 3D ?? ?? ?? ?? C5 C5 58 F3 C5 F1 73 D2 0B C4 C3 7D 19 D6 01 C4 C1 69 73 D6 0B C4 C3 7D 19 E1 01 C4 C3 7D 19 F6 01 C4 41 58 C6 E1 DD C4 C1 48 C6 FE 88 C5 19 66 05 ?? ?? ?? ?? C5 41 DB 0D ?? ?? ?? ?? C4 C1 78 50 D0 C4 C1 39 72 F1 03 C5 79 7E C1 C4 41 29 FA D1 C4 C1 19 72 F2 03 C4 41 79 7E E3 48 63 C9 C4 43 79 16 C0 01 4D 63 C0 C4 43 79 16 C1 02 4D 63 C9 C5 FB 10 3C 01 C4 41 41 16 14 00 C4 43 79 16 E0 02 C4 41 7B 10 0C 01 4D 63 C0 C4 43 79 16 E1 03 4D 63 C9 C4 63 79 16 E1 01 C4 C1 7B 10 3C 00 4D 63 DB C4 41 41 16 24 01 C5 CD 5C FB C5 C5 59 1D ?? ?? ?? ?? C5 C5 59 3D ?? ?? ?? ?? C5 DD 5C DB C5 D9 73 F6 2C C4 C1 49 73 F6 2C C5 D9 DB E5 C5 C9 DB ED C4 43 79 16 C2 03 48 63 C9 4D 63 D2 C4 41 7B 10 04 03 C5 E5 5C DF C5 39 16 04 01 C4 41 31 16 0C 02 C5 29 D4 F4 C5 B9 FB E4 C5 31 D4 CD C5 99 FB ED C5 D9 FB C9 C5 D1 FB D2 C5 E5 59 FB C5 45 59 15 ?? ?? ?? ?? C5 2D 58 25 ?? ?? ?? ?? C4 43 0D 18 C9 01 C4 E3 75 18 E2 01 C5 35 5C C4 C5 B5 58 D4 C5 45 59 0D ?? ?? ?? ?? C5 9D 59 FF C5 B5 59 F3 C5 45 59 F2 C5 CD 58 DB C4 C1 65 59 C8 C5 8D 58 D9 C5 E5 58 CA 85 D2 75 53 C5 FC 10 B4 24 90 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 84 24 D0 01 00 00 C5 7C 10 8C 24 F0 01 00 00 C5 7C 10 94 24 50 01 00 00 C5 7C 10 A4 24 30 01 00 00 C5 7C 10 B4 24 70 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 9F 33 C0 C5 7C 11 5C 24 60 C5 7C 11 6C 24 40 C5 7C 11 7C 24 20 48 89 9C 24 88 00 00 00 8B D8 48 89 B4 24 80 00 00 00 8B F2 0F A3 DE 72 34 FF C3 83 FB 20 7C F4 C5 7C 10 5C 24 60 C5 7C 10 6C 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 88 00 00 00 48 8B B4 24 80 00 00 00 E9 3E FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB B8 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1080_0_0 {
	meta:
		name = "_wspawnv"
		size = 71
		refs = "000d _errno 0018 _invalid_parameter_noinfo 0043 _wspawnve"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 66 44 39 0A 74 E1 4D 85 C0 74 DC 49 8B 00 48 85 C0 74 D4 66 44 39 08 74 CE 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1081_6_0 {
	meta:
		name = "_vcprintf_l"
		size = 2478
		refs = "0022 __security_cookie 005d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0062 _errno 00a3 __lookuptable 01dc __nullstring 01e4 strlen 022b __wnullstring 0269 wctomb_s 0397 _get_printf_count_output 0505 _malloc_crt 0527 _cfltcvt_tab 053c __imp_DecodePointer 0630 write_multi_char 0645 write_string 071f free 076e __security_check_cookie 082e _isleadbyte_l 083f _putch_nolock 099f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FE FF FF 48 81 EC D0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C8 01 00 00 33 C0 48 8B F1 48 8D 4D 98 4D 8B E8 89 44 24 64 44 8B F0 89 44 24 58 44 8B E0 89 44 24 4C 89 44 24 68 89 44 24 60 8B D8 89 44 24 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 41 83 C8 FF 45 33 D2 48 89 45 80 48 85 F6 0F 84 19 09 00 00 44 8A 3E 41 8B FA 44 89 54 24 50 44 89 54 24 48 44 89 54 24 44 41 8B D2 4C 89 54 24 70 45 84 FF 0F 84 B0 06 00 00 4C 8D 0D ?? ?? ?? ?? 41 BB 00 02 00 00 48 FF C6 48 89 75 88 85 FF 0F 88 94 06 00 00 41 8D 47 E0 3C 58 77 0F 49 0F BE C7 42 0F BE 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C2 48 63 C9 48 8D 14 C8 42 0F BE 14 0A C1 FA 04 89 54 24 5C 8B CA 85 D2 0F 84 2A 07 00 00 FF C9 0F 84 20 08 00 00 FF C9 0F 84 C8 07 00 00 FF C9 0F 84 84 07 00 00 FF C9 0F 84 74 07 00 00 FF C9 0F 84 37 07 00 00 FF C9 0F 84 67 06 00 00 FF C9 0F 85 16 06 00 00 41 0F BE CF 83 F9 64 0F 8F 86 01 00 00 0F 84 87 02 00 00 83 F9 41 0F 84 4C 01 00 00 83 F9 43 0F 84 E9 00 00 00 8D 41 BB A9 FD FF FF FF 0F 84 35 01 00 00 83 F9 53 0F 84 83 00 00 00 83 F9 58 0F 84 E6 01 00 00 83 F9 5A 74 17 83 F9 61 0F 84 21 01 00 00 83 F9 63 0F 84 C0 00 00 00 E9 3C 04 00 00 49 8B 45 00 49 83 C5 08 48 85 C0 74 3D 48 8B 58 08 48 85 DB 74 34 0F BF 00 41 0F BA E6 0B 73 19 99 41 BF 01 00 00 00 2B C2 44 89 7C 24 40 D1 F8 89 44 24 44 E9 08 04 00 00 45 8B FA 44 89 54 24 40 89 44 24 44 E9 F7 03 00 00 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E9 D7 03 00 00 41 F7 C6 30 08 00 00 75 05 41 0F BA EE 0B 49 8B 5D 00 45 3B E0 41 8B C4 B9 FF FF FF 7F 0F 44 C1 49 83 C5 08 41 F7 C6 10 08 00 00 0F 84 07 01 00 00 48 85 DB 41 BF 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 44 89 7C 24 40 48 8B CB E9 D6 00 00 00 41 F7 C6 30 08 00 00 75 05 41 0F BA EE 0B 49 83 C5 08 41 F7 C6 10 08 00 00 74 27 45 0F B7 4D F8 48 8D 55 C0 48 8D 4C 24 44 4D 8B C3 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 19 C7 44 24 60 01 00 00 00 EB 0F 41 8A 45 F8 C7 44 24 44 01 00 00 00 88 45 C0 48 8D 5D C0 E9 35 03 00 00 C7 44 24 68 01 00 00 00 41 80 C7 20 41 83 CE 40 48 8D 5D C0 41 8B F3 45 85 E4 0F 89 23 02 00 00 41 BC 06 00 00 00 E9 5F 02 00 00 83 F9 67 7E DC 83 F9 69 0F 84 F9 00 00 00 83 F9 6E 0F 84 B6 00 00 00 83 F9 6F 0F 84 9D 00 00 00 83 F9 70 74 68 83 F9 73 0F 84 0C FF FF FF 83 F9 75 0F 84 D4 00 00 00 83 F9 78 0F 85 CA 02 00 00 8D 41 AF EB 58 FF C8 66 44 39 11 74 08 48 83 C1 02 85 C0 75 F0 48 2B CB 48 D1 F9 89 4C 24 44 E9 AB 02 00 00 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B CB EB 0A FF C8 44 38 11 74 07 48 FF C1 85 C0 75 F2 2B CB 89 4C 24 44 E9 7D 02 00 00 41 BC 10 00 00 00 41 0F BA EE 0F B8 07 00 00 00 89 44 24 64 41 B9 10 00 00 00 45 84 F6 79 65 04 51 C6 44 24 54 30 41 8D 51 F2 88 44 24 55 EB 58 41 B9 08 00 00 00 45 84 F6 79 49 45 0B F3 EB 44 49 8B 7D 00 49 83 C5 08 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 ED 05 00 00 8B 44 24 50 41 F6 C6 20 74 05 66 89 07 EB 02 89 07 8B 7C 24 50 C7 44 24 60 01 00 00 00 E9 49 03 00 00 41 83 CE 40 41 B9 0A 00 00 00 8B 54 24 4C B8 00 80 00 00 44 85 F0 75 07 41 0F BA E6 0C 73 0A 4D 8B 45 00 49 83 C5 08 EB 2E 49 83 C5 08 41 F6 C6 20 74 14 41 F6 C6 40 74 07 4D 0F BF 45 F8 EB 17 45 0F B7 45 F8 EB 10 41 F6 C6 40 74 06 4D 63 45 F8 EB 04 45 8B 45 F8 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 44 85 F0 75 0A 41 0F BA E6 0C 72 03 45 8B C0 45 85 E4 79 08 41 BC 01 00 00 00 EB 0B 41 83 E6 F7 45 3B E3 45 0F 4F E3 8B 7C 24 64 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 41 8B CC 41 FF CC 85 C9 7F 05 4D 85 C0 74 1F 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 02 03 C7 88 03 48 FF CB EB D2 8B 7C 24 50 48 8D 85 BF 01 00 00 2B C3 48 FF C3 89 44 24 44 45 85 F3 0F 84 0E 01 00 00 85 C0 74 09 80 3B 30 0F 84 01 01 00 00 48 FF CB FF 44 24 44 C6 03 30 E9 F2 00 00 00 75 0E 41 80 FF 67 75 3F 41 BC 01 00 00 00 EB 37 45 3B E3 45 0F 4F E3 41 81 FC A3 00 00 00 7E 27 41 8D BC 24 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 44 24 70 48 85 C0 74 07 48 8B D8 8B F7 EB 06 41 BC A3 00 00 00 49 8B 45 00 48 8B 0D ?? ?? ?? ?? 49 83 C5 08 41 0F BE FF 48 63 F6 48 89 45 90 FF 15 ?? ?? ?? ?? 48 8D 4D 98 44 8B CF 48 89 4C 24 30 8B 4C 24 68 4C 8B C6 89 4C 24 28 48 8D 4D 90 48 8B D3 44 89 64 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1B 45 85 E4 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 98 48 8B CB FF D0 41 80 FF 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 98 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 7C 24 50 45 33 D2 89 44 24 44 44 8B 7C 24 40 44 39 54 24 60 0F 85 36 01 00 00 41 F6 C6 40 74 31 41 0F BA E6 08 73 07 C6 44 24 54 2D EB 0B 41 F6 C6 01 74 10 C6 44 24 54 2B BF 01 00 00 00 89 7C 24 4C EB 11 41 F6 C6 02 74 07 C6 44 24 54 20 EB E8 8B 7C 24 4C 8B 74 24 58 2B 74 24 44 2B F7 41 F6 C6 0C 75 0E 4C 8D 44 24 48 8B D6 B1 20 E8 ?? ?? ?? ?? 4C 8B 4D 80 4C 8D 44 24 48 48 8D 4C 24 54 8B D7 E8 ?? ?? ?? ?? 41 F6 C6 08 74 14 41 F6 C6 04 75 0E 4C 8D 44 24 48 8B D6 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 44 45 85 FF 74 64 85 FF 7E 60 4C 8B FB 45 0F B7 0F 48 8D 95 C0 01 00 00 48 8D 4C 24 78 41 B8 06 00 00 00 FF CF 49 83 C7 02 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 26 8B 54 24 78 85 D2 74 1E 4C 8B 4D 80 4C 8D 44 24 48 48 8D 8D C0 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 85 FF 75 B4 EB 25 83 C9 FF 8B F9 89 4C 24 50 89 4C 24 48 EB 1E 4C 8B 4D 80 4C 8D 44 24 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 8B 7C 24 48 89 7C 24 50 85 FF 78 1F 41 F6 C6 04 74 19 4C 8D 44 24 48 8B D6 B1 20 E8 ?? ?? ?? ?? 8B 7C 24 48 45 33 D2 89 7C 24 50 48 8B 44 24 70 48 85 C0 74 10 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4C 89 54 24 70 8B 54 24 5C 48 8B 75 88 4C 8D 0D ?? ?? ?? ?? 41 BB 00 02 00 00 41 83 C8 FF 44 8A 3E 45 84 FF 0F 85 5D F9 FF FF 8B C7 44 38 55 B0 74 0B 48 8B 4D A8 83 A1 C8 00 00 00 FD 48 8B 8D C8 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 18 03 00 00 48 81 C4 D0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 80 FF 49 74 37 41 80 FF 68 74 28 41 80 FF 6C 74 0D 41 80 FF 77 75 9F 41 0F BA EE 0B EB 98 80 3E 6C 75 0A 48 FF C6 41 0F BA EE 0C EB 89 41 83 CE 10 EB 83 41 83 CE 20 E9 7A FF FF FF 8A 06 41 0F BA EE 0F 3C 36 75 14 80 7E 01 34 75 0E 48 83 C6 02 41 0F BA EE 0F E9 5B FF FF FF 3C 33 75 14 80 7E 01 32 75 0E 48 83 C6 02 41 0F BA F6 0F E9 43 FF FF FF 2C 58 3C 20 77 14 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 0F 82 29 FF FF FF 44 89 54 24 5C 48 8D 55 98 41 0F B6 CF 44 89 54 24 40 E8 ?? ?? ?? ?? 85 C0 0F 84 15 01 00 00 41 0F BE CF E8 ?? ?? ?? ?? 83 C9 FF 3B C1 0F 85 F4 00 00 00 8B F9 E9 EF 00 00 00 41 80 FF 2A 75 19 45 8B 65 00 49 83 C5 08 45 85 E4 0F 89 D8 FE FF FF 45 8B E0 E9 D0 FE FF FF 47 8D 24 A4 41 0F BE C7 45 8D 64 24 E8 46 8D 24 60 E9 BA FE FF FF 45 8B E2 E9 B2 FE FF FF 41 80 FF 2A 75 1C 41 8B 45 00 49 83 C5 08 89 44 24 58 85 C0 0F 89 98 FE FF FF 41 83 CE 04 F7 D8 EB 11 8B 44 24 58 8D 0C 80 41 0F BE C7 8D 04 48 83 C0 D0 89 44 24 58 E9 76 FE FF FF 41 80 FF 20 74 41 41 80 FF 23 74 31 41 80 FF 2B 74 22 41 80 FF 2D 74 13 41 80 FF 30 0F 85 54 FE FF FF 41 83 CE 08 E9 4B FE FF FF 41 83 CE 04 E9 42 FE FF FF 41 83 CE 01 E9 39 FE FF FF 41 0F BA EE 07 E9 2F FE FF FF 41 83 CE 02 E9 26 FE FF FF 44 89 54 24 68 44 89 54 24 60 44 89 54 24 58 44 89 54 24 4C 45 8B F2 45 8B E0 44 89 54 24 40 E9 02 FE FF FF FF C7 44 8A 3E 48 FF C6 45 84 FF 74 44 41 0F BE CF E8 ?? ?? ?? ?? 8B 54 24 5C 41 83 C8 FF 41 BB 00 02 00 00 4C 8D 0D ?? ?? ?? ?? 41 3B C0 75 15 41 8B F8 44 89 44 24 50 44 89 44 24 48 45 33 D2 E9 BD FD FF FF FF C7 89 7C 24 50 89 7C 24 48 EB EC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 45 33 D2 E9 A4 FD FF FF }
	condition:
		$1
}

rule file_1082_0_0 {
	meta:
		name = "_wmkdir"
		size = 49
		refs = "0008 __imp_CreateDirectoryW 0012 __imp_GetLastError 0021 _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1083_0_0 {
	meta:
		name = "log2"
		size = 879
		refs = "007f ??_C@_04KGLCPMCP@log2?$AA@ 0089 _handle_error 015a __real@3ff0000000000000 0185 __real@4000000000000000 01b0 __real@3f3c8034c85dfff0 01b8 __real@3f62492307f1519f 01c4 __real@3f89999999bac6d4 01d4 __real@3fb55555555554e6 01e7 __real@3ff7154400000000 01ef __real@3ecb295c17f0bbbe 0248 __real@03d0000000000000 026c __ImageBase 02c4 ?ln_lead_table@?1??log2@@9@9 02d0 __real@3f80000000000000 02df __real@3fe0000000000000 0301 __real@3f6249423bd94741 0309 __real@3f89999999865ede 0315 __real@3fb5555555555557 033e ?ln_tail_table@?1??log2@@9@9"
	strings:
		$1 = { 48 83 EC 68 48 B9 00 00 00 00 00 00 F0 7F F2 0F 11 44 24 70 0F 29 74 24 50 48 8B 54 24 70 0F 28 E8 48 8B C2 48 23 C1 48 3B C1 0F 85 A8 00 00 00 48 B9 FF FF FF FF FF FF 0F 00 48 85 D1 74 53 C7 44 24 40 01 00 00 00 0F 57 C0 48 B8 00 00 00 00 00 00 08 00 48 0B D0 45 33 C0 F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 21 00 00 00 44 89 44 24 20 4C 8B C2 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 1A 00 00 00 E8 ?? ?? ?? ?? E9 D3 02 00 00 48 B8 00 00 00 00 00 00 00 80 48 85 D0 0F 84 C0 02 00 00 C7 44 24 40 01 00 00 00 0F 57 C0 49 B8 00 00 00 00 00 00 F8 FF F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB 9E 48 B8 FF FF FF FF FF FF FF 7F 48 85 D0 75 3C C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 02 00 00 00 49 B8 00 00 00 00 00 00 F0 FF F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 E9 59 FF FF FF 48 B8 00 00 00 00 00 00 00 80 48 85 D0 0F 85 6F FF FF FF 48 B8 00 00 00 00 56 F0 11 C0 48 B9 00 00 00 00 82 F8 02 00 48 03 C2 48 3B C1 0F 87 C1 00 00 00 F2 0F 5C 2D ?? ?? ?? ?? 48 B9 00 00 00 00 FF FF FF FF 0F 28 C5 0F 28 CD F2 0F 11 6C 24 70 48 8B 44 24 70 48 23 C1 48 89 44 24 70 F2 0F 58 05 ?? ?? ?? ?? F2 0F 10 64 24 70 F2 0F 5E C8 0F 28 D1 F2 0F 58 C9 F2 0F 59 D5 0F 28 C1 F2 0F 5C EC F2 0F 59 C1 0F 28 D8 F2 0F 59 1D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 C1 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C DA 0F 28 D4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 DD 0F 28 C3 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C2 F2 0F 58 C3 E9 4A 01 00 00 48 B8 00 00 00 00 00 00 10 00 48 3B D0 73 33 48 B8 00 00 00 00 00 00 D0 03 41 B8 3C 00 00 00 48 0B D0 48 89 54 24 70 F2 0F 10 44 24 70 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 11 44 24 70 48 8B 54 24 70 EB 03 45 33 C0 48 8B C2 48 B9 FF FF FF FF FF FF 0F 00 4C 8D 0D ?? ?? ?? ?? 48 23 C1 48 B9 00 00 00 00 00 00 E0 3F 48 0B C1 48 8B CA 48 89 44 24 70 48 8B C2 48 C1 E9 2E 83 E1 3F 48 C1 E8 2D 48 C1 EA 34 F2 0F 10 54 24 70 83 E0 01 83 C9 40 81 E2 FF 07 00 00 03 C8 41 2B D0 48 63 C1 81 EA FF 03 00 00 66 0F 6E C9 F2 41 0F 10 B4 C1 ?? ?? ?? ?? F3 0F E6 C9 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D1 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 5E D0 66 0F 6E C2 F3 0F E6 C0 0F 28 CA F2 0F 59 CA 0F 28 E9 F2 0F 59 2D ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 0F 28 CE F2 0F 59 35 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 EA F2 41 0F 58 AC C1 ?? ?? ?? ?? F2 0F 58 C1 0F 28 E5 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 E6 F2 0F 58 E5 F2 0F 58 C4 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_1084_0_0 {
	meta:
		name = "wcsncpy_s"
		size = 204
		refs = "0038 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 66 89 19 EB E8 4D 85 C0 75 1C 66 89 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B D9 4C 8B D2 49 83 F9 FF 75 1C 4D 2B D8 41 0F B7 00 66 43 89 04 03 4D 8D 40 02 66 85 C0 74 2F 49 FF CA 75 E9 EB 28 4C 2B C1 43 0F B7 04 18 66 41 89 03 4D 8D 5B 02 66 85 C0 74 0A 49 FF CA 74 05 49 FF C9 75 E4 4D 85 C9 75 04 66 41 89 1B 4D 85 D2 0F 85 6E FF FF FF 49 83 F9 FF 75 0B 66 89 5C 51 FE 41 8D 42 50 EB 90 66 89 19 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 75 FF FF FF }
	condition:
		$1
}

rule file_1087_3_0 {
	meta:
		name = "_isctype"
		size = 34
		refs = "0002 __locale_changed 000c __initiallocinfo 001e _isctype_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 48 8B 05 ?? ?? ?? ?? 48 63 C9 0F B7 04 48 23 C2 C3 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1087_4_0 {
	meta:
		name = "_isctype_l"
		size = 219
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isleadbyte_l 0096 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 74 24 10 55 57 41 56 48 8B EC 48 83 EC 60 48 63 F9 44 8B F2 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 8D 47 01 3D 00 01 00 00 77 11 48 8B 45 E0 48 8B 88 08 01 00 00 0F B7 04 79 EB 79 8B F7 48 8D 55 E0 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? BA 01 00 00 00 85 C0 74 12 40 88 75 38 40 88 7D 39 C6 45 3A 00 44 8D 4A 01 EB 0B 40 88 7D 38 C6 45 39 00 44 8B CA 48 8B 45 E0 89 54 24 30 4C 8D 45 38 8B 48 04 48 8D 45 20 89 4C 24 28 48 8D 4D E0 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 14 38 45 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 18 0F B7 45 20 41 23 C6 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B B4 24 88 00 00 00 48 83 C4 60 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_1088_4_0 {
	meta:
		name = "_mbsnbcpy_l"
		size = 241
		refs = "0028 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0041 _errno 004c _invalid_parameter_noinfo 0069 strncpy 00b1 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B D9 48 8B E9 48 8B F2 48 8D 48 D8 49 8B D1 49 8B F8 E8 ?? ?? ?? ?? 48 85 DB 75 05 48 85 FF 75 0A 48 85 F6 75 19 48 85 FF 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 ED EB 61 48 8B 4C 24 28 83 79 08 00 75 13 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 EB 43 48 85 FF 74 3E 0F B6 06 48 FF CF F6 44 08 19 04 88 03 74 5A 48 85 FF 74 61 8A 46 01 48 83 C3 02 48 FF CF 88 43 FF 48 83 C6 02 84 C0 75 D2 88 43 FE 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 60 48 8B C5 48 8B 6C 24 58 48 83 C4 40 5F C3 48 FF C3 48 FF C6 84 C0 74 B9 EB 86 C6 03 00 EB C4 }
	condition:
		$1
}

rule file_1091_4_0 {
	meta:
		name = "_mbsnbset_l"
		size = 242
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _strnset 0053 _errno 005e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B D9 48 8B E9 8B F2 48 8D 48 D8 49 8B D1 49 8B F8 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 00 75 12 4C 8B C7 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 EB 7F 48 85 DB 75 19 48 85 FF 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 ED EB 61 8B CE C1 E9 08 84 C9 74 53 40 84 F6 75 34 E8 ?? ?? ?? ?? B1 20 C7 00 16 00 00 00 40 8A F1 EB 22 80 3B 00 74 3C 48 8D 47 FF 48 83 EF 02 48 85 C0 74 17 80 7B 01 00 74 11 88 0B 40 88 73 01 48 83 C3 02 48 85 FF 75 D9 EB 18 C6 03 20 EB 13 48 FF CF 80 3B 00 74 0B 40 88 33 48 FF C3 48 85 FF 75 ED 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 60 48 8B C5 48 8B 6C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1093_4_0 {
	meta:
		name = "_ismbcdigit_l"
		size = 206
		refs = "0016 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0062 __crtGetStringTypeA 0095 _isctype_l"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 F6 81 FF FF 00 00 00 76 56 8B C7 89 75 30 40 88 7D 21 C1 E8 08 88 45 20 48 8B 45 E8 39 70 08 74 3A 8B 40 04 8D 5E 01 44 8D 4E 02 89 5C 24 30 89 44 24 28 48 8D 45 30 4C 8D 45 20 48 8D 4D E0 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 0C 66 39 75 32 75 06 F6 45 30 04 75 35 8B DE EB 31 48 8B 45 E0 BB 01 00 00 00 39 98 D4 00 00 00 7E 12 4C 8D 45 E0 8D 53 03 8B CF E8 ?? ?? ?? ?? 8B D8 EB 0E 48 8B 80 08 01 00 00 0F B7 1C 78 83 E3 04 40 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1094_0_0 {
	meta:
		name = "cos"
		size = 1370
		refs = "0006 __use_fma3_lib 0025 L_piby4 0037 L_small_arg_cw 0049 L_2_by_pi 005c L_one_half 0064 L_real_piby2_1 0070 L_real_piby2_1tail 0094 L_real_piby2_2 00a1 L_real_piby2_2tail 00ff __Lsinarray 01a0 __Lcosarray 01c6 L_one 0263 L_two_to_neg_13 02c1 L_neg_one_half 031f L_two_to_neg_27 034c L_int_one 0363 L__inf_mask_64 036a __remainder_piby2_forAsm 0381 _cos_special 039b L_sign_mask 044d L_small_arg_bdl 0458 __remainder_piby2_fma3_bdl 0536 L_signbit 0551 __remainder_piby2_fma3"
	strings:
		$1 = { 48 83 EC 68 83 3D ?? ?? ?? ?? 00 0F 85 7F 03 00 00 66 48 0F 7E C2 66 0F 57 D2 4C 8B D2 49 0F BA F2 3F 4C 3B 15 ?? ?? ?? ?? 0F 82 31 02 00 00 66 49 0F 6E C2 4C 3B 15 ?? ?? ?? ?? 0F 83 1F 03 00 00 66 0F 28 D0 F2 0F 59 15 ?? ?? ?? ?? 66 0F 28 E0 4D 8B CA 49 C1 E9 34 F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 66 0F 28 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? 66 48 0F 7E C1 F2 0F 10 2D ?? ?? ?? ?? 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 66 0F 28 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 66 0F 28 C4 66 0F 28 CD F2 0F 5C C5 F2 0F 5C E0 F2 0F 5C E1 66 0F 28 D8 66 0F 28 D0 F2 0F 59 D0 0F BA E0 00 0F 83 95 00 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? F2 0F 11 64 24 20 66 0F 28 CA F2 0F 59 CA F2 0F 11 44 24 30 F2 0F 59 EA 66 0F 28 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 44 24 20 F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 DD F2 0F 59 E3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 58 44 24 30 E9 AC 00 00 00 0F 1F 40 00 F2 0F 59 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EA 66 0F 28 DA F2 0F 11 64 24 20 F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 66 0F 28 E2 F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 5C EC F2 0F 59 CB F2 0F 58 C1 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 5C 6C 24 20 F2 0F 59 C2 F2 0F 58 C5 F2 0F 5C C4 83 C0 01 83 E0 02 74 10 66 0F 28 D0 66 0F 57 C0 F2 0F 5C C2 0F 1F 40 00 48 83 C4 68 C3 66 66 66 0F 1F 84 00 00 00 00 00 4C 3B 15 ?? ?? ?? ?? 0F 82 A3 00 00 00 66 0F 28 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? 66 0F 28 E2 F2 0F 59 E2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 DA 66 0F 28 C4 F2 0F 59 EA F2 0F 59 C4 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 E0 F2 0F 59 E5 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 CB 66 0F 28 DA F2 0F 58 D0 F2 0F 5C C2 F2 0F 58 C3 F2 0F 58 CC F2 0F 58 C1 F2 0F 58 C2 48 83 C4 68 C3 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 D0 F2 0F 10 05 ?? ?? ?? ?? 4C 3B 15 ?? ?? ?? ?? 72 1B F2 0F 59 D2 F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 48 83 C4 68 C3 66 0F 1F 44 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 48 83 C4 68 C3 66 66 66 0F 1F 84 00 00 00 00 00 4C 3B 15 ?? ?? ?? ?? 73 17 E8 ?? ?? ?? ?? 66 0F 28 E1 E9 6E FD FF FF 66 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 68 C3 66 0F 1F 44 00 00 C4 C1 F9 7E C1 49 8B C1 4C 23 0D ?? ?? ?? ?? 4C 3B 0D ?? ?? ?? ?? 0F 8F 86 00 00 00 4C 3B 0D ?? ?? ?? ?? 7D 2D 4C 3B 0D ?? ?? ?? ?? 7D 0E C4 E1 F9 6E 05 ?? ?? ?? ?? E9 7C 01 00 00 C5 FB 59 0D ?? ?? ?? ?? C4 E2 F1 AD 05 ?? ?? ?? ?? E9 66 01 00 00 C5 FB 59 D8 C5 F9 28 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? C4 E2 E1 AB 05 ?? ?? ?? ?? C4 E2 E1 A9 05 ?? ?? ?? ?? E9 16 01 00 00 4C 8B 05 ?? ?? ?? ?? 49 23 C0 49 3B C0 0F 84 3B FF FF FF C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 0F 83 F9 00 00 00 E8 ?? ?? ?? ?? 48 0F BA E0 00 72 6D C5 F9 28 15 ?? ?? ?? ?? C5 FB 59 D8 C5 E3 59 2D ?? ?? ?? ?? C5 EB 5C E5 C5 EB 5C D4 C5 EB 5C D5 C5 F9 28 2D ?? ?? ?? ?? C4 E2 F9 BD D1 C5 E3 59 CB C4 E2 E1 B9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 F1 A9 EA C5 D3 58 C4 EB 5D 0F 1F 40 00 C5 F9 28 2D ?? ?? ?? ?? C5 FB 59 D8 C4 E2 E1 B9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C4 E2 E1 A9 2D ?? ?? ?? ?? C5 FB 59 E3 C5 DB 59 D5 C5 F3 59 2D ?? ?? ?? ?? C5 D3 5C D2 C5 E3 59 D2 C5 EB 5C D1 C4 E2 D9 BD 15 ?? ?? ?? ?? C5 FB 5C C2 4D 33 C0 83 C0 01 83 E0 02 4C 0F 45 05 ?? ?? ?? ?? C4 C1 F9 6E D8 C5 F9 57 C3 48 83 C4 68 C3 48 83 C4 68 C3 0F 1F 00 E8 ?? ?? ?? ?? E9 02 FF FF FF }
	condition:
		$1
}

rule file_1095_9_0 {
	meta:
		name = "??0QuickBitSet@details@Concurrency@@QEAA@$$QEAV012@@Z"
		size = 24
	strings:
		$1 = { 8B 02 89 01 48 8B 42 08 48 89 41 08 83 22 00 48 83 62 08 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_1095_11_0 {
	meta:
		name = "??0QuickBitSet@details@Concurrency@@QEAA@I@Z"
		size = 83
		refs = "0029 ??_U@YAPEAX_K@Z 0046 memset"
	strings:
		$1 = { 40 53 48 83 EC 20 89 11 83 C2 1F 48 8B D9 48 C1 EA 05 48 C7 C1 FF FF FF FF B8 04 00 00 00 48 F7 E2 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 44 8B 03 33 D2 41 83 C0 1F 48 8B C8 48 89 43 08 49 C1 E8 05 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1095_28_0 {
	meta:
		name = "??IQuickBitSet@details@Concurrency@@QEBA?AV012@AEBV012@@Z"
		size = 177
		refs = "0046 ??_U@YAPEAX_K@Z 0066 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 8B 01 33 DB 48 8B F1 44 8D 48 1F 89 02 48 8B FA 49 C1 E9 05 48 8D 4B FF 8D 43 04 4D 8B F0 89 5C 24 20 49 F7 E1 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 44 8B 07 33 D2 41 83 C0 1F 48 8B C8 48 8B E8 49 C1 E8 05 48 89 47 08 49 C1 E0 02 E8 ?? ?? ?? ?? 8B 0E 83 C1 1F C1 E9 05 85 C9 74 1D 44 8B C1 49 8B 46 08 48 8B 4E 08 8B 14 03 23 14 0B 89 14 2B 48 8D 5B 04 49 FF C8 75 E6 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B C7 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_1095_39_0 {
	meta:
		name = "?Enqueue@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA?AVSlot@123@PEAV_UnrealizedChore@23@@Z"
		size = 142
		refs = "002c ?_Sleep0@details@Concurrency@@YAXXZ 003b ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0055 ?LocateMailboxSegment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@AEAAPEAUSegment@123@I_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 B8 01 00 00 00 49 8B F0 48 8B FA 87 41 38 48 8B D9 85 C0 74 27 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 87 43 38 85 C0 75 EA 8B 53 34 41 B0 01 48 8B CB E8 ?? ?? ?? ?? 44 8B 43 34 44 2B 40 20 48 8B 48 18 4A 89 34 C1 F0 FF 43 34 48 8B 74 24 58 C7 43 38 00 00 00 00 48 8B 5C 24 50 48 89 07 44 89 47 08 48 8B C7 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1095_45_0 {
	meta:
		name = "?InterlockedSet@QuickBitSet@details@Concurrency@@QEAAXAEBV123@@Z"
		size = 57
	strings:
		$1 = { 8B 01 45 33 C0 4C 8B DA 83 C0 1F 4C 8B C9 C1 E8 05 85 C0 74 23 41 8B D0 44 8B D0 49 8B 43 08 49 8B 49 08 42 8B 04 00 F0 09 04 0A 48 8D 52 04 4D 8D 40 04 49 FF CA 75 E3 C3 }
	condition:
		$1
}

rule file_1095_50_0 {
	meta:
		name = "?MailChore@CacheLocalScheduleGroup@details@Concurrency@@UEAA?AVSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@PEAV_UnrealizedChore@23@PEAVlocation@3@PEAPEAVScheduleGroupSegmentBase@23@@Z"
		size = 65
		refs = "002f ?Enqueue@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA?AVSlot@123@PEAV_UnrealizedChore@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 49 8B D8 48 8B FA 41 B0 01 49 8B D1 FF 50 28 48 8B 4C 24 50 4C 8B C3 48 89 01 48 8D 48 60 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1095_51_0 {
	meta:
		name = "?MailChore@CacheLocalScheduleGroupSegment@details@Concurrency@@QEAA?AVSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@PEAV_UnrealizedChore@23@@Z"
		size = 27
		refs = "000e ?Enqueue@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA?AVSlot@123@PEAV_UnrealizedChore@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 C1 60 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1095_52_0 {
	meta:
		name = "?NotifyAffinitizedWork@CacheLocalScheduleGroupSegment@details@Concurrency@@UEAAXXZ"
		size = 97
		refs = "0020 ?PostAffinityMessage@SchedulerBase@details@Concurrency@@QEAAXAEBVQuickBitSet@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 81 A8 01 00 00 48 8D 51 30 48 8B D9 48 8B 78 08 48 8B CF E8 ?? ?? ?? ?? 8B 43 18 25 FF FF FF 0F 83 F8 03 75 25 8B 53 40 48 8B 87 A0 00 00 00 C1 E2 04 48 8B 0C D0 48 85 C9 75 0F 48 8B 8F A0 00 00 00 33 C0 F0 48 0F B1 1C D1 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1095_53_0 {
	meta:
		name = "?PostAffinityMessage@SchedulerBase@details@Concurrency@@QEAAXAEBVQuickBitSet@23@@Z"
		size = 166
		refs = "0055 ??IQuickBitSet@details@Concurrency@@QEBA?AV012@AEBV012@@Z 0097 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 44 8B 0A 33 DB 4C 8B DA 41 83 C1 1F 48 8B F9 4C 8D 41 78 41 C1 E9 05 8B C3 44 8B D3 45 85 C9 74 70 85 C0 75 1D 49 8B 43 08 49 8B 48 08 41 8B D2 8B 04 90 41 FF C2 23 04 91 45 3B D1 72 E3 85 C0 74 4F 48 8D 54 24 20 49 8B CB E8 ?? ?? ?? ?? 8B 8F 90 00 00 00 83 C1 1F 4C 8B C8 C1 E9 05 85 C9 74 25 48 8B D3 44 8B C1 49 8B 41 08 48 8B 8F 98 00 00 00 8B 04 03 F0 09 04 0A 48 8D 52 04 48 8D 5B 04 49 FF C8 75 E1 48 8B 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1095_55_0 {
	meta:
		name = "?SetQuickCacheSlot@SchedulerBase@details@Concurrency@@QEAAXIPEAVScheduleGroupSegmentBase@23@@Z"
		size = 38
	strings:
		$1 = { 48 8B 81 A0 00 00 00 C1 E2 04 44 8B CA 48 8B 14 D0 48 85 D2 75 0F 48 8B 89 A0 00 00 00 33 C0 F0 4E 0F B1 04 C9 C3 }
	condition:
		$1
}

rule file_1096_0_0 {
	meta:
		name = "_wasctime"
		size = 121
		refs = "001a buf 001f _getptd_noexit 003a _calloc_crt 0057 _wasctime_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 8D 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 ED 48 8B D8 48 85 C0 74 1E 48 39 68 70 75 14 8D 55 02 8D 4D 1A E8 ?? ?? ?? ?? 48 89 43 70 48 85 C0 74 04 48 8B 7B 70 4C 8B C6 BA 1A 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 40 85 C0 48 0F 45 FD 48 8B 6C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1096_1_0 {
	meta:
		name = "_wasctime_s"
		size = 796
		refs = "0083 __ImageBase 008b _days 0123 __dnames 012d __mnames 02ff _errno 030b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 56 48 83 EC 20 33 F6 4D 8B D0 4C 8B C1 48 85 C9 0F 84 E3 02 00 00 48 85 D2 0F 84 DA 02 00 00 66 89 31 48 83 FA 1A 0F 82 CD 02 00 00 4D 85 D2 0F 84 C4 02 00 00 45 8B 4A 14 45 85 C9 0F 88 B7 02 00 00 4D 63 5A 10 41 83 FB 0B 0F 87 A9 02 00 00 41 83 7A 08 17 0F 87 9E 02 00 00 41 83 7A 04 3B 0F 87 93 02 00 00 41 83 3A 3B 0F 87 89 02 00 00 41 83 7A 0C 01 0F 8C 7E 02 00 00 48 8D 1D ?? ?? ?? ?? 42 8B 84 9B ?? ?? ?? ?? 42 2B 84 9B ?? ?? ?? ?? 41 3B 42 0C 7D 6C 41 81 C1 6C 07 00 00 41 8B C1 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 85 C0 75 1A B8 1F 85 EB 51 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 44 3B C9 75 21 B8 1F 85 EB 51 41 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 44 3B C8 0F 85 0A 02 00 00 41 83 FB 01 0F 85 00 02 00 00 41 83 7A 0C 1D 0F 8F F5 01 00 00 41 8B 42 18 83 F8 06 0F 87 E8 01 00 00 8D 04 40 48 63 D0 43 8D 04 5B 4C 8D 9B ?? ?? ?? ?? 48 63 C8 48 8D 05 ?? ?? ?? ?? 48 2B D1 4C 8D 0C 01 B9 03 00 00 00 48 2B D0 4C 03 DA 43 0F BE 04 0B 66 41 89 00 41 0F BE 01 49 FF C1 66 41 89 40 08 4D 8D 40 02 48 FF C9 75 E2 44 8D 59 20 BB 67 66 66 66 66 45 89 18 66 45 89 58 08 41 8B 4A 0C 8B C3 45 8D 4B 1A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 40 0A 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 8B C3 66 83 C1 30 66 41 89 48 0C 66 45 89 58 0E 41 8B 4A 08 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 40 10 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 8B C3 66 83 C1 30 66 41 89 48 12 66 45 89 48 14 41 8B 4A 04 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 40 16 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 8B C3 66 83 C1 30 66 41 89 48 18 66 45 89 48 1A 41 8B 0A 4D 8D 48 1C F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 01 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 B8 1F 85 EB 51 66 83 C1 30 66 41 89 49 02 66 45 89 59 04 41 F7 6A 14 C1 FA 05 44 8B C2 83 C2 13 41 C1 E8 1F 44 03 C2 8B C3 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 B8 1F 85 EB 51 8D 4A 30 66 41 89 49 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 41 83 C0 30 66 45 89 41 08 45 8B 42 14 41 F7 E8 C1 FA 05 8B C3 8B CA C1 E9 1F 03 D1 6B CA 64 44 2B C1 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 41 0A 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C0 66 41 83 C0 30 33 C0 66 45 89 41 0C 41 C7 41 0E 0A 00 00 00 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5E C3 }
	condition:
		$1
}

rule file_1096_2_0 {
	meta:
		name = "store_dt"
		size = 58
	strings:
		$1 = { 44 8B C2 B8 67 66 66 66 F7 EA C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 89 01 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C0 48 8D 41 04 66 41 83 C0 30 66 44 89 41 02 C3 }
	condition:
		$1
}

rule file_1098_0_0 {
	meta:
		name = "wcspbrk"
		size = 56
	strings:
		$1 = { 4C 8B CA 0F B7 01 66 85 C0 74 2A 66 41 83 39 00 4D 8B C1 74 16 41 0F B7 11 66 3B D0 74 13 49 83 C0 02 41 0F B7 10 66 85 D2 75 EE 48 83 C1 02 EB D2 48 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1099_0_0 {
	meta:
		name = "_fltin2"
		size = 193
		refs = "0011 __security_cookie 0044 __strgtold12_l 006a _ld12tod 00ad __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 20 55 56 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 4D 89 43 B0 33 DB 48 8B EA 21 5C 24 30 21 5C 24 28 21 5C 24 20 4C 8B C2 48 8B F9 49 8D 53 C0 49 8D 4B C8 45 33 C9 E8 ?? ?? ?? ?? 8B F0 A8 04 74 11 83 64 24 40 00 83 64 24 44 00 BB 00 02 00 00 EB 2E 48 8D 54 24 40 48 8D 4C 24 50 E8 ?? ?? ?? ?? 40 F6 C6 02 75 05 83 F8 01 75 05 BB 80 00 00 00 40 F6 C6 01 75 05 83 F8 02 75 04 0F BA EB 08 8B 4C 24 48 89 1F 48 8B C7 2B CD 89 4F 04 48 8B 4C 24 40 48 89 4F 10 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A8 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1102_0_0 {
	meta:
		name = "__sse2_tanh2"
		size = 640
		refs = "001b s_dwAbsMsk 0027 s_dwInvLn 0032 s_dwExp2 003a s_dwRS 004a s_dwLnHi 0056 s_dwLnLo 007d s_dwExpbOvfBoundHi 00aa s_dwBias 00f5 s_dwExpbMask 014b s_dwA5 0165 s_dwA4 0188 s_dwA3 0194 s_dwA2 01fa s_dwSignMask 0223 s_dwLoSpecMask 022d s_dwHiSpecMask 0253 s_dwOne"
	strings:
		$1 = { 48 81 EC A8 00 00 00 0F 29 B4 24 90 00 00 00 0F 29 BC 24 80 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 28 C8 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C7 4C 8D 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 54 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 58 D3 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 F2 66 0F 29 4C 24 20 66 0F 5C D3 48 8D 44 24 20 66 0F 28 CE 66 0F 59 E2 66 0F 57 DB 66 0F C2 3D ?? ?? ?? ?? 05 66 0F 73 F6 04 66 0F 29 4C 24 30 66 0F 59 EA 66 0F FB D9 66 0F 5C C4 66 41 0F 7E F0 66 0F 5C C5 66 0F 50 CF 66 0F FE 0D ?? ?? ?? ?? 41 81 E0 F0 03 00 00 66 0F 15 F6 66 0F FE 1D ?? ?? ?? ?? 66 0F 73 F1 2E 66 0F 7E F2 66 43 0F 28 3C 10 81 E2 F0 03 00 00 66 0F 73 F3 2E 66 0F 29 44 24 40 41 F7 D8 66 42 0F 28 34 12 41 81 C0 00 04 00 00 66 0F DB 0D ?? ?? ?? ?? 66 0F 28 EF F7 DA 66 0F DB 1D ?? ?? ?? ?? 66 0F C6 EE 00 81 C2 00 04 00 00 66 43 0F 28 24 10 66 0F C6 FE 03 66 42 0F 28 14 12 66 0F 59 E9 66 0F 28 F4 66 0F 59 F9 66 0F C6 E2 00 66 0F 29 6C 24 50 66 0F 28 C8 66 0F C6 F2 03 66 0F 59 E3 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C0 66 0F 29 64 24 60 66 0F 59 F3 66 0F 58 EF 66 0F 28 1D ?? ?? ?? ?? 83 F9 03 66 0F 59 D0 66 0F 58 E6 0F 84 B9 00 00 00 66 0F 29 7C 24 70 66 0F 59 D8 66 0F 58 15 ?? ?? ?? ?? 66 0F 28 FD 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 58 EC 66 0F 59 C3 66 0F 5C FC 66 0F 59 D1 66 0F 28 D8 66 0F 58 D1 66 0F 59 DD 66 0F 28 CA 66 0F 59 D7 66 0F 28 20 66 0F 59 C7 66 0F 58 DA 66 0F 59 CD 66 0F 28 7C 24 70 66 0F 58 DE 66 0F 28 6C 24 60 66 0F 58 DF 66 0F 5C F7 66 0F 28 54 24 50 66 0F 58 DD 66 0F 5C C6 66 0F 54 25 ?? ?? ?? ?? 66 0F 58 DA 66 0F 5C EA 66 0F 58 C1 66 0F 5C C5 66 0F 5E C3 83 F9 01 66 0F 56 C4 7D 02 EB 4B 7F 0A 66 0F 28 3D ?? ?? ?? ?? EB 0E 66 0F 28 3D ?? ?? ?? ?? EB 04 66 0F 57 FF 66 0F 28 08 66 0F 54 C7 66 0F 28 15 ?? ?? ?? ?? 66 0F 57 DB 66 0F 54 D1 66 0F 55 3D ?? ?? ?? ?? 66 0F C2 D9 03 66 0F 56 C7 66 0F 56 C2 66 0F 56 C3 0F 28 B4 24 90 00 00 00 0F 28 BC 24 80 00 00 00 48 81 C4 A8 00 00 00 C3 }
	condition:
		$1
}

rule file_1103_0_0 {
	meta:
		name = "_RTC_Initialize"
		size = 56
		refs = "000d __rtc_iaa 0014 __rtc_izz"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 1D ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? EB 0E 48 8B 03 48 85 C0 74 02 FF D0 48 83 C3 08 48 3B DF 72 ED 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1103_1_0 {
	meta:
		name = "_RTC_Terminate"
		size = 56
		refs = "000d __rtc_taa 0014 __rtc_tzz"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 1D ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? EB 0E 48 8B 03 48 85 C0 74 02 FF D0 48 83 C3 08 48 3B DF 72 ED 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_5_0 {
	meta:
		name = "??$_InternalDeleteHelper@VWorkQueue@details@Concurrency@@@details@Concurrency@@YAXPEAVWorkQueue@01@@Z"
		size = 69
		refs = "0015 ??_V@YAXPEAX@Z 003b ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 85 C9 74 3F 53 48 83 EC 20 48 8B D9 48 8B 89 D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1106_12_0 {
	meta:
		name = "??0?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@AEBVQuickBitSet@12@_NI@Z"
		size = 196
		refs = "0058 ?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z 0080 ??2@YAPEAX_K@Z 009f ??0Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@23@AEBVQuickBitSet@23@II@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 56 57 41 56 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 18 48 89 68 20 41 8A E9 48 8B D9 48 89 11 48 8D 71 08 33 FF 89 3E 48 89 7E 08 44 8B B4 24 80 00 00 00 44 89 71 18 48 89 79 20 48 89 79 28 89 79 30 89 79 34 89 79 38 48 8B D6 48 8B CE E8 ?? ?? ?? ?? 48 8B 43 28 48 85 C0 74 10 48 8B 4B 28 48 83 C1 08 48 8B D6 E8 ?? ?? ?? ?? 40 84 ED 75 34 B9 50 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 68 48 85 C0 74 18 89 7C 24 20 45 8B CE 4C 8B C6 48 8B 13 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 20 48 89 7B 28 48 8B C3 48 8B 5C 24 70 48 8B 6C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1106_13_0 {
	meta:
		name = "?dtor$0@?0???0?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@AEBVQuickBitSet@12@_NI@Z@4HA"
		size = 16
		refs = "000c ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_26_0 {
	meta:
		name = "??0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@PEAVlocation@2@@Z"
		size = 144
		refs = "0019 ??_7ScheduleGroupBase@details@Concurrency@@6B@ 0080 ?GetNewScheduleGroupId@SchedulerBase@details@Concurrency@@QEAAIXZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 33 C0 89 41 10 48 89 41 18 48 89 41 20 89 41 28 89 41 38 48 89 41 40 48 89 41 48 C7 41 28 01 00 00 00 41 8B 00 33 41 38 B9 FF FF FF 0F 23 C1 31 43 38 41 8B 00 33 43 38 23 C1 41 33 00 89 43 38 49 8B 40 08 48 89 43 40 41 8B 40 04 89 43 3C 49 8B 40 10 48 89 43 48 48 8B 4B 08 E8 ?? ?? ?? ?? 89 43 30 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1106_28_0 {
	meta:
		name = "??0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z"
		size = 262
		refs = "0030 ??_7ScheduleGroupSegmentBase@details@Concurrency@@6B@ 006e ?GetBitSet@SchedulerBase@details@Concurrency@@QEAA?AVQuickBitSet@23@PEBVlocation@3@@Z 008a ??0?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@AEBVQuickBitSet@12@_NI@Z 0095 ??_V@YAXPEAX@Z 00b1 ??0?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 00ce ??0?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 00e8 ?Initialize@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVScheduleGroupBase@23@PEAVSchedulingRing@23@PEAVlocation@3@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 41 56 48 83 EC 50 49 C7 43 D8 FE FF FF FF 49 89 5B 10 49 89 73 18 49 89 7B 20 49 8B D9 49 8B F8 48 8B F2 4C 8B F1 48 8D 05 ?? ?? ?? ?? 48 89 01 4C 8D 41 18 41 83 20 00 49 83 60 08 00 49 83 60 10 00 83 61 30 00 48 83 61 38 00 48 8D 41 48 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 49 8D 53 E0 48 8B 4E 08 E8 ?? ?? ?? ?? 90 49 8D 4E 60 C7 44 24 20 40 00 00 00 45 33 C9 4C 8B C0 48 8B 56 08 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 E8 ?? ?? ?? ?? 49 8D 8E A0 00 00 00 41 B9 40 00 00 00 41 B8 00 01 00 00 48 8B 56 08 E8 ?? ?? ?? ?? 90 49 8D 8E 20 01 00 00 41 B9 FF FF FF 7F 41 B8 00 01 00 00 48 8B 56 08 E8 ?? ?? ?? ?? 90 49 83 A6 B8 01 00 00 00 4C 8B CB 4C 8B C7 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 90 49 8B C6 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_1106_29_0 {
	meta:
		name = "?dtor$0@?0???0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z@4HA"
		size = 16
		refs = "000c ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 30 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_31_0 {
	meta:
		name = "?dtor$2@?0???0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z@4HA"
		size = 16
		refs = "000c ??1?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_32_0 {
	meta:
		name = "?dtor$3@?0???0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z@4HA"
		size = 19
		refs = "000f ??1?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 A0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_33_0 {
	meta:
		name = "?dtor$4@?0???0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z@4HA"
		size = 19
		refs = "000f ??1?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 20 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_49_0 {
	meta:
		name = "??1?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 210
		refs = "0019 __imp_InterlockedFlushSList 002d ??3@YAXPEAX@Z 00a1 ??_V@YAXPEAX@Z"
		altNames = "??1?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 48 8D 4B F0 48 8B 1B E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 48 8D 4B F0 48 8B 1B E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 5F 20 EB 0C 48 8D 4B F0 48 8B 1B E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 77 58 48 85 F6 74 3C 33 DB 39 5F 50 7E 19 33 ED 48 8B 0E 48 8B 0C 29 E8 ?? ?? ?? ?? FF C3 48 8D 6D 08 3B 5F 50 7C E9 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 C4 48 8B 4F 60 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_50_0 {
	meta:
		name = "??1?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 422
		refs = "001e __imp_InterlockedFlushSList 003e ??_V@YAXPEAX@Z 0064 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 43 48 8D 73 D0 48 8B 1B 48 85 F6 74 32 48 8B 8E D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8E D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4E 10 E8 ?? ?? ?? ?? 48 8B 4E 18 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 85 DB 75 BD 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 43 48 8D 73 D0 48 8B 1B 48 85 F6 74 32 48 8B 8E D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8E D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4E 10 E8 ?? ?? ?? ?? 48 8B 4E 18 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 85 DB 75 BD 48 8B 5F 20 EB 3E 48 8D 73 D0 48 8B 1B 48 85 F6 74 32 48 8B 8E D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8E D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4E 10 E8 ?? ?? ?? ?? 48 8B 4E 18 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 85 DB 75 BD 48 8B 77 58 48 85 F6 74 6F 33 DB 39 5F 50 7E 4C 45 33 F6 48 8B 06 49 8B 2C 06 48 85 ED 74 32 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 10 E8 ?? ?? ?? ?? 48 8B 4D 18 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? FF C3 49 83 C6 08 3B 5F 50 7C B7 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 91 48 8B 4F 60 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_51_0 {
	meta:
		name = "??1?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 119
		refs = "004f ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0058 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z 0073 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 4C 8B 41 28 4D 85 C0 74 40 49 8B 78 28 48 8B 43 20 4C 3B C0 74 05 8B 4B 18 EB 07 8B 4B 34 41 2B 48 20 8B C1 F0 41 0F C1 40 24 03 C1 75 13 4D 8B 08 48 8D 15 ?? ?? ?? ?? 49 8D 48 30 E8 ?? ?? ?? ?? 4C 8B C7 48 85 FF 75 C0 48 8B 4B 10 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_59_0 {
	meta:
		name = "??1ScheduleGroupSegmentBase@details@Concurrency@@UEAA@XZ"
		size = 145
		refs = "0019 ??_7ScheduleGroupSegmentBase@details@Concurrency@@6B@ 0069 ??1?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@XZ 0075 ??1?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@XZ 007e ??1?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@XZ 008d ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 8B 41 18 25 FF FF FF 0F 83 F8 03 75 34 48 8B 81 A8 01 00 00 4C 8B 40 08 8B 51 40 C1 E2 04 49 8B 80 A0 00 00 00 48 8B 0C D0 48 3B CB 75 13 49 8B 88 A0 00 00 00 45 33 C0 48 8B C3 F0 4C 0F B1 04 D1 48 8D 8B 20 01 00 00 E8 ?? ?? ?? ?? 48 8D 8B A0 00 00 00 E8 ?? ?? ?? ?? 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8B 4B 38 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_63_0 {
	meta:
		name = "??1WorkQueue@details@Concurrency@@QEAA@XZ"
		size = 56
		refs = "0011 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 18 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_70_0 {
	meta:
		name = "??4QuickBitSet@details@Concurrency@@QEAAAEAV012@$$QEAV012@@Z"
		size = 59
		refs = "0015 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 49 08 48 8B DA E8 ?? ?? ?? ?? 8B 03 89 07 48 8B 43 08 48 89 47 08 83 23 00 48 83 63 08 00 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_73_0 {
	meta:
		name = "??8location@Concurrency@@QEBA_NAEBV01@@Z"
		size = 30
	strings:
		$1 = { 8B 02 33 01 A9 FF FF FF 0F 75 10 48 8B 42 08 48 39 41 08 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1106_88_0 {
	meta:
		name = "??_GWorkQueue@details@Concurrency@@QEAAPEAXI@Z"
		size = 84
		refs = "0017 ??_V@YAXPEAX@Z 0042 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 89 D0 00 00 00 8B DA E8 ?? ?? ?? ?? 48 8B 8F D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_95_0 {
	meta:
		name = "?Add@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAAHPEAVScheduleGroupSegmentBase@23@@Z"
		size = 369
		refs = "00c4 ??_U@YAPEAX_K@Z 00d9 memset 00e3 ??2@YAPEAX_K@Z 0129 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0138 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 55 41 56 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B FA 48 8B F9 49 83 CB FF 44 8D 6E 01 44 39 5B 10 7C 53 4C 8B 0B 33 D2 39 57 50 7E 49 4D 8B C1 49 83 38 00 75 1B 8D 04 32 48 63 CA 41 89 87 A0 01 00 00 44 8B 57 70 33 C0 F0 4D 0F B1 3C C9 74 0E 41 03 D5 49 83 C0 08 3B 57 50 7D 19 EB D1 03 F2 41 8A ED 41 3B F2 7C 05 F0 44 01 6F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B3 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 75 33 C0 F0 4C 0F B1 6B 08 75 6B 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B F0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 30 EB 02 33 D2 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 48 89 14 C8 44 01 6F 6C 48 87 53 08 4C 39 6B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 6B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 D7 FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_1106_97_0 {
	meta:
		name = "?AddRunnableContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@Vlocation@3@@Z"
		size = 371
		refs = "0025 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0032 ?GetScheduleGroupSegment@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupSegmentBase@23@XZ 014b ?StartupVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@Vlocation@3@K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 70 49 8B F8 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 3B C3 74 0A C7 86 60 01 00 00 01 00 00 00 48 8B 83 A8 01 00 00 41 BF FF FF FF 0F 4C 8B 70 08 41 8B 86 A8 02 00 00 85 C0 7E 46 8B 4D B0 8B 07 4C 8D 45 B0 33 C1 48 8B D6 41 23 C7 33 C8 8B 07 33 C1 49 8B CE 41 23 C7 33 07 89 45 B0 48 8B 47 08 48 89 45 B8 8B 47 04 89 45 B4 48 8B 47 10 48 89 45 C0 49 8B 06 FF 50 78 84 C0 0F 85 A8 00 00 00 48 8B 03 48 8B D6 48 8B CB FF 50 10 44 85 7B 18 74 1D 8B 43 18 33 07 41 85 C7 75 13 48 8B 43 20 48 39 47 08 75 09 48 8B 03 48 8B CB FF 50 08 41 8B 86 A4 02 00 00 85 C0 7E 6E 8B 55 C8 8B 4D E0 4C 8B 47 10 44 8B 4F 04 8B 07 44 8B 1F 4C 8B 57 08 33 C1 4C 89 45 F0 41 23 C7 4C 89 45 D8 44 89 4D E4 33 C8 8B C2 44 89 4D CC 44 33 D9 4C 8D 45 C8 41 B9 0B 00 00 00 45 23 DF 49 8B CE 4C 89 55 E8 44 33 1F 4C 89 55 D0 41 33 C3 44 89 5D E0 41 23 C7 33 D0 41 33 D3 41 23 D7 41 33 D3 89 55 C8 48 8B D3 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 C7 86 60 01 00 00 00 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1106_99_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 79
		refs = "0017 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 002f ??3@YAXPEAX@Z"
		altNames = "?CheckForDeletionBridge@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8B 49 48 E8 ?? ?? ?? ?? 33 DB 84 C0 75 1E 48 8B 77 20 EB 0C 48 8D 4E F0 48 8B 36 E8 ?? ?? ?? ?? 48 85 F6 75 EF 48 89 5F 20 87 5F 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_100_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 139
		refs = "001c ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 0040 ??_V@YAXPEAX@Z 0066 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 8B 49 48 E8 ?? ?? ?? ?? 33 DB 84 C0 75 50 48 8B 7E 20 EB 3E 48 8D 6F D0 48 8B 3F 48 85 ED 74 32 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 10 E8 ?? ?? ?? ?? 48 8B 4D 18 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 85 FF 75 BD 48 89 5E 20 87 5E 78 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_104_0 {
	meta:
		name = "?ClearQuickCacheSlotIf@SchedulerBase@details@Concurrency@@QEAAXIPEAVScheduleGroupSegmentBase@23@@Z"
		size = 41
	strings:
		$1 = { 48 8B 81 A0 00 00 00 C1 E2 04 44 8B CA 48 8B 14 D0 49 3B D0 75 12 48 8B 89 A0 00 00 00 33 D2 49 8B C0 F0 4A 0F B1 14 C9 C3 }
	condition:
		$1
}

rule file_1106_106_0 {
	meta:
		name = "?CreateSegment@ScheduleGroupBase@details@Concurrency@@IEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@PEAVSchedulingRing@23@@Z"
		size = 220
		refs = "004a __imp_InterlockedPopEntrySList 006c ?Initialize@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVScheduleGroupBase@23@PEAVSchedulingRing@23@PEAVlocation@3@@Z 009f ?Activate@SchedulingRing@details@Concurrency@@QEAAXXZ 00ba ?Add@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAAHPEAVScheduleGroupSegmentBase@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 44 8B 0A 48 8D 41 20 4C 8D 79 18 41 81 E1 FF FF FF 0F 4C 8B F1 49 8B F8 4C 0F 44 F8 48 8B F2 49 8D 88 A0 00 00 00 45 85 C9 74 04 49 8D 48 20 FF 15 ?? ?? ?? ?? 48 85 C0 74 1F 48 8D 98 20 FE FF FF 48 85 DB 74 13 4C 8B CE 4C 8B C7 49 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 12 49 8B 06 4C 8B C6 48 8B D7 49 8B CE FF 50 40 48 8B D8 49 8B 0F 48 89 8B B0 01 00 00 49 89 1F 8B 8F 2C 01 00 00 85 C9 75 08 48 8B CF E8 ?? ?? ?? ?? F7 06 FF FF FF 0F 48 8B D3 48 8D 8F A0 00 00 00 74 04 48 8D 4F 20 E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_1106_108_0 {
	meta:
		name = "?DeleteElements@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 36
		refs = "0015 ??3@YAXPEAX@Z"
		altNames = "?DeleteElements@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
	strings:
		$1 = { 48 85 D2 74 1E 53 48 83 EC 20 48 8B DA 48 8D 4B F0 48 8B 1B E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1106_109_0 {
	meta:
		name = "?DeleteElements@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 96
		refs = "0026 ??_V@YAXPEAX@Z 004c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 85 D2 74 5A 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8D 7B D0 48 8B 1B 48 85 FF 74 32 48 8B 8F D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 85 DB 75 BD 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_113_0 {
	meta:
		name = "?Dequeue@?$SQueue@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAAPEAVRealizedChore@23@XZ"
		size = 34
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 4A 20 48 89 08 48 85 C9 75 04 48 89 40 08 48 8B C2 C3 }
	condition:
		$1
}

rule file_1106_114_0 {
	meta:
		name = "?Dequeue@?$SafeSQueue@VRealizedChore@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVRealizedChore@23@XZ"
		size = 84
		refs = "0017 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 003d ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 0F 33 F6 48 85 C9 74 13 48 8B 41 20 48 89 07 48 85 C0 75 04 48 89 7F 08 48 8B F1 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_116_0 {
	meta:
		name = "?DetachActiveWorkQueue@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVWorkQueue@23@@Z"
		size = 132
		refs = "003b ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0056 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0080 ?Add@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAAHPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 81 A8 01 00 00 48 8B FA 48 8B E9 F6 40 50 04 BE 01 00 00 00 75 04 F0 01 70 28 48 8B 9A C0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 8B 87 B4 00 00 00 48 8B CB 89 87 CC 00 00 00 40 88 B7 C8 00 00 00 E8 ?? ?? ?? ?? 87 B7 90 00 00 00 48 8D 57 60 48 8D 8D 20 01 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_120_0 {
	meta:
		name = "?Enqueue@?$SQueue@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z"
		size = 20
	strings:
		$1 = { 4C 8D 42 20 49 83 20 00 48 8B 41 08 48 89 10 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_1106_121_0 {
	meta:
		name = "?Enqueue@?$SafeSQueue@VRealizedChore@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z"
		size = 73
		refs = "001a ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0045 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 10 48 8B FA E8 ?? ?? ?? ?? 4C 8D 47 20 48 8D 4E 10 49 83 20 00 48 8B 46 08 48 89 38 4C 89 46 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_124_0 {
	meta:
		name = "?FindSegment@ScheduleGroupBase@details@Concurrency@@MEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@PEAVSchedulingRing@23@@Z"
		size = 117
		refs = "0034 ?GetLocation@SchedulingNode@details@Concurrency@@QEAA?AVlocation@3@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 F7 02 FF FF FF 0F 48 8D 41 20 48 8D 49 18 48 0F 44 C8 48 8B FA 48 8D 54 24 20 48 8B 19 49 8B 48 08 49 8B F0 E8 ?? ?? ?? ?? EB 23 8B 07 33 43 18 A9 FF FF FF 0F 75 10 48 8B 4F 08 48 39 4B 20 75 06 48 39 73 10 74 0C 48 8B 9B B0 01 00 00 48 85 DB 75 D8 48 8B 74 24 58 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1106_126_0 {
	meta:
		name = "?GetDetachedWorkQueue@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ"
		size = 242
		refs = "0091 ?Remove@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA_NPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@H_N@Z 00e9 ?RemoveScheduleGroup@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 20 44 8B B9 90 01 00 00 33 DB 48 8B E9 8B FB 45 85 FF 7E 75 48 8D B1 20 01 00 00 8B 4E 54 8B D7 D3 FA 3B 56 6C 7D 5B 48 8B 46 60 3B 56 68 7C 1C 2B 56 68 48 63 4E 68 4C 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 46 50 FF C8 48 63 C8 48 63 C7 48 23 C8 49 8B 00 4C 8B 34 C8 4D 85 F6 74 15 45 33 C9 44 8B C7 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 22 FF C7 41 3B FF 7C 92 33 C0 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 49 8B 7E 20 87 9F 90 00 00 00 48 8B 9D A8 01 00 00 F6 43 50 04 75 1B F0 FF 4B 28 75 15 48 8B 13 48 8B CB FF 52 38 48 8B 4B 08 48 8B D3 E8 ?? ?? ?? ?? 48 8B C7 EB B0 }
	condition:
		$1
}

rule file_1106_127_0 {
	meta:
		name = "?GetInternalContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVInternalContextBase@23@PEAU_Chore@23@_N@Z"
		size = 96
		refs = "002b ?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z 0044 ?PrepareForUse@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@PEAU_Chore@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 81 A8 01 00 00 48 8B F9 48 8B EA 48 8B 48 08 B2 01 41 8A F0 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 44 8A CE 4C 8B C5 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_129_0 {
	meta:
		name = "?GetRealizedChore@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVRealizedChore@23@XZ"
		size = 94
		refs = "0023 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0047 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 48 33 F6 48 39 37 75 04 33 C0 EB 30 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B 0F 48 85 C9 74 13 48 8B 41 20 48 89 07 48 85 C0 75 04 48 89 7F 08 48 8B F1 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_137_0 {
	meta:
		name = "?HasUnrealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEAA_NXZ"
		size = 20
		refs = "0005 ?LocateUnrealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1106_139_0 {
	meta:
		name = "?HasVirtualProcessorAvailableForNewWork@SchedulerBase@details@Concurrency@@QEBA_NXZ"
		size = 20
	strings:
		$1 = { 8B 81 A8 02 00 00 8B 91 A4 02 00 00 2B D0 85 D2 0F 9F C0 C3 }
	condition:
		$1
}

rule file_1106_146_0 {
	meta:
		name = "?Initialize@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAAXAEBVQuickBitSet@23@@Z"
		size = 61
		refs = "0015 ?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 83 C1 08 48 8B FA E8 ?? ?? ?? ?? 48 8B 43 28 48 85 C0 74 10 48 8B 4B 28 48 8B D7 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_147_0 {
	meta:
		name = "?Initialize@ScheduleGroupBase@details@Concurrency@@QEAAXPEAVlocation@3@@Z"
		size = 60
	strings:
		$1 = { C7 41 28 01 00 00 00 8B 41 38 41 B8 FF FF FF 0F 33 02 41 23 C0 31 41 38 8B 02 33 41 38 41 23 C0 33 02 89 41 38 48 8B 42 08 48 89 41 40 8B 42 04 89 41 3C 48 8B 42 10 48 89 41 48 C3 }
	condition:
		$1
}

rule file_1106_148_0 {
	meta:
		name = "?Initialize@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVScheduleGroupBase@23@PEAVSchedulingRing@23@PEAVlocation@3@@Z"
		size = 288
		refs = "007a ?GetBitSet@SchedulerBase@details@Concurrency@@QEAA?AVQuickBitSet@23@PEBVlocation@3@@Z 008a ??_V@YAXPEAX@Z 00d7 ?Find@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBIPEAI@Z 00ea ?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 56 48 83 EC 30 48 89 91 A8 01 00 00 4C 89 41 10 8B 41 18 41 33 01 48 8B EA 48 8B F9 25 FF FF FF 0F 48 8D 54 24 20 4D 8B C1 31 41 18 41 8B 01 4D 8B F1 33 41 18 25 FF FF FF 0F 41 33 01 89 41 18 49 8B 41 08 48 89 41 20 41 8B 41 04 89 41 1C 49 8B 41 10 48 89 41 28 83 A1 C0 01 00 00 00 C7 81 D8 01 00 00 01 00 00 00 48 8B 4D 08 E8 ?? ?? ?? ?? 48 8D 77 30 48 8B 4E 08 48 8B D8 E8 ?? ?? ?? ?? 8B 0B 89 0E 48 8B 4B 08 48 89 4E 08 83 23 00 48 83 63 08 00 48 8B 4C 24 28 E8 ?? ?? ?? ?? 41 8B 06 25 FF FF FF 0F 83 F8 03 75 29 41 8B 46 08 48 8B 4D 08 4C 8D 44 24 58 48 8D 54 24 50 48 81 C1 48 02 00 00 89 44 24 50 E8 ?? ?? ?? ?? 8B 44 24 58 89 47 40 48 8D 4F 68 48 8B D6 E8 ?? ?? ?? ?? 48 8B 87 88 00 00 00 48 85 C0 74 13 48 8B 8F 88 00 00 00 48 8B D6 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1106_155_0 {
	meta:
		name = "?IsEmptyAtSafePoint@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA_NXZ"
		size = 56
		altNames = "?IsEmptyAtSafePoint@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 8B 41 58 48 85 C0 74 29 4C 63 41 50 33 C9 45 85 C0 7E 15 48 8B 10 48 83 3A 00 75 18 48 FF C1 48 83 C2 08 49 3B C8 7C EE 48 8B 40 08 48 85 C0 75 DB B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_1106_160_0 {
	meta:
		name = "?IsUnstructuredEmpty@WorkQueue@details@Concurrency@@QEBA_NXZ"
		size = 18
	strings:
		$1 = { 8B 91 B4 00 00 00 8B 89 B0 00 00 00 3B D1 0F 9E C0 C3 }
	condition:
		$1
}

rule file_1106_163_0 {
	meta:
		name = "?LocateSegment@ScheduleGroupBase@details@Concurrency@@UEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@_N@Z"
		size = 361
		refs = "002c ?FindCurrentNode@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingNode@23@XZ 0040 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 0050 ?GetLocation@SchedulingNode@details@Concurrency@@QEAA?AVlocation@3@XZ 006f ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 00d2 ?_FastNodeIntersects@location@Concurrency@@QEBA_NAEBV12@@Z 0108 ?_Sleep0@details@Concurrency@@YAXXZ 0115 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0141 ?CreateSegment@ScheduleGroupBase@details@Concurrency@@IEAAPEAVScheduleGroupSegmentBase@23@PEAVlocation@3@PEAVSchedulingRing@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B D9 48 8B 49 08 45 8A F0 48 8B F2 E8 ?? ?? ?? ?? 48 85 C0 74 06 48 8B 78 08 EB 0C 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8B F8 48 8B 4F 08 48 8D 55 A0 E8 ?? ?? ?? ?? 83 65 B8 00 4C 8B FF 0F 57 C0 48 8B D6 F3 0F 7F 45 C0 EB 65 48 8B 4B 08 33 D2 E8 ?? ?? ?? ?? 48 8D 55 E8 48 8B 48 08 48 8B F8 E8 ?? ?? ?? ?? 8B 55 A0 8B CA 4C 8B C0 33 08 81 E1 FF FF FF 0F 33 D1 89 55 A0 33 10 81 E2 FF FF FF 0F 33 10 49 3B FF 89 55 A0 48 8B 40 08 48 89 45 A8 41 8B 40 04 89 45 A4 49 8B 40 10 48 89 45 B0 48 8D 45 B8 48 0F 45 C6 48 8B F0 48 8B D0 48 8D 4D A0 E8 ?? ?? ?? ?? 4C 8B C7 84 C0 74 8B 48 8B 03 48 8B D6 48 8B CB FF 50 48 48 85 C0 75 5E 45 84 F6 74 59 44 8D 70 01 41 8B C6 87 43 10 85 C0 74 22 83 65 D8 00 48 8D 05 ?? ?? ?? ?? 48 89 45 E0 48 8D 4D D0 E8 ?? ?? ?? ?? 41 8B C6 87 43 10 85 C0 75 ED 48 8B 03 4C 8B C7 48 8B D6 48 8B CB FF 50 48 48 85 C0 75 0E 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? C7 43 10 00 00 00 00 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1106_164_0 {
	meta:
		name = "?LocateUnrealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ"
		size = 235
		refs = "00ad ?SafelyDeleteDetachedWorkQueue@ScheduleGroupSegmentBase@details@Concurrency@@IEAA_NPEAVWorkQueue@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 81 10 01 00 00 33 FF 48 8B D9 8B F7 85 C0 0F 8E 9D 00 00 00 8B 8B F4 00 00 00 8B D6 D3 FA 3B 93 0C 01 00 00 7D 7B 4C 63 8B 08 01 00 00 48 8B 83 00 01 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 83 F0 00 00 00 FF C8 48 63 C8 48 63 C6 48 23 C8 49 8B 00 48 8B 14 C8 48 85 D2 74 2C 8B 4A 04 8B 02 3B C8 7F 58 8B 8A B4 00 00 00 8B 82 B0 00 00 00 3B C8 7F 48 8B 82 90 00 00 00 83 F8 01 75 08 48 8B CB E8 ?? ?? ?? ?? 8B 83 10 01 00 00 FF C6 3B F0 0F 8C 63 FF FF FF 8B 93 94 00 00 00 8B 8B 90 00 00 00 3B CA 40 0F 95 C7 48 8B C7 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 48 8B C2 EB EB }
	condition:
		$1
}

rule file_1106_166_0 {
	meta:
		name = "?MarkDetachment@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXXZ"
		size = 53
		refs = "0015 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0031 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 10 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 8B 47 04 48 8B CB 89 47 1C C6 47 18 01 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_167_0 {
	meta:
		name = "?MarkDetachment@WorkQueue@details@Concurrency@@QEAAXXZ"
		size = 65
		refs = "0018 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 003d ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 99 C0 00 00 00 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 8B 87 B4 00 00 00 48 8B CB 89 87 CC 00 00 00 C6 87 C8 00 00 00 01 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_171_0 {
	meta:
		name = "?PullFromFreePool@?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@XZ"
		size = 26
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 85 C0 74 06 48 05 20 FE FF FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1106_173_0 {
	meta:
		name = "?RedetachQueue@ScheduleGroupSegmentBase@details@Concurrency@@QEAAXPEAVWorkQueue@23@@Z"
		size = 16
		refs = "000c ?Add@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAAHPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 C2 60 48 81 C1 20 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_175_0 {
	meta:
		name = "?Release@ScheduleGroupBase@details@Concurrency@@UEAAIXZ"
		size = 66
		refs = "002d ?RemoveScheduleGroup@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F6 41 50 04 48 8B F9 75 20 83 CB FF F0 0F C1 59 28 FF CB 75 16 48 8B 01 FF 50 38 48 8B 4F 08 48 8B D7 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_176_0 {
	meta:
		name = "?ReleaseInternalContext@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@@Z"
		size = 56
		refs = "0014 ?RemoveFromUse@InternalContextBase@details@Concurrency@@QEAAXXZ 0034 ?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B CA 48 8B FA E8 ?? ?? ?? ?? 48 8B 8B A8 01 00 00 45 33 C0 48 8B 49 08 48 8B D7 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_177_0 {
	meta:
		name = "?Remove@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA_NPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@H_N@Z"
		size = 315
		refs = "00ae __imp_QueryDepthSList 00c7 __imp_InterlockedPushEntrySList 00e1 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 00f7 __imp_InterlockedFlushSList 0106 ?CheckForDeletionBridge@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 0112 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D EC 00 00 00 48 8B 43 60 44 3B 53 68 7C 1E 44 2B 53 68 48 63 4B 68 4C 8B 44 C8 F8 78 16 41 8D 4A 01 4D 8B 40 08 48 2B CD 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 50 49 63 CB 48 8B 44 24 50 45 33 F6 F0 4C 0F B1 34 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 8C 00 00 00 41 8D 46 FE F0 45 0F B1 58 10 45 84 C9 74 78 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 56 10 0F B7 C0 3B 43 74 7E 5A 48 8D 7B 10 48 8B CF FF 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 0F B7 C0 3B 43 74 7E 45 48 8B 4B 48 E8 ?? ?? ?? ?? 84 C0 75 38 33 C0 F0 0F B1 6B 78 75 2F 48 8B CF FF 15 ?? ?? ?? ?? 4C 8B 4B 48 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 89 43 20 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1106_179_0 {
	meta:
		name = "?Remove@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVWorkQueue@23@H_N@Z"
		size = 315
		refs = "00ae __imp_QueryDepthSList 00c7 __imp_InterlockedPushEntrySList 00e1 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 00f7 __imp_InterlockedFlushSList 0106 ?CheckForDeletionBridge@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 0112 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D EC 00 00 00 48 8B 43 60 44 3B 53 68 7C 1E 44 2B 53 68 48 63 4B 68 4C 8B 44 C8 F8 78 16 41 8D 4A 01 4D 8B 40 08 48 2B CD 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 50 49 63 CB 48 8B 44 24 50 45 33 F6 F0 4C 0F B1 34 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 8C 00 00 00 41 8D 46 FE F0 45 0F B1 58 10 45 84 C9 74 78 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 56 30 0F B7 C0 3B 43 74 7E 5A 48 8D 7B 10 48 8B CF FF 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 0F B7 C0 3B 43 74 7E 45 48 8B 4B 48 E8 ?? ?? ?? ?? 84 C0 75 38 33 C0 F0 0F B1 6B 78 75 2F 48 8B CF FF 15 ?? ?? ?? ?? 4C 8B 4B 48 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 89 43 20 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1106_181_0 {
	meta:
		name = "?Remove@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXXZ"
		size = 49
		refs = "001c ?RemovePrioritizedObject@SchedulerBase@details@Concurrency@@QEAAXPEAUBoostedObject@23@@Z 002d ?RemoveScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupSegmentBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 91 C0 01 00 00 48 8B 89 A8 01 00 00 48 8B 49 08 E8 ?? ?? ?? ?? 48 8B 4B 10 48 8B D3 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_182_0 {
	meta:
		name = "?RemoveSegments@ScheduleGroupBase@details@Concurrency@@MEAAXXZ"
		size = 92
		refs = "001e ?Remove@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 49 20 48 85 C9 74 14 48 8B 99 B0 01 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 EC 48 8B 4F 18 48 85 C9 74 14 48 8B 99 B0 01 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 EC 48 83 67 20 00 48 8B 5C 24 30 48 83 67 18 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_183_0 {
	meta:
		name = "?RetireDetachedQueue@ScheduleGroupSegmentBase@details@Concurrency@@QEAAXPEAVWorkQueue@23@@Z"
		size = 77
		refs = "001b ?Remove@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVWorkQueue@23@H_N@Z 0043 ?RemoveScheduleGroup@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 44 8B 82 A4 00 00 00 48 8B D9 41 B1 01 48 81 C1 A0 00 00 00 E8 ?? ?? ?? ?? 48 8B 9B A8 01 00 00 F6 43 50 04 75 1B F0 FF 4B 28 75 15 48 8B 03 48 8B CB FF 50 38 48 8B 4B 08 48 8B D3 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1106_184_0 {
	meta:
		name = "?SafelyDeleteDetachedWorkQueue@ScheduleGroupSegmentBase@details@Concurrency@@IEAA_NPEAVWorkQueue@23@@Z"
		size = 93
		refs = "0022 ?Remove@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA_NPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@H_N@Z 0043 ?RetireAtSafePoint@WorkQueue@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@@Z 004c ?RedetachFromScheduleGroupAtSafePoint@WorkQueue@details@Concurrency@@QEAAXPEAVScheduleGroupSegmentBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 83 C2 60 48 8B F9 44 8B 02 48 81 C1 20 01 00 00 45 33 C9 E8 ?? ?? ?? ?? 84 C0 74 26 44 8B 83 B4 00 00 00 8B 83 B0 00 00 00 48 8B D7 48 8B CB 44 3B C0 7F 09 E8 ?? ?? ?? ?? B0 01 EB 07 E8 ?? ?? ?? ?? 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_185_0 {
	meta:
		name = "?ScheduleTask@ScheduleGroupBase@details@Concurrency@@QEAAXP6AXPEAX@Z0AEAVlocation@3@@Z"
		size = 52
		refs = "0030 ?ScheduleTask@ScheduleGroupSegmentBase@details@Concurrency@@QEAAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 49 8B D8 48 8B FA 41 B0 01 49 8B D1 FF 50 28 4C 8B C3 48 8B D7 48 8B C8 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_186_0 {
	meta:
		name = "?ScheduleTask@ScheduleGroupBase@details@Concurrency@@UEAAXP6AXPEAX@Z0@Z"
		size = 53
		refs = "0031 ?ScheduleTask@ScheduleGroupSegmentBase@details@Concurrency@@QEAAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B FA 49 8B D8 48 8D 51 38 41 B0 01 FF 50 28 4C 8B C3 48 8B D7 48 8B C8 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1106_187_0 {
	meta:
		name = "?ScheduleTask@ScheduleGroupSegmentBase@details@Concurrency@@QEAAXP6AXPEAX@Z0@Z"
		size = 435
		refs = "002f ?GetRealizedChore@SchedulerBase@details@Concurrency@@QEAAPEAVRealizedChore@23@P6AXPEAX@Z0@Z 004c ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0068 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 006d ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 007d ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 00a7 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 00b7 ??2@YAPEAX_K@Z 00e9 ?Add@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAAHPEAVExternalStatistics@23@@Z 00f4 ?__TlsSetValue@platform@details@Concurrency@@YAXKPEAX@Z 017d ??_C@_04MGCDEED@proc?$AA@ 0191 ??0exception@std@@QEAA@AEBQEBD@Z 0198 ??_7invalid_argument@std@@6B@ 019f _TI3?AVinvalid_argument@std@@ 01ae _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 50 48 8B F9 48 85 D2 0F 84 5A 01 00 00 48 8B 81 A8 01 00 00 48 8B 70 08 48 8B CE E8 ?? ?? ?? ?? 48 8B 8F A8 01 00 00 F6 41 50 04 48 8B E8 75 04 F0 FF 41 28 48 8D 4F 58 E8 ?? ?? ?? ?? 48 8D 4D 20 48 83 21 00 48 8B 47 50 48 89 28 48 89 4F 50 48 8D 4F 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 2A 48 8B C8 E8 ?? ?? ?? ?? 48 3B C6 75 1D 80 BB 88 00 00 00 00 48 8B 83 F8 00 00 00 74 05 FF 40 20 EB 60 FF 80 A0 00 00 00 EB 58 8B 4E 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 45 8D 48 40 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 83 60 20 00 83 60 24 00 83 60 28 00 83 60 2C 00 C7 40 30 01 00 00 00 EB 02 33 DB 48 8D 8E 50 01 00 00 48 8B D3 E8 ?? ?? ?? ?? 8B 4E 20 48 8B D3 E8 ?? ?? ?? ?? FF 43 20 BB FF FF FF 0F 85 5F 18 74 09 48 8B 07 48 8B CF FF 50 08 8B 86 A8 02 00 00 8B 8E A4 02 00 00 2B C8 85 C9 7E 45 8B 4C 24 20 8B 47 18 4C 8D 44 24 20 33 C1 48 8B D7 23 C3 33 C8 8B 47 18 33 C1 48 8B CE 23 C3 33 47 18 89 44 24 20 48 8B 47 20 48 89 44 24 28 8B 47 1C 89 44 24 24 48 8B 47 28 48 89 44 24 30 48 8B 06 FF 50 70 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 50 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 38 48 89 44 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1106_189_0 {
	meta:
		name = "?SetDetached@WorkQueue@details@Concurrency@@QEAAX_N@Z"
		size = 108
		refs = "002b ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0046 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 40 8A EA 48 8B F1 84 D2 74 2A 48 8B 99 C0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 48 8B CB 89 86 CC 00 00 00 C6 86 C8 00 00 00 01 E8 ?? ?? ?? ?? 48 8B 5C 24 30 40 84 ED 48 8B 6C 24 38 40 0F 95 C7 87 BE 90 00 00 00 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1106_192_0 {
	meta:
		name = "?StealUnrealizedChore@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAV_UnrealizedChore@23@_N@Z"
		size = 872
		refs = "001a __security_cookie 00f0 ?TryToSteal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_NAEA_N@Z 0121 ?Steal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_N@Z 0265 ?Dequeue@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@QEAA_NPEAPEAV_UnrealizedChore@23@@Z 0275 ?_SetDetached@_UnrealizedChore@details@Concurrency@@QEAAX_N@Z 032a ?SafelyDeleteDetachedWorkQueue@ScheduleGroupSegmentBase@details@Concurrency@@IEAA_NPEAVWorkQueue@23@@Z 0349 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 44 8B B9 10 01 00 00 45 32 E4 44 8A EA 48 8B D9 45 85 FF 0F 8E 1C 02 00 00 33 ED 33 F6 40 88 6C 24 20 45 85 FF 0F 8E 0A 02 00 00 45 33 F6 8B 8B F4 00 00 00 8B D6 D3 FA 3B 93 0C 01 00 00 0F 8D F9 00 00 00 4C 63 83 08 01 00 00 48 8B 83 00 01 00 00 41 3B D0 7C 18 41 2B D0 4E 8B 4C C0 F8 78 15 8D 4A 01 4D 8B 49 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 0C C8 8B 83 F0 00 00 00 FF C8 48 63 C8 48 63 C6 48 23 C8 49 8B 01 48 8B 3C C8 48 85 FF 0F 84 A6 00 00 00 8B 0F 8B 47 04 3B C1 7F 1E 8B 8F B4 00 00 00 8B 87 B0 00 00 00 3B C8 7F 0E 8B 87 90 00 00 00 83 F8 01 0F 94 C0 EB 7C 4C 8D 44 24 20 41 8A D5 48 8B CF E8 ?? ?? ?? ?? 48 89 44 24 28 48 85 C0 0F 85 3E 02 00 00 38 44 24 20 75 2B 49 83 FE 0F 7D 0C 42 89 74 B4 30 FF C5 49 FF C6 EB 49 41 8A D5 48 8B CF E8 ?? ?? ?? ?? 48 89 44 24 28 48 85 C0 0F 85 0D 02 00 00 8B 87 90 00 00 00 83 F8 01 75 20 8B 0F 8B 47 04 3B C1 7F 17 8B 8F B4 00 00 00 8B 87 B0 00 00 00 3B C8 7F 07 B8 01 00 00 00 EB 02 33 C0 44 0A E0 FF C6 41 3B F7 0F 8C E6 FE FF FF 85 ED 0F 8E E5 00 00 00 48 63 ED 33 F6 48 85 ED 0F 8E D7 00 00 00 8B 54 B4 30 8B 8B F4 00 00 00 D3 FA 3B 93 0C 01 00 00 0F 8D B3 00 00 00 4C 63 8B 08 01 00 00 48 8B 83 00 01 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 83 F0 00 00 00 FF C8 48 63 C8 48 63 44 B4 30 48 23 C8 49 8B 00 48 8B 3C C8 48 85 FF 74 62 8B 0F 8B 47 04 3B C1 7F 10 8B 8F B4 00 00 00 8B 87 B0 00 00 00 3B C8 7E 19 41 8A D5 48 8B CF E8 ?? ?? ?? ?? 48 89 44 24 28 48 85 C0 0F 85 21 01 00 00 8B 87 90 00 00 00 83 F8 01 75 20 8B 0F 8B 47 04 3B C1 7F 17 8B 8F B4 00 00 00 8B 87 B0 00 00 00 3B C8 7F 07 B8 01 00 00 00 EB 02 33 C0 44 0A E0 48 FF C6 48 3B F5 0F 8C 29 FF FF FF 48 8D 4B 60 48 8D 54 24 28 E8 ?? ?? ?? ?? 84 C0 74 16 48 8B 4C 24 28 B2 01 E8 ?? ?? ?? ?? 48 8B 44 24 28 E9 BD 00 00 00 8B 83 90 01 00 00 85 C0 0F 8E AD 00 00 00 45 84 E4 0F 84 A4 00 00 00 8B 83 10 01 00 00 33 FF 85 C0 0F 8E 94 00 00 00 8B 8B F4 00 00 00 8B D7 D3 FA 3B 93 0C 01 00 00 7D 72 4C 63 8B 08 01 00 00 48 8B 83 00 01 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 83 F0 00 00 00 FF C8 48 63 C8 48 63 C7 48 23 C8 49 8B 00 48 8B 14 C8 48 85 D2 74 23 8B 82 90 00 00 00 83 F8 01 75 18 8B 8A B4 00 00 00 8B 82 B0 00 00 00 3B C8 7F 08 48 8B CB E8 ?? ?? ?? ?? 8B 83 10 01 00 00 FF C7 3B F8 0F 8C 6C FF FF FF 33 C0 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1107_0_0 {
	meta:
		name = "_putw"
		size = 175
		refs = "002c _errno 0037 _invalid_parameter_noinfo 0049 _lock_file 0078 _flsbuf 008a ferror 009b _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 56 48 83 EC 30 48 8B DA 41 BE 04 00 00 00 48 8D 7C 24 50 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 61 48 89 54 24 58 48 8B CA E8 ?? ?? ?? ?? 90 83 CE FF 41 8B C6 41 FF CE 44 89 74 24 20 85 C0 74 26 01 73 08 78 0C 8A 0F 48 8B 03 88 08 48 FF 03 EB 0B 0F BE 0F 48 8B D3 E8 ?? ?? ?? ?? 48 FF C7 48 89 7C 24 28 EB CB 48 8B CB E8 ?? ?? ?? ?? 8B 7C 24 50 85 C0 0F 45 FE 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1109_0_0 {
	meta:
		name = "strlen"
		size = 168
	strings:
		$1 = { 48 8B C1 48 F7 D9 48 A9 07 00 00 00 74 0F 66 90 8A 10 48 FF C0 84 D2 74 5F A8 07 75 F3 49 B8 FF FE FE FE FE FE FE 7E 49 BB 00 01 01 01 01 01 01 81 48 8B 10 4D 8B C8 48 83 C0 08 4C 03 CA 48 F7 D2 49 33 D1 49 23 D3 74 E8 48 8B 50 F8 84 D2 74 51 84 F6 74 47 48 C1 EA 10 84 D2 74 39 84 F6 74 2F 48 C1 EA 10 84 D2 74 21 84 F6 74 17 C1 EA 10 84 D2 74 0A 84 F6 75 B9 48 8D 44 01 FF C3 48 8D 44 01 FE C3 48 8D 44 01 FD C3 48 8D 44 01 FC C3 48 8D 44 01 FB C3 48 8D 44 01 FA C3 48 8D 44 01 F9 C3 48 8D 44 01 F8 C3 }
	condition:
		$1
}

rule file_1111_0_0 {
	meta:
		name = "_beginthreadex"
		size = 237
		refs = "002c _errno 0037 _invalid_parameter_noinfo 004b _calloc_crt 0058 _getptd 0067 _initptd 0093 _threadstartex 00ae __imp_CreateThread 00b9 __imp_GetLastError 00c3 free 00ce _dosmaperr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 33 DB 49 8B E9 49 8B F0 44 8B F2 4C 8B F9 4D 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 92 00 00 00 BA 78 04 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 68 E8 ?? ?? ?? ?? 48 8B CF 48 8B 90 C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 78 48 83 4F 08 FF 8B 44 24 70 48 85 C9 4C 8D 44 24 60 4C 0F 45 C1 49 8B D6 4C 8B CF 4C 89 44 24 28 4C 8D 05 ?? ?? ?? ?? 49 8B CF 48 89 B7 90 00 00 00 48 89 AF 98 00 00 00 89 44 24 20 FF 15 ?? ?? ?? ?? 48 85 C0 75 1D FF 15 ?? ?? ?? ?? 8B D8 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 07 8B CB E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1111_1_0 {
	meta:
		name = "_callthreadstartex"
		size = 44
		refs = "0005 _getptd 001a _endthreadex 0022 _exit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 90 48 8B 88 98 00 00 00 FF 90 90 00 00 00 8B C8 E8 ?? ?? ?? ?? 90 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1111_3_0 {
	meta:
		name = "_createThread"
		size = 42
		refs = "001b _threadstartex 0021 __imp_CreateThread"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 8B D2 48 89 44 24 28 44 89 4C 24 20 4D 8B C8 4C 8D 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1111_4_0 {
	meta:
		name = "_endthreadex"
		size = 144
		refs = "000d _getptd_noexit 0024 ?s_initialized@?1??_uninitMTAoncurrentthread@@9@9 002f ??_C@_1BI@IDAOOPDH@?$AAc?$AAo?$AAm?$AAb?$AAa?$AAs?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 003d __imp_LoadLibraryExW 0044 ??_C@_0P@LLFHBIJD@RoUninitialize?$AA@ 004d __imp_GetProcAddress 005b __imp_EncodePointer 0062 ?s_rouninit@?1??_uninitMTAoncurrentthread@@9@9 0079 __imp_DecodePointer 0083 _freeptd 008b __imp_ExitThread"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B F9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 6E 83 B8 68 04 00 00 00 74 5D 8B 15 ?? ?? ?? ?? 85 D2 75 44 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 29 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? FF D0 48 8B CB E8 ?? ?? ?? ?? 8B CF FF 15 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1111_5_0 {
	meta:
		name = "_initMTAoncurrentthread"
		size = 119
		refs = "0008 ?s_initialized@?1??_initMTAoncurrentthread@@9@9 0015 ??_C@_1BI@IDAOOPDH@?$AAc?$AAo?$AAm?$AAb?$AAa?$AAs?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0023 __imp_LoadLibraryExW 002a ??_C@_0N@PPOMPGGK@RoInitialize?$AA@ 0033 __imp_GetProcAddress 0041 __imp_EncodePointer 0048 ?s_roinit@?1??_initMTAoncurrentthread@@9@9 005f __imp_DecodePointer"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB 85 C0 75 44 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 35 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? B9 01 00 00 00 FF D0 85 C0 0F 94 C3 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1111_6_0 {
	meta:
		name = "_threadstartex"
		size = 259
		refs = "0013 __get_flsindex 001a __crtFlsGetValue 0033 __crtFlsSetValue 003d __imp_GetLastError 0045 __imp_ExitThread 004c __imp_GetCurrentThreadId 007f _freefls 0084 __crtIsPackagedApp 0094 ?s_initialized@?1??_initMTAoncurrentthread@@9@9 00a4 ??_C@_1BI@IDAOOPDH@?$AAc?$AAo?$AAm?$AAb?$AAa?$AAs?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 00b2 __imp_LoadLibraryExW 00b9 ??_C@_0N@PPOMPGGK@RoInitialize?$AA@ 00c2 __imp_GetProcAddress 00d0 __imp_EncodePointer 00d7 ?s_roinit@?1??_initMTAoncurrentthread@@9@9 00ea __imp_DecodePointer 00fe _callthreadstartex"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 DB 48 8B F8 48 85 C0 75 2F E8 ?? ?? ?? ?? 48 8B D6 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 48 8B FE 89 06 EB 2C 48 8B 86 90 00 00 00 48 8B CE 48 89 87 90 00 00 00 48 8B 86 98 00 00 00 48 89 87 98 00 00 00 48 8B 46 08 48 89 47 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 68 04 00 00 85 C0 74 6B 8B 05 ?? ?? ?? ?? BE 01 00 00 00 85 C0 75 40 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 2C 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 89 35 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B CE FF D0 85 C0 0F 94 C3 89 9F 68 04 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1111_7_0 {
	meta:
		name = "_uninitMTAoncurrentthread"
		size = 102
		refs = "0006 ?s_initialized@?1??_uninitMTAoncurrentthread@@9@9 0011 ??_C@_1BI@IDAOOPDH@?$AAc?$AAo?$AAm?$AAb?$AAa?$AAs?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 001f __imp_LoadLibraryExW 0026 ??_C@_0P@LLFHBIJD@RoUninitialize?$AA@ 002f __imp_GetProcAddress 003d __imp_EncodePointer 0044 ?s_rouninit@?1??_uninitMTAoncurrentthread@@9@9 005b __imp_DecodePointer"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? 85 C0 75 44 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 29 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? FF D0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1112_0_0 {
	meta:
		name = "_eof"
		size = 279
		refs = "0020 __doserrno 0028 _errno 0041 _nhandle 0058 __pioinfo 0079 __lock_fhandle 0091 _lseeki64_nolock 00e0 _unlock_fhandle 00fc _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 89 4C 24 08 57 41 56 41 57 48 83 EC 20 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 C9 00 00 00 85 C9 0F 88 A9 00 00 00 3B 1D ?? ?? ?? ?? 0F 83 9D 00 00 00 48 8B C3 48 8B F3 48 C1 FE 05 4C 8D 3D ?? ?? ?? ?? 83 E0 1F 4C 6B F0 58 49 8B 04 F7 42 0F BE 4C 30 08 BF 01 00 00 00 23 CF 74 72 8B CB E8 ?? ?? ?? ?? 90 49 8B 04 F7 42 84 7C 30 08 74 3E 44 8B C7 33 D2 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 83 F8 FF 74 3C 33 D2 44 8D 47 01 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 74 29 48 3B F0 74 27 45 33 C0 48 8B D6 8B CB E8 ?? ?? ?? ?? 33 FF EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CF FF 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1114_0_0 {
	meta:
		name = "__vdecl_fmod4"
		size = 107
		refs = "0011 fmod"
	strings:
		$1 = { 48 83 EC 68 C5 FE 7F 44 24 20 C5 FE 7F 4C 24 40 E8 ?? ?? ?? ?? 66 0F D6 44 24 20 F3 0F 7E 44 24 28 F3 0F 7E 4C 24 48 E8 ?? ?? ?? ?? 66 0F D6 44 24 28 F3 0F 7E 44 24 30 F3 0F 7E 4C 24 50 E8 ?? ?? ?? ?? 66 0F D6 44 24 30 F3 0F 7E 44 24 38 F3 0F 7E 4C 24 58 E8 ?? ?? ?? ?? 66 0F D6 44 24 38 C5 FE 6F 44 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_1116_2_0 {
	meta:
		name = "iswctype"
		size = 102
		refs = "0028 _pwctype 0049 __imp_GetStringTypeW"
	strings:
		$1 = { 66 89 4C 24 08 53 48 83 EC 20 B8 FF FF 00 00 0F B7 DA 66 3B C8 75 04 33 C0 EB 45 B8 00 01 00 00 66 3B C8 73 10 48 8B 05 ?? ?? ?? ?? 0F B7 C9 0F B7 04 48 EB 26 B9 01 00 00 00 4C 8D 4C 24 40 48 8D 54 24 30 44 8B C1 FF 15 ?? ?? ?? ?? 33 C9 85 C0 74 05 0F B7 4C 24 40 0F B7 C1 0F B7 CB 23 C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1118_3_0 {
	meta:
		name = "??8type_info@@QEBA_NAEBV0@@Z"
		size = 30
		refs = "0010 strcmp"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 48 8D 51 11 48 8D 48 11 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1118_4_0 {
	meta:
		name = "??9type_info@@QEBA_NAEBV0@@Z"
		size = 30
		refs = "0010 strcmp"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 48 8D 51 11 48 8D 48 11 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1118_8_0 {
	meta:
		name = "?before@type_info@@QEBA_NAEBV1@@Z"
		size = 30
		refs = "0010 strcmp"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 48 8D 51 11 48 8D 48 11 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1119_0_0 {
	meta:
		name = "__avx_sin4"
		size = 2224
		refs = "000a __common_dsin_reduction_data 007f __common_dsin_data 0236 __common_dsin_cout_rare 0240 __common_dsin_data_ha 02a7 _2il0floatpacket_264 02fa _2il0floatpacket_265 0353 _2il0floatpacket_266 05b8 _2il0floatpacket_267 05de _2il0floatpacket_270 05f1 _2il0floatpacket_269 05fa _2il0floatpacket_268 0624 _2il0floatpacket_271 0681 _2il0floatpacket_272 0689 _2il0floatpacket_273 06e7 _2il0floatpacket_277 06fa _2il0floatpacket_274 0703 _2il0floatpacket_275 070c _2il0floatpacket_276 0767 _2il0floatpacket_278 0775 _2il0floatpacket_279"
	strings:
		$1 = { 48 81 EC B8 02 00 00 4C 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 70 01 00 00 45 33 DB C5 7C 11 B4 24 B0 01 00 00 C5 7C 11 AC 24 50 02 00 00 C5 7C 11 A4 24 90 01 00 00 C5 7C 11 9C 24 10 02 00 00 C5 7C 11 94 24 F0 01 00 00 C5 7C 11 8C 24 D0 01 00 00 C5 7C 11 84 24 90 02 00 00 C5 FC 11 BC 24 70 02 00 00 C5 FC 11 B4 24 30 02 00 00 4C 89 AC 24 B0 02 00 00 4C 8D AC 24 0F 01 00 00 C5 FD 10 0D ?? ?? ?? ?? 49 83 E5 C0 C5 7D 54 E9 C5 95 C2 15 ?? ?? ?? ?? 1E C5 F5 55 E0 C4 E3 7D 19 D3 01 C5 E8 C6 EB DD C5 F8 50 C5 85 C0 0F 85 8D 01 00 00 C5 FD 10 35 ?? ?? ?? ?? C5 95 59 2D ?? ?? ?? ?? C5 D5 58 FE C5 C5 5C DE C5 65 59 1D ?? ?? ?? ?? C5 65 59 25 ?? ?? ?? ?? C5 65 59 3D ?? ?? ?? ?? C5 E5 59 15 ?? ?? ?? ?? C4 41 15 5C EB C4 41 15 5C F4 C4 C1 0D 5C CF C5 F5 5C DA C5 E5 59 D3 C5 ED 59 35 ?? ?? ?? ?? C5 B9 73 F7 3F C4 C3 7D 19 F9 01 C5 CD 58 3D ?? ?? ?? ?? C4 C1 29 73 F1 3F C4 C3 3D 18 EA 01 C5 45 59 C2 C5 3D 58 0D ?? ?? ?? ?? C5 35 59 D2 C5 2D 58 1D ?? ?? ?? ?? C5 25 59 E2 C5 1D 58 2D ?? ?? ?? ?? C5 15 59 F2 C5 0D 58 3D ?? ?? ?? ?? C5 E5 57 CD C5 85 59 DA C5 E5 58 2D ?? ?? ?? ?? C5 D5 59 D2 C5 ED 59 F1 C5 CD 58 C9 C5 F5 57 CC 45 85 DB 75 6E C5 FC 10 B4 24 30 02 00 00 C5 FC 10 BC 24 70 02 00 00 C5 7C 10 84 24 90 02 00 00 C5 7C 10 8C 24 D0 01 00 00 C5 7C 10 94 24 F0 01 00 00 C5 7C 10 9C 24 10 02 00 00 C5 7C 10 A4 24 90 01 00 00 C5 7C 10 AC 24 50 02 00 00 C5 7C 10 B4 24 B0 01 00 00 C5 7C 10 BC 24 70 01 00 00 4C 8B AC 24 B0 02 00 00 C5 FD 28 C1 48 81 C4 B8 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 84 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 41 8B F3 0F A3 DE 72 1C FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 4D 40 E9 52 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D0 C5 7D 10 15 ?? ?? ?? ?? BA 00 00 F0 7F C4 41 7D 11 6D 00 C4 C1 7D 11 65 20 C4 C1 7D 11 45 40 C5 79 6E C2 C4 C1 79 70 E0 11 C4 41 2D 54 DD C4 C1 25 C2 D2 00 C4 C3 7D 19 D1 01 C4 41 68 C6 F9 DD C4 41 78 50 DF C4 C1 59 DB FD C4 43 7D 19 EF 01 C5 89 73 D7 34 C4 C1 59 DB CF C5 E1 73 D1 34 C5 79 7E F0 C5 F9 7E D9 C5 FA 6F 25 ?? ?? ?? ?? C5 78 11 6C 24 20 C4 41 59 DB ED C4 43 79 16 F0 02 44 8D 0C 40 C4 E3 79 16 DA 02 8D 0C 49 41 C1 E1 03 C1 E1 03 47 8D 04 40 41 C1 E0 03 8D 04 52 C1 E0 03 C5 78 11 7C 24 30 C4 41 59 DB FF C4 01 F9 6E 1C 11 C4 A1 F9 6E 7C 11 10 C5 7A 6F 35 ?? ?? ?? ?? C4 A1 F9 6E 04 11 C4 21 F9 6E 64 11 08 C4 81 F9 6E 74 11 08 C4 81 21 16 14 10 C4 A1 41 16 5C 10 10 C4 41 11 D4 DE C4 C1 01 D4 FE C4 21 79 16 14 10 C5 D9 73 D3 20 C4 21 19 16 4C 10 08 C4 01 49 16 44 10 08 C4 81 F9 6E 6C 11 10 C4 C1 19 73 D0 20 C5 7A 6F 2D ?? ?? ?? ?? C4 81 51 16 4C 10 10 4C 8D 15 ?? ?? ?? ?? C4 41 29 DB F5 C4 C1 51 73 D1 20 C4 C1 39 DB F5 C4 C1 31 DB C5 C4 C1 31 73 D3 20 C4 41 21 DB C5 C4 41 41 DB DD C5 79 11 54 24 50 C5 A9 73 D7 20 C4 C1 21 F4 FE C4 41 69 DB FD C5 F9 11 54 24 40 C5 E9 73 D1 20 C4 C1 71 DB CD C4 C1 61 DB DD C5 FA 7F 84 24 A0 00 00 00 41 B8 00 00 00 80 C5 FA 7F BC 24 C0 00 00 00 C5 7A 7F 74 24 70 C5 FA 7F AC 24 90 00 00 00 C5 A1 F4 F8 C5 B1 F4 C1 C5 B1 F4 CA C5 B9 F4 D2 C5 21 F4 F5 C5 B9 F4 EE C5 B1 F4 F6 C5 7A 7F 7C 24 60 C5 E9 73 D2 20 C4 41 39 F4 FF C5 F1 D4 CA C5 7A 7F BC 24 B0 00 00 00 C5 81 73 D0 20 C4 C1 51 DB C5 C5 D1 73 D5 20 C5 F9 D4 C1 C5 81 D4 D0 C5 29 F4 FB C5 A9 F4 DC C5 A1 F4 E4 C5 D9 73 D4 20 C4 C1 41 DB C5 C5 E1 D4 CC C5 7A 7F A4 24 80 00 00 00 C4 C1 01 73 D7 20 C4 41 39 F4 E4 C5 C1 73 D7 20 C5 F9 D4 D9 C5 81 D4 E3 C5 C9 D4 DD C4 41 19 DB FD C5 F1 73 D2 20 C5 01 D4 FB C4 41 71 D4 FF C5 A9 F4 8C 24 A0 00 00 00 C5 F1 D4 F7 C5 B1 F4 8C 24 80 00 00 00 C5 31 F4 4C 24 60 C4 C1 09 DB C5 C5 E1 73 D4 20 C5 F9 D4 EE C4 C1 19 73 D4 20 C4 C1 49 73 D7 20 C5 E1 D4 FD C4 C1 71 D4 CC C5 FA 6F 9C 24 B0 00 00 00 C4 C1 09 73 D6 20 C4 C1 61 DB C5 C5 D1 73 D7 20 C5 F9 D4 C1 C5 A9 F4 8C 24 90 00 00 00 C5 29 F4 54 24 70 C5 C9 D4 F0 C4 C1 71 D4 CE C5 FA 6F 84 24 C0 00 00 00 C5 E1 73 D3 20 C4 41 79 DB E5 C5 89 73 D6 20 C5 19 D4 E1 C5 31 D4 CB C4 C1 51 D4 CC C5 F9 10 6C 24 40 C4 C1 01 73 F7 20 C5 99 73 D5 20 C4 C1 69 DB D5 C4 41 39 F4 C4 C4 C1 49 DB F5 C4 41 39 DB C5 C5 C1 73 F7 20 C4 41 39 D4 C1 C5 F9 10 6C 24 50 C5 B1 73 D1 20 C4 41 09 D4 F0 C5 B9 73 D5 20 C4 C1 19 73 F6 20 C4 41 21 F4 D8 C5 B9 73 D0 20 C4 41 29 D4 D0 C5 99 D4 F6 C4 41 21 DB F5 C4 C1 71 DB CD C4 41 09 D4 DA C5 01 D4 D2 C4 41 31 D4 CB C4 C1 79 6E D0 C4 C1 61 73 F1 20 C5 79 70 CA 11 C4 41 59 DB ED C5 61 D4 C1 C4 C1 41 D4 E5 C5 B1 DB 7C 24 20 C5 91 73 D6 0C C5 7A 6F 1D ?? ?? ?? ?? C4 C1 61 73 D0 0C C5 31 DB 7C 24 30 C4 C1 41 EF CB C4 C1 01 EF C3 C5 11 EB F1 C5 61 EB E0 C5 7A 6F 1D ?? ?? ?? ?? C4 C3 0D 18 D4 01 C4 41 01 EF E3 C5 78 10 35 ?? ?? ?? ?? C4 E2 7D 1A 2D ?? ?? ?? ?? C5 55 58 EA C5 15 5C CD C4 C1 41 EF EB C4 C1 6D 5C D1 C4 63 7D 19 E9 01 C4 41 11 DB EE C4 41 70 54 CE C5 7A 6F 35 ?? ?? ?? ?? C4 C1 09 DB DA C5 09 DB DC C5 F9 73 F3 1C C4 C1 61 73 F3 1C C5 F9 EB CD C4 C1 61 EB C4 C5 D9 73 D4 18 C5 79 7E EA C4 41 79 7E C9 C1 E2 05 C4 63 79 16 E8 02 41 C1 E1 05 C4 63 79 16 C9 02 C1 E0 05 C1 E1 05 C4 E3 75 18 C8 01 C4 43 55 18 E4 01 C4 41 75 5C F4 C5 FA 6F 0D ?? ?? ?? ?? C5 FA 6F 05 ?? ?? ?? ?? C5 01 EF D9 C5 79 DB FE C5 C1 EF D9 C4 C1 41 73 F7 28 C4 C1 49 73 D2 18 C4 41 79 DB C0 C5 41 EB D6 C4 C1 41 73 F0 28 C5 29 EB FB C5 41 EB D4 C4 41 29 EB C3 C4 C3 05 18 F8 01 C4 C3 65 18 E3 01 C5 C5 5C CC C5 ED 58 E9 C5 ED 5C D5 C5 F5 58 C2 C4 41 7D 58 D6 C4 62 7D 1A 35 ?? ?? ?? ?? C4 41 55 54 DE C4 41 55 5C FB C4 62 7D 1A 25 ?? ?? ?? ?? C4 E2 7D 1A 35 ?? ?? ?? ?? C4 E2 7D 1A 15 ?? ?? ?? ?? C4 41 4D 59 C7 C4 C1 6D 59 FB C4 C1 1D 59 E2 C4 C1 6D 59 C7 C4 C1 4D 59 CB C4 C1 7D 10 55 00 C5 BD 58 DF C5 DD 58 E8 C5 E5 58 F5 C4 81 F9 6E 5C 11 10 C4 A1 61 16 6C 11 10 C5 75 58 FE C4 C1 75 5C CF C5 F5 58 C6 C4 A1 F9 6E 0C 12 C4 21 71 16 2C 10 C4 62 7D 1A 1D ?? ?? ?? ?? C4 41 6D 54 E3 C4 62 7D 1A 35 ?? ?? ?? ?? C4 41 1D C2 D6 12 C4 C1 1D C2 E6 1E C5 2D 54 C2 C4 01 F9 6E 14 11 C4 C1 5D 54 FF C4 21 29 16 0C 11 C4 21 F9 6E 54 12 08 C5 3D 56 FF C4 01 F9 6E 44 11 08 C5 DD 54 D0 C4 A1 F9 6E 44 12 10 C4 A1 79 16 4C 10 10 C4 C3 15 18 F9 01 C4 21 29 16 4C 10 08 C4 21 39 16 6C 11 08 C4 C3 35 18 E5 01 C5 05 59 DC C4 41 45 59 CF C4 63 75 18 C5 01 C4 41 3D 58 E3 C4 41 35 58 D4 C4 C1 3D 5C F4 C4 41 1D 5C F2 C4 C1 4D 58 C3 C4 41 0D 58 E9 C5 45 58 CC C5 15 58 D8 C4 41 05 59 EF C5 95 59 0D ?? ?? ?? ?? C5 95 59 3D ?? ?? ?? ?? C5 F5 58 1D ?? ?? ?? ?? C5 45 58 25 ?? ?? ?? ?? C4 C1 65 59 ED C4 41 1D 59 F5 C4 C1 55 59 F7 C4 41 05 59 F8 C5 8D 58 3D ?? ?? ?? ?? C4 C1 4D 59 E1 C4 41 45 59 ED C4 C1 5D 58 CB C4 C1 15 59 C0 C4 21 F9 6E 44 12 18 C5 FD 58 E1 C4 C1 35 5C CF C4 01 F9 6E 7C 11 18 C4 21 39 16 4C 10 18 C5 ED 59 D1 C4 A1 01 16 44 11 18 C4 E3 35 18 D8 01 C5 ED 58 C3 C5 DD 58 C8 C4 C1 7D 10 45 40 C5 AD 58 D1 C4 C1 6D 57 4D 20 E9 C7 F8 FF FF 66 90 }
	condition:
		$1
}

rule file_1120_0_0 {
	meta:
		name = "_initp_misc_cfltcvt_tab"
		size = 57
		refs = "000f _cfltcvt_tab 0018 __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8D 1D ?? ?? ?? ?? 48 8B 0B FF 15 ?? ?? ?? ?? FF C7 48 89 03 48 63 C7 48 8D 5B 08 48 83 F8 0A 72 E5 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1121_4_0 {
	meta:
		name = "_wcsncoll_l"
		size = 214
		refs = "0032 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _errno 0056 _invalid_parameter_noinfo 0077 wcsncmp 0094 __crtCompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 49 8B F8 48 8B F2 48 8B E9 4D 85 C0 75 07 33 C0 E9 98 00 00 00 48 8D 4C 24 30 49 8B D1 E8 ?? ?? ?? ?? BB FF FF FF 7F 48 85 ED 74 0A 48 85 F6 74 05 48 3B FB 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 50 48 8B 44 24 30 48 8B 88 30 01 00 00 48 85 C9 75 12 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D8 EB 2D 44 8B CF 4C 8B C5 BA 00 10 00 00 89 7C 24 28 48 89 74 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 58 FE 80 7C 24 48 00 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1122_0_0 {
	meta:
		name = "__sse4_ceilf4"
		size = 16
	strings:
		$1 = { 66 0F 3A 08 C0 02 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1123_0_0 {
	meta:
		name = "_cgetws"
		size = 107
		refs = "001a __doserrno 0021 _errno 002c _invalid_parameter_noinfo 0046 _cgetws_s"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B D9 48 85 C9 75 1B E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 27 66 39 31 76 E0 0F B7 11 4C 8D 44 24 30 48 83 C1 04 E8 ?? ?? ?? ?? 85 C0 75 E2 0F B7 4C 24 30 48 8D 43 04 66 89 4B 02 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1123_1_0 {
	meta:
		name = "_cgetws_s"
		size = 479
		refs = "0029 __doserrno 0031 _errno 003d _invalid_parameter_noinfo 006c _lock 007f __console_wchar_buffer_used 0091 __console_wchar_buffer 00d8 _coninpfh 00e3 __initconin 00ff __imp_GetConsoleMode 0111 __imp_SetConsoleMode 0131 __imp_ReadConsoleW 01a6 __imp_GetLastError 01ad _dosmaperr 01bf _unlock"
	strings:
		$1 = { 40 53 56 57 41 56 41 57 48 83 EC 40 49 8B F0 48 8B FA 48 8B D9 45 33 FF 45 8B F7 41 8B C7 48 85 C9 0F 95 C0 85 C0 75 20 E8 ?? ?? ?? ?? 44 89 38 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 8B 01 00 00 41 8B C7 48 85 D2 0F 95 C0 85 C0 74 D3 66 44 89 39 41 8B C7 4D 85 C0 0F 95 C0 85 C0 74 C2 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 FF CF 48 89 7C 24 78 4C 89 3E 44 39 3D ?? ?? ?? ?? 74 47 48 85 FF 0F 84 2B 01 00 00 0F B7 05 ?? ?? ?? ?? 66 89 03 48 83 C3 02 48 89 5C 24 70 66 44 89 3D ?? ?? ?? ?? 48 FF CF 48 89 7C 24 78 48 FF 06 0F B7 05 ?? ?? ?? ?? 66 F7 D8 48 1B C9 48 23 CF 48 8B F9 48 89 4C 24 78 48 85 FF 0F 84 E4 00 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 0F 84 AC 00 00 00 48 8D 54 24 30 FF 15 ?? ?? ?? ?? BA 07 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 89 7C 24 20 4C 8D 8C 24 88 00 00 00 44 8B C7 48 8B D3 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 58 8B 8C 24 88 00 00 00 83 F9 02 72 11 8D 41 FE 8B D0 66 83 3C 43 0D 75 05 48 01 16 EB 15 48 3B CF 75 17 8D 41 FF 44 8B C0 66 83 3C 43 0D 75 0A 4C 01 06 66 44 89 3C 43 EB 1F 83 F9 01 75 12 66 83 3B 0A 75 0C 66 44 89 3B 48 8B 06 48 89 06 EB 08 48 01 0E 66 44 89 3C 4B 8B 54 24 30 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? EB 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 30 B9 03 00 00 00 E8 ?? ?? ?? ?? 45 85 F6 74 08 E8 ?? ?? ?? ?? 44 89 30 41 8B C6 48 83 C4 40 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1123_2_0 {
	meta:
		name = "_cgetws_s$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_1125_0_0 {
	meta:
		name = "asinf"
		size = 596
		refs = "0074 ??_C@_05ECHIKDO@asinf?$AA@ 007e _handle_errorf 0093 __real@3f800000 009f __real@3fc90fdb 00a8 __real@bf800000 00b4 __real@bfc90fdb 00be _set_statfp 0103 __xmm@80000000800000008000000080000000 0123 __real@3f000000 015b __real@bc5b3fe1 0166 __real@3b81ce6b 0172 __real@3f8d6fa5 017e __real@3d678bdd 018a __real@3e3c94dc 0196 __real@3f561f0d 01b7 __real@40000000 0203 __real@33a22168 0213 __real@3f490fda"
	strings:
		$1 = { 48 83 EC 68 83 64 24 70 00 0F 29 74 24 50 0F 28 F0 0F 57 C9 F3 0F 11 B4 24 80 00 00 00 44 8B 84 24 80 00 00 00 41 8B C0 41 8B D0 C1 E8 17 81 E2 00 00 00 80 0F B6 C8 41 8B C0 0F BA F0 1F 83 E9 7F 3D 00 00 80 7F 76 3F 41 B9 01 00 00 00 49 0F BA E8 16 44 89 4C 24 40 F3 0F 11 4C 24 38 F3 0F 11 74 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 0E 00 00 00 E8 ?? ?? ?? ?? E9 C3 01 00 00 83 F9 F2 7C 2C 85 C9 78 6C 0F 2E 35 ?? ?? ?? ?? 7A 0C 75 0A F3 0F 10 35 ?? ?? ?? ?? EB 13 0F 2E 35 ?? ?? ?? ?? 7A 1C 75 1A F3 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 80 01 00 00 41 B9 01 00 00 00 41 B8 00 00 C0 FF 44 89 4C 24 40 F3 0F 11 4C 24 38 F3 0F 11 74 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E9 75 FF FF FF 85 D2 74 07 0F 57 35 ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 31 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C D6 F3 0F 59 15 ?? ?? ?? ?? F3 0F 11 54 24 78 F3 0F 51 44 24 78 F3 0F 11 44 24 70 F3 0F 10 5C 24 70 0F 28 F3 EB 13 F3 0F 10 5C 24 70 0F 28 D6 F3 0F 59 D6 F3 0F 11 54 24 78 F3 0F 10 0D ?? ?? ?? ?? 0F 28 C2 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C C8 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 CA F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 59 15 ?? ?? ?? ?? F3 0F 5C C2 F3 0F 5E C8 85 C0 0F 84 8A 00 00 00 F3 0F 11 9C 24 80 00 00 00 F3 0F 10 1D ?? ?? ?? ?? 8B 84 24 80 00 00 00 25 00 00 FF FF 89 84 24 80 00 00 00 F3 0F 10 A4 24 80 00 00 00 F3 0F 10 6C 24 70 F3 0F 10 54 24 78 F3 0F 59 EB 0F 28 C4 F3 0F 59 E9 F3 0F 59 C4 0F 28 CC F3 0F 58 4C 24 70 F3 0F 5C D0 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 E3 F3 0F 5E D1 F3 0F 10 0D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C C2 F3 0F 5C E8 0F 28 C1 F3 0F 5C C4 F3 0F 5C E8 F3 0F 5C CD EB 08 F3 0F 59 CE F3 0F 58 CE 85 D2 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_1126_3_0 {
	meta:
		name = "_wcenvarg"
		size = 1244
		refs = "001c __security_cookie 0029 ??_C@_1BG@FIGGICF@?$AAS?$AAy?$AAs?$AAt?$AAe?$AAm?$AAR?$AAo?$AAo?$AAt?$AA?$AA@ 0076 wcslen 0098 _calloc_crt 00ab _errno 00b6 __doserrno 00cb __security_check_cookie 00ee _wdupenv_s 0155 _wenvptr 015f __crtGetEnvironmentStringsW 0179 free 0234 _wcsnicmp 02bb wcscpy_s 035c memcpy 03ce ??_C@_13NMPKAAJP@?$AA?$DN?$AA?$AA@ 03d9 wcscat_s 045d _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E9 48 81 EC 98 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 8B 05 ?? ?? ?? ?? 0F 10 05 ?? ?? ?? ?? 4C 8B F2 33 D2 89 45 F7 0F B7 05 ?? ?? ?? ?? 0F 11 45 E7 66 89 45 FB 48 8B 01 4D 8B E9 4D 8B F8 48 89 4D DF 89 55 B3 8B F2 44 8B E2 89 55 AF 48 89 55 BF 89 55 B7 48 8B D9 8D 7A 02 EB 13 48 8B C8 E8 ?? ?? ?? ?? 48 8D 5B 08 FF C0 03 F8 48 8B 03 48 85 C0 75 E8 8B C7 BA 02 00 00 00 8B CF 48 89 45 D7 E8 ?? ?? ?? ?? 33 FF 49 89 07 48 85 C0 75 3D 49 89 7D 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 83 C8 FF 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 4C 8D 45 E7 48 8D 4D BF 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0A 83 F8 16 75 77 E9 4D 03 00 00 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B 4D BF 8D 58 02 48 89 5D CF 48 85 C9 74 0B E8 ?? ?? ?? ?? 03 D8 48 89 5D CF 4D 85 F6 0F 84 67 01 00 00 49 8B 06 49 8B FE BB 02 00 00 00 EB 13 48 8B C8 E8 ?? ?? ?? ?? 48 8D 7F 08 FF C0 03 D8 48 8B 07 48 85 C0 75 E8 48 8B 15 ?? ?? ?? ?? 48 85 D2 75 2B E8 ?? ?? ?? ?? 48 8B D0 48 89 05 ?? ?? ?? ?? 48 85 C0 75 17 49 8B 0F 83 CE FF E8 ?? ?? ?? ?? 4D 89 27 4D 89 65 00 E9 97 02 00 00 33 FF 66 39 3A 74 2C 0F B7 02 48 8B CA 66 83 F8 3D 74 20 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? FF C0 44 03 E0 49 63 C4 48 8D 0C 42 0F B7 01 66 85 C0 75 DA 49 63 C4 41 8B FC 44 89 65 AF 66 83 3C 42 3D 75 3F 66 39 74 42 02 74 35 66 83 7C 42 04 3A 75 2D 66 83 7C 42 06 3D 75 25 8D 47 04 48 63 C8 48 8D 0C 4A E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 83 C0 05 03 F8 48 63 C7 66 83 3C 42 3D 74 C4 89 7D AF 8B C7 33 C9 49 8B FE 41 2B C4 03 D8 89 5D B3 49 39 0E 74 27 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B 0F 48 8D 55 E7 4C 8B C0 E8 ?? ?? ?? ?? 33 C9 85 C0 74 4D 48 83 C7 08 48 39 0F 75 D9 03 5D CF 8B CB BA 02 00 00 00 E8 ?? ?? ?? ?? 49 89 45 00 48 85 C0 75 39 49 8B 0F E8 ?? ?? ?? ?? 45 33 E4 4D 89 27 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 83 CE FF C7 00 08 00 00 00 E9 95 01 00 00 C7 45 B7 01 00 00 00 EB B6 49 89 7D 00 48 8B 7D DF 49 8B 1F 4C 8B 07 4D 85 C0 74 78 48 8B 55 D7 48 8B C3 48 8B CB 48 2B C3 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 00 02 00 00 48 8B 0F E8 ?? ?? ?? ?? FF C0 48 83 C7 08 48 98 48 8D 1C 43 EB 44 48 8B 55 D7 4C 8B C1 48 8B C3 49 2B 07 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 73 01 00 00 48 8B 0F E8 ?? ?? ?? ?? 48 83 C7 08 48 63 C8 B8 20 00 00 00 48 8D 1C 4B 66 89 03 48 83 C3 02 48 8B 0F 48 85 C9 75 B4 89 4B FE 49 8B 7D 00 4D 85 F6 0F 84 CB 00 00 00 8B 45 AF 49 63 CC 41 2B C4 48 63 D8 48 8B 05 ?? ?? ?? ?? 48 8D 14 48 48 03 DB 48 8B CF 4C 8B C3 E8 ?? ?? ?? ?? 45 33 E4 48 03 FB 4D 39 26 74 3F 8B 5D B3 4D 8B 06 48 8B C7 48 8B D3 49 2B 45 00 48 8B CF 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 F9 00 00 00 49 8B 0E E8 ?? ?? ?? ?? 49 83 C6 08 FF C0 48 98 48 8D 3C 47 4D 39 26 75 C4 44 39 65 B7 75 59 48 63 5D CF 4C 8D 45 E7 48 8B CF 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 E9 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 BA 00 00 00 48 8B 4D BF 48 85 C9 74 12 4C 8B C1 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 62 48 8D 3C 5F EB 03 45 33 E4 48 85 FF 74 12 49 3B 7D 00 75 08 66 44 89 27 48 83 C7 02 66 44 89 27 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4D BF 4C 89 25 ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 8B C6 E9 76 FC FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 4C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1128_0_0 {
	meta:
		name = "?__GetCurrentState@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 39
		refs = "001e ?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z"
	strings:
		$1 = { 48 83 EC 28 4D 63 48 1C 48 8B 01 4D 8B D0 41 8B 04 01 83 F8 FE 75 0B 4C 8B 02 49 8B CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1128_1_0 {
	meta:
		name = "?__GetUnwindTryBlock@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 41
		refs = "000f ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 4C 24 40 49 8B D8 E8 ?? ?? ?? ?? 48 8B 08 48 63 43 1C 48 89 4C 24 40 8B 44 08 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1128_3_0 {
	meta:
		name = "?__SetUnwindTryBlock@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z"
		size = 59
		refs = "0016 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B F9 4C 8D 4C 24 40 49 8B D8 E8 ?? ?? ?? ?? 48 8B 08 48 63 43 1C 48 89 4C 24 40 3B 7C 08 04 7E 04 89 7C 08 04 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1128_5_0 {
	meta:
		name = "?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z"
		size = 140
		refs = "0023 ?_inconsistency@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B E8 48 8B F2 48 8B D9 48 85 C9 75 05 E8 ?? ?? ?? ?? 48 63 43 18 8B 7B 14 48 03 46 08 75 05 E8 ?? ?? ?? ?? 45 33 C0 85 FF 74 34 4C 8B 4E 08 4C 63 53 18 4B 8D 0C C1 4A 63 14 11 49 03 D1 48 3B EA 7C 08 41 FF C0 44 3B C7 72 E8 45 85 C0 74 0F 41 8D 48 FF 49 8D 04 C9 42 8B 44 10 04 EB 03 83 C8 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1130_0_0 {
	meta:
		name = "_fdlog"
		size = 399
		refs = "0018 _fdunscale 0055 _fperrraise 005d _FNan_C 006a __real@3f3504f3 008c __real@3f800000 00b5 __real@3e990215 00bd __real@3eccae11 00c9 __real@3f2aaac0 00e7 __real@3f317216 00ef __real@33fbe8e8 0106 __real@32a93728 010e __real@3ede5bd9 0119 __real@33a13ef4 0121 __real@3e9a2098 0134 __real@3ede5bd8 0145 __real@3fb8aa3b 0158 __real@32a57060 017e _FInf_C 0185 __xmm@80000000800000008000000080000000"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 20 8B DA 48 8D 4C 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 49 01 00 00 B8 00 80 00 00 FF C9 74 0F FF C9 75 14 F3 0F 10 44 24 30 E9 4A 01 00 00 66 85 44 24 32 75 09 EB EC 66 85 44 24 32 74 17 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? E9 23 01 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 4C 24 30 0F B7 44 24 40 0F 2F C1 76 07 F3 0F 58 C9 66 FF C8 0F 28 D9 F3 0F 58 0D ?? ?? ?? ?? 98 66 0F 6E E8 F3 0F 5C 1D ?? ?? ?? ?? 0F 5B ED 0F 28 E3 F3 0F 5E E1 0F 28 C4 F3 0F 59 C4 0F 28 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 0F 28 C3 F3 0F 5C C1 F3 0F 59 E0 85 DB 75 1D 0F 28 C5 F3 0F 59 2D ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C E0 F3 0F 5C DC EB 6A 0F 28 CB 7E 3F F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 25 ?? ?? ?? ?? 0F 28 C5 F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 2D ?? ?? ?? ?? F3 0F 5C E0 0F 28 C3 F3 0F 5C CC F3 0F 59 05 ?? ?? ?? ?? 0F 28 D9 F3 0F 58 D8 EB 26 F3 0F 59 25 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? 0F 28 D3 F3 0F 59 15 ?? ?? ?? ?? F3 0F 5C D4 0F 28 DA F3 0F 58 D9 F3 0F 58 DD 0F 28 C3 EB 19 B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1130_1_0 {
	meta:
		name = "_fdlogpoly"
		size = 35
		refs = "0007 __real@3e990215 000f __real@3eccae11 001b __real@3f2aaac0"
	strings:
		$1 = { 0F 28 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 58 0D ?? ?? ?? ?? 0F 28 C1 C3 }
	condition:
		$1
}

rule file_1131_1_0 {
	meta:
		name = "wmemmove_s"
		size = 82
		refs = "0014 _errno 0020 _invalid_parameter_noinfo 0046 memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4D 85 C9 74 3C 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 48 85 C0 74 E6 49 3B D1 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB DF 4F 8D 04 09 48 8B D0 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1133_0_0 {
	meta:
		name = "asctime"
		size = 121
		refs = "001a buf 001f _getptd_noexit 003a _calloc_crt 0057 asctime_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 8D 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 ED 48 8B D8 48 85 C0 74 1E 48 39 68 68 75 14 8D 55 01 8D 4D 1A E8 ?? ?? ?? ?? 48 89 43 68 48 85 C0 74 04 48 8B 7B 68 4C 8B C6 BA 1A 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 40 85 C0 48 0F 45 FD 48 8B 6C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1133_1_0 {
	meta:
		name = "asctime_s"
		size = 736
		refs = "007d __ImageBase 0085 _days 011d __dnames 0127 __mnames 02c8 _errno 02d4 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 4D 8B D0 4C 8B C1 48 85 C9 0F 84 B2 02 00 00 48 85 D2 0F 84 A9 02 00 00 C6 01 00 48 83 FA 1A 0F 82 9C 02 00 00 4D 85 D2 0F 84 93 02 00 00 45 8B 4A 14 45 85 C9 0F 88 86 02 00 00 4D 63 5A 10 41 83 FB 0B 0F 87 78 02 00 00 41 83 7A 08 17 0F 87 6D 02 00 00 41 83 7A 04 3B 0F 87 62 02 00 00 41 83 3A 3B 0F 87 58 02 00 00 41 83 7A 0C 01 0F 8C 4D 02 00 00 48 8D 1D ?? ?? ?? ?? 42 8B 84 9B ?? ?? ?? ?? 42 2B 84 9B ?? ?? ?? ?? 41 3B 42 0C 7D 6C 41 81 C1 6C 07 00 00 41 8B C1 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 85 C0 75 1A B8 1F 85 EB 51 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 44 3B C9 75 21 B8 1F 85 EB 51 41 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 44 3B C8 0F 85 D9 01 00 00 41 83 FB 01 0F 85 CF 01 00 00 41 83 7A 0C 1D 0F 8F C4 01 00 00 41 8B 42 18 83 F8 06 0F 87 B7 01 00 00 8D 04 40 48 63 C8 43 8D 04 5B 4C 8D 9B ?? ?? ?? ?? 48 63 D0 48 8D 05 ?? ?? ?? ?? 48 2B CA 4C 8D 0C 02 48 2B C8 4C 03 D9 49 8B C8 48 2B CA BA 03 00 00 00 48 2B C8 43 8A 04 0B 41 88 00 41 8A 01 49 FF C1 42 88 44 09 03 49 FF C0 48 FF CA 75 E6 41 C6 00 20 41 C6 40 04 20 41 8B 4A 0C B3 30 41 BB 67 66 66 66 4D 8D 48 0E 41 8B C3 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 40 05 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C3 02 CB 41 88 48 06 41 C6 40 07 20 41 8B 4A 08 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 40 08 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C3 02 CB 41 88 48 09 41 C6 40 0A 3A 41 8B 4A 04 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 40 0B 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C3 02 CB 41 88 48 0C 41 C6 40 0D 3A 41 8B 0A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 01 8A C2 C0 E2 02 02 C2 02 C0 2A C8 B8 1F 85 EB 51 02 CB 41 88 49 01 41 C6 41 02 20 41 F7 6A 14 C1 FA 05 41 8B C3 44 8B C2 83 C2 13 41 C1 E8 1F 44 03 C2 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 B8 1F 85 EB 51 8D 0C 13 41 88 49 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 44 02 C3 45 88 41 04 45 8B 42 14 41 F7 E8 C1 FA 05 41 8B C3 8B CA C1 E9 1F 03 D1 6B CA 64 44 2B C1 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 41 05 8A C2 C0 E2 02 02 C2 02 C0 44 2A C0 44 02 C3 33 C0 45 88 41 06 66 41 C7 41 07 0A 00 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1133_2_0 {
	meta:
		name = "store_dt"
		size = 50
	strings:
		$1 = { 44 8B C2 B8 67 66 66 66 F7 EA C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 88 01 8A C2 C0 E2 02 02 C2 02 C0 44 2A C0 48 8D 41 02 41 80 C0 30 44 88 41 01 C3 }
	condition:
		$1
}

rule file_1135_0_0 {
	meta:
		name = "?_CatchTryBlock@@YAPEBU_s_TryBlockMapEntry@@PEBU_s_FuncInfo@@H@Z"
		size = 89
		refs = "001e _getptd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 59 0C 8B FA 48 8B F1 85 DB 74 2C FF CB E8 ?? ?? ?? ?? 48 8D 0C 9B 48 8B 80 28 01 00 00 48 8D 14 88 48 63 46 10 48 03 D0 3B 7A 04 7E DA 3B 7A 08 7F D5 48 8B C2 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1135_1_0 {
	meta:
		name = "?_ExecutionInCatch@@YAHPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 118
		refs = "001e ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 002e _getptd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 48 8B D1 48 8B CE E8 ?? ?? ?? ?? 8B 7E 0C 33 DB 8B E8 EB 27 FF CF E8 ?? ?? ?? ?? 48 8D 14 BF 48 8B 80 28 01 00 00 48 8D 0C 90 48 63 46 10 48 03 C8 3B 69 04 7E 05 3B 69 08 7E 07 85 FF 75 D5 48 8B CB 48 8B 6C 24 38 48 8B 74 24 40 48 85 C9 0F 95 C3 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1135_2_0 {
	meta:
		name = "?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
		size = 201
		refs = "002a ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 0064 __imp_RtlLookupFunctionEntry"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 56 41 57 48 83 EC 20 41 8B 78 0C 4C 8B E1 49 8B C8 49 8B F1 4D 8B F0 4C 8B FA E8 ?? ?? ?? ?? 4D 8B 14 24 4C 89 16 8B E8 85 FF 74 74 49 63 46 10 FF CF 48 8D 14 BF 48 8D 1C 90 49 03 5F 08 3B 6B 04 7E E5 3B 6B 08 7F E0 49 8B 0F 48 8D 54 24 50 45 33 C0 FF 15 ?? ?? ?? ?? 4C 63 43 10 44 8B 4B 0C 4C 03 44 24 50 44 8B 10 33 C9 45 85 C9 74 17 49 8D 50 0C 48 63 02 49 3B C2 74 0B FF C1 48 83 C2 14 41 3B C9 72 ED 41 3B C9 73 9C 49 8B 04 24 48 8D 0C 89 49 63 4C 88 10 48 8B 0C 01 48 89 0E 48 8B 5C 24 58 48 8B 6C 24 60 48 8B C6 48 83 C4 20 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_1135_3_0 {
	meta:
		name = "?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z"
		size = 300
		refs = "0034 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 0040 ?_inconsistency@@YAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 8B 7A 0C 48 8B 6C 24 70 48 8B DA 48 8B CB 48 8B D5 45 8B E1 33 F6 E8 ?? ?? ?? ?? 44 8B F0 85 FF 75 05 E8 ?? ?? ?? ?? 4C 8B 54 24 68 4C 8B 44 24 60 8B D7 41 83 0A FF 41 83 08 FF 85 FF 74 2A 4C 8B 5D 08 4C 63 7B 10 44 8D 4A FF 4B 8D 0C 89 49 8D 04 8B 46 3B 74 38 04 7E 07 46 3B 74 38 08 7E 08 41 8B D1 45 85 C9 75 DE 85 D2 74 13 8D 42 FF 48 8D 14 80 48 63 43 10 48 8D 34 90 48 03 75 08 33 D2 85 FF 74 60 45 33 C9 48 63 4B 10 49 03 C9 48 03 4D 08 48 85 F6 74 0F 8B 46 04 39 01 7E 22 8B 46 08 39 41 04 7F 1A 44 3B 21 7C 15 44 3B 61 04 7F 0F 41 83 38 FF 75 03 41 89 10 8D 42 01 41 89 02 FF C2 49 83 C1 14 3B D7 72 BD 41 8B 00 83 F8 FF 74 12 48 8D 0C 80 48 63 43 10 48 8D 04 88 48 03 45 08 EB 0A 41 83 20 00 41 83 22 00 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1135_4_0 {
	meta:
		name = "?__FrameUnwindToEmptyState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 148
		refs = "001e ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 002c ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 003a _getptd 007d __FrameUnwindToState"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 56 57 41 56 48 83 EC 20 4C 8D 4C 24 50 49 8B F8 48 8B EA E8 ?? ?? ?? ?? 48 8B D5 48 8B CF 4C 8B F0 E8 ?? ?? ?? ?? 8B 5F 0C 8B F0 EB 27 FF CB E8 ?? ?? ?? ?? 48 8D 14 9B 48 8B 80 28 01 00 00 48 8D 0C 90 48 63 47 10 48 03 C8 3B 71 04 7E 05 3B 71 08 7E 06 85 DB 75 D5 33 C9 48 85 C9 75 06 41 83 C9 FF EB 04 44 8B 49 04 4C 8B C7 48 8B D5 49 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1135_5_0 {
	meta:
		name = "?__SehTransFilter@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEAH@Z"
		size = 161
		refs = "0021 _getptd 006b __InternalCxxFrameHandler"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F1 49 8B E8 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 98 38 01 00 00 48 8B 1F E8 ?? ?? ?? ?? 48 8B 53 38 48 8B 4C 24 78 4C 8B 4C 24 70 C7 44 24 38 01 00 00 00 48 89 90 30 01 00 00 33 DB 48 89 5C 24 30 89 5C 24 28 48 89 4C 24 20 48 8B 0F 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 8C 24 80 00 00 00 48 8B 6C 24 58 48 8B 74 24 60 48 89 98 38 01 00 00 8D 43 01 48 8B 5C 24 50 C7 01 01 00 00 00 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1135_6_0 {
	meta:
		name = "_CallSETranslator"
		size = 81
		refs = "0028 _getptd"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 53 48 83 EC 60 48 8B D9 83 60 D8 00 48 89 48 E0 4C 89 40 E8 E8 ?? ?? ?? ?? 4C 8B 80 E0 00 00 00 48 8D 54 24 48 8B 0B 41 FF D0 C7 44 24 40 00 00 00 00 EB 00 8B 44 24 40 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_1135_7_0 {
	meta:
		name = "_CallSETranslator$filt$0"
		size = 70
		refs = "003a ?__SehTransFilter@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEAH@Z"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 48 8D 45 40 48 89 44 24 30 48 8B 85 90 00 00 00 48 89 44 24 28 48 8B 85 88 00 00 00 48 89 44 24 20 4C 8B 8D 80 00 00 00 4C 8B 45 78 48 8B 55 70 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_1135_8_0 {
	meta:
		name = "_CreateFrameInfo"
		size = 67
		refs = "000d _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 E8 ?? ?? ?? ?? 48 3B 98 20 01 00 00 73 0E E8 ?? ?? ?? ?? 48 8B 88 20 01 00 00 EB 02 33 C9 48 89 4B 08 E8 ?? ?? ?? ?? 48 89 98 20 01 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1135_9_0 {
	meta:
		name = "_FindAndUnlinkFrame"
		size = 94
		refs = "000e _getptd 001c ?_inconsistency@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 3B B8 20 01 00 00 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 98 20 01 00 00 EB 09 48 3B FB 74 19 48 8B 5B 08 48 85 DB 75 F2 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? 48 8B 4B 08 48 89 88 20 01 00 00 EB E3 }
	condition:
		$1
}

rule file_1135_10_0 {
	meta:
		name = "_GetImageBase"
		size = 21
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 80 28 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1135_11_0 {
	meta:
		name = "_GetThrowImageBase"
		size = 21
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 80 30 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1135_12_0 {
	meta:
		name = "_IsExceptionObjectToBeDestroyed"
		size = 50
		refs = "000a _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 90 20 01 00 00 EB 09 48 39 1A 74 12 48 8B 52 08 48 85 D2 75 F2 8D 42 01 48 83 C4 20 5B C3 33 C0 EB F6 }
	condition:
		$1
}

rule file_1135_14_0 {
	meta:
		name = "_SetImageBase"
		size = 27
		refs = "000a _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 98 28 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1135_15_0 {
	meta:
		name = "_SetThrowImageBase"
		size = 27
		refs = "000a _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 98 30 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1135_16_0 {
	meta:
		name = "_UnwindNestedFrames"
		size = 289
		refs = "0014 __security_cookie 002c ?ExceptionTemplate@?1??_UnwindNestedFrames@@9@4U_EXCEPTION_RECORD@@B 0098 __CxxCallCatchBlock 0105 __imp_RtlUnwindEx 0114 __security_check_cookie"
	strings:
		$1 = { 40 55 48 8D AC 24 50 FB FF FF 48 81 EC B0 05 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 04 00 00 4C 8B 95 F8 04 00 00 48 8D 05 ?? ?? ?? ?? 4C 8B D9 48 8D 4C 24 30 0F 10 00 0F 10 48 10 0F 11 01 0F 10 40 20 0F 11 49 10 0F 10 48 30 0F 11 41 20 0F 10 40 40 0F 11 49 30 0F 10 48 50 0F 11 41 40 0F 10 40 60 0F 11 49 50 0F 10 88 80 00 00 00 0F 11 41 60 0F 10 40 70 48 8B 80 90 00 00 00 0F 11 41 70 0F 11 89 80 00 00 00 48 89 81 90 00 00 00 49 8B 0B 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 48 8B 85 E0 04 00 00 48 89 55 80 49 8B 12 48 89 44 24 60 48 63 85 E8 04 00 00 48 89 44 24 68 48 8B 85 F0 04 00 00 4C 89 44 24 70 48 89 44 24 78 0F B6 85 00 05 00 00 4C 89 4C 24 58 48 89 45 88 49 8B 42 40 4C 8D 44 24 30 48 89 44 24 28 48 8D 45 D0 45 33 C9 48 89 44 24 20 48 C7 45 90 20 05 93 19 FF 15 ?? ?? ?? ?? 48 8B 8D A0 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 05 00 00 5D C3 }
	condition:
		$1
}

rule file_1135_17_0 {
	meta:
		name = "__CxxFrameHandler"
		size = 135
		refs = "001e _getptd 0073 __InternalCxxFrameHandler"
		altNames = "__CxxFrameHandler3"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B D9 49 8B F8 48 8B F1 48 89 54 24 50 E8 ?? ?? ?? ?? 48 8B 53 08 48 89 90 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 56 38 48 89 90 30 01 00 00 E8 ?? ?? ?? ?? 48 8B 53 38 44 8B 02 48 8D 54 24 50 4C 8B CB 4C 03 80 28 01 00 00 33 C0 48 8B CE 89 44 24 38 48 89 44 24 30 89 44 24 28 4C 89 44 24 20 4C 8B C7 E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1136_0_0 {
	meta:
		name = "_wdospawn"
		size = 679
		refs = "004f __doserrno 0056 _errno 0061 _invalid_parameter_noinfo 009d memset 00a6 _nhandle 00ad __pioinfo 010c _calloc_crt 0202 __imp_CreateProcessW 020a __imp_GetLastError 0216 free 0222 _dosmaperr 023c __imp_WaitForSingleObject 024a __imp_GetExitCodeProcess 0264 __imp_CloseHandle 02a2 _exit"
	strings:
		$1 = { 4C 89 4C 24 20 48 89 54 24 10 55 53 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D9 48 81 EC F0 00 00 00 33 FF 44 8B F1 8D 47 04 44 8D 7F 03 44 8B EF 40 88 7D 67 83 F9 01 76 0F 7E 13 41 3B CF 7E 08 3B C8 75 0A C6 45 67 01 4C 89 45 A7 EB 3A E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 1E 02 00 00 49 83 C0 02 66 41 39 38 75 F6 66 41 39 78 02 74 0D B9 20 00 00 00 66 41 89 08 49 83 C0 02 66 41 39 38 75 DC BB 68 00 00 00 48 8D 4D B7 33 D2 44 8B C3 E8 ?? ?? ?? ?? 89 5D B7 8B 1D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 85 DB 74 27 8D 53 FF 48 63 CA 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C0 40 38 7C 08 08 75 06 FF CA FF CB 75 DE 85 DB 0F 88 9B 01 00 00 4C 63 E3 49 81 FC 71 1C 00 00 0F 83 8B 01 00 00 0F B7 C3 8D 4B 04 BA 01 00 00 00 66 C1 E0 03 66 03 C8 66 89 4D F9 0F B7 C9 E8 ?? ?? ?? ?? 48 89 45 FF 48 85 C0 0F 84 60 01 00 00 89 18 48 8B 45 FF 4C 8D 40 04 48 8D 50 04 4D 03 C4 85 DB 7E 4E 4C 8B CF 44 8B D3 4C 8D 1D ?? ?? ?? ?? 49 8B C1 49 8B C9 83 E0 1F 48 C1 F9 05 48 6B C0 58 49 03 04 CB 8A 48 08 F6 C1 10 75 0A 88 0A 48 8B 00 49 89 00 EB 07 40 88 3A 49 83 08 FF 49 FF C1 48 FF C2 49 83 C0 08 49 FF CA 75 C3 48 8B 45 FF 40 38 7D 67 74 33 48 8D 50 04 48 8D 48 04 49 03 D4 41 3B DF 44 0F 4C FB 45 85 FF 7E 16 41 8B C7 40 88 39 48 83 0A FF 48 FF C1 48 8D 52 08 48 FF C8 75 ED 41 BD 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 55 A7 48 8B 4D 6F 89 38 48 8D 45 8F 41 0F BA ED 0A 48 89 44 24 48 48 8D 45 B7 45 33 C9 48 89 44 24 40 48 8B 45 7F 48 89 7C 24 38 48 89 44 24 30 45 33 C0 44 89 6C 24 28 C7 44 24 20 01 00 00 00 FF 15 ?? ?? ?? ?? 8B D8 FF 15 ?? ?? ?? ?? 48 8B 4D FF 44 8B F8 E8 ?? ?? ?? ?? 85 DB 75 0A 41 8B CF E8 ?? ?? ?? ?? EB 60 41 83 FE 02 74 71 45 85 F6 75 21 48 8B 4D 8F 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4D 8F 48 8D 55 87 FF 15 ?? ?? ?? ?? 48 63 7D 87 EB 0A B8 04 00 00 00 44 3B F0 75 0C 48 8B 4D 8F FF 15 ?? ?? ?? ?? EB 04 48 8B 7D 8F 48 8B 4D 97 FF 15 ?? ?? ?? ?? 48 8B C7 EB 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 48 83 C8 FF 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5B 5D C3 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1137_0_0 {
	meta:
		name = "__wsetargv"
		size = 244
		refs = "000f ?_pgmname@?1??__wsetargv@@9@9 0029 __imp_GetModuleFileNameW 0030 _wcmdln 0037 _wpgmptr 0060 wparse_cmdline 009c _malloc_crt 00cd __wargv 00d5 __argc 00da _wcwild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 83 EC 30 48 8D 3D ?? ?? ?? ?? 33 ED 41 B8 04 01 00 00 48 8B D7 33 C9 66 89 2D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 85 DB 74 05 66 39 2B 75 03 48 8B DF 48 8D 44 24 58 4C 8D 4C 24 50 45 33 C0 33 D2 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 74 24 50 48 B8 FF FF FF FF FF FF FF 1F 48 3B F0 73 6C 48 63 44 24 58 48 B9 FF FF FF FF FF FF FF 7F 48 3B C1 73 58 48 8D 0C B0 48 03 C0 48 03 C9 48 3B C8 72 49 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 3C 4C 8D 04 F0 48 8D 44 24 58 4C 8D 4C 24 50 48 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 44 24 50 48 89 3D ?? ?? ?? ?? FF C8 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B C0 EB 03 83 C8 FF 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1137_2_0 {
	meta:
		name = "wparse_cmdline"
		size = 446
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 57 4C 8B 5C 24 38 33 F6 49 8B D9 8D 6E 01 41 89 33 4C 8B D2 41 89 29 48 85 D2 74 07 4C 89 02 49 83 C2 08 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 41 01 2B 8B D6 41 BC 22 00 00 00 66 44 39 21 75 13 85 D2 8B C6 0F 94 C0 48 83 C1 02 8B D0 41 0F B7 C4 EB 1F 41 01 2B 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 0F B7 01 48 83 C1 02 66 85 C0 74 1C 85 D2 75 C4 66 83 F8 20 74 06 66 83 F8 09 75 B8 4D 85 C0 74 0B 66 41 89 70 FE EB 04 48 83 E9 02 8B FE 41 BF 5C 00 00 00 66 39 31 0F 84 DE 00 00 00 66 83 39 20 74 06 66 83 39 09 75 06 48 83 C1 02 EB EE 66 39 31 0F 84 C3 00 00 00 4D 85 D2 74 07 4D 89 02 49 83 C2 08 01 2B 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 41 01 2B 44 8B CD 8B D6 EB 06 48 83 C1 02 03 D5 66 44 39 39 74 F4 66 44 39 21 75 3A 40 84 D5 75 1F 85 FF 74 0F 48 8D 41 02 66 44 39 20 75 05 48 8B C8 EB 0C 85 FF 8B C6 44 8B CE 0F 94 C0 8B F8 D1 EA EB 12 FF CA 4D 85 C0 74 08 66 45 89 38 49 83 C0 02 41 01 2B 85 D2 75 EA 0F B7 01 66 85 C0 74 2E 85 FF 75 0C 66 83 F8 20 74 24 66 83 F8 09 74 1E 45 85 C9 74 10 4D 85 C0 74 08 66 41 89 00 49 83 C0 02 41 01 2B 48 83 C1 02 E9 73 FF FF FF 4D 85 C0 74 08 66 41 89 30 49 83 C0 02 41 01 2B E9 19 FF FF FF 4D 85 D2 74 03 49 89 32 01 2B 48 8B 74 24 28 48 8B 7C 24 30 48 8B 5C 24 18 48 8B 6C 24 20 41 5F 41 5C C3 }
	condition:
		$1
}

rule file_1138_0_0 {
	meta:
		name = "conj"
		size = 102
		refs = "0023 creal 0039 cimag 0051 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 40 0F 10 02 48 8B F9 48 8D 48 D8 0F 29 70 E8 48 8B DA F3 0F 7F 40 D8 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 50 F2 0F 11 F1 0F 28 74 24 30 48 8B C7 0F 57 05 ?? ?? ?? ?? 66 0F 14 C8 0F 10 C1 F3 0F 7F 07 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1266_0_0 {
	meta:
		name = "conjl"
		size = 102
		refs = "0023 creall 0039 cimagl 0051 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 40 0F 10 02 48 8B F9 48 8D 48 D8 0F 29 70 E8 48 8B DA F3 0F 7F 40 D8 E8 ?? ?? ?? ?? 0F 10 0B 48 8D 4C 24 20 0F 28 F0 F3 0F 7F 4C 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 50 F2 0F 11 F1 0F 28 74 24 30 48 8B C7 0F 57 05 ?? ?? ?? ?? 66 0F 14 C8 0F 10 C1 F3 0F 7F 07 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1141_0_0 {
	meta:
		name = "_fstat64"
		size = 969
		refs = "001d __security_cookie 0045 __doserrno 004c _errno 0065 memset 008f _nhandle 00a6 __pioinfo 00ce __lock_fhandle 00f5 __imp_GetFileType 0114 __imp_GetLastError 011b _dosmaperr 017e __imp_PeekNamedPipe 01b8 __imp_GetFileInformationByHandle 0200 __imp_FileTimeToLocalFileTime 0218 __imp_FileTimeToSystemTime 0254 __loctotime64_t 037a _unlock_fhandle 0395 _invalid_parameter_noinfo 03a8 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 48 8B FA 48 63 F1 89 74 24 50 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 39 03 00 00 33 D2 44 8D 42 38 48 8B CF E8 ?? ?? ?? ?? 83 FE FE 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 14 03 00 00 85 F6 0F 88 F5 02 00 00 3B 35 ?? ?? ?? ?? 0F 83 E9 02 00 00 48 8B C6 4C 8B F6 49 C1 FE 05 4C 8D 2D ?? ?? ?? ?? 83 E0 1F 4C 6B F8 58 4B 8B 44 F5 00 42 0F BE 4C 38 08 41 BC 01 00 00 00 41 23 CC 0F 84 B7 02 00 00 8B CE E8 ?? ?? ?? ?? 90 4B 8B 4C F5 00 46 84 64 39 08 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 85 02 00 00 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 0F BA F0 0F 41 3B C4 0F 84 97 00 00 00 8D 48 FE 41 3B CC 76 16 85 C0 74 CD FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 50 02 00 00 83 F8 02 B9 00 20 00 00 74 05 B9 00 10 00 00 66 89 4F 06 89 37 89 77 10 C7 47 08 01 00 00 00 66 89 5F 04 66 89 5F 0C 48 89 5F 30 48 89 5F 28 48 89 5F 20 83 F8 02 74 38 4B 8B 4C F5 00 48 89 5C 24 28 48 8D 44 24 48 48 89 44 24 20 45 33 C9 45 33 C0 33 D2 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 85 C0 74 0E 48 63 44 24 48 48 89 47 18 E9 E3 01 00 00 48 89 5F 18 E9 DA 01 00 00 89 5F 04 89 5F 0A 66 44 89 67 08 4B 8B 4C F5 00 48 8D 54 24 68 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 85 C0 0F 84 4E FF FF FF 0F B7 47 06 44 84 64 24 68 74 07 0D 24 01 00 00 EB 05 0D B6 01 00 00 66 89 47 06 39 5C 24 7C 75 0F 39 9C 24 80 00 00 00 75 06 48 89 5F 28 EB 68 48 8D 54 24 40 48 8D 4C 24 7C FF 15 ?? ?? ?? ?? 85 C0 0F 84 68 01 00 00 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 50 01 00 00 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 28 39 5C 24 74 75 0C 39 5C 24 78 75 06 48 8B 47 28 EB 64 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EE 00 00 00 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 D6 00 00 00 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 20 39 5C 24 6C 75 0C 39 5C 24 70 75 06 48 8B 47 28 EB 5C 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 74 78 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 64 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 30 8B 8C 24 88 00 00 00 48 C1 E1 20 8B 84 24 8C 00 00 00 48 03 C8 48 89 4F 18 0F B7 47 06 0F BA E8 0F 66 89 47 06 89 1F 89 5F 10 EB 03 83 CB FF 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1148_0_0 {
	meta:
		name = "_fdopen"
		size = 433
		refs = "0028 _errno 0056 _nhandle 006d __pioinfo 00c7 _commode 0151 _getstream 0172 _cflush 0180 _unlock_file 0195 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 41 56 48 83 EC 20 4C 8B C2 48 63 F1 33 C0 48 85 D2 0F 95 C0 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 5D 01 00 00 83 FE FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 4D 01 00 00 85 C9 0F 88 35 01 00 00 3B 35 ?? ?? ?? ?? 0F 83 29 01 00 00 48 8B CE 48 8B C6 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 0F BE 54 08 08 41 BE 01 00 00 00 41 23 D6 0F 84 F9 00 00 00 EB 03 4D 03 C6 41 80 38 20 74 F7 41 80 38 61 74 16 41 80 38 72 74 0B 41 80 38 77 74 0A E9 75 FF FF FF 41 8B FE EB 05 BF 02 00 00 00 41 8B D6 45 33 C9 45 33 D2 0B 3D ?? ?? ?? ?? 4D 03 C6 41 8A 00 84 C0 74 65 85 D2 74 61 0F BE C8 83 E9 20 74 EA 83 E9 0B 74 3F 83 E9 37 74 30 FF C9 74 1E 83 E9 0B 74 0B 83 F9 06 0F 85 2A FF FF FF EB 1C 45 85 C9 75 26 45 8B CE 0F BA F7 0E EB BE 45 85 C9 75 18 45 8B CE 0F BA EF 0E EB B0 45 85 D2 75 0A 45 8B D6 EB A6 40 84 FF 79 04 33 D2 EB 9D 83 E7 FC 0F BA EF 07 EB 94 4D 03 C6 41 80 38 20 74 F7 33 C0 41 38 00 0F 94 C0 85 C0 0F 84 D7 FE FF FF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 38 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB 2A 44 01 35 ?? ?? ?? ?? 89 78 18 89 70 1C 48 8B C8 E8 ?? ?? ?? ?? 48 8B C3 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1149_3_0 {
	meta:
		name = "__ascii_stricmp"
		size = 57
	strings:
		$1 = { 4C 8B C9 45 0F B6 01 49 FF C1 41 8D 40 BF 83 F8 19 77 04 41 83 C0 20 0F B6 0A 48 FF C2 8D 41 BF 83 F8 19 77 03 83 C1 20 45 85 C0 74 05 44 3B C1 74 D1 44 2B C1 41 8B C0 C3 }
	condition:
		$1
}

rule file_1149_4_0 {
	meta:
		name = "_stricmp"
		size = 70
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 0036 __ascii_stricmp 0042 _stricmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 2D 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1232_4_0 {
	meta:
		name = "wcscoll"
		size = 70
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 0036 wcscmp 0042 _wcscoll_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 2D 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1149_5_0 {
	meta:
		name = "_stricmp_l"
		size = 179
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002d _errno 0038 _invalid_parameter_noinfo 0059 __ascii_stricmp 006e _tolower_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B F1 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 F6 74 05 48 85 FF 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? BB FF FF FF 7F EB 4B 48 8B 44 24 20 48 83 B8 38 01 00 00 00 75 0F 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B D8 EB 2D 48 2B F7 0F B6 0C 3E 48 8D 54 24 20 E8 ?? ?? ?? ?? 0F B6 0F 48 8D 54 24 20 8B D8 E8 ?? ?? ?? ?? 48 FF C7 85 DB 74 04 3B D8 74 D8 2B D8 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 74 24 58 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1150_2_0 {
	meta:
		name = "?_set_se_translator@@YAP6AXIPEAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z"
		size = 51
		refs = "000e _getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 98 E0 00 00 00 E8 ?? ?? ?? ?? 48 89 B8 E0 00 00 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1150_4_0 {
	meta:
		name = "?set_terminate@@YAP6AXXZP6AXXZ@Z"
		size = 75
		refs = "000e _getptd 001f abort"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 83 B8 D0 00 00 00 00 75 09 48 8D 1D ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? 48 8B 98 D0 00 00 00 E8 ?? ?? ?? ?? 48 89 B8 D0 00 00 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1150_6_0 {
	meta:
		name = "?set_unexpected@@YAP6AXXZP6AXXZ@Z"
		size = 75
		refs = "000e _getptd 001f ?terminate@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 83 B8 D8 00 00 00 00 75 09 48 8D 1D ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? 48 8B 98 D8 00 00 00 E8 ?? ?? ?? ?? 48 89 B8 D8 00 00 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1150_7_0 {
	meta:
		name = "_get_terminate"
		size = 21
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 80 D0 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1150_8_0 {
	meta:
		name = "_get_unexpected"
		size = 21
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 80 D8 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1151_0_0 {
	meta:
		name = "_strrev"
		size = 55
	strings:
		$1 = { 4C 8B C1 4C 8B D1 4C 8B C9 41 8A 00 49 FF C0 84 C0 75 F6 49 83 E8 02 49 3B C8 73 17 41 8A 08 41 8A 11 41 88 09 41 88 10 49 FF C8 49 FF C1 4D 3B C8 72 E9 49 8B C2 C3 }
	condition:
		$1
}

rule file_1152_0_0 {
	meta:
		name = "lrintl"
		size = 123
		refs = "0015 _ldtest 002c nearbyintl 0043 _fperrraise 004b __real@c1e0000000000000 0055 __real@41dfffffffc00000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 51 FF C8 83 F8 01 76 40 F2 0F 10 44 24 40 E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 72 14 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 06 F2 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1166_0_0 {
	meta:
		name = "lrint"
		size = 123
		refs = "0015 _dtest 002c nearbyint 0043 _fperrraise 004b __real@c1e0000000000000 0055 __real@41dfffffffc00000"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 E8 ?? ?? ?? ?? 98 85 C0 74 51 FF C8 83 F8 01 76 40 F2 0F 10 44 24 40 E8 ?? ?? ?? ?? 66 0F 2E 44 24 40 0F 28 F0 7A 02 74 0A B9 20 00 00 00 E8 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 72 14 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 06 F2 0F 2C C6 EB 0C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1153_3_0 {
	meta:
		name = "_mbccpy_s_l"
		size = 261
		refs = "003c _errno 0048 _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 007b _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F1 49 8B D8 48 8B EA 48 8B F9 4D 85 C0 74 04 41 83 20 00 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C9 75 2B 44 88 09 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 48 8B 6C 24 58 48 8B 74 24 60 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8B 54 24 70 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F B6 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 55 80 7E 01 00 75 1C C6 07 00 48 85 DB 74 06 C7 03 01 00 00 00 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 44 48 83 FD 02 73 16 C6 07 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? EB 28 8A 06 88 07 8A 46 01 88 47 01 48 85 DB 74 17 C7 03 02 00 00 00 EB 0F 8A 06 88 07 48 85 DB 74 06 C7 03 01 00 00 00 33 DB 80 7C 24 38 00 0F 84 58 FF FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 47 FF FF FF }
	condition:
		$1
}

rule file_1154_0_0 {
	meta:
		name = "__sse2_sinf4"
		size = 2240
		refs = "0023 MMIABSMASK 002e MMSINVPI 0035 MMIHUGE 003f MMSPI1 004a MMSPI2 0063 MMSPI4 006d MMSPI3 0085 MMSA9 0095 MMSA5 009c MMSA3 00af MMSA7 00e7 MMISIGNMASK 010c flTwoPow30 0132 flAllOnes 016f dbInvPio2 018a dbiOne 0195 MSK_LOW_BIT 01a0 dbRS 01b4 PI02C_0 01c9 PI02C_1 01e1 PI02C_2 0237 PI02C_3 0268 PI02C_4 0278 dbSignMask 0745 __spec_table"
	strings:
		$1 = { 48 81 EC 38 01 00 00 0F 29 BC 24 10 01 00 00 0F 29 B4 24 20 01 00 00 0F 28 F0 0F 28 D0 0F 28 F8 0F 28 0D ?? ?? ?? ?? 66 0F DB F9 0F 28 25 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 59 C4 0F 28 25 ?? ?? ?? ?? 66 0F 66 FD 0F 28 2D ?? ?? ?? ?? 0F 50 C7 0B C0 0F 85 8B 00 00 00 66 0F 5B C0 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 35 ?? ?? ?? ?? 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 28 05 ?? ?? ?? ?? 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 CA 0F 5C CF 0F 59 D2 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 0F 28 B4 24 20 01 00 00 0F 28 BC 24 10 01 00 00 48 81 C4 38 01 00 00 C3 0F 28 1D ?? ?? ?? ?? 66 0F DB DE 0F 29 74 24 40 66 0F 5B C0 66 0F DB 35 ?? ?? ?? ?? 0F 28 CE 0F 29 74 24 50 66 0F 66 35 ?? ?? ?? ?? 0F 29 5C 24 60 0F 50 D6 85 D2 0F 85 4A 05 00 00 83 F8 0F 0F 84 E6 02 00 00 0F 29 7C 24 70 66 0F EF 3D ?? ?? ?? ?? 0F 28 D8 0F 29 BC 24 80 00 00 00 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 35 ?? ?? ?? ?? 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 5C D4 0F 5A 64 24 50 0F 59 F0 0F 5C D5 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EC 66 0F E6 ED 66 0F 70 ED DC 0F 59 F8 0F 5C D6 66 0F FE 2D ?? ?? ?? ?? 0F 28 CA 66 0F DB 2D ?? ?? ?? ?? 0F 5C CF 66 0F 28 3D ?? ?? ?? ?? 66 0F 56 FD 66 0F 5C 3D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C7 66 0F DB 9C 24 80 00 00 00 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 F7 66 0F 5C E0 0F 29 9C 24 90 00 00 00 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DF 66 0F 28 C4 66 0F 5C E6 66 0F DB 8C 24 80 00 00 00 66 0F 5C C4 0F 29 8C 24 A0 00 00 00 0F 59 D2 66 0F 28 CC 66 0F 5C C6 66 0F 5C E3 66 0F DB 94 24 80 00 00 00 66 0F 73 F5 3E 66 0F 5C CC 0F 29 94 24 B0 00 00 00 66 0F 28 D4 66 0F 28 35 ?? ?? ?? ?? 66 0F 5C CB 66 0F 58 C1 0F 5A 4C 24 58 66 0F 58 E0 66 0F 59 F7 66 0F 5C D4 66 0F 28 DC 66 0F 5C E6 66 0F 58 C2 66 0F 5C DC 66 0F 59 3D ?? ?? ?? ?? 66 0F 5C DE 66 0F 58 C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C C7 66 0F DB DD 66 0F 28 E9 66 0F 59 2D ?? ?? ?? ?? 66 0F E6 ED 66 0F 58 C4 66 0F 28 E1 66 0F 70 DB DD 66 0F 70 ED DC 66 0F FE 2D ?? ?? ?? ?? 66 0F DB 2D ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 56 FD 66 0F 29 84 24 C0 00 00 00 66 0F 5C 3D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C7 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 F7 66 0F D6 9C 24 D0 00 00 00 66 0F 5C E0 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DF 66 0F 28 C4 66 0F 5C E6 66 0F 5C C4 66 0F 28 CC 66 0F 5C C6 66 0F 5C E3 66 0F 73 F5 3E 66 0F 5C CC 66 0F 28 D4 66 0F 28 35 ?? ?? ?? ?? 66 0F 5C CB 66 0F 58 C1 66 0F 58 E0 66 0F 59 F7 66 0F 5C D4 66 0F 28 DC 66 0F 5C E6 66 0F 58 C2 66 0F 5C DC 66 0F 59 3D ?? ?? ?? ?? 66 0F 5C DE 66 0F 58 C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C C7 66 0F 5A BC 24 C0 00 00 00 66 0F DB DD 66 0F 58 C4 66 0F 5A E8 66 0F 14 FD 0F 28 05 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 28 E7 0F 59 FF 66 0F DB 7C 24 70 66 0F EB BC 24 B0 00 00 00 0F 59 C7 66 0F 70 DB DD 0F 58 05 ?? ?? ?? ?? F3 0F 7E AC 24 D0 00 00 00 0F 59 C7 66 0F 14 EB 0F 58 05 ?? ?? ?? ?? 66 0F EF 6C 24 60 0F 59 C7 66 0F DB 64 24 70 0F 58 C1 66 0F EB A4 24 A0 00 00 00 0F 59 C7 66 0F DB 6C 24 70 0F 59 C4 66 0F EB AC 24 90 00 00 00 0F 58 C4 66 0F EF C5 E9 16 03 00 00 66 0F 70 C1 EE 0F 5A E1 0F 5A C0 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 EC 66 0F 59 F0 66 0F E6 ED 66 0F E6 F6 66 0F 70 ED DC 66 0F 70 F6 DC 66 0F FE 2D ?? ?? ?? ?? 66 0F FE 35 ?? ?? ?? ?? 66 0F DB 2D ?? ?? ?? ?? 66 0F DB 35 ?? ?? ?? ?? 66 0F 29 B4 24 E0 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 56 FD 66 0F 5C 3D ?? ?? ?? ?? 66 0F 29 84 24 F0 00 00 00 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C7 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 F7 66 0F 5C E0 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DF 66 0F 28 C4 66 0F 5C E6 66 0F 5C C4 66 0F 28 CC 66 0F 5C C6 66 0F 5C E3 66 0F 73 F5 3E 66 0F 5C CC 66 0F 28 D4 66 0F 28 35 ?? ?? ?? ?? 66 0F 5C CB 66 0F 58 C1 66 0F 58 E0 66 0F 59 F7 66 0F 5C D4 66 0F 28 DC 66 0F 5C E6 66 0F 58 C2 66 0F 5C DC 66 0F 59 3D ?? ?? ?? ?? 66 0F 5C DE 66 0F 58 C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C C7 66 0F DB DD 66 0F 58 C4 66 0F 28 A4 24 F0 00 00 00 66 0F 70 DB DD 66 0F 28 AC 24 E0 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 56 FD 66 0F 29 84 24 C0 00 00 00 66 0F 5C 3D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C7 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 F7 66 0F D6 9C 24 D0 00 00 00 66 0F 5C E0 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DF 66 0F 28 C4 66 0F 5C E6 66 0F 5C C4 66 0F 28 CC 66 0F 5C C6 66 0F 5C E3 66 0F 73 F5 3E 66 0F 5C CC 66 0F 28 D4 66 0F 28 35 ?? ?? ?? ?? 66 0F 5C CB 66 0F 58 C1 66 0F 58 E0 66 0F 59 F7 66 0F 5C D4 66 0F 28 DC 66 0F 5C E6 66 0F 58 C2 66 0F 5C DC 66 0F 59 3D ?? ?? ?? ?? 66 0F 5C DE 66 0F 58 C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C C7 66 0F 5A BC 24 C0 00 00 00 66 0F DB DD 66 0F 58 C4 66 0F 5A E8 66 0F 14 FD 0F 28 05 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 28 E7 0F 59 FF 0F 59 C7 0F 58 05 ?? ?? ?? ?? 0F 59 C7 0F 58 05 ?? ?? ?? ?? 0F 59 C7 66 0F 70 DB DD 0F 58 C1 F3 0F 7E AC 24 D0 00 00 00 0F 59 C7 66 0F 14 EB 0F 59 C4 66 0F EF 6C 24 60 0F 58 C4 66 0F EF C5 E9 BB 00 00 00 83 F8 0F 0F 84 8C 00 00 00 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 35 ?? ?? ?? ?? 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 28 05 ?? ?? ?? ?? 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 CA 0F 5C CF 0F 59 D2 0F 28 05 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 0F 29 84 24 00 01 00 00 89 44 24 20 8B 44 24 20 45 33 C9 A8 01 75 2F 49 FF C1 D1 F8 89 44 24 20 49 83 F9 04 7C ED 0F 28 84 24 00 01 00 00 0F 28 B4 24 20 01 00 00 0F 28 BC 24 10 01 00 00 48 81 C4 38 01 00 00 C3 42 8B 44 8C 40 48 8D 15 ?? ?? ?? ?? 89 44 24 28 48 89 54 24 30 F3 0F 10 44 24 28 4C 8B 44 24 30 F3 0F 10 C8 66 0F 7E C1 0F 5A C8 F2 41 0F 10 90 10 05 00 00 81 E1 FF FF FF 7F 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 0F 84 0F 01 00 00 C1 E9 17 81 E9 8E 00 00 00 81 E1 F8 FF 00 00 F2 41 0F 10 9C 48 10 04 00 00 F2 41 0F 10 AC 48 18 04 00 00 F2 41 0F 10 90 50 05 00 00 66 0F 57 E4 B8 38 43 00 00 66 0F C4 E0 03 66 0F 54 D3 66 0F 73 F3 28 F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 CD 66 0F 28 C2 F2 0F 58 D3 66 0F 28 EA F2 0F 5C C2 F2 0F 58 D4 F2 0F 58 D8 66 0F 7E D1 F2 0F 5C D4 F2 0F 58 CB B8 80 01 00 00 F2 41 0F 10 A0 40 05 00 00 F2 0F 5C EA 03 C9 8B D1 C1 E1 18 C1 F9 1F 23 C2 03 D1 33 D1 F2 0F 58 CD 81 E2 FE 00 00 00 F2 41 0F 10 1C D0 F2 41 0F 10 80 48 05 00 00 66 0F 70 D1 44 F2 0F 59 C9 F2 41 0F 10 6C D0 08 8B C8 81 C1 80 00 00 00 81 E1 00 01 00 00 C1 E1 17 F2 0F 59 DA 66 0F 6E D1 F2 0F 5C C1 25 00 01 00 00 C1 E0 17 F2 0F 5C E1 66 0F 73 F2 20 66 0F 6E C8 66 0F 57 E2 F2 0F 59 C5 F2 0F 59 DC 66 0F 73 F1 20 66 0F 57 C1 F2 0F 58 C3 66 0F 5A C0 EB 04 F3 0F 5C C0 F3 0F 11 44 24 24 8B 44 24 24 42 89 84 8C 00 01 00 00 8B 44 24 20 E9 55 FE FF FF 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_1156_0_0 {
	meta:
		name = "_fseek_nolock"
		size = 169
		refs = "0024 _errno 0042 _ftell_nolock 004e _flush 007a _fileno 0086 _lseek"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B 41 18 41 8B F0 8B EA 48 8B D9 A8 83 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 61 83 E0 EF 33 FF 89 41 18 41 83 F8 01 75 09 E8 ?? ?? ?? ?? 8B F7 03 E8 48 8B CB E8 ?? ?? ?? ?? 8B 43 18 84 C0 79 08 83 E0 FC 89 43 18 EB 15 A8 01 74 11 A8 08 74 0D 0F BA E0 0A 72 07 C7 43 24 00 02 00 00 48 8B CB E8 ?? ?? ?? ?? 44 8B C6 8B D5 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 40 0F 95 C7 8D 47 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1156_1_0 {
	meta:
		name = "fseek"
		size = 114
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 0044 _lock_file 0052 _fseek_nolock 005c _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 20 41 8B F8 8B F2 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 25 41 83 F8 02 77 E5 E8 ?? ?? ?? ?? 90 44 8B C7 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1157_0_0 {
	meta:
		name = "wcsrchr"
		size = 175
		refs = "0002 __isa_available"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 44 0F B7 CA 4C 8B C1 7D 2D 48 8B D1 33 C9 41 0F B7 00 49 83 C0 02 66 85 C0 75 F3 49 83 E8 02 4C 3B C2 74 06 66 45 39 08 75 F1 66 45 39 08 49 0F 44 C8 48 8B C1 C3 33 C9 8B D1 EB 12 66 45 39 08 49 0F 44 D0 66 41 39 08 74 5A 49 83 C0 02 41 8D 40 01 A8 0E 75 E6 66 41 3B C9 75 24 B8 01 00 FF FF 66 0F 6E C8 EB 04 49 83 C0 10 F3 41 0F 6F 00 66 0F 3A 63 C8 15 75 EF 48 63 C1 49 8D 04 40 C3 41 0F B7 C1 66 0F 6E C8 F3 41 0F 6F 00 66 0F 3A 63 C8 41 73 07 48 63 C1 49 8D 14 40 74 06 49 83 C0 10 EB E4 48 8B C2 C3 }
	condition:
		$1
}

rule file_1158_0_0 {
	meta:
		name = "_execv"
		size = 69
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0041 _execve"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 80 39 00 74 E2 48 85 D2 74 DD 48 8B 02 48 85 C0 74 D5 80 38 00 74 D0 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1159_0_0 {
	meta:
		name = "__sse4_ceil2"
		size = 16
	strings:
		$1 = { 66 0F 3A 09 C0 02 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1161_0_0 {
	meta:
		name = "asinh"
		size = 190
		refs = "0016 _dtest 003f __xmm@80000000000000008000000000000000 0056 __real@4000000000000000 005e _Eps_C 0073 __real@3ff0000000000000 0078 sqrt 0092 log1p 009c log 00a4 __real@3fe62e42fefa39ef"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 30 48 8D 4C 24 40 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0B F2 0F 10 44 24 40 E9 86 00 00 00 F2 0F 10 7C 24 40 0F 57 C0 66 0F 2F C7 76 14 0F 57 3D ?? ?? ?? ?? BB 01 00 00 00 F2 0F 11 7C 24 40 EB 02 33 DB F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 05 ?? ?? ?? ?? 66 0F 2F C7 76 30 F2 0F 59 FF 0F 28 C7 F2 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E F8 F2 0F 58 7C 24 40 0F 28 C7 E8 ?? ?? ?? ?? EB 10 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 7C 24 20 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1162_4_0 {
	meta:
		name = "_cfltcvt"
		size = 36
		refs = "001b _cfltcvt_l"
	strings:
		$1 = { 48 83 EC 48 8B 44 24 78 48 83 64 24 30 00 89 44 24 28 8B 44 24 70 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1162_5_0 {
	meta:
		name = "_cfltcvt_l"
		size = 126
		refs = "0029 _cftof_l 0050 _cftog_l 0057 _cftoa_l 0075 _cftoe_l"
	strings:
		$1 = { 48 83 EC 38 41 8D 41 BB 41 BA DF FF FF FF 41 85 C2 74 4A 41 83 F9 66 75 16 48 8B 44 24 70 44 8B 4C 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? EB 4A 41 8D 41 BF 44 8B 4C 24 60 41 85 C2 48 8B 44 24 70 48 89 44 24 28 8B 44 24 68 89 44 24 20 74 07 E8 ?? ?? ?? ?? EB 23 E8 ?? ?? ?? ?? EB 1C 48 8B 44 24 70 44 8B 4C 24 60 48 89 44 24 28 8B 44 24 68 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1162_6_0 {
	meta:
		name = "_cftoa"
		size = 28
		refs = "0013 _cftoa_l"
	strings:
		$1 = { 48 83 EC 38 8B 44 24 60 48 83 64 24 28 00 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1162_8_0 {
	meta:
		name = "_cftoe"
		size = 28
		refs = "0013 _cftoe_l"
	strings:
		$1 = { 48 83 EC 38 8B 44 24 60 48 83 64 24 28 00 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1162_14_0 {
	meta:
		name = "_cftog"
		size = 28
		refs = "0013 _cftog_l"
	strings:
		$1 = { 48 83 EC 38 8B 44 24 60 48 83 64 24 28 00 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1162_7_0 {
	meta:
		name = "_cftoa_l"
		size = 944
		refs = "0045 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0058 _errno 0083 _invalid_parameter_noinfo 00c8 _cftoe_l 0114 strrchr 027f memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 8B FA 48 8B 94 24 A8 00 00 00 4C 8B F1 48 8D 48 B8 41 BF 30 00 00 00 41 8B D9 49 8B F0 41 BC FF 03 00 00 41 0F B7 EF E8 ?? ?? ?? ?? 45 33 C9 85 DB 41 0F 48 D9 48 85 FF 75 0C E8 ?? ?? ?? ?? BB 16 00 00 00 EB 1D 48 85 F6 74 EF 8D 43 0B 44 88 0F 48 63 C8 48 3B F1 77 19 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 45 33 C9 E9 EE 02 00 00 49 8B 06 B9 FF 07 00 00 48 C1 E8 34 48 23 C1 48 3B C1 0F 85 92 00 00 00 4C 89 4C 24 28 44 89 4C 24 20 4C 8D 46 FE 48 83 FE FF 48 8D 57 02 44 8B CB 4C 0F 44 C6 49 8B CE E8 ?? ?? ?? ?? 45 33 C9 8B D8 85 C0 74 08 44 88 0F E9 A0 02 00 00 80 7F 02 2D BE 01 00 00 00 75 06 C6 07 2D 48 03 FE 8B 9C 24 A0 00 00 00 44 88 3F BA 65 00 00 00 8B C3 F7 D8 1A C9 80 E1 E0 80 C1 78 88 0C 37 48 8D 4E 01 48 03 CF E8 ?? ?? ?? ?? 45 33 C9 48 85 C0 0F 84 56 02 00 00 F7 DB 1A C9 80 E1 E0 80 C1 70 88 08 44 88 48 03 E9 41 02 00 00 48 B8 00 00 00 00 00 00 00 80 BE 01 00 00 00 49 85 06 74 06 C6 07 2D 48 03 FE 44 8B AC 24 A0 00 00 00 45 8B D7 49 BB FF FF FF FF FF FF 0F 00 44 88 17 48 03 FE 41 8B C5 F7 D8 41 8B C5 1A C9 80 E1 E0 80 C1 78 88 0F 48 03 FE F7 D8 1B D2 48 B8 00 00 00 00 00 00 F0 7F 83 E2 E0 83 EA D9 49 85 06 75 1B 44 88 17 49 8B 06 48 03 FE 49 23 C3 48 F7 D8 4D 1B E4 41 81 E4 FE 03 00 00 EB 06 C6 07 31 48 03 FE 4C 8B FF 48 03 FE 85 DB 75 05 45 88 0F EB 14 48 8B 44 24 30 48 8B 88 F0 00 00 00 48 8B 01 8A 08 41 88 0F 4D 85 1E 0F 86 88 00 00 00 49 B8 00 00 00 00 00 00 0F 00 85 DB 7E 2D 49 8B 06 40 8A CD 49 23 C0 49 23 C3 48 D3 E8 66 41 03 C2 66 83 F8 39 76 03 66 03 C2 88 07 49 C1 E8 04 2B DE 48 03 FE 66 83 C5 FC 79 CF 66 85 ED 78 48 49 8B 06 40 8A CD 49 23 C0 49 23 C3 48 D3 E8 66 83 F8 08 76 33 48 8D 4F FF 8A 01 2C 46 A8 DF 75 08 44 88 11 48 2B CE EB F0 49 3B CF 74 14 8A 01 3C 39 75 07 80 C2 3A 88 11 EB 0D 40 02 C6 88 01 EB 06 48 2B CE 40 00 31 85 DB 7E 18 4C 8B C3 41 8A D2 48 8B CF E8 ?? ?? ?? ?? 48 03 FB 45 33 C9 45 8D 51 30 45 38 0F 49 0F 44 FF 41 F7 DD 1A C0 24 E0 04 70 88 07 49 8B 0E 48 03 FE 48 C1 E9 34 81 E1 FF 07 00 00 49 2B CC 78 08 C6 07 2B 48 03 FE EB 09 C6 07 2D 48 03 FE 48 F7 D9 4C 8B C7 44 88 17 48 81 F9 E8 03 00 00 7C 33 48 B8 CF F7 53 E3 A5 9B C4 20 48 F7 E9 48 C1 FA 07 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 12 88 07 48 03 FE 48 69 C2 18 FC FF FF 48 03 C8 49 3B F8 75 06 48 83 F9 64 7C 2E 48 B8 0B D7 A3 70 3D 0A D7 A3 48 F7 E9 48 03 D1 48 C1 FA 06 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 12 88 07 48 03 FE 48 6B C2 9C 48 03 C8 49 3B F8 75 06 48 83 F9 0A 7C 2B 48 B8 67 66 66 66 66 66 66 66 48 F7 E9 48 C1 FA 02 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 12 88 07 48 03 FE 48 6B C2 F6 48 03 C8 41 02 CA 88 0F 44 88 4F 01 41 8B D9 44 38 4C 24 48 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 4C 8D 5C 24 50 8B C3 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1162_9_0 {
	meta:
		name = "_cftoe2_l"
		size = 505
		refs = "0036 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0045 _errno 006e _invalid_parameter_noinfo 00a7 strlen 00b9 memmove 00f5 ??_C@_05KLBDPFGC@e?$CL000?$AA@ 0119 strcpy_s 0192 _outputformat 01f4 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 41 56 41 57 48 83 EC 50 4C 8B F2 48 8B 94 24 A0 00 00 00 48 8B F9 48 8D 48 C8 45 8B E9 49 63 F0 E8 ?? ?? ?? ?? 48 85 FF 74 05 4D 85 F6 75 0C E8 ?? ?? ?? ?? BB 16 00 00 00 EB 1B 33 C0 85 F6 0F 4F C6 83 C0 09 48 98 4C 3B F0 77 16 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? E9 38 01 00 00 80 BC 24 98 00 00 00 00 48 8B AC 24 90 00 00 00 74 34 33 DB 83 7D 00 2D 0F 94 C3 45 33 FF 48 03 DF 85 F6 41 0F 9F C7 45 85 FF 74 1A 48 8B CB E8 ?? ?? ?? ?? 49 63 CF 48 8B D3 4C 8D 40 01 48 03 CB E8 ?? ?? ?? ?? 83 7D 00 2D 48 8B D7 75 07 C6 07 2D 48 8D 57 01 85 F6 7E 1B 8A 42 01 88 02 48 8B 44 24 30 48 FF C2 48 8B 88 F0 00 00 00 48 8B 01 8A 08 88 0A 33 C9 48 8D 1C 32 4C 8D 05 ?? ?? ?? ?? 38 8C 24 98 00 00 00 0F 94 C1 48 03 D9 48 2B FB 49 83 FE FF 48 8B CB 49 8D 14 3E 49 0F 44 D6 E8 ?? ?? ?? ?? 85 C0 0F 85 BE 00 00 00 48 8D 4B 02 45 85 ED 74 03 C6 03 45 48 8B 45 10 80 38 30 74 56 44 8B 45 04 41 FF C8 79 07 41 F7 D8 C6 43 01 2D 41 83 F8 64 7C 1B B8 1F 85 EB 51 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 00 53 02 6B C2 9C 44 03 C0 41 83 F8 0A 7C 1B B8 67 66 66 66 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 00 53 03 6B C2 F6 44 03 C0 44 00 43 04 F6 05 ?? ?? ?? ?? 01 74 14 80 39 30 75 0F 48 8D 51 01 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 33 DB 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 4C 8D 5C 24 50 8B C3 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5D C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1162_10_0 {
	meta:
		name = "_cftoe_l"
		size = 247
		refs = "000f __security_cookie 003a _fltout2 0044 _errno 004b _invalid_parameter_noinfo 009f _fptostr 00da _cftoe2_l 00e7 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 48 81 EC 88 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 48 8B 09 49 8B D8 48 8B FA 41 8B F1 BD 16 00 00 00 4C 8D 44 24 58 48 8D 54 24 40 44 8B CD E8 ?? ?? ?? ?? 48 85 FF 75 13 E8 ?? ?? ?? ?? 89 28 E8 ?? ?? ?? ?? 8B C5 E9 88 00 00 00 48 85 DB 74 E8 48 83 CA FF 48 3B DA 74 1A 33 C0 83 7C 24 40 2D 48 8B D3 0F 94 C0 48 2B D0 33 C0 85 F6 0F 9F C0 48 2B D0 33 C0 83 7C 24 40 2D 44 8D 46 01 0F 94 C0 33 C9 85 F6 0F 9F C1 48 03 C7 4C 8D 4C 24 40 48 03 C8 E8 ?? ?? ?? ?? 85 C0 74 05 C6 07 00 EB 32 48 8B 84 24 D8 00 00 00 44 8B 8C 24 D0 00 00 00 44 8B C6 48 89 44 24 30 48 8D 44 24 40 48 8B D3 48 8B CF C6 44 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1162_12_0 {
	meta:
		name = "_cftof2_l"
		size = 353
		refs = "0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0044 _errno 0050 _invalid_parameter_noinfo 0090 strlen 00a0 memmove 012b memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 41 8B 59 04 48 8B F2 48 8B 54 24 78 48 8B F9 48 8D 48 D8 49 8B E9 FF CB 45 8B F0 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 F6 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 D8 00 00 00 80 7C 24 70 00 74 1A 41 3B DE 75 15 33 C0 83 7D 00 2D 48 63 CB 0F 94 C0 48 03 C7 66 C7 04 01 30 00 83 7D 00 2D 75 06 C6 07 2D 48 FF C7 83 7D 04 00 7F 20 48 8B CF E8 ?? ?? ?? ?? 48 8D 4F 01 48 8B D7 4C 8D 40 01 E8 ?? ?? ?? ?? C6 07 30 48 FF C7 EB 07 48 63 45 04 48 03 F8 45 85 F6 7E 77 48 8B CF 48 8D 77 01 E8 ?? ?? ?? ?? 48 8B D7 48 8B CE 4C 8D 40 01 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 8B 88 F0 00 00 00 48 8B 01 8A 08 88 0F 8B 5D 04 85 DB 79 42 F7 DB 80 7C 24 70 00 75 0B 8B C3 41 8B DE 44 3B F0 0F 4D D8 85 DB 74 1A 48 8B CE E8 ?? ?? ?? ?? 48 63 CB 48 8B D6 4C 8D 40 01 48 03 CE E8 ?? ?? ?? ?? 4C 63 C3 BA 30 00 00 00 48 8B CE E8 ?? ?? ?? ?? 33 DB 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 8B C3 48 8B 5C 24 50 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_1162_13_0 {
	meta:
		name = "_cftof_l"
		size = 209
		refs = "000c __security_cookie 0037 _fltout2 0041 _errno 0048 _invalid_parameter_noinfo 0089 _fptostr 00b7 _cftof2_l 00c4 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 48 8B 09 49 8B D8 48 8B FA 41 8B F1 BD 16 00 00 00 4C 8D 44 24 48 48 8D 54 24 30 44 8B CD E8 ?? ?? ?? ?? 48 85 FF 75 10 E8 ?? ?? ?? ?? 89 28 E8 ?? ?? ?? ?? 8B C5 EB 6B 48 85 DB 74 EB 48 83 CA FF 48 3B DA 74 10 33 C0 83 7C 24 30 2D 48 8B D3 0F 94 C0 48 2B D0 44 8B 44 24 34 33 C9 4C 8D 4C 24 30 44 03 C6 83 7C 24 30 2D 0F 94 C1 48 03 CF E8 ?? ?? ?? ?? 85 C0 74 05 C6 07 00 EB 25 48 8B 84 24 C0 00 00 00 4C 8D 4C 24 30 44 8B C6 48 89 44 24 28 48 8B D3 48 8B CF C6 44 24 20 00 E8 ?? ?? ?? ?? 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1162_15_0 {
	meta:
		name = "_cftog_l"
		size = 308
		refs = "0011 __security_cookie 003c _fltout2 0046 _errno 004d _invalid_parameter_noinfo 008e _fptostr 00e1 _cftof2_l 0115 _cftoe2_l 0122 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 48 8B 09 49 8B F8 48 8B F2 41 8B E9 BB 16 00 00 00 4C 8D 44 24 58 48 8D 54 24 40 44 8B CB E8 ?? ?? ?? ?? 48 85 F6 75 13 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 8B C3 E9 C1 00 00 00 48 85 FF 74 E8 44 8B 74 24 44 33 C0 41 FF CE 83 7C 24 40 2D 0F 94 C0 48 83 CA FF 48 8D 1C 30 48 3B FA 74 06 48 8B D7 48 2B D0 4C 8D 4C 24 40 44 8B C5 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 05 C6 06 00 EB 7E 8B 44 24 44 FF C8 44 3B F0 0F 9C C1 83 F8 FC 7C 3B 3B C5 7D 37 84 C9 74 0C 8A 03 48 FF C3 84 C0 75 F7 88 43 FE 48 8B 84 24 D8 00 00 00 4C 8D 4C 24 40 44 8B C5 48 89 44 24 28 48 8B D7 48 8B CE C6 44 24 20 01 E8 ?? ?? ?? ?? EB 32 48 8B 84 24 D8 00 00 00 44 8B 8C 24 D0 00 00 00 44 8B C5 48 89 44 24 30 48 8D 44 24 40 48 8B D7 48 8B CE C6 44 24 28 01 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1162_17_0 {
	meta:
		name = "_cropzeros_l"
		size = 150
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8A 0B 4C 8B 44 24 20 84 C9 74 19 49 8B 80 F0 00 00 00 48 8B 10 8A 02 3A C8 74 09 48 FF C3 8A 0B 84 C9 75 F3 8A 03 48 FF C3 84 C0 74 3D EB 09 2C 45 A8 DF 74 09 48 FF C3 8A 03 84 C0 75 F1 48 8B D3 48 FF CB 80 3B 30 74 F8 49 8B 80 F0 00 00 00 48 8B 08 8A 01 38 03 75 03 48 FF CB 8A 02 48 FF C3 48 FF C2 88 03 84 C0 75 F2 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1162_19_0 {
	meta:
		name = "_fassign_l"
		size = 64
		refs = "001c _atodbl_l 0030 _atoflt_l"
	strings:
		$1 = { 40 53 48 83 EC 30 49 8B C0 48 8B DA 4D 8B C1 48 8B D0 85 C9 74 14 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 89 03 EB 10 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 44 24 40 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1162_21_0 {
	meta:
		name = "_forcdecpt_l"
		size = 127
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0017 tolower 0027 isdigit"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F BE 0B E8 ?? ?? ?? ?? 83 F8 65 74 0F 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 0F BE 0B E8 ?? ?? ?? ?? 83 F8 78 75 04 48 83 C3 02 48 8B 44 24 20 8A 13 48 8B 88 F0 00 00 00 48 8B 01 8A 08 88 0B 48 FF C3 8A 03 88 13 8A D0 8A 03 48 FF C3 84 C0 75 F1 38 44 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1162_23_0 {
	meta:
		name = "_positive"
		size = 18
		refs = "000a __real@0000000000000000"
	strings:
		$1 = { F2 0F 10 01 33 C0 66 0F 2F 05 ?? ?? ?? ?? 0F 93 C0 C3 }
	condition:
		$1
}

rule file_1162_24_0 {
	meta:
		name = "_shift"
		size = 52
		refs = "0015 strlen 0025 memmove"
	strings:
		$1 = { 85 D2 74 2F 48 89 5C 24 08 57 48 83 EC 20 48 63 DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 0C 1F 4C 8D 40 01 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1165_0_0 {
	meta:
		name = "log1pf"
		size = 188
		refs = "0015 _fdtest 003c __real@bf800000 0051 _fperrraise 0059 _FNan_C 0074 _FInf_C 007b __xmm@80000000800000008000000080000000 0085 __real@3f800000 008d logf"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 7C 24 20 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 88 00 00 00 FF C9 74 04 FF C9 EB 0A B8 00 80 00 00 66 85 44 24 42 74 74 F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 7C 24 40 0F 2F C7 76 14 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? EB 53 0F 2E F8 7A 1D 75 1B B9 04 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? EB 31 F3 0F 58 3D ?? ?? ?? ?? 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 CF F3 0F 5C 0D ?? ?? ?? ?? F3 0F 5C 4C 24 40 F3 0F 5E CF F3 0F 5C C1 EB 06 F3 0F 10 44 24 40 0F 28 7C 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1167_0_0 {
	meta:
		name = "__sse2_asinf4"
		size = 432
		refs = "0036 __common_sasin_data 01a1 __common_sasin_cout_rare"
	strings:
		$1 = { 48 81 EC F8 00 00 00 44 0F 29 BC 24 E0 00 00 00 44 0F 29 A4 24 D0 00 00 00 44 0F 29 94 24 C0 00 00 00 44 0F 28 D0 4C 89 AC 24 F0 00 00 00 4C 8D 6C 24 6F 0F 28 2D ?? ?? ?? ?? 49 83 E5 C0 44 0F 28 FD 41 0F 55 EA 45 0F 54 FA 44 0F 28 25 ?? ?? ?? ?? 41 0F 28 D7 41 0F 59 D4 41 0F 28 DC 0F 28 0D ?? ?? ?? ?? 41 0F 28 E7 41 0F C2 CF 02 41 0F 59 E7 0F 5C DA 0F 50 D1 41 0F 28 D7 0F 28 05 ?? ?? ?? ?? 41 0F C2 D4 05 0F 5D E3 44 0F 52 E3 0F 59 C4 0F 58 DB 41 0F 28 CC 85 D2 41 0F 59 CC 0F 58 05 ?? ?? ?? ?? 44 0F 59 E3 0F 59 D9 0F 28 0D ?? ?? ?? ?? 0F 5C 1D ?? ?? ?? ?? 0F 59 CB 41 0F 59 DC 0F 58 0D ?? ?? ?? ?? 0F 59 CB 0F 28 DC 0F 59 DC 41 0F 5C CC 0F 59 C3 44 0F 28 25 ?? ?? ?? ?? 0F 54 CA 44 0F 59 E4 44 0F 58 25 ?? ?? ?? ?? 41 0F 58 C4 0F 59 C4 0F 58 05 ?? ?? ?? ?? 0F 59 C4 0F 28 E2 41 0F 55 E7 0F 56 E1 0F 59 C4 44 0F 28 3D ?? ?? ?? ?? 0F 58 C4 44 0F 54 FA 41 0F 58 C7 66 0F EF C5 75 2B 44 0F 28 94 24 C0 00 00 00 44 0F 28 A4 24 D0 00 00 00 44 0F 28 BC 24 E0 00 00 00 4C 8B AC 24 F0 00 00 00 48 81 C4 F8 00 00 00 C3 45 0F 29 55 00 41 0F 29 45 40 74 C9 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 45 40 EB 91 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB D7 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1168_0_0 {
	meta:
		name = "_futime64"
		size = 504
		refs = "001d __security_cookie 0034 _errno 004f _nhandle 0062 __pioinfo 008a _time64 00a3 _localtime64_s 0106 __imp_SystemTimeToFileTime 0118 __imp_LocalFileTimeToFileTime 019e _get_osfhandle 01b1 __imp_SetFileTime 01cd _invalid_parameter_noinfo 01dc __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 55 57 41 56 48 8D 6C 24 B9 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 63 D9 48 8B FA 83 FB FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 8E 01 00 00 33 F6 85 C9 0F 88 74 01 00 00 3B 1D ?? ?? ?? ?? 0F 83 68 01 00 00 48 8B CB 48 8B C3 48 8D 15 ?? ?? ?? ?? 48 C1 F8 05 83 E1 1F 48 8B 04 C2 48 6B C9 58 F6 44 08 08 01 0F 84 41 01 00 00 48 85 FF 75 15 48 8D 4D 2F E8 ?? ?? ?? ?? 48 8B 45 2F 48 8D 7D 27 48 89 45 27 48 8D 57 08 48 8D 4D FF E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 16 01 00 00 0F B7 45 13 41 BE 6C 07 00 00 48 8D 55 D7 66 41 03 C6 48 8D 4D EF 66 89 75 FD 66 89 45 EF 0F B7 45 0F 66 FF C0 66 89 45 F1 0F B7 45 0B 66 89 45 F5 0F B7 45 07 66 89 45 F7 0F B7 45 03 66 89 45 F9 0F B7 45 FF 66 89 45 FB FF 15 ?? ?? ?? ?? 85 C0 74 9D 48 8D 55 E7 48 8D 4D D7 FF 15 ?? ?? ?? ?? 85 C0 74 8B 48 8D 4D FF 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 77 FF FF FF 0F B7 45 13 48 8D 55 D7 48 8D 4D EF 66 41 03 C6 66 89 75 FD 66 89 45 EF 0F B7 45 0F 66 FF C0 66 89 45 F1 0F B7 45 0B 66 89 45 F5 0F B7 45 07 66 89 45 F7 0F B7 45 03 66 89 45 F9 0F B7 45 FF 66 89 45 FB FF 15 ?? ?? ?? ?? 85 C0 0F 84 26 FF FF FF 48 8D 55 DF 48 8D 4D D7 FF 15 ?? ?? ?? ?? 85 C0 0F 84 10 FF FF FF 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 45 DF 48 8B C8 33 D2 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EE FE FF FF 33 C0 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_1169_3_0 {
	meta:
		name = "_wsearchenv_s"
		size = 834
		refs = "0017 __security_cookie 0047 _errno 0052 _invalid_parameter_noinfo 008b _waccess_s 00a6 _wfullpath 00c7 _wdupenv_s 00ef wcslen 011d _calloc_crt 0164 _wgetpath 0227 wcscpy_s 0265 free 02eb __security_check_cookie 0313 _invoke_watson"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 78 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 02 00 00 33 F6 4D 8B E1 4C 89 4C 24 40 4D 8B F8 4C 8B EA 48 8B E9 48 89 74 24 30 44 8B F6 4D 85 C0 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 E9 7F 02 00 00 4D 85 C9 74 E1 48 85 C9 75 06 66 41 89 30 EB D6 66 39 31 75 09 66 41 89 30 E9 31 02 00 00 E8 ?? ?? ?? ?? 33 D2 48 8B CD 8B 38 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 38 85 DB 75 20 4D 8B C4 48 8B D5 49 8B CF E8 ?? ?? ?? ?? 48 85 C0 0F 85 0E 02 00 00 66 41 89 37 E9 FE 01 00 00 48 8D 4C 24 30 4D 8B C5 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0E 83 F8 16 0F 85 D3 01 00 00 E9 26 02 00 00 48 8B 5C 24 30 48 85 DB 0F 84 C0 01 00 00 48 8B CD E8 ?? ?? ?? ?? BF 08 01 00 00 4C 8D 74 24 50 4C 8B E0 48 3B C7 72 38 48 8B CB E8 ?? ?? ?? ?? BA 02 00 00 00 48 8D 78 02 49 03 FC 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 14 66 41 89 37 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 7D 01 00 00 E8 ?? ?? ?? ?? 8B 00 89 44 24 38 48 85 DB 0F 84 5A 01 00 00 4C 8B C7 49 8B D6 48 8B CB 4D 2B C4 4C 8B EB 49 FF C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 60 48 8D 44 24 50 4C 3B F0 0F 85 2D 01 00 00 E8 ?? ?? ?? ?? 83 38 22 0F 85 1F 01 00 00 49 8B CD E8 ?? ?? ?? ?? 49 8D 7C 24 02 8D 53 02 48 03 F8 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 76 FF FF FF 4C 8B C7 48 8B D0 49 8B CD 4D 2B C4 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 DB 00 00 00 66 41 39 36 0F 84 D1 00 00 00 49 8B CE E8 ?? ?? ?? ?? 4C 8B E8 49 8D 0C 46 0F B7 41 FE 83 C0 D1 83 F8 2D 77 10 48 BA 01 08 00 00 00 20 00 00 48 0F A3 C2 72 0F B8 5C 00 00 00 66 89 01 48 83 C1 02 49 FF C5 48 8B C1 48 8B D7 4C 8B C5 49 2B C6 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 FA 00 00 00 33 D2 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 03 FF FF FF 48 8B 5C 24 40 4B 8D 04 2C 48 3B C3 72 23 48 8D 44 24 50 66 41 89 37 4C 3B F0 74 08 49 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 44 E8 ?? ?? ?? ?? 8B 4C 24 38 4D 8B C6 89 08 49 8B CF 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 81 00 00 00 48 8D 44 24 50 4C 3B F0 74 20 49 8B CE E8 ?? ?? ?? ?? EB 16 66 41 89 37 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 30 48 8D 44 24 50 4C 3B F0 74 08 49 8B CE E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 78 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1170_0_0 {
	meta:
		name = "_getwch"
		size = 44
		refs = "000c _lock 0012 _getwch_nolock 001f _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 0F B7 D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1170_3_0 {
	meta:
		name = "_getwche"
		size = 44
		refs = "000c _lock 0012 _getwche_nolock 001f _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 0F B7 D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1170_2_0 {
	meta:
		name = "_getwch_nolock"
		size = 315
		refs = "0017 __security_cookie 0026 wchbuf 0043 _coninpfh 004e __initconin 006e __imp_GetConsoleMode 007d __imp_SetConsoleMode 009c __imp_ReadConsoleInputW 00c9 _getextendedkeycode 0122 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 0F B7 05 ?? ?? ?? ?? BF FF FF 00 00 66 3B C7 74 0C 66 89 3D ?? ?? ?? ?? E9 D9 00 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 75 08 0F B7 C7 E9 B2 00 00 00 48 8D 54 24 24 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? BD 01 00 00 00 4C 8D 4C 24 20 48 8D 54 24 28 44 8B C5 FF 15 ?? ?? ?? ?? 33 F6 85 C0 74 5C 39 74 24 20 74 52 66 39 6C 24 28 75 1F 39 74 24 2C 74 19 0F B7 5C 24 36 66 85 DB 75 42 48 8D 4C 24 2C E8 ?? ?? ?? ?? 48 85 C0 75 1C 48 8B 0D ?? ?? ?? ?? 4C 8D 4C 24 20 48 8D 54 24 28 44 8B C5 FF 15 ?? ?? ?? ?? EB B4 0F B6 18 0F B6 40 01 66 89 05 ?? ?? ?? ?? EB 07 8B DF EB 03 0F B7 DF 8B 54 24 24 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 0F B7 C3 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1170_5_0 {
	meta:
		name = "_getwche_nolock"
		size = 79
		refs = "000d wchbuf 0025 _getwch_nolock 0035 _putwch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 0F B7 05 ?? ?? ?? ?? BF FF FF 00 00 66 3B C7 74 09 66 89 3D ?? ?? ?? ?? EB 20 E8 ?? ?? ?? ?? 0F B7 D8 66 3B C7 74 10 0F B7 C8 E8 ?? ?? ?? ?? 66 3B C7 0F B7 C3 75 03 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1170_8_0 {
	meta:
		name = "_ungetwch_nolock"
		size = 38
		refs = "000d wchbuf"
	strings:
		$1 = { B8 FF FF 00 00 66 3B C8 74 1B 66 39 05 ?? ?? ?? ?? 75 12 B8 FF 00 00 00 66 23 C8 66 89 0D ?? ?? ?? ?? 0F B7 C1 C3 }
	condition:
		$1
}

rule file_1171_0_0 {
	meta:
		name = "_ftelli64"
		size = 91
		refs = "001f _errno 002a _invalid_parameter_noinfo 0035 _lock_file 003e _ftelli64_nolock 0049 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 1C E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1171_2_0 {
	meta:
		name = "_ftelli64_nolock"
		size = 785
		refs = "001e __chkstk 0028 __security_cookie 003b _fileno 0057 _lseeki64 0080 __ImageBase 0088 __pioinfo 012a __imp_ReadFile 0194 _lookuptrailbytes 01e4 _errno 02ec __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 B8 50 10 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 10 00 00 4C 8B F1 E8 ?? ?? ?? ?? 33 DB 48 63 E8 41 39 5E 08 7D 04 41 89 5E 08 33 D2 8B CD 44 8D 42 01 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 79 09 48 83 C8 FF E9 74 02 00 00 41 8B 56 18 48 8B C5 4C 8B ED 49 C1 FD 05 83 E0 1F 48 8D 0D ?? ?? ?? ?? 4A 8B 8C E9 ?? ?? ?? ?? 4C 6B F8 58 45 8A 64 0F 38 45 02 E4 41 D0 FC F7 C2 08 01 00 00 75 0F 49 63 46 08 48 2B F0 48 8B C6 E9 2E 02 00 00 49 8B 3E 49 2B 7E 10 F6 C2 03 0F 84 1D 01 00 00 41 80 FC 01 0F 85 E8 00 00 00 41 39 5C 0F 48 0F 84 DD 00 00 00 48 D1 EF 41 39 5E 08 74 CA 49 8B 54 0F 40 45 33 C0 8B CD E8 ?? ?? ?? ?? 4C 8D 25 ?? ?? ?? ?? 4B 8B 8C EC ?? ?? ?? ?? 48 8B D8 49 3B 44 0F 40 0F 85 57 FF FF FF 49 8B 0C 0F 4C 8D 4C 24 30 48 8D 54 24 40 45 33 F6 41 B8 00 10 00 00 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 2D FF FF FF 45 33 C0 48 8B D6 8B CD E8 ?? ?? ?? ?? 48 85 C0 0F 88 17 FF FF FF 8B 44 24 30 48 3B F8 0F 87 0A FF FF FF 48 8D 4C 24 40 48 85 FF 74 40 48 8D 54 24 40 48 03 D0 48 FF CF 48 3B CA 73 30 80 39 0D 75 14 48 8D 42 FF 48 3B C8 73 1A 80 79 01 0A 75 14 48 FF C1 EB 0F 0F B6 01 4A 0F BE 84 20 ?? ?? ?? ?? 48 03 C8 48 FF C1 48 85 FF 75 C8 48 8D 44 24 40 48 2B C8 48 8D 04 0B E9 2C 01 00 00 41 F6 44 0F 08 80 74 16 49 8B 46 10 EB 0B 80 38 0A 75 03 48 FF C7 48 FF C0 49 3B 06 72 F0 48 85 F6 75 1C 48 8B C7 E9 01 01 00 00 84 D2 78 EF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 70 FE FF FF F6 C2 01 0F 84 D7 00 00 00 41 39 5E 08 75 08 48 8B FB E9 C9 00 00 00 49 63 5E 08 49 2B 5E 10 49 03 1E 41 F6 44 0F 08 80 0F 84 A6 00 00 00 33 D2 8B CD 44 8D 42 02 E8 ?? ?? ?? ?? 48 3B C6 75 43 49 8B 4E 10 41 B8 00 00 00 00 48 8D 04 19 48 8B D0 48 2B D1 48 3B C8 49 0F 47 D0 48 85 D2 74 19 48 8B C1 48 2B C1 80 39 0A 75 03 48 FF C3 48 FF C0 48 FF C1 48 3B C2 72 ED 41 F7 46 18 00 20 00 00 EB 4C 45 33 C0 48 8B D6 8B CD E8 ?? ?? ?? ?? 48 85 C0 0F 88 D7 FD FF FF B8 00 02 00 00 48 3B D8 77 13 41 F6 46 18 08 74 0C 41 F7 46 18 00 04 00 00 8B D8 74 04 49 63 5E 24 48 8D 05 ?? ?? ?? ?? 4A 8B 84 E8 ?? ?? ?? ?? 41 F6 44 07 08 04 74 03 48 FF C3 41 80 FC 01 75 03 48 D1 EB 48 2B F3 41 80 FC 01 75 03 48 D1 EF 48 8D 04 37 48 8B 8C 24 40 10 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 10 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1172_0_0 {
	meta:
		name = "asin"
		size = 709
		refs = "009c ??_C@_04FIHNOPOL@asin?$AA@ 00a6 _handle_error 00bc __real@3ff0000000000000 00c8 __real@3ff921fb54442d18 00d2 __real@bff0000000000000 00de __real@bff921fb54442d18 00e8 _set_statfp 0132 __xmm@80000000000000008000000000000000 0152 __real@3fe0000000000000 0190 __real@3f0951665d321061 0198 __real@3fbb1a422982ce76 01a0 __real@3f51e5f887a62135 01a8 __real@3fee324ab418f78d 01b8 __real@3fac28d390c29690 01c0 __real@40062021571dccfc 01d0 __real@3fd1a2bec1b7ef59 01d8 __real@400a4646f903cdea 01e8 __real@3fdc7b297e269eac 01f0 __real@3ff5d6b12001f228 01fc __real@3fcd1e4180029834 021d __real@4000000000000000 0277 __real@3c91a62633145c07 0283 __real@3fe921fb54442d18"
	strings:
		$1 = { 48 83 EC 68 48 B8 00 00 00 00 00 00 00 80 49 B9 FF FF FF FF FF FF FF 7F 0F 57 C9 0F 29 74 24 50 0F 28 F0 F2 0F 11 4C 24 70 F2 0F 11 84 24 80 00 00 00 4C 8B 84 24 80 00 00 00 49 8B D0 49 8B C8 48 23 D0 48 C1 E9 34 49 8B C0 49 23 C1 81 E1 FF 07 00 00 49 B9 00 00 00 00 00 00 F0 7F 81 E9 FF 03 00 00 49 3B C1 76 47 41 B9 01 00 00 00 48 B8 00 00 00 00 00 00 08 00 44 89 4C 24 40 4C 0B C0 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 0E 00 00 00 E8 ?? ?? ?? ?? E9 0C 02 00 00 83 F9 E4 7C 2E 85 C9 78 72 66 0F 2E 05 ?? ?? ?? ?? 7A 0C 75 0A F2 0F 10 35 ?? ?? ?? ?? EB 14 66 0F 2E 05 ?? ?? ?? ?? 7A 1C 75 1A F2 0F 10 35 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 C7 01 00 00 41 B9 01 00 00 00 49 B8 00 00 00 00 00 00 F8 FF 44 89 4C 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E9 6F FF FF FF 48 85 D2 74 07 0F 57 35 ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 31 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C D6 F2 0F 59 15 ?? ?? ?? ?? F2 0F 11 54 24 78 F2 0F 51 4C 24 78 F2 0F 11 4C 24 70 F2 0F 10 5C 24 70 0F 28 F3 EB 13 F2 0F 10 5C 24 70 0F 28 D6 F2 0F 59 D6 F2 0F 11 54 24 78 0F 28 CA 0F 28 C2 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5E C8 85 C0 0F 84 94 00 00 00 F2 0F 11 9C 24 80 00 00 00 F2 0F 10 1D ?? ?? ?? ?? 48 B9 00 00 00 00 FF FF FF FF 48 8B 84 24 80 00 00 00 48 23 C1 48 89 84 24 80 00 00 00 F2 0F 10 A4 24 80 00 00 00 F2 0F 10 6C 24 70 F2 0F 10 54 24 78 F2 0F 59 EB F2 0F 59 E9 0F 28 C4 0F 28 CC F2 0F 58 4C 24 70 F2 0F 59 C4 F2 0F 59 E3 F2 0F 5C D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E D1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 D3 F2 0F 5C C2 F2 0F 5C E8 0F 28 C1 F2 0F 5C C4 F2 0F 5C E8 F2 0F 5C CD EB 08 F2 0F 59 CE F2 0F 58 CE 48 85 D2 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_1173_0_0 {
	meta:
		name = "strcat"
		size = 160
	strings:
		$1 = { 4C 8B D9 F6 C1 07 74 12 8A 01 84 C0 0F 84 91 00 00 00 48 FF C1 F6 C1 07 75 EE 48 8B 01 4C 8B D0 49 B9 FF FE FE FE FE FE FE 7E 4D 03 CA 49 83 F2 FF 4D 33 D1 48 83 C1 08 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 D3 48 83 E9 08 84 C0 74 54 48 FF C1 84 E4 74 4D 48 FF C1 48 C1 E8 10 84 C0 74 42 48 FF C1 84 E4 74 3B 48 FF C1 48 C1 E8 10 84 C0 74 30 48 FF C1 84 E4 74 29 48 FF C1 C1 E8 10 84 C0 74 1F 48 FF C1 84 E4 74 18 48 FF C1 EB 8A CC CC CC CC CC CC 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1173_1_0 {
	meta:
		name = "strcpy"
		size = 183
	strings:
		$1 = { 4C 8B D9 48 2B CA F6 C2 07 74 1F 8A 02 88 04 11 84 C0 74 0A 48 FF C2 F6 C2 07 75 EF EB 0C 49 8B C3 C3 48 89 04 11 48 83 C2 08 48 8B 02 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 CF 84 C0 88 04 11 74 59 48 FF C2 84 E4 88 24 11 74 4F 48 FF C2 48 C1 E8 10 84 C0 88 04 11 74 41 48 FF C2 84 E4 88 24 11 74 37 48 FF C2 48 C1 E8 10 84 C0 88 04 11 74 29 48 FF C2 84 E4 88 24 11 74 1F 48 FF C2 C1 E8 10 84 C0 88 04 11 74 12 48 FF C2 84 E4 88 24 11 74 08 48 FF C2 E9 77 FF FF FF 49 8B C3 C3 }
	condition:
		$1
}

rule file_1175_1_0 {
	meta:
		name = "_setenvp"
		size = 305
		refs = "0016 __mbctype_initialized 001e __initmbctable 0025 _aenvptr 0042 strlen 005e _calloc_crt 0068 _environ 00af strcpy_s 00d1 free 00e3 __env_initialized 012c _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 33 FF 48 85 DB 75 1C 83 C8 FF E9 B5 00 00 00 3C 3D 74 02 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 FF C3 48 03 D8 8A 03 84 C0 75 E6 8D 47 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 05 ?? ?? ?? ?? 48 85 C0 74 BF 48 8B 1D ?? ?? ?? ?? 80 3B 00 74 50 48 8B CB E8 ?? ?? ?? ?? 80 3B 3D 8D 70 01 74 2E 48 63 EE BA 01 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 89 07 48 85 C0 74 5D 4C 8B C3 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 64 48 83 C7 08 48 63 C6 48 03 D8 80 3B 00 75 B7 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 27 00 C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E9 15 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1176_1_0 {
	meta:
		name = "_ctime64_s"
		size = 162
		refs = "000d __security_cookie 0038 _errno 005d _localtime64_s 0071 asctime_s 0084 _invalid_parameter_noinfo 0093 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B FA 48 8B D9 48 85 C9 74 53 48 85 D2 74 4E C6 01 00 4D 85 C0 74 46 49 83 38 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 43 48 B8 FF 6F 40 93 07 00 00 00 49 39 00 7F E3 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1178_0_0 {
	meta:
		name = "_chsize"
		size = 21
		refs = "0008 _chsize_s"
	strings:
		$1 = { 48 83 EC 28 48 63 D2 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1178_1_0 {
	meta:
		name = "_chsize_nolock"
		size = 408
		refs = "002b _lseeki64_nolock 005c __imp_GetProcessHeap 0071 __imp_HeapAlloc 007e _errno 00b6 _setmode_nolock 00cd _write_nolock 00e3 __doserrno 0115 __imp_HeapFree 0137 _get_osfhandle 0140 __imp_SetEndOfFile 016a __imp_GetLastError"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 41 56 41 57 48 83 EC 20 48 8B EA 33 FF 33 D2 44 8D 47 01 8B F1 E8 ?? ?? ?? ?? 4C 8B F8 48 83 F8 FF 74 50 44 8D 47 02 33 D2 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 74 3D 48 8B DD 48 2B D8 48 85 DB 0F 8E C1 00 00 00 FF 15 ?? ?? ?? ?? 41 BD 00 10 00 00 8D 57 08 48 8B C8 45 8B C5 FF 15 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5D C3 BA 00 80 00 00 8B CE E8 ?? ?? ?? ?? 44 8B F0 44 8B C3 49 3B DD 48 8B D5 45 0F 4D C5 8B CE E8 ?? ?? ?? ?? 83 F8 FF 74 0C 48 98 48 2B D8 48 85 DB 7E 1B EB DB E8 ?? ?? ?? ?? 83 38 05 75 0B E8 ?? ?? ?? ?? C7 00 0D 00 00 00 48 83 CF FF 41 8B D6 8B CE E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B C5 48 8B C8 33 D2 FF 15 ?? ?? ?? ?? EB 55 79 5D 45 33 C0 48 8B D5 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 54 FF FF FF 8B CE E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? F7 D8 48 1B FF 48 F7 DF 48 FF CF 48 83 FF FF 75 25 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 89 03 48 83 FF FF 0F 84 0E FF FF FF 45 33 C0 49 8B D7 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 F7 FE FF FF 33 C0 E9 F7 FE FF FF }
	condition:
		$1
}

rule file_1178_2_0 {
	meta:
		name = "_chsize_s"
		size = 239
		refs = "0023 __doserrno 003c _nhandle 004f __pioinfo 007e _errno 008c __lock_fhandle 00a3 _chsize_nolock 00ba _unlock_fhandle 00d5 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 20 89 4C 24 08 57 41 56 41 57 48 83 EC 20 48 8B DA 48 63 F9 83 FF FE 75 10 E8 ?? ?? ?? ?? 83 20 00 8D 47 0B E9 A9 00 00 00 85 C9 0F 88 86 00 00 00 3B 3D ?? ?? ?? ?? 73 7E 48 8B C7 48 8B F7 48 C1 FE 05 4C 8D 3D ?? ?? ?? ?? 83 E0 1F 4C 6B F0 58 49 8B 04 F7 42 0F BE 4C 30 08 83 E1 01 74 57 33 C0 48 85 D2 0F 99 C0 85 C0 75 14 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 16 00 00 00 EB 49 8B CF E8 ?? ?? ?? ?? 90 49 8B 04 F7 42 F6 44 30 08 01 74 0E 48 8B D3 8B CF E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 09 00 00 00 89 18 8B CF E8 ?? ?? ?? ?? EB 19 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 09 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 48 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1179_0_0 {
	meta:
		name = "_fwrite_nolock"
		size = 398
		refs = "0039 _errno 0044 _invalid_parameter_noinfo 00d0 memcpy 00f6 _flush 0117 _fileno 0124 _write 015a _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 4C 89 40 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 8B F1 4C 8B F2 4C 8B F9 48 85 D2 74 1A 4D 85 C0 74 15 4D 85 C9 75 2F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 48 85 C9 74 CC 33 D2 48 83 C8 FF 49 F7 F6 4C 3B C0 77 BE 49 8B FE 49 0F AF F8 41 F7 41 18 0C 01 00 00 48 8B EF 74 06 45 8B 61 24 EB 06 41 BC 00 10 00 00 48 85 FF 0F 84 E3 00 00 00 8B 46 18 25 08 01 00 00 74 39 44 8B 6E 08 45 85 ED 74 30 0F 88 82 00 00 00 48 8B 0E 49 3B ED 49 8B D7 44 0F 42 ED 45 8B C5 41 8B DD E8 ?? ?? ?? ?? 44 29 6E 08 48 01 1E 48 2B EB 4C 03 FB E9 92 00 00 00 41 8B DC 48 3B EB 72 64 85 C0 74 0C 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 44 45 85 E4 74 0E 33 D2 48 8B C5 48 F7 F3 8B DD 2B DA EB 02 8B DD 48 8B CE E8 ?? ?? ?? ?? 44 8B C3 49 8B D7 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 11 8B C8 3B C3 0F 47 CB 48 2B E9 4C 03 F9 3B C3 73 3A 83 4E 18 20 48 2B FD 33 D2 48 8B C7 49 F7 F6 E9 F8 FE FF FF 41 0F BE 0F 48 8B D6 E8 ?? ?? ?? ?? 83 F8 FF 74 DF 49 FF C7 48 FF CD 83 7E 24 00 41 BC 01 00 00 00 44 0F 4F 66 24 48 85 ED 0F 85 22 FF FF FF 4C 8B 44 24 60 49 8B C0 E9 BC FE FF FF }
	condition:
		$1
}

rule file_1179_1_0 {
	meta:
		name = "fwrite"
		size = 143
		refs = "003c _errno 0047 _invalid_parameter_noinfo 0051 _lock_file 0063 _fwrite_nolock 006e _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 48 20 41 56 48 83 EC 20 49 8B D9 49 8B F8 48 8B F2 4C 8B F1 48 85 D2 74 4D 4D 85 C0 74 48 33 C0 48 85 DB 0F 95 C0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 2A 48 8B CB E8 ?? ?? ?? ?? 90 4C 8B CB 4C 8B C7 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1180_0_0 {
	meta:
		name = "_chgsign"
		size = 36
	strings:
		$1 = { F2 0F 11 44 24 08 48 B9 00 00 00 00 00 00 00 80 48 8B 44 24 08 48 33 C1 48 89 44 24 08 F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_1183_1_0 {
	meta:
		name = "_strdup"
		size = 112
		refs = "0018 strlen 0024 malloc 003b strcpy_s 006b _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B D9 48 85 C9 74 31 E8 ?? ?? ?? ?? 48 8B F0 48 8D 48 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 18 48 8D 56 01 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 17 48 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1184_0_0 {
	meta:
		name = "_heapmin"
		size = 33
		refs = "0007 _crtheap 000f __imp_HeapCompact"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 48 F7 D8 1B C0 F7 D8 FF C8 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1186_31_0 {
	meta:
		name = "?AssociateExecutionContext@FreeThreadProxy@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z"
		size = 20
	strings:
		$1 = { 48 89 51 70 48 8B 02 4C 8B C2 48 8B D1 49 8B C8 48 FF 60 18 }
	condition:
		$1
}

rule file_1186_32_0 {
	meta:
		name = "?Dispatch@FreeThreadProxy@details@Concurrency@@EEAAXXZ"
		size = 163
		refs = "0038 ?__TlsSetValue@platform@details@Concurrency@@YAXKPEAX@Z 0083 ?ResetOnIdle@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXW4SwitchingProxyState@3@@Z 008d ?SuspendExecution@ThreadProxy@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 8B 41 38 83 64 24 34 00 48 8B F9 C7 44 24 30 08 00 00 00 85 C0 75 70 48 8B 49 08 48 8B DF 48 8B 01 48 83 CB 01 FF 50 20 48 8B D3 8B C8 E8 ?? ?? ?? ?? EB 53 48 8B 4F 70 48 8B D7 48 8B 01 FF 50 18 48 8B 4F 70 48 8D 54 24 30 48 8B 01 FF 50 20 48 8B 4F 08 48 8B 5F 20 48 83 67 20 00 48 83 67 70 00 48 8B 01 48 8B D7 FF 50 08 48 85 DB 74 0F BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CF E8 ?? ?? ?? ?? 8B 47 38 85 C0 74 A6 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1186_35_0 {
	meta:
		name = "?ReturnIdleProxy@FreeThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 19
	strings:
		$1 = { 48 83 61 70 00 48 8B D1 48 8B 49 08 48 8B 01 48 FF 60 08 }
	condition:
		$1
}

rule file_1186_36_0 {
	meta:
		name = "?SwitchOut@FreeThreadProxy@details@Concurrency@@UEAAXW4SwitchingProxyState@3@@Z"
		size = 115
		refs = "002d ?ResetOnIdle@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXW4SwitchingProxyState@3@@Z 0036 ?SuspendExecution@ThreadProxy@details@Concurrency@@QEAAXXZ 003d ??_C@_0M@CIMHMGAD@switchState?$AA@ 0051 ??0exception@std@@QEAA@AEBQEBD@Z 0058 ??_7invalid_argument@std@@6B@ 005f _TI3?AVinvalid_argument@std@@ 006e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 85 D2 74 32 48 8B 41 20 48 85 C0 75 0A 83 FA 01 75 24 48 85 C0 74 16 83 FA 02 75 05 48 83 61 20 00 48 8B C8 48 83 C4 48 E9 ?? ?? ?? ?? 48 83 C4 48 E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1186_37_0 {
	meta:
		name = "?SwitchTo@FreeThreadProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@W4SwitchingProxyState@3@@Z"
		size = 225
		refs = "0068 ?Affinitize@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXPEAVFreeThreadProxy@23@@Z 0084 ?__SignalObjectAndWait@platform@details@Concurrency@@YAKPEAX0KH@Z 0091 ?ResumeExecution@ThreadProxy@details@Concurrency@@QEAAXXZ 00ab ??_C@_08BAFMHLII@pContext?$AA@ 00bf ??0exception@std@@QEAA@AEBQEBD@Z 00c6 ??_7invalid_argument@std@@6B@ 00cd _TI3?AVinvalid_argument@std@@ 00dc _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 56 48 83 EC 40 33 ED 41 8B F0 4C 8B F2 48 8B D9 48 85 D2 0F 84 82 00 00 00 48 8B 02 48 8B CA FF 50 10 48 8B F8 48 85 C0 75 14 48 8B 43 20 49 8B D6 48 8B 48 30 48 8B 01 FF 50 38 48 8B F8 48 8B 4B 20 41 BE 01 00 00 00 48 89 6B 20 41 3B F6 75 06 41 8B C6 87 43 34 48 8B D7 E8 ?? ?? ?? ?? 85 F6 74 1D FF CE 75 19 48 8B 53 18 48 8B 4F 18 45 8B CE 41 83 C8 FF E8 ?? ?? ?? ?? 87 6B 34 EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 70 48 83 C4 40 41 5E 5F 5E C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 20 48 89 44 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1187_0_0 {
	meta:
		name = "cacoshf"
		size = 720
		refs = "002d crealf 003b cimagf 0049 _fdtest 0081 _FInf_C 00dc __real@4016cbe4 00e6 __real@3f490fdb 00f6 __real@40490fdb 0122 __real@bfc90fdb 012f __real@3fc90fdb 0146 __real@3f800000 014d __xmm@80000000800000008000000080000000 0152 _FCbuild 015a csqrtf 01b6 __real@5e7fe80a 0211 asinhf 0218 __real@00000000 0227 logf 0285 atan2f 028f __real@40000000"
	strings:
		$1 = { 48 8B C4 48 89 58 20 48 89 48 08 55 56 57 48 8B EC 48 83 EC 70 0F 29 70 D8 0F 29 78 C8 44 0F 29 40 B8 44 0F 29 48 A8 44 0F 29 50 98 E8 ?? ?? ?? ?? 48 8B 4D 20 F3 0F 11 45 30 E8 ?? ?? ?? ?? 48 8D 4D 30 F3 0F 11 45 28 E8 ?? ?? ?? ?? 48 8D 4D 28 0F B7 D8 E8 ?? ?? ?? ?? 66 83 FB 02 75 37 66 3B C3 75 0F F3 0F 10 75 30 F3 0F 10 45 28 E9 29 02 00 00 BE 01 00 00 00 66 3B C6 75 12 F3 0F 10 35 ?? ?? ?? ?? F3 0F 10 45 30 E9 0D 02 00 00 F3 0F 10 75 30 EB 1F BE 01 00 00 00 66 83 F8 02 75 1C 66 3B DE 75 0A F3 0F 10 35 ?? ?? ?? ?? EB B9 F3 0F 10 75 28 0F 28 C6 E9 DF 01 00 00 66 3B DE 75 46 F3 0F 10 35 ?? ?? ?? ?? 0F 57 C0 66 3B C6 75 1A 0F 2F 45 30 76 0A F3 0F 10 05 ?? ?? ?? ?? EB 18 F3 0F 10 05 ?? ?? ?? ?? EB 0E 0F 2F 45 30 76 08 F3 0F 10 05 ?? ?? ?? ?? B8 00 80 00 00 66 85 45 2A E9 8B 01 00 00 66 3B C6 75 2B F3 0F 10 35 ?? ?? ?? ?? 0F 57 C0 0F 2F 45 28 76 0D F3 0F 10 05 ?? ?? ?? ?? E9 71 01 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 64 01 00 00 F3 0F 10 45 30 F3 0F 10 4D 28 F3 0F 5C 05 ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 F3 0F 10 45 30 F3 0F 10 4D 28 F3 0F 58 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 8B CF 44 0F 28 C8 E8 ?? ?? ?? ?? 48 8B CB 44 0F 28 C0 E8 ?? ?? ?? ?? 48 8B CB 0F 28 F0 E8 ?? ?? ?? ?? 44 0F 28 D0 F3 0F 10 05 ?? ?? ?? ?? 44 0F 2F C8 76 0F 41 0F 28 F9 F3 41 0F 5E F1 41 0F 28 C2 EB 38 44 0F 2F C0 41 0F 28 F8 76 10 41 0F 28 C2 F3 41 0F 5E C0 F3 41 0F 59 C1 EB 23 0F 57 3D ?? ?? ?? ?? 0F 2F F8 41 0F 28 C2 76 06 F3 0F 5E C7 EB E3 0F 57 FF F3 41 0F 59 C1 F3 41 0F 59 F0 F3 0F 5C C6 E8 ?? ?? ?? ?? 0F 2E 3D ?? ?? ?? ?? 0F 28 F0 7A 02 74 1B 0F 28 C7 E8 ?? ?? ?? ?? 0F 2F 35 ?? ?? ?? ?? 72 06 F3 0F 58 F0 EB 04 F3 0F 5C F0 F3 0F 10 4D 28 B8 00 80 00 00 66 85 45 2A 74 0E 0F 57 0D ?? ?? ?? ?? F3 0F 11 4D 28 EB 02 33 F6 F3 0F 10 45 30 F3 0F 5C 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 41 0F 28 CA E8 ?? ?? ?? ?? 85 F6 F3 0F 59 05 ?? ?? ?? ?? 74 07 0F 57 05 ?? ?? ?? ?? 0F 28 C8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 28 7C 24 50 4C 8D 5C 24 70 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 49 8B 5B 38 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1188_0_0 {
	meta:
		name = "_CallSettingFrame"
		size = 64
		refs = "001a _NLG_Notify 0021 __NLG_Return2"
	strings:
		$1 = { 48 83 EC 28 48 89 4C 24 30 48 89 54 24 38 44 89 44 24 40 48 8B 12 48 8B C1 E8 ?? ?? ?? ?? FF D0 E8 ?? ?? ?? ?? 48 8B C8 48 8B 54 24 38 48 8B 12 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1191_0_0 {
	meta:
		name = "__common_scosh_cout_rare"
		size = 1072
		refs = "0030 _vmldCoshHATab"
	strings:
		$1 = { 48 81 EC 88 00 00 00 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 44 0F 29 5C 24 70 41 81 F8 80 7F 00 00 44 0F 29 44 24 50 0F 29 7C 24 60 4C 8B 0D ?? ?? ?? ?? 0F 84 E7 03 00 00 F3 0F 5A 01 F2 0F 11 44 24 40 80 64 24 47 7F 0F B7 4C 24 46 81 E1 F0 7F 00 00 81 F9 90 3C 00 00 0F 8E 92 03 00 00 F2 44 0F 10 5C 24 40 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C3 0F 86 5D 03 00 00 4C 89 4C 24 40 66 44 0F 2F 1D ?? ?? ?? ?? 0F 82 5B 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F2 41 0F 59 C3 F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 20 F2 0F 10 4C 24 20 44 8B 44 24 20 41 8B C8 83 E1 3F F2 0F 5C 0D ?? ?? ?? ?? F2 0F 11 4C 24 28 44 8D 14 09 F2 0F 10 54 24 28 8D 4C 09 01 F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 5C 24 28 F2 44 0F 5C DA F2 0F 59 1D ?? ?? ?? ?? F2 44 0F 5C DB F2 41 0F 59 E3 F2 43 0F 10 0C D3 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E3 41 C1 E8 06 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E3 41 81 C0 FF 03 00 00 41 FF C8 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E3 41 81 E0 FF 07 00 00 41 81 F8 FE 07 00 00 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E3 F2 41 0F 59 E3 F2 41 0F 58 E3 F2 0F 59 E1 F2 41 0F 58 24 CB F2 0F 58 CC 77 2F 49 C1 E9 30 41 C1 E0 04 41 81 E1 0F 80 FF FF 45 0B C8 66 44 89 4C 24 46 F2 0F 10 44 24 40 F2 0F 59 C1 F2 0F 5A C0 F3 0F 11 02 E9 5F 02 00 00 41 FF C8 41 81 E0 FF 07 00 00 0F B7 4C 24 46 41 C1 E0 04 81 E1 0F 80 FF FF 41 0B C8 66 89 4C 24 46 F2 0F 10 44 24 40 F2 0F 59 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5A C9 F3 0F 11 0A E9 1F 02 00 00 F2 0F 10 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? F2 41 0F 59 CB 44 0F B7 4C 24 46 41 81 E1 0F 80 FF FF F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 4C 24 20 F2 0F 10 7C 24 20 44 8B 5C 24 20 45 8B D3 41 C1 EA 06 41 83 E3 3F 41 81 C2 FF 03 00 00 F2 0F 5C 3D ?? ?? ?? ?? F2 0F 11 7C 24 28 41 81 E2 FF 07 00 00 F2 44 0F 10 44 24 28 F2 44 0F 59 05 ?? ?? ?? ?? F2 0F 10 64 24 28 41 8D 4A FF F2 0F 59 25 ?? ?? ?? ?? F2 45 0F 5C D8 F2 44 0F 10 05 ?? ?? ?? ?? 81 E1 FF 07 00 00 C1 E1 04 41 F7 DA 44 0B C9 43 8D 0C 1B 41 83 C2 FC 41 81 E2 FF 07 00 00 F2 44 0F 5C DC 41 0F 28 EB F2 41 0F 59 EB F2 44 0F 59 C5 F2 41 0F 10 24 C8 F7 D9 F2 0F 10 3D ?? ?? ?? ?? 47 8D 44 1B 01 66 44 89 4C 24 46 41 81 E1 0F 80 FF FF 41 C1 E2 04 4C 8D 1D ?? ?? ?? ?? F2 0F 59 FD F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C5 45 0B CA F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 59 FD F2 44 0F 59 C5 F2 41 0F 59 FB F2 0F 10 4C 24 40 4D 8B D3 66 44 89 4C 24 46 44 8D 89 80 00 00 00 81 C1 81 00 00 00 F2 0F 10 44 24 40 F2 43 0F 10 2C C3 4D 8B C3 F2 0F 59 E1 F2 0F 59 E9 F2 43 0F 10 14 CA 0F 28 CC F2 0F 59 D0 F2 41 0F 10 1C C8 F2 0F 58 CA F2 0F 59 D8 F2 0F 11 4C 24 30 0F 28 CC F2 0F 10 44 24 30 F2 0F 5C E2 F2 0F 5C C8 F2 0F 59 FC F2 0F 58 CA 0F 28 D5 F2 0F 11 4C 24 38 F2 0F 5C D3 F2 41 0F 59 D3 F2 44 0F 59 DC F2 0F 58 D3 F2 0F 10 4C 24 30 F2 0F 58 D5 F2 44 0F 59 C1 F2 0F 10 44 24 38 F2 0F 58 D0 F2 0F 58 D7 F2 41 0F 58 D0 F2 41 0F 58 D3 F2 0F 11 54 24 30 F2 44 0F 10 5C 24 30 F2 41 0F 58 CB F2 0F 5A C9 F3 0F 11 0A EB 31 F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C0 F2 0F 5A C0 F3 0F 11 02 EB 16 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 44 24 40 F2 0F 5A C0 F3 0F 11 02 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 5C 24 70 48 81 C4 88 00 00 00 C3 F3 0F 10 01 F3 0F 59 C0 F3 0F 11 02 EB D9 90 }
	condition:
		$1
}

rule file_1192_1_0 {
	meta:
		name = "setlocale"
		size = 623
		refs = "0047 mbstowcs_s 005f _calloc_crt 009c free 00b2 _invoke_watson 00d3 _wsetlocale 00e8 _getptd 0129 _wcstombs_s_l 0151 _malloc_crt 01b0 _lock 01e7 __globallocalestatus 0221 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 41 54 41 55 41 57 48 83 EC 40 48 8B FA 4C 63 E1 45 33 FF 4C 89 78 10 41 8B DF 48 85 D2 0F 84 9A 00 00 00 48 C7 40 C8 FF FF FF 7F 4C 8B CA 45 33 C0 33 D2 48 8D 48 10 E8 ?? ?? ?? ?? 83 F8 16 74 67 83 F8 22 74 62 41 8D 57 02 48 8B 4C 24 68 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 07 33 C0 E9 B6 01 00 00 48 83 4C 24 20 FF 4C 8B CF 4C 8B 44 24 68 48 8B D0 33 C9 E8 ?? ?? ?? ?? 83 F8 16 74 13 83 F8 22 74 0E 85 C0 74 34 48 8B CB E8 ?? ?? ?? ?? EB C9 4C 89 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 4C 89 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B D3 41 8B CC E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 85 FF 74 84 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 88 C0 00 00 00 48 89 4C 24 30 48 8B 88 B8 00 00 00 48 89 4C 24 38 4C 89 7C 24 68 48 8D 44 24 30 48 89 44 24 28 4C 89 7C 24 20 4C 8B CF 45 33 C0 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 83 F8 16 0F 84 0A 01 00 00 83 F8 22 0F 84 01 01 00 00 85 C0 0F 85 24 FF FF FF 48 8B 4C 24 68 48 83 C1 04 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 0A FF FF FF 4C 8D 78 04 48 8D 44 24 30 48 89 44 24 28 48 83 4C 24 20 FF 4C 8B CF 4C 8B 44 24 68 49 8B D7 33 C9 E8 ?? ?? ?? ?? 83 F8 16 0F 84 9A 00 00 00 83 F8 22 0F 84 91 00 00 00 85 C0 74 08 48 8B CE E9 F6 FE FF FF 48 8B 7C 24 30 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 49 8B DC 48 C1 E3 05 48 8B 4C 3B 20 48 85 C9 74 15 83 C8 FF F0 0F C1 01 FF C8 75 0A 48 8B 4C 3B 20 E8 ?? ?? ?? ?? 41 F6 85 C8 00 00 00 02 75 28 F6 05 ?? ?? ?? ?? 01 75 1F 48 8B 4C 3B 20 48 85 C9 74 15 83 C8 FF F0 0F C1 01 FF C8 75 0A 48 8B 4C 3B 20 E8 ?? ?? ?? ?? 8B 17 89 16 48 89 74 3B 20 4C 89 7C 3B 10 B9 0C 00 00 00 E8 ?? ?? ?? ?? 49 8B C7 EB 2B 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 4C 89 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_1192_2_0 {
	meta:
		name = "setlocale$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_1194_0_0 {
	meta:
		name = "wcsncmp"
		size = 43
	strings:
		$1 = { 4D 85 C0 75 18 33 C0 C3 0F B7 01 66 85 C0 74 12 66 3B 02 75 0D 48 83 C1 02 48 83 C2 02 49 FF C8 75 E6 0F B7 01 0F B7 0A 2B C1 C3 }
	condition:
		$1
}

rule file_1195_0_0 {
	meta:
		name = "__onexitinit"
		size = 67
		refs = "000f _calloc_crt 001b __imp_EncodePointer 0022 __onexitbegin 0029 __onexitend"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 08 00 00 00 8D 4A 18 E8 ?? ?? ?? ?? 48 8B C8 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 DB 75 05 8D 43 18 EB 06 48 83 23 00 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1195_1_0 {
	meta:
		name = "_onexit"
		size = 266
		refs = "001d _lockexit 0025 __onexitbegin 002b __imp_DecodePointer 0035 __onexitend 0063 _msize 0087 _realloc_crt 00b9 __imp_EncodePointer 00e9 _unlockexit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 56 41 57 48 83 EC 20 4C 8B E1 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B F0 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 49 3B C6 0F 82 9B 00 00 00 48 8B F8 49 2B FE 4C 8D 7F 08 49 83 FF 08 0F 82 87 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8B F0 49 3B C7 73 55 BA 00 10 00 00 48 3B C2 48 0F 42 D0 48 03 D0 48 3B D0 72 11 49 8B CE E8 ?? ?? ?? ?? 33 DB 48 85 C0 75 1A EB 02 33 DB 48 8D 56 20 48 3B D6 72 49 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 74 3C 48 C1 FF 03 48 8D 1C F8 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 49 8B CC FF 15 ?? ?? ?? ?? 48 89 03 48 8D 4B 08 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 49 8B DC EB 02 33 DB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1195_2_0 {
	meta:
		name = "_onexit$fin$0"
		size = 20
		refs = "000f _unlockexit"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1195_3_0 {
	meta:
		name = "_onexit_nolock"
		size = 244
		refs = "001e __onexitbegin 0024 __imp_DecodePointer 002b __onexitend 005c _msize 0080 _realloc_crt 00ac __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 4C 8B F9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B E8 FF 15 ?? ?? ?? ?? 48 8B F0 48 3B C5 0F 82 95 00 00 00 48 8B D8 48 2B DD 4C 8D 73 08 49 83 FE 08 0F 82 81 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 49 3B C6 73 4F BA 00 10 00 00 48 3B C2 48 0F 42 D0 48 03 D0 48 3B D0 72 0D 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 75 16 48 8D 57 20 48 3B D7 72 47 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 3A 48 C1 FB 03 48 8B C8 48 8D 34 D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 49 8B CF FF 15 ?? ?? ?? ?? 48 8D 4E 08 48 89 06 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 49 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1195_4_0 {
	meta:
		name = "atexit"
		size = 23
		refs = "0005 _onexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 F7 D8 1B C0 F7 D8 FF C8 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1197_0_0 {
	meta:
		name = "__avx_sinh4"
		size = 672
		refs = "000a __common_dsinh_data 0292 __common_dsinh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 F0 01 00 00 C5 7C 11 B4 24 D0 01 00 00 C5 7C 11 AC 24 70 01 00 00 C5 7C 11 A4 24 50 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 90 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 EF 00 00 00 C5 7D 54 35 ?? ?? ?? ?? 49 83 E5 C0 C5 8D 57 F0 C5 7D 10 2D ?? ?? ?? ?? C5 CD 59 15 ?? ?? ?? ?? C5 F9 10 1D ?? ?? ?? ?? C4 C1 6D 58 E5 C4 E3 7D 19 F1 01 C5 C8 C6 E9 DD C5 D1 66 15 ?? ?? ?? ?? C5 78 50 C2 C5 59 DB FB C4 C1 5D 5C CD C5 79 7E F9 C5 75 59 2D ?? ?? ?? ?? C5 F5 59 0D ?? ?? ?? ?? C4 C1 4D 5C D5 C4 E3 7D 19 E5 01 C4 C1 59 EF E7 C5 D0 54 DB C4 C1 79 7E D9 C5 ED 5C D1 C1 E1 04 C4 63 79 16 F8 02 C5 81 73 F4 2D 41 C1 E1 04 C4 C3 79 16 DA 02 C5 D0 57 DB C5 D1 73 F3 2D C1 E0 04 41 C1 E2 04 C5 ED 59 CA C4 61 F9 6E 64 11 08 C4 C1 F9 6E 7C 11 08 C4 E1 F9 6E 34 11 C5 19 16 6C 10 08 C4 41 41 16 64 12 08 C5 C9 16 3C 10 C4 C1 41 D4 FF C4 C1 11 D4 DF C4 41 11 FB EF C5 99 D4 E5 C5 19 FB E5 C5 75 59 3D ?? ?? ?? ?? C4 C1 F9 6E 34 11 C4 C1 49 16 34 12 C5 C9 D4 F5 C4 E3 45 18 F6 01 C4 E3 65 18 FC 01 C5 85 58 1D ?? ?? ?? ?? C5 E5 59 E1 C4 C3 15 18 EC 01 C5 45 58 ED C5 45 5C E5 C5 F5 59 3D ?? ?? ?? ?? C5 DD 59 EA C4 C1 4D 58 DC C5 45 58 3D ?? ?? ?? ?? C5 D5 58 D2 C4 C1 4D 58 F5 C5 85 59 C9 C5 ED 59 D6 C5 F5 59 CB C5 ED 58 D1 C5 ED 58 E3 C5 8D 56 CC 45 85 C0 75 4A C5 FC 10 B4 24 90 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 A4 24 50 01 00 00 C5 7C 10 AC 24 70 01 00 00 C5 7C 10 B4 24 D0 01 00 00 C5 7C 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 A8 33 C0 C5 7C 11 84 24 80 00 00 00 C5 7C 11 4C 24 60 C5 7C 11 54 24 40 C5 7C 11 5C 24 20 48 89 9C 24 A8 00 00 00 8B D8 48 89 B4 24 A0 00 00 00 41 8B F0 0F A3 DE 72 3D FF C3 83 FB 20 7C F4 C5 7C 10 84 24 80 00 00 00 C5 7C 10 4C 24 60 C5 7C 10 54 24 40 C5 7C 10 5C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 A8 00 00 00 48 8B B4 24 A0 00 00 00 E9 34 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB AF 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1199_4_0 {
	meta:
		name = "_mbsspnp_l"
		size = 221
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002f strspn 004e _errno 0059 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 8B 54 24 28 83 7A 08 00 75 1B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8D 0C 18 8A 01 F6 D8 48 1B C0 48 23 C1 EB 7C 48 85 DB 74 05 48 85 FF 75 63 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5E 80 3F 00 48 8B CF 74 2D 0F B6 01 F6 44 10 19 04 74 17 3A 03 75 08 8A 43 01 38 41 01 74 17 80 79 01 00 74 11 48 FF C1 EB 04 3A 03 74 08 48 FF C1 80 39 00 75 D3 80 39 00 74 1A 0F B6 03 F6 44 10 19 04 74 08 48 FF C3 80 3B 00 74 08 48 FF C3 80 3B 00 75 AC 8A 03 F6 D8 48 1B C0 48 23 C3 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1200_3_0 {
	meta:
		name = "_mblen_l"
		size = 227
		refs = "0039 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0046 _isleadbyte_l 007f __imp_MultiByteToWideChar"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B F2 48 8B F9 48 85 C9 0F 84 B3 00 00 00 80 39 00 0F 84 AA 00 00 00 48 85 D2 0F 84 A1 00 00 00 48 8D 4C 24 30 49 8B D0 E8 ?? ?? ?? ?? 0F B6 0F 48 8D 54 24 30 E8 ?? ?? ?? ?? BB 01 00 00 00 85 C0 48 8B 44 24 30 74 3C 44 8B 88 D4 00 00 00 44 3B CB 7E 53 41 3B F1 7C 4E 8B 48 04 83 64 24 28 00 48 83 64 24 20 00 8D 53 08 4C 8B C7 FF 15 ?? ?? ?? ?? 85 C0 74 30 48 8B 44 24 30 8B 98 D4 00 00 00 EB 26 8B 48 04 83 64 24 28 00 48 83 64 24 20 00 44 8B CB 4C 8B C7 BA 09 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 03 83 CB FF 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 8B C3 EB 02 33 C0 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1200_4_0 {
	meta:
		name = "mblen"
		size = 26
		refs = "0002 __locale_changed 000c __initiallocalestructinfo 0016 _mblen_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 09 4C 8D 05 ?? ?? ?? ?? EB 03 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1202_1_0 {
	meta:
		name = "_make__time64_t"
		size = 691
		refs = "001a __security_cookie 0038 _errno 0043 _invalid_parameter_noinfo 00b9 _days 01c5 __tzset 01ce _get_dstbias 01df _get_timezone 01fc _localtime64_s 0233 _gmtime64_s 026d __security_check_cookie 0298 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 4C 89 74 24 20 55 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 83 65 C8 00 83 65 CC 00 8B FA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 15 02 00 00 4C 63 51 14 41 B8 08 04 00 00 49 8D 42 BB 4C 89 55 C0 49 3B C0 0F 87 EF 01 00 00 8B 49 10 83 F9 0B 76 43 B8 AB AA AA 2A F7 E9 D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 52 C1 E0 02 2B C8 48 63 C2 4C 03 D0 89 4B 10 4C 89 55 C0 85 C9 79 0D 8D 41 0C 49 FF CA 89 43 10 4C 89 55 C0 49 8D 42 BB 49 3B C0 0F 87 A4 01 00 00 48 63 43 10 48 8D 0D ?? ?? ?? ?? 49 BE 0B D7 A3 70 3D 0A D7 A3 4C 63 1C 81 49 8B C2 48 99 83 E2 03 48 03 C2 83 E0 03 48 3B C2 75 20 49 8B C6 49 F7 EA 49 03 D2 48 C1 FA 06 48 8B C2 48 C1 E8 3F 48 03 D0 48 6B CA 64 4C 3B D1 75 2A 49 8D 8A 6C 07 00 00 49 8B C6 48 F7 E9 48 03 D1 48 C1 FA 08 48 8B C2 48 C1 E8 3F 48 03 D0 48 69 C2 90 01 00 00 48 3B C8 75 09 83 7B 10 01 7E 03 49 FF C3 49 8D 8A 2B 01 00 00 4D 8D 42 FF 49 8B C6 48 F7 E9 49 8B C6 4C 8D 0C 11 49 C1 F9 08 49 8B C9 48 C1 E9 3F 49 F7 E8 4C 03 C9 48 63 4B 0C 49 03 D0 4C 03 C9 48 C1 FA 06 49 8B C0 48 8B CA 48 C1 E9 3F 48 03 D1 4C 2B CA 48 99 83 E2 03 48 03 C2 49 69 CA 6D 01 00 00 48 C1 F8 02 48 81 C1 21 9C FF FF 49 03 C3 49 03 C1 48 03 C1 48 8D 0C 40 48 63 43 08 48 8D 0C C8 48 63 43 04 48 6B D1 3C 48 03 D0 48 63 03 48 6B CA 3C 48 03 C8 48 89 4D C0 85 FF 74 66 E8 ?? ?? ?? ?? 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 0F 85 C3 00 00 00 48 8D 4D CC E8 ?? ?? ?? ?? 85 C0 0F 85 9C 00 00 00 48 63 45 CC 48 8D 55 C0 48 8D 4D D0 48 01 45 C0 E8 ?? ?? ?? ?? 85 C0 75 52 8B 43 20 85 C0 7F 08 79 2E 83 7D F0 00 7E 28 48 63 45 C8 48 8D 55 C0 48 8D 4D D0 48 01 45 C0 E8 ?? ?? ?? ?? EB 0D 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 75 1B 8B 45 F0 0F 10 45 D0 0F 10 4D E0 0F 11 03 0F 11 4B 10 89 43 20 48 8B 45 C0 EB 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1203_0_0 {
	meta:
		name = "__getgmtimebuf"
		size = 70
		refs = "0007 _getptd_noexit 0014 _errno 002f _malloc_crt"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 1E 48 83 78 78 00 75 13 B9 24 00 00 00 E8 ?? ?? ?? ?? 48 89 43 78 48 85 C0 74 D7 48 8B 43 78 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1203_2_0 {
	meta:
		name = "_gmtime32_s"
		size = 417
		refs = "001d _errno 0029 _invalid_parameter_noinfo 0040 memset 00c6 _lpdays 00ec _days"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 5D 01 00 00 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D3 44 8B 07 41 81 F8 40 57 FF FF 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CA B8 79 2D 03 11 41 BB 01 00 00 00 41 F7 E8 C1 FA 17 8B C2 C1 E8 1F 03 D0 69 C2 80 E0 79 F8 8D 14 95 46 00 00 00 44 03 C0 B8 80 33 E1 01 44 3B C0 7C 26 44 2B C0 41 03 D3 44 3B C0 7C 1B 44 2B C0 B8 00 85 E2 01 41 03 D3 44 3B C0 7C 08 41 03 D3 44 2B C0 EB 03 41 8B F3 89 53 14 B8 07 45 2E C2 4C 8D 15 ?? ?? ?? ?? 45 8B CB 41 F7 E8 41 03 D0 C1 FA 10 8B C2 C1 E8 1F 03 D0 89 53 1C 69 C2 80 AE FE FF 44 03 C0 48 8D 05 ?? ?? ?? ?? 85 F6 4C 0F 44 D0 49 8D 4A 04 EB 07 45 03 CB 48 8D 49 04 39 11 7C F5 45 2B CB B8 07 45 2E C2 44 89 4B 10 49 63 C9 41 2B 14 8A 89 53 0C F7 2F B8 93 24 49 92 03 17 83 63 20 00 C1 FA 10 8B CA 83 C2 04 C1 E9 1F 03 CA F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 B8 C5 B3 A2 91 89 4B 18 41 F7 E8 41 03 D0 C1 FA 0B 8B C2 C1 E8 1F 03 D0 89 53 08 69 C2 F0 F1 FF FF 44 03 C0 B8 89 88 88 88 41 F7 E8 41 03 D0 C1 FA 05 8B C2 C1 E8 1F 03 D0 89 53 04 6B C2 3C 44 2B C0 33 C0 44 89 03 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1212_0_0 {
	meta:
		name = "_memccpy"
		size = 39
	strings:
		$1 = { 4D 85 C9 74 18 48 FF CA 48 FF C2 48 FF C1 8A 02 88 41 FF 41 3A C0 74 05 49 FF C9 75 EB 49 F7 D9 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_1214_4_0 {
	meta:
		name = "_mbscspn_l"
		size = 217
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0030 strcspn 0044 _errno 004f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 44 24 28 41 83 78 08 00 75 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 EB 7F 48 85 DB 74 05 48 85 FF 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 D2 EB 61 80 3B 00 48 8B D3 74 56 80 3F 00 48 8B CF 74 2E 0F B6 01 42 F6 44 00 19 04 74 17 3A 02 75 08 8A 42 01 38 41 01 74 17 80 79 01 00 74 11 48 FF C1 EB 04 3A 02 74 08 48 FF C1 80 39 00 75 D2 80 39 00 75 1B 0F B6 02 42 F6 44 00 19 04 74 08 48 FF C2 80 3A 00 74 08 48 FF C2 80 3A 00 75 AA 48 2B D3 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1215_0_0 {
	meta:
		name = "__common_dtan_cout_rare"
		size = 128
		refs = "004e _vmldTanHATab"
	strings:
		$1 = { 48 83 EC 28 33 C0 4C 8B 01 4C 89 44 24 20 49 C1 E8 38 44 0F B7 49 06 41 81 E1 F0 7F 00 00 41 83 E0 7F F2 0F 10 09 41 81 F9 F0 7F 00 00 44 88 44 24 27 74 05 48 83 C4 28 C3 83 7C 24 20 00 75 24 81 7C 24 24 00 00 F0 7F 75 1A F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 59 C8 F2 0F 11 0A 48 83 C4 28 C3 F2 0F 59 C9 F2 0F 11 0A 48 83 C4 28 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1216_3_0 {
	meta:
		name = "_wcserror"
		size = 166
		refs = "000d _getptd_noexit 001c ??_C@_1IA@JENHHBGD@?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAC?$AAR?$AAT?$AA?3?$AA?5?$AAN?$AAo?$AAt?$AA?5?$AAe?$AAn?$AAo?$AAu?$AAg?$AAh?$AA?5?$AAm?$AAe?$AAm?$AAo?$AAr@ 003d _calloc_crt 0053 __sys_nerr 0063 __sys_errlist 0083 mbstowcs_s 00a1 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 8B F9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 12 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 48 83 78 40 00 75 18 BA 02 00 00 00 B9 86 00 00 00 E8 ?? ?? ?? ?? 48 89 43 40 48 85 C0 74 CF 48 8B 5B 40 85 FF 78 09 E8 ?? ?? ?? ?? 3B 38 7C 07 E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 48 63 CF 41 B8 86 00 00 00 4C 8B 0C C8 48 8B D3 33 C9 48 C7 44 24 20 85 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C3 EB 90 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1216_4_0 {
	meta:
		name = "_wcserror_s"
		size = 173
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 0058 __sys_nerr 0068 __sys_errlist 0082 mbstowcs_s 00a8 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 41 8B D8 48 8B FA 48 8B F1 48 85 C9 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 85 D2 74 D1 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 83 4C 24 20 FF 48 63 CB 4C 8B 0C C8 4C 8B C7 48 8B D6 33 C9 E8 ?? ?? ?? ?? 83 F8 16 74 0D 83 F8 22 74 08 83 F8 50 0F 44 C5 EB A1 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1217_0_0 {
	meta:
		name = "__remainder_piby2"
		size = 1238
		refs = "0030 __security_cookie 0088 ?pibits@?1??__remainder_piby2@@9@9 03f9 __real@c000000000000000 0403 __real@4000000000000000 040b __real@3ff921fb54442d18 042c __real@3c91a62633145c06 044c __real@3e5110b460000000 045c __real@3ff921fb50000000 04a8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 08 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 D8 F0 FF FF 48 81 EC F0 0F 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 0E 00 00 4C 8B F2 41 BD FF 03 00 00 48 B8 FF FF FF FF FF FF 0F 00 F2 0F 11 04 24 4C 8B 14 24 48 83 65 A8 00 4D 8B DA 4C 23 D0 48 B8 00 00 00 00 00 00 10 00 4C 0B D0 49 C1 EB 34 B8 67 66 66 66 41 81 E3 FF 07 00 00 49 8B F9 4C 8D 0D ?? ?? ?? ?? 45 2B DD 4D 8B F8 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 92 03 C0 44 2B D8 8D 42 12 4C 63 C0 4B 8B 0C C1 4B 8B 54 C1 F8 49 0F AF CA 49 0F AF D2 48 8B C1 48 C1 E9 0A 48 03 D1 4B 8B 4C C1 F0 49 23 C5 48 89 45 A0 48 8B C2 48 C1 EA 0A 49 0F AF CA 48 03 CA 4B 8B 54 C1 E8 49 23 C5 48 89 45 98 48 8B C1 48 C1 E9 0A 49 0F AF D2 48 03 D1 4B 8B 4C C1 E0 49 23 C5 48 89 45 90 48 8B C2 48 C1 EA 0A 49 0F AF CA 48 03 CA 4B 8B 54 C1 D8 49 23 C5 48 89 45 88 48 8B C1 48 C1 E9 0A 49 0F AF D2 48 03 D1 4B 8B 4C C1 D0 49 23 C5 48 89 45 80 48 8B C2 48 C1 EA 0A 49 0F AF CA 48 03 CA 4B 8B 54 C1 C8 49 23 C5 48 89 44 24 78 48 8B C1 48 C1 E9 0A 49 0F AF D2 49 23 C5 48 03 D1 48 89 44 24 70 48 8B C2 49 23 C5 48 89 44 24 68 4B 8B 4C C1 C0 48 C1 EA 0A 49 0F AF CA 48 03 CA 4B 8B 54 C1 B8 48 8B C1 48 C1 E9 0A 49 23 C5 48 89 44 24 60 49 0F AF D2 48 03 D1 4B 8B 4C C1 B0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 58 49 0F AF CA 48 03 CA 4B 8B 54 C1 A8 48 8B C1 48 C1 E9 0A 49 23 C5 48 89 44 24 50 49 0F AF D2 48 03 D1 4B 8B 4C C1 A0 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 48 49 0F AF CA 48 03 CA 4B 8B 54 C1 98 48 8B C1 48 C1 E9 0A 49 23 C5 48 89 44 24 40 49 0F AF D2 48 03 D1 4B 8B 4C C1 90 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 38 49 0F AF CA 48 03 CA 4B 8B 54 C1 88 48 8B C1 48 C1 E9 0A 49 23 C5 48 89 44 24 30 49 0F AF D2 48 03 D1 4B 8B 4C C1 80 48 8B C2 48 C1 EA 0A 49 23 C5 48 89 44 24 28 49 0F AF CA 48 03 CA 4B 8B 94 C1 70 FF FF FF 48 8B C1 48 C1 E9 0A 49 23 C5 48 89 44 24 20 4B 8B 84 C1 78 FF FF FF 49 0F AF D2 49 0F AF C2 48 03 C1 48 8B D8 48 C1 E8 0A 48 03 D0 49 23 DD B8 0A 00 00 00 49 23 D5 41 2B C3 48 89 5C 24 18 48 89 54 24 10 48 C1 E2 0A 8D 48 FF 48 0B D3 48 D3 EA 41 BC 01 00 00 00 49 BA 00 00 00 00 00 00 20 00 83 E2 07 45 8B CC 8B C8 8B F2 41 23 F4 74 52 D1 FA 48 F7 D3 41 03 D4 83 E2 03 89 17 41 8B D4 48 D3 E2 49 2B D4 48 23 D3 49 3B D2 73 27 4C 8D 44 24 18 48 8B C2 4D 8D 40 08 45 03 CC 49 8B 08 48 C1 E0 0A 48 F7 D1 49 23 CD 48 8B D1 48 0B D0 49 3B D2 72 DE 49 63 C1 4C 8B 44 C4 18 49 F7 D0 EB 35 D1 FA 89 17 49 8B D4 48 D3 E2 49 2B D4 48 23 D3 49 3B D2 73 18 48 8D 44 24 18 48 C1 E2 0A 48 8D 40 08 45 03 CC 48 0B 10 49 3B D2 72 ED 49 63 C1 4C 8B 44 C4 18 43 8D 04 89 49 C1 E0 36 03 C0 44 2B D8 41 83 C3 34 EB 19 49 8B C0 48 8B CA 45 03 DC 48 C1 E1 3F 48 D1 E8 4C 8B C1 4C 0B C0 48 D1 EA 49 3B D2 73 E2 49 63 CB 49 B9 FF FF FF FF FF FF 0F 00 49 23 D1 48 8D 81 FF 03 00 00 48 C1 E0 34 48 0B C2 85 F6 74 0D 48 BA 00 00 00 00 00 00 00 80 48 0B C2 48 89 04 24 49 C1 E8 0C 48 8D 81 CA 03 00 00 F2 44 0F 10 04 24 48 C1 E0 34 48 89 04 24 4C 0B C0 F2 0F 10 04 24 4C 89 04 24 F2 0F 10 3C 24 F2 0F 5C F8 85 F6 74 0A F2 0F 59 3D ?? ?? ?? ?? EB 08 F2 0F 59 3D ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 44 0F 11 04 24 41 0F 28 E0 48 8B 04 24 41 0F 28 F0 48 25 00 00 00 F8 F2 44 0F 59 05 ?? ?? ?? ?? 48 89 04 24 F2 0F 10 14 24 F2 0F 5C E2 0F 28 EA F2 0F 59 35 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? 0F 28 C4 F2 41 0F 58 F8 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C EE F2 0F 58 E8 F2 0F 58 EA F2 0F 58 EC F2 0F 58 EF 0F 28 C5 F2 0F 58 C6 F2 0F 5C F0 F2 41 0F 11 06 F2 0F 58 F5 F2 41 0F 11 37 48 8B 8D B0 0E 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 0F 00 00 49 8B 5B 40 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1218_10_0 {
	meta:
		name = "??0UMSSchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z"
		size = 387
		refs = "002d ??_7IUMSCompletionList@Concurrency@@6B@ 0039 ??0SchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z 0041 ??_7UMSSchedulerProxy@details@Concurrency@@6BIUMSCompletionList@2@@ 004b ??_7UMSSchedulerProxy@details@Concurrency@@6BSchedulerProxy@12@@ 0091 __imp_CreateEventW 00a3 __imp_GetLastError 00bb ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00c2 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00cc _CxxThrowException 00d5 ?CreateUmsCompletionList@UMS@details@Concurrency@@SAHPEAPEAX@Z 0114 ?GetUmsCompletionListEvent@UMS@details@Concurrency@@SAHPEAXPEAPEAX@Z 0155 __imp_InitializeSListHead"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 47 08 48 8D 9F 18 01 00 00 48 83 23 00 4C 8D B7 20 01 00 00 49 83 26 00 48 83 A7 28 01 00 00 00 C7 87 40 01 00 00 00 00 00 00 C7 87 44 01 00 00 01 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 87 28 01 00 00 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? CC 49 8B D6 48 8B 0B E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 68 E8 ?? ?? ?? ?? CC 48 8D 8F 30 01 00 00 FF 15 ?? ?? ?? ?? 48 8B 06 48 8B D7 48 8B CE FF 50 38 90 48 8B C7 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_1218_11_0 {
	meta:
		name = "?dtor$0@?0???0UMSSchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1SchedulerProxy@details@Concurrency@@IEAA@XZ"
	strings:
		$1 = { 48 8B 8A A0 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1218_20_0 {
	meta:
		name = "??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ"
		size = 126
		refs = "001e ??_7UMSSchedulerProxy@details@Concurrency@@6BIUMSCompletionList@2@@ 0028 ??_7UMSSchedulerProxy@details@Concurrency@@6BSchedulerProxy@12@@ 0031 ?GetCompletionListItems@UMSSchedulerProxy@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ 0043 __imp_CloseHandle 0066 ?DeleteUmsCompletionList@UMS@details@Concurrency@@SAHPEAX@Z 007a ??1SchedulerProxy@details@Concurrency@@IEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 E8 ?? ?? ?? ?? 48 8B 8B 28 01 00 00 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 8B 20 01 00 00 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 8B 18 01 00 00 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8D 4B 08 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1218_42_0 {
	meta:
		name = "?CreateVirtualProcessorRoot@UMSSchedulerProxy@details@Concurrency@@UEAAPEAVVirtualProcessorRoot@23@PEAUSchedulerNode@23@I@Z"
		size = 115
		refs = "002b ??2@YAPEAX_K@Z 0049 ??0UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVUMSSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 41 8B F8 48 8B F2 48 8B E9 B9 C8 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 33 DB 48 85 C0 74 14 48 8D 55 F8 44 8B CF 4C 8B C6 48 8B C8 E8 ?? ?? ?? ?? EB 03 48 8B C3 48 85 C0 74 04 48 8D 58 10 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1218_45_0 {
	meta:
		name = "?DeleteThis@UMSSchedulerProxy@details@Concurrency@@MEAAXXZ"
		size = 46
		refs = "001c ??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ 0024 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 59 F8 F0 FF 8B 44 01 00 00 75 15 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1218_46_0 {
	meta:
		name = "?GetCompletionListItems@UMSSchedulerProxy@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
		size = 62
		refs = "000f ?SweepCompletionList@UMSSchedulerProxy@details@Concurrency@@QEAA_NPEAVUMSThreadProxy@23@_N@Z 0024 __imp_InterlockedFlushSList"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 33 D2 48 8B D9 E8 ?? ?? ?? ?? 33 C0 48 8D 8B 30 01 00 00 87 83 40 01 00 00 FF 15 ?? ?? ?? ?? 48 8D 88 60 FF FF FF 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1218_47_0 {
	meta:
		name = "?GetNewThreadProxy@UMSSchedulerProxy@details@Concurrency@@UEAAPEAUIThreadProxy@3@PEAUIExecutionContext@3@@Z"
		size = 122
		refs = "0029 ?GetUMSFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVUMSFreeThreadProxyFactory@23@XZ 005a ?AssociateExecutionContext@UMSFreeThreadProxy@details@Concurrency@@AEAAXPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F2 48 8B F9 48 39 59 08 75 14 48 8B 49 18 48 81 C1 A0 00 00 00 E8 ?? ?? ?? ?? 48 89 47 08 48 8B 4F 08 44 8B 87 C8 00 00 00 8B 97 C4 00 00 00 48 8B 01 FF 10 48 8D 78 F8 48 85 C0 75 03 48 8B FB 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 85 FF 74 04 48 8D 5F 08 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1218_50_0 {
	meta:
		name = "?GetUnblockNotifications@UMSSchedulerProxy@details@Concurrency@@UEAAPEAUIUMSUnblockNotification@3@XZ"
		size = 28
		refs = "0005 ?GetCompletionListItems@UMSSchedulerProxy@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 33 C0 48 85 C9 74 04 48 8D 41 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1218_51_0 {
	meta:
		name = "?HandleCompletion@UMSSchedulerProxy@details@Concurrency@@AEAA_NPEAVUMSThreadProxy@23@@Z"
		size = 122
		refs = "0014 ?SpinOnAndReturnBlockingType@UMSThreadProxy@details@Concurrency@@IEAA?AW4BlockingType@123@XZ 002a __imp_SetEvent 0051 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 83 F8 02 75 1E 48 8B 4B 48 48 8B 89 A0 00 00 00 FF 15 ?? ?? ?? ?? 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 83 7B 5C 00 75 ED 48 8D 93 A0 00 00 00 48 8D 8F 30 01 00 00 FF 15 ?? ?? ?? ?? B9 01 00 00 00 F0 0F C1 8F 40 01 00 00 FF C1 83 F9 01 75 0D 48 8B 8F 28 01 00 00 FF 15 ?? ?? ?? ?? B0 01 EB B6 }
	condition:
		$1
}

rule file_1218_55_0 {
	meta:
		name = "?SweepCompletionList@UMSSchedulerProxy@details@Concurrency@@QEAA_NPEAVUMSThreadProxy@23@_N@Z"
		size = 178
		refs = "002d ?DequeueUmsCompletionListItems@UMS@details@Concurrency@@SAHPEAXKPEAPEAX@Z 0040 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 004b ?GetNextUmsListItem@UMS@details@Concurrency@@SAPEAXPEAX@Z 0063 ?HandleCompletion@UMSSchedulerProxy@details@Concurrency@@AEAA_NPEAVUMSThreadProxy@23@@Z 0084 __imp_GetLastError 009c ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00a3 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00ad _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 40 48 8B E9 48 8B 89 18 01 00 00 4C 8B F2 40 32 FF 41 F6 D8 4C 8D 44 24 60 1B D2 E8 ?? ?? ?? ?? 85 C0 74 4D 48 8B 5C 24 60 EB 2B 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 8B F0 E8 ?? ?? ?? ?? 48 8B D8 49 3B F6 75 05 40 B7 01 EB 0B 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 85 DB 75 D0 48 8B 5C 24 68 48 8B 6C 24 70 40 8A C7 48 83 C4 40 41 5E 5F 5E C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1218_56_0 {
	meta:
		name = "?UnbindContext@UMSSchedulerProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 101
		refs = "0028 ?ReturnIdleProxy@UMSFreeThreadProxy@details@Concurrency@@AEAAXXZ 002f ??_C@_08BAFMHLII@pContext?$AA@ 0043 ??0exception@std@@QEAA@AEBQEBD@Z 004a ??_7invalid_argument@std@@6B@ 0051 _TI3?AVinvalid_argument@std@@ 0060 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 33 DB 48 85 D2 74 1F 48 8B 02 48 8B CA FF 50 10 48 85 C0 74 04 48 8D 58 F8 48 8B CB 48 83 C4 40 5B E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1219_0_0 {
	meta:
		name = "_fstat32i64"
		size = 958
		refs = "001d __security_cookie 0045 __doserrno 004c _errno 0065 memset 008f _nhandle 00a6 __pioinfo 00ce __lock_fhandle 00f5 __imp_GetFileType 0114 __imp_GetLastError 011b _dosmaperr 0179 __imp_PeekNamedPipe 01b3 __imp_GetFileInformationByHandle 01fa __imp_FileTimeToLocalFileTime 0212 __imp_FileTimeToSystemTime 024e __loctotime32_t 036f _unlock_fhandle 038a _invalid_parameter_noinfo 039d __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 48 8B FA 48 63 F1 89 74 24 50 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 2E 03 00 00 33 D2 44 8D 42 30 48 8B CF E8 ?? ?? ?? ?? 83 FE FE 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 09 03 00 00 85 F6 0F 88 EA 02 00 00 3B 35 ?? ?? ?? ?? 0F 83 DE 02 00 00 48 8B C6 4C 8B F6 49 C1 FE 05 4C 8D 2D ?? ?? ?? ?? 83 E0 1F 4C 6B F8 58 4B 8B 44 F5 00 42 0F BE 4C 38 08 41 BC 01 00 00 00 41 23 CC 0F 84 AC 02 00 00 8B CE E8 ?? ?? ?? ?? 90 4B 8B 4C F5 00 46 84 64 39 08 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 7A 02 00 00 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 0F BA F0 0F 41 3B C4 0F 84 92 00 00 00 8D 48 FE 41 3B CC 76 16 85 C0 74 CD FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 45 02 00 00 83 F8 02 B9 00 20 00 00 74 05 B9 00 10 00 00 66 89 4F 06 89 37 89 77 10 C7 47 08 01 00 00 00 66 89 5F 04 66 89 5F 0C 48 89 5F 24 89 5F 20 83 F8 02 74 38 4B 8B 4C F5 00 48 89 5C 24 28 48 8D 44 24 48 48 89 44 24 20 45 33 C9 45 33 C0 33 D2 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 85 C0 74 0E 48 63 44 24 48 48 89 47 18 E9 DD 01 00 00 48 89 5F 18 E9 D4 01 00 00 89 5F 04 89 5F 0A 66 44 89 67 08 4B 8B 4C F5 00 48 8D 54 24 68 4A 8B 0C 39 FF 15 ?? ?? ?? ?? 85 C0 0F 84 53 FF FF FF 0F B7 47 06 44 84 64 24 68 74 07 0D 24 01 00 00 EB 05 0D B6 01 00 00 66 89 47 06 39 5C 24 7C 75 0E 39 9C 24 80 00 00 00 75 05 89 5F 24 EB 67 48 8D 54 24 40 48 8D 4C 24 7C FF 15 ?? ?? ?? ?? 85 C0 0F 84 63 01 00 00 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 4B 01 00 00 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 24 39 5C 24 74 75 0B 39 5C 24 78 75 05 8B 47 24 EB 64 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EB 00 00 00 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 D3 00 00 00 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 20 39 5C 24 6C 75 0B 39 5C 24 70 75 05 8B 47 24 EB 5C 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 74 77 48 8D 54 24 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 63 0F B7 44 24 64 44 0F B7 54 24 62 44 0F B7 4C 24 60 44 0F B7 44 24 5E 0F B7 54 24 5A 0F B7 4C 24 58 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 28 8B 8C 24 88 00 00 00 48 C1 E1 20 8B 84 24 8C 00 00 00 48 03 C8 48 89 4F 18 0F B7 47 06 0F BA E8 0F 66 89 47 06 89 1F 89 5F 10 EB 03 83 CB FF 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1221_0_0 {
	meta:
		name = "fgetpos"
		size = 75
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 002f _ftelli64"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 17 48 85 D2 74 E6 E8 ?? ?? ?? ?? 48 83 F8 FF 48 89 07 0F 95 C3 8D 43 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1223_0_0 {
	meta:
		name = "_heapadd"
		size = 23
		refs = "0005 _errno"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? C7 00 28 00 00 00 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1225_2_0 {
	meta:
		name = "_wtmpnam_helper"
		size = 459
		refs = "002b _errno 0039 _mtinitlocknum 005e _lock 006b tmpnam_buf 0079 tmpnam_s_buf 008d winit_namebuf 009f wgenfname 00b1 _waccess_s 00db _getptd_noexit 0103 _calloc_crt 0120 wcscpy_s 013a _invoke_watson 0147 wcslen 018d _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 44 89 48 20 41 54 41 55 41 56 48 83 EC 40 45 8B E0 4C 8B EA 4C 8B F1 33 FF 8B DF E8 ?? ?? ?? ?? 8B 00 89 44 24 30 8D 4F 02 E8 ?? ?? ?? ?? 85 C0 75 17 48 8B 84 24 80 00 00 00 48 89 38 E8 ?? ?? ?? ?? 8B 00 E9 59 01 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 45 85 E4 75 0E 48 8D 3D ?? ?? ?? ?? 41 8D 74 24 0E EB 0C 48 8D 3D ?? ?? ?? ?? BE 12 00 00 00 33 C0 66 39 07 75 0A 41 8B CC E8 ?? ?? ?? ?? EB 10 44 8B 44 24 78 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 DC 00 00 00 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 1A 44 8B 44 24 78 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 B6 00 00 00 EB D8 33 F6 4D 85 F6 75 64 E8 ?? ?? ?? ?? 48 8B F0 45 33 E4 48 85 C0 75 0A BB 0C 00 00 00 E9 93 00 00 00 4C 39 60 50 75 16 BA 02 00 00 00 8D 4A 0C E8 ?? ?? ?? ?? 48 89 46 50 48 85 C0 74 DA 4C 8B 76 50 4C 8B C7 BA 0E 00 00 00 49 8B CE E8 ?? ?? ?? ?? 33 F6 85 C0 74 5D 48 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 45 85 E4 74 1D 48 8B CF E8 ?? ?? ?? ?? 49 3B C5 72 10 BB 22 00 00 00 4D 85 ED 74 2D 66 41 89 36 EB 27 4C 8B C7 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 85 C0 74 15 48 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 84 24 80 00 00 00 4C 89 30 E8 ?? ?? ?? ?? 85 DB 74 04 89 18 EB 06 8B 4C 24 30 89 08 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_1225_5_0 {
	meta:
		name = "wgenfname"
		size = 234
		refs = "0015 __security_cookie 0030 wcsrchr 0059 wcstoul 0073 _ultow_s 008a wcscpy_s 0095 _invalid_parameter_noinfo 00a5 __security_check_cookie 00cf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 56 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B F2 BA 2E 00 00 00 45 8B F0 48 8B E9 E8 ?? ?? ?? ?? 48 8D 78 02 48 3B FD 72 57 48 8B DF 48 2B DD 48 D1 FB 48 3B F3 76 49 BD 20 00 00 00 33 D2 48 8B CF 44 8B C5 E8 ?? ?? ?? ?? FF C0 41 3B C6 73 35 44 8D 45 E8 48 8D 54 24 30 44 8B CD 8B C8 E8 ?? ?? ?? ?? 85 C0 75 59 48 2B F3 4C 8D 44 24 30 48 8B CF 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 2C EB 08 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 38 49 8B E3 41 5E 5F 5E C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1225_6_0 {
	meta:
		name = "winit_namebuf"
		size = 501
		refs = "001f __security_cookie 004a memset 006e tmpnam_s_buf 0078 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 0083 wcscpy_s 00d2 _getpid 00e5 _ultow_s 00f4 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 00ff wcscat_s 0117 __security_check_cookie 013c tmpfile_buf 014a tmpnam_buf 0168 __imp_GetTempPathW 01b1 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 8B D9 45 33 F6 48 8D 4C 24 32 33 D2 41 B8 06 02 00 00 41 8B F6 66 44 89 74 24 30 E8 ?? ?? ?? ?? 41 8B EE 8B D3 85 DB 0F 84 EC 00 00 00 FF CA 0F 84 D6 00 00 00 FF CA 0F 85 E8 00 00 00 48 8D 35 ?? ?? ?? ?? 8D 6A 12 4C 8D 05 ?? ?? ?? ?? 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 51 01 00 00 48 8D 7E 02 B8 5C 00 00 00 66 39 47 FE 74 0E 66 83 7F FE 2F 74 07 66 89 07 48 83 C7 02 B8 74 00 00 00 83 FB 01 74 05 B8 73 00 00 00 66 89 07 48 83 C7 02 48 8B DD 48 8B C7 48 2B C6 48 D1 F8 48 2B D8 E8 ?? ?? ?? ?? 41 B9 20 00 00 00 4C 8B C3 48 8B D7 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 DA 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 AB 00 00 00 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 48 8D 35 ?? ?? ?? ?? BD 10 01 00 00 EB 15 48 8D 35 ?? ?? ?? ?? BD 0E 00 00 00 83 FB 01 0F 85 19 FF FF FF 48 8D 54 24 30 B9 04 01 00 00 FF 15 ?? ?? ?? ?? 8B F8 8D 4F FF 81 F9 03 01 00 00 77 20 8D 57 01 4C 8D 44 24 30 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 14 48 FF CF 48 8D 3C 7E E9 FA FE FF FF 83 C8 FF E9 6A FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1227_0_0 {
	meta:
		name = "_d_int"
		size = 276
		refs = "00b3 __ImageBase 00bf ?mask@?3??_d_int@@9@9 00cb ?sub@?3??_d_int@@9@9"
	strings:
		$1 = { B8 FF 07 00 00 4C 8B C1 0F B7 49 06 44 0F B7 C9 44 0F B7 DA 66 41 C1 E9 04 66 44 23 C8 66 44 3B C8 75 28 F6 C1 0F 75 1D 33 D2 66 41 39 50 04 75 14 66 41 39 50 02 75 0D 8D 42 01 66 41 39 10 0F 84 CE 00 00 00 B8 02 00 00 00 C3 0F B7 C1 33 D2 A9 FF 7F FF FF 75 18 66 41 39 50 04 75 11 66 41 39 50 02 75 0A 66 41 39 10 75 04 0F B7 C2 C3 41 BA 33 04 00 00 66 45 2B D1 66 45 2B D3 66 45 85 D2 7E E8 B8 35 00 00 00 66 41 3B C2 7F 19 B8 00 80 00 00 41 89 50 02 66 41 89 10 66 23 C8 83 C8 FF 66 41 89 48 06 C3 49 0F BF C2 66 41 C1 FA 04 48 8D 0D ?? ?? ?? ?? 83 E0 0F 44 0F B7 8C 41 ?? ?? ?? ?? 49 0F BF C2 48 8B 8C C1 ?? ?? ?? ?? 41 0F B7 04 48 66 44 23 C8 66 41 33 C1 66 41 89 04 48 41 0F BF CA FF C9 74 1C FF C9 74 0E FF C9 75 1C 66 45 0B 48 04 66 41 89 50 04 66 45 0B 48 02 66 41 89 50 02 66 45 0B 08 66 41 89 10 66 41 F7 D9 1B C0 C3 }
	condition:
		$1
}

rule file_85_0_1 {
	meta:
		name = "_Dint"
		size = 276
		refs = "00b3 __ImageBase 00bf ?mask@?3??_Dint@@9@9 00cb ?sub@?3??_Dint@@9@9"
	strings:
		$1 = { B8 FF 07 00 00 4C 8B C1 0F B7 49 06 44 0F B7 C9 44 0F B7 DA 66 41 C1 E9 04 66 44 23 C8 66 44 3B C8 75 28 F6 C1 0F 75 1D 33 D2 66 41 39 50 04 75 14 66 41 39 50 02 75 0D 8D 42 01 66 41 39 10 0F 84 CE 00 00 00 B8 02 00 00 00 C3 0F B7 C1 33 D2 A9 FF 7F FF FF 75 18 66 41 39 50 04 75 11 66 41 39 50 02 75 0A 66 41 39 10 75 04 0F B7 C2 C3 41 BA 33 04 00 00 66 45 2B D1 66 45 2B D3 66 45 85 D2 7E E8 B8 35 00 00 00 66 41 3B C2 7F 19 B8 00 80 00 00 41 89 50 02 66 41 89 10 66 23 C8 83 C8 FF 66 41 89 48 06 C3 49 0F BF C2 66 41 C1 FA 04 48 8D 0D ?? ?? ?? ?? 83 E0 0F 44 0F B7 8C 41 ?? ?? ?? ?? 49 0F BF C2 48 8B 8C C1 ?? ?? ?? ?? 41 0F B7 04 48 66 44 23 C8 66 41 33 C1 66 41 89 04 48 41 0F BF CA FF C9 74 1C FF C9 74 0E FF C9 75 1C 66 45 0B 48 04 66 41 89 50 04 66 45 0B 48 02 66 41 89 50 02 66 45 0B 08 66 41 89 10 66 41 F7 D9 1B C0 C3 }
	condition:
		$1
}

rule file_1227_1_0 {
	meta:
		name = "_dtest"
		size = 94
		altNames = "_Dtest"
	strings:
		$1 = { 0F B7 51 06 B8 F0 7F 00 00 66 23 D0 66 3B D0 75 24 F6 41 06 0F 75 18 33 C0 66 39 41 04 75 10 66 39 41 02 75 0A 66 39 01 B8 01 00 00 00 74 2E B8 02 00 00 00 C3 0F B7 41 06 A9 FF 7F FF FF 75 13 33 C0 66 39 41 04 75 0B 66 39 41 02 75 05 66 39 01 74 0A 66 F7 DA 1B C0 F7 D8 83 C0 FE C3 }
	condition:
		$1
}

rule file_1227_2_0 {
	meta:
		name = "_fd_int"
		size = 214
		refs = "008e __ImageBase 009f ?mask@?3??_fd_int@@9@9 00ab ?sub@?3??_fd_int@@9@9"
	strings:
		$1 = { B8 FF 00 00 00 4C 8B C1 0F B7 49 02 44 0F B7 D1 44 0F B7 DA 66 41 C1 EA 07 66 44 23 D0 66 44 3B D0 75 1A F6 C1 7F 75 0F 33 D2 8D 42 01 66 41 39 10 0F 84 9E 00 00 00 B8 02 00 00 00 C3 0F B7 C1 33 D2 A9 FF 7F FF FF 75 0A 66 41 39 10 75 04 0F B7 C2 C3 41 B9 96 00 00 00 66 45 2B CA 66 45 2B CB 66 45 85 C9 7E E8 B8 18 00 00 00 66 41 3B C1 7F 15 B8 00 80 00 00 66 41 89 10 66 23 C8 83 C8 FF 66 41 89 48 02 C3 49 0F BF C1 48 8D 0D ?? ?? ?? ?? 66 41 C1 F9 04 83 E0 0F 44 0F B7 94 41 ?? ?? ?? ?? 49 0F BF C1 48 8B 8C C1 ?? ?? ?? ?? 41 0F B7 04 48 66 44 23 D0 66 41 33 C2 66 41 89 04 48 66 41 3B D1 7D 08 66 45 0B 10 66 41 89 10 66 41 F7 DA 1B C0 C3 }
	condition:
		$1
}

rule file_86_0_1 {
	meta:
		name = "_FDint"
		size = 214
		refs = "008e __ImageBase 009f ?mask@?3??_FDint@@9@9 00ab ?sub@?3??_FDint@@9@9"
	strings:
		$1 = { B8 FF 00 00 00 4C 8B C1 0F B7 49 02 44 0F B7 D1 44 0F B7 DA 66 41 C1 EA 07 66 44 23 D0 66 44 3B D0 75 1A F6 C1 7F 75 0F 33 D2 8D 42 01 66 41 39 10 0F 84 9E 00 00 00 B8 02 00 00 00 C3 0F B7 C1 33 D2 A9 FF 7F FF FF 75 0A 66 41 39 10 75 04 0F B7 C2 C3 41 B9 96 00 00 00 66 45 2B CA 66 45 2B CB 66 45 85 C9 7E E8 B8 18 00 00 00 66 41 3B C1 7F 15 B8 00 80 00 00 66 41 89 10 66 23 C8 83 C8 FF 66 41 89 48 02 C3 49 0F BF C1 48 8D 0D ?? ?? ?? ?? 66 41 C1 F9 04 83 E0 0F 44 0F B7 94 41 ?? ?? ?? ?? 49 0F BF C1 48 8B 8C C1 ?? ?? ?? ?? 41 0F B7 04 48 66 44 23 D0 66 41 33 C2 66 41 89 04 48 66 41 3B D1 7D 08 66 45 0B 10 66 41 89 10 66 41 F7 DA 1B C0 C3 }
	condition:
		$1
}

rule file_1227_3_0 {
	meta:
		name = "_fdtest"
		size = 70
		altNames = "_FDtest"
	strings:
		$1 = { 0F B7 51 02 B8 80 7F 00 00 66 23 D0 66 3B D0 75 18 F6 41 02 7F 75 0C 33 C0 66 39 01 B8 01 00 00 00 74 22 B8 02 00 00 00 C3 0F B7 41 02 A9 FF 7F FF FF 75 07 33 C0 66 39 01 74 0A 66 F7 DA 1B C0 F7 D8 83 C0 FE C3 }
	condition:
		$1
}

rule file_1227_4_0 {
	meta:
		name = "_fperrraise"
		size = 146
		refs = "0062 fesetexceptflag 006b _errno"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B D9 F6 C1 18 74 03 83 CB 20 B8 00 00 00 00 F6 C3 20 8D 48 01 0F 45 C1 89 44 24 38 F6 C3 10 74 07 83 C8 02 89 44 24 38 F6 C3 08 74 07 83 C8 04 89 44 24 38 F6 C3 04 74 07 83 C8 08 89 44 24 38 8B FB 23 F9 74 07 83 C8 10 89 44 24 38 48 8D 4C 24 38 BA 1F 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0D E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 10 F6 C3 1C 74 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1228_0_0 {
	meta:
		name = "?FindCompleteObject@@YAPEAXPEAPEAX@Z"
		size = 38
	strings:
		$1 = { 48 8B 01 4C 8B 40 F8 48 8B C1 41 8B 50 04 48 2B C2 41 83 78 08 00 74 0D 41 8B 50 08 48 2B CA 48 63 09 48 2B C1 C3 }
	condition:
		$1
}

rule file_1228_1_0 {
	meta:
		name = "?FindMITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z"
		size = 375
		refs = "0088 strcmp"
	strings:
		$1 = { 48 8B C4 48 89 58 10 4C 89 48 20 4C 89 40 18 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B B4 24 88 00 00 00 48 63 42 10 45 33 C0 4E 63 64 30 0C 42 8B 44 30 08 83 CD FF 4D 03 E6 41 8B F8 45 8B F8 89 84 24 88 00 00 00 45 8B E8 41 8B F0 85 C0 0F 84 04 01 00 00 49 63 1C 24 8B C6 2B C5 49 03 DE 41 3B C5 76 35 48 63 0B 48 8B 84 24 80 00 00 00 49 03 CE 48 3B C8 74 14 48 8D 50 10 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C0 85 C0 75 0E 4D 85 FF 75 78 44 8B 6B 04 48 8B FB 8B EE 48 63 0B 48 8B 44 24 70 49 03 CE 48 3B C8 74 14 48 8D 50 10 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C0 85 C0 75 37 49 8B D0 44 39 43 0C 7C 18 48 63 53 0C 48 8B 44 24 60 48 63 4B 10 48 8B 04 02 48 63 0C 08 48 03 D1 48 63 43 08 48 03 C2 48 3B 44 24 78 75 08 48 85 FF 75 29 4C 8B FB FF C6 49 83 C4 04 3B B4 24 88 00 00 00 73 55 E9 4C FF FF FF F6 43 14 03 75 4A 41 F6 47 14 01 75 43 48 8B C3 EB 40 2B F5 41 3B F5 77 31 F6 47 14 40 75 0F 85 ED 75 06 F6 43 14 01 75 27 48 8B C7 EB 24 48 63 47 18 4A 63 44 30 0C 49 03 C6 48 63 0C B0 42 F6 44 31 14 01 49 0F 45 F8 EB DF F6 47 14 03 74 D3 33 C0 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1228_2_0 {
	meta:
		name = "?FindSITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@1_K@Z"
		size = 210
		refs = "005b strcmp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 63 41 10 33 DB 49 8B F9 4E 63 7C 08 0C 46 8B 74 08 08 4D 8B E8 4D 03 F9 4C 8B E2 45 85 F6 74 31 49 8B F7 48 63 2E 48 03 EF 48 63 4D 00 48 03 CF 49 3B CD 74 3B 49 8D 55 10 48 83 C1 10 E8 ?? ?? ?? ?? 85 C0 74 2A FF C3 48 83 C6 04 41 3B DE 72 D2 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 FF C3 41 3B DE 73 DA 49 8D 34 9F 48 63 06 F6 44 38 14 04 75 CC 48 63 0C 38 48 03 CF 49 3B CC 74 1F 49 8D 54 24 10 48 83 C1 10 E8 ?? ?? ?? ?? 85 C0 74 0D FF C3 48 83 C6 04 41 3B DE 72 CD EB A1 48 8B C5 EB 9E }
	condition:
		$1
}

rule file_1228_3_0 {
	meta:
		name = "?FindVITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z"
		size = 578
		refs = "00a6 strcmp"
	strings:
		$1 = { 4C 89 4C 24 20 4C 89 44 24 18 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 48 4C 8B BC 24 B8 00 00 00 48 63 42 10 48 83 4C 24 28 FF 4A 63 4C 38 0C 42 8B 44 38 08 45 33 D2 41 83 C8 FF 49 03 CF 41 8B D2 45 8B E2 45 8B EA 41 8B F2 48 89 4C 24 30 41 8B EA 89 44 24 20 89 94 24 98 00 00 00 44 89 84 24 B8 00 00 00 40 B7 01 45 8B F2 85 C0 0F 84 B5 01 00 00 48 63 19 41 8B C6 41 2B C0 49 03 DF 3B C2 76 44 48 63 0B 48 8B 84 24 B0 00 00 00 49 03 CF 48 3B C8 74 14 48 8D 50 10 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 1D F6 43 14 03 8B 43 04 48 8B EB 48 0F 44 F3 89 84 24 98 00 00 00 44 89 B4 24 B8 00 00 00 48 63 0B 48 8B 84 24 A0 00 00 00 49 03 CF 48 3B C8 74 18 48 8D 50 10 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 85 EC 00 00 00 4C 8B 8C 24 90 00 00 00 49 8B D2 44 39 53 0C 7C 13 48 63 53 0C 48 63 4B 10 4A 8B 04 0A 48 63 0C 08 48 03 D1 48 63 43 08 44 8B 84 24 B8 00 00 00 48 03 C2 48 3B 84 24 A8 00 00 00 0F 85 B3 00 00 00 41 8B D6 41 2B D0 3B 94 24 98 00 00 00 0F 87 8E 00 00 00 40 84 FF 0F 84 97 00 00 00 F6 45 14 40 75 15 45 85 C0 75 0C F6 43 14 01 40 0F B6 FF 41 0F 45 FA B1 01 EB 28 48 63 45 18 40 0F B6 FF 4A 63 44 38 0C 49 03 C7 48 63 0C 90 42 8B 4C 39 14 F6 C1 01 41 0F 45 FA C1 E9 02 F6 D1 80 E1 01 40 84 FF 74 4F 84 C9 74 4B 49 8B D2 44 39 55 0C 7C 13 48 63 55 0C 48 63 4D 10 4A 8B 04 0A 48 63 0C 08 48 03 D1 48 63 45 08 48 03 C2 4D 85 E4 74 07 48 39 44 24 28 75 5E 4C 8B E5 48 89 44 24 28 EB 12 F6 43 14 05 4C 0F 44 EB EB 08 44 8B 84 24 B8 00 00 00 48 8B 4C 24 30 41 FF C6 48 83 C1 04 48 89 4C 24 30 44 3B 74 24 20 73 0C 8B 94 24 98 00 00 00 E9 69 FE FF FF 40 84 FF 74 0A 4D 85 E4 74 05 49 8B C4 EB 11 4D 85 ED 74 0A 48 85 F6 74 05 48 8B C6 EB 02 33 C0 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1228_4_0 {
	meta:
		name = "?GetImageBase@@YA_KPEAX@Z"
		size = 20
		refs = "000b __imp_RtlPcToFileHeader"
	strings:
		$1 = { 48 83 EC 28 48 8D 54 24 38 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1228_5_0 {
	meta:
		name = "?PMDtoOffset@@YA_JPEAXAEBUPMD@@@Z"
		size = 35
	strings:
		$1 = { 45 33 C9 44 39 4A 04 7C 13 4C 63 4A 04 4C 63 42 08 49 8B 04 09 4A 63 0C 00 4C 03 C9 48 63 02 49 03 C1 C3 }
	condition:
		$1
}

rule file_1228_6_0 {
	meta:
		name = "__RTCastToVoid"
		size = 105
		refs = "0044 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 004e ??0__non_rtti_object@std@@QEAA@PEBD@Z 0055 _TI3?AV__non_rtti_object@std@@ 005f _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 4C 8B C1 48 85 C9 75 04 33 C0 EB 54 48 8B 01 48 8B 48 F8 8B 41 04 49 8B D0 48 2B D0 48 89 54 24 20 83 79 08 00 74 11 8B 49 08 4C 2B C1 49 63 08 48 2B D1 48 89 54 24 20 48 8B C2 EB 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1228_8_0 {
	meta:
		name = "__RTDynamicCast"
		size = 380
		refs = "006d __imp_RtlPcToFileHeader 00a5 ?FindSITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@1_K@Z 00c7 ?FindMITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z 00ce ?FindVITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z 0114 ??_C@_0BC@JNJNLHBP@Bad?5dynamic_cast?$CB?$AA@ 011e ??0bad_cast@std@@QEAA@PEBD@Z 0125 _TI2?AVbad_cast@std@@ 012f _CxxThrowException 0142 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 014c ??0__non_rtti_object@std@@QEAA@PEBD@Z 0153 _TI3?AV__non_rtti_object@std@@"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 60 4D 8B F9 4D 8B E0 4C 63 EA 4C 8B F1 33 DB 48 85 C9 75 07 33 C0 E9 31 01 00 00 48 8B 01 48 8B 70 F8 8B 46 04 48 8B F9 48 2B F8 48 89 7C 24 38 39 5E 08 74 11 8B 46 08 48 2B C8 48 63 01 48 2B F8 48 89 7C 24 38 48 8B CE 39 1E 75 1B 48 8D 94 24 90 00 00 00 FF 15 ?? ?? ?? ?? 48 8B C8 48 89 84 24 90 00 00 00 EB 07 48 63 46 14 48 2B C8 4D 2B F5 4C 2B F7 48 63 46 10 8B 54 08 04 F6 C2 01 75 13 4C 8B C9 4D 8B C7 49 8B D4 48 8B CE E8 ?? ?? ?? ?? EB 27 48 89 4C 24 28 4D 8B CE 4D 8B C4 4C 89 7C 24 20 48 8B CF F6 C2 02 48 8B D6 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 29 39 58 0C 7C 13 48 63 58 0C 48 63 48 10 48 8B 04 3B 48 63 0C 08 48 03 D9 48 63 42 08 48 03 D8 48 03 DF 48 89 5C 24 30 EB 31 48 89 5C 24 30 39 9C 24 B0 00 00 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B C3 EB 29 48 83 64 24 30 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1228_9_0 {
	meta:
		name = "__RTDynamicCast$filt$0"
		size = 32
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 48 8B 01 33 C9 81 38 05 00 00 C0 0F 94 C1 8B C1 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_1228_10_0 {
	meta:
		name = "__RTtypeid"
		size = 169
		refs = "000e ??_C@_0CE@FFJAJLDK@Attempted?5a?5typeid?5of?5NULL?5point@ 0018 ??0bad_typeid@std@@QEAA@PEBD@Z 001f _TI2?AVbad_typeid@std@@ 0029 _CxxThrowException 0044 __imp_RtlPcToFileHeader 0060 ??_C@_0CB@EEENAAHH@Bad?5read?5pointer?5?9?5no?5RTTI?5data?$CB@ 006a ??0__non_rtti_object@std@@QEAA@PEBD@Z 0071 _TI3?AV__non_rtti_object@std@@ 0083 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 85 C9 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 8B 01 48 8B 58 F8 48 8B CB 83 3B 00 75 10 48 8D 54 24 50 FF 15 ?? ?? ?? ?? 48 8B C8 EB 07 48 63 43 14 48 2B C8 48 63 43 0C 48 03 C1 75 46 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1229_0_0 {
	meta:
		name = "_wcsset_s"
		size = 84
		refs = "0037 _errno 0042 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 48 85 C9 74 2A 48 85 D2 74 25 48 8B C1 66 44 39 09 74 13 48 FF CA 74 0E 66 44 89 00 48 83 C0 02 66 44 39 08 75 ED 48 85 D2 75 1E 66 44 89 09 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 33 C0 EB F7 }
	condition:
		$1
}

rule file_1230_0_0 {
	meta:
		name = "_wopenfile"
		size = 735
		refs = "001e _commode 0068 _errno 0073 _invalid_parameter_noinfo 01bc ?ccsField@?P@??_wopenfile@@9@9 01ca wcsncmp 01fd ?utf8encoding@?P@??_wopenfile@@9@9 020b _wcsnicmp 0220 ?utf16encoding@?P@??_wopenfile@@9@9 0243 ?unicodeencoding@?P@??_wopenfile@@9@9 0292 _wsopen_s 02a0 _cflush"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 8B 35 ?? ?? ?? ?? 45 33 E4 4D 8B F1 45 8D 6C 24 20 41 8B E8 48 8B DA 4C 8B F9 45 8B CC 45 8B D4 45 8B DC 66 44 39 2A 75 0A 48 83 C3 02 66 44 39 2B 74 F6 0F B7 03 41 B8 01 00 00 00 83 F8 61 74 30 83 F8 72 74 23 83 F8 77 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 44 02 00 00 BF 01 03 00 00 EB 0D 41 8B FC 41 0B F0 EB 08 BF 09 01 00 00 83 CE 02 48 83 C3 02 41 8B D0 0F B7 03 66 85 C0 0F 84 C3 01 00 00 85 D2 0F 84 F4 00 00 00 0F B7 C8 83 F9 53 7F 79 74 6A 41 2B CD 0F 84 D1 00 00 00 83 E9 0B 74 47 FF C9 74 3E 83 E9 18 74 27 83 E9 0A 74 19 83 F9 04 75 8C 45 85 D2 0F 85 A7 00 00 00 45 8B D0 83 CF 10 E9 A5 00 00 00 0F BA EF 07 E9 9C 00 00 00 40 F6 C7 40 0F 85 89 00 00 00 83 CF 40 E9 8A 00 00 00 45 8B D8 EB 7C 40 F6 C7 02 75 76 83 E7 FE 83 E6 FC 83 CF 02 0F BA EE 07 EB 70 45 85 D2 75 62 45 8B D0 41 0B FD EB 63 83 E9 54 74 4F 83 E9 0E 74 3C FF C9 74 2A 83 E9 0B 74 17 83 F9 06 0F 85 1A FF FF FF F7 C7 00 C0 00 00 75 36 0F BA EF 0E EB 39 45 85 C9 75 2B 45 8B C8 0F BA F6 0E EB 2B 45 85 C9 75 1D 45 8B C8 0F BA EE 0E EB 1D F7 C7 00 C0 00 00 75 0C 0F BA EF 0F EB 0F 0F BA E7 0C 73 05 41 8B D4 EB 04 0F BA EF 0C 48 83 C3 02 0F B7 03 66 85 C0 0F 85 04 FF FF FF 45 85 DB 0F 84 BE 00 00 00 EB 04 48 83 C3 02 66 44 39 2B 74 F6 48 8D 0D ?? ?? ?? ?? 41 B8 03 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 91 FE FF FF 48 83 C3 06 EB 04 48 83 C3 02 66 44 39 2B 74 F6 66 83 3B 3D 0F 85 77 FE FF FF 48 83 C3 02 66 44 39 2B 74 F6 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 0A 0F BA EF 12 EB 4E 48 8D 15 ?? ?? ?? ?? 41 B8 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 10 0F BA EF 11 EB 2B 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 0A FE FF FF 48 83 C3 0E 0F BA EF 10 EB 04 48 83 C3 02 66 44 39 2B 74 F6 66 44 39 23 0F 85 EC FD FF FF 48 8D 4C 24 68 44 8B CD 44 8B C7 49 8B D7 C7 44 24 20 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 D9 FD FF FF FF 05 ?? ?? ?? ?? 8B 44 24 68 41 89 76 18 41 89 46 1C 45 89 66 08 4D 89 26 49 8B C6 4D 89 66 10 4D 89 66 28 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1231_4_0 {
	meta:
		name = "_ismbslead_l"
		size = 148
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0037 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 60 48 85 D2 74 E7 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 8B 4C 24 28 83 79 08 00 74 2E 48 3B DF 77 29 80 3B 00 74 24 0F B6 03 F6 44 08 19 04 74 10 48 8B C3 48 FF C3 48 3B C7 74 0A 80 3B 00 74 0A 48 FF C3 EB D7 83 C8 FF EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1232_3_0 {
	meta:
		name = "_wcscoll_l"
		size = 169
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0051 wcscmp 006e __crtCompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B F9 48 8B DA 48 8D 4C 24 30 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 74 05 48 85 DB 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 48 48 8B 44 24 30 48 8B 88 30 01 00 00 48 85 C9 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 34 41 83 C9 FF 4C 8B C7 BA 00 10 00 00 44 89 4C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1234_0_0 {
	meta:
		name = "__sse2_asin2"
		size = 656
		refs = "0049 __common_dasin_data 027c __common_dasin_cout_rare"
	strings:
		$1 = { 48 81 EC 18 01 00 00 44 0F 29 BC 24 E0 00 00 00 44 0F 29 B4 24 00 01 00 00 44 0F 29 9C 24 D0 00 00 00 44 0F 29 8C 24 C0 00 00 00 44 0F 29 84 24 F0 00 00 00 44 0F 28 C0 4C 89 AC 24 10 01 00 00 4C 8D 6C 24 6F 44 0F 28 1D ?? ?? ?? ?? 49 83 E5 C0 0F 28 0D ?? ?? ?? ?? 45 0F 28 F3 45 0F 54 F0 0F 28 E9 66 41 0F 59 EE 0F 28 E1 45 0F 28 FE 66 0F 5C E5 66 45 0F 59 FE 66 0F 5A D4 66 44 0F 5D FC 66 0F 58 E4 0F 16 D2 41 0F 28 EE 44 0F 52 CA 66 0F C2 E9 05 41 0F 5A D1 0F 28 1D ?? ?? ?? ?? 45 0F 55 D8 66 41 0F C2 DE 02 66 0F 50 D3 0F 28 DA 0F 28 05 ?? ?? ?? ?? 44 0F 28 0D ?? ?? ?? ?? 66 0F 59 DA 66 0F 59 D4 66 0F 59 E3 66 41 0F 59 C7 66 0F 5C 25 ?? ?? ?? ?? 66 0F 58 05 ?? ?? ?? ?? 66 45 0F 59 CF 0F 28 1D ?? ?? ?? ?? 0F 28 CC 66 0F 59 DC 66 0F 59 CA 66 0F 58 1D ?? ?? ?? ?? 66 44 0F 58 0D ?? ?? ?? ?? 66 0F 59 DC 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 DC 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 D9 41 0F 28 CF 85 D2 66 41 0F 59 CF 66 0F 5C DA 66 0F 59 C1 0F 28 25 ?? ?? ?? ?? 0F 54 DD 66 41 0F 59 E7 0F 28 15 ?? ?? ?? ?? 66 41 0F 59 D7 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 C4 66 0F 59 D1 0F 28 E1 66 0F 59 E1 66 41 0F 58 D1 66 0F 59 C4 44 0F 28 0D ?? ?? ?? ?? 66 45 0F 59 CF 66 0F 58 C2 66 44 0F 58 0D ?? ?? ?? ?? 66 0F 59 C1 0F 28 15 ?? ?? ?? ?? 66 41 0F 58 C1 66 41 0F 59 D7 66 0F 59 C1 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 C2 66 41 0F 59 C7 44 0F 28 FD 45 0F 55 FE 44 0F 56 FB 66 41 0F 59 C7 66 41 0F 58 C7 44 0F 28 35 ?? ?? ?? ?? 44 0F 54 F5 66 41 0F 58 C6 66 41 0F EF C3 75 3D 44 0F 28 84 24 F0 00 00 00 44 0F 28 8C 24 C0 00 00 00 44 0F 28 9C 24 D0 00 00 00 44 0F 28 B4 24 00 01 00 00 44 0F 28 BC 24 E0 00 00 00 4C 8B AC 24 10 01 00 00 48 81 C4 18 01 00 00 C3 45 0F 29 45 00 41 0F 29 45 40 74 B7 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 1B FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 45 40 E9 7C FF FF FF 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D4 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1235_0_0 {
	meta:
		name = "?DebuggerProbe@@YAHK@Z"
		size = 64
		refs = "0030 __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 C6 40 08 00 C7 40 C8 01 10 00 00 89 48 D0 48 8D 40 08 48 89 44 24 30 4C 8D 4C 24 20 33 D2 44 8D 42 0A B9 88 13 6D 40 FF 15 ?? ?? ?? ?? EB 00 0F B6 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_1235_1_0 {
	meta:
		name = "?filt$0@?0??DebuggerProbe@@YAHK@Z@4HA"
		size = 32
		altNames = "?filt$0@?0??DebuggerRuntime@@YAHKHPEAXPEB_W@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 33 C9 81 38 88 13 6D 40 0F 94 C1 8B C1 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_1235_2_0 {
	meta:
		name = "?DebuggerRuntime@@YAHKHPEAXPEB_W@Z"
		size = 76
		refs = "003c __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 C6 40 08 00 C7 40 C8 02 10 00 00 89 48 D0 89 50 D4 4C 89 40 D8 48 8D 40 08 48 89 44 24 38 4C 89 4C 24 40 4C 8D 4C 24 20 33 D2 44 8D 42 0A B9 88 13 6D 40 FF 15 ?? ?? ?? ?? EB 00 0F B6 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_1235_4_0 {
	meta:
		name = "?_RTC_AllocaFailure@@YAXPEAXPEAU_RTC_ALLOCA_NODE@@H@Z"
		size = 518
		refs = "0015 __security_cookie 0027 ?_RTC_ErrorLevels@@3PAHA 0041 ??_C@_1BG@OILDLIOJ@?$AAu?$AAs?$AAe?$AAr?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 004f __imp_LoadLibraryExW 005d __imp_GetLastError 008b ??_C@_09FOPFMPEJ@wsprintfA?$AA@ 0094 __imp_GetProcAddress 009e ?wsprintffp@@3P6AHPEADPEBDZZEA 00c4 ??_C@_08OMAHNMHJ@?6Data?3?5?$DM?$AA@ 00dc ??_C@_0CK@DKGBICFE@?6Allocation?5number?5within?5this?5f@ 00e3 ??_C@_0N@MHFFIMFG@?6Address?3?50x?$AA@ 00ea ??_C@_0EI@CLEPFNGI@Stack?5area?5around?5_alloca?5memory@ 00fb ??_C@_07DFDJCKFN@?6Size?3?5?$AA@ 010f ??_C@_0BE@EJFBLEMJ@?$CFs?$CFs?$CFp?$CFs?$CFI64d?$CFs?$CFd?$CFs?$AA@ 0149 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0193 ??_C@_01EEMJAFIK@?6?$AA@ 019a ??_C@_02LLMPMKNF@?$DO?5?$AA@ 01b0 ??_C@_08KJEDNCKC@?$CFs?$CFs?$CFs?$CFs?$AA@ 01cf ??_C@_0EJ@LJKNEOLN@Stack?5area?5around?5_alloca?5memory@ 01e0 ?failwithmessage@@YAXPEAXHHPEBD@Z 01f0 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC C0 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 01 00 00 44 8B 35 ?? ?? ?? ?? 41 8B F8 48 8B F2 4C 8B F9 41 83 FE FF 0F 84 A6 01 00 00 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 2D FF 15 ?? ?? ?? ?? 83 F8 57 0F 85 62 01 00 00 48 8D 0D ?? ?? ?? ?? 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 44 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 4C 8B D0 48 89 05 ?? ?? ?? ?? 48 85 DB 0F 84 21 01 00 00 48 85 F6 0F 84 18 01 00 00 48 85 C0 0F 84 0F 01 00 00 48 8B 4E 0C 48 8D 15 ?? ?? ?? ?? 48 8D 46 20 48 89 54 24 48 48 83 E9 24 89 7C 24 40 48 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 89 54 24 38 48 89 4C 24 30 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 28 48 8D 8C 24 A0 00 00 00 48 8D 15 ?? ?? ?? ?? 48 89 44 24 20 41 FF D2 48 8B 46 0C 33 FF 48 83 E8 24 44 8D 67 10 49 3B C4 4C 0F 42 E0 4D 85 E4 74 39 48 8D 44 24 50 48 8D 6C 24 68 48 2B F0 48 8D 04 3E 48 8D 15 ?? ?? ?? ?? 48 8B CD 0F B6 5C 04 70 44 8B C3 FF 15 ?? ?? ?? ?? 88 5C 3C 50 48 FF C7 48 83 C5 03 49 3B FC 72 D4 48 8D 44 24 68 C6 44 3C 50 00 48 8D 8C 24 A0 00 00 00 48 03 C7 C6 04 78 00 8A 01 48 FF C1 84 C0 75 F7 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 44 24 50 48 89 44 24 28 48 8D 44 24 68 48 8D 15 ?? ?? ?? ?? 48 FF C9 48 89 44 24 20 FF 15 ?? ?? ?? ?? 4C 8D 8C 24 A0 00 00 00 EB 07 4C 8D 0D ?? ?? ?? ?? 41 B8 04 00 00 00 41 8B D6 49 8B CF E8 ?? ?? ?? ?? 48 8B 8C 24 B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C0 01 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1235_5_0 {
	meta:
		name = "?_RTC_Failure@@YAXPEAXH@Z"
		size = 76
		refs = "000c __ImageBase 0017 ?_RTC_ErrorLevels@@3PAHA 001f _RTC_ErrorMessages 0043 ?failwithmessage@@YAXPEAXHHPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 83 FA 04 77 1C 4C 8D 0D ?? ?? ?? ?? 48 63 C2 45 8B 94 81 ?? ?? ?? ?? 4D 8B 8C C1 ?? ?? ?? ?? EB 11 4C 8B 0D ?? ?? ?? ?? 41 BA 01 00 00 00 41 8D 52 04 41 83 FA FF 74 0B 44 8B C2 41 8B D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1235_6_0 {
	meta:
		name = "?_RTC_StackFailure@@YAXPEAXPEBD@Z"
		size = 233
		refs = "000a __security_cookie 001c ?_RTC_ErrorLevels@@3PAHA 005c stack_premsg 00a3 stack_postmsg 00bc ??_C@_0CG@IAFNJNEE@Stack?5corrupted?5near?5unknown?5var@ 00cd ?failwithmessage@@YAXPEAXHHPEBD@Z 00dd __security_check_cookie"
	strings:
		$1 = { 48 81 EC 38 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 04 00 00 44 8B 15 ?? ?? ?? ?? 4C 8B D9 41 83 FA FF 0F 84 A4 00 00 00 80 3A 00 0F 84 83 00 00 00 48 8B CA 8A 01 48 FF C1 84 C0 75 F7 48 2B CA 48 83 C1 2C 48 81 F9 00 04 00 00 77 67 4C 8D 4C 24 20 33 C9 48 8D 05 ?? ?? ?? ?? 8A 04 01 48 FF C1 88 44 0C 1F 84 C0 75 EB 48 8D 4C 24 20 48 FF C9 48 FF C1 80 39 00 75 F8 45 33 C0 42 8A 04 02 42 88 04 01 49 FF C0 84 C0 75 F1 48 8D 4C 24 20 48 FF C9 48 FF C1 80 39 00 75 F8 4C 8D 05 ?? ?? ?? ?? 33 D2 41 8A 04 10 88 04 11 48 FF C2 84 C0 75 F2 EB 07 4C 8D 0D ?? ?? ?? ?? 41 B8 02 00 00 00 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 8B 8C 24 20 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 38 04 00 00 C3 }
	condition:
		$1
}

rule file_1235_7_0 {
	meta:
		name = "?_getMemBlockDataString@@YAXPEAD00_K@Z"
		size = 153
		refs = "004a ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0056 ?wsprintffp@@3P6AHPEADPEBDZZEA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 FF 4D 8B F8 4C 8B EA 8D 77 10 48 8B E9 4C 3B CE 49 0F 42 F1 48 85 F6 74 33 4C 8B F1 4C 8B E2 4C 2B F9 48 8B FE 43 0F B6 1C 37 48 8D 15 ?? ?? ?? ?? 49 8B CC 44 8B C3 FF 15 ?? ?? ?? ?? 41 88 1E 49 FF C6 49 83 C4 03 48 FF CE 75 D9 48 8B 5C 24 50 48 8B 74 24 60 C6 04 2F 00 48 8B 6C 24 58 48 8D 04 7D 00 00 00 00 49 03 C5 C6 04 07 00 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1235_8_0 {
	meta:
		name = "?_strlen_priv@@YA_KPEBD@Z"
		size = 19
	strings:
		$1 = { 48 8B C1 8A 10 48 FF C0 84 D2 75 F7 48 2B C1 48 FF C8 C3 }
	condition:
		$1
}

rule file_1235_9_0 {
	meta:
		name = "?failwithmessage@@YAXPEAXHHPEBD@Z"
		size = 585
		refs = "001f __security_cookie 003d ?_RTC_GetErrorFuncW@@YAP6AHHPEB_WH00ZZPEBX@Z 004d ?_RTC_GetErrorFunc@@YAP6AHHPEBDH00ZZPEBX@Z 0071 __imp_MultiByteToWideChar 00b2 ??_C@_1GM@OLMCBDMB@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?4?$AA?6?$AA?$AN?$AA?5?$AAU?$AAn?$AAa?$AAb?$AAl?$AAe?$AA?5?$AAt?$AAo@ 00bc ?DebuggerProbe@@YAHK@Z 00c7 _RTC_NoFalsePositives 00d9 ?DebuggerRuntime@@YAHKHPEAXPEB_W@Z 00fd __imp_IsDebuggerPresent 012f ?_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z 0140 ??_C@_1EA@NFKNIFJP@?$AAR?$AAu?$AAn?$AA?9?$AAT?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAu?$AAr?$AAe?$AA?5?$AA?$CD?$AA?$CF?$AAd?$AA?5?$AA?9?$AA?5?$AA?$CF?$AAs?$AA?$AA@ 019f ??_C@_0BB@PFFGGCJP@Unknown?5Filename?$AA@ 01a5 __imp_WideCharToMultiByte 01e0 ??_C@_0BE@GNBOBNCK@Unknown?5Module?5Name?$AA@ 01f9 ??_C@_0CA@IODNCDPG@Run?9Time?5Check?5Failure?5?$CD?$CFd?5?9?5?$CFs?$AA@ 0231 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 58 F2 FF FF 48 81 EC A8 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 90 0D 00 00 4D 8B E1 4D 63 F0 44 8B EA 48 8B F9 45 33 FF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0B 48 8B CF E8 ?? ?? ?? ?? 4C 8B F8 83 64 24 28 00 48 83 64 24 20 00 83 CE FF 44 8B CE 4D 8B C4 33 D2 B9 E9 FD 00 00 FF 15 ?? ?? ?? ?? 48 63 C8 48 81 F9 00 02 00 00 73 2E 89 44 24 28 48 8D 85 90 09 00 00 44 8B CE 4D 8B C4 33 D2 B9 E9 FD 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8D B5 90 09 00 00 85 C0 75 07 48 8D 35 ?? ?? ?? ?? B9 02 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 23 48 8D 0D ?? ?? ?? ?? 4C 8B CE 4C 8B C7 42 8B 14 B1 41 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 41 01 00 00 EB 02 B0 01 4D 85 FF 75 09 48 85 DB 0F 84 2E 01 00 00 84 C0 74 0E FF 15 ?? ?? ?? ?? 85 C0 0F 85 1C 01 00 00 48 8D 44 24 50 41 B8 04 01 00 00 48 8D 4F FB 44 89 44 24 28 4C 8D 4C 24 40 48 8D 95 60 01 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 85 DB 74 31 44 8B 44 24 40 48 8D 05 ?? ?? ?? ?? 48 89 74 24 30 4C 8D 4C 24 50 48 8D 95 60 01 00 00 41 8B CD 44 89 74 24 28 48 89 44 24 20 FF D3 E9 B7 00 00 00 48 83 64 24 38 00 48 83 64 24 30 00 48 8D 85 70 03 00 00 BE 0A 03 00 00 4C 8D 85 60 01 00 00 41 83 C9 FF 33 D2 B9 E9 FD 00 00 89 74 24 28 48 89 44 24 20 48 8D 3D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 48 8D 85 80 06 00 00 48 8D 9D 70 03 00 00 48 0F 44 DF 48 83 64 24 38 00 48 83 64 24 30 00 4C 8D 44 24 50 41 83 C9 FF 33 D2 B9 E9 FD 00 00 89 74 24 28 48 8D 3D ?? ?? ?? ?? 48 89 44 24 20 FF 15 ?? ?? ?? ?? 44 8B 44 24 40 85 C0 48 8D 05 ?? ?? ?? ?? 4C 89 64 24 30 4C 8D 8D 80 06 00 00 48 8B D3 41 8B CD 4C 0F 44 CF 44 89 74 24 28 48 89 44 24 20 41 FF D7 83 F8 01 75 01 CC 48 8B 8D 90 0D 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 0E 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_1235_10_0 {
	meta:
		name = "_RTC_UninitUse"
		size = 236
		refs = "000a __security_cookie 001c ?_RTC_ErrorLevels@@3PAHA 005c uninit_premsg 00a1 uninit_postmsg 00ba ??_C@_0DE@OHJBPMBP@A?5variable?5is?5being?5used?5without@ 00d0 ?failwithmessage@@YAXPEAXHHPEBD@Z 00e0 __security_check_cookie"
	strings:
		$1 = { 48 81 EC 38 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 04 00 00 44 8B 15 ?? ?? ?? ?? 4C 8B C1 41 83 FA FF 0F 84 A7 00 00 00 48 85 C9 0F 84 81 00 00 00 48 8B D1 8A 02 48 FF C2 84 C0 75 F7 48 2B D1 48 83 C2 39 48 81 FA 00 04 00 00 77 65 4C 8D 4C 24 20 33 C9 48 8D 05 ?? ?? ?? ?? 8A 04 01 48 FF C1 88 44 0C 1F 84 C0 75 EB 48 8D 4C 24 20 48 FF C9 48 FF C1 80 39 00 75 F8 33 D2 41 8A 04 10 88 04 11 48 FF C2 84 C0 75 F2 48 8D 4C 24 20 48 FF C9 48 FF C1 80 39 00 75 F8 4C 8D 05 ?? ?? ?? ?? 33 D2 41 8A 04 10 88 04 11 48 FF C2 84 C0 75 F2 EB 07 4C 8D 0D ?? ?? ?? ?? 48 8B 8C 24 38 04 00 00 41 B8 03 00 00 00 41 8B D2 E8 ?? ?? ?? ?? 48 8B 8C 24 20 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 38 04 00 00 C3 }
	condition:
		$1
}

rule file_1236_15_0 {
	meta:
		name = "??0CancellationBeaconNode@CancellationBeaconStack@ContextBase@details@Concurrency@@QEAA@XZ"
		size = 36
		refs = "0014 ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8B D9 B9 80 00 00 00 E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1236_16_0 {
	meta:
		name = "??0CancellationBeaconStack@ContextBase@details@Concurrency@@QEAA@XZ"
		size = 39
		refs = "0016 ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 21 00 83 61 04 00 48 8B D9 B9 20 00 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1236_18_0 {
	meta:
		name = "??0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z"
		size = 334
		refs = "0022 ??_7ContextBase@details@Concurrency@@6B@ 007b ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ 00c2 ??_U@YAPEAX_K@Z 00de memset 00fe ?GetNewContextId@SchedulerBase@details@Concurrency@@QEAAIXZ 0114 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0136 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 F6 48 89 71 24 89 71 2C 48 89 51 38 48 89 71 40 48 89 71 48 C7 41 50 01 00 00 00 89 71 54 48 89 71 58 48 89 71 60 48 89 71 68 48 83 CF FF 89 79 70 48 89 71 78 89 B1 80 00 00 00 44 88 81 88 00 00 00 48 89 B1 90 00 00 00 48 81 C1 98 00 00 00 E8 ?? ?? ?? ?? 89 B3 B0 00 00 00 89 BB B4 00 00 00 89 BB B8 00 00 00 89 B3 BC 00 00 00 89 B3 C0 00 00 00 89 B3 C4 00 00 00 48 89 B3 C8 00 00 00 8D 4E 07 48 89 8B D0 00 00 00 8D 46 08 48 F7 E1 48 0F 40 C7 48 8B C8 E8 ?? ?? ?? ?? 48 89 83 D8 00 00 00 4C 63 83 D0 00 00 00 49 C1 E0 03 33 D2 48 8B C8 E8 ?? ?? ?? ?? 90 48 89 B3 E0 00 00 00 8D 4E 20 E8 ?? ?? ?? ?? 48 89 83 E8 00 00 00 48 8B 4B 38 E8 ?? ?? ?? ?? 8B F8 89 43 20 48 8B 4B 38 48 8B 01 FF 50 08 44 8A 05 ?? ?? ?? ?? B2 04 44 3A C2 72 1C 44 8B 05 ?? ?? ?? ?? 41 F6 C0 02 74 0F 44 8B CF 44 8B C0 8D 4E 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1236_20_0 {
	meta:
		name = "?dtor$1@?0???0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z@4HA"
		size = 19
		refs = "000f ??1?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 D0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_21_0 {
	meta:
		name = "?dtor$2@?0???0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z@4HA"
		size = 19
		refs = "000f ??1CancellationBeaconStack@ContextBase@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 E0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_25_0 {
	meta:
		name = "??0_Cancellation_beacon@details@Concurrency@@QEAA@XZ"
		size = 62
		refs = "0008 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0017 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001c ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0026 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 002e ?PushCancellationBeacon@ContextBase@details@Concurrency@@QEAAPEAU_Beacon_reference@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1236_44_0 {
	meta:
		name = "??1_Cancellation_beacon@details@Concurrency@@QEAA@XZ"
		size = 48
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0017 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0021 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? FF 88 E0 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1236_52_0 {
	meta:
		name = "??9location@Concurrency@@QEBA_NAEBV01@@Z"
		size = 37
	strings:
		$1 = { 8B 02 45 33 C0 33 01 A9 FF FF FF 0F 75 0E 48 8B 42 08 48 39 41 08 41 8D 40 01 74 03 41 8B C0 84 C0 0F 94 C0 C3 }
	condition:
		$1
}

rule file_1236_53_0 {
	meta:
		name = "??ACancellationBeaconStack@ContextBase@details@Concurrency@@QEAAPEAUCancellationBeacon@123@J@Z"
		size = 58
	strings:
		$1 = { 48 8B 41 08 44 8B C2 41 C1 F8 04 41 83 F8 04 7D 09 4D 63 C0 4A 8B 04 C0 EB 13 48 8B 40 18 41 83 E8 03 74 09 48 8B 40 08 41 FF C8 75 F7 48 8B 00 8B CA 83 E1 0F 48 8D 04 C8 C3 }
	condition:
		$1
}

rule file_1236_69_0 {
	meta:
		name = "?AcquirePushBeacon@CancellationBeaconStack@ContextBase@details@Concurrency@@QEAAPEAUCancellationBeacon@234@H@Z"
		size = 111
		refs = "0017 ?Grow@CancellationBeaconStack@ContextBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 41 04 8B FA 48 8B D9 39 01 7C 05 E8 ?? ?? ?? ?? 44 8B 03 48 8B 43 08 41 C1 F8 04 41 83 F8 04 7D 09 49 63 C8 48 8B 04 C8 EB 13 48 8B 40 18 41 83 E8 03 74 09 48 8B 40 08 41 FF C8 75 F7 8B 0B 48 8B 00 83 E1 0F 48 8D 04 C8 C7 00 00 00 00 00 89 78 04 FF 03 F0 83 0C 24 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_72_0 {
	meta:
		name = "?Add@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAAHPEAVWorkQueue@23@@Z"
		size = 369
		refs = "00c4 ??_U@YAPEAX_K@Z 00d9 memset 00e3 ??2@YAPEAX_K@Z 0129 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0138 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 55 41 56 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B FA 48 8B F9 49 83 CB FF 44 8D 6E 01 44 39 5B 10 7C 53 4C 8B 0B 33 D2 39 57 50 7E 49 4D 8B C1 49 83 38 00 75 1B 8D 04 32 48 63 CA 41 89 87 A4 00 00 00 44 8B 57 70 33 C0 F0 4D 0F B1 3C C9 74 0E 41 03 D5 49 83 C0 08 3B 57 50 7D 19 EB D1 03 F2 41 8A ED 41 3B F2 7C 05 F0 44 01 6F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B3 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 75 33 C0 F0 4C 0F B1 6B 08 75 6B 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B F0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 30 EB 02 33 D2 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 48 89 14 C8 44 01 6F 6C 48 87 53 08 4C 39 6B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 6B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 D7 FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_1236_73_0 {
	meta:
		name = "?AddStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@_N@Z"
		size = 78
		refs = "0027 ?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B DA 48 8B F1 48 81 C2 A0 00 00 00 48 81 C1 90 00 00 00 41 8A F8 E8 ?? ?? ?? ?? C6 83 89 00 00 00 01 40 84 FF 74 07 F0 FF 8E B0 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_77_0 {
	meta:
		name = "?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z"
		size = 110
		refs = "0042 ?FlagCancellationBeacons@ContextBase@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B D9 F0 FF 81 BC 00 00 00 8B 81 B4 00 00 00 83 CE FF 3B C6 74 04 3B D0 7F 1A F0 0F B1 B9 B4 00 00 00 75 EE 8B 81 C0 00 00 00 85 C0 0F 45 D6 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 3B C6 74 04 3B F8 7C 0A F0 0F B1 BB B8 00 00 00 75 EE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_78_0 {
	meta:
		name = "?CancelCollectionComplete@ContextBase@details@Concurrency@@QEAA_NH@Z"
		size = 57
		refs = "001b ?RecomputeMaximumCancellationDepth@ContextBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 83 CF FF 8B C2 F0 0F B1 B9 B4 00 00 00 E8 ?? ?? ?? ?? 8B C7 F0 0F C1 83 BC 00 00 00 48 8B 5C 24 30 03 C7 0F 94 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_80_0 {
	meta:
		name = "?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z"
		size = 252
		refs = "0035 ?_AcquireRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00a6 ?IsCanceledAtDepth@ContextBase@details@Concurrency@@AEAA_NPEAV_TaskCollectionBase@23@H@Z 00c2 ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 00cc ?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z 00f8 ?_ReleaseRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 8B EA 48 8D B1 90 00 00 00 48 89 70 20 48 8D 46 08 48 89 44 24 60 48 8B C8 E8 ?? ?? ?? ?? 90 48 8B 1E 48 85 DB E9 8E 00 00 00 48 8D BB 60 FF FF FF 8B 87 C0 00 00 00 85 C0 75 7A 48 8B 57 58 48 3B D5 74 4F 48 85 ED 75 14 44 8B 42 08 41 C1 E0 04 41 C1 F8 04 41 83 F8 FF 75 21 EB 58 8B 45 08 C1 E0 04 C1 F8 04 83 F8 FF 74 4A 44 8B 42 08 41 C1 E0 04 41 C1 F8 04 44 3B C0 7E 39 48 8B 44 24 50 83 78 70 FF 74 0C 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 22 B8 01 00 00 00 87 87 C0 00 00 00 BA 19 FC FF FF 48 8B CF E8 ?? ?? ?? ?? 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 3B 1E 74 06 48 8B 5B 08 EB 02 33 DB 48 85 DB 0F 85 5F FF FF FF 48 8B 4C 24 60 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_85_0 {
	meta:
		name = "?Cleanup@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 82
		refs = "000e ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ 0021 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0043 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 38 48 8B 01 8B 7B 20 FF 50 08 8A 0D ?? ?? ?? ?? B2 04 3A CA 72 1C 44 8B 05 ?? ?? ?? ?? B9 02 00 00 00 44 84 C1 74 0B 44 8B CF 44 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_86_0 {
	meta:
		name = "?ClearAliasTable@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 198
		refs = "0053 ?_ReleaseAlias@_TaskCollection@details@Concurrency@@AEAAXXZ 00ad ?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 4C 8D B1 D0 00 00 00 33 C0 33 FF 41 39 06 7E 1F 49 8B 5E 08 4D 63 06 33 D2 48 8B CB 48 39 39 75 7B 48 FF C2 FF C0 48 83 C1 08 49 3B D0 7C ED 33 DB 48 85 DB 74 49 48 63 F7 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 1B 48 85 DB 75 EF FF C7 48 FF C6 8B C7 48 8B DE 41 3B 3E 7D 1F 49 8B 56 08 4D 63 06 48 8D 0C F2 48 83 39 00 75 3C 48 FF C3 FF C0 48 83 C1 08 49 3B D8 7C EC 33 DB 48 85 DB 75 BA 49 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E E9 ?? ?? ?? ?? 8B F8 48 98 48 8B 1C C3 EB 8B 48 8B F3 48 8B 1C DA 8B F8 EB C9 }
	condition:
		$1
}

rule file_1236_91_0 {
	meta:
		name = "?CreateStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 174
		refs = "002a __imp_InterlockedPopEntrySList 0049 ?GetDetachedWorkQueue@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ 005c ??2@YAPEAX_K@Z 006e ??0WorkQueue@details@Concurrency@@QEAA@XZ 007f ?Reinitialize@WorkQueue@details@Concurrency@@AEAAXXZ 008f ?Add@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAAHPEAVWorkQueue@23@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B D9 48 8B 49 30 BE A0 00 00 00 48 03 CE FF 15 ?? ?? ?? ?? 33 FF 48 85 C0 8B CF 74 04 48 8D 48 D0 48 89 4B 40 48 85 C9 75 3A 48 8B 4B 30 E8 ?? ?? ?? ?? 48 89 43 40 48 85 C0 75 3D B9 F0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 40 48 8B D7 EB 09 E8 ?? ?? ?? ?? 48 8B 53 40 48 8B 4B 30 48 03 CE E8 ?? ?? ?? ?? 48 8B 43 40 48 89 98 A8 00 00 00 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1236_93_0 {
	meta:
		name = "?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 164
		refs = "001c ?GetDetachedWorkQueue@ScheduleGroupSegmentBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ 0038 __imp_InterlockedPopEntrySList 0056 ??2@YAPEAX_K@Z 0068 ??0WorkQueue@details@Concurrency@@QEAA@XZ 0076 ?Reinitialize@WorkQueue@details@Concurrency@@AEAAXXZ 008a ?Add@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAAHPEAVWorkQueue@23@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8B 49 30 E8 ?? ?? ?? ?? 48 89 43 40 33 FF 48 85 C0 75 63 48 8B 4B 30 48 81 C1 A0 00 00 00 FF 15 ?? ?? ?? ?? 48 85 C0 8B CF 74 04 48 8D 48 D0 48 89 4B 40 48 85 C9 75 25 B9 F0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 40 EB 05 E8 ?? ?? ?? ?? 48 8B 4B 30 48 81 C1 A0 00 00 00 48 8B 53 40 E8 ?? ?? ?? ?? 48 8B 43 40 48 89 98 A8 00 00 00 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1236_103_0 {
	meta:
		name = "?DetachStealers@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 483
		refs = "0031 ?_UnderlyingYield@details@Concurrency@@YAXXZ 003f ?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ 005a ?ClearAliasTable@ContextBase@details@Concurrency@@QEAAXXZ 0070 ?_FlushWriteOwners@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0092 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00e4 ?_GetStealTrackingList@_TaskCollection@details@Concurrency@@AEBAPEAXXZ 00f5 ?_TryAcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAA_NXZ 0105 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0117 ?__Sleep@platform@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 49 89 4B 08 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 8B D9 8B 81 B0 00 00 00 85 C0 74 24 83 64 24 40 00 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 85 C0 75 EC 83 BB D4 00 00 00 00 7E 08 48 8B CB E8 ?? ?? ?? ?? 48 83 BB 90 00 00 00 00 75 11 48 8D 8B 98 00 00 00 E8 ?? ?? ?? ?? E9 50 01 00 00 40 32 FF 40 84 FF 0F 85 44 01 00 00 C6 44 24 20 01 48 8D 8B 98 00 00 00 E8 ?? ?? ?? ?? 90 40 B6 01 40 88 74 24 20 48 8B BB 90 00 00 00 48 85 FF 74 04 48 8B 7F 08 48 85 FF 0F 84 F3 00 00 00 40 84 F6 0F 84 E7 00 00 00 48 3B BB 90 00 00 00 74 06 4C 8B 67 08 EB 03 45 33 E4 4C 8D BF 60 FF FF FF 4C 89 7C 24 30 49 8B 4F 58 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 28 48 8D 48 08 E8 ?? ?? ?? ?? 84 C0 75 23 48 8D 8B 98 00 00 00 E8 ?? ?? ?? ?? 40 32 F6 40 88 74 24 20 B9 01 00 00 00 E8 ?? ?? ?? ?? E9 88 00 00 00 49 8D 97 A0 00 00 00 48 8B 0A 48 8B 42 08 48 89 08 48 8B 4A 08 48 8B 02 48 89 48 08 48 8B 83 90 00 00 00 48 3B D0 75 14 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 83 90 00 00 00 41 C6 87 89 00 00 00 00 49 8B 06 48 85 C0 75 09 48 89 52 08 48 89 12 EB 1F 48 8B 40 08 48 89 42 08 49 8B 06 48 89 02 49 8B 06 48 8B 48 08 48 89 11 49 8B 06 48 89 50 08 49 89 16 49 8D 4E 08 E8 ?? ?? ?? ?? 49 8B FC E9 07 FF FF FF 48 85 FF 40 0F 94 C7 40 84 F6 0F 84 C4 FE FF FF 48 8D 8B 98 00 00 00 E8 ?? ?? ?? ?? E9 B3 FE FF FF 4C 8D 5C 24 50 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1236_104_0 {
	meta:
		name = "?fin$0@?0??DetachStealers@ContextBase@details@Concurrency@@QEAAXXZ@4HA"
		size = 30
		refs = "0012 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 28 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_1236_105_0 {
	meta:
		name = "?fin$1@?0??DetachStealers@ContextBase@details@Concurrency@@QEAAXXZ@4HA"
		size = 42
		refs = "001e ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 80 7D 20 00 74 14 48 8B 8D 80 00 00 00 48 81 C1 98 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_1236_118_0 {
	meta:
		name = "?First@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@PEAH@Z"
		size = 60
	strings:
		$1 = { 33 C0 4C 8B C9 89 02 44 8B C0 39 01 7E 2D 48 8B 49 08 4D 63 19 44 8B D0 48 39 01 75 10 49 FF C2 41 FF C0 48 83 C1 08 4D 3B D3 7C EC C3 44 89 02 49 8B 41 08 49 63 C8 48 8B 04 C8 C3 }
	condition:
		$1
}

rule file_1236_120_0 {
	meta:
		name = "?FlagCancellationBeacons@ContextBase@details@Concurrency@@QEAAXH@Z"
		size = 121
	strings:
		$1 = { 48 89 5C 24 08 44 8B 99 E0 00 00 00 45 33 C0 8B DA 4C 8B C9 45 85 DB 7E 5A 45 8B D0 49 8B 81 E8 00 00 00 41 8B C8 C1 F9 04 83 F9 04 7D 09 48 63 C9 48 8B 14 C8 EB 11 48 8B 50 18 83 E9 03 74 08 48 8B 52 08 FF C9 75 F8 48 8B 0A 49 8B C2 83 E0 0F 39 5C C1 04 7C 11 41 83 79 70 FF 74 06 41 39 59 70 7F 04 F0 FF 04 C1 41 FF C0 49 FF C2 45 3B C3 7C A9 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_1236_129_0 {
	meta:
		name = "?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ"
		size = 19
	strings:
		$1 = { 48 8B 51 30 33 C0 48 85 D2 74 07 48 8B 82 A8 01 00 00 C3 }
	condition:
		$1
}

rule file_1236_130_0 {
	meta:
		name = "?GetScheduleGroupId@ContextBase@details@Concurrency@@UEBAIXZ"
		size = 27
	strings:
		$1 = { 48 8B 49 30 48 85 C9 74 0E 48 8B 89 A8 01 00 00 48 8B 01 48 FF 60 08 83 C8 FF C3 }
	condition:
		$1
}

rule file_1236_135_0 {
	meta:
		name = "?Grow@CancellationBeaconStack@ContextBase@details@Concurrency@@AEAAXXZ"
		size = 224
		refs = "0042 ??2@YAPEAX_K@Z 005e ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B E9 33 F6 8B 79 04 C1 FF 04 83 FF 04 7D 4A 85 FF 7E 0C 48 63 D7 48 8B 41 08 48 8B 74 D0 F8 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 40 48 85 C0 74 14 48 83 60 08 00 B9 80 00 00 00 E8 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 63 CF 48 8B 45 08 48 89 1C C8 EB 48 48 8B 41 08 48 8B 70 18 48 8B C6 83 EF 03 74 0B FF CF 48 8B F0 48 8B 40 08 75 F5 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 40 48 85 C0 74 14 48 83 60 08 00 B9 80 00 00 00 E8 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 85 F6 74 04 48 89 5E 08 83 45 04 10 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1236_149_0 {
	meta:
		name = "?IsCanceledAtDepth@ContextBase@details@Concurrency@@AEAA_NPEAV_TaskCollectionBase@23@H@Z"
		size = 307
		refs = "00b6 ?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z 00d7 ?_IsMarkedForAbnormalExit@_TaskCollection@details@Concurrency@@QEBA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 81 BC 00 00 00 33 FF 48 8B DA 48 8B F1 85 C0 0F 8E FC 00 00 00 8B 81 B4 00 00 00 41 3B C0 0F 8F ED 00 00 00 83 79 70 FF 0F 84 DF 00 00 00 8B 81 B4 00 00 00 3B 41 70 0F 8D D0 00 00 00 48 8B 41 60 48 3B D0 75 29 8B 40 08 C1 E0 04 C1 F8 04 44 3B C0 75 1B 48 8B 41 68 48 83 F8 02 0F 84 AF 00 00 00 8B 48 10 85 C9 0F 95 C0 E9 A4 00 00 00 48 3B 59 58 74 20 8B 43 08 C1 E0 04 C1 F8 04 41 3B C0 74 12 83 F8 FF 74 05 48 8B 1B EB 03 48 8B DF 48 85 DB 75 DA 48 85 DB 74 77 48 3B 5E 58 74 48 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 75 39 8B 43 08 C1 F8 1C 24 01 74 06 F6 43 28 03 75 4E 84 C0 75 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 3E 8B 43 08 25 FF FF FF 0F 3D FF FF FF 0F 74 05 48 8B 1B EB B2 48 8B DF EB AD 48 85 DB 74 24 48 3B 5E 58 74 1E 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 83 F8 02 74 0E 8B 40 10 85 C0 E9 5A FF FF FF B0 01 EB 02 32 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_152_0 {
	meta:
		name = "?IsCancellationVisible@ContextBase@details@Concurrency@@QEBA_NPEAV_TaskCollectionBase@23@_N@Z"
		size = 87
		refs = "0022 ?TokenHidesCancellation@ContextBase@details@Concurrency@@QEBA_NPEAV_TaskCollectionBase@23@_N@Z 0038 ?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 81 BC 00 00 00 33 DB 48 8B F2 48 8B F9 85 C0 7E 09 E8 ?? ?? ?? ?? 84 C0 74 16 8B 87 C4 00 00 00 85 C0 7E 11 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 05 BB 01 00 00 00 48 8B 74 24 38 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_161_0 {
	meta:
		name = "?LockedSetOwningContext@WorkQueue@details@Concurrency@@QEAAXPEAVContextBase@23@@Z"
		size = 66
		refs = "0020 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 003e ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 99 E0 00 00 00 48 8B F9 48 8B F2 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 89 B7 A8 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_162_0 {
	meta:
		name = "?Next@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@PEAHPEAU4123@@Z"
		size = 86
	strings:
		$1 = { 48 89 5C 24 08 49 8B 00 45 33 C0 4C 8B D1 48 85 C0 75 3D FF 02 48 63 0A 41 3B 0A 7D 30 49 8B 42 08 49 63 1A 4C 8B C9 4C 8D 1C C8 4D 39 03 75 10 49 FF C1 FF C1 49 83 C3 08 4C 3B CB 7C ED EB 0D 89 0A 49 8B 42 08 48 63 C9 4C 8B 04 C8 49 8B C0 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_1236_164_0 {
	meta:
		name = "?NextList@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@AEAAPEAUListNode@123@PEAH@Z"
		size = 64
	strings:
		$1 = { 4C 63 02 4C 8B D1 44 3B 01 7D 23 48 8B 41 08 4C 63 19 4D 8B C8 4A 8D 0C C0 48 83 39 00 75 12 49 FF C1 41 FF C0 48 83 C1 08 4D 3B CB 7C EB 33 C0 C3 44 89 02 49 8B 42 08 49 63 C8 48 8B 04 C8 C3 }
	condition:
		$1
}

rule file_1236_166_0 {
	meta:
		name = "?Pop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ"
		size = 194
		refs = "0094 ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 0099 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z 00be ?SyncPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8B D1 44 8B 42 04 41 FF C8 41 8B C0 87 42 04 8B 02 41 3B C0 0F 8F 90 00 00 00 48 63 4A 08 49 63 C0 48 23 C8 48 8B 42 20 4C 8B 14 C8 4D 85 D2 74 D1 41 F6 C2 01 74 6B 4C 63 4A 08 49 63 C0 49 83 E2 FE 4C 23 C8 49 C1 E1 04 4C 03 4A 28 49 8B 01 41 8B 51 08 48 8B 48 18 4C 8B 04 D1 49 83 F8 01 74 19 49 8B 01 41 8B 51 08 48 8B 48 18 B8 01 00 00 00 48 87 04 D1 49 3B C0 74 27 4D 8B 01 F0 41 FF 48 24 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 49 8B C2 48 83 C4 28 C3 41 8D 40 01 48 8B CA 89 42 04 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_168_0 {
	meta:
		name = "?PopContextFromTls@ContextBase@details@Concurrency@@AEAAPEAV123@XZ"
		size = 50
		refs = "0013 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001b ?__TlsSetValue@platform@details@Concurrency@@YAXKPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 48 48 8B F9 8B 0D ?? ?? ?? ?? 48 8B D3 E8 ?? ?? ?? ?? 48 83 67 48 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_169_0 {
	meta:
		name = "?PopGoverningTokenState@ContextBase@details@Concurrency@@QEAAXPEAV_CancellationTokenState@23@@Z"
		size = 154
		refs = "003c ?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 60 BE FF FF FF 0F 48 8B F9 8B 43 08 23 C6 3B C6 74 05 48 8B 1B EB 02 33 DB 48 85 DB 74 51 48 3B 5F 58 74 24 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 75 15 8B 43 08 23 C6 3B C6 74 05 48 8B 1B EB 02 33 DB 48 85 DB 75 D6 48 85 DB 74 22 48 3B 5F 58 74 1C 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 89 47 68 8B 43 08 C1 E0 04 C1 F8 04 89 47 70 EB 09 48 83 67 68 00 83 4F 70 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_172_0 {
	meta:
		name = "?PullFromFreePool@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAAPEAVWorkQueue@23@XZ"
		size = 24
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 85 C0 74 04 48 83 C0 D0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1236_174_0 {
	meta:
		name = "?Push@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
		size = 117
		refs = "006c ?GrowAndPush@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 63 51 04 4C 8B C9 48 63 49 08 41 8B 01 03 C1 44 3B D0 7D 3A 4D 8B 18 4D 85 DB 74 19 49 23 CA 48 C1 E1 04 49 03 49 18 48 83 CA 01 4C 89 19 41 8B 40 08 89 41 08 49 63 49 08 49 8B 41 10 49 23 CA 48 89 14 C8 41 8D 42 01 41 89 41 04 EB 1D 49 8B 00 49 8B C9 48 89 44 24 20 41 8B 40 08 4C 8D 44 24 20 89 44 24 28 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1236_175_0 {
	meta:
		name = "?Push@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@@Z"
		size = 74
		refs = "0041 ?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 63 49 04 4C 63 41 08 8B 01 41 03 C0 44 3B C8 7D 1A 48 8B 41 20 4D 23 C1 4A 89 14 C0 41 8D 41 01 89 41 04 8B 41 0C 41 03 C1 EB 15 48 83 64 24 20 00 83 64 24 28 00 4C 8D 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1236_176_0 {
	meta:
		name = "?Push@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
		size = 124
		refs = "0073 ?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 63 51 04 4C 8B C9 48 63 49 08 41 8B 01 03 C1 44 3B D0 7D 41 4D 8B 18 4D 85 DB 74 19 49 23 CA 48 C1 E1 04 49 03 49 28 48 83 CA 01 4C 89 19 41 8B 40 08 89 41 08 49 63 49 08 49 8B 41 20 49 23 CA 48 89 14 C8 41 8D 42 01 41 89 41 04 41 8B 41 0C 41 03 C2 EB 1D 49 8B 00 49 8B C9 48 89 44 24 20 41 8B 40 08 4C 8D 44 24 20 89 44 24 28 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1236_177_0 {
	meta:
		name = "?PushCancellationBeacon@ContextBase@details@Concurrency@@QEAAPEAU_Beacon_reference@23@XZ"
		size = 85
		refs = "0028 ?AcquirePushBeacon@CancellationBeaconStack@ContextBase@details@Concurrency@@QEAAPEAUCancellationBeacon@234@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 60 48 8B D9 48 85 C0 74 0B 8B 50 08 C1 E2 04 C1 FA 04 EB 03 83 CA FF 48 81 C1 E0 00 00 00 E8 ?? ?? ?? ?? 8B 8B C0 00 00 00 85 C9 75 16 8B 8B B4 00 00 00 83 F9 FF 74 0E 8B 8B B4 00 00 00 3B 48 04 7F 03 F0 FF 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1236_178_0 {
	meta:
		name = "?PushContextToTls@ContextBase@details@Concurrency@@AEAAXPEAV123@@Z"
		size = 18
		refs = "0009 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 000e ?__TlsSetValue@platform@details@Concurrency@@YAXKPEAX@Z"
	strings:
		$1 = { 48 89 51 48 48 8B D1 8B 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_180_0 {
	meta:
		name = "?PushStructured@ContextBase@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 192
		refs = "0018 ?CreateStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ 005e ?GrowAndPush@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 83 79 40 00 48 8B FA 48 8B D9 75 05 E8 ?? ?? ?? ?? 4C 8B 4B 40 4D 63 41 04 49 63 49 08 41 8B 01 03 C1 44 3B C0 7D 15 49 8B 41 10 49 23 C8 48 89 3C C8 41 8D 40 01 41 89 41 04 EB 1B 48 83 64 24 20 00 83 64 24 28 00 4C 8D 44 24 20 48 8B D7 49 8B C9 E8 ?? ?? ?? ?? 80 BB 88 00 00 00 00 48 8B 83 F8 00 00 00 74 05 FF 40 20 EB 06 FF 80 A0 00 00 00 48 8B 43 38 8B 88 A8 02 00 00 8B 90 A4 02 00 00 2B D1 85 D2 7E 22 48 8B 4B 38 48 8B 53 30 33 C0 0F 57 C0 89 44 24 30 4C 8D 44 24 30 F3 0F 7F 44 24 38 48 8B 01 FF 50 70 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1236_181_0 {
	meta:
		name = "?PushStructured@ContextBase@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@PEAVlocation@3@@Z"
		size = 319
		refs = "0092 ?CreateStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ 00aa ?Push@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B D9 48 8B 49 30 33 F6 45 33 F6 48 8B FA 41 BF FF FF FF 0F 48 89 4D 20 4D 85 C0 74 4E 45 8B 08 45 23 CF 74 46 8B 41 18 41 23 C7 44 3B C8 75 0A 48 8B 41 20 49 39 40 08 74 2B 48 8B 89 A8 01 00 00 48 8D 55 20 4D 8B C8 48 8B 01 48 89 54 24 20 48 8D 55 D0 4C 8B C7 FF 50 30 48 8B 4D 20 48 8B 30 44 8B 70 08 48 8B 01 FF 50 08 48 83 7B 40 00 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 40 4C 8D 45 C0 48 8B D7 48 89 75 C0 44 89 75 C8 E8 ?? ?? ?? ?? 80 BB 88 00 00 00 00 48 8B 83 F8 00 00 00 74 05 FF 40 20 EB 06 FF 80 A0 00 00 00 48 8B 43 38 8B 88 A8 02 00 00 8B 90 A4 02 00 00 2B D1 85 D2 7E 46 48 8B 55 20 8B 4D E0 4C 8D 45 E0 8B 42 18 33 C1 41 23 C7 33 C8 89 4D E0 8B 42 18 33 C1 48 8B 4B 38 41 23 C7 33 42 18 89 45 E0 48 8B 42 20 48 89 45 E8 8B 42 1C 89 45 E4 48 8B 42 28 48 89 45 F0 48 8B 01 FF 50 70 4C 8D 5C 24 70 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1236_183_0 {
	meta:
		name = "?PushStructured@WorkQueue@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
		size = 35
		refs = "001a ?Push@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B 00 48 89 44 24 20 41 8B 40 08 4C 8D 44 24 20 89 44 24 28 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1236_184_0 {
	meta:
		name = "?PushUnstructured@ContextBase@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@@Z"
		size = 214
		refs = "0018 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ 0069 ?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 83 79 40 00 48 8B FA 48 8B D9 75 05 E8 ?? ?? ?? ?? 4C 8B 4B 40 49 81 C1 B0 00 00 00 49 63 51 04 49 63 49 08 41 8B 01 03 C1 3B D0 7D 1A 49 8B 41 20 48 23 CA 48 89 3C C8 41 8B 79 0C 8D 42 01 03 FA 41 89 41 04 EB 1D 48 83 64 24 20 00 83 64 24 28 00 4C 8D 44 24 20 48 8B D7 49 8B C9 E8 ?? ?? ?? ?? 8B F8 80 BB 88 00 00 00 00 74 0C 48 8B 8B F8 00 00 00 FF 41 20 EB 0D 48 8B 83 F8 00 00 00 FF 80 A0 00 00 00 48 8B 43 38 8B 88 A8 02 00 00 8B 90 A4 02 00 00 2B D1 85 D2 7E 22 48 8B 4B 38 48 8B 53 30 33 C0 0F 57 C0 89 44 24 30 4C 8D 44 24 30 F3 0F 7F 44 24 38 48 8B 01 FF 50 70 8B C7 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1236_185_0 {
	meta:
		name = "?PushUnstructured@ContextBase@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@PEAVlocation@3@@Z"
		size = 337
		refs = "0092 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ 00b1 ?Push@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B D9 48 8B 49 30 33 F6 45 33 F6 48 8B FA 41 BF FF FF FF 0F 48 89 4D 20 4D 85 C0 74 4E 45 8B 08 45 23 CF 74 46 8B 41 18 41 23 C7 44 3B C8 75 0A 48 8B 41 20 49 39 40 08 74 2B 48 8B 89 A8 01 00 00 48 8D 55 20 4D 8B C8 48 8B 01 48 89 54 24 20 48 8D 55 D0 4C 8B C7 FF 50 30 48 8B 4D 20 48 8B 30 44 8B 70 08 48 8B 01 FF 50 08 48 83 7B 40 00 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 40 4C 8D 45 C0 48 8B D7 48 81 C1 B0 00 00 00 48 89 75 C0 44 89 75 C8 E8 ?? ?? ?? ?? 80 BB 88 00 00 00 00 8B F8 74 0C 48 8B 8B F8 00 00 00 FF 41 20 EB 0D 48 8B 83 F8 00 00 00 FF 80 A0 00 00 00 48 8B 43 38 8B 88 A8 02 00 00 8B 90 A4 02 00 00 2B D1 85 D2 7E 46 48 8B 55 20 8B 4D E0 4C 8D 45 E0 8B 42 18 33 C1 41 23 C7 33 C8 89 4D E0 8B 42 18 33 C1 48 8B 4B 38 41 23 C7 33 42 18 89 45 E0 48 8B 42 20 48 89 45 E8 8B 42 1C 89 45 E4 48 8B 42 28 48 89 45 F0 48 8B 01 FF 50 70 4C 8D 5C 24 70 8B C7 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1236_186_0 {
	meta:
		name = "?PushUnstructured@WorkQueue@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@@Z"
		size = 86
		refs = "004d ?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 4C 8D 89 B0 00 00 00 4D 63 41 04 49 63 49 08 41 8B 01 03 C1 44 3B C0 7D 1C 49 8B 41 20 49 23 C8 48 89 14 C8 41 8D 40 01 41 89 41 04 41 8B 41 0C 41 03 C0 EB 18 48 83 64 24 20 00 83 64 24 28 00 4C 8D 44 24 20 49 8B C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1236_187_0 {
	meta:
		name = "?PushUnstructured@WorkQueue@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
		size = 42
		refs = "0021 ?Push@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B 00 48 81 C1 B0 00 00 00 48 89 44 24 20 41 8B 40 08 4C 8D 44 24 20 89 44 24 28 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1236_189_0 {
	meta:
		name = "?RecomputeMaximumCancellationDepth@ContextBase@details@Concurrency@@AEAAXXZ"
		size = 163
		refs = "0054 ?_IsMarkedForAbnormalExit@_TaskCollection@details@Concurrency@@QEBA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 C8 FF 48 8B F1 87 81 B8 00 00 00 8B 81 C0 00 00 00 48 8B 79 60 F7 D8 1B DB 81 E3 1A FC FF FF FF CB 48 85 FF 74 47 48 3B 7E 58 74 41 8B 47 08 C1 F8 1C 24 01 74 06 F6 47 28 03 75 28 84 C0 75 0C 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 18 8B 47 08 25 FF FF FF 0F 3D FF FF FF 0F 74 05 48 8B 3F EB C1 33 FF EB BD 8B 5F 08 C1 E3 04 C1 FB 04 83 C8 FF 83 F8 FF 74 04 3B D8 7C 0A F0 0F B1 9E B8 00 00 00 75 ED 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_193_0 {
	meta:
		name = "?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ"
		size = 191
		refs = "0041 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0051 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 005d ?DetachActiveWorkQueue@ScheduleGroupSegmentBase@details@Concurrency@@IEAAXPEAVWorkQueue@23@@Z 00a4 ?Remove@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVWorkQueue@23@H_N@Z 00bb ?DetachStealers@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 40 48 8B F1 48 85 FF 0F 84 89 00 00 00 48 83 61 40 00 44 8B 87 B4 00 00 00 8B 87 B0 00 00 00 48 8D 9F E0 00 00 00 44 3B C0 7E 26 48 8B CB E8 ?? ?? ?? ?? 48 83 A7 A8 00 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4E 30 48 8B D7 E8 ?? ?? ?? ?? EB 45 8B 03 85 C0 74 1A 48 8B CB E8 ?? ?? ?? ?? 48 83 A7 A8 00 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 08 48 83 A7 A8 00 00 00 00 48 8B 4E 30 44 8B 87 A4 00 00 00 41 B1 01 48 81 C1 A0 00 00 00 48 8B D7 E8 ?? ?? ?? ?? 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_200_0 {
	meta:
		name = "?RemoveStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@@Z"
		size = 116
		refs = "0024 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0070 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 99 98 00 00 00 48 8B F1 48 8D BA A0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 57 08 48 8B 07 48 89 02 48 8B 47 08 48 8B 17 48 89 42 08 48 8B 86 90 00 00 00 48 3B F8 75 14 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 86 90 00 00 00 48 8B CB 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_201_0 {
	meta:
		name = "?ScheduleGroupRefCount@ContextBase@details@Concurrency@@QEBAIXZ"
		size = 24
	strings:
		$1 = { 48 8B 41 30 48 85 C0 74 0B 48 8B 80 A8 01 00 00 8B 40 28 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_1236_210_0 {
	meta:
		name = "?StaticGetCriticalRegionType@ContextBase@details@Concurrency@@SA?AW4CriticalRegionType@3@XZ"
		size = 36
		refs = "0005 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 11 48 8B 10 48 8B C8 48 83 C4 28 48 FF A2 80 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1236_211_0 {
	meta:
		name = "?SweepAliasTable@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 261
		refs = "0090 ?_IsStaleAlias@_TaskCollection@details@Concurrency@@AEBA_NXZ 00a0 ?_OriginalCollection@_TaskCollection@details@Concurrency@@QEBAPEAV123@XZ 00b5 ?FindAndDelete@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA_NAEBQEAV_TaskCollection@23@PEAPEAV423@@Z 00c2 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 00ca ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 4C 8D B1 D0 00 00 00 33 C0 33 F6 41 39 06 7E 23 49 8B 7E 08 4D 63 06 33 D2 48 8B CF 48 39 31 0F 85 B6 00 00 00 48 FF C2 FF C0 48 83 C1 08 49 3B D0 7C E9 33 FF 48 85 FF 0F 84 8A 00 00 00 48 63 EE 48 8B 1F 48 85 DB 75 30 FF C6 48 FF C5 8B C6 48 8B DD 41 3B 36 7D 1F 49 8B 56 08 4D 63 06 48 8D 0C EA 48 83 39 00 75 7F 48 FF C3 FF C0 48 83 C1 08 49 3B D8 7C EC 33 DB 48 8B 4F 10 E8 ?? ?? ?? ?? 84 C0 74 36 48 8B 7F 10 48 8B CF E8 ?? ?? ?? ?? 48 8D 54 24 40 45 33 C0 49 8B CE 48 89 44 24 40 E8 ?? ?? ?? ?? 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B FB 48 85 DB 0F 85 79 FF FF FF 48 8B 5C 24 48 48 8B 6C 24 50 48 83 C4 20 41 5E 5F 5E C3 8B F0 48 98 48 8B 3C C7 E9 4D FF FF FF 48 8B EB 48 8B 1C DA 8B F0 EB 86 }
	condition:
		$1
}

rule file_1236_213_0 {
	meta:
		name = "?SyncPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@XZ"
		size = 258
		refs = "0021 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 00dc ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 00e1 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z 00f0 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 8B D9 48 8B 49 10 48 89 4C 24 50 E8 ?? ?? ?? ?? 90 45 33 C9 4C 89 4C 24 28 44 89 4C 24 30 45 8B C1 8B 53 04 41 8D 79 01 2B D7 89 53 04 8B 03 3B C2 7F 2B 48 63 4B 08 48 63 C2 48 23 C8 48 8B 43 20 4C 8B 04 C8 48 C1 E1 04 48 03 4B 28 48 8B 01 48 89 44 24 28 8B 41 08 89 44 24 30 EB 06 8D 42 01 89 43 04 8B 03 3B C2 7C 14 8B 03 01 43 0C 44 89 0B 44 89 4B 04 44 89 4B 1C 44 88 4B 18 44 84 C7 74 4F 49 83 E0 FE 8B 54 24 30 48 8B 4C 24 28 48 8B 41 18 4C 8B 0C D0 4C 3B CF 74 10 48 8B 41 18 48 8B CF 48 87 0C D0 49 3B C9 74 25 48 8B 4C 24 28 F0 FF 49 24 75 1D 4C 8B 44 24 28 49 8D 48 30 4D 8B 08 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 49 8B F8 48 8B 4C 24 50 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1236_215_0 {
	meta:
		name = "?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@VSlot@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@23@@Z"
		size = 449
		refs = "0048 ??_U@YAPEAX_K@Z 009c ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 018c ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0196 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 8B 41 08 48 8B F9 48 8B EA FF C0 48 C7 C6 FF FF FF FF 4D 8B F8 8D 0C 00 8B 47 04 8B 07 48 63 D9 89 4C 24 60 B8 08 00 00 00 48 F7 E3 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 47 20 48 89 44 24 68 8D 46 11 48 F7 E3 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 1C 8D 53 FF 48 8B C8 85 D2 78 14 48 83 21 00 83 61 08 00 FF CA 48 8D 49 10 79 F0 EB 02 33 F6 48 8B 5F 10 4C 8B 6F 28 48 8B CB E8 ?? ?? ?? ?? 44 8B 07 44 8B 4F 04 8B 4F 0C 8B 47 04 45 2B C8 44 23 47 08 45 33 DB 4D 63 F1 41 2B C8 41 2B C9 03 C1 89 47 0C 43 8D 04 08 44 89 07 89 47 04 45 85 C9 7E 44 4C 8B D6 48 8B 47 20 48 63 4F 08 49 63 D0 48 23 CA 41 FF C0 48 8B 0C C8 4B 89 0C DC 48 63 4F 08 49 FF C3 48 23 CA 48 C1 E1 04 48 03 4F 28 48 8B 01 49 89 02 8B 41 08 4D 8D 52 10 41 89 42 F8 4D 3B DE 7C BF 8B 07 4C 89 67 20 48 89 77 28 01 47 0C 80 7F 18 00 74 05 8B 07 29 47 1C 8B 44 24 60 FF C8 89 47 08 C7 07 00 00 00 00 44 89 4F 04 4C 63 47 04 49 8B 0F 48 85 C9 74 20 48 63 47 08 49 8B D0 48 23 D0 48 C1 E2 04 48 03 57 28 48 83 CD 01 48 89 0A 41 8B 47 08 89 42 08 48 63 47 08 49 8B D0 48 8B CB 48 23 D0 48 8B 47 20 48 89 2C D0 41 8D 40 01 89 47 04 E8 ?? ?? ?? ?? 48 8B 4C 24 68 E8 ?? ?? ?? ?? 49 8B CD E8 ?? ?? ?? ?? 8B 4F 0C 8B 47 04 48 8B 5C 24 70 FF C9 03 C1 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1236_216_0 {
	meta:
		name = "?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z"
		size = 154
		refs = "0018 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0036 memset 003d ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 004b ContextEventGuid 007f ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 68 08 48 89 70 10 48 89 78 18 41 56 48 83 EC 60 48 83 3D ?? ?? ?? ?? 00 41 8B F9 41 8B F0 40 8A EA 44 8B F1 74 58 33 D2 48 8D 48 BA 44 8D 42 3E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 05 ?? ?? ?? ?? B8 40 00 00 00 4C 8D 44 24 20 C7 44 24 4C 00 00 02 00 F3 0F 7F 44 24 38 44 88 74 24 24 40 88 6C 24 25 89 74 24 54 66 89 44 24 20 89 7C 24 58 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 6B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_1236_217_0 {
	meta:
		name = "?TokenHidesCancellation@ContextBase@details@Concurrency@@QEBA_NPEAV_TaskCollectionBase@23@_N@Z"
		size = 99
		refs = "001b ?_GetTokenState@_TaskCollectionBase@details@Concurrency@@QEAAPEAV_CancellationTokenState@23@PEAPEAV_CancellationTokenRegistration@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B C2 48 8B F9 45 84 C0 74 1B 33 D2 48 8B C8 E8 ?? ?? ?? ?? 48 83 F8 02 74 07 8B 40 10 85 C0 75 04 B0 01 EB 28 8B 4F 70 8B 87 B8 00 00 00 3B C1 7D 19 83 F9 FF 74 14 48 8B 47 68 48 83 F8 02 74 E0 8B 48 10 85 C9 0F 94 C0 EB 02 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1236_220_0 {
	meta:
		name = "?TryPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z"
		size = 189
		refs = "0018 ?Pop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ 00a1 ?StaticDelete@Segment@?$Mailbox@V_UnrealizedChore@details@Concurrency@@@details@Concurrency@@SAXPEAU1234@@Z 00a6 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 83 EC 28 8B 41 04 2B 51 0C 4C 8B C1 FF C8 3B D0 75 09 48 83 C4 28 E9 ?? ?? ?? ?? 8B 41 04 3B D0 0F 8D 8F 00 00 00 8B 01 3B D0 0F 8C 85 00 00 00 48 63 49 08 49 8B 40 20 45 33 D2 4C 63 DA 49 23 CB 4C 87 14 C8 41 F6 C2 01 74 65 4D 63 48 08 49 83 E2 FE 4D 23 CB 49 C1 E1 04 4D 03 48 28 49 8B 01 41 8B 51 08 48 8B 48 18 4C 8B 04 D1 49 83 F8 01 74 19 49 8B 01 41 8B 51 08 48 8B 48 18 B8 01 00 00 00 48 87 04 D1 49 3B C0 74 24 4D 8B 01 F0 41 FF 48 24 75 13 4D 8B 08 49 8D 48 30 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 EB 07 49 8B C2 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1236_221_0 {
	meta:
		name = "?TryPopUnstructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z"
		size = 16
		refs = "000c ?TryPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z"
	strings:
		$1 = { 48 8B 49 40 48 81 C1 B0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1236_231_0 {
	meta:
		name = "?_Confirm_cancel@_Cancellation_beacon@details@Concurrency@@QEAA_NXZ"
		size = 80
		refs = "0008 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0017 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001c ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0029 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 003c ?IsCanceledAtDepth@ContextBase@details@Concurrency@@AEAA_NPEAV_TaskCollectionBase@23@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 74 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 03 48 8B 51 60 44 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 06 48 8B 0B F0 FF 09 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1236_234_0 {
	meta:
		name = "?_GetCurrentInlineDepth@_StackGuard@details@Concurrency@@CAAEA_KXZ"
		size = 46
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0017 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0021 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 83 C0 78 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1237_0_0 {
	meta:
		name = "_getstream"
		size = 309
		refs = "0015 _lock 0022 _nstream 0032 __piob 005a _mtinitlocknum 0074 _lock_file2 008f _unlock_file2 00a7 _malloc_crt 00ce __crtInitializeCriticalSectionEx 00e3 __imp_EnterCriticalSection 011e _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 DB 8D 4B 01 E8 ?? ?? ?? ?? 90 33 FF 89 7C 24 20 3B 3D ?? ?? ?? ?? 0F 8D CA 00 00 00 48 63 F7 48 8B 05 ?? ?? ?? ?? 48 8B 0C F0 48 85 C9 74 62 F6 41 18 83 75 55 F7 41 18 00 80 00 00 75 4C 8D 47 FD 83 F8 10 77 10 8D 4F 10 E8 ?? ?? ?? ?? 85 C0 0F 84 90 00 00 00 48 8B 15 ?? ?? ?? ?? 48 8B 14 F2 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8B 0C F0 F6 41 18 83 74 0C 48 8B D1 8B CF E8 ?? ?? ?? ?? EB 05 48 8B D9 EB 5C FF C7 E9 7B FF FF FF B9 58 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 63 FF 48 8B 05 ?? ?? ?? ?? 48 89 0C F8 48 85 C9 74 35 48 83 C1 30 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8B 0C F8 48 83 C1 30 FF 15 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8B 1C F8 83 63 18 00 48 85 DB 74 1D 81 63 18 00 80 00 00 83 63 08 00 48 83 63 10 00 48 83 23 00 48 83 63 28 00 83 4B 1C FF B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1240_10_0 {
	meta:
		name = "??0LockQueueNode@details@Concurrency@@QEAA@I@Z"
		size = 344
		refs = "0036 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0047 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 004c ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0056 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0063 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 006f ?DispatchNodeTimeoutTimer@LockQueueNode@details@Concurrency@@SAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_TIMER@@@Z 007c ?RegisterAsyncTimerAndLoadLibrary@details@Concurrency@@YAPEAU_TP_TIMER@@KP6AXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU3@@Z1_N@Z 008b ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 009f ?DispatchNodeTimeoutTimerXP@LockQueueNode@details@Concurrency@@SAXPEAXE@Z 00b1 ?__CreateTimerQueueTimer@platform@details@Concurrency@@YAHPEAPEAXPEAXP6AX1E@Z1KKK@Z 00d1 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00f1 ??0exception@std@@QEAA@AEBQEBDH@Z 00f8 ??_7bad_alloc@std@@6B@ 00ff _TI2?AVbad_alloc@std@@ 010e _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 20 57 48 83 EC 70 48 C7 41 08 00 00 00 00 C7 41 10 01 00 00 00 48 8D 71 18 48 83 26 00 C7 41 20 00 00 00 00 C7 41 24 00 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 8B FA 48 8B D9 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 03 83 FF FF 74 57 E8 ?? ?? ?? ?? 83 F8 03 7C 1E 48 8D 15 ?? ?? ?? ?? 45 33 C9 4C 8B C3 8B CF E8 ?? ?? ?? ?? 48 89 06 48 85 C0 75 31 EB 44 E8 ?? ?? ?? ?? C7 44 24 30 20 00 00 00 83 64 24 28 00 4C 8D 05 ?? ?? ?? ?? 48 8B D0 4C 8B CB 48 8B CE 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 74 5A 4C 8D 5C 24 70 48 8B C3 49 8B 5B 18 49 8B 73 28 49 8B E3 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 40 41 B8 01 00 00 00 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 48 89 44 24 40 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 90 00 00 00 48 8D 4C 24 58 41 B8 01 00 00 00 48 89 84 24 90 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 48 89 44 24 58 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1240_11_0 {
	meta:
		name = "??0LockQueueNode@details@Concurrency@@QEAA@PEAVContext@2@II@Z"
		size = 27
	strings:
		$1 = { 33 C0 48 89 11 48 89 41 08 48 89 41 18 44 89 41 10 89 41 20 89 41 24 48 8B C1 C3 }
	condition:
		$1
}

rule file_1240_13_0 {
	meta:
		name = "??0_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
		size = 29
		refs = "0008 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA 0010 ?__InitializeCriticalSectionEx@platform@details@Concurrency@@YAHPEAU_RTL_CRITICAL_SECTION@@K@Z"
		altNames = "??0_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 15 ?? ?? ?? ?? 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_14_0 {
	meta:
		name = "??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		size = 38
		altNames = "??0critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 41 28 48 89 41 30 48 89 01 48 89 41 08 48 89 41 18 C7 41 10 02 00 00 00 89 41 20 89 41 24 48 8B C1 C3 }
	condition:
		$1
}

rule file_1240_15_0 {
	meta:
		name = "??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ"
		size = 17
	strings:
		$1 = { C7 01 00 00 00 00 48 8B C1 C7 41 04 00 00 00 00 C3 }
	condition:
		$1
}

rule file_1240_18_0 {
	meta:
		name = "??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		size = 48
	strings:
		$1 = { 33 C0 48 89 41 28 48 89 41 30 48 89 01 48 89 41 08 48 89 41 18 C7 41 10 02 00 00 00 89 41 20 89 41 24 89 41 38 48 8B C1 C7 41 3C FF FF FF FF C3 }
	condition:
		$1
}

rule file_1240_19_0 {
	meta:
		name = "??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 83
		refs = "0032 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 0041 ?_Acquire_lock@critical_section@Concurrency@@QEAA_NPEAX_N@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 8B D9 48 89 11 48 8D 79 08 48 89 78 10 48 85 FF 74 0C 83 CA FF 48 8B CF E8 ?? ?? ?? ?? 90 41 B0 01 48 8B D7 48 8B 0B E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1240_20_0 {
	meta:
		name = "?dtor$0@?0???0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX0@Z"
		altNames = "?dtor$0@?0???0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 83 C2 08 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_1240_21_0 {
	meta:
		name = "??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 80
		refs = "0032 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 003e ?_Acquire@_ReentrantPPLLock@details@Concurrency@@QEAAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 8B D9 48 89 11 48 8D 79 08 48 89 78 10 48 85 FF 74 0C 83 CA FF 48 8B CF E8 ?? ?? ?? ?? 90 48 8B D7 48 8B 0B E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1240_28_0 {
	meta:
		name = "??0reader_writer_lock@Concurrency@@QEAA@XZ"
		size = 45
	strings:
		$1 = { 33 C0 48 89 41 28 48 89 41 30 48 89 41 38 89 41 40 48 89 01 48 89 41 08 48 89 41 18 C7 41 10 02 00 00 00 89 41 20 89 41 24 48 8B C1 C3 }
	condition:
		$1
}

rule file_1240_29_0 {
	meta:
		name = "??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z"
		size = 83
		refs = "0032 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 0041 ?_Acquire_lock@critical_section@Concurrency@@QEAA_NPEAX_N@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 8B F9 48 89 11 48 8D 59 08 48 89 58 08 48 89 58 10 48 85 DB 74 0C 83 CA FF 48 8B CB E8 ?? ?? ?? ?? 90 41 B0 01 48 8B D3 48 8B 0F E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1240_31_0 {
	meta:
		name = "??0scoped_lock@reader_writer_lock@Concurrency@@QEAA@AEAV12@@Z"
		size = 83
		refs = "0032 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 0041 ?_Acquire_lock@reader_writer_lock@Concurrency@@QEAAXPEAX_N@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 8B F9 48 89 11 48 8D 59 08 48 89 58 08 48 89 58 10 48 85 DB 74 0C 83 CA FF 48 8B CB E8 ?? ?? ?? ?? 90 41 B0 01 48 8B D3 48 8B 0F E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1240_30_0 {
	meta:
		name = "?dtor$0@?0???0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z@4HA"
		size = 28
		refs = "0012 ??3@YAXPEAX0@Z"
		altNames = "?dtor$0@?0???0scoped_lock@reader_writer_lock@Concurrency@@QEAA@AEAV12@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_1240_39_0 {
	meta:
		name = "??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		size = 29
		refs = "0014 ?unlock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 FF 49 38 75 0C C7 41 3C FF FF FF FF E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1240_61_0 {
	meta:
		name = "?Block@LockQueueNode@details@Concurrency@@QEAAXI@Z"
		size = 173
		refs = "0010 ?GetProcessorCount@Concurrency@@YAIXZ 0053 ?_UnderlyingYield@details@Concurrency@@YAXXZ 005f ?_S_spinCount@_SpinCount@details@Concurrency@@2IA 0096 ?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ 00a9 ?Block@Context@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B FA 48 8B D9 E8 ?? ?? ?? ?? 44 8B 43 10 8B C8 41 C1 E8 02 41 F6 C0 01 75 7A 44 8B 43 10 41 D1 E8 41 F6 C0 01 74 0D 8B 43 10 C1 EF 03 C1 E8 03 2B C7 EB 05 B8 01 00 00 00 44 8D 41 02 41 3B C0 77 52 FF C8 33 D2 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 30 0F AF 05 ?? ?? ?? ?? 41 F7 F0 03 05 ?? ?? ?? ?? 75 0A C7 44 24 28 04 00 00 00 EB 11 83 64 24 24 00 89 44 24 20 C7 44 24 28 01 00 00 00 8B 43 10 A8 01 74 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 75 EB 48 8B 5C 24 50 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1240_62_0 {
	meta:
		name = "?Copy@LockQueueNode@details@Concurrency@@QEAAXPEAV123@@Z"
		size = 21
	strings:
		$1 = { 8B 42 10 89 41 10 48 8B 42 08 48 89 41 08 48 8B 02 48 89 01 C3 }
	condition:
		$1
}

rule file_1240_64_0 {
	meta:
		name = "?DerefTimerNode@LockQueueNode@details@Concurrency@@QEAAXXZ"
		size = 38
		refs = "001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 79 18 00 74 16 B8 01 00 00 00 F0 0F C1 41 24 FF C0 83 F8 02 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1240_65_0 {
	meta:
		name = "?DispatchNodeTimeoutTimer@LockQueueNode@details@Concurrency@@SAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_TIMER@@@Z"
		size = 93
		refs = "0044 ??3@YAXPEAX@Z 0059 ?UnRegisterAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_CALLBACK_INSTANCE@@PEAU_TP_TIMER@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 49 8B D8 33 C0 B9 02 00 00 00 F0 0F B1 4A 20 75 0B 48 8B 0A 48 8B 01 FF 50 18 EB 1F 48 83 7A 18 00 74 18 B8 01 00 00 00 F0 0F C1 42 24 FF C0 3B C1 75 08 48 8B CA E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1240_66_0 {
	meta:
		name = "?DispatchNodeTimeoutTimerXP@LockQueueNode@details@Concurrency@@SAXPEAXE@Z"
		size = 95
		refs = "000a ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 0019 ?__DeleteTimerQueueTimer@platform@details@Concurrency@@YAXPEAX00@Z 0055 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 53 18 48 8B C8 45 33 C0 E8 ?? ?? ?? ?? B9 02 00 00 00 33 C0 F0 0F B1 4B 20 75 0F 48 8B 0B 48 8B 01 48 83 C4 20 5B 48 FF 60 18 48 83 7B 18 00 74 18 B8 01 00 00 00 F0 0F C1 43 24 FF C0 3B C1 75 08 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_71_0 {
	meta:
		name = "?TryCompensateTimer@LockQueueNode@details@Concurrency@@QEAAXXZ"
		size = 72
		refs = "001e ?Block@Context@Concurrency@@SAXXZ 003e ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 18 00 48 8B D9 74 32 B8 01 00 00 00 87 41 20 83 F8 02 75 25 E8 ?? ?? ?? ?? 48 83 7B 18 00 74 19 B8 01 00 00 00 F0 0F C1 43 24 FF C0 83 F8 02 75 08 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_72_0 {
	meta:
		name = "?Unblock@LockQueueNode@details@Concurrency@@QEAA_NXZ"
		size = 45
	strings:
		$1 = { 40 53 48 83 EC 20 BB 01 00 00 00 33 C0 F0 0F B1 59 20 75 11 83 61 10 FE 48 8B 09 48 8B 11 FF 52 18 8A C3 EB 02 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_74_0 {
	meta:
		name = "?UpdateBlockingState@LockQueueNode@details@Concurrency@@QEAAXPEAV123@@Z"
		size = 49
	strings:
		$1 = { 40 53 48 83 EC 20 8B 42 10 48 8B D9 A8 01 74 1B 8B 42 10 C1 E8 02 A8 01 75 0D 48 8B 0A 48 8B 01 FF 50 20 84 C0 74 04 83 4B 10 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_75_0 {
	meta:
		name = "?UpdateQueuePosition@LockQueueNode@details@Concurrency@@QEAAXPEAV123@@Z"
		size = 96
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 41 10 48 8B F9 B1 01 D1 E8 84 C1 75 3D 8B 42 10 D1 E8 84 C1 74 34 8B 5A 10 8B 42 10 83 C3 08 83 E3 FA 84 C1 74 21 8B 42 10 C1 E8 02 84 C1 75 14 48 83 7A 18 00 75 10 48 8B 0A 48 8B 01 FF 50 20 84 C0 74 03 83 CB 04 09 5F 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1240_76_0 {
	meta:
		name = "?WaitForNextNode@LockQueueNode@details@Concurrency@@QEAAPEAV123@XZ"
		size = 57
		refs = "0015 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0026 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 41 08 83 64 24 28 00 48 8B D9 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 30 EB 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 43 08 48 85 C0 74 ED 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1240_80_0 {
	meta:
		name = "?_Acquire@_ReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 85
		refs = "000f __imp_GetCurrentThreadId 001d ?_Sleep0@details@Concurrency@@YAXXZ 0032 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 FF 15 ?? ?? ?? ?? 83 64 24 28 00 8B F8 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0E 3B C7 74 25 48 8D 4C 24 20 E8 ?? ?? ?? ?? 83 C8 FF F0 0F B1 7B 04 75 E8 C7 03 01 00 00 00 48 8B 5C 24 50 48 83 C4 40 5F C3 FF 03 EB F1 }
	condition:
		$1
}

rule file_1240_81_0 {
	meta:
		name = "?_Acquire@_ReentrantPPLLock@details@Concurrency@@QEAAXPEAX@Z"
		size = 83
		refs = "0017 __imp_GetCurrentThreadId 0035 ?_Acquire_lock@critical_section@Concurrency@@QEAA_NPEAX_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B D9 FF 15 ?? ?? ?? ?? 44 8B 43 3C 8B F8 44 3B C0 75 05 FF 43 38 EB 18 41 B0 01 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 89 7B 3C C7 43 38 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1240_82_0 {
	meta:
		name = "?_AcquireRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
		size = 62
		refs = "001f ?_WaitEquals@_ReaderWriterLock@details@Concurrency@@CAXAEDJJJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 8B 43 04 85 C0 7E 0F 48 8D 4B 04 41 83 C8 FF 33 D2 E8 ?? ?? ?? ?? 8B 03 83 F8 FF 74 E3 8D 48 01 F0 0F B1 0B 75 DA 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1240_83_0 {
	meta:
		name = "?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
		size = 60
		refs = "0025 ?_WaitEquals@_ReaderWriterLock@details@Concurrency@@CAXAEDJJJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 F0 FF 41 04 83 CF FF 33 C0 F0 0F B1 39 74 15 44 8B C7 33 D2 48 8B CB E8 ?? ?? ?? ?? 33 C0 F0 0F B1 3B 75 EB 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1240_84_0 {
	meta:
		name = "?_Acquire_lock@critical_section@Concurrency@@QEAA_NPEAX_N@Z"
		size = 495
		refs = "00ae ?Block@Context@Concurrency@@SAXXZ 00d5 ??3@YAXPEAX@Z 0136 ?Block@LockQueueNode@details@Concurrency@@QEAAXI@Z 01cf ??_C@_0BD@BAGHDICJ@Lock?5already?5taken?$AA@ 01d9 ??0improper_lock@Concurrency@@QEAA@PEBD@Z 01e0 _TI2?AVimproper_lock@Concurrency@@ 01ea _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 7C 24 18 41 55 41 56 41 57 48 83 EC 40 48 8B 01 45 8A E8 48 8B DA 48 8B F9 48 39 02 0F 84 9E 01 00 00 4C 8B F2 33 ED 4C 87 71 30 4D 85 F6 0F 85 9E 00 00 00 48 89 51 28 8B 42 10 D1 E8 A8 01 75 41 8B 41 10 D1 E8 A8 01 74 38 44 8B 71 10 8B 41 10 41 83 C6 08 41 83 E6 FA A8 01 74 21 8B 41 10 C1 E8 02 A8 01 75 13 48 39 69 18 75 11 48 8B 09 48 8B 01 FF 50 20 84 C0 74 04 41 83 CE 04 44 09 73 10 83 63 10 FE 48 39 6B 18 0F 84 F0 00 00 00 B8 01 00 00 00 87 43 20 83 F8 02 0F 85 DF 00 00 00 E8 ?? ?? ?? ?? 48 39 6B 18 0F 84 D0 00 00 00 B8 01 00 00 00 F0 0F C1 43 24 FF C0 83 F8 02 0F 85 BB 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 42 10 D1 E8 A8 01 75 44 41 8B 46 10 D1 E8 A8 01 74 3A 45 8B 7E 10 41 8B 46 10 41 83 C7 08 41 83 E7 FA A8 01 74 22 41 8B 46 10 C1 E8 02 A8 01 75 13 49 39 6E 18 75 11 49 8B 0E 48 8B 01 FF 50 20 84 C0 74 04 41 83 CF 04 44 09 7B 10 49 89 5E 08 8B 57 10 48 8B CB E8 ?? ?? ?? ?? 8B 43 20 83 F8 02 74 4A 8B 43 10 D1 E8 A8 01 75 41 8B 47 10 D1 E8 A8 01 74 38 44 8B 77 10 8B 47 10 41 83 C6 08 41 83 E6 FA A8 01 74 21 8B 47 10 C1 E8 02 A8 01 75 13 48 39 6F 18 75 11 48 8B 0F 48 8B 01 FF 50 20 84 C0 74 04 41 83 CE 04 44 09 73 10 45 84 ED 74 18 8B 4B 10 89 4F 10 48 8B 4B 08 48 89 4F 08 48 8B 0B 48 89 0F 48 89 5F 28 8B 4B 20 48 8B 6C 24 68 48 8B 7C 24 70 48 8B 5C 24 60 83 F9 02 0F 95 C0 48 83 C4 40 41 5F 41 5E 41 5D C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1240_85_0 {
	meta:
		name = "?_Acquire_lock@reader_writer_lock@Concurrency@@QEAAXPEAX_N@Z"
		size = 398
		refs = "0087 ?_Set_next_writer@reader_writer_lock@Concurrency@@AEAA_NPEAX@Z 00e9 ?Block@LockQueueNode@details@Concurrency@@QEAAXI@Z 016e ??_C@_0BD@BAGHDICJ@Lock?5already?5taken?$AA@ 0178 ??0improper_lock@Concurrency@@QEAA@PEBD@Z 017f _TI2?AVimproper_lock@Concurrency@@ 0189 _CxxThrowException"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 56 48 83 EC 40 48 8B 01 45 8A E0 48 8B DA 48 8B F9 48 39 02 0F 84 3D 01 00 00 48 8B F2 48 87 71 38 8B 42 10 D1 E8 48 85 F6 75 59 A8 01 75 3D 8B 41 10 D1 E8 A8 01 74 34 8B 71 10 8B 41 10 83 C6 08 83 E6 FA A8 01 74 21 8B 41 10 C1 E8 02 A8 01 75 14 48 83 79 18 00 75 10 48 8B 09 48 8B 01 FF 50 20 84 C0 74 03 83 CE 04 09 73 10 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 53 83 63 10 FE E9 9B 00 00 00 A8 01 75 42 8B 46 10 D1 E8 A8 01 74 39 44 8B 76 10 8B 46 10 41 83 C6 08 41 83 E6 FA A8 01 74 22 8B 46 10 C1 E8 02 A8 01 75 14 48 83 7E 18 00 75 11 48 8B 0E 48 8B 01 FF 50 20 84 C0 74 04 41 83 CE 04 44 09 73 10 48 89 5E 08 8B 57 10 48 8B CB E8 ?? ?? ?? ?? 8B 43 10 D1 E8 A8 01 75 3D 8B 47 10 D1 E8 A8 01 74 34 8B 77 10 8B 47 10 83 C6 08 83 E6 FA A8 01 74 21 8B 47 10 C1 E8 02 A8 01 75 14 48 83 7F 18 00 75 10 48 8B 0F 48 8B 01 FF 50 20 84 C0 74 03 83 CE 04 09 73 10 45 84 E4 74 18 8B 43 10 89 47 10 48 8B 43 08 48 89 47 08 48 8B 03 48 89 07 48 89 5F 30 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 40 41 5E C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1240_87_0 {
	meta:
		name = "?_Cancel@_CancellationTokenState@details@Concurrency@@QEAAXXZ"
		size = 176
		refs = "0037 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0069 ?unlock@critical_section@Concurrency@@QEAAXXZ 007a ??$for_each@V<lambda_e13791f8e805bf75ac0524a1f9b3f99c>@@@TokenRegistrationContainer@_CancellationTokenState@details@Concurrency@@QEAAXV<lambda_e13791f8e805bf75ac0524a1f9b3f99c>@@@Z 008a ?set@event@Concurrency@@QEAAXXZ 0099 free"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 10 48 8B F9 B9 01 00 00 00 33 C0 F0 0F B1 4F 10 75 7D 0F 57 C0 F3 0F 7F 44 24 28 48 8D 57 60 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8B 9F 98 00 00 00 48 89 5C 24 28 48 83 A7 98 00 00 00 00 48 8B 87 A0 00 00 00 48 89 44 24 30 48 83 A7 A0 00 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? 8A 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? C7 47 10 02 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 90 EB 0C 48 8B CB 48 8B 5B 08 E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_1240_93_0 {
	meta:
		name = "?_FlushWriteOwners@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
		size = 30
		refs = "0015 ?_WaitEquals@_ReaderWriterLock@details@Concurrency@@CAXAEDJJJ@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 C1 04 8B 01 85 C0 7E 0B 41 83 C8 FF 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1240_94_0 {
	meta:
		name = "?_Flush_current_owner@critical_section@Concurrency@@QEAAXXZ"
		size = 37
		refs = "0013 ?lock@critical_section@Concurrency@@QEAAXXZ 001b ?unlock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 30 48 8B D9 48 85 C0 74 0D E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_95_0 {
	meta:
		name = "?_Get_reader_convoy@reader_writer_lock@Concurrency@@AEAAPEAXXZ"
		size = 30
	strings:
		$1 = { B8 04 00 00 00 F0 0F C1 41 40 A8 01 74 09 A8 02 75 05 F0 83 49 40 02 33 C0 48 87 41 28 C3 }
	condition:
		$1
}

rule file_1240_96_0 {
	meta:
		name = "?_Initialize@_SpinCount@details@Concurrency@@SAXXZ"
		size = 34
		refs = "0005 ?GetProcessorCount@Concurrency@@YAIXZ 0019 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B9 01 00 00 00 3B C8 1B C0 25 A0 0F 00 00 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1240_104_0 {
	meta:
		name = "?_Release@_ReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 48
		refs = "000b __imp_GetCurrentThreadId"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 8B 53 04 3B D0 75 14 8B 03 83 F8 01 7C 0D FF C8 89 03 75 07 C7 43 04 FF FF FF FF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_105_0 {
	meta:
		name = "?_Release@_ReentrantPPLLock@details@Concurrency@@QEAAXXZ"
		size = 26
		refs = "0011 ?unlock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 FF 49 38 75 0C C7 41 3C FF FF FF FF E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1240_109_0 {
	meta:
		name = "?_Remove_last_writer@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
		size = 142
		refs = "002e ?_UnderlyingYield@details@Concurrency@@YAXXZ 0042 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0056 ?_Set_next_writer@reader_writer_lock@Concurrency@@AEAA_NPEAX@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 57 48 83 EC 40 48 8B FA 48 8B F1 33 ED 48 8B C2 F0 48 0F B1 69 38 74 52 48 8B 5A 08 48 8D 05 ?? ?? ?? ?? 89 6C 24 28 49 89 43 E8 EB 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 5F 08 48 85 DB 74 ED 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 1B B9 01 00 00 00 33 C0 F0 0F B1 4B 20 75 0D 83 63 10 FE 48 8B 0B 48 8B 01 FF 50 18 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1240_110_0 {
	meta:
		name = "?_Reset@?$_SpinWait@$00@details@Concurrency@@IEAAXXZ"
		size = 36
		refs = "0006 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 83 61 08 00 8B 05 ?? ?? ?? ?? 85 C0 75 08 C7 41 08 04 00 00 00 C3 89 01 B8 01 00 00 00 89 41 04 89 41 08 C3 }
	condition:
		$1
}

rule file_1240_111_0 {
	meta:
		name = "?_Reset@?$_SpinWait@$0A@@details@Concurrency@@IEAAXXZ"
		size = 36
		refs = "0006 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 83 61 08 00 8B 05 ?? ?? ?? ?? 85 C0 75 08 C7 41 08 04 00 00 00 C3 83 61 04 00 89 01 C7 41 08 01 00 00 00 C3 }
	condition:
		$1
}

rule file_1240_114_0 {
	meta:
		name = "?_Set_next_writer@reader_writer_lock@Concurrency@@AEAA_NPEAX@Z"
		size = 61
	strings:
		$1 = { 4C 8B C1 48 89 51 30 0F 0D 49 40 8B 41 40 8B D0 83 CA 01 F0 0F B1 51 40 75 F4 A8 04 75 1C 0F 0D 49 40 8B 41 40 8B C8 83 C9 02 F0 41 0F B1 48 40 75 F3 83 F8 08 7D 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_1240_117_0 {
	meta:
		name = "?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		size = 168
		refs = "0020 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4C 8B C1 8D 53 04 44 8D 4B 01 41 8B 48 08 85 C9 75 21 41 89 58 08 8B 05 ?? ?? ?? ?? 85 C0 75 06 41 89 50 08 EB E4 41 89 00 45 89 48 04 45 89 48 08 EB D7 FF C9 74 4A FF C9 74 2D FF C9 74 06 FF C9 74 36 EB 1F 41 89 58 08 8B 05 ?? ?? ?? ?? 85 C0 75 06 41 89 50 08 EB 0B 41 89 00 45 89 48 04 45 89 48 08 32 C0 EB 32 41 FF 48 04 75 08 41 C7 40 08 03 00 00 00 41 8A D9 41 FF 50 10 8A C3 EB 19 F3 90 41 FF 08 75 0F 41 8B 48 04 F7 D9 1B D2 83 C2 03 41 89 50 08 41 8A C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_118_0 {
	meta:
		name = "?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ"
		size = 154
		refs = "001b ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 33 D2 4C 8B C1 44 8D 52 04 44 8D 4A 01 41 8B 48 08 85 C9 75 21 41 89 50 08 8B 05 ?? ?? ?? ?? 85 C0 75 06 45 89 50 08 EB E4 41 89 00 41 89 50 04 45 89 48 08 EB D7 FF C9 74 46 FF C9 74 2C FF C9 74 06 FF C9 74 35 EB 1F 41 89 50 08 8B 05 ?? ?? ?? ?? 85 C0 75 06 45 89 50 08 EB 0B 41 89 00 41 89 50 04 45 89 48 08 32 C0 C3 41 FF 48 04 75 08 41 C7 40 08 03 00 00 00 41 8A D1 F3 90 8A C2 C3 F3 90 41 FF 08 75 0F 41 8B 48 04 F7 D9 1B D2 83 C2 03 41 89 50 08 41 8A C1 C3 }
	condition:
		$1
}

rule file_1240_119_0 {
	meta:
		name = "?_Switch_to_active@critical_section@Concurrency@@AEAAXPEAX@Z"
		size = 133
		refs = "0044 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0055 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B 42 10 48 8B FA 48 8B D9 89 41 10 48 8B 42 08 48 89 41 08 48 8B 02 48 89 01 48 8B 41 08 48 85 C0 75 49 48 8B C2 F0 48 0F B1 59 30 74 3E 48 8B 42 08 83 64 24 28 00 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 30 EB 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 47 08 48 85 C0 74 ED 8B 47 10 89 43 10 48 8B 47 08 48 89 43 08 48 8B 07 48 89 03 48 89 5B 28 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1240_120_0 {
	meta:
		name = "?_Switch_to_active@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
		size = 133
		refs = "0044 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0055 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B 42 10 48 8B FA 48 8B D9 89 41 10 48 8B 42 08 48 89 41 08 48 8B 02 48 89 01 48 8B 41 08 48 85 C0 75 49 48 8B C2 F0 48 0F B1 59 38 74 3E 48 8B 42 08 83 64 24 28 00 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 30 EB 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 47 08 48 85 C0 74 ED 8B 47 10 89 43 10 48 8B 47 08 48 89 43 08 48 8B 07 48 89 03 48 89 5B 30 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1240_121_0 {
	meta:
		name = "?_TryAcquire@_NonReentrantBlockingLock@details@Concurrency@@QEAA_NXZ"
		size = 20
		refs = "0006 __imp_TryEnterCriticalSection"
		altNames = "?_TryAcquire@_ReentrantBlockingLock@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1240_123_0 {
	meta:
		name = "?_TryAcquire@_ReentrantLock@details@Concurrency@@QEAA_NXZ"
		size = 45
		refs = "000b __imp_GetCurrentThreadId"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 8B C8 83 C8 FF F0 0F B1 4B 04 74 08 3B C1 74 04 32 C0 EB 04 FF 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1240_124_0 {
	meta:
		name = "?_TryAcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAA_NXZ"
		size = 21
	strings:
		$1 = { 83 CA FF 33 C0 F0 0F B1 11 75 07 F0 FF 41 04 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_1240_125_0 {
	meta:
		name = "?_Unlock_reader@reader_writer_lock@Concurrency@@AEAAXXZ"
		size = 56
	strings:
		$1 = { 48 83 EC 28 B8 F8 FF FF FF F0 0F C1 41 40 83 E0 FB 83 F8 0B 75 1D 48 8B 49 30 8D 50 F6 33 C0 F0 0F B1 51 20 75 0D 83 61 10 FE 48 8B 09 48 8B 01 FF 50 18 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1240_126_0 {
	meta:
		name = "?_Unlock_writer@reader_writer_lock@Concurrency@@AEAAXXZ"
		size = 167
		refs = "0098 ?_Remove_last_writer@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 30 48 8B D9 33 D2 48 8B 4F 08 48 89 13 48 89 4B 30 48 85 C9 74 1D 33 C0 44 8D 42 01 F0 44 0F B1 41 20 75 6B 83 61 10 FE 48 8B 09 48 8B 01 FF 50 18 EB 5C 0F 0D 4B 40 8B 43 40 8B C8 83 E1 FC F0 0F B1 4B 40 75 F4 B9 04 00 00 00 84 C1 74 35 F0 0F C1 4B 40 41 B8 01 00 00 00 41 84 C8 74 0A F6 C1 02 75 05 F0 83 4B 40 02 48 87 53 28 33 C0 F0 44 0F B1 42 20 75 0D 83 62 10 FE 48 8B 0A 48 8B 01 FF 50 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1240_128_0 {
	meta:
		name = "?_WaitEquals@_ReaderWriterLock@details@Concurrency@@CAXAEDJJJ@Z"
		size = 113
		refs = "0035 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA 004b ?__Sleep@platform@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 8B 01 45 33 C9 41 8B F8 41 23 C0 8B F2 4C 8B F1 41 8D 59 0A 3B C2 74 2E F3 90 41 FF C1 44 3B 0D ?? ?? ?? ?? 72 17 85 DB 7E 06 FF CB 33 C9 EB 05 B9 01 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 41 8B 06 23 C7 3B C6 75 D2 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1240_131_0 {
	meta:
		name = "?lock@critical_section@Concurrency@@QEAAXXZ"
		size = 57
		refs = "0012 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 0022 ?_Acquire_lock@critical_section@Concurrency@@QEAA_NPEAX_N@Z 002f ?_Switch_to_active@critical_section@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 8D 4C 24 20 83 CA FF E8 ?? ?? ?? ?? 48 8D 54 24 20 45 33 C0 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_1240_132_0 {
	meta:
		name = "?lock@reader_writer_lock@Concurrency@@QEAAXXZ"
		size = 57
		refs = "0012 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 0022 ?_Acquire_lock@reader_writer_lock@Concurrency@@QEAAXPEAX_N@Z 002f ?_Switch_to_active@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 8D 4C 24 20 83 CA FF E8 ?? ?? ?? ?? 48 8D 54 24 20 45 33 C0 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_1240_133_0 {
	meta:
		name = "?lock_read@reader_writer_lock@Concurrency@@QEAAXXZ"
		size = 296
		refs = "001b ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 00cc ?Block@LockQueueNode@details@Concurrency@@QEAAXI@Z 0108 ??_C@_0BP@FOPPMPGO@Lock?5already?5taken?5as?5a?5writer?$AA@ 0112 ??0improper_lock@Concurrency@@QEAA@PEBD@Z 0119 _TI2?AVimproper_lock@Concurrency@@ 0123 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 60 48 8B D9 48 8D 4C 24 38 83 CA FF E8 ?? ?? ?? ?? 48 8B 03 48 39 44 24 38 0F 84 D8 00 00 00 48 8D 7C 24 38 BD 01 00 00 00 48 87 7B 28 48 85 FF 75 5B 0F 0D 4B 40 8B 43 40 8D 55 03 8B C8 0B CA F0 0F B1 4B 40 75 F5 A8 03 75 6B F0 0F C1 53 40 40 84 D5 74 0A F6 C2 02 75 05 F0 83 4B 40 02 33 C9 48 8D 44 24 38 48 87 4B 28 48 3B C8 75 06 83 61 10 FE EB 72 33 C0 F0 0F B1 69 20 75 38 83 61 10 FE 48 8B 09 48 8B 01 FF 50 18 EB 29 8B 47 10 40 84 C5 74 21 8B 47 10 C1 E8 02 40 84 C5 75 0D 48 8B 0F 48 8B 01 FF 50 20 84 C0 74 09 BA 04 00 00 00 09 54 24 48 48 8D 4C 24 38 33 D2 E8 ?? ?? ?? ?? 48 85 FF 74 20 B8 08 00 00 00 F0 0F C1 43 40 33 C0 F0 0F B1 6F 20 75 0D 83 67 10 FE 48 8B 0F 48 8B 01 FF 50 18 48 8B 5C 24 70 48 8B 6C 24 78 48 83 C4 60 5F C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1240_136_0 {
	meta:
		name = "?try_lock@critical_section@Concurrency@@QEAA_NXZ"
		size = 157
		refs = "0016 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 0088 ?_Switch_to_active@critical_section@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B D9 48 8D 4C 24 20 83 CA FF E8 ?? ?? ?? ?? 48 8D 4C 24 20 33 C0 F0 48 0F B1 4B 30 75 67 48 8D 44 24 20 48 89 43 28 8B 44 24 30 D1 E8 A8 01 75 3E 8B 43 10 D1 E8 A8 01 74 35 8B 7B 10 8B 43 10 83 C7 08 83 E7 FA A8 01 74 21 8B 43 10 C1 E8 02 A8 01 75 14 48 83 7B 18 00 75 10 48 8B 0B 48 8B 01 FF 50 20 84 C0 74 03 83 CF 04 09 7C 24 30 83 64 24 30 FE 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? B0 01 EB 02 32 C0 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1240_137_0 {
	meta:
		name = "?try_lock@reader_writer_lock@Concurrency@@QEAA_NXZ"
		size = 188
		refs = "0016 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 009a ?_Switch_to_active@reader_writer_lock@Concurrency@@AEAAXPEAX@Z 00ab ?_Remove_last_writer@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B D9 48 8D 4C 24 20 83 CA FF E8 ?? ?? ?? ?? 48 8D 4C 24 20 33 C0 F0 48 0F B1 4B 38 0F 85 82 00 00 00 48 8D 44 24 20 B9 03 00 00 00 48 89 43 30 33 C0 F0 0F B1 4B 40 75 5E 8B 44 24 30 D1 E8 A8 01 75 3E 8B 43 10 D1 E8 A8 01 74 35 8B 7B 10 8B 43 10 83 C7 08 83 E7 FA A8 01 74 21 8B 43 10 C1 E8 02 A8 01 75 14 48 83 7B 18 00 75 10 48 8B 0B 48 8B 01 FF 50 20 84 C0 74 03 83 CF 04 09 7C 24 30 83 64 24 30 FE 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? B0 01 EB 0F 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 32 C0 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1240_138_0 {
	meta:
		name = "?try_lock_for@critical_section@Concurrency@@QEAA_NI@Z"
		size = 172
		refs = "001f ??2@YAPEAX_K@Z 0033 ??0LockQueueNode@details@Concurrency@@QEAA@I@Z 0048 ?_Acquire_lock@critical_section@Concurrency@@QEAA_NPEAX_N@Z 0057 ?_Switch_to_active@critical_section@Concurrency@@AEAAXPEAX@Z 0077 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8B F9 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 0F 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB 45 33 C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 2F 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 18 00 74 19 B9 01 00 00 00 F0 0F C1 4B 24 FF C1 83 F9 02 75 08 48 8B CB E8 ?? ?? ?? ?? B0 01 EB 22 48 83 7B 18 00 74 19 B8 01 00 00 00 F0 0F C1 43 24 FF C0 83 F8 02 75 08 48 8B CB E8 ?? ?? ?? ?? 32 C0 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1240_140_0 {
	meta:
		name = "?try_lock_read@reader_writer_lock@Concurrency@@QEAA_NXZ"
		size = 25
	strings:
		$1 = { EB 0A 8D 50 08 F0 0F B1 51 40 74 0A 8B 41 40 A8 03 74 EF 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_1240_141_0 {
	meta:
		name = "?unlock@critical_section@Concurrency@@QEAAXXZ"
		size = 276
		refs = "0030 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0060 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00dd ??3@YAXPEAX@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 49 89 7B 20 41 54 41 56 41 57 48 83 EC 50 48 8B 71 28 33 ED 48 8B F9 48 89 29 48 8B 5E 08 4C 8D 25 ?? ?? ?? ?? 48 89 59 28 48 85 DB 75 34 48 8B C6 F0 48 0F B1 69 30 0F 84 A9 00 00 00 48 8B 5E 08 89 6C 24 28 4D 89 63 C8 EB 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 5E 08 48 85 DB 74 ED 48 89 5F 28 41 BF 01 00 00 00 33 C0 F0 44 0F B1 7B 20 74 67 4C 8D 73 08 48 8B F3 49 8B 1E 48 89 5F 28 48 85 DB 75 2F 48 8B C6 F0 48 0F B1 6F 30 74 24 49 8B 1E 89 6C 24 40 4C 89 64 24 48 EB 0D 48 8D 4C 24 38 E8 ?? ?? ?? ?? 49 8B 1E 48 85 DB 74 EE 48 89 5F 28 48 39 6E 18 74 18 41 8B C7 F0 0F C1 46 24 41 03 C7 83 F8 02 75 08 48 8B CE E8 ?? ?? ?? ?? 48 85 DB 74 0F EB 8F 83 63 10 FE 48 8B 0B 48 8B 01 FF 50 18 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1240_142_0 {
	meta:
		name = "?unlock@reader_writer_lock@Concurrency@@QEAAXXZ"
		size = 38
		refs = "0011 ?_Unlock_reader@reader_writer_lock@Concurrency@@AEAAXXZ 001d ?_Unlock_writer@reader_writer_lock@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 8B 41 40 83 F8 08 7C 09 48 83 C4 28 E9 ?? ?? ?? ?? 8B 41 40 A8 02 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1242_0_0 {
	meta:
		name = "_difftime64"
		size = 46
		refs = "001c _errno"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 78 12 48 85 C9 78 0D 0F 57 C0 48 2B CA F2 48 0F 2A C1 EB 0E E8 ?? ?? ?? ?? 0F 57 C0 C7 00 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1243_3_0 {
	meta:
		name = "_mbsnbset_s_l"
		size = 601
		refs = "0070 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 008c _strnset_s 00bd _ismbblead_l 01ee _errno 01f8 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 45 33 E4 49 8B F1 45 8B F8 48 8B FA 4C 8B F1 44 89 A4 24 88 00 00 00 41 8B EC 4D 85 C9 75 15 48 85 C9 75 19 48 85 D2 0F 85 DF 01 00 00 33 C0 E9 EB 01 00 00 48 85 C9 0F 84 CF 01 00 00 48 85 D2 0F 84 C6 01 00 00 48 8B 94 24 90 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 44 39 60 08 75 18 4C 8B CE 45 8B C7 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 8B D8 E9 7C 01 00 00 45 8B EF 49 8B DE 41 C1 ED 08 45 84 ED 0F 84 AF 00 00 00 45 84 FF 0F 84 B8 00 00 00 48 8D 54 24 20 41 0F B6 CD E8 ?? ?? ?? ?? 85 C0 0F 84 A2 00 00 00 40 F6 C6 01 74 0E 48 FF CE C7 84 24 88 00 00 00 01 00 00 00 48 D1 EE 45 38 26 74 5B 48 85 F6 74 56 48 FF CF 74 51 80 7B 01 00 74 54 85 ED 74 04 33 ED EB 0F 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 8B E8 44 88 2B 45 33 E4 48 FF C3 48 FF CF 74 26 85 ED 74 05 41 8B EC EB 0F 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 8B E8 44 88 3B 48 FF C3 48 FF CE 44 38 23 75 A5 8B 8C 24 88 00 00 00 EB 66 45 33 E4 48 FF C7 41 8D 4C 24 01 44 88 23 EB 56 48 8D 54 24 20 41 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 08 45 88 26 E9 8F 00 00 00 45 38 26 74 35 48 85 F6 74 2B 48 FF CF 74 26 85 ED 74 05 41 8B EC EB 0F 0F B6 0B 48 8D 54 24 20 E8 ?? ?? ?? ?? 8B E8 44 88 3B 48 FF C3 48 FF CE 44 38 23 75 D0 41 8B CC EB 02 8B CD 48 85 F6 75 31 85 ED 74 28 44 38 23 74 28 48 FF CF 74 1E 8D 4E 01 44 38 63 01 75 08 44 88 23 48 FF C7 EB 0D C6 03 20 EB 05 48 FF CF 74 08 48 FF C3 44 38 23 75 F3 48 85 FF 75 14 45 88 26 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? EB 15 85 C9 74 0E E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 EB 03 41 8B DC 44 38 64 24 38 74 1F 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1244_1_0 {
	meta:
		name = "clearerr_s"
		size = 178
		refs = "0024 _errno 0030 _invalid_parameter_noinfo 0039 _lock_file 0046 _fileno 006e __pioinfo 008a __badioinfo 009c _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 20 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 6A E8 ?? ?? ?? ?? 90 83 67 18 CF 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 38 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 2B 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 48 C1 FB 05 48 8D 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 83 E0 1F 48 6B C8 58 48 03 0C DE EB 07 48 8D 0D ?? ?? ?? ?? 0F BE 41 08 83 E0 FD 88 41 08 48 8B CF E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1245_0_0 {
	meta:
		name = "_wrmdir"
		size = 47
		refs = "0006 __imp_RemoveDirectoryW 0010 __imp_GetLastError 001f _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1290_0_0 {
	meta:
		name = "_wremove"
		size = 47
		refs = "0006 __imp_DeleteFileW 0010 __imp_GetLastError 001f _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1247_0_0 {
	meta:
		name = "_wexeclp"
		size = 201
		refs = "001c __security_cookie 0036 _errno 0041 _invalid_parameter_noinfo 0078 _wcapture_argv 008d _wexecvp 00a7 free 00ba __security_check_cookie"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 33 F6 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 63 66 39 31 74 E5 48 85 D2 74 E0 66 39 32 74 DB 48 8D 84 24 70 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB 48 8B F8 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1248_9_0 {
	meta:
		name = "??0ThreadInternalContext@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
		size = 44
		refs = "000a ??0InternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z 0011 ??_7ThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 001b ??_7ThreadInternalContext@details@Concurrency@@6BContextBase@12@@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 05 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1248_10_0 {
	meta:
		name = "??0ThreadScheduler@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
		size = 67
		refs = "000d ??_7IScheduler@Concurrency@@6B@ 001c ??0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z 0028 ??_7ThreadScheduler@details@Concurrency@@6BIScheduler@2@@ 0032 ??_7ThreadScheduler@details@Concurrency@@6BSchedulerBase@12@@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 47 10 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1248_17_0 {
	meta:
		name = "??1ThreadScheduler@details@Concurrency@@UEAA@XZ"
		size = 29
		refs = "0003 ??_7ThreadScheduler@details@Concurrency@@6BIScheduler@2@@ 000d ??_7ThreadScheduler@details@Concurrency@@6BSchedulerBase@12@@ 0019 ??1SchedulerBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 83 C1 10 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1353_18_0 {
	meta:
		name = "??1UMSThreadScheduler@details@Concurrency@@UEAA@XZ"
		size = 29
		refs = "0003 ??_7UMSThreadScheduler@details@Concurrency@@6BIUMSScheduler@2@@ 000d ??_7UMSThreadScheduler@details@Concurrency@@6BSchedulerBase@12@@ 0019 ??1SchedulerBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 83 C1 10 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1248_32_0 {
	meta:
		name = "??_GThreadScheduler@details@Concurrency@@UEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7ThreadScheduler@details@Concurrency@@6BIScheduler@2@@ 001c ??_7ThreadScheduler@details@Concurrency@@6BSchedulerBase@12@@ 0028 ??1SchedulerBase@details@Concurrency@@UEAA@XZ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8D 05 ?? ?? ?? ?? 48 83 C1 10 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1353_31_0 {
	meta:
		name = "??_GUMSThreadScheduler@details@Concurrency@@UEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7UMSThreadScheduler@details@Concurrency@@6BIUMSScheduler@2@@ 001c ??_7UMSThreadScheduler@details@Concurrency@@6BSchedulerBase@12@@ 0028 ??1SchedulerBase@details@Concurrency@@UEAA@XZ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8D 05 ?? ?? ?? ?? 48 83 C1 10 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1248_36_0 {
	meta:
		name = "?Create@ThreadScheduler@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
		size = 58
		refs = "0018 ??2@YAPEAX_K@Z 002f ??0ThreadScheduler@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 40 03 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 09 48 8B D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1248_38_0 {
	meta:
		name = "?CreateInternalContext@ThreadScheduler@details@Concurrency@@MEAAPEAVInternalContextBase@23@XZ"
		size = 106
		refs = "001d ??2@YAPEAX_K@Z 003f ??0InternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z 0046 ??_7ThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 0050 ??_7ThreadInternalContext@details@Concurrency@@6BContextBase@12@@"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B F9 B9 80 01 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 48 48 85 C0 74 2C 48 8D 47 F0 48 F7 D8 48 1B D2 48 23 D7 48 8B CB E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 05 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1248_41_0 {
	meta:
		name = "?CreateScheduleGroup@SchedulerBase@details@Concurrency@@UEAAPEAVScheduleGroup@3@XZ"
		size = 33
		refs = "0018 ?InternalCreateScheduleGroup@SchedulerBase@details@Concurrency@@AEAAPEAVScheduleGroup@3@PEAVlocation@3@@Z"
	strings:
		$1 = { 48 83 EC 48 83 64 24 20 00 0F 57 C0 48 8D 54 24 20 F3 0F 7F 44 24 28 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1248_42_0 {
	meta:
		name = "?CreateVirtualProcessor@ThreadScheduler@details@Concurrency@@UEAAPEAVVirtualProcessor@23@PEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 74
		refs = "0020 ??2@YAPEAX_K@Z 003a ??0ThreadVirtualProcessor@details@Concurrency@@QEAA@PEAVSchedulingNode@12@PEAUIVirtualProcessorRoot@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 49 8B D8 48 8B FA B9 70 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 58 33 C0 48 85 C9 74 0C 4C 8B C3 48 8B D7 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1248_54_0 {
	meta:
		name = "?GetPolicy@ThreadScheduler@details@Concurrency@@UEBA?AVSchedulerPolicy@3@XZ"
		size = 32
		refs = "0013 ?GetPolicy@SchedulerBase@details@Concurrency@@UEBA?AVSchedulerPolicy@3@XZ"
		altNames = "?GetPolicy@UMSThreadScheduler@details@Concurrency@@UEBA?AVSchedulerPolicy@3@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 83 C1 10 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1248_63_0 {
	meta:
		name = "?StartupNewVirtualProcessor@SchedulerBase@details@Concurrency@@UEAAXPEAVScheduleGroupSegmentBase@23@Vlocation@3@@Z"
		size = 89
		refs = "0050 ?StartupVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@Vlocation@3@K@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 48 45 8B 4B D8 41 8B 00 41 BA FF FF FF 0F 41 33 C1 41 23 C2 44 33 C8 41 8B 00 41 33 C1 41 B9 03 00 00 00 41 23 C2 41 33 00 89 44 24 20 49 8B 40 08 49 89 43 E0 41 8B 40 04 89 44 24 24 49 8B 40 10 4D 8D 43 D8 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1249_6_0 {
	meta:
		name = "??$sign@I@details@Concurrency@@YAII@Z"
		size = 19
	strings:
		$1 = { 85 C9 75 03 33 C0 C3 83 C8 FF 85 C9 8D 50 02 0F 45 C2 C3 }
	condition:
		$1
}

rule file_1249_7_0 {
	meta:
		name = "??$sign@N@details@Concurrency@@YANN@Z"
		size = 37
	strings:
		$1 = { 0F 57 C9 66 0F 2E C1 7A 06 75 04 0F 28 C1 C3 83 C8 FF 66 0F 2F C1 8D 48 02 0F 47 C1 66 0F 6E C0 F3 0F E6 C0 C3 }
	condition:
		$1
}

rule file_1249_10_0 {
	meta:
		name = "??0HillClimbing@details@Concurrency@@QEAA@IIPEAVSchedulerProxy@12@@Z"
		size = 115
	strings:
		$1 = { 41 BA 3F 00 00 00 48 8D 41 08 45 33 DB 41 FF CA 4C 89 58 08 4C 89 58 F8 4C 89 18 44 89 58 10 48 8D 40 20 79 E8 41 8B C0 0F 57 C0 4C 89 89 00 08 00 00 4C 89 99 14 08 00 00 89 91 1C 08 00 00 4C 89 99 20 08 00 00 F2 48 0F 2A C0 4C 89 99 28 08 00 00 44 89 99 30 08 00 00 C6 81 34 08 00 00 01 F2 0F 11 81 08 08 00 00 44 89 81 10 08 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_1249_11_0 {
	meta:
		name = "??0MeasuredHistory@HillClimbing@details@Concurrency@@QEAA@XZ"
		size = 20
	strings:
		$1 = { 33 C0 48 89 41 10 48 89 01 48 89 41 08 89 41 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_1249_26_0 {
	meta:
		name = "?Add@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAXNI@Z"
		size = 33
	strings:
		$1 = { FF 41 10 0F 28 C1 F2 0F 59 C9 F2 0F 58 01 44 89 41 18 F2 0F 58 49 08 F2 0F 11 01 F2 0F 11 49 08 C3 }
	condition:
		$1
}

rule file_1249_27_0 {
	meta:
		name = "?CalculateThroughput@HillClimbing@details@Concurrency@@AEAANIIII@Z"
		size = 34
		refs = "0019 __real@4024000000000000"
	strings:
		$1 = { 0F 57 C0 41 8B C0 0F 57 C9 F2 48 0F 2A C0 8B C2 F2 48 0F 2A C8 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C1 C3 }
	condition:
		$1
}

rule file_1249_28_0 {
	meta:
		name = "?CalculateThroughputSlope@HillClimbing@details@Concurrency@@AEAANHH@Z"
		size = 359
		refs = "00dc __xmm@7fffffffffffffff7fffffffffffffff 00f3 __real@3fc3333333333333 0105 ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 0124 sqrt 013a __xmm@80000000000000008000000000000000 0142 exp"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 60 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 45 33 D2 44 0F 29 48 B8 66 0F 6E C2 41 8B C0 2B C2 66 0F 6E D8 F3 0F E6 C0 8B C2 83 E0 3F 4C 63 C8 49 C1 E1 05 F3 0F E6 DB F2 0F 5E D8 41 39 54 09 14 74 18 45 89 54 09 10 4D 89 14 09 4D 89 54 09 08 41 89 54 09 14 45 89 54 09 18 41 8B C0 83 E0 3F 48 63 D8 48 C1 E3 05 48 03 D9 44 39 43 14 74 13 44 89 53 10 4C 89 13 4C 89 53 08 44 89 43 14 44 89 53 18 41 8B 44 09 10 0F 57 C9 85 C0 75 05 0F 28 D1 EB 12 F2 41 0F 10 14 09 66 0F 6E C0 F3 0F E6 C0 F2 0F 5E D0 8B 43 10 85 C0 75 06 44 0F 28 C1 EB 12 F2 44 0F 10 03 66 0F 6E C0 F3 0F E6 C0 F2 44 0F 5E C0 F2 44 0F 5C C2 45 0F 28 C8 41 0F 28 C0 0F 54 05 ?? ?? ?? ?? F2 44 0F 5E CA 66 0F 2F C1 F2 44 0F 5E CB F2 44 0F 5C 0D ?? ?? ?? ?? 76 3E 66 0F 6E F0 48 8B CB F3 0F E6 F6 E8 ?? ?? ?? ?? 48 8B CB 0F 28 F8 F2 0F 5E FE E8 ?? ?? ?? ?? F2 0F 5E C6 F2 0F 58 F8 0F 28 C7 E8 ?? ?? ?? ?? 0F 28 C8 F2 41 0F 5E C8 0F 54 0D ?? ?? ?? ?? 0F 57 0D ?? ?? ?? ?? 0F 28 C1 E8 ?? ?? ?? ?? 0F 28 74 24 50 0F 28 7C 24 40 F2 41 0F 59 C1 44 0F 28 4C 24 20 44 0F 28 44 24 30 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_1249_29_0 {
	meta:
		name = "?Clear@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAXI@Z"
		size = 19
	strings:
		$1 = { 33 C0 89 51 14 89 41 10 48 89 01 48 89 41 08 89 41 18 C3 }
	condition:
		$1
}

rule file_1249_30_0 {
	meta:
		name = "?ClearHistories@HillClimbing@details@Concurrency@@AEAAXXZ"
		size = 35
	strings:
		$1 = { 48 83 C1 08 B8 40 00 00 00 33 D2 48 89 51 08 48 89 51 F8 48 89 11 89 51 10 48 8D 49 20 48 FF C8 75 E9 C3 }
	condition:
		$1
}

rule file_1249_31_0 {
	meta:
		name = "?CoefficientOfVariation@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 71
		refs = "002a ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 002f sqrt"
	strings:
		$1 = { 48 83 EC 38 83 79 10 00 0F 29 74 24 20 0F 57 C9 74 28 66 0F 6E 41 10 F2 0F 10 31 F3 0F E6 C0 F2 0F 5E F0 66 0F 2F CE 73 11 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 C8 F2 0F 5E CE 0F 28 C1 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1249_32_0 {
	meta:
		name = "?CoefficientOfVariationMean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 100
		refs = "0014 ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 0019 sqrt"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 29 74 24 30 48 8B D9 0F 29 7C 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 0F 28 F8 85 C0 75 05 0F 57 F6 EB 10 F2 0F 10 33 66 0F 6E C8 F3 0F E6 C9 F2 0F 5E F1 66 0F 6E C0 F3 0F E6 C0 E8 ?? ?? ?? ?? F2 0F 5E F8 F2 0F 5E FE 0F 28 74 24 30 0F 28 C7 0F 28 7C 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1249_36_0 {
	meta:
		name = "?EstablishControlSetting@HillClimbing@details@Concurrency@@AEAAXI@Z"
		size = 100
		refs = "005b ?FlushHistories@HillClimbing@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 8B 81 14 08 00 00 3B D0 74 51 89 81 18 08 00 00 8B C2 89 91 14 08 00 00 83 E0 3F 4C 63 C0 33 C0 49 C1 E0 05 41 39 54 08 14 74 18 41 89 44 08 10 49 89 04 08 49 89 44 08 08 41 89 54 08 14 41 89 44 08 18 49 89 44 08 10 49 89 04 08 49 89 44 08 08 41 89 44 08 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1249_37_0 {
	meta:
		name = "?FlushHistories@HillClimbing@details@Concurrency@@AEAAXXZ"
		size = 71
	strings:
		$1 = { 48 8D 51 14 41 B8 40 00 00 00 45 33 C9 8B 02 3B 81 14 08 00 00 74 26 3B 81 18 08 00 00 74 1E 8B 81 24 08 00 00 2B 42 04 83 F8 32 76 10 4C 89 4A FC 4C 89 4A EC 4C 89 4A F4 44 89 4A 04 48 83 C2 20 49 FF C8 75 C7 C3 }
	condition:
		$1
}

rule file_1249_38_0 {
	meta:
		name = "?GetHistory@HillClimbing@details@Concurrency@@AEAAPEAVMeasuredHistory@123@I@Z"
		size = 38
	strings:
		$1 = { 8B C2 83 E0 3F 48 98 48 C1 E0 05 48 03 C1 39 50 14 74 12 33 C9 89 50 14 89 48 10 48 89 08 48 89 48 08 89 48 18 C3 }
	condition:
		$1
}

rule file_1249_39_0 {
	meta:
		name = "?GetRandomMove@HillClimbing@details@Concurrency@@AEAAHXZ"
		size = 25
	strings:
		$1 = { 8A 91 34 08 00 00 33 C0 84 D2 0F 95 C0 84 D2 0F 94 C2 88 91 34 08 00 00 C3 }
	condition:
		$1
}

rule file_1249_40_0 {
	meta:
		name = "?IsStableHistory@HillClimbing@details@Concurrency@@AEAA_NPEAVMeasuredHistory@123@@Z"
		size = 55
		refs = "001c ?CoefficientOfVariationMean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 0023 __xmm@7fffffffffffffff7fffffffffffffff 002b __real@3f70624dd2f1a9fc"
	strings:
		$1 = { 48 83 EC 28 83 7A 10 05 76 04 B0 01 EB 24 83 7A 10 03 73 04 32 C0 EB 1A 48 8B CA E8 ?? ?? ?? ?? 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 0F 96 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1249_42_0 {
	meta:
		name = "?Mean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 28
	strings:
		$1 = { 83 79 10 00 75 04 0F 57 C0 C3 66 0F 6E 49 10 F2 0F 10 01 F3 0F E6 C9 F2 0F 5E C1 C3 }
	condition:
		$1
}

rule file_1249_45_0 {
	meta:
		name = "?RecommendControlSetting@HillClimbing@details@Concurrency@@AEAAII@Z"
		size = 336
		refs = "0119 ?CalculateThroughputSlope@HillClimbing@details@Concurrency@@AEAANHH@Z 0121 __real@bff0000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 41 56 48 83 EC 30 4C 8B 89 00 08 00 00 8B B9 14 08 00 00 8B DA 0F 29 70 E8 45 8B 81 E8 00 00 00 41 8B 81 B4 00 00 00 41 8B 91 DC 00 00 00 41 2B D0 48 8B F1 8B 89 10 08 00 00 3B D0 0F 47 C2 41 8D 14 00 45 03 81 B0 00 00 00 41 8B 81 EC 00 00 00 41 3B C0 44 0F 42 C0 8D 04 39 3B C3 0F 42 D8 3B F9 76 09 8B C7 2B C1 3B C3 0F 47 D8 41 BE 01 00 00 00 3B DF 75 0B 3B DA 76 04 FF CB EB 03 41 03 DE 3B D3 0F 47 DA 44 3B C3 41 0F 42 D8 3B DF 0F 84 8E 00 00 00 8B CB 2B CF 0F 84 84 00 00 00 83 C8 FF 85 C9 41 0F 45 C6 83 F8 FF 75 76 FF CF 0F 57 F6 3B FB 74 14 8B CB 2B CF 74 67 83 C8 FF 85 C9 41 0F 45 C6 83 F8 FF 75 59 8B C7 83 E0 3F 48 63 C8 48 C1 E1 05 39 7C 31 14 74 19 83 64 31 10 00 48 83 24 31 00 48 83 64 31 08 00 83 64 31 18 00 89 7C 31 14 83 7C 31 10 00 7E 1F 8B 96 14 08 00 00 44 8B C7 48 8B CE E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F F0 73 05 41 2B FE EB 92 8D 5F 01 48 8B 74 24 48 48 8B 7C 24 50 0F 28 74 24 20 8B C3 48 8B 5C 24 40 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_1249_46_0 {
	meta:
		name = "?SignificanceTest@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAHNHI@Z"
		size = 64
		refs = "0037 ?SignificanceTest@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAHPEAV1234@H@Z"
	strings:
		$1 = { 48 8B C4 48 83 EC 48 83 60 EC 00 0F 28 C1 0F 57 D2 F2 0F 59 C9 48 8D 50 D8 C7 40 E8 01 00 00 00 F2 0F 58 C2 44 89 48 F0 F2 0F 58 CA F2 0F 11 40 D8 F2 0F 11 48 E0 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1249_47_0 {
	meta:
		name = "?SignificanceTest@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAHPEAV1234@H@Z"
		size = 377
		refs = "0026 __security_cookie 0035 __xmm@400066666666666640015c28f5c28f5c 003c __xmm@40029c432ca57a7840049ba5e353f7cf 0054 __xmm@3ffe147ae147ae143fff5c28f5c28f5c 0060 __xmm@3ffc0000000000003ffcf5c28f5c28f6 006c __xmm@3ffa3d70a3d70a3d3ffb333333333333 007b ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 00e7 ??$sign@N@details@Concurrency@@YANN@Z 00f0 __real@0000000000000000 0126 sqrt 0137 __xmm@7fffffffffffffff7fffffffffffffff 014e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 68 20 56 57 41 56 48 81 EC B0 00 00 00 0F 29 70 D8 0F 29 78 C8 44 0F 29 48 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 0F 28 0D ?? ?? ?? ?? 0F 28 05 ?? ?? ?? ?? 8B 71 10 49 63 E8 48 8B FA 48 8B D9 0F 29 44 24 20 0F 28 05 ?? ?? ?? ?? 0F 29 4C 24 30 0F 28 0D ?? ?? ?? ?? 0F 29 44 24 40 0F 28 05 ?? ?? ?? ?? 0F 29 44 24 60 0F 29 4C 24 50 E8 ?? ?? ?? ?? 45 33 F6 66 0F 6E CE 44 0F 28 C8 F3 0F E6 C9 F2 44 0F 5E C9 85 F6 75 05 0F 57 F6 EB 10 F2 0F 10 33 66 0F 6E C6 F3 0F E6 C0 F2 0F 5E F0 8B 5F 10 48 8B CF E8 ?? ?? ?? ?? 66 0F 6E CB 0F 28 F8 F3 0F E6 C9 F2 0F 5E F9 85 DB 75 05 0F 57 C9 EB 10 F2 0F 10 0F 66 0F 6E C3 F3 0F E6 C0 F2 0F 5E C8 F2 0F 5C F1 0F 28 C6 E8 ?? ?? ?? ?? 66 44 0F 2F 0D ?? ?? ?? ?? F2 0F 2C F8 76 49 66 0F 2F 3D ?? ?? ?? ?? 76 3F 66 0F 6E CE 66 0F 6E C3 F3 0F E6 C0 F3 0F E6 C9 F2 0F 5E F8 F2 44 0F 5E C9 F2 41 0F 58 F9 0F 28 C7 E8 ?? ?? ?? ?? F2 0F 5E F0 F2 0F 10 44 EC 18 0F 54 35 ?? ?? ?? ?? 66 0F 2F C6 41 0F 47 FE 8B C7 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 49 8B 6B 38 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 4B D0 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1249_49_0 {
	meta:
		name = "?StandardDeviationMean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 67
		refs = "0018 ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 001d sqrt"
	strings:
		$1 = { 40 53 48 83 EC 30 8B 59 10 0F 29 74 24 20 85 DB 75 05 0F 57 F6 EB 1E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 28 F0 66 0F 6E C3 F3 0F E6 C0 E8 ?? ?? ?? ?? F2 0F 5E F0 0F 28 C6 0F 28 74 24 20 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1249_50_0 {
	meta:
		name = "?Update@HillClimbing@details@Concurrency@@QEAAIIIII@Z"
		size = 610
		refs = "003d ?EstablishControlSetting@HillClimbing@details@Concurrency@@AEAAXI@Z 0109 __real@4024000000000000 01b0 ?IsStableHistory@HillClimbing@details@Concurrency@@AEAA_NPEAVMeasuredHistory@123@@Z 01cd ?CalculateThroughputSlope@HillClimbing@details@Concurrency@@AEAANHH@Z 01f8 ??$sign@N@details@Concurrency@@YANN@Z 023a ?RecommendControlSetting@HillClimbing@details@Concurrency@@AEAAII@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 45 33 F6 0F 29 70 E8 41 8B F1 41 8B F8 8B EA 48 8B D9 85 D2 75 07 33 C0 E9 0C 02 00 00 FF 81 24 08 00 00 E8 ?? ?? ?? ?? 8B 93 28 08 00 00 85 D2 74 0C 03 BB 2C 08 00 00 03 B3 30 08 00 00 8B 4C 24 60 3B FD 73 0C 3B F9 73 08 8B C5 2B C7 8B FD 03 F0 8B 83 20 08 00 00 83 F8 01 72 60 83 FF 01 73 5B 83 FE 01 73 56 85 C9 75 52 48 8B 83 00 08 00 00 44 8D 4A 01 89 BB 2C 08 00 00 44 89 8B 28 08 00 00 89 B3 30 08 00 00 8B 88 B4 00 00 00 44 8B 80 E8 00 00 00 8B 90 DC 00 00 00 41 2B D0 3B D1 0F 47 CA 41 8D 04 08 41 83 F9 03 0F 83 77 01 00 00 8B 83 14 08 00 00 E9 6C 01 00 00 8B B3 14 08 00 00 0F 57 C9 8D 4A 01 8D 50 01 8B C7 0F 57 C0 4C 89 B3 2C 08 00 00 44 89 B3 28 08 00 00 89 93 20 08 00 00 F2 48 0F 2A C8 8B C1 F2 0F 59 0D ?? ?? ?? ?? F2 48 0F 2A C0 F2 0F 5E C8 83 FA 01 77 0B 89 B3 18 08 00 00 E9 1A 01 00 00 8B C6 83 E0 3F 48 63 D0 48 C1 E2 05 48 03 D3 39 72 14 74 12 44 89 72 10 4C 89 32 4C 89 72 08 89 72 14 44 89 72 18 44 8B 83 18 08 00 00 41 8B C0 83 E0 3F 48 63 C8 48 C1 E1 05 48 03 CB 44 39 41 14 74 13 44 89 71 10 4C 89 31 4C 89 71 08 44 89 41 14 44 89 71 18 8B 83 24 08 00 00 FF 42 10 0F 28 C1 F2 0F 59 C9 89 42 18 F2 0F 58 02 F2 0F 58 4A 08 F2 0F 11 02 F2 0F 11 4A 08 44 39 71 10 74 62 48 3B D1 74 5D 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 44 8B 83 14 08 00 00 8B 93 18 08 00 00 48 8B CB E8 ?? ?? ?? ?? 8B 83 14 08 00 00 0F 57 F6 F2 0F 59 83 08 08 00 00 F2 48 0F 2A F0 0F 28 CE F2 0F 58 C8 F2 48 0F 2C C9 3B C8 75 0E E8 ?? ?? ?? ?? F2 0F 58 C6 F2 48 0F 2C C8 8B D1 EB 2D 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 2B 8A 83 34 08 00 00 8B 93 14 08 00 00 41 8B CE 84 C0 0F 95 C1 84 C0 0F 94 C0 03 D1 88 83 34 08 00 00 48 8B CB E8 ?? ?? ?? ?? 8B F0 8B C6 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 0F 28 74 24 20 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_1249_51_0 {
	meta:
		name = "?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 81
		refs = "003c __xmm@7fffffffffffffff7fffffffffffffff 0044 __real@3f1a36e2eb1c432d"
	strings:
		$1 = { 8B 41 10 0F 57 D2 83 F8 02 7C 2B F2 0F 10 09 F2 0F 10 51 08 66 0F 6E C0 FF C8 F2 0F 59 C9 F3 0F E6 C0 F2 0F 5E C8 66 0F 6E C0 F3 0F E6 C0 F2 0F 5C D1 F2 0F 5E D0 0F 28 C2 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 77 03 0F 57 D2 0F 28 C2 C3 }
	condition:
		$1
}

rule file_1249_52_0 {
	meta:
		name = "?VarianceMean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 33
		refs = "000a ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 66 0F 6E 4B 10 F3 0F E6 C9 F2 0F 5E C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1252_5_0 {
	meta:
		name = "_cprinput_s_l"
		size = 4007
		refs = "0022 __security_cookie 006f _errno 007a _invalid_parameter_noinfo 008b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b9 isspace 00d4 _getche_nolock 00ee _ungetch_nolock 0165 isdigit 04e1 __check_float_string 068e free 06cb __security_check_cookie 07bd _cfltcvt_tab 07c5 __imp_DecodePointer 0893 memset 0b1c isleadbyte 0b51 _mbtowc_l 0ccd isxdigit"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 90 FE FF FF 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 01 00 00 48 8D 75 00 4C 89 45 A8 4C 8B F1 48 89 74 24 78 33 F6 48 89 4C 24 58 8B C6 48 C7 45 A0 5E 01 00 00 89 75 84 66 89 75 80 89 74 24 3C 89 74 24 44 48 89 44 24 70 48 89 75 98 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 3A 06 00 00 48 8D 4D C0 E8 ?? ?? ?? ?? 41 8A 06 40 88 74 24 40 44 8B E6 89 74 24 34 44 8B EE 89 74 24 68 84 C0 0F 84 FF 05 00 00 41 83 CF FF 41 8D 5F 02 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 4B 44 2B E3 EB 05 BB 01 00 00 00 44 03 E3 44 89 64 24 34 E8 ?? ?? ?? ?? 8B D8 41 3B C7 74 13 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 DB 8B CB E8 ?? ?? ?? ?? BB 01 00 00 00 4C 03 F3 41 0F B6 0E E8 ?? ?? ?? ?? 85 C0 75 F0 E9 A2 0D 00 00 41 80 3E 25 0F 85 B0 0D 00 00 41 80 7E 01 25 0F 84 94 0D 00 00 4C 8B 64 24 58 33 C0 89 74 24 60 88 45 94 44 8A F0 44 8B F8 40 88 74 24 48 89 74 24 50 8B FE 44 8B EE 48 89 75 B0 40 88 74 24 54 40 88 74 24 41 40 88 74 24 30 88 5C 24 38 4C 03 E3 41 0F B6 1C 24 8B CB E8 ?? ?? ?? ?? 45 33 C9 85 C0 74 59 47 8D 6C AD 00 FF C7 45 8D 6D E8 46 8D 2C 6B BB 01 00 00 00 8A 54 24 30 40 84 F6 74 CD 89 7C 24 64 8B 7C 24 3C 4C 89 64 24 58 44 8A 64 24 48 44 89 7C 24 4C 84 D2 0F 85 06 01 00 00 48 8B 45 A8 48 89 45 98 48 83 C0 08 48 89 45 A8 48 8B 40 F8 48 89 45 88 E9 ED 00 00 00 83 FB 2A 0F 84 CC 00 00 00 83 FB 46 74 A8 83 FB 49 74 66 83 FB 4C 74 53 83 FB 4E 74 99 83 FB 68 74 3D 83 FB 6C 74 0F 83 FB 77 BB 01 00 00 00 74 26 E9 97 00 00 00 41 80 7C 24 01 6C BB 01 00 00 00 75 10 49 FF C4 44 03 FB 4C 89 4C 24 70 E9 68 FF FF FF 00 5C 24 38 44 02 F3 E9 5C FF FF FF FE 4C 24 38 41 FE CE E9 4B FF FF FF BB 01 00 00 00 00 5C 24 38 E9 42 FF FF FF 41 8A 44 24 01 3C 36 75 13 41 80 7C 24 02 34 75 0B 49 83 C4 02 BB 01 00 00 00 EB B1 3C 33 75 11 41 80 7C 24 02 32 75 09 49 83 C4 02 E9 0C FF FF FF 2C 58 3C 20 77 10 48 B9 01 10 82 00 01 00 00 00 48 0F A3 C1 72 CE BB 01 00 00 00 4C 89 4C 24 70 44 03 FB 40 02 F3 E9 E6 FE FF FF 8A 54 24 30 BB 01 00 00 00 02 D3 88 54 24 30 E9 D6 FE FF FF 4C 89 4D 88 48 8B 4C 24 58 41 8A D9 45 84 F6 75 19 8A 01 2C 43 24 EF F6 D8 B8 01 00 00 00 45 1A F6 41 80 E6 FE 44 02 F0 EB 05 B8 01 00 00 00 44 0F B6 39 41 83 CF 20 44 89 7D B8 41 83 FF 6E 74 61 41 83 FF 63 74 3C 41 83 FF 7B 74 36 8B 74 24 34 45 33 FF 41 8D 5F 01 03 F3 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 FF 74 0C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 E2 41 8A DF 44 8B 7D B8 89 74 24 34 EB 0F 01 44 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 FF FF 0F 84 2F 03 00 00 8A 54 24 30 45 33 C9 8B 74 24 64 85 F6 74 09 45 85 ED 0F 84 BA 0B 00 00 84 D2 75 54 41 8D 47 9D A9 E7 FF FF FF 75 49 41 BA 01 00 00 00 41 83 FF 6B 74 43 48 8B 45 98 48 8B 08 48 83 C0 08 4C 8B C0 48 89 45 98 48 83 C0 08 48 89 45 A8 8B 40 F8 48 89 4D 88 48 89 45 B0 49 3B C2 73 1D 33 F6 45 84 F6 0F 8E 7F 0B 00 00 66 89 31 E9 7A 0B 00 00 41 BA 01 00 00 00 4C 8B 45 98 41 83 FF 6F 0F 8F 33 04 00 00 0F 84 4C 08 00 00 41 83 FF 63 0F 84 01 04 00 00 41 83 FF 64 0F 84 38 08 00 00 0F 8E 41 04 00 00 41 83 FF 67 7E 5F 41 83 FF 69 74 40 41 83 FF 6E 0F 85 2B 04 00 00 44 8B 64 24 34 33 F6 41 8B C4 84 D2 75 1A 44 8B 74 24 4C 45 85 F6 0F 84 54 0A 00 00 48 8B 4D 88 48 8B 44 24 70 48 89 01 4C 8B 74 24 58 41 83 CF FF E9 65 0A 00 00 41 BF 64 00 00 00 83 FF 2D 0F 85 18 05 00 00 44 88 54 24 41 E9 13 05 00 00 49 8B D9 83 FF 2D 75 0D 48 8B 44 24 78 49 8B DA 40 88 38 EB 05 83 FF 2B 75 18 44 8B 64 24 34 45 2B EA 45 03 E2 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C EB 05 44 8B 64 24 34 85 F6 41 BF FF FF FF FF 40 0F B6 CF 45 0F 44 EF E8 ?? ?? ?? ?? 33 F6 45 8D 77 02 85 C0 74 59 41 8B C5 45 2B EE 85 C0 74 4F 48 8B 44 24 78 44 01 74 24 50 4C 8D 4D 00 40 88 3C 03 48 8D 45 84 49 03 DE 4C 8D 44 24 78 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 91 01 00 00 45 03 E6 E8 ?? ?? ?? ?? 0F B6 C8 8B F8 89 44 24 3C E8 ?? ?? ?? ?? EB A3 48 8B 45 C0 48 8B 88 F0 00 00 00 48 8B 01 40 8A 30 40 3A F7 0F 85 BA 00 00 00 41 8B C5 45 2B EE 45 33 F6 85 C0 0F 84 AC 00 00 00 41 BE 01 00 00 00 45 03 E6 E8 ?? ?? ?? ?? 4C 8D 4D 00 8B F8 89 44 24 3C 48 8B 44 24 78 40 88 34 03 48 8D 45 84 49 03 DE 4C 8D 44 24 78 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 33 F6 85 C0 0F 84 06 01 00 00 40 0F B6 CF EB 52 41 8B C5 45 2B EE 85 C0 74 51 48 8B 44 24 78 44 01 74 24 50 4C 8D 4D 00 40 88 3C 03 48 8D 45 84 49 03 DE 4C 8D 44 24 78 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 BF 00 00 00 45 03 E6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A5 45 33 F6 8B 74 24 50 85 F6 0F 84 8C 01 00 00 8D 47 BB BA 01 00 00 00 A9 DF FF FF FF 0F 85 7E 01 00 00 41 8B C5 44 2B EA 85 C0 0F 84 70 01 00 00 48 8B 44 24 78 4C 8D 4D 00 4C 8D 44 24 78 C6 04 03 65 48 03 DA 48 8D 45 84 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 45 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 2D 0F 85 9C 00 00 00 48 8B 44 24 78 4C 8D 4D 00 4C 8D 44 24 78 40 88 3C 03 48 8D 45 84 48 FF C3 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 73 33 F6 8B 5C 24 44 83 7D 84 01 75 0A 48 8B 4C 24 78 E8 ?? ?? ?? ?? 83 FB 01 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 8B 6C 24 68 40 38 75 D8 74 0B 48 8B 4D D0 83 A1 C8 00 00 00 FD 41 8B C5 48 8B 8D 60 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 02 00 00 48 81 C4 70 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 83 F8 2B 75 22 41 8B C5 B9 01 00 00 00 44 2B E9 85 C0 75 05 45 8B EE EB 0E 44 03 E1 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 56 41 8B C5 BA 01 00 00 00 44 2B EA 85 C0 74 4C 48 8B 44 24 78 03 F2 4C 8D 4D 00 40 88 3C 03 48 03 DA 48 8D 45 84 48 8D 55 A0 4C 8D 44 24 78 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 1B FF FF FF 41 FF C4 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 EB A1 BA 01 00 00 00 44 2B E2 44 89 64 24 34 41 3B FF 74 0C 8B CF E8 ?? ?? ?? ?? BA 01 00 00 00 85 F6 0F 84 E2 FE FF FF 33 F6 40 38 74 24 30 0F 85 EE 06 00 00 48 8B 74 24 78 01 54 24 68 33 C0 88 04 33 0F BE 5C 24 38 48 8B 0D ?? ?? ?? ?? 2B DA FF 15 ?? ?? ?? ?? 48 8B 55 88 4C 8D 4D C0 4C 8B C6 8B CB FF D0 4C 8B 74 24 58 E9 BE 06 00 00 85 F6 75 08 44 89 54 24 64 45 03 EA 45 84 F6 4C 8B 74 24 58 0F 8E 51 02 00 00 41 8A F2 E9 4C 02 00 00 41 83 FF 70 0F 84 01 04 00 00 41 83 FF 73 0F 84 23 02 00 00 41 83 FF 75 0F 84 01 04 00 00 41 83 FF 78 0F 84 17 FC FF FF 41 83 FF 7B 74 32 4C 8B 74 24 58 41 0F B6 06 3B C7 0F 85 06 07 00 00 44 8B 64 24 34 41 83 CF FF 33 F6 44 00 7C 24 40 84 D2 0F 85 47 06 00 00 4C 89 45 A8 E9 3E 06 00 00 8B 75 94 45 84 F6 4C 8B 74 24 58 40 0F B6 F6 41 0F 4F F2 4D 03 F2 41 80 3E 5E 75 08 49 FF C6 C6 44 24 54 FF 33 D2 48 8D 4D E0 44 8D 42 20 E8 ?? ?? ?? ?? 41 80 3E 5D 41 BB 01 00 00 00 75 0A 41 B4 5D 4D 03 F3 C6 45 EB 20 45 33 C9 41 8A 06 3C 5D 0F 84 9B 00 00 00 4D 03 F3 3C 2D 75 72 45 84 E4 74 6D 41 8A 0E 80 F9 5D 74 65 4D 03 F3 44 3A E1 73 05 44 8A C9 EB 06 45 8A CC 44 8A E1 45 3A E1 73 27 45 0F B6 D4 41 0F B6 CC 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 45 02 E3 D2 E2 4D 03 D3 42 08 54 05 E0 45 3A E1 72 DD 41 0F B6 C1 45 0F B6 C1 41 8B D3 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 E0 45 33 C9 45 8A E1 E9 7C FF FF FF 44 0F B6 C0 44 8A E0 0F B6 C0 83 E0 07 41 8B D3 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 E0 E9 5A FF FF FF 45 38 0E 0F 84 1D FD FF FF E9 EC 00 00 00 83 FF 2B 75 0C 45 2B EA 75 57 85 F6 74 53 41 8A DA 8B 74 24 34 83 FF 30 0F 85 DF 02 00 00 44 8D 77 D1 41 03 F6 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 C0 A8 A8 DF 74 6B 44 89 74 24 50 41 83 FF 78 74 33 8B 74 24 64 85 F6 74 08 45 2B EE 75 03 41 02 DE 41 BF 6F 00 00 00 E9 A0 02 00 00 8B 74 24 34 41 03 F2 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C EB 9C 41 2B F6 89 74 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 44 8B 74 24 4C BF 30 00 00 00 44 8B E6 8B 74 24 64 89 7C 24 3C E9 65 02 00 00 41 03 F6 89 74 24 34 E8 ?? ?? ?? ?? 8B 74 24 64 8B F8 89 44 24 3C 85 F6 74 0C 41 83 ED 02 45 3B EE 7D 03 41 02 DE 41 BF 78 00 00 00 E9 2A 02 00 00 0F B6 75 94 45 84 F6 4C 8B 74 24 58 41 0F 4F F2 EB 03 8B 75 94 8B 4C 24 34 48 8B 5D 88 41 B8 01 00 00 00 41 2B C8 89 4C 24 34 83 FF FF 74 11 8B CF E8 ?? ?? ?? ?? 8B 4C 24 34 41 B8 01 00 00 00 4C 8B 65 B0 41 83 FF 63 74 03 4D 2B E0 33 D2 39 54 24 64 74 0E 41 8B C5 45 2B E8 85 C0 0F 84 60 01 00 00 41 03 C8 89 4C 24 34 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 3C 41 83 FF 63 74 42 41 83 FF 73 75 11 8D 47 F7 83 F8 04 0F 86 D9 00 00 00 83 FF 20 75 2B 41 83 FF 7B 0F 85 CA 00 00 00 48 8B C7 8B D7 48 C1 F8 03 83 E2 07 0F BE 4C 05 E0 0F BE 44 24 54 33 C8 0F A3 D1 0F 83 A9 00 00 00 33 D2 38 54 24 30 0F 85 8B 00 00 00 4D 85 E4 0F 84 53 04 00 00 40 84 F6 74 64 40 0F B6 CF 40 88 7D 90 E8 ?? ?? ?? ?? 85 C0 74 0C FF 44 24 34 E8 ?? ?? ?? ?? 88 45 91 B8 3F 00 00 00 4C 8D 4D C0 48 8D 55 90 66 89 45 80 48 8B 45 C0 48 8D 4D 80 4C 63 80 D4 00 00 00 E8 ?? ?? ?? ?? 48 8B 55 88 0F B7 45 80 8B 4C 24 34 66 89 02 48 83 C2 02 48 89 55 88 41 B8 01 00 00 00 E9 0E FF FF FF 48 8B 45 88 41 B8 01 00 00 00 40 88 38 49 03 C0 4D 2B E0 48 89 45 88 EB 09 41 B8 01 00 00 00 49 03 D8 8B 4C 24 34 E9 E8 FE FF FF 44 8B 64 24 34 41 B8 01 00 00 00 45 2B E0 44 89 64 24 34 83 FF FF 74 0D 8B CF E8 ?? ?? ?? ?? 41 B8 01 00 00 00 33 D2 48 8B 45 88 48 3B D8 0F 84 A6 FA FF FF 38 54 24 30 0F 85 BC 02 00 00 44 01 44 24 68 41 83 FF 63 0F 84 AD 02 00 00 40 84 F6 74 11 33 F6 66 89 30 E9 36 F8 FF FF 44 8B 64 24 34 EB C4 33 F6 40 88 30 E9 25 F8 FF FF 44 8B 74 24 4C 44 88 54 24 38 4C 89 4C 24 70 45 03 F2 EB 05 44 8B 74 24 4C 83 FF 2D 75 07 44 88 54 24 41 EB 05 83 FF 2B 75 31 45 2B EA 75 09 85 F6 74 05 41 8A DA EB 23 44 8B 64 24 34 45 03 E2 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C EB 0E 8B 74 24 64 44 8B 74 24 4C 44 8B 64 24 34 45 85 F6 0F 84 F7 00 00 00 84 DB 0F 85 D0 00 00 00 33 DB 41 8D 47 90 A9 F7 FF FF FF 74 39 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 9E 00 00 00 41 83 FF 6F 75 14 83 FF 38 0F 8D 8F 00 00 00 48 8B 54 24 70 48 C1 E2 03 EB 4A 48 8B 54 24 70 48 8D 14 92 48 03 D2 EB 3C 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 67 48 C1 64 24 70 04 8B CE 40 0F BE DF E8 ?? ?? ?? ?? 8B 74 24 64 48 8B 54 24 70 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 33 DB 89 7C 24 3C 8D 47 D0 41 B8 01 00 00 00 44 01 44 24 50 48 63 C8 48 03 D1 48 89 54 24 70 85 F6 74 05 45 2B E8 74 31 45 03 E0 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 46 FF FF FF 41 FF CC 44 89 64 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 33 F6 40 38 74 24 41 0F 84 E6 00 00 00 48 F7 DA 48 89 54 24 70 E9 D9 00 00 00 8B 74 24 60 84 DB 0F 85 F8 00 00 00 33 DB 41 8D 47 90 A9 F7 FF FF FF 74 29 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 41 83 FF 6F 75 0A 83 FF 38 7D 7E C1 E6 03 EB 44 8D 04 B6 8D 34 00 EB 3C 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 62 8B 44 24 60 8B CE 40 0F BE DF C1 E0 04 89 44 24 60 E8 ?? ?? ?? ?? 8B 74 24 60 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 33 DB 89 7C 24 3C 83 C6 D0 B8 01 00 00 00 01 44 24 50 03 F7 89 74 24 60 39 5C 24 64 74 05 44 2B E8 74 30 44 03 E0 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 5B FF FF FF 41 FF CC 44 89 64 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 8B 74 24 60 38 5C 24 41 74 06 F7 DE 89 74 24 60 33 F6 8B 44 24 50 41 83 FF 46 0F 44 C6 85 C0 0F 84 23 F8 FF FF 40 38 74 24 30 0F 85 C9 F5 FF FF FF 44 24 68 8B 44 24 60 E9 A7 F5 FF FF 33 DB EB C3 8A 4C 24 38 4C 8B 74 24 58 41 83 CF FF 84 C9 48 8B 4D 88 74 04 89 01 EB 12 66 89 01 EB 0D 4C 8B 74 24 58 EB 06 41 83 CF FF 33 F6 BB 01 00 00 00 00 5C 24 40 4C 03 F3 4C 89 74 24 58 EB 5A 41 80 3E 25 75 0B 49 8D 46 01 80 38 25 4C 0F 44 F0 44 03 E3 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 0F B6 06 4C 03 F3 4C 89 74 24 58 3B C7 0F 85 A5 00 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 15 E8 ?? ?? ?? ?? 41 0F B6 0E 4C 03 F3 4C 89 74 24 58 3B C8 75 77 41 8A 06 84 C0 0F 84 64 F7 FF FF E9 96 F1 FF FF 83 FF FF 0F 84 54 F7 FF FF 8B CF E8 ?? ?? ?? ?? E9 48 F7 FF FF 40 88 31 E8 ?? ?? ?? ?? 8B DE C7 00 0C 00 00 00 E9 39 F7 FF FF 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? BB 01 00 00 00 33 F6 E9 21 F7 FF FF E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 40 84 F6 74 07 33 F6 66 89 33 EB 05 33 F6 40 88 33 8B D8 E9 FC F6 FF FF 41 3B C7 74 07 8B C8 E8 ?? ?? ?? ?? 41 3B FF 0F 84 E3 F6 FF FF 8B CF E8 ?? ?? ?? ?? E9 D7 F6 FF FF }
	condition:
		$1
}

rule file_1254_0_0 {
	meta:
		name = "_copysignf"
		size = 44
	strings:
		$1 = { F3 0F 11 44 24 08 BA 00 00 00 80 8B 4C 24 08 F3 0F 11 4C 24 08 8B 44 24 08 33 C1 85 C2 74 0C 33 CA 89 4C 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_1255_0_0 {
	meta:
		name = "pow"
		size = 5777
		refs = "001b __use_fma3_lib 0049 __exp_mant_mask 0059 __pos_one 0066 __sign_mask 0070 __pos_zero 00a3 __exp_mask 00c4 __ay_max_bound 00db __ay_min_bound 00fa __mask_1023 010a __real_mant 0112 __mask_1023_f 0126 __mask_mant_all8 012d __mask_mant9 0135 __real_one 0148 __real_notsign 015a __real_half 0169 __log_F_inv_head 0170 __log_F_inv_tail 0178 __real_threshold 01ad __log_256_lead 01b5 __real_1_over_6 01bd __real_1_over_3 01d9 __real_1_over_5 01e1 __real_1_over_2 01f5 __real_1_over_4 020d __real_log2_tail 0214 __log_256_tail 023c __real_log2_lead 0258 __real_fffffffff8000000 02d5 __real_64_by_log2 02ec __real_p65536 02fa __real_m68800 030b __two_to_jby64_head_table 0312 __two_to_jby64_tail_table 031e __real_log2_by_64_head 033b __real_log2_by_64_tail 0358 __real_1_by_2 0360 __real_1_by_24 0368 __real_1_by_720 0390 __real_1_by_6 039c __real_1_by_120 03b9 __denormal_threshold 03f7 __real_inf 0442 __enable_almost_inf 048d __denormal_tiny_threshold 04c4 __real_smallest_denormal 04e3 __real_zero 054a __mask_2045 0587 __exp_shift 0591 __exp_bias 05b0 __yexp_53 05b9 __mant_full 05cc __1_before_mant 05e7 __neg_zero 05f4 __neg_one 066f __real_1_over_7 078e __mant_mask 0834 __neg_qnan 083b __flag_x_neg_y_notint 0840 _pow_special 08c4 __pos_inf 08fa __flag_x_zero_z_inf 0916 __neg_inf 0a53 __flag_z_zero 0a62 __flag_z_inf 0ad8 __flag_x_nan 0b04 __flag_y_nan 0b26 __ind_pattern 0b6b __flag_x_nan_y_nan 0b93 __flag_z_denormal"
	strings:
		$1 = { 48 81 EC C8 00 00 00 66 0F 7F B4 24 80 00 00 00 66 0F 7F BC 24 90 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 7B 0B 00 00 66 66 0F 1F 84 00 00 00 00 00 F2 0F 11 44 24 10 F2 0F 11 4C 24 20 48 8B 54 24 10 4C 8B 44 24 20 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 0F 84 0A 07 00 00 4C 3B 05 ?? ?? ?? ?? 0F 84 0D 07 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 48 8B 05 ?? ?? ?? ?? 48 89 44 24 40 4C 3B 0D ?? ?? ?? ?? 0F 84 DA 04 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 BD 06 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 00 08 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 89 08 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8F 82 07 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8C CB 08 00 00 4D 33 C0 66 0F 6F D8 66 0F 73 D3 34 66 49 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 66 0F 6F D0 F3 0F E6 F3 66 0F DB 15 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 04 04 00 00 F2 0F 10 F8 4D 8B C8 4C 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? 49 D1 E1 4D 03 C1 4C 89 44 24 70 66 0F 54 3D ?? ?? ?? ?? F2 0F 10 4C 24 70 49 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 66 0F 2F 3D ?? ?? ?? ?? 0F 82 9E 04 00 00 F2 0F 5C CA F2 0F 10 E1 F2 43 0F 59 0C C1 F2 0F 10 E9 F2 42 0F 59 24 C2 F2 0F 10 FC F2 0F 58 CC F2 0F 10 D1 F2 0F 10 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 5C EA F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 FD F2 0F 59 DC F2 0F 58 CB F2 0F 58 CF F2 0F 10 2D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? F2 0F 59 EE F2 43 0F 10 04 C1 F2 0F 5C E9 F2 42 0F 10 1C C2 F2 0F 58 DD F2 0F 10 CB F2 0F 5C DA F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 FE F2 0F 58 C7 F2 0F 10 F8 F2 0F 58 C3 F2 0F 10 E8 66 0F 54 05 ?? ?? ?? ?? 48 8B 44 24 20 48 23 05 ?? ?? ?? ?? F2 0F 58 D3 F2 0F 5C FD F2 0F 5C CA F2 0F 58 FB F2 0F 5C E8 48 89 44 24 60 F2 0F 10 64 24 20 F2 0F 58 F9 F2 0F 58 FD F2 0F 10 54 24 60 F2 0F 5C E2 F2 0F 10 DC F2 0F 10 EF F2 0F 10 F0 F2 0F 59 DF F2 0F 59 E0 F2 0F 59 EA F2 0F 59 F2 F2 0F 10 CE F2 0F 58 DC F2 0F 58 DD F2 0F 58 CB F2 0F 10 C1 F2 0F 5C F1 F2 0F 58 F3 F2 0F 10 3D ?? ?? ?? ?? F2 0F 11 44 24 30 F2 0F 59 F8 48 8B 54 24 30 66 0F 2F 3D ?? ?? ?? ?? 0F 87 0A 02 00 00 66 0F 2F 3D ?? ?? ?? ?? 0F 82 DC 01 00 00 F2 0F E6 E7 4C 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F3 0F E6 CC F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 66 0F 7E E1 48 C7 C0 3F 00 00 00 23 C1 F2 0F 5C C2 F2 0F 59 0D ?? ?? ?? ?? F2 0F 10 D0 2B C8 C1 F9 06 F2 0F 58 D1 F2 0F 58 D6 F2 0F 10 CA F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 59 DA F2 0F 59 E2 F2 0F 10 E9 F2 0F 59 CA F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 D9 F2 0F 59 E5 45 33 C9 F2 0F 58 DC F2 0F 58 C3 3B 0D ?? ?? ?? ?? 44 0F 4E C9 48 81 C1 FF 03 00 00 48 C1 E1 34 F2 41 0F 10 2C C3 F2 41 0F 10 0C C2 F2 0F 59 E8 F2 0F 59 C8 F2 41 0F 58 2C C3 F2 0F 58 CD F2 41 0F 58 0C C2 F2 0F 10 C1 48 3B 0D ?? ?? ?? ?? 74 33 48 89 4C 24 30 45 85 C9 75 49 F2 0F 59 44 24 30 66 0F 56 44 24 40 66 0F 6F BC 24 90 00 00 00 66 0F 6F B4 24 80 00 00 00 48 81 C4 C8 00 00 00 C3 0F 1F 00 66 0F 2F 05 ?? ?? ?? ?? 0F 83 C2 00 00 00 66 0F 56 05 ?? ?? ?? ?? 66 0F 56 44 24 40 EB C5 66 90 41 8B C9 45 33 DB 66 0F 2F 05 ?? ?? ?? ?? 44 0F 43 D9 44 3B 1D ?? ?? ?? ?? 75 15 F2 0F 59 44 24 30 66 0F 56 44 24 40 EB 9A 0F 1F 80 00 00 00 00 4D 33 C0 49 C7 C1 01 00 00 00 48 3B 15 ?? ?? ?? ?? 7F 2D 81 C1 32 04 00 00 49 0F 48 C8 49 D3 E1 49 8B C9 48 89 4C 24 30 F2 0F 59 44 24 30 66 0F 56 44 24 40 E9 C7 06 00 00 0F 1F 80 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 56 44 24 40 E9 AD 06 00 00 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 1D ?? ?? ?? ?? 4C 0B 5C 24 40 E9 5F 05 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 1D ?? ?? ?? ?? 4C 0B 5C 24 40 E9 3F 05 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 49 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 C5 FB FF FF 66 0F 1F 84 00 00 00 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8F D9 02 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4D 8B DA 48 8B 0D ?? ?? ?? ?? 49 D3 EA 4C 2B 15 ?? ?? ?? ?? 0F 88 65 02 00 00 48 8B 05 ?? ?? ?? ?? 48 23 C2 48 89 44 24 50 49 8B CA 4C 3B 15 ?? ?? ?? ?? 7F 2E 4C 8B 0D ?? ?? ?? ?? 49 D3 E9 4D 23 CB 0F 85 37 02 00 00 4C 8B 0D ?? ?? ?? ?? 49 D3 E9 4D 23 CB 74 0C 48 8B 05 ?? ?? ?? ?? 48 89 44 24 40 48 3B 15 ?? ?? ?? ?? 0F 84 AF 02 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 B2 01 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 2B 03 00 00 F2 0F 10 44 24 50 E9 C5 FA FF FF F2 0F 10 C1 F2 0F 5C CA F2 0F 10 E1 F2 43 0F 10 1C C1 F2 42 0F 58 1C C2 F2 0F 59 E3 66 0F 54 25 ?? ?? ?? ?? F2 0F 10 EC F2 0F 59 E0 F2 0F 5C CC F2 0F 59 CB F2 0F 10 F9 F2 0F 58 CD F2 0F 10 D1 F2 0F 10 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 C8 F2 0F 59 DC F2 0F 10 D5 F2 0F 10 C7 F2 0F 59 C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 EF F2 0F 58 E8 F2 0F 58 EF F2 0F 10 C2 F2 0F 10 FA F2 0F 59 C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 E0 F2 0F 58 D0 F2 0F 5C FA F2 0F 58 FC F2 0F 58 DF F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 E6 48 8D 15 ?? ?? ?? ?? F2 0F 58 CD F2 42 0F 58 24 C2 F2 0F 5C E1 F2 0F 10 DC F2 0F 10 CC F2 0F 5C DA F2 43 0F 10 04 C1 F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 FE F2 0F 58 C7 E9 F9 FA FF FF 90 E9 BE FC FF FF 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 A6 FC FF FF 0F 1F 00 48 33 C0 4C 8B DA 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 48 0F 44 C2 4C 8B 0D ?? ?? ?? ?? 4C 23 C8 0F 85 05 03 00 00 66 48 0F 6E C2 E9 6E FC FF FF 66 66 66 0F 1F 84 00 00 00 00 00 48 8B 15 ?? ?? ?? ?? 48 0B 54 24 40 48 33 C0 4D 8B D8 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 0F 85 09 03 00 00 66 48 0F 6E C2 E9 22 FC FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 29 01 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 7C 00 00 00 F2 0F 10 44 24 10 F2 0F 10 4C 24 20 F2 0F 10 15 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CA FB FF FF 0F 1F 80 00 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 D9 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 74 2D 48 3B 15 ?? ?? ?? ?? 0F 84 30 FF FF FF 4C 8B CA 4C 23 0D ?? ?? ?? ?? 4C 3B 0D ?? ?? ?? ?? 0F 8C 39 01 00 00 E9 54 01 00 00 0F 1F 40 00 4C 8B 15 ?? ?? ?? ?? 48 33 C0 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 74 5A 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 48 0F 45 05 ?? ?? ?? ?? 75 16 66 48 0F 6E C0 66 0F 56 44 24 40 E9 39 FB FF FF 66 0F 1F 44 00 00 F2 0F 10 44 24 10 F2 0F 10 4C 24 20 66 48 0F 6E D0 66 0F 56 54 24 40 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0B FB FF FF 0F 1F 84 00 00 00 00 00 4D 8B D8 4C 3B 05 ?? ?? ?? ?? 48 0F 44 05 ?? ?? ?? ?? 74 BC 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 0F 85 BC 01 00 00 66 48 0F 6E C0 E9 D5 FA FF FF 66 90 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 44 1D ?? ?? ?? ?? 48 8B C2 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 0F 45 D8 0F 85 34 01 00 00 48 33 C0 4D 8B C8 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 4D 0F 45 D9 0F 85 55 01 00 00 66 49 0F 6E C3 66 0F 56 44 24 40 E9 68 FA FF FF 0F 1F 44 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 E9 52 FA FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 45 1D ?? ?? ?? ?? EB 29 66 0F 1F 84 00 00 00 00 00 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 44 1D ?? ?? ?? ?? 66 66 66 0F 1F 84 00 00 00 00 00 48 33 C0 4D 8B C8 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 4D 0F 45 D9 0F 85 B1 00 00 00 48 85 C0 75 4C 66 66 66 66 0F 1F 84 00 00 00 00 00 44 8B 0D ?? ?? ?? ?? 4C 85 1D ?? ?? ?? ?? 44 0F 45 0D ?? ?? ?? ?? F2 0F 10 44 24 10 F2 0F 10 4C 24 20 66 49 0F 6E D3 E8 ?? ?? ?? ?? E9 92 F9 FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 49 0F 6E C3 E9 79 F9 FF FF 66 0F 1F 44 00 00 48 33 C0 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 75 5C F2 0F 10 44 24 10 F2 0F 10 4C 24 20 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2D F9 FF FF 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 44 24 10 F2 0F 10 4C 24 20 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 F9 FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4D 8B C8 4C 3B 1D ?? ?? ?? ?? 4D 0F 44 D9 74 27 4C 3B 0D ?? ?? ?? ?? 4D 0F 44 CB 4D 8B D1 4C 23 15 ?? ?? ?? ?? 4D 0F 45 CB 4D 8B D3 4C 23 15 ?? ?? ?? ?? 4D 0F 45 D9 F2 0F 10 44 24 10 F2 0F 10 4C 24 20 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A F8 FF FF 0F 1F 80 00 00 00 00 F2 0F 10 D0 F2 0F 10 44 24 10 F2 0F 10 4C 24 20 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 72 F8 FF FF C5 FB 11 44 24 10 C5 FB 11 4C 24 20 48 8B 54 24 10 4C 8B 44 24 20 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 0F 84 79 06 00 00 4C 3B 05 ?? ?? ?? ?? 0F 84 7C 06 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 44 24 40 0F 84 59 04 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 2C 06 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 6F 07 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 18 08 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8F F1 06 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8C 5A 08 00 00 C5 E1 73 D0 34 C4 C1 F9 7E C0 C5 E1 FB 1D ?? ?? ?? ?? C5 FA E6 F3 C5 F9 DB 15 ?? ?? ?? ?? C5 F9 2F 35 ?? ?? ?? ?? 0F 84 8E 03 00 00 4D 8B C8 4C 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? C5 FB 5C 3D ?? ?? ?? ?? 49 D1 E1 4D 03 C1 C4 C1 F9 6E C8 C5 C1 54 3D ?? ?? ?? ?? 49 C1 E8 2C C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? C5 F9 2F 3D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 0F 82 32 04 00 00 C5 F3 5C E2 C4 81 5B 59 0C C1 C5 F9 28 E9 C4 A1 5B 59 24 C2 C5 F9 28 FC C5 F3 58 CC C5 F9 28 D1 C5 F9 28 C1 4C 8D 0D ?? ?? ?? ?? C5 D3 5C DA C5 FB 10 0D ?? ?? ?? ?? C5 FB 59 C0 C5 E3 58 DF C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 E9 A9 0D ?? ?? ?? ?? C4 E2 F9 A9 CB C5 FB 10 2D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? C4 E2 C9 AB E9 C4 81 7B 10 04 C1 C4 A1 53 58 1C C2 C5 F9 28 CB C5 E3 5C DA C4 E2 C9 B9 05 ?? ?? ?? ?? C5 F9 28 F8 C5 FB 58 C3 C5 F9 28 E8 C5 F9 54 05 ?? ?? ?? ?? 48 8B 44 24 20 48 23 05 ?? ?? ?? ?? C5 EB 58 D3 C5 C3 5C FD C5 F3 5C CA C5 C3 58 FB C5 D3 5C E8 48 89 44 24 60 C5 FB 10 64 24 20 C5 C3 58 F9 C5 C3 58 FD C5 FB 10 54 24 60 C5 DB 5C E2 C5 DB 59 DF C5 DB 59 E0 C5 C3 59 EA C5 FB 59 F2 C5 F9 28 CE C5 E3 58 DC C5 E3 58 DD C5 F3 58 CB C5 F9 28 C1 C5 CB 5C F1 C5 CB 58 F3 C5 FB 11 44 24 30 C5 FB 59 3D ?? ?? ?? ?? 48 8B 54 24 30 C5 F9 2F 3D ?? ?? ?? ?? 0F 87 DB 01 00 00 C5 F9 2F 3D ?? ?? ?? ?? 0F 82 AD 01 00 00 C5 FB E6 E7 4C 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? C5 FA E6 CC C4 E2 F1 BD 05 ?? ?? ?? ?? C5 F9 7E E1 48 C7 C0 3F 00 00 00 23 C1 C5 F3 59 0D ?? ?? ?? ?? C5 F9 28 D0 2B C8 C1 F9 06 C5 EB 58 D1 C5 EB 58 D6 C5 F9 28 CA C5 FB 10 05 ?? ?? ?? ?? 45 33 C9 C4 E2 E9 A9 05 ?? ?? ?? ?? 3B 0D ?? ?? ?? ?? C4 E2 E9 A9 05 ?? ?? ?? ?? 44 0F 4E C9 C4 E2 E9 A9 05 ?? ?? ?? ?? 48 81 C1 FF 03 00 00 C4 E2 E9 A9 05 ?? ?? ?? ?? 48 C1 E1 34 C4 E2 E9 A9 05 ?? ?? ?? ?? C5 FB 59 C2 C4 C1 7B 59 2C C3 C4 C1 7B 59 0C C2 48 3B 0D ?? ?? ?? ?? C4 C1 53 58 2C C3 C5 F3 58 CD C4 C1 73 58 0C C2 C5 F9 28 C1 74 3A 45 85 C9 48 89 4C 24 30 75 50 C5 FB 59 44 24 30 C5 F9 56 44 24 40 C5 F9 6F BC 24 90 00 00 00 C5 F9 6F B4 24 80 00 00 00 48 81 C4 C8 00 00 00 C3 66 66 0F 1F 84 00 00 00 00 00 C5 F9 2F 05 ?? ?? ?? ?? 0F 83 C2 00 00 00 C5 F9 56 05 ?? ?? ?? ?? C5 F9 56 44 24 40 EB BE 66 90 41 8B C9 45 33 DB C5 F9 2F 05 ?? ?? ?? ?? 44 0F 43 D9 44 3B 1D ?? ?? ?? ?? 75 15 C5 FB 59 44 24 30 C5 F9 56 44 24 40 EB 93 0F 1F 80 00 00 00 00 4D 33 C0 48 3B 15 ?? ?? ?? ?? 49 C7 C1 01 00 00 00 7F 2D 81 C1 32 04 00 00 49 0F 48 C8 49 D3 E1 49 8B C9 48 89 4C 24 30 C5 FB 59 44 24 30 C5 F9 56 44 24 40 E9 C7 06 00 00 0F 1F 80 00 00 00 00 C5 FB 10 05 ?? ?? ?? ?? C5 F9 56 44 24 40 E9 AD 06 00 00 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 1D ?? ?? ?? ?? 4C 0B 5C 24 40 E9 5F 05 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 1D ?? ?? ?? ?? 4C 0B 5C 24 40 E9 3F 05 00 }
	condition:
		$1
}

rule file_1256_0_0 {
	meta:
		name = "wcsncpy"
		size = 70
	strings:
		$1 = { 48 89 7C 24 08 33 FF 4C 8B C9 4D 85 C0 74 2E 48 2B D1 0F B7 04 0A 66 89 01 48 83 C1 02 66 85 C0 74 05 49 FF C8 75 EB 4D 85 C0 74 11 49 FF C8 74 0C 0F B7 C7 48 8B F9 49 8B C8 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_1257_0_0 {
	meta:
		name = "__wcserror"
		size = 392
		refs = "001c _getptd_noexit 005a _calloc_crt 0089 wcsncat_s 0098 ??_C@_15ELOONFKJ@?$AA?3?$AA?5?$AA?$AA@ 00a3 wcscat_s 00b0 _errno 00bb __sys_nerr 00cb __sys_errlist 00da wcslen 010e mbstowcs_s 0119 ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 0144 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 48 8B D9 E8 ?? ?? ?? ?? 33 ED 4C 8B F0 48 85 C0 75 1B 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 41 BF 86 00 00 00 48 39 68 40 75 16 BA 02 00 00 00 41 8B CF E8 ?? ?? ?? ?? 49 89 46 40 48 85 C0 74 C3 4D 8B 76 40 66 41 89 2E 48 85 DB 74 3B 66 39 2B 74 36 41 B9 82 00 00 00 4C 8B C3 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 B4 00 00 00 4C 8D 05 ?? ?? ?? ?? 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 85 00 00 00 E8 ?? ?? ?? ?? 8B 18 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 48 8B 34 C8 49 8B CE E8 ?? ?? ?? ?? BF 84 00 00 00 49 8B CE 48 2B F8 E8 ?? ?? ?? ?? 49 8B DF 49 8B CE 48 2B D8 E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8D 14 46 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 5D 4C 8D 05 ?? ?? ?? ?? 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 85 C0 75 32 49 8B C6 E9 F8 FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1257_1_0 {
	meta:
		name = "__wcserror_s"
		size = 238
		refs = "0025 _errno 0031 _invalid_parameter_noinfo 0050 wcslen 0067 wcscpy_s 0072 ??_C@_15ELOONFKJ@?$AA?3?$AA?5?$AA?$AA@ 007d wcscat_s 00ab _wcserror_s 00d4 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 49 8B D8 48 8B FA 48 8B F1 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 76 48 85 D2 74 E6 66 89 29 48 85 DB 74 3F 66 41 39 28 74 39 48 8B CB E8 ?? ?? ?? ?? 48 8D 4F F9 48 3B C1 73 28 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 6A 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 3F E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 8B CE 48 2B F8 E8 ?? ?? ?? ?? 44 8B 03 48 8D 0C 46 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1261_5_0 {
	meta:
		name = "x64tow_s"
		size = 273
		refs = "0028 _errno 0034 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 41 8B F1 49 8B F8 4C 8B D2 4C 8B D9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 BD 00 00 00 4D 85 C0 74 E3 66 89 2A 8B 54 24 50 8B C2 F7 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C8 8D 46 FE BB 22 00 00 00 3B C3 77 B2 48 8B CD 4D 8B C2 85 D2 74 11 8D 43 0B 4D 8D 42 02 8D 4B DF 66 41 89 02 49 F7 DB 4D 8B C8 33 D2 49 8B C3 48 F7 F6 4C 8B D8 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 10 48 FF C1 49 83 C0 02 48 85 C0 74 05 48 3B CF 72 D1 48 3B CF 72 0E 66 41 89 2A E8 ?? ?? ?? ?? E9 5C FF FF FF 66 41 89 28 49 83 E8 02 41 0F B7 01 41 0F B7 08 66 41 89 00 66 41 89 09 49 83 C1 02 49 83 E8 02 4D 3B C8 72 E3 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1261_6_0 {
	meta:
		name = "xtow_s"
		size = 272
		refs = "0028 _errno 0034 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 41 8B F1 49 8B F8 4C 8B D2 44 8B D9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 BC 00 00 00 4D 85 C0 74 E3 66 89 2A 8B 54 24 50 8B C2 F7 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C8 41 8D 41 FE BB 22 00 00 00 3B C3 77 B1 48 8B CD 4D 8B C2 85 D2 74 11 8D 43 0B 4D 8D 42 02 8D 4B DF 66 41 89 02 41 F7 DB 4D 8B C8 33 D2 41 8B C3 F7 F6 44 8B D8 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 10 48 FF C1 49 83 C0 02 85 C0 74 05 48 3B CF 72 D3 48 3B CF 72 0E 66 41 89 2A E8 ?? ?? ?? ?? E9 5D FF FF FF 66 41 89 28 49 83 E8 02 41 0F B7 01 41 0F B7 08 66 41 89 00 66 41 89 09 49 83 C1 02 49 83 E8 02 4D 3B C8 72 E3 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1263_0_0 {
	meta:
		name = "tan"
		size = 1376
		refs = "0015 __use_fma3_lib 0033 L_piby4_lead 003c L_two_to_neg_13 0045 L_two_to_neg_27 0056 _set_statfp 007d L_point_333 00bb L_inf_mask_64 00c2 _tan_special 00f1 L_sign_mask 00f9 L_moderate_arg_cw 0167 L_twobypi 016f L_point_five 018b L_piby2_1 0193 L_piby2_1tail 01bf L_piby2_2 01c7 L_piby2_2tail 01ee L_piby2_3 01f6 L_piby2_3tail 0232 L_signbit 0259 __remainder_piby2_forAsm 0296 L_piby4_tail 02a6 L_point_68 02b0 L_one 02c4 L_n_point_68 02ce L_n_one 02de L_tan_q6 02e6 L_tan_p4 02f3 L_tan_q4 02fc L_tan_p2 0305 L_tan_q2 030e L_tan_p0 0317 L_tan_q0 032c L_zero 034b L_two 038b L_moderate_arg_bdl 0396 __remainder_piby2_fma3_bdl 04cb L_half_mask 0531 __remainder_piby2_fma3"
	strings:
		$1 = { 48 81 EC 88 00 00 00 66 0F 7F 74 24 20 66 0F 7F 7C 24 30 83 3D ?? ?? ?? ?? 00 0F 85 50 02 00 00 66 48 0F 7E C2 0F 28 F0 48 8B CA 48 0F BA F1 3F 48 3B 0D ?? ?? ?? ?? 77 7F 48 3B 0D ?? ?? ?? ?? 73 57 48 3B 0D ?? ?? ?? ?? 73 26 48 85 C9 74 54 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 F2 0F 59 C0 F2 0F 59 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C6 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 0F 57 C9 45 33 C0 E8 BC 04 00 00 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 48 3B 0D ?? ?? ?? ?? 72 1F E8 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 66 0F 1F 44 00 00 45 33 C0 4D 33 D2 48 3B CA 41 0F 95 C2 66 0F 54 35 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 0F 86 49 01 00 00 48 8B D1 48 B8 5E 38 55 29 7A 6A 0F 40 48 C1 EA 34 48 3B C8 77 16 48 B8 D2 21 33 7F 7C D9 02 40 48 3B C8 41 0F 97 C0 41 FF C0 EB 45 48 B8 BB B2 CC BE 3A 46 1C 40 48 3B C8 77 1E 48 B8 75 A7 BB E9 BB FD 15 40 48 3B C8 41 0F 97 C0 41 83 C0 03 EB 1F 0F 1F 80 00 00 00 00 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 44 0F 2C C0 66 41 0F 6E D8 F3 0F E6 DB 0F 28 D3 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 66 48 0F 7E F0 48 C1 E8 34 25 FF 07 00 00 48 2B D0 48 83 FA 0F 76 58 0F 28 CE 0F 28 C3 0F 28 D3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 5C CE F2 0F 5C C8 F2 0F 5C D1 48 83 FA 30 76 29 0F 28 CE 0F 28 C3 0F 28 D3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 5C CE F2 0F 5C C8 F2 0F 5C D1 0F 28 C6 41 83 E0 03 F2 0F 5C C2 F2 0F 5C F0 F2 0F 5C F2 41 83 E0 01 0F 28 CE E8 37 03 00 00 45 85 D2 74 08 66 0F 57 05 ?? ?? ?? ?? 66 0F 6F 7C 24 30 66 0F 6F 74 24 20 48 81 C4 88 00 00 00 C3 66 0F 1F 44 00 00 0F 28 C6 4C 89 54 24 50 E8 ?? ?? ?? ?? 4C 8B 54 24 50 66 0F 28 F1 44 8B C0 EB B2 0F 1F 44 00 00 C4 C1 F9 7E C1 49 8B D1 49 0F BA F1 3F 4C 3B 0D ?? ?? ?? ?? 0F 83 E6 00 00 00 C5 FB 10 2D ?? ?? ?? ?? C5 FB 10 35 ?? ?? ?? ?? C5 F1 57 C9 C5 C1 57 FF 66 0F 2F 05 ?? ?? ?? ?? 76 14 C5 FB 10 3D ?? ?? ?? ?? C5 D3 5C C0 C5 FB 58 C6 EB 1C 66 90 66 0F 2F 05 ?? ?? ?? ?? 73 10 C5 FB 10 3D ?? ?? ?? ?? C5 D3 58 C0 C5 FB 58 C6 C5 FB 10 25 ?? ?? ?? ?? C5 FB 10 1D ?? ?? ?? ?? C5 FB 59 D0 C4 E2 E9 A9 25 ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 25 ?? ?? ?? ?? C4 E2 E9 A9 1D ?? ?? ?? ?? C4 E2 E9 A9 25 ?? ?? ?? ?? C5 E3 5E DC C5 E3 59 DA C4 E2 F9 99 C3 66 0F 2F 3D ?? ?? ?? ?? 74 21 C5 FB 10 1D ?? ?? ?? ?? C5 FB 58 25 ?? ?? ?? ?? C5 FB 5E F4 C4 E2 C9 BD 1D ?? ?? ?? ?? C5 E3 59 C7 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 81 C4 88 00 00 00 C3 66 0F 1F 84 00 00 00 00 00 4C 3B 0D ?? ?? ?? ?? 0F 83 BD 01 00 00 C5 F9 29 44 24 40 C4 C1 F9 6E C1 4C 3B 0D ?? ?? ?? ?? 0F 8D 9B 01 00 00 E8 ?? ?? ?? ?? C5 FB 10 2D ?? ?? ?? ?? C5 FB 10 35 ?? ?? ?? ?? C5 C1 57 FF C5 F9 2F 05 ?? ?? ?? ?? 76 28 C5 FB 10 3D ?? ?? ?? ?? C5 D3 5C C0 C5 CB 5C D1 C5 FB 58 C2 C5 F0 57 C9 EB 30 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F9 2F 05 ?? ?? ?? ?? 73 18 C5 FB 10 3D ?? ?? ?? ?? C5 D3 58 C0 C5 CB 58 D1 C5 FB 58 C2 C5 F0 57 C9 C5 FB 59 D0 C5 F3 59 E8 C4 E2 E9 99 2D ?? ?? ?? ?? C5 FB 10 15 ?? ?? ?? ?? C4 E2 D1 A9 15 ?? ?? ?? ?? C4 E2 D1 A9 15 ?? ?? ?? ?? C5 FB 10 25 ?? ?? ?? ?? C4 E2 D1 A9 25 ?? ?? ?? ?? C4 E2 D1 A9 25 ?? ?? ?? ?? C4 E2 D1 A9 25 ?? ?? ?? ?? C5 EB 5E D4 C5 EB 59 D5 C4 E2 F9 A9 D1 C5 FB 58 CA C5 C9 57 F6 C5 F9 2F FE 74 55 C5 F3 58 F1 C5 FB 10 25 ?? ?? ?? ?? C5 F3 58 D4 C5 F3 5C EC 48 0F BA E0 00 72 1A C5 F3 58 D4 C5 F3 5E D2 C4 E2 D9 9D 15 ?? ?? ?? ?? C5 EB 59 CF EB 65 0F 1F 00 C5 F3 5C D4 C5 F3 5E D2 C4 E2 D9 9B 15 ?? ?? ?? ?? C5 EB 59 CF EB 4B 66 0F 1F 84 00 00 00 00 00 48 0F BA E0 00 73 3B C5 F1 54 3D ?? ?? ?? ?? C5 C3 5C E0 C5 EB 5C E4 C5 FB 10 15 ?? ?? ?? ?? C5 EB 5E D1 C5 E9 54 2D ?? ?? ?? ?? C4 E2 D1 A9 3D ?? ?? ?? ?? C4 E2 D9 B9 FD C4 E2 E9 A9 FD C5 F9 28 CF C5 F9 28 C1 C5 F9 28 4C 24 40 C5 F1 54 0D ?? ?? ?? ?? C5 F9 57 C1 C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 81 C4 88 00 00 00 C3 0F 1F 40 00 E8 ?? ?? ?? ?? E9 60 FE FF FF E8 ?? ?? ?? ?? C5 F9 6F 7C 24 30 C5 F9 6F 74 24 20 48 81 C4 88 00 00 00 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1263_1_0 {
	meta:
		name = "_tan_piby4"
		size = 472
		refs = "0010 L_point_68 0020 L_piby4_lead 0031 L_piby4_tail 0049 L_n_point_68 0090 L_tan_p4 0098 L_tan_q6 00a4 L_tan_p2 00b0 L_tan_p0 00bc L_tan_q4 00cc L_tan_q2 00d8 L_tan_q0 00f8 L_one 015e L_n_one"
	strings:
		$1 = { 48 83 EC 48 66 0F 7F 74 24 30 33 C0 66 0F 2F 05 ?? ?? ?? ?? 0F 28 D9 0F 28 F0 76 29 F2 0F 10 15 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5C D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C1 0F 28 F2 F2 0F 58 F0 0F 57 DB EB 28 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 76 1A F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? 83 C8 FF F2 0F 58 F3 0F 57 DB 0F 28 C6 0F 28 D6 F2 0F 59 C6 F2 0F 58 D2 F2 0F 59 D3 F2 0F 58 D0 0F 28 C2 0F 28 EA 0F 28 CA F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C6 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E E8 F2 0F 58 EB 85 C0 74 6D F2 0F 58 EE 45 85 C0 74 32 0F 28 C5 F2 0F 5C 2D ?? ?? ?? ?? 66 0F 6E C8 F2 0F 58 C0 F2 0F 5E C5 F3 0F E6 C9 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C1 66 0F 6F 74 24 30 48 83 C4 48 C3 F2 0F 10 05 ?? ?? ?? ?? 0F 28 CD F2 0F 58 E8 F2 0F 58 C9 F2 0F 5E CD F2 0F 5C C1 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 C1 66 0F 6F 74 24 30 48 83 C4 48 C3 45 85 C0 74 6C F2 0F 10 25 ?? ?? ?? ?? 0F 28 C5 48 B9 00 00 00 00 FF FF FF FF F2 0F 58 C6 66 48 0F 7E C0 F2 0F 5E E0 48 23 C1 66 48 0F 6E D8 0F 28 CB F2 0F 5C CE 66 48 0F 7E E0 F2 0F 5C E9 48 23 C1 66 48 0F 6E D0 0F 28 C2 F2 0F 59 EA F2 0F 59 C3 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C5 F2 0F 59 C4 F2 0F 58 C2 66 0F 6F 74 24 30 48 83 C4 48 C3 F2 0F 58 EE 0F 28 C5 66 0F 6F 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1264_0_0 {
	meta:
		name = "_locking"
		size = 280
		refs = "002a __doserrno 0033 _errno 004e _nhandle 0065 __pioinfo 00a3 __lock_fhandle 00be _locking_nolock 00de _unlock_fhandle 00f9 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 89 4C 24 08 57 41 54 41 55 41 56 41 57 48 83 EC 20 41 8B F0 44 8B FA 48 63 F9 83 FF FE 75 19 E8 ?? ?? ?? ?? 33 DB 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 BB 00 00 00 33 DB 85 C9 0F 88 9A 00 00 00 3B 3D ?? ?? ?? ?? 0F 83 8E 00 00 00 48 8B C7 4C 8B F7 49 C1 FE 05 4C 8D 2D ?? ?? ?? ?? 83 E0 1F 4C 6B E0 58 4B 8B 44 F5 00 42 0F BE 4C 20 08 83 E1 01 74 66 8B C3 45 85 C0 0F 99 C0 85 C0 75 14 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 58 8B CF E8 ?? ?? ?? ?? 90 4B 8B 44 F5 00 42 F6 44 20 08 01 74 11 44 8B C6 41 8B D7 8B CF E8 ?? ?? ?? ?? 8B D8 EB 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 89 18 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_1264_2_0 {
	meta:
		name = "_locking_nolock"
		size = 282
		refs = "003a _lseeki64_nolock 006c _get_osfhandle 008b __imp_UnlockFileEx 00a6 __imp_LockFileEx 00b0 __imp_GetLastError 00c4 __crtSleep 00dd _dosmaperr 00e7 _errno 00f2 __doserrno"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 50 49 83 63 D8 00 33 C0 45 8B F0 8B F2 44 8D 40 01 33 D2 8B E9 49 89 43 E0 49 89 43 E8 49 89 43 F0 E8 ?? ?? ?? ?? 48 83 F8 FF 75 08 83 C8 FF E9 B3 00 00 00 89 44 24 40 48 C1 F8 20 89 44 24 44 8D 46 FF 83 E0 FD F7 D8 1B FF F7 D7 83 E7 09 8B CD 33 DB E8 ?? ?? ?? ?? 48 8B C8 48 8D 44 24 30 85 F6 75 15 45 33 C9 45 8B C6 33 D2 48 89 44 24 20 FF 15 ?? ?? ?? ?? EB 19 45 33 C0 48 89 44 24 28 21 5C 24 20 41 8D 50 03 45 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? 8B D8 85 FF 7E 12 85 DB 74 3F B9 E8 03 00 00 E8 ?? ?? ?? ?? FF CF EB 9B 85 DB 74 2D 8D 46 FF A9 FD FF FF FF 74 0C 8B CB E8 ?? ?? ?? ?? E9 5E FF FF FF E8 ?? ?? ?? ?? C7 00 24 00 00 00 E8 ?? ?? ?? ?? 89 18 E9 47 FF FF FF 33 C0 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_1265_0_0 {
	meta:
		name = "wcscat_s"
		size = 133
		refs = "0020 _errno 002c _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 4C 8B C9 48 85 C9 74 0E 48 85 D2 74 09 4D 85 C0 75 1D 66 44 89 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 66 44 39 11 74 09 48 83 C1 02 48 FF CA 75 F1 48 85 D2 75 06 66 45 89 11 EB CD 49 2B C8 41 0F B7 00 66 42 89 04 01 4D 8D 40 02 66 85 C0 74 05 48 FF CA 75 E9 48 85 D2 75 10 66 45 89 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB A8 33 C0 EB AD }
	condition:
		$1
}

rule file_1267_0_0 {
	meta:
		name = "__avx_cosf8"
		size = 2768
		refs = "007f __common_scos_data 020d __common_scos_cout_rare 0242 __common_scos_reduction_data"
	strings:
		$1 = { 53 56 41 56 48 81 EC C0 02 00 00 33 DB C5 7C 11 BC 24 E0 01 00 00 C5 7C 11 B4 24 A0 02 00 00 C5 7C 11 AC 24 80 01 00 00 C5 7C 11 A4 24 A0 01 00 00 C5 7C 11 9C 24 C0 01 00 00 C5 7C 11 94 24 40 02 00 00 C5 7C 11 8C 24 20 02 00 00 C5 7C 11 84 24 80 02 00 00 C5 FC 11 BC 24 60 02 00 00 C5 FC 11 B4 24 00 02 00 00 C5 C9 EF F6 4C 89 AC 24 D8 00 00 00 4C 8D AC 24 1F 01 00 00 C5 FC 54 2D ?? ?? ?? ?? 49 83 E5 C0 C5 D4 C2 0D ?? ?? ?? ?? 1E C4 E3 7D 19 CA 01 C5 F1 6B DA C5 E1 63 E6 C5 F9 D7 C4 84 C0 0F 85 69 01 00 00 C5 FC 58 0D ?? ?? ?? ?? C5 FC 10 3D ?? ?? ?? ?? C5 F4 59 15 ?? ?? ?? ?? C5 EC 58 DF C5 D9 72 F3 1F C5 64 5C C7 C5 3C 5C 35 ?? ?? ?? ?? C5 0C 59 0D ?? ?? ?? ?? C5 0C 59 1D ?? ?? ?? ?? C5 0C 59 2D ?? ?? ?? ?? C4 41 7C 5C D1 C4 41 2C 5C E3 C4 E3 7D 19 DD 01 C5 8C 59 1D ?? ?? ?? ?? C5 C9 72 F5 1F C4 41 1C 5C FD C5 84 5C FB C5 44 59 D7 C5 AC 59 15 ?? ?? ?? ?? C4 E3 5D 18 CE 01 C5 EC 58 25 ?? ?? ?? ?? C4 C1 5C 59 EA C5 D4 58 35 ?? ?? ?? ?? C4 41 4C 59 C2 C5 3C 58 0D ?? ?? ?? ?? C4 41 34 59 DA C5 44 57 E9 C4 41 24 59 E5 C4 C1 1C 58 CD 84 DB 75 72 C5 FC 10 B4 24 00 02 00 00 C5 FC 10 BC 24 60 02 00 00 C5 7C 10 84 24 80 02 00 00 C5 7C 10 8C 24 20 02 00 00 C5 7C 10 94 24 40 02 00 00 C5 7C 10 9C 24 C0 01 00 00 C5 7C 10 A4 24 A0 01 00 00 C5 7C 10 AC 24 80 01 00 00 C5 7C 10 B4 24 A0 02 00 00 C5 7C 10 BC 24 E0 01 00 00 4C 8B AC 24 D8 00 00 00 C5 FC 28 C1 48 81 C4 C0 02 00 00 41 5E 5E 5B C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 DB 0F 84 7A FF FF FF 33 F6 0F A3 F3 72 12 FF C6 83 FE 20 7C F4 C4 C1 7C 10 4D 40 E9 61 FF FF FF C5 F8 77 49 8D 4C B5 00 49 8D 54 B5 40 E8 ?? ?? ?? ?? EB DA C5 7C 10 1D ?? ?? ?? ?? BA 00 00 80 7F C4 C1 7C 11 45 00 C5 79 6E EA C4 C1 79 70 D5 00 C5 24 54 CD BA FF 00 00 00 C4 41 34 C2 D3 00 48 8D 05 ?? ?? ?? ?? C4 63 7D 19 D7 01 C5 29 6B C7 C5 B9 63 E6 C5 F9 D7 CC 89 8C 24 D0 00 00 00 C5 E9 DB F0 C4 C3 7D 19 C7 01 C5 D1 72 D6 17 C4 C1 69 DB DF C5 89 72 F5 01 C5 B1 72 D3 17 C5 89 FE CD C4 C1 19 72 F1 01 C5 A9 72 F1 02 C4 41 19 FE D9 C4 C1 61 72 F3 02 C4 C1 79 7E DB C5 79 7E D6 C5 F8 11 44 24 20 C5 78 11 7C 24 30 C4 C3 79 16 DE 01 C4 E3 79 16 DB 02 C4 E3 79 16 D9 03 C4 43 79 16 D0 01 C4 43 79 16 D1 02 C4 43 79 16 D2 03 C4 41 79 6E 34 03 C4 C1 79 6E 2C 06 C5 F9 6E 0C 03 C5 79 6E 24 01 C5 F9 6E 3C 06 C4 41 79 6E 04 00 C4 C1 79 6E 24 01 C4 41 79 6E 2C 02 C5 09 6C CD C4 41 71 6C DC C4 41 79 6E 74 03 04 C4 C1 79 6E 6C 06 04 C5 F9 6E 4C 03 04 C5 79 6E 64 01 04 C4 C1 41 6C F0 C4 C1 59 6C D5 C4 41 30 C6 C3 88 C5 79 6E 54 06 04 C4 C1 79 6E 7C 00 04 C5 09 6C CD C4 41 71 6C DC C5 48 C6 EA 88 C4 C1 79 6E 64 01 04 C4 C1 79 6E 74 02 04 C5 A9 6C D7 C4 41 30 C6 D3 88 C4 41 79 6E 4C 06 08 41 BE FF FF 7F 00 C5 D9 6C DE C4 41 79 6E 64 03 08 41 BB 00 00 80 00 C5 E8 C6 E3 88 C5 F9 6E 7C 06 08 BE 00 00 40 47 C4 C1 79 6E 74 00 08 41 B8 00 00 80 3F C4 C1 79 6E 54 01 08 41 B9 00 00 00 80 C4 C1 79 6E 5C 02 08 41 BA FF FF 00 00 C5 41 6C F6 C5 E9 6C EB C5 88 C6 CD 88 C4 41 79 6E F6 C4 C1 19 6C F1 C4 C1 79 6E EB C4 41 79 70 E6 00 41 BB FF FF 03 00 C5 79 6E 5C 03 08 C5 99 DB C0 C5 F9 6E 7C 01 08 48 8D 05 ?? ?? ?? ?? C4 41 19 DB FF C5 79 70 CD 00 41 BE 00 00 80 28 C5 A1 6C D7 C4 41 79 FE F1 C4 C1 79 6E C2 C5 A1 72 D4 10 C5 C8 C6 DA 88 C4 C1 01 FE F1 C5 79 70 F8 00 C5 E9 72 D1 10 C4 C1 11 DB FF C4 41 09 DB CF C5 78 11 44 24 50 C4 41 39 DB E7 C4 C1 39 72 D2 10 C4 C1 29 DB C7 C4 C1 29 72 D6 10 C4 41 49 DB F7 C5 FA 7F 7C 24 60 C4 C1 59 DB EF C4 E2 31 40 FF C4 C1 71 DB CF C5 FA 7F BC 24 B0 00 00 00 C5 D9 72 D3 10 C4 E2 29 40 FA C4 C1 61 DB DF C4 E2 31 40 D2 41 BA 00 00 00 34 C5 78 11 6C 24 40 C5 91 72 D6 10 C4 C2 09 40 F4 C5 E9 72 D2 10 C5 7A 7F 64 24 70 C5 C1 FE FA C5 7A 7F 84 24 90 00 00 00 B9 7A 77 95 B7 C5 FA 7F 84 24 A0 00 00 00 BB FF FF FF 7F C5 FA 7F B4 24 C0 00 00 00 C4 42 09 40 E0 C4 E2 31 40 F5 C4 62 09 40 C0 C4 E2 29 40 C1 C5 F1 72 D0 10 C4 C1 49 DB C7 C5 F9 FE C7 C5 C9 72 D6 10 C5 F1 FE F8 C4 C1 39 DB CF C4 E2 11 40 C3 C4 C1 39 72 D0 10 C4 E2 11 40 DC C5 F9 72 D0 10 C4 E2 09 40 E4 C5 D9 72 D4 10 C5 E1 FE D4 C5 7A 7F 9C 24 80 00 00 00 C5 F1 FE DA C4 42 31 40 DB C5 F9 FE E3 C4 E2 29 40 ED C4 C1 21 DB C7 C5 D1 FE CE C5 E9 72 D7 10 C5 F9 FE C1 C4 C1 19 DB EF C5 E9 FE F0 C5 E1 72 D4 10 C4 E2 11 40 94 24 A0 00 00 00 C4 C1 21 72 D3 10 C4 C1 69 FE C0 C4 C1 19 72 D4 10 C5 51 FE C0 C5 F9 72 D6 10 C4 E2 29 40 94 24 80 00 00 00 C4 41 61 FE C0 C5 FA 6F 9C 24 B0 00 00 00 C4 41 69 FE DB C4 C1 61 DB CF C4 C1 41 DB FF C4 C1 71 FE D3 C5 C9 72 F6 10 C5 FA 6F 8C 24 C0 00 00 00 C5 F9 FE EA C4 62 11 40 9C 24 90 00 00 00 C4 C1 71 DB C7 C4 41 21 FE DC C4 C1 69 72 D0 10 C4 C1 79 FE C3 C5 99 72 D5 10 C5 E9 FE D0 C4 C1 51 DB EF C5 F8 10 44 24 40 C4 C1 39 72 F0 10 C5 A1 72 D0 10 C4 42 31 40 CB C4 62 29 40 54 24 60 C4 C1 31 DB C7 C5 B1 72 D3 10 C4 41 29 FE D9 C5 B1 72 D2 10 C4 C1 79 FE C3 C4 C1 69 DB D7 C5 19 FE D0 C4 41 79 6E E0 C5 F8 10 44 24 50 C4 C1 61 72 F2 10 C5 A1 72 D0 10 C5 F9 72 D1 10 C4 62 11 40 6C 24 70 C5 61 FE D5 C4 42 09 40 F3 C5 11 FE E8 C4 41 09 DB DF C4 41 59 DB FF C4 C1 21 FE DD C4 C1 79 6E E1 C5 31 FE CB C4 C1 21 72 D2 09 C5 F9 70 CC 00 C4 C1 09 72 F1 10 C5 F1 DB 6C 24 20 C5 89 FE C2 C4 C1 79 70 E4 00 C5 49 FE CF C5 71 DB 74 24 30 C5 D1 EF FC C5 F9 6E DE C5 91 72 D0 09 C5 89 EF F4 C4 41 39 FE FF C5 F9 70 CB 00 C5 21 EB C7 C5 91 EB D6 C4 C1 79 6E F6 41 B9 FF 01 00 00 41 B8 DB 0F C9 40 C5 F9 70 DE 00 BE 00 10 C9 40 C5 89 EF F3 41 BE 00 00 80 35 C4 63 3D 18 DA 01 C5 D1 EF D3 C4 63 75 18 E1 01 C4 C1 79 6E CB C4 C1 1C 58 E3 C5 79 6E C2 C4 41 79 70 C0 00 C4 C1 5C 5C FC BA 00 F0 FF FF C5 24 5C EF C5 79 70 D9 00 C4 41 21 DB E1 C4 41 21 DB DF C4 C1 61 72 F4 05 C4 C1 21 72 F3 05 C5 61 EB E2 C5 A1 EB DE C4 C1 31 72 D1 12 C4 C1 01 72 D7 12 C4 E3 1D 18 CB 01 C4 41 79 6E E1 C4 63 6D 18 DE 01 C4 C1 79 6E F2 C4 C1 74 5C DB C4 C1 79 70 CC 00 C5 79 6E E2 C4 41 71 DB D2 C5 F1 DB C0 C5 F9 70 D6 00 C4 C1 21 72 F2 0E C5 D1 EF EA C4 41 21 EB C9 C5 31 EB DD C5 B1 72 F0 0E C5 09 EF F2 C4 41 31 EB CF C4 C1 31 EB C6 C5 79 6E FE C4 C1 79 70 CF 00 C4 63 25 18 D0 01 C4 43 55 18 F6 01 C4 41 2C 5C CE C4 41 79 6E D0 C4 41 79 70 F4 00 C4 C1 14 58 D1 C5 94 5C C2 C4 41 79 70 EA 00 C5 34 58 D8 C5 A4 58 F3 C5 F9 6E D9 C5 F9 70 EB 00 C4 43 0D 18 CE 01 C4 41 6C 54 D9 C4 C1 6C 5C D3 C4 C3 15 18 C5 01 C4 63 75 18 F9 01 C4 63 55 18 ED 01 C4 C1 79 6E EE C4 41 04 59 D3 C5 04 59 CA C4 41 14 59 DB C5 FC 59 F6 C5 94 59 C2 C5 F9 6E D3 C5 F9 70 DA 00 C4 41 34 58 CB C5 4C 58 D8 C5 F9 70 F5 00 C4 C1 7C 10 45 00 C4 C1 34 58 CB C5 2C 58 D9 C4 41 2C 5C D3 C5 2C 58 C9 8B 9C 24 D0 00 00 00 C4 63 65 18 E3 01 C4 41 7C 54 EC C4 63 4D 18 F6 01 C4 C1 14 C2 CE 1E C4 41 14 C2 FE 12 C5 04 54 D0 C4 41 74 54 DB C4 41 2C 56 DB C4 41 74 54 D1 C4 41 24 59 CB C4 E3 7D 19 E7 01 C4 C1 59 DB E0 C5 F1 72 F4 04 C4 C1 41 DB F8 C4 C1 79 7E CE C5 D1 72 F7 04 C4 C1 79 7E E8 C4 C3 79 16 CB 01 C4 C3 79 16 CA 02 C4 C3 79 16 C9 03 C4 E3 79 16 EE 01 C4 E3 79 16 E9 02 C4 E3 79 16 EA 03 C4 41 79 6E 04 06 C4 C1 79 6E 3C 03 C5 B9 6C D7 C4 C1 79 6E 0C 02 C4 41 79 6E 04 01 C4 C1 71 6C D8 C4 C1 79 6E 34 00 C5 79 6E 24 06 C5 E8 C6 E3 88 C4 41 49 6C FC C5 79 6E 2C 01 C5 79 6E 34 02 C4 C1 79 6E 54 06 04 C4 C1 79 6E 5C 03 04 C4 C1 79 6E 6C 02 04 C4 C1 79 6E 74 01 04 C4 C1 11 6C FE C5 69 6C C3 C5 51 6C E6 C5 80 C6 CF 88 C4 41 38 C6 EC 88 C4 E3 5D 18 F9 01 C4 C1 79 6E 4C 00 04 48 8D 05 ?? ?? ?? ?? C5 79 6E 44 06 04 C5 79 6E 64 01 04 C5 79 6E 74 02 04 C4 41 71 6C F8 C4 C1 19 6C E6 C5 80 C6 E4 88 C4 E3 15 18 F4 01 C4 41 79 6E 6C 06 08 C4 C1 79 6E 64 03 08 C4 C1 79 6E 54 02 08 C4 C1 79 6E 4C 01 08 C5 91 6C EC C4 41 79 6E 64 00 08 C5 79 6E 6C 06 08 C5 79 6E 74 01 08 C5 79 6E 7C 02 08 C5 E9 6C D9 C4 C1 19 6C E5 C4 C1 09 6C D7 C5 50 C6 C3 88 C5 D8 C6 CA 88 C4 C1 79 6E 5C 06 0C C4 41 79 6E 64 03 0C C4 41 79 6E 6C 02 0C C4 41 79 6E 74 01 0C C4 41 61 6C FC C5 F9 6E 5C 06 0C C5 79 6E 64 02 0C C4 C1 11 6C E6 C5 80 C6 D4 88 C4 E3 3D 18 E9 01 C4 C1 79 6E 4C 00 0C C5 79 6E 44 01 0C C5 71 6C EB C4 41 39 6C F4 C4 41 10 C6 FE 88 C4 41 44 59 EB C4 C3 6D 18 DF 01 C5 A4 59 CB C5 C4 58 DB C5 B4 59 3D ?? ?? ?? ?? C5 4C 58 C1 C5 C4 58 3D ?? ?? ?? ?? C4 C1 4C 5C D0 C4 C1 14 58 E0 C5 6C 58 F9 C5 3C 5C E4 C5 B4 59 0D ?? ?? ?? ?? C4 41 1C 58 F5 C5 74 58 05 ?? ?? ?? ?? C4 C1 0C 58 D7 C4 41 3C 59 E1 C4 41 44 59 C9 C4 C1 1C 59 CB C5 24 59 DE C5 B4 59 F6 C4 C1 64 5C DB C5 2C 59 D3 C5 F4 59 CB C5 AC 58 ED C5 F4 58 D2 C5 CC 58 FD C5 44 58 C2 C4 C1 5C 58 C8 E9 97 F6 FF FF 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1268_0_0 {
	meta:
		name = "asinhl"
		size = 191
		refs = "0011 _ldtest 003a __xmm@80000000000000008000000000000000 0051 __real@4000000000000000 0059 _LEps_C 006b __real@3ff0000000000000 0073 sqrt 0098 log1pl 00a2 log 00aa __real@3fe62e42fefa39ef"
	strings:
		$1 = { F2 0F 11 44 24 08 53 48 83 EC 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 83 F9 02 77 0B F2 0F 10 44 24 30 E9 91 00 00 00 F2 0F 10 54 24 30 0F 57 C0 66 0F 2F C2 76 14 0F 57 15 ?? ?? ?? ?? BB 01 00 00 00 F2 0F 11 54 24 30 EB 02 33 DB F2 0F 10 0D ?? ?? ?? ?? F2 0F 5E 0D ?? ?? ?? ?? 66 0F 2F CA 76 3B F2 0F 59 D2 F2 0F 58 15 ?? ?? ?? ?? 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 4C 24 30 0F 28 D1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 5E D0 F2 0F 58 D1 0F 28 C2 E8 ?? ?? ?? ?? EB 10 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 85 DB 74 07 0F 57 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1269_0_0 {
	meta:
		name = "__common_sexp_cout_rare"
		size = 608
		refs = "002a _2il0floatpacket_46 003f _2il0floatpacket_47 004d _2il0floatpacket_49 0065 _2il0floatpacket_50 0095 _2il0floatpacket_51 00a7 _2il0floatpacket_52 00af _2il0floatpacket_54 00bf _2il0floatpacket_53 00cb _2il0floatpacket_55 00db _2il0floatpacket_56 00e2 _2il0floatpacket_58 00ee _2il0floatpacket_57 017f _2il0floatpacket_61 01d5 _2il0floatpacket_60 01ee _2il0floatpacket_59 0210 _2il0floatpacket_48"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 41 81 F8 80 7F 00 00 0F 84 0F 02 00 00 F3 0F 10 01 45 33 C0 F3 0F 10 0D ?? ?? ?? ?? 44 89 44 24 2C 0F 2F C8 0F 82 D0 01 00 00 0F 2F 05 ?? ?? ?? ?? 0F 82 A1 01 00 00 F3 0F 10 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 11 4C 24 20 F3 0F 10 54 24 20 F3 0F 10 1D ?? ?? ?? ?? F3 0F 58 D3 F3 0F 11 54 24 24 0F 28 D0 F3 0F 10 64 24 24 44 8B 44 24 24 F3 0F 5C E3 F3 0F 11 64 24 20 F3 0F 10 6C 24 20 F3 0F 59 2D ?? ?? ?? ?? F3 0F 10 4C 24 20 F3 0F 5C D5 F3 0F 59 0D ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? F3 0F 5C D1 F3 0F 59 E2 F3 0F 10 1D ?? ?? ?? ?? 41 C1 E0 10 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E2 41 C1 F8 10 F3 0F 58 25 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? F3 0F 59 E2 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E2 F3 0F 58 E3 F3 0F 59 E2 F3 0F 58 E3 F3 0F 11 64 24 28 0F 82 88 00 00 00 41 8D 48 7F 81 F9 FE 00 00 00 77 2A 0F B6 C9 C1 E1 07 66 89 4C 24 2E F3 0F 10 44 24 28 F3 0F 59 44 24 2C F3 0F 11 44 24 28 44 8B 44 24 28 44 89 02 48 83 C4 38 C3 41 83 C0 7E 45 0F B6 C0 0F B7 4C 24 2E 41 C1 E0 07 81 E1 7F 80 FF FF 41 0B C8 F3 0F 10 44 24 28 66 89 4C 24 2E F3 0F 59 44 24 2C F3 0F 11 44 24 28 F3 0F 10 4C 24 28 F3 0F 59 0D ?? ?? ?? ?? F3 0F 11 4C 24 28 44 8B 4C 24 28 44 89 0A 48 83 C4 38 C3 41 83 C0 BB 45 0F B6 C0 0F B7 44 24 2E 41 C1 E0 07 25 7F 80 FF FF 41 0B C0 F3 0F 10 44 24 28 66 89 44 24 2E B8 04 00 00 00 F3 0F 59 44 24 2C F3 0F 11 44 24 28 F3 0F 10 4C 24 28 F3 0F 59 0D ?? ?? ?? ?? F3 0F 11 4C 24 28 8B 4C 24 28 89 0A 48 83 C4 38 C3 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 C0 F3 0F 11 44 24 28 8B 44 24 28 89 02 B8 04 00 00 00 48 83 C4 38 C3 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 C0 F3 0F 11 44 24 28 8B 44 24 28 89 02 B8 03 00 00 00 48 83 C4 38 C3 44 8A 41 03 41 80 E0 80 41 80 F8 80 74 11 F3 0F 10 01 F3 0F 59 C0 F3 0F 11 02 48 83 C4 38 C3 F7 01 FF FF 7F 00 75 E7 33 C9 89 0A 48 83 C4 38 C3 66 90 }
	condition:
		$1
}

rule file_1271_0_0 {
	meta:
		name = "_fseeki64"
		size = 116
		refs = "002a _errno 0035 _invalid_parameter_noinfo 0045 _lock_file 0054 _fseeki64_nolock 005e _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 20 41 8B F8 48 8B F2 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 26 41 83 F8 02 77 E5 E8 ?? ?? ?? ?? 90 44 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1271_2_0 {
	meta:
		name = "_fseeki64_nolock"
		size = 179
		refs = "0039 _ftelli64_nolock 0046 _flush 0072 _fileno 007f _lseeki64 0091 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B 41 18 41 8B F8 48 8B EA 48 8B D9 A8 83 74 6C 41 83 F8 02 77 66 83 E0 EF 33 F6 89 41 18 41 83 F8 01 75 0A E8 ?? ?? ?? ?? 8B FE 48 03 E8 48 8B CB E8 ?? ?? ?? ?? 8B 43 18 84 C0 79 08 83 E0 FC 89 43 18 EB 15 A8 01 74 11 A8 08 74 0D 0F BA E0 0A 72 07 C7 43 24 00 02 00 00 48 8B CB E8 ?? ?? ?? ?? 44 8B C7 48 8B D5 8B C8 E8 ?? ?? ?? ?? 48 83 F8 FF 40 0F 95 C6 8D 46 FF EB 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1272_0_0 {
	meta:
		name = "_chdir"
		size = 301
		refs = "0018 __security_cookie 0037 __doserrno 003e _errno 0049 _invalid_parameter_noinfo 0054 __imp_SetCurrentDirectoryA 006c __imp_GetCurrentDirectoryA 0086 _calloc_crt 00c9 _mbctoupper 00e2 __imp_SetEnvironmentVariableA 00ec __imp_GetLastError 00f3 _dosmaperr 00ff free 0111 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 81 EC 50 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 01 00 00 33 ED 83 CE FF 48 8D 5C 24 30 48 85 C9 75 1C E8 ?? ?? ?? ?? 21 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 B1 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 8A 00 00 00 48 8D 54 24 30 B9 05 01 00 00 FF 15 ?? ?? ?? ?? 8B F8 3D 04 01 00 00 7E 30 44 8D 70 01 BA 01 00 00 00 49 63 CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 58 BD 01 00 00 00 85 FF 74 4F 48 8B D0 41 8B CE FF 15 ?? ?? ?? ?? 8B F8 85 FF 74 3D 8A 03 3C 5C 74 04 3C 2F 75 09 3A 43 01 75 04 33 F6 EB 37 C6 44 24 20 3D 0F B6 0B E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D3 88 44 24 21 66 C7 44 24 22 3A 00 FF 15 ?? ?? ?? ?? 85 C0 75 D2 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 ED 74 08 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 40 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1273_4_0 {
	meta:
		name = "_mbsspn_l"
		size = 217
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0030 strspn 0044 _errno 004f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 44 24 28 41 83 78 08 00 75 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 EB 7F 48 85 DB 74 05 48 85 FF 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 D2 EB 61 80 3B 00 48 8B D3 74 56 80 3F 00 48 8B CF 74 2E 0F B6 01 42 F6 44 00 19 04 74 17 3A 02 75 08 8A 42 01 38 41 01 74 17 80 79 01 00 74 11 48 FF C1 EB 04 3A 02 74 08 48 FF C1 80 39 00 75 D2 80 39 00 74 1B 0F B6 02 42 F6 44 00 19 04 74 08 48 FF C2 80 3A 00 74 08 48 FF C2 80 3A 00 75 AA 48 2B D3 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1275_0_0 {
	meta:
		name = "wcschr"
		size = 140
	strings:
		$1 = { 48 83 EC 18 66 0F 6F 14 24 0F B7 C2 4C 8B C1 66 0F 6E C0 45 33 C9 F2 0F 70 C8 00 66 0F 70 D9 00 49 8B C0 25 FF 0F 00 00 48 3D F0 0F 00 00 77 2B F3 41 0F 6F 08 66 0F 6F C2 66 0F EF C2 66 0F 6F D0 66 0F 75 D1 66 0F 75 CB 66 0F EB D1 66 0F D7 C2 85 C0 75 18 49 83 C0 10 EB C5 66 41 39 10 74 23 66 45 39 08 74 19 49 83 C0 02 EB B3 0F BC C8 4C 03 C1 66 41 39 10 4D 0F 44 C8 49 8B C1 EB 07 33 C0 EB 03 49 8B C0 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_1277_0_0 {
	meta:
		name = "logf"
		size = 1030
		refs = "0006 __use_fma3_lib 002c L_real_inf 003a L_mask_127 0055 L_real_mant 005d L_real_one 0064 L_real_neg127 0073 L_mask_mant_all7 007a L_mask_mant8 008b L_real_notsign 0092 L_real_threshold 00a3 L_real_half 00b2 __log_F_inv_dword 00ca L_real_1_over_3 00d6 L_real_1_over_2 00dd L_real_log2_tail 00e4 __log_128_tail 00eb __log_128_lead 00fe L_real_log2_lead 0123 L_real_two 0157 L_real_ca2 015f L_real_ca1 01a9 L_mask_253 01ba L_real_ninf 01c1 L_flag_x_zero 01c6 _logf_special 01cf L_real_neg_qnan 01d6 L_flag_x_neg 01f3 L_real_qnanbit 01fe L_flag_x_nan"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 0F 85 FF 01 00 00 48 33 C0 66 0F 6F D8 0F 28 E0 66 0F 72 D3 17 66 0F 7E C0 8B C8 0F BA F1 1F 3B 0D ?? ?? ?? ?? 0F 83 AB 01 00 00 66 0F FA 1D ?? ?? ?? ?? 66 0F 6F D0 0F 5B EB 0F 57 C9 0F 2F C1 0F 86 64 01 00 00 66 0F DB 15 ?? ?? ?? ?? F3 0F 5C 25 ?? ?? ?? ?? 0F 2F 2D ?? ?? ?? ?? 0F 84 12 01 00 00 44 8B C8 23 05 ?? ?? ?? ?? 44 23 0D ?? ?? ?? ?? 41 D1 E1 41 03 C1 66 0F 6E C8 0F 54 25 ?? ?? ?? ?? 0F 2F 25 ?? ?? ?? ?? 0F 82 84 00 00 00 C1 E8 10 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F3 0F 5C CA F3 41 0F 59 0C 81 0F 28 D1 0F 28 C1 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F3 0F 59 D0 F3 0F 59 DD F3 0F 58 CA 0F 28 05 ?? ?? ?? ?? F3 0F 5C D9 F3 0F 59 C5 F3 41 0F 58 1C 81 F3 41 0F 58 04 82 F3 0F 58 C3 48 83 C4 38 C3 90 0F 28 15 ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? F3 0F 58 D0 0F 28 C8 F3 0F 5E CA 0F 28 E0 F3 0F 59 E1 F3 0F 58 C9 0F 28 D1 F3 0F 59 D2 0F 28 D9 F3 0F 59 DA F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C D4 F3 0F 58 C2 48 83 C4 38 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EB 15 ?? ?? ?? ?? F3 0F 5C 15 ?? ?? ?? ?? 66 0F 6F EA 66 0F DB 15 ?? ?? ?? ?? 66 0F 7E D0 66 0F 72 D5 17 66 0F FA 2D ?? ?? ?? ?? 0F 5B ED E9 B9 FE FF FF 75 15 0F 28 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D 0F 28 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 3B 05 ?? ?? ?? ?? 74 20 3B 05 ?? ?? ?? ?? 74 DB 0B 05 ?? ?? ?? ?? 66 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 00 48 83 C4 38 C3 66 90 C5 F8 28 25 ?? ?? ?? ?? 48 33 C0 C5 E1 72 D0 17 C5 F9 7E C0 C5 E1 FA 1D ?? ?? ?? ?? C5 F8 5B EB C5 F9 DB CC C5 F8 2F CC 0F 84 98 01 00 00 C5 F1 EF C9 C5 F8 2F C1 0F 86 56 01 00 00 C5 F9 DB 15 ?? ?? ?? ?? C5 FA 5C 25 ?? ?? ?? ?? C5 F8 2F 2D ?? ?? ?? ?? 0F 84 06 01 00 00 C5 F9 DB 0D ?? ?? ?? ?? C5 F9 DB 1D ?? ?? ?? ?? C5 E1 72 F3 01 C5 E1 FE C9 C5 F9 7E C8 C5 D8 54 25 ?? ?? ?? ?? C5 F8 2F 25 ?? ?? ?? ?? 0F 82 83 00 00 00 C1 E8 10 C5 E9 EB 15 ?? ?? ?? ?? C5 F1 EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? C5 F2 5C CA C4 C1 72 59 0C 81 C5 F8 28 15 ?? ?? ?? ?? C4 E2 71 A9 15 ?? ?? ?? ?? C5 F2 59 C1 C5 F8 28 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? C4 E2 69 B9 C8 C4 E2 51 AB D9 C5 F8 28 05 ?? ?? ?? ?? C4 C2 51 A9 04 82 C4 C1 62 58 1C 81 C5 FA 58 C3 48 83 C4 38 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 C5 F8 28 15 ?? ?? ?? ?? C5 FA 5C 05 ?? ?? ?? ?? C5 EA 58 D0 C5 FA 5E CA C5 FA 59 E1 C5 F2 58 C9 C5 F2 59 D1 C5 F2 59 DA C5 F8 28 2D ?? ?? ?? ?? C4 E2 51 A9 15 ?? ?? ?? ?? C4 E2 61 AB D4 C5 FA 58 C2 48 83 C4 38 C3 66 0F 1F 84 00 00 00 00 00 C5 F8 28 1D ?? ?? ?? ?? C5 E9 EB D3 C5 EA 5C D3 C5 D1 72 D2 17 C5 E9 DB 15 ?? ?? ?? ?? C5 F8 28 C2 C5 D1 FA 2D ?? ?? ?? ?? C5 F8 5B ED E9 C8 FE FF FF 75 19 C5 F8 28 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 C5 F8 28 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 3B 05 ?? ?? ?? ?? 74 23 3B 05 ?? ?? ?? ?? 74 D7 0B 05 ?? ?? ?? ?? C5 F9 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1278_0_0 {
	meta:
		name = "fputws"
		size = 180
		refs = "002d _errno 0038 _invalid_parameter_noinfo 0050 wcslen 005b _lock_file 0086 _fputwc_nolock 009a _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 48 89 54 24 10 57 41 56 41 57 48 83 EC 30 48 8B F2 4C 8B F9 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 5D 8B C3 48 85 D2 0F 95 C0 85 C0 74 DD E8 ?? ?? ?? ?? 4C 8B F0 48 8B CE E8 ?? ?? ?? ?? 90 BF FF FF 00 00 49 8B CE 49 FF CE 4C 89 74 24 20 48 85 C9 74 21 41 0F B7 0F 49 83 C7 02 4C 89 7C 24 50 48 8B D6 E8 ?? ?? ?? ?? 66 3B C7 75 05 83 CB FF EB 02 EB CF 48 8B CE E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1281_0_0 {
	meta:
		name = "_fderfc"
		size = 133
		refs = "0008 __real@3b5c89bb 0021 __xmm@80000000800000008000000080000000 0032 __real@3f3cbe0b 003a __real@3947aef6 0042 __real@3fa3616e 0052 __real@3f578a1a 005e __real@3ec7ef8a 006a __real@3f53c766 0076 _fdexp"
	strings:
		$1 = { 48 83 EC 28 F3 0F 10 15 ?? ?? ?? ?? 0F 28 D8 0F 28 C8 48 8D 4C 24 30 45 33 C0 F3 0F 59 CB 0F 57 0D ?? ?? ?? ?? F3 0F 11 4C 24 30 0F 28 C8 F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5C D1 F3 0F 59 C3 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 15 ?? ?? ?? ?? F3 0F 5E D0 0F 28 CA E8 ?? ?? ?? ?? F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1281_1_0 {
	meta:
		name = "erff"
		size = 294
		refs = "0010 _fdtest 0039 _fderf_small 0043 __xmm@7fffffff7fffffff7fffffff7fffffff 005d __real@39890dc7 0065 __real@3bd07f1f 006d __real@3d13aba6 0075 __real@3da7a219 0085 __real@3e0678ee 008d __real@3ee640de 009d __real@3f906ebb 00a5 __real@3f800000 00ba _fderf_one 00c7 _fderfc 00f2 __xmm@80000000800000008000000080000000 010b __real@bf800000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 FC 00 00 00 FF C9 0F 84 D4 00 00 00 FF C9 0F 84 EC 00 00 00 F3 0F 10 5C 24 30 F3 0F 10 05 ?? ?? ?? ?? 0F 28 D3 0F 54 15 ?? ?? ?? ?? 0F 2F C2 76 6A 0F 28 CB F3 0F 59 CB 0F 28 D1 0F 28 C1 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 D1 F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 D1 F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 5E D0 F3 0F 59 D3 0F 28 C2 EB 6B F3 0F 10 0D ?? ?? ?? ?? 0F 2F CA 76 1C 0F 28 C2 E8 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 5C 24 30 F3 0F 5C C8 EB 08 F3 0F 10 0D ?? ?? ?? ?? 0F 57 C0 0F 2F C3 76 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 26 B8 00 80 00 00 66 85 44 24 32 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 10 F3 0F 10 05 ?? ?? ?? ?? EB 06 F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1282_3_0 {
	meta:
		name = "__crt_atoflt_l"
		size = 207
		refs = "000e __security_cookie 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 005a __strgtold12_l 0076 _ld12tof 00c0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 48 8B F1 48 8B DA 48 8D 4C 24 48 49 8B D0 49 8B F9 E8 ?? ?? ?? ?? 48 8D 44 24 48 48 8D 54 24 40 48 89 44 24 38 83 64 24 30 00 83 64 24 28 00 83 64 24 20 00 48 8D 4C 24 68 45 33 C9 4C 8B C3 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 08 48 8B 4C 24 40 48 89 0F 48 8D 4C 24 68 48 8B D6 E8 ?? ?? ?? ?? 8B C8 B8 03 00 00 00 84 D8 75 0C 83 F9 01 74 1A 83 F9 02 75 13 EB 05 F6 C3 01 74 07 B8 04 00 00 00 EB 07 F6 C3 02 75 02 33 C0 80 7C 24 60 00 74 0C 48 8B 4C 24 58 83 A1 C8 00 00 00 FD 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1282_5_0 {
	meta:
		name = "_atodbl_l"
		size = 199
		refs = "0010 __security_cookie 002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0059 __strgtold12_l 0068 _ld12tod 00b2 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 48 8B F9 48 8B DA 48 8D 4C 24 40 49 8B D0 E8 ?? ?? ?? ?? 48 8D 44 24 40 48 8D 54 24 60 48 89 44 24 38 83 64 24 30 00 83 64 24 28 00 83 64 24 20 00 48 8D 4C 24 68 45 33 C9 4C 8B C3 E8 ?? ?? ?? ?? 48 8D 4C 24 68 48 8B D7 8B D8 E8 ?? ?? ?? ?? 8B C8 B8 03 00 00 00 84 D8 75 0C 83 F9 01 74 1A 83 F9 02 75 13 EB 05 F6 C3 01 74 07 B8 04 00 00 00 EB 07 F6 C3 02 75 02 33 C0 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 81 C4 80 00 00 00 5F C3 }
	condition:
		$1
}

rule file_1282_9_0 {
	meta:
		name = "_atoldbl_l"
		size = 202
		refs = "0010 __security_cookie 002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 005c __strgtold12_l 006b _ld12told 00b5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 48 8B F9 48 8B DA 48 8D 4C 24 40 49 8B D0 E8 ?? ?? ?? ?? 48 8D 44 24 40 48 8D 54 24 60 48 89 44 24 38 83 64 24 30 00 83 64 24 28 00 83 64 24 20 00 48 8D 4C 24 68 41 B9 01 00 00 00 4C 8B C3 E8 ?? ?? ?? ?? 48 8D 4C 24 68 48 8B D7 8B D8 E8 ?? ?? ?? ?? 8B C8 B8 03 00 00 00 84 D8 75 0C 83 F9 01 74 1A 83 F9 02 75 13 EB 05 F6 C3 01 74 07 B8 04 00 00 00 EB 07 F6 C3 02 75 02 33 C0 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 81 C4 80 00 00 00 5F C3 }
	condition:
		$1
}

rule file_1284_1_0 {
	meta:
		name = "_gmtime64_s"
		size = 719
		refs = "0022 _errno 002e _invalid_parameter_noinfo 0045 memset 01cc _lpdays 01fb _days"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 48 8B F2 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 81 02 00 00 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 F6 74 D3 4C 8B 0E 49 81 F9 40 57 FF FF 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CA 48 B8 CF 26 41 93 07 00 00 00 4C 3B C8 7F E3 41 BB 1F 85 EB 51 48 B8 B9 70 12 CB F5 48 31 88 49 F7 E9 4D 8D 04 11 49 C1 F8 18 49 8B C0 48 C1 E8 3F 4C 03 C0 41 8B C3 41 83 C0 46 41 8D 88 2B 01 00 00 45 8D 50 FF F7 E9 8B CA C1 F9 07 8B C1 C1 E8 1F 03 C8 41 8B C3 41 F7 EA C1 FA 05 8B C2 C1 E8 1F 03 D0 41 8B C2 2B CA 99 83 E2 03 03 C2 C1 F8 02 83 C0 EF 03 C8 41 8D 40 BA 48 63 D1 48 63 C8 48 69 C1 93 FE FF FF 48 2B C2 48 69 C0 80 51 01 00 4C 03 C8 79 68 41 8B C2 49 81 C1 80 33 E1 01 45 8B C2 41 BA 01 00 00 00 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 18 41 8B C3 41 F7 E8 C1 FA 05 8B CA C1 E9 1F 03 D1 6B D2 64 44 3B C2 75 20 41 8D 88 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 75 61 49 81 C1 80 51 01 00 EB 55 41 8B C0 41 BA 01 00 00 00 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 18 41 8B C3 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B CA 64 44 3B C1 75 20 41 8D 88 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 C2 90 01 00 00 3B C8 75 03 41 8B FA 48 BD 57 29 51 CE A0 C8 45 18 4C 8D 1D ?? ?? ?? ?? 44 89 43 14 48 8B C5 45 8B C2 49 F7 E9 48 C1 FA 0D 48 8B C2 48 C1 E8 3F 48 03 D0 48 63 C2 89 53 1C 48 69 C8 80 AE FE FF 48 8D 05 ?? ?? ?? ?? 4C 03 C9 85 FF 4C 0F 44 D8 49 8D 4B 04 EB 07 45 03 C2 48 8D 49 04 39 11 7C F5 45 2B C2 48 8B C5 49 63 C8 44 89 43 10 41 2B 14 8B 89 53 0C 48 F7 2E 83 63 20 00 48 8B CA 48 C1 F9 0D 48 8B C1 48 C1 E8 3F 48 03 C8 B8 93 24 49 92 83 C1 04 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 2B C8 48 B8 05 7C F3 6A E2 59 D1 48 89 4B 18 49 F7 E9 48 C1 FA 0A 48 8B C2 48 C1 E8 3F 48 03 D0 48 63 C2 89 53 08 48 69 C8 F0 F1 FF FF 48 B8 89 88 88 88 88 88 88 88 4C 03 C9 49 F7 E9 49 03 D1 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 89 53 04 6B C2 3C 44 2B C8 33 C0 44 89 0B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1285_0_0 {
	meta:
		name = "cosh"
		size = 937
		refs = "0055 __real@3ff0000000000000 0064 _set_statfp 00b5 ??_C@_04HPJJNFIM@cosh?$AA@ 00bf _handle_error 00f2 __xmm@80000000000000008000000000000000 00fb __real@408633ce8fb9f87e 013b __real@4034000000000000 0149 __real@3dcf473de6af278e 0151 __real@3f962e42fe000000 0159 __real@40471547652b82fe 0197 splitexp 025d __ImageBase 026c ?cosh_tail@?1??cosh@@9@9 0275 ?cosh_lead@?1??cosh@@9@9 027e ?sinh_lead@?1??cosh@@9@9 02a1 __real@3da9984b7f63fcd7 02a9 __real@3d6b4125921ea08b 02b6 __real@3e21ee56385b7b20 02be __real@3de611cb2bdcb7be 02ce __real@3e927e5069f1cb55 02d6 __real@3e5ae6460fbe61c0 02e6 __real@3efa01a019079011 02ee __real@3ec71de3a4e13e7d 02fe __real@3f56c16c16c212e5 0306 __real@3f2a01a01a01ee80 0316 __real@3fa5555555555502 031e __real@3f811111111110fd 032e __real@3fe0000000000000 0336 __real@3fc5555555555555 034a ?sinh_tail@?1??cosh@@9@9"
	strings:
		$1 = { 40 53 48 81 EC 80 00 00 00 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 70 F2 0F 11 84 24 A8 00 00 00 48 8B 8C 24 A8 00 00 00 0F 29 7C 24 60 0F 28 C8 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 30 3E 44 0F 29 44 24 50 48 3B C2 73 1E 48 85 C0 75 0D F2 0F 10 05 ?? ?? ?? ?? E9 32 03 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? EB E7 48 BB 00 00 00 00 00 00 F0 7F 48 3B C3 72 6C 76 4D C7 44 24 40 01 00 00 00 0F 57 C0 49 B8 00 00 00 00 00 00 08 00 4C 0B C1 41 B9 01 00 00 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? E9 C8 02 00 00 33 C9 E8 ?? ?? ?? ?? 48 89 9C 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 E9 AB 02 00 00 44 0F 28 C0 48 3B C1 74 08 44 0F 57 05 ?? ?? ?? ?? 66 44 0F 2F 05 ?? ?? ?? ?? 72 35 C7 44 24 40 01 00 00 00 0F 57 C0 41 B9 03 00 00 00 4C 8B C3 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E9 7C FF FF FF 66 44 0F 2F 05 ?? ?? ?? ?? 0F 82 10 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 84 24 A0 00 00 00 48 89 44 24 38 48 8D 84 24 98 00 00 00 48 89 44 24 30 48 8D 84 24 90 00 00 00 41 0F 28 C0 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 8C 24 90 00 00 00 41 FF C9 44 89 8C 24 90 00 00 00 41 8D 81 FE 03 00 00 3D FD 07 00 00 77 34 49 63 C1 BA FF 03 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 0F 10 BC 24 98 00 00 00 F2 0F 58 BC 24 A0 00 00 00 EB 5C 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 A8 00 00 00 48 C1 E0 34 F2 0F 10 8C 24 A8 00 00 00 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 0F 10 BC 24 98 00 00 00 F2 0F 58 BC 24 A0 00 00 00 F2 0F 59 F9 F2 0F 59 F8 E9 38 01 00 00 F2 41 0F 2C C0 48 8D 0D ?? ?? ?? ?? 66 0F 6E C0 48 98 F2 0F 10 94 C1 ?? ?? ?? ?? F2 0F 10 A4 C1 ?? ?? ?? ?? F2 0F 10 9C C1 ?? ?? ?? ?? F3 0F E6 C0 F2 44 0F 5C C0 41 0F 28 C8 F2 41 0F 59 C8 0F 28 E9 0F 28 F1 0F 28 C1 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 35 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F0 0F 28 C2 F2 0F 10 8C C1 ?? ?? ?? ?? F2 0F 59 C5 0F 28 F9 F2 0F 59 FE F2 41 0F 59 C8 F2 0F 58 F8 F2 0F 58 F9 0F 28 CC F2 0F 58 FA F2 0F 59 CD 0F 28 D3 F2 0F 59 D6 F2 41 0F 59 D8 F2 0F 58 F9 F2 0F 58 FA F2 0F 58 FB F2 0F 58 FC 0F 28 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 48 81 C4 80 00 00 00 5B C3 }
	condition:
		$1
}

rule file_1288_3_0 {
	meta:
		name = "?__crtLCMapStringA_stat@@YAHPEAUlocaleinfo_struct@@PEB_WKPEBDHPEADHHH@Z"
		size = 748
		refs = "0022 __security_cookie 009d __imp_MultiByteToWideChar 00fb __chkstk 0115 malloc 0174 __crtLCMapStringEx 029c __imp_WideCharToMultiByte 02af free 02ce __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 83 EC 50 48 8D 6C 24 40 48 89 5D 40 48 89 75 48 48 89 7D 50 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 08 8B 5D 60 33 FF 4D 8B E1 45 8B E8 48 89 55 00 85 DB 7E 2A 44 8B D3 49 8B C1 41 FF CA 40 38 38 74 0C 48 FF C0 45 85 D2 75 F0 41 83 CA FF 8B C3 41 2B C2 FF C8 3B C3 8D 58 01 7C 02 8B D8 44 8B 75 78 8B F7 45 85 F6 75 07 48 8B 01 44 8B 70 04 F7 9D 80 00 00 00 44 8B CB 4D 8B C4 1B D2 41 8B CE 89 7C 24 28 83 E2 08 48 89 7C 24 20 FF C2 FF 15 ?? ?? ?? ?? 4C 63 F8 85 C0 75 07 33 C0 E9 17 02 00 00 49 B9 F0 FF FF FF FF FF FF 0F 85 C0 7E 6E 33 D2 48 8D 42 E0 49 F7 F7 48 83 F8 02 72 5F 4B 8D 0C 3F 48 8D 41 10 48 3B C1 76 52 4A 8D 0C 7D 10 00 00 00 48 81 F9 00 04 00 00 77 2A 48 8D 41 0F 48 3B C1 77 03 49 8B C1 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 40 48 85 FF 74 9C C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0A C7 00 DD DD 00 00 48 83 C7 10 48 85 FF 0F 84 74 FF FF FF 44 8B CB 4D 8B C4 BA 01 00 00 00 41 8B CE 44 89 7C 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 59 01 00 00 4C 8B 65 00 21 74 24 28 48 21 74 24 20 49 8B CC 45 8B CF 4C 8B C7 41 8B D5 E8 ?? ?? ?? ?? 48 63 F0 85 C0 0F 84 30 01 00 00 41 B9 00 04 00 00 45 85 E9 74 36 8B 4D 70 85 C9 0F 84 1A 01 00 00 3B F1 0F 8F 12 01 00 00 48 8B 45 68 89 4C 24 28 45 8B CF 4C 8B C7 41 8B D5 49 8B CC 48 89 44 24 20 E8 ?? ?? ?? ?? E9 EF 00 00 00 85 C0 7E 77 33 D2 48 8D 42 E0 48 F7 F6 48 83 F8 02 72 68 48 8D 0C 36 48 8D 41 10 48 3B C1 76 5B 48 8D 0C 75 10 00 00 00 49 3B C9 77 35 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 40 48 85 DB 0F 84 95 00 00 00 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 6D 45 8B CF 4C 8B C7 41 8B D5 49 8B CC 89 74 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 33 C9 85 C0 74 3C 8B 45 70 33 D2 48 89 4C 24 38 44 8B CE 4C 8B C3 48 89 4C 24 30 85 C0 75 0B 89 4C 24 28 48 89 4C 24 20 EB 0D 89 44 24 28 48 8B 45 68 48 89 44 24 20 41 8B CE FF 15 ?? ?? ?? ?? 8B F0 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C6 48 8B 4D 08 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 40 48 8B 75 48 48 8B 7D 50 48 8D 65 10 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_1288_4_0 {
	meta:
		name = "?strncnt@@YAHPEBDH@Z"
		size = 28
	strings:
		$1 = { 8B C2 85 D2 74 0E FF C8 80 39 00 74 09 48 FF C1 85 C0 75 F2 FF C8 2B D0 8D 42 FF C3 }
	condition:
		$1
}

rule file_1288_7_0 {
	meta:
		name = "__crtLCMapStringA"
		size = 150
		refs = "0021 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006d ?__crtLCMapStringA_stat@@YAHPEAUlocaleinfo_struct@@PEB_WKPEBDHPEADHHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 70 48 8B F2 48 8B D1 48 8D 4C 24 50 49 8B D9 41 8B F8 E8 ?? ?? ?? ?? 8B 84 24 C0 00 00 00 48 8D 4C 24 50 4C 8B CB 89 44 24 40 8B 84 24 B8 00 00 00 44 8B C7 89 44 24 38 8B 84 24 B0 00 00 00 48 8B D6 89 44 24 30 48 8B 84 24 A8 00 00 00 48 89 44 24 28 8B 84 24 A0 00 00 00 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 68 00 74 0C 48 8B 4C 24 60 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_1289_0_0 {
	meta:
		name = "__avx_asinf8"
		size = 544
		refs = "0036 __common_sasin_data 0214 __common_sasin_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 F0 01 00 00 C5 7C 11 84 24 D0 01 00 00 C5 FC 11 B4 24 B0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 4F 01 00 00 C5 FC 10 15 ?? ?? ?? ?? 49 83 E5 C0 C5 FC 10 25 ?? ?? ?? ?? C5 EC 54 C8 C5 F4 59 DC C5 F4 59 E9 C5 74 C2 3D ?? ?? ?? ?? 1D C5 5C 5C C3 C5 F4 C2 E4 15 C4 C1 54 5D D8 C5 EC 55 D0 C4 63 7D 19 FD 01 C5 81 6B F5 C5 D1 EF ED C5 49 63 FD C4 C1 7C 52 F0 C4 41 3C 58 C0 C4 C1 79 D7 D7 C5 CC 59 EE C5 BC 59 F6 C5 3C 59 C5 C5 3C 5C 05 ?? ?? ?? ?? C5 3C 59 3D ?? ?? ?? ?? C5 84 58 2D ?? ?? ?? ?? C4 41 4C 59 F8 C4 41 54 59 C7 C5 E4 59 2D ?? ?? ?? ?? C5 3C 5C C6 C5 D4 58 2D ?? ?? ?? ?? C5 E4 59 35 ?? ?? ?? ?? C5 4C 58 3D ?? ?? ?? ?? C5 E4 59 F3 C5 04 59 FE C5 84 58 ED C5 D4 59 F3 C4 C3 75 4A E8 40 C5 4C 58 3D ?? ?? ?? ?? C5 84 59 DB C5 E4 59 CD C5 F4 58 CD C5 DC 54 1D ?? ?? ?? ?? C5 F4 58 E3 C5 DC 57 CA 84 D2 75 2F C5 FC 10 B4 24 B0 01 00 00 C5 7C 10 84 24 D0 01 00 00 C5 7C 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 C1 33 C0 C5 FC 11 BC 24 E0 00 00 00 C5 7C 11 8C 24 C0 00 00 00 C5 7C 11 94 24 A0 00 00 00 C5 7C 11 9C 24 80 00 00 00 C5 7C 11 64 24 60 C5 7C 11 6C 24 40 C5 7C 11 74 24 20 48 89 9C 24 08 01 00 00 8B D8 48 89 B4 24 00 01 00 00 8B F2 0F A3 DE 72 58 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 E0 00 00 00 C5 7C 10 8C 24 C0 00 00 00 C5 7C 10 94 24 A0 00 00 00 C5 7C 10 9C 24 80 00 00 00 C5 7C 10 64 24 60 C5 7C 10 6C 24 40 C5 7C 10 74 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 08 01 00 00 48 8B B4 24 00 01 00 00 E9 18 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 94 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_1291_0_0 {
	meta:
		name = "puts"
		size = 378
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 003f __iob_func 004e _fileno 005c __pioinfo 007d __badioinfo 00ca _lock_file2 00d9 _stbuf 00e4 strlen 0100 _fwrite_nolock 0134 _flsbuf 0147 _ftbuf 015b _unlock_file2"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B F1 83 CF FF 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 E9 26 01 00 00 E8 ?? ?? ?? ?? F6 40 48 40 75 72 48 8D 48 30 E8 ?? ?? ?? ?? 4C 63 C0 41 8D 48 02 4C 8D 0D ?? ?? ?? ?? 83 F9 01 76 1E 49 8B D0 49 8B C8 48 C1 F9 05 83 E2 1F 48 6B C2 58 49 03 04 C9 48 8D 0D ?? ?? ?? ?? EB 0A 48 8D 0D ?? ?? ?? ?? 48 8B C1 F6 40 38 7F 75 94 41 8D 40 02 83 F8 01 76 15 49 8B C8 49 8B C0 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C1 F6 41 38 80 0F 85 6C FF FF FF E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 48 30 E8 ?? ?? ?? ?? 44 8B F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 4C 8D 48 30 4C 8B C3 BA 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 3B C3 75 31 E8 ?? ?? ?? ?? 01 78 38 78 12 E8 ?? ?? ?? ?? 48 8B 48 30 C6 01 0A 48 FF 40 30 EB 13 E8 ?? ?? ?? ?? 48 8D 50 30 B9 0A 00 00 00 E8 ?? ?? ?? ?? 33 FF E8 ?? ?? ?? ?? 48 8D 50 30 41 8B CE E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? E9 D3 FE FF FF 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1293_4_0 {
	meta:
		name = "fwprintf"
		size = 145
		refs = "002a _errno 0035 _invalid_parameter_noinfo 0050 _lock_file 0059 _stbuf 006e _woutput_l 007a _ftbuf 0083 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 4C 89 40 18 4C 89 48 20 53 56 57 48 83 EC 20 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4B 33 C0 48 85 D2 0F 95 C0 85 C0 74 DF 48 8D 74 24 50 E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B D8 4C 8B CE 45 33 C0 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1294_0_0 {
	meta:
		name = "__sse2_atan22"
		size = 736
		refs = "0027 iSignMask 005c dbPio2hi 00b8 iAbsMask 00d8 iMinWorkNum 00e1 iMaxWorkNum 012c dbPi 0158 dbA19 0160 dbA18 0168 dbA17 0170 dbA16 0193 dbA15 019b dbA14 01a3 dbA13 01ab dbA12 01c3 dbA11 01cb dbA10 01d3 dbA09 01db dbA08 01f3 dbA07 01fb dbA06 0203 dbA05 020b dbA04 0223 dbA03 022b dbA02 0233 dbA01 023b dbA00"
	strings:
		$1 = { 48 81 EC A8 00 00 00 0F 29 B4 24 90 00 00 00 0F 29 BC 24 80 00 00 00 66 0F 29 44 24 60 66 0F 29 4C 24 70 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 54 D0 66 0F 54 D9 66 0F 29 54 24 20 66 0F 29 5C 24 30 66 0F 57 C2 66 0F 57 CB 66 0F 28 D0 66 0F C2 D1 05 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 E2 66 0F 54 DA 66 0F 54 25 ?? ?? ?? ?? 66 0F 56 CC 66 0F 28 E2 66 0F 28 E8 66 0F 28 F1 66 0F 54 C2 66 0F 54 CA 66 0F 55 D6 66 0F 55 E5 66 0F 56 CC 66 0F 56 D0 66 0F 5E CA 66 0F 28 64 24 60 66 0F 28 6C 24 60 66 0F 28 74 24 70 66 0F 28 7C 24 70 66 0F 54 25 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 54 35 ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? 66 0F C2 25 ?? ?? ?? ?? 06 66 0F C2 2D ?? ?? ?? ?? 01 66 0F C2 35 ?? ?? ?? ?? 06 66 0F C2 3D ?? ?? ?? ?? 01 66 0F 54 E5 66 0F 54 F7 66 0F 54 E6 66 0F 50 C4 83 F8 03 89 84 24 A0 00 00 00 0F 8C 63 01 00 00 66 0F 28 64 24 30 66 0F 72 E4 1F 66 0F 70 E4 F5 66 0F 54 25 ?? ?? ?? ?? 66 0F 29 64 24 40 66 0F 29 5C 24 50 66 0F 28 E1 66 0F 59 C9 66 0F 28 E9 66 0F 59 C9 66 0F 28 C1 66 0F 59 C9 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 D1 66 0F 59 D9 66 0F 59 F1 66 0F 59 F9 C7 84 24 A0 00 00 00 03 00 00 00 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 3D ?? ?? ?? ?? 66 0F 59 D1 66 0F 59 D9 66 0F 59 F1 66 0F 59 F9 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 3D ?? ?? ?? ?? 66 0F 59 D1 66 0F 59 D9 66 0F 59 F1 66 0F 59 F9 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 3D ?? ?? ?? ?? 66 0F 59 D1 66 0F 59 D9 66 0F 59 F1 66 0F 59 F9 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 3D ?? ?? ?? ?? 66 0F 59 D0 66 0F 59 D5 66 0F 59 D8 66 0F 59 F5 66 0F 58 D3 66 0F 58 F7 66 0F 58 F2 66 0F 59 F4 66 0F 58 74 24 50 66 0F 56 74 24 30 66 0F 58 74 24 40 66 0F 56 74 24 20 66 0F 28 C6 0F 28 B4 24 90 00 00 00 0F 28 BC 24 80 00 00 00 83 BC 24 A0 00 00 00 03 7D 34 F2 0F 10 44 24 60 F2 0F 10 4C 24 70 E8 3A 00 00 00 F2 0F 11 44 24 60 F2 0F 10 44 24 68 F2 0F 10 4C 24 78 E8 23 00 00 00 F2 0F 11 44 24 68 66 0F 28 44 24 60 48 81 C4 A8 00 00 00 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1294_1_0 {
	meta:
		name = "__common_atan2_sd"
		size = 944
		refs = "0027 iSignMask 005c dbPio2hi 00b8 iAbsMask 00d8 iMinWorkNum 00e1 iMaxWorkNum 0125 dbPi 0151 dbA19 0159 dbA18 0161 dbA17 0169 dbA16 0181 dbA15 0189 dbA14 0191 dbA13 0199 dbA12 01b1 dbA11 01b9 dbA10 01c1 dbA09 01c9 dbA08 01e1 dbA07 01e9 dbA06 01f1 dbA05 01f9 dbA04 0211 dbA03 0219 dbA02 0221 dbA01 0229 dbA00 027e dbZero 0336 db3Pio4hi 0348 dbPio4hi"
	strings:
		$1 = { 48 81 EC A8 00 00 00 0F 29 B4 24 90 00 00 00 0F 29 BC 24 80 00 00 00 66 0F D6 44 24 20 66 0F D6 4C 24 30 F3 0F 7E 15 ?? ?? ?? ?? F3 0F 7E 1D ?? ?? ?? ?? 66 0F 54 D0 66 0F 54 D9 66 0F D6 54 24 40 66 0F D6 5C 24 50 66 0F 57 C2 66 0F 57 CB F3 0F 7E D0 F2 0F C2 D1 05 F3 0F 7E 1D ?? ?? ?? ?? F3 0F 7E E2 66 0F 54 DA 66 0F 54 25 ?? ?? ?? ?? 66 0F 56 CC F3 0F 7E E2 F3 0F 7E E8 F3 0F 7E F1 66 0F 54 C2 66 0F 54 CA 66 0F 55 D6 66 0F 55 E5 66 0F 56 CC 66 0F 56 D0 F2 0F 5E CA F3 0F 7E 64 24 20 F3 0F 7E 6C 24 20 F3 0F 7E 74 24 30 F3 0F 7E 7C 24 30 66 0F 54 25 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 54 35 ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? F2 0F C2 25 ?? ?? ?? ?? 06 F2 0F C2 2D ?? ?? ?? ?? 01 F2 0F C2 35 ?? ?? ?? ?? 06 F2 0F C2 3D ?? ?? ?? ?? 01 66 0F 54 E5 66 0F 54 F7 66 0F 54 E6 66 0F 50 D4 83 E2 01 0F 84 5D 01 00 00 F3 0F 7E 64 24 50 66 0F 72 E4 1F 66 0F 70 E4 F5 66 0F 54 25 ?? ?? ?? ?? 66 0F D6 64 24 60 66 0F D6 5C 24 70 F3 0F 7E E1 F2 0F 59 C9 F3 0F 7E E9 F2 0F 59 C9 F3 0F 7E C1 F2 0F 59 C9 F3 0F 7E 15 ?? ?? ?? ?? F3 0F 7E 1D ?? ?? ?? ?? F3 0F 7E 35 ?? ?? ?? ?? F3 0F 7E 3D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 F1 F2 0F 59 F9 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 F1 F2 0F 59 F9 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 F1 F2 0F 59 F9 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 F1 F2 0F 59 F9 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 D5 F2 0F 59 D8 F2 0F 59 F5 F2 0F 58 D3 F2 0F 58 F7 F2 0F 58 F2 F2 0F 59 F4 F2 0F 58 74 24 70 66 0F 56 74 24 50 F2 0F 58 74 24 60 66 0F 56 74 24 40 F3 0F 7E C6 E9 10 01 00 00 F3 0F 7E 54 24 20 F3 0F 7E 5C 24 30 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? 66 0F EB 54 24 40 66 0F EB 5C 24 50 66 0F D6 54 24 20 66 0F D6 5C 24 30 F3 0F 7E 44 24 20 48 8B 44 24 20 48 8B 54 24 30 48 23 05 ?? ?? ?? ?? 48 23 15 ?? ?? ?? ?? 48 3B 05 ?? ?? ?? ?? 0F 8F A5 00 00 00 74 42 48 3B 15 ?? ?? ?? ?? 0F 8F 96 00 00 00 48 23 D2 74 1B 48 8B 54 24 30 48 23 15 ?? ?? ?? ?? 75 71 66 0F 54 05 ?? ?? ?? ?? E9 82 00 00 00 48 23 C0 75 4D 48 8B 54 24 30 48 23 15 ?? ?? ?? ?? 75 51 EB DE 48 3B 15 ?? ?? ?? ?? 7F 58 7C 32 48 8B 54 24 30 48 23 15 ?? ?? ?? ?? 74 12 66 0F 54 05 ?? ?? ?? ?? 66 0F 56 05 ?? ?? ?? ?? EB 42 66 0F 54 05 ?? ?? ?? ?? 66 0F 56 05 ?? ?? ?? ?? EB 30 66 0F 54 05 ?? ?? ?? ?? 66 0F 56 05 ?? ?? ?? ?? EB 1E 66 0F 54 05 ?? ?? ?? ?? 66 0F 56 05 ?? ?? ?? ?? EB 0C F3 0F 7E 44 24 20 F2 0F 59 44 24 30 F2 0F 11 84 24 A0 00 00 00 0F 28 B4 24 90 00 00 00 0F 28 BC 24 80 00 00 00 F2 0F 10 84 24 A0 00 00 00 48 81 C4 A8 00 00 00 C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1295_1_0 {
	meta:
		name = "_wsetargv"
		size = 237
		refs = "000f ?_pgmname@?1??_wsetargv@@9@9 0029 __imp_GetModuleFileNameW 0030 _wcmdln 0037 _wpgmptr 0060 wparse_cmdline 009c _malloc_crt 00cd __wargv 00d5 __argc"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 83 EC 30 48 8D 3D ?? ?? ?? ?? 33 ED 41 B8 04 01 00 00 48 8B D7 33 C9 66 89 2D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 85 DB 74 05 66 39 2B 75 03 48 8B DF 48 8D 44 24 58 4C 8D 4C 24 50 45 33 C0 33 D2 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 74 24 50 48 B8 FF FF FF FF FF FF FF 1F 48 3B F0 73 65 48 63 44 24 58 48 B9 FF FF FF FF FF FF FF 7F 48 3B C1 73 51 48 8D 0C B0 48 03 C0 48 03 C9 48 3B C8 72 42 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 35 4C 8D 04 F0 48 8D 44 24 58 4C 8D 4C 24 50 48 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 44 24 50 48 89 3D ?? ?? ?? ?? FF C8 89 05 ?? ?? ?? ?? 33 C0 EB 03 83 C8 FF 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1295_2_0 {
	meta:
		name = "wparse_cmdline"
		size = 408
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 57 4C 8B 5C 24 30 33 F6 49 8B D9 41 89 33 4C 8B D2 41 C7 01 01 00 00 00 48 85 D2 74 07 4C 89 02 49 83 C2 08 8B D6 41 BC 22 00 00 00 66 44 39 21 75 13 85 D2 8B C6 0F 94 C0 48 83 C1 02 8B D0 41 0F B7 C4 EB 1F 41 FF 03 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 0F B7 01 48 83 C1 02 66 85 C0 74 1C 85 D2 75 C4 66 83 F8 20 74 06 66 83 F8 09 75 B8 4D 85 C0 74 0B 66 41 89 70 FE EB 04 48 83 E9 02 8B FE 41 BF 5C 00 00 00 66 39 31 0F 84 CE 00 00 00 66 83 39 20 74 06 66 83 39 09 75 06 48 83 C1 02 EB EE 66 39 31 0F 84 B3 00 00 00 4D 85 D2 74 07 4D 89 02 49 83 C2 08 FF 03 41 B9 01 00 00 00 8B D6 EB 06 48 83 C1 02 FF C2 66 44 39 39 74 F4 66 44 39 21 75 3A 41 84 D1 75 1F 85 FF 74 0F 48 8D 41 02 66 44 39 20 75 05 48 8B C8 EB 0C 85 FF 8B C6 44 8B CE 0F 94 C0 8B F8 D1 EA EB 12 FF CA 4D 85 C0 74 08 66 45 89 38 49 83 C0 02 41 FF 03 85 D2 75 EA 0F B7 01 66 85 C0 74 2E 85 FF 75 0C 66 83 F8 20 74 24 66 83 F8 09 74 1E 45 85 C9 74 10 4D 85 C0 74 08 66 41 89 00 49 83 C0 02 41 FF 03 48 83 C1 02 E9 70 FF FF FF 4D 85 C0 74 08 66 41 89 30 49 83 C0 02 41 FF 03 E9 29 FF FF FF 4D 85 D2 74 03 49 89 32 FF 03 48 8B 74 24 18 48 8B 7C 24 20 48 8B 5C 24 10 4C 8B 64 24 28 41 5F C3 }
	condition:
		$1
}

rule file_1296_3_0 {
	meta:
		name = "?__crtCompareStringA_stat@@YAHPEAUlocaleinfo_struct@@PEB_WKPEBDH2HH@Z"
		size = 869
		refs = "0019 __security_cookie 00f6 __imp_GetCPInfo 0173 __imp_MultiByteToWideChar 01d0 __chkstk 01ef malloc 031e __crtCompareStringEx 0331 free 0350 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 78 48 8D 6C 24 30 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 30 8B BD B0 00 00 00 4C 8B B5 B8 00 00 00 33 DB 44 89 45 00 4D 8B F9 48 89 55 10 4C 8B C1 4C 89 75 08 41 BD 01 00 00 00 85 FF 7E 43 8B D7 49 8B C1 41 2B D5 83 C9 FF 38 18 74 09 49 03 C5 85 D2 75 EF 8B D1 8B C1 2B C2 03 F8 8B B5 C0 00 00 00 85 F6 7E 29 8B C6 49 8B D6 41 2B C5 38 1A 74 09 49 03 D5 85 C0 75 F2 8B C1 2B C8 03 F1 EB 12 83 C9 FF 3B F9 7D D4 33 C0 E9 A8 02 00 00 3B F1 7C F5 44 8B A5 C8 00 00 00 45 85 E4 75 07 49 8B 00 44 8B 60 04 85 FF 74 08 85 F6 0F 85 97 00 00 00 3B FE 75 0A B8 02 00 00 00 E9 77 02 00 00 41 3B F5 7E 08 41 8B C5 E9 6A 02 00 00 41 3B FD 7E 0A B8 03 00 00 00 E9 5B 02 00 00 48 8D 55 18 41 8B CC FF 15 ?? ?? ?? ?? 85 C0 74 9B 85 FF 7E 28 83 7D 18 02 72 DB 38 5D 1E 48 8D 45 1E 74 D2 38 58 01 74 CD 41 8A 0F 3A 08 72 05 3A 48 01 76 A5 48 83 C0 02 38 18 EB E5 85 F6 7E 2C 83 7D 18 02 72 A2 38 5D 1E 48 8D 45 1E 74 99 38 58 01 74 94 41 8A 0E 3A 08 72 09 3A 48 01 0F 86 75 FF FF FF 48 83 C0 02 38 18 EB E1 44 8B CF 4D 8B C7 BA 09 00 00 00 41 8B CC 89 5C 24 28 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 4C 63 E8 85 C0 0F 84 17 FF FF FF 49 B9 F0 FF FF FF FF FF FF 0F 7E 79 33 D2 48 8D 42 E0 49 F7 F5 48 83 F8 02 72 6A 4A 8D 0C 6D 00 00 00 00 48 8D 41 10 48 3B C1 76 59 4A 8D 0C 6D 10 00 00 00 48 81 F9 00 04 00 00 77 2F 48 8D 41 0F 48 3B C1 77 03 49 8B C1 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 4C 8D 74 24 30 4D 85 F6 0F 84 B4 FE FF FF 41 C7 06 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 0F C7 00 DD DD 00 00 49 83 C6 10 EB 03 4C 8B F3 4D 85 F6 0F 84 86 FE FF FF 44 8B CF 4D 8B C7 BA 01 00 00 00 41 8B CC 44 89 6C 24 28 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 FC 00 00 00 4C 8B 45 08 44 8B CE BA 09 00 00 00 41 8B CC 89 5C 24 28 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 4C 63 F8 85 C0 0F 84 D3 00 00 00 7E 77 33 D2 48 8D 42 E0 49 F7 F7 48 83 F8 02 72 68 4B 8D 0C 3F 48 8D 41 10 48 3B C1 76 5B 4A 8D 0C 7D 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 74 7B C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C7 10 EB 03 48 8B FB 48 85 FF 74 52 4C 8B 45 08 44 8B CE BA 01 00 00 00 41 8B CC 44 89 7C 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 1E 8B 55 00 48 8B 4D 10 45 8B CD 4D 8B C6 44 89 7C 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 8B D8 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 49 8D 4E F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 30 48 33 CD E8 ?? ?? ?? ?? 48 8D 65 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_1296_7_0 {
	meta:
		name = "__crtCompareStringA"
		size = 137
		refs = "0021 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0062 ?__crtCompareStringA_stat@@YAHPEAUlocaleinfo_struct@@PEB_WKPEBDH2HH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 8B F2 48 8B D1 48 8D 4C 24 40 49 8B D9 41 8B F8 E8 ?? ?? ?? ?? 8B 84 24 A8 00 00 00 48 8D 4C 24 40 4C 8B CB 89 44 24 38 8B 84 24 A0 00 00 00 44 8B C7 89 44 24 30 48 8B 84 24 98 00 00 00 48 8B D6 48 89 44 24 28 8B 84 24 90 00 00 00 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_1297_0_0 {
	meta:
		name = "__vdecl_fmodf8"
		size = 199
		refs = "0011 fmodf"
	strings:
		$1 = { 48 83 EC 68 C5 FE 7F 44 24 20 C5 FE 7F 4C 24 40 E8 ?? ?? ?? ?? 66 0F 7E 44 24 20 66 0F 6E 44 24 24 66 0F 6E 4C 24 44 E8 ?? ?? ?? ?? 66 0F 7E 44 24 24 66 0F 6E 44 24 28 66 0F 6E 4C 24 48 E8 ?? ?? ?? ?? 66 0F 7E 44 24 28 66 0F 6E 44 24 2C 66 0F 6E 4C 24 4C E8 ?? ?? ?? ?? 66 0F 7E 44 24 2C 66 0F 6E 44 24 30 66 0F 6E 4C 24 50 E8 ?? ?? ?? ?? 66 0F 7E 44 24 30 66 0F 6E 44 24 34 66 0F 6E 4C 24 54 E8 ?? ?? ?? ?? 66 0F 7E 44 24 34 66 0F 6E 44 24 38 66 0F 6E 4C 24 58 E8 ?? ?? ?? ?? 66 0F 7E 44 24 38 66 0F 6E 44 24 3C 66 0F 6E 4C 24 5C E8 ?? ?? ?? ?? 66 0F 7E 44 24 3C C5 FE 6F 44 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_1298_14_0 {
	meta:
		name = "??0location@Concurrency@@QEAA@W4_Type@01@IIPEAX@Z"
		size = 34
	strings:
		$1 = { 48 8B 44 24 28 48 83 61 08 00 81 E2 FF FF FF 0F 48 89 41 10 89 11 44 89 49 04 48 8B C1 44 89 41 08 C3 }
	condition:
		$1
}

rule file_1298_32_0 {
	meta:
		name = "?ContainsResourceId@SchedulingNode@details@Concurrency@@QEAA_NI@Z"
		size = 27
		refs = "0012 ?Exists@?$Hash@II@details@Concurrency@@QEAA_NAEBI@Z"
	strings:
		$1 = { 89 54 24 10 48 83 EC 28 48 8D 54 24 38 48 83 C1 20 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1298_33_0 {
	meta:
		name = "?Exists@?$Hash@II@details@Concurrency@@QEAA_NAEBI@Z"
		size = 116
	strings:
		$1 = { 48 89 5C 24 08 45 33 C0 4C 8B DA 48 8B D9 45 8B D0 49 B9 25 23 22 84 E4 9C F2 CB 41 0F B6 04 12 48 B9 B3 01 00 00 00 01 00 00 49 FF C2 4C 33 C8 4C 0F AF C9 49 83 FA 04 72 E1 48 63 0B 33 D2 49 8B C1 48 F7 F1 48 8B 43 08 48 63 CA 48 8B 14 C8 48 85 D2 74 10 41 8B 03 39 42 08 74 0B 48 8B 12 48 85 D2 75 F3 49 8B D0 48 8B 5C 24 08 48 85 D2 0F 95 C0 C3 }
	condition:
		$1
}

rule file_1298_46_0 {
	meta:
		name = "?_Current_node@location@Concurrency@@SA?AV12@XZ"
		size = 160
		refs = "0026 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0042 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0083 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 40 83 21 00 48 83 61 08 00 48 83 61 10 00 4C 8B F1 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 55 80 B8 88 00 00 00 00 75 4C 48 8B C8 48 8B F0 E8 ?? ?? ?? ?? 48 8B 83 F8 00 00 00 48 8B 78 78 48 8B 0F 8B 5F 44 48 8B 01 FF 50 08 48 83 64 24 28 00 89 5C 24 28 48 8B 54 24 28 48 8B CE 41 C7 06 02 00 00 00 41 89 46 04 49 89 7E 10 49 89 56 08 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 49 8B C6 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_1298_47_0 {
	meta:
		name = "?_FastNodeIntersects@location@Concurrency@@QEBA_NAEBV12@@Z"
		size = 90
		refs = "0035 ?Exists@?$Hash@II@details@Concurrency@@QEAA_NAEBI@Z"
	strings:
		$1 = { 48 83 EC 28 8B 02 4C 8B CA 25 FF FF FF 0F 74 43 FF C8 74 2F FF C8 74 23 FF C8 74 04 32 C0 EB 35 8B 42 08 48 8B 49 10 48 8D 54 24 38 48 83 C1 20 89 44 24 38 E8 ?? ?? ?? ?? EB 1A 8B 42 08 39 41 08 EB 0B 48 8B 51 10 41 8B 49 08 39 4A 40 0F 94 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1298_48_0 {
	meta:
		name = "?_FastVPIntersects@location@Concurrency@@QEBA_NAEBV12@@Z"
		size = 73
	strings:
		$1 = { 8B 02 4C 8B CA 25 FF FF FF 0F 74 3A FF C8 74 25 FF C8 74 11 FF C8 74 03 32 C0 C3 8B 42 08 39 41 08 0F 94 C0 C3 48 8B 41 10 48 8B 48 78 8B 42 08 39 41 44 EB EC 48 8B 49 10 48 8B 51 78 41 8B 49 08 39 4A 40 EB DB B0 01 C3 }
	condition:
		$1
}

rule file_1298_54_0 {
	meta:
		name = "?current@location@Concurrency@@SA?AV12@XZ"
		size = 163
		refs = "0026 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0042 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0086 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 40 83 21 00 48 83 61 08 00 48 83 61 10 00 4C 8B F1 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 58 80 B8 88 00 00 00 00 75 4F 48 8B C8 48 8B F0 E8 ?? ?? ?? ?? 48 8B BE F8 00 00 00 48 8B 47 78 8B 9F D0 00 00 00 48 8B 08 48 8B 01 FF 50 08 48 83 64 24 28 00 89 5C 24 28 48 8B 54 24 28 48 8B CE 41 C7 06 03 00 00 00 41 89 46 04 49 89 7E 10 49 89 56 08 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 49 8B C6 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_1298_55_0 {
	meta:
		name = "?from_numa_node@location@Concurrency@@SA?AV12@G@Z"
		size = 87
		refs = "0011 ?__GetNumaHighestNodeNumber@platform@details@Concurrency@@YAKXZ 0041 ??0invalid_operation@Concurrency@@QEAA@XZ 0048 _TI2?AVinvalid_operation@Concurrency@@ 0052 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 0F B7 FA E8 ?? ?? ?? ?? 3B F8 77 22 33 C0 48 C7 03 01 00 00 00 48 89 43 08 48 89 43 10 89 7B 08 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1299_3_0 {
	meta:
		name = "_getch"
		size = 42
		refs = "000c _lock 0012 _getch_nolock 001e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1299_6_0 {
	meta:
		name = "_getche"
		size = 42
		refs = "000c _lock 0012 _getche_nolock 001e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1299_10_0 {
	meta:
		name = "_kbhit"
		size = 42
		refs = "000c _lock 0012 _kbhit_nolock 001e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1299_5_0 {
	meta:
		name = "_getch_nolock"
		size = 256
		refs = "000d __security_cookie 001b chbuf 0036 _coninpfh 0041 __initconin 0060 __imp_GetConsoleMode 006f __imp_SetConsoleMode 008e __imp_ReadConsoleInputA 00ba _getextendedkeycode 00f1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 56 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 8B 05 ?? ?? ?? ?? 83 F8 FF 74 0F 83 0D ?? ?? ?? ?? FF 0F B6 C0 E9 B5 00 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 75 07 0B C1 E9 8F 00 00 00 48 8D 54 24 24 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? BE 01 00 00 00 48 8B 0D ?? ?? ?? ?? 4C 8D 4C 24 20 48 8D 54 24 28 44 8B C6 FF 15 ?? ?? ?? ?? 85 C0 74 3C 83 7C 24 20 00 74 35 66 39 74 24 28 75 D4 83 7C 24 2C 00 74 CD 0F B6 5C 24 36 85 DB 75 21 48 8D 4C 24 2C E8 ?? ?? ?? ?? 48 85 C0 74 B5 0F B6 18 0F B6 40 01 89 05 ?? ?? ?? ?? EB 03 83 CB FF 8B 54 24 24 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B C3 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5E C3 }
	condition:
		$1
}

rule file_1299_8_0 {
	meta:
		name = "_getche_nolock"
		size = 66
		refs = "0008 chbuf 001e _getch_nolock 002c _putch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 05 ?? ?? ?? ?? 83 F8 FF 74 0C 83 0D ?? ?? ?? ?? FF 0F B6 C0 EB 1F E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 10 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C3 EB 03 83 C8 FF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1299_9_0 {
	meta:
		name = "_getextendedkeycode"
		size = 225
		refs = "0013 EnhancedKeys 008a NormalKeys"
	strings:
		$1 = { 44 8B 49 0C 41 0F BA E1 08 73 72 44 0F B7 51 08 4C 8D 1D ?? ?? ?? ?? 45 33 C0 49 8B CB 41 8B D0 66 44 39 11 74 15 41 FF C0 48 83 C1 0A 49 63 C0 48 83 F8 0C 72 EA E9 A2 00 00 00 49 63 C0 41 F6 C1 03 74 0A 48 8D 50 01 48 8D 14 90 EB 29 41 F6 C1 0C 74 0A 48 8D 14 85 03 00 00 00 EB 16 48 8D 14 85 02 00 00 00 41 F6 C1 10 75 08 48 8D 14 85 01 00 00 00 48 03 D0 49 8D 14 53 EB 60 0F B7 41 08 41 F6 C1 03 74 0D 48 8D 15 ?? ?? ?? ?? 48 8D 52 06 EB 24 41 F6 C1 0C 74 0D 48 8D 15 ?? ?? ?? ?? 48 8D 52 04 EB 11 41 F6 C1 10 74 11 48 8D 15 ?? ?? ?? ?? 48 8D 52 02 48 8D 14 C2 EB 0B 48 8D 0D ?? ?? ?? ?? 48 8D 14 C1 8A 02 45 33 C0 04 20 A8 DF 75 06 44 38 42 01 75 03 49 8B D0 48 8B C2 C3 }
	condition:
		$1
}

rule file_1299_12_0 {
	meta:
		name = "_kbhit_nolock"
		size = 417
		refs = "001e __security_cookie 002e chbuf 0041 _coninpfh 004c __initconin 0067 __imp_GetNumberOfConsoleInputEvents 00c3 __chkstk 00e1 malloc 0116 __imp_PeekConsoleInputA 014e _getextendedkeycode 0174 free 0187 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 30 48 8D 6C 24 20 48 89 5D 30 48 89 75 38 48 89 7D 40 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 08 45 33 FF 83 3D ?? ?? ?? ?? FF 74 09 41 8D 47 01 E9 41 01 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 0F 84 1C 01 00 00 48 8D 55 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 0A 01 00 00 8B 7D 00 85 FF 0F 84 FF 00 00 00 33 D2 48 8D 42 E0 48 F7 F7 48 83 F8 14 72 6F 48 8D 0C BF 48 C1 E1 02 48 8D 41 10 48 3B C1 76 5E 48 83 C1 10 48 81 F9 00 04 00 00 77 35 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 20 48 85 DB 0F 84 A5 00 00 00 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 C7 00 DD DD 00 00 8B 7D 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 7A 48 8B 0D ?? ?? ?? ?? 4C 8D 4D 04 44 8B C7 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 74 49 8B 7D 04 85 FF 74 42 3B 7D 00 77 3D 85 FF 74 39 48 8D 73 04 41 BE 01 00 00 00 66 44 39 76 FC 75 1B 83 3E 00 74 16 80 7E 0A 00 75 0D 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 74 03 45 8B FE FF CF 48 83 C6 14 89 7D 04 85 FF 75 D1 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 41 8B C7 EB 02 33 C0 48 8B 4D 08 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1299_15_0 {
	meta:
		name = "_ungetch_nolock"
		size = 25
		refs = "0009 chbuf"
	strings:
		$1 = { 83 C8 FF 3B C8 74 11 39 05 ?? ?? ?? ?? 75 09 0F B6 C1 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1301_0_0 {
	meta:
		name = "_mbclen"
		size = 45
		refs = "000d _ismbblead"
		altNames = "_mbclen_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 0F B6 09 E8 ?? ?? ?? ?? 85 C0 74 0B 80 7B 01 00 B8 02 00 00 00 75 05 B8 01 00 00 00 48 98 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1302_1_0 {
	meta:
		name = "_wcwild"
		size = 233
		refs = "0009 __wargv 0010 argend 001a arghead 002d ??_C@_15EAECJAPL@?$AA?$CK?$AA?$DP?$AA?$AA@ 0032 wcspbrk 0042 wmatch 0049 wadd 0082 _calloc_crt 0090 __argc 00ce free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 33 C0 48 89 05 ?? ?? ?? ?? 48 39 03 74 3F 48 83 03 02 48 8B 0B 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0B 48 85 C0 74 0A 48 8B D0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 85 C0 75 15 48 83 C3 08 48 83 3B 00 75 C8 48 8B 05 ?? ?? ?? ?? 33 DB EB 0B 83 C8 FF EB 78 48 8B 40 08 FF C3 48 85 C0 75 F5 8D 43 01 B9 08 00 00 00 48 63 D0 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 D8 89 1D ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B D3 48 85 DB 74 13 48 8B 02 48 89 01 48 8B 52 08 48 83 C1 08 48 85 D2 75 ED 48 83 21 00 48 8B CB 48 85 DB 74 18 48 8B 5B 08 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 EF 48 89 1D ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1302_3_0 {
	meta:
		name = "wfind"
		size = 197
		refs = "0015 ?findbuf@?1??wfind@@9@9 0024 _malloc_crt 003b ?_WildFindHandle@?1??wfind@@9@9 0046 __imp_FindClose 0071 __imp_FindFirstFileExW 00a3 __imp_FindNextFileW"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 48 85 C9 0F 84 81 00 00 00 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 1A B9 54 03 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 04 33 C0 EB 55 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 15 FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8B 05 ?? ?? ?? ?? 83 64 24 28 00 48 83 64 24 20 00 45 33 C9 4C 8B C0 33 D2 48 8B CB FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 F8 FF 74 B2 48 8B 05 ?? ?? ?? ?? 48 83 C0 2C 48 83 C4 30 5B C3 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 D7 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E9 6F FF FF FF }
	condition:
		$1
}

rule file_1302_4_0 {
	meta:
		name = "wmatch"
		size = 687
		refs = "0098 wfind 00ab argend 00b2 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 00ba wcscmp 00c9 ??_C@_15DDHGOCBH@?$AA?4?$AA?4?$AA?$AA@ 0102 wcslen 013a _calloc_crt 0157 wcsncpy_s 0171 wcscpy_s 0181 wadd 01a2 _wcsdup 01cd ?findbuf@?1??wfind@@9@9 01d4 ?_WildFindHandle@?1??wfind@@9@9 01da __imp_FindNextFileW 01fd __imp_FindClose 021c arghead 022e _wcsicmp 0294 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 33 ED 48 8B DA 48 8B F9 44 89 74 24 68 48 85 D2 75 08 83 C8 FF E9 2D 02 00 00 48 3B D1 74 1B 66 83 3B 5C 74 15 66 83 3B 2F 74 0F 66 83 3B 3A 74 0F 48 83 EB 02 48 3B D9 75 E5 66 83 3B 3A 75 0D 48 8D 41 02 48 3B D8 0F 85 F5 01 00 00 0F B7 03 49 BF 01 08 00 00 00 20 00 00 66 83 E8 2F 66 83 F8 2D 77 14 0F B7 C0 49 0F A3 C7 73 0B 48 8B EB 48 2B E9 48 D1 FD FF C5 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 B6 01 00 00 4C 8B 2D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 04 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 ED 00 00 00 0F B7 03 66 83 E8 2F 66 83 F8 2D 0F 87 B0 00 00 00 0F B7 C0 49 0F A3 C7 0F 83 A3 00 00 00 48 8B CE 4C 63 FD E8 ?? ?? ?? ?? 4D 8D 77 01 4C 03 F0 85 ED 0F 88 1C FF FF FF 48 B8 FF FF FF FF FF FF FF 7F 4C 3B F0 0F 83 09 FF FF FF 4D 3B F7 0F 82 00 FF FF FF BA 02 00 00 00 49 8B CE E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 E7 FE FF FF 4D 8B CF 4C 8B C7 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 36 01 00 00 4D 2B F7 4B 8D 0C 7C 4C 8B C6 49 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 06 01 00 00 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 85 A4 FE FF FF 44 8B 74 24 68 49 BF 01 08 00 00 00 20 00 00 EB 24 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 7F FE FF FF 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 6F FE FF FF 41 FF C6 44 89 74 24 68 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 12 48 8B 35 ?? ?? ?? ?? 48 83 C6 2C 74 1A E9 BB FE FF FF 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 45 85 F6 74 50 4D 85 ED 74 06 49 8B 7D 08 EB 07 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 35 EB 27 48 8B 17 48 8B 0B E8 ?? ?? ?? ?? 85 C0 79 0C 48 8B 03 48 8B 0F 48 89 07 48 89 0B 48 8B 5B 08 48 85 DB 75 DC 48 8B 3E 48 8D 77 08 48 8B 1E 48 85 DB 75 CD 33 C0 EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1303_0_0 {
	meta:
		name = "__avx_tan4"
		size = 2640
		refs = "000a __common_dtan_reduction_data 007e __common_dtan_data 0269 __common_dtan_cout_rare 02ca _2il0floatpacket_355 030d _2il0floatpacket_356 0373 _2il0floatpacket_357 05e2 _2il0floatpacket_358 0609 _2il0floatpacket_361 061b _2il0floatpacket_362 0624 _2il0floatpacket_359 0661 _2il0floatpacket_360 0679 _2il0floatpacket_364 068a _2il0floatpacket_363 06dc _2il0floatpacket_368 06ef _2il0floatpacket_365 06f8 _2il0floatpacket_366 0701 _2il0floatpacket_367 0743 _2il0floatpacket_369 0750 _2il0floatpacket_371 0759 _2il0floatpacket_370"
	strings:
		$1 = { 48 81 EC B8 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 D0 01 00 00 33 C0 C5 7C 11 B4 24 70 02 00 00 C5 7C 11 AC 24 90 01 00 00 C5 7C 11 A4 24 B0 01 00 00 C5 7C 11 9C 24 90 02 00 00 C5 7C 11 94 24 F0 01 00 00 C5 7C 11 8C 24 50 02 00 00 C5 7C 11 84 24 30 02 00 00 C5 FC 11 BC 24 10 02 00 00 C5 FC 11 B4 24 70 01 00 00 4C 89 AC 24 B0 02 00 00 4C 8D AC 24 0F 01 00 00 C5 FD 10 15 ?? ?? ?? ?? 49 83 E5 C0 C5 FD 54 EA C5 D5 C2 0D ?? ?? ?? ?? 1E C5 ED 55 D0 C4 E3 7D 19 CB 01 C5 F0 C6 E3 DD C5 F8 50 CC 85 C9 0F 85 C1 01 00 00 C5 FD 10 3D ?? ?? ?? ?? C5 D5 59 35 ?? ?? ?? ?? C5 CD 58 CF C5 75 5C EF C5 15 59 05 ?? ?? ?? ?? C5 15 59 15 ?? ?? ?? ?? C5 15 59 25 ?? ?? ?? ?? C5 15 59 3D ?? ?? ?? ?? C4 41 55 5C C8 C4 41 35 5C DA C4 41 25 5C F4 C4 C1 0D 5C E7 C5 DD 59 EC C5 55 59 25 ?? ?? ?? ?? C5 55 59 2D ?? ?? ?? ?? C5 1D 58 35 ?? ?? ?? ?? C5 0D 59 FD C4 41 25 57 DB C5 E1 73 F1 3F C4 C3 7D 19 C8 01 C4 C1 49 73 F0 3F C4 C1 31 73 F0 3E C4 E3 65 18 FE 01 C5 C5 57 DA C5 E9 73 F1 3E C5 95 58 0D ?? ?? ?? ?? C5 85 58 3D ?? ?? ?? ?? C5 F5 59 F5 C5 45 59 C5 C4 43 6D 18 D1 01 C5 4D 58 0D ?? ?? ?? ?? C4 C1 2D C2 D3 0C C5 3D 58 15 ?? ?? ?? ?? C5 B5 59 ED C5 AD 59 CC C5 D5 58 2D ?? ?? ?? ?? C5 ED 55 E1 C5 6D 54 D5 C4 C1 5D 56 F2 C5 ED 54 E1 C5 ED 55 D5 C5 DD 56 FA C5 4D 5E C7 C5 BD 57 CB 85 C0 75 6E C5 FC 10 B4 24 70 01 00 00 C5 FC 10 BC 24 10 02 00 00 C5 7C 10 84 24 30 02 00 00 C5 7C 10 8C 24 50 02 00 00 C5 7C 10 94 24 F0 01 00 00 C5 7C 10 9C 24 90 02 00 00 C5 7C 10 A4 24 B0 01 00 00 C5 7C 10 AC 24 90 01 00 00 C5 7C 10 B4 24 70 02 00 00 C5 7C 10 BC 24 D0 01 00 00 4C 8B AC 24 B0 02 00 00 C5 FD 28 C1 48 81 C4 B8 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 84 33 D2 48 89 5C 24 28 8B DA 48 89 74 24 20 8B F0 0F A3 DE 72 1C FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 4D 40 E9 53 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D0 C5 FD 10 15 ?? ?? ?? ?? 41 B8 00 00 F0 7F C4 C1 7D 11 45 00 C4 C1 79 6E F0 C5 6D 54 D5 C5 2D C2 CA 00 C5 F9 70 D6 11 C5 69 DB D0 C4 43 7D 19 CB 01 C4 C3 7D 19 C7 01 C4 C1 30 C6 DB DD C4 41 69 DB CF C4 C1 51 73 D1 34 C4 C1 21 73 D2 34 C4 C1 79 7E EA C5 79 7E D9 C5 FA 6F 15 ?? ?? ?? ?? C5 F8 11 44 24 20 C5 E9 DB C0 C4 C3 79 16 E8 02 47 8D 14 52 C4 43 79 16 DB 02 44 8D 0C 49 41 C1 E2 03 41 C1 E1 03 43 8D 0C 40 C1 E1 03 47 8D 1C 5B 41 C1 E3 03 C4 41 F9 6E 34 12 C5 7A 6F 0D ?? ?? ?? ?? C4 C1 F9 6E 4C 12 08 C5 F8 50 C3 C5 78 11 7C 24 30 C4 41 69 DB FF C4 C1 F9 6E 1C 11 C4 C1 F9 6E 74 11 10 C5 09 16 14 11 C4 41 79 D4 F1 C5 71 16 6C 11 08 C4 41 61 16 04 13 C4 C1 49 16 4C 13 10 C4 41 F9 6E 64 11 08 C5 E9 73 D1 20 C4 C1 F9 6E 7C 12 10 41 B9 00 00 00 80 C4 C1 01 D4 F1 C5 7A 6F 3D ?? ?? ?? ?? C5 79 11 54 24 50 C4 41 09 DB CF C4 C1 19 16 64 13 08 C4 41 29 DB E7 C5 C1 16 5C 11 10 48 8D 15 ?? ?? ?? ?? C4 C1 39 DB FF C4 C1 29 73 D6 20 C4 C1 71 DB CF C5 79 11 44 24 40 C4 C1 39 73 D5 20 C5 FA 7F 7C 24 60 C4 C1 11 DB C7 C5 91 73 D6 20 C4 41 49 DB F7 C5 B1 F4 F7 C4 C1 59 DB EF C5 A9 F4 F9 C5 F1 73 D7 20 C5 A1 73 D4 20 C5 A9 F4 FA C5 D9 73 D3 20 C5 B1 F4 D2 C5 FA 7F B4 24 B0 00 00 00 C5 E9 73 D2 20 C5 B1 F4 F5 C4 C1 61 DB DF C5 A9 F4 ED C5 C1 D4 FA C5 91 F4 D4 C5 89 F4 E4 C5 7A 7F 64 24 70 C4 41 09 F4 E4 C5 7A 7F 84 24 90 00 00 00 C5 FA 7F 84 24 A0 00 00 00 C5 7A 7F A4 24 C0 00 00 00 C4 41 09 F4 E0 C5 09 F4 C0 C4 C1 49 DB C7 C5 F9 D4 C7 C5 F1 D4 F8 C5 91 F4 C3 C5 F1 73 D0 20 C5 F9 73 D4 20 C5 E9 D4 D0 C5 7A 7F 9C 24 80 00 00 00 C4 C1 39 DB DF C4 41 31 F4 DB C5 F9 73 D7 20 C5 E1 D4 DA C5 E9 73 D6 20 C4 C1 39 73 D0 20 C5 F1 D4 E3 C5 D1 D4 DA C4 C1 21 DB CF C4 C1 21 73 D3 20 C5 F1 D4 EB C5 F9 D4 F5 C5 91 F4 84 24 A0 00 00 00 C4 C1 79 D4 C0 C4 C1 19 DB CF C5 E1 73 D4 20 C5 F1 D4 D0 C5 A9 F4 8C 24 80 00 00 00 C5 29 F4 54 24 60 C5 61 D4 C2 C4 C1 71 D4 C3 C5 FA 6F 9C 24 B0 00 00 00 C5 D1 73 D6 20 C4 C1 61 DB D7 C4 C1 19 73 D4 20 C5 E9 D4 D0 C5 D1 D4 EA C5 91 F4 94 24 90 00 00 00 C5 11 F4 6C 24 70 C4 C1 69 D4 D4 C5 FA 6F 8C 24 C0 00 00 00 C4 C1 21 73 D0 20 C4 C1 71 DB C7 C5 99 73 F6 20 C5 F9 D4 C2 C5 A1 D4 D0 C5 79 10 5C 24 40 C5 F9 73 D5 20 C4 C1 21 73 D3 20 C4 C1 51 DB EF C4 41 31 F4 CB C5 A1 73 D3 20 C4 41 29 D4 D3 C4 41 31 DB CF C4 C1 39 73 F0 20 C4 41 31 D4 CA C4 C1 79 D4 C1 C5 79 10 4C 24 50 C5 E1 73 F0 20 C4 C1 21 73 D1 20 C5 B1 73 D1 20 C4 41 09 F4 F3 C5 F9 73 D2 20 C5 61 D4 D5 C4 C1 11 D4 D9 C4 41 09 DB DF C4 41 79 6E E9 C5 A1 D4 EB C5 F9 D4 C5 C5 89 73 F0 20 C4 C1 69 DB D7 C4 C1 79 70 F5 11 C4 C1 41 DB CF C4 41 59 DB FF C4 C1 59 73 D2 0C C5 89 D4 D2 C4 41 39 D4 CF C5 99 D4 F9 C5 49 DB 74 24 20 C5 E1 73 D2 0C C5 7A 6F 3D ?? ?? ?? ?? C5 49 DB 6C 24 30 C4 C1 09 EF C7 C4 41 11 EF C7 C5 59 EB D8 C4 C1 61 EB E8 C4 E3 25 18 CD 01 C5 7A 6F 1D ?? ?? ?? ?? C4 C1 09 EF EB C4 C1 11 EF DB C5 7A 6F 1D ?? ?? ?? ?? C4 62 7D 1A 25 ?? ?? ?? ?? C5 9D 58 E1 C4 C1 5D 5C F4 C5 21 DB E7 C4 41 21 DB D9 C5 C1 73 D7 18 C4 C1 31 73 D1 18 C5 F5 5C C6 C4 C1 71 73 F4 1C C4 C1 19 73 F3 1C C5 F1 EB CD C5 19 EB DB C5 FA 6F 35 ?? ?? ?? ?? C4 43 75 18 E3 01 C4 E3 55 18 DB 01 C5 1D 5C E3 C5 FA 6F 1D ?? ?? ?? ?? C4 41 61 DB D2 C5 E1 DB D2 C5 7A 6F 1D ?? ?? ?? ?? C4 C1 29 73 F2 28 C5 E1 73 F2 28 C4 41 09 EF F3 C5 29 EB D7 C4 C1 11 EF EB C4 C1 61 EB C9 C4 41 29 EB DE C5 71 EB ED C4 C3 25 18 FD 01 C4 E3 0D 18 ED 01 C5 45 5C D5 C4 C1 7D 58 D2 C5 FD 5C C2 C5 AD 58 C0 C4 C1 7D 58 DC C4 62 7D 1A 25 ?? ?? ?? ?? C4 41 6D 54 CC C4 41 6D 5C F1 C4 62 7D 1A 1D ?? ?? ?? ?? C4 62 7D 1A 15 ?? ?? ?? ?? C4 E2 7D 1A 2D ?? ?? ?? ?? C4 41 2D 59 E6 C4 C1 55 59 C9 C5 25 59 EB C4 C1 55 59 FE C4 C1 2D 59 C1 C5 1D 58 D1 C5 95 58 D7 C5 2D 58 CA C4 41 7D 58 E1 C4 C1 7D 5C C4 C4 41 7D 58 D1 C4 C1 7D 10 45 00 C4 62 7D 1A 1D ?? ?? ?? ?? C4 C1 7D 54 DB C5 7A 6F 1D ?? ?? ?? ?? C4 E2 7D 1A 2D ?? ?? ?? ?? C5 E5 C2 FD 1E C5 65 C2 F5 12 C5 8D 54 C8 C4 41 45 54 EC C4 C1 75 56 D5 C4 41 45 54 CA C4 C1 6D 58 D1 C4 C3 7D 19 E0 01 C5 D9 DB E6 C5 39 DB C6 C4 41 59 DB D3 C4 41 39 DB CB C4 41 79 7E D3 C5 79 7E C9 45 6B CB 68 6B C9 68 C4 43 79 16 D0 02 C4 43 79 16 CA 02 45 6B C0 68 45 6B DA 68 C4 C1 F9 6E B4 11 40 01 00 00 C4 61 F9 6E 9C 11 40 01 00 00 C4 41 F9 6E 84 11 50 01 00 00 C4 61 F9 6E B4 11 50 01 00 00 C4 41 49 16 94 10 40 01 00 00 C4 C1 21 16 9C 13 40 01 00 00 C4 C1 F9 6E 8C 11 58 01 00 00 C4 41 F9 6E 9C 11 68 01 00 00 C4 C1 39 16 AC 10 50 01 00 00 C4 E1 F9 6E B4 11 58 01 00 00 C4 61 F9 6E 84 11 68 01 00 00 C4 41 09 16 A4 13 50 01 00 00 C4 41 71 16 AC 10 58 01 00 00 C4 C1 49 16 A4 13 58 01 00 00 C4 41 F9 6E B4 11 70 01 00 00 C4 E1 F9 6E 8C 11 70 01 00 00 C4 C1 71 16 B4 13 70 01 00 00 C4 E3 2D 18 FB 01 C4 C1 21 16 9C 10 68 01 00 00 C4 43 55 18 CC 01 C4 C1 39 16 AC 13 68 01 00 00 C4 41 09 16 A4 10 70 01 00 00 C4 63 15 18 D4 01 C4 C1 F9 6E A4 11 78 01 00 00 C4 41 59 16 9C 10 78 01 00 00 C4 63 65 18 ED 01 C4 E1 F9 6E 9C 11 78 01 00 00 C4 41 61 16 84 13 78 01 00 00 C4 C1 F9 6E AC 11 80 01 00 00 C5 15 59 EA C4 63 1D 18 F6 01 C4 E1 F9 6E B4 11 80 01 00 00 C4 41 51 16 A4 10 80 01 00 00 C4 C1 49 16 A4 13 80 01 00 00 C4 C1 F9 6E B4 11 90 01 00 00 C4 C3 25 18 C8 01 C4 41 F9 6E 9C 11 88 01 00 00 C4 61 F9 6E 84 11 88 01 00 00 C4 C1 21 16 9C 10 88 01 00 00 C4 61 F9 6E 9C 11 90 01 00 00 C5 F5 59 CA C4 E3 1D 18 EC 01 C4 41 39 16 A4 13 88 01 00 00 C4 41 F9 6E 84 11 98 01 00 00 C4 C1 49 16 A4 10 90 01 00 00 C4 C1 39 16 B4 10 98 01 00 00 C4 43 65 18 E4 01 C4 C1 21 16 9C 13 90 01 00 00 C4 61 F9 6E 9C 11 98 01 00 00 C4 41 21 16 84 13 98 01 00 00 C5 1D 59 E2 C5 9D 58 ED C4 E3 5D 18 DB 01 C4 C1 F9 6E A4 11 A0 01 00 00 C4 41 59 16 9C 10 A0 01 00 00 C4 43 4D 18 C0 01 C4 E1 F9 6E B4 11 A0 01 00 00 C4 C1 49 16 A4 13 A0 01 00 00 C5 3D 59 C2 C5 BD 58 DB C4 63 25 18 DC 01 C5 C5 5C E2 C5 FD 5A FC C5 F8 53 F7 C5 FC 5A F6 C5 DD 59 E6 C4 43 05 18 FF 01 C5 85 5C FC C5 C5 59 E7 C5 5D 58 FF C5 CD 59 FC C5 C5 58 E6 C4 41 5D 59 FF C5 85 58 F6 C4 41 15 58 FA C4 41 4D 59 D1 C5 6D 59 CA C4 41 2D 58 D7 C4 41 75 58 FE C4 41 25 59 D9 C4 C1 35 59 C9 C4 41 55 59 C9 C5 25 58 F3 C4 C1 35 58 DF C5 0D 59 F1 C5 8D 58 E3 C5 DD 59 D2 C4 C1 6D 58 CA E9 60 F7 FF FF 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_1304_1_0 {
	meta:
		name = "_wassert"
		size = 2368
		refs = "0022 __security_cookie 0041 _set_error_mode 005e __app_type 0071 ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@ 0082 wcscpy_s 0091 dblnewline 009d wcscat_s 00ac ??_C@_1BE@PHKBBGE@?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 00d5 __imp_GetModuleHandleExW 00ff __imp_GetModuleFileNameW 0110 ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 013a wcslen 0157 dotdotdot 0184 memcpy_s 01ab newline 01c7 ??_C@_1O@HEMHKNDC@?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 025b wcsncat_s 03ce ??_C@_1O@KCAFKHJE@?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 0417 _itow_s 0442 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 04f9 ??_C@_1OA@EGMLFBHJ@?$AAF?$AAo?$AAr?$AA?5?$AAi?$AAn?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAo?$AAn?$AA?5?$AAh?$AAo?$AAw?$AA?5?$AAy?$AAo?$AAu?$AAr?$AA?5?$AAp?$AAr?$AAo?$AAg@ 0531 ??_C@_1HK@POCJMFGK@?$AA?$CI?$AAP?$AAr?$AAe?$AAs?$AAs?$AA?5?$AAR?$AAe?$AAt?$AAr?$AAy?$AA?5?$AAt?$AAo?$AA?5?$AAd?$AAe?$AAb?$AAu?$AAg?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAa?$AAp?$AAp?$AAl?$AAi?$AAc@ 054d ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 055d __crtMessageBoxW 057b __security_check_cookie 05ac __imp_GetStdHandle 05c0 _assertstring 05dc swprintf 05e9 __imp_GetFileType 0613 __imp_WriteConsoleW 0620 __iob_func 0646 _invoke_watson 077b raise 0785 _exit 08f0 abort 0908 setvbuf 0928 fwprintf 0936 fflush"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 20 FA FF FF 48 81 EC E0 06 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 D0 05 00 00 4C 8B E1 BF 03 00 00 00 45 8B E8 8B CF 48 8B DA E8 ?? ?? ?? ?? 45 33 FF 83 F8 01 0F 84 54 05 00 00 8B CF E8 ?? ?? ?? ?? 85 C0 75 0D 83 3D ?? ?? ?? ?? 01 0F 84 3C 05 00 00 BF 40 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 8B D7 4C 89 7C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 4C 08 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 1C 08 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 EC 07 00 00 48 8B 95 18 06 00 00 4C 8D 44 24 30 8D 48 06 FF 15 ?? ?? ?? ?? 48 8D 95 C0 03 00 00 41 B8 04 01 00 00 F7 D8 66 44 89 BD C8 05 00 00 48 1B C9 48 23 4C 24 30 48 89 4C 24 30 FF 15 ?? ?? ?? ?? 41 BE 05 01 00 00 85 C0 75 1E 4C 8D 05 ?? ?? ?? ?? 48 8D 8D C0 03 00 00 41 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 85 0B 05 00 00 48 8D 8D C0 03 00 00 48 8D B5 C0 03 00 00 E8 ?? ?? ?? ?? 48 83 C0 0B 48 83 F8 40 76 48 48 8D 8D C0 03 00 00 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8D 8D C0 03 00 00 48 8D B4 45 56 03 00 00 41 B9 06 00 00 00 48 8B C6 48 2B C1 48 8B CE 48 D1 F8 4C 2B F0 4B 8D 14 36 E8 ?? ?? ?? ?? 85 C0 0F 85 BB 04 00 00 48 8D 4C 24 40 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 F3 06 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 C2 06 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 91 06 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C0 08 48 83 F8 40 0F 86 A1 01 00 00 48 8B CB E8 ?? ?? ?? ?? BE 01 00 00 00 4C 8B F0 0F B7 44 43 FE 66 83 F8 5C 74 23 48 8D 4B FE 4A 8D 0C 71 66 83 F8 2F 74 15 49 3B F6 73 10 48 83 E9 02 48 FF C6 0F B7 01 66 83 F8 5C 75 E5 4D 8B FE 4C 2B FE 49 83 FF 26 76 68 48 83 FE 12 73 5E 41 B9 35 00 00 00 48 8D 4C 24 40 4C 8B C3 4C 2B CE 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 24 04 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 F2 03 00 00 4E 8D 04 7B 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 45 33 FF 85 C0 0F 84 10 01 00 00 E9 BC 03 00 00 49 83 FF 26 4C 8B C3 48 8B D7 48 8D 4C 24 40 73 59 48 D1 EE 41 B9 35 00 00 00 4C 2B CE E8 ?? ?? ?? ?? 45 33 FF 85 C0 0F 85 FA 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 C9 03 00 00 4C 2B F6 48 8D 4C 24 40 48 8B D7 4E 8D 04 73 E8 ?? ?? ?? ?? 85 C0 0F 84 A6 00 00 00 E9 93 03 00 00 41 B9 23 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 14 04 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 E2 03 00 00 4E 8D 04 7B 44 8D 48 08 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 45 33 FF 85 C0 0F 85 AD 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 7C 03 00 00 4C 8D 43 F2 48 8D 4C 24 40 48 8B D7 4F 8D 04 70 E8 ?? ?? ?? ?? 85 C0 74 1D E9 49 03 00 00 48 8D 4C 24 40 4C 8B C3 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 AD 04 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 7C 04 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 4B 04 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B DF 48 2B D8 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 14 42 41 B9 0A 00 00 00 4C 8B C3 41 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 FA 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 C9 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 98 03 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D8 E8 ?? ?? ?? ?? 48 8D 88 B0 00 00 00 48 03 CB 48 3B CF 48 8D 4C 24 40 76 43 E8 ?? ?? ?? ?? 41 B9 8D 01 00 00 48 8D 4C 24 40 4D 8B C4 48 8B D7 4C 2B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 B6 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 74 18 E9 84 02 00 00 4D 8B C4 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 04 03 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 D3 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 A2 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 71 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 40 02 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 41 B8 12 20 01 00 E8 ?? ?? ?? ?? 83 F8 03 0F 84 0B 02 00 00 83 F8 04 75 2B CC 48 8B 8D D0 05 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 38 07 00 00 48 81 C4 E0 06 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 83 F8 05 0F 85 97 03 00 00 EB CB B9 F4 FF FF FF FF 15 ?? ?? ?? ?? 48 8B F0 48 8D 48 FF 48 83 F9 FD 77 62 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 4D 8B CC BA 40 02 00 00 44 89 6C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 78 3B 48 8B CE FF 15 ?? ?? ?? ?? 83 F8 02 75 2D 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 48 8D 54 24 40 48 8B CE 4C 8B C0 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 85 D0 02 00 00 E8 ?? ?? ?? ?? F7 40 78 0C 01 00 00 0F 85 DB 02 00 00 E9 BF 02 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC B9 16 00 00 00 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 45 33 C9 33 D2 48 8D 48 60 45 8D 41 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 4C 8B CB 48 8D 48 60 4D 8B C4 44 89 6C 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 48 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1305_0_0 {
	meta:
		name = "__security_init_cookie"
		size = 172
		refs = "0010 __security_cookie 002e __imp_GetSystemTimeAsFileTime 003c __imp_GetCurrentThreadId 0048 __imp_GetCurrentProcessId 0058 __imp_QueryPerformanceCounter 00a2 __security_cookie_complement"
	strings:
		$1 = { 48 89 5C 24 20 55 48 8B EC 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 83 65 18 00 48 BB 32 A2 DF 2D 99 2B 00 00 48 3B C3 75 6F 48 8D 4D 18 FF 15 ?? ?? ?? ?? 48 8B 45 18 48 89 45 10 FF 15 ?? ?? ?? ?? 8B C0 48 31 45 10 FF 15 ?? ?? ?? ?? 48 8D 4D 20 8B C0 48 31 45 10 FF 15 ?? ?? ?? ?? 8B 45 20 48 C1 E0 20 48 8D 4D 10 48 33 45 20 48 33 45 10 48 33 C1 48 B9 FF FF FF FF FF FF 00 00 48 23 C1 48 B9 33 A2 DF 2D 99 2B 00 00 48 3B C3 48 0F 44 C1 48 89 05 ?? ?? ?? ?? 48 8B 5C 24 48 48 F7 D0 48 89 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_1306_0_0 {
	meta:
		name = "_wwincmdln"
		size = 87
		refs = "0003 _wcmdln 000d ??_C@_11LOCGONAA@?$AA?$AA@"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 45 33 C0 48 8D 05 ?? ?? ?? ?? 48 85 C9 41 8B D0 48 0F 44 C8 66 83 39 20 77 0A 66 44 39 01 74 2C 85 D2 74 20 66 83 39 22 75 0A 85 D2 41 8B C0 0F 94 C0 8B D0 48 83 C1 02 EB DA 66 83 F8 20 77 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8B C1 C3 }
	condition:
		$1
}

rule file_1307_0_0 {
	meta:
		name = "memmove_s"
		size = 81
		refs = "0014 _errno 0020 _invalid_parameter_noinfo 0045 memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4D 85 C9 74 3B 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 23 48 85 C0 74 E6 49 3B D1 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB DF 4D 8B C1 48 8B D0 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1308_0_0 {
	meta:
		name = "_fcloseall"
		size = 168
		refs = "0015 _lock 0023 _nstream 002f __piob 0043 fclose 0068 __imp_DeleteCriticalSection 0078 free 0092 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 FF 8D 4F 01 E8 ?? ?? ?? ?? 90 8D 5F 03 89 5C 24 20 3B 1D ?? ?? ?? ?? 7D 63 48 63 F3 48 8B 05 ?? ?? ?? ?? 48 8B 0C F0 48 85 C9 74 4C F6 41 18 83 74 10 E8 ?? ?? ?? ?? 83 F8 FF 74 06 FF C7 89 7C 24 24 83 FB 14 7C 31 48 8B 05 ?? ?? ?? ?? 48 8B 0C F0 48 83 C1 30 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B 0C F1 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 83 24 F0 00 FF C3 EB 91 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1309_3_0 {
	meta:
		name = "??2@YAPEAX_K@Z"
		size = 105
		refs = "000f _callnewh 001b malloc 002d ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0047 ??0exception@std@@QEAA@AEBQEBDH@Z 004e ??_7bad_alloc@std@@6B@ 0055 _TI2?AVbad_alloc@std@@ 0064 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 EB 0F 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 13 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 E7 48 83 C4 40 5B C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1310_0_0 {
	meta:
		name = "?_fpcvt@@YAHPEAD_KPEAU_strflt@@HPEAH3@Z"
		size = 142
		refs = "002b _errno 0037 _invalid_parameter_noinfo 0050 _fptostr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 45 85 C9 45 8B D1 8B C3 49 8B F0 41 0F 4F C1 83 C0 02 48 98 48 3B D0 73 15 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 3F 8D 42 FE 44 3B C8 4D 8B C8 44 0F 4F D0 45 8B C2 E8 ?? ?? ?? ?? 8B F8 85 C0 74 0B E8 ?? ?? ?? ?? 89 38 8B C7 EB 19 83 3E 2D 48 8B 44 24 58 0F 94 C3 89 18 48 8B 44 24 50 8B 4E 04 89 08 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1310_1_0 {
	meta:
		name = "_ecvt"
		size = 178
		refs = "0029 _getptd_noexit 004b _malloc_crt 0085 _ecvt_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 0F 29 70 E8 49 8B F1 49 8B E8 0F 28 F0 8B FA E8 ?? ?? ?? ?? 45 33 F6 48 8B D8 48 85 C0 75 04 33 C0 EB 56 4C 39 B0 80 00 00 00 75 16 B9 5D 01 00 00 E8 ?? ?? ?? ?? 48 89 83 80 00 00 00 48 85 C0 74 DD 48 8B 9B 80 00 00 00 41 B9 5B 01 00 00 0F 28 D6 41 3B F9 BA 5D 01 00 00 48 8B CB 44 0F 4C CF 48 89 74 24 28 48 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 49 0F 45 DE 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 0F 28 74 24 30 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_1310_2_0 {
	meta:
		name = "_ecvt_s"
		size = 205
		refs = "000e __security_cookie 003f _errno 004a _invalid_parameter_noinfo 007d _fltout2 0098 ?_fpcvt@@YAHPEAD_KPEAU_strflt@@HPEAH3@Z 00be __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 48 8B AC 24 C0 00 00 00 4C 8B B4 24 C8 00 00 00 F2 0F 11 54 24 30 41 8B F9 48 8B F2 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 60 48 85 D2 74 E4 C6 01 00 48 85 ED 74 DC 4D 85 F6 74 D7 48 8B 4C 24 30 4C 8D 44 24 50 48 8D 54 24 38 41 B9 16 00 00 00 E8 ?? ?? ?? ?? 44 8B CF 48 8B D6 48 8B CB 4C 8B C0 4C 89 74 24 28 48 89 6C 24 20 E8 ?? ?? ?? ?? 8D 4E FE 3B F9 0F 4F F9 85 FF 78 0D 48 63 CF 80 3C 19 00 74 04 C6 04 19 00 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1310_3_0 {
	meta:
		name = "_fcvt"
		size = 218
		refs = "0016 __security_cookie 0034 _getptd_noexit 0056 _malloc_crt 0083 _fltout2 00ad _fcvt_s 00c3 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 81 EC 80 00 00 00 0F 29 74 24 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 F2 0F 11 44 24 30 49 8B E9 49 8B F0 8B FA 0F 28 F0 E8 ?? ?? ?? ?? 45 33 F6 48 8B D8 48 85 C0 75 04 33 C0 EB 73 4C 39 B0 80 00 00 00 75 16 B9 5D 01 00 00 E8 ?? ?? ?? ?? 48 89 83 80 00 00 00 48 85 C0 74 DD 48 8B 4C 24 30 48 8B 9B 80 00 00 00 4C 8D 44 24 50 48 8D 54 24 38 41 B9 16 00 00 00 E8 ?? ?? ?? ?? B9 5B 01 00 00 BA 5D 01 00 00 2B 48 04 0F 28 D6 48 89 6C 24 28 3B F9 48 89 74 24 20 0F 4D F9 48 8B CB 44 8B CF E8 ?? ?? ?? ?? 85 C0 49 0F 45 DE 48 8B C3 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 0F 28 74 24 70 48 81 C4 80 00 00 00 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1310_4_0 {
	meta:
		name = "_fcvt_s"
		size = 205
		refs = "000e __security_cookie 003f _errno 004a _invalid_parameter_noinfo 007d _fltout2 00b1 ?_fpcvt@@YAHPEAD_KPEAU_strflt@@HPEAH3@Z 00be __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 48 8B B4 24 C0 00 00 00 48 8B AC 24 C8 00 00 00 F2 0F 11 54 24 30 45 8B F1 48 8B FA 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 60 48 85 D2 74 E4 C6 01 00 48 85 F6 74 DC 48 85 ED 74 D7 48 8B 4C 24 30 4C 8D 44 24 50 48 8D 54 24 38 41 B9 16 00 00 00 E8 ?? ?? ?? ?? 8B 48 04 46 8D 0C 31 45 85 F6 7E 10 85 C9 7E 0C B9 FF FF FF 7F 45 3B CE 44 0F 4C C9 4C 8B C0 48 8B D7 48 8B CB 48 89 6C 24 28 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_1311_1_0 {
	meta:
		name = "_wfindfirst64"
		size = 340
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 __time64_t_from_ft 012f wcscpy_s 014f _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B DA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 48 89 43 18 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4B 20 48 8D 4B 28 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 03 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1311_2_0 {
	meta:
		name = "_wfindnext64"
		size = 302
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileW 0074 __imp_GetLastError 00c7 __time64_t_from_ft 010d wcscpy_s 0129 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 48 89 43 18 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4B 20 48 8D 4B 28 E8 ?? ?? ?? ?? 85 C0 0F 84 22 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1312_4_0 {
	meta:
		name = "_ismbcl0_l"
		size = 99
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 81 79 04 A4 03 00 00 75 28 8B C3 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 19 0F B6 C3 F6 44 08 19 08 74 0F 81 FB 9F 88 00 00 73 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1312_6_0 {
	meta:
		name = "_ismbcl1_l"
		size = 104
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 81 79 04 A4 03 00 00 75 2D 8B C3 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 1E 0F B6 C3 F6 44 08 19 08 74 14 8D 83 61 77 FF FF 3D D3 0F 00 00 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1312_8_0 {
	meta:
		name = "_ismbcl2_l"
		size = 104
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 81 79 04 A4 03 00 00 75 2D 8B C3 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 1E 0F B6 C3 F6 44 08 19 08 74 14 8D 83 61 67 FF FF 3D 05 52 00 00 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1314_0_0 {
	meta:
		name = "fetestexcept"
		size = 30
		refs = "0011 fegetexceptflag"
	strings:
		$1 = { 48 83 EC 28 83 64 24 38 00 8B D1 48 8D 4C 24 38 E8 ?? ?? ?? ?? 8B 44 24 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1315_0_0 {
	meta:
		name = "__pctype_func"
		size = 59
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 81 08 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1316_3_0 {
	meta:
		name = "?_wcsupr_s_l_stat@@YAHPEA_W_KPEAUlocaleinfo_struct@@@Z"
		size = 511
		refs = "0022 __security_cookie 003f _errno 004b _invalid_parameter_noinfo 0055 wcsnlen 008a __crtLCMapStringW 0135 __chkstk 014f malloc 01b2 wcscpy_s 01d3 free 01e1 __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 40 48 8D 6C 24 30 48 89 5D 30 48 89 75 38 48 89 7D 40 4C 89 65 48 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 45 33 E4 4D 8B F8 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 83 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 06 66 44 89 23 EB DA 49 8B 07 48 8B 88 38 01 00 00 48 85 C9 74 51 41 83 C9 FF 4C 8B C3 BA 00 02 00 00 44 89 64 24 28 4C 89 64 24 20 E8 ?? ?? ?? ?? 4C 63 F0 85 C0 75 3C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 2C 01 00 00 0F B7 0B 8D 41 9F 66 83 F8 19 77 07 66 83 E9 20 66 89 0B 48 83 C3 02 66 44 39 23 75 E3 33 C0 E9 08 01 00 00 4D 8B C6 49 3B F6 73 13 66 44 89 23 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 5C FF FF FF 85 C0 7E 77 33 D2 48 8D 42 E0 49 F7 F0 48 83 F8 02 72 68 4B 8D 0C 36 48 8D 41 10 48 3B C1 76 5B 4A 8D 0C 75 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 74 29 C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C7 10 EB 03 49 8B FC 48 85 FF 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 22 FF FF FF 49 8B 0F 41 83 C9 FF 4C 8B C3 48 8B 89 38 01 00 00 BA 00 02 00 00 44 89 74 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 4C 8B 65 48 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_1316_7_0 {
	meta:
		name = "_wcsupr"
		size = 95
		refs = "000f __locale_changed 001b _errno 0026 _invalid_parameter_noinfo 0052 _wcsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 38 48 85 C9 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 2B 0F B7 11 8D 42 9F 66 83 F8 19 77 07 66 83 EA 20 66 89 11 48 83 C1 02 66 44 39 01 75 E3 EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1319_0_0 {
	meta:
		name = "_fileno"
		size = 38
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 03 8B 41 1C 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1320_0_0 {
	meta:
		name = "setvbuf"
		size = 279
		refs = "006b _lock_file 0074 _flush 007c _freebuf 00af _malloc_crt 00bd _cflush 00e8 _unlock_file 00f1 _errno 00fc _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 41 56 41 57 48 83 EC 20 49 8B F1 45 8B F8 4C 8B F2 48 8B D9 33 FF 8B C7 48 85 C9 0F 95 C0 85 C0 0F 84 BA 00 00 00 41 F7 C0 BB FF FF FF 0F 85 AD 00 00 00 41 83 F8 44 0F 84 A3 00 00 00 41 F7 C0 BF FF FF FF 75 10 49 8D 41 FE 48 3D FD FF FF 7F 0F 87 8A 00 00 00 48 83 E6 FE E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 81 63 18 F3 C2 FF FF 8B 43 18 41 F6 C7 04 74 16 83 C8 04 89 43 18 4C 8D 73 20 BE 02 00 00 00 48 89 74 24 58 EB 31 4D 85 F6 75 24 48 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 0B FF 05 ?? ?? ?? ?? 83 CF FF EB 1E 81 4B 18 08 04 00 00 EB 08 0D 00 05 00 00 89 43 18 89 73 24 4C 89 73 10 4C 89 33 89 7B 08 48 8B CB E8 ?? ?? ?? ?? 8B C7 EB 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1320_1_0 {
	meta:
		name = "setvbuf$fin$0"
		size = 24
		refs = "0013 _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 40 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1322_0_0 {
	meta:
		name = "__wcsncnt"
		size = 40
	strings:
		$1 = { 45 33 C0 48 8B C2 48 85 D2 74 12 48 FF C8 66 44 39 01 74 0C 48 83 C1 02 48 85 C0 75 EE 48 FF C8 48 2B D0 48 8D 42 FF C3 }
	condition:
		$1
}

rule file_1325_3_0 {
	meta:
		name = "_woutput_s_l"
		size = 2793
		refs = "0022 __security_cookie 0070 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0075 _errno 0091 _invalid_parameter_noinfo 0103 __lookuptable_s 026a __nullstring 0272 strlen 02d9 _isleadbyte_l 0345 _mbtowc_l 03fd __wnullstring 0487 _get_printf_count_output 0614 _malloc_crt 063b _cfltcvt_tab 0655 __imp_DecodePointer 0748 write_multi_char 0765 write_string 07d4 write_char 085b free 08b9 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 20 FC FF FF 48 81 EC E0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 D0 03 00 00 33 C0 48 8B F1 48 89 4D 80 48 89 55 88 48 8D 4D 90 49 8B D0 4D 8B E1 4C 89 4C 24 50 89 44 24 78 44 8B F0 89 44 24 5C 8B F8 89 44 24 44 89 44 24 48 89 44 24 74 89 44 24 70 8B D8 89 44 24 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 33 D2 48 89 45 B8 48 85 F6 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C9 38 4D A8 74 0B 48 8B 45 A0 83 A0 C8 00 00 00 FD 83 C8 FF E9 FF 07 00 00 4C 8B 45 88 4D 85 C0 74 CD 45 0F B7 38 41 8B D2 45 8B EA 45 8B CA 4C 89 55 B0 89 54 24 40 66 45 85 FF 0F 84 C4 07 00 00 83 CE FF 44 8D 5E 21 49 83 C0 02 B9 58 00 00 00 4C 89 45 88 85 D2 0F 88 99 07 00 00 41 0F B7 C7 66 41 2B C3 66 3B C1 77 15 48 8D 0D ?? ?? ?? ?? 41 0F B7 C7 0F B6 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C1 48 03 C8 48 8D 05 ?? ?? ?? ?? 44 0F B6 0C 01 41 C1 E9 04 44 89 4C 24 6C 41 83 F9 08 0F 84 7C 09 00 00 41 8B C9 45 85 C9 0F 84 34 08 00 00 FF C9 0F 84 41 09 00 00 FF C9 0F 84 DE 08 00 00 FF C9 0F 84 94 08 00 00 FF C9 0F 84 7F 08 00 00 FF C9 0F 84 36 08 00 00 FF C9 0F 84 58 07 00 00 FF C9 0F 85 F6 06 00 00 41 0F B7 CF 83 F9 64 0F 8F 10 02 00 00 0F 84 20 03 00 00 83 F9 41 0F 84 C9 01 00 00 83 F9 43 0F 84 4A 01 00 00 8D 41 BB A9 FD FF FF FF 0F 84 B2 01 00 00 83 F9 53 0F 84 BD 00 00 00 B8 58 00 00 00 3B C8 0F 84 5D 02 00 00 83 F9 5A 74 4A 83 F9 61 0F 84 9A 01 00 00 83 F9 63 0F 84 1B 01 00 00 BF 2D 00 00 00 44 39 54 24 70 0F 85 4C 06 00 00 41 F6 C6 40 0F 84 1A 05 00 00 41 0F BA E6 08 0F 83 E1 04 00 00 66 89 7C 24 60 BF 01 00 00 00 89 7C 24 48 E9 00 05 00 00 49 8B 04 24 49 83 C4 08 4C 89 64 24 50 48 85 C0 74 35 48 8B 58 08 48 85 DB 74 2C BF 2D 00 00 00 41 0F BA E6 0B 73 15 0F BF 00 C7 44 24 58 01 00 00 00 99 2B C2 D1 F8 44 8B E8 EB 91 44 0F BF 28 44 89 54 24 58 EB 86 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 4C 8B E8 E9 67 FF FF FF 41 F7 C6 30 08 00 00 75 03 45 0B F3 39 74 24 44 49 8B 1C 24 B8 FF FF FF 7F 0F 44 F8 49 83 C4 08 4C 89 64 24 50 45 84 F3 0F 84 3F 01 00 00 48 85 DB 45 8B EA 48 0F 44 1D ?? ?? ?? ?? 48 8B F3 85 FF 0F 8E 20 FF FF FF 44 38 16 0F 84 17 FF FF FF 0F B6 0E 48 8D 55 90 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 03 48 FF C6 41 FF C5 48 FF C6 44 3B EF 7C D6 E9 F1 FE FF FF 41 F7 C6 30 08 00 00 75 03 45 0B F3 41 0F B7 04 24 49 83 C4 08 C7 44 24 58 01 00 00 00 4C 89 64 24 50 66 89 44 24 64 45 84 F3 74 37 88 44 24 68 48 8B 45 90 44 88 54 24 69 4C 63 80 D4 00 00 00 4C 8D 4D 90 48 8D 54 24 68 48 8D 4D D0 E8 ?? ?? ?? ?? 45 33 D2 85 C0 79 0E C7 44 24 70 01 00 00 00 EB 04 66 89 45 D0 48 8D 5D D0 41 BD 01 00 00 00 E9 7B FE FF FF C7 44 24 74 01 00 00 00 66 45 03 FB BA 67 00 00 00 B8 00 02 00 00 41 83 CE 40 48 8D 5D D0 8B F0 85 FF 0F 89 4E 02 00 00 41 BD 06 00 00 00 44 89 6C 24 44 E9 8F 02 00 00 BA 67 00 00 00 3B CA 7E D0 83 F9 69 0F 84 04 01 00 00 83 F9 6E 0F 84 B9 00 00 00 83 F9 6F 0F 84 9B 00 00 00 83 F9 70 74 56 83 F9 73 0F 84 B6 FE FF FF 83 F9 75 0F 84 DF 00 00 00 83 F9 78 0F 85 FF FD FF FF 8D 42 C0 EB 45 48 85 DB C7 44 24 58 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0C FF CF 66 44 39 10 74 08 48 83 C0 02 85 FF 75 F0 48 2B C3 48 D1 F8 44 8B E8 E9 C4 FD FF FF BF 10 00 00 00 41 0F BA EE 0F B8 07 00 00 00 41 B9 10 00 00 00 89 44 24 78 BE 00 02 00 00 45 8D 79 20 45 84 F6 0F 89 81 00 00 00 66 83 C0 51 66 44 89 7C 24 60 41 8D 51 F2 66 89 44 24 62 EB 70 41 B9 08 00 00 00 45 84 F6 79 56 BE 00 02 00 00 44 0B F6 EB 51 49 8B 3C 24 49 83 C4 08 4C 89 64 24 50 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 2A 06 00 00 8B 44 24 40 45 8D 5A 20 45 84 F3 74 05 66 89 07 EB 02 89 07 8B 54 24 40 C7 44 24 70 01 00 00 00 E9 93 03 00 00 41 83 CE 40 41 B9 0A 00 00 00 BE 00 02 00 00 41 BF 30 00 00 00 8B 54 24 48 B8 00 80 00 00 44 85 F0 74 0A 4D 8B 04 24 49 83 C4 08 EB 3D 41 0F BA E6 0C 72 EF 49 83 C4 08 45 84 F3 74 1B 4C 89 64 24 50 41 F6 C6 40 74 08 4D 0F BF 44 24 F8 EB 1F 45 0F B7 44 24 F8 EB 17 41 F6 C6 40 74 07 4D 63 44 24 F8 EB 05 45 8B 44 24 F8 4C 89 64 24 50 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 44 85 F0 75 0A 41 0F BA E6 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 09 41 83 E6 F7 3B FE 0F 4F FE 44 8B 64 24 78 49 8B C0 48 8D 9D CF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 48 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C4 88 03 48 FF CB EB D3 4C 8B 64 24 50 48 8D 85 CF 01 00 00 89 7C 24 44 2B C3 48 FF C3 44 8B E8 44 85 F6 0F 84 20 FC FF FF 85 C0 74 09 44 38 3B 0F 84 13 FC FF FF 48 FF CB 41 FF C5 44 88 3B E9 05 FC FF FF 75 11 66 44 3B FA 75 3F 41 BD 01 00 00 00 E9 A5 FD FF FF 3B F8 41 BD A3 00 00 00 0F 4F F8 89 7C 24 44 41 3B FD 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 B0 48 85 C0 0F 84 76 FD FF FF 48 8B D8 8B F7 44 8B 6C 24 44 EB 03 44 8B EF 49 8B 04 24 48 8B 0D ?? ?? ?? ?? 49 83 C4 08 4C 89 64 24 50 41 0F BE FF 48 63 F6 48 89 45 C0 FF 15 ?? ?? ?? ?? 48 8D 4D 90 48 89 4C 24 30 8B 4C 24 74 44 8B CF 89 4C 24 28 48 8D 4D C0 4C 8B C6 48 8B D3 44 89 6C 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1B 45 85 ED 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 B9 67 00 00 00 66 44 3B F9 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 44 8B E8 E9 FF FA FF FF 41 F6 C6 01 74 0F B8 2B 00 00 00 66 89 44 24 60 E9 0F FB FF FF 41 F6 C6 02 74 13 B8 20 00 00 00 66 89 44 24 60 8D 78 E1 89 7C 24 48 EB 09 8B 7C 24 48 B8 20 00 00 00 44 8B 7C 24 5C 48 8B 75 80 45 2B FD 44 2B FF 41 F6 C6 0C 75 12 4C 8D 4C 24 40 8B C8 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 48 8B 45 B8 4C 8D 4C 24 40 48 8D 4C 24 60 4C 8B C6 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 F6 C6 08 74 1B 41 F6 C6 04 75 15 4C 8D 4C 24 40 B9 30 00 00 00 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 33 C0 39 44 24 58 75 6D 45 85 ED 7E 68 48 8B FB 41 8B F5 48 8B 45 90 4C 8D 4D 90 48 8D 4C 24 64 4C 63 80 D4 00 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 45 33 D2 4C 63 E0 85 C0 7E 28 48 8B 55 80 0F B7 4C 24 64 4C 8D 44 24 40 E8 ?? ?? ?? ?? 49 03 FC 45 33 D2 85 F6 7F BB 4C 8B 64 24 50 48 8B 75 80 EB 31 4C 8B 64 24 50 48 8B 75 80 83 CA FF 89 54 24 40 EB 23 48 8B 45 B8 4C 8D 4C 24 40 4C 8B C6 41 8B D5 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 D2 8B 54 24 40 85 D2 78 22 41 F6 C6 04 74 1C 4C 8D 4C 24 40 B9 20 00 00 00 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 45 33 D2 8B 54 24 40 41 BB 20 00 00 00 48 8B 45 B0 48 85 C0 74 17 48 8B C8 E8 ?? ?? ?? ?? 8B 54 24 40 45 33 D2 45 8D 5A 20 4C 89 55 B0 8B 7C 24 44 83 CE FF 4C 8B 45 88 44 8B 4C 24 6C 45 0F B7 38 66 45 85 FF 0F 85 52 F8 FF FF 45 85 C9 74 0A 41 83 F9 07 0F 85 25 02 00 00 44 38 55 A8 74 0B 48 8B 4D A0 83 A1 C8 00 00 00 FD 8B C2 48 8B 8D D0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 05 00 00 48 81 C4 E0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 0F B7 C7 83 F8 49 74 3F 83 F8 68 74 32 B9 6C 00 00 00 3B C1 74 0C 83 F8 77 75 8A 41 0F BA EE 0B EB 83 66 41 39 08 75 0E 49 83 C0 02 41 0F BA EE 0C E9 6F FF FF FF 41 83 CE 10 E9 66 FF FF FF 45 0B F3 E9 5E FF FF FF 41 0F B7 00 41 0F BA EE 0F 66 83 F8 36 75 16 66 41 83 78 02 34 75 0E 49 83 C0 04 41 0F BA EE 0F E9 39 FF FF FF 66 83 F8 33 75 16 66 41 83 78 02 32 75 0E 49 83 C0 04 41 0F BA F6 0F E9 1D FF FF FF 66 83 E8 58 66 41 3B C3 77 14 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 0F 82 FF FE FF FF 44 89 54 24 6C 48 8B 55 80 4C 8D 44 24 40 41 0F B7 CF C7 44 24 58 01 00 00 00 E8 ?? ?? ?? ?? 8B 54 24 40 45 33 D2 45 8D 5A 20 E9 C7 FE FF FF 66 41 83 FF 2A 75 24 41 8B 3C 24 49 83 C4 08 4C 89 64 24 50 89 7C 24 44 85 FF 0F 89 B0 FE FF FF 8B FE 89 74 24 44 E9 A5 FE FF FF 8D 3C BF 41 0F B7 C7 8D 7F E8 8D 3C 78 89 7C 24 44 E9 8F FE FF FF 41 8B FA 44 89 54 24 44 E9 82 FE FF FF 66 41 83 FF 2A 75 21 41 8B 04 24 49 83 C4 08 4C 89 64 24 50 89 44 24 5C 85 C0 0F 89 62 FE FF FF 41 83 CE 04 F7 D8 EB 11 8B 44 24 5C 8D 0C 80 41 0F B7 C7 8D 04 48 83 C0 D0 89 44 24 5C E9 40 FE FF FF 41 0F B7 C7 41 3B C3 74 49 83 F8 23 74 3A B9 2B 00 00 00 3B C1 74 28 B9 2D 00 00 00 3B C1 74 16 B9 30 00 00 00 3B C1 0F 85 13 FE FF FF 41 83 CE 08 E9 0A FE FF FF 41 83 CE 04 E9 01 FE FF FF 41 83 CE 01 E9 F8 FD FF FF 41 0F BA EE 07 E9 EE FD FF FF 41 83 CE 02 E9 E5 FD FF FF 44 89 54 24 74 44 89 54 24 70 44 89 54 24 5C 44 89 54 24 48 45 8B F2 8B FE 89 74 24 44 44 89 54 24 58 E9 BE FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C9 38 4D A8 74 0B 48 8B 45 A0 83 A0 C8 00 00 00 FD 8B C6 E9 C5 FD FF FF }
	condition:
		$1
}

rule file_1326_0_0 {
	meta:
		name = "__avx_exp4"
		size = 560
		refs = "000a __common_dexp_data 0229 __common_dexp_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 05 ?? ?? ?? ?? C5 7C 11 94 24 F0 01 00 00 C5 7C 11 84 24 D0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 6F 01 00 00 C5 FD 10 0D ?? ?? ?? ?? 49 83 E5 C0 C5 FD 59 15 ?? ?? ?? ?? C5 F9 10 25 ?? ?? ?? ?? C5 ED 58 D9 C5 E5 5C C9 C4 E3 7D 19 C5 01 C5 F8 C6 D5 DD C5 68 54 05 ?? ?? ?? ?? C5 39 66 15 ?? ?? ?? ?? C4 C1 78 50 D2 C5 E0 54 EC C4 E3 7D 19 DA 01 C5 D9 DF DB C5 F9 7E E9 C5 68 54 C4 C4 41 79 7E C1 C5 D9 DF E2 C5 E9 73 F4 2A C1 E1 03 C4 C3 79 16 E8 02 41 C1 E0 03 41 C1 E1 03 C4 43 79 16 C2 02 41 C1 E2 03 C4 61 F9 6E 14 01 C4 C1 29 16 2C 00 C4 41 F9 6E 14 01 C4 41 29 16 04 02 C4 43 55 18 C0 01 C5 F5 59 2D ?? ?? ?? ?? C5 F5 59 0D ?? ?? ?? ?? C5 7D 5C D5 C5 2D 5C D1 C5 AD 58 2D ?? ?? ?? ?? C4 C1 55 59 CA C5 F5 58 2D ?? ?? ?? ?? C5 F1 73 F3 2A C4 41 55 59 D2 C5 AD 58 2D ?? ?? ?? ?? C5 3D 59 C5 C4 63 7D 19 C5 01 C5 B9 D4 D9 C5 D1 D4 CA C4 E3 65 18 C9 01 85 D2 75 26 C5 7C 10 84 24 D0 01 00 00 C5 7C 10 94 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 CC 33 C0 C5 FC 11 B4 24 00 01 00 00 C5 FC 11 BC 24 E0 00 00 00 C5 7C 11 8C 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 28 01 00 00 8B D8 48 89 B4 24 20 01 00 00 8B F2 0F A3 DE 72 61 FF C3 83 FB 20 7C F4 C5 FC 10 B4 24 00 01 00 00 C5 FC 10 BC 24 E0 00 00 00 C5 7C 10 8C 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 28 01 00 00 48 8B B4 24 20 01 00 00 E9 11 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB 8B 90 }
	condition:
		$1
}

rule file_1328_0_0 {
	meta:
		name = "__crtLCMapStringW"
		size = 73
		refs = "0026 wcsnlen 0045 __crtLCMapStringEx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 49 63 C1 49 8B D8 8B FA 48 8B F1 45 85 C9 7E 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 4C 8B C3 8B D7 44 8B C8 48 8B CE 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1329_3_0 {
	meta:
		name = "_output_l"
		size = 2576
		refs = "0022 __security_cookie 0068 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006d _errno 008c __ImageBase 009a _fileno 00a1 __badioinfo 00cd __pioinfo 016b __lookuptable 026f __nullstring 02b8 __wnullstring 02f1 wctomb_s 0418 _get_printf_count_output 058b _malloc_crt 05ac _cfltcvt_tab 05c1 __imp_DecodePointer 0641 strlen 06b4 write_multi_char 06d1 write_string 07ba free 088b _isleadbyte_l 08a1 write_char 09c7 _invalid_parameter_noinfo 09f1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 20 FE FF FF 48 81 EC E0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 D8 01 00 00 33 C0 48 8B F1 48 89 4C 24 68 48 8B FA 48 8D 4D A8 49 8B D0 4D 8B E9 89 44 24 70 44 8B F0 89 44 24 54 44 8B E0 89 44 24 48 89 44 24 60 89 44 24 58 8B D8 89 44 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 41 83 C8 FF 45 33 D2 48 89 45 80 48 85 F6 0F 84 36 09 00 00 F6 46 18 40 4C 8D 0D ?? ?? ?? ?? 0F 85 86 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 63 D0 41 8D 4A 02 83 F9 01 76 22 49 8B D2 49 8B CA 48 8D 05 ?? ?? ?? ?? 83 E2 1F 48 C1 F9 05 4C 6B CA 58 4C 03 8C C8 ?? ?? ?? ?? EB 03 4D 8B C8 41 F6 41 38 7F 0F 85 DA 08 00 00 41 8D 42 02 4C 8D 0D ?? ?? ?? ?? 83 F8 01 76 19 49 8B CA 49 8B C2 83 E1 1F 48 C1 F8 05 4C 6B C1 58 4D 03 84 C1 ?? ?? ?? ?? 41 F6 40 38 80 0F 85 A6 08 00 00 41 83 C8 FF 45 33 D2 48 85 FF 0F 84 96 08 00 00 44 8A 3F 41 8B F2 44 89 54 24 40 44 89 54 24 44 41 8B D2 4C 89 55 88 45 84 FF 0F 84 8E 08 00 00 41 BB 00 02 00 00 48 FF C7 48 89 7D 98 85 F6 0F 88 79 08 00 00 41 8D 47 E0 3C 58 77 12 49 0F BE C7 42 0F BE 8C 08 ?? ?? ?? ?? 83 E1 0F EB 03 41 8B CA 48 63 C2 48 63 C9 48 8D 14 C8 42 0F BE 94 0A ?? ?? ?? ?? C1 FA 04 89 54 24 5C 8B CA 85 D2 0F 84 E2 06 00 00 FF C9 0F 84 F4 07 00 00 FF C9 0F 84 9C 07 00 00 FF C9 0F 84 58 07 00 00 FF C9 0F 84 48 07 00 00 FF C9 0F 84 0B 07 00 00 FF C9 0F 84 28 06 00 00 FF C9 0F 85 0B 06 00 00 41 0F BE CF 83 F9 64 0F 8F 69 01 00 00 0F 84 5B 02 00 00 83 F9 41 0F 84 2F 01 00 00 83 F9 43 0F 84 CC 00 00 00 8D 41 BB A9 FD FF FF FF 0F 84 18 01 00 00 83 F9 53 74 6D 83 F9 58 0F 84 C6 01 00 00 83 F9 5A 74 17 83 F9 61 0F 84 08 01 00 00 83 F9 63 0F 84 A7 00 00 00 E9 1C 04 00 00 49 8B 45 00 49 83 C5 08 48 85 C0 74 2F 48 8B 58 08 48 85 DB 74 26 0F BF 00 41 0F BA E6 0B 73 12 99 C7 44 24 50 01 00 00 00 2B C2 D1 F8 E9 E6 03 00 00 44 89 54 24 50 E9 DC 03 00 00 48 8B 1D ?? ?? ?? ?? E9 C5 03 00 00 41 F7 C6 30 08 00 00 75 05 41 0F BA EE 0B 49 8B 5D 00 45 3B E0 41 8B C4 B9 FF FF FF 7F 0F 44 C1 49 83 C5 08 41 F7 C6 10 08 00 00 0F 84 FD 00 00 00 48 85 DB C7 44 24 50 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 48 8B CB E9 D6 00 00 00 41 F7 C6 30 08 00 00 75 05 41 0F BA EE 0B 49 83 C5 08 41 F7 C6 10 08 00 00 74 27 45 0F B7 4D F8 48 8D 55 D0 48 8D 4C 24 44 4D 8B C3 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 19 C7 44 24 58 01 00 00 00 EB 0F 41 8A 45 F8 C7 44 24 44 01 00 00 00 88 45 D0 48 8D 5D D0 E9 2E 03 00 00 C7 44 24 60 01 00 00 00 41 80 C7 20 41 83 CE 40 48 8D 5D D0 41 8B F3 45 85 E4 0F 89 21 02 00 00 41 BC 06 00 00 00 E9 5C 02 00 00 83 F9 67 7E DC 83 F9 69 0F 84 EA 00 00 00 83 F9 6E 0F 84 AF 00 00 00 83 F9 6F 0F 84 96 00 00 00 83 F9 70 74 61 83 F9 73 0F 84 0F FF FF FF 83 F9 75 0F 84 C5 00 00 00 83 F9 78 0F 85 C3 02 00 00 8D 41 AF EB 51 FF C8 66 44 39 11 74 08 48 83 C1 02 85 C0 75 F0 48 2B CB 48 D1 F9 EB 20 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B CB EB 0A FF C8 44 38 11 74 07 48 FF C1 85 C0 75 F2 2B CB 89 4C 24 44 E9 7D 02 00 00 41 BC 10 00 00 00 41 0F BA EE 0F B8 07 00 00 00 89 44 24 70 41 B9 10 00 00 00 45 84 F6 79 5D 04 51 C6 44 24 4C 30 41 8D 51 F2 88 44 24 4D EB 50 41 B9 08 00 00 00 45 84 F6 79 41 45 0B F3 EB 3C 49 8B 7D 00 49 83 C5 08 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 94 05 00 00 41 F6 C6 20 74 05 66 89 37 EB 02 89 37 C7 44 24 58 01 00 00 00 E9 6C 03 00 00 41 83 CE 40 41 B9 0A 00 00 00 8B 54 24 48 B8 00 80 00 00 44 85 F0 74 0A 4D 8B 45 00 49 83 C5 08 EB 3A 41 0F BA E6 0C 72 EF 49 83 C5 08 41 F6 C6 20 74 19 4C 89 6C 24 78 41 F6 C6 40 74 07 4D 0F BF 45 F8 EB 1C 45 0F B7 45 F8 EB 15 41 F6 C6 40 74 06 4D 63 45 F8 EB 04 45 8B 45 F8 4C 89 6C 24 78 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 44 85 F0 75 0A 41 0F BA E6 0C 72 03 45 8B C0 45 85 E4 79 08 41 BC 01 00 00 00 EB 0B 41 83 E6 F7 45 3B E3 45 0F 4F E3 44 8B 6C 24 70 49 8B C0 48 8D 9D CF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 48 41 8B CC 41 FF CC 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C5 88 03 48 FF CB EB D1 4C 8B 6C 24 78 48 8D 85 CF 01 00 00 2B C3 48 FF C3 89 44 24 44 45 85 F3 0F 84 09 01 00 00 85 C0 74 09 80 3B 30 0F 84 FC 00 00 00 48 FF CB FF 44 24 44 C6 03 30 E9 ED 00 00 00 75 0E 41 80 FF 67 75 3E 41 BC 01 00 00 00 EB 36 45 3B E3 45 0F 4F E3 41 81 FC A3 00 00 00 7E 26 41 8D BC 24 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 88 48 85 C0 74 07 48 8B D8 8B F7 EB 06 41 BC A3 00 00 00 49 8B 45 00 48 8B 0D ?? ?? ?? ?? 49 83 C5 08 41 0F BE FF 48 63 F6 48 89 45 A0 FF 15 ?? ?? ?? ?? 48 8D 4D A8 44 8B CF 48 89 4C 24 30 8B 4C 24 60 4C 8B C6 89 4C 24 28 48 8D 4D A0 48 8B D3 44 89 64 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1B 45 85 E4 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 A8 48 8B CB FF D0 41 80 FF 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 A8 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 89 44 24 44 44 39 54 24 58 0F 85 56 01 00 00 41 F6 C6 40 74 31 41 0F BA E6 08 73 07 C6 44 24 4C 2D EB 0B 41 F6 C6 01 74 10 C6 44 24 4C 2B BF 01 00 00 00 89 7C 24 48 EB 11 41 F6 C6 02 74 07 C6 44 24 4C 20 EB E8 8B 7C 24 48 8B 74 24 54 4C 8B 7C 24 68 2B 74 24 44 2B F7 41 F6 C6 0C 75 11 4C 8D 4C 24 40 4D 8B C7 8B D6 B1 20 E8 ?? ?? ?? ?? 48 8B 45 80 4C 8D 4C 24 40 48 8D 4C 24 4C 4D 8B C7 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 F6 C6 08 74 17 41 F6 C6 04 75 11 4C 8D 4C 24 40 4D 8B C7 8B D6 B1 30 E8 ?? ?? ?? ?? 83 7C 24 50 00 8B 7C 24 44 74 70 85 FF 7E 6C 4C 8B FB 45 0F B7 0F 48 8D 95 D0 01 00 00 48 8D 4D 90 41 B8 06 00 00 00 FF CF 4D 8D 7F 02 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 34 8B 55 90 85 D2 74 2D 48 8B 45 80 4C 8B 44 24 68 4C 8D 4C 24 40 48 8D 8D D0 01 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 D2 85 FF 75 AC 4C 8B 7C 24 68 EB 2C 4C 8B 7C 24 68 83 C8 FF 89 44 24 40 EB 22 48 8B 45 80 4C 8D 4C 24 40 4D 8B C7 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 D2 8B 44 24 40 85 C0 78 1A 41 F6 C6 04 74 14 4C 8D 4C 24 40 4D 8B C7 8B D6 B1 20 E8 ?? ?? ?? ?? 45 33 D2 48 8B 45 88 48 85 C0 74 0F 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4C 89 55 88 48 8B 7D 98 8B 74 24 40 8B 54 24 5C 41 BB 00 02 00 00 4C 8D 0D ?? ?? ?? ?? 44 8A 3F 45 84 FF 0F 84 E9 01 00 00 41 83 C8 FF E9 58 F9 FF FF 41 80 FF 49 74 34 41 80 FF 68 74 28 41 80 FF 6C 74 0D 41 80 FF 77 75 D3 41 0F BA EE 0B EB CC 80 3F 6C 75 0A 48 FF C7 41 0F BA EE 0C EB BD 41 83 CE 10 EB B7 41 83 CE 20 EB B1 8A 07 41 0F BA EE 0F 3C 36 75 11 80 7F 01 34 75 0B 48 83 C7 02 41 0F BA EE 0F EB 95 3C 33 75 11 80 7F 01 32 75 0B 48 83 C7 02 41 0F BA F6 0F EB 80 2C 58 3C 20 77 14 48 B9 01 10 82 20 01 00 00 00 48 0F A3 C1 0F 82 66 FF FF FF 44 89 54 24 5C 48 8D 55 A8 41 0F B6 CF 44 89 54 24 50 E8 ?? ?? ?? ?? 85 C0 74 21 48 8B 54 24 68 4C 8D 44 24 40 41 8A CF E8 ?? ?? ?? ?? 44 8A 3F 48 FF C7 45 84 FF 0F 84 07 01 00 00 48 8B 54 24 68 4C 8D 44 24 40 41 8A CF E8 ?? ?? ?? ?? 45 33 D2 E9 FB FE FF FF 41 80 FF 2A 75 19 45 8B 65 00 49 83 C5 08 45 85 E4 0F 89 F9 FE FF FF 45 8B E0 E9 F1 FE FF FF 47 8D 24 A4 41 0F BE C7 45 8D 64 24 E8 46 8D 24 60 E9 DB FE FF FF 45 8B E2 E9 D3 FE FF FF 41 80 FF 2A 75 1C 41 8B 45 00 49 83 C5 08 89 44 24 54 85 C0 0F 89 B9 FE FF FF 41 83 CE 04 F7 D8 EB 11 8B 44 24 54 8D 0C 80 41 0F BE C7 8D 04 48 83 C0 D0 89 44 24 54 E9 97 FE FF FF 41 80 FF 20 74 41 41 80 FF 23 74 31 41 80 FF 2B 74 22 41 80 FF 2D 74 13 41 80 FF 30 0F 85 75 FE FF FF 41 83 CE 08 E9 6C FE FF FF 41 83 CE 04 E9 63 FE FF FF 41 83 CE 01 E9 5A FE FF FF 41 0F BA EE 07 E9 50 FE FF FF 41 83 CE 02 E9 47 FE FF FF 44 89 54 24 60 44 89 54 24 58 44 89 54 24 54 44 89 54 24 48 45 8B F2 45 8B E0 44 89 54 24 50 E9 23 FE FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 45 33 D2 EB 02 8B C6 44 38 55 C0 74 0B 48 8B 4D B8 83 A1 C8 00 00 00 FD 48 8B 8D D8 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 03 00 00 48 81 C4 E0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1330_0_0 {
	meta:
		name = "fegetenv"
		size = 32
		refs = "000a _getfpcontrolword 0011 _getfpstatusword"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? 89 43 04 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1331_0_0 {
	meta:
		name = "frexp"
		size = 220
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0043 _ctrlfp 0063 _sptype 007f _handle_qnan1 0089 _d_ind 009e _except1 00ab __real@3ff0000000000000 00b5 _decomp"
	strings:
		$1 = { 48 89 5C 24 10 F2 0F 11 44 24 08 57 48 83 EC 40 0F 29 74 24 30 48 8B DA 0F 28 F0 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F 57 C0 E9 94 00 00 00 BA C0 FF 00 00 B9 80 1F 00 00 E8 ?? ?? ?? ?? 0F B7 4C 24 56 0F 28 C6 48 8B F8 B8 F0 7F 00 00 66 23 C8 66 3B C8 75 52 83 0B FF E8 ?? ?? ?? ?? 85 C0 7E 39 83 F8 02 7E 15 83 F8 03 75 2F 8D 48 14 0F 28 CE 4C 8B C7 E8 ?? ?? ?? ?? EB 47 F2 0F 10 1D ?? ?? ?? ?? BA 17 00 00 00 0F 28 D6 48 89 7C 24 20 8D 4A F1 E8 ?? ?? ?? ?? EB 28 0F 28 DE F2 0F 58 1D ?? ?? ?? ?? EB DC 48 8B D3 E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CF 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 C6 48 8B 5C 24 58 0F 28 74 24 30 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1332_0_0 {
	meta:
		name = "__common_spow_cout_rare"
		size = 2976
		refs = "0187 _2il0floatpacket_112 01b7 _vmlsPowHATab 01e9 _2il0floatpacket_113 0390 _2il0floatpacket_115 039f _2il0floatpacket_114 050f _2il0floatpacket_124 063f _2il0floatpacket_116 0669 _2il0floatpacket_117 0681 _2il0floatpacket_118 068d _2il0floatpacket_119 07c5 _2il0floatpacket_120 07ea _2il0floatpacket_121 0836 _2il0floatpacket_122 0845 _2il0floatpacket_123 098d _2il0floatpacket_126"
	strings:
		$1 = { 53 41 54 41 55 41 57 55 48 81 EC 90 00 00 00 33 C0 F3 0F 10 21 66 0F EF C0 F3 0F 10 1A 0F 28 CC 8B 12 0F 28 D3 44 0F 29 7C 24 60 44 0F 29 74 24 70 44 0F 29 AC 24 80 00 00 00 44 0F 29 44 24 50 0F 29 7C 24 40 8B 09 0F 2E E0 7A 02 74 06 89 4C 24 28 EB 0D 0F 28 CC F3 0F 58 CC F3 0F 11 4C 24 28 0F 2E D8 7A 02 74 06 89 54 24 3C EB 0D 0F 28 D3 F3 0F 58 D3 F3 0F 11 54 24 3C 66 0F 7E D5 41 BC 01 00 00 00 45 33 DB F7 44 24 28 FF FF 7F 00 0F B7 54 24 3E 45 0F 44 DC 45 33 D2 81 E5 FF FF FF 7F 81 E2 80 7F 00 00 45 33 C9 F7 44 24 3C FF FF 7F 00 44 0F B7 7C 24 2A 45 0F 44 D4 41 81 E7 80 7F 00 00 C1 EA 07 8D 8D 00 00 80 C0 81 FA FF 00 00 00 44 0F B6 6C 24 2B 8A 5C 24 3F 45 0F 45 CC 41 81 E5 80 00 00 00 80 E3 80 41 C1 EF 07 41 C1 ED 07 C0 EB 07 81 F9 00 00 00 40 73 3E 81 FD 00 00 80 4B 0F 8D 27 05 00 00 8B CD 81 E1 00 00 80 FF 81 C1 00 00 80 00 C1 E9 17 D3 E5 F7 C5 FF FF 7F 00 75 17 81 E5 FF FF FF 00 81 FD 00 00 80 00 BD 02 00 00 00 41 0F 44 EC EB 02 33 ED 45 85 ED 75 0A 41 83 FF 7F 0F 84 3C 0A 00 00 85 D2 75 09 45 85 D2 0F 85 6C 04 00 00 33 C9 41 81 FF FF 00 00 00 41 0F 45 CC 44 0B D9 0F 84 4B 04 00 00 45 0B D1 0F 84 42 04 00 00 0F 2E C8 7A 06 0F 84 B8 09 00 00 0F 2E 0D ?? ?? ?? ?? 7A 06 0F 84 83 09 00 00 85 C9 0F 84 BE 03 00 00 45 85 C9 0F 84 B5 03 00 00 0F 2F C8 77 08 85 ED 0F 84 7D 03 00 00 41 23 ED 48 8D 0D ?? ?? ?? ?? F3 0F 11 4C 24 2C 80 64 24 2F 7F 45 85 FF F3 44 0F 10 B4 A9 CC 05 00 00 B9 00 00 00 00 75 1B F3 0F 10 44 24 2C B9 C0 FF FF FF F3 0F 59 05 ?? ?? ?? ?? F3 0F 11 44 24 2C EB 06 F3 0F 10 44 24 2C F3 0F 11 44 24 30 4C 8D 25 ?? ?? ?? ?? 44 0F B7 54 24 32 4D 8B EC 41 81 E2 7F 80 FF FF 4D 8B FC 41 81 CA 80 3F FF FF 66 44 89 54 24 32 4D 8B D4 8B 6C 24 30 81 E5 00 00 78 00 44 0F B7 4C 24 2E 81 C5 00 00 08 00 41 81 E1 80 7F 00 00 41 C1 E9 07 C1 ED 14 44 8B 5C 24 2C 41 C1 E1 17 41 81 E3 FF FF 7F 00 45 0B CB 41 81 C1 00 00 C8 C0 4D 8B DD 41 C1 F9 17 44 03 C9 F3 45 0F 10 04 AC 03 ED F3 45 0F 2A E9 F3 0F 10 6C 24 30 4D 8B CD 0F 28 FD F3 41 0F 10 64 AD 24 F3 41 0F 59 F8 44 0F 28 FC F3 45 0F 58 FD 66 0F 7E F9 F3 44 0F 11 7C 24 34 81 E1 00 00 1E 00 F3 44 0F 10 7C 24 34 81 C1 00 00 02 00 C1 E9 12 F3 45 0F 5C EF F3 41 0F 58 E5 F3 41 0F 10 5C 8F 6C 03 C9 F3 0F 11 64 24 38 F3 44 0F 10 7C 24 34 41 0F 28 E7 F3 0F 59 FB F3 44 0F 59 C3 66 41 0F 7E FC F3 41 0F 10 84 8A 90 00 00 00 0F 28 DD F3 44 0F 10 6C 24 38 F3 0F 58 E0 F3 0F 11 64 24 34 41 81 E4 00 C0 07 00 F3 0F 10 64 24 34 41 81 C4 00 40 00 00 41 C1 EC 0F F3 44 0F 5C FC F3 44 0F 58 F8 F3 43 0F 10 94 A3 D8 00 00 00 45 03 E4 F3 44 0F 11 7C 24 38 F3 0F 10 64 24 34 44 0F 28 FC F3 43 0F 10 8C A5 1C 01 00 00 F3 0F 10 44 24 38 F3 44 0F 58 F9 F3 44 0F 58 E8 F3 44 0F 59 C2 F3 44 0F 11 7C 24 34 F3 44 0F 10 7C 24 34 F3 41 0F 5C E7 F3 0F 59 FA F3 0F 58 E1 F3 0F 10 15 ?? ?? ?? ?? 0F 28 C7 F3 0F 59 DA F3 0F 5C 05 ?? ?? ?? ?? F3 0F 11 64 24 38 F3 0F 10 64 24 34 F3 0F 10 4C 24 38 F3 0F 11 5C 24 34 F3 44 0F 58 E9 F3 0F 10 4C 24 34 F3 0F 5C 4C 24 30 F3 45 0F 58 6C A9 28 F3 0F 11 4C 24 38 49 8B ED F3 0F 10 4C 24 34 F3 44 0F 10 7C 24 38 F3 41 0F 5C CF F3 44 0F 58 AC 8D 94 00 00 00 F3 0F 11 4C 24 34 F3 0F 10 5C 24 34 F3 0F 5C EB F3 47 0F 58 AC A7 20 01 00 00 F3 0F 11 6C 24 38 41 0F 28 E8 F3 0F 59 EA F3 44 0F 10 7C 24 34 F3 0F 10 4C 24 38 F3 0F 11 6C 24 34 F3 0F 10 54 24 34 F3 41 0F 5C D0 F3 0F 11 54 24 38 F3 0F 10 54 24 34 F3 0F 10 5C 24 38 F3 0F 5C D3 41 0F 28 DF F3 0F 11 54 24 34 F3 0F 10 6C 24 34 F3 44 0F 5C C5 F3 44 0F 11 44 24 38 F3 44 0F 10 44 24 34 F3 41 0F 59 D8 F3 44 0F 59 C1 F3 0F 5C DF 0F 28 F8 F3 41 0F 58 D8 F3 0F 58 FC F3 0F 10 54 24 38 F3 0F 11 7C 24 34 F3 44 0F 59 FA F3 0F 59 CA F3 41 0F 58 DF F3 0F 10 54 24 34 F3 0F 58 CB F3 0F 5C E2 F3 0F 58 E0 F3 0F 11 64 24 38 F3 0F 10 5C 24 34 F3 0F 11 5C 24 28 0F B7 4C 24 2A 81 E1 80 7F 00 00 C1 E9 07 03 D1 F3 0F 10 54 24 38 81 FA 09 01 00 00 0F 8D F3 05 00 00 81 FA C0 00 00 00 0F 8F 3E 01 00 00 C7 44 24 34 00 00 80 3F F3 0F 10 44 24 34 F3 0F 58 05 ?? ?? ?? ?? F3 0F 11 44 24 34 F3 0F 10 4C 24 34 F3 44 0F 59 F1 F3 45 0F 11 30 E9 D3 00 00 00 33 C0 89 44 24 34 41 8B C4 F3 0F 10 4C 24 34 F3 0F 10 44 24 34 F3 0F 5E C8 F3 0F 11 4C 24 34 8B 54 24 34 41 89 10 E9 A8 00 00 00 41 83 FF 7F 7D 1C 84 DB 74 0E F3 0F 59 D2 F3 41 0F 11 10 E9 90 00 00 00 33 D2 41 89 10 E9 86 00 00 00 84 DB 74 1A 41 23 ED 48 8D 15 ?? ?? ?? ?? 8B 8C AA E8 05 00 00 89 4C 24 2C 41 89 08 EB 68 F3 0F 59 C9 41 23 ED F3 0F 59 D1 48 8D 15 ?? ?? ?? ?? F3 0F 59 94 AA CC 05 00 00 F3 41 0F 11 10 EB 46 F3 0F 58 E3 F3 41 0F 11 20 EB 3B F3 0F 58 CA F3 0F 11 4C 24 34 C7 44 24 38 00 00 80 3F 8A 54 24 37 8A 4C 24 3B 80 E2 80 80 E1 7F 0A CA 88 4C 24 3B F3 0F 10 4C 24 38 F3 0F 10 44 24 38 F3 0F 59 C8 F3 41 0F 11 08 0F 28 7C 24 40 44 0F 28 44 24 50 44 0F 28 AC 24 80 00 00 00 44 0F 28 74 24 70 44 0F 28 7C 24 60 48 81 C4 90 00 00 00 5D 41 5F 41 5D 41 5C 5B C3 BD 02 00 00 00 E9 03 FB FF FF F3 0F 10 2D ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? F3 44 0F 10 44 24 28 48 8B EB F3 0F 58 C1 F3 0F 58 CA F3 0F 59 E8 F3 44 0F 58 E9 F3 0F 58 2D ?? ?? ?? ?? F3 0F 59 E8 45 0F 28 FD F3 0F 10 0D ?? ?? ?? ?? F3 0F 58 2D ?? ?? ?? ?? F3 0F 59 E8 F3 0F 58 2D ?? ?? ?? ?? F3 0F 59 E8 F3 0F 58 DD F3 0F 11 5C 24 34 F3 0F 10 7C 24 34 F3 44 0F 5C C7 F3 44 0F 58 C5 F3 44 0F 11 44 24 38 F3 0F 10 44 24 34 F3 0F 10 54 24 38 F3 44 0F 58 F8 F3 44 0F 11 7C 24 34 F3 0F 10 64 24 34 F3 0F 5C C4 F3 41 0F 58 C5 44 0F 28 E9 F3 0F 11 44 24 38 F3 0F 10 44 24 34 F3 44 0F 59 E8 F3 0F 10 64 24 38 F3 44 0F 11 6C 24 34 F3 0F 58 E2 F3 0F 10 5C 24 34 F3 0F 59 64 24 3C F3 0F 5C D8 F3 0F 11 5C 24 38 F3 0F 10 7C 24 34 F3 0F 10 6C 24 38 F3 0F 5C FD F3 0F 10 6C 24 3C F3 0F 59 CD F3 0F 11 7C 24 34 F3 44 0F 10 44 24 34 F3 41 0F 5C C0 F3 0F 11 44 24 38 F3 0F 10 54 24 34 F3 0F 10 5C 24 38 F3 0F 11 4C 24 34 F3 0F 10 44 24 34 F3 0F 5C 44 24 3C F3 0F 11 44 24 38 F3 44 0F 10 6C 24 34 F3 44 0F 10 7C 24 38 F3 45 0F 5C EF F3 44 0F 11 6C 24 34 F3 0F 10 44 24 34 F3 0F 5C E8 F3 0F 11 6C 24 38 F3 0F 10 7C 24 34 F3 0F 10 4C 24 38 44 0F 28 EF 0F 28 C1 F3 0F 59 C3 F3 0F 59 FB F3 44 0F 59 EA F3 0F 59 D1 F3 0F 58 C7 F3 0F 10 1D ?? ?? ?? ?? F3 0F 58 C2 41 0F 28 D5 F3 0F 58 E0 F3 0F 58 D3 F3 0F 11 54 24 34 F3 44 0F 10 44 24 34 F3 0F 10 0D ?? ?? ?? ?? F3 44 0F 5C C3 F3 44 0F 11 44 24 20 F3 44 0F 10 7C 24 20 8B 4C 24 34 8B D1 83 E1 7F F3 45 0F 5C EF F3 44 0F 11 6C 24 24 03 C9 F3 0F 10 44 24 24 F3 0F 58 E0 F3 0F 59 CC F3 0F 10 84 8B A4 01 00 00 C1 E2 0A F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CC C1 FA 11 F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CC F3 0F 59 C8 F3 0F 58 8C 8D A8 01 00 00 0F 28 D1 F3 0F 58 D0 F3 0F 11 54 24 2C 0F B7 5C 24 2E 8B CB 81 E1 80 7F 00 00 C1 E9 07 83 C1 81 03 CA 81 F9 80 00 00 00 0F 8D 22 02 00 00 83 F9 82 7C 31 83 C1 7F 81 E3 7F 80 FF FF 0F B6 C9 C1 E1 07 0B D9 66 89 5C 24 2E F3 0F 10 44 24 2C F3 41 0F 59 C6 F3 0F 11 44 24 2C F3 41 0F 11 00 E9 43 FD FF FF 81 F9 78 FF FF FF 0F 8C 20 01 00 00 F3 0F 11 54 24 34 83 C2 40 F3 0F 10 54 24 34 B9 00 00 80 3F 89 4C 24 28 83 C2 7F C1 E9 10 F3 0F 5C C2 0F B7 D9 F3 0F 58 C1 F3 0F 11 44 24 38 81 E3 7F 80 FF FF F3 44 0F 10 44 24 34 F3 0F 10 0D ?? ?? ?? ?? F3 41 0F 59 C8 F3 0F 10 44 24 38 F3 0F 11 4C 24 34 F3 0F 10 5C 24 34 0F B6 D2 F3 41 0F 5C D8 F3 0F 11 5C 24 38 F3 0F 10 6C 24 34 F3 0F 10 64 24 38 C1 E2 07 F3 0F 5C EC F3 0F 11 6C 24 34 0B DA F3 0F 10 7C 24 34 66 89 5C 24 2A F3 44 0F 5C C7 F3 44 0F 11 44 24 38 F3 0F 10 5C 24 34 F3 44 0F 10 6C 24 38 F3 44 0F 10 7C 24 28 F3 41 0F 58 C5 F3 41 0F 59 DF F3 41 0F 59 C7 F3 44 0F 10 2D ?? ?? ?? ?? F3 41 0F 59 C5 F3 41 0F 59 DD F3 0F 11 44 24 34 F3 0F 10 44 24 34 C7 44 24 34 00 00 80 00 F3 0F 58 D8 F3 0F 10 4C 24 34 F3 44 0F 10 7C 24 34 F3 41 0F 59 CF F3 0F 11 4C 24 34 F3 0F 10 54 24 34 F3 0F 58 DA F3 44 0F 59 F3 F3 0F 11 5C 24 2C F3 45 0F 11 30 E9 17 FC FF FF 81 F9 61 FF FF FF 7C 7E B9 00 00 80 3F 81 C2 BF 00 00 00 89 4C 24 28 C1 E9 10 0F B7 D9 0F B6 D2 81 E3 7F 80 FF FF C1 E2 07 0B DA 66 89 5C 24 2A F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 4C 24 28 F3 44 0F 59 F0 F3 0F 59 D1 C7 44 24 34 00 00 80 00 F3 44 0F 59 F2 F3 0F 10 54 24 34 F3 0F 10 5C 24 34 F3 0F 59 DA F3 0F 11 5C 24 34 F3 0F 10 64 24 34 F3 44 0F 58 F4 F3 44 0F 11 74 24 2C F3 45 0F 11 30 E9 91 FB FF FF C7 44 24 34 00 00 80 00 F3 0F 10 44 24 34 F3 0F 10 4C 24 34 F3 0F 59 C8 F3 0F 11 4C 24 34 F3 0F 10 54 24 34 F3 44 0F 59 F2 F3 44 0F 11 74 24 2C F3 45 0F 11 30 E9 57 FB FF FF C7 44 24 34 00 00 00 7F F3 0F 10 4C 24 34 F3 0F 10 44 24 34 F3 0F 59 C8 F3 0F 11 4C 24 34 F3 0F 10 54 24 34 F3 44 0F 59 F2 F3 44 0F 11 74 24 2C F3 45 0F 11 30 E9 1D FB FF FF 8A 54 24 2B 48 8D 0D ?? ?? ?? ?? 80 E2 80 C0 EA 07 32 DA 0F B6 DB F3 0F 10 84 99 C0 05 00 00 F3 0F 59 C0 F3 41 0F 59 C6 F3 41 0F 11 00 E9 EB FA FF FF 85 ED 75 09 45 85 C9 0F 85 70 F6 FF FF 83 E5 01 48 8D 15 ?? ?? ?? ?? 8B 8C AA CC 05 00 00 41 89 08 E9 C5 FA FF FF F3 0F 59 C9 84 DB 74 24 41 23 ED 48 8D 05 ?? ?? ?? ?? F3 0F 10 84 A8 CC 05 00 00 41 8B C4 F3 0F 5E C1 F3 41 0F 11 00 E9 99 FA FF FF 41 23 ED 48 8D 15 ?? ?? ?? ?? F3 0F 10 84 AA CC 05 00 00 F3 0F 59 C1 F3 41 0F 11 00 E9 78 FA FF FF 45 85 DB 0F 84 BB F5 FF FF E9 2F FA FF FF 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1334_0_0 {
	meta:
		name = "_flswbuf"
		size = 397
		refs = "001c _fileno 002c _errno 008d __iob_func 00ab _isatty 00b7 _getbuf 00eb _write 010f __pioinfo 0127 __badioinfo 013a _lseeki64"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 56 48 83 EC 20 44 8B F1 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 8B 53 18 48 63 F0 F6 C2 82 75 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 4B 18 20 B8 FF FF 00 00 E9 36 01 00 00 F6 C2 40 74 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB E0 33 FF F6 C2 01 74 19 89 7B 08 F6 C2 10 0F 84 8A 00 00 00 48 8B 43 10 83 E2 FE 48 89 03 89 53 18 8B 43 18 89 7B 08 83 E0 EF 83 C8 02 89 43 18 A9 0C 01 00 00 75 2F E8 ?? ?? ?? ?? 48 83 C0 30 48 3B D8 74 0E E8 ?? ?? ?? ?? 48 83 C0 60 48 3B D8 75 0B 8B CE E8 ?? ?? ?? ?? 85 C0 75 08 48 8B CB E8 ?? ?? ?? ?? F7 43 18 08 01 00 00 0F 84 8A 00 00 00 8B 2B 48 8B 53 10 2B 6B 10 48 8D 42 02 48 89 03 8B 43 24 83 E8 02 89 43 08 85 ED 7E 19 44 8B C5 8B CE E8 ?? ?? ?? ?? 8B F8 EB 55 83 CA 20 89 53 18 E9 3C FF FF FF 8D 46 02 83 F8 01 76 1E 48 8B CE 48 8B C6 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 C1 F8 05 48 6B D1 58 49 03 14 C0 EB 07 48 8D 15 ?? ?? ?? ?? F6 42 08 20 74 17 33 D2 8B CE 44 8D 42 02 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 EE FE FF FF 48 8B 43 10 66 44 89 30 EB 1C BD 02 00 00 00 48 8D 54 24 48 8B CE 44 8B C5 66 44 89 74 24 48 E8 ?? ?? ?? ?? 8B F8 3B FD 0F 85 C0 FE FF FF 41 0F B7 C6 48 8B 5C 24 40 48 8B 6C 24 50 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1338_0_0 {
	meta:
		name = "__common_satan_cout_rare"
		size = 1584
		refs = "004f _vmlsAtanHATab"
	strings:
		$1 = { 48 83 EC 78 44 0F B7 49 02 41 81 E1 80 7F 00 00 41 C1 E9 07 44 0F 29 7C 24 50 41 81 F9 FF 00 00 00 0F 29 7C 24 60 0F 84 B1 05 00 00 F3 0F 10 09 F3 0F 5A C1 F2 0F 11 44 24 70 80 64 24 77 7F F2 0F 10 44 24 70 8A 41 03 C0 E8 07 66 0F 2F 05 ?? ?? ?? ?? 4C 8B 44 24 70 0F 82 5B 04 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 14 04 00 00 4C 89 44 24 30 44 0F 28 F8 44 8B 44 24 34 45 8B C8 41 81 E0 00 00 08 00 41 81 E1 00 00 F0 FF 41 81 C8 00 00 04 00 4C 8D 1D ?? ?? ?? ?? 45 0B C8 C7 44 24 30 00 00 00 00 44 89 4C 24 34 F2 0F 10 0D ?? ?? ?? ?? 0F 28 E1 F2 44 0F 5C 7C 24 30 C0 E0 07 F2 41 0F 59 E7 F2 0F 11 64 24 38 F2 0F 10 54 24 38 44 0F B7 54 24 76 F2 41 0F 5C D7 F2 0F 11 54 24 40 41 81 E2 F0 7F 00 00 F2 0F 10 5C 24 38 F2 0F 10 6C 24 40 41 C1 EA 04 F2 0F 5C DD F2 0F 11 5C 24 38 0F 28 E8 F2 0F 10 7C 24 38 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 5C FF F2 44 0F 11 7C 24 40 F2 0F 10 5C 24 38 F2 0F 10 64 24 40 F2 0F 11 6C 24 38 F2 0F 10 7C 24 38 8B 4C 24 74 41 C1 E2 14 81 E1 FF FF 0F 00 44 0B D1 F2 0F 5C 7C 24 70 F2 0F 11 7C 24 40 41 81 C2 00 00 40 C0 F2 0F 10 6C 24 38 F2 0F 10 54 24 40 41 C1 FA 12 F2 0F 5C EA F2 0F 11 6C 24 38 41 83 E2 FE F2 0F 10 7C 24 38 4D 63 D2 F2 0F 5C C7 F2 0F 11 44 24 40 F2 44 0F 10 7C 24 38 F2 0F 10 44 24 30 F2 0F 10 54 24 40 F2 44 0F 59 F8 F2 0F 59 D0 41 0F 28 EF F2 0F 58 EA F2 0F 11 6C 24 38 F2 0F 10 7C 24 38 F2 44 0F 5C FF F2 41 0F 58 D7 F2 0F 11 54 24 40 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 44 24 38 0F 28 FA F2 0F 10 6C 24 40 F2 0F 58 F8 F2 0F 11 7C 24 38 0F 28 FA F2 44 0F 10 7C 24 38 F2 41 0F 5C FF F2 0F 11 7C 24 40 F2 0F 10 7C 24 38 F2 44 0F 10 7C 24 40 F2 41 0F 58 FF F2 0F 11 7C 24 48 0F 28 FA F2 44 0F 10 7C 24 40 F2 41 0F 58 C7 F2 0F 11 44 24 40 F2 0F 10 44 24 48 F2 0F 5C F8 F2 0F 11 7C 24 48 F2 0F 10 7C 24 40 F2 44 0F 10 7C 24 48 F2 41 0F 58 FF F2 0F 11 7C 24 48 F2 44 0F 10 7C 24 38 F2 0F 10 44 24 48 F2 0F 58 C5 41 0F 28 EF F2 0F 59 E9 F2 0F 11 6C 24 38 F2 0F 10 7C 24 38 F2 41 0F 5C FF F2 0F 11 7C 24 40 F2 0F 10 7C 24 38 F2 0F 10 6C 24 40 F2 0F 5C FD F2 0F 11 7C 24 38 F2 0F 10 6C 24 38 F2 44 0F 5C FD F2 44 0F 11 7C 24 40 F2 0F 10 7C 24 38 F2 0F 10 6C 24 40 F2 0F 58 E8 0F 28 C2 F2 0F 5E C7 F2 0F 59 C8 F2 0F 11 4C 24 40 F2 0F 10 4C 24 40 F2 0F 5C C8 F2 0F 11 4C 24 48 F2 0F 10 44 24 40 F2 44 0F 10 7C 24 48 F2 41 0F 5C C7 F2 0F 11 44 24 48 F2 0F 10 4C 24 48 F2 0F 59 F9 F2 0F 5C D7 F2 0F 10 7C 24 48 F2 0F 59 EF F2 0F 11 6C 24 40 F2 0F 10 6C 24 40 F2 0F 5C D5 F2 0F 11 54 24 40 F2 44 0F 10 7C 24 40 F2 0F 10 7C 24 48 F2 0F 10 54 24 40 F2 0F 10 6C 24 48 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FA F2 44 0F 59 FD 0F 28 EF F2 0F 59 FC F2 0F 59 EB F2 41 0F 59 DF 41 0F 28 C7 F2 0F 59 C4 F2 44 0F 10 3D ?? ?? ?? ?? F2 0F 58 C7 F2 43 0F 10 14 D3 F2 0F 58 C3 F2 0F 11 44 24 38 0F 28 DD F2 0F 10 7C 24 38 0F 28 C2 F2 0F 58 DF F2 0F 11 5C 24 38 F2 0F 10 64 24 38 F2 0F 5C EC F2 0F 58 EF F2 0F 11 6C 24 40 F2 0F 10 5C 24 38 0F 28 EB F2 0F 58 C3 F2 0F 59 EB F2 44 0F 59 FD F2 0F 10 7C 24 40 F2 0F 11 44 24 38 F2 0F 10 4C 24 38 F2 44 0F 58 3D ?? ?? ?? ?? F2 0F 5C D1 F2 44 0F 59 FD F2 0F 58 D3 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 0F 11 54 24 40 F2 0F 10 44 24 38 F2 0F 10 64 24 40 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 41 0F 59 DF F2 0F 58 DF F2 43 0F 58 5C D3 08 F2 0F 58 DC F2 0F 58 C3 F2 0F 11 44 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 5C 24 28 F3 0F 11 1A E9 47 01 00 00 F2 0F 10 05 ?? ?? ?? ?? C0 E0 07 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 4C 24 28 F3 0F 11 0A E9 12 01 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 82 85 00 00 00 0F 28 C8 F2 0F 59 C8 C0 E0 07 F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D0 F2 0F 58 D0 F2 0F 11 54 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 44 24 28 F3 0F 11 02 EB 7F 45 85 C9 74 40 F2 0F 10 0D ?? ?? ?? ?? C0 E0 07 F2 0F 58 C8 F2 0F 11 4C 24 38 F2 0F 10 44 24 38 F2 0F 59 44 24 70 F2 0F 11 44 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 54 24 28 F3 0F 11 12 EB 3A F3 0F 59 C9 C0 E0 07 F3 0F 11 4C 24 20 F3 0F 10 44 24 20 F3 0F 5A C0 F2 0F 58 44 24 70 F2 0F 11 44 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 4C 24 28 F3 0F 11 0A 0F 28 7C 24 60 33 C0 44 0F 28 7C 24 50 48 83 C4 78 C3 F7 01 FF FF 7F 00 75 38 F2 0F 10 05 ?? ?? ?? ?? 8A 41 03 24 80 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 28 44 8A 44 24 2F 41 80 E0 7F 44 0A C0 44 88 44 24 2F F2 0F 5A 4C 24 28 F3 0F 11 0A EB AE F3 0F 10 01 F3 0F 58 C0 F3 0F 11 02 EB A0 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_1339_0_0 {
	meta:
		name = "?set_new_handler@@YAP6AXXZP6AXXZ@Z"
		size = 18
		refs = "0007 ?_set_new_handler@@YAP6AH_K@ZP6AH0@Z@Z"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1340_0_0 {
	meta:
		name = "normf"
		size = 54
		refs = "000f crealf 001c cimagf"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 0F 29 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 40 0F 28 F0 E8 ?? ?? ?? ?? F3 0F 59 F6 F3 0F 59 C0 F3 0F 58 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1341_4_0 {
	meta:
		name = "__iscsym"
		size = 40
		refs = "000c isalnum"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 0F B6 C9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 05 80 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1341_5_0 {
	meta:
		name = "__iscsymf"
		size = 37
		refs = "0009 isalpha"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 05 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1341_7_0 {
	meta:
		name = "_isalnum_l"
		size = 98
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 07 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_8_0 {
	meta:
		name = "_isalpha_l"
		size = 98
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 03 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_9_0 {
	meta:
		name = "_isblank_l"
		size = 109
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0038 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 83 FB 09 75 05 8D 4B 37 EB 35 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 40 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 12 48 8B 80 08 01 00 00 B9 40 00 00 00 0F B7 14 58 23 CA 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_10_0 {
	meta:
		name = "_iscntrl_l"
		size = 95
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 20 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 20 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_11_0 {
	meta:
		name = "_iscsym_l"
		size = 113
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 11 48 8B 80 08 01 00 00 0F B7 14 58 81 E2 07 01 00 00 33 C9 38 4C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 85 D2 75 05 83 FB 5F 75 05 B9 01 00 00 00 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_12_0 {
	meta:
		name = "_iscsymf_l"
		size = 113
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 8B D0 EB 11 48 8B 80 08 01 00 00 0F B7 14 58 81 E2 03 01 00 00 33 C9 38 4C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 85 D2 75 05 83 FB 5F 75 05 B9 01 00 00 00 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_13_0 {
	meta:
		name = "_isdigit_l"
		size = 95
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 04 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 04 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_14_0 {
	meta:
		name = "_isgraph_l"
		size = 98
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 17 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 17 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_15_0 {
	meta:
		name = "_islower_l"
		size = 95
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 02 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 02 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_16_0 {
	meta:
		name = "_isprint_l"
		size = 98
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 57 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 57 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_17_0 {
	meta:
		name = "_ispunct_l"
		size = 95
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 10 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_18_0 {
	meta:
		name = "_isspace_l"
		size = 95
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 08 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 08 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_19_0 {
	meta:
		name = "_isupper_l"
		size = 95
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 01 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 01 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_20_0 {
	meta:
		name = "_isxdigit_l"
		size = 98
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 80 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 80 00 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_21_0 {
	meta:
		name = "isalnum"
		size = 127
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 07 01 00 00 EB 55 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 07 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_22_0 {
	meta:
		name = "isalpha"
		size = 127
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 03 01 00 00 EB 55 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 03 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_23_0 {
	meta:
		name = "isblank"
		size = 47
		refs = "0002 __locale_changed 0015 __initiallocinfo 002b _isblank_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 1F 83 F9 09 75 04 8D 41 37 C3 48 8B 05 ?? ?? ?? ?? 48 63 C9 0F B7 14 48 B8 40 00 00 00 23 C2 C3 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1341_24_0 {
	meta:
		name = "iscntrl"
		size = 122
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 20 EB 52 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 20 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 20 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_25_0 {
	meta:
		name = "isdigit"
		size = 122
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 04 EB 52 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 04 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 04 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_26_0 {
	meta:
		name = "isgraph"
		size = 127
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 17 01 00 00 EB 55 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 17 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 17 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_27_0 {
	meta:
		name = "islower"
		size = 122
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 02 EB 52 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 02 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 02 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_28_0 {
	meta:
		name = "isprint"
		size = 127
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 57 01 00 00 EB 55 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 57 01 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 57 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_29_0 {
	meta:
		name = "ispunct"
		size = 122
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 10 EB 52 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 10 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_30_0 {
	meta:
		name = "isspace"
		size = 122
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 08 EB 52 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 08 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 08 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_31_0 {
	meta:
		name = "isupper"
		size = 122
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 01 EB 52 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 01 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 0E 48 8B 80 08 01 00 00 0F B7 0C 58 83 E1 01 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1341_32_0 {
	meta:
		name = "isxdigit"
		size = 127
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 80 00 00 00 EB 55 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 D4 00 00 00 01 7E 15 4C 8D 44 24 20 BA 80 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C8 EB 11 48 8B 80 08 01 00 00 0F B7 0C 58 81 E1 80 00 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1342_9_0 {
	meta:
		name = "??0Etw@details@Concurrency@@AEAA@XZ"
		size = 263
		refs = "0010 ??_C@_1BK@JHLNAEJL@?$AAa?$AAd?$AAv?$AAa?$AAp?$AAi?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 001e __imp_LoadLibraryExW 002c __imp_GetLastError 0042 __imp_LoadLibraryW 0055 ??_C@_0BE@FKJMGMF@RegisterTraceGuidsW?$AA@ 005e __imp_GetProcAddress 0066 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 006d ??_C@_0BF@OFMMALCC@UnregisterTraceGuids?$AA@ 0088 ??_C@_0L@EOLEDHLE@TraceEvent?$AA@ 00a4 ??_C@_0BF@OFCGPMKL@GetTraceLoggerHandle?$AA@ 00c0 ??_C@_0BE@JCHMKLLJ@GetTraceEnableLevel?$AA@ 00dc ??_C@_0BE@DNOHFPHI@GetTraceEnableFlags?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8D 0D ?? ?? ?? ?? 33 D2 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 28 FF 15 ?? ?? ?? ?? 83 F8 57 0F 85 C0 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 A7 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 07 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 47 08 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 47 10 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 47 18 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 47 20 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 47 28 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1342_26_0 {
	meta:
		name = "?ControlCallback@details@Concurrency@@YAKW4WMIDPREQUESTCODE@@PEAXPEAK1@Z"
		size = 198
		refs = "001c ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 0023 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 003a ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0042 ?GetLoggerHandle@Etw@details@Concurrency@@QEAA_KPEAX@Z 005b __imp_GetLastError 0063 __imp_SetLastError 0076 ?GetEnableLevel@Etw@details@Concurrency@@QEAAE_K@Z 009d ?GetEnableFlags@Etw@details@Concurrency@@QEAAK_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 E9 04 74 2C FF C9 74 0A B8 57 00 00 00 E9 A7 00 00 00 48 83 25 ?? ?? ?? ?? 00 C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 00 00 00 00 E9 87 00 00 00 48 8B 0D ?? ?? ?? ?? 49 8B D1 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 F8 FF 75 0C 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D8 84 C0 75 0D FF 15 ?? ?? ?? ?? 85 C0 75 35 8D 58 04 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D FF 15 ?? ?? ?? ?? 85 C0 75 11 83 C8 FF 89 05 ?? ?? ?? ?? 88 1D ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1342_29_0 {
	meta:
		name = "?GetEnableFlags@Etw@details@Concurrency@@QEAAK_K@Z"
		size = 69
		refs = "0015 __imp_EncodePointer 0022 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0034 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 28 33 C9 48 8B FA FF 15 ?? ?? ?? ?? 48 3B D8 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D0 EB 0D B9 7F 00 00 00 FF 15 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1342_30_0 {
	meta:
		name = "?GetEnableLevel@Etw@details@Concurrency@@QEAAE_K@Z"
		size = 69
		refs = "0015 __imp_EncodePointer 0022 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0034 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 20 33 C9 48 8B FA FF 15 ?? ?? ?? ?? 48 3B D8 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D0 EB 0D B9 7F 00 00 00 FF 15 ?? ?? ?? ?? 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1342_31_0 {
	meta:
		name = "?GetLoggerHandle@Etw@details@Concurrency@@QEAA_KPEAX@Z"
		size = 71
		refs = "0015 __imp_EncodePointer 0022 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0034 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 18 33 C9 48 8B FA FF 15 ?? ?? ?? ?? 48 3B D8 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D0 EB 0F B9 7F 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1342_32_0 {
	meta:
		name = "?PPL_Trace_Event@details@Concurrency@@YAXAEBU_GUID@@W4ConcRT_EventType@2@E@Z"
		size = 127
		refs = "0012 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 002d memset 0034 ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 006b ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
	strings:
		$1 = { 48 89 6C 24 08 48 89 74 24 10 57 48 83 EC 60 48 83 3D ?? ?? ?? ?? 00 41 8A F8 8B F2 48 8B E9 74 4E 33 D2 48 8D 4C 24 22 44 8D 42 3E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 45 00 B8 40 00 00 00 4C 8D 44 24 20 C7 44 24 4C 00 00 02 00 F3 0F 7F 44 24 38 40 88 74 24 24 40 88 7C 24 25 66 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_1342_33_0 {
	meta:
		name = "?RegisterGuids@Etw@details@Concurrency@@QEAAKP6AKW4WMIDPREQUESTCODE@@PEAXPEAK1@ZPEBU_GUID@@KPEAU_TRACE_GUID_REGISTRATION@@PEA_K@Z"
		size = 126
		refs = "0024 __imp_EncodePointer 0031 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 48 8B 19 33 C9 41 8B F9 49 8B F0 48 8B EA FF 15 ?? ?? ?? ?? 48 3B D8 74 37 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 78 44 8B CF 48 89 4C 24 38 48 83 64 24 30 00 48 8B 4C 24 70 48 83 64 24 28 00 48 89 4C 24 20 4C 8B C6 48 8B CD 33 D2 FF D0 EB 05 B8 7F 00 00 00 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1342_34_0 {
	meta:
		name = "?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
		size = 77
		refs = "001d __imp_EncodePointer 002a ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 10 33 C9 49 8B F8 48 8B F2 FF 15 ?? ?? ?? ?? 48 3B D8 74 12 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B CE FF D0 EB 05 B8 7F 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1342_35_0 {
	meta:
		name = "?UnregisterGuids@Etw@details@Concurrency@@QEAAK_K@Z"
		size = 61
		refs = "0015 __imp_EncodePointer 0022 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 08 33 C9 48 8B FA FF 15 ?? ?? ?? ?? 48 3B D8 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D0 EB 05 B8 7F 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1342_43_0 {
	meta:
		name = "?_GetConcRTTraceInfo@Concurrency@@YAPEBU_CONCRT_TRACE_INFO@details@1@XZ"
		size = 31
		refs = "0007 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 000f ?_RegisterConcRTEventTracing@details@Concurrency@@YAXXZ 0016 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A"
	strings:
		$1 = { 48 83 EC 28 48 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1342_48_0 {
	meta:
		name = "?_RegisterConcRTEventTracing@details@Concurrency@@YAXXZ"
		size = 190
		refs = "0010 ?s_lock@Etw@details@Concurrency@@0V_NonReentrantLock@23@A 0030 ?_Sleep0@details@Concurrency@@YAXXZ 003f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0055 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0062 ??2@YAPEAX_K@Z 006f ??0Etw@details@Concurrency@@AEAA@XZ 007d ?g_ConcRTPRoviderHandle@details@Concurrency@@3_KA 0089 ?eventGuidRegistration@?4??_RegisterConcRTEventTracing@details@Concurrency@@YAXXZ@4PAU_TRACE_GUID_REGISTRATION@@A 009b ConcRT_ProviderGuid 00a2 ?ControlCallback@details@Concurrency@@YAKW4WMIDPREQUESTCODE@@PEAXPEAK1@Z 00aa ?RegisterGuids@Etw@details@Concurrency@@QEAAKP6AKW4WMIDPREQUESTCODE@@PEAXPEAK1@ZPEBU_GUID@@KPEAU_TRACE_GUID_REGISTRATION@@PEA_K@Z"
	strings:
		$1 = { 48 83 EC 58 48 C7 44 24 30 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 60 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 40 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 48 48 8D 4C 24 38 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 48 83 3D ?? ?? ?? ?? 00 75 53 B9 30 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 08 48 8B C8 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 28 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 20 41 B9 07 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 90 C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_1342_56_0 {
	meta:
		name = "?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
		size = 274
		refs = "001f __security_cookie 002d ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 003f ?_RegisterConcRTEventTracing@details@Concurrency@@YAXXZ 0045 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 006a memset 007d AgentEventGuid 00c9 wcsncpy_s 00e8 ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 00f8 ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z 0104 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 55 53 48 8D 68 A1 48 81 EC C8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 83 3D ?? ?? ?? ?? 00 48 8D 45 77 8B D9 48 89 45 A7 75 05 E8 ?? ?? ?? ?? 8A 05 ?? ?? ?? ?? 3C 04 0F 82 AB 00 00 00 8B 05 ?? ?? ?? ?? A8 20 0F 84 9D 00 00 00 33 D2 48 8D 4D B9 44 8D 42 76 E8 ?? ?? ?? ?? B8 78 00 00 00 C7 45 E3 00 00 02 00 0F 10 05 ?? ?? ?? ?? 66 89 45 B7 48 8B 45 6F 88 5D BB F3 0F 7F 45 CF C6 45 BC 04 48 89 45 E7 85 DB 74 3D 83 FB 02 74 2D 83 FB 04 7E 3E 83 FB 06 7E 2E 83 FB 07 75 34 48 8B 45 A7 4C 8B 00 4D 85 C0 74 28 8D 53 19 48 8D 4D EF 49 83 C9 FF E8 ?? ?? ?? ?? EB 16 48 8B 45 A7 8B 00 89 45 EF EB 0B 48 8B 45 A7 48 8B 00 48 89 45 EF 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 4C 8D 45 B7 E8 ?? ?? ?? ?? 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule file_1342_57_0 {
	meta:
		name = "?_Trace_ppl_function@Concurrency@@YAXAEBU_GUID@@EW4ConcRT_EventType@1@@Z"
		size = 87
		refs = "0012 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0022 ?_RegisterConcRTEventTracing@details@Concurrency@@YAXXZ 0028 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0043 ?PPL_Trace_Event@details@Concurrency@@YAXAEBU_GUID@@W4ConcRT_EventType@2@E@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 3D ?? ?? ?? ?? 00 41 8B F8 8A DA 48 8B F1 75 05 E8 ?? ?? ?? ?? 8A 05 ?? ?? ?? ?? 3A D8 77 17 8B 05 ?? ?? ?? ?? A8 10 74 0D 44 8A C3 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1342_58_0 {
	meta:
		name = "?_UnregisterConcRTEventTracing@details@Concurrency@@YAXXZ"
		size = 70
		refs = "0007 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0013 ?g_ConcRTPRoviderHandle@details@Concurrency@@3_KA 0019 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0029 ?UnregisterGuids@Etw@details@Concurrency@@QEAAK_K@Z 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 31 48 8B 15 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 00 00 00 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1344_3_0 {
	meta:
		name = "_freefls"
		size = 307
		refs = "0020 free 0085 _XcptActTab 009b _lock 00b9 __initialmbcinfo 00d0 _unlock 00ef __removelocaleref 00f6 __ptlocinfo 00ff __initiallocinfo 0111 __freetlocinfo"
	strings:
		$1 = { 48 85 C9 0F 84 29 01 00 00 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 48 8B 49 38 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 48 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 58 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 68 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 70 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 78 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 8B A0 00 00 00 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 05 E8 ?? ?? ?? ?? BF 0D 00 00 00 8B CF E8 ?? ?? ?? ?? 90 48 8B 8B B8 00 00 00 48 89 4C 24 30 48 85 C9 74 1C F0 FF 09 75 17 48 8D 05 ?? ?? ?? ?? 48 8B 4C 24 30 48 3B C8 74 06 E8 ?? ?? ?? ?? 90 8B CF E8 ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B BB C0 00 00 00 48 85 FF 74 2B 48 8B CF E8 ?? ?? ?? ?? 48 3B 3D ?? ?? ?? ?? 74 1A 48 8D 05 ?? ?? ?? ?? 48 3B F8 74 0E 83 3F 00 75 09 48 8B CF E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1344_6_0 {
	meta:
		name = "_freeptd"
		size = 60
		refs = "000b __flsindex 001a __crtFlsGetValue 002a __crtFlsSetValue 0032 _freefls"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 0D ?? ?? ?? ?? 83 F9 FF 74 22 48 85 DB 75 0E E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B D8 33 D2 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1344_7_0 {
	meta:
		name = "_getptd"
		size = 36
		refs = "0007 _getptd_noexit 0017 _amsg_exit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 08 8D 48 10 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1344_8_0 {
	meta:
		name = "_getptd_noexit"
		size = 130
		refs = "000c __imp_GetLastError 0012 __flsindex 0019 __crtFlsGetValue 002e _calloc_crt 0044 __crtFlsSetValue 0052 _initptd 0058 __imp_GetCurrentThreadId 0066 free 0070 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 47 8D 48 01 BA 78 04 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 32 8B 0D ?? ?? ?? ?? 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB 85 C0 74 16 33 D2 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 4B 08 FF 89 03 EB 07 E8 ?? ?? ?? ?? 33 DB 8B CF FF 15 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1344_9_0 {
	meta:
		name = "_initptd"
		size = 194
		refs = "0013 _XcptActTab 0049 __initialmbcinfo 0062 _lock 0077 _unlock 0095 __ptlocinfo 00a8 __addlocaleref"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 81 A0 00 00 00 83 61 10 00 C7 41 1C 01 00 00 00 C7 81 C8 00 00 00 01 00 00 00 B8 43 00 00 00 66 89 81 64 01 00 00 66 89 81 6A 02 00 00 48 8D 05 ?? ?? ?? ?? 48 89 81 B8 00 00 00 48 83 A1 70 04 00 00 00 B9 0D 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 83 B8 00 00 00 F0 FF 00 B9 0D 00 00 00 E8 ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 89 BB C0 00 00 00 48 85 FF 75 0E 48 8B 05 ?? ?? ?? ?? 48 89 83 C0 00 00 00 48 8B 8B C0 00 00 00 E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1344_12_0 {
	meta:
		name = "_mtinit"
		size = 127
		refs = "0007 _init_pointers 000c _mtinitlocks 0017 _freefls 001c __crtFlsAlloc 0022 __flsindex 0036 _calloc_crt 004c __crtFlsSetValue 005a _initptd 0060 __imp_GetCurrentThreadId 0073 _mtterm"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 5E 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F8 FF 74 47 BA 78 04 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 30 8B 0D ?? ?? ?? ?? 48 8B D0 E8 ?? ?? ?? ?? 85 C0 74 1E 33 D2 48 8B CB E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 4B 08 FF 89 03 B8 01 00 00 00 EB 07 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1344_13_0 {
	meta:
		name = "_mtterm"
		size = 36
		refs = "0006 __flsindex 0010 __crtFlsFree 0020 _mtdeletelocks"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? 83 F9 FF 74 0C E8 ?? ?? ?? ?? 83 0D ?? ?? ?? ?? FF 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1346_0_0 {
	meta:
		name = "expm1f"
		size = 213
		refs = "0010 _fdtest 0038 __real@bf317218 0042 __real@3ecf991f 0055 __real@3b208034 005d __real@3d05beec 0065 __real@3cfa14bd 006d __real@3ea405b8 007d __real@3e1d7e72 0085 __real@3f72c4f4 00a6 expf 00ae __real@3f800000 00c4 __real@bf800000"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F BF C8 85 C9 0F 84 AB 00 00 00 FF C9 0F 84 8D 00 00 00 FF C9 0F 84 9B 00 00 00 F3 0F 10 5C 24 30 0F 2F 1D ?? ?? ?? ?? 76 64 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C3 76 57 0F 28 D3 0F 28 CB F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 59 CB F3 0F 58 15 ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 15 ?? ?? ?? ?? F3 0F 5E D1 F3 0F 59 D3 0F 28 C2 EB 2E 0F 28 C3 E8 ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? EB 1C B8 00 80 00 00 66 85 44 24 32 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 06 F3 0F 10 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1347_0_0 {
	meta:
		name = "__vdecl_fmodf4"
		size = 107
		refs = "0011 fmodf"
	strings:
		$1 = { 48 83 EC 48 F3 0F 7F 44 24 20 F3 0F 7F 4C 24 30 E8 ?? ?? ?? ?? 66 0F 7E 44 24 20 66 0F 6E 44 24 24 66 0F 6E 4C 24 34 E8 ?? ?? ?? ?? 66 0F 7E 44 24 24 66 0F 6E 44 24 28 66 0F 6E 4C 24 38 E8 ?? ?? ?? ?? 66 0F 7E 44 24 28 66 0F 6E 44 24 2C 66 0F 6E 4C 24 3C E8 ?? ?? ?? ?? 66 0F 7E 44 24 2C F3 0F 6F 44 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1348_0_0 {
	meta:
		name = "atan2f"
		size = 1152
		refs = "00ea ??_C@_06LEACALBF@atan2f?$AA@ 0104 _handle_errorf 012f ?pi@?1??atan2f@@9@9 013b __xmm@80000000000000008000000000000000 0155 _set_statfp 0174 ?piby2@?1??atan2f@@9@9 01fe __real@80000000 0320 ?three_piby4@?1??atan2f@@9@9 032d ?piby4@?1??atan2f@@9@9 036f __real@3fb0000000000000 0379 __real@4070000000000000 038f __real@3fe0000000000000 03a4 ?atan_jby256@?1??atan2f@@9@9 03da __real@3fd5555555550877 03e4 __real@3f1a36e2eb1c432d 03f2 __real@3fc99999999643a3 0404 __real@3fc2492482bd6be1 0410 __real@3fd5555555555538"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 33 DB 0F 29 74 24 60 49 BD 00 00 00 00 00 00 F0 7F 0F 29 7C 24 50 49 BB FF FF FF FF FF FF FF 7F 49 BA 00 00 00 00 00 00 00 80 0F 57 F6 41 B9 FF 07 00 00 44 8B C3 0F 57 FF 44 8B FB 44 8B E3 F3 0F 5A F0 F3 0F 5A F9 F2 0F 11 BC 24 C0 00 00 00 48 8B 84 24 C0 00 00 00 48 8B E8 48 8B C8 F2 0F 11 B4 24 C0 00 00 00 4C 8B B4 24 C0 00 00 00 49 23 EA 49 8B D6 49 8B FE 49 23 D3 49 23 FA 49 23 CB 41 0F 94 C0 49 3B CD 41 0F 94 C7 49 3B D5 41 0F 94 C4 49 C1 EE 34 48 C1 E8 34 45 23 F1 41 23 C1 44 2B F0 49 3B CD 76 50 F3 0F 11 8C 24 B0 00 00 00 44 8B 84 24 B0 00 00 00 C7 44 24 40 02 00 00 00 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 BA 10 00 00 00 48 8D 0D ?? ?? ?? ?? 44 8D 4A F1 49 0F BA E8 16 C7 44 24 28 21 00 00 00 89 5C 24 20 E8 ?? ?? ?? ?? E9 51 03 00 00 49 3B D5 76 0B F3 0F 11 84 24 B0 00 00 00 EB A9 48 85 D2 75 3F 48 85 ED 0F 84 B2 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 85 FF 74 10 0F 57 05 ?? ?? ?? ?? 0F 57 F6 F2 0F 5A F0 EB 07 66 0F 5A C0 0F 28 F0 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 E9 FD 02 00 00 BE 20 00 00 00 45 85 C0 74 3F 48 85 FF 74 18 F2 0F 10 05 ?? ?? ?? ?? 0F 57 05 ?? ?? ?? ?? 0F 57 F6 F2 0F 5A F0 EB 49 48 8B CE E8 ?? ?? ?? ?? 41 B9 FF 07 00 00 49 BA 00 00 00 00 00 00 00 80 49 BB FF FF FF FF FF FF FF 7F 41 83 FE 1A 7E 29 F2 0F 10 05 ?? ?? ?? ?? 48 85 FF 74 0D 0F 57 05 ?? ?? ?? ?? F2 0F 5A C0 EB 04 66 0F 5A C0 0F 28 F0 48 8B CE E9 7B FF FF FF 41 83 FE F3 0F 8D 09 01 00 00 48 85 ED 0F 85 00 01 00 00 41 81 FE 6A FF FF FF 7D 1C 48 85 FF 74 0A F3 0F 10 35 ?? ?? ?? ?? EB 03 0F 57 F6 B9 30 00 00 00 E9 43 FF FF FF 41 83 FE 82 0F 8D CB 00 00 00 48 B8 00 00 00 00 00 00 30 46 48 89 84 24 C0 00 00 00 F2 0F 10 84 24 C0 00 00 00 F2 0F 59 C6 F2 0F 5E C7 F2 0F 11 84 24 C0 00 00 00 48 8B 84 24 C0 00 00 00 4C 8B C0 49 23 C3 48 8B C8 4D 23 C2 48 C1 E9 34 41 23 C9 83 E9 64 85 C9 7E 19 48 63 D9 48 B9 FF FF FF FF FF FF 0F 80 48 23 C1 48 C1 E3 34 48 0B D8 EB 38 48 BA FF FF FF FF FF FF 1F 80 48 23 C2 48 BA 00 00 00 00 00 00 10 00 48 0B C2 BA 01 00 00 00 2B D1 83 FA 36 7F 12 8D 4A FF 48 D3 E8 48 8B D8 83 E0 01 48 D1 EB 48 03 D8 49 0B D8 48 89 9C 24 C0 00 00 00 F2 0F 10 B4 24 C0 00 00 00 49 85 DD 75 0A B9 30 00 00 00 E8 ?? ?? ?? ?? 66 0F 5A C6 E9 78 01 00 00 F2 0F 5E F7 EB F1 41 83 FE E6 7D 1B 48 85 ED 74 16 F2 0F 10 05 ?? ?? ?? ?? 48 85 FF 0F 84 C2 FE FF FF E9 6B FE FF FF 45 85 E4 74 24 45 85 FF 74 1F 48 85 ED 74 0D F2 0F 10 05 ?? ?? ?? ?? E9 8F FE FF FF F2 0F 10 05 ?? ?? ?? ?? E9 82 FE FF FF F2 0F 10 2D ?? ?? ?? ?? 48 85 ED 74 03 0F 57 FD 48 85 FF 74 03 0F 57 F5 66 0F 2F F7 8B D3 0F 97 C2 85 D2 74 09 0F 28 C7 0F 28 FE 0F 28 F0 0F 28 E6 F2 0F 5E E7 66 0F 2F 25 ?? ?? ?? ?? 76 6B F2 0F 10 15 ?? ?? ?? ?? 0F 57 C9 0F 28 DE F2 0F 59 E2 F2 0F 59 DA F2 0F 58 25 ?? ?? ?? ?? F2 0F 2C CC 8B C1 83 C1 F0 F2 48 0F 2A C8 48 8D 05 ?? ?? ?? ?? 0F 28 C1 F2 0F 59 CE F2 0F 59 C7 F2 0F 59 FA F2 0F 5C D8 F2 0F 58 CF F2 0F 5E D9 0F 28 C3 0F 28 E3 F2 0F 58 24 C8 F2 0F 59 C3 F2 0F 59 C3 F2 0F 59 05 ?? ?? ?? ?? EB 44 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 77 3A F2 0F 10 0D ?? ?? ?? ?? 0F 28 D4 F2 0F 59 D4 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 D4 F2 0F 5C C1 F2 0F 59 C2 F2 0F 5C E0 85 D2 74 0F F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C4 0F 28 E0 48 85 ED 74 0F F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C4 0F 28 E0 48 85 FF 74 03 0F 57 E5 0F 57 C0 F2 0F 5A C4 48 8B 9C 24 B8 00 00 00 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1351_0_0 {
	meta:
		name = "ldexp"
		size = 377
		refs = "002b _ctrlfp 0048 _sptype 0070 _handle_qnan2 0085 __real@3ff0000000000000 0092 __real@0000000000000000 00a7 _decomp 00e5 _set_exp 0136 _d_inf 013b _copysign 0160 _except2"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 20 F2 0F 11 40 08 57 48 83 EC 40 8B DA 0F 29 70 E8 BE C0 FF 00 00 B9 80 1F 00 00 8B D6 0F 28 F0 E8 ?? ?? ?? ?? 0F B7 4C 24 56 48 8B F8 B8 F0 7F 00 00 66 23 C8 66 3B C8 75 4A 0F 28 C6 E8 ?? ?? ?? ?? 85 C0 7E 29 83 F8 02 0F 8E C6 00 00 00 83 F8 03 75 1B 66 0F 6E D3 8D 48 16 0F 28 CE 4C 8B CF F3 0F E6 D2 E8 ?? ?? ?? ?? E9 EB 00 00 00 0F 28 C6 B9 08 00 00 00 F2 0F 58 05 ?? ?? ?? ?? E9 B6 00 00 00 66 0F 2E 35 ?? ?? ?? ?? 7A 06 0F 84 81 00 00 00 48 8D 54 24 60 0F 28 C6 E8 ?? ?? ?? ?? 8B 4C 24 60 85 DB 79 0D B8 00 00 00 80 2B C3 3B C8 7C 35 EB 0B B8 FF FF FF 7F 2B C3 3B C8 7F 64 8D 14 19 81 FA 00 0A 00 00 7F 59 81 FA 00 04 00 00 7E 0D 81 C2 00 FA FF FF E8 ?? ?? ?? ?? EB 54 81 FA 03 F6 FF FF 7D 0F F2 0F 59 05 ?? ?? ?? ?? B9 12 00 00 00 EB 42 81 FA 03 FC FF FF 7D 0D 81 C2 00 06 00 00 E8 ?? ?? ?? ?? EB E4 E8 ?? ?? ?? ?? 0F 28 F0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 0F 28 C6 EB 35 0F 28 C8 F2 0F 10 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 11 00 00 00 66 0F 6E DB 0F 28 D6 BA 19 00 00 00 48 89 7C 24 28 F2 0F 11 44 24 20 F3 0F E6 DB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 68 0F 28 74 24 30 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1353_11_0 {
	meta:
		name = "??0UMSThreadScheduler@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
		size = 75
		refs = "000d ??_7IUMSScheduler@Concurrency@@6B@ 001c ??0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z 0030 ??_7UMSThreadScheduler@details@Concurrency@@6BIUMSScheduler@2@@ 003a ??_7UMSThreadScheduler@details@Concurrency@@6BSchedulerBase@12@@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 A7 40 03 00 00 00 48 8B 5C 24 30 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 47 10 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1353_36_0 {
	meta:
		name = "?Create@UMSThreadScheduler@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
		size = 58
		refs = "0018 ??2@YAPEAX_K@Z 002f ??0UMSThreadScheduler@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 60 03 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 09 48 8B D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1353_38_0 {
	meta:
		name = "?CreateInternalContext@UMSThreadScheduler@details@Concurrency@@MEAAPEAVInternalContextBase@23@XZ"
		size = 68
		refs = "0018 ??2@YAPEAX_K@Z 0039 ??0UMSThreadInternalContext@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 90 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 13 48 8D 53 F0 48 F7 DA 48 1B D2 48 23 D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1353_42_0 {
	meta:
		name = "?CreateVirtualProcessor@UMSThreadScheduler@details@Concurrency@@UEAAPEAVVirtualProcessor@23@PEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 74
		refs = "0020 ??2@YAPEAX_K@Z 003a ??0UMSThreadVirtualProcessor@details@Concurrency@@QEAA@PEAVSchedulingNode@12@PEAUIVirtualProcessorRoot@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 49 8B D8 48 8B FA B9 90 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 58 33 C0 48 85 C9 74 0C 4C 8B C3 48 8B D7 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1353_51_0 {
	meta:
		name = "?MoveCompletionListToRunnables@UMSThreadScheduler@details@Concurrency@@QEAA_NVlocation@3@@Z"
		size = 265
		refs = "0023 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0033 ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 006d ?SpinOnAndReturnBlockingType@UMSThreadInternalContext@details@Concurrency@@AEAA?AW4BlockingType@123@XZ 0083 ?CriticalNotify@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ 00e7 ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 4C 8B F2 48 8B F9 40 32 F6 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 08 48 8B C8 E8 ?? ?? ?? ?? 48 8B 8F 40 03 00 00 48 8B 01 FF 10 48 8B F8 48 85 C0 0F 84 8F 00 00 00 40 B6 01 48 8B 07 48 8B CF FF 50 08 48 8B CF 48 8B E8 48 8B 07 FF 10 48 8B C8 48 8B F8 E8 ?? ?? ?? ?? 8B C8 FF C9 74 12 FF C9 75 57 48 8B 8F 78 01 00 00 E8 ?? ?? ?? ?? EB 49 8B 4C 24 20 41 8B 06 48 8D 54 24 20 33 C1 25 FF FF FF 0F 33 C8 41 8B 06 33 C1 48 8B CF 25 FF FF FF 0F 41 33 06 89 44 24 20 49 8B 46 08 48 89 44 24 28 41 8B 46 04 89 44 24 24 49 8B 46 10 48 89 44 24 30 48 8B 07 FF 50 28 48 8B FD 48 85 ED 0F 85 74 FF FF FF 48 85 DB 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 7C 24 68 40 8A C6 48 8B 74 24 60 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_1353_54_0 {
	meta:
		name = "?OneShotStaticConstruction@UMSThreadScheduler@details@Concurrency@@SAXXZ"
		size = 74
		refs = "0006 __imp_TlsAlloc 000c ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 001c __imp_GetLastError 0034 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 003b _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0045 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F8 FF 74 05 48 83 C4 48 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1353_55_0 {
	meta:
		name = "?OneShotStaticDestruction@UMSThreadScheduler@details@Concurrency@@SAXXZ"
		size = 28
		refs = "0006 ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 000c __imp_TlsFree"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1353_61_0 {
	meta:
		name = "?VirtualProcessorActiveNotification@UMSThreadScheduler@details@Concurrency@@MEAAX_NJ@Z"
		size = 151
		refs = "0037 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 0088 ?StartupVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@Vlocation@3@K@Z"
	strings:
		$1 = { 45 85 C0 0F 85 8D 00 00 00 55 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 5C 24 70 48 8B D9 48 8D 45 C8 48 89 45 28 33 C0 89 45 C8 0F 57 C0 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8B 50 10 44 8B 45 E0 41 8B C0 8B 4D C8 33 C1 25 FF FF FF 0F 44 33 C0 44 33 C1 41 81 E0 FF FF FF 0F 44 33 C1 44 89 45 E0 48 8B 45 D0 48 89 45 E8 8B 45 CC 89 45 E4 48 8B 45 D8 48 89 45 F0 41 B9 0B 00 00 00 4C 8D 45 E0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_1354_0_0 {
	meta:
		name = "_cputws"
		size = 218
		refs = "001e __doserrno 0025 _errno 0030 _invalid_parameter_noinfo 003f _confh 004a __initconout 005f wcslen 006c _lock 009f __imp_WriteConsoleW 00c8 _unlock"
	strings:
		$1 = { 40 53 56 57 41 54 41 56 48 83 EC 30 48 8B F9 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 1F E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 92 00 00 00 48 8B 05 ?? ?? ?? ?? 48 83 F8 FE 75 0C E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 83 F8 FF 74 D9 48 8B CF E8 ?? ?? ?? ?? 48 8B F0 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 41 BC FF 7F 00 00 48 85 F6 74 46 44 8B F6 49 3B F4 45 0F 47 F4 48 89 5C 24 20 4C 8D 4C 24 68 45 8B C6 48 8B D7 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 16 41 8B C6 4A 8D 3C 77 48 89 7C 24 60 48 2B F0 48 89 74 24 70 EB B5 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 30 41 5E 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1354_1_0 {
	meta:
		name = "_cputws$fin$0"
		size = 25
		refs = "0014 _unlock"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 03 00 00 00 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1355_1_0 {
	meta:
		name = "_ctime32_s"
		size = 147
		refs = "000d __security_cookie 0038 _errno 004e _localtime32_s 0062 asctime_s 0075 _invalid_parameter_noinfo 0084 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B FA 48 8B D9 48 85 C9 74 44 48 85 D2 74 3F C6 01 00 4D 85 C0 74 37 41 83 38 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 34 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1358_2_0 {
	meta:
		name = "_wfsopen"
		size = 221
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0064 _getstream 00a0 _local_unwind 00b7 _wopenfile 00c2 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 30 48 89 64 24 20 45 8B F0 48 8B FA 48 8B F1 45 33 FF 41 8B C7 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 81 00 00 00 41 8B C7 48 85 D2 0F 95 C0 85 C0 74 DC 41 8B C7 66 44 39 3A 0F 95 C0 85 C0 74 CE E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 50 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB BF 66 44 39 3E 75 22 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 8D 15 0C 00 00 00 48 8B 4C 24 20 E8 ?? ?? ?? ?? 90 90 33 C0 EB 1F 4C 8B C8 45 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1359_0_0 {
	meta:
		name = "__common_dcosh_cout_rare"
		size = 1056
		refs = "0030 _vmldCoshHATab"
	strings:
		$1 = { 48 81 EC 88 00 00 00 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 44 0F 29 74 24 70 41 81 F8 F0 7F 00 00 44 0F 29 5C 24 50 0F 29 7C 24 60 4C 8B 0D ?? ?? ?? ?? 0F 84 CE 03 00 00 48 8B 09 48 89 4C 24 40 48 C1 E9 38 83 E1 7F 88 4C 24 47 44 0F B7 44 24 46 41 81 E0 F0 7F 00 00 41 81 F8 90 3C 00 00 0F 8E 76 03 00 00 F2 44 0F 10 74 24 40 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C6 0F 86 45 03 00 00 F2 0F 10 15 ?? ?? ?? ?? 4C 89 4C 24 40 F2 41 0F 59 D6 66 44 0F 2F 35 ?? ?? ?? ?? 0F 82 4A 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 11 54 24 20 F2 0F 10 4C 24 20 44 8B 44 24 20 41 8B C8 83 E1 3F F2 0F 5C 0D ?? ?? ?? ?? F2 0F 11 4C 24 28 44 8D 14 09 F2 0F 10 54 24 28 8D 4C 09 01 F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 5C 24 28 F2 44 0F 5C F2 F2 0F 59 1D ?? ?? ?? ?? F2 44 0F 5C F3 F2 41 0F 59 E6 F2 43 0F 10 0C D3 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E6 41 C1 E8 06 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E6 41 81 C0 FF 03 00 00 41 FF C8 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E6 41 81 E0 FF 07 00 00 41 81 F8 FE 07 00 00 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E6 F2 41 0F 59 E6 F2 41 0F 58 E6 F2 0F 59 E1 F2 41 0F 58 24 CB F2 0F 58 CC 77 2B 49 C1 E9 30 41 C1 E0 04 41 81 E1 0F 80 FF FF 45 0B C8 66 44 89 4C 24 46 F2 0F 10 44 24 40 F2 0F 59 C1 F2 0F 11 02 E9 3F 02 00 00 41 FF C8 41 81 E0 FF 07 00 00 0F B7 4C 24 46 41 C1 E0 04 81 E1 0F 80 FF FF 41 0B C8 66 89 4C 24 46 F2 0F 10 44 24 40 F2 0F 59 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 0A E9 03 02 00 00 F2 0F 10 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 44 0F B7 4C 24 46 F2 0F 58 D1 F2 0F 11 54 24 20 41 81 E1 0F 80 FF FF F2 0F 10 7C 24 20 44 8B 5C 24 20 45 8B D3 41 C1 EA 06 41 83 E3 3F 41 81 C2 FF 03 00 00 F2 0F 5C 3D ?? ?? ?? ?? F2 0F 11 7C 24 28 41 8D 4A FF F2 44 0F 10 5C 24 28 81 E1 FF 07 00 00 F2 44 0F 59 1D ?? ?? ?? ?? 41 F7 DA F2 0F 10 64 24 28 41 83 C2 FC F2 0F 59 25 ?? ?? ?? ?? F2 45 0F 5C F3 F2 44 0F 10 1D ?? ?? ?? ?? 41 81 E2 FF 07 00 00 C1 E1 04 F2 44 0F 5C F4 41 0F 28 EE 44 0B C9 F2 41 0F 59 EE 43 8D 0C 1B F2 44 0F 59 DD F2 44 0F 58 1D ?? ?? ?? ?? F2 41 0F 10 24 C8 F7 D9 F2 0F 10 3D ?? ?? ?? ?? 47 8D 44 1B 01 66 44 89 4C 24 46 41 81 E1 0F 80 FF FF 41 C1 E2 04 4C 8D 1D ?? ?? ?? ?? F2 0F 59 FD 45 0B CA F2 44 0F 59 DD F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 1D ?? ?? ?? ?? F2 0F 59 FD F2 44 0F 59 DD F2 41 0F 59 FE F2 0F 10 4C 24 40 4D 8B D3 66 44 89 4C 24 46 44 8D 89 80 00 00 00 81 C1 81 00 00 00 F2 0F 10 44 24 40 F2 43 0F 10 2C C3 4D 8B C3 F2 0F 59 E1 F2 0F 59 E9 F2 43 0F 10 14 CA 0F 28 CC F2 0F 59 D0 F2 41 0F 10 1C C8 F2 0F 58 CA F2 0F 59 D8 F2 0F 11 4C 24 30 0F 28 CC F2 0F 10 44 24 30 F2 0F 5C E2 F2 0F 5C C8 F2 0F 59 FC F2 0F 58 CA 0F 28 D5 F2 0F 11 4C 24 38 F2 0F 5C D3 F2 41 0F 59 D6 F2 44 0F 59 F4 F2 0F 58 D3 F2 0F 10 4C 24 30 F2 0F 58 D5 F2 44 0F 59 D9 F2 0F 10 44 24 38 F2 0F 58 D0 F2 0F 58 D7 F2 41 0F 58 D3 F2 41 0F 58 D6 F2 0F 11 54 24 30 F2 44 0F 10 74 24 30 F2 41 0F 58 CE F2 0F 11 0A EB 29 F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C0 F2 0F 11 02 EB 12 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 44 24 40 F2 0F 11 02 0F 28 7C 24 60 44 0F 28 5C 24 50 44 0F 28 74 24 70 48 81 C4 88 00 00 00 C3 F2 0F 10 01 F2 0F 59 C0 F2 0F 11 02 EB D9 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1360_0_0 {
	meta:
		name = "__crtGetEnvironmentStringsW"
		size = 130
		refs = "0016 __imp_GetEnvironmentStringsW 0044 _malloc_crt 005a memcpy 0066 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 FF 15 ?? ?? ?? ?? 33 DB 48 8B F8 48 85 C0 75 0F EB 47 48 83 C0 02 66 39 18 75 F7 48 83 C0 02 66 39 18 75 EE 2B C7 83 C0 02 48 63 E8 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 11 4C 8B C5 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B DE 48 8B CF FF 15 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1361_0_0 {
	meta:
		name = "_putws"
		size = 231
		refs = "002c _errno 0037 _invalid_parameter_noinfo 0043 __iob_func 0051 _lock_file2 0060 _stbuf 0085 _fputwc_nolock 00b6 _ftbuf 00ca _unlock_file2"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B F9 BB FF FF 00 00 45 33 FF 41 8B C7 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C3 E9 91 00 00 00 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 48 30 E8 ?? ?? ?? ?? 44 8B F0 0F B7 37 66 85 F6 74 21 48 83 C7 02 48 89 7C 24 40 E8 ?? ?? ?? ?? 48 8D 50 30 0F B7 CE E8 ?? ?? ?? ?? 66 3B C3 74 1B EB D7 E8 ?? ?? ?? ?? 48 8D 50 30 66 B9 0A 00 E8 ?? ?? ?? ?? 66 3B C3 41 0F 45 DF E8 ?? ?? ?? ?? 48 8D 50 30 41 8B CE E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? E9 68 FF FF FF 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1362_0_0 {
	meta:
		name = "__avx_ceilf8"
		size = 16
	strings:
		$1 = { C4 E3 7D 08 C0 02 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1364_2_0 {
	meta:
		name = "_pclose"
		size = 220
		refs = "0023 _errno 002e _invalid_parameter_noinfo 003f _mtinitlocknum 004d _lock 0056 idtab 0073 fclose 0096 _cwait 00c3 _unlock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 83 CB FF 33 D2 48 85 C9 0F 95 C2 85 D2 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C3 E9 93 00 00 00 B9 09 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 EB B9 09 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 4E 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 83 20 00 41 B8 01 00 00 00 48 8B 57 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 3B C3 75 0A E8 ?? ?? ?? ?? 83 38 04 75 04 8B 5C 24 30 E8 ?? ?? ?? ?? 89 30 48 83 27 00 48 83 67 08 00 B9 09 00 00 00 E8 ?? ?? ?? ?? E9 66 FF FF FF 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1364_3_0 {
	meta:
		name = "_pclose$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 09 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_1364_4_0 {
	meta:
		name = "_popen"
		size = 1666
		refs = "0046 _errno 0051 _invalid_parameter_noinfo 00cf _pipe 010b _mtinitlocknum 0118 _close 0130 _lock 013f __imp_GetCurrentProcess 0155 __pioinfo 0189 __imp_DuplicateHandle 01b3 _fdopen 01ce idtab 01e1 ??_C@_07CFPBBAOO@COMSPEC?$AA@ 01ed _dupenv_s 0207 _invoke_watson 021c ??_C@_07INNMNHPJ@cmd?4exe?$AA@ 0233 memset 028d strlen 02a2 ??_C@_04NPFIMJFF@?5?1c?5?$AA@ 02b8 _calloc_crt 02d2 strcpy_s 02ec strcat_s 033a _access_s 037f __imp_CreateProcessA 03a8 free 03cd ??_C@_04HBHDLLBA@PATH?$AA@ 0416 _getpath 0450 _mbsrchr 045c ??_C@_01KICIPPFI@?2?$AA@ 0599 __imp_CloseHandle 0621 fclose 0668 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 48 08 53 56 57 41 54 41 55 41 56 41 57 48 81 EC 20 01 00 00 4C 8B F1 33 F6 48 89 B0 28 FF FF FF 44 8B FE 48 89 74 24 60 66 89 70 18 40 88 70 1A 89 74 24 58 8B C6 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 13 06 00 00 8B C6 48 85 D2 0F 95 C0 85 C0 74 DD B1 20 BF 01 00 00 00 38 0A 75 05 48 03 D7 EB F7 8A 02 3C 72 74 04 3C 77 75 C3 88 84 24 70 01 00 00 48 03 D7 38 0A 74 F9 8A 02 3C 62 74 08 84 C0 74 04 3C 74 75 A7 88 84 24 71 01 00 00 3C 74 75 08 41 B8 00 40 00 00 EB 0E 44 8B C6 B9 00 80 00 00 3C 62 44 0F 44 C1 41 0F BA E8 07 BA 00 04 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 90 05 00 00 80 BC 24 70 01 00 00 77 75 0A 8B DE 44 8B E6 44 8B EF EB 08 8B DF 44 8B E7 44 8B EE 44 89 6C 24 68 44 89 A4 24 78 01 00 00 B9 09 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 17 8B 4C 24 50 E8 ?? ?? ?? ?? 8B 4C 24 54 E8 ?? ?? ?? ?? E9 2B FF FF FF B9 09 00 00 00 E8 ?? ?? ?? ?? 90 89 7C 24 74 89 7C 24 70 FF 15 ?? ?? ?? ?? 49 63 F4 48 63 54 B4 50 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 4C 6B D2 58 49 8B 14 C8 C7 44 24 30 02 00 00 00 89 7C 24 28 83 64 24 20 00 4C 8D 8C 24 80 00 00 00 4C 8B C0 4A 8B 14 12 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 A6 04 00 00 8B 4C B4 50 E8 ?? ?? ?? ?? 83 64 B4 70 00 49 63 C5 48 8D 94 24 70 01 00 00 8B 4C 84 50 E8 ?? ?? ?? ?? 4C 8B F8 48 89 84 24 88 00 00 00 48 85 C0 0F 84 70 04 00 00 33 C9 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 3F 04 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 83 F8 16 75 15 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 85 C0 75 0A 4C 8B 64 24 60 4D 85 E4 75 07 4C 8D 25 ?? ?? ?? ?? BE 68 00 00 00 44 8B C6 33 D2 48 8D 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 89 B4 24 B0 00 00 00 C7 84 24 EC 00 00 00 00 01 00 00 48 8B 84 24 80 00 00 00 48 8B 0D ?? ?? ?? ?? 85 DB 48 8B D0 74 03 48 8B 11 48 89 94 24 00 01 00 00 3B DF 74 04 48 8B 41 58 48 89 84 24 08 01 00 00 48 8B 81 B0 00 00 00 48 89 84 24 10 01 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 49 8B CE E8 ?? ?? ?? ?? 48 03 D8 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 FF C0 48 03 D8 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 4D 03 00 00 4D 8B C4 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 22 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 F3 02 00 00 4C 8B 84 24 60 01 00 00 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 C3 02 00 00 33 D2 44 8D 40 18 48 8D 8C 24 98 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 18 89 9C 24 60 01 00 00 33 D2 49 8B CC E8 ?? ?? ?? ?? 85 C0 75 48 48 8D 84 24 98 00 00 00 48 89 44 24 48 48 8D 84 24 B0 00 00 00 48 89 44 24 40 48 83 64 24 38 00 48 83 64 24 30 00 83 64 24 28 00 89 7C 24 20 45 33 C9 45 33 C0 49 8B D6 49 8B CC FF 15 ?? ?? ?? ?? 8B F8 E9 F3 01 00 00 48 83 64 24 78 00 48 8B D7 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 25 33 C9 E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 48 8B 4C 24 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 18 E9 4B 02 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 78 E8 ?? ?? ?? ?? 83 F8 16 75 15 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B 4C 24 78 85 C0 74 0A E8 ?? ?? ?? ?? 48 8B CE EB 9D 33 DB 41 B8 03 01 00 00 48 8B D6 E8 ?? ?? ?? ?? 48 89 84 24 90 00 00 00 48 85 C0 0F 84 35 01 00 00 38 1E 0F 84 2D 01 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8D 5E FF 48 03 D8 80 3B 5C 75 3F BA 5C 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 3B D8 74 5F 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 47 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 80 3B 2F 74 2D 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 15 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 84 00 00 00 4D 8B C4 8B D0 48 8B CE E8 ?? ?? ?? ?? 33 DB 85 C0 75 5D 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 42 48 8D 84 24 98 00 00 00 48 89 44 24 48 48 8D 84 24 B0 00 00 00 48 89 44 24 40 48 89 5C 24 38 48 89 5C 24 30 89 5C 24 28 89 7C 24 20 45 33 C9 45 33 C0 49 8B D6 48 8B CE FF 15 ?? ?? ?? ?? 8B F8 EB 25 48 8B 8C 24 90 00 00 00 E9 C0 FE FF FF 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 8B 7C 24 58 48 8B 4C 24 78 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 8B 9C 24 60 01 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B 8C 24 80 00 00 00 FF 15 ?? ?? ?? ?? 85 FF 74 0E 48 8B 8C 24 A0 00 00 00 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 18 85 FF 74 15 48 8B 84 24 98 00 00 00 49 89 45 08 4D 89 7D 00 E9 93 00 00 00 49 83 65 00 00 EB 3F 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 44 8B A4 24 78 01 00 00 49 8B CF E8 ?? ?? ?? ?? 4C 63 6C 24 68 42 83 64 AC 70 00 45 33 FF 4C 89 BC 24 88 00 00 00 49 63 C4 83 7C 84 70 00 74 09 8B 4C 84 50 E8 ?? ?? ?? ?? 49 63 C5 83 7C 84 70 00 74 0A 8B 4C 84 50 E8 ?? ?? ?? ?? 90 B9 09 00 00 00 E8 ?? ?? ?? ?? 49 8B C7 48 81 C4 20 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1365_3_0 {
	meta:
		name = "_mbstrlen"
		size = 20
		refs = "0002 __locale_changed 0009 strlen 0010 _mbstrlen_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1365_4_0 {
	meta:
		name = "_mbstrlen_l"
		size = 174
		refs = "0013 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 strlen 004f __imp_MultiByteToWideChar 0058 _errno 0071 _isleadbyte_l"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B D9 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 B8 D4 00 00 00 01 75 0D 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 EB 5B 8B 48 04 83 64 24 28 00 48 83 64 24 20 00 48 83 CF FF 4C 8B C3 8D 57 0A 44 8B CF FF 15 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 29 33 FF EB 1F 48 8D 54 24 30 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF C3 80 3B 00 74 0C 48 FF C7 48 FF C3 8A 03 84 C0 75 DB 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B C7 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1366_0_0 {
	meta:
		name = "__common_ssinh_cout_rare"
		size = 2128
		refs = "0062 _vmldSinhHATab 0160 _2il0floatpacket_89"
	strings:
		$1 = { 48 81 EC D8 00 00 00 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 F3 0F 10 11 41 81 F8 80 7F 00 00 44 0F 29 7C 24 50 44 0F 29 74 24 60 44 0F 29 6C 24 70 44 0F 29 A4 24 80 00 00 00 44 0F 29 9C 24 90 00 00 00 44 0F 29 94 24 A0 00 00 00 44 0F 29 8C 24 B0 00 00 00 44 0F 29 84 24 C0 00 00 00 4C 8B 1D ?? ?? ?? ?? 0F 84 CE 07 00 00 F3 0F 5A D2 F2 0F 11 94 24 D0 00 00 00 44 0F B7 84 24 D6 00 00 00 41 81 E0 F0 7F 00 00 F2 0F 11 54 24 38 41 C1 E8 04 80 64 24 3F 7F 45 85 C0 0F 8E 6A 07 00 00 41 81 F8 C9 03 00 00 0F 8E FA 06 00 00 F2 0F 10 44 24 38 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 C7 06 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 51 05 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 82 D4 04 00 00 F2 44 0F 10 2D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F2 44 0F 59 E8 F2 44 0F 10 25 ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? 4C 89 5C 24 48 49 C1 EB 30 F2 44 0F 58 2D ?? ?? ?? ?? F2 44 0F 11 6C 24 30 41 81 E3 0F 80 FF FF F2 44 0F 10 74 24 30 44 8B 44 24 30 41 8B C8 C1 E9 06 41 83 E0 3F 81 C1 FF 03 00 00 F2 44 0F 5C 35 ?? ?? ?? ?? F2 45 0F 59 E6 81 E1 FF 07 00 00 44 0F 57 35 ?? ?? ?? ?? 44 8D 49 FF F2 44 0F 59 35 ?? ?? ?? ?? F2 41 0F 5C C4 44 0F 28 C8 0F 28 E8 41 81 E1 FF 07 00 00 F7 D9 41 C1 E1 04 83 C1 FC 45 0B D9 47 8D 0C 00 81 E1 FF 07 00 00 66 44 89 5C 24 4E 41 81 E3 0F 80 FF FF C1 E1 04 47 8D 44 00 01 44 0B D9 F2 45 0F 58 CE F2 44 0F 11 4C 24 40 F2 44 0F 10 54 24 40 F2 41 0F 5C EA F2 0F 11 6C 24 20 F2 44 0F 10 5C 24 40 F2 44 0F 10 44 24 20 F2 45 0F 58 D8 F2 44 0F 11 5C 24 28 F2 44 0F 10 7C 24 20 F2 45 0F 58 F7 F2 44 0F 10 7C 24 48 F2 44 0F 11 74 24 20 F2 44 0F 10 5C 24 28 66 44 89 5C 24 4E 4D 8B DA F2 41 0F 5C C3 F2 0F 11 44 24 28 F2 44 0F 10 64 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 58 E5 F2 44 0F 11 64 24 28 F2 0F 10 6C 24 40 0F 28 D5 44 0F 28 DD F2 0F 59 D4 0F 28 CD F2 44 0F 59 DD F2 44 0F 10 44 24 28 F2 0F 11 54 24 40 F2 44 0F 10 4C 24 40 F2 43 0F 10 14 C2 4D 8B C2 F2 41 0F 59 D7 F2 44 0F 5C CD F2 44 0F 11 4C 24 20 F2 44 0F 10 0D ?? ?? ?? ?? F2 45 0F 59 CB F2 0F 10 5C 24 40 F2 44 0F 10 54 24 20 F2 41 0F 5C DA F2 44 0F 10 15 ?? ?? ?? ?? F2 45 0F 59 D3 F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 11 5C 24 40 F2 0F 10 44 24 40 F2 45 0F 59 CB F2 0F 5C C8 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 D3 F2 45 0F 59 CB F2 44 0F 59 D5 F2 43 0F 10 04 CA 41 F7 D9 F2 0F 11 4C 24 20 F2 41 0F 59 C7 F2 44 0F 10 5C 24 48 41 8D 89 80 00 00 00 41 81 C1 81 00 00 00 44 0F 28 F0 F2 44 0F 10 6C 24 40 F2 41 0F 10 0C CB F2 44 0F 10 64 24 20 F2 41 0F 59 CB F2 43 0F 10 1C C8 F2 44 0F 5C F1 F2 41 0F 59 DB F2 44 0F 11 74 24 40 44 0F 28 D8 F2 44 0F 10 7C 24 40 44 8A 94 24 D7 00 00 00 F2 45 0F 5C DF 41 80 E2 80 F2 44 0F 5C D9 F2 44 0F 11 5C 24 20 F2 44 0F 10 5C 24 40 F2 44 0F 10 74 24 20 45 0F 28 FB F2 44 0F 5C F3 F2 44 0F 58 F2 F2 0F 58 D3 F2 45 0F 58 FE F2 44 0F 11 7C 24 40 F2 44 0F 10 7C 24 40 F2 45 0F 5C DF 44 0F 28 F8 F2 44 0F 58 F9 F2 45 0F 58 DE F2 44 0F 11 5C 24 20 F2 44 0F 10 74 24 40 F2 44 0F 10 5C 24 20 F2 44 0F 11 7C 24 40 F2 44 0F 10 7C 24 40 F2 41 0F 5C C7 F2 0F 58 C1 F2 0F 11 44 24 20 F2 0F 10 4C 24 40 F2 0F 10 44 24 20 0F 28 D9 F2 0F 58 D0 F2 0F 58 DA F2 0F 11 5C 24 40 F2 0F 10 44 24 40 F2 0F 5C C8 F2 0F 58 CA F2 0F 11 4C 24 20 F2 0F 10 44 24 40 F2 0F 59 E0 0F 28 C8 F2 0F 10 5C 24 20 F2 0F 11 64 24 40 F2 0F 10 64 24 40 F2 0F 59 EB F2 0F 5C E0 F2 0F 11 64 24 20 F2 44 0F 10 7C 24 40 F2 0F 10 54 24 20 F2 44 0F 5C FA F2 44 0F 11 7C 24 40 45 0F 28 F8 F2 0F 10 64 24 40 F2 44 0F 59 FB F2 0F 5C CC F2 44 0F 59 C0 F2 0F 11 4C 24 20 41 0F 28 CA F2 0F 59 CB F2 44 0F 59 D0 F2 44 0F 58 F9 41 0F 28 C9 F2 41 0F 59 CB F2 45 0F 59 CE F2 44 0F 58 F9 F2 0F 10 54 24 40 41 0F 28 CC F2 0F 10 64 24 20 F2 44 0F 58 FD F2 0F 59 CC F2 41 0F 59 E5 F2 44 0F 59 EA F2 45 0F 58 F8 F2 44 0F 59 E2 F2 45 0F 58 DF 41 0F 28 EA F2 41 0F 58 E9 F2 0F 11 6C 24 40 F2 44 0F 10 44 24 40 F2 45 0F 5C D0 F2 45 0F 58 D1 45 0F 28 CE F2 44 0F 11 54 24 20 F2 0F 10 5C 24 40 F2 0F 10 44 24 20 0F 28 D3 F2 44 0F 58 D8 F2 41 0F 58 D5 F2 44 0F 58 D9 F2 0F 11 54 24 40 F2 44 0F 58 DC F2 0F 10 64 24 40 F2 45 0F 58 DC F2 44 0F 5C EC F2 44 0F 58 EB F2 44 0F 11 6C 24 20 F2 44 0F 10 54 24 40 F2 0F 10 6C 24 20 F2 45 0F 58 CA F2 44 0F 58 DD F2 44 0F 11 4C 24 40 F2 44 0F 10 44 24 40 F2 45 0F 5C F0 F2 45 0F 58 F2 F2 44 0F 11 74 24 20 F2 44 0F 10 6C 24 40 F2 44 0F 10 64 24 20 F2 45 0F 58 DC F2 45 0F 58 DD F2 44 0F 11 5C 24 38 8A 4C 24 3F 80 E1 7F 41 0A CA 88 4C 24 3F F2 44 0F 5A 5C 24 38 F3 44 0F 11 1A E9 0A 02 00 00 0F 28 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA 8A 8C 24 D7 00 00 00 80 E1 80 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D0 F2 0F 58 C2 F2 0F 11 44 24 38 44 8A 44 24 3F 41 80 E0 7F 44 0A C1 44 88 44 24 3F F2 0F 5A 44 24 38 F3 0F 11 02 E9 9B 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 4C 89 5C 24 48 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 4C 24 30 F2 0F 10 64 24 30 F2 0F 10 0D ?? ?? ?? ?? 44 8B 44 24 30 41 8B C8 83 E1 3F F2 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D4 44 8D 0C 09 F2 0F 59 E3 F2 0F 5C C2 8D 4C 09 01 F2 0F 5C C4 F2 0F 59 C8 41 C1 E8 06 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 41 81 C0 FE 03 00 00 41 81 E0 FF 07 00 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 41 81 F8 FE 07 00 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 59 C8 F2 0F 58 C8 F2 43 0F 10 04 CA F2 0F 59 C8 F2 41 0F 58 0C CA F2 0F 58 C8 77 2A 49 C1 EB 30 41 C1 E0 04 41 81 E3 0F 80 FF FF 45 0B D8 66 44 89 5C 24 4E F2 0F 10 44 24 48 F2 0F 59 C8 F2 0F 11 4C 24 38 EB 39 41 FF C8 41 81 E0 FF 07 00 00 0F B7 4C 24 4E 41 C1 E0 04 81 E1 0F 80 FF FF 41 0B C8 66 89 4C 24 4E F2 0F 10 44 24 48 F2 0F 59 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 4C 24 38 44 8A 44 24 3F 8A 8C 24 D7 00 00 00 41 80 E0 7F 80 E1 80 44 0A C1 44 88 44 24 3F F2 0F 5A 44 24 38 F3 0F 11 02 EB 37 F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C2 F2 0F 5A C0 F3 0F 11 02 EB 1C F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 5A C0 F3 0F 11 02 44 0F 28 84 24 C0 00 00 00 44 0F 28 8C 24 B0 00 00 00 44 0F 28 94 24 A0 00 00 00 44 0F 28 9C 24 90 00 00 00 44 0F 28 A4 24 80 00 00 00 44 0F 28 6C 24 70 44 0F 28 74 24 60 44 0F 28 7C 24 50 48 81 C4 D8 00 00 00 C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 11 54 24 40 F3 0F 5A 11 F2 0F 10 4C 24 40 4C 89 5C 24 48 F2 0F 58 D1 F2 0F 5A D2 F3 0F 11 12 EB 8A F3 0F 58 D2 F3 0F 11 12 EB 80 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_1368_0_0 {
	meta:
		name = "_close"
		size = 195
		refs = "001a __doserrno 0022 _errno 0037 _nhandle 004a __pioinfo 0066 __lock_fhandle 0079 _close_nolock 0092 _unlock_fhandle 00ae _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 56 48 83 EC 20 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 81 00 00 00 85 C9 78 65 3B 1D ?? ?? ?? ?? 73 5D 48 8B C3 48 8B FB 48 C1 FF 05 4C 8D 35 ?? ?? ?? ?? 83 E0 1F 48 6B F0 58 49 8B 04 FE 0F BE 4C 30 08 83 E1 01 74 37 8B CB E8 ?? ?? ?? ?? 90 49 8B 04 FE F6 44 30 08 01 74 0B 8B CB E8 ?? ?? ?? ?? 8B F8 EB 0E E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 CF FF 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1368_2_0 {
	meta:
		name = "_close_nolock"
		size = 186
		refs = "0010 _get_osfhandle 001d __pioinfo 0061 __imp_CloseHandle 006b __imp_GetLastError 0078 _free_osfhnd 00a4 _dosmaperr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 F9 8B CF E8 ?? ?? ?? ?? 48 83 F8 FF 74 59 48 8B 05 ?? ?? ?? ?? B9 02 00 00 00 83 FF 01 75 09 40 84 B8 B8 00 00 00 75 0A 3B F9 75 1D F6 40 60 01 74 17 E8 ?? ?? ?? ?? B9 01 00 00 00 48 8B D8 E8 ?? ?? ?? ?? 48 3B C3 74 1E 8B CF E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 0A FF 15 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8B CF E8 ?? ?? ?? ?? 48 8B D7 48 8B CF 48 C1 F9 05 83 E2 1F 4C 8D 05 ?? ?? ?? ?? 49 8B 0C C8 48 6B D2 58 C6 44 11 08 00 85 DB 74 0C 8B CB E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_4_0 {
	meta:
		name = "??$_InternalDeleteHelper@VExternalContextBase@details@Concurrency@@@details@Concurrency@@YAXPEAVExternalContextBase@01@@Z"
		size = 25
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 28 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_6_0 {
	meta:
		name = "??$_InternalDeleteHelper@VInternalContextBase@details@Concurrency@@@details@Concurrency@@YAXPEAVInternalContextBase@01@@Z"
		size = 29
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0F 48 83 C1 10 BA 01 00 00 00 48 8B 01 FF 50 28 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_7_0 {
	meta:
		name = "??$_InternalDeleteHelper@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@YAXPEAVScheduleGroupBase@01@@Z"
		size = 25
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_30_0 {
	meta:
		name = "??0CacheLocalScheduleGroup@details@Concurrency@@QEAA@PEAVSchedulerBase@12@PEAVlocation@2@@Z"
		size = 37
		refs = "000a ??0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@PEAVlocation@2@@Z 0011 ??_7CacheLocalScheduleGroup@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 C6 43 50 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_31_0 {
	meta:
		name = "??0CacheLocalScheduleGroupSegment@details@Concurrency@@QEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z"
		size = 55
		refs = "000a ??0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z 0011 ??_7CacheLocalScheduleGroupSegment@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 83 F0 01 00 00 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_35_0 {
	meta:
		name = "??0FairScheduleGroupSegment@details@Concurrency@@QEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z"
		size = 55
		refs = "000a ??0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z 0011 ??_7FairScheduleGroupSegment@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 83 F0 01 00 00 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_34_0 {
	meta:
		name = "??0FairScheduleGroup@details@Concurrency@@QEAA@PEAVSchedulerBase@12@PEAVlocation@2@@Z"
		size = 42
		refs = "000a ??0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@PEAVlocation@2@@Z 0016 ??_7FairScheduleGroup@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 83 63 70 00 48 8D 05 ?? ?? ?? ?? C6 43 50 02 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_36_0 {
	meta:
		name = "??0ListNode@?$Hash@II@details@Concurrency@@QEAA@AEBI0@Z"
		size = 19
	strings:
		$1 = { 48 83 21 00 8B 02 89 41 08 41 8B 00 89 41 0C 48 8B C1 C3 }
	condition:
		$1
}

rule file_1369_37_0 {
	meta:
		name = "??0NumaInformation@SchedulerBase@details@Concurrency@@QEAA@XZ"
		size = 19
	strings:
		$1 = { 33 C0 89 01 48 89 41 08 89 41 10 48 89 41 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_1369_41_0 {
	meta:
		name = "??0RealizedChore@details@Concurrency@@QEAA@P6AXPEAX@Z0@Z"
		size = 27
		refs = "0008 ??_7RealizedChore@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 20 00 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 4C 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_1369_44_0 {
	meta:
		name = "??0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
		size = 1031
		refs = "0031 ??_7SchedulerBase@details@Concurrency@@6B@ 003d ??0SchedulerPolicy@Concurrency@@QEAA@AEBV01@@Z 0093 ??0?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 00ae ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ 00c5 ??0?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 00d2 ??0_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 0140 ??_U@YAPEAX_K@Z 015c memset 0223 __imp_InitializeSListHead 025b ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 028c ?GetProcessorCount@Concurrency@@YAIXZ 02b2 ?__TlsAlloc@platform@details@Concurrency@@YAKXZ 02bc ?__CreateAutoResetEvent@platform@details@Concurrency@@YAPEAX_N@Z 02de ?ThrottlerTrampoline@SchedulerBase@details@Concurrency@@CAXPEAXE@Z 02e7 __imp_RegisterWaitForSingleObject 02f1 __imp_GetLastError 0309 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0310 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 031a _CxxThrowException 0320 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 0332 ?ThrottlerDispatchBridge@SchedulerBase@details@Concurrency@@CAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_TIMER@@@Z 033c ?RegisterAsyncTimerAndLoadLibrary@details@Concurrency@@YAPEAU_TP_TIMER@@KP6AXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU3@@Z1_N@Z 03a2 ?ThrottlerDispatchBridgeXP@SchedulerBase@details@Concurrency@@CAXPEAXE@Z 03a9 ?__CreateTimerQueueTimer@platform@details@Concurrency@@YAHPEAPEAXPEAXP6AX1E@Z1KKK@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 56 41 57 48 81 EC B0 00 00 00 48 C7 44 24 40 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B F2 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 45 33 FF 44 89 7F 48 4C 89 7F 50 4C 89 7F 58 44 89 7F 60 4C 89 7F 68 4C 89 7F 70 44 89 7F 78 4C 89 BF 80 00 00 00 4C 89 BF 88 00 00 00 44 89 BF 90 00 00 00 4C 89 BF 98 00 00 00 48 8D 8F B0 00 00 00 BB 00 01 00 00 45 8D 4F 40 44 8B C3 33 D2 E8 ?? ?? ?? ?? 90 4C 89 BF 38 01 00 00 4C 89 BF 40 01 00 00 48 8D 8F 48 01 00 00 E8 ?? ?? ?? ?? 48 8D 8F 50 01 00 00 41 B9 FF FF FF 7F 44 8B C3 33 D2 E8 ?? ?? ?? ?? 90 48 8D 8F D0 01 00 00 E8 ?? ?? ?? ?? 90 4C 89 BF F8 01 00 00 48 8D 8F 00 02 00 00 E8 ?? ?? ?? ?? 48 8D 87 08 02 00 00 4C 89 38 48 89 40 08 44 89 78 10 49 83 CE FF 44 89 B7 20 02 00 00 44 89 B7 24 02 00 00 44 89 BF 28 02 00 00 44 89 BF 2C 02 00 00 44 89 BF 30 02 00 00 BD 01 10 00 00 48 89 AF 38 02 00 00 41 8D 5F 08 8B C3 48 F7 E5 49 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 89 87 40 02 00 00 4C 63 87 38 02 00 00 49 C1 E0 03 33 D2 48 8B C8 E8 ?? ?? ?? ?? 90 48 89 AF 48 02 00 00 8B C3 48 F7 E5 49 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 89 87 50 02 00 00 4C 63 87 48 02 00 00 49 C1 E0 03 33 D2 48 8B C8 E8 ?? ?? ?? ?? 90 41 83 CE FF 44 89 B7 58 02 00 00 44 89 BF 5C 02 00 00 44 89 BF 68 02 00 00 44 89 BF 6C 02 00 00 8D 6B F9 89 AF 70 02 00 00 44 89 BF 74 02 00 00 44 89 BF 78 02 00 00 44 89 BF 7C 02 00 00 44 89 BF 80 02 00 00 4C 89 BF 88 02 00 00 4C 89 BF 90 02 00 00 44 89 BF A0 02 00 00 44 89 BF A8 02 00 00 44 89 BF AC 02 00 00 44 89 BF B0 02 00 00 4C 89 BF B4 02 00 00 4C 89 BF C0 02 00 00 44 89 BF E0 02 00 00 48 8D 8F F0 02 00 00 FF 15 ?? ?? ?? ?? 48 8D 8F 00 03 00 00 FF 15 ?? ?? ?? ?? 48 8D 8F 10 03 00 00 FF 15 ?? ?? ?? ?? 48 8D 8F 20 03 00 00 FF 15 ?? ?? ?? ?? 48 89 BF F8 00 00 00 33 D2 48 8B CE E8 ?? ?? ?? ?? 89 47 10 8D 53 FC 48 8B CE E8 ?? ?? ?? ?? 66 89 47 18 8D 53 FF 48 8B CE E8 ?? ?? ?? ?? 89 47 14 8B D5 48 8B CE E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? C1 E0 02 3B C3 76 0A E8 ?? ?? ?? ?? C1 E0 02 EB 0A 8B D5 48 8B CE E8 ?? ?? ?? ?? 89 87 BC 02 00 00 E8 ?? ?? ?? ?? 89 47 20 33 C9 E8 ?? ?? ?? ?? 48 89 87 C8 02 00 00 48 8D 8F D0 02 00 00 44 89 7C 24 28 44 89 74 24 20 4C 8B CF 4C 8D 05 ?? ?? ?? ?? 48 8B D0 FF 15 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 83 F8 03 7C 57 44 8A CD 4C 8B C7 48 8D 15 ?? ?? ?? ?? B9 FF FF FF 7F E8 ?? ?? ?? ?? 48 89 87 D8 02 00 00 48 85 C0 0F 85 97 00 00 00 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 68 E8 ?? ?? ?? ?? CC 48 8D 8F D8 02 00 00 44 89 7C 24 30 C7 44 24 28 FF FF FF 7F C7 44 24 20 FF FF FF 7F 4C 8B CF 4C 8D 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 85 C0 75 36 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C7 4C 8D 9C 24 B0 00 00 00 49 8B 5B 28 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1369_46_0 {
	meta:
		name = "?dtor$1@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_47_0 {
	meta:
		name = "?dtor$2@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1ReferenceCountedQuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_48_0 {
	meta:
		name = "?dtor$3@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1ReferenceCountedQuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_49_0 {
	meta:
		name = "?dtor$4@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1ReferenceCountedQuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 83 C1 78 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_50_0 {
	meta:
		name = "?dtor$5@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 19
		refs = "000f ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 81 C1 90 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_51_0 {
	meta:
		name = "?dtor$6@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 19
		refs = "000f ??1?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 81 C1 B0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_52_0 {
	meta:
		name = "?dtor$7@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 19
		refs = "000f ??1?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 81 C1 50 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_53_0 {
	meta:
		name = "?dtor$8@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 19
		refs = "000f ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 81 C1 D0 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_54_0 {
	meta:
		name = "?dtor$9@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 19
		refs = "000f ??1?$Hash@II@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 81 C1 38 02 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_55_0 {
	meta:
		name = "?dtor$10@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 19
		refs = "000f ??1?$Hash@II@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A D0 00 00 00 48 81 C1 48 02 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_57_0 {
	meta:
		name = "??0SubAllocator@details@Concurrency@@QEAA@XZ"
		size = 62
		refs = "000e ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0018 ??0AllocatorBucket@details@Concurrency@@QEAA@XZ 002a ??_L@YAXPEAX_KHP6AX0@Z2@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 BA 10 00 00 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 8D 0D ?? ?? ?? ?? 44 8D 42 50 48 83 C1 10 48 89 44 24 20 E8 ?? ?? ?? ?? C6 83 10 06 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1369_79_0 {
	meta:
		name = "??1?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 259
		refs = "001a __imp_InterlockedFlushSList 00d1 ??_V@YAXPEAX@Z 00d9 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1D 48 8D 4B A0 48 8B 1B 48 85 C9 74 0C 4C 8B 01 BA 01 00 00 00 41 FF 50 20 48 85 DB 75 E3 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1D 48 8D 4B A0 48 8B 1B 48 85 C9 74 0C 4C 8B 01 BA 01 00 00 00 41 FF 50 20 48 85 DB 75 E3 48 8B 5F 20 EB 17 48 8D 4B A0 48 8B 1B 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 48 85 DB 75 E4 48 8B 77 58 48 85 F6 74 48 33 DB 39 5F 50 7E 25 45 33 F6 48 8B 06 49 8B 0C 06 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 FF C3 49 83 C6 08 3B 5F 50 7C DE 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 B8 48 8B 4F 60 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_86_0 {
	meta:
		name = "??1NumaInformation@SchedulerBase@details@Concurrency@@QEAA@XZ"
		size = 32
		refs = "000e ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_89_0 {
	meta:
		name = "??1ReferenceCountedQuickBitSet@details@Concurrency@@QEAA@XZ"
		size = 32
		refs = "000e ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_93_0 {
	meta:
		name = "??1SchedulerBase@details@Concurrency@@UEAA@XZ"
		size = 239
		refs = "001e ??_7SchedulerBase@details@Concurrency@@6B@ 0026 ?Cleanup@SchedulerBase@details@Concurrency@@AEAAXXZ 0036 ?Wipe@?$Hash@II@details@Concurrency@@QEAAXXZ 003f ??_V@YAXPEAX@Z 0065 ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 0072 ??1?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@XZ 007f ??1?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ 00d5 ??1SchedulerPolicy@Concurrency@@QEAA@XZ 00dd ??_7Scheduler@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8D 9F 48 02 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 E8 ?? ?? ?? ?? 90 48 8D 9F 38 02 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 E8 ?? ?? ?? ?? 90 48 8D 8F D0 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F 50 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F B0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 8F 98 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 8F 88 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 4F 70 E8 ?? ?? ?? ?? 48 8B 4F 68 E8 ?? ?? ?? ?? 90 48 8B 4F 58 E8 ?? ?? ?? ?? 48 8B 4F 50 E8 ?? ?? ?? ?? 90 48 8D 4F 08 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1369_96_0 {
	meta:
		name = "?dtor$2@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1ReferenceCountedQuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_539_1 {
	meta:
		name = "?dtor$1@?0???1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_542_1 {
	meta:
		name = "?dtor$1@?0???1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_751_1 {
	meta:
		name = "?dtor$1@?0???1_TaskCollectionImpl@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_98_0 {
	meta:
		name = "?dtor$4@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1ReferenceCountedQuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 78 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_99_0 {
	meta:
		name = "?dtor$5@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 90 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_101_0 {
	meta:
		name = "?dtor$7@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 50 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_102_0 {
	meta:
		name = "?dtor$8@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 D0 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_103_0 {
	meta:
		name = "?dtor$9@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$Hash@II@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 38 02 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_104_0 {
	meta:
		name = "?dtor$10@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$Hash@II@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 48 02 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_105_0 {
	meta:
		name = "??1SubAllocator@details@Concurrency@@QEAA@XZ"
		size = 25
		refs = "0008 ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0015 ??_M@YAXPEAX_KHP6AX0@Z@Z"
	strings:
		$1 = { BA 10 00 00 00 4C 8D 0D ?? ?? ?? ?? 48 83 C1 10 44 8D 42 50 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_132_0 {
	meta:
		name = "??_ENumaInformation@SchedulerBase@details@Concurrency@@QEAAPEAXI@Z"
		size = 119
		refs = "0020 ??1NumaInformation@SchedulerBase@details@Concurrency@@QEAA@XZ 002d ??_M@YAXPEAX_KHP6AX0@Z@Z 003b ??_V@YAXPEAX@Z 0060 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 F6 C2 02 74 2B 48 8D 79 F8 4C 8D 0D ?? ?? ?? ?? BA 20 00 00 00 44 8B 07 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 EB 23 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 08 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_144_0 {
	meta:
		name = "??_GSubAllocator@details@Concurrency@@QEAAPEAXI@Z"
		size = 67
		refs = "0017 ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0024 ??_M@YAXPEAX_KHP6AX0@Z@Z 0031 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA BA 10 00 00 00 48 8B F9 4C 8D 0D ?? ?? ?? ?? 44 8D 42 50 48 83 C1 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_157_0 {
	meta:
		name = "?Add@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAAHPEAVScheduleGroupBase@23@@Z"
		size = 366
		refs = "00c1 ??_U@YAPEAX_K@Z 00d6 memset 00e0 ??2@YAPEAX_K@Z 0126 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0135 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 55 41 56 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B FA 48 8B F9 49 83 CB FF 44 8D 6E 01 44 39 5B 10 7C 50 4C 8B 0B 33 D2 39 57 50 7E 46 4D 8B C1 49 83 38 00 75 18 8D 04 32 48 63 CA 41 89 47 2C 44 8B 57 70 33 C0 F0 4D 0F B1 3C C9 74 0E 41 03 D5 49 83 C0 08 3B 57 50 7D 19 EB D4 03 F2 41 8A ED 41 3B F2 7C 05 F0 44 01 6F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B3 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 75 33 C0 F0 4C 0F B1 6B 08 75 6B 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B F0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 30 EB 02 33 D2 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 48 89 14 C8 44 01 6F 6C 48 87 53 08 4C 39 6B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 6B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 DA FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_1369_158_0 {
	meta:
		name = "?AddContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 82
		refs = "0016 ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 B9 20 00 00 00 48 8B FA E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 06 48 89 78 10 EB 03 45 33 C0 0F 0D 8B 38 01 00 00 48 8B 83 38 01 00 00 49 89 00 F0 4C 0F B1 83 38 01 00 00 75 EB 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_159_0 {
	meta:
		name = "?AddHead@?$List@UBoostedObject@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAUBoostedObject@23@@Z"
		size = 60
		altNames = "?UnlockedAddHead@?$SafeRWList@UBoostedObject@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUBoostedObject@23@@Z"
	strings:
		$1 = { 48 8B 01 4C 8B C1 48 85 C0 75 0F 48 89 11 48 89 52 10 48 8B 01 48 89 40 08 C3 48 8B 40 08 48 89 42 08 48 8B 01 48 89 42 10 48 8B 01 48 8B 48 08 48 89 51 10 49 8B 00 48 89 50 08 C3 }
	condition:
		$1
}

rule file_1369_160_0 {
	meta:
		name = "?AddTail@?$List@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@@details@Concurrency@@QEAAXPEAVWaitNode@SchedulerBase@23@@Z"
		size = 53
	strings:
		$1 = { 48 8B 01 4C 8B C1 48 85 C0 75 09 48 89 12 48 89 52 08 EB 1D 48 8B 00 48 89 02 48 8B 01 48 89 42 08 48 8B 01 48 8B 08 48 89 51 08 49 8B 00 48 89 10 49 89 10 C3 }
	condition:
		$1
}

rule file_1369_161_0 {
	meta:
		name = "?AddTail@?$SafeRWList@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@V_ReaderWriterLock@34@@details@Concurrency@@QEAAXPEAVWaitNode@SchedulerBase@23@@Z"
		size = 103
		refs = "001a ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0063 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 48 8B FA E8 ?? ?? ?? ?? 48 8B 06 48 85 C0 75 09 48 89 3F 48 89 7F 08 EB 1D 48 8B 00 48 89 07 48 8B 06 48 89 47 08 48 8B 06 48 8B 08 48 89 79 08 48 8B 06 48 89 38 48 8D 4E 08 48 89 3E 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_162_0 {
	meta:
		name = "?AddVirtualProcessors@SchedulerBase@details@Concurrency@@IEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z"
		size = 265
		refs = "0058 ?Activate@SchedulingRing@details@Concurrency@@QEAAXXZ 006b ?AddVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@_N@Z 0094 ??_C@_0BI@PMOAFEOC@ppVirtualProcessorRoots?$AA@ 00a8 ??0exception@std@@QEAA@AEBQEBD@Z 00af ??_7invalid_argument@std@@6B@ 00b6 _TI3?AVinvalid_argument@std@@ 00c5 _CxxThrowException 00cd ??_C@_05IOMEMJEC@count?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 56 48 83 EC 50 48 8B FA 48 8B D9 48 85 D2 74 74 41 83 F8 01 0F 82 A3 00 00 00 45 85 C0 74 50 41 8B E8 4C 8B 37 49 8B CE 49 8B 06 FF 10 48 63 F0 48 8B 43 38 48 8B 0C F0 8B 81 2C 01 00 00 85 C0 75 0D 48 8B 4B 38 48 8B 0C F1 E8 ?? ?? ?? ?? 48 8B 4B 30 45 33 C0 49 8B D6 48 8B 0C F1 E8 ?? ?? ?? ?? F0 FF 43 1C 48 83 C7 08 48 FF CD 75 B3 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 20 48 89 44 24 78 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 88 00 00 00 48 8D 4C 24 38 48 89 84 24 88 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1369_163_0 {
	meta:
		name = "?AllocateSegment@CacheLocalScheduleGroup@details@Concurrency@@MEAAPEAVScheduleGroupSegmentBase@23@PEAVSchedulingRing@23@PEAVlocation@3@@Z"
		size = 137
		refs = "002b ??2@YAPEAX_K@Z 0049 ??0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z 0050 ??_7CacheLocalScheduleGroupSegment@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 49 8B F8 48 8B F2 48 8B E9 B9 10 02 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 58 48 85 C0 74 33 4C 8B CF 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 83 F0 01 00 00 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 EB 02 33 DB 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1369_165_0 {
	meta:
		name = "?AllocateSegment@FairScheduleGroup@details@Concurrency@@MEAAPEAVScheduleGroupSegmentBase@23@PEAVSchedulingRing@23@PEAVlocation@3@@Z"
		size = 139
		refs = "0030 ??2@YAPEAX_K@Z 0050 ??0ScheduleGroupSegmentBase@details@Concurrency@@IEAA@PEAVScheduleGroupBase@12@PEAVSchedulingRing@12@PEAVlocation@2@@Z 0057 ??_7FairScheduleGroupSegment@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 70 10 48 8B FA 48 8B F1 83 60 E0 00 0F 57 C0 F3 0F 7F 40 E8 B9 10 02 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 68 48 85 C0 74 35 4C 8D 4C 24 28 4C 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 83 F0 01 00 00 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 EB 02 33 DB 48 8B C3 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1369_168_0 {
	meta:
		name = "?Attach@SchedulerBase@details@Concurrency@@UEAAXXZ"
		size = 102
		refs = "000a ?FastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ 0019 ?AttachExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z 001f ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0040 ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z 0050 ??0improper_scheduler_attach@Concurrency@@QEAA@XZ 0057 _TI2?AVimproper_scheduler_attach@Concurrency@@ 0061 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? 48 3B C3 74 37 B2 01 48 8B CB E8 ?? ?? ?? ?? 8A 05 ?? ?? ?? ?? 44 8B 83 58 02 00 00 B2 04 3A C2 72 14 8B 05 ?? ?? ?? ?? A8 01 74 0A B9 07 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1369_169_0 {
	meta:
		name = "?AttachExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z"
		size = 160
		refs = "0014 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001c ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 003c ?LeaveScheduler@InternalContextBase@details@Concurrency@@AEAAXXZ 0044 ?ClearContextTls@ContextBase@details@Concurrency@@AEAAXXZ 005f ?GetExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z 006d ?PushContextToTls@ContextBase@details@Concurrency@@AEAAXPEAV123@@Z 008a ??0improper_scheduler_attach@Concurrency@@QEAA@XZ 0091 _TI2?AVimproper_scheduler_attach@Concurrency@@ 009b _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 8B 0D ?? ?? ?? ?? 40 8A F2 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 20 48 39 58 38 74 56 80 B8 88 00 00 00 00 75 09 48 8D 48 F0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? F0 FF 83 6C 02 00 00 48 8B 03 48 8B CB FF 50 20 40 8A D6 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B 74 24 58 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1369_170_0 {
	meta:
		name = "?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ"
		size = 34
		refs = "0019 ?SweepSchedulerForFinalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 BA 00 00 00 C0 B8 00 00 00 80 F0 0F B1 91 7C 02 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_171_0 {
	meta:
		name = "?CancelAllContexts@SchedulerBase@details@Concurrency@@MEAAXXZ"
		size = 60
		refs = "000a ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0012 ?ReleaseReservedContexts@SchedulerBase@details@Concurrency@@QEAAXXZ 0017 ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 9B 38 01 00 00 EB 0D 48 8B 4B 10 48 8B 01 FF 50 30 48 8B 1B 48 85 DB 75 EE 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_172_0 {
	meta:
		name = "?ChangeThrottlingTimer@SchedulerBase@details@Concurrency@@AEAAXK@Z"
		size = 99
		refs = "0010 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 003b __crtSetThreadpoolTimer 0054 ?__ChangeTimerQueueTimer@platform@details@Concurrency@@YAHPEAX0KK@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? 83 F8 03 7C 28 48 8B 8F D8 02 00 00 48 69 D3 F0 D8 FF FF 45 33 C9 48 89 54 24 40 48 8D 54 24 40 41 B8 FF FF FF 7F E8 ?? ?? ?? ?? EB 17 48 8B 97 D8 02 00 00 41 B9 FF FF FF 7F 44 8B C3 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_173_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 87
		refs = "0037 ??3@YAXPEAX@Z"
		altNames = "?CheckForDeletionBridge@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 48 48 8B F9 8B 90 7C 02 00 00 B8 00 00 00 A0 23 D0 3B D0 74 20 48 8B 71 20 33 DB EB 0C 48 8D 4E F0 48 8B 36 E8 ?? ?? ?? ?? 48 85 F6 75 EF 48 89 5F 20 87 5F 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_174_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 98
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 48 48 8B F1 8B 90 7C 02 00 00 B8 00 00 00 A0 23 D0 3B D0 74 2B 48 8B 79 20 33 DB EB 17 48 8D 4F A0 48 8B 3F 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 48 85 FF 75 E4 48 89 5E 20 87 5E 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_177_0 {
	meta:
		name = "?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ"
		size = 63
		refs = "000b ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0019 ?OneShotStaticDestruction@UMSThreadScheduler@details@Concurrency@@SAXXZ 001f ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0024 ?__TlsFree@platform@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 83 EC 28 83 C8 FF F0 0F C1 05 ?? ?? ?? ?? FF C8 3D 00 00 00 80 75 22 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 25 ?? ?? ?? ?? 00 F0 81 25 ?? ?? ?? ?? FF FF FF 7F 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_178_0 {
	meta:
		name = "?CheckStaticConstruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 175
		refs = "0010 ?s_schedulerLock@SchedulerBase@details@Concurrency@@0V_NonReentrantLock@23@A 0030 ?_Sleep0@details@Concurrency@@YAXXZ 003f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0054 ?s_initializedCount@SchedulerBase@details@Concurrency@@0JA 0068 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0070 ?_RegisterConcRTEventTracing@details@Concurrency@@YAXXZ 0076 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0081 ?_Initialize@_SpinCount@details@Concurrency@@SAXXZ 0086 ?__TlsAlloc@platform@details@Concurrency@@YAKXZ 008c ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0091 ?OneShotStaticConstruction@UMSThreadScheduler@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 83 F8 01 75 3B 48 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 00 00 80 75 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F0 81 0D ?? ?? ?? ?? 00 00 00 80 C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1369_180_0 {
	meta:
		name = "?Cleanup@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 242
		refs = "0031 ??1SchedulingNode@details@Concurrency@@QEAA@XZ 0039 ??3@YAXPEAX@Z 0062 ??1SchedulingRing@details@Concurrency@@QEAA@XZ 0081 ??_V@YAXPEAX@Z 00a7 ??1NumaInformation@SchedulerBase@details@Concurrency@@QEAA@XZ 00b4 ??_M@YAXPEAX_KHP6AX0@Z@Z 00c4 ?__TlsFree@platform@details@Concurrency@@YAXK@Z 00ee ?StaticDestruction@SchedulerBase@details@Concurrency@@CAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 DB 48 8B F9 39 59 44 7E 2A 33 F6 48 8B 47 30 48 8B 2C 06 48 85 ED 74 10 48 8B CD E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? FF C3 48 83 C6 08 3B 5F 44 7C D8 33 DB 39 5F 44 7E 2A 33 F6 48 8B 47 38 48 8B 2C 06 48 85 ED 74 10 48 8B CD E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? FF C3 48 83 C6 08 3B 5F 44 7C D8 48 8B 8F A0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8B 4F 38 E8 ?? ?? ?? ?? 48 8B 4F 28 48 85 C9 74 20 48 8D 59 F8 4C 8D 0D ?? ?? ?? ?? BA 20 00 00 00 44 8B 03 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 8F 90 02 00 00 83 67 20 00 48 8B 01 FF 50 08 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_182_0 {
	meta:
		name = "?CommitSafePoints@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 101
		refs = "001d ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0025 ?UpdatePendingVersion@SchedulerBase@details@Concurrency@@AEAAKXZ 0031 ?CommitToVersion@SchedulerBase@details@Concurrency@@AEAAXK@Z 0043 ?UpdateCommitVersion@SchedulerBase@details@Concurrency@@AEAAKK@Z 004d ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B9 18 02 00 00 48 8B D9 48 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 1C 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 8B F0 E8 ?? ?? ?? ?? 85 F6 75 D6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_183_0 {
	meta:
		name = "?CommitToVersion@SchedulerBase@details@Concurrency@@AEAAXK@Z"
		size = 202
		refs = "002d ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0088 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 30 49 83 63 E8 00 48 8D B1 18 02 00 00 49 8D 43 E8 48 8B F9 48 8B CE 8B DA 49 89 43 F0 E8 ?? ?? ?? ?? 4C 8D 87 08 02 00 00 EB 42 85 DB 74 11 8B 48 10 8B 87 2C 02 00 00 3B C8 72 39 3B CB 77 35 49 8B 08 48 85 C9 74 10 48 8B 41 18 49 89 00 48 85 C0 75 04 4D 89 40 08 48 8D 51 18 48 83 22 00 48 8B 44 24 28 48 89 08 48 89 54 24 28 49 8B 00 48 85 C0 75 B6 48 8B CE E8 ?? ?? ?? ?? EB 22 48 8B 42 18 48 8D 4C 24 20 48 85 C0 48 89 44 24 20 48 0F 45 4C 24 28 48 89 4C 24 28 48 8B 4A 08 FF 12 48 8B 54 24 20 48 85 D2 75 D4 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1369_184_0 {
	meta:
		name = "?ComputeSafePointCommitVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
		size = 289
	strings:
		$1 = { 48 8B C4 48 89 68 08 48 89 70 10 48 89 78 18 4C 89 70 20 33 F6 40 32 ED 45 33 C9 4C 8B D1 39 71 44 0F 8E E2 00 00 00 45 33 F6 49 8B 42 30 49 8B 14 06 48 85 D2 0F 84 BE 00 00 00 8B 82 C0 00 00 00 45 33 DB 85 C0 0F 8E AD 00 00 00 8B 8A A4 00 00 00 45 8B C3 41 D3 F8 44 3B 82 BC 00 00 00 0F 8D 82 00 00 00 48 8B 82 B0 00 00 00 44 3B 82 B8 00 00 00 7C 24 44 2B 82 B8 00 00 00 48 63 8A B8 00 00 00 48 8B 7C C8 F8 78 16 41 8D 48 01 48 8B 7F 08 48 FF C9 75 F7 EB 07 49 63 C8 48 8B 3C C8 8B 82 A0 00 00 00 FF C8 48 63 C8 49 63 C3 48 23 C8 48 8B 07 4C 8B 04 C8 4D 85 C0 74 2A 41 8B 88 30 01 00 00 41 8B 82 2C 02 00 00 41 83 C8 FF 3B C8 44 0F 43 C1 40 84 ED 74 07 45 3B C8 76 08 EB 03 40 B5 01 45 8B C8 8B 8A C0 00 00 00 41 FF C3 44 3B D9 0F 8C 53 FF FF FF FF C6 49 83 C6 08 41 3B 72 44 0F 8C 21 FF FF FF 48 8B 6C 24 08 48 8B 74 24 10 48 8B 7C 24 18 4C 8B 74 24 20 41 8B C1 C3 }
	condition:
		$1
}

rule file_1369_189_0 {
	meta:
		name = "?Create@Scheduler@Concurrency@@SAPEAV12@AEBVSchedulerPolicy@2@@Z"
		size = 40
		refs = "0007 ?CreateWithoutInitializing@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z 0012 ?Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 20 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_190_0 {
	meta:
		name = "?Create@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
		size = 31
		refs = "0007 ?CreateWithoutInitializing@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z 0012 ?Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_191_0 {
	meta:
		name = "?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		size = 54
		refs = "000b ?GetDefaultScheduler@SchedulerBase@details@Concurrency@@CAPEAV123@XZ 0018 ?AttachExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 E8 ?? ?? ?? ?? 33 D2 48 8B C8 48 8B F8 E8 ?? ?? ?? ?? 48 8B 17 48 8B CF 48 8B D8 FF 52 28 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_194_0 {
	meta:
		name = "?CreateWithoutInitializing@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
		size = 47
		refs = "000a ?_ValidateConcRTPolicy@SchedulerPolicy@Concurrency@@QEBAXXZ 000f ?CheckStaticConstruction@SchedulerBase@details@Concurrency@@CAXXZ 0017 ?Create@ThreadScheduler@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 33 C0 48 85 C9 74 04 48 8D 41 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_197_0 {
	meta:
		name = "?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
		size = 49
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0017 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0021 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 002d ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_199_0 {
	meta:
		name = "?DecrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 23
		refs = "000e ?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 F0 FF 89 70 02 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_200_0 {
	meta:
		name = "?DeferredGetInternalContext@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 42
		refs = "0021 __imp_SetEvent"
	strings:
		$1 = { 48 83 EC 28 B8 01 00 00 00 F0 0F C1 81 E0 02 00 00 FF C0 83 F8 01 75 0D 48 8B 89 C8 02 00 00 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_202_0 {
	meta:
		name = "?DeleteElements@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 47
	strings:
		$1 = { 48 85 D2 74 29 53 48 83 EC 20 48 8B DA 48 8D 4B A0 48 8B 1B 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 48 85 DB 75 E4 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_210_0 {
	meta:
		name = "?Dequeue@?$SQueue@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 37
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 8A 68 01 00 00 48 89 08 48 85 C9 75 04 48 89 40 08 48 8B C2 C3 }
	condition:
		$1
}

rule file_1369_211_0 {
	meta:
		name = "?Dequeue@?$SQueue@VSafePointInvocation@details@Concurrency@@@details@Concurrency@@QEAAPEAVSafePointInvocation@23@XZ"
		size = 34
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 4A 18 48 89 08 48 85 C9 75 04 48 89 40 08 48 8B C2 C3 }
	condition:
		$1
}

rule file_1369_212_0 {
	meta:
		name = "?Dequeue@?$SafeSQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 87
		refs = "0017 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0040 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 0F 33 F6 48 85 C9 74 16 48 8B 81 68 01 00 00 48 89 07 48 85 C0 75 04 48 89 7F 08 48 8B F1 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_214_0 {
	meta:
		name = "?DestroySchedulerEventHandlers@SchedulerBase@details@Concurrency@@MEAAXXZ"
		size = 104
		refs = "0016 __imp_UnregisterWaitEx 001b ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 002c ?DeleteAsyncTimerAndUnloadLibrary@details@Concurrency@@YAXPEAU_TP_TIMER@@@Z 0040 ?__DeleteTimerQueueTimer@platform@details@Concurrency@@YAXPEAX00@Z 004d __imp_CloseHandle 005e ?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 D0 02 00 00 48 83 CA FF FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 03 7C 0E 48 8B 8B D8 02 00 00 E8 ?? ?? ?? ?? EB 12 48 8B 93 D8 02 00 00 49 83 C8 FF 33 C9 E8 ?? ?? ?? ?? 48 8B 8B C8 02 00 00 FF 15 ?? ?? ?? ?? F0 FF 8B 70 02 00 00 75 08 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_215_0 {
	meta:
		name = "?Detach@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 164
		refs = "000f ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0014 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 003a ?DetachExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@_N@Z 0040 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 005d ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z 0072 ??0improper_scheduler_detach@Concurrency@@QEAA@XZ 0079 _TI2?AVimproper_scheduler_detach@Concurrency@@ 0083 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B D9 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 88 00 00 00 00 74 4B 80 B8 F0 00 00 00 00 74 5E 8B BB 58 02 00 00 41 B0 01 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 8A 05 ?? ?? ?? ?? B2 04 3A C2 72 17 8B 05 ?? ?? ?? ?? A8 01 74 0D 44 8B C7 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1369_216_0 {
	meta:
		name = "?DetachExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@_N@Z"
		size = 105
		refs = "0020 ?PopContextFromTls@ContextBase@details@Concurrency@@AEAAPEAV123@XZ 002e ?ReleaseExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@@Z 0055 ?RejoinScheduler@InternalContextBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F2 48 8B F9 45 84 C0 74 0B 48 8B CA E8 ?? ?? ?? ?? 48 8B D8 48 8B D6 48 8B CF E8 ?? ?? ?? ?? F0 FF 8F 6C 02 00 00 48 8B 17 48 8B CF FF 52 28 48 85 DB 74 12 80 BB 88 00 00 00 00 75 09 48 8D 4B F0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_220_0 {
	meta:
		name = "?Enqueue@?$SQueue@VSafePointInvocation@details@Concurrency@@@details@Concurrency@@QEAAXPEAVSafePointInvocation@23@@Z"
		size = 20
	strings:
		$1 = { 4C 8D 42 18 49 83 20 00 48 8B 41 08 48 89 10 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_1369_224_0 {
	meta:
		name = "?FastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
		size = 35
		refs = "0006 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 000b ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 001a ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C8 33 C0 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_225_0 {
	meta:
		name = "?Fill@QuickBitSet@details@Concurrency@@QEAAXXZ"
		size = 35
	strings:
		$1 = { 8B 01 33 D2 83 C0 1F C1 E8 05 85 C0 74 14 44 8B C0 48 8B 41 08 83 0C 02 FF 48 8D 52 04 49 FF C8 75 EF C3 }
	condition:
		$1
}

rule file_1369_226_0 {
	meta:
		name = "?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 356
		refs = "0028 __imp_CloseHandle 0059 ??3@YAXPEAX@Z 006e __imp_InterlockedFlushSList 00ec ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 010d ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z 011e ?RemoveHead@?$SafeRWList@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@V_ReaderWriterLock@34@@details@Concurrency@@QEAAPEAVWaitNode@SchedulerBase@23@XZ 012b __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8B 89 98 02 00 00 48 8B 01 FF 50 08 48 8B 8F 60 02 00 00 FF 15 ?? ?? ?? ?? 33 DB 48 87 9F 38 01 00 00 48 85 DB 74 2B 48 8B 4B 10 48 8B 33 48 85 C9 74 0F 48 83 C1 10 BA 01 00 00 00 48 8B 01 FF 50 28 48 8B CB E8 ?? ?? ?? ?? 48 8B DE 48 85 F6 75 D5 48 8D 8F 00 03 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 F0 48 F7 D8 4D 1B C0 4C 23 C1 74 27 49 8B 40 10 49 8B C8 48 8D 50 F0 48 F7 D8 49 8B 00 48 1B DB 48 23 DA BA 01 00 00 00 FF 50 28 4C 8B C3 48 85 DB 75 D9 48 8D 8F 10 03 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 4D 1B C0 4C 23 C1 74 26 49 8B 40 20 49 8B C8 48 8D 50 E0 48 F7 D8 49 8B 00 48 1B DB 48 23 DA BA 01 00 00 00 FF 10 4C 8B C3 48 85 DB 75 DA 8A 05 ?? ?? ?? ?? 44 8B 87 58 02 00 00 B2 04 3A C2 72 14 8B 05 ?? ?? ?? ?? A8 01 74 0A B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8D B7 40 01 00 00 EB 27 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8B 48 10 FF 15 ?? ?? ?? ?? 48 8B 4B 10 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 3E 00 75 D3 48 8B 07 BA 01 00 00 00 48 8B CF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF 20 }
	condition:
		$1
}

rule file_1369_228_0 {
	meta:
		name = "?FindCurrentNode@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingNode@23@XZ"
		size = 100
		refs = "0014 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001b ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 003a ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 004d ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 8B 0D ?? ?? ?? ?? 33 F6 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 2A 48 39 58 38 75 24 40 38 B0 88 00 00 00 75 1B 48 8B C8 E8 ?? ?? ?? ?? 48 8B 87 F8 00 00 00 48 8B CF 48 8B 70 78 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_229_0 {
	meta:
		name = "?FindNodeByLocation@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingNode@23@PEAVlocation@3@@Z"
		size = 101
		refs = "003d ?Find@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBIPEAI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 44 8B 02 33 DB 48 8B F9 41 81 E0 FF FF FF 0F 41 83 E8 02 74 2D 41 FF C8 75 33 8B 42 08 4C 8D 44 24 40 48 8D 54 24 38 48 81 C1 38 02 00 00 89 44 24 38 E8 ?? ?? ?? ?? 48 85 C0 74 11 8B 4C 24 40 EB 03 8B 4A 08 48 8B 47 30 48 8B 1C C8 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_233_0 {
	meta:
		name = "?Flush@?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVExternalContextBase@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 F0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_346_0 {
	meta:
		name = "?Pop@?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVExternalContextBase@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 F0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_235_0 {
	meta:
		name = "?FoundAvailableVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NAEAVClaimTicket@VirtualProcessor@23@Vlocation@3@K@Z"
		size = 400
		refs = "004c ?FindNodeByLocation@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingNode@23@PEAVlocation@3@@Z 008a ?FoundAvailableVirtualProcessor@SchedulingNode@details@Concurrency@@AEAA_NAEAVClaimTicket@VirtualProcessor@23@Vlocation@3@K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 41 8B 18 49 8B F0 41 B8 FF FF FF 0F 41 23 D8 45 8B E1 4C 8B EA 48 8B F9 83 FB 01 74 61 8D 43 FE 83 F8 01 0F 87 DC 00 00 00 48 8B D6 E8 ?? ?? ?? ?? 48 85 C0 0F 84 CB 00 00 00 48 8B 4E 08 33 1E 4C 8D 45 C8 48 89 4D D0 8B 4E 04 81 E3 FF FF FF 0F 33 1E 89 4D CC 48 8B 4E 10 48 89 4D D8 45 8B CC 49 8B D5 48 8B C8 89 5D C8 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 B0 01 E9 D5 00 00 00 44 8B 76 08 33 DB 49 C1 E6 05 4C 03 71 28 39 59 44 7E 74 45 33 FF 49 8B 46 08 8B CB 8B D3 48 C1 E9 05 83 E2 1F 8B 0C 88 0F A3 D1 73 4F 8B 4D B0 8B 06 45 8B CC 33 C1 49 8B D5 41 23 C0 33 C8 8B 06 33 C1 48 8B 4F 30 41 23 C0 4C 8D 45 B0 33 06 89 45 B0 48 8B 46 08 48 89 45 B8 8B 46 04 89 45 B4 48 8B 46 10 48 89 45 C0 4A 8B 0C 39 E8 ?? ?? ?? ?? 84 C0 75 83 41 B8 FF FF FF 0F FF C3 49 83 C7 08 3B 5F 44 7C 8F 33 DB 39 5F 44 7E 45 33 F6 48 8B 47 30 48 8B 0C 06 48 85 C9 74 2B 8B 41 30 85 C0 7E 24 0F 57 C0 33 C0 4C 8D 45 E0 45 8B CC 49 8B D5 89 45 E0 F3 0F 7F 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 85 31 FF FF FF FF C3 48 83 C6 08 3B 5F 44 7C BD 32 C0 4C 8D 5C 24 70 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_1369_236_0 {
	meta:
		name = "?FoundBlockedContexts@SchedulerBase@details@Concurrency@@AEAA_NXZ"
		size = 49
	strings:
		$1 = { 4C 8B 81 38 01 00 00 33 D2 4D 85 C0 74 20 49 8B 40 10 8A 88 70 01 00 00 84 C9 75 0B 49 8B 40 10 8B 48 60 85 C9 75 05 4D 8B 00 EB DD B2 01 8A C2 C3 }
	condition:
		$1
}

rule file_1369_237_0 {
	meta:
		name = "?FoundUnstartedChores@SchedulerBase@details@Concurrency@@AEAA_NXZ"
		size = 436
		refs = "00b3 ?HasRealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEBA_NXZ 00bf ?HasUnrealizedChores@ScheduleGroupSegmentBase@details@Concurrency@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 45 33 FF 40 32 ED 4C 8B F1 44 39 79 44 0F 8E 62 01 00 00 45 33 E4 49 8B 46 38 49 8B 1C 04 48 85 DB 0F 84 3D 01 00 00 8B 83 90 00 00 00 33 FF 85 C0 0F 8E 87 00 00 00 8B 4B 74 8B D7 D3 FA 3B 93 8C 00 00 00 7D 64 4C 63 8B 88 00 00 00 48 8B 83 80 00 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 43 70 FF C8 48 63 C8 48 63 C7 48 23 C8 49 8B 00 48 8B 34 C8 48 85 F6 74 18 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 1D 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 11 8B 83 90 00 00 00 FF C7 3B F8 7D 08 E9 7C FF FF FF 40 B5 01 40 84 ED 0F 85 AE 00 00 00 8B 83 10 01 00 00 33 FF 85 C0 0F 8E 8D 00 00 00 8B 8B F4 00 00 00 8B D7 D3 FA 3B 93 0C 01 00 00 7D 67 4C 63 8B 08 01 00 00 48 8B 83 00 01 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 83 F0 00 00 00 FF C8 48 63 C8 48 63 C7 48 23 C8 49 8B 00 48 8B 34 C8 48 85 F6 74 18 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 1D 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 11 8B 83 10 01 00 00 FF C7 3B F8 7D 08 E9 76 FF FF FF 40 B5 01 41 FF C7 49 83 C4 08 45 3B 7E 44 0F 8C A1 FE FF FF 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 40 8A C5 48 8B 6C 24 48 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1369_240_0 {
	meta:
		name = "?GetAnonymousScheduleGroupSegment@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@XZ"
		size = 18
		refs = "0005 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 40 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_242_0 {
	meta:
		name = "?GetBitSet@SchedulerBase@details@Concurrency@@QEAA?AVQuickBitSet@23@PEBVlocation@3@@Z"
		size = 300
		refs = "002e ?GetProcessorCount@Concurrency@@YAIXZ 004e ??_U@YAPEAX_K@Z 006b memset 00ab ?Find@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBIPEAI@Z 00f0 ?CopyFrom@QuickBitSet@details@Concurrency@@IEAAXAEBV123@@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 56 57 41 56 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 08 48 89 68 20 4D 8B F0 48 8B DA 48 8B E9 33 FF 89 78 D8 E8 ?? ?? ?? ?? 89 03 44 8D 48 1F 49 C1 E9 05 8D 47 04 49 F7 E1 48 8D 4F FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 43 08 44 8B 03 41 83 C0 1F 49 C1 E8 05 49 C1 E0 02 33 D2 48 8B C8 E8 ?? ?? ?? ?? 8D 77 01 89 74 24 20 41 8B 0E 81 E1 FF FF FF 0F 74 75 FF C9 74 54 FF C9 74 3E FF C9 0F 85 84 00 00 00 41 8B 46 08 89 44 24 58 48 8D 8D 48 02 00 00 4C 8D 44 24 60 48 8D 54 24 58 E8 ?? ?? ?? ?? 8B 4C 24 60 8B D1 48 C1 EA 05 48 8B 43 08 83 E1 1F D3 E6 09 34 90 EB 4E 41 8B 4E 08 48 8B 45 30 48 8B 14 C8 48 83 C2 10 EB 13 41 8B 4E 08 48 C1 E1 05 48 8B 55 28 48 83 C2 10 48 03 D1 48 8B CB E8 ?? ?? ?? ?? EB 1F 8B 03 83 C0 1F C1 E8 05 85 C0 74 13 8B C8 48 8B 43 08 83 0C 07 FF 48 8D 7F 04 48 2B CE 75 EF 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 68 48 83 C4 30 41 5E 5F 5E C3 CC }
	condition:
		$1
}

rule file_1369_243_0 {
	meta:
		name = "?dtor$0@?0??GetBitSet@SchedulerBase@details@Concurrency@@QEAA?AVQuickBitSet@23@PEBVlocation@3@@Z@4HA"
		size = 38
		refs = "001c ??1QuickBitSet@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 58 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_1369_244_0 {
	meta:
		name = "?GetDefaultScheduler@SchedulerBase@details@Concurrency@@CAPEAV123@XZ"
		size = 209
		refs = "0010 ?s_defaultSchedulerLock@SchedulerBase@details@Concurrency@@1V_NonReentrantLock@23@A 0030 ?_Sleep0@details@Concurrency@@YAXXZ 003f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0055 ?s_pDefaultScheduler@SchedulerBase@details@Concurrency@@1PEAV123@EA 005f ?SafeReference@SchedulerBase@details@Concurrency@@AEAA_NXZ 006f ??0SchedulerPolicy@Concurrency@@QEAA@_KZZ 0077 ?s_pDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@1PEAVSchedulerPolicy@3@EA 0086 ??4SchedulerPolicy@Concurrency@@QEAAAEAV01@AEBV01@@Z 0090 ?CreateWithoutInitializing@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z 009f ?Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ 00b7 ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 09 E8 ?? ?? ?? ?? 84 C0 75 54 33 D2 48 8D 4C 24 50 E8 ?? ?? ?? ?? 90 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0A 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B 01 FF 50 20 90 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_1369_248_0 {
	meta:
		name = "?GetDequeuedTaskCount@SchedulerBase@details@Concurrency@@QEAAIXZ"
		size = 21
	strings:
		$1 = { 8B 91 B0 02 00 00 8B C2 2B 81 B8 02 00 00 89 91 B8 02 00 00 C3 }
	condition:
		$1
}

rule file_1369_251_0 {
	meta:
		name = "?GetEnqueuedTaskCount@SchedulerBase@details@Concurrency@@QEAAIXZ"
		size = 21
	strings:
		$1 = { 8B 91 AC 02 00 00 8B C2 2B 81 B4 02 00 00 89 91 B4 02 00 00 C3 }
	condition:
		$1
}

rule file_1369_253_0 {
	meta:
		name = "?GetExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z"
		size = 128
		refs = "0028 __imp_InterlockedPopEntrySList 0041 ??2@YAPEAX_K@Z 0059 ??0ExternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z 0069 ?PrepareForUse@ExternalContextBase@details@Concurrency@@QEAAX_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 40 8A FA 48 8B F1 48 81 C1 00 03 00 00 FF 15 ?? ?? ?? ?? 4C 8D 40 F0 48 F7 D8 48 1B DB 49 23 D8 75 27 B9 20 01 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 11 44 8A C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 0B 40 8A D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1369_255_0 {
	meta:
		name = "?GetFirstAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z"
		size = 32
		refs = "0017 ?FindScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@HHPEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 48 8D 41 20 4C 8B CA 33 D2 44 8B 40 70 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1369_256_0 {
	meta:
		name = "?GetFirstNonAffineScheduleGroupSegment@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupSegmentBase@23@PEAH@Z"
		size = 35
		refs = "001a ?FindScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@HHPEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 48 8D 81 A0 00 00 00 4C 8B CA 33 D2 44 8B 40 70 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1369_257_0 {
	meta:
		name = "?GetFirstScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
		size = 31
		refs = "0016 ?FindScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@HHPEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C0 45 8B 40 70 4C 8B CA 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_1369_259_0 {
	meta:
		name = "?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z"
		size = 294
		refs = "003b __imp_InterlockedPopEntrySList 005b ?ThrottlingTime@SchedulerBase@details@Concurrency@@QEAAKK@Z 0066 ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ 00d0 ?AddContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z 00df ?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 20 8A DA 48 8B F9 84 D2 74 58 48 8B 01 FF 90 B0 00 00 00 84 C0 74 20 48 8D 8F 20 03 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 0F 85 C4 00 00 00 BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 8B F0 85 C0 74 18 E8 ?? ?? ?? ?? 2B 87 C0 02 00 00 3B C6 73 07 33 C0 E9 9B 00 00 00 32 DB F0 FF 87 78 02 00 00 84 DB 75 0C E8 ?? ?? ?? ?? 48 89 87 C0 02 00 00 48 8D 8F F0 02 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B DB 48 23 D9 48 89 5C 24 50 75 26 48 8B 07 48 8B CF FF 90 80 00 00 00 48 8B D8 48 89 44 24 50 48 8B D0 48 8B CF E8 ?? ?? ?? ?? F0 FF 87 70 02 00 00 48 8B CB E8 ?? ?? ?? ?? 48 C7 83 00 01 00 00 00 00 00 00 48 8B 8F 98 02 00 00 48 8B 01 48 8B D3 FF 50 10 90 EB 05 48 8B 5C 24 50 48 85 DB 74 08 83 63 34 00 83 63 38 00 48 8B C3 48 8B 5C 24 48 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1369_261_0 {
	meta:
		name = "__catch$?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z$0"
		size = 51
		refs = "001c __imp_InterlockedPushEntrySList 0028 $LN15"
	strings:
		$1 = { 48 8B 4D 40 F0 FF 89 78 02 00 00 48 8B 55 50 48 83 C2 20 48 81 C1 F0 02 00 00 FF 15 ?? ?? ?? ?? 48 83 65 50 00 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_1369_263_0 {
	meta:
		name = "?GetNewContextId@SchedulerBase@details@Concurrency@@QEAAIXZ"
		size = 16
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 81 20 02 00 00 FF C0 C3 }
	condition:
		$1
}

rule file_1369_264_0 {
	meta:
		name = "?GetNewScheduleGroupId@SchedulerBase@details@Concurrency@@QEAAIXZ"
		size = 16
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 81 24 02 00 00 FF C0 C3 }
	condition:
		$1
}

rule file_1369_268_0 {
	meta:
		name = "?GetNextPriorityObject@SchedulerBase@details@Concurrency@@QEAAPEAUBoostedObject@23@XZ"
		size = 130
		refs = "001d ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 006b ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B1 00 02 00 00 48 8B F9 48 8B CE E8 ?? ?? ?? ?? 48 8B 97 F8 01 00 00 48 85 D2 75 04 33 DB EB 36 48 8B 5A 08 48 3B D3 75 0A 48 83 A7 F8 01 00 00 00 EB 17 48 8B 43 08 48 89 50 10 4C 8B 87 F8 01 00 00 48 8B 53 08 49 89 50 08 48 85 DB 74 07 C7 43 18 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_270_0 {
	meta:
		name = "?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z"
		size = 64
	strings:
		$1 = { 4C 8B D2 41 8B 90 28 01 00 00 4C 8B C9 45 33 C0 8D 42 01 99 41 F7 79 44 49 8B 41 38 48 63 CA 48 8B 0C C8 8B 81 2C 01 00 00 85 C0 74 E3 49 8B 41 38 48 63 CA 48 8B 04 C8 49 3B C2 49 0F 44 C0 C3 }
	condition:
		$1
}

rule file_1369_271_0 {
	meta:
		name = "?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ"
		size = 58
	strings:
		$1 = { 8B 91 5C 02 00 00 48 8B 41 38 4C 8B C9 4C 8B 14 D0 49 8B 49 38 8D 42 01 99 41 F7 79 44 4C 63 C2 4E 8B 04 C1 41 8B 88 2C 01 00 00 85 C9 74 E2 41 89 91 5C 02 00 00 49 8B C2 C3 }
	condition:
		$1
}

rule file_1369_272_0 {
	meta:
		name = "?GetNextValidSchedulingRingIndex@SchedulerBase@details@Concurrency@@AEAAHH@Z"
		size = 36
	strings:
		$1 = { 44 8B C2 41 8D 40 01 99 F7 79 44 48 8B 41 38 4C 63 C2 4A 8B 14 C0 8B 82 2C 01 00 00 85 C0 74 E3 41 8B C0 C3 }
	condition:
		$1
}

rule file_1369_278_0 {
	meta:
		name = "?GetPolicy@SchedulerBase@details@Concurrency@@UEBA?AVSchedulerPolicy@3@XZ"
		size = 35
		refs = "0016 ??0SchedulerPolicy@Concurrency@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8D 51 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_1369_279_0 {
	meta:
		name = "?GetRealizedChore@SchedulerBase@details@Concurrency@@QEAAPEAVRealizedChore@23@P6AXPEAX@Z0@Z"
		size = 93
		refs = "0019 __imp_InterlockedPopEntrySList 0030 ??2@YAPEAX_K@Z 003c ??_7RealizedChore@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 81 C1 10 03 00 00 49 8B D8 48 8B FA FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 75 17 8D 48 30 E8 ?? ?? ?? ?? 48 85 C0 74 17 48 8D 0D ?? ?? ?? ?? 48 89 08 48 83 60 20 00 48 89 58 10 48 89 78 08 48 8B 5C 24 30 48 83 C4 20 5F C3 EB F3 }
	condition:
		$1
}

rule file_1369_283_0 {
	meta:
		name = "?GetRunnableContext@CacheLocalScheduleGroupSegment@details@Concurrency@@EEAAPEAVInternalContextBase@23@XZ"
		size = 100
		refs = "0026 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 004d ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
		altNames = "?GetRunnableContext@FairScheduleGroupSegment@details@Concurrency@@EEAAPEAVInternalContextBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B9 F0 01 00 00 33 F6 48 39 37 75 04 33 C0 EB 33 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B 0F 48 85 C9 74 16 48 8B 81 68 01 00 00 48 89 07 48 85 C0 75 04 48 89 7F 08 48 8B F1 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_286_0 {
	meta:
		name = "?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z"
		size = 162
		refs = "001d ?s_numExternalAllocators@SchedulerBase@details@Concurrency@@0JC 0034 ?s_subAllocatorFreePool@SchedulerBase@details@Concurrency@@0V?$LockFreeStack@VSubAllocator@details@Concurrency@@@23@A 003a __imp_InterlockedPopEntrySList 004c ??2@YAPEAX_K@Z 0064 ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0070 ??0AllocatorBucket@details@Concurrency@@QEAA@XZ 007e ??_L@YAXPEAX_KHP6AX0@Z2@Z"
	strings:
		$1 = { 40 57 48 83 EC 40 48 C7 44 24 30 FE FF FF FF 48 89 5C 24 50 40 8A F9 84 C9 74 16 8B 05 ?? ?? ?? ?? 83 F8 20 7C 04 33 C0 EB 6D F0 FF 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 47 B9 20 06 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 58 48 85 C0 74 2E 48 8D 48 10 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 4C 8D 0D ?? ?? ?? ?? BA 10 00 00 00 44 8D 42 50 E8 ?? ?? ?? ?? C6 83 10 06 00 00 00 EB 02 33 DB 40 88 BB 10 06 00 00 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1369_288_0 {
	meta:
		name = "?GetValidSchedulingRingIndex@SchedulerBase@details@Concurrency@@AEAAHH@Z"
		size = 56
	strings:
		$1 = { 48 8B 41 38 4C 63 C2 4C 8B C9 4A 8B 14 C0 8B 82 2C 01 00 00 85 C0 75 1C 41 8D 40 01 99 41 F7 79 44 49 8B 41 38 4C 63 C2 4A 8B 0C C0 8B 81 2C 01 00 00 EB E0 41 8B C0 C3 }
	condition:
		$1
}

rule file_1369_290_0 {
	meta:
		name = "?Grow@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAXI@Z"
		size = 160
		refs = "0023 ?Grow@QuickBitSet@details@Concurrency@@QEAAXI@Z 003e ??_U@YAPEAX_K@Z 0079 memset 0082 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 8B 39 8B DA 48 8B F1 3B D7 74 6A 8B D3 E8 ?? ?? ?? ?? 48 C7 C1 FF FF FF FF B8 04 00 00 00 48 F7 E3 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 45 33 C9 4C 8B F0 85 FF 74 1D 4C 8B C0 8B C7 48 8B 4E 10 41 8B 14 09 4D 8D 49 04 41 89 10 4D 8D 40 04 48 FF C8 75 E8 2B DF 49 8D 0C BE 33 D2 44 8B C3 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8B 4E 10 E8 ?? ?? ?? ?? 4C 89 76 10 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1369_291_0 {
	meta:
		name = "?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ"
		size = 19
	strings:
		$1 = { 8B 91 7C 02 00 00 B9 00 00 00 A0 23 D1 3B D1 0F 94 C0 C3 }
	condition:
		$1
}

rule file_1369_298_0 {
	meta:
		name = "?InFinalizationSweep@SchedulerBase@details@Concurrency@@QEAA_NXZ"
		size = 19
	strings:
		$1 = { 8B 91 7C 02 00 00 B9 00 00 00 C0 23 D1 3B D1 0F 94 C0 C3 }
	condition:
		$1
}

rule file_1369_302_0 {
	meta:
		name = "?Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 1286
		refs = "003b ?CreateResourceManager@Concurrency@@YAPEAUIResourceManager@1@XZ 0047 ?GetSchedulerId@Concurrency@@YAIXZ 0052 ?GetProcessorNodeCount@Concurrency@@YAIXZ 005a ?__GetNumaHighestNodeNumber@platform@details@Concurrency@@YAKXZ 008a ??_U@YAPEAX_K@Z 00a0 ??1NumaInformation@SchedulerBase@details@Concurrency@@QEAA@XZ 00ac ??0NumaInformation@SchedulerBase@details@Concurrency@@QEAA@XZ 00ba ??_L@YAXPEAX_KHP6AX0@Z2@Z 010a memset 013d ?GetProcessorCount@Concurrency@@YAIXZ 0162 ?Grow@QuickBitSet@details@Concurrency@@QEAAXI@Z 026f ?Insert@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBI0@Z 02d8 ??2@YAPEAX_K@Z 02ef ??0SchedulingRing@details@Concurrency@@QEAA@PEAVSchedulerBase@12@H@Z 031d ??0SchedulingNode@details@Concurrency@@QEAA@AEBVQuickBitSet@12@KPEAVSchedulingRing@12@@Z 0397 ??_V@YAXPEAX@Z 03b7 ?Grow@ReferenceCountedQuickBitSet@details@Concurrency@@QEAAXI@Z 045c ?GetValidSchedulingRingIndex@SchedulerBase@details@Concurrency@@AEAAHH@Z 0481 __crtCreateSemaphoreExW 0493 __imp_GetLastError 04aa ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 04b1 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 04ba _CxxThrowException 04d4 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 04ee ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E1 48 81 EC B8 00 00 00 48 C7 45 E7 FE FF FF FF 48 8B F9 45 33 E4 44 89 A1 A4 02 00 00 44 89 61 1C 44 89 61 44 E8 ?? ?? ?? ?? 48 89 87 90 02 00 00 E8 ?? ?? ?? ?? 89 87 58 02 00 00 E8 ?? ?? ?? ?? 89 47 44 E8 ?? ?? ?? ?? FF C0 89 47 40 48 63 F0 45 8D 74 24 20 41 8B C6 48 F7 E6 4D 8D 7C 24 FF 49 0F 40 C7 45 8D 6C 24 08 49 03 C5 49 0F 42 C7 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 77 48 85 C0 74 29 89 30 48 8D 58 08 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 4C 8D 0D ?? ?? ?? ?? 44 8B C6 41 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 03 49 8B DC 48 89 5F 28 48 63 4F 44 49 8B C5 48 F7 E1 49 0F 40 C7 48 8B C8 E8 ?? ?? ?? ?? 48 89 47 38 48 63 4F 44 49 8B C5 48 F7 E1 49 0F 40 C7 48 8B C8 E8 ?? ?? ?? ?? 48 89 47 30 4C 63 47 44 49 C1 E0 03 33 D2 48 8B 4F 38 E8 ?? ?? ?? ?? 4C 63 47 44 49 C1 E0 03 33 D2 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8B 07 48 8B CF FF 50 48 48 89 87 30 01 00 00 80 48 50 04 41 8B F4 44 89 65 77 E8 ?? ?? ?? ?? 44 8B F8 89 45 AB 45 8B F4 44 39 67 40 7E 32 49 63 DE 48 C1 E3 05 48 8B 4F 28 48 03 CB 8B 57 44 E8 ?? ?? ?? ?? 48 8B 4F 28 48 83 C1 10 48 03 CB 41 8B D7 E8 ?? ?? ?? ?? 41 FF C6 44 3B 77 40 7C CE 48 8B 8F 90 02 00 00 48 8B 01 FF 50 20 48 8B D8 48 89 45 C7 48 85 C0 0F 84 11 02 00 00 45 8D 67 1F 49 C1 EC 05 4C 89 65 BF 44 89 7D CF B8 04 00 00 00 49 F7 E4 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 D7 44 8B 45 CF 41 83 C0 1F 49 C1 E8 05 49 C1 E0 02 33 D2 48 8B C8 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B CB FF 50 08 44 8B E8 44 89 6D 7F 48 8B 13 48 8B CB FF 52 10 89 45 B7 8B D0 48 C1 E2 05 48 89 55 AF 48 8B 4F 28 4C 89 6D DF 45 8B CD 49 C1 E9 05 4C 8B 44 0A 08 41 8B CD 83 E1 1F BA 01 00 00 00 D3 E2 43 09 14 88 89 75 A7 48 8B 03 48 8B CB FF 50 20 4C 8B F0 4C 8B F8 48 85 C0 0F 84 83 00 00 00 48 8B 5D AF 49 8B 07 49 8B CF FF 50 08 89 45 6F 4C 8D 45 7F 48 8D 55 6F 48 8D 8F 38 02 00 00 E8 ?? ?? ?? ?? 4C 8D 45 77 48 8D 55 6F 48 8D 8F 48 02 00 00 E8 ?? ?? ?? ?? 8B CE 83 E1 1F 41 B9 01 00 00 00 41 D3 E1 44 8B C6 49 C1 E8 05 48 8B 45 D7 46 09 0C 80 48 8B 47 28 48 8B 54 03 18 46 09 0C 82 FF C6 89 75 77 49 8B 07 49 8B CF FF 10 4C 8B F8 48 85 C0 75 8D 48 8B 5D C7 4C 8B 65 BF 44 8B 6D 7F B9 30 01 00 00 E8 ?? ?? ?? ?? 48 89 45 AF 48 85 C0 74 13 45 8B C5 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 EB 03 45 33 ED B9 D0 00 00 00 E8 ?? ?? ?? ?? 48 89 45 AF 48 85 C0 74 18 4D 8B CD 44 8B 45 B7 48 8D 55 CF 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 EB 03 45 33 FF 4D 89 7D 08 4D 85 F6 74 3D 8B 7D A7 89 7D 97 49 8B 06 49 8B CE FF 50 08 89 45 9F 4C 8D 45 97 48 8D 55 9F 49 8D 4F 20 E8 ?? ?? ?? ?? FF C7 49 8B 06 49 8B CE FF 10 4C 8B F0 48 85 C0 75 CE 48 8B 7D 67 4C 8B 65 BF 48 8B 47 38 48 8B 4D DF 4C 89 2C C8 48 8B 47 30 4C 89 3C C8 48 8B 03 48 8B CB FF 10 48 8B D8 48 89 45 C7 48 8B 4D D7 E8 ?? ?? ?? ?? 48 85 DB 44 8B 7D AB 0F 85 03 FE FF FF 45 33 E4 45 8D 6C 24 08 48 8D 4F 60 8B D6 E8 ?? ?? ?? ?? 48 8D 4F 78 8B D6 E8 ?? ?? ?? ?? 48 8D 8F 90 00 00 00 8B D6 E8 ?? ?? ?? ?? 48 8D 4F 48 8B D6 E8 ?? ?? ?? ?? C1 E6 04 8B DE 49 8B C5 48 F7 E3 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 87 A0 00 00 00 85 F6 74 16 49 8B CC 48 8B 87 A0 00 00 00 4C 89 24 01 49 03 CD 48 FF CB 75 ED 48 8B 87 90 02 00 00 48 8B 18 48 8B 07 48 8B CF FF 50 68 48 8B D0 41 B8 00 00 01 00 48 8B 8F 90 02 00 00 FF 53 10 48 89 87 98 02 00 00 4C 8B 00 33 D2 48 8B C8 41 FF 10 33 D2 48 8B CF E8 ?? ?? ?? ?? 89 87 5C 02 00 00 C7 44 24 28 03 00 1F 00 44 89 64 24 20 45 33 C9 33 D2 33 C9 41 B8 FF FF FF 7F E8 ?? ?? ?? ?? 48 89 87 60 02 00 00 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4D EF E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D EF E8 ?? ?? ?? ?? CC 48 8B 07 48 8B CF FF 90 98 00 00 00 44 8B 87 58 02 00 00 8A 05 ?? ?? ?? ?? 3C 04 72 16 8B 05 ?? ?? ?? ?? A8 01 74 0C B2 04 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_1369_308_0 {
	meta:
		name = "?Insert@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBI0@Z"
		size = 212
		refs = "007f ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B D9 4D 8B F0 48 8B FA 33 C9 49 B9 25 23 22 84 E4 9C F2 CB 0F B6 04 39 48 BA B3 01 00 00 00 01 00 00 48 FF C1 4C 33 C8 4C 0F AF CA 48 83 F9 04 72 E2 48 63 0B 33 D2 49 8B C1 48 F7 F1 48 8B 43 08 48 63 F2 48 8B 0C F0 48 85 C9 74 0F 8B 07 39 41 08 74 0A 48 8B 09 48 85 C9 75 F3 33 C9 48 85 C9 75 43 B9 10 00 00 00 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 13 48 83 20 00 8B 07 41 89 40 08 41 8B 06 41 89 40 0C EB 03 45 33 C0 48 8B 4B 08 49 8B C0 48 8B 14 F1 49 89 10 48 8B 4B 08 4C 89 04 F1 FF 43 04 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_1369_309_0 {
	meta:
		name = "?InternalCreateScheduleGroup@SchedulerBase@details@Concurrency@@AEAAPEAVScheduleGroup@3@PEAVlocation@3@@Z"
		size = 265
		refs = "002e __imp_InterlockedPopEntrySList 004e ??2@YAPEAX_K@Z 0069 ??0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@PEAVlocation@2@@Z 0070 ??_7CacheLocalScheduleGroup@details@Concurrency@@6B@ 00c3 ??_7FairScheduleGroup@details@Concurrency@@6B@ 00e2 ?Initialize@ScheduleGroupBase@details@Concurrency@@QEAAXPEAVlocation@3@@Z 00ed ?Add@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAAHPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B F2 48 8B F9 48 8D A9 B0 00 00 00 48 8B CD FF 15 ?? ?? ?? ?? 48 85 C0 75 04 33 DB EB 04 48 8D 58 A0 83 7F 14 00 75 41 48 85 DB 75 37 8D 4B 70 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 50 48 85 C0 74 1E 4C 8B C6 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 C6 43 50 01 EB 02 33 DB EB 65 48 8B D6 EB 58 83 64 24 28 00 0F 57 C0 F3 0F 7F 44 24 30 48 85 DB 75 40 B9 80 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 50 48 85 C0 74 25 4C 8D 44 24 28 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 63 70 00 C6 43 50 02 EB 02 33 DB EB 0D 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1369_313_0 {
	meta:
		name = "?InternalRelease@ScheduleGroupBase@details@Concurrency@@IEAAJXZ"
		size = 80
		refs = "003b ?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F6 41 50 04 48 8B D9 75 30 83 CF FF F0 0F C1 79 28 FF CF 75 20 48 8B 11 FF 52 38 48 8B 4B 08 44 8B 43 2C 48 81 C1 B0 00 00 00 41 B1 01 48 8B D3 E8 ?? ?? ?? ?? 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_316_0 {
	meta:
		name = "?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
		size = 37
		refs = "0021 ?InvokeOnSafePoint@SchedulerBase@details@Concurrency@@AEAAXPEAVSafePointInvocation@23@@Z"
	strings:
		$1 = { 41 8B 81 7C 02 00 00 0F BA E0 1D 73 06 49 8B C8 48 FF E2 48 89 11 4C 89 41 08 48 8B D1 49 8B C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_317_0 {
	meta:
		name = "?InvokeOnSafePoint@SchedulerBase@details@Concurrency@@AEAAXPEAVSafePointInvocation@23@@Z"
		size = 119
		refs = "0020 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0073 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B1 18 02 00 00 48 8B D9 48 8B FA 48 8B CE E8 ?? ?? ?? ?? B9 01 00 00 00 44 8B C1 F0 44 0F C1 83 28 02 00 00 44 03 C1 41 8D 40 01 A9 FE FF FF FF 74 E6 44 89 47 10 48 8D 57 18 48 8B CE 48 83 22 00 48 8B 83 10 02 00 00 48 89 38 48 89 93 10 02 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_318_0 {
	meta:
		name = "?IsActive@ExternalStatistics@details@Concurrency@@QEAA_NXZ"
		size = 33
	strings:
		$1 = { 8B 41 30 33 D2 85 C0 75 10 8B 41 28 39 41 20 75 08 8B 41 2C 39 41 24 74 05 BA 01 00 00 00 8A C2 C3 }
	condition:
		$1
}

rule file_1369_320_0 {
	meta:
		name = "?IsAvailableLocation@SchedulerBase@details@Concurrency@@UEBA_NAEBVlocation@3@@Z"
		size = 99
		refs = "0016 ?GetBitSet@SchedulerBase@details@Concurrency@@QEAA?AVQuickBitSet@23@PEBVlocation@3@@Z 004f ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 4C 8B C2 48 8D 54 24 20 48 8B F9 E8 ?? ?? ?? ?? 44 8B 4C 24 20 48 8B 4C 24 28 41 83 C1 1F 33 DB 45 33 C0 41 C1 E9 05 45 85 C9 74 18 85 DB 75 14 42 8B 1C 81 48 8B 47 50 42 23 1C 80 41 FF C0 45 3B C1 72 E8 E8 ?? ?? ?? ?? 85 DB 48 8B 5C 24 40 0F 95 C0 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1369_330_0 {
	meta:
		name = "?MarkSafePoint@SchedulerBase@details@Concurrency@@QEAA_NPEAVSafePointMarker@23@@Z"
		size = 24
	strings:
		$1 = { 8B 81 28 02 00 00 39 02 74 0B 8B 81 28 02 00 00 89 02 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_1369_335_0 {
	meta:
		name = "?Next@?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@SAPEAVExternalContextBase@23@PEAV423@@Z"
		size = 18
	strings:
		$1 = { 48 8B 41 10 48 8D 48 F0 48 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_1369_336_0 {
	meta:
		name = "?Next@?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@SAPEAVRealizedChore@23@PEAV423@@Z"
		size = 18
	strings:
		$1 = { 48 8B 41 20 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_1369_338_0 {
	meta:
		name = "?NotifyResource@SchedulingNode@details@Concurrency@@QEAAXII@Z"
		size = 36
		refs = "001b ?Insert@?$Hash@II@details@Concurrency@@QEAAPEAUListNode@123@AEBI0@Z"
	strings:
		$1 = { 48 8B C4 44 89 40 18 89 50 10 48 83 EC 28 4C 8D 40 18 48 8D 50 10 48 83 C1 20 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_339_0 {
	meta:
		name = "?NotifyThrottledContext@SchedulerBase@details@Concurrency@@AEAA_NPEAVInternalContextBase@23@@Z"
		size = 159
		refs = "0033 ?FoundAvailableVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NAEAVClaimTicket@VirtualProcessor@23@Vlocation@3@K@Z 0052 ?ExerciseWith@ClaimTicket@VirtualProcessor@details@Concurrency@@QEAA_NPEAVInternalContextBase@34@@Z 0065 __imp_InterlockedPushEntrySList 0079 ?ExerciseClaim@VirtualProcessor@details@Concurrency@@AEAA_NW4AvailabilityType@123@PEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 83 64 24 20 00 33 C0 48 8B DA 0F 57 C0 4C 8D 44 24 30 48 8D 54 24 20 F3 0F 7F 44 24 38 44 8D 48 0C 48 8B F9 89 44 24 30 E8 ?? ?? ?? ?? 84 C0 74 46 83 7C 24 20 02 74 16 83 7C 24 20 08 74 0F 48 8D 4C 24 20 48 8B D3 E8 ?? ?? ?? ?? EB 25 48 8D 53 20 48 8D 8F 20 03 00 00 FF 15 ?? ?? ?? ?? 8B 54 24 20 48 8B 4C 24 28 45 33 C9 45 33 C0 E8 ?? ?? ?? ?? B0 01 EB 13 48 8D 53 20 48 8D 8F 20 03 00 00 FF 15 ?? ?? ?? ?? 32 C0 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1369_340_0 {
	meta:
		name = "?ObservedVersion@SchedulerBase@details@Concurrency@@AEAAKK@Z"
		size = 17
	strings:
		$1 = { 44 8B 81 2C 02 00 00 83 C8 FF 41 3B D0 0F 43 C2 C3 }
	condition:
		$1
}

rule file_1369_341_0 {
	meta:
		name = "?OneShotStaticConstruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 29
		refs = "0005 ?_Initialize@_SpinCount@details@Concurrency@@SAXXZ 000a ?__TlsAlloc@platform@details@Concurrency@@YAKXZ 0010 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0019 ?OneShotStaticConstruction@UMSThreadScheduler@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_342_0 {
	meta:
		name = "?OneShotStaticDestruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 32
		refs = "0005 ?OneShotStaticDestruction@UMSThreadScheduler@details@Concurrency@@SAXXZ 000b ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0010 ?__TlsFree@platform@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_343_0 {
	meta:
		name = "?PerformServiceScan@SchedulerBase@details@Concurrency@@AEAAX_K@Z"
		size = 726
		refs = "003e ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 007a ?FindScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@HHPEAHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z 010d ?GetNextScheduleGroupSegment@SchedulingRing@details@Concurrency@@AEAAPEAVScheduleGroupSegmentBase@23@PEAHHPEAV?$ListArray@VScheduleGroupSegmentBase@details@Concurrency@@@23@@Z 027e ?FindVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@HHPEAH@Z 02d2 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B FA 48 8B D9 0F 0D 89 88 02 00 00 48 8B 81 88 02 00 00 F0 48 0F B1 B9 88 02 00 00 75 EE 4C 8D B9 00 02 00 00 49 8B CF E8 ?? ?? ?? ?? 45 33 F6 44 39 73 44 0F 8E 6B 02 00 00 45 33 E4 48 8B 43 38 4C 8D 4C 24 70 33 D2 49 8B 2C 04 48 8B 43 30 4D 8B 2C 04 48 8D 75 20 48 8B CD 44 8B 46 70 48 89 74 24 20 E8 ?? ?? ?? ?? E9 8E 00 00 00 8B CF 2B 88 B8 01 00 00 81 F9 D0 07 00 00 76 6B 83 B8 D8 01 00 00 01 75 62 C7 80 D8 01 00 00 02 00 00 00 48 8D 90 C0 01 00 00 48 8B 83 F8 01 00 00 48 85 C0 75 18 48 89 93 F8 01 00 00 48 89 52 10 48 8B 83 F8 01 00 00 48 89 40 08 EB 2D 48 8B 40 08 48 89 42 08 48 8B 83 F8 01 00 00 48 89 42 10 48 8B 83 F8 01 00 00 48 8B 48 08 48 89 51 10 48 8B 83 F8 01 00 00 48 89 50 08 48 8D 54 24 70 4C 8B CE 45 33 C0 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 0F 85 69 FF FF FF 48 8D B5 A0 00 00 00 4C 8D 4C 24 70 33 D2 44 8B 46 70 48 8B CD 48 89 74 24 20 E8 ?? ?? ?? ?? E9 8E 00 00 00 8B CF 2B 88 B8 01 00 00 81 F9 D0 07 00 00 76 6B 83 B8 D8 01 00 00 01 75 62 C7 80 D8 01 00 00 02 00 00 00 48 8D 90 C0 01 00 00 48 8B 83 F8 01 00 00 48 85 C0 75 18 48 89 93 F8 01 00 00 48 89 52 10 48 8B 83 F8 01 00 00 48 89 40 08 EB 2D 48 8B 40 08 48 89 42 08 48 8B 83 F8 01 00 00 48 89 42 10 48 8B 83 F8 01 00 00 48 8B 48 08 48 89 51 10 48 8B 83 F8 01 00 00 48 89 50 08 48 8D 54 24 70 4C 8B CE 45 33 C0 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 0F 85 69 FF FF FF 45 8B 85 C0 00 00 00 33 D2 E9 AD 00 00 00 8B CF 2B 88 38 01 00 00 81 F9 D0 07 00 00 76 6B 83 B8 60 01 00 00 01 75 62 C7 80 60 01 00 00 02 00 00 00 48 8D 90 48 01 00 00 48 8B 83 F8 01 00 00 48 85 C0 75 18 48 89 93 F8 01 00 00 48 89 52 10 48 8B 83 F8 01 00 00 48 89 40 08 EB 2D 48 8B 40 08 48 89 42 08 48 8B 83 F8 01 00 00 48 89 42 10 48 8B 83 F8 01 00 00 48 8B 48 08 48 89 51 10 48 8B 83 F8 01 00 00 48 89 50 08 8B 94 24 80 00 00 00 FF C2 85 D2 7E 22 45 8B 85 C0 00 00 00 4C 8D 8C 24 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 33 D2 48 85 C0 0F 85 56 FF FF FF 45 33 C0 4C 8D 8C 24 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 85 C0 0F 85 3A FF FF FF 41 FF C6 49 83 C4 08 44 3B 73 44 0F 8C 98 FD FF FF 49 8B CF 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_344_0 {
	meta:
		name = "?PhaseOneShutdown@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 210
		refs = "000d ?s_pDefaultScheduler@SchedulerBase@details@Concurrency@@1PEAV123@EA 001f ?s_defaultSchedulerLock@SchedulerBase@details@Concurrency@@1V_NonReentrantLock@23@A 002a ?_Sleep0@details@Concurrency@@YAXXZ 003d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00b2 ?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ 00c3 ?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 39 0D ?? ?? ?? ?? 48 8B D9 75 55 B8 01 00 00 00 33 FF 87 05 ?? ?? ?? ?? 85 C0 74 29 48 8D 05 ?? ?? ?? ?? 89 7C 24 28 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 48 8B 05 ?? ?? ?? ?? 48 3B C3 48 0F 44 C7 48 89 05 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 8B 83 70 02 00 00 83 F8 01 7E 40 8B 93 7C 02 00 00 41 B8 00 00 00 80 8B CA 8B C2 41 0B C8 F0 0F B1 8B 7C 02 00 00 74 13 8B C8 8B D0 41 0B C8 F0 0F B1 8B 7C 02 00 00 3B C2 75 ED F7 C2 FF FF FF 1F 75 08 48 8B CB E8 ?? ?? ?? ?? F0 FF 8B 70 02 00 00 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1369_345_0 {
	meta:
		name = "?PhaseTwoShutdown@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 192
		refs = "000f ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0014 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 002a ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 004a ?CommitToVersion@SchedulerBase@details@Concurrency@@AEAAXK@Z 008f __imp_ReleaseSemaphore 00b1 ?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 1B 80 B8 88 00 00 00 00 75 12 48 8B C8 E8 ?? ?? ?? ?? 48 3B C3 75 05 40 32 FF EB 0C BF 01 00 00 00 F0 01 BB 70 02 00 00 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 90 A8 00 00 00 8B 83 7C 02 00 00 8B C8 44 8B C0 0F BA F1 1E 0F BA E9 1D F0 0F B1 8B 7C 02 00 00 41 3B C0 75 E6 25 FF FF FF 1F 7E 12 48 8B 8B 60 02 00 00 45 33 C0 8B D0 FF 15 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 90 A0 00 00 00 40 84 FF 74 11 F0 FF 8B 70 02 00 00 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_350_0 {
	meta:
		name = "?PublishNewDataVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
		size = 33
	strings:
		$1 = { 41 B8 01 00 00 00 41 8B D0 F0 0F C1 91 28 02 00 00 41 03 D0 8D 42 01 A9 FE FF FF FF 74 E8 8B C2 C3 }
	condition:
		$1
}

rule file_1369_351_0 {
	meta:
		name = "?PullFromFreePool@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
		size = 24
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 85 C0 74 04 48 83 C0 A0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_352_0 {
	meta:
		name = "?Push@?$LockFreePushStack@VContextNode@SchedulerBase@details@Concurrency@@@details@Concurrency@@QEAAXPEAVContextNode@SchedulerBase@23@@Z"
		size = 17
	strings:
		$1 = { 0F 0D 09 48 8B 01 48 89 02 F0 48 0F B1 11 75 F3 C3 }
	condition:
		$1
}

rule file_1369_357_0 {
	meta:
		name = "?PushRunnableToInactive@SchedulerBase@details@Concurrency@@UEAA_NPEAVInternalContextBase@23@Vlocation@3@@Z"
		size = 207
		refs = "0031 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0036 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0040 ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0096 ?FoundAvailableVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NAEAVClaimTicket@VirtualProcessor@23@Vlocation@3@K@Z 00a7 ?ExerciseWith@ClaimTicket@VirtualProcessor@details@Concurrency@@QEAA_NPEAVInternalContextBase@34@@Z 00ae ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 33 DB 4D 8B F0 48 8B FA 48 8B E9 48 8D 72 10 48 85 D2 75 02 8B F3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 3B C6 74 73 E8 ?? ?? ?? ?? 8B 4C 24 30 41 8B 06 33 C1 BA FF FF FF 0F 4C 8D 44 24 30 23 C2 41 B9 05 00 00 00 89 5C 24 20 33 C8 41 8B 06 33 C1 48 8B CD 23 C2 48 8D 54 24 20 41 33 06 89 44 24 30 49 8B 46 08 48 89 44 24 38 41 8B 46 04 89 44 24 34 49 8B 46 10 48 89 44 24 40 E8 ?? ?? ?? ?? 84 C0 74 0F 48 8D 4C 24 20 48 8B D7 E8 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 8A C3 48 8B 5C 24 60 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_1369_360_0 {
	meta:
		name = "?Reference@SchedulerBase@details@Concurrency@@UEAAIXZ"
		size = 139
		refs = "002e ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0033 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0049 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 0056 ?Resurrect@SchedulerBase@details@Concurrency@@AEAAXXZ 0075 ??0improper_scheduler_reference@Concurrency@@QEAA@XZ 007c _TI2?AVimproper_scheduler_reference@Concurrency@@ 0086 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 B9 01 00 00 00 8B F9 F0 0F C1 BB 68 02 00 00 03 F9 3B F9 75 40 8B 83 74 02 00 00 85 C0 7E 30 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 33 80 B8 88 00 00 00 00 75 2A 48 8B C8 E8 ?? ?? ?? ?? 48 3B C3 75 1D 48 8B CB E8 ?? ?? ?? ?? EB 06 87 8B 74 02 00 00 8B C7 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1369_362_0 {
	meta:
		name = "?RegisterShutdownEvent@SchedulerBase@details@Concurrency@@UEAAXPEAX@Z"
		size = 345
		refs = "002b __imp_GetCurrentProcess 005a __imp_DuplicateHandle 006c ??2@YAPEAX_K@Z 0087 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00d4 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00ec __imp_GetLastError 0104 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 010b _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0115 _CxxThrowException 011d ??_C@_0M@IAPOLKMH@eventObject?$AA@ 0137 ??0exception@std@@QEAA@AEBQEBD@Z 013e ??_7invalid_argument@std@@6B@ 0145 _TI3?AVinvalid_argument@std@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 57 48 83 EC 60 48 8D 42 FF 48 8B FA 48 8B F1 48 83 F8 FD 0F 87 F7 00 00 00 48 83 64 24 78 00 FF 15 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? C7 44 24 30 02 00 00 00 83 64 24 28 00 83 64 24 20 00 4C 8D 4C 24 78 48 8B C8 4C 8B C3 48 8B D7 FF 15 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 78 48 8D 9E 48 01 00 00 48 89 48 10 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B 86 40 01 00 00 48 85 C0 75 09 48 89 3F 48 89 7F 08 EB 29 48 8B 00 48 89 07 48 8B 86 40 01 00 00 48 89 47 08 48 8B 86 40 01 00 00 48 8B 08 48 89 79 08 48 8B 86 40 01 00 00 48 89 38 48 8B CB 48 89 BE 40 01 00 00 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 28 49 8B E3 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 40 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 48 89 44 24 40 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1369_364_0 {
	meta:
		name = "?Release@ScheduleGroupBase@details@Concurrency@@UEAAIXZ"
		size = 80
		refs = "003b ?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F6 41 50 04 48 8B F9 75 2E 83 CB FF F0 0F C1 59 28 FF CB 75 24 48 8B 01 FF 50 38 48 8B 4F 08 44 8B 47 2C 48 81 C1 B0 00 00 00 41 B1 01 48 8B D7 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_365_0 {
	meta:
		name = "?Release@SchedulerBase@details@Concurrency@@UEAAIXZ"
		size = 34
		refs = "0016 ?PhaseOneShutdown@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 CB FF F0 0F C1 99 68 02 00 00 FF CB 75 05 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_366_0 {
	meta:
		name = "?ReleaseExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@@Z"
		size = 107
		refs = "0021 __imp_QueryDepthSList 0035 ?RemoveFromUse@ExternalContextBase@details@Concurrency@@QEAAXXZ 0042 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B1 00 03 00 00 48 8B D9 48 8B FA 48 8B CE FF 15 ?? ?? ?? ?? 44 0F B7 C0 8B 43 1C 44 3B C0 7D 17 48 8B CF E8 ?? ?? ?? ?? 48 8D 57 10 48 8B CE FF 15 ?? ?? ?? ?? EB 13 48 85 FF 74 0E 48 8B 07 BA 01 00 00 00 48 8B CF FF 50 28 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_368_0 {
	meta:
		name = "?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@_N@Z"
		size = 69
		refs = "0041 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 45 84 C0 74 0D 48 8B 89 98 02 00 00 48 8B 01 FF 50 18 F0 FF 8B 78 02 00 00 48 8D 57 20 48 8D 8B F0 02 00 00 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_369_0 {
	meta:
		name = "?ReleaseRealizedChore@SchedulerBase@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z"
		size = 101
		refs = "0021 __imp_QueryDepthSList 003d __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B1 10 03 00 00 48 8B D9 48 8B FA 48 8B CE FF 15 ?? ?? ?? ?? 44 0F B7 C0 8B 43 1C C1 E0 05 44 3B C0 7D 0F 48 8D 57 20 48 8B CE FF 15 ?? ?? ?? ?? EB 12 48 85 FF 74 0D 48 8B 07 BA 01 00 00 00 48 8B CF FF 10 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_370_0 {
	meta:
		name = "?ReleaseReservedContexts@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 139
		refs = "0023 __imp_InterlockedPopEntrySList 005a __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D B1 20 03 00 00 48 8B F9 48 8B CE FF 15 ?? ?? ?? ?? 48 8D 50 E0 48 F7 D8 48 1B DB 48 23 DA 74 40 48 8B 8F 98 02 00 00 48 8B D3 48 8B 01 FF 50 18 F0 FF 8F 78 02 00 00 48 8D 53 20 48 8D 8F F0 02 00 00 FF 15 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B DB 48 23 D9 75 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_371_0 {
	meta:
		name = "?ReleaseSuspendedVirtualProcessors@SchedulerBase@details@Concurrency@@AEAAXJ@Z"
		size = 29
		refs = "0014 __imp_ReleaseSemaphore"
	strings:
		$1 = { 48 83 EC 28 85 D2 7E 10 48 8B 89 60 02 00 00 45 33 C0 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_373_0 {
	meta:
		name = "?Remove@?$List@UBoostedObject@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAUBoostedObject@23@@Z"
		size = 50
		altNames = "?UnlockedRemove@?$SafeRWList@UBoostedObject@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUBoostedObject@23@@Z"
	strings:
		$1 = { 4C 8B 42 08 48 8B 42 10 49 89 40 10 48 8B 42 08 4C 8B 42 10 49 89 40 08 48 8B 01 48 3B D0 75 11 48 3B 40 08 75 04 33 C0 EB 04 48 8B 40 10 48 89 01 C3 }
	condition:
		$1
}

rule file_1369_374_0 {
	meta:
		name = "?Remove@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVExternalStatistics@23@H_N@Z"
		size = 399
		refs = "00b1 __imp_QueryDepthSList 00ce __imp_InterlockedPushEntrySList 010b __imp_InterlockedFlushSList 0145 ??3@YAXPEAX@Z 015a ?CheckForDeletionBridge@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 0166 ?InvokeOnSafePoint@SchedulerBase@details@Concurrency@@AEAAXPEAVSafePointInvocation@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 30 48 8B D9 8B 49 54 41 BE 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B EA 45 2B DE 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D 3F 01 00 00 48 8B 43 60 44 3B 53 68 7C 1E 44 2B 53 68 48 63 4B 68 4C 8B 44 C8 F8 78 16 41 8D 4A 01 4D 8B 40 08 49 2B CE 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 6C 24 50 49 63 CB 48 8B 44 24 50 33 FF F0 48 0F B1 3C CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 E0 00 00 00 8D 47 FE F0 45 0F B1 58 10 45 84 C9 0F 84 C9 00 00 00 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 55 10 0F B7 C0 3B 43 74 0F 8E A7 00 00 00 48 8D 73 10 48 8B CE FF 15 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 0F B7 C0 3B 43 74 0F 8E 8E 00 00 00 48 8B 43 48 BD 00 00 00 A0 8B 90 7C 02 00 00 23 D5 3B D5 74 79 33 C0 F0 44 0F B1 73 78 75 6F 48 8B CE FF 15 ?? ?? ?? ?? 48 8B 4B 48 48 8D 53 28 48 89 43 20 8B 81 7C 02 00 00 0F BA E0 1D 73 30 48 8B 43 48 8B 88 7C 02 00 00 23 CD 3B CD 74 3E 48 8B 73 20 EB 0C 48 8D 4E F0 48 8B 36 E8 ?? ?? ?? ?? 48 85 F6 75 EF 48 89 7B 20 87 7B 78 EB 1E 48 8D 05 ?? ?? ?? ?? 48 89 5A 08 48 89 02 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 41 8A C6 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_1369_376_0 {
	meta:
		name = "?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z"
		size = 357
		refs = "00b4 __imp_QueryDepthSList 00cd __imp_InterlockedPushEntrySList 0105 __imp_InterlockedFlushSList 0125 ?CheckForDeletion@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@AEAAXXZ 012e ?CheckForDeletionBridge@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 013a ?InvokeOnSafePoint@SchedulerBase@details@Concurrency@@AEAAXPEAVSafePointInvocation@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D 12 01 00 00 48 8B 43 60 44 3B 53 68 7C 1E 44 2B 53 68 48 63 4B 68 4C 8B 44 C8 F8 78 16 41 8D 4A 01 4D 8B 40 08 48 2B CD 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 40 49 63 CB 48 8B 44 24 40 45 33 D2 F0 4C 0F B1 14 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 40 48 3B C8 0F 85 B2 00 00 00 41 8D 42 FE F0 45 0F B1 58 10 45 84 C9 0F 84 9A 00 00 00 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 56 60 0F B7 C0 3B 43 74 7E 7C 48 8D 7B 10 48 8B CF FF 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 0F B7 C0 3B 43 74 7E 67 48 8B 43 48 8B 90 7C 02 00 00 B8 00 00 00 A0 23 D0 3B D0 74 52 33 C0 F0 0F B1 6B 78 75 49 48 8B CF FF 15 ?? ?? ?? ?? 48 8B 4B 48 48 8D 53 28 48 89 43 20 8B 81 7C 02 00 00 0F BA E0 1D 73 0A 48 8B CB E8 ?? ?? ?? ?? EB 1E 48 8D 05 ?? ?? ?? ?? 48 89 5A 08 48 89 02 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_1369_378_0 {
	meta:
		name = "?RemoveHead@?$List@UBoostedObject@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAPEAUBoostedObject@23@XZ"
		size = 50
	strings:
		$1 = { 48 8B 01 48 8B D1 48 85 C0 75 01 C3 4C 8B 40 08 49 3B C0 75 06 48 83 21 00 EB 13 49 8B 48 08 48 89 41 10 48 8B 12 49 8B 48 08 48 89 4A 08 49 8B C0 C3 }
	condition:
		$1
}

rule file_1369_379_0 {
	meta:
		name = "?RemoveHead@?$List@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@@details@Concurrency@@QEAAPEAVWaitNode@SchedulerBase@23@XZ"
		size = 44
	strings:
		$1 = { 48 8B 11 4C 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 02 48 3B D0 75 05 48 83 21 00 C3 48 8B 08 48 89 51 08 49 8B 10 48 8B 08 48 89 0A C3 }
	condition:
		$1
}

rule file_1369_380_0 {
	meta:
		name = "?RemoveHead@?$SafeRWList@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@V_ReaderWriterLock@34@@details@Concurrency@@QEAAPEAVWaitNode@SchedulerBase@23@XZ"
		size = 97
		refs = "0017 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 004a ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 E8 ?? ?? ?? ?? 4C 8B 06 33 FF 4D 85 C0 74 20 49 8B 10 4C 3B C2 75 05 48 89 3E EB 10 48 8B 02 4C 89 40 08 48 8B 0E 48 8B 02 48 89 01 48 8B FA 48 8D 4E 08 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_381_0 {
	meta:
		name = "?RemovePrioritizedObject@SchedulerBase@details@Concurrency@@QEAAXPEAUBoostedObject@23@@Z"
		size = 126
		refs = "0020 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 007a ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B1 00 02 00 00 48 8B F9 48 8B DA 48 8B CE E8 ?? ?? ?? ?? 83 7B 18 02 75 39 48 8B 43 10 4C 8B 43 08 49 89 40 10 48 8B 43 08 48 8B 4B 10 48 89 41 08 48 8B 87 F8 01 00 00 48 3B D8 75 15 48 3B 40 08 75 04 33 C0 EB 04 48 8B 40 10 48 89 87 F8 01 00 00 83 63 18 00 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_382_0 {
	meta:
		name = "?RemoveScheduleGroup@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
		size = 19
		refs = "000f ?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z"
	strings:
		$1 = { 44 8B 42 2C 48 81 C1 B0 00 00 00 41 B1 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_383_0 {
	meta:
		name = "?RemoveSegments@FairScheduleGroup@details@Concurrency@@MEAAXXZ"
		size = 25
		refs = "000a ?RemoveSegments@ScheduleGroupBase@details@Concurrency@@MEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 83 63 70 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_384_0 {
	meta:
		name = "?RemoveVirtualProcessors@SchedulerBase@details@Concurrency@@IEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z"
		size = 301
		refs = "004b ?_UnderlyingYield@details@Concurrency@@YAXXZ 0058 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0061 ?__SwitchToThread@platform@details@Concurrency@@YAXXZ 007b ?FindMatchingVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@@Z 0098 ?GetAndResetOversubscribedVProc@InternalContextBase@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAV423@@Z 00a5 ?MarkForRetirement@VirtualProcessor@details@Concurrency@@AEAAXXZ 00c8 ??_C@_0BI@PMOAFEOC@ppVirtualProcessorRoots?$AA@ 00d9 ??0exception@std@@QEAA@AEBQEBD@Z 00e0 ??_7invalid_argument@std@@6B@ 00e7 _TI3?AVinvalid_argument@std@@ 00f4 _CxxThrowException 00fc ??_C@_05IOMEMJEC@count?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 55 57 41 56 48 8B EC 48 83 EC 40 48 8B DA 4C 8B F1 48 85 D2 0F 84 A1 00 00 00 41 83 F8 01 0F 82 CB 00 00 00 45 85 C0 74 7F 41 8B F0 48 8B 3B 48 8B CF 48 8B 07 FF 50 08 EB 21 83 65 E8 00 48 8D 05 ?? ?? ?? ?? 48 89 45 F0 48 8D 4D E0 E8 ?? ?? ?? ?? 84 C0 75 F3 E8 ?? ?? ?? ?? 48 8B 07 48 8B CF FF 10 49 8B 4E 30 48 8B D7 8B C0 48 8B 0C C1 E8 ?? ?? ?? ?? 48 85 C0 74 C0 80 B8 00 01 00 00 00 74 0F 48 8B 88 08 01 00 00 48 8B D0 E8 ?? ?? ?? ?? 48 85 C0 74 08 48 8B C8 E8 ?? ?? ?? ?? 48 83 C3 08 48 FF CE 75 84 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 40 41 5E 5F 5D C3 48 8D 05 ?? ?? ?? ?? 48 8D 55 28 48 8D 4D E0 48 89 45 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 48 89 45 E0 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 55 28 48 8D 4D E0 48 89 45 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 48 89 45 E0 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1369_386_0 {
	meta:
		name = "?ResetDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@SAXXZ"
		size = 135
		refs = "0012 ?s_defaultSchedulerLock@SchedulerBase@details@Concurrency@@1V_NonReentrantLock@23@A 0034 ?_Sleep0@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0056 ?s_pDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@1PEAVSchedulerPolicy@3@EA 0063 ??1SchedulerPolicy@Concurrency@@QEAA@XZ 006b ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 BB 01 00 00 00 8B C3 87 05 ?? ?? ?? ?? 85 C0 74 27 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B C3 87 05 ?? ?? ?? ?? 85 C0 75 EA 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1369_388_0 {
	meta:
		name = "?Resurrect@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 133
		refs = "0028 ?_Sleep0@details@Concurrency@@YAXXZ 0037 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B 91 7C 02 00 00 BF 00 00 00 80 48 8B D9 8B C2 23 C7 3B C7 74 29 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 93 7C 02 00 00 8B CA 23 CF 3B CF 75 E8 8B CA 41 B8 FF FF FF 7F 8B C2 41 23 C8 F0 0F B1 8B 7C 02 00 00 74 13 8B C8 8B D0 41 23 C8 F0 0F B1 8B 7C 02 00 00 3B C2 75 ED F0 FF 83 70 02 00 00 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1369_389_0 {
	meta:
		name = "?ReturnSubAllocator@SchedulerBase@details@Concurrency@@SAXPEAVSubAllocator@23@@Z"
		size = 105
		refs = "0015 ?s_numExternalAllocators@SchedulerBase@details@Concurrency@@0JC 001c ?s_subAllocatorFreePool@SchedulerBase@details@Concurrency@@0V?$LockFreeStack@VSubAllocator@details@Concurrency@@@23@A 0022 __imp_QueryDepthSList 0042 __imp_InterlockedPushEntrySList 004d ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0058 ??_M@YAXPEAX_KHP6AX0@Z@Z 0065 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 B9 10 06 00 00 00 48 8B D9 74 07 F0 FF 0D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? BA 10 00 00 00 66 3B C2 73 16 48 8D 0D ?? ?? ?? ?? 48 8B D3 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 8D 4B 10 4C 8D 0D ?? ?? ?? ?? 41 B8 60 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_390_0 {
	meta:
		name = "?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		size = 26
		refs = "0002 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 000e ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0013 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z"
	strings:
		$1 = { F7 05 ?? ?? ?? ?? 00 00 00 80 74 0B 8B 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule file_1369_391_0 {
	meta:
		name = "?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
		size = 61
		refs = "000a ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0016 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001b ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 002d ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB F7 05 ?? ?? ?? ?? 00 00 00 80 74 0D 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 48 8B C3 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_393_0 {
	meta:
		name = "?SafeReference@SchedulerBase@details@Concurrency@@AEAA_NXZ"
		size = 33
	strings:
		$1 = { 45 33 C0 8B 81 68 02 00 00 85 C0 74 10 8D 50 01 F0 0F B1 91 68 02 00 00 75 E9 41 B0 01 41 8A C0 C3 }
	condition:
		$1
}

rule file_1369_394_0 {
	meta:
		name = "?ScheduleTask@SchedulerBase@details@Concurrency@@UEAAXP6AXPEAX@Z0@Z"
		size = 113
		refs = "0019 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0024 ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0034 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 0041 ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F9 8B 0D ?? ?? ?? ?? 49 8B F0 48 8B EA E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1A 48 8B C8 E8 ?? ?? ?? ?? 48 3B C7 75 0D 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 EB 07 48 8B 8F 30 01 00 00 48 8B 01 4C 8B C6 48 8B D5 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF 20 }
	condition:
		$1
}

rule file_1369_395_0 {
	meta:
		name = "?ScheduleTask@SchedulerBase@details@Concurrency@@UEAAXP6AXPEAX@Z0AEAVlocation@3@@Z"
		size = 129
		refs = "001e ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 002c ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 003c ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 0049 ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 007d ?ScheduleTask@ScheduleGroupBase@details@Concurrency@@QEAAXP6AXPEAX@Z0AEAVlocation@3@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F9 8B 0D ?? ?? ?? ?? 49 8B F1 49 8B E8 4C 8B F2 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 17 48 8B C8 E8 ?? ?? ?? ?? 48 3B C7 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 07 48 8B 87 30 01 00 00 4C 8B CE 4C 8B C5 49 8B D6 48 8B C8 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_398_0 {
	meta:
		name = "?SetDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@SAXAEBVSchedulerPolicy@3@@Z"
		size = 248
		refs = "0018 ?_ValidateConcRTPolicy@SchedulerPolicy@Concurrency@@QEBAXXZ 0021 ?s_pDefaultScheduler@SchedulerBase@details@Concurrency@@1PEAV123@EA 002f ?s_defaultSchedulerLock@SchedulerBase@details@Concurrency@@1V_NonReentrantLock@23@A 004f ?_Sleep0@details@Concurrency@@YAXXZ 005e ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 007e ?s_pDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@1PEAVSchedulerPolicy@3@EA 008b ??1SchedulerPolicy@Concurrency@@QEAA@XZ 0093 ??3@YAXPEAX@Z 009d ??2@YAPEAX_K@Z 00b5 ??0SchedulerPolicy@Concurrency@@QEAA@AEBV01@@Z 00d7 ??0default_scheduler_exists@Concurrency@@QEAA@XZ 00de _TI2?AVdefault_scheduler_exists@Concurrency@@ 00e8 _CxxThrowException"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 E8 ?? ?? ?? ?? 32 DB 48 83 3D ?? ?? ?? ?? 00 0F 85 A5 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 78 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 E7 48 83 3D ?? ?? ?? ?? 00 75 48 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 85 C0 74 0C 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 90 48 89 05 ?? ?? ?? ?? B3 01 C7 05 ?? ?? ?? ?? 00 00 00 00 84 DB 75 1C 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_1369_402_0 {
	meta:
		name = "?SetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAXPEAVSchedulingRing@23@@Z"
		size = 52
	strings:
		$1 = { 83 79 14 01 4C 8B C1 75 2A 8B 92 28 01 00 00 8D 42 01 99 41 F7 78 44 49 8B 40 38 48 63 CA 48 8B 0C C8 8B 81 2C 01 00 00 85 C0 74 E3 41 89 90 5C 02 00 00 C3 }
	condition:
		$1
}

rule file_1369_405_0 {
	meta:
		name = "?SpinUntilBitsReset@details@Concurrency@@YAJPECJJ@Z"
		size = 65
		refs = "001d ?_Sleep0@details@Concurrency@@YAXXZ 002c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B 01 8B DA 48 8B F9 85 C2 74 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 07 85 C3 75 F0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1369_406_0 {
	meta:
		name = "?SpinUntilBitsSet@details@Concurrency@@YAJPECJJ@Z"
		size = 80
		refs = "0023 ?_Sleep0@details@Concurrency@@YAXXZ 0032 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 44 8B 01 8B DA 48 8B F9 41 8B C0 23 C2 3B C2 74 27 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 07 41 8B C8 23 CB 3B CB 75 EA 41 8B C0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1369_407_0 {
	meta:
		name = "?StampThrottledCreate@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 27
		refs = "000a ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 83 C0 02 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_410_0 {
	meta:
		name = "?StartupVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@Vlocation@3@K@Z"
		size = 193
		refs = "0028 ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 007b ?FoundAvailableVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NAEAVClaimTicket@VirtualProcessor@23@Vlocation@3@K@Z 0093 ?ExerciseClaim@VirtualProcessor@details@Concurrency@@AEAA_NW4AvailabilityType@123@PEAVScheduleGroupSegmentBase@23@PEAVInternalContextBase@23@@Z 009f ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 41 8B F9 49 8B D8 4C 8B F2 48 8B F1 33 ED E8 ?? ?? ?? ?? 44 8B 54 24 30 8B 03 B9 FF FF FF 0F 41 33 C2 4C 8D 44 24 30 48 8D 54 24 20 23 C1 44 8B CF 89 6C 24 20 44 33 D0 8B 03 41 33 C2 23 C1 48 8B CE 33 03 89 44 24 30 48 8B 43 08 48 89 44 24 38 8B 43 04 89 44 24 34 48 8B 43 10 48 89 44 24 40 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 54 24 20 48 8B 4C 24 28 45 33 C9 4D 8B C6 E8 ?? ?? ?? ?? 89 6C 24 20 40 B5 01 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 40 8A C5 48 8B 6C 24 68 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_1369_411_0 {
	meta:
		name = "?StaticConstruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 24
		refs = "0007 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 000f ?_RegisterConcRTEventTracing@details@Concurrency@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_412_0 {
	meta:
		name = "?StaticDestruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 173
		refs = "0012 ?s_schedulerLock@SchedulerBase@details@Concurrency@@0V_NonReentrantLock@23@A 0034 ?_Sleep0@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0055 ?s_initializedCount@SchedulerBase@details@Concurrency@@0JA 005c ?_UnregisterConcRTEventTracing@details@Concurrency@@YAXXZ 006e ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 007c ??_M@YAXPEAX_KHP6AX0@Z@Z 0084 ??3@YAXPEAX@Z 008b ?s_subAllocatorFreePool@SchedulerBase@details@Concurrency@@0V?$LockFreeStack@VSubAllocator@details@Concurrency@@@23@A 0091 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 BB 01 00 00 00 8B C3 87 05 ?? ?? ?? ?? 85 C0 74 27 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B C3 87 05 ?? ?? ?? ?? 85 C0 75 EA 29 1D ?? ?? ?? ?? 75 42 E8 ?? ?? ?? ?? EB 26 48 85 DB 74 21 48 8D 4B 10 4C 8D 0D ?? ?? ?? ?? BA 10 00 00 00 44 8D 42 50 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 48 8B D8 75 C5 C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_1369_414_0 {
	meta:
		name = "?Statistics@SchedulerBase@details@Concurrency@@IEAAXPEAI00@Z"
		size = 575
		refs = "0204 ?Remove@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVExternalStatistics@23@H_N@Z 020c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 33 F6 4D 8B F1 4D 8B F8 4C 8B E2 48 8B F9 39 71 44 0F 8E E9 00 00 00 45 33 DB 48 8B 47 30 4D 8B 04 03 4D 85 C0 0F 84 C6 00 00 00 41 8B 80 C0 00 00 00 45 33 C9 85 C0 0F 8E B4 00 00 00 41 8B 88 A4 00 00 00 41 8B D1 D3 FA 41 3B 90 BC 00 00 00 0F 8D 88 00 00 00 49 63 98 B8 00 00 00 49 8B 80 B0 00 00 00 3B D3 7C 17 2B D3 4C 8B 54 D8 F8 78 15 8D 4A 01 4D 8B 52 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 14 C8 41 8B 80 A0 00 00 00 FF C8 48 63 C8 49 63 C1 48 23 C8 49 8B 02 4C 8B 14 C8 4D 85 D2 74 3A 41 8B 82 A0 00 00 00 8B D0 41 2B 92 A8 00 00 00 41 89 82 A8 00 00 00 41 8B 82 A4 00 00 00 8B C8 41 2B 8A AC 00 00 00 41 89 82 AC 00 00 00 41 01 17 41 01 0C 24 2B D1 41 01 16 41 8B 80 C0 00 00 00 41 FF C1 44 3B C8 0F 8C 4C FF FF FF FF C6 49 83 C3 08 3B 77 44 0F 8C 1A FF FF FF 8B 87 AC 02 00 00 33 ED 8B D0 2B 97 B4 02 00 00 89 87 B4 02 00 00 8B 87 B0 02 00 00 8B C8 2B 8F B8 02 00 00 89 87 B8 02 00 00 41 01 17 41 01 0C 24 2B D1 41 01 16 8B 87 C0 01 00 00 85 C0 0F 8E BF 00 00 00 48 8D B7 50 01 00 00 8B 4E 54 8B D5 D3 FA 3B 56 6C 0F 8D 98 00 00 00 48 8B 46 60 3B 56 68 7C 1C 2B 56 68 48 63 4E 68 4C 8B 44 C8 F8 78 15 8D 4A 01 4D 8B 40 08 48 FF C9 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 46 50 FF C8 48 63 C8 48 63 C5 48 23 C8 49 8B 00 48 8B 1C C8 48 85 DB 74 52 8B 43 20 8B D0 2B 53 28 89 43 28 8B 43 24 8B C8 2B 4B 2C 89 43 2C 41 01 17 41 01 0C 24 2B D1 41 01 16 8B 43 30 85 C0 75 29 8B 43 28 39 43 20 75 21 8B 43 2C 39 43 24 75 19 44 8B 03 45 33 C9 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B 87 C0 01 00 00 FF C5 3B E8 0F 8C 48 FF FF FF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_1369_415_0 {
	meta:
		name = "?StealForeignLocalRunnableContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@PEAVSchedulingNode@23@@Z"
		size = 99
		refs = "0038 ?StealLocalRunnableContext@SchedulingNode@details@Concurrency@@AEAAPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 DB 48 8B EA 48 8B F1 39 59 44 7E 2B 33 FF 48 8B 46 30 48 8B 0C 07 48 85 C9 74 11 48 3B CD 74 0C 33 D2 E8 ?? ?? ?? ?? 48 85 C0 75 0D FF C3 48 83 C7 08 3B 5E 44 7C D7 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_416_0 {
	meta:
		name = "?SweepSchedulerForFinalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 204
		refs = "0019 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001e ?__TlsGetValue@platform@details@Concurrency@@YAPEAXK@Z 0042 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 005a ?PhaseTwoShutdown@SchedulerBase@details@Concurrency@@AEAAXXZ 00a6 __imp_ReleaseSemaphore 00b3 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B D9 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? BE 01 00 00 00 48 8B F8 40 8A EE 48 85 C0 74 14 80 B8 88 00 00 00 00 75 0B 48 8B C8 40 32 ED E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 90 90 00 00 00 85 C0 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 4A 83 F8 02 75 10 8B 83 80 02 00 00 85 C0 75 06 87 B3 80 02 00 00 8B 83 7C 02 00 00 8B C8 44 8B C0 0F BA F1 1E F0 0F B1 8B 7C 02 00 00 41 3B C0 75 EA 25 FF FF FF 1F 7E 12 48 8B 8B 60 02 00 00 45 33 C0 8B D0 FF 15 ?? ?? ?? ?? 40 84 ED 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_417_0 {
	meta:
		name = "?ThrottlerDispatch@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 351
		refs = "002e ?NotifyThrottledContext@SchedulerBase@details@Concurrency@@AEAA_NPEAVInternalContextBase@23@@Z 0047 ?ThrottlingTime@SchedulerBase@details@Concurrency@@QEAAKK@Z 0055 ?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@_N@Z 00bd ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 0101 ?StartupVirtualProcessor@SchedulerBase@details@Concurrency@@QEAA_NPEAVScheduleGroupSegmentBase@23@Vlocation@3@K@Z 0124 ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ 014b ?ChangeThrottlingTimer@SchedulerBase@details@Concurrency@@AEAAXK@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 8B 81 E0 02 00 00 48 8B F9 85 C0 0F 8E 2F 01 00 00 32 DB 40 32 F6 EB 2B 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 0A D8 8B 87 A8 02 00 00 85 C0 7E 23 BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 12 48 8B CF 33 D2 E8 ?? ?? ?? ?? 48 85 C0 75 C9 40 B6 01 8B 87 80 02 00 00 85 C0 75 17 40 84 F6 0F 85 95 00 00 00 8B 87 A8 02 00 00 85 C0 0F 8F 87 00 00 00 8B 8F E0 02 00 00 8B C1 F7 D8 F0 0F C1 87 E0 02 00 00 3B C1 0F 95 C0 84 C0 75 77 8B 87 80 02 00 00 85 C0 0F 84 A4 00 00 00 84 DB 0F 85 9C 00 00 00 33 DB 48 8B CF 89 5C 24 38 E8 ?? ?? ?? ?? 8B 4C 24 20 48 8B 50 10 48 21 5C 24 28 48 21 5C 24 30 8B C1 44 8D 4B 0B 4C 8D 44 24 20 33 C3 25 FF FF FF 0F 33 C8 8B 44 24 3C 33 CB 89 44 24 24 81 E1 FF FF FF 0F 33 CB 89 4C 24 20 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 46 B8 01 00 00 00 87 87 E0 02 00 00 BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B CB 2B 87 C0 02 00 00 2B C8 3B C3 1B D2 23 D1 40 84 F6 74 0A B8 F4 01 00 00 3B D0 0F 42 D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_1369_420_0 {
	meta:
		name = "?ThrottlerTrampoline@SchedulerBase@details@Concurrency@@CAXPEAXE@Z"
		size = 70
		refs = "0013 ?ThrottlingTime@SchedulerBase@details@Concurrency@@QEAAKK@Z 001a ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ 0030 ?ChangeThrottlingTimer@SchedulerBase@details@Concurrency@@AEAAXK@Z 0037 ?ThrottlerDispatch@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 BA 01 00 00 00 48 8B F9 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 48 8B CF 2B 87 C0 02 00 00 3B C3 73 0B 2B D8 8B D3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_421_0 {
	meta:
		name = "?ThrottlingDelta@SchedulerBase@details@Concurrency@@QEAAKXZ"
		size = 26
		refs = "000a ?__GetTickCount64@platform@details@Concurrency@@YA_KXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 2B 83 C0 02 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_422_0 {
	meta:
		name = "?ThrottlingTime@SchedulerBase@details@Concurrency@@QEAAKK@Z"
		size = 207
	strings:
		$1 = { 44 8B 81 78 02 00 00 8B 81 BC 02 00 00 44 8B CA 44 3B C0 73 03 33 C0 C3 44 2B C0 41 83 F8 64 73 18 B8 CD CC CC CC 41 F7 E0 44 8B C2 41 C1 E8 03 41 83 C0 05 E9 8E 00 00 00 41 81 F8 2C 01 00 00 73 0A 41 C1 E8 03 41 83 C0 0F EB 7B 41 81 F8 58 02 00 00 73 15 B8 CD CC CC CC 41 F7 E0 44 8B C2 41 C1 E8 02 41 83 C0 3C EB 5D 41 81 F8 DC 05 00 00 73 0D 41 C1 E8 02 41 81 C0 B4 00 00 00 EB 47 B9 C4 09 00 00 44 3B C1 73 17 B8 AB AA AA AA 41 F7 E0 44 8B C2 41 D1 E8 41 81 C0 2B 02 00 00 EB 26 41 81 F8 A0 0F 00 00 73 13 B8 AB AA AA AA 41 F7 E0 44 8B C2 41 D1 E8 44 03 C1 EB 0A 41 D1 E8 41 81 C0 08 20 00 00 45 0F AF C1 41 8B C0 C3 }
	condition:
		$1
}

rule file_1369_423_0 {
	meta:
		name = "?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z"
		size = 134
		refs = "0012 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 002d memset 0034 ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 0042 SchedulerEventGuid 0072 ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
	strings:
		$1 = { 48 89 6C 24 08 48 89 74 24 10 57 48 83 EC 60 48 83 3D ?? ?? ?? ?? 00 41 8B F8 40 8A F2 8B E9 74 55 33 D2 48 8D 4C 24 22 44 8D 42 3E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 05 ?? ?? ?? ?? B8 40 00 00 00 4C 8D 44 24 20 C7 44 24 4C 00 00 02 00 F3 0F 7F 44 24 38 40 88 6C 24 24 40 88 74 24 25 89 7C 24 54 66 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_1369_426_0 {
	meta:
		name = "?TraceSchedulerEvent@SchedulerBase@details@Concurrency@@AEAAXW4ConcRT_EventType@3@EI@Z"
		size = 50
		refs = "0006 ?g_TraceInfo@details@Concurrency@@3U_CONCRT_TRACE_INFO@12@A 0029 ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z"
	strings:
		$1 = { 48 83 EC 28 8A 05 ?? ?? ?? ?? 45 8A D0 44 8B DA 44 3A C0 77 18 8B 05 ?? ?? ?? ?? A8 01 74 0E 45 8B C1 41 8A D2 41 8B CB E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1369_427_0 {
	meta:
		name = "?TriggerCommitSafePoints@SchedulerBase@details@Concurrency@@QEAAXPEAVSafePointMarker@23@@Z"
		size = 95
		refs = "0020 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 005b ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B1 18 02 00 00 48 8B F9 48 8B DA 48 8B CE E8 ?? ?? ?? ?? 8B 87 28 02 00 00 39 03 74 1A B9 01 00 00 00 8B C1 F0 0F C1 87 28 02 00 00 03 C1 FF C0 A9 FE FF FF FF 74 EB 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1369_428_0 {
	meta:
		name = "?TypeOfWorkPending@SchedulerBase@details@Concurrency@@MEAA?AW4PendingWorkType@123@XZ"
		size = 70
		refs = "000e ?FoundBlockedContexts@SchedulerBase@details@Concurrency@@AEAA_NXZ 001c ?FoundUnstartedChores@SchedulerBase@details@Concurrency@@AEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 DB 84 C0 75 1E 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 12 8B 8F E0 02 00 00 8D 43 02 85 C9 0F 4F D8 8B C3 EB 05 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1369_431_0 {
	meta:
		name = "?UnlockedRemoveHead@?$SafeRWList@UBoostedObject@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAPEAUBoostedObject@23@XZ"
		size = 47
	strings:
		$1 = { 48 8B 11 33 C0 48 85 D2 74 24 4C 8B 42 08 49 3B D0 75 05 48 89 01 EB 13 49 8B 40 08 48 89 50 10 48 8B 09 49 8B 40 08 48 89 41 08 49 8B C0 C3 }
	condition:
		$1
}

rule file_1369_433_0 {
	meta:
		name = "?UpdateCommitVersion@SchedulerBase@details@Concurrency@@AEAAKK@Z"
		size = 75
		refs = "0019 ?ComputeSafePointCommitVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 83 FA FF 75 17 C7 81 2C 02 00 00 00 00 00 00 E8 ?? ?? ?? ?? 89 83 30 02 00 00 EB 06 89 91 2C 02 00 00 8B 8B 2C 02 00 00 8B 83 30 02 00 00 3B C8 74 08 8B 83 30 02 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_434_0 {
	meta:
		name = "?UpdatePendingVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
		size = 67
		refs = "000a ?ComputeSafePointCommitVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B 93 30 02 00 00 44 8B C0 3B C2 77 04 33 C0 EB 1E 8B 8B 2C 02 00 00 8B 83 30 02 00 00 3B C1 75 05 41 8B C0 EB 02 33 C0 44 89 83 30 02 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1369_435_0 {
	meta:
		name = "?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z"
		size = 215
		refs = "0034 ?_Sleep0@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00c6 ?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 40 8A FA 48 8B D9 84 D2 74 79 8B 81 7C 02 00 00 0F BA E0 1E 73 33 8B 83 7C 02 00 00 0F BA E0 1E 73 27 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 0F BA E0 1E 72 EA 0F BA E0 1D 72 30 8D 48 01 F0 0F B1 8B 7C 02 00 00 75 B4 41 B8 01 00 00 00 F0 44 0F C1 83 A0 02 00 00 48 8B 03 41 FF C0 40 8A D7 48 8B CB FF 90 88 00 00 00 EB 41 32 C0 EB 3F 83 CF FF 44 8B C7 F0 44 0F C1 81 A0 02 00 00 48 8B 01 44 03 C7 33 D2 FF 90 88 00 00 00 8B CF F0 0F C1 8B 7C 02 00 00 03 CF F7 C1 FF FF FF 1F 75 0C 85 C9 79 08 48 8B CB E8 ?? ?? ?? ?? B0 01 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_1369_437_0 {
	meta:
		name = "?VirtualProcessorIdle@SchedulerBase@details@Concurrency@@QEAAX_N@Z"
		size = 113
		refs = "0010 ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0034 ?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ 005e __imp_WaitForSingleObjectEx 006d ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8A DA 48 8B F9 E8 ?? ?? ?? ?? 84 DB 74 22 83 C8 FF F0 0F C1 87 7C 02 00 00 FF C8 A9 FF FF FF 1F 75 36 85 C0 79 32 48 8B CF E8 ?? ?? ?? ?? EB 28 B8 01 00 00 00 F0 0F C1 87 7C 02 00 00 FF C0 0F BA E0 1E 73 13 48 8B 8F 60 02 00 00 45 33 C0 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_0_1 {
	meta:
		name = "_Stolx"
		size = 221
		refs = "003b isspace 0060 _Stoulx 0095 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 56 41 57 48 83 EC 20 48 8D 70 08 48 85 D2 48 8B E9 48 8B F9 0F B6 09 4D 8B F1 48 0F 45 F2 45 8B F8 EB 06 48 FF C7 0F B6 0F E8 ?? ?? ?? ?? 85 C0 75 F1 8A 1F 8D 43 D5 A8 FD 74 04 B3 2B EB 03 48 FF C7 4D 8B CE 45 8B C7 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 8B C8 48 3B 3E 75 03 48 89 2E BF FF FF FF 7F 41 B7 2D 48 3B 2E 75 04 85 C0 75 15 80 FB 2B 75 04 3B C7 77 0C 41 3A DF 75 2D 3D 00 00 00 80 76 26 E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 F6 74 07 41 C7 06 01 00 00 00 B8 00 00 00 80 41 3A DF 0F 44 F8 8B C7 EB 0A F7 D8 41 3A DF 0F 44 C8 8B C1 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_1_1_1 {
	meta:
		name = "_Stoldx"
		size = 570
		refs = "001a __security_cookie 003a _Stopfx 0070 _Stoflt 0081 __real@41cdcd6500000000 008b _LXp_setw 00a9 _LXp_setn 00cb _LXp_mulx 00f0 _LXp_addx 0107 _LDtento 012c _Stoxflt 013d __real@41b0000000000000 01d1 _LDscale 01e4 _LInf 01f3 _LNan 020b _LPmsw 0224 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 D9 48 81 EC D0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 48 8B F9 48 89 4D 8F 48 8D 4D 8F 49 8B F1 45 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 48 85 F6 74 03 83 26 00 83 E0 F7 83 F8 01 0F 85 B7 00 00 00 48 8B 55 8F 4C 8D 4D 97 4C 8B C3 48 8B CF C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D D7 F2 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D A7 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 55 44 8B 45 9B E8 ?? ?? ?? ?? BF 01 00 00 00 EB 40 48 8D 45 EF 4C 8D 45 D7 48 8D 4D A7 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 44 BD 9B 48 FF C7 48 8D 4D BF 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 BF 48 8D 4D A7 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 8B 55 97 48 8D 4D A7 4C 8B C6 41 03 D7 E8 ?? ?? ?? ?? E9 EC 00 00 00 83 F8 02 0F 85 BE 00 00 00 48 8B 55 8F 4C 8D 4D 97 4C 8B C3 48 8B CF 89 44 24 20 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D BF F2 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D A7 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 55 44 8B 45 9B E8 ?? ?? ?? ?? BF 01 00 00 00 EB 40 48 8D 45 EF 4C 8D 45 BF 48 8D 4D A7 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 44 BD 9B 48 FF C7 48 8D 4D D7 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 D7 48 8D 4D A7 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 48 8D 4D A7 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 8B 55 97 48 8D 4D 87 F2 0F 11 45 87 E8 ?? ?? ?? ?? EB 2A BB 03 00 00 00 3B C3 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 12 83 F8 04 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F2 0F 11 45 87 45 85 E4 74 11 48 8D 4D 87 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F2 0F 10 45 87 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_1_1 {
	meta:
		name = "_Stodx"
		size = 570
		refs = "001a __security_cookie 003a _Stopfx 0070 _Stoflt 0081 __real@41cdcd6500000000 008b _Xp_setw 00a9 _Xp_setn 00cb _Xp_mulx 00f0 _Xp_addx 0107 _Dtento 012c _Stoxflt 013d __real@41b0000000000000 01d1 _Dscale 01e4 _Inf 01f3 _Nan 020b _Pmsw 0224 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 D9 48 81 EC D0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 48 8B F9 48 89 4D 8F 48 8D 4D 8F 49 8B F1 45 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 48 85 F6 74 03 83 26 00 83 E0 F7 83 F8 01 0F 85 B7 00 00 00 48 8B 55 8F 4C 8D 4D 97 4C 8B C3 48 8B CF C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D D7 F2 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D A7 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 55 44 8B 45 9B E8 ?? ?? ?? ?? BF 01 00 00 00 EB 40 48 8D 45 EF 4C 8D 45 D7 48 8D 4D A7 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 44 BD 9B 48 FF C7 48 8D 4D BF 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 BF 48 8D 4D A7 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 8B 55 97 48 8D 4D A7 4C 8B C6 41 03 D7 E8 ?? ?? ?? ?? E9 EC 00 00 00 83 F8 02 0F 85 BE 00 00 00 48 8B 55 8F 4C 8D 4D 97 4C 8B C3 48 8B CF 89 44 24 20 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D BF F2 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D A7 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 55 44 8B 45 9B E8 ?? ?? ?? ?? BF 01 00 00 00 EB 40 48 8D 45 EF 4C 8D 45 BF 48 8D 4D A7 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 44 BD 9B 48 FF C7 48 8D 4D D7 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 D7 48 8D 4D A7 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 48 8D 4D A7 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 8B 55 97 48 8D 4D 87 F2 0F 11 45 87 E8 ?? ?? ?? ?? EB 2A BB 03 00 00 00 3B C3 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 12 83 F8 04 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F2 0F 11 45 87 45 85 E4 74 11 48 8D 4D 87 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F2 0F 10 45 87 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_107_1_1 {
	meta:
		name = "_WStodx"
		size = 570
		refs = "001a __security_cookie 003a _WStopfx 0070 _WStoflt 0081 __real@41cdcd6500000000 008b _Xp_setw 00a9 _Xp_setn 00cb _Xp_mulx 00f0 _Xp_addx 0107 _Dtento 012c _WStoxflt 013d __real@41b0000000000000 01d1 _Dscale 01e4 _Inf 01f3 _Nan 020b _Pmsw 0224 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 D9 48 81 EC D0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 48 8B F9 48 89 4D 8F 48 8D 4D 8F 49 8B F1 45 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 48 85 F6 74 03 83 26 00 83 E0 F7 83 F8 01 0F 85 B7 00 00 00 48 8B 55 8F 4C 8D 4D 97 4C 8B C3 48 8B CF C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D D7 F2 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D A7 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 55 44 8B 45 9B E8 ?? ?? ?? ?? BF 01 00 00 00 EB 40 48 8D 45 EF 4C 8D 45 D7 48 8D 4D A7 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 44 BD 9B 48 FF C7 48 8D 4D BF 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 BF 48 8D 4D A7 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 8B 55 97 48 8D 4D A7 4C 8B C6 41 03 D7 E8 ?? ?? ?? ?? E9 EC 00 00 00 83 F8 02 0F 85 BE 00 00 00 48 8B 55 8F 4C 8D 4D 97 4C 8B C3 48 8B CF 89 44 24 20 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D BF F2 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D A7 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 55 44 8B 45 9B E8 ?? ?? ?? ?? BF 01 00 00 00 EB 40 48 8D 45 EF 4C 8D 45 BF 48 8D 4D A7 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 44 BD 9B 48 FF C7 48 8D 4D D7 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 D7 48 8D 4D A7 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 48 8D 4D A7 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 8B 55 97 48 8D 4D 87 F2 0F 11 45 87 E8 ?? ?? ?? ?? EB 2A BB 03 00 00 00 3B C3 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 12 83 F8 04 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F2 0F 11 45 87 45 85 E4 74 11 48 8D 4D 87 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F2 0F 10 45 87 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_112_1_1 {
	meta:
		name = "_WStoldx"
		size = 570
		refs = "001a __security_cookie 003a _WStopfx 0070 _WStoflt 0081 __real@41cdcd6500000000 008b _LXp_setw 00a9 _LXp_setn 00cb _LXp_mulx 00f0 _LXp_addx 0107 _LDtento 012c _WStoxflt 013d __real@41b0000000000000 01d1 _LDscale 01e4 _LInf 01f3 _LNan 020b _LPmsw 0224 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 D9 48 81 EC D0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 48 8B F9 48 89 4D 8F 48 8D 4D 8F 49 8B F1 45 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 48 85 F6 74 03 83 26 00 83 E0 F7 83 F8 01 0F 85 B7 00 00 00 48 8B 55 8F 4C 8D 4D 97 4C 8B C3 48 8B CF C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D D7 F2 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D A7 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 55 44 8B 45 9B E8 ?? ?? ?? ?? BF 01 00 00 00 EB 40 48 8D 45 EF 4C 8D 45 D7 48 8D 4D A7 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 44 BD 9B 48 FF C7 48 8D 4D BF 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 BF 48 8D 4D A7 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 8B 55 97 48 8D 4D A7 4C 8B C6 41 03 D7 E8 ?? ?? ?? ?? E9 EC 00 00 00 83 F8 02 0F 85 BE 00 00 00 48 8B 55 8F 4C 8D 4D 97 4C 8B C3 48 8B CF 89 44 24 20 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D BF F2 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D A7 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 55 44 8B 45 9B E8 ?? ?? ?? ?? BF 01 00 00 00 EB 40 48 8D 45 EF 4C 8D 45 BF 48 8D 4D A7 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 44 BD 9B 48 FF C7 48 8D 4D D7 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 D7 48 8D 4D A7 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 48 8D 4D A7 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 8B 55 97 48 8D 4D 87 F2 0F 11 45 87 E8 ?? ?? ?? ?? EB 2A BB 03 00 00 00 3B C3 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 12 83 F8 04 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F2 0F 11 45 87 45 85 E4 74 11 48 8D 4D 87 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F2 0F 10 45 87 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_2_0_1 {
	meta:
		name = "??$_Allocate@D@std@@YAPEAD_KPEAD@Z"
		size = 38
		refs = "0012 ??2@YAPEAX_K@Z 0021 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 C9 74 10 48 83 F9 FF 77 0F E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_1_1 {
	meta:
		name = "??$_Allocate@U_Container_proxy@std@@@std@@YAPEAU_Container_proxy@0@_KPEAU10@@Z"
		size = 51
		refs = "001f ??2@YAPEAX_K@Z 002e ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 C9 74 1D 48 B8 FF FF FF FF FF FF FF 0F 48 3B C8 77 13 48 C1 E1 04 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_2_1 {
	meta:
		name = "??$_Fgetc@_W@std@@YA_NAEA_WPEAU_iobuf@@@Z"
		size = 42
		refs = "000d fgetwc"
		altNames = "??$_Fgetc@G@std@@YA_NAEAGPEAU_iobuf@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 04 32 C0 EB 05 66 89 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_3_1 {
	meta:
		name = "??$_Fputc@_W@std@@YA_N_WPEAU_iobuf@@@Z"
		size = 25
		refs = "0005 fputwc"
		altNames = "??$_Fputc@G@std@@YA_NGPEAU_iobuf@@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? BA FF FF 00 00 66 3B C2 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_4_1 {
	meta:
		name = "??$_Ungetc@_W@std@@YA_NAEB_WPEAU_iobuf@@@Z"
		size = 28
		refs = "0008 ungetwc"
		altNames = "??$_Ungetc@G@std@@YA_NAEBGPEAU_iobuf@@@Z"
	strings:
		$1 = { 48 83 EC 28 0F B7 09 E8 ?? ?? ?? ?? BA FF FF 00 00 66 3B C2 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_17_1 {
	meta:
		name = "??$use_facet@V?$codecvt@_WDH@std@@@std@@YAAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$codecvt@_WDH@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$codecvt@_WDH@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$codecvt@_WDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_14_13_2 {
	meta:
		name = "??$use_facet@V?$codecvt@DDH@std@@@std@@YAAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$codecvt@DDH@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$codecvt@DDH@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$codecvt@DDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_114_17_1 {
	meta:
		name = "??$use_facet@V?$codecvt@GDH@std@@@std@@YAAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$codecvt@GDH@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$codecvt@GDH@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$codecvt@GDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_0_32_2 {
	meta:
		name = "??$use_facet@V?$collate@D@std@@@std@@YAAEBV?$collate@D@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$collate@D@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$collate@D@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_95_1 {
	meta:
		name = "??$use_facet@V?$collate@G@std@@@std@@YAAEBV?$collate@G@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$collate@G@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$collate@G@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_97_1 {
	meta:
		name = "??$use_facet@V?$collate@_W@std@@@std@@YAAEBV?$collate@_W@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$collate@_W@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$collate@_W@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_101_19_1 {
	meta:
		name = "??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$ctype@D@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$ctype@D@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$ctype@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_99_1 {
	meta:
		name = "??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$ctype@G@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$ctype@G@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$ctype@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_2_19_1 {
	meta:
		name = "??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$ctype@_W@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$ctype@_W@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$ctype@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_43_1 {
	meta:
		name = "??$use_facet@V?$messages@D@std@@@std@@YAAEBV?$messages@D@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$messages@D@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$messages@D@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$messages@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_103_1 {
	meta:
		name = "??$use_facet@V?$messages@G@std@@@std@@YAAEBV?$messages@G@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$messages@G@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$messages@G@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$messages@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_96_2 {
	meta:
		name = "??$use_facet@V?$messages@_W@std@@@std@@YAAEBV?$messages@_W@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$messages@_W@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$messages@_W@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$messages@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_0_38_2 {
	meta:
		name = "??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_107_1 {
	meta:
		name = "??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_109_1 {
	meta:
		name = "??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_0_40_2 {
	meta:
		name = "??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_111_1 {
	meta:
		name = "??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_113_1 {
	meta:
		name = "??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_49_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$moneypunct@D$00@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$moneypunct@D$00@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_51_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$moneypunct@D$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_115_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$moneypunct@G$00@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_117_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$moneypunct@G$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_119_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$moneypunct@_W$00@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_112_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$moneypunct@_W$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_49_26_2 {
	meta:
		name = "??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_114_2 {
	meta:
		name = "??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_116_2 {
	meta:
		name = "??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_103_32_1 {
	meta:
		name = "??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_127_1 {
	meta:
		name = "??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_129_1 {
	meta:
		name = "??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_49_30_2 {
	meta:
		name = "??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$numpunct@D@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$numpunct@D@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_131_1 {
	meta:
		name = "??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$numpunct@G@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$numpunct@G@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_124_2 {
	meta:
		name = "??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$numpunct@_W@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$numpunct@_W@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_53_1 {
	meta:
		name = "??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_126_2 {
	meta:
		name = "??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_128_2 {
	meta:
		name = "??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_55_1 {
	meta:
		name = "??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_9_130_2 {
	meta:
		name = "??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_141_1 {
	meta:
		name = "??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 304
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_Psave@?$_Facetptr@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0036 ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0056 ?_Id_cnt@id@locale@std@@0HA 0071 ??1_Lockit@std@@QEAA@XZ 009c ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ca ?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00d7 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e1 ??0bad_cast@std@@QEAA@PEBD@Z 00e8 _TI2?AVbad_cast@std@@ 00f2 _CxxThrowException 0110 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 4C 8B F1 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 49 8B 0E 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7F 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 5E 48 85 F6 74 05 48 8B DE EB 54 49 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_2_22_1 {
	meta:
		name = "??0?$_String_alloc@$0A@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAA@AEBV?$allocator@D@1@@Z"
		size = 69
		refs = "001d ??2@YAPEAX_K@Z 0040 ?_Xbad_alloc@std@@YAXXZ"
		altNames = "??0?$_String_alloc@$0A@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAA@AEBV?$allocator@G@1@@Z ??0?$_String_alloc@$0A@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAA@AEBV?$allocator@_W@1@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 18 00 48 83 61 20 00 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 19 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 8B C3 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_23_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@PEBDPEBU_Container_base12@1@@Z"
		size = 28
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@PEBGPEBU_Container_base12@1@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@PEB_WPEBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@PEADPEBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@PEAGPEBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@PEA_WPEBU_Container_base12@1@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 4D 85 C0 74 06 49 8B 00 48 89 01 48 89 51 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_25_1 {
	meta:
		name = "??0?$_String_val@U?$_Simple_types@D@std@@@std@@QEAA@XZ"
		size = 17
		altNames = "??0?$_String_val@U?$_Simple_types@G@std@@@std@@QEAA@XZ ??0?$_String_val@U?$_Simple_types@_W@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_33_1 {
	meta:
		name = "??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 166
		refs = "0011 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAA@XZ 001a ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 008a ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 33 C9 48 8D 05 ?? ?? ?? ?? 4C 8D 47 10 48 89 07 88 8F 88 00 00 00 88 8F 82 00 00 00 4C 89 47 20 48 8D 47 08 48 89 47 18 48 8D 47 28 48 89 47 38 48 8D 47 30 48 89 47 40 48 8D 47 48 48 89 47 50 48 8D 47 4C 48 89 47 58 49 89 08 48 8B 47 40 48 89 08 48 8B 47 58 89 08 48 8B 47 18 48 89 08 48 8B 47 38 48 89 08 48 8B 47 50 89 08 48 89 9F 90 00 00 00 8B 05 ?? ?? ?? ?? 48 8B 5C 24 30 89 87 84 00 00 00 48 89 4F 78 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_11_33_1 {
	meta:
		name = "??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 166
		refs = "0011 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAA@XZ 001a ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 008a ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 33 C9 48 8D 05 ?? ?? ?? ?? 4C 8D 47 10 48 89 07 88 8F 88 00 00 00 88 8F 82 00 00 00 4C 89 47 20 48 8D 47 08 48 89 47 18 48 8D 47 28 48 89 47 38 48 8D 47 30 48 89 47 40 48 8D 47 48 48 89 47 50 48 8D 47 4C 48 89 47 58 49 89 08 48 8B 47 40 48 89 08 48 8B 47 58 89 08 48 8B 47 18 48 89 08 48 8B 47 38 48 89 08 48 8B 47 50 89 08 48 89 9F 90 00 00 00 8B 05 ?? ?? ?? ?? 48 8B 5C 24 30 89 87 84 00 00 00 48 89 4F 78 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_35_1 {
	meta:
		name = "??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 124
		refs = "0026 ??_8?$basic_ostream@_WU?$char_traits@_W@std@@@std@@7B@ 0030 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 004a ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 006e ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 F0 89 54 19 FC 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_77_35_1 {
	meta:
		name = "??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 124
		refs = "0026 ??_8?$basic_ostream@DU?$char_traits@D@std@@@std@@7B@ 0030 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 004a ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 006e ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 F0 89 54 19 FC 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_11_35_1 {
	meta:
		name = "??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 124
		refs = "0026 ??_8?$basic_ostream@GU?$char_traits@G@std@@@std@@7B@ 0030 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 004a ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 006e ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 F0 89 54 19 FC 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_36_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_77_36_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_11_36_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_2_37_1 {
	meta:
		name = "??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAA@XZ"
		size = 163
		refs = "000d ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 001d ??2@YAPEAX_K@Z 002c ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0C B1 01 E8 ?? ?? ?? ?? 48 89 07 EB 02 33 FF 48 89 7B 60 48 8D 43 08 48 8D 4B 10 48 89 43 18 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_37_1 {
	meta:
		name = "??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ"
		size = 163
		refs = "000d ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 001d ??2@YAPEAX_K@Z 002c ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0C B1 01 E8 ?? ?? ?? ?? 48 89 07 EB 02 33 FF 48 89 7B 60 48 8D 43 08 48 8D 4B 10 48 89 43 18 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_11_37_1 {
	meta:
		name = "??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAA@XZ"
		size = 163
		refs = "000d ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 001d ??2@YAPEAX_K@Z 002c ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0C B1 01 E8 ?? ?? ?? ?? 48 89 07 EB 02 33 FF 48 89 7B 60 48 8D 43 08 48 8D 4B 10 48 89 43 18 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_38_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z"
		size = 109
		refs = "0024 ??2@YAPEAX_K@Z 0055 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 0068 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 21 00 48 83 61 18 00 48 83 61 20 00 48 8B D9 B9 10 00 00 00 48 8B FA E8 ?? ?? ?? ?? 48 85 C0 74 3A 48 89 03 0F 57 C0 48 8B D7 48 8B CB F3 0F 7F 00 48 8B 03 48 89 18 48 83 63 18 00 48 C7 43 20 0F 00 00 00 C6 43 08 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_39_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
		size = 131
		refs = "0032 ??2@YAPEAX_K@Z 003c ?_Xbad_alloc@std@@YAXXZ 0070 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B FA 48 8B D9 48 83 21 00 48 83 61 18 00 48 83 61 20 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 83 63 18 00 C6 43 08 00 49 83 C9 FF 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_41_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		size = 148
		refs = "0033 ??2@YAPEAX_K@Z 003d ?_Xbad_alloc@std@@YAXXZ 006b strlen 007c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B D9 33 FF 48 89 39 48 89 79 18 48 89 79 20 8D 4F 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 89 7B 18 40 88 7B 08 40 38 3E 74 0B 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_43_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 86
		refs = "001d ??2@YAPEAX_K@Z 0051 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 18 00 48 83 61 20 00 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 2A 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 83 63 18 00 48 C7 43 20 0F 00 00 00 C6 43 08 00 48 8B C3 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_44_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z"
		size = 139
		refs = "0039 ??2@YAPEAX_K@Z 0043 ?_Xbad_alloc@std@@YAXXZ 0073 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 41 8A F8 48 8B F2 48 8B D9 48 83 21 00 48 83 61 18 00 48 83 61 20 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 83 63 18 00 C6 43 08 00 44 8A C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_46_1 {
	meta:
		name = "??0?$codecvt@_WDH@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 73
		refs = "0009 ??_7?$codecvt@_WDH@std@@6B@ 001d _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 05 ?? ?? ?? ?? 48 8B D9 44 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_11_46_1 {
	meta:
		name = "??0?$codecvt@GDH@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 73
		refs = "0009 ??_7?$codecvt@GDH@std@@6B@ 001d _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 05 ?? ?? ?? ?? 48 8B D9 44 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_2_47_1 {
	meta:
		name = "??0?$ctype@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 98
		refs = "0009 ??_7?$ctype@_W@std@@6B@ 001d _Getctype 0036 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 05 ?? ?? ?? ?? 48 8B D9 44 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_11_47_1 {
	meta:
		name = "??0?$ctype@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 98
		refs = "0009 ??_7?$ctype@G@std@@6B@ 001d _Getctype 0036 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 05 ?? ?? ?? ?? 48 8B D9 44 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_2_49_1 {
	meta:
		name = "??0?$fpos@H@std@@QEAA@_J@Z"
		size = 16
	strings:
		$1 = { 48 83 61 08 00 83 61 10 00 48 89 11 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_54_1 {
	meta:
		name = "??0_Init_wcout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 000a ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0014 ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0033 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0052 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8B D1 4C 89 05 ?? ?? ?? ?? 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_115_54_1 {
	meta:
		name = "??0_Init_cout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 000a ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0014 ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0033 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0052 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8B D1 4C 89 05 ?? ?? ?? ?? 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_95_54_1 {
	meta:
		name = "??0_Init_ushcout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 000a ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0014 ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0033 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0052 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8B D1 4C 89 05 ?? ?? ?? ?? 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_2_57_1 {
	meta:
		name = "??0_Locinfo@std@@QEAA@PEBD@Z"
		size = 172
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 005c ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@ 0070 ??0exception@std@@QEAA@AEBQEBD@Z 0077 ??_7runtime_error@std@@6B@ 0083 _TI2?AVruntime_error@std@@ 008d _CxxThrowException 0099 ?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@PEBD@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B FA 48 8B D9 33 D2 E8 ?? ?? ?? ?? 90 33 C0 48 89 43 08 88 43 10 48 89 43 18 88 43 20 48 89 43 28 66 89 43 30 48 89 43 38 66 89 43 40 48 89 43 48 88 43 50 48 89 43 58 88 43 60 48 85 FF 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 48 8D 54 24 58 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_2_59_1 {
	meta:
		name = "?dtor$1@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_389_1 {
	meta:
		name = "?dtor$0@?0???0agent@Concurrency@@QEAA@AEAVScheduleGroup@1@@Z@4HA"
		size = 16
		refs = "000c ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_60_1 {
	meta:
		name = "?dtor$2@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_534_1 {
	meta:
		name = "?dtor$1@?0???1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_634_1 {
	meta:
		name = "?dtor$2@?0???0task_options@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1cancellation_token@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_61_1 {
	meta:
		name = "?dtor$3@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@_W@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_369_1 {
	meta:
		name = "?dtor$1@?0???0_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@QEAA@0AEBV45@I@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_377_1 {
	meta:
		name = "?dtor$1@?0???0_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@QEAA@0AEBV34@I@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_535_1 {
	meta:
		name = "?dtor$2@?0???1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_62_1 {
	meta:
		name = "?dtor$4@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@_W@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_63_1 {
	meta:
		name = "?dtor$5@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_64_1 {
	meta:
		name = "?dtor$6@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_65_1 {
	meta:
		name = "??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 210
		refs = "001b __security_cookie 0034 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z 004c ?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z 006e ??0exception@std@@QEAA@AEBQEBD@Z 0075 ??_7runtime_error@std@@6B@ 0088 ??3@YAXPEAX@Z 00a9 ??_7_System_error@std@@6B@ 00c3 __security_check_cookie"
	strings:
		$1 = { 40 55 53 57 48 8D 6C 24 B9 48 81 EC 90 00 00 00 48 C7 45 E7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 3F 48 8B FA 48 8B D9 49 8B D0 48 8D 4D EF E8 ?? ?? ?? ?? 0F 10 07 F3 0F 7F 45 D7 4C 8B C0 48 8D 55 D7 48 8D 4D 17 E8 ?? ?? ?? ?? 90 48 83 78 20 10 72 06 48 8B 40 08 EB 04 48 83 C0 08 48 89 45 D7 48 8D 55 D7 48 8B CB E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 7D 37 10 72 09 48 8B 4D 1F E8 ?? ?? ?? ?? 48 C7 45 37 0F 00 00 00 48 83 65 2F 00 C6 45 1F 00 48 8B 4D 17 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 0F 10 07 F3 0F 7F 43 18 48 8B C3 48 8B 4D 3F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 5F 5B 5D C3 }
	condition:
		$1
}

rule file_2_67_1 {
	meta:
		name = "??0_System_error@std@@QEAA@AEBV01@@Z"
		size = 54
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7_System_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 0F 10 43 18 48 8B 5C 24 30 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_623_1 {
	meta:
		name = "??0future_error@std@@QEAA@AEBV01@@Z"
		size = 54
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7future_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 0F 10 43 18 48 8B 5C 24 30 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_69_1 {
	meta:
		name = "??0codecvt_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7codecvt_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_62_386_2 {
	meta:
		name = "??0_Runtime_object@details@Concurrency@@QEAA@H@Z"
		size = 17
		refs = "0003 ??_7_Runtime_object@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_114_70_1 {
	meta:
		name = "??0ctype_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7ctype_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_92_62_2 {
	meta:
		name = "??0facet@locale@std@@IEAA@_K@Z"
		size = 17
		refs = "0003 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_29_120_1 {
	meta:
		name = "??0messages_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7messages_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_29_121_1 {
	meta:
		name = "??0money_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7money_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_29_124_1 {
	meta:
		name = "??0time_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7time_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_54_85_2 {
	meta:
		name = "?resetiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?rsfun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_54_88_2 {
	meta:
		name = "?setbase@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?sbfun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_54_90_2 {
	meta:
		name = "?setiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?sifun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_75_1 {
	meta:
		name = "??0failure@ios_base@std@@QEAA@AEBV012@@Z"
		size = 64
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7_System_error@std@@6B@ 0022 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 0F 10 43 18 48 8B 5C 24 30 48 89 07 F3 0F 7F 47 18 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_71_2 {
	meta:
		name = "??0system_error@std@@QEAA@AEBV01@@Z"
		size = 64
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7_System_error@std@@6B@ 0022 ??_7system_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 0F 10 43 18 48 8B 5C 24 30 48 89 07 F3 0F 7F 47 18 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_76_1 {
	meta:
		name = "??0failure@ios_base@std@@QEAA@PEBDAEBVerror_code@2@@Z"
		size = 51
		refs = "001c ??0system_error@std@@QEAA@Verror_code@1@PEBD@Z 0023 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 41 0F 10 00 4C 8B C2 48 8D 54 24 20 48 8B D9 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_78_1 {
	meta:
		name = "??0locale@std@@QEAA@AEBV01@@Z"
		size = 30
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0A 48 89 0B 48 8B 01 FF 50 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_79_1 {
	meta:
		name = "??0locale@std@@QEAA@XZ"
		size = 28
		refs = "000c ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B1 01 E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_81_1 {
	meta:
		name = "??0runtime_error@std@@QEAA@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 60
		refs = "0025 ??0exception@std@@QEAA@AEBQEBD@Z 002c ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 7A 20 10 48 8B D9 72 06 48 8B 52 08 EB 04 48 83 C2 08 48 89 54 24 30 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_627_1 {
	meta:
		name = "??0logic_error@std@@QEAA@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 60
		refs = "0025 ??0exception@std@@QEAA@AEBQEBD@Z 002c ??_7logic_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 7A 20 10 48 8B D9 72 06 48 8B 52 08 EB 04 48 83 C2 08 48 89 54 24 30 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_84_1 {
	meta:
		name = "??0system_error@std@@QEAA@Verror_code@1@PEBD@Z"
		size = 170
		refs = "0017 __security_cookie 0031 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 004d ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0060 ??3@YAXPEAX@Z 0085 ??_7system_error@std@@6B@ 0098 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 B8 FE FF FF FF 49 89 5B 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 48 8B DA 48 8B F9 49 8B D0 49 8D 4B C0 E8 ?? ?? ?? ?? 90 0F 10 03 F3 0F 7F 44 24 20 4C 8D 44 24 38 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? 90 48 83 7C 24 58 10 72 0A 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 C7 44 24 58 0F 00 00 00 48 83 64 24 50 00 C6 44 24 40 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_2_87_1 {
	meta:
		name = "??1?$_String_alloc@$0A@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAA@XZ"
		size = 27
		refs = "000d ??3@YAXPEAX@Z"
		altNames = "??1?$_String_alloc@$0A@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAA@XZ ??1?$_String_alloc@$0A@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAA@XZ ??1?$_Vector_alloc@$0A@U?$_Vec_base_types@PEAXV?$allocator@PEAX@std@@@std@@@std@@QEAA@XZ ??1?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@@std@@QEAA@XZ ??1?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@@std@@QEAA@XZ ?_Free_proxy@?$_String_alloc@$0A@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAAXXZ ?_Free_proxy@?$_String_alloc@$0A@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAAXXZ ?_Free_proxy@?$_String_alloc@$0A@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAAXXZ ?_Free_proxy@?$_Vector_alloc@$0A@U?$_Vec_base_types@PEAXV?$allocator@PEAX@std@@@std@@@std@@QEAAXXZ ?_Free_proxy@?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@@std@@QEAAXXZ ?_Free_proxy@?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_91_33_1 {
	meta:
		name = "??1_Concurrent_queue_iterator_base_v4@details@Concurrency@@IEAA@XZ"
		size = 27
		refs = "000d ?NFS_Free@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_91_1 {
	meta:
		name = "??1?$_Yarn@D@std@@QEAA@XZ"
		size = 32
		refs = "0012 free"
		altNames = "??1?$_Yarn@_W@std@@QEAA@XZ ?_Tidy@?$_Yarn@D@std@@AEAAXXZ ?_Tidy@?$_Yarn@_W@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_93_1 {
	meta:
		name = "??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 159
		refs = "0011 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0059 ?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAAPEAV12@XZ 0060 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 0095 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 90 00 00 00 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 2F 48 8B 49 18 48 8D 83 80 00 00 00 48 39 01 75 1F 48 8B 53 68 4C 8B 43 70 48 89 11 48 8B 43 38 4C 2B C2 48 89 10 48 8B 43 50 49 D1 F8 44 89 00 80 BB 88 00 00 00 00 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 5B 60 48 85 DB 74 29 48 8B 0B 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_11_93_1 {
	meta:
		name = "??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 159
		refs = "0011 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0059 ?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAAPEAV12@XZ 0060 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 0095 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 90 00 00 00 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 2F 48 8B 49 18 48 8D 83 80 00 00 00 48 39 01 75 1F 48 8B 53 68 4C 8B 43 70 48 89 11 48 8B 43 38 4C 2B C2 48 89 10 48 8B 43 50 49 D1 F8 44 89 00 80 BB 88 00 00 00 00 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 5B 60 48 85 DB 74 29 48 8B 0B 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_95_1 {
	meta:
		name = "??1?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC C3 }
	condition:
		$1
}

rule file_77_96_1 {
	meta:
		name = "??1?$basic_ostream@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC C3 }
	condition:
		$1
}

rule file_11_95_1 {
	meta:
		name = "??1?$basic_ostream@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC C3 }
	condition:
		$1
}

rule file_2_96_1 {
	meta:
		name = "??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 72
		refs = "000d ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 003e ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 60 48 8D 05 ?? ?? ?? ?? 48 89 01 48 85 DB 74 29 48 8B 0B 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_77_97_1 {
	meta:
		name = "??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 72
		refs = "000d ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 003e ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 60 48 8D 05 ?? ?? ?? ?? 48 89 01 48 85 DB 74 29 48 8B 0B 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_11_96_1 {
	meta:
		name = "??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 72
		refs = "000d ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 003e ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 60 48 8D 05 ?? ?? ?? ?? 48 89 01 48 85 DB 74 29 48 8B 0B 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_97_1 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 60
		refs = "0015 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 20 10 48 8B D9 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 63 18 00 48 C7 43 20 0F 00 00 00 C6 43 08 00 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_99_1 {
	meta:
		name = "??1?$ctype@_W@std@@MEAA@XZ"
		size = 59
		refs = "000d ??_7?$ctype@_W@std@@6B@ 001e free 002e ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_11_99_1 {
	meta:
		name = "??1?$ctype@G@std@@MEAA@XZ"
		size = 59
		refs = "000d ??_7?$ctype@G@std@@6B@ 001e free 002e ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_105_1 {
	meta:
		name = "??1_Locinfo@std@@QEAA@XZ"
		size = 141
		refs = "000a ?_Locinfo_dtor@_Locinfo@std@@SAXPEAV12@@Z 0018 free 0089 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 58 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 58 00 48 8B 4B 48 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 48 00 48 8B 4B 38 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 38 00 48 8B 4B 28 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 28 00 48 8B 4B 18 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 18 00 48 8B 4B 08 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 08 00 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_114_1 {
	meta:
		name = "??1locale@std@@QEAA@XZ"
		size = 42
		altNames = "_Deletegloballocale"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_120_1 {
	meta:
		name = "??8error_condition@std@@QEBA_NAEBV01@@Z"
		size = 25
	strings:
		$1 = { 48 8B 42 08 48 39 41 08 75 0C 8B 02 39 01 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_2_122_1 {
	meta:
		name = "??Bid@locale@std@@QEAA_KXZ"
		size = 71
		refs = "0017 ??0_Lockit@std@@QEAA@H@Z 0023 ?_Id_cnt@id@locale@std@@0HA 003a ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 39 00 48 8B D9 75 2F 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 83 3B 00 75 13 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 03 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_123_1 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ"
		size = 100
		refs = "0059 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 48 8B C1 48 8B 09 48 85 C9 74 4F 48 8B 09 48 85 C9 74 47 48 8B 40 10 48 85 C0 74 3E 48 83 79 20 10 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 3B D0 77 22 48 83 79 20 10 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 8B 49 18 48 03 D1 48 3B C2 73 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_125_1 {
	meta:
		name = "??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
		size = 55
		refs = "000e ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0022 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 10 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 44 8D 42 F0 44 89 44 0A EC 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_126_1 {
	meta:
		name = "??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
		size = 55
		refs = "000e ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0022 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 10 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 44 8D 42 F0 44 89 44 0A EC 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_125_1 {
	meta:
		name = "??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
		size = 55
		refs = "000e ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0022 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 10 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 44 8D 42 F0 44 89 44 0A EC 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_129_1 {
	meta:
		name = "??_G?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 99
		refs = "001f ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0033 ??_7ios_base@std@@6B@ 0044 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0051 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F0 8B DA 48 8D 4F 10 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 45 8D 48 F0 45 89 4C 08 EC 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_130_1 {
	meta:
		name = "??_G?$basic_ostream@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 99
		refs = "001f ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0033 ??_7ios_base@std@@6B@ 0044 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0051 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F0 8B DA 48 8D 4F 10 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 45 8D 48 F0 45 89 4C 08 EC 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_11_129_1 {
	meta:
		name = "??_G?$basic_ostream@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 99
		refs = "001f ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0033 ??_7ios_base@std@@6B@ 0044 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0051 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F0 8B DA 48 8D 4F 10 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 45 8D 48 F0 45 89 4C 08 EC 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_130_1 {
	meta:
		name = "??_G?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 113
		refs = "0016 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 004c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 60 48 8D 05 ?? ?? ?? ?? 8B F2 48 8B D9 48 89 01 48 85 FF 74 29 48 8B 0F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CF E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_131_1 {
	meta:
		name = "??_G?$basic_streambuf@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 113
		refs = "0016 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 004c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 60 48 8D 05 ?? ?? ?? ?? 8B F2 48 8B D9 48 89 01 48 85 FF 74 29 48 8B 0F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CF E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_11_130_1 {
	meta:
		name = "??_G?$basic_streambuf@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 113
		refs = "0016 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 004c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 60 48 8D 05 ?? ?? ?? ?? 8B F2 48 8B D9 48 89 01 48 85 FF 74 29 48 8B 0F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CF E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_132_1 {
	meta:
		name = "??_G?$ctype@_W@std@@MEAAPEAXI@Z"
		size = 87
		refs = "0011 ??_7?$ctype@_W@std@@6B@ 0024 free 0034 ??_7_Facet_base@std@@6B@ 0045 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 8B FA 48 89 01 48 8B D9 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_11_132_1 {
	meta:
		name = "??_G?$ctype@G@std@@MEAAPEAXI@Z"
		size = 87
		refs = "0011 ??_7?$ctype@G@std@@6B@ 0024 free 0034 ??_7_Facet_base@std@@6B@ 0045 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 8B FA 48 89 01 48 8B D9 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_144_1 {
	meta:
		name = "??_Glocale@std@@QEAAPEAXI@Z"
		size = 76
		refs = "003a ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 09 8B FA 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_152_1 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 48
		refs = "0007 wfout 000e ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcout@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_132_2 {
	meta:
		name = "??__Ecerr@std@@YAXXZ"
		size = 48
		refs = "0007 ferr 000e ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 001c ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0023 ??__Fcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_132_2 {
	meta:
		name = "??__Ecin@std@@YAXXZ"
		size = 48
		refs = "0007 fin 000e ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 001c ??0?$basic_istream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0023 ??__Fcin@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_132_2 {
	meta:
		name = "??__Eclog@std@@YAXXZ"
		size = 48
		refs = "0007 flog 000e ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 001c ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0023 ??__Fclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_132_2 {
	meta:
		name = "??__Ecout@std@@YAXXZ"
		size = 48
		refs = "0007 fout 000e ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 001c ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0023 ??__Fcout@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_133_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 48
		refs = "0007 wferr 000e ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_133_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 48
		refs = "0007 wferr 000e ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_152_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 48
		refs = "0007 wferr 000e ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_152_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 48
		refs = "0007 wfin 000e ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcin@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_133_2 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 48
		refs = "0007 wfin 000e ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcin@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_22_133_2 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 48
		refs = "0007 wfin 000e ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcin@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_152_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 48
		refs = "0007 wfin 000e ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcin@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_92_133_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 48
		refs = "0007 wflog 000e ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_133_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 48
		refs = "0007 wflog 000e ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_152_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 48
		refs = "0007 wflog 000e ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_152_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 48
		refs = "0007 wflog 000e ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_133_2 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 48
		refs = "0007 wfout 000e ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcout@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_153_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wfout 0015 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwfout@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 30 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_153_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wfout 0015 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwfout@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 30 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_158_1 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 74
		refs = "0003 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_158_1 {
	meta:
		name = "??__Fcerr@std@@YAXXZ"
		size = 74
		refs = "0003 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0015 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_158_1 {
	meta:
		name = "??__Fclog@std@@YAXXZ"
		size = 74
		refs = "0003 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0015 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_115_158_1 {
	meta:
		name = "??__Fcout@std@@YAXXZ"
		size = 74
		refs = "0003 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0015 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_158_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 74
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_109_158_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 74
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_139_2 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 74
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_158_1 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 74
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_158_1 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 74
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_92_139_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 74
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_139_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 74
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_158_1 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 74
		refs = "0003 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 F0 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_161_1 {
	meta:
		name = "?_Alloc_proxy@?$_String_alloc@$0A@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAAXXZ"
		size = 52
		refs = "000f ??2@YAPEAX_K@Z 002f ?_Xbad_alloc@std@@YAXXZ"
		altNames = "?_Alloc_proxy@?$_String_alloc@$0A@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAAXXZ ?_Alloc_proxy@?$_String_alloc@$0A@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAAXXZ ?_Alloc_proxy@?$_Vector_alloc@$0A@U?$_Vec_base_types@PEAXV?$allocator@PEAX@std@@@std@@@std@@QEAAXXZ ?_Alloc_proxy@?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@@std@@QEAAXXZ ?_Alloc_proxy@?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 16 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_162_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
		size = 109
		refs = "0029 memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 7A 20 10 48 8B DA 48 8B F9 73 18 4C 8B 42 18 49 FF C0 74 21 48 83 C1 08 48 83 C2 08 E8 ?? ?? ?? ?? EB 12 48 83 C1 08 74 07 48 8B 42 08 48 89 01 48 83 62 08 00 48 8B 43 18 48 89 47 18 48 8B 43 20 48 89 47 20 48 83 63 18 00 48 C7 43 20 0F 00 00 00 C6 43 08 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_163_1 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0D@Z"
		size = 60
		refs = "0038 memset"
	strings:
		$1 = { 48 8B C2 49 83 F8 01 75 16 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 44 88 0C 11 C3 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 41 0F BE D1 48 03 C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_164_1 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z"
		size = 283
		refs = "0082 ??2@YAPEAX_K@Z 008f ?_Xbad_alloc@std@@YAXXZ 00cc memcpy 00dc ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 48 83 EC 38 48 C7 40 C8 FE FF FF FF 49 8B F0 48 8B D9 48 8B FA 48 83 CF 0F 49 C7 C1 FE FF FF FF 49 3B F9 76 05 48 8B FA EB 31 4C 8B 41 20 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E7 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 3C 01 76 03 49 8B F9 48 8D 4F 01 45 33 F6 48 85 C9 74 19 48 83 F9 FF 77 0D E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 06 E8 ?? ?? ?? ?? 90 EB 14 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 68 4C 8B 74 24 78 48 85 F6 74 21 48 83 7B 20 10 72 06 48 8B 53 08 EB 04 48 8D 53 08 48 85 F6 74 0B 4C 8B C6 49 8B CE E8 ?? ?? ?? ?? 48 83 7B 20 10 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 C7 43 20 0F 00 00 00 48 83 63 18 00 48 8D 43 08 C6 00 00 48 85 C0 74 03 4C 89 30 48 89 7B 20 48 89 73 18 48 83 FF 10 72 03 48 8B 00 C6 04 30 00 48 83 C4 38 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_2_166_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z$0"
		size = 54
		refs = "0016 ??2@YAPEAX_K@Z 0020 ?_Xbad_alloc@std@@YAXXZ 002b $LN19"
	strings:
		$1 = { 48 8B 4D 68 48 89 4D 68 33 C0 48 FF C1 74 15 48 83 F9 FF 77 0A E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 45 78 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_2_168_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z$1"
		size = 47
		refs = "0010 ??3@YAXPEAX@Z 002a _CxxThrowException"
	strings:
		$1 = { 48 8B 5D 60 48 83 7B 20 10 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 C7 43 20 0F 00 00 00 48 83 63 18 00 C6 43 08 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_2_170_1 {
	meta:
		name = "?_Donarrow@?$ctype@_W@std@@IEBAD_WD@Z"
		size = 81
		refs = "0009 __security_cookie 002d _Wcrtomb 0047 __security_check_cookie"
		altNames = "?_Donarrow@?$ctype@G@std@@IEBADGD@Z ?do_narrow@?$ctype@G@std@@MEBADGD@Z ?do_narrow@?$ctype@_W@std@@MEBAD_WD@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 83 64 24 20 00 41 0F B6 D8 4C 8D 49 30 4C 8D 44 24 20 48 8D 4C 24 24 E8 ?? ?? ?? ?? 0F B6 54 24 24 83 F8 01 0F 45 D3 8A C2 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_2_171_1 {
	meta:
		name = "?_Dowiden@?$ctype@_W@std@@IEBA_WD@Z"
		size = 71
		refs = "002b _Mbrtowc"
		altNames = "?_Dowiden@?$ctype@G@std@@IEBAGD@Z"
	strings:
		$1 = { 88 54 24 10 4C 8B DC 48 83 EC 38 83 64 24 50 00 48 8D 41 30 4D 8D 4B 18 49 8D 4B 08 49 8D 53 10 41 B8 01 00 00 00 49 89 43 E8 E8 ?? ?? ?? ?? 0F B7 4C 24 40 85 C0 BA FF FF 00 00 66 0F 48 CA 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_2_172_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ"
		size = 475
		refs = "0029 __security_cookie 007a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 008d ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0095 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 0134 fwrite 016e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 018b ??3@YAXPEAX@Z 01bb __security_check_cookie"
		altNames = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8D 68 A1 48 81 EC D0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 4C 8B F1 45 33 FF 44 89 7D 97 4C 39 79 78 0F 84 66 01 00 00 44 38 B9 82 00 00 00 0F 84 59 01 00 00 48 8B 01 BB FF FF 00 00 8B D3 FF 50 18 66 3B D8 75 07 32 C0 E9 45 01 00 00 45 33 C0 41 8D 50 08 48 8D 4D 07 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 48 8D 55 EF 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D 1F 48 8D 55 A7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 49 8B 4E 78 4C 8B 11 4C 8D 0C 3B 48 8D 55 97 48 89 54 24 20 4C 8B C0 49 8D 96 84 00 00 00 41 FF 52 40 85 C0 74 0A FF C8 0F 85 94 00 00 00 EB 08 41 C6 86 82 00 00 00 00 48 8D 55 BF 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5D 97 48 2B D8 74 37 44 0B FE 48 8D 55 D7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8B 8E 90 00 00 00 4C 8B C3 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 05 40 8A C6 EB 02 32 C0 44 84 FE 74 04 41 83 E7 FE 84 C0 75 2B 41 38 86 82 00 00 00 74 25 48 85 DB 0F 85 21 FF FF FF 45 33 C0 8D 53 08 48 8D 4D 07 E8 ?? ?? ?? ?? E9 0D FF FF FF 83 E8 02 74 03 40 32 F6 48 83 7D 27 10 72 09 48 8B 4D 0F E8 ?? ?? ?? ?? 48 C7 45 27 0F 00 00 00 48 83 65 1F 00 C6 45 0F 00 48 8B 4D 07 E8 ?? ?? ?? ?? 40 8A C6 EB 05 B8 01 00 00 00 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_2_174_1 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 26
	strings:
		$1 = { 48 83 79 20 10 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 11 00 C3 }
	condition:
		$1
}

rule file_2_177_1 {
	meta:
		name = "?_Getcat@?$codecvt@_WDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 244
		refs = "0046 ??2@YAPEAX_K@Z 0065 ??_C@_00CNPNBAHC@?$AA@ 007e ??0_Locinfo@std@@QEAA@PEBD@Z 008e ??_7?$codecvt@_WDH@std@@6B@ 009b _Getcvt 00d1 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC C0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 D0 00 00 00 48 85 C9 0F 84 9C 00 00 00 48 39 31 0F 85 93 00 00 00 8D 4E 40 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 D0 00 00 00 48 85 C0 74 66 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 58 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 58 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 C0 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_11_177_1 {
	meta:
		name = "?_Getcat@?$codecvt@GDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 244
		refs = "0046 ??2@YAPEAX_K@Z 0065 ??_C@_00CNPNBAHC@?$AA@ 007e ??0_Locinfo@std@@QEAA@PEBD@Z 008e ??_7?$codecvt@GDH@std@@6B@ 009b _Getcvt 00d1 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC C0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 D0 00 00 00 48 85 C9 0F 84 9C 00 00 00 48 39 31 0F 85 93 00 00 00 8D 4E 40 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 D0 00 00 00 48 85 C0 74 66 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 58 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 58 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 C0 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_2_179_1 {
	meta:
		name = "?_Getcat@?$ctype@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 269
		refs = "0046 ??2@YAPEAX_K@Z 0065 ??_C@_00CNPNBAHC@?$AA@ 007e ??0_Locinfo@std@@QEAA@PEBD@Z 008e ??_7?$ctype@_W@std@@6B@ 009b _Getctype 00b4 _Getcvt 00ea ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC E0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 F0 00 00 00 48 85 C9 0F 84 B5 00 00 00 48 39 31 0F 85 AC 00 00 00 8D 4E 60 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 F0 00 00 00 48 85 C0 74 7F 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 78 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 48 8D 4C 24 48 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 78 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 E0 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_11_179_1 {
	meta:
		name = "?_Getcat@?$ctype@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 269
		refs = "0046 ??2@YAPEAX_K@Z 0065 ??_C@_00CNPNBAHC@?$AA@ 007e ??0_Locinfo@std@@QEAA@PEBD@Z 008e ??_7?$ctype@G@std@@6B@ 009b _Getctype 00b4 _Getcvt 00ea ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC E0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 F0 00 00 00 48 85 C9 0F 84 B5 00 00 00 48 39 31 0F 85 AC 00 00 00 8D 4E 60 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 F0 00 00 00 48 85 C0 74 7F 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 78 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 48 8D 4C 24 48 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 78 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 E0 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_2_182_1 {
	meta:
		name = "?_Getctype@_Locinfo@std@@QEBA?AU_Ctypevec@@XZ"
		size = 42
		refs = "000f _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 0F 10 00 0F 10 48 10 48 8B C3 0F 11 03 0F 11 4B 10 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_2_183_1 {
	meta:
		name = "?_Getcvt@_Locinfo@std@@QEBA?AU_Cvtvec@@XZ"
		size = 58
		refs = "000f _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 0F 10 00 0F 10 48 10 0F 11 03 F2 0F 10 40 20 0F 11 4B 10 8B 40 28 F2 0F 11 43 20 89 43 28 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_2_184_1 {
	meta:
		name = "?_Getfacet@locale@std@@QEBAPEBVfacet@12@_K@Z"
		size = 80
		refs = "0030 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 11 33 DB 48 3B 7A 18 73 0A 48 8B 42 10 48 8B 04 F8 EB 03 48 8B C3 48 85 C0 75 1B 38 5A 24 74 16 E8 ?? ?? ?? ?? 48 3B 78 18 73 08 48 8B 40 10 48 8B 1C F8 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_185_1 {
	meta:
		name = "?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBA_JXZ"
		size = 21
		altNames = "?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEBA_JXZ ?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBA_JXZ"
	strings:
		$1 = { 48 8B 41 38 33 D2 48 39 10 74 06 48 8B 41 50 8B 10 48 63 C2 C3 }
	condition:
		$1
}

rule file_2_186_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
		size = 21
		altNames = "?_Gndec@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
	strings:
		$1 = { 48 8B 41 50 FF 00 48 8B 51 38 48 8B 02 48 83 C0 FE 48 89 02 C3 }
	condition:
		$1
}

rule file_2_187_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
		size = 21
		altNames = "?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
	strings:
		$1 = { 48 8B 41 50 FF 08 48 8B 51 38 48 8B 02 48 8D 48 02 48 89 0A C3 }
	condition:
		$1
}

rule file_2_188_1 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z"
		size = 214
		refs = "0036 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 006c memcpy 0074 ??3@YAXPEAX@Z 00cc ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00d1 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F2 48 8B D9 48 83 FA FE 0F 87 A0 00 00 00 33 FF 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 6C 45 84 C0 74 4A 48 83 FA 10 73 44 48 8B 69 18 48 3B D5 48 0F 42 EA 48 83 79 20 10 72 1F 48 83 C1 08 4C 8B 31 48 85 ED 74 0B 4C 8B C5 49 8B D6 E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 48 C7 43 20 0F 00 00 00 48 89 6B 18 40 88 7C 2B 08 EB 1D 48 85 D2 75 18 48 83 79 20 10 48 89 79 18 72 06 48 8B 59 08 EB 04 48 83 C3 08 40 88 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_190_1 {
	meta:
		name = "?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 133
		refs = "0076 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 41 83 F8 01 4C 8D 41 10 4C 89 41 20 0F 94 C0 45 33 C9 88 81 88 00 00 00 44 88 89 82 00 00 00 48 8D 41 08 48 89 41 18 48 8D 41 28 48 89 41 38 48 8D 41 30 48 89 41 40 48 8D 41 48 48 89 41 50 48 8D 41 4C 48 89 41 58 4D 89 08 48 8B 41 40 4C 89 08 48 8B 41 58 44 89 08 48 8B 41 18 4C 89 08 48 8B 41 38 4C 89 08 48 8B 41 50 44 89 08 48 89 91 90 00 00 00 8B 05 ?? ?? ?? ?? 89 81 84 00 00 00 4C 89 49 78 C3 }
	condition:
		$1
}

rule file_11_190_1 {
	meta:
		name = "?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 133
		refs = "0076 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 41 83 F8 01 4C 8D 41 10 4C 89 41 20 0F 94 C0 45 33 C9 88 81 88 00 00 00 44 88 89 82 00 00 00 48 8D 41 08 48 89 41 18 48 8D 41 28 48 89 41 38 48 8D 41 30 48 89 41 40 48 8D 41 48 48 89 41 50 48 8D 41 4C 48 89 41 58 4D 89 08 48 8B 41 40 4C 89 08 48 8B 41 58 44 89 08 48 8B 41 18 4C 89 08 48 8B 41 38 4C 89 08 48 8B 41 50 44 89 08 48 89 91 90 00 00 00 8B 05 ?? ?? ?? ?? 89 81 84 00 00 00 4C 89 49 78 C3 }
	condition:
		$1
}

rule file_2_191_1 {
	meta:
		name = "?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAPEA_W0PEAH001@Z"
		size = 40
		altNames = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAPEAD0PEAH001@Z ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAPEAG0PEAH001@Z"
	strings:
		$1 = { 48 8B 44 24 28 48 89 51 18 4C 89 41 38 48 89 41 20 48 8B 44 24 30 4C 89 49 50 48 89 41 40 48 8B 44 24 38 48 89 41 58 C3 }
	condition:
		$1
}

rule file_2_192_1 {
	meta:
		name = "?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXXZ"
		size = 90
		altNames = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXXZ ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXXZ"
	strings:
		$1 = { 45 33 C0 48 8D 41 08 48 8D 51 10 48 89 41 18 48 89 51 20 48 8D 41 28 48 89 41 38 48 8D 41 30 48 89 41 40 48 8D 41 48 48 89 41 50 48 8D 41 4C 48 89 41 58 4C 89 02 48 8B 41 40 4C 89 00 48 8B 41 58 44 89 00 48 8B 41 18 4C 89 00 48 8B 41 38 4C 89 00 48 8B 41 50 44 89 00 C3 }
	condition:
		$1
}

rule file_2_193_1 {
	meta:
		name = "?_Init@?$codecvt@_WDH@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 56
		refs = "000f _Getcvt"
		altNames = "?_Init@?$codecvt@GDH@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_2_194_1 {
	meta:
		name = "?_Init@?$ctype@_W@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 81
		refs = "000f _Getctype 0028 _Getcvt"
		altNames = "?_Init@?$ctype@G@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_2_195_1 {
	meta:
		name = "?_Init@ios_base@std@@IEAAXXZ"
		size = 114
		refs = "003f ?clear@ios_base@std@@QEAAXH_N@Z 0049 ??2@YAPEAX_K@Z 0058 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 61 40 00 48 83 61 08 00 83 61 14 00 48 83 61 28 00 48 83 61 30 00 48 83 61 38 00 45 33 C0 33 D2 48 8B D9 C7 41 18 01 02 00 00 48 C7 41 20 06 00 00 00 E8 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0C B1 01 E8 ?? ?? ?? ?? 48 89 07 EB 02 33 FF 48 89 7B 40 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_197_1 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEBV?$codecvt@_WDH@2@@Z"
		size = 136
		altNames = "?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEBV?$codecvt@DDH@2@@Z ?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEBV?$codecvt@GDH@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B D9 48 8B CA 48 8B FA FF 50 18 33 D2 84 C0 74 06 48 89 53 78 EB 58 48 89 7B 78 48 8D 43 08 48 8D 4B 10 48 89 43 18 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 89 11 48 8B 43 40 48 89 10 48 8B 43 58 89 10 48 8B 43 18 48 89 10 48 8B 43 38 48 89 10 48 8B 43 50 89 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_198_1 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_NPEBD@Z"
		size = 58
	strings:
		$1 = { 48 85 D2 74 32 48 83 79 20 10 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B D0 72 1A 48 83 79 20 10 72 03 4D 8B 00 48 8B 41 18 49 8D 0C 00 48 3B CA 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_2_199_1 {
	meta:
		name = "?_Lock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _lock_file"
		altNames = "?_Lock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAXXZ ?_Lock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 90 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_40_190_2 {
	meta:
		name = "?_Unlock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 90 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_114_214_1 {
	meta:
		name = "?_Unlock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 90 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_191_2 {
	meta:
		name = "?_Unlock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 90 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_201_1 {
	meta:
		name = "?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z"
		size = 247
		refs = "0014 __security_cookie 003d ??_C@_02LMMGGCAJ@?3?5?$AA@ 0042 strlen 0054 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0061 ?message@error_code@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0087 ??3@YAXPEAX@Z 00b1 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 00eb __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 70 48 C7 44 24 28 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 49 8B D8 48 8B F2 48 8B F9 48 89 5C 24 30 83 64 24 20 00 49 83 78 18 00 74 1E 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 38 48 8B CE E8 ?? ?? ?? ?? 90 49 83 C9 FF 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 83 7C 24 58 10 72 0A 48 8B 4C 24 40 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 74 24 58 48 83 64 24 50 00 C6 44 24 40 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 83 7B 20 10 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 89 73 20 48 83 63 18 00 C6 43 08 00 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 8B C7 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule file_2_204_1 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QEAAPEADXZ"
		size = 17
		altNames = "?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QEBAPEBDXZ ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAPEBDXZ"
	strings:
		$1 = { 48 83 79 20 10 72 05 48 8B 41 08 C3 48 8D 41 08 C3 }
	condition:
		$1
}

rule file_2_207_1 {
	meta:
		name = "?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBA_JXZ"
		size = 21
		altNames = "?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEBA_JXZ ?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBA_JXZ"
	strings:
		$1 = { 48 8B 41 40 33 D2 48 39 10 74 06 48 8B 41 58 8B 10 48 63 C2 C3 }
	condition:
		$1
}

rule file_2_208_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
		size = 21
		altNames = "?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
	strings:
		$1 = { 48 8B 41 58 FF 08 48 8B 51 40 48 8B 02 48 8D 48 02 48 89 0A C3 }
	condition:
		$1
}

rule file_2_209_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
		size = 48
		altNames = "?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B 49 18 48 8D 81 80 00 00 00 49 39 01 75 1F 48 8B 51 68 4C 8B 41 70 49 89 11 48 8B 41 38 4C 2B C2 48 89 10 48 8B 41 50 49 D1 F8 44 89 00 C3 }
	condition:
		$1
}

rule file_2_210_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
		size = 81
		altNames = "?_Set_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B C9 48 8B 49 18 48 8B 01 4D 8D 91 80 00 00 00 49 3B C2 74 1A 49 89 41 68 49 8B 41 50 4C 63 00 49 8B 41 38 48 8B 10 4A 8D 04 42 49 89 41 70 4C 89 11 49 8B 41 38 49 8B C9 49 2B CA 4C 89 10 49 8B 41 50 48 81 C1 82 00 00 00 48 D1 F9 89 08 C3 }
	condition:
		$1
}

rule file_2_213_1 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z"
		size = 93
		refs = "0030 memcpy 0038 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B D9 84 D2 74 23 48 83 79 20 10 72 1C 48 83 C1 08 48 8B 31 4D 85 C0 74 08 48 8B D6 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 38 48 C7 43 20 0F 00 00 00 48 89 7B 18 C6 44 3B 08 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_216_1 {
	meta:
		name = "?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 000c ?_Xlength_error@std@@YAXPEBD@Z"
		altNames = "?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_1314_1 {
	meta:
		name = "?_Xlen@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BD@OLBABOEK@vector?$DMT?$DO?5too?5long?$AA@ 000c ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_22_194_2 {
	meta:
		name = "?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_780_1 {
	meta:
		name = "?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_781_1 {
	meta:
		name = "?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_218_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QEAAPEAD_K@Z"
		size = 41
		refs = "0015 ??2@YAPEAX_K@Z 0024 ?_Xbad_alloc@std@@YAXXZ"
		altNames = "?allocate@?$allocator@D@std@@QEAAPEAD_K@Z"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 D2 74 13 48 83 FA FF 77 12 48 8B CA E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_220_1 {
	meta:
		name = "?allocate@?$allocator@U_Container_proxy@std@@@std@@QEAAPEAU_Container_proxy@2@_K@Z"
		size = 54
		refs = "0022 ??2@YAPEAX_K@Z 0031 ?_Xbad_alloc@std@@YAXXZ"
		altNames = "?allocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QEAAPEAU_Container_proxy@2@_K@Z"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 D2 74 20 48 B8 FF FF FF FF FF FF FF 0F 48 3B D0 77 16 48 C1 E2 04 48 8B CA E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_223_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 238
		refs = "0063 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00a0 memcpy 00d7 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00dc ?_Xout_of_range@std@@YAXPEBD@Z 00e4 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00e9 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 42 18 49 8B F1 4D 8B F0 48 8B FA 48 8B D9 49 3B C0 0F 82 A2 00 00 00 48 8B 49 18 49 2B C0 49 3B C1 48 0F 42 F0 48 83 C8 FF 48 2B C1 48 3B C6 0F 86 91 00 00 00 48 85 F6 74 61 48 8D 2C 31 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 4B 48 83 7F 20 10 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 85 F6 74 10 48 03 4B 18 4A 8D 14 30 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 6B 18 72 03 48 8B 3F C6 04 2F 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_224_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD@Z"
		size = 54
		refs = "001a strlen 0032 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 8B DA 48 8B F9 38 02 74 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_56_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD@Z"
		size = 54
		refs = "001a strlen 0032 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 8B DA 48 8B F9 38 02 74 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_225_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 263
		refs = "0071 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 009a ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00c5 memcpy 00fd ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0102 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B E8 48 8B F2 48 8B D9 48 85 D2 74 50 48 83 79 20 10 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 38 48 83 79 20 10 72 05 49 8B 09 EB 03 49 8B C9 48 03 4B 18 48 3B CA 76 20 48 83 7B 20 10 72 03 4D 8B 09 49 2B F1 4D 8B C8 48 8B D3 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? EB 68 48 8B 4B 18 48 83 C8 FF 48 2B C1 49 3B C0 76 73 4D 85 C0 74 50 4E 8D 34 01 45 33 C0 48 8B CB 49 8B D6 E8 ?? ?? ?? ?? 84 C0 74 3A 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 85 ED 74 0F 48 03 4B 18 4C 8B C5 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 20 10 4C 89 73 18 72 03 48 8B 3F 42 C6 04 37 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_226_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 207
		refs = "0049 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 008e memset 00c5 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00ca ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 83 C8 FF 48 8B D9 48 8B 49 18 48 2B C1 45 8A F0 48 8B F2 48 3B C2 0F 86 8C 00 00 00 48 85 D2 74 69 48 8D 2C 11 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 53 48 8B 4B 18 48 8D 7B 08 48 83 FE 01 75 15 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 44 88 34 08 EB 1E 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 41 0F BE D6 48 03 C8 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 6B 18 72 03 48 8B 3F C6 04 2F 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_227_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 244
		refs = "0066 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0073 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00ac memcpy 00dd ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00e2 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7A 18 49 8B E8 48 8B F2 48 8B D9 49 3B F8 0F 82 B0 00 00 00 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 33 4A 8D 04 07 48 39 41 18 0F 82 A0 00 00 00 48 83 79 20 10 48 89 41 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 01 00 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 56 45 33 C0 48 8B D7 E8 ?? ?? ?? ?? 84 C0 74 47 48 83 7E 20 10 72 06 48 8B 46 08 EB 04 48 8D 46 08 48 83 7B 20 10 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0C 48 8D 14 28 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_229_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 209
		refs = "006c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 007c ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00a3 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F0 48 8B EA 48 8B D9 48 85 D2 74 50 48 83 79 20 10 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 38 48 83 79 20 10 72 05 49 8B 09 EB 03 49 8B C9 48 03 4B 18 48 3B CA 76 20 48 83 7B 20 10 72 03 4D 8B 09 49 2B E9 4D 8B C8 48 8B D3 4C 8B C5 48 8B CB E8 ?? ?? ?? ?? EB 4A 45 33 C0 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 35 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 85 F6 74 0B 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_230_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 159
		refs = "0027 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0064 memset 0095 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 009a ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8A E8 48 8B F2 48 8B D9 48 83 FA FF 74 6F 45 33 C0 E8 ?? ?? ?? ?? 84 C0 74 4B 48 8D 7B 08 48 83 FE 01 75 14 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 40 88 28 EB 1B 48 83 7B 20 10 72 05 48 8B 0F EB 03 48 8B CF 40 0F BE D5 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_233_1 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 36
	strings:
		$1 = { 48 83 79 20 10 72 06 4C 8B 41 08 EB 04 4C 8D 41 08 48 8B 01 48 83 62 08 00 4C 89 42 10 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_2_236_1 {
	meta:
		name = "?c_str@locale@std@@QEBAPEBDXZ"
		size = 30
		refs = "000b ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 48 8B 11 48 85 D2 75 08 48 8D 05 ?? ?? ?? ?? C3 48 8B 42 28 48 85 C0 75 04 48 8D 42 30 C3 }
	condition:
		$1
}

rule file_2_239_1 {
	meta:
		name = "?clear@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEAAXH_N@Z"
		size = 18
		refs = "000e ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?clear@?$basic_ios@DU?$char_traits@D@std@@@std@@QEAAXH_N@Z ?clear@?$basic_ios@GU?$char_traits@G@std@@@std@@QEAAXH_N@Z"
	strings:
		$1 = { 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_241_1 {
	meta:
		name = "?clear@ios_base@std@@QEAAXH_N@Z"
		size = 228
		refs = "0033 ?_Iostream_object@?$_Error_objects@H@std@@2V_Iostream_error_category@2@A 0053 _CxxThrowException 0062 ??_C@_0BF@PHHKMMFD@ios_base?3?3badbit?5set?$AA@ 0074 ??0system_error@std@@QEAA@Verror_code@1@PEBD@Z 007b ??_7failure@ios_base@std@@6B@ 0082 _TI5?AVfailure@ios_base@std@@ 0097 ??_C@_0BG@FMKFHCIL@ios_base?3?3failbit?5set?$AA@ 00bf ??_C@_0BF@OOHOMBOF@ios_base?3?3eofbit?5set?$AA@"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 8B 41 14 83 E2 17 89 51 10 23 C2 74 32 45 84 C0 75 33 C7 45 C0 01 00 00 00 48 8D 55 C0 48 8D 4D D0 A8 04 75 2A A8 02 48 8D 05 ?? ?? ?? ?? 48 89 45 C8 0F 28 45 C0 66 0F 7F 45 C0 75 4E EB 74 48 83 C4 60 5D C3 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 89 45 C8 0F 28 45 C0 66 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 48 89 45 D0 E8 ?? ?? ?? ?? CC 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 48 89 45 D0 E8 ?? ?? ?? ?? CC 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 48 89 45 D0 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_242_1 {
	meta:
		name = "?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAAPEAV12@XZ"
		size = 204
		refs = "0022 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 0036 fclose 00ae ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 90 00 00 00 75 04 8B FE EB 1F E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 F6 D8 48 1B FF 48 23 FB E8 ?? ?? ?? ?? 85 C0 48 0F 45 FE 40 88 B3 88 00 00 00 40 88 B3 82 00 00 00 48 8D 4B 10 48 89 4B 20 48 8D 43 08 48 89 43 18 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 89 31 48 8B 4B 40 48 89 31 48 8B 4B 58 48 8B C7 89 31 48 8B 4B 18 48 89 31 48 8B 4B 38 48 89 31 48 8B 4B 50 89 31 48 89 B3 90 00 00 00 8B 0D ?? ?? ?? ?? 48 89 73 78 48 8B 74 24 38 89 8B 84 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_11_242_1 {
	meta:
		name = "?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAAPEAV12@XZ"
		size = 204
		refs = "0022 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 0036 fclose 00ae ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 90 00 00 00 75 04 8B FE EB 1F E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 F6 D8 48 1B FF 48 23 FB E8 ?? ?? ?? ?? 85 C0 48 0F 45 FE 40 88 B3 88 00 00 00 40 88 B3 82 00 00 00 48 8D 4B 10 48 89 4B 20 48 8D 43 08 48 89 43 18 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 89 31 48 8B 4B 40 48 89 31 48 8B 4B 58 48 8B C7 89 31 48 8B 4B 18 48 89 31 48 8B 4B 38 48 89 31 48 8B 4B 50 89 31 48 89 B3 90 00 00 00 8B 0D ?? ?? ?? ?? 48 89 73 78 48 8B 74 24 38 89 8B 84 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_243_1 {
	meta:
		name = "?copy@?$char_traits@D@std@@SAPEADPEADPEBD_K@Z"
		size = 25
		refs = "000a memcpy"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 74 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_22_278_2 {
	meta:
		name = "?move@?$char_traits@D@std@@SAPEADPEADPEBD_K@Z"
		size = 25
		refs = "000a memmove"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 74 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_244_1 {
	meta:
		name = "?copy@?$char_traits@_W@std@@SAPEA_WPEA_WPEB_W_K@Z"
		size = 28
		refs = "000d memcpy"
		altNames = "?copy@?$char_traits@G@std@@SAPEAGPEAGPEBG_K@Z"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 74 0B 4D 03 C0 E8 ?? ?? ?? ?? 48 8B C8 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_90_1105_1 {
	meta:
		name = "?move@?$char_traits@G@std@@SAPEAGPEAGPEBG_K@Z"
		size = 28
		refs = "000d memmove"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 74 0B 4D 03 C0 E8 ?? ?? ?? ?? 48 8B C8 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_219_1 {
	meta:
		name = "?move@?$char_traits@_W@std@@SAPEA_WPEA_WPEB_W_K@Z"
		size = 28
		refs = "000d memmove"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 74 0B 4D 03 C0 E8 ?? ?? ?? ?? 48 8B C8 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_248_1 {
	meta:
		name = "?default_error_condition@_System_error_category@std@@UEBA?AVerror_condition@2@H@Z"
		size = 63
		refs = "0014 ?_Syserror_map@std@@YAPEBDH@Z 0020 ?_Generic_object@?$_Error_objects@H@std@@2V_Generic_error_category@2@A 0029 ?_System_object@?$_Error_objects@H@std@@2V_System_error_category@2@A"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B C8 41 8B F8 48 8B DA E8 ?? ?? ?? ?? 89 3B 48 85 C0 48 8D 05 ?? ?? ?? ?? 75 07 48 8D 05 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_254_1 {
	meta:
		name = "?do_in@?$codecvt@_WDH@std@@MEBAHAEAHPEBD1AEAPEBDPEA_W3AEAPEA_W@Z"
		size = 231
		refs = "007b _Mbrtowc 009c strlen"
		altNames = "?do_in@?$codecvt@GDH@std@@MEBAHAEAHPEBD1AEAPEBDPEAG3AEAPEAG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B 9C 24 80 00 00 00 48 8B B4 24 98 00 00 00 48 8B 84 24 88 00 00 00 4C 89 03 45 33 E4 48 89 06 4C 39 0B 41 8B FC 49 8B E9 40 0F 95 C7 4C 8B FA 4C 8B E9 4C 39 0B 74 73 4C 8B B4 24 90 00 00 00 4C 39 36 74 66 48 8B 13 48 8B 0E 49 8D 45 10 4C 8B C5 4D 8B CF 48 89 44 24 20 4C 2B 03 E8 ?? ?? ?? ?? 8B C8 83 F8 FE 74 3F 83 F8 FF 74 33 85 C0 75 14 48 8B 06 66 44 39 20 75 12 48 8B 0B E8 ?? ?? ?? ?? 8D 48 01 83 F9 FD 41 0F 44 CC 48 63 C1 41 8B FC 48 01 03 48 83 06 02 48 39 2B 75 A1 EB 0A B8 02 00 00 00 EB 05 48 89 2B 8B C7 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_2_255_1 {
	meta:
		name = "?do_is@?$ctype@_W@std@@MEBAPEB_WPEB_W0PEAF@Z"
		size = 27
		refs = "0017 _Getwctypes"
		altNames = "?do_is@?$ctype@G@std@@MEBAPEBGPEBG0PEAF@Z"
	strings:
		$1 = { 49 8B C1 4D 8B D0 4C 8B DA 4C 8D 49 10 4C 8B C0 49 8B D2 49 8B CB E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_256_1 {
	meta:
		name = "?do_is@?$ctype@_W@std@@MEBA_NF_W@Z"
		size = 34
		refs = "0012 _Getwctype"
		altNames = "?do_is@?$ctype@G@std@@MEBA_NFG@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 DA 48 8D 51 10 41 0F B7 C8 E8 ?? ?? ?? ?? 66 85 C3 0F 95 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_257_1 {
	meta:
		name = "?do_length@?$codecvt@_WDH@std@@MEBAHAEAHPEBD1_K@Z"
		size = 163
		refs = "0051 _Mbrtowc 006f strlen"
		altNames = "?do_length@?$codecvt@GDH@std@@MEBAHAEAHPEBD1_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 8B 02 45 33 FF 49 8B F1 49 8B F8 4C 8B F1 89 44 24 60 41 8B DF 4C 39 7C 24 70 76 5E 48 3B FE 74 59 49 8D 46 10 4C 8B C6 4C 8D 4C 24 60 48 8D 4C 24 58 48 8B D7 4C 2B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 74 33 83 F8 FF 74 2E 85 C0 75 12 66 44 39 7C 24 58 75 11 48 8B CF E8 ?? ?? ?? ?? FF C0 83 F8 FD 41 0F 44 C7 48 98 FF C3 48 03 F8 48 63 C3 48 3B 44 24 70 72 A2 48 8B 74 24 68 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_2_261_1 {
	meta:
		name = "?do_narrow@?$ctype@_W@std@@MEBAPEB_WPEB_W0DPEAD@Z"
		size = 184
		refs = "0019 __security_cookie 006b _Wcrtomb 009b __security_check_cookie"
		altNames = "?do_narrow@?$ctype@G@std@@MEBAPEBGPEBG0DPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B B4 24 90 00 00 00 45 33 E4 49 8B F8 48 2B FA 45 8A F9 48 8B DA 48 FF C7 41 8B EC 48 D1 EF 49 3B D0 49 0F 47 FC 48 85 FF 74 3E 4C 8D 71 30 0F B7 13 4C 8D 44 24 20 48 8D 4C 24 24 4D 8B CE 44 89 64 24 20 E8 ?? ?? ?? ?? 0F B6 54 24 24 41 0F B6 CF 83 F8 01 0F 45 D1 48 FF C5 48 83 C3 02 88 16 48 FF C6 48 3B EF 75 C6 48 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 40 49 8B 6B 48 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_2_262_1 {
	meta:
		name = "?do_out@?$codecvt@_WDH@std@@MEBAHAEAHPEB_W1AEAPEB_WPEAD3AEAPEAD@Z"
		size = 302
		refs = "0017 __security_cookie 0076 ___mb_cur_max_func 009a _Wcrtomb 00e1 memcpy 0112 __security_check_cookie"
		altNames = "?do_out@?$codecvt@GDH@std@@MEBAHAEAHPEBG1AEAPEBGPEAD3AEAPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B BC 24 A0 00 00 00 48 8B 9C 24 B8 00 00 00 48 8B 84 24 A8 00 00 00 4C 89 07 33 F6 48 89 03 4C 39 0F 4D 8B E9 4C 8B FA 40 0F 95 C6 4C 8B E1 48 89 4C 24 20 4C 39 0F 0F 84 A6 00 00 00 4C 8B B4 24 B0 00 00 00 4C 39 33 0F 84 95 00 00 00 48 8B 2B E8 ?? ?? ?? ?? 4D 8B C7 48 63 D0 49 8B C6 48 2B C5 48 3B D0 48 8B 07 0F B7 10 7F 1C 4D 8D 4C 24 10 48 8B CD E8 ?? ?? ?? ?? 85 C0 78 5B 48 83 07 02 48 98 48 01 03 EB 44 4C 8B 4C 24 20 45 8B 27 48 8D 4C 24 28 49 83 C1 10 E8 ?? ?? ?? ?? 85 C0 78 36 48 63 E8 49 8B C6 48 2B 03 48 3B C5 7C 2F 48 8B 0B 48 8D 54 24 28 4C 8B C5 E8 ?? ?? ?? ?? 48 83 07 02 48 01 2B 4C 8B 64 24 20 33 F6 4C 39 2F 74 0F E9 6C FF FF FF B8 02 00 00 00 EB 05 45 89 27 8B C6 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_2_263_1 {
	meta:
		name = "?do_scan_is@?$ctype@_W@std@@MEBAPEB_WFPEB_W0@Z"
		size = 90
		altNames = "?do_scan_is@?$ctype@G@std@@MEBAPEBGFPEBG0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 0F B7 EA 48 8B F1 4D 3B C1 74 1D 48 8B 06 44 0F B7 03 0F B7 D5 48 8B CE FF 50 20 84 C0 75 09 48 83 C3 02 48 3B DF 75 E3 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_264_1 {
	meta:
		name = "?do_scan_not@?$ctype@_W@std@@MEBAPEB_WFPEB_W0@Z"
		size = 90
		altNames = "?do_scan_not@?$ctype@G@std@@MEBAPEBGFPEBG0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 0F B7 EA 48 8B F1 4D 3B C1 74 1D 48 8B 06 44 0F B7 03 0F B7 D5 48 8B CE FF 50 20 84 C0 74 09 48 83 C3 02 48 3B DF 75 E3 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_265_1 {
	meta:
		name = "?do_tolower@?$ctype@_W@std@@MEBAPEB_WPEA_WPEB_W@Z"
		size = 103
		refs = "003c _Towlower"
		altNames = "?do_tolower@?$ctype@G@std@@MEBAPEBGPEAGPEBG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 49 8B F8 48 8B DA 48 2B FA 48 FF C7 48 D1 EF 49 3B D0 48 0F 47 FE 48 85 FF 74 1E 48 8D 69 10 0F B7 0B 48 8B D5 E8 ?? ?? ?? ?? 48 FF C6 66 89 03 48 83 C3 02 48 3B F7 75 E6 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_11_268_1 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MEBAPEBGPEAGPEBG@Z"
		size = 103
		refs = "003c _Towupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 49 8B F8 48 8B DA 48 2B FA 48 FF C7 48 D1 EF 49 3B D0 48 0F 47 FE 48 85 FF 74 1E 48 8D 69 10 0F B7 0B 48 8B D5 E8 ?? ?? ?? ?? 48 FF C6 66 89 03 48 83 C3 02 48 3B F7 75 E6 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_120_242_2 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MEBAPEB_WPEA_WPEB_W@Z"
		size = 103
		refs = "003c _Towupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 49 8B F8 48 8B DA 48 2B FA 48 FF C7 48 D1 EF 49 3B D0 48 0F 47 FE 48 85 FF 74 1E 48 8D 69 10 0F B7 0B 48 8B D5 E8 ?? ?? ?? ?? 48 FF C6 66 89 03 48 83 C3 02 48 3B F7 75 E6 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_269_1 {
	meta:
		name = "?do_unshift@?$codecvt@_WDH@std@@MEBAHAEAHPEAD1AEAPEAD@Z"
		size = 161
		refs = "0013 __security_cookie 0044 _Wcrtomb 007a memcpy 008c __security_check_cookie"
		altNames = "?do_unshift@?$codecvt@GDH@std@@MEBAHAEAHPEAD1AEAPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 56 41 57 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 48 8B B4 24 80 00 00 00 4C 8B F2 49 8B E9 4C 89 06 44 8B 3A 4C 8D 49 10 48 8D 4C 24 20 33 D2 4D 8B C6 33 DB E8 ?? ?? ?? ?? 85 C0 7F 07 BB 02 00 00 00 EB 2E 48 2B 2E FF C8 48 63 F8 48 3B EF 7D 0A 45 89 3E BB 01 00 00 00 EB 17 85 C0 7E 13 48 8B 0E 48 8D 54 24 20 4C 8B C7 E8 ?? ?? ?? ?? 48 01 3E 8B C3 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_2_270_1 {
	meta:
		name = "?do_widen@?$ctype@_W@std@@MEBAPEBDPEBD0PEA_W@Z"
		size = 153
		refs = "005b _Mbrtowc"
		altNames = "?do_widen@?$ctype@G@std@@MEBAPEBDPEBD0PEAG@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 83 EC 40 45 33 FF 49 8B F8 4D 8B F1 48 2B FA 49 3B D0 48 8B DA 49 0F 47 FF 41 8B EF 48 85 FF 74 57 48 8D 71 30 8A 03 4C 8D 4C 24 30 48 8D 54 24 78 48 8D 8C 24 80 00 00 00 41 B8 01 00 00 00 44 89 7C 24 30 88 44 24 78 48 89 74 24 20 E8 ?? ?? ?? ?? 0F B7 8C 24 80 00 00 00 85 C0 BA FF FF 00 00 66 0F 48 CA 48 FF C5 48 FF C3 66 41 89 0E 4D 8D 76 02 48 3B EF 75 AD 48 8B C3 48 8B 5C 24 70 48 83 C4 40 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_2_271_1 {
	meta:
		name = "?do_widen@?$ctype@_W@std@@MEBA_WD@Z"
		size = 71
		refs = "002b _Mbrtowc"
		altNames = "?do_widen@?$ctype@G@std@@MEBAGD@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 38 83 64 24 50 00 48 8D 41 30 88 54 24 48 49 8D 53 10 49 8D 4B 08 4D 8D 4B 18 41 B8 01 00 00 00 49 89 43 E8 E8 ?? ?? ?? ?? 0F B7 4C 24 40 BA FF FF 00 00 85 C0 66 0F 48 CA 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_2_273_1 {
	meta:
		name = "?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBAPEA_WXZ"
		size = 19
		altNames = "?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBAPEAGXZ"
	strings:
		$1 = { 48 8B 41 50 48 63 10 48 8B 41 38 48 8B 08 48 8D 04 51 C3 }
	condition:
		$1
}

rule file_2_276_1 {
	meta:
		name = "?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBAPEA_WXZ"
		size = 19
		altNames = "?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBAPEAGXZ"
	strings:
		$1 = { 48 8B 41 58 48 63 10 48 8B 41 40 48 8B 08 48 8D 04 51 C3 }
	condition:
		$1
}

rule file_2_278_1 {
	meta:
		name = "?equivalent@error_category@std@@UEBA_NAEBVerror_code@2@H@Z"
		size = 20
	strings:
		$1 = { 48 3B 4A 08 75 0B 44 39 02 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_2_279_1 {
	meta:
		name = "?equivalent@error_category@std@@UEBA_NHAEBVerror_condition@2@@Z"
		size = 54
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 01 49 8B D8 44 8B C2 48 8D 54 24 20 FF 50 18 48 8B 4B 08 48 39 48 08 75 0D 8B 0B 39 08 75 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_280_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z"
		size = 166
		refs = "0070 memmove 009c ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00a1 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 71 18 48 8B D9 48 3B F2 72 7E 48 8B C6 48 2B C2 49 3B C0 77 1B 48 83 79 20 10 48 89 51 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 04 10 00 EB 45 4D 85 C0 74 40 48 83 79 20 10 48 8D 79 08 72 05 48 8B 07 EB 03 48 8B C7 49 2B F0 48 8D 0C 10 48 8B C6 48 2B C2 74 0C 4A 8D 14 01 4C 8B C0 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_281_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K@Z"
		size = 56
		refs = "002e ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0033 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 39 51 18 72 21 48 83 79 20 10 48 89 51 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 04 10 00 48 8B C1 48 83 C4 28 C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_282_1 {
	meta:
		name = "?gbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXH@Z"
		size = 20
		altNames = "?gbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXH@Z"
	strings:
		$1 = { 48 8B 41 50 29 10 48 8B 49 38 48 63 C2 48 03 C0 48 01 01 C3 }
	condition:
		$1
}

rule file_2_284_1 {
	meta:
		name = "?getloc@ios_base@std@@QEBA?AVlocale@2@XZ"
		size = 39
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 41 40 83 64 24 20 00 48 8B DA 48 8B 08 48 89 0A 48 8B 01 FF 50 08 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_286_1 {
	meta:
		name = "?imbue@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@_WDH@std@@@std@@YAAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEBV?$codecvt@_WDH@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_278_1 {
	meta:
		name = "?imbue@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@DDH@std@@@std@@YAAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEBV?$codecvt@DDH@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_286_1 {
	meta:
		name = "?imbue@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@GDH@std@@@std@@YAAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEBV?$codecvt@GDH@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_288_1 {
	meta:
		name = "?in@?$codecvt@_WDH@std@@QEBAHAEAHPEBD1AEAPEBDPEA_W3AEAPEA_W@Z"
		size = 61
		altNames = "?in@?$codecvt@DDH@std@@QEBAHAEAHPEBD1AEAPEBDPEAD3AEAPEAD@Z ?in@?$codecvt@GDH@std@@QEBAHAEAHPEBD1AEAPEBDPEAG3AEAPEAG@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 48 48 8B 84 24 88 00 00 00 4C 8B 11 49 89 43 F0 48 8B 84 24 80 00 00 00 49 89 43 E8 48 8B 44 24 78 49 89 43 E0 48 8B 44 24 70 49 89 43 D8 41 FF 52 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_2_289_1 {
	meta:
		name = "?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
		size = 176
		refs = "0023 ?_Init@ios_base@std@@IEAAXXZ 0039 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0042 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 008f ?clear@ios_base@std@@QEAAXH_N@Z 009c ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 5F 48 48 83 67 50 00 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 B2 20 48 8B CB FF 50 60 66 89 47 58 48 83 7F 48 00 75 11 8B 57 10 83 CA 04 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_11_289_1 {
	meta:
		name = "?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
		size = 176
		refs = "0023 ?_Init@ios_base@std@@IEAAXXZ 0039 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0042 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 008f ?clear@ios_base@std@@QEAAXH_N@Z 009c ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 5F 48 48 83 67 50 00 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 B2 20 48 8B CB FF 50 60 66 89 47 58 48 83 7F 48 00 75 11 8B 57 10 83 CA 04 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_293_1 {
	meta:
		name = "?length@?$char_traits@D@std@@SA_KPEBD@Z"
		size = 20
		refs = "000b strlen"
	strings:
		$1 = { 48 83 EC 28 33 C0 38 01 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_294_1 {
	meta:
		name = "?make_error_code@std@@YA?AVerror_code@1@W4io_errc@1@@Z"
		size = 17
		refs = "0003 ?_Iostream_object@?$_Error_objects@H@std@@2V_Iostream_error_category@2@A"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 11 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_299_1 {
	meta:
		name = "?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 53
		refs = "0012 ?_Syserror_map@std@@YAPEBDH@Z 0019 ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 0028 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 41 8B C8 48 8B DA E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 85 C0 48 0F 45 D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_95_301_1 {
	meta:
		name = "?message@_System_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 53
		refs = "0012 ?_Winerror_map@std@@YAPEBDH@Z 0019 ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 0028 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 41 8B C8 48 8B DA E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 85 C0 48 0F 45 D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_300_1 {
	meta:
		name = "?message@_Iostream_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 51
		refs = "0017 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@ 001f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 0026 ?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 41 83 F8 01 75 11 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_302_1 {
	meta:
		name = "?message@error_code@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 36
	strings:
		$1 = { 40 53 48 83 EC 30 44 8B 01 48 8B 49 08 83 64 24 20 00 48 8B 01 48 8B DA FF 50 10 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_307_1 {
	meta:
		name = "?not_eof@?$char_traits@_W@std@@SAGAEBG@Z"
		size = 17
		altNames = "?not_eof@?$char_traits@G@std@@SAGAEBG@Z"
	strings:
		$1 = { B8 FF FF 00 00 66 39 01 74 04 0F B7 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_2_308_1 {
	meta:
		name = "?out@?$codecvt@_WDH@std@@QEBAHAEAHPEB_W1AEAPEB_WPEAD3AEAPEAD@Z"
		size = 61
		altNames = "?out@?$codecvt@DDH@std@@QEBAHAEAHPEBD1AEAPEBDPEAD3AEAPEAD@Z ?out@?$codecvt@GDH@std@@QEBAHAEAHPEBG1AEAPEBGPEAD3AEAPEAD@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 48 48 8B 84 24 88 00 00 00 4C 8B 11 49 89 43 F0 48 8B 84 24 80 00 00 00 49 89 43 E8 48 8B 44 24 78 49 89 43 E0 48 8B 44 24 70 49 89 43 D8 41 FF 52 38 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_2_309_1 {
	meta:
		name = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
		size = 725
		refs = "0028 __security_cookie 00e2 fputwc 010a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0118 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0120 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 01dc fwrite 0223 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 028d ??3@YAXPEAX@Z 02b6 __security_check_cookie"
		altNames = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC F0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 44 0F B7 FA 4C 8B F1 45 33 D2 45 8B E2 44 89 54 24 48 BE FF FF 00 00 66 3B F2 75 09 41 0F B7 C2 E9 56 02 00 00 48 8B 41 40 4C 8B 00 4D 85 C0 74 31 48 8B 41 58 4C 63 08 4B 8D 14 48 4C 3B C2 73 21 41 8D 49 FF 89 08 49 8B 56 40 4C 8B 02 49 8D 48 02 48 89 0A 66 45 89 38 41 0F B7 C7 E9 19 02 00 00 4C 39 91 90 00 00 00 0F 84 09 02 00 00 4C 8B 41 18 48 8D 81 80 00 00 00 49 39 00 75 1E 48 8B 51 70 48 8B 49 68 49 89 08 49 8B 46 38 48 89 08 48 2B D1 48 D1 FA 49 8B 46 50 89 10 4D 39 56 78 75 22 49 8B 96 90 00 00 00 41 0F B7 CF E8 ?? ?? ?? ?? 66 3B C6 0F 84 BC 01 00 00 41 0F B7 F7 E9 B3 01 00 00 66 44 89 7C 24 40 45 33 C0 41 8D 50 08 48 8D 4D F7 E8 ?? ?? ?? ?? 90 48 8D 55 97 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D 0F 48 8D 55 AF 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8D AE 84 00 00 00 4C 8D 44 24 48 4C 89 44 24 38 48 8D 14 3B 48 89 54 24 30 48 89 44 24 28 48 8D 45 87 49 8B 4E 78 48 89 44 24 20 4C 8B 11 4C 8D 4C 24 42 4C 8D 44 24 40 49 8B D5 41 FF 52 38 85 C0 0F 88 F9 00 00 00 83 F8 01 0F 8F D1 00 00 00 48 8D 55 C7 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 2B D8 74 39 41 83 CC 01 48 8D 55 DF 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8B 8E 90 00 00 00 4C 8B C3 BA 01 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 04 B0 01 EB 02 32 C0 41 F6 C4 01 74 04 41 83 E4 FE 84 C0 75 64 41 C6 86 82 00 00 00 01 48 8D 44 24 40 48 39 45 87 75 71 48 85 DB 75 16 48 83 7D 0F 20 73 69 45 33 C0 8D 53 08 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D 0F 48 8D 55 AF 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? E9 EA FE FF FF 44 8B FE EB 1B 83 F8 03 75 1A 49 8B 96 90 00 00 00 0F B7 4C 24 40 E8 ?? ?? ?? ?? 66 3B C6 74 04 41 0F B7 F7 48 83 7D 17 10 72 09 48 8B 4D FF E8 ?? ?? ?? ?? 48 C7 45 17 0F 00 00 00 48 83 65 0F 00 C6 45 FF 00 48 8B 4D F7 E8 ?? ?? ?? ?? 0F B7 C6 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_2_312_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
		size = 237
		refs = "0075 ungetwc"
		altNames = "?pbackfail@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 38 0F B7 FA 48 8B D9 48 8B 10 33 C9 BE FF FF 00 00 48 85 D2 74 32 48 8B 43 18 48 39 10 73 29 66 3B F7 74 06 66 39 7A FE 75 1E 48 8B 43 50 FF 00 48 8B 43 38 48 83 00 FE 66 3B FE 74 03 0F B7 CF 0F B7 C1 E9 83 00 00 00 48 8B 93 90 00 00 00 48 85 D2 74 74 66 3B F7 74 6F 48 39 4B 78 75 12 0F B7 CF E8 ?? ?? ?? ?? 66 3B C6 74 05 0F B7 C7 EB 5A 4C 8B 43 38 48 8D 93 80 00 00 00 49 39 10 74 47 4C 8B 4B 18 66 89 3A 49 8B 01 48 3B C2 74 16 48 89 43 68 48 8B 43 50 48 63 08 49 8B 00 48 8D 0C 48 48 89 4B 70 49 89 11 48 8B 43 38 48 8B CB 48 2B CA 48 89 10 48 8B 43 50 48 81 C1 82 00 00 00 48 D1 F9 89 08 EB A4 0F B7 C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_314_1 {
	meta:
		name = "?pbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXH@Z"
		size = 20
		altNames = "?pbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXH@Z"
	strings:
		$1 = { 48 8B 41 58 29 10 48 8B 49 40 48 63 C2 48 03 C0 48 01 01 C3 }
	condition:
		$1
}

rule file_2_317_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z"
		size = 239
		refs = "004a ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 006a _fseeki64 007f fgetpos 00c9 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 48 8B 41 38 4C 8D B1 80 00 00 00 41 8B E9 49 8B F0 48 8B DA 48 8B F9 4C 39 30 75 11 41 83 F9 01 75 0B 48 83 79 78 00 75 04 48 83 EE 02 48 83 B9 90 00 00 00 00 74 7D E8 ?? ?? ?? ?? 84 C0 74 74 48 85 F6 75 05 83 FD 01 74 16 48 8B 8F 90 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 54 48 8B 8F 90 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 3F 48 8B 47 18 4C 39 30 75 1E 48 8B 4F 68 48 8B 57 70 48 89 08 48 8B 47 38 48 2B D1 48 89 08 48 8B 47 50 48 D1 FA 89 10 48 8B 44 24 40 48 83 23 00 48 89 43 08 8B 87 84 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 50 48 8B C3 48 8B 5C 24 48 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_11_317_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z"
		size = 239
		refs = "004a ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 006a _fseeki64 007f fgetpos 00c9 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 48 8B 41 38 4C 8D B1 80 00 00 00 41 8B E9 49 8B F0 48 8B DA 48 8B F9 4C 39 30 75 11 41 83 F9 01 75 0B 48 83 79 78 00 75 04 48 83 EE 02 48 83 B9 90 00 00 00 00 74 7D E8 ?? ?? ?? ?? 84 C0 74 74 48 85 F6 75 05 83 FD 01 74 16 48 8B 8F 90 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 54 48 8B 8F 90 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 3F 48 8B 47 18 4C 39 30 75 1E 48 8B 4F 68 48 8B 57 70 48 89 08 48 8B 47 38 48 2B D1 48 89 08 48 8B 47 50 48 D1 FA 89 10 48 8B 44 24 40 48 83 23 00 48 89 43 08 8B 87 84 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 50 48 8B C3 48 8B 5C 24 48 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_2_318_1 {
	meta:
		name = "?seekoff@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z"
		size = 23
		refs = "0003 ?_BADOFF@std@@3_JB"
		altNames = "?seekoff@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z ?seekoff@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z ?seekpos@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z ?seekpos@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z ?seekpos@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 62 08 00 83 62 10 00 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_2_319_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z"
		size = 266
		refs = "0038 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 0051 fsetpos 0071 _fseeki64 0086 fgetpos 00e1 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 20 48 83 B9 90 00 00 00 00 49 8B 40 08 49 8B 30 49 89 43 08 4D 8B F0 48 8B DA 48 8B F9 0F 84 A7 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 9A 00 00 00 48 8B 8F 90 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 81 00 00 00 48 85 F6 74 17 48 8B 8F 90 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 65 48 8B 8F 90 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 50 41 8B 46 10 4C 8B 47 18 89 87 84 00 00 00 48 8D 87 80 00 00 00 49 39 00 75 1E 48 8B 4F 68 48 8B 57 70 49 89 08 48 8B 47 38 48 2B D1 48 89 08 48 8B 47 50 48 D1 FA 89 10 48 8B 44 24 30 48 83 23 00 48 89 43 08 8B 87 84 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_11_319_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z"
		size = 266
		refs = "0038 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 0051 fsetpos 0071 _fseeki64 0086 fgetpos 00e1 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 20 48 83 B9 90 00 00 00 00 49 8B 40 08 49 8B 30 49 89 43 08 4D 8B F0 48 8B DA 48 8B F9 0F 84 A7 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 9A 00 00 00 48 8B 8F 90 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 81 00 00 00 48 85 F6 74 17 48 8B 8F 90 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 65 48 8B 8F 90 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 50 41 8B 46 10 4C 8B 47 18 89 87 84 00 00 00 48 8D 87 80 00 00 00 49 39 00 75 1E 48 8B 4F 68 48 8B 57 70 49 89 08 48 8B 47 38 48 2B D1 48 89 08 48 8B 47 50 48 D1 FA 89 10 48 8B 44 24 30 48 83 23 00 48 89 43 08 8B 87 84 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_2_325_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@PEA_W_J@Z"
		size = 210
		refs = "0033 setvbuf 00b6 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 90 00 00 00 4D 8B C8 48 85 C9 0F 84 AE 00 00 00 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 4D 03 C9 E8 ?? ?? ?? ?? 85 C0 0F 85 8B 00 00 00 48 8B 93 90 00 00 00 88 83 82 00 00 00 C6 83 88 00 00 00 01 48 8D 43 08 48 8D 4B 10 48 89 43 18 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 89 93 90 00 00 00 8B 05 ?? ?? ?? ?? 48 83 63 78 00 89 83 84 00 00 00 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_11_325_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@PEAG_J@Z"
		size = 210
		refs = "0033 setvbuf 00b6 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 90 00 00 00 4D 8B C8 48 85 C9 0F 84 AE 00 00 00 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 4D 03 C9 E8 ?? ?? ?? ?? 85 C0 0F 85 8B 00 00 00 48 8B 93 90 00 00 00 88 83 82 00 00 00 C6 83 88 00 00 00 01 48 8D 43 08 48 8D 4B 10 48 89 43 18 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 89 93 90 00 00 00 8B 05 ?? ?? ?? ?? 48 83 63 78 00 89 83 84 00 00 00 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_327_1 {
	meta:
		name = "?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEA_W00@Z"
		size = 28
		altNames = "?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAG00@Z"
	strings:
		$1 = { 48 8B 41 18 4D 2B C8 48 89 10 48 8B 41 38 49 D1 F9 4C 89 00 48 8B 41 50 44 89 08 C3 }
	condition:
		$1
}

rule file_2_328_1 {
	meta:
		name = "?setp@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEA_W0@Z"
		size = 28
		altNames = "?setp@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAG0@Z"
	strings:
		$1 = { 48 8B 41 20 4C 2B C2 48 89 10 48 8B 41 40 49 D1 F8 48 89 10 48 8B 41 58 44 89 00 C3 }
	condition:
		$1
}

rule file_2_329_1 {
	meta:
		name = "?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEAAXH_N@Z"
		size = 38
		refs = "001d ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QEAAXH_N@Z ?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QEAAXH_N@Z"
	strings:
		$1 = { 48 83 EC 28 8B C2 85 D2 74 17 8B 51 10 0B D0 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_333_1 {
	meta:
		name = "?sync@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAHXZ"
		size = 84
		refs = "0037 fflush"
		altNames = "?sync@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F9 48 39 99 90 00 00 00 74 25 48 8B 01 BE FF FF 00 00 8B D6 FF 50 18 66 3B F0 74 13 48 8B 8F 90 00 00 00 E8 ?? ?? ?? ?? 85 C0 79 03 83 CB FF 48 8B 74 24 38 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_339_1 {
	meta:
		name = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
		size = 741
		refs = "0026 __security_cookie 00c1 fgetwc 00f0 ??2@YAPEAX_K@Z 00fa ?_Xbad_alloc@std@@YAXXZ 012e fgetc 0148 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0156 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 015e ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 0211 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0241 memcpy_s 027f ungetc 02a0 ??3@YAXPEAX@Z 02c9 __security_check_cookie"
		altNames = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 8B C4 55 57 41 56 48 8D 68 D8 48 81 EC 10 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 48 8B F1 48 8B 41 38 48 8B 10 48 85 D2 74 30 4C 8B 41 50 4D 63 08 49 8B C1 4A 8D 0C 4A 48 3B D1 73 1D 41 8D 41 FF 41 89 00 48 8B 56 38 48 8B 02 48 8D 48 02 48 89 0A 0F B7 00 E9 51 02 00 00 48 83 BE 90 00 00 00 00 75 0A B8 FF FF 00 00 E9 3D 02 00 00 4C 8B 46 18 48 8D 86 80 00 00 00 49 39 00 75 1E 48 8B 56 70 48 8B 4E 68 49 89 08 48 8B 46 38 48 89 08 48 2B D1 48 D1 FA 48 8B 46 50 89 10 48 83 7E 78 00 75 22 48 8B 8E 90 00 00 00 E8 ?? ?? ?? ?? BB FF FF 00 00 66 3B C3 0F 84 EB 01 00 00 0F B7 D8 E9 E3 01 00 00 48 83 65 D8 00 48 83 65 F0 00 48 83 65 F8 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 D8 0F 57 C0 F3 0F 7F 00 48 8D 4D D8 48 8B 45 D8 48 89 08 48 C7 45 F8 0F 00 00 00 48 83 65 F0 00 C6 45 E0 00 48 8B 8E 90 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 54 01 00 00 44 8A C0 BA 01 00 00 00 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D F0 48 8D 55 90 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4E 78 4C 8B 11 4C 8D 0C 1F 48 8D 54 24 50 48 89 54 24 38 48 8D 54 24 42 48 89 54 24 30 48 8D 54 24 40 48 89 54 24 28 48 8D 54 24 48 48 89 54 24 20 4C 8B C0 48 8D 96 84 00 00 00 41 FF 52 30 85 C0 0F 88 C8 00 00 00 83 F8 01 7E 15 83 F8 03 0F 85 BA 00 00 00 48 83 7D F0 02 73 3E E9 45 FF FF FF 48 8D 44 24 40 48 8D 4D D8 48 39 44 24 50 75 5B 48 8D 55 C0 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B 44 24 48 4C 2B C0 33 D2 48 8D 4D D8 E8 ?? ?? ?? ?? E9 0C FF FF FF 48 8D 54 24 78 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 BA 02 00 00 00 44 8B CA 48 8D 4C 24 40 E8 ?? ?? ?? ?? 0F B7 5C 24 40 EB 48 48 8D 55 A8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B 4D F0 48 8B 54 24 48 2B CA 03 C8 48 63 D9 85 C9 7E D5 48 FF CB 0F BE 0C 13 48 8B 96 90 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 7E BD 48 8B 54 24 48 EB E1 BB FF FF 00 00 48 83 7D F8 10 72 09 48 8B 4D E0 E8 ?? ?? ?? ?? 48 C7 45 F8 0F 00 00 00 48 83 65 F0 00 C6 45 E0 00 48 8B 4D D8 E8 ?? ?? ?? ?? 0F B7 C3 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 10 01 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_2_341_1 {
	meta:
		name = "?uflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
		size = 57
		altNames = "?uflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B D9 FF 50 30 BA FF FF 00 00 66 3B D0 74 17 48 8B 43 50 FF 08 48 8B 4B 38 48 8B 11 48 8D 42 02 48 89 01 0F B7 12 0F B7 C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_342_1 {
	meta:
		name = "?underflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
		size = 94
		altNames = "?underflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 38 48 8B D9 48 8B 08 48 85 C9 74 15 48 8B 53 50 4C 63 02 4A 8D 14 41 48 3B CA 73 05 0F B7 01 EB 25 48 8B 03 48 8B CB FF 50 38 0F B7 F8 B8 FF FF 00 00 66 3B C7 74 0F 48 8B 03 0F B7 D7 48 8B CB FF 50 20 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_347_1 {
	meta:
		name = "?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEBA_WD@Z"
		size = 103
		refs = "001d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 40 8A FA 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 50 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 40 8A D7 48 8B CB FF 50 60 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_11_347_1 {
	meta:
		name = "?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QEBAGD@Z"
		size = 103
		refs = "001d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 40 8A FA 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 50 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 40 8A D7 48 8B CB FF 50 60 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_350_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA_JPEA_W_J@Z"
		size = 193
		refs = "005a memcpy"
		altNames = "?xsgetn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA_JPEAG_J@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 F6 49 8B F8 4C 8B F2 4C 8B F9 4D 85 C0 7E 7A 49 8B 47 38 48 8B 10 48 85 D2 74 08 49 8B 47 50 8B 08 EB 02 33 C9 48 63 D9 85 C9 7E 37 48 3B FB 48 0F 4C DF 48 85 DB 74 0C 4C 8D 04 1B 49 8B CE E8 ?? ?? ?? ?? 49 8B 47 50 48 03 F3 48 2B FB 29 18 49 8B 4F 38 48 63 C3 48 03 C0 4D 8D 34 5E 48 01 01 EB 21 49 8B 07 49 8B CF FF 50 38 B9 FF FF 00 00 66 3B C8 74 13 66 41 89 06 48 FF C6 49 83 C6 02 48 FF CF 48 85 FF 7F 86 48 8B 5C 24 30 48 8B 7C 24 40 4C 8B 74 24 48 48 8B C6 48 8B 74 24 38 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_2_351_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA_JPEB_W_J@Z"
		size = 196
		refs = "005d memcpy"
		altNames = "?xsputn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA_JPEBG_J@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 F6 49 8B F8 4C 8B F2 4C 8B F9 4D 85 C0 7E 7D 49 8B 47 40 4C 8B 08 4D 85 C9 74 08 49 8B 47 58 8B 08 EB 02 33 C9 48 63 D9 85 C9 7E 3A 48 3B FB 48 0F 4C DF 48 85 DB 74 0F 4C 8D 04 1B 49 8B D6 49 8B C9 E8 ?? ?? ?? ?? 49 8B 47 58 48 03 F3 48 2B FB 29 18 49 8B 4F 40 48 63 C3 48 03 C0 4D 8D 34 5E 48 01 01 EB 21 49 8B 07 41 0F B7 16 49 8B CF FF 50 18 B9 FF FF 00 00 66 3B C8 74 0F 49 83 C6 02 48 FF C6 48 FF CF 48 85 FF 7F 83 48 8B 5C 24 30 48 8B 7C 24 40 4C 8B 74 24 48 48 8B C6 48 8B 74 24 38 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_4_60_1 {
	meta:
		name = "??_Elocation@Concurrency@@QEAAPEAXI@Z"
		size = 97
		refs = "0020 ??1location@Concurrency@@QEAA@XZ 002d ??_M@YAXPEAX_KHP6AX0@Z@Z 003b ??_V@YAXPEAX@Z 004a ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 F6 C2 02 74 2B 48 8D 79 F8 4C 8D 0D ?? ?? ?? ?? BA 18 00 00 00 44 8B 07 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 EB 0D F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_126_1 {
	meta:
		name = "?mtx_do_lock@@YAHPEAPEAU_Mtx_internal_imp_t@@PEBUxtime@@@Z"
		size = 357
		refs = "0012 __security_cookie 003a __imp_GetCurrentThreadId 0048 ?lock@critical_section@Concurrency@@QEAAXXZ 009e xtime_get 00ce _Xtime_diff_to_millis2 00dc ?try_lock_for@critical_section@Concurrency@@QEAA_NI@Z 00f9 ?try_lock@critical_section@Concurrency@@QEAA_NXZ 0151 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B 01 48 8B FA 48 8B D9 44 8B 00 41 0F BA F0 08 41 83 F8 01 75 2E 48 8B F8 FF 15 ?? ?? ?? ?? 39 47 40 74 15 48 8D 4F 08 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0B 89 41 40 48 8B 03 FF 40 44 E9 E3 00 00 00 48 85 D2 75 1D 48 8B F0 FF 15 ?? ?? ?? ?? 39 46 40 0F 84 87 00 00 00 48 8D 4E 08 E8 ?? ?? ?? ?? EB 7C 48 83 3A 00 7C 5B 75 06 83 7A 08 00 7E 53 48 8D 4C 24 20 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 3B 07 7C 0B 75 6D 8B 47 08 39 44 24 28 7D 64 FF 15 ?? ?? ?? ?? 48 8B 0B 39 41 40 74 3C 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? 48 8B 0B 48 83 C1 08 8B D0 E8 ?? ?? ?? ?? 84 C0 75 1D EB AD 48 8B F0 FF 15 ?? ?? ?? ?? 39 46 40 74 0D 48 8D 4E 08 E8 ?? ?? ?? ?? 84 C0 74 1A 48 8B 03 FF 40 44 83 78 44 01 7E 2D 48 8B 03 F7 00 00 01 00 00 75 2E FF 48 44 48 85 FF 74 13 48 83 3F 00 75 06 83 7F 08 00 74 07 B8 02 00 00 00 EB 15 B8 03 00 00 00 EB 0E FF 15 ?? ?? ?? ?? 48 8B 0B 89 41 40 33 C0 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_4_136_1 {
	meta:
		name = "_Mtx_current_owns"
		size = 55
		refs = "0019 __imp_GetCurrentThreadId"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 33 DB 48 8B F9 39 58 44 74 13 FF 15 ?? ?? ?? ?? 48 8B 0F 39 41 40 75 05 BB 01 00 00 00 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_137_1 {
	meta:
		name = "_Mtx_destroy"
		size = 44
		refs = "001a ??1critical_section@Concurrency@@QEAA@XZ 0022 free"
	strings:
		$1 = { 48 85 C9 74 26 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 11 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_139_1 {
	meta:
		name = "_Mtx_init"
		size = 91
		refs = "0021 _calloc_crt 003c ??0critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 21 00 8B F2 BA 48 00 00 00 48 8B F9 8D 4A B9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 05 8D 43 01 EB 19 48 8D 48 08 48 85 C9 74 05 E8 ?? ?? ?? ?? 83 4B 40 FF 89 33 48 89 1F 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_141_1 {
	meta:
		name = "_Mtx_reset_owner"
		size = 33
		refs = "000b __imp_GetCurrentThreadId"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B 13 89 42 40 48 8B 03 FF 40 44 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_142_1 {
	meta:
		name = "_Mtx_timedlock"
		size = 25
		refs = "0005 ?mtx_do_lock@@YAHPEAPEAU_Mtx_internal_imp_t@@PEBUxtime@@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B9 02 00 00 00 83 F8 03 0F 44 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_143_1 {
	meta:
		name = "_Mtx_trylock"
		size = 58
		refs = "0007 __security_cookie 0024 ?mtx_do_lock@@YAHPEAPEAU_Mtx_internal_imp_t@@PEBUxtime@@@Z 0031 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 48 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 83 64 24 28 00 48 83 64 24 20 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_4_144_1 {
	meta:
		name = "_Mtx_unlock"
		size = 38
		refs = "001b ?unlock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 FF 48 44 75 13 48 8B 01 83 48 40 FF 48 8B 09 48 83 C1 08 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_5_26_1 {
	meta:
		name = "?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z"
		size = 129
		refs = "0015 NFS_LineSize 0023 malloc 0045 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 005f ??0exception@std@@QEAA@AEBQEBDH@Z 0066 ??_7bad_alloc@std@@6B@ 006d _TI2?AVbad_alloc@std@@ 007c _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B C1 48 0F AF C2 48 3B C1 72 30 48 8B 1D ?? ?? ?? ?? 48 8D 0C 03 48 3B C8 72 20 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 13 48 03 C3 48 F7 DB 48 23 C3 48 89 48 F8 48 83 C4 40 5B C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_5_27_1 {
	meta:
		name = "?NFS_Free@details@Concurrency@@YAXPEAX@Z"
		size = 23
		refs = "000e free"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 09 48 8B 49 F8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_6_0_1 {
	meta:
		name = "_Feraise"
		size = 43
		refs = "000a _errno"
	strings:
		$1 = { 48 83 EC 28 F6 C1 05 74 0D E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 10 F6 C1 18 74 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_7_0_1 {
	meta:
		name = "_Getcoll"
		size = 52
		refs = "000a ___lc_collate_cp_func 0011 ___lc_locale_name_func 0023 _wcsdup"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? 48 8B 48 08 48 89 4B 08 48 85 C9 74 09 E8 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_1_1 {
	meta:
		name = "_Strcoll"
		size = 209
		refs = "0035 ___lc_locale_name_func 003e ___lc_collate_cp_func 0060 memcmp 0099 __crtCompareStringA 00a2 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 48 8B 44 24 70 49 8B D9 48 8B FA 2B F9 41 2B D8 49 8B E8 4C 8B F1 48 85 C0 75 10 E8 ?? ?? ?? ?? 48 8B 70 08 E8 ?? ?? ?? ?? EB 06 48 8B 70 08 8B 00 48 85 F6 75 2A 8B C3 3B FB 48 8B D5 0F 4C C7 49 8B CE 4C 63 C0 E8 ?? ?? ?? ?? 85 C0 75 4E 3B FB 74 4A 83 C9 FF 8D 46 01 3B FB 0F 4C C1 EB 3D 89 44 24 38 89 5C 24 30 4D 8B CE 41 B8 00 10 00 00 48 8B D6 33 C9 48 89 6C 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 E8 02 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_8_0_1 {
	meta:
		name = "_Getctype"
		size = 121
		refs = "000a ___lc_codepage_func 001b _calloc_crt 0029 __pctype_func 003b memcpy 0056 ___lc_locale_name_func 0068 _wcsdup"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? BA 02 00 00 00 B9 00 01 00 00 89 03 E8 ?? ?? ?? ?? 48 89 43 08 48 85 C0 74 20 E8 ?? ?? ?? ?? 48 8B 4B 08 41 B8 00 02 00 00 48 8B D0 E8 ?? ?? ?? ?? C7 43 10 01 00 00 00 EB 0D E8 ?? ?? ?? ?? 83 63 10 00 48 89 43 08 E8 ?? ?? ?? ?? 48 8B 48 08 48 89 4B 18 48 85 C9 74 09 E8 ?? ?? ?? ?? 48 89 43 18 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_8_1_1 {
	meta:
		name = "_Tolower"
		size = 307
		refs = "0018 ___lc_locale_name_func 0021 ___lc_codepage_func 0056 isupper 0070 __pctype_func 0100 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 83 EC 50 48 8B FA 48 63 D9 48 85 D2 75 12 E8 ?? ?? ?? ?? 48 8B 70 10 E8 ?? ?? ?? ?? 8B E8 EB 06 48 8B 72 18 8B 2A 48 85 F6 75 12 8D 43 BF 83 F8 19 77 03 83 C3 20 8B C3 E9 E0 00 00 00 81 FB 00 01 00 00 73 1C 48 85 FF 75 0D 8B CB E8 ?? ?? ?? ?? 85 C0 75 11 EB DF 48 8B 47 08 F6 04 58 01 74 D5 48 85 FF 75 19 E8 ?? ?? ?? ?? 8B CB C1 F9 08 0F B6 C9 0F B7 14 48 81 E2 00 80 00 00 EB 17 8B C3 48 C1 F8 08 0F B6 C8 48 8B 47 08 0F BF 14 48 C1 EA 0F 83 E2 01 85 D2 74 19 8B C3 88 5C 24 79 C6 44 24 7A 00 C1 F8 08 88 44 24 78 B8 02 00 00 00 EB 0E 88 5C 24 78 C6 44 24 79 00 B8 01 00 00 00 C7 44 24 40 01 00 00 00 89 6C 24 38 48 8D 8C 24 80 00 00 00 C7 44 24 30 03 00 00 00 48 89 4C 24 28 4C 8D 4C 24 78 33 C9 41 B8 00 01 00 00 48 8B D6 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 33 FF FF FF 83 F8 01 0F B6 84 24 80 00 00 00 74 0D 0F B6 8C 24 81 00 00 00 C1 E0 08 0B C1 48 8B 5C 24 70 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_35_1 {
	meta:
		name = "??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 129
		refs = "0026 ??_8?$basic_istream@_WU?$char_traits@_W@std@@@std@@7B@ 0030 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 004a ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0073 ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 18 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 E8 89 54 19 FC 48 83 63 08 00 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_116_35_1 {
	meta:
		name = "??0?$basic_istream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 129
		refs = "0026 ??_8?$basic_istream@DU?$char_traits@D@std@@@std@@7B@ 0030 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 004a ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0073 ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 18 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 E8 89 54 19 FC 48 83 63 08 00 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_114_35_1 {
	meta:
		name = "??0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 129
		refs = "0026 ??_8?$basic_istream@GU?$char_traits@G@std@@@std@@7B@ 0030 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 004a ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0073 ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 18 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 E8 89 54 19 FC 48 83 63 08 00 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_9_36_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_116_36_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_114_36_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_54_1 {
	meta:
		name = "??0_Init_wcin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_116_54_1 {
	meta:
		name = "??0_Init_cin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_101_54_1 {
	meta:
		name = "??0_Init_clog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_114_54_1 {
	meta:
		name = "??0_Init_ushcin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_11_54_1 {
	meta:
		name = "??0_Init_ushclog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_28_54_1 {
	meta:
		name = "??0_Init_wclog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_95_1 {
	meta:
		name = "??1?$basic_istream@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 C3 }
	condition:
		$1
}

rule file_116_96_1 {
	meta:
		name = "??1?$basic_istream@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 C3 }
	condition:
		$1
}

rule file_114_95_1 {
	meta:
		name = "??1?$basic_istream@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 C3 }
	condition:
		$1
}

rule file_9_125_1 {
	meta:
		name = "??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
		size = 55
		refs = "000e ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0022 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 18 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 44 8D 42 E8 44 89 44 0A E4 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_126_1 {
	meta:
		name = "??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
		size = 55
		refs = "000e ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0022 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 18 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 44 8D 42 E8 44 89 44 0A E4 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_125_1 {
	meta:
		name = "??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
		size = 55
		refs = "000e ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0022 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 18 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 44 8D 42 E8 44 89 44 0A E4 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_129_1 {
	meta:
		name = "??_G?$basic_istream@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 99
		refs = "001f ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0033 ??_7ios_base@std@@6B@ 0044 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0051 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 E8 8B DA 48 8D 4F 18 48 8B 41 E8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 E8 48 8B 41 E8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 45 8D 48 E8 45 89 4C 08 E4 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_116_130_1 {
	meta:
		name = "??_G?$basic_istream@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 99
		refs = "001f ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0033 ??_7ios_base@std@@6B@ 0044 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0051 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 E8 8B DA 48 8D 4F 18 48 8B 41 E8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 E8 48 8B 41 E8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 45 8D 48 E8 45 89 4C 08 E4 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_114_129_1 {
	meta:
		name = "??_G?$basic_istream@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 99
		refs = "001f ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0033 ??_7ios_base@std@@6B@ 0044 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0051 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 E8 8B DA 48 8D 4F 18 48 8B 41 E8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 E8 48 8B 41 E8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 45 8D 48 E8 45 89 4C 08 E4 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_150_1 {
	meta:
		name = "??__Einit_wcin@std@@YAXXZ"
		size = 38
		refs = "0003 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_116_153_1 {
	meta:
		name = "??__Einit_cin@std@@YAXXZ"
		size = 38
		refs = "0003 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_101_153_1 {
	meta:
		name = "??__Einit_clog@std@@YAXXZ"
		size = 38
		refs = "0003 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_114_150_1 {
	meta:
		name = "??__Einit_ushcin@std@@YAXXZ"
		size = 38
		refs = "0003 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_11_150_1 {
	meta:
		name = "??__Einit_ushclog@std@@YAXXZ"
		size = 38
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_28_150_1 {
	meta:
		name = "??__Einit_wclog@std@@YAXXZ"
		size = 38
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_9_153_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 40
		refs = "0005 __iob_func 000c wfin 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001b ??__Fwfin@std@@YAXXZ 0024 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_153_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 40
		refs = "0005 __iob_func 000c wfin 0014 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001b ??__Fwfin@std@@YAXXZ 0024 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_158_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 74
		refs = "0003 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 E8 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_158_1 {
	meta:
		name = "??__Fcin@std@@YAXXZ"
		size = 74
		refs = "0003 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0015 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 E8 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_158_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 74
		refs = "0003 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0046 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 8D 51 E8 42 89 54 01 FC 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_0_1 {
	meta:
		name = "_Call_once"
		size = 157
		refs = "000c once_state 002b mtx 0038 __crtInitializeCriticalSectionEx 003f cleanup 0044 atexit 0061 __crtSleep 0077 __imp_EnterCriticalSection 0099 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 3D ?? ?? ?? ?? 02 48 8B FA 48 8B D9 74 55 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 22 48 8D 0D ?? ?? ?? ?? 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 83 F8 02 75 16 C7 05 ?? ?? ?? ?? 02 00 00 00 EB 13 B9 01 00 00 00 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 02 75 ED 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 80 3B 00 75 05 FF D7 C6 03 01 48 8D 0D ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_2_1 {
	meta:
		name = "init_mutex"
		size = 103
		refs = "0006 once_state 001f mtx 002c __crtInitializeCriticalSectionEx 0033 cleanup 0038 atexit 0055 __crtSleep"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 02 74 55 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 75 22 48 8D 0D ?? ?? ?? ?? 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 83 F8 02 75 16 C7 05 ?? ?? ?? ?? 02 00 00 00 EB 13 B9 01 00 00 00 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 02 75 ED 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_11_153_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wflog 0015 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwflog@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_153_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wferr 0015 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwferr@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_109_153_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wferr 0015 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwferr@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_134_2 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wferr 0015 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwferr@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_153_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wflog 0015 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwflog@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_16_1 {
	meta:
		name = "??0?$_Yarn@D@std@@QEAA@PEBD@Z"
		size = 31
		refs = "0012 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 8B D9 C6 41 08 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_27_1 {
	meta:
		name = "??0_Locimp@locale@std@@AEAA@AEBV012@@Z"
		size = 130
		refs = "0028 ??_7_Locimp@locale@std@@6B@ 0063 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 006f ?_Locimp_ctor@_Locimp@locale@std@@CAXPEAV123@AEBV123@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B FA 48 8B D9 C7 41 08 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 01 45 33 C0 4C 89 41 10 48 8B 42 18 48 89 41 18 8B 42 20 89 41 20 8A 42 24 88 41 24 48 8B 52 28 48 85 D2 75 04 48 8D 57 30 48 83 C1 28 4C 89 01 44 88 41 08 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_12_29_1 {
	meta:
		name = "?dtor$1@?0???0_Locimp@locale@std@@AEAA@AEBV012@@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_374_1 {
	meta:
		name = "?dtor$1@?0???0_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@QEAA@0I@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_382_1 {
	meta:
		name = "?dtor$1@?0???0_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@QEAA@0I@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_553_1 {
	meta:
		name = "?dtor$1@?0???1_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_556_1 {
	meta:
		name = "?dtor$1@?0???1_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_358_1 {
	meta:
		name = "?dtor$2@?0???0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_30_1 {
	meta:
		name = "??0_Locimp@locale@std@@AEAA@_N@Z"
		size = 73
		refs = "0013 ??_7_Locimp@locale@std@@6B@ 0031 ??_C@_01NBENCBCI@?$CK?$AA@ 003c ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 88 51 24 C7 41 08 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 8B D9 48 89 41 10 48 89 41 18 89 41 20 48 83 C1 28 48 8D 15 ?? ?? ?? ?? 48 89 01 88 41 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_43_1 {
	meta:
		name = "??1_Fac_node@std@@QEAA@XZ"
		size = 38
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_12_44_1 {
	meta:
		name = "??1_Fac_tidy_reg_t@std@@QEAA@XZ"
		size = 73
		refs = "0012 _Fac_head 0033 ??3@YAXPEAX@Z"
		altNames = "??__F_Fac_tidy_reg@std@@YAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 EB 2F 48 8B 03 48 8B 4B 08 48 89 05 ?? ?? ?? ?? 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 C5 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_48_1 {
	meta:
		name = "??1_Locimp@locale@std@@MEAA@XZ"
		size = 59
		refs = "0009 ??_7_Locimp@locale@std@@6B@ 0014 ?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z 0022 free 002e ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 E8 ?? ?? ?? ?? 48 8B 4B 28 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 28 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_55_1 {
	meta:
		name = "??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
		size = 118
		refs = "0023 free 0048 malloc 005f memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B 09 48 8B FA 48 3B CA 74 46 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 26 00 48 85 FF 74 33 80 3F 00 48 8B DF 74 08 48 FF C3 80 3B 00 75 F8 48 2B DF 48 8D 4B 01 E8 ?? ?? ?? ?? 48 89 06 48 85 C0 74 0F 4C 8D 43 01 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_12_58_1 {
	meta:
		name = "??_G_Fac_node@std@@QEAAPEAXI@Z"
		size = 72
		refs = "0036 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 49 08 8B FA 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_12_62_1 {
	meta:
		name = "??_G_Locimp@locale@std@@MEAAPEAXI@Z"
		size = 87
		refs = "000d ??_7_Locimp@locale@std@@6B@ 001a ?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z 0028 free 0034 ??_7_Facet_base@std@@6B@ 0045 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B FA 48 8B D9 48 89 01 E8 ?? ?? ?? ?? 48 8B 4B 28 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 28 00 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_12_75_1 {
	meta:
		name = "??__Fclassic_locale@std@@YAXXZ"
		size = 46
		refs = "0007 classic_locale"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_12_86_1 {
	meta:
		name = "?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
		size = 51
		refs = "000f ??2@YAPEAX_K@Z 001b _Fac_head"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 15 ?? ?? ?? ?? 48 89 58 08 48 89 10 48 89 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_92_1 {
	meta:
		name = "?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
		size = 158
		refs = "001f ??0_Lockit@std@@QEAA@H@Z 0027 global_locale 0033 ?_New_Locimp@_Locimp@locale@std@@CAPEAV123@_N@Z 003e ?_Setgloballocale@locale@std@@CAXPEAX@Z 0050 ??_C@_01GFHCPBMG@C?$AA@ 0055 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 005c ?_Clocptr@_Locimp@locale@std@@0PEAV123@EA 0073 classic_locale 008c ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 40 8A F9 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 47 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 8B C8 E8 ?? ?? ?? ?? C7 43 20 3F 00 00 00 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8B 13 48 8B CB FF 52 08 48 8B 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 40 84 FF 74 0A 48 8B 03 48 8B CB FF 50 08 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_12_96_1 {
	meta:
		name = "?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z"
		size = 119
		refs = "001f ??0_Lockit@std@@QEAA@H@Z 005d free 0068 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 5F 18 EB 29 48 FF CB 48 8B 47 10 48 8B 0C D8 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 85 DB 75 D2 48 8B 4F 10 E8 ?? ?? ?? ?? 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_12_98_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@PEBD@Z"
		size = 105
		refs = "0015 setlocale 001c ??_C@_00CNPNBAHC@?$AA@ 002f ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0048 ??_C@_01NBENCBCI@?$CK?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 85 C0 48 0F 44 C1 48 8D 4F 48 48 8B D0 E8 ?? ?? ?? ?? 48 85 DB 74 0D 48 8B D3 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 8D 05 ?? ?? ?? ?? 48 85 DB 48 8D 4F 58 48 0F 44 D8 48 8B D3 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_99_1 {
	meta:
		name = "?_Locinfo_dtor@_Locinfo@std@@SAXPEAV12@@Z"
		size = 36
		refs = "001b setlocale"
	strings:
		$1 = { 48 83 EC 28 48 83 79 48 00 74 14 48 8B 51 48 48 85 D2 75 04 48 8D 51 50 33 C9 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_12_102_1 {
	meta:
		name = "?_New_Locimp@_Locimp@locale@std@@CAPEAV123@AEBV123@@Z"
		size = 58
		refs = "0018 ??2@YAPEAX_K@Z 002f ??0_Locimp@locale@std@@AEAA@AEBV012@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 38 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 09 48 8B D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_12_104_1 {
	meta:
		name = "?_New_Locimp@_Locimp@locale@std@@CAPEAV123@_N@Z"
		size = 106
		refs = "0013 ??2@YAPEAX_K@Z 003e ??_7_Locimp@locale@std@@6B@ 004e ??_C@_01NBENCBCI@?$CK?$AA@ 0053 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 40 8A F9 B9 38 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 8B D8 48 85 C0 74 38 C7 40 08 01 00 00 00 48 89 53 10 48 89 53 18 89 53 20 48 8D 4B 28 40 88 7B 24 48 8D 05 ?? ?? ?? ?? 48 89 03 48 89 11 88 51 08 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 48 8B DA 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_12_106_1 {
	meta:
		name = "?_Setgloballocale@locale@std@@CAXPEAX@Z"
		size = 50
		refs = "0008 ?registered@?1??_Setgloballocale@locale@std@@CAXPEAX@Z@4_NA 0015 tidy_global 0021 ?_Atexit@@YAXP6AXXZ@Z 0028 global_locale"
	strings:
		$1 = { 40 53 48 83 EC 20 80 3D ?? ?? ?? ?? 00 48 8B D9 75 13 48 8D 0D ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_121_1 {
	meta:
		name = "?classic@locale@std@@SAAEBV12@XZ"
		size = 23
		refs = "0007 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z 000e classic_locale"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_12_128_1 {
	meta:
		name = "?empty@locale@std@@SA?AV12@XZ"
		size = 40
		refs = "0011 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z 0018 ?_New_Locimp@_Locimp@locale@std@@CAPEAV123@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B D9 33 C9 E8 ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_12_152_1 {
	meta:
		name = "tidy_global"
		size = 51
		refs = "000c ??0_Lockit@std@@QEAA@H@Z 0013 global_locale 0018 _Deletegloballocale 002a ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_13_0_1 {
	meta:
		name = "_Cosh"
		size = 215
		refs = "0018 _Dtest 0055 __xmm@80000000000000008000000000000000 0063 _Xbig 007a __real@3ff0000000000000 007f _Exp 0087 __real@3fd0000000000000 00c1 _Feraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 A5 00 00 00 FF C8 83 F8 01 77 0B F2 0F 10 44 24 40 E9 96 00 00 00 0F 57 C0 66 0F 2E F0 7A 06 0F 84 84 00 00 00 F2 0F 10 4C 24 40 66 0F 2F C1 76 0D 0F 57 0D ?? ?? ?? ?? F2 0F 11 4C 24 40 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4C 24 40 66 0F 2F C1 76 27 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 44 24 40 F2 0F 58 44 24 40 F2 0F 59 C6 EB 30 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0F FF C9 0F 85 78 FF FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 62 FF FF FF 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_96_0_1 {
	meta:
		name = "_LCosh"
		size = 215
		refs = "0018 _LDtest 0055 __xmm@80000000000000008000000000000000 0063 _LXbig 007a __real@3ff0000000000000 007f _LExp 0087 __real@3fd0000000000000 00c1 _Feraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 A5 00 00 00 FF C8 83 F8 01 77 0B F2 0F 10 44 24 40 E9 96 00 00 00 0F 57 C0 66 0F 2E F0 7A 06 0F 84 84 00 00 00 F2 0F 10 4C 24 40 66 0F 2F C1 76 0D 0F 57 0D ?? ?? ?? ?? F2 0F 11 4C 24 40 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4C 24 40 66 0F 2F C1 76 27 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 44 24 40 F2 0F 58 44 24 40 F2 0F 59 C6 EB 30 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0F FF C9 0F 85 78 FF FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 62 FF FF FF 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_14_0_1 {
	meta:
		name = "_WStopfx"
		size = 436
		refs = "0033 iswctype"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 48 8B 19 33 FF 4C 8B F2 8D 77 08 4C 8B F9 EB 04 48 83 C3 02 0F B7 0B 8B D6 E8 ?? ?? ?? ?? 85 C0 75 EE 66 83 3B 2D 75 04 8B FE EB 06 66 83 3B 2B 75 04 48 83 C3 02 0F B7 03 66 41 B8 4E 00 BA DF FF 00 00 66 41 2B C0 66 85 C2 0F 84 CB 00 00 00 0F B7 03 66 83 E8 49 66 85 C2 74 48 66 83 3B 30 75 3A 0F B7 43 02 66 83 E8 58 66 85 C2 75 2D 48 8D 73 04 48 8B C6 66 83 3E 2E 75 04 48 83 C0 02 0F B7 08 BA 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 0B 48 8B DE 83 CF 02 E9 DF 00 00 00 83 CF 01 E9 D7 00 00 00 0F B7 43 02 66 41 2B C0 66 85 C2 0F 85 B9 00 00 00 0F B7 43 04 66 83 E8 46 66 85 C2 0F 85 A8 00 00 00 48 83 C3 06 83 CF 03 0F B7 03 66 83 E8 49 66 85 C2 0F 85 96 00 00 00 0F B7 43 02 66 41 2B C0 66 85 C2 0F 85 85 00 00 00 0F B7 43 04 66 83 E8 49 66 85 C2 75 78 0F B7 43 06 66 83 E8 54 66 85 C2 75 6B 0F B7 43 08 66 83 E8 59 66 85 C2 75 5E 48 83 C3 0A EB 58 0F B7 43 02 66 83 E8 41 66 85 C2 75 46 0F B7 43 04 66 41 2B C0 66 85 C2 75 39 48 83 C3 06 BF 04 00 00 00 66 83 3B 28 48 8B F3 75 2C 48 8D 76 02 BA 07 01 00 00 0F B7 0E E8 ?? ?? ?? ?? 85 C0 75 EB 66 83 3E 5F 74 E5 66 83 3E 29 75 0B 48 8D 5E 02 EB 05 49 8B 1F 33 FF 4D 85 F6 74 03 49 89 1E 48 8B 74 24 38 4C 8B 74 24 48 49 89 1F 48 8B 5C 24 30 8B C7 48 8B 7C 24 40 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_15_1_1 {
	meta:
		name = "_Stollx"
		size = 241
		refs = "003b isspace 0060 _Stoullx 00a5 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 56 41 57 48 83 EC 20 48 8D 70 08 48 85 D2 48 8B E9 48 8B F9 0F B6 09 4D 8B F1 48 0F 45 F2 45 8B F8 EB 06 48 FF C7 0F B6 0F E8 ?? ?? ?? ?? 85 C0 75 F1 8A 1F 8D 43 D5 A8 FD 74 04 B3 2B EB 03 48 FF C7 4D 8B CE 45 8B C7 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 48 3B 3E 75 03 48 89 2E 40 B7 2D 49 BF 00 00 00 00 00 00 00 80 48 3B 2E 75 05 48 85 C0 75 1E 80 FB 2B 75 0F 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 0A 40 3A DF 75 29 49 3B CF 76 24 E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 F6 74 07 41 C7 06 01 00 00 00 40 2A DF F6 DB 48 1B C0 49 03 C7 EB 10 48 8B C1 48 F7 D8 40 3A DF 48 0F 44 C8 48 8B C1 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_16_0_1 {
	meta:
		name = "_FDtento"
		size = 324
		refs = "0017 __security_cookie 003a __real@00000000 005a __real@41200000 005f _FXp_setw 0068 tenth 006f _FXp_movx 0090 _FXp_mulx 00cd _FXp_getw 00e3 _FInf 00f1 __xmm@80000000800000008000000080000000 00fd _errno 0128 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 48 81 EC 80 00 00 00 0F 29 74 24 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 49 8B E8 8B DA 48 8B F1 85 D2 0F 84 E2 00 00 00 F3 0F 10 01 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 CF 00 00 00 BF 03 00 00 00 85 D2 48 8D 4C 24 30 8B D7 7E 0F F3 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 4C 8D 05 ?? ?? ?? ?? F7 DB E8 ?? ?? ?? ?? F6 C3 01 74 1C 48 8D 44 24 50 4C 8D 44 24 30 44 8B CF 8B D7 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? D1 FB 8B D7 74 2F 4C 8D 44 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 44 24 50 4C 8D 44 24 40 48 8D 4C 24 30 44 8B CF 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? EB AA 48 8B CE E8 ?? ?? ?? ?? 0F 28 F0 0F 2E 35 ?? ?? ?? ?? 7A 02 74 1D F3 0F 10 0D ?? ?? ?? ?? 0F 2E F1 7A 02 74 0E 0F 57 0D ?? ?? ?? ?? 0F 2E F1 7A 16 75 14 E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 85 ED 74 04 83 4D 00 01 0F 28 C6 EB 0A BA 03 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A8 00 00 00 0F 28 74 24 70 48 81 C4 80 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_0_1 {
	meta:
		name = "_Towupper"
		size = 120
		refs = "005f __crtLCMapStringW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B C2 BA FF FF 00 00 66 89 4C 24 50 66 3B CA 74 55 48 83 78 18 00 75 19 BA 00 01 00 00 66 3B CA 73 0F 8D 41 9F 66 83 F8 19 77 3B 66 83 E9 20 EB 35 48 8D 4C 24 50 41 B9 01 00 00 00 4C 8D 44 24 40 44 89 4C 24 28 48 89 4C 24 20 48 8B 48 18 BA 00 02 00 00 E8 ?? ?? ?? ?? 0F B7 4C 24 50 85 C0 66 0F 44 4C 24 40 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_20_26_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		size = 153
		refs = "0033 ??2@YAPEAX_K@Z 003d ?_Xbad_alloc@std@@YAXXZ 0081 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B D9 33 FF 48 89 39 48 89 79 18 48 89 79 20 8D 4F 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 89 7B 18 40 88 7B 08 40 38 3E 74 10 48 83 C8 FF 48 FF C0 40 38 3C 06 75 F7 48 8B F8 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_20_86_1 {
	meta:
		name = "?_GetCombinableSize@details@Concurrency@@YA_KXZ"
		size = 89
		refs = "0005 ?GetNumberOfVirtualProcessors@CurrentScheduler@Concurrency@@SAIXZ 0014 ?candidatePrimes@?1??_GetCombinableSize@details@Concurrency@@YA_KXZ@4QBKB"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B C0 48 83 F8 FF 74 3E 4C 8D 0D ?? ?? ?? ?? 4C 8D 04 00 33 C9 49 8B D1 8B 02 4C 3B C0 72 12 48 8D 05 ?? ?? ?? ?? 48 83 C2 04 FF C1 48 3B D0 7C E7 83 F9 07 7D 09 48 63 C1 41 8B 04 81 EB 0C B8 19 01 00 00 EB 05 B8 0B 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_20_102_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 309
		refs = "0066 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0087 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00e0 memcpy 0111 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0116 ?_Xout_of_range@std@@YAXPEBD@Z 012b ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0130 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7A 18 49 8B E8 48 8B F2 48 8B D9 49 3B F8 0F 82 E4 00 00 00 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 36 4A 8D 04 07 48 39 41 18 0F 82 D4 00 00 00 48 83 79 20 10 48 89 41 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 01 00 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 87 00 00 00 48 83 FF FE 0F 87 AF 00 00 00 48 39 79 20 73 0E 4C 8B 41 18 48 8B D7 E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 21 79 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 FF 74 47 48 83 7E 20 10 72 06 48 8B 46 08 EB 04 48 8D 46 08 48 83 7B 20 10 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0C 48 8D 14 28 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_20_103_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD@Z"
		size = 29
		refs = "0019 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 45 33 C0 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_104_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 271
		refs = "006c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 008d ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00d4 memcpy 0105 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 010a ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F8 48 8B EA 48 8B D9 48 85 D2 74 50 48 83 79 20 10 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B D0 72 38 48 83 79 20 10 72 05 49 8B 08 EB 03 49 8B C8 48 03 4B 18 48 3B CA 76 20 48 83 7B 20 10 72 03 4D 8B 00 49 2B E8 4C 8B CF 48 8B D3 4C 8B C5 48 8B CB E8 ?? ?? ?? ?? EB 7B 48 83 FF FE 0F 87 86 00 00 00 48 39 7B 20 73 11 4C 8B 43 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 21 7B 18 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 48 85 FF 74 35 48 83 7B 20 10 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0B 4C 8B C7 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_20_110_1 {
	meta:
		name = "?copy@?$char_traits@D@std@@SAPEADPEADPEBD_K@Z"
		size = 28
		refs = "000f memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4D 85 C0 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_20_122_1 {
	meta:
		name = "?length@?$char_traits@D@std@@SA_KPEBD@Z"
		size = 25
	strings:
		$1 = { 33 C0 48 8B D1 38 01 74 0F 48 83 C9 FF 48 FF C1 38 04 0A 75 F8 48 8B C1 C3 }
	condition:
		$1
}

rule file_21_103_1 {
	meta:
		name = "_Getdateorder"
		size = 93
		refs = "0011 ___lc_locale_name_func 0028 __crtGetLocaleInfoEx"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 FF 89 7C 24 30 E8 ?? ?? ?? ?? 8D 5F 02 48 8B 48 28 4C 8D 44 24 30 8D 57 22 44 8B CB E8 ?? ?? ?? ?? 0F B7 44 24 30 66 83 F8 30 74 19 66 83 F8 31 75 05 8D 5F 01 EB 0E 8B DF B9 03 00 00 00 66 83 F8 32 0F 44 D9 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_22_44_1 {
	meta:
		name = "??0regex_error@std@@QEAA@W4error_type@regex_constants@1@@Z"
		size = 67
		refs = "0012 ?_Stringify@regex_error@std@@CAPEBDW4error_type@regex_constants@2@@Z 0024 ??0exception@std@@QEAA@AEBQEBD@Z 002b ??_7regex_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B F9 8B CA 8B DA E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CF 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 89 5F 18 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_22_101_1 {
	meta:
		name = "?_Stringify@regex_error@std@@CAPEBDW4error_type@regex_constants@2@@Z"
		size = 192
		refs = "0026 ??_C@_0EH@DICJJKLO@regex_error?$CIerror_brace?$CJ?3?5The?5ex@ 002e ??_C@_0EH@CAGOJGLE@regex_error?$CIerror_paren?$CJ?3?5The?5ex@ 0036 ??_C@_0EH@LGEANNAL@regex_error?$CIerror_brack?$CJ?3?5The?5ex@ 003e ??_C@_0FA@HFMLPGNN@regex_error?$CIerror_backref?$CJ?3?5The?5@ 0046 ??_C@_0GI@HEGGMMDL@regex_error?$CIerror_escape?$CJ?3?5The?5e@ 004e ??_C@_0FE@LJMHKIOC@regex_error?$CIerror_ctype?$CJ?3?5The?5ex@ 0056 ??_C@_0FI@CMNGHIFF@regex_error?$CIerror_collate?$CJ?3?5The?5@ 005e ??_C@_0FM@BLDIHIBB@regex_error?$CIerror_badbrace?$CJ?3?5The@ 0083 ??_C@_0M@KGKAAGCA@regex_error?$AA@ 008b ??_C@_0BK@DFJCACNI@regex_error?$CIerror_syntax?$CJ?$AA@ 0093 ??_C@_0BJ@CHBLKGNM@regex_error?$CIerror_parse?$CJ?$AA@ 009b ??_C@_0JC@HCDLJLGO@regex_error?$CIerror_stack?$CJ?3?5There?5@ 00a3 ??_C@_0HL@NEKOFBJA@regex_error?$CIerror_complexity?$CJ?3?5T@ 00ab ??_C@_0FK@LCHHHEOA@regex_error?$CIerror_badrepeat?$CJ?3?5On@ 00b3 ??_C@_0GP@PICOBCHA@regex_error?$CIerror_space?$CJ?3?5There?5@ 00bb ??_C@_0HA@ICNJLCMC@regex_error?$CIerror_range?$CJ?3?5The?5ex@"
	strings:
		$1 = { 83 F9 07 7F 5E 74 54 85 C9 74 48 FF C9 74 3C FF C9 74 30 FF C9 74 24 FF C9 74 18 FF C9 74 0C FF C9 75 5D 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 83 E9 08 74 50 FF C9 74 44 FF C9 74 38 FF C9 74 2C FF C9 74 20 FF C9 74 14 FF C9 74 08 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_22_103_1 {
	meta:
		name = "?_Xbad_alloc@std@@YAXXZ"
		size = 67
		refs = "0007 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0021 ??0exception@std@@QEAA@AEBQEBDH@Z 0028 ??_7bad_alloc@std@@6B@ 002f _TI2?AVbad_alloc@std@@ 003e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_22_104_1 {
	meta:
		name = "?_Xbad_function_call@std@@YAXXZ"
		size = 44
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7bad_function_call@std@@6B@ 0018 _TI2?AVbad_function_call@std@@ 0027 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_22_105_1 {
	meta:
		name = "?_Xinvalid_argument@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7invalid_argument@std@@6B@ 0022 _TI3?AVinvalid_argument@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_22_107_1 {
	meta:
		name = "?_Xlength_error@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7length_error@std@@6B@ 0022 _TI3?AVlength_error@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_22_108_1 {
	meta:
		name = "?_Xout_of_range@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7out_of_range@std@@6B@ 0022 _TI3?AVout_of_range@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_22_109_1 {
	meta:
		name = "?_Xoverflow_error@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7overflow_error@std@@6B@ 0022 _TI3?AVoverflow_error@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_22_112_1 {
	meta:
		name = "?_Xruntime_error@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7runtime_error@std@@6B@ 0022 _TI2?AVruntime_error@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_22_111_1 {
	meta:
		name = "?_Xregex_error@std@@YAXW4error_type@regex_constants@1@@Z"
		size = 67
		refs = "0009 ?_Stringify@regex_error@std@@CAPEBDW4error_type@regex_constants@2@@Z 001d ??0exception@std@@QEAA@AEBQEBD@Z 0024 ??_7regex_error@std@@6B@ 002b _TI3?AVregex_error@std@@ 003e _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 E8 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 89 5C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_2_1 {
	meta:
		name = "??$_Allocate@_W@std@@YAPEA_W_KPEA_W@Z"
		size = 50
		refs = "001e ??2@YAPEAX_K@Z 002d ?_Xbad_alloc@std@@YAXXZ"
		altNames = "??$_Allocate@G@std@@YAPEAG_KPEAG@Z"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 C9 74 1C 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 12 48 03 C9 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_22_1 {
	meta:
		name = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@_W_JPEB_WAEB_WU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z"
		size = 35
		altNames = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@D_JPEBDAEBDU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@G_JPEBGAEBGU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@PEAX_JPEBQEAXAEBQEAXU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z ??0_Iterator_base12@std@@QEAA@AEBU01@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 48 8B 02 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_24_26_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@AEBV01@@Z"
		size = 43
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 48 8B 02 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B 42 10 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_24_39_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
		size = 148
		refs = "0033 ??2@YAPEAX_K@Z 003d ?_Xbad_alloc@std@@YAXXZ 006b wcslen 007c ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B D9 33 FF 48 89 39 48 89 79 18 48 89 79 20 8D 4F 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 7B 08 66 39 3E 74 0B 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_189_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
		size = 148
		refs = "0033 ??2@YAPEAX_K@Z 003d ?_Xbad_alloc@std@@YAXXZ 006b wcslen 007c ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B D9 33 FF 48 89 39 48 89 79 18 48 89 79 20 8D 4F 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 7B 08 66 39 3E 74 0B 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_24_59_1 {
	meta:
		name = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
		size = 69
		refs = "0019 ??3@YAXPEAX@Z"
		altNames = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 20 08 48 8B D9 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 33 FF 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 7B 08 48 8B 0B E8 ?? ?? ?? ?? 48 89 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_68_1 {
	meta:
		name = "??4_Iterator_base12@std@@QEAAAEAU01@AEBU01@@Z"
		size = 31
		altNames = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@D_JPEBDAEBDU_Iterator_base12@2@@std@@QEAAAEAU01@AEBU01@@Z ??4?$_Iterator012@Urandom_access_iterator_tag@std@@G_JPEBGAEBGU_Iterator_base12@2@@std@@QEAAAEAU01@AEBU01@@Z ??4?$_Iterator012@Urandom_access_iterator_tag@std@@_W_JPEB_WAEB_WU_Iterator_base12@2@@std@@QEAAAEAU01@AEBU01@@Z"
	strings:
		$1 = { 48 8B 02 48 39 01 74 13 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_24_71_1 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ"
		size = 101
		refs = "005a _invalid_parameter_noinfo_noreturn"
		altNames = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAAEBGXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B C1 48 8B 09 48 85 C9 74 50 48 8B 09 48 85 C9 74 48 48 8B 40 10 48 85 C0 74 3F 48 83 79 20 08 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 3B D0 77 23 48 83 79 20 08 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 8B 49 18 48 8D 14 4A 48 3B C2 73 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_73_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_29_184_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_378_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_24_74_1 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 112
		refs = "0065 _invalid_parameter_noinfo_noreturn"
		altNames = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 4C 8B C1 48 85 C0 74 5B 48 8B 00 48 85 C0 74 53 48 8B 49 10 48 85 C9 74 4A 48 83 78 20 08 72 06 4C 8B 48 08 EB 04 4C 8D 48 08 48 8D 14 51 4C 3B CA 77 2A 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D1 77 0C 49 89 50 10 49 8B C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_76_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_190_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_393_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_96_1 {
	meta:
		name = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
		size = 307
		refs = "0095 ??2@YAPEAX_K@Z 00a2 ?_Xbad_alloc@std@@YAXXZ 00e2 memcpy 00f2 ??3@YAXPEAX@Z"
		altNames = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 48 C7 40 C8 FE FF FF FF 4D 8B F0 48 8B D9 48 8B F2 48 83 CE 07 49 B9 FE FF FF FF FF FF FF 7F 49 3B F1 76 05 48 8B F2 EB 31 4C 8B 41 20 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E6 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 34 01 76 03 49 8B F1 48 8D 4E 01 33 FF 44 8B FF 48 85 C9 74 25 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 10 48 03 C9 E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 75 06 E8 ?? ?? ?? ?? 90 EB 16 33 FF 48 8B 5C 24 60 4C 8B 74 24 70 48 8B 74 24 68 4C 8B 7C 24 78 4D 85 F6 74 22 48 83 7B 20 08 72 06 48 8B 53 08 EB 04 48 8D 53 08 4D 85 F6 74 0C 4F 8D 04 36 49 8B CF E8 ?? ?? ?? ?? 48 83 7B 20 08 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 C7 43 20 07 00 00 00 48 89 7B 18 48 8D 43 08 66 89 38 48 85 C0 74 03 4C 89 38 48 89 73 20 4C 89 73 18 48 83 FE 08 72 03 48 8B 00 66 42 89 3C 70 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_24_98_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z$0"
		size = 66
		refs = "0022 ??2@YAPEAX_K@Z 002c ?_Xbad_alloc@std@@YAXXZ 0037 $LN19"
		altNames = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z$0"
	strings:
		$1 = { 48 8B 4D 68 48 89 4D 68 33 C0 48 FF C1 74 21 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 0D 48 03 C9 E8 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 45 78 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_24_100_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z$1"
		size = 49
		refs = "0010 ??3@YAXPEAX@Z 002c _CxxThrowException"
		altNames = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z$1"
	strings:
		$1 = { 48 8B 5D 60 48 83 7B 20 08 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 C7 43 20 07 00 00 00 48 83 63 18 00 33 C0 66 89 43 08 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_24_101_1 {
	meta:
		name = "?_Copy_file@sys@tr2@std@@YAHPEBD0_N@Z"
		size = 143
		refs = "000e __security_cookie 002c ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 005a __imp_CopyFileW 0064 __imp_GetLastError 0080 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC 50 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 04 00 00 48 8B FA 48 8D 94 24 30 02 00 00 41 8A F0 E8 ?? ?? ?? ?? 33 DB 85 C0 74 38 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 27 48 8D 54 24 20 48 8D 8C 24 30 02 00 00 44 0F B6 C6 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? 8B D8 8B C3 EB 06 FF 15 ?? ?? ?? ?? 48 8B 8C 24 40 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 50 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_24_102_1 {
	meta:
		name = "?_Copy_file@sys@tr2@std@@YAHPEB_W0_N@Z"
		size = 35
		refs = "000a __imp_CopyFileW 0016 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 45 0F B6 C0 FF 15 ?? ?? ?? ?? 33 C9 85 C0 75 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_103_1 {
	meta:
		name = "?_Current_get@sys@tr2@std@@YAPEADAEAY0BAE@D@Z"
		size = 123
		refs = "000c __security_cookie 001f __crtIsPackagedApp 002a ??_C@_00CNPNBAHC@?$AA@ 003b _getcwd 005b strcpy_s 006e __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 40 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 85 C0 74 09 4C 8D 05 ?? ?? ?? ?? EB 22 48 8D 4C 24 20 BA 04 01 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8D 44 24 20 48 85 C0 4C 0F 44 C1 BA 04 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 01 00 00 5B C3 }
	condition:
		$1
}

rule file_24_104_1 {
	meta:
		name = "?_Current_get@sys@tr2@std@@YAPEA_WAEAY0BAE@_W@Z"
		size = 123
		refs = "000c __security_cookie 001f __crtIsPackagedApp 002a ??_C@_11LOCGONAA@?$AA?$AA@ 003b _wgetcwd 005b wcscpy_s 006e __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B D9 E8 ?? ?? ?? ?? 85 C0 74 09 4C 8D 05 ?? ?? ?? ?? EB 22 48 8D 4C 24 20 BA 04 01 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8D 44 24 20 48 85 C0 4C 0F 44 C1 BA 04 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5B C3 }
	condition:
		$1
}

rule file_24_105_1 {
	meta:
		name = "?_Current_set@sys@tr2@std@@YA_NPEBD@Z"
		size = 50
		refs = "000e __crtIsPackagedApp 001e _chdir"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 85 C0 74 04 32 C0 EB 0D 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_106_1 {
	meta:
		name = "?_Current_set@sys@tr2@std@@YA_NPEB_W@Z"
		size = 50
		refs = "000e __crtIsPackagedApp 001e _wchdir"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 85 C0 74 04 32 C0 EB 0D 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_108_1 {
	meta:
		name = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 28
		altNames = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
	strings:
		$1 = { 48 83 79 20 08 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 }
	condition:
		$1
}

rule file_24_109_1 {
	meta:
		name = "?_Equivalent@sys@tr2@std@@YAHPEBD0@Z"
		size = 112
		refs = "000c __security_cookie 0027 ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 004e ?_Equivalent@sys@tr2@std@@YAHPEB_W0@Z 0063 __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 50 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 04 00 00 48 8B DA 48 8D 94 24 30 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 25 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 14 48 8D 54 24 20 48 8D 8C 24 30 02 00 00 E8 ?? ?? ?? ?? EB 03 83 C8 FF 48 8B 8C 24 40 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 50 04 00 00 5B C3 }
	condition:
		$1
}

rule file_24_110_1 {
	meta:
		name = "?_Equivalent@sys@tr2@std@@YAHPEB_W0@Z"
		size = 329
		refs = "001b __security_cookie 003e memset 007b __imp_CreateFileW 0091 __imp_GetFileInformationByHandle 00a0 __imp_CloseHandle 012e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 56 41 57 48 8D 6C 24 C9 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 33 FF 48 8B D9 4C 8B FA 8D 77 30 48 8D 4D F3 33 D2 44 8B C6 89 7D EF E8 ?? ?? ?? ?? 48 8D 4D BB 44 8B C6 33 D2 89 7D B7 E8 ?? ?? ?? ?? 48 89 7C 24 30 44 8D 47 07 45 33 C9 BA 80 00 00 00 48 8B CB 89 7C 24 28 44 8A F7 40 8A F7 C7 44 24 20 03 00 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 1C 48 8D 55 EF 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B CB 85 C0 41 0F 95 C6 FF 15 ?? ?? ?? ?? 45 33 C9 48 89 7C 24 30 BA 80 00 00 00 45 8D 41 07 49 8B CF 89 7C 24 28 C7 44 24 20 03 00 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 1C 48 8D 55 B7 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B CB 85 C0 40 0F 95 C6 FF 15 ?? ?? ?? ?? 45 84 F6 75 0A 40 84 F6 75 2B 83 C8 FF EB 28 40 84 F6 74 21 8B 45 D3 39 45 0B 75 15 8B 45 E3 39 45 1B 75 0D 8B 45 E7 39 45 1F 75 05 BF 01 00 00 00 8B C7 EB 02 33 C0 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_111_1 {
	meta:
		name = "?_File_size@sys@tr2@std@@YA_KPEBD@Z"
		size = 77
		refs = "000a __security_cookie 001f ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 0031 ?_File_size@sys@tr2@std@@YA_KPEB_W@Z 0041 __security_check_cookie"
	strings:
		$1 = { 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 C3 }
	condition:
		$1
}

rule file_24_125_1 {
	meta:
		name = "?_Last_write_time@sys@tr2@std@@YA_JPEBD@Z"
		size = 77
		refs = "000a __security_cookie 001f ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 0031 ?_Last_write_time@sys@tr2@std@@YA_JPEB_W@Z 0041 __security_check_cookie"
	strings:
		$1 = { 48 81 EC 48 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 02 00 00 C3 }
	condition:
		$1
}

rule file_24_112_1 {
	meta:
		name = "?_File_size@sys@tr2@std@@YA_KPEB_W@Z"
		size = 73
		refs = "0007 __security_cookie 001c __imp_GetFileAttributesExW 0040 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0F 8B 44 24 3C 8B 4C 24 40 48 C1 E0 20 48 0B C1 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_24_113_1 {
	meta:
		name = "?_Filesys_code_page@sys@tr2@std@@YAIXZ"
		size = 37
		refs = "0005 __crtIsPackagedApp 000f __imp_AreFileApisANSI"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 85 C0 75 11 FF 15 ?? ?? ?? ?? 85 C0 75 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_120_1 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z"
		size = 225
		refs = "003f ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 0076 memcpy 007e ??3@YAXPEAX@Z 00d7 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00dc ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B F2 48 8B D9 48 3B D0 0F 87 A2 00 00 00 33 FF 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 6E 45 84 C0 74 4C 48 83 FA 08 73 46 4C 8B 71 18 49 3B D6 4C 0F 42 F2 48 83 79 20 08 72 20 48 83 C1 08 48 8B 29 4D 85 F6 74 0C 4F 8D 04 36 48 8B D5 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 C7 43 20 07 00 00 00 4C 89 73 18 66 42 89 7C 73 08 EB 1D 48 85 D2 75 18 48 83 79 20 08 48 89 79 18 72 06 48 8B 59 08 EB 04 48 83 C3 08 66 89 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_646_1 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z"
		size = 225
		refs = "003f ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 0076 memcpy 007e ??3@YAXPEAX@Z 00d7 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00dc ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B F2 48 8B D9 48 3B D0 0F 87 A2 00 00 00 33 FF 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 6E 45 84 C0 74 4C 48 83 FA 08 73 46 4C 8B 71 18 49 3B D6 4C 0F 42 F2 48 83 79 20 08 72 20 48 83 C1 08 48 8B 29 4D 85 F6 74 0C 4F 8D 04 36 48 8B D5 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 C7 43 20 07 00 00 00 4C 89 73 18 66 42 89 7C 73 08 EB 1D 48 85 D2 75 18 48 83 79 20 08 48 89 79 18 72 06 48 8B 59 08 EB 04 48 83 C3 08 66 89 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_122_1 {
	meta:
		name = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_NPEB_W@Z"
		size = 58
		altNames = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_NPEBG@Z"
	strings:
		$1 = { 48 85 D2 74 32 48 83 79 20 08 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B D0 72 1A 48 83 79 20 08 72 03 4D 8B 00 48 8B 41 18 49 8D 0C 40 48 3B CA 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_24_123_1 {
	meta:
		name = "?_Last_write_time@sys@tr2@std@@YAXPEBD_J@Z"
		size = 82
		refs = "000c __security_cookie 0024 ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 0035 ?_Last_write_time@sys@tr2@std@@YAXPEB_W_J@Z 0045 __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B DA 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 0D 48 8D 4C 24 20 48 8B D3 E8 ?? ?? ?? ?? 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5B C3 }
	condition:
		$1
}

rule file_24_124_1 {
	meta:
		name = "?_Last_write_time@sys@tr2@std@@YAXPEB_W_J@Z"
		size = 181
		refs = "000d __security_cookie 003d __imp_CreateFileW 005b __crtGetFileInformationByHandleEx 008d __crtSetFileInformationByHandle 0096 __imp_CloseHandle 00a3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 48 83 64 24 30 00 83 64 24 28 00 45 33 C9 48 8B FA 45 8D 41 07 BA 00 01 00 00 C7 44 24 20 03 00 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 50 4C 8D 44 24 40 41 B9 28 00 00 00 33 D2 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 2E 48 B8 00 91 10 B6 02 00 00 00 4C 8D 44 24 40 41 B9 28 00 00 00 48 03 C7 33 D2 48 69 C8 80 96 98 00 48 89 4C 24 50 48 8B CB E8 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_24_126_1 {
	meta:
		name = "?_Last_write_time@sys@tr2@std@@YA_JPEB_W@Z"
		size = 106
		refs = "0007 __security_cookie 001c __imp_GetFileAttributesExW 0061 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 30 8B 44 24 34 8B 4C 24 38 48 C1 E1 20 48 0B C8 48 B8 00 80 3E D5 DE B1 9D 01 48 2B C8 48 B8 BD 42 7A E5 D5 94 BF D6 48 F7 E1 48 C1 EA 17 48 8B C2 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_24_127_1 {
	meta:
		name = "?_Link@sys@tr2@std@@YAHPEBD0@Z"
		size = 158
		refs = "0010 __security_cookie 0026 __crtIsPackagedApp 002f _errno 004a ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 0071 ?_Link@sys@tr2@std@@YAHPEB_W0@Z 0079 __imp_GetLastError 0089 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 50 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 04 00 00 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? B9 21 00 00 00 89 08 8B C1 EB 3F 48 8D 94 24 30 02 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 25 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 14 48 8D 54 24 20 48 8D 8C 24 30 02 00 00 E8 ?? ?? ?? ?? EB 06 FF 15 ?? ?? ?? ?? 48 8B 8C 24 40 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 70 04 00 00 48 81 C4 50 04 00 00 5F C3 }
	condition:
		$1
}

rule file_24_155_1 {
	meta:
		name = "?_Symlink@sys@tr2@std@@YAHPEBD0@Z"
		size = 158
		refs = "0010 __security_cookie 0026 __crtIsPackagedApp 002f _errno 004a ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 0071 ?_Symlink@sys@tr2@std@@YAHPEB_W0@Z 0079 __imp_GetLastError 0089 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 81 EC 50 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 04 00 00 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? B9 21 00 00 00 89 08 8B C1 EB 3F 48 8D 94 24 30 02 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 25 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 14 48 8D 54 24 20 48 8D 8C 24 30 02 00 00 E8 ?? ?? ?? ?? EB 06 FF 15 ?? ?? ?? ?? 48 8B 8C 24 40 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 70 04 00 00 48 81 C4 50 04 00 00 5F C3 }
	condition:
		$1
}

rule file_24_128_1 {
	meta:
		name = "?_Link@sys@tr2@std@@YAHPEB_W0@Z"
		size = 91
		refs = "0016 __crtIsPackagedApp 0021 _errno 0039 __imp_CreateHardLinkW 0043 __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 33 DB 85 C0 74 0E E8 ?? ?? ?? ?? 8D 4B 21 89 08 8B C1 EB 1D 45 33 C0 48 8B D6 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? 8B D8 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_131_1 {
	meta:
		name = "?_Make_dir@sys@tr2@std@@YAHPEBD@Z"
		size = 40
		refs = "0005 _mkdir 0016 _errno"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 F8 FF 74 07 B8 01 00 00 00 EB 0E E8 ?? ?? ?? ?? 8B 08 83 E9 11 F7 D9 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_132_1 {
	meta:
		name = "?_Make_dir@sys@tr2@std@@YAHPEB_W@Z"
		size = 40
		refs = "0005 _wmkdir 0016 _errno"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 F8 FF 74 07 B8 01 00 00 00 EB 0E E8 ?? ?? ?? ?? 8B 08 83 E9 11 F7 D9 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_133_1 {
	meta:
		name = "?_Map_mode@sys@tr2@std@@YA?AW4file_type@123@H@Z"
		size = 28
	strings:
		$1 = { F6 C1 10 74 06 B8 03 00 00 00 C3 81 E1 A7 7B 00 00 F7 D9 1B C0 83 E0 F9 83 C0 09 C3 }
	condition:
		$1
}

rule file_24_136_1 {
	meta:
		name = "?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QEAAPEA_WXZ"
		size = 17
		altNames = "?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QEAAPEAGXZ ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QEBAPEBGXZ ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QEBAPEB_WXZ ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAPEBGXZ ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAPEB_WXZ"
	strings:
		$1 = { 48 83 79 20 08 72 05 48 8B 41 08 C3 48 8D 41 08 C3 }
	condition:
		$1
}

rule file_24_138_1 {
	meta:
		name = "?_Open_dir@sys@tr2@std@@YAPEAXAEAY0BAE@DPEBDAEAHAEAW4file_type@123@@Z"
		size = 162
		refs = "000f __security_cookie 0036 ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 0061 ?_Open_dir@sys@tr2@std@@YAPEAXAEAY0BAE@_WPEB_WAEAHAEAW4file_type@123@@Z 0078 ?_To_byte@sys@tr2@std@@YAHPEB_WPEAD@Z 0092 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 48 81 EC 58 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 04 00 00 48 8B C2 48 8B D9 48 8D 94 24 30 02 00 00 48 8B C8 49 8B F1 49 8B F8 E8 ?? ?? ?? ?? 33 ED 85 C0 75 0D C7 07 A1 00 00 00 33 C0 40 88 2B EB 39 48 8D 94 24 30 02 00 00 48 8D 4C 24 20 4C 8B CE 4C 8B C7 E8 ?? ?? ?? ?? 48 8B F8 66 39 6C 24 20 74 11 48 8D 4C 24 20 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 03 40 88 2B 48 8B C7 48 8B 8C 24 40 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 58 04 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_24_139_1 {
	meta:
		name = "?_Open_dir@sys@tr2@std@@YAPEAXAEAY0BAE@_WPEB_WAEAHAEAW4file_type@123@@Z"
		size = 374
		refs = "0024 __security_cookie 0041 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z 0053 ??_C@_15PKPONJIK@?$AA?2?$AA?$CK?$AA?$AA@ 0058 wcslen 006c ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 0097 __imp_FindFirstFileExW 00da ?_Read_dir@sys@tr2@std@@YAPEA_WAEAY0BAE@_WPEAXAEAW4file_type@123@@Z 00e9 __imp_FindClose 00ff wcscpy_s 0132 ??3@YAXPEAX@Z 0162 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 56 41 57 48 8D AC 24 38 FE FF FF 48 81 EC C8 02 00 00 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 01 00 00 4D 8B F1 49 8B F0 48 8B F9 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 45 33 FF 4C 39 7C 24 50 74 20 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 83 7C 24 58 08 48 0F 43 4C 24 40 44 89 7C 24 28 4C 89 7C 24 20 45 33 C9 4C 8D 44 24 60 33 D2 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 0C C7 06 A1 00 00 00 66 44 89 3F EB 3D 44 89 3E 66 83 7D 8C 2E 75 38 0F B7 45 8E 66 85 C0 74 0D 66 83 F8 2E 75 29 66 44 39 7D 90 75 22 4D 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 66 44 39 3F 75 40 48 8B CB FF 15 ?? ?? ?? ?? 49 8B DF EB 32 4C 8D 45 8C BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 8B 44 24 60 A8 10 74 07 B8 03 00 00 00 EB 0F 25 A7 7B 00 00 F7 D8 1B C0 83 E0 F9 83 C0 09 41 89 06 48 83 7C 24 58 08 72 0A 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 C7 44 24 58 07 00 00 00 4C 89 7C 24 50 66 44 89 7C 24 40 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B C3 48 8B 8D B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 02 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_142_1 {
	meta:
		name = "?_Read_dir@sys@tr2@std@@YAPEADAEAY0BAE@DPEAXAEAW4file_type@123@@Z"
		size = 126
		refs = "0010 __security_cookie 0028 ?_Read_dir@sys@tr2@std@@YAPEA_WAEAY0BAE@_WPEAXAEAW4file_type@123@@Z 003e ?_To_byte@sys@tr2@std@@YAHPEB_WPEAD@Z 0049 ??_C@_00CNPNBAHC@?$AA@ 0056 strcpy_s 0069 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 33 FF 66 39 7C 24 20 74 11 48 8D 4C 24 20 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 14 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 02 00 00 48 81 C4 40 02 00 00 5F C3 }
	condition:
		$1
}

rule file_24_143_1 {
	meta:
		name = "?_Read_dir@sys@tr2@std@@YAPEA_WAEAY0BAE@_WPEAXAEAW4file_type@123@@Z"
		size = 208
		refs = "0012 __security_cookie 0034 __imp_FindNextFileW 0072 ??_C@_11LOCGONAA@?$AA?$AA@ 007f wcscpy_s 0092 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 48 81 EC 80 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 02 00 00 48 8B F2 48 8B D9 48 8D 54 24 20 48 8B CE 49 8B F8 FF 15 ?? ?? ?? ?? 33 ED EB 2D 66 83 7C 24 4C 2E 75 65 0F B7 44 24 4E 66 85 C0 74 0D 66 83 F8 2E 75 55 66 39 6C 24 50 75 4E 48 8D 54 24 20 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 CF 89 2F 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 70 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 02 00 00 48 81 C4 80 02 00 00 5F 5E 5D C3 8B 44 24 20 A8 10 74 07 B8 03 00 00 00 EB 0F 25 A7 7B 00 00 F7 D8 1B C0 83 E0 F9 83 C0 09 89 07 4C 8D 44 24 4C EB A6 }
	condition:
		$1
}

rule file_24_144_1 {
	meta:
		name = "?_Remove_dir@sys@tr2@std@@YA_NPEBD@Z"
		size = 20
		refs = "0005 _rmdir"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_145_1 {
	meta:
		name = "?_Remove_dir@sys@tr2@std@@YA_NPEB_W@Z"
		size = 20
		refs = "0005 _wrmdir"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_146_1 {
	meta:
		name = "?_Rename@sys@tr2@std@@YAHPEBD0@Z"
		size = 30
		refs = "0005 rename 0011 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_147_1 {
	meta:
		name = "?_Rename@sys@tr2@std@@YAHPEB_W0@Z"
		size = 30
		refs = "0005 _wrename 0011 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_161_1 {
	meta:
		name = "?_Unlink@sys@tr2@std@@YAHPEBD@Z"
		size = 30
		refs = "0005 remove 0011 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_162_1 {
	meta:
		name = "?_Unlink@sys@tr2@std@@YAHPEB_W@Z"
		size = 30
		refs = "0005 _wremove 0011 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_148_1 {
	meta:
		name = "?_Stat@sys@tr2@std@@YA?AW4file_type@123@PEBDAEAH@Z"
		size = 94
		refs = "000c __security_cookie 0024 ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 0035 ?_Stat@sys@tr2@std@@YA?AW4file_type@123@PEB_WAEAH@Z 003d __imp_GetLastError 0051 __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B DA 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 74 0F 48 8D 4C 24 20 48 8B D3 E8 ?? ?? ?? ?? EB 0A FF 15 ?? ?? ?? ?? 89 03 33 C0 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5B C3 }
	condition:
		$1
}

rule file_24_149_1 {
	meta:
		name = "?_Stat@sys@tr2@std@@YA?AW4file_type@123@PEB_WAEAH@Z"
		size = 165
		refs = "0009 __security_cookie 0021 __imp_GetFileAttributesExW 004e __imp_GetLastError 009b __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B DA 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 74 23 8B 44 24 20 83 23 00 A8 10 74 07 B8 03 00 00 00 EB 57 25 A7 7B 00 00 F7 D8 1B C0 83 E0 F9 83 C0 09 EB 46 FF 15 ?? ?? ?? ?? 89 03 83 F8 35 77 10 48 BA 0C 80 00 00 00 00 20 00 48 0F A3 C2 72 1F 3D A1 00 00 00 74 18 83 F8 7B 74 13 83 F8 57 74 0E 83 F8 20 75 05 8D 48 E9 EB 09 33 C0 EB 0A B9 01 00 00 00 83 23 00 8B C1 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_24_150_1 {
	meta:
		name = "?_Statvfs@sys@tr2@std@@YA?AUspace_info@123@PEBD@Z"
		size = 140
		refs = "000c __security_cookie 003c ?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z 005c ?_Statvfs@sys@tr2@std@@YA?AUspace_info@123@PEB_W@Z 007f __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 48 83 64 24 20 00 48 83 64 24 28 00 48 83 64 24 30 00 48 8B C2 48 8B D9 48 8D 54 24 40 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0D 0F 10 44 24 20 F2 0F 10 4C 24 30 EB 17 48 8D 54 24 40 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F2 0F 10 48 10 0F 11 03 F2 0F 11 4B 10 48 8B C3 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 60 02 00 00 5B C3 }
	condition:
		$1
}

rule file_24_151_1 {
	meta:
		name = "?_Statvfs@sys@tr2@std@@YA?AUspace_info@123@PEB_W@Z"
		size = 349
		refs = "0022 __security_cookie 0043 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z 0057 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0067 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z 006f ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ 00a7 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@ 00ac wcslen 00bf ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 00df __imp_GetDiskFreeSpaceExW 011c ??3@YAXPEAX@Z 0144 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC C0 00 00 00 48 C7 45 E7 FE FF FF FF 48 89 58 08 48 89 78 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 47 48 8B D9 33 FF 48 89 7D B7 48 89 7D BF 48 89 7D C7 48 8D 4D 1F E8 ?? ?? ?? ?? 90 48 39 7D 37 74 56 48 8D 55 07 48 8D 4D 1F E8 ?? ?? ?? ?? 48 8B C8 44 8D 47 01 48 8D 55 EF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 66 83 38 2F 74 4A 48 8D 55 EF 48 8D 4D 1F E8 ?? ?? ?? ?? 48 8B C8 44 8D 47 01 48 8D 55 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 66 83 38 5C 74 1F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8D 4D 1F E8 ?? ?? ?? ?? 48 8D 4D 27 48 83 7D 3F 08 48 0F 43 4D 27 4C 8D 4D CF 4C 8D 45 DF 48 8D 55 D7 FF 15 ?? ?? ?? ?? 85 C0 74 18 48 8B 45 DF 48 89 45 B7 48 8B 45 CF 48 89 45 BF 48 8B 45 D7 48 89 45 C7 0F 10 45 B7 0F 11 03 F2 0F 10 4D C7 F2 0F 11 4B 10 48 83 7D 3F 08 72 09 48 8B 4D 27 E8 ?? ?? ?? ?? 48 C7 45 3F 07 00 00 00 48 89 7D 37 66 89 7D 27 48 8B 4D 1F E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 47 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 10 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_24_153_1 {
	meta:
		name = "?_Strcpy@sys@tr2@std@@YAPEADAEAY0BAE@DPEBD@Z"
		size = 31
		refs = "0012 strcpy_s"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 BA 04 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_154_1 {
	meta:
		name = "?_Strcpy@sys@tr2@std@@YAPEA_WAEAY0BAE@_WPEB_W@Z"
		size = 31
		refs = "0012 wcscpy_s"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 BA 04 01 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_156_1 {
	meta:
		name = "?_Symlink@sys@tr2@std@@YAHPEB_W0@Z"
		size = 90
		refs = "0016 __crtIsPackagedApp 0021 _errno 0038 __crtCreateSymbolicLinkW 0042 __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 33 DB 85 C0 74 0E E8 ?? ?? ?? ?? 8D 4B 21 89 08 8B C1 EB 1C 45 33 C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 08 FF 15 ?? ?? ?? ?? 8B D8 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_158_1 {
	meta:
		name = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
		size = 108
		refs = "003a memcpy 0042 ??3@YAXPEAX@Z"
		altNames = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F8 48 8B D9 84 D2 74 26 48 83 79 20 08 72 1F 48 83 C1 08 48 8B 31 4D 85 C0 74 0B 4D 03 C0 48 8B D6 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 40 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 6C 7B 08 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_159_1 {
	meta:
		name = "?_To_byte@sys@tr2@std@@YAHPEB_WPEAD@Z"
		size = 93
		refs = "0011 __crtIsPackagedApp 001b __imp_AreFileApisANSI 004e __imp_WideCharToMultiByte"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 85 C0 75 05 8D 48 01 EB 02 33 C9 48 83 64 24 38 00 48 83 64 24 30 00 41 83 C9 FF 4C 8B C7 33 D2 C7 44 24 28 04 01 00 00 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_24_160_1 {
	meta:
		name = "?_To_wide@sys@tr2@std@@YAHPEBDPEA_W@Z"
		size = 91
		refs = "0016 __crtIsPackagedApp 0022 __imp_AreFileApisANSI 0047 __imp_MultiByteToWideChar"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 33 DB 85 C0 75 0D FF 15 ?? ?? ?? ?? 85 C0 75 03 8D 58 01 41 83 C9 FF 4C 8B C6 33 D2 8B CB C7 44 24 28 04 01 00 00 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_24_168_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QEAAPEA_W_K@Z"
		size = 51
		refs = "001f ??2@YAPEAX_K@Z 002e ?_Xbad_alloc@std@@YAXXZ"
		altNames = "?allocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QEAAPEAG_K@Z ?allocate@?$allocator@G@std@@QEAAPEAG_K@Z ?allocate@?$allocator@_W@std@@QEAAPEA_W_K@Z"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 D2 74 1D 48 B8 FF FF FF FF FF FF FF 7F 48 3B D0 77 13 48 8D 0C 12 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_172_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 244
		refs = "0065 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00a7 memcpy 00dd ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00e2 ?_Xout_of_range@std@@YAXPEBD@Z 00ea ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00ef ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 18 49 8B F1 4D 8B F0 48 8B FA 48 8B D9 49 3B C0 0F 82 A9 00 00 00 48 8B 49 18 49 2B C0 49 3B C1 48 0F 42 F0 48 83 C8 FF 48 2B C1 48 3B C6 0F 86 98 00 00 00 45 33 FF 48 85 F6 74 67 48 8D 2C 31 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 51 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 85 F6 74 15 4A 8D 14 70 48 8B 43 18 4C 8D 04 36 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 3F 66 44 89 3C 6F 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_791_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 244
		refs = "0065 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00a7 memcpy 00dd ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00e2 ?_Xout_of_range@std@@YAXPEBD@Z 00ea ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00ef ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 18 49 8B F1 4D 8B F0 48 8B FA 48 8B D9 49 3B C0 0F 82 A9 00 00 00 48 8B 49 18 49 2B C0 49 3B C1 48 0F 42 F0 48 83 C8 FF 48 2B C1 48 3B C6 0F 86 98 00 00 00 45 33 FF 48 85 F6 74 67 48 8D 2C 31 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 51 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 85 F6 74 15 4A 8D 14 70 48 8B 43 18 4C 8D 04 36 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 3F 66 44 89 3C 6F 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_173_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W@Z"
		size = 55
		refs = "001b wcslen 0033 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 8B DA 48 8B F9 66 39 02 74 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_803_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG@Z"
		size = 55
		refs = "001b wcslen 0033 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 8B DA 48 8B F9 66 39 02 74 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_179_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W@Z"
		size = 55
		refs = "001b wcslen 0033 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 8B DA 48 8B F9 66 39 02 74 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_174_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 275
		refs = "007a ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a3 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00d3 memcpy 0109 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 010e ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 33 FF 4D 8B F0 48 8B F2 48 8B D9 48 85 D2 74 57 48 83 79 20 08 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 3F 48 83 79 20 08 72 05 49 8B 09 EB 03 49 8B C9 48 8B 43 18 48 8D 0C 41 48 3B CA 76 23 48 83 7B 20 08 72 03 4D 8B 09 49 2B F1 4D 8B C8 48 8B D3 48 D1 FE 48 8B CB 4C 8B C6 E8 ?? ?? ?? ?? EB 6D 48 8B 4B 18 48 83 C8 FF 48 2B C1 49 3B C0 76 76 4D 85 C0 74 55 4A 8D 2C 01 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 3F 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4D 85 F6 74 14 48 8B 43 18 4F 8D 04 36 48 8B D6 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 3F 66 44 89 3C 6F 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_178_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 260
		refs = "006d ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 007a ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00b6 memcpy 00ed ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00f2 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 7A 18 4D 8B F0 48 8B F2 48 8B D9 49 3B F8 0F 82 BB 00 00 00 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 35 4A 8D 04 07 48 39 41 18 0F 82 AB 00 00 00 48 83 79 20 08 48 89 41 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 ED 33 D2 66 89 2C 41 48 8B CB E8 ?? ?? ?? ?? EB 59 45 33 C0 48 8B D7 E8 ?? ?? ?? ?? 33 ED 84 C0 74 48 48 83 7E 20 08 72 06 48 8B 46 08 EB 04 48 8D 46 08 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0D 4C 8D 04 3F 4A 8D 14 70 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 7B 18 72 03 48 8B 36 66 89 2C 7E 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_802_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 260
		refs = "006d ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 007a ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00b6 memcpy 00ed ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00f2 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 7A 18 4D 8B F0 48 8B F2 48 8B D9 49 3B F8 0F 82 BB 00 00 00 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 35 4A 8D 04 07 48 39 41 18 0F 82 AB 00 00 00 48 83 79 20 08 48 89 41 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 ED 33 D2 66 89 2C 41 48 8B CB E8 ?? ?? ?? ?? EB 59 45 33 C0 48 8B D7 E8 ?? ?? ?? ?? 33 ED 84 C0 74 48 48 83 7E 20 08 72 06 48 8B 46 08 EB 04 48 8D 46 08 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0D 4C 8D 04 3F 4A 8D 14 70 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 7B 18 72 03 48 8B 36 66 89 2C 7E 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_180_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 231
		refs = "007a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 008a ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00b2 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 4D 8B F0 48 8B F2 48 8B D9 48 85 D2 74 57 48 83 79 20 08 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 3F 48 83 79 20 08 72 05 49 8B 09 EB 03 49 8B C9 48 8B 43 18 48 8D 0C 41 48 3B CA 76 23 48 83 7B 20 08 72 03 4D 8B 09 49 2B F1 4D 8B C8 48 8B D3 48 D1 FE 48 8B CB 4C 8B C6 E8 ?? ?? ?? ?? EB 4C 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 37 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4D 85 F6 74 0C 4F 8D 04 36 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 20 08 4C 89 73 18 72 03 48 8B 3F 66 42 89 2C 77 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_90_804_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		size = 231
		refs = "007a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 008a ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00b2 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 4D 8B F0 48 8B F2 48 8B D9 48 85 D2 74 57 48 83 79 20 08 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 3F 48 83 79 20 08 72 05 49 8B 09 EB 03 49 8B C9 48 8B 43 18 48 8D 0C 41 48 3B CA 76 23 48 83 7B 20 08 72 03 4D 8B 09 49 2B F1 4D 8B C8 48 8B D3 48 D1 FE 48 8B CB 4C 8B C6 E8 ?? ?? ?? ?? EB 4C 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 37 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4D 85 F6 74 0C 4F 8D 04 36 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 20 08 4C 89 73 18 72 03 48 8B 3F 66 42 89 2C 77 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_24_183_1 {
	meta:
		name = "?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEA_WXZ"
		size = 46
		refs = "000a ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 001d ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z 0025 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ"
	strings:
		$1 = { 48 83 EC 58 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 38 41 B8 01 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_24_197_1 {
	meta:
		name = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
		size = 47
		altNames = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 83 79 20 08 4C 8B C1 72 06 48 8B 49 08 EB 04 48 83 C1 08 49 8B 40 18 48 83 62 08 00 48 8D 0C 41 49 8B 00 48 89 02 48 8B C2 48 89 4A 10 C3 }
	condition:
		$1
}

rule file_24_202_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z"
		size = 187
		refs = "0080 memmove 00b1 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00b6 ?_Xout_of_range@std@@YAXPEBD@Z"
		altNames = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 71 18 4D 8B C8 48 8B D9 48 3B F2 0F 82 87 00 00 00 48 8B C6 48 2B C2 49 3B C0 77 1D 48 83 79 20 08 48 89 51 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 33 ED 66 89 2C 50 EB 47 33 ED 4D 85 C0 74 40 48 83 79 20 08 48 8D 79 08 72 05 48 8B 07 EB 03 48 8B C7 49 2B F0 48 8D 0C 50 4C 8B C6 4C 2B C2 74 0C 4A 8D 14 49 4D 03 C0 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 89 2C 77 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_203_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K@Z"
		size = 60
		refs = "0032 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0037 ?_Xout_of_range@std@@YAXPEBD@Z"
		altNames = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 39 51 18 72 25 48 83 79 20 08 48 89 51 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 45 33 C0 66 44 89 04 50 48 8B C1 48 83 C4 28 C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_206_1 {
	meta:
		name = "?length@?$char_traits@_W@std@@SA_KPEB_W@Z"
		size = 21
		refs = "000c wcslen"
		altNames = "?length@?$char_traits@G@std@@SA_KPEBG@Z"
	strings:
		$1 = { 48 83 EC 28 33 C0 66 39 01 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_25_2_1 {
	meta:
		name = "??$_Xfiopen@D@std@@YAPEAU_iobuf@@PEBDHH@Z"
		size = 249
		refs = "0049 __ImageBase 005b ?valid@?1???$_Xfiopen@D@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBHB 0087 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBQEBDB 0092 _fsopen 009f fclose 00ce fseek"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B FA 44 8B CA 41 8B F0 83 E7 04 41 81 E1 80 00 00 00 48 8B E9 F6 C2 40 74 03 83 CA 01 F6 C2 08 74 03 83 CA 02 33 C9 81 E2 3B FF FF FF 4C 8D 35 ?? ?? ?? ?? 8D 41 01 45 33 C0 3B C2 74 11 43 8B 84 86 ?? ?? ?? ?? 49 FF C0 FF C1 85 C0 75 EB 48 63 D9 41 83 BC 9E ?? ?? ?? ?? 00 75 04 33 C0 EB 64 45 85 C9 74 26 F6 C2 0A 74 21 48 8B 15 ?? ?? ?? ?? 44 8B C6 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 0A 48 8B C8 E8 ?? ?? ?? ?? EB D1 49 8B 94 DE ?? ?? ?? ?? 44 8B C6 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 B6 85 FF 74 17 33 D2 48 8B C8 44 8D 42 02 E8 ?? ?? ?? ?? 85 C0 74 05 48 8B CB EB C3 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_25_3_1 {
	meta:
		name = "??$_Xfiopen@_W@std@@YAPEAU_iobuf@@PEB_WHH@Z"
		size = 249
		refs = "0049 __ImageBase 005b ?valid@?1???$_Xfiopen@_W@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBHB 0087 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBQEB_WB 0092 _wfsopen 009f fclose 00ce fseek"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B FA 44 8B CA 41 8B F0 83 E7 04 41 81 E1 80 00 00 00 48 8B E9 F6 C2 40 74 03 83 CA 01 F6 C2 08 74 03 83 CA 02 33 C9 81 E2 3B FF FF FF 4C 8D 35 ?? ?? ?? ?? 8D 41 01 45 33 C0 3B C2 74 11 43 8B 84 86 ?? ?? ?? ?? 49 FF C0 FF C1 85 C0 75 EB 48 63 D9 41 83 BC 9E ?? ?? ?? ?? 00 75 04 33 C0 EB 64 45 85 C9 74 26 F6 C2 0A 74 21 48 8B 15 ?? ?? ?? ?? 44 8B C6 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 0A 48 8B C8 E8 ?? ?? ?? ?? EB D1 49 8B 94 DE ?? ?? ?? ?? 44 8B C6 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 B6 85 FF 74 17 33 D2 48 8B C8 44 8D 42 02 E8 ?? ?? ?? ?? 85 C0 74 05 48 8B CB EB C3 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_25_69_1 {
	meta:
		name = "?_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z"
		size = 19
		refs = "0003 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBQEBDB 000f _fsopen"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 63 D2 48 8B 14 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_70_1 {
	meta:
		name = "?_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z"
		size = 19
		refs = "0003 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBQEB_WB 000f _wfsopen"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 63 D2 48 8B 14 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_0_1 {
	meta:
		name = "_FXp_addh"
		size = 875
		refs = "003d _FDunscale 0055 _FDtest 006c _FPmsw 009b _Feraise 00a3 _FNan 021a _FDint 0227 _FDscale"
	strings:
		$1 = { F3 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 FF F3 0F 11 55 60 0F 29 74 24 30 48 63 F2 48 8B F9 85 D2 0F 84 1E 03 00 00 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B F8 0F 8D 80 00 00 00 66 83 F8 02 74 6C 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 5F 66 83 F8 02 0F 84 EA 02 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 4D 58 41 BE 00 80 00 00 0F B7 18 66 41 23 DE E8 ?? ?? ?? ?? 0F B7 08 66 41 23 CE 66 3B CB 0F 84 BC 02 00 00 41 8D 4F 01 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 07 83 FE 01 0F 8E 9E 02 00 00 44 89 7F 04 E9 95 02 00 00 F3 0F 10 45 58 F3 0F 11 07 E9 87 02 00 00 66 85 C0 0F 89 7E 02 00 00 41 BC 00 01 00 00 41 8B DF 85 F6 0F 8E 6D 02 00 00 4C 8B F7 4C 8D 6F FC 0F 57 F6 F3 41 0F 10 06 48 8D 55 D8 48 8D 4D 50 F3 0F 11 45 D8 E8 ?? ?? ?? ?? 33 D2 66 3B D0 0F 8C 41 02 00 00 66 85 C0 0F 84 20 02 00 00 0F BF 55 50 0F BF 45 48 F3 0F 10 4D 58 8B CA 2B C8 83 F9 F4 7F 58 0F 2E CE 7A 02 74 51 8B CB 49 8B C7 48 FF C0 FF C1 48 3B C6 7D 0C F3 0F 10 04 87 0F 2E C6 7A EC 75 EA 8D 46 FF 3B C8 7D 04 FF C1 EB 06 3B CE 75 02 FF C9 48 63 D1 4C 3B FA 7D 0F 8B 44 97 FC 89 04 97 48 FF CA 49 3B D7 7F F1 83 65 58 00 F3 41 0F 11 0E E9 A8 01 00 00 B8 0C 00 00 00 3B C8 7C 11 0F 2E CE 7A 02 74 0A 44 8B E2 FF C3 E9 83 01 00 00 F3 41 0F 58 0E 0F 2E CE F3 41 0F 11 0E 7A 39 75 37 8B CB 49 8B C6 FF C1 48 8D 40 04 3B CE 7D 10 F3 0F 10 00 0F 2E C6 F3 0F 11 40 FC 7A E8 75 E6 83 64 B7 FC 00 F3 41 0F 10 06 0F 2E C6 0F 28 C8 7A 06 0F 84 68 01 00 00 48 8D 55 58 48 8D 4D 48 F3 0F 11 4D 58 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4C 24 F4 3B CA 0F 8D 94 00 00 00 66 41 2B D4 48 8D 4D 58 66 83 C2 0C E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F3 41 0F 10 06 F3 0F 5C 45 58 0F 2E C6 F3 41 0F 11 06 7A 26 75 24 8B CB 49 8B C6 FF C1 48 8D 40 04 3B CE 7D 10 F3 0F 10 00 0F 2E C6 F3 0F 11 40 FC 7A E8 75 E6 83 64 B7 FC 00 49 FF CF 49 83 ED 04 49 83 EE 04 FF CB 75 0B 41 BC 00 01 00 00 E9 B1 00 00 00 F3 41 0F 10 45 00 48 8D 55 60 48 8D 4D 50 F3 0F 11 45 60 E8 ?? ?? ?? ?? 44 0F BF 65 50 E9 8F 00 00 00 44 8D 63 01 44 3B E6 0F 84 A4 00 00 00 F3 41 0F 10 06 48 63 C3 48 8D 4D 50 48 8D 1C 87 F3 0F 11 45 58 48 8B D3 E8 ?? ?? ?? ?? BA 0C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? 0F BF 45 50 F3 0F 10 45 58 F3 41 0F 10 0E 89 45 DC F3 0F 5C C1 0F 2E C6 F3 0F 11 45 58 7A 09 75 07 F3 0F 11 4D 60 EB 05 F3 0F 11 45 60 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DC 44 8B 65 DC 49 FF C7 49 83 C5 04 49 83 C6 04 3B DE 0F 8C B7 FD FF FF EB 18 F3 0F 10 45 58 8D 43 01 48 63 CB F3 0F 11 04 8F 3B C6 7D 04 89 54 8F 04 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_27_2_1 {
	meta:
		name = "_FXp_getw"
		size = 197
		refs = "0072 _FPlsw"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 0F 29 74 24 20 48 8B D9 85 D2 75 08 0F 57 C0 E9 97 00 00 00 BF 01 00 00 00 3B D7 0F 84 86 00 00 00 F3 0F 10 01 0F 57 D2 0F 2E C2 7A 02 74 78 F3 0F 10 71 04 0F 2E F2 7A 02 74 6C 83 FA 02 74 5E F3 0F 10 49 08 0F 2E CA 7A 02 74 52 F3 0F 58 F0 F3 0F 10 41 0C F3 0F 11 4C 24 48 0F 2E C2 7A 02 74 13 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 09 38 F3 0F 10 4C 24 48 F3 0F 10 53 04 0F 28 C6 F3 0F 5C 03 0F 2E C2 7A 0B 75 09 F3 0F 58 CE 0F 28 C1 EB 1A F3 0F 58 D1 F3 0F 58 13 0F 28 C2 EB 0D F3 0F 58 F0 0F 28 C6 EB 04 F3 0F 10 01 48 8B 5C 24 40 0F 28 74 24 20 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_27_8_1 {
	meta:
		name = "_FXp_setn"
		size = 129
		refs = "003a _FXp_setw 0042 __real@461c4000 004c _FXp_mulh 0065 _FXp_addh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B F2 B8 AD 8B DB 68 41 8B F8 48 8B E9 41 F7 E8 8B DA 8B D6 C1 FB 0C 8B C3 C1 E8 1F 03 D8 66 0F 6E D3 0F 5B D2 E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D6 48 8B CD 69 C3 10 27 00 00 2B F8 66 0F 6E D7 0F 5B D2 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 40 48 8B C5 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_27_10_1 {
	meta:
		name = "_FXp_sqrtx"
		size = 353
		refs = "0031 _FDtest 006b sqrt 0073 __real@3ff0000000000000 0085 _FXp_setw 009e memcpy 00ab __real@bf000000 00b0 _FXp_mulh 00c5 _FXp_mulx 00e4 __real@3fc00000 00ec _FXp_addh 012f _Feraise 0137 _FNan"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 49 8B E8 48 63 FA 48 8B D9 85 D2 0F 84 0F 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E3 00 00 00 F3 0F 10 0B 0F 2F C1 0F 87 DB 00 00 00 4C 8B F7 49 C1 E6 02 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F3 0F 58 4B 04 0F 5A C1 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 8B D7 48 8B CE F2 0F 5E C8 66 0F 5A D1 E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D7 48 8B CD F3 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B CF 4C 8B C3 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D7 48 8B CD 4C 89 7C 24 20 E8 ?? ?? ?? ?? 8B D7 F3 0F 10 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 8B C5 8B D7 48 8B CE 4C 89 7C 24 20 E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 8B C6 8B D7 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? EB 1B 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 03 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_29_3_1 {
	meta:
		name = "??$?9DU?$char_traits@D@std@@@std@@YA_NAEBV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 19
		refs = "0005 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_90_7_1 {
	meta:
		name = "??$?9GU?$char_traits@G@std@@@std@@YA_NAEBV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 19
		refs = "0005 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_90_10_1 {
	meta:
		name = "??$?9_WU?$char_traits@_W@std@@@std@@YA_NAEBV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 19
		refs = "0005 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_29_7_1 {
	meta:
		name = "??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@@Z"
		size = 46
		refs = "0021 ??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
		altNames = "??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U?$integral_constant@_N$00@0@@Z ??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@Uinput_iterator_tag@0@U_Mutable_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 8A 44 24 50 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_16_1 {
	meta:
		name = "??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@@Z"
		size = 46
		refs = "0021 ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 8A 44 24 50 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_17_1 {
	meta:
		name = "??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U?$integral_constant@_N$00@0@@Z"
		size = 46
		refs = "0021 ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 8A 44 24 50 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_19_1 {
	meta:
		name = "??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@Uinput_iterator_tag@0@U_Mutable_iterator_tag@0@@Z"
		size = 46
		refs = "0021 ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 8A 44 24 50 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_20_1 {
	meta:
		name = "??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@@Z"
		size = 46
		refs = "0021 ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 8A 44 24 50 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_21_1 {
	meta:
		name = "??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U?$integral_constant@_N$00@0@@Z"
		size = 46
		refs = "0021 ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 8A 44 24 50 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_23_1 {
	meta:
		name = "??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@Uinput_iterator_tag@0@U_Mutable_iterator_tag@0@@Z"
		size = 46
		refs = "0021 ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 8A 44 24 50 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_29_9_1 {
	meta:
		name = "??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
		size = 187
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 33 FF 49 8B F8 49 8B F1 48 2B FA 49 3B D0 48 8B DA 49 0F 47 FF 4C 8B F1 41 8B EF 48 85 FF 74 5E 48 8B 4E 08 48 85 C9 74 47 48 8B 41 40 44 8A 03 4C 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 48 8B 01 41 0F B6 D0 FF 50 18 83 F8 FF 75 03 C6 06 01 48 FF C5 48 FF C3 48 3B EF 75 A2 0F 10 06 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 49 8B C6 F3 41 0F 7F 06 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_29_11_1 {
	meta:
		name = "??$_Find_elem@D@std@@YA_KPEADD@Z"
		size = 28
	strings:
		$1 = { 44 8A 01 48 8B C1 EB 0B 44 3A C2 74 0B 48 FF C0 44 8A 00 45 84 C0 75 F0 48 2B C1 C3 }
	condition:
		$1
}

rule file_29_12_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
		size = 516
		refs = "0024 __security_cookie 0064 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 00e8 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 019a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01a8 _invalid_parameter_noinfo_noreturn 01bf ??3@YAXPEAX@Z 01e8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B F1 4D 8B F8 48 89 55 B8 48 8B F1 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C7 48 FF C1 8A 01 84 C0 75 EF 45 33 C0 49 8B D7 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 65 03 32 C9 88 4D B0 33 FF 33 DB 4D 85 FF 0F 84 2E 01 00 00 EB 08 41 3A 06 74 0B 48 FF C7 42 8A 04 37 84 C0 75 F0 48 3B 5D E0 0F 87 0C 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 80 3C 18 00 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 A0 00 00 00 49 03 FC 42 8A 04 37 41 3A 06 74 71 84 C0 74 6D 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 55 38 46 08 75 40 48 8B 0E 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 46 09 EB 04 48 83 26 00 C6 46 08 01 8A 46 09 42 38 04 37 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 77 5C EB 03 44 8B EB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B E1 41 0F B6 C4 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DF 0F 82 10 FF FF FF 84 C9 74 30 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 20 49 FF C4 48 8B CE E8 ?? ?? ?? ?? 41 83 CD FF E9 CC FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_14_1 {
	meta:
		name = "??$_Getvals@D@?$_Mpunct@D@std@@IEAAXDPEBUlconv@@@Z"
		size = 259
		refs = "002e strlen 003a ??_U@YAPEAX_K@Z 0061 ??_C@_00CNPNBAHC@?$AA@ 00a2 ??_C@_01JOAMLHOP@?9?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 80 79 44 00 49 8B D8 48 8B F1 74 06 49 8B 78 18 EB 04 49 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 48 8D 68 01 48 8B CD E8 ?? ?? ?? ?? 48 85 ED 74 13 48 8B D0 48 2B D7 8A 0F 88 0C 3A 48 FF C7 48 FF CD 75 F3 48 89 46 20 80 7B 56 04 48 8D 3D ?? ?? ?? ?? 77 04 48 8B 7B 40 48 8B CF E8 ?? ?? ?? ?? 48 8D 68 01 48 8B CD E8 ?? ?? ?? ?? 48 85 ED 74 13 48 8B D0 48 2B D7 8A 0F 88 0C 3A 48 FF C7 48 FF CD 75 F3 48 89 46 28 80 7B 57 04 48 8D 3D ?? ?? ?? ?? 77 04 48 8B 7B 48 48 8B CF E8 ?? ?? ?? ?? 48 8D 68 01 48 8B CD E8 ?? ?? ?? ?? 48 85 ED 74 13 48 8B D0 48 2B D7 8A 0F 88 0C 3A 48 FF C7 48 FF CD 75 F3 48 8B 6C 24 38 48 89 46 30 48 8B 43 28 8A 08 88 4E 18 48 8B 43 30 48 8B 5C 24 30 8A 08 88 4E 19 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_15_1 {
	meta:
		name = "??$_Getvals@D@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXDAEBV_Locinfo@1@@Z"
		size = 362
		refs = "001f _Getcvt 0043 _Getdays 0057 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 005f free 007c ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@ 0084 strlen 0090 ??_U@YAPEAX_K@Z 00b1 _Getmonths 00ea ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@ 011d ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 8B E9 48 8D 48 C8 49 8B F8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 45 2C 0F 10 48 10 0F 11 4D 3C F2 0F 10 40 20 F2 0F 11 45 4C 8B 40 28 89 45 54 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 8D 4F 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7F 08 00 74 0F 48 8B 5F 08 48 85 DB 75 0D 48 8D 5F 10 EB 07 48 8D 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 85 F6 74 13 48 8B D0 48 2B D3 8A 0B 88 0C 1A 48 FF C3 48 FF CE 75 F3 48 89 45 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 8D 4F 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7F 18 00 74 0F 48 8B 5F 18 48 85 DB 75 0D 48 8D 5F 20 EB 07 48 8D 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 85 FF 74 13 48 8B D0 48 2B D3 8A 0B 88 0C 1A 48 FF C3 48 FF CF 75 F3 48 8D 1D ?? ?? ?? ?? 48 89 45 18 48 8B CB E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 85 FF 74 13 48 8B D0 48 2B D3 8A 0B 88 0C 1A 48 FF C3 48 FF CF 75 F3 48 8B 5C 24 60 48 8B 74 24 70 48 89 45 20 48 8B 6C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_29_22_1 {
	meta:
		name = "??$_Maklocstr@D@std@@YAPEADPEBDPEADAEBU_Cvtvec@@@Z"
		size = 65
		refs = "000e strlen 001a ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 85 FF 74 13 48 8B D0 48 2B D3 8A 0B 88 0C 1A 48 FF C3 48 FF CF 75 F3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_26_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z"
		size = 241
		refs = "0065 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0098 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00dc ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D 6C 24 A9 48 81 EC C0 00 00 00 49 8B 00 0F 57 C0 48 8B D9 F3 0F 7F 45 0F 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 0F 49 8B 40 10 F3 0F 7F 45 F7 48 89 45 1F 48 8B 02 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 F7 48 8B 42 10 48 8D 55 27 48 89 45 07 E8 ?? ?? ?? ?? 48 8B 08 0F 57 C0 F3 0F 7F 45 C7 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D C7 48 8B 40 10 48 8D 55 3F 48 8B CB 48 89 45 D7 E8 ?? ?? ?? ?? 48 8B 08 0F 57 C0 F3 0F 7F 45 DF 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D DF 48 8B 40 10 4C 8D 4D F7 4C 8D 45 C7 48 89 45 EF 48 8D 45 0F 48 8D 55 DF 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 C0 00 00 00 5D C3 }
	condition:
		$1
}

rule file_90_60_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z"
		size = 241
		refs = "0065 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0098 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 00dc ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D 6C 24 A9 48 81 EC C0 00 00 00 49 8B 00 0F 57 C0 48 8B D9 F3 0F 7F 45 0F 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 0F 49 8B 40 10 F3 0F 7F 45 F7 48 89 45 1F 48 8B 02 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 F7 48 8B 42 10 48 8D 55 27 48 89 45 07 E8 ?? ?? ?? ?? 48 8B 08 0F 57 C0 F3 0F 7F 45 C7 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D C7 48 8B 40 10 48 8D 55 3F 48 8B CB 48 89 45 D7 E8 ?? ?? ?? ?? 48 8B 08 0F 57 C0 F3 0F 7F 45 DF 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D DF 48 8B 40 10 4C 8D 4D F7 4C 8D 45 C7 48 89 45 EF 48 8D 45 0F 48 8D 55 DF 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 C0 00 00 00 5D C3 }
	condition:
		$1
}

rule file_90_61_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z"
		size = 241
		refs = "0065 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0098 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00dc ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D 6C 24 A9 48 81 EC C0 00 00 00 49 8B 00 0F 57 C0 48 8B D9 F3 0F 7F 45 0F 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 0F 49 8B 40 10 F3 0F 7F 45 F7 48 89 45 1F 48 8B 02 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 F7 48 8B 42 10 48 8D 55 27 48 89 45 07 E8 ?? ?? ?? ?? 48 8B 08 0F 57 C0 F3 0F 7F 45 C7 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D C7 48 8B 40 10 48 8D 55 3F 48 8B CB 48 89 45 D7 E8 ?? ?? ?? ?? 48 8B 08 0F 57 C0 F3 0F 7F 45 DF 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D DF 48 8B 40 10 4C 8D 4D F7 4C 8D 45 C7 48 89 45 EF 48 8D 45 0F 48 8D 55 DF 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 C0 00 00 00 5D C3 }
	condition:
		$1
}

rule file_29_31_1 {
	meta:
		name = "??$copy@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@@Z"
		size = 57
		refs = "002c ??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 48 8B D9 49 3B D0 75 06 F3 0F 7F 01 EB 18 8A 44 24 58 4C 8D 4C 24 30 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_72_1 {
	meta:
		name = "??$copy@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@@Z"
		size = 57
		refs = "002c ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 48 8B D9 49 3B D0 75 06 F3 0F 7F 01 EB 18 8A 44 24 58 4C 8D 4C 24 30 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_73_1 {
	meta:
		name = "??$copy@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@@Z"
		size = 57
		refs = "002c ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 48 8B D9 49 3B D0 75 06 F3 0F 7F 01 EB 18 8A 44 24 58 4C 8D 4C 24 30 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_29_59_1 {
	meta:
		name = "??0?$_Mpunct@D@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002e ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_147_1 {
	meta:
		name = "??0?$_Mpunct@G@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002e ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_149_1 {
	meta:
		name = "??0?$_Mpunct@_W@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002e ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_64_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@XZ"
		size = 17
		altNames = "??0?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@XZ ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@XZ ??0?$_Vector_alloc@$0A@U?$_Vec_base_types@PEAXV?$allocator@PEAX@std@@@std@@@std@@QEAA@AEBV?$allocator@PEAX@1@@Z ??0?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@@std@@QEAA@AEBV?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@1@@Z ??0?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@@std@@QEAA@AEBV?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@1@@Z ??0?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@QEAA@XZ ??0?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@QEAA@XZ ??0?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@QEAA@XZ ??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@XZ ??0?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA@XZ ??0?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_29_80_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD_K@Z"
		size = 139
		refs = "0039 ??2@YAPEAX_K@Z 0043 ?_Xbad_alloc@std@@YAXXZ 0073 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 48 8B F2 48 8B D9 48 83 21 00 48 83 61 18 00 48 83 61 20 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 83 63 18 00 C6 43 08 00 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_29_85_1 {
	meta:
		name = "??0?$collate@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 50
		refs = "0009 ??_7?$collate@D@std@@6B@ 001d _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 05 ?? ?? ?? ?? 48 8B D9 44 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 43 10 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_208_1 {
	meta:
		name = "??0?$collate@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 50
		refs = "0009 ??_7?$collate@G@std@@6B@ 001d _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 05 ?? ?? ?? ?? 48 8B D9 44 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 43 10 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_209_1 {
	meta:
		name = "??0?$collate@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 50
		refs = "0009 ??_7?$collate@_W@std@@6B@ 001d _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 05 ?? ?? ?? ?? 48 8B D9 44 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 43 10 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_86_1 {
	meta:
		name = "??0?$ctype@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 57
		refs = "0009 ??_7?$ctype@D@std@@6B@ 001d _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8D 05 ?? ?? ?? ?? 48 8B D9 44 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 48 8B C3 0F 11 4B 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_29_87_1 {
	meta:
		name = "??0?$messages@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@D@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_57_37_2 {
	meta:
		name = "??0?$codecvt@DDH@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$codecvt@DDH@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_90_212_1 {
	meta:
		name = "??0?$messages@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@G@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_90_213_1 {
	meta:
		name = "??0?$messages@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@_W@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_0_72_2 {
	meta:
		name = "??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_90_214_1 {
	meta:
		name = "??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_90_215_1 {
	meta:
		name = "??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_29_89_1 {
	meta:
		name = "??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_90_216_1 {
	meta:
		name = "??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_189_2 {
	meta:
		name = "??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_103_51_1 {
	meta:
		name = "??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_198_2 {
	meta:
		name = "??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_199_2 {
	meta:
		name = "??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_49_45_2 {
	meta:
		name = "??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_200_2 {
	meta:
		name = "??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_201_2 {
	meta:
		name = "??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_29_90_1 {
	meta:
		name = "??0?$moneypunct@D$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002c ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@D$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_218_1 {
	meta:
		name = "??0?$moneypunct@G$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002c ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@G$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_222_1 {
	meta:
		name = "??0?$moneypunct@_W$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002c ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@_W$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_92_1 {
	meta:
		name = "??0?$moneypunct@D$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002c ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@D$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_220_1 {
	meta:
		name = "??0?$moneypunct@G$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002c ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@G$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_224_1 {
	meta:
		name = "??0?$moneypunct@_W$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002c ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@_W$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_94_1 {
	meta:
		name = "??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_234_1 {
	meta:
		name = "??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_236_1 {
	meta:
		name = "??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_96_1 {
	meta:
		name = "??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 74
		refs = "0013 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0028 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 003d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 44 89 41 08 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 8D 54 24 30 48 89 0B 48 83 63 10 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_238_1 {
	meta:
		name = "??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 74
		refs = "0013 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0028 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 003d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 44 89 41 08 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 8D 54 24 30 48 89 0B 48 83 63 10 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_239_1 {
	meta:
		name = "??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 74
		refs = "0013 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0028 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 003d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 44 89 41 08 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 8D 54 24 30 48 89 0B 48 83 63 10 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_126_1 {
	meta:
		name = "??1?$_Mpunct@D@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@D@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7_Facet_base@std@@6B@"
		altNames = "??1?$moneypunct@D$00@std@@MEAA@XZ ??1?$moneypunct@D$0A@@std@@MEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_271_1 {
	meta:
		name = "??1?$_Mpunct@G@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@G@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_272_1 {
	meta:
		name = "??1?$_Mpunct@_W@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_300_1 {
	meta:
		name = "??1?$moneypunct@G$00@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@G@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_301_1 {
	meta:
		name = "??1?$moneypunct@G$0A@@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@G@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_302_1 {
	meta:
		name = "??1?$moneypunct@_W$00@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_303_1 {
	meta:
		name = "??1?$moneypunct@_W$0A@@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_134_1 {
	meta:
		name = "??1?$collate@D@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$collate@D@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_290_1 {
	meta:
		name = "??1?$collate@G@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$collate@G@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_291_1 {
	meta:
		name = "??1?$collate@_W@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$collate@_W@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_135_1 {
	meta:
		name = "??1?$ctype@D@std@@MEAA@XZ"
		size = 73
		refs = "0009 ??_7?$ctype@D@std@@6B@ 001f free 002c ??_V@YAXPEAX@Z 003c ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 8B 41 20 85 C0 7E 0B 48 8B 49 18 E8 ?? ?? ?? ?? EB 0B 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_141_1 {
	meta:
		name = "??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_310_1 {
	meta:
		name = "??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_311_1 {
	meta:
		name = "??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_142_1 {
	meta:
		name = "??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_312_1 {
	meta:
		name = "??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_313_1 {
	meta:
		name = "??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_162_1 {
	meta:
		name = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 39
		altNames = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@AEBV01@@Z ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { 48 8B 02 48 39 01 74 13 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B 42 10 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_29_164_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 79
		refs = "0021 ??3@YAXPEAX@Z 003d ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
		altNames = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 2C 48 83 79 20 10 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 63 18 00 48 C7 43 20 0F 00 00 00 48 8B D7 48 8B CB C6 43 08 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_165_1 {
	meta:
		name = "??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QEAAAEAV01@D@Z"
		size = 101
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 44 8A C2 48 85 C9 74 44 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 48 8B 01 41 0F B6 D0 FF 50 18 83 F8 FF 75 03 C6 03 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_168_1 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_NAEBV01@@Z"
		size = 70
		refs = "003b _invalid_parameter_noinfo_noreturn"
		altNames = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_NAEBV01@@Z ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_NAEBV01@@Z ??8?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEBA_NAEBV01@@Z ??8?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEBA_NAEBV01@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4C 8B C9 4D 85 C0 74 2F 49 39 00 74 2A 48 8B 0A 48 85 C9 75 04 8B C8 EB 03 48 8B 09 49 39 08 75 10 48 8B 4A 10 49 39 49 10 0F 94 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_171_1 {
	meta:
		name = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_NAEBV01@@Z"
		size = 70
		refs = "003b _invalid_parameter_noinfo_noreturn"
		altNames = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_NAEBV01@@Z ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_NAEBV01@@Z ??9?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEBA_NAEBV01@@Z ??9?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEBA_NAEBV01@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4C 8B C9 4D 85 C0 74 2F 49 39 00 74 2A 48 8B 0A 48 85 C9 75 04 8B C8 EB 03 48 8B 09 49 39 08 75 10 48 8B 4A 10 49 39 49 10 0F 95 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_172_1 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAD_K@Z"
		size = 42
		refs = "0025 _invalid_parameter_noinfo_noreturn"
		altNames = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBD_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 3B 51 18 77 1A 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 04 11 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_177_1 {
	meta:
		name = "??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBADXZ"
		size = 88
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 00 48 8B D9 75 40 48 8B 09 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 43 09 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_179_1 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@XZ"
		size = 89
		refs = "004e _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 8B D1 48 85 C0 74 44 48 8B 00 48 85 C0 74 3C 4C 8B 41 10 4D 85 C0 74 33 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 4C 3B C1 73 10 49 8D 40 01 48 89 42 10 48 8B C2 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_183_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_JAEBV01@@Z"
		size = 63
		refs = "0034 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4D 85 C0 74 2B 4D 8B 08 4D 85 C9 74 23 4C 8B 02 4D 85 C0 74 03 49 8B 00 4C 3B C8 75 0D 48 8B 41 10 48 2B 42 10 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_185_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_JAEBV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@@Z"
		size = 85
		refs = "004a _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 4C 8B 09 33 C0 4C 8B D2 44 8B C0 4D 85 C9 74 0B 4D 8B 09 4D 85 C9 74 03 4D 8B 01 48 8B 49 10 4D 85 C0 74 27 49 39 00 74 22 48 8B 12 48 85 D2 74 03 48 8B 02 49 39 00 75 0C 49 2B 4A 10 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_186_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 115
		refs = "003c ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_382_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 115
		refs = "003c ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_90_383_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 115
		refs = "003c ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_29_187_1 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 110
		refs = "0063 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 4C 8B C1 48 85 C0 74 59 48 8B 00 48 85 C0 74 51 48 8B 49 10 48 85 C9 74 48 48 83 78 20 10 72 06 4C 8B 48 08 EB 04 4C 8D 48 08 48 03 D1 4C 3B CA 77 29 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 48 3B D1 77 0C 49 89 50 10 49 8B C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_191_1 {
	meta:
		name = "??_G?$_Mpunct@D@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@D@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7_Facet_base@std@@6B@ 0050 ??3@YAXPEAX@Z"
		altNames = "??_G?$moneypunct@D$00@std@@MEAAPEAXI@Z ??_G?$moneypunct@D$0A@@std@@MEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_395_1 {
	meta:
		name = "??_G?$_Mpunct@G@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@G@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7_Facet_base@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_396_1 {
	meta:
		name = "??_G?$_Mpunct@_W@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7_Facet_base@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_409_1 {
	meta:
		name = "??_G?$moneypunct@G$00@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@G@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7_Facet_base@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_410_1 {
	meta:
		name = "??_G?$moneypunct@G$0A@@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@G@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7_Facet_base@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_411_1 {
	meta:
		name = "??_G?$moneypunct@_W$00@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7_Facet_base@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_412_1 {
	meta:
		name = "??_G?$moneypunct@_W$0A@@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7_Facet_base@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_192_1 {
	meta:
		name = "??_G?$collate@D@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$collate@D@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_399_1 {
	meta:
		name = "??_G?$collate@G@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$collate@G@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_400_1 {
	meta:
		name = "??_G?$collate@_W@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$collate@_W@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_193_1 {
	meta:
		name = "??_G?$ctype@D@std@@MEAAPEAXI@Z"
		size = 101
		refs = "000d ??_7?$ctype@D@std@@6B@ 0025 free 0032 ??_V@YAXPEAX@Z 0042 ??_7_Facet_base@std@@6B@ 0053 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B FA 48 8B D9 48 89 01 8B 41 20 85 C0 7E 0B 48 8B 49 18 E8 ?? ?? ?? ?? EB 0B 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_199_1 {
	meta:
		name = "??_G?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7_Facet_base@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_419_1 {
	meta:
		name = "??_G?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7_Facet_base@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_420_1 {
	meta:
		name = "??_G?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7_Facet_base@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_200_1 {
	meta:
		name = "??_G?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_421_1 {
	meta:
		name = "??_G?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_422_1 {
	meta:
		name = "??_G?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_225_1 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAXAEBV12@@Z"
		size = 52
		refs = "0029 _invalid_parameter_noinfo_noreturn"
		altNames = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAXAEBV12@@Z ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAXAEBV12@@Z ?_Compat@?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEBAXAEBV12@@Z ?_Compat@?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEBAXAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4D 85 C0 74 20 49 39 00 74 1B 48 8B 0A 48 85 C9 74 03 48 8B 01 49 39 00 75 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_236_1 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 292
		refs = "0025 __security_cookie 0051 ??2@YAPEAX_K@Z 0069 ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@D@std@@6B@ 00a7 _Getcoll 00c7 ??1_Locinfo@std@@QEAA@XZ 00dd ??3@YAXPEAX@Z 0108 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 56 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 4C 8B F2 48 8B F1 33 DB 89 5D 87 48 85 C9 0F 84 B7 00 00 00 48 39 19 0F 85 AE 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 8F 48 85 C0 74 54 48 8D 55 0F 49 8B CE E8 ?? ?? ?? ?? 90 C7 45 87 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4D A7 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4D 8F E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0D 83 E3 FD 48 8D 4D A7 E8 ?? ?? ?? ?? 90 F6 C3 01 74 2A 48 83 7D 2F 10 72 09 48 8B 4D 17 E8 ?? ?? ?? ?? 48 C7 45 2F 0F 00 00 00 48 83 65 27 00 C6 45 17 00 48 8B 4D 0F E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_90_505_1 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 292
		refs = "0025 __security_cookie 0051 ??2@YAPEAX_K@Z 0069 ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@G@std@@6B@ 00a7 _Getcoll 00c7 ??1_Locinfo@std@@QEAA@XZ 00dd ??3@YAXPEAX@Z 0108 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 56 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 4C 8B F2 48 8B F1 33 DB 89 5D 87 48 85 C9 0F 84 B7 00 00 00 48 39 19 0F 85 AE 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 8F 48 85 C0 74 54 48 8D 55 0F 49 8B CE E8 ?? ?? ?? ?? 90 C7 45 87 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4D A7 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4D 8F E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0D 83 E3 FD 48 8D 4D A7 E8 ?? ?? ?? ?? 90 F6 C3 01 74 2A 48 83 7D 2F 10 72 09 48 8B 4D 17 E8 ?? ?? ?? ?? 48 C7 45 2F 0F 00 00 00 48 83 65 27 00 C6 45 17 00 48 8B 4D 0F E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_90_508_1 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 292
		refs = "0025 __security_cookie 0051 ??2@YAPEAX_K@Z 0069 ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@_W@std@@6B@ 00a7 _Getcoll 00c7 ??1_Locinfo@std@@QEAA@XZ 00dd ??3@YAXPEAX@Z 0108 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 56 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 4C 8B F2 48 8B F1 33 DB 89 5D 87 48 85 C9 0F 84 B7 00 00 00 48 39 19 0F 85 AE 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 8F 48 85 C0 74 54 48 8D 55 0F 49 8B CE E8 ?? ?? ?? ?? 90 C7 45 87 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4D A7 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4D 8F E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0D 83 E3 FD 48 8D 4D A7 E8 ?? ?? ?? ?? 90 F6 C3 01 74 2A 48 83 7D 2F 10 72 09 48 8B 4D 17 E8 ?? ?? ?? ?? 48 C7 45 2F 0F 00 00 00 48 83 65 27 00 C6 45 17 00 48 8B 4D 0F E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_29_238_1 {
	meta:
		name = "?dtor$1@?0??_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 10 83 65 20 FE 48 8D 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_29_239_1 {
	meta:
		name = "?_Getcat@?$ctype@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 228
		refs = "0046 ??2@YAPEAX_K@Z 0065 ??_C@_00CNPNBAHC@?$AA@ 007e ??0_Locinfo@std@@QEAA@PEBD@Z 008e ??_7?$ctype@D@std@@6B@ 009b _Getctype 00c1 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC B0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 C0 00 00 00 48 85 C9 0F 84 8C 00 00 00 48 39 31 0F 85 83 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 56 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 48 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 48 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 B0 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_29_241_1 {
	meta:
		name = "?_Getcat@?$messages@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$messages@D@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_515_1 {
	meta:
		name = "?_Getcat@?$messages@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$messages@G@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_517_1 {
	meta:
		name = "?_Getcat@?$messages@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$messages@_W@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_29_243_1 {
	meta:
		name = "?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_519_1 {
	meta:
		name = "?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_521_1 {
	meta:
		name = "?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_29_245_1 {
	meta:
		name = "?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_523_1 {
	meta:
		name = "?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_525_1 {
	meta:
		name = "?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_29_247_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 224
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@D@std@@6B@ 00a1 ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@D$00@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 98 00 00 00 48 39 31 0F 85 8F 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 62 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_527_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 224
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@G@std@@6B@ 00a1 ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@G$00@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 98 00 00 00 48 39 31 0F 85 8F 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 62 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_535_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 224
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@_W@std@@6B@ 00a1 ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@_W$00@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 98 00 00 00 48 39 31 0F 85 8F 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 62 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_249_1 {
	meta:
		name = "?dtor$1@?0??_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 44
		refs = "0022 ??1_Locinfo@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 85 B0 00 00 00 83 E0 01 85 C0 74 10 83 A5 B0 00 00 00 FE 48 8D 4D 28 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_29_251_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 224
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@D@std@@6B@ 00a1 ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@D$0A@@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 98 00 00 00 48 39 31 0F 85 8F 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 62 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_531_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 224
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@G@std@@6B@ 00a1 ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@G$0A@@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 98 00 00 00 48 39 31 0F 85 8F 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 62 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_539_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 224
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@_W@std@@6B@ 00a1 ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@_W$0A@@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 98 00 00 00 48 39 31 0F 85 8F 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 62 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_255_1 {
	meta:
		name = "?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 203
		refs = "0038 ??2@YAPEAX_K@Z 0057 ??_C@_00CNPNBAHC@?$AA@ 0070 ??0_Locinfo@std@@QEAA@PEBD@Z 0088 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0096 ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 00ae ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 83 00 00 00 48 39 31 75 7E 8D 4E 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 51 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_559_1 {
	meta:
		name = "?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 203
		refs = "0038 ??2@YAPEAX_K@Z 0057 ??_C@_00CNPNBAHC@?$AA@ 0070 ??0_Locinfo@std@@QEAA@PEBD@Z 0088 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0096 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 00ae ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 83 00 00 00 48 39 31 75 7E 8D 4E 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 51 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_563_1 {
	meta:
		name = "?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 203
		refs = "0038 ??2@YAPEAX_K@Z 0057 ??_C@_00CNPNBAHC@?$AA@ 0070 ??0_Locinfo@std@@QEAA@PEBD@Z 0088 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0096 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 00ae ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 83 00 00 00 48 39 31 75 7E 8D 4E 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 51 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_259_1 {
	meta:
		name = "?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 247
		refs = "0045 ??2@YAPEAX_K@Z 0064 ??_C@_00CNPNBAHC@?$AA@ 007d ??0_Locinfo@std@@QEAA@PEBD@Z 008d ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 00a5 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00bd free 00d4 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 A0 00 00 00 48 39 31 0F 85 97 00 00 00 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 6A 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 83 63 10 00 48 8D 94 24 A0 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 83 20 00 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_567_1 {
	meta:
		name = "?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 247
		refs = "0045 ??2@YAPEAX_K@Z 0064 ??_C@_00CNPNBAHC@?$AA@ 007d ??0_Locinfo@std@@QEAA@PEBD@Z 008d ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 00a5 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00bd free 00d4 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 A0 00 00 00 48 39 31 0F 85 97 00 00 00 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 6A 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 83 63 10 00 48 8D 94 24 A0 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 83 20 00 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_569_1 {
	meta:
		name = "?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 247
		refs = "0045 ??2@YAPEAX_K@Z 0064 ??_C@_00CNPNBAHC@?$AA@ 007d ??0_Locinfo@std@@QEAA@PEBD@Z 008d ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 00a5 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00bd free 00d4 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 A0 00 00 00 48 39 31 0F 85 97 00 00 00 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 6A 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 83 63 10 00 48 8D 94 24 A0 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 83 20 00 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_29_261_1 {
	meta:
		name = "?_Getcoll@_Locinfo@std@@QEBA?AU_Collvec@@XZ"
		size = 35
		refs = "000f _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_266_1 {
	meta:
		name = "?_Getdays@_Locinfo@std@@QEBAPEBDXZ"
		size = 86
		refs = "000e _Getdays 0022 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 002a free 0047 ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 08 00 74 0F 48 8B 43 08 48 85 C0 75 0D 48 8D 43 10 EB 07 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_268_1 {
	meta:
		name = "?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 533
		refs = "003e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0047 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0155 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0160 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 18 49 8B E9 49 8B D8 4C 8B F2 48 8D 50 10 4C 8B AC 24 F0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 8C 24 D8 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B B4 24 08 01 00 00 8A 06 48 8B BC 24 F8 00 00 00 84 C0 0F 84 4F 01 00 00 4C 8B A4 24 00 01 00 00 3C 25 75 5D 48 FF C6 0F 10 45 00 F3 0F 7F 44 24 60 0F 10 0B F3 0F 7F 4C 24 70 48 8B 8C 24 D0 00 00 00 4C 8B 11 C6 44 24 40 00 8A 06 88 44 24 38 4C 89 64 24 30 48 89 7C 24 28 4C 89 6C 24 20 4C 8D 4C 24 60 4C 8D 44 24 70 48 8D 94 24 80 00 00 00 41 FF 52 48 0F 10 00 F3 0F 7F 03 E9 D4 00 00 00 3C 20 75 6F EB 5C 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 0F B6 4B 09 49 8B 47 18 F6 04 48 48 74 7A 48 8B CB E8 ?? ?? ?? ?? 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 95 EB 61 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 49 8B 07 45 33 C0 8A 53 09 49 8B CF FF 50 50 3A 06 75 17 48 8B CB E8 ?? ?? ?? ?? 48 FF C6 8A 06 84 C0 0F 85 BE FE FF FF EB 03 83 0F 02 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 0F 10 03 F3 41 0F 7F 06 49 8B C6 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_270_1 {
	meta:
		name = "?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z"
		size = 621
		refs = "001a __security_cookie 0041 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00c1 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0209 _Stolx 0251 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4C 8B 65 68 4C 8B 7D 70 48 8B DA 48 8B CB 49 8B D0 45 8B E9 4D 8B F0 48 8D 7D D0 E8 ?? ?? ?? ?? 41 B9 01 00 00 00 84 C0 75 76 38 43 08 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 44 88 4B 08 49 8B 07 8A 53 09 45 33 C0 49 8B CF FF 50 50 3C 2B 75 05 88 45 D0 EB 07 3C 2D 75 0F 88 45 D0 48 8B CB 48 8D 7D D1 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB 40 32 F6 E8 ?? ?? ?? ?? 84 C0 0F 85 F6 00 00 00 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 49 8B 07 8A 53 09 45 33 C0 49 8B CF FF 50 50 3C 30 75 1A 48 8B CB 40 B6 01 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 8D 40 84 F6 74 7E C6 07 30 48 FF C7 EB 76 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 49 8B 07 8A 53 09 45 33 C0 49 8B CF FF 50 50 8D 48 D0 80 F9 09 77 2C 88 07 48 8D 45 EF 48 3B F8 73 03 48 FF C7 48 8B CB 40 B6 01 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 77 FF FF FF 48 8D 45 D0 40 84 F6 4C 8D 4D C0 48 0F 45 C7 83 65 C0 00 48 8D 55 C8 48 8D 4D D0 41 B8 0A 00 00 00 C6 00 00 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB 8B F8 E8 ?? ?? ?? ?? 33 C9 84 C0 8D 41 01 0F 45 C8 48 8D 45 D0 48 39 45 C8 74 16 83 7D C0 00 75 10 41 3B FD 7C 0B 39 7D 60 7C 06 41 89 3C 24 EB 03 83 C9 02 8B C1 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_272_1 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z"
		size = 4649
		refs = "002b __security_cookie 007f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0088 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00aa ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 00f5 ??2@YAPEAX_K@Z 00ff ?_Xbad_alloc@std@@YAXXZ 0194 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 01cc ?_Src@?4??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAEAVios_base@3@PEAD@Z@4QBDB 0235 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 027c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 028c ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0322 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03fb ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 04d9 ??3@YAXPEAX@Z 07f8 ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0980 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 09d0 ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0c7f ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0dce ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0e1b ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0e9d ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 106b _invalid_parameter_noinfo_noreturn 110a ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@XZ 1115 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_NAEBV01@@Z 113c ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBADXZ 11b4 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 11c1 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 11d1 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 120a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 08 FE FF FF 48 81 EC C0 02 00 00 48 C7 45 A0 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B8 01 00 00 4D 8B F9 4C 89 4C 24 30 49 8B F8 48 89 55 80 4C 8B B5 28 02 00 00 4C 89 74 24 60 48 8B 9D 30 02 00 00 48 89 5C 24 50 45 33 E4 44 89 64 24 28 41 8D 74 24 01 49 8B CE 44 38 A5 20 02 00 00 74 22 48 8D 54 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 48 48 8B 4C 24 78 EB 20 48 8D 54 24 70 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 48 48 8B 4C 24 70 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 40 32 F6 89 74 24 24 33 C9 88 4C 24 20 48 89 4D 28 48 89 4D 40 48 89 4D 48 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 28 0F 57 C0 F3 0F 7F 00 48 8D 4D 28 48 8B 45 28 48 89 08 48 C7 45 48 0F 00 00 00 48 83 65 40 00 C6 45 30 00 49 8B 45 00 48 8D 54 24 38 49 8B CD FF 50 58 33 C0 48 89 45 50 48 89 45 68 48 89 45 70 8D 48 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 50 0F 57 C0 F3 0F 7F 00 48 8D 4D 50 48 8B 45 50 48 89 08 48 C7 45 70 0F 00 00 00 48 83 65 68 00 C6 45 58 00 48 8D 54 24 58 49 8B CE E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 68 48 8B 4C 24 58 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 06 4C 8B CB 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF 50 38 45 33 F6 4C 89 74 24 40 49 83 FE 04 0F 83 B7 0E 00 00 42 8A 44 34 38 3C 20 0F 84 96 0D 00 00 3C 24 0F 84 73 0A 00 00 3C 2B 0F 84 CE 05 00 00 3C 76 74 0D 3C 78 0F 84 7A 0D 00 00 E9 32 0E 00 00 45 33 FF 49 8B 45 00 49 8B CD FF 50 48 44 8B F0 48 8D 55 00 49 8B CD E8 ?? ?? ?? ?? 90 4C 39 7D 18 0F 84 1F 03 00 00 49 8B 45 00 49 8B CD FF 50 20 40 8A F0 84 C0 0F 84 06 03 00 00 48 8D 4D 08 48 83 7D 20 10 48 0F 43 4D 08 80 39 7F 0F 83 EF 02 00 00 45 33 C0 41 8D 57 01 48 8D 4D D8 E8 ?? ?? ?? ?? 90 33 DB 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B9 01 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 BB 01 00 00 00 44 88 5F 08 EB 06 41 BB 01 00 00 00 48 8B 54 24 50 48 8B C2 8A 0A EB 0A 3A 4F 09 74 09 49 03 C3 8A 08 84 C9 75 F2 48 2B C2 48 83 F8 0A 73 54 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D3 48 8D 4D 50 E8 ?? ?? ?? ?? 48 3B 5D F0 0F 87 3A 0D 00 00 48 8D 45 E0 48 83 7D F8 10 48 0F 43 45 E0 80 3C 18 7F 0F 84 AF 00 00 00 48 8D 45 E0 48 83 7D F8 10 48 0F 43 45 E0 B9 01 00 00 00 00 0C 18 E9 94 00 00 00 48 3B 5D F0 0F 87 09 0D 00 00 48 8D 45 E0 4C 8B 55 E0 4C 8B 4D F8 49 83 F9 10 49 0F 43 C2 80 3C 18 00 0F 84 91 00 00 00 80 7F 08 00 75 4E 48 8B 0F 48 85 C9 74 38 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 0E 48 8B 01 FF 50 30 4C 8B 4D F8 4C 8B 55 E0 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 BB 01 00 00 00 44 88 5F 08 40 38 77 09 75 37 45 33 C0 49 8B D3 48 8D 4D D8 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 84 FE FF FF 4C 8B 4D F8 4C 8B 55 E0 48 85 DB 74 38 48 3B 5D F0 0F 87 45 0C 00 00 48 8D 45 E0 49 83 F9 10 49 0F 43 C2 41 B8 01 00 00 00 80 3C 18 00 7E 05 49 03 D8 EB 17 41 8A F0 89 74 24 24 EB 12 4C 8B 4D F8 4C 8B 55 E0 41 B8 01 00 00 00 8B 74 24 24 48 8D 4D 08 48 83 7D 20 10 48 0F 43 4D 08 40 84 F6 0F 85 82 00 00 00 48 85 DB 74 50 8A 11 80 FA 7F 74 49 49 2B D8 74 1B 48 3B 5D F0 0F 87 E7 0B 00 00 48 8D 45 E0 49 83 F9 10 49 0F 43 C2 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 E0 49 83 F9 10 49 0F 43 C2 3A 10 7C 0B 80 79 01 00 7E B9 48 FF C1 EB B4 41 8A F0 89 74 24 24 EB 2D 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 48 C7 45 F8 0F 00 00 00 48 83 65 F0 00 C6 45 E0 00 48 8B 4D D8 E8 ?? ?? ?? ?? E9 2D 01 00 00 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? BB 0F 00 00 00 48 89 5D F8 48 83 65 F0 00 C6 45 E0 00 48 8B 4D D8 E8 ?? ?? ?? ?? 48 83 65 D8 00 48 83 7D 20 10 72 09 48 8B 4D 08 E8 ?? ?? ?? ?? 48 89 5D 20 48 83 65 18 00 C6 45 08 00 48 8B 4D 00 E8 ?? ?? ?? ?? 4C 8B 7C 24 30 4C 8B 74 24 40 E9 F0 0A 00 00 8B 74 24 24 48 8B 5C 24 30 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 AE 00 00 00 4C 8B 6C 24 50 48 8D 35 ?? ?? ?? ?? 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 BA 01 00 00 00 88 57 08 EB 05 BA 01 00 00 00 49 8B C5 41 8A 4D 00 EB 0A 3A 4F 09 74 09 48 03 C2 8A 08 84 C9 75 F2 49 2B C5 48 83 F8 0A 73 28 44 8A 04 30 48 8D 4D 50 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 4C 8B 6C 24 48 8B 74 24 24 49 8B 45 00 49 8B CD FF 50 18 8A D8 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 36 01 00 00 84 DB 0F 84 2E 01 00 00 38 47 08 75 44 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B8 01 00 00 00 88 47 08 38 5F 09 0F 85 DC 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 E9 A2 00 00 00 45 3B FE 0F 8D C1 00 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 48 8B 54 24 50 48 8B C2 8A 0A EB 0A 3A 4F 09 74 09 49 03 C1 8A 08 84 C9 75 F2 48 2B C2 48 83 F8 0A 73 35 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D1 48 8D 4D 50 E8 ?? ?? ?? ?? 41 FF C7 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 4B FF FF FF 40 0F B6 F6 45 3B FE B8 01 00 00 00 0F 4C F0 89 74 24 24 EB 05 B8 01 00 00 00 48 83 7D 68 00 75 09 40 8A F0 89 74 24 24 EB 28 45 3B FE 7D 23 45 2B F7 41 8B DE BE 01 00 00 00 41 B0 30 48 8B D6 48 8D 4D 50 E8 ?? ?? ?? ?? 48 2B DE 75 EC 8B 74 24 24 48 83 7D 20 10 72 09 48 8B 4D 08 E8 ?? ?? ?? ?? 48 C7 45 20 0F 00 00 00 E9 64 FD FF FF 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 62 08 00 00 48 8D 95 C8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 02 44 89 64 24 28 48 83 78 18 00 0F 86 83 00 00 00 48 8D 55 78 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 04 44 89 64 24 28 48 83 78 20 10 72 06 48 8B 58 08 EB 04 48 8D 58 08 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 38 03 75 04 8A D9 EB 02 32 DB 41 F6 C4 04 74 42 41 83 E4 FB 48 83 BD 98 00 00 00 10 72 0C 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 98 00 00 00 0F 00 00 00 48 83 A5 90 00 00 00 00 C6 85 80 00 00 00 00 48 8B 4D 78 E8 ?? ?? ?? ?? 48 83 65 78 00 41 F6 C4 02 74 48 41 83 E4 FD 48 83 BD E8 00 00 00 10 72 0C 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 E8 00 00 00 0F 00 00 00 48 83 A5 E0 00 00 00 00 C6 85 D0 00 00 00 00 48 8B 8D C8 00 00 00 E8 ?? ?? ?? ?? 48 83 A5 C8 00 00 00 00 84 DB 0F 84 91 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 40 01 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 28 48 3B C3 74 2D 48 83 7D 48 10 72 09 48 8B 4D 30 E8 ?? ?? ?? ?? 48 C7 45 48 0F 00 00 00 48 83 65 40 00 C6 45 30 00 48 8B D3 48 8D 4D 28 E8 ?? ?? ?? ?? 48 83 BD 60 01 00 00 10 72 0C 48 8B 8D 48 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 60 01 00 00 0F 00 00 00 48 83 A5 58 01 00 00 00 C6 85 48 01 00 00 00 48 8B 8D 40 01 00 00 E8 ?? ?? ?? ?? E9 8A 06 00 00 48 8D 95 F0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 08 44 89 64 24 28 48 83 78 18 00 0F 86 86 00 00 00 48 8D 95 18 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 10 44 89 64 24 28 48 83 78 20 10 72 06 48 8B 58 08 EB 04 48 8D 58 08 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 38 03 75 04 8A D9 EB 02 32 DB 41 F6 C4 10 74 48 41 83 E4 EF 48 83 BD 38 01 00 00 10 72 0C 48 8B 8D 20 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 38 01 00 00 0F 00 00 00 48 83 A5 30 01 00 00 00 C6 85 20 01 00 00 00 48 8B 8D 18 01 00 00 E8 ?? ?? ?? ?? 48 83 A5 18 01 00 00 00 41 F6 C4 08 74 48 41 83 E4 F7 48 83 BD 10 01 00 00 10 72 0C 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 10 01 00 00 0F 00 00 00 48 83 A5 08 01 00 00 00 C6 85 F8 00 00 00 00 48 8B 8D F0 00 00 00 E8 ?? ?? ?? ?? 48 83 A5 F0 00 00 00 00 84 DB 0F 84 96 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 68 01 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 28 48 3B C3 74 2D 48 83 7D 48 10 72 09 48 8B 4D 30 E8 ?? ?? ?? ?? 48 C7 45 48 0F 00 00 00 48 83 65 40 00 C6 45 30 00 48 8B D3 48 8D 4D 28 E8 ?? ?? ?? ?? 48 83 BD 88 01 00 00 10 72 0C 48 8B 8D 70 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 88 01 00 00 0F 00 00 00 48 83 A5 80 01 00 00 00 C6 85 70 01 00 00 00 48 8B 8D 68 01 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 E9 C3 00 00 00 48 8D 95 A0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 83 78 18 00 0F 94 C3 48 83 BD C0 00 00 00 10 72 0C 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 C0 00 00 00 0F 00 00 00 48 83 A5 B8 00 00 00 00 C6 85 A8 00 00 00 00 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 48 83 A5 A0 00 00 00 00 84 DB 0F 85 41 04 00 00 48 8D 95 90 01 00 00 49 8B CD E8 ?? ?? ?? ?? 48 83 78 18 00 0F 94 C3 48 83 BD B0 01 00 00 10 72 0C 48 8B 8D 98 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 B0 01 00 00 0F 00 00 00 48 83 A5 A8 01 00 00 00 C6 85 98 01 00 00 00 48 8B 8D 90 01 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 84 DB 0F 84 E6 03 00 00 88 44 24 20 E9 DD 03 00 00 48 8D 55 00 49 8B CD E8 ?? ?? ?? ?? 90 0F 57 C0 F3 0F 7F 45 D8 48 8B 44 24 60 F6 40 18 08 0F 85 85 00 00 00 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 76 38 47 08 75 44 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B8 01 00 00 00 88 47 08 8A 4F 09 48 8D 45 08 48 83 7D 20 10 48 0F 43 45 08 3A 08 74 18 48 83 65 18 00 48 8D 45 08 48 83 7D 20 10 48 0F 43 45 08 E9 A2 00 00 00 49 83 FE 03 0F 85 9B 00 00 00 41 8D 76 FE 48 39 75 40 0F 87 8D 00 00 00 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 62 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 8A 4F 09 48 8D 45 08 48 8B 55 08 4C 8B 45 20 49 83 F8 10 48 0F 43 C2 3A 08 74 1E EB 08 4C 8B 45 20 48 8B 55 08 48 83 65 18 00 48 8D 45 08 49 83 F8 10 48 0F 43 C2 C6 00 00 48 8D 55 A8 48 8D 4D 00 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 11 48 8B 09 48 85 C9 74 09 48 8B 31 48 89 75 D8 EB 04 48 8B 75 D8 4C 8B 70 10 4C 89 75 E8 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A4 00 00 00 BB 01 00 00 00 44 0B E3 48 8D 55 C0 48 8D 4D 00 E8 ?? ?? ?? ?? 48 85 F6 0F 84 60 02 00 00 48 83 3E 00 0F 84 56 02 00 00 48 8B 08 48 85 C9 74 03 48 8B 09 48 39 0E 0F 85 3C 02 00 00 4C 3B 70 10 0F 94 C0 84 C0 75 5D 38 47 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 88 5F 08 8A 5F 09 48 8D 4D D8 E8 ?? ?? ?? ?? 3A 18 75 09 BA 01 00 00 00 8A C2 EB 07 32 C0 BA 01 00 00 00 44 84 E2 74 04 41 83 E4 FE 84 C0 74 53 48 85 F6 0F 84 C9 01 00 00 48 8B 06 48 85 C0 0F 84 BD 01 00 00 4D 85 F6 0F 84 B4 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 4C 3B F1 0F 83 8D 01 00 00 4C 03 F2 4C 89 75 E8 48 8B CF E8 ?? ?? ?? ?? E9 E2 FE FF FF 48 8D 55 88 48 8D 4D 00 E8 ?? ?? ?? ?? 48 85 F6 0F 84 75 01 00 00 48 83 3E 00 0F 84 6B 01 00 00 48 8B 08 48 85 C9 74 03 48 8B 09 48 39 0E 0F 85 51 01 00 00 4C 3B 70 10 0F 94 C0 84 C0 0F B6 74 24 24 B9 01 00 00 00 0F 44 F1 89 74 24 24 48 83 7D 20 10 72 09 48 8B 4D 08 E8 ?? ?? ?? ?? 48 C7 45 20 0F 00 00 00 48 83 65 18 00 C6 45 08 00 48 8B 4D 00 E8 ?? ?? ?? ?? E9 C3 F5 FF FF 49 83 FE 03 0F 84 B3 00 00 00 32 DB 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 81 00 00 00 4C 8B 6C 24 68 BE 01 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 }
	condition:
		$1
}

rule file_29_279_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D C8 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_29_280_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D 78 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_29_281_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D F0 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_29_282_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D 18 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_29_285_1 {
	meta:
		name = "?_Getmonths@_Locinfo@std@@QEBAPEBDXZ"
		size = 86
		refs = "000e _Getmonths 0022 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 002a free 0047 ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 18 00 74 0F 48 8B 43 18 48 85 C0 75 0D 48 8D 43 20 EB 07 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_287_1 {
	meta:
		name = "?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ"
		size = 31
		refs = "000f _Gettnames"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_775_1 {
	meta:
		name = "?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ"
		size = 31
		refs = "000f _W_Gettnames"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_289_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 21
	strings:
		$1 = { 48 8B 41 50 FF 08 48 8B 51 38 48 8B 02 48 8D 48 01 48 89 0A C3 }
	condition:
		$1
}

rule file_29_291_1 {
	meta:
		name = "?_Hash_seq@std@@YA_KPEBE_K@Z"
		size = 59
	strings:
		$1 = { 45 33 C9 49 B8 25 23 22 84 E4 9C F2 CB 48 85 D2 74 1E 41 0F B6 04 09 49 BA B3 01 00 00 00 01 00 00 49 FF C1 4C 33 C0 4D 0F AF C2 4C 3B CA 72 E2 49 8B C0 48 C1 E8 20 49 33 C0 C3 }
	condition:
		$1
}

rule file_29_292_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 97
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 42 48 8B 41 38 48 83 38 00 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 19 48 8B 41 50 FF 08 48 8B 49 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 EB 06 48 8B 01 FF 50 38 83 F8 FF 74 06 C6 43 08 00 EB 08 48 83 23 00 C6 43 08 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_294_1 {
	meta:
		name = "?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 444
		refs = "002f _Getcvt 0053 localeconv 0075 strlen 0081 ??_U@YAPEAX_K@Z 00ac ??$_Getvals@D@?$_Mpunct@D@std@@IEAAXDPEBUlconv@@@Z 0103 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0114 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 012a memcpy_s 018b memcpy"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 98 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A E0 48 8B F9 48 8D 48 A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 47 48 0F 10 48 10 0F 11 4F 58 F2 0F 10 40 20 F2 0F 11 47 68 8B 40 28 89 47 70 E8 ?? ?? ?? ?? 48 8B F0 45 33 ED 4C 89 6F 10 4C 89 6F 20 4C 89 6F 28 4C 89 6F 30 4C 8B 70 38 49 8B CE E8 ?? ?? ?? ?? 48 8D 58 01 48 8B CB E8 ?? ?? ?? ?? 48 85 DB 74 15 48 8B D0 49 2B D6 41 8A 0E 42 88 0C 32 49 FF C6 48 FF CB 75 F1 48 89 47 10 4C 8B C6 33 D2 48 8B CF E8 ?? ?? ?? ?? 90 8A 4F 44 84 C9 74 05 8A 46 50 EB 03 8A 46 51 0F BE C0 83 F8 7E 41 0F 47 C5 89 47 38 44 0F BE 46 56 0F BE 46 52 0F BE 56 53 84 C9 75 2E 83 FA 02 77 29 83 F8 01 77 24 BB 04 00 00 00 44 3B C3 77 1F 8D 0C 50 45 8D 04 88 44 03 C1 41 C1 E0 02 4C 8D 35 ?? ?? ?? ?? 4D 03 C6 EB 13 BB 04 00 00 00 4C 8D 05 ?? ?? ?? ?? 4C 8D 35 ?? ?? ?? ?? 4C 8B CB 48 8B D3 48 8D 4F 3C E8 ?? ?? ?? ?? 0F BE 46 57 0F BE 4E 54 0F BE 56 55 44 38 6F 44 75 21 83 FA 02 77 1C 83 F9 01 77 17 3B C3 77 13 8D 0C 51 44 8D 04 88 44 03 C1 41 C1 E0 02 4D 03 C6 EB 07 4C 8D 05 ?? ?? ?? ?? 4C 8B CB 48 8B D3 48 8D 4F 40 E8 ?? ?? ?? ?? 45 84 E4 74 26 4C 8B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4F 3C E8 ?? ?? ?? ?? 4C 8B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4F 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_29_296_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 53
		refs = "000c ??_V@YAXPEAX@Z 0030 _CxxThrowException"
		altNames = "__catch$?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z$0 __catch$?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
	strings:
		$1 = { 48 8B 9D 90 00 00 00 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_29_297_1 {
	meta:
		name = "?_Init@?$collate@D@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 33
		refs = "000f _Getcoll"
		altNames = "?_Init@?$collate@G@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$collate@_W@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 43 10 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_298_1 {
	meta:
		name = "?_Init@?$ctype@D@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 40
		refs = "000f _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_29_302_1 {
	meta:
		name = "?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 60
		refs = "002a ??$_Getvals@D@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXDAEBV_Locinfo@1@@Z 002f _Getdateorder"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 4C 8B C2 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_304_1 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0"
		size = 41
		refs = "0009 ??_V@YAXPEAX@Z 0024 _CxxThrowException"
		altNames = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0 __catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0"
	strings:
		$1 = { 48 8B 5D 40 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_29_305_1 {
	meta:
		name = "?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 52
		refs = "0015 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 002a free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B D9 48 8D 54 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_688_1 {
	meta:
		name = "?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 52
		refs = "0015 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 002a free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B D9 48 8D 54 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_689_1 {
	meta:
		name = "?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 52
		refs = "0015 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 002a free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B D9 48 8D 54 24 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_308_1 {
	meta:
		name = "?_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 2015
		refs = "003f ?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 0067 ??2@YAPEAX_K@Z 007a ??_7?$collate@D@std@@6B@ 0086 _Getcoll 009a ?id@?$collate@D@std@@2V0locale@2@A 00aa ??0_Lockit@std@@QEAA@H@Z 00b9 ?_Id_cnt@id@locale@std@@0HA 00d4 ??1_Lockit@std@@QEAA@XZ 0130 ??$use_facet@V?$collate@D@std@@@std@@YAAEBV?$collate@D@0@AEBVlocale@0@@Z 013e ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0168 ??_7?$messages@D@std@@6B@ 0177 ?id@?$messages@D@std@@2V0locale@2@A 020d ??$use_facet@V?$messages@D@std@@@std@@YAAEBV?$messages@D@0@AEBVlocale@0@@Z 0248 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0257 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 02eb ??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0322 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0331 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 03c5 ??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0404 ??_7?$_Mpunct@D@std@@6B@ 0419 ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0421 ??_7?$moneypunct@D$0A@@std@@6B@ 0430 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 04c4 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 0520 ??_7?$moneypunct@D$00@std@@6B@ 052f ?id@?$moneypunct@D$00@std@@2V0locale@2@A 05c3 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 05ff ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 060d ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 061a ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 06ae ??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 06e9 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 06fc ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 070f free 071b ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 07af ??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 48 C7 45 F0 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 49 8B F9 49 8B F0 44 8B FA 4C 8B E1 45 33 ED 44 89 6D 38 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 45 8D 75 01 41 8B C6 D3 E0 D1 F8 41 85 C7 0F 84 E8 00 00 00 48 85 FF 0F 85 81 00 00 00 8D 4F 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 21 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 43 10 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 18 8B 05 ?? ?? ?? ?? 41 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 56 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 18 8B 05 ?? ?? ?? ?? 41 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 41 F6 C7 20 0F 84 D3 00 00 00 48 85 FF 75 70 8D 4F 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 10 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 18 8B 05 ?? ?? ?? ?? 41 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 56 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 18 8B 05 ?? ?? ?? ?? 41 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 04 0F 84 D1 00 00 00 48 85 FF 75 6F 8D 4F 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 10 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 45 85 F6 0F 84 CF 02 00 00 48 85 FF 75 6F 8D 4F 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 10 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 45 85 F6 0F 84 F5 01 00 00 48 85 FF 0F 85 90 00 00 00 8D 4F 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 2D 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 44 88 6B 44 45 33 C0 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 45 85 F6 0F 84 F6 00 00 00 48 85 FF 0F 85 90 00 00 00 8D 4F 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 2D 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 C6 43 44 01 45 33 C0 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 41 83 E7 10 0F 84 E1 00 00 00 48 85 FF 75 7F 8D 4F 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 1C 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 45 85 FF 0F 84 F8 00 00 00 48 85 FF 0F 85 92 00 00 00 8D 4F 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 33 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 4C 89 6B 10 48 8D 55 E0 49 8B CC E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 4C 89 28 48 8B 4D E0 E8 ?? ?? ?? ?? EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_29_315_1 {
	meta:
		name = "?_Makpat@?$_Mpunct@D@std@@AEAAXAEAUpattern@money_base@2@III@Z"
		size = 79
		refs = "002d ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0040 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 004b memcpy_s"
		altNames = "?_Makpat@?$_Mpunct@G@std@@AEAAXAEAUpattern@money_base@2@III@Z ?_Makpat@?$_Mpunct@_W@std@@AEAAXAEAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 80 79 44 00 4C 8B D2 BA 04 00 00 00 75 2F 41 83 F8 02 77 29 41 83 F9 01 77 23 8B 44 24 28 3B C2 77 1B 43 8D 0C 41 44 8D 04 88 48 8D 05 ?? ?? ?? ?? 44 03 C1 41 C1 E0 02 4C 03 C0 EB 07 4C 8D 05 ?? ?? ?? ?? 4C 8B CA 49 8B CA E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_319_1 {
	meta:
		name = "?_Pdif@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@SA_KV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0@Z"
		size = 74
		refs = "003f _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 4C 8B 49 10 33 C0 4C 8B C2 4D 85 C9 74 27 48 8B 09 48 85 C9 74 2A 48 8B 11 48 85 D2 74 22 49 8B 08 48 85 C9 74 03 48 8B 01 48 3B D0 75 0C 49 8B C1 49 2B 40 10 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_320_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ"
		size = 82
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 43 09 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_322_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 21
	strings:
		$1 = { 48 8B 41 58 FF 08 48 8B 51 40 48 8B 02 48 8D 48 01 48 89 0A C3 }
	condition:
		$1
}

rule file_29_323_1 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@_K@Z"
		size = 249
		refs = "002d ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 00ee _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B D9 49 8B F8 48 8B F2 48 8B E9 4D 85 C9 0F 84 A4 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 4E 08 44 8A 00 48 85 C9 74 44 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 48 8B 01 41 0F B6 D0 FF 50 18 83 F8 FF 75 03 C6 06 01 48 8B 07 48 FF CB 48 85 C0 74 64 48 8B 00 48 85 C0 74 5C 48 8B 57 10 48 85 D2 74 53 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 48 3B D1 73 30 48 8D 42 01 48 85 DB 48 89 47 10 E9 56 FF FF FF 0F 10 06 48 8B 5C 24 30 48 8B 74 24 40 48 8B C5 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_324_1 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 2895
		refs = "002b __security_cookie 0081 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008a ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00a6 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 00d9 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0114 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 01ed ??2@YAPEAX_K@Z 01f9 ?_Xbad_alloc@std@@YAXXZ 025f ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 027b ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02a0 ??3@YAXPEAX@Z 02c9 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 0382 ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 04dd ?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 053a ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0585 ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@_K@Z 07ba ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 07cc ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA?AV01@_J@Z 09a7 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA?AV01@_J@Z 0b30 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 58 FD FF FF 48 81 EC 70 03 00 00 48 C7 45 40 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 68 02 00 00 4D 8B F0 48 89 55 88 4C 8B BD D0 02 00 00 4C 89 7C 24 30 8A 85 D8 02 00 00 88 44 24 20 48 8B BD E8 02 00 00 48 89 BD C0 01 00 00 8A 9D F0 02 00 00 88 5C 24 21 41 BD 01 00 00 00 49 8B CF 45 84 C9 74 1B 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4D 80 EB 1B 48 8D 54 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4C 24 78 48 85 C9 74 17 48 8B 01 FF 50 10 48 85 C0 74 0C 4C 8B 00 41 8B D5 48 8B C8 41 FF 10 48 8D 95 40 02 00 00 49 8B CC E8 ?? ?? ?? ?? 90 49 8B 04 24 49 8B CC FF 50 48 99 8B F0 33 F2 2B F2 89 74 24 28 44 8B EE 4C 89 6C 24 40 4C 39 6F 18 77 1C 45 8B C5 4C 2B 47 18 49 FF C0 44 8A CB 33 D2 48 8B CF E8 ?? ?? ?? ?? E9 B5 00 00 00 48 8D 85 48 02 00 00 48 83 BD 60 02 00 00 10 48 0F 43 85 48 02 00 00 80 38 7F 0F 84 95 00 00 00 48 8D 85 48 02 00 00 48 83 BD 60 02 00 00 10 48 0F 43 85 48 02 00 00 80 38 00 7E 79 49 8B 04 24 49 8B CC FF 50 20 44 8A F8 48 8D 9D 48 02 00 00 48 83 BD 60 02 00 00 10 48 0F 43 9D 48 02 00 00 48 8B 77 18 49 2B F5 8A 0B 80 F9 7F 74 3E 41 BD 01 00 00 00 84 C9 7E 2F 48 0F BE C1 48 3B C6 73 26 48 2B F0 45 8A CF 4D 8B C5 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4F D8 8A 0B 80 F9 7F 75 CD 4C 8B 6C 24 40 8B 74 24 28 4C 8B 7C 24 30 33 C0 48 89 85 C8 01 00 00 48 89 85 E0 01 00 00 48 89 85 E8 01 00 00 8D 48 10 E8 ?? ?? ?? ?? 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 85 C8 01 00 00 0F 57 C0 F3 0F 7F 00 48 8D 8D C8 01 00 00 48 8B 85 C8 01 00 00 48 89 08 48 C7 85 E8 01 00 00 0F 00 00 00 48 89 95 E0 01 00 00 88 95 D0 01 00 00 49 8B 04 24 49 8B CC 38 95 E0 02 00 00 48 8D 54 24 24 74 1C FF 50 58 8B 44 24 24 89 44 24 24 48 8D 95 18 02 00 00 49 8B CC E8 ?? ?? ?? ?? EB 1A FF 50 50 8B 44 24 24 89 44 24 24 48 8D 95 18 02 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 8D 85 C8 01 00 00 48 3B C3 74 3F 48 83 BD E8 01 00 00 10 72 0C 48 8B 8D D0 01 00 00 E8 ?? ?? ?? ?? 33 C0 48 C7 85 E8 01 00 00 0F 00 00 00 48 89 85 E0 01 00 00 88 85 D0 01 00 00 48 8B D3 48 8D 8D C8 01 00 00 E8 ?? ?? ?? ?? 48 83 BD 38 02 00 00 10 72 0C 48 8B 8D 20 02 00 00 E8 ?? ?? ?? ?? 33 DB 48 C7 85 38 02 00 00 0F 00 00 00 48 89 9D 30 02 00 00 88 9D 20 02 00 00 48 8B 8D 18 02 00 00 E8 ?? ?? ?? ?? 48 89 9D F0 01 00 00 48 89 9D 08 02 00 00 48 89 9D 10 02 00 00 8D 4B 10 E8 ?? ?? ?? ?? 45 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 85 F0 01 00 00 0F 57 C0 F3 0F 7F 00 48 8D 8D F0 01 00 00 48 8B 85 F0 01 00 00 48 89 08 48 C7 85 10 02 00 00 0F 00 00 00 4C 89 95 08 02 00 00 44 88 95 F8 01 00 00 41 F6 47 18 08 0F 84 9C 00 00 00 48 8D 95 18 02 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 8D 85 F0 01 00 00 48 3B C3 74 3F 48 83 BD 10 02 00 00 10 72 0C 48 8B 8D F8 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 10 02 00 00 0F 00 00 00 33 C0 48 89 85 08 02 00 00 88 85 F8 01 00 00 48 8B D3 48 8D 8D F0 01 00 00 E8 ?? ?? ?? ?? 48 83 BD 38 02 00 00 10 72 0C 48 8B 8D 20 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 38 02 00 00 0F 00 00 00 33 C0 48 89 85 30 02 00 00 88 85 20 02 00 00 48 8B 8D 18 02 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 24 80 F9 20 74 4A 80 F9 24 74 3C 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 39 EB 43 48 8B 57 18 49 3B D5 77 0B 49 8B CD 48 2B CA 49 03 CB EB 03 49 8B CA 44 3B D6 48 13 D1 48 03 C2 EB 21 48 03 85 E0 01 00 00 EB 18 48 03 85 08 02 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 94 49 8B 77 28 48 85 F6 7E 0A 48 3B F0 76 05 48 2B F0 EB 03 49 8B F2 41 8B 5F 18 81 E3 C0 01 00 00 83 FB 40 74 3C 81 FB 00 01 00 00 75 05 45 84 C9 75 2F 41 0F 10 06 F3 0F 7F 44 24 40 4C 8B CE 44 8A 44 24 20 48 8D 54 24 40 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 45 33 D2 41 8B F2 4D 8B FA 48 63 DB 48 89 5C 24 40 42 8A 44 3C 24 3C 20 0F 84 F7 03 00 00 3C 24 0F 84 84 03 00 00 3C 2B 0F 84 09 03 00 00 3C 76 74 0D 3C 78 0F 84 0A 04 00 00 E9 3C 04 00 00 44 39 54 24 28 75 62 48 8D 95 60 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 D8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 D8 48 8B 41 10 48 89 45 E8 41 0F 10 06 F3 0F 7F 45 50 4C 8B 4F 18 4C 8D 45 D8 48 8D 55 50 48 8D 8D 38 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 E9 CB 03 00 00 48 8B 5F 18 49 3B DD 0F 87 4A 01 00 00 49 8B 4E 08 48 85 C9 74 45 48 8B 41 40 4C 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 0F B6 44 24 21 88 02 EB 0B 0F B6 54 24 21 48 8B 01 FF 50 18 83 F8 FF 75 08 B8 01 00 00 00 41 88 06 49 8B 04 24 49 8B CC FF 50 18 44 8A C0 49 8B 4E 08 33 DB 48 85 C9 74 43 48 8B 41 40 48 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 41 0F B6 D0 48 8B 01 FF 50 18 83 F8 FF 75 08 B8 01 00 00 00 41 88 06 41 0F 10 06 F3 0F 7F 45 20 4D 8B CD 4C 2B 4F 18 44 8A 44 24 21 48 8D 55 20 48 8D 8D 28 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 48 8D 95 48 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 90 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 90 48 8B 41 10 48 89 45 A0 41 0F 10 06 F3 0F 7F 45 30 4C 8B 4F 18 4C 8D 45 90 48 8D 55 30 48 8D 8D C8 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 40 E9 A1 FE FF FF 48 8D 95 90 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 A8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 A8 48 8B 41 10 48 89 45 B8 41 0F 10 06 F3 0F 7F 45 10 49 2B DD 4C 8B CB 4C 8D 45 A8 48 8D 55 10 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 49 8B 04 24 49 8B CC FF 50 18 44 8A C0 49 8B 4E 08 33 DB 48 85 C9 74 43 48 8B 41 40 48 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 41 0F B6 D0 48 8B 01 FF 50 18 83 F8 FF 75 08 B8 01 00 00 00 41 88 06 48 8D 95 78 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 4D 8B C5 48 8D 95 A8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 C0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 C0 48 8B 41 10 48 89 45 D0 41 0F 10 06 F3 0F 7F 85 80 00 00 00 4D 8B CD 4C 8D 45 C0 48 8D 95 80 00 00 00 48 8D 8D D8 00 00 00 E9 B9 FE FF FF 4C 39 95 E0 01 00 00 0F 86 37 01 00 00 48 8D 95 B0 00 00 00 48 8D 8D C8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 F0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 F0 48 8B 41 10 48 89 45 00 41 0F 10 06 F3 0F 7F 85 A0 00 00 00 41 B9 01 00 00 00 4C 8D 45 F0 48 8D 95 A0 00 00 00 48 8D 8D F8 00 00 00 E9 F1 FC FF FF 48 8D 95 18 02 00 00 48 8D 8D F0 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 60 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 60 48 8B 41 10 48 89 44 24 70 41 0F 10 06 F3 0F 7F 85 90 00 00 00 4C 8B 8D 08 02 00 00 4C 8D 44 24 60 48 8D 95 90 00 00 00 48 8D 8D 18 01 00 00 E9 86 FC FF FF 41 0F 10 06 F3 0F 7F 45 70 41 B9 01 00 00 00 44 8A 44 24 20 48 8D 55 70 48 8D 8D E8 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 45 33 D2 48 81 FB 00 01 00 00 75 2E 41 0F 10 06 F3 0F 7F 44 24 50 4C 8B CE 44 8A 44 24 20 48 8D 54 24 50 48 8D 4D 60 E8 ?? ?? ?? ?? 45 33 D2 41 8B F2 0F 10 00 F3 41 0F 7F 06 B8 01 00 00 00 4C 03 F8 49 83 FF 04 0F 82 84 FB FF FF 48 39 85 E0 01 00 00 0F 86 89 00 00 00 48 8D 95 18 02 00 00 48 8D 8D C8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 41 B8 01 00 00 00 48 8D 95 B0 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 60 48 8B 00 45 33 FF 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 60 48 8B 41 10 48 89 44 24 70 41 0F 10 06 F3 0F 7F 44 24 50 4C 8B 8D E0 01 00 00 49 FF C9 4C 8D 44 24 60 48 8D 54 24 50 48 8D 4D 60 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 EB 03 45 33 FF 48 8B 44 24 30 4C 89 78 28 41 0F 10 06 F3 0F 7F 44 24 50 4C 8B CE 44 8A 44 24 20 48 8D 54 24 50 48 8B 5D 88 48 8B CB E8 ?? ?? ?? ?? 90 48 83 BD 10 02 00 00 10 72 0C 48 8B 8D F8 01 00 00 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 B5 10 02 00 00 4C 89 BD 08 02 00 00 44 88 BD F8 01 00 00 48 8B 8D F0 01 00 00 E8 ?? ?? ?? ?? 4C 89 BD F0 01 00 00 48 83 BD E8 01 00 00 10 72 0C 48 8B 8D D0 01 00 00 E8 ?? ?? ?? ?? 48 89 B5 E8 01 00 00 4C 89 BD E0 01 00 00 44 88 BD D0 01 00 00 48 8B 8D C8 01 00 00 E8 ?? ?? ?? ?? 4C 89 BD C8 01 00 00 48 83 BD 60 02 00 00 10 72 0C 48 8B 8D 48 02 00 00 E8 ?? ?? ?? ?? 48 89 B5 60 02 00 00 4C 89 BD 58 02 00 00 44 88 BD 48 02 00 00 48 8B 8D 40 02 00 00 E8 ?? ?? ?? ?? 4C 89 BD 40 02 00 00 48 83 7F 20 10 72 09 48 8B 4F 08 E8 ?? ?? ?? ?? 48 89 77 20 4C 89 7F 18 44 88 7F 08 48 8B 0F E8 ?? ?? ?? ?? 4C 89 3F 48 8B C3 48 8B 8D 68 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 03 00 00 48 81 C4 70 03 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_331_1 {
	meta:
		name = "?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z"
		size = 153
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 41 8A E8 48 8B DA 48 8B F1 4D 85 C9 74 55 48 8B 4B 08 48 85 C9 74 44 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 40 88 2A 40 0F B6 C5 EB 0A 48 8B 01 40 0F B6 D5 FF 50 18 83 F8 FF 75 03 C6 03 01 48 FF CF 75 AB 0F 10 03 48 8B 5C 24 30 48 8B 6C 24 38 48 8B C6 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_332_1 {
	meta:
		name = "?_Tidy@?$_Mpunct@D@std@@AEAAXXZ"
		size = 50
		refs = "000e ??_V@YAXPEAX@Z"
		altNames = "?_Tidy@?$_Mpunct@G@std@@AEAAXXZ ?_Tidy@?$_Mpunct@_W@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_336_1 {
	meta:
		name = "?_Tidy@?$ctype@D@std@@IEAAXXZ"
		size = 52
		refs = "0015 free 0022 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 41 20 48 8B D9 85 C0 7E 0B 48 8B 49 18 E8 ?? ?? ?? ?? EB 0B 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_337_1 {
	meta:
		name = "?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEAAXXZ"
		size = 41
		refs = "000e ??_V@YAXPEAX@Z"
		altNames = "?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEAAXXZ ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_357_1 {
	meta:
		name = "?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 29
		altNames = "?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 01 83 64 24 20 00 48 8B DA FF 50 30 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_366_1 {
	meta:
		name = "?do_compare@?$collate@D@std@@MEBAHPEBD000@Z"
		size = 66
		refs = "0027 _Strcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D1 4C 8B 4C 24 60 4D 8B D8 48 8B DA 48 8D 41 10 4D 8B C2 49 8B D3 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 8B C8 33 C0 85 C9 0F 95 C0 83 CA FF 85 C9 0F 48 C2 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_853_1 {
	meta:
		name = "?do_compare@?$collate@_W@std@@MEBAHPEB_W000@Z"
		size = 66
		refs = "0027 _Wcscoll"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D1 4C 8B 4C 24 60 4D 8B D8 48 8B DA 48 8D 41 10 4D 8B C2 49 8B D3 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 8B C8 33 C0 85 C9 0F 95 C0 83 CA FF 85 C9 0F 48 C2 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_367_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		altNames = "?do_falsename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_854_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_855_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_865_1 {
	meta:
		name = "?do_falsename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_866_1 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_371_1 {
	meta:
		name = "?do_get@?$messages@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHAEBV32@@Z"
		size = 36
		refs = "0017 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_869_1 {
	meta:
		name = "?do_get@?$messages@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHAEBV32@@Z"
		size = 36
		refs = "0017 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_870_1 {
	meta:
		name = "?do_get@?$messages@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHAEBV32@@Z"
		size = 36
		refs = "0017 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_372_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 271
		refs = "0024 __security_cookie 005e ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z 006a ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 009d _Stoldx 00cb ??3@YAXPEAX@Z 00f4 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B D9 4D 8B F0 48 8B F2 48 8B 45 6F 48 8B 7D 77 4C 8B 7D 7F 48 8D 55 F7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 CF E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7D E7 00 74 38 48 8D 5D D7 48 83 7D EF 10 48 0F 43 5D D7 83 65 B7 00 4C 8D 4D B7 45 33 C0 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 39 5D BF 74 0D 83 7D B7 00 75 07 F2 41 0F 11 07 EB 03 83 0F 02 41 0F 10 06 F3 0F 7F 06 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 C7 45 EF 0F 00 00 00 48 83 65 E7 00 C6 45 D7 00 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_374_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 396
		refs = "0022 __security_cookie 005c ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z 006c ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00b6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 012c _invalid_parameter_noinfo_noreturn 014d ??3@YAXPEAX@Z 0176 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 F9 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 4D 8B E0 4C 8B FA 48 8B 45 6F 4C 8B 75 77 48 8B 7D 7F 48 8D 55 E7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 D7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 04 41 83 0E 01 48 85 F6 75 09 41 83 0E 02 E9 B1 00 00 00 33 DB 48 3B 77 18 77 1A 48 89 77 18 48 83 7F 20 10 72 06 48 8B 47 08 EB 04 48 8D 47 08 88 1C 30 EB 12 48 8B D6 48 2B 57 18 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 80 38 2D 75 57 48 83 7F 20 10 72 06 48 8B 4F 08 EB 04 48 8D 4F 08 8A 45 F1 88 01 BB 01 00 00 00 EB 3A 48 3B 5D D7 77 41 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 48 3B 5F 18 77 27 48 83 7F 20 10 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 0F BE 04 18 8A 4C 05 B7 88 0C 1A 48 FF C3 48 3B DE 72 C1 EB 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 0F 10 04 24 F3 41 0F 7F 07 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 0F 00 00 00 48 83 65 D7 00 C6 45 C7 00 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_29_376_1 {
	meta:
		name = "?do_get@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1374
		refs = "003d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0046 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0144 ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 017e ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z 01a9 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 024d ??_C@_0M@LMMIDGCH@?$CFH?5?3?5?$CFM?5?3?5S?$AA@ 039b ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 03df ?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 04a8 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 04da ??_C@_01CLKCMJKC@?5?$AA@ 04ea ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 04fa ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0508 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 052c ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 08 4D 8B F1 49 8B F8 4C 8B EA 48 8B F1 48 8D 55 60 4C 8B 65 70 49 8B CC E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 60 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 83 65 58 00 0F BE 8D 88 00 00 00 48 8B 5D 78 83 F9 61 0F 8F 2F 02 00 00 0F 84 D9 01 00 00 83 F9 52 0F 8F 20 01 00 00 0F 84 0A 01 00 00 83 E9 41 0F 84 C1 01 00 00 FF C9 0F 84 3E 03 00 00 FF C9 0F 84 A6 00 00 00 FF C9 74 75 83 E9 04 74 4B FF C9 74 28 83 F9 04 0F 85 45 04 00 00 48 8B 85 80 00 00 00 48 83 C0 04 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 3C 48 8B 85 80 00 00 00 48 83 C0 08 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 0B 00 00 00 EB 1D 48 8B 85 80 00 00 00 48 83 C0 08 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 55 02 00 00 41 0F 10 06 F3 0F 7F 44 24 50 0F 10 0F F3 0F 7F 4C 24 40 48 8D 05 ?? ?? ?? ?? 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 98 E9 65 02 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 97 03 00 00 8B 45 58 83 C0 ED 6B C8 64 48 8B 85 80 00 00 00 89 48 14 E9 7F 03 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 E8 E9 ED 01 00 00 83 E9 53 0F 84 9B 00 00 00 FF C9 0F 84 83 00 00 00 FF C9 74 5D 83 E9 02 74 58 FF C9 74 76 FF C9 0F 85 34 03 00 00 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 54 24 60 48 8B CE 41 FF 52 40 0F 10 44 24 60 E9 85 00 00 00 48 8B 85 80 00 00 00 48 83 C0 1C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 DC FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 C8 E9 49 01 00 00 48 8B 85 80 00 00 00 E9 70 FE FF FF 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 54 24 70 48 8B CE 41 FF 52 30 0F 10 44 24 70 F3 0F 7F 07 E9 6F 02 00 00 83 F9 6E 0F 8F 76 01 00 00 0F 84 12 02 00 00 83 F9 62 0F 84 1D 01 00 00 83 F9 63 0F 84 C1 00 00 00 0F 8E 33 02 00 00 83 F9 65 7E 7E 83 F9 68 0F 84 00 01 00 00 83 F9 6A 74 51 83 F9 6D 0F 85 17 02 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 0C 00 00 00 44 8D 49 94 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 F8 01 00 00 8B 4D 58 FF C9 48 8B 85 80 00 00 00 89 48 10 E9 E4 01 00 00 48 8B 85 80 00 00 00 48 83 C0 1C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 1D 48 8B 85 80 00 00 00 48 83 C0 0C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 09 03 E9 8D 01 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 A8 0F 10 0F 41 0F 10 06 4C 8D 44 24 50 4C 8D 4C 24 40 F3 0F 7F 4C 24 50 F3 0F 7F 44 24 40 48 89 44 24 38 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 48 8B CE E8 ?? ?? ?? ?? 0F 10 00 E9 C2 FE FF FF 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 55 88 48 8B CE 41 FF 52 38 0F 10 45 88 E9 78 FE FF FF 83 E9 70 0F 84 B9 00 00 00 83 E9 02 0F 84 A0 00 00 00 83 E9 02 0F 84 87 00 00 00 83 E9 03 74 60 FF C9 74 4C FF C9 0F 85 AF 00 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 91 00 00 00 8B 4D 58 8D 41 64 83 F9 45 0F 4C C8 E9 F2 FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 B8 E9 EE FE FF FF 48 8B 85 80 00 00 00 48 83 C0 18 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 4F FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 D8 E9 BC FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 F8 E9 AC FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 10 48 8B 8D 80 00 00 00 8D 04 40 C1 E0 02 01 41 08 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 0F 10 07 F3 41 0F 7F 45 00 49 8B C5 48 8B 9C 24 50 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_925_1 {
	meta:
		name = "?do_get@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1374
		refs = "003d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0046 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0144 ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 017e ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z 01a9 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 024d ??_C@_0M@LMMIDGCH@?$CFH?5?3?5?$CFM?5?3?5S?$AA@ 039b ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 03df ?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 04a8 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 04da ??_C@_01CLKCMJKC@?5?$AA@ 04ea ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 04fa ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0508 ??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z 052c ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 08 4D 8B F1 49 8B F8 4C 8B EA 48 8B F1 48 8D 55 60 4C 8B 65 70 49 8B CC E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 60 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 83 65 58 00 0F BE 8D 88 00 00 00 48 8B 5D 78 83 F9 61 0F 8F 2F 02 00 00 0F 84 D9 01 00 00 83 F9 52 0F 8F 20 01 00 00 0F 84 0A 01 00 00 83 E9 41 0F 84 C1 01 00 00 FF C9 0F 84 3E 03 00 00 FF C9 0F 84 A6 00 00 00 FF C9 74 75 83 E9 04 74 4B FF C9 74 28 83 F9 04 0F 85 45 04 00 00 48 8B 85 80 00 00 00 48 83 C0 04 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 3C 48 8B 85 80 00 00 00 48 83 C0 08 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 0B 00 00 00 EB 1D 48 8B 85 80 00 00 00 48 83 C0 08 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 55 02 00 00 41 0F 10 06 F3 0F 7F 44 24 50 0F 10 0F F3 0F 7F 4C 24 40 48 8D 05 ?? ?? ?? ?? 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 98 E9 65 02 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 97 03 00 00 8B 45 58 83 C0 ED 6B C8 64 48 8B 85 80 00 00 00 89 48 14 E9 7F 03 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 E8 E9 ED 01 00 00 83 E9 53 0F 84 9B 00 00 00 FF C9 0F 84 83 00 00 00 FF C9 74 5D 83 E9 02 74 58 FF C9 74 76 FF C9 0F 85 34 03 00 00 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 54 24 60 48 8B CE 41 FF 52 40 0F 10 44 24 60 E9 85 00 00 00 48 8B 85 80 00 00 00 48 83 C0 1C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 DC FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 C8 E9 49 01 00 00 48 8B 85 80 00 00 00 E9 70 FE FF FF 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 54 24 70 48 8B CE 41 FF 52 30 0F 10 44 24 70 F3 0F 7F 07 E9 6F 02 00 00 83 F9 6E 0F 8F 76 01 00 00 0F 84 12 02 00 00 83 F9 62 0F 84 1D 01 00 00 83 F9 63 0F 84 C1 00 00 00 0F 8E 33 02 00 00 83 F9 65 7E 7E 83 F9 68 0F 84 00 01 00 00 83 F9 6A 74 51 83 F9 6D 0F 85 17 02 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 0C 00 00 00 44 8D 49 94 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 F8 01 00 00 8B 4D 58 FF C9 48 8B 85 80 00 00 00 89 48 10 E9 E4 01 00 00 48 8B 85 80 00 00 00 48 83 C0 1C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 1D 48 8B 85 80 00 00 00 48 83 C0 0C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 09 03 E9 8D 01 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 A8 0F 10 0F 41 0F 10 06 4C 8D 44 24 50 4C 8D 4C 24 40 F3 0F 7F 4C 24 50 F3 0F 7F 44 24 40 48 89 44 24 38 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 48 8B CE E8 ?? ?? ?? ?? 0F 10 00 E9 C2 FE FF FF 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 55 88 48 8B CE 41 FF 52 38 0F 10 45 88 E9 78 FE FF FF 83 E9 70 0F 84 B9 00 00 00 83 E9 02 0F 84 A0 00 00 00 83 E9 02 0F 84 87 00 00 00 83 E9 03 74 60 FF C9 74 4C FF C9 0F 85 AF 00 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 91 00 00 00 8B 4D 58 8D 41 64 83 F9 45 0F 4C C8 E9 F2 FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 B8 E9 EE FE FF FF 48 8B 85 80 00 00 00 48 83 C0 18 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 4F FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 D8 E9 BC FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 F8 E9 AC FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 10 48 8B 8D 80 00 00 00 8D 04 40 C1 E0 02 01 41 08 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 0F 10 07 F3 41 0F 7F 45 00 49 8B C5 48 8B 9C 24 50 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_927_1 {
	meta:
		name = "?do_get@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1374
		refs = "003d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0046 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0144 ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 017e ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z 01a9 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 024d ??_C@_0M@LMMIDGCH@?$CFH?5?3?5?$CFM?5?3?5S?$AA@ 039b ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 03df ?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 04a8 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 04da ??_C@_01CLKCMJKC@?5?$AA@ 04ea ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 04fa ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0508 ??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z 052c ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 08 4D 8B F1 49 8B F8 4C 8B EA 48 8B F1 48 8D 55 60 4C 8B 65 70 49 8B CC E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 60 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 83 65 58 00 0F BE 8D 88 00 00 00 48 8B 5D 78 83 F9 61 0F 8F 2F 02 00 00 0F 84 D9 01 00 00 83 F9 52 0F 8F 20 01 00 00 0F 84 0A 01 00 00 83 E9 41 0F 84 C1 01 00 00 FF C9 0F 84 3E 03 00 00 FF C9 0F 84 A6 00 00 00 FF C9 74 75 83 E9 04 74 4B FF C9 74 28 83 F9 04 0F 85 45 04 00 00 48 8B 85 80 00 00 00 48 83 C0 04 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 3C 48 8B 85 80 00 00 00 48 83 C0 08 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 0B 00 00 00 EB 1D 48 8B 85 80 00 00 00 48 83 C0 08 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 55 02 00 00 41 0F 10 06 F3 0F 7F 44 24 50 0F 10 0F F3 0F 7F 4C 24 40 48 8D 05 ?? ?? ?? ?? 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 98 E9 65 02 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 97 03 00 00 8B 45 58 83 C0 ED 6B C8 64 48 8B 85 80 00 00 00 89 48 14 E9 7F 03 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 E8 E9 ED 01 00 00 83 E9 53 0F 84 9B 00 00 00 FF C9 0F 84 83 00 00 00 FF C9 74 5D 83 E9 02 74 58 FF C9 74 76 FF C9 0F 85 34 03 00 00 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 54 24 60 48 8B CE 41 FF 52 40 0F 10 44 24 60 E9 85 00 00 00 48 8B 85 80 00 00 00 48 83 C0 1C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 DC FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 C8 E9 49 01 00 00 48 8B 85 80 00 00 00 E9 70 FE FF FF 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 54 24 70 48 8B CE 41 FF 52 30 0F 10 44 24 70 F3 0F 7F 07 E9 6F 02 00 00 83 F9 6E 0F 8F 76 01 00 00 0F 84 12 02 00 00 83 F9 62 0F 84 1D 01 00 00 83 F9 63 0F 84 C1 00 00 00 0F 8E 33 02 00 00 83 F9 65 7E 7E 83 F9 68 0F 84 00 01 00 00 83 F9 6A 74 51 83 F9 6D 0F 85 17 02 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 0C 00 00 00 44 8D 49 94 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 F8 01 00 00 8B 4D 58 FF C9 48 8B 85 80 00 00 00 89 48 10 E9 E4 01 00 00 48 8B 85 80 00 00 00 48 83 C0 1C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 1D 48 8B 85 80 00 00 00 48 83 C0 0C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 09 03 E9 8D 01 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 A8 0F 10 0F 41 0F 10 06 4C 8D 44 24 50 4C 8D 4C 24 40 F3 0F 7F 4C 24 50 F3 0F 7F 44 24 40 48 89 44 24 38 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 48 8B CE E8 ?? ?? ?? ?? 0F 10 00 E9 C2 FE FF FF 41 0F 10 06 F3 0F 7F 44 24 40 0F 10 0F F3 0F 7F 4C 24 50 4C 8B 16 48 8B 85 80 00 00 00 48 89 44 24 30 48 89 5C 24 28 4C 89 64 24 20 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 55 88 48 8B CE 41 FF 52 38 0F 10 45 88 E9 78 FE FF FF 83 E9 70 0F 84 B9 00 00 00 83 E9 02 0F 84 A0 00 00 00 83 E9 02 0F 84 87 00 00 00 83 E9 03 74 60 FF C9 74 4C FF C9 0F 85 AF 00 00 00 4C 89 7C 24 30 48 8D 45 58 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4D 8B C6 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 91 00 00 00 8B 4D 58 8D 41 64 83 F9 45 0F 4C C8 E9 F2 FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 B8 E9 EE FE FF FF 48 8B 85 80 00 00 00 48 83 C0 18 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 4F FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 D8 E9 BC FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 F8 E9 AC FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 10 48 8B 8D 80 00 00 00 8D 04 40 C1 E0 02 01 41 08 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 0F 10 07 F3 41 0F 7F 45 00 49 8B C5 48 8B 9C 24 50 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_378_1 {
	meta:
		name = "?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 1902
		refs = "003a ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0043 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 008a ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0173 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z 0253 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 18 4D 8B F1 49 8B F8 4C 8B F9 48 8D 55 40 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4D 40 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 07 49 8B CF FF 50 18 44 8B E8 BB 02 00 00 00 85 C0 44 0F 44 EB 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 8B 75 68 84 C0 0F 85 5A 01 00 00 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 0F B6 4F 09 49 8B 44 24 18 0F BF 14 48 C1 EA 02 F6 C2 01 75 50 41 0F 10 06 F3 0F 7F 45 D0 0F 10 0F F3 0F 7F 4D E0 49 8B 07 48 8B 5D 70 48 89 5C 24 30 48 89 74 24 28 48 8B 4D 60 48 89 4C 24 20 4C 8D 4D D0 4C 8D 45 E0 48 8D 55 F0 49 8B CF FF 50 38 0F 10 45 F0 F3 0F 7F 07 41 BD 02 00 00 00 E9 13 01 00 00 44 3B EB 48 8B 5D 70 75 30 48 83 C3 10 4C 89 64 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 41 B9 01 00 00 00 4D 8B C6 48 8B D7 49 8B CF E8 ?? ?? ?? ?? 09 06 FF 0B EB 77 41 83 FD 01 75 2E 48 8D 43 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8B CD 4D 8B C6 48 8B D7 49 8B CF E8 ?? ?? ?? ?? 09 06 E9 A6 00 00 00 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 07 48 89 5C 24 30 48 89 74 24 28 48 8B 4D 60 48 89 4C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CF FF 50 40 0F 10 45 D0 F3 0F 7F 07 EB 63 48 8B 5D 70 EB 5D 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 0F B6 4F 09 49 8B 44 24 18 F6 04 48 48 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C8 00 00 00 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 49 8B 04 24 45 33 C0 8A 57 09 49 8B CC FF 50 50 3C 3A 77 6F 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 5F EB 55 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 0F B6 4F 09 49 8B 44 24 18 F6 04 48 48 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 12 01 00 00 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 0F B6 4F 09 49 8B 44 24 18 0F BF 14 48 C1 EA 02 B9 01 00 00 00 84 D1 75 64 41 83 FD 02 75 08 44 09 2E E9 A6 00 00 00 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 07 48 89 5C 24 30 48 89 74 24 28 48 8B 5D 60 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CF FF 50 38 0F 10 45 D0 F3 0F 7F 07 41 83 FD 04 0F 85 BE 00 00 00 41 BD 03 00 00 00 E9 B3 00 00 00 41 8D 45 FF 4C 89 64 24 30 44 8B C9 4D 8B C6 48 8B D7 49 8B CF A9 FD FF FF FF 74 1A 48 8D 43 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 EB 1A 48 83 C3 10 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B 48 8B 5D 60 EB 5D 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 0F B6 4F 09 49 8B 44 24 18 F6 04 48 48 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C8 00 00 00 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 49 8B 04 24 45 33 C0 8A 57 09 49 8B CC FF 50 50 3C 3A 77 6F 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 5F EB 55 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 0F B6 4F 09 49 8B 44 24 18 F6 04 48 48 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 08 83 0E 02 E9 4E 01 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 0F B6 4F 09 49 8B 44 24 18 0F BF 14 48 C1 EA 02 F6 C2 01 75 44 41 83 FD 04 75 97 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 07 48 8B 4D 70 48 89 4C 24 30 48 89 74 24 28 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CF FF 50 38 E9 A7 00 00 00 41 83 FD 04 75 32 48 8B 5D 70 48 83 C3 10 4C 89 64 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 45 8D 4D FD 4D 8B C6 48 8B D7 49 8B CF E8 ?? ?? ?? ?? 09 06 FF 0B EB 77 41 83 FD 03 75 30 48 8B 45 70 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8D 4D FE 4D 8B C6 48 8B D7 49 8B CF E8 ?? ?? ?? ?? 09 06 EB 41 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 07 48 8B 4D 70 48 89 4C 24 30 48 89 74 24 28 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CF FF 50 40 0F 10 45 D0 F3 0F 7F 07 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 0F 10 07 48 8B 45 48 F3 0F 7F 00 48 8B 9C 24 D0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_380_1 {
	meta:
		name = "?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 18 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_933_1 {
	meta:
		name = "?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 18 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_934_1 {
	meta:
		name = "?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 18 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_381_1 {
	meta:
		name = "?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 500
		refs = "0038 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0041 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0099 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z 010a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 56 57 41 54 41 56 41 57 48 83 EC 50 48 C7 40 C8 FE FF FF FF 48 89 58 08 48 89 68 18 4D 8B F9 49 8B D8 48 8B EA 4C 8B E1 48 8D 50 10 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 8C 24 88 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 4C 8B B4 24 B0 00 00 00 49 8D 46 08 48 89 74 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 48 8B BC 24 A8 00 00 00 09 07 0F 85 8C 00 00 00 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 48 8B 06 45 33 C0 8A 53 09 48 8B CE FF 50 50 3C 3A 75 33 48 8B CB E8 ?? ?? ?? ?? 49 8D 46 04 48 89 74 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 83 3F 00 0F 85 88 00 00 00 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 48 8B 06 45 33 C0 8A 53 09 48 8B CE FF 50 50 3C 3A 75 2F 48 8B CB E8 ?? ?? ?? ?? 48 89 74 24 30 4C 89 74 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 0F 10 03 F3 0F 7F 45 00 48 8B C5 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_29_383_1 {
	meta:
		name = "?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 10 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_939_1 {
	meta:
		name = "?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 10 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_940_1 {
	meta:
		name = "?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 10 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_384_1 {
	meta:
		name = "?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 242
		refs = "0034 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 003d ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0093 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 83 EC 50 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 68 20 49 8B F1 49 8B F8 48 8B DA 48 8B E9 48 8D 50 18 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 8C 24 80 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 83 64 24 78 00 4C 89 74 24 30 48 8D 44 24 78 48 89 44 24 28 C7 44 24 20 F3 07 00 00 45 33 C9 4C 8B C6 48 8B D7 48 8B CD E8 ?? ?? ?? ?? 48 8B 94 24 98 00 00 00 0B 02 89 02 A8 02 75 2C 8B 4C 24 78 41 B8 6C 07 00 00 41 3B C8 7C 05 41 2B C8 EB 0D 81 F9 87 00 00 00 7E 05 83 C8 02 89 02 48 8B 84 24 A0 00 00 00 89 48 14 0F 10 07 F3 0F 7F 03 48 8B C3 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 38 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_941_1 {
	meta:
		name = "?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 242
		refs = "0034 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 003d ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0093 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 83 EC 50 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 68 20 49 8B F1 49 8B F8 48 8B DA 48 8B E9 48 8D 50 18 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 8C 24 80 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 83 64 24 78 00 4C 89 74 24 30 48 8D 44 24 78 48 89 44 24 28 C7 44 24 20 F3 07 00 00 45 33 C9 4C 8B C6 48 8B D7 48 8B CD E8 ?? ?? ?? ?? 48 8B 94 24 98 00 00 00 0B 02 89 02 A8 02 75 2C 8B 4C 24 78 41 B8 6C 07 00 00 41 3B C8 7C 05 41 2B C8 EB 0D 81 F9 87 00 00 00 7E 05 83 C8 02 89 02 48 8B 84 24 A0 00 00 00 89 48 14 0F 10 07 F3 0F 7F 03 48 8B C3 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 38 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_943_1 {
	meta:
		name = "?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 242
		refs = "0034 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 003d ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0093 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 83 EC 50 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 68 20 49 8B F1 49 8B F8 48 8B DA 48 8B E9 48 8D 50 18 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 8C 24 80 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 83 64 24 78 00 4C 89 74 24 30 48 8D 44 24 78 48 89 44 24 28 C7 44 24 20 F3 07 00 00 45 33 C9 4C 8B C6 48 8B D7 48 8B CD E8 ?? ?? ?? ?? 48 8B 94 24 98 00 00 00 0B 02 89 02 A8 02 75 2C 8B 4C 24 78 41 B8 6C 07 00 00 41 3B C8 7C 05 41 2B C8 EB 0D 81 F9 87 00 00 00 7E 05 83 C8 02 89 02 48 8B 84 24 A0 00 00 00 89 48 14 0F 10 07 F3 0F 7F 03 48 8B C3 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 38 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_29_386_1 {
	meta:
		name = "?do_grouping@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		altNames = "?do_grouping@?$_Mpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 10 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_387_1 {
	meta:
		name = "?do_hash@?$collate@D@std@@MEBAJPEBD0@Z"
		size = 61
	strings:
		$1 = { 48 B9 25 23 22 84 E4 9C F2 CB 41 B9 00 00 00 00 4C 2B C2 74 1E 41 0F B6 04 11 49 BA B3 01 00 00 00 01 00 00 49 FF C1 48 33 C8 49 0F AF CA 4D 3B C8 72 E2 48 8B C1 48 C1 E8 20 33 C1 C3 }
	condition:
		$1
}

rule file_29_389_1 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MEBAPEBDPEBD0DPEAD@Z"
		size = 31
		refs = "0012 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 4C 24 50 49 8B D8 4C 2B C2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_391_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 30 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_968_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 30 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_969_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 30 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_394_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		altNames = "?do_truename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_976_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_977_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_1034_1 {
	meta:
		name = "?do_truename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_1035_1 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_395_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 529
		refs = "0028 __security_cookie 0051 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005a ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 008d ?_Src@?1??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@3@V43@_NAEAVios_base@3@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@@Z@4QBDB 0126 _invalid_parameter_noinfo_noreturn 0153 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD_K@Z 016d ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 017a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z 01b8 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 01c9 ??3@YAXPEAX@Z 01f2 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC E0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4C 24 50 4D 8B E0 4C 8B F2 4C 8B E9 4C 8B 7D 6F 48 8B 5D 7F 48 8D 55 8F 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 4D 8F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 4C 8D 4D F7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 50 38 40 32 F6 45 33 C9 48 8B 53 18 48 85 D2 74 21 48 83 7B 20 10 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 8A 45 01 38 01 75 09 40 B6 01 41 B9 01 00 00 00 4D 8B C1 4C 3B CA 73 58 40 8A 7D F7 4C 3B CA 77 46 48 83 7B 20 10 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 48 8D 45 F7 40 84 FF 74 15 46 8A 14 01 40 8A CF 41 3A CA 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D F7 48 2B C1 48 83 F8 0A 73 10 49 FF C0 4C 3B C2 72 BC EB 06 E8 ?? ?? ?? ?? CC 4C 3B CA 76 06 E8 ?? ?? ?? ?? CC 48 83 7B 20 10 72 06 48 8B 5B 08 EB 04 48 83 C3 08 4A 8D 14 0B 4D 2B C1 48 8D 4D CF E8 ?? ?? ?? ?? 90 48 83 7D E7 00 75 12 44 8A 45 F7 BA 01 00 00 00 48 8D 4D CF E8 ?? ?? ?? ?? 48 8D 55 CF 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8B D0 41 0F 10 04 24 F3 0F 7F 45 8F 8A 45 F7 88 44 24 40 48 89 54 24 38 40 88 74 24 30 8A 45 77 88 44 24 28 4C 89 7C 24 20 44 8A 4C 24 50 4C 8D 45 8F 49 8B D6 49 8B CD E8 ?? ?? ?? ?? 90 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 C7 45 EF 0F 00 00 00 48 83 65 E7 00 C6 45 D7 00 48 8B 4D CF E8 ?? ?? ?? ?? 49 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_398_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DO@Z"
		size = 490
		refs = "0028 __security_cookie 005e __xmm@80000000000000008000000000000000 0069 __real@4733426172c74d82 007c __real@4202a05f20000000 0092 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00a0 sprintf_s 00c1 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00ca ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0113 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0148 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0155 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z 0191 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 01a2 ??3@YAXPEAX@Z 01cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 87 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4C 24 50 4D 8B F8 48 8B F2 48 89 4C 24 58 4C 8B 6D 6F 45 32 E4 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0A 41 B4 01 0F 57 1D ?? ?? ?? ?? 45 33 F6 F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FE 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C6 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D DF E8 ?? ?? ?? ?? 48 63 D8 85 C0 79 0D 41 0F 10 07 F3 0F 7F 06 E9 08 01 00 00 48 8D 54 24 70 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 60 48 8B 4C 24 70 48 85 C9 74 1A 4C 8B 01 41 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 B2 30 48 8B CF FF 50 40 40 8A F8 45 33 C0 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 8B 4C 24 60 4C 8B 11 4C 8D 45 DF 4C 03 C3 48 8D 55 DF 41 FF 52 38 44 8A C7 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 44 24 60 40 88 7C 24 40 48 89 44 24 38 44 88 64 24 30 8A 45 77 88 44 24 28 4C 89 6C 24 20 44 8A 4C 24 50 4C 8D 44 24 60 48 8B D6 48 8B 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 7D D7 10 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 C7 45 D7 0F 00 00 00 48 83 65 CF 00 C6 45 BF 00 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_401_1 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBUtm@@DD@Z"
		size = 456
		refs = "0028 __security_cookie 0042 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0066 ??2@YAPEAX_K@Z 0070 ?_Xbad_alloc@std@@YAXXZ 00c8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00dd ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00e5 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 00fc _Strftime 0113 _invalid_parameter_noinfo_noreturn 016d ??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_Nonscalar_ptr_iterator_tag@0@@Z 0180 ??3@YAXPEAX@Z 01a9 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F0 48 8B F2 4C 8B F9 4C 8B 65 6F 8B 05 ?? ?? ?? ?? 89 45 F7 8A 05 ?? ?? ?? ?? 88 45 FB 33 DB 48 89 5D CF 48 89 5D E7 48 89 5D EF 8D 7B 10 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 CF 0F 57 C0 F3 0F 7F 00 48 8D 4D CF 48 8B 45 CF 48 89 08 48 C7 45 EF 0F 00 00 00 48 89 5D E7 88 5D D7 8A 45 7F 84 C0 75 08 8A 45 77 88 45 F9 EB 09 88 45 F9 8A 45 77 88 45 FA 4C 8B EF 48 8B D7 EB 06 4D 03 ED 49 8B D5 45 33 C0 48 8D 4D CF E8 ?? ?? ?? ?? 48 8B 7D E7 49 8B 5F 10 48 8D 55 A7 48 8D 4D CF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CC 4C 8D 45 F7 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 4C 8B C0 74 B2 41 0F 10 06 48 3B 45 E7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 D7 48 8B 4D D7 48 8B 55 EF 48 83 FA 10 48 0F 43 C1 4C 03 C0 48 83 7D E7 01 73 06 E8 ?? ?? ?? ?? CC 4C 8D 55 D7 48 83 FA 10 4C 0F 43 D1 49 FF C2 4D 3B D0 75 06 F3 0F 7F 06 EB 23 F3 0F 7F 45 A7 8A 45 97 88 44 24 20 4C 8D 4D A7 49 8B D2 48 8B CE E8 ?? ?? ?? ?? 48 8B 55 EF 48 8B 4D D7 48 83 FA 10 72 05 E8 ?? ?? ?? ?? 48 C7 45 EF 0F 00 00 00 48 83 65 E7 00 C6 45 D7 00 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F8 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_29_405_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MEBAPEBDPEADPEBD@Z"
		size = 95
		refs = "0036 _Tolower"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B F0 48 8B DA 48 2B F2 49 3B D0 48 0F 47 F7 48 85 F6 74 1C 48 8D 69 10 0F B6 0B 48 8B D5 E8 ?? ?? ?? ?? 48 FF C7 88 03 48 FF C3 48 3B FE 75 E8 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_407_1 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MEBAPEBDPEADPEBD@Z"
		size = 95
		refs = "0036 _Toupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B F0 48 8B DA 48 2B F2 49 3B D0 48 0F 47 F7 48 85 F6 74 1C 48 8D 69 10 0F B6 0B 48 8B D5 E8 ?? ?? ?? ?? 48 FF C7 88 03 48 FF C3 48 3B FE 75 E8 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_408_1 {
	meta:
		name = "?do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z"
		size = 357
		refs = "0047 ??2@YAPEAX_K@Z 0051 ?_Xbad_alloc@std@@YAXXZ 00c0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00cd ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00d5 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 0108 _Strxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 56 57 41 54 41 56 41 57 48 83 EC 70 48 C7 40 A0 FE FF FF FF 48 89 58 08 48 89 68 18 49 8B E9 4D 8B F8 48 8B F2 48 8B D9 83 60 98 00 48 83 22 00 48 83 62 18 00 48 83 62 20 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 06 0F 57 C0 F3 0F 7F 00 48 8B 06 48 89 30 48 C7 46 20 0F 00 00 00 48 83 66 18 00 4C 8D 76 08 41 C6 06 00 C7 44 24 30 01 00 00 00 48 8B C5 49 2B C7 0F 84 8C 00 00 00 4C 8D 63 10 48 3B 46 18 77 19 48 89 46 18 48 83 7E 20 10 72 05 49 8B 0E EB 03 49 8B CE C6 04 01 00 EB 12 48 2B 46 18 45 33 C0 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5E 18 48 8D 54 24 58 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 14 3B 4C 89 64 24 20 4C 8B CD 4D 8B C7 48 8B C8 E8 ?? ?? ?? ?? 48 3B 46 18 76 0F 48 85 C0 0F 85 78 FF FF FF 48 3B 46 18 77 15 48 89 46 18 48 83 7E 20 10 72 03 4D 8B 36 41 C6 04 06 00 EB 12 48 2B 46 18 45 33 C0 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 48 8B C6 4C 8D 5C 24 70 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 CC }
	condition:
		$1
}

rule file_29_409_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 10 83 65 30 FE 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_1033_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 10 83 65 30 FE 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_29_411_1 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MEBAPEBDPEBD0PEAD@Z"
		size = 29
		refs = "0010 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B D8 49 8B C9 4C 2B C2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_413_1 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 43
	strings:
		$1 = { 48 83 79 20 10 4C 8B C1 72 06 48 8B 49 08 EB 04 48 83 C1 08 49 8B 00 49 03 48 18 48 83 62 08 00 48 89 02 48 89 4A 10 48 8B C2 C3 }
	condition:
		$1
}

rule file_29_416_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
		size = 207
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 80 79 08 00 48 8B DA 48 8B F9 BE 01 00 00 00 75 40 48 8B 09 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 40 88 73 08 48 83 3F 00 75 08 48 83 3B 00 74 0A EB 06 48 83 3B 00 75 02 33 F6 48 8B 5C 24 30 40 8A C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_29_424_1 {
	meta:
		name = "?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 91
		altNames = "?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 60 41 0F 10 01 41 0F 10 08 48 8B 84 24 A0 00 00 00 4C 8B 11 49 89 43 C8 48 8B 84 24 98 00 00 00 F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 49 89 43 C0 48 8B 84 24 90 00 00 00 4D 8D 4B D8 4D 8D 43 E8 48 8B DA 49 89 43 B8 41 FF 52 38 48 8B C3 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_29_425_1 {
	meta:
		name = "?get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 91
		altNames = "?get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 60 41 0F 10 01 41 0F 10 08 48 8B 84 24 A0 00 00 00 4C 8B 11 49 89 43 C8 48 8B 84 24 98 00 00 00 F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 49 89 43 C0 48 8B 84 24 90 00 00 00 4D 8D 4B D8 4D 8D 43 E8 48 8B DA 49 89 43 B8 41 FF 52 30 48 8B C3 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_29_426_1 {
	meta:
		name = "?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 91
		altNames = "?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 60 41 0F 10 01 41 0F 10 08 48 8B 84 24 A0 00 00 00 4C 8B 11 49 89 43 C8 48 8B 84 24 98 00 00 00 F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 49 89 43 C0 48 8B 84 24 90 00 00 00 4D 8D 4B D8 4D 8D 43 E8 48 8B DA 49 89 43 B8 41 FF 52 40 48 8B C3 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_29_429_1 {
	meta:
		name = "?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 29
		altNames = "?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 01 83 64 24 20 00 48 8B DA FF 50 28 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_430_1 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z"
		size = 290
		refs = "0058 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 009b memmove 00d5 memset 010b ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0110 ?_Xout_of_range@std@@YAXPEBD@Z 0118 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 011d ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B F9 48 8B 49 18 45 8A F9 49 8B F0 48 8B EA 48 3B CA 0F 82 D7 00 00 00 48 83 C8 FF 48 2B C1 49 3B C0 0F 86 D4 00 00 00 4D 85 C0 0F 84 A2 00 00 00 4E 8D 34 01 45 33 C0 48 8B CF 49 8B D6 E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 48 83 7F 20 10 48 8D 5F 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4C 8B 47 18 4C 2B C5 74 10 48 8D 14 29 48 8D 0C 28 48 03 CE E8 ?? ?? ?? ?? 48 83 FE 01 75 15 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 44 88 3C 28 EB 1F 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 8D 0C 28 41 0F BE D7 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7F 20 10 4C 89 77 18 72 03 48 8B 1B 42 C6 04 33 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B C7 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_431_1 {
	meta:
		name = "?is@?$ctype@D@std@@QEBA_NFD@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 18 45 0F B6 C0 66 42 85 14 40 0F 95 C0 C3 }
	condition:
		$1
}

rule file_29_444_1 {
	meta:
		name = "?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 312
		refs = "0021 __security_cookie 0051 ??2@YAPEAX_K@Z 005b ?_Xbad_alloc@std@@YAXXZ 00a0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 00b0 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 00cb ??3@YAXPEAX@Z 0120 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 56 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 DF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 8B FA 83 65 D7 00 48 8B 01 41 BE 0F 00 00 00 48 85 C0 75 4D 48 21 45 E7 48 21 45 FF 48 21 45 07 8D 48 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 E7 0F 57 C0 F3 0F 7F 00 48 8D 4D E7 48 8B 45 E7 48 89 08 4C 89 75 07 48 83 65 FF 00 C6 45 EF 00 48 8D 45 E7 BB 01 00 00 00 EB 1B 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4D 0F E8 ?? ?? ?? ?? BB 02 00 00 00 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 83 CB 04 F6 C3 02 74 2E 83 E3 FD 48 83 7D 2F 10 72 09 48 8B 4D 17 E8 ?? ?? ?? ?? 4C 89 75 2F 48 83 65 27 00 C6 45 17 00 48 8B 4D 0F E8 ?? ?? ?? ?? 48 83 65 0F 00 F6 C3 01 74 26 48 83 7D 07 10 72 09 48 8B 4D EF E8 ?? ?? ?? ?? 4C 89 75 07 48 83 65 FF 00 C6 45 EF 00 48 8B 4D E7 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_29_445_1 {
	meta:
		name = "?dtor$0@?0??name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ@4HA"
		size = 38
		refs = "001c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8D 4D 30 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_29_447_1 {
	meta:
		name = "?neg_format@?$_Mpunct@D@std@@QEBA?AUpattern@money_base@2@XZ"
		size = 24
		altNames = "?neg_format@?$_Mpunct@G@std@@QEBA?AUpattern@money_base@2@XZ ?neg_format@?$_Mpunct@_W@std@@QEBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B DA FF 50 58 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_448_1 {
	meta:
		name = "?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 29
		altNames = "?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 01 83 64 24 20 00 48 8B DA FF 50 40 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_449_1 {
	meta:
		name = "?pos_format@?$_Mpunct@D@std@@QEBA?AUpattern@money_base@2@XZ"
		size = 24
		altNames = "?pos_format@?$_Mpunct@G@std@@QEBA?AUpattern@money_base@2@XZ ?pos_format@?$_Mpunct@_W@std@@QEBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B DA FF 50 50 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_29_450_1 {
	meta:
		name = "?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 29
		altNames = "?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 01 83 64 24 20 00 48 8B DA FF 50 38 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_29_451_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
		size = 754
		refs = "00e9 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0152 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0242 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 028b ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z 02ab _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 4C 24 20 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 49 8B 01 33 DB 4D 8B D0 4C 8B F1 48 85 C0 0F 84 BA 02 00 00 4C 8B 28 4D 85 ED 0F 84 AE 02 00 00 4C 8B 84 24 C0 00 00 00 8B C3 4D 8B 38 4D 85 FF 74 03 49 8B 07 4C 3B E8 0F 85 4E 02 00 00 49 8B 49 10 49 8B 40 10 48 8B 32 48 89 4C 24 38 48 89 44 24 30 48 3B C8 0F 85 E1 00 00 00 48 8B C3 48 85 F6 74 0B 48 8B 0E 48 85 C9 74 03 48 8B 01 48 8B 6A 10 49 8B 12 48 8B CB 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 0A 49 8B 7A 10 48 85 FF 75 05 48 8B FB EB 2B 48 85 C9 0F 84 04 02 00 00 48 39 19 0F 84 FB 01 00 00 48 85 C0 75 05 48 8B C3 EB 03 48 8B 00 48 39 01 0F 85 D3 01 00 00 48 2B FD 48 8D 54 24 48 49 8B CE E8 ?? ?? ?? ?? 48 8B CB 48 8B 10 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 0A 4C 8B 40 10 48 8B C3 48 85 F6 74 0B 48 8B 16 48 85 D2 74 03 48 8B 02 48 85 ED 74 29 48 85 C0 0F 84 94 01 00 00 48 39 18 0F 84 8B 01 00 00 48 85 C9 74 03 48 8B 19 48 39 18 0F 85 74 01 00 00 48 8B DD 49 2B D8 4C 8B C7 48 8B D3 49 8B CE E8 ?? ?? ?? ?? E9 34 01 00 00 48 8B CB 48 85 F6 74 0B 48 8B 06 48 85 C0 74 03 48 8B 08 4C 8B 42 10 49 8B 12 48 8B C3 4C 89 44 24 40 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 02 49 8B 6A 10 48 85 ED 75 05 48 8B EB EB 2C 48 85 C0 0F 84 42 01 00 00 48 8B 10 48 85 D2 0F 84 36 01 00 00 48 8B C3 48 85 C9 74 03 48 8B 01 48 3B D0 0F 85 04 01 00 00 49 2B E8 48 8D 54 24 48 49 8B CE E8 ?? ?? ?? ?? 4C 8B F3 48 8B 08 48 85 C9 74 0B 48 8B 09 48 85 C9 74 03 4C 8B 31 4C 8B 60 10 48 8B FB 48 85 F6 74 0B 48 8B 06 48 85 C0 74 03 48 8B 38 48 8B C3 4D 85 FF 74 0B 49 8B 0F 48 85 C9 74 03 48 8B 01 48 85 C0 0F 84 C3 00 00 00 48 39 18 0F 84 BA 00 00 00 4C 39 28 0F 85 9F 00 00 00 48 8B 74 24 30 48 8B 8C 24 B8 00 00 00 48 2B 74 24 38 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 85 C9 74 21 48 85 FF 0F 84 81 00 00 00 48 39 1F 74 7C 4D 85 F6 74 03 49 8B 1E 48 39 1F 75 69 48 8B D9 49 2B DC 4C 8B B4 24 A0 00 00 00 4C 8B C8 4C 8B C5 48 8B D3 49 8B CE 48 89 74 24 20 E8 ?? ?? ?? ?? 49 8B C6 48 8B 9C 24 A8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_452_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 878
		refs = "0094 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00d6 memmove 0111 memcpy 0357 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 035c ?_Xlength_error@std@@YAXPEBD@Z 0364 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0369 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B F9 48 8B 49 18 49 8B E9 4D 8B E0 4C 8B F2 48 3B CA 0F 82 2C 03 00 00 49 8B 41 18 4C 8B 6C 24 70 49 3B C5 0F 82 1A 03 00 00 48 8B 74 24 78 4C 8B F9 4C 2B FA 48 8B D1 4D 3B F8 4D 0F 42 E7 49 2B C5 48 3B C6 48 0F 42 F0 48 83 C8 FF 49 2B D4 48 2B C6 48 3B C2 0F 86 DB 02 00 00 48 8D 04 32 4D 2B FC 48 89 44 24 50 48 3B C8 73 0E 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 8D 5F 08 48 3B FD 74 79 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 16 4A 8D 14 31 4A 8D 0C 30 4D 8B C7 48 03 CE 49 03 D4 E8 ?? ?? ?? ?? 48 83 7D 20 10 72 06 48 8B 6D 08 EB 04 48 83 C5 08 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 1A 02 00 00 49 8B D5 4A 8D 0C 30 4C 8B C6 48 03 D5 E8 ?? ?? ?? ?? E9 03 02 00 00 49 3B F4 77 70 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 74 10 4A 8D 14 29 4A 8D 0C 30 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 0F 84 A4 01 00 00 4A 8D 14 31 4A 8D 0C 30 4D 8B C7 49 03 D4 48 03 CE E9 89 01 00 00 4D 3B EE 77 70 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 16 4A 8D 14 31 4A 8D 0C 30 4D 8B C7 48 03 CE 49 03 D4 E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 29 01 00 00 4A 8D 14 29 4A 8D 0C 30 4C 8B C6 E9 14 01 00 00 4B 8D 04 26 49 3B C5 77 6B 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 16 4A 8D 14 31 4A 8D 0C 30 4D 8B C7 48 03 CE 49 03 D4 E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 B0 00 00 00 49 2B D4 49 03 D5 48 03 D6 EB 80 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 E4 74 10 4A 8D 14 29 4A 8D 0C 30 4D 8B C4 E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 16 4A 8D 14 31 4A 8D 0C 30 4D 8B C7 48 03 CE 49 03 D4 E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4C 8B C6 4D 2B C4 74 13 4A 8D 14 29 4A 8D 0C 30 48 03 D6 49 03 CC E8 ?? ?? ?? ?? 48 83 7F 20 10 48 8B 44 24 50 48 89 47 18 72 03 48 8B 1B 48 8B 6C 24 60 48 8B 74 24 68 C6 04 03 00 48 8B 5C 24 58 48 8B C7 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_453_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z"
		size = 472
		refs = "0081 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 00f7 memmove 011d ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0185 memcpy 01c1 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 01c6 ?_Xout_of_range@std@@YAXPEBD@Z 01ce ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 01d3 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 4D 8B F9 49 8B F8 4C 8B E2 48 8B D9 4D 85 C9 74 5C 48 83 79 20 10 4C 8D 51 08 72 05 49 8B 02 EB 03 49 8B C2 4C 3B C8 72 44 48 83 79 20 10 72 05 49 8B 0A EB 03 49 8B CA 48 03 4B 18 49 3B C9 76 2C 48 83 7B 20 10 72 03 4D 8B 12 48 8B 44 24 70 4D 2B FA 4C 8B CB 48 89 44 24 28 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? E9 15 01 00 00 48 8B 4B 18 48 3B CA 0F 82 27 01 00 00 48 8B 6C 24 70 48 8B F1 48 2B F2 49 3B F0 48 0F 42 FE 48 83 C8 FF 48 2B C5 48 2B CF 48 3B C1 0F 86 0F 01 00 00 48 2B F7 48 3B EF 73 37 48 83 7B 20 10 48 8D 43 08 72 05 48 8B 08 EB 03 48 8B C8 48 83 7B 20 10 72 03 48 8B 00 48 85 F6 74 15 48 03 D1 4A 8D 0C 20 4C 8B C6 48 03 CD 48 03 D7 E8 ?? ?? ?? ?? 48 85 ED 75 09 48 85 FF 0F 84 93 00 00 00 4C 8B 73 18 45 33 C0 48 8B CB 4C 2B F7 4C 03 F5 49 8B D6 E8 ?? ?? ?? ?? 84 C0 74 77 48 3B FD 73 38 48 83 7B 20 10 48 8D 43 08 72 05 48 8B 08 EB 03 48 8B C8 48 83 7B 20 10 72 03 48 8B 00 48 85 F6 74 16 4A 8D 14 21 4A 8D 0C 20 4C 8B C6 48 03 CD 48 03 D7 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 07 EB 03 48 8B C7 48 85 ED 74 0F 4A 8D 0C 20 4C 8B C5 49 8B D7 E8 ?? ?? ?? ?? 48 83 7B 20 10 4C 89 73 18 72 03 48 8B 3F 42 C6 04 37 00 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_29_454_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 44
		refs = "0028 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 18 77 1A 48 83 79 20 10 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 11 00 C3 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_455_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_KD@Z"
		size = 41
		refs = "0025 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 18 77 1A 48 83 79 20 10 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 11 00 C3 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_456_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHXZ"
		size = 55
	strings:
		$1 = { 48 8B 41 38 48 83 38 00 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 18 48 8B 41 50 FF 08 48 8B 49 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 C3 48 8B 01 48 FF 60 38 }
	condition:
		$1
}

rule file_29_460_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHXZ"
		size = 38
	strings:
		$1 = { 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 05 41 0F B6 00 C3 48 8B 01 48 FF 60 30 }
	condition:
		$1
}

rule file_29_462_1 {
	meta:
		name = "?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
		size = 69
	strings:
		$1 = { 48 8B 41 40 44 8A CA 48 83 38 00 74 09 48 8B 41 58 44 8B 00 EB 03 45 33 C0 45 85 C0 7E 1C 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 0A 41 0F B6 C1 C3 48 8B 01 41 0F B6 D1 48 FF 60 18 }
	condition:
		$1
}

rule file_31_42_1 {
	meta:
		name = "??0system_error@std@@QEAA@HAEBVerror_category@1@PEBD@Z"
		size = 176
		refs = "001c __security_cookie 0037 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 0058 ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0069 ??3@YAXPEAX@Z 008a ??_7system_error@std@@6B@ 009c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 10 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 49 8B F8 8B DA 48 8B F1 49 8B D1 48 8D 4D C8 E8 ?? ?? ?? ?? 90 89 5D B0 48 89 7D B8 0F 28 45 B0 66 0F 7F 45 B0 4C 8D 45 C8 48 8D 55 B0 48 8B CE E8 ?? ?? ?? ?? 90 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 48 8B 4D C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8B C6 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_31_90_1 {
	meta:
		name = "?_Throw_C_error@std@@YAXH@Z"
		size = 58
		refs = "0022 ?_Throw_Cpp_error@std@@YAXH@Z"
	strings:
		$1 = { 48 83 EC 28 85 C9 7E 0F 83 F9 02 7E 22 83 F9 03 74 15 83 F9 04 74 05 48 83 C4 28 C3 B9 01 00 00 00 E8 ?? ?? ?? ?? CC 33 C9 E8 ?? ?? ?? ?? CC B9 06 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_31_91_1 {
	meta:
		name = "?_Throw_Cpp_error@std@@YAXH@Z"
		size = 64
		refs = "000a __ImageBase 0011 ?_Generic_object@?$_Error_objects@H@std@@2V_Generic_error_category@2@A 0019 msgs 0020 codes 002a ??0system_error@std@@QEAA@HAEBVerror_category@1@PEBD@Z 0031 _TI4?AVsystem_error@std@@ 003b _CxxThrowException"
	strings:
		$1 = { 48 83 EC 58 48 63 C1 48 8D 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8B 8C C1 ?? ?? ?? ?? 8B 94 81 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_32_0_1 {
	meta:
		name = "_FCosh"
		size = 204
		refs = "0018 _FDtest 004f __xmm@80000000800000008000000080000000 005d _FXbig 0073 __real@3f800000 0078 _FExp 0080 __real@3e800000 00b6 _Feraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 9A 00 00 00 FF C8 83 F8 01 77 0B F3 0F 10 44 24 40 E9 8B 00 00 00 0F 57 C0 0F 2E F0 7A 02 74 7E F3 0F 10 4C 24 40 0F 2F C1 76 0D 0F 57 0D ?? ?? ?? ?? F3 0F 11 4C 24 40 F3 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4C 24 40 0F 2F C1 76 27 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 44 24 40 F3 0F 58 44 24 40 F3 0F 59 C6 EB 2C 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 83 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 6D FF FF FF 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_33_0_1 {
	meta:
		name = "_WStoflt"
		size = 726
		refs = "0017 __security_cookie 0076 iswctype 00b2 localeconv 00bd btowc 02b6 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 8B 84 24 D0 00 00 00 49 8B F1 4C 89 44 24 28 8D 2C C0 B8 2D 00 00 00 48 8B DA 3B E8 4C 8B E9 48 89 4C 24 20 0F 4F E8 41 83 21 00 41 83 61 04 00 45 33 E4 66 83 3A 30 75 0E 44 8D 60 D4 48 83 C3 02 66 83 3B 30 74 F6 0F B7 0B 33 FF 4C 63 FD 8D 57 04 E8 ?? ?? ?? ?? 85 C0 74 33 45 33 F6 44 8D 67 01 4D 3B F7 7F 10 8A 03 FF C7 2C 30 49 FF C6 42 88 44 34 2F EB 02 FF 06 48 83 C3 02 BA 04 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 D4 E8 ?? ?? ?? ?? 48 8B 08 0F BE 09 E8 ?? ?? ?? ?? 66 39 03 75 04 48 83 C3 02 85 FF 75 16 66 83 3B 30 75 10 44 8D 67 01 FF 0E 48 83 C3 02 66 83 3B 30 74 F4 0F B7 0B BA 04 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 33 4C 63 F7 41 BC 01 00 00 00 4D 3B F7 7F 10 8A 03 49 FF C6 FF C7 2C 30 FF 0E 42 88 44 34 2F 48 83 C3 02 BA 04 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 D6 3B EF 7D 12 80 7C 2C 30 05 7C 07 8D 45 FF FE 44 04 30 FF 06 8B FD 48 63 C7 85 FF 7E 1A 48 8D 4C 24 30 80 7C 01 FF 00 75 0C FF 06 48 FF C8 FF CF 48 85 C0 7F ED 85 FF 75 0A BF 01 00 00 00 C6 44 24 30 00 45 85 E4 0F 84 5E 01 00 00 41 BE 39 8E E3 38 BD 00 00 00 00 4C 63 DF 41 8B C6 F7 EF D1 FA 8B C2 FF C2 C1 E8 1F 03 C2 44 8D 14 C0 41 8B C6 44 2B D7 41 F7 EA D1 FA 8B C2 C1 E8 1F 03 D0 8D 0C D2 44 3B D1 40 0F 95 C5 45 33 C9 85 FF 7E 46 4C 63 C5 41 8B C6 41 F7 EA D1 FA 8B C2 C1 E8 1F 03 D0 8D 0C D2 44 3B D1 75 0D 42 0F BE 44 0C 30 FF C5 49 FF C0 EB 10 42 8B 04 86 42 0F BE 54 0C 30 8D 0C 80 8D 04 4A 49 FF C1 41 FF C2 42 89 04 86 4D 3B CB 7C BD 0F B7 03 B9 DF FF 00 00 66 83 E8 45 66 85 C1 0F 85 83 00 00 00 4C 8B EB 48 83 C3 02 41 BE 2B 00 00 00 0F B7 03 B9 FD FF 00 00 66 41 2B C6 66 85 C1 75 08 44 0F B7 33 48 83 C3 02 0F B7 0B 33 FF 45 33 FF 8D 57 04 E8 ?? ?? ?? ?? 85 C0 74 2D 44 8D 7F 01 81 FF 00 E1 F5 05 7D 0C 0F B7 03 8D 3C BF 8D 7F E8 8D 3C 78 48 83 C3 02 BA 04 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 D7 B8 2D 00 00 00 66 44 3B F0 75 02 F7 DF 01 3E 45 85 FF 75 03 49 8B DD 4C 8B 6C 24 20 48 8B 44 24 28 48 85 C0 74 0A 45 85 E4 4C 0F 45 EB 4C 89 28 8B C5 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 ED EB C1 }
	condition:
		$1
}

rule file_35_0_1 {
	meta:
		name = "_Xtime_diff_to_millis"
		size = 71
		refs = "0009 __security_cookie 0023 xtime_get 0030 _Xtime_diff_to_millis2 003d __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 8D 4C 24 20 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_35_1_1 {
	meta:
		name = "_Xtime_diff_to_millis2"
		size = 203
	strings:
		$1 = { 48 83 EC 18 0F 10 01 4C 8B DA 0F 11 04 24 66 0F 73 D8 08 4C 8B 0C 24 66 41 0F 7E C0 45 85 C0 79 24 83 C9 FF B8 83 BE E0 12 41 2B C8 F7 E1 2B CA D1 E9 03 CA C1 E9 1D FF C1 69 C1 00 CA 9A 3B 44 03 C0 4C 2B C9 41 BA 00 CA 9A 3B 45 3B C2 7C 22 B8 83 BE E0 12 41 F7 E0 41 8B C0 2B C2 D1 E8 03 C2 C1 E8 1D 8B C8 69 C0 00 36 65 C4 44 03 C0 4C 03 C9 45 3B 43 08 7D 13 45 2B 53 08 48 83 C8 FF 49 2B 03 4C 03 C8 45 03 C2 EB 07 4D 2B 0B 45 2B 43 08 4D 85 C9 78 07 75 0B 45 85 C0 7F 06 45 33 C9 45 33 C0 41 8D 88 3F 42 0F 00 B8 83 DE 1B 43 F7 E9 49 69 C9 E8 03 00 00 C1 FA 12 8B C2 C1 E8 1F 03 C2 48 03 C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_35_2_1 {
	meta:
		name = "_Xtime_get_ticks"
		size = 48
		refs = "000b __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 8B 44 24 34 8B 4C 24 30 48 C1 E0 20 48 BA 00 80 C1 2A 21 4E 62 FE 48 03 C2 48 03 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_35_3_1 {
	meta:
		name = "sys_get_time"
		size = 59
		refs = "000a _Xtime_get_ticks"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8B C0 48 B8 BD 42 7A E5 D5 94 BF D6 49 F7 E0 48 C1 EA 17 48 89 13 69 D2 80 96 98 00 44 2B C2 41 6B C0 64 89 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_35_4_1 {
	meta:
		name = "xtime_diff"
		size = 132
	strings:
		$1 = { 0F 10 02 45 33 C9 41 BA 00 CA 9A 3B F3 0F 7F 01 8B 51 08 85 D2 79 11 48 8B 01 48 FF C8 41 03 D2 78 F8 89 51 08 48 89 01 8B 41 08 41 3B C2 7C 14 48 8B 11 41 2B C2 48 FF C2 41 3B C2 7D F5 89 41 08 48 89 11 8B 51 08 41 3B 50 08 7D 13 41 2B 50 08 48 83 C8 FF 49 2B 00 48 01 01 41 03 D2 EB 0A 49 8B 00 48 29 01 41 2B 50 08 89 51 08 4C 39 09 7C 07 75 0C 41 3B D1 7F 07 4C 89 09 44 89 49 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_35_5_1 {
	meta:
		name = "xtime_get"
		size = 86
		refs = "001a _Xtime_get_ticks"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 83 FA 01 75 33 48 85 C9 74 2E E8 ?? ?? ?? ?? 4C 8B C0 48 B8 BD 42 7A E5 D5 94 BF D6 49 F7 E0 48 C1 EA 17 48 89 17 69 CA 80 96 98 00 44 2B C1 41 6B C0 64 89 47 08 EB 02 33 DB 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_35_6_1 {
	meta:
		name = "xtime_normalize"
		size = 59
	strings:
		$1 = { 8B 41 08 41 B8 00 CA 9A 3B 85 C0 79 11 48 8B 11 48 FF CA 41 03 C0 78 F8 89 41 08 48 89 11 8B 41 08 41 3B C0 7C 14 48 8B 11 41 2B C0 48 FF C2 41 3B C0 7D F5 89 41 08 48 89 11 C3 }
	condition:
		$1
}

rule file_36_1_1 {
	meta:
		name = "_Stoulx"
		size = 461
		refs = "003e isspace 00cd tolower 00d4 digits 00de memchr 0155 ndigs 018d _errno"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 38 4D 8B E1 41 8B F0 4C 8B F2 48 8B E9 4D 85 C9 74 04 41 83 21 00 48 8B D9 0F B6 09 EB 06 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 44 8A 3B 41 8D 47 D5 A8 FD 74 05 41 B7 2B EB 03 48 FF C3 85 F6 74 0C 8D 46 FE 83 F8 22 0F 87 DD 00 00 00 B1 30 85 F6 7E 14 83 FE 10 75 33 38 0B 75 2F 8A 43 01 2C 58 A8 DF 75 26 EB 20 38 0B 74 07 BE 0A 00 00 00 EB 19 8A 43 01 2C 58 A8 DF 74 07 BE 08 00 00 00 EB 09 BE 10 00 00 00 48 83 C3 02 48 89 9C 24 98 00 00 00 EB 03 48 FF C3 38 0B 74 F9 0F BE 0B 33 FF 48 89 5C 24 20 21 BC 24 90 00 00 00 4C 63 EE E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4D 8B C5 8B D0 E8 ?? ?? ?? ?? 48 85 C0 74 4D 48 63 EE 4C 8D 35 ?? ?? ?? ?? 89 BC 24 90 00 00 00 41 2A C6 48 FF C3 0F BE 0B 44 0F BE E8 0F AF FE 41 03 FD E8 ?? ?? ?? ?? 4C 8B C5 8B D0 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 CF 4C 8B B4 24 88 00 00 00 48 8B AC 24 80 00 00 00 EB 08 44 8A AC 24 90 00 00 00 48 39 9C 24 98 00 00 00 75 0C 4D 85 F6 74 03 49 89 2E 33 C0 EB 6A 48 8D 0D ?? ?? ?? ?? 48 63 C6 48 0F BE 04 08 48 8B CB 48 2B C8 48 2B 4C 24 20 78 3C 48 85 C9 7F 19 41 0F BE CD 8B C7 2B C1 3B F8 72 0D 33 D2 F7 F6 3B 84 24 90 00 00 00 74 1E E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 E4 74 08 41 C7 04 24 01 00 00 00 83 CF FF 41 B7 2B 41 80 FF 2D 75 02 F7 DF 4D 85 F6 74 03 49 89 1E 8B C7 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_37_26_1 {
	meta:
		name = "??0_Pad@std@@QEAA@XZ"
		size = 142
		refs = "001a ??_7_Pad@std@@6B@ 0029 _Cnd_init 0034 ?_Throw_C_error@std@@YAXH@Z 004f _Mtx_init 0070 _Mtx_lock"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 79 08 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? C6 44 24 28 01 48 89 7C 24 30 48 8D 7B 10 BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? C6 44 24 38 01 48 89 7C 24 40 C6 43 18 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 08 8B C8 E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_37_36_1 {
	meta:
		name = "??1_Auto_cnd@std@@QEAA@XZ"
		size = 23
		refs = "000e _Cnd_destroy"
	strings:
		$1 = { 48 83 EC 28 80 39 00 74 09 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_37_37_1 {
	meta:
		name = "??1_Auto_mtx@std@@QEAA@XZ"
		size = 23
		refs = "000e _Mtx_destroy"
	strings:
		$1 = { 48 83 EC 28 80 39 00 74 09 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_37_41_1 {
	meta:
		name = "??1_Pad@std@@QEAA@XZ"
		size = 73
		refs = "000d ??_7_Pad@std@@6B@ 0020 _Mtx_unlock 002b ?_Throw_C_error@std@@YAXH@Z 0033 _Mtx_destroy 0045 _Cnd_destroy"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 59 10 48 8D 79 08 48 89 01 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_37_59_1 {
	meta:
		name = "?_Check_C_return@std@@YAHH@Z"
		size = 25
		refs = "000d ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 85 C9 74 05 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_60_1 {
	meta:
		name = "?_Cnd_initX@std@@YAHPEAPEAU_Cnd_internal_imp_t@@@Z"
		size = 32
		refs = "0007 _Cnd_init 0014 ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_61_1 {
	meta:
		name = "?_Cnd_signalX@std@@YAHPEAPEAU_Cnd_internal_imp_t@@@Z"
		size = 32
		refs = "0007 _Cnd_signal 0014 ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_62_1 {
	meta:
		name = "?_Cnd_waitX@std@@YAHPEAPEAU_Cnd_internal_imp_t@@PEAPEAU_Mtx_internal_imp_t@@@Z"
		size = 32
		refs = "0007 _Cnd_wait 0014 ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_74_1 {
	meta:
		name = "?_Mtx_initX@std@@YAHPEAPEAU_Mtx_internal_imp_t@@H@Z"
		size = 32
		refs = "0007 _Mtx_init 0014 ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_75_1 {
	meta:
		name = "?_Mtx_lockX@std@@YAHPEAPEAU_Mtx_internal_imp_t@@@Z"
		size = 32
		refs = "0007 _Mtx_lock 0014 ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_76_1 {
	meta:
		name = "?_Mtx_unlockX@std@@YAHPEAPEAU_Mtx_internal_imp_t@@@Z"
		size = 32
		refs = "0007 _Mtx_unlock 0014 ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_73_1 {
	meta:
		name = "?_Launch@_Pad@std@@QEAAXPEAU_Thrd_imp_t@@@Z"
		size = 102
		refs = "001b _Call_func 0023 _Thrd_start 0041 _Cnd_wait 004c ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B C2 48 8B D9 4C 8B C1 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? B9 01 00 00 00 83 F8 04 0F 45 C8 85 C9 74 1A EB 13 48 8D 53 10 48 8D 4B 08 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 80 7B 18 00 74 E2 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_37_82_1 {
	meta:
		name = "?_Release@_Pad@std@@QEAAXXZ"
		size = 88
		refs = "0012 _Mtx_lock 001d ?_Throw_C_error@std@@YAXH@Z 002a _Cnd_signal 003e _Mtx_unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 48 8D 4B 08 C6 43 18 01 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_37_83_1 {
	meta:
		name = "?_Thrd_startX@std@@YAHPEAU_Thrd_imp_t@@P6AIPEAX@Z1@Z"
		size = 41
		refs = "0007 _Thrd_start 001d ?_Throw_C_error@std@@YAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? BB 01 00 00 00 83 F8 04 0F 45 D8 85 DB 74 07 8B CB E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_123_1 {
	meta:
		name = "_Call_func"
		size = 35
		refs = "0017 _Cnd_do_broadcast_at_thread_exit"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B 01 FF 10 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_39_0_1 {
	meta:
		name = "_Towlower"
		size = 115
		refs = "005a __crtLCMapStringW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B C2 BA FF FF 00 00 66 89 4C 24 50 66 3B CA 74 50 48 83 78 18 00 BA 00 01 00 00 75 14 66 3B CA 73 0F 8D 41 BF 66 83 F8 19 77 36 66 83 C1 20 EB 30 48 8D 4C 24 50 41 B9 01 00 00 00 4C 8D 44 24 40 44 89 4C 24 28 48 89 4C 24 20 48 8B 48 18 E8 ?? ?? ?? ?? 0F B7 4C 24 50 85 C0 66 0F 44 4C 24 40 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_41_0_1 {
	meta:
		name = "_Strxfrm"
		size = 261
		refs = "0041 ___lc_locale_name_func 004a ___lc_collate_cp_func 0073 memcpy 00a7 __crtLCMapStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 48 8B 84 24 90 00 00 00 49 8B D9 48 8B F2 48 83 CF FF 48 2B F1 49 2B D8 4D 8B F8 4C 8B E1 48 85 C0 75 13 E8 ?? ?? ?? ?? 48 8B 68 08 E8 ?? ?? ?? ?? 44 8B F0 EB 07 48 8B 68 08 44 8B 30 48 85 ED 75 1D 45 85 F6 75 18 48 3B DE 77 0E 4C 8B C3 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 48 8B FB EB 67 C7 44 24 40 01 00 00 00 44 89 74 24 38 83 64 24 30 00 48 83 64 24 28 00 4D 8B CF 41 B8 00 04 00 00 48 8B D5 33 C9 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 74 34 48 63 F8 3B C6 7F 2D C7 44 24 40 01 00 00 00 44 89 74 24 38 89 74 24 30 4D 8B CF 41 B8 00 04 00 00 48 8B D5 33 C9 4C 89 64 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 5C 24 50 48 8B C7 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_42_54_1 {
	meta:
		name = "??0_Init_wcerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_77_54_1 {
	meta:
		name = "??0_Init_cerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_109_54_1 {
	meta:
		name = "??0_Init_ushcerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_42_150_1 {
	meta:
		name = "??__Einit_wcerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_77_153_1 {
	meta:
		name = "??__Einit_cerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_109_150_1 {
	meta:
		name = "??__Einit_ushcerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_43_0_1 {
	meta:
		name = "_Stoflt"
		size = 651
		refs = "0017 __security_cookie 0070 isdigit 00a6 localeconv 026b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 8B 84 24 D0 00 00 00 49 8B F1 4C 89 44 24 28 8D 2C C0 B8 2D 00 00 00 48 8B DA 3B E8 4C 8B E9 48 89 4C 24 20 0F 4F E8 41 83 21 00 41 83 61 04 00 45 33 FF 80 3A 30 75 0C 44 8D 78 D4 48 FF C3 80 3B 30 74 F8 0F B6 0B 33 FF 4C 63 E5 E8 ?? ?? ?? ?? 85 C0 74 2D 45 33 F6 44 8D 7F 01 4D 3B F4 7F 10 8A 03 FF C7 2C 30 49 FF C6 42 88 44 34 2F EB 02 FF 06 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 DA E8 ?? ?? ?? ?? 48 8B 08 8A 01 38 03 75 03 48 FF C3 85 FF 75 13 80 3B 30 75 0E 44 8D 7F 01 FF 0E 48 FF C3 80 3B 30 74 F6 0F B6 0B E8 ?? ?? ?? ?? 85 C0 74 2D 4C 63 F7 41 BF 01 00 00 00 4D 3B F4 7F 10 8A 03 49 FF C6 FF C7 2C 30 FF 0E 42 88 44 34 2F 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 DC 3B EF 7D 12 80 7C 2C 30 05 7C 07 8D 45 FF FE 44 04 30 FF 06 8B FD 48 63 C7 85 FF 7E 1A 48 8D 4C 24 30 80 7C 01 FF 00 75 0C FF 06 48 FF C8 FF CF 48 85 C0 7F ED 85 FF 75 0A BF 01 00 00 00 C6 44 24 30 00 45 85 FF 0F 84 35 01 00 00 41 BE 39 8E E3 38 BD 00 00 00 00 4C 63 DF 41 8B C6 F7 EF D1 FA 8B C2 FF C2 C1 E8 1F 03 C2 44 8D 14 C0 41 8B C6 44 2B D7 41 F7 EA D1 FA 8B C2 C1 E8 1F 03 D0 8D 0C D2 44 3B D1 40 0F 95 C5 45 33 C9 85 FF 7E 46 4C 63 C5 41 8B C6 41 F7 EA D1 FA 8B C2 C1 E8 1F 03 D0 8D 0C D2 44 3B D1 75 0D 42 0F BE 44 0C 30 FF C5 49 FF C0 EB 10 42 8B 04 86 42 0F BE 54 0C 30 8D 0C 80 8D 04 4A 49 FF C1 41 FF C2 42 89 04 86 4D 3B CB 7C BD 8A 03 2C 45 A8 DF 75 67 4C 8B EB 48 FF C3 41 B6 2B 8A 03 41 2A C6 A8 FD 75 06 44 8A 33 48 FF C3 0F B6 0B 45 33 E4 33 FF E8 ?? ?? ?? ?? 85 C0 74 27 44 8D 67 01 81 FF 00 E1 F5 05 7D 0C 0F B6 03 8D 3C BF 8D 7F E8 8D 3C 78 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 DD 41 80 FE 2D 75 02 F7 DF 01 3E 45 85 E4 75 03 49 8B DD 4C 8B 6C 24 20 48 8B 44 24 28 48 85 C0 74 0A 45 85 FF 4C 0F 45 EB 4C 89 28 8B C5 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 ED EB C1 }
	condition:
		$1
}

rule file_45_0_1 {
	meta:
		name = "_Exp"
		size = 308
		refs = "0008 __real@c09cc80000000000 002c __real@409cc80000000000 0036 _Inf 004f __real@3ff71547652b82fe 005d __real@bfe0000000000000 0067 __real@3fe0000000000000 006f _Eps 008d __real@3eb7f7d1cf79abca 0095 __real@3fe62e4000000000 00a7 __xmm@80000000000000008000000000000000 00d1 __real@407a44d67747f890 00d9 __real@403e03de70809891 00e1 __real@40aa45716e3ca325 00ed __real@40cd8e59b89ff950 00f9 __real@40dd8e59b89ff951 0114 __real@4000000000000000 012a _Dscale"
	strings:
		$1 = { F2 0F 10 19 F2 0F 10 05 ?? ?? ?? ?? 0F 28 E1 66 0F 2F C3 0F 87 15 01 00 00 0F 57 C9 66 0F 2E E1 7A 06 0F 84 06 01 00 00 66 0F 2F 1D ?? ?? ?? ?? 76 16 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 11 01 E9 EB 00 00 00 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F C8 76 0A F2 0F 10 0D ?? ?? ?? ?? EB 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C8 F2 0F 2C D1 0F BF C2 66 0F 6E C8 F3 0F E6 C9 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 5C D9 0F 57 05 ?? ?? ?? ?? 66 0F 2F D8 76 0C 66 0F 2F D3 76 06 F2 0F 11 21 EB 63 0F 28 CB 66 FF CA F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D8 0F 28 CA F2 0F 5C D3 F2 0F 58 CB F2 0F 5E CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 48 89 01 C3 }
	condition:
		$1
}

rule file_46_0_1 {
	meta:
		name = "_Thrd_abort"
		size = 51
		refs = "000a __iob_func 0016 fputs 0029 fputc 002e abort"
		altNames = "?_Rng_abort@std@@YAXPEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB 48 8D 50 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 0A 00 00 00 48 8D 50 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_46_1_1 {
	meta:
		name = "_Thrd_create"
		size = 180
		refs = "0021 _Cnd_init 002f _Mtx_init 0058 _Mtx_lock 0063 run 006b _Thrd_start 0080 _Cnd_wait 008f _Mtx_unlock 0098 _Cnd_destroy 00a1 _Mtx_destroy"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 8B EC 48 83 EC 50 83 65 28 00 48 8B F1 48 8D 4D 38 49 8B F8 48 8B DA E8 ?? ?? ?? ?? 48 8D 4D 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 45 38 48 8D 4D 30 48 89 45 E0 48 8D 45 30 48 89 5D D0 48 89 45 E8 48 8D 45 28 48 89 7D D8 48 89 45 F0 E8 ?? ?? ?? ?? 4C 8D 45 D0 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 8B D8 85 C0 75 15 EB 0D 48 8D 55 30 48 8D 4D 38 E8 ?? ?? ?? ?? 83 7D 28 00 74 ED 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8D 4D 30 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 70 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_2_1 {
	meta:
		name = "_Thrd_current"
		size = 128
		refs = "0014 __imp_GetCurrentProcess 001d __imp_GetCurrentThread 004d __imp_DuplicateHandle 005a __imp_CloseHandle 0066 __imp_GetCurrentThreadId"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B F1 FF 15 ?? ?? ?? ?? 48 8B F8 FF 15 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 83 64 24 30 00 4C 8B CE 4C 8B C7 48 8B D3 48 8B C8 C7 44 24 28 01 00 00 00 C7 44 24 20 02 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 0B 48 8B 0E FF 15 ?? ?? ?? ?? EB 04 48 83 26 00 FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 89 46 08 48 8B C6 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_46_3_1 {
	meta:
		name = "_Thrd_detach"
		size = 27
		refs = "0009 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D0 83 E0 04 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_46_5_1 {
	meta:
		name = "_Thrd_exit"
		size = 25
		refs = "0009 _Tss_destroy 0015 _endthreadex"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_6_1 {
	meta:
		name = "_Thrd_join"
		size = 98
		refs = "0018 __imp_WaitForSingleObject 002b __imp_GetExitCodeThread 0043 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B F9 48 8B 09 48 8B DA 83 CA FF FF 15 ?? ?? ?? ?? 83 F8 FF 74 31 48 8B 0F 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 74 1F 48 85 DB 74 06 8B 44 24 30 89 03 48 8B 0F FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D0 83 E0 04 EB 05 B8 04 00 00 00 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_8_1 {
	meta:
		name = "_Thrd_sleep"
		size = 114
		refs = "0009 __security_cookie 0023 xtime_get 0030 _Xtime_diff_to_millis2 0037 __crtSleep 0068 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 8D 4C 24 20 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8D 4C 24 20 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 3B 03 7C D3 75 09 8B 43 08 39 44 24 28 7C C8 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_46_9_1 {
	meta:
		name = "_Thrd_start"
		size = 57
		refs = "0022 _beginthreadex"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 41 08 4D 8B C8 48 8B D9 4C 8B C2 48 89 44 24 28 83 64 24 20 00 33 D2 33 C9 E8 ?? ?? ?? ?? 48 89 03 48 F7 D8 1B C0 F7 D0 83 E0 04 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_46_11_1 {
	meta:
		name = "run"
		size = 127
		refs = "0030 _Mtx_lock 0045 _Cnd_signal 004d _Mtx_unlock 006e _Tss_destroy 0073 _Cnd_do_broadcast_at_thread_exit"
	strings:
		$1 = { 40 53 48 83 EC 70 0F 10 49 10 0F 10 01 0F 11 4C 24 20 66 0F 73 D9 08 0F 11 44 24 30 F2 0F 10 41 20 66 48 0F 7E CB 48 8B CB F2 0F 11 44 24 60 E8 ?? ?? ?? ?? 48 8B 44 24 60 48 8B 4C 24 20 C7 00 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 0F 10 4C 24 30 66 48 0F 7E C8 66 0F 6F C1 66 0F 73 D8 08 66 48 0F 7E C1 FF D0 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_48_0_1 {
	meta:
		name = "_Getwctype"
		size = 52
		refs = "001d __imp_GetStringTypeW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 28 B9 01 00 00 00 4C 8D 4C 24 40 48 8D 54 24 30 44 8B C1 FF 15 ?? ?? ?? ?? 0F BF 54 24 40 F7 D8 1B C9 23 CA 0F B7 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_48_1_1 {
	meta:
		name = "_Getwctypes"
		size = 47
		refs = "0022 __imp_GetStringTypeW"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B DA 4D 8B C8 48 2B C1 48 8B D1 B9 01 00 00 00 48 D1 F8 44 8B C0 FF 15 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_49_0_1 {
	meta:
		name = "?_New_handler_interface@std@@YAH_K@Z"
		size = 20
		refs = "0006 _New_handler"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_49_1_1 {
	meta:
		name = "?get_new_handler@std@@YAP6AXXZXZ"
		size = 47
		refs = "0011 ??0_Lockit@std@@QEAA@H@Z 0018 _New_handler 0022 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_49_2_1 {
	meta:
		name = "?set_new_handler@std@@YAP6AXXZP6AXXZ@Z"
		size = 87
		refs = "0018 ??0_Lockit@std@@QEAA@H@Z 001f _New_handler 002d ?_New_handler_interface@std@@YAH_K@Z 003b ?_set_new_handler@@YAP6AH_K@ZP6AH0@Z@Z 0045 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 F7 DB 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_50_1_1 {
	meta:
		name = "_Stoullx"
		size = 451
		refs = "003d isspace 00cd tolower 00d4 digits 00de memchr 0142 ndigs 017c _errno"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 4D 8B E1 41 8B F0 4C 8B F2 48 8B E9 4D 85 C9 74 04 41 83 21 00 48 8B D9 0F B6 09 EB 06 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 44 8A 3B 41 8D 47 D5 A8 FD 74 05 41 B7 2B EB 03 48 FF C3 85 F6 74 0C 8D 46 FE 83 F8 22 0F 87 CB 00 00 00 B1 30 85 F6 7E 14 83 FE 10 75 33 38 0B 75 2F 8A 43 01 2C 58 A8 DF 75 26 EB 20 38 0B 74 07 BE 0A 00 00 00 EB 19 8A 43 01 2C 58 A8 DF 74 07 BE 08 00 00 00 EB 09 BE 10 00 00 00 48 83 C3 02 48 89 5C 24 20 EB 03 48 FF C3 38 0B 74 F9 0F BE 0B 33 FF 48 89 5C 24 28 48 21 BC 24 88 00 00 00 45 32 ED 48 63 F6 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8B C6 8B D0 E8 ?? ?? ?? ?? 48 85 C0 74 45 48 8D 2D ?? ?? ?? ?? 44 8A E8 48 89 BC 24 88 00 00 00 48 8B CE 44 2A ED 48 FF C3 48 0F AF CF 49 0F BE FD 48 03 F9 0F BE 0B E8 ?? ?? ?? ?? 4C 8B C6 48 8B CD 8B D0 E8 ?? ?? ?? ?? 48 85 C0 75 C7 48 8B 6C 24 70 48 39 5C 24 20 75 0C 4D 85 F6 74 03 49 89 2E 33 C0 EB 6F 48 8D 05 ?? ?? ?? ?? 48 8B CB 48 0F BE 04 06 48 2B C8 48 2B 4C 24 28 78 42 48 85 C9 7F 1E 49 0F BE CD 48 8B C7 48 2B C1 48 3B F8 72 0F 33 D2 48 F7 F6 48 3B 84 24 88 00 00 00 74 1F E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 E4 74 08 41 C7 04 24 01 00 00 00 48 83 CF FF 41 B7 2B 41 80 FF 2D 75 03 48 F7 DF 4D 85 F6 74 03 49 89 1E 48 8B C7 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_51_0_1 {
	meta:
		name = "_FExp"
		size = 273
		refs = "0008 __real@c3650000 0029 __real@43650000 0033 _FInf 004c __real@3fb8aa3b 0059 __real@bf000000 0063 __real@3f000000 006b _FEps 0088 __real@35bfbe8e 0090 __real@3f317200 00a2 __xmm@80000000800000008000000080000000 00c7 __real@42705d55 00cf __real@41403e28 00db __real@42f05d55 00f2 __real@40000000 0108 _FDscale"
	strings:
		$1 = { F3 0F 10 19 F3 0F 10 05 ?? ?? ?? ?? 0F 28 E1 0F 2F C3 0F 87 F4 00 00 00 0F 57 C9 0F 2E E1 7A 06 0F 84 E6 00 00 00 0F 2F 1D ?? ?? ?? ?? 76 16 F3 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F3 0F 11 01 E9 CB 00 00 00 0F 28 C3 F3 0F 59 05 ?? ?? ?? ?? 0F 2F C8 76 0A F3 0F 10 0D ?? ?? ?? ?? EB 08 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? F3 0F 58 C8 F3 0F 2C D1 0F BF C2 66 0F 6E C8 0F 5B C9 0F 28 C1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C D8 0F 28 C2 F3 0F 5C D9 0F 57 05 ?? ?? ?? ?? 0F 2F D8 76 0B 0F 2F D3 76 06 F3 0F 11 21 EB 48 0F 28 C3 66 FF CA F3 0F 59 C3 0F 28 D0 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 D8 F3 0F 58 15 ?? ?? ?? ?? 0F 28 CA F3 0F 5C D3 F3 0F 58 CB F3 0F 5E CA F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 CC F3 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 89 01 C3 }
	condition:
		$1
}

rule file_52_0_1 {
	meta:
		name = "_Sinh"
		size = 407
		refs = "0028 _Dtest 0072 __xmm@80000000000000008000000000000000 0089 _Rteps 0097 __real@3ff0000000000000 00a8 p 00b9 _Poly 00d4 _Xbig 00ea _Exp 00f7 __real@3fd0000000000000 0129 _Feraise 014e __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F2 0F 11 40 08 55 48 8B EC 48 83 EC 40 0F 29 70 E8 0F 29 78 D8 48 8D 4D 10 0F 28 F9 E8 ?? ?? ?? ?? 33 FF 0F BF C8 85 C9 0F 84 3B 01 00 00 FF C9 0F 84 09 01 00 00 FF C9 0F 84 FA 00 00 00 0F 57 C0 66 0F 2E F8 7A 12 75 10 66 0F 2F 45 10 0F 86 10 01 00 00 E9 FD 00 00 00 F2 0F 10 4D 10 66 0F 2F C1 76 13 0F 57 0D ?? ?? ?? ?? BB 01 00 00 00 F2 0F 11 4D 10 EB 03 0F B7 DF F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 77 70 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D1 76 2F F2 0F 59 C9 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 0F 28 C1 0F 28 F1 E8 ?? ?? ?? ?? F2 0F 59 75 10 0F 28 C8 F2 0F 59 CE F2 0F 58 4D 10 EB 33 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 66 0F 2F C1 76 23 0F 28 CA E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C1 F2 0F 5C C8 F2 0F 59 CF EB 29 0F 28 CF E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4D 10 66 85 DB 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 3A F2 0F 10 45 10 EB 33 66 0F 2E 3D ?? ?? ?? ?? 7A 16 75 14 B8 00 80 00 00 66 85 45 16 74 0E 0F 57 3D ?? ?? ?? ?? EB 05 F2 0F 10 7D 10 0F 28 C7 EB 09 F2 0F 10 45 10 F2 0F 59 C7 48 8B 5C 24 58 48 8B 7C 24 60 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_53_0_1 {
	meta:
		name = "_Xp_addh"
		size = 890
		refs = "003d _Dunscale 0055 _Dtest 006c _Pmsw 009b _Feraise 00a3 _Nan 0224 _Dint 0231 _Dscale"
	strings:
		$1 = { F2 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 FF F2 0F 11 55 D8 0F 29 74 24 30 48 63 F2 48 8B F9 85 D2 0F 84 2D 03 00 00 48 8D 55 D8 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B F8 0F 8D 80 00 00 00 66 83 F8 02 74 6C 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 5F 66 83 F8 02 0F 84 F9 02 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 4D 58 41 BE 00 80 00 00 0F B7 18 66 41 23 DE E8 ?? ?? ?? ?? 0F B7 08 66 41 23 CE 66 3B CB 0F 84 CB 02 00 00 41 8D 4F 01 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 07 83 FE 01 0F 8E AD 02 00 00 4C 89 7F 08 E9 A4 02 00 00 F2 0F 10 45 58 F2 0F 11 07 E9 96 02 00 00 66 85 C0 0F 89 8D 02 00 00 41 BC 00 08 00 00 41 8B DF 85 F6 0F 8E 7C 02 00 00 4C 8B F7 4C 8D 6F F8 0F 57 F6 F2 41 0F 10 06 48 8D 55 E0 48 8D 4D 50 F2 0F 11 45 E0 E8 ?? ?? ?? ?? 33 D2 66 3B D0 0F 8C 50 02 00 00 66 85 C0 0F 84 2E 02 00 00 0F BF 55 50 0F BF 45 48 F2 0F 10 4D 58 8B CA 2B C8 83 F9 E6 7F 5D 66 0F 2E CE 7A 02 74 55 8B CB 49 8B C7 48 FF C0 FF C1 48 3B C6 7D 0D F2 0F 10 04 C7 66 0F 2E C6 7A EB 75 E9 8D 46 FF 3B C8 7D 04 FF C1 EB 06 3B CE 75 02 FF C9 48 63 D1 4C 3B FA 7D 11 48 8B 44 D7 F8 48 89 04 D7 48 FF CA 49 3B D7 7F EF F2 41 0F 11 0E F2 0F 11 75 58 E9 B1 01 00 00 B8 1A 00 00 00 3B C8 7C 12 66 0F 2E CE 7A 02 74 0A 44 8B E2 FF C3 E9 8B 01 00 00 F2 41 0F 58 0E 66 0F 2E CE F2 41 0F 11 0E 7A 3C 75 3A 8B CB 49 8B C6 FF C1 48 8D 40 08 3B CE 7D 11 F2 0F 10 00 66 0F 2E C6 F2 0F 11 40 F8 7A E7 75 E5 48 83 64 F7 F8 00 F2 41 0F 10 06 66 0F 2E C6 0F 28 C8 7A 06 0F 84 6D 01 00 00 48 8D 55 58 48 8D 4D 48 F2 0F 11 4D 58 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4C 24 E6 3B CA 0F 8D 97 00 00 00 66 41 2B D4 48 8D 4D 58 66 83 C2 1A E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F2 41 0F 10 06 F2 0F 5C 45 58 66 0F 2E C6 F2 41 0F 11 06 7A 28 75 26 8B CB 49 8B C6 FF C1 48 8D 40 08 3B CE 7D 11 F2 0F 10 00 66 0F 2E C6 F2 0F 11 40 F8 7A E7 75 E5 48 83 64 F7 F8 00 49 FF CF 49 83 ED 08 49 83 EE 08 FF CB 75 0B 41 BC 00 08 00 00 E9 B2 00 00 00 F2 41 0F 10 45 00 48 8D 55 D8 48 8D 4D 50 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 44 0F BF 65 50 E9 90 00 00 00 44 8D 63 01 44 3B E6 0F 84 A6 00 00 00 F2 41 0F 10 06 48 63 C3 48 8D 4D 50 48 8D 1C C7 F2 0F 11 45 58 48 8B D3 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? 0F BF 45 50 F2 0F 10 45 58 F2 41 0F 10 0E 89 45 60 F2 0F 5C C1 66 0F 2E C6 F2 0F 11 45 58 7A 09 75 07 F2 0F 11 4D D8 EB 05 F2 0F 11 45 D8 48 8D 55 D8 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DC 44 8B 65 60 49 FF C7 49 83 C5 08 49 83 C6 08 3B DE 0F 8C A9 FD FF FF EB 19 F2 0F 10 45 58 8D 43 01 48 63 CB F2 0F 11 04 CF 3B C6 7D 05 48 89 54 CF 08 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_92_0_1 {
	meta:
		name = "_LXp_addh"
		size = 890
		refs = "003d _LDunscale 0055 _LDtest 006c _LPmsw 009b _Feraise 00a3 _LNan 0224 _LDint 0231 _LDscale"
	strings:
		$1 = { F2 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 FF F2 0F 11 55 D8 0F 29 74 24 30 48 63 F2 48 8B F9 85 D2 0F 84 2D 03 00 00 48 8D 55 D8 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B F8 0F 8D 80 00 00 00 66 83 F8 02 74 6C 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 5F 66 83 F8 02 0F 84 F9 02 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 4D 58 41 BE 00 80 00 00 0F B7 18 66 41 23 DE E8 ?? ?? ?? ?? 0F B7 08 66 41 23 CE 66 3B CB 0F 84 CB 02 00 00 41 8D 4F 01 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 07 83 FE 01 0F 8E AD 02 00 00 4C 89 7F 08 E9 A4 02 00 00 F2 0F 10 45 58 F2 0F 11 07 E9 96 02 00 00 66 85 C0 0F 89 8D 02 00 00 41 BC 00 08 00 00 41 8B DF 85 F6 0F 8E 7C 02 00 00 4C 8B F7 4C 8D 6F F8 0F 57 F6 F2 41 0F 10 06 48 8D 55 E0 48 8D 4D 50 F2 0F 11 45 E0 E8 ?? ?? ?? ?? 33 D2 66 3B D0 0F 8C 50 02 00 00 66 85 C0 0F 84 2E 02 00 00 0F BF 55 50 0F BF 45 48 F2 0F 10 4D 58 8B CA 2B C8 83 F9 E6 7F 5D 66 0F 2E CE 7A 02 74 55 8B CB 49 8B C7 48 FF C0 FF C1 48 3B C6 7D 0D F2 0F 10 04 C7 66 0F 2E C6 7A EB 75 E9 8D 46 FF 3B C8 7D 04 FF C1 EB 06 3B CE 75 02 FF C9 48 63 D1 4C 3B FA 7D 11 48 8B 44 D7 F8 48 89 04 D7 48 FF CA 49 3B D7 7F EF F2 41 0F 11 0E F2 0F 11 75 58 E9 B1 01 00 00 B8 1A 00 00 00 3B C8 7C 12 66 0F 2E CE 7A 02 74 0A 44 8B E2 FF C3 E9 8B 01 00 00 F2 41 0F 58 0E 66 0F 2E CE F2 41 0F 11 0E 7A 3C 75 3A 8B CB 49 8B C6 FF C1 48 8D 40 08 3B CE 7D 11 F2 0F 10 00 66 0F 2E C6 F2 0F 11 40 F8 7A E7 75 E5 48 83 64 F7 F8 00 F2 41 0F 10 06 66 0F 2E C6 0F 28 C8 7A 06 0F 84 6D 01 00 00 48 8D 55 58 48 8D 4D 48 F2 0F 11 4D 58 E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4C 24 E6 3B CA 0F 8D 97 00 00 00 66 41 2B D4 48 8D 4D 58 66 83 C2 1A E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F2 41 0F 10 06 F2 0F 5C 45 58 66 0F 2E C6 F2 41 0F 11 06 7A 28 75 26 8B CB 49 8B C6 FF C1 48 8D 40 08 3B CE 7D 11 F2 0F 10 00 66 0F 2E C6 F2 0F 11 40 F8 7A E7 75 E5 48 83 64 F7 F8 00 49 FF CF 49 83 ED 08 49 83 EE 08 FF CB 75 0B 41 BC 00 08 00 00 E9 B2 00 00 00 F2 41 0F 10 45 00 48 8D 55 D8 48 8D 4D 50 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 44 0F BF 65 50 E9 90 00 00 00 44 8D 63 01 44 3B E6 0F 84 A6 00 00 00 F2 41 0F 10 06 48 63 C3 48 8D 4D 50 48 8D 1C C7 F2 0F 11 45 58 48 8B D3 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? 0F BF 45 50 F2 0F 10 45 58 F2 41 0F 10 0E 89 45 60 F2 0F 5C C1 66 0F 2E C6 F2 0F 11 45 58 7A 09 75 07 F2 0F 11 4D D8 EB 05 F2 0F 11 45 D8 48 8D 55 D8 48 8D 4D 48 E8 ?? ?? ?? ?? 41 8B DC 44 8B 65 60 49 FF C7 49 83 C5 08 49 83 C6 08 3B DE 0F 8C A9 FD FF FF EB 19 F2 0F 10 45 58 8D 43 01 48 63 CB F2 0F 11 04 CF 3B C6 7D 05 48 89 54 CF 08 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_53_2_1 {
	meta:
		name = "_Xp_getw"
		size = 202
		refs = "0076 _Plsw"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 0F 29 74 24 20 48 8B D9 85 D2 75 08 0F 57 C0 E9 9C 00 00 00 BF 01 00 00 00 3B D7 0F 84 8B 00 00 00 F2 0F 10 01 0F 57 D2 66 0F 2E C2 7A 02 74 7C F2 0F 10 71 08 66 0F 2E F2 7A 02 74 6F 83 FA 02 74 61 F2 0F 10 49 10 66 0F 2E CA 7A 02 74 54 F2 0F 58 F0 F2 0F 10 41 18 F2 0F 11 4C 24 50 66 0F 2E C2 7A 02 74 13 48 8D 4C 24 50 E8 ?? ?? ?? ?? 66 09 38 F2 0F 10 4C 24 50 F2 0F 10 53 08 0F 28 C6 F2 0F 5C 03 66 0F 2E C2 7A 0B 75 09 F2 0F 58 CE 0F 28 C1 EB 1A F2 0F 58 D1 F2 0F 58 13 0F 28 C2 EB 0D F2 0F 58 F0 0F 28 C6 EB 04 F2 0F 10 01 48 8B 5C 24 40 0F 28 74 24 20 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_92_2_1 {
	meta:
		name = "_LXp_getw"
		size = 202
		refs = "0076 _LPlsw"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 0F 29 74 24 20 48 8B D9 85 D2 75 08 0F 57 C0 E9 9C 00 00 00 BF 01 00 00 00 3B D7 0F 84 8B 00 00 00 F2 0F 10 01 0F 57 D2 66 0F 2E C2 7A 02 74 7C F2 0F 10 71 08 66 0F 2E F2 7A 02 74 6F 83 FA 02 74 61 F2 0F 10 49 10 66 0F 2E CA 7A 02 74 54 F2 0F 58 F0 F2 0F 10 41 18 F2 0F 11 4C 24 50 66 0F 2E C2 7A 02 74 13 48 8D 4C 24 50 E8 ?? ?? ?? ?? 66 09 38 F2 0F 10 4C 24 50 F2 0F 10 53 08 0F 28 C6 F2 0F 5C 03 66 0F 2E C2 7A 0B 75 09 F2 0F 58 CE 0F 28 C1 EB 1A F2 0F 58 D1 F2 0F 58 13 0F 28 C2 EB 0D F2 0F 58 F0 0F 28 C6 EB 04 F2 0F 10 01 48 8B 5C 24 40 0F 28 74 24 20 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_53_8_1 {
	meta:
		name = "_Xp_setn"
		size = 32
		refs = "0013 _Xp_setw"
	strings:
		$1 = { 40 53 48 83 EC 20 66 41 0F 6E D0 48 8B D9 F3 0F E6 D2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_92_8_1 {
	meta:
		name = "_LXp_setn"
		size = 32
		refs = "0013 _LXp_setw"
	strings:
		$1 = { 40 53 48 83 EC 20 66 41 0F 6E D0 48 8B D9 F3 0F E6 D2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_56_0_1 {
	meta:
		name = "_Stopfx"
		size = 356
		refs = "002d isspace 0086 isxdigit 011f isalnum"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 48 8B 19 4C 8B F2 4C 8B F9 33 FF EB 03 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 80 3B 2D 75 05 8D 78 08 EB 05 80 3B 2B 75 03 48 FF C3 8A 03 41 B0 4E B2 DF 41 2A C0 84 C2 0F 84 9B 00 00 00 8A 03 41 B1 49 41 2A C1 84 C2 74 3C 80 3B 30 75 2F 8A 43 01 2C 58 84 C2 75 26 48 8D 73 02 48 8B C6 80 3E 2E 75 03 48 FF C0 0F B6 08 E8 ?? ?? ?? ?? 85 C0 74 0B 48 8B DE 83 CF 02 E9 AB 00 00 00 83 CF 01 E9 A3 00 00 00 8A 43 01 41 2A C0 84 C2 0F 85 88 00 00 00 8A 43 02 2C 46 84 C2 75 7F 48 83 C3 03 83 CF 03 8A 03 41 2A C1 84 C2 75 74 8A 43 01 41 2A C0 84 C2 75 6A 8A 43 02 41 2A C1 84 C2 75 60 8A 43 03 2C 54 84 C2 75 57 8A 43 04 2C 59 84 C2 75 4E 48 83 C3 05 EB 48 8A 43 01 2C 41 84 C2 75 3A 8A 43 02 41 2A C0 84 C2 75 30 48 83 C3 03 BF 04 00 00 00 80 3B 28 48 8B F3 75 24 48 FF C6 0F B6 0E E8 ?? ?? ?? ?? 85 C0 75 F1 80 3E 5F 74 EC 80 3E 29 75 0B 48 8D 5E 01 EB 05 49 8B 1F 33 FF 4D 85 F6 74 03 49 89 1E 48 8B 74 24 38 4C 8B 74 24 48 49 89 1F 48 8B 5C 24 30 8B C7 48 8B 7C 24 40 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_57_8_1 {
	meta:
		name = "??$?0AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@2@@?$_Ref_count_obj@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
		size = 138
		refs = "0032 ??_7?$_Ref_count_obj@U?$_Task_impl@E@details@Concurrency@@@std@@6B@ 005b ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 0074 ??0?$_Task_impl@E@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 56 57 41 56 48 83 EC 40 49 C7 43 C8 FE FF FF FF 49 89 5B 10 49 8B F0 4C 8B F2 48 8B D9 B8 01 00 00 00 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 79 10 49 89 7B 20 48 85 FF 74 33 0F 57 C0 F3 0F 7F 44 24 28 4D 8B 40 08 48 8B 16 49 8D 4B D0 E8 ?? ?? ?? ?? 48 8B 46 10 48 89 44 24 38 4C 8D 44 24 28 49 8B 16 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 68 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_57_11_1 {
	meta:
		name = "??$?0AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@2@@?$_Ref_count_obj@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
		size = 138
		refs = "0032 ??_7?$_Ref_count_obj@U?$_Task_impl@_N@details@Concurrency@@@std@@6B@ 005b ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 0074 ??0?$_Task_impl@_N@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 56 57 41 56 48 83 EC 40 49 C7 43 C8 FE FF FF FF 49 89 5B 10 49 8B F0 4C 8B F2 48 8B D9 B8 01 00 00 00 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 79 10 49 89 7B 20 48 85 FF 74 33 0F 57 C0 F3 0F 7F 44 24 28 4D 8B 40 08 48 8B 16 49 8D 4B D0 E8 ?? ?? ?? ?? 48 8B 46 10 48 89 44 24 38 4C 8D 44 24 28 49 8B 16 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 68 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_57_10_1 {
	meta:
		name = "?dtor$1@?0???$?0AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@2@@?$_Ref_count_obj@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX0@Z"
		altNames = "?dtor$1@?0???$?0AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@2@@?$_Ref_count_obj@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 60 48 83 C2 10 48 8B 4D 78 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_57_28_1 {
	meta:
		name = "??$?0AEBVexception_ptr@std@@V_TaskCreationCallstack@details@Concurrency@@@?$_Ref_count_obj@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@AEBVexception_ptr@1@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z"
		size = 124
		refs = "0030 ??_7?$_Ref_count_obj@U_ExceptionHolder@details@Concurrency@@@std@@6B@ 004f ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z 0064 ??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 57 48 83 EC 30 49 C7 43 E8 FE FF FF FF 49 89 5B 10 49 89 73 18 49 8B F0 48 8B D9 B8 01 00 00 00 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 79 10 49 89 7B 20 48 85 FF 74 25 C7 07 00 00 00 00 48 8D 4F 08 E8 ?? ?? ?? ?? 90 48 8B 06 48 89 47 18 48 8D 56 08 48 8D 4F 20 E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_30_1 {
	meta:
		name = "?dtor$1@?0???$?0AEBVexception_ptr@std@@V_TaskCreationCallstack@details@Concurrency@@@?$_Ref_count_obj@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@AEBVexception_ptr@1@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 83 C2 10 48 8B 4D 58 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_57_31_1 {
	meta:
		name = "?dtor$2@?0???$?0AEBVexception_ptr@std@@V_TaskCreationCallstack@details@Concurrency@@@?$_Ref_count_obj@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@AEBVexception_ptr@1@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z@4HA"
		size = 16
		refs = "000c ??1exception_ptr@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 58 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_42_1 {
	meta:
		name = "??$?0U?$_Task_impl@E@details@Concurrency@@X@?$weak_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@AEBV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@@Z"
		size = 90
		altNames = "??$?0U?$_Task_impl@_N@details@Concurrency@@X@?$weak_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@AEBV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@1@@Z ??0?$weak_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 21 00 48 83 61 08 00 48 8B 7A 08 48 8B 32 48 8B D9 48 85 FF 74 04 F0 FF 47 0C 48 8B 49 08 48 85 C9 74 0C F0 FF 49 0C 75 06 48 8B 01 FF 50 08 48 89 33 48 8B 74 24 38 48 89 7B 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_45_1 {
	meta:
		name = "??$?0U_Task_impl_base@details@Concurrency@@@?$shared_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@AEBV?$weak_ptr@U_Task_impl_base@details@Concurrency@@@1@_N@Z"
		size = 42
		refs = "001d ?_Reset@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@2@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 45 8A C8 4C 8B 42 08 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_85_1 {
	meta:
		name = "??$_Allocate@PEAX@std@@YAPEAPEAX_KPEAPEAX@Z"
		size = 51
		refs = "001f ??2@YAPEAX_K@Z 002e ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 C9 74 1D 48 B8 FF FF FF FF FF FF FF 1F 48 3B C8 77 13 48 C1 E1 03 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_104_1 {
	meta:
		name = "??$_AsyncInit@_N_N@_Task_impl_base@details@Concurrency@@SAXAEBV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@AEBV?$task@_N@2@@Z"
		size = 197
		refs = "002b ?_Reset@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@2@@Z 0049 ??$_Then@V<lambda_a858abf81192e87133d06aa552e9ab6a>@@@?$task@_N@Concurrency@@QEBA?AV?$task@X@1@AEBV<lambda_a858abf81192e87133d06aa552e9ab6a>@@PEAV_CancellationTokenState@details@1@W4_TaskInliningMode@51@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 C8 FE FF FF FF 48 89 58 08 48 8B DA 0F 57 C0 F3 0F 7F 40 D0 4C 8B 41 08 48 8B 11 48 8D 48 D0 E8 ?? ?? ?? ?? 90 C7 44 24 20 10 00 00 00 45 33 C9 4C 8D 44 24 38 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 83 CF FF 48 8B 5C 24 50 48 85 DB 74 28 8B C7 F0 0F C1 43 08 03 C7 75 1D 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 0A 48 8B 03 48 8B CB FF 50 08 90 48 8B 4C 24 40 48 85 C9 74 2E 8B C7 F0 0F C1 41 08 03 C7 75 23 48 8B 5C 24 40 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 0B 48 8B 4C 24 40 48 8B 01 FF 50 08 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_57_106_1 {
	meta:
		name = "??$_Cancel@V?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@@?$task_completion_event@E@Concurrency@@QEBA_NV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV_TaskCreationCallstack@details@1@@Z"
		size = 167
		refs = "0039 ?_Reset@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXPEAU_ExceptionHolder@details@Concurrency@@PEAV_Ref_count_base@2@@Z 0049 ??$_StoreException@V?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@@?$task_completion_event@E@Concurrency@@QEBA_NV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV_TaskCreationCallstack@details@1@@Z 0055 ?_CancelInternal@?$task_completion_event@E@Concurrency@@AEBA_NXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 70 18 49 8B D8 48 8B F2 48 8B F9 0F 57 C0 F3 0F 7F 40 E0 4C 8B 42 08 48 8B 12 48 8D 48 E0 E8 ?? ?? ?? ?? 4C 8B C3 48 8D 54 24 28 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 0D 48 8B CF E8 ?? ?? ?? ?? 40 8A F8 EB 03 40 32 FF 48 8B 5E 08 48 85 DB 74 2A 83 CE FF 8B C6 F0 0F C1 43 08 03 C6 75 1C 48 8B 03 48 8B CB FF 10 8B C6 F0 0F C1 43 0C 03 C6 75 09 48 8B 03 48 8B CB FF 50 08 40 8A C7 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_57_108_1 {
	meta:
		name = "??$_Copy_impl@PEAPEAXPEAPEAX@std@@YAPEAPEAXPEAPEAX00@Z"
		size = 56
		refs = "0025 memmove"
		altNames = "??$_Copy_impl@PEAPEAXPEAPEAX@std@@YAPEAPEAXPEAPEAX00U_Scalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 2B D1 49 8B F8 48 C1 FA 03 48 8B DA 48 8B D1 48 8B CF 48 C1 E3 03 4C 8B C3 E8 ?? ?? ?? ?? 48 8D 04 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_112_1 {
	meta:
		name = "??$_Destroy_range@U?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@YAXPEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@0@0AEAU?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@0@@Z"
		size = 93
		altNames = "??$_Destroy_range@U?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@YAXPEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@0@0AEAU?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@0@U_Nonscalar_ptr_iterator_tag@0@@Z ??$_Destroy_range@U?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@YAXPEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@0@0AEAU?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@0@@Z ??$_Destroy_range@U?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@YAXPEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@0@0AEAU?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@0@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 48 3B CA 74 57 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8D 79 08 48 8B 1F 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C7 10 48 8D 47 F8 48 3B C6 75 CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_136_1 {
	meta:
		name = "??$_MakeTToUnitFunc@V?$task@_N@Concurrency@@@details@Concurrency@@YA?AV?$function@$$A6AEV?$task@_N@Concurrency@@@Z@std@@AEBV?$function@$$A6AXV?$task@_N@Concurrency@@@Z@3@@Z"
		size = 175
		refs = "001a __security_cookie 0073 ??$_Do_alloc@V?$_Func_impl@U?$_Callable_obj@V<lambda_485a9cdc6cbb81f288aeb937516efb58>@@$0A@@std@@V?$allocator@V?$_Func_class@EV?$task@_N@Concurrency@@@std@@@2@EV?$task@_N@Concurrency@@@std@@V<lambda_485a9cdc6cbb81f288aeb937516efb58>@@V?$allocator@V?$_Func_class@EV?$task@_N@Concurrency@@@std@@@2@@?$_Func_class@EV?$task@_N@Concurrency@@@std@@AEAAX$$QEAV<lambda_485a9cdc6cbb81f288aeb937516efb58>@@V?$allocator@V?$_Func_class@EV?$task@_N@Concurrency@@@std@@@1@@Z 009d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 70 48 C7 45 B8 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B D9 48 89 4D C8 83 65 B4 00 48 8D 45 D0 48 89 45 C0 48 83 65 E8 00 48 8B 4A 18 48 85 C9 75 06 48 21 4D E8 EB 16 48 8B 01 48 3B CA 75 06 48 8D 55 D0 EB 02 33 D2 FF 10 48 89 45 E8 48 83 63 18 00 4C 8D 45 B0 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 4D E8 48 85 C9 74 11 4C 8B 01 48 8D 45 D0 48 3B C8 0F 95 C2 41 FF 50 20 48 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_57_179_1 {
	meta:
		name = "??$_Resetw@U?$_Task_impl@E@details@Concurrency@@@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXAEBV?$_Ptr_base@U?$_Task_impl@E@details@Concurrency@@@1@@Z"
		size = 78
		altNames = "??$_Resetw@U?$_Task_impl@_N@details@Concurrency@@@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXAEBV?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@1@@Z ??$_Resetw@U_Task_impl_base@details@Concurrency@@@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXAEBV01@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 5A 08 48 8B 32 48 8B F9 48 85 DB 74 04 F0 FF 43 0C 48 8B 49 08 48 85 C9 74 0C F0 FF 49 0C 75 06 48 8B 01 FF 50 08 48 89 5F 08 48 8B 5C 24 30 48 89 37 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_180_1 {
	meta:
		name = "??$_Resetw@U?$_Task_impl@E@details@Concurrency@@@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@E@details@Concurrency@@PEAV_Ref_count_base@1@@Z"
		size = 78
		altNames = "??$_Resetw@U?$_Task_impl@_N@details@Concurrency@@@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@1@@Z ??$_Resetw@U_Task_impl_base@details@Concurrency@@@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@1@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 48 8B F2 48 8B F9 4D 85 C0 74 05 F0 41 FF 40 0C 48 8B 49 08 48 85 C9 74 0C F0 FF 49 0C 75 06 48 8B 01 FF 50 08 48 89 5F 08 48 8B 5C 24 30 48 89 37 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_185_1 {
	meta:
		name = "??$_StoreException@V?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@@?$task_completion_event@E@Concurrency@@QEBA_NV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV_TaskCreationCallstack@details@1@@Z"
		size = 317
		refs = "0031 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0064 ?_ToExceptionHolder@?$task_completion_event@E@Concurrency@@CA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV34@AEBV_TaskCreationCallstack@details@2@@Z 0073 ??4?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z 00b2 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 08 48 89 70 18 49 8B F8 48 8B F2 48 8B D9 48 8B 11 48 83 C2 20 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8B 03 80 78 70 00 0F 85 A8 00 00 00 80 78 71 00 0F 85 9E 00 00 00 48 83 78 60 00 0F 85 93 00 00 00 4C 8B C7 48 8B D6 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 0B 48 83 C1 60 48 8B D0 E8 ?? ?? ?? ?? 83 CB FF 48 8B 7C 24 30 48 85 FF 74 28 8B C3 F0 0F C1 47 08 03 C3 75 1D 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 0A 48 8B 07 48 8B CF FF 50 08 90 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B 7E 08 48 85 FF 74 27 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 B0 01 EB 40 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B 7E 08 48 85 FF 74 2A 83 CB FF 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 32 C0 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_57_188_1 {
	meta:
		name = "??$_StoreException@V?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@QEBA_NV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV_TaskCreationCallstack@details@1@@Z"
		size = 317
		refs = "0031 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0064 ?_ToExceptionHolder@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@CA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV34@AEBV_TaskCreationCallstack@details@2@@Z 0073 ??4?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z 00b2 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 08 48 89 70 18 49 8B F8 48 8B F2 48 8B D9 48 8B 11 48 83 C2 20 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8B 03 80 78 78 00 0F 85 A8 00 00 00 80 78 79 00 0F 85 9E 00 00 00 48 83 78 68 00 0F 85 93 00 00 00 4C 8B C7 48 8B D6 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 0B 48 83 C1 68 48 8B D0 E8 ?? ?? ?? ?? 83 CB FF 48 8B 7C 24 30 48 85 FF 74 28 8B C3 F0 0F C1 47 08 03 C3 75 1D 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 0A 48 8B 07 48 8B CF FF 50 08 90 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B 7E 08 48 85 FF 74 27 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 B0 01 EB 40 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B 7E 08 48 85 FF 74 2A 83 CB FF 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 32 C0 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_57_226_1 {
	meta:
		name = "??$_Ucopy@PEAPEAX@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAAPEAPEAXPEAPEAX00@Z"
		size = 40
		refs = "001b memmove"
		altNames = "??$_Ucopy@V?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@std@@@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAAPEAPEAXV?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@1@0PEAPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 2B C2 49 8B C9 49 C1 F8 03 49 8B D8 48 C1 E3 03 4C 8B C3 E8 ?? ?? ?? ?? 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_227_1 {
	meta:
		name = "??$_Ucopy@V?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@std@@@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAAPEAPEAXV?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@1@0PEAPEAX@Z"
		size = 41
		refs = "001c memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B 58 10 48 8B 52 10 49 8B C9 48 2B DA 48 83 E3 F8 4C 8B C3 E8 ?? ?? ?? ?? 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_230_1 {
	meta:
		name = "??$_Uninit_copy@PEAPEAXPEAPEAXU?$_Wrap_alloc@V?$allocator@PEAX@std@@@std@@@std@@YAPEAPEAXPEAPEAX00AEAU?$_Wrap_alloc@V?$allocator@PEAX@std@@@0@@Z"
		size = 46
		refs = "0021 memmove"
		altNames = "??$_Uninit_copy@PEAXPEAX@std@@YAPEAPEAXPEAPEAX00AEAU?$_Wrap_alloc@V?$allocator@PEAX@std@@@0@U_Scalar_ptr_iterator_tag@0@@Z ??$_Uninit_copy@PEBQEAXPEAPEAXU?$_Wrap_alloc@V?$allocator@PEAX@std@@@std@@@std@@YAPEAPEAXPEBQEAX0PEAPEAXAEAU?$_Wrap_alloc@V?$allocator@PEAX@std@@@0@@Z ??$_Uninit_copy@QEAXPEAX@std@@YAPEAPEAXPEBQEAX0PEAPEAXAEAU?$_Wrap_alloc@V?$allocator@PEAX@std@@@0@U_Scalar_ptr_iterator_tag@0@@Z ??$_Uninitialized_copy@PEAPEAXPEAPEAXU?$_Wrap_alloc@V?$allocator@PEAX@std@@@std@@@std@@YAPEAPEAXPEAPEAX00AEAU?$_Wrap_alloc@V?$allocator@PEAX@std@@@0@@Z ??$_Uninitialized_copy@V?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@std@@PEAPEAXU?$_Wrap_alloc@V?$allocator@PEAX@std@@@2@@std@@YAPEAPEAXV?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@0@0PEAPEAXAEAU?$_Wrap_alloc@V?$allocator@PEAX@std@@@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 2B D1 49 8B C0 48 C1 FA 03 48 8B DA 48 8B D1 48 8B C8 48 C1 E3 03 4C 8B C3 E8 ?? ?? ?? ?? 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_235_1 {
	meta:
		name = "??$_Uninitialized_copy@V?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@std@@PEAPEAXU?$_Wrap_alloc@V?$allocator@PEAX@std@@@2@@std@@YAPEAPEAXV?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@0@0PEAPEAXAEAU?$_Wrap_alloc@V?$allocator@PEAX@std@@@0@@Z"
		size = 44
		refs = "001f memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 5A 10 48 8B 51 10 49 8B C0 48 2B DA 48 8B C8 48 83 E3 F8 4C 8B C3 E8 ?? ?? ?? ?? 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_261_1 {
	meta:
		name = "??$destroy@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@QEAAXPEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@@Z"
		size = 50
		altNames = "??$destroy@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@QEAAXPEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@@Z ??$destroy@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@?$allocator_traits@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@SAXAEAV?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@1@PEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@@Z ??$destroy@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@?$_Wrap_alloc@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@QEAAXPEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@1@@Z ??$destroy@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@QEAAXPEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@1@@Z ??$destroy@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@?$allocator_traits@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@SAXAEAV?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@1@PEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@1@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 5A 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_309_1 {
	meta:
		name = "??$make_shared@U?$_Task_impl@E@details@Concurrency@@AEAPEAV_CancellationTokenState@23@AEAUscheduler_ptr@3@@std@@YA?AV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@0@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
		size = 105
		refs = "002e ??2@YAPEAX_K@Z 0046 ??$?0AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@2@@?$_Ref_count_obj@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 10 49 8B F0 48 8B EA 48 8B D9 33 FF 89 78 D8 B9 68 01 00 00 E8 ?? ?? ?? ?? 48 89 44 24 68 48 85 C0 74 11 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 08 48 8D 47 10 48 89 03 48 8B C3 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_57_312_1 {
	meta:
		name = "??$make_shared@U?$_Task_impl@_N@details@Concurrency@@AEAPEAV_CancellationTokenState@23@AEAUscheduler_ptr@3@@std@@YA?AV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@0@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
		size = 105
		refs = "002e ??2@YAPEAX_K@Z 0046 ??$?0AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@2@@?$_Ref_count_obj@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 10 49 8B F0 48 8B EA 48 8B D9 33 FF 89 78 D8 B9 68 01 00 00 E8 ?? ?? ?? ?? 48 89 44 24 68 48 85 C0 74 11 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 08 48 8D 47 10 48 89 03 48 8B C3 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_57_311_1 {
	meta:
		name = "?dtor$1@?0???$make_shared@U?$_Task_impl@E@details@Concurrency@@AEAPEAV_CancellationTokenState@23@AEAUscheduler_ptr@3@@std@@YA?AV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@0@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z@4HA"
		size = 38
		refs = "001c ??1?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_103_328_1 {
	meta:
		name = "?dtor$0@?0??global@locale@std@@SA?AV12@AEBV12@@Z@4HA"
		size = 38
		refs = "001c ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_57_314_1 {
	meta:
		name = "?dtor$1@?0???$make_shared@U?$_Task_impl@_N@details@Concurrency@@AEAPEAV_CancellationTokenState@23@AEAUscheduler_ptr@3@@std@@YA?AV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@0@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z@4HA"
		size = 38
		refs = "001c ??1?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_57_317_1 {
	meta:
		name = "?dtor$1@?0???$make_shared@U_ExceptionHolder@details@Concurrency@@AEBVexception_ptr@std@@V_TaskCreationCallstack@23@@std@@YA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@0@AEBVexception_ptr@0@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z@4HA"
		size = 38
		refs = "001c ??1?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_57_315_1 {
	meta:
		name = "??$make_shared@U_ExceptionHolder@details@Concurrency@@AEBVexception_ptr@std@@V_TaskCreationCallstack@23@@std@@YA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@0@AEBVexception_ptr@0@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z"
		size = 103
		refs = "002c ??2@YAPEAX_K@Z 0044 ??$?0AEBVexception_ptr@std@@V_TaskCreationCallstack@details@Concurrency@@@?$_Ref_count_obj@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@AEBVexception_ptr@1@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 10 49 8B F0 48 8B EA 48 8B D9 33 FF 89 78 D8 8D 4F 50 E8 ?? ?? ?? ?? 48 89 44 24 68 48 85 C0 74 11 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 08 48 8D 47 10 48 89 03 48 8B C3 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_57_472_1 {
	meta:
		name = "??0?$_Task_impl@E@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z"
		size = 166
		refs = "0039 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 0052 ??0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z 0059 ??_7?$_Task_impl@E@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 70 10 49 8B F8 48 8B DA 48 8B F1 0F 57 C0 F3 0F 7F 40 E0 4D 8B 40 08 48 8B 17 48 8D 48 E0 E8 ?? ?? ?? ?? 48 8B 47 10 48 89 44 24 38 4C 8D 44 24 28 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8B 5F 08 48 85 DB 74 2A 83 CF FF 8B C7 F0 0F C1 43 08 03 C7 75 1C 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_57_474_1 {
	meta:
		name = "??0?$_Task_impl@_N@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z"
		size = 166
		refs = "0039 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 0052 ??0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z 0059 ??_7?$_Task_impl@_N@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 70 10 49 8B F8 48 8B DA 48 8B F1 0F 57 C0 F3 0F 7F 40 E0 4D 8B 40 08 48 8B 17 48 8D 48 E0 E8 ?? ?? ?? ?? 48 8B 47 10 48 89 44 24 38 4C 8D 44 24 28 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8B 5F 08 48 85 DB 74 2A 83 CF FF 8B C7 F0 0F C1 43 08 03 C7 75 1C 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_57_476_1 {
	meta:
		name = "??0?$_Vector_alloc@$0A@U?$_Vec_base_types@PEAXV?$allocator@PEAX@std@@@std@@@std@@QEAA@AEBV?$allocator@PEAX@1@@Z"
		size = 74
		refs = "0022 ??2@YAPEAX_K@Z 0045 ?_Xbad_alloc@std@@YAXXZ"
		altNames = "??0?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@@std@@QEAA@AEBV?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@1@@Z ??0?$_Vector_alloc@$0A@U?$_Vec_base_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@@std@@QEAA@AEBV?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@1@@Z ??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@XZ ??0?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA@XZ ??0?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 48 83 61 10 00 48 83 61 18 00 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 19 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 8B C3 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_480_1 {
	meta:
		name = "??0?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@std@@QEAA@PEAPEAXPEBU_Container_base12@1@@Z"
		size = 28
		altNames = "??0?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEAA@PEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@PEBU_Container_base12@1@@Z ??0?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEAA@PEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@1@PEBU_Container_base12@1@@Z ??0?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEAA@PEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@PEBU_Container_base12@1@@Z ??0?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEAA@PEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@1@PEBU_Container_base12@1@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 48 89 51 10 4D 85 C0 74 06 49 8B 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_57_485_1 {
	meta:
		name = "??0?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@QEAA@XZ"
		size = 21
		altNames = "??0?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@QEAA@XZ ??0?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 89 41 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_57_526_1 {
	meta:
		name = "??0?$function@$$A6A?AV?$task@_N@Concurrency@@XZ@std@@QEAA@AEBV01@@Z"
		size = 72
		altNames = "??0?$function@$$A6A?AV?$task@_N@Concurrency@@_N@Z@std@@QEAA@AEAV01@@Z ??0?$function@$$A6AXAEB_K@Z@std@@QEAA@AEBV01@@Z ??0?$function@$$A6AXE@Z@std@@QEAA@AEBV01@@Z ??0?$function@$$A6AXU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Z@std@@QEAA@AEBV01@@Z ??0?$function@$$A6AXV?$task@X@Concurrency@@@Z@std@@QEAA@AEBV01@@Z ??0?$function@$$A6AXV?$task@_N@Concurrency@@@Z@std@@QEAA@AEBV01@@Z ??0?$function@$$A6AXXZ@std@@QEAA@AEBV01@@Z ??0?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@QEAA@AEBV01@@Z ??0?$function@$$A6A_NAEB_K@Z@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 61 18 00 48 8B 4A 18 48 85 C9 75 06 48 21 4B 18 EB 15 48 8B 01 48 3B CA 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_564_1 {
	meta:
		name = "??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@AEBV01@@Z"
		size = 195
		refs = "0037 ??2@YAPEAX_K@Z 0041 ?_Xbad_alloc@std@@YAXXZ 0066 ?_Buy@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAA_N_K@Z 0077 ?end@?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEBA?AV?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@2@XZ 0087 ?begin@?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEBA?AV?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@2@XZ 00a2 memmove"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B F9 33 DB 48 89 19 48 89 59 08 48 89 59 10 48 89 59 18 8D 4B 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 07 0F 57 C0 F3 0F 7F 00 48 8B 07 48 89 38 48 8B 56 10 48 2B 56 08 48 C1 FA 03 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 40 48 8D 54 24 28 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 48 8B 5B 10 48 8B 50 10 48 2B DA 48 83 E3 F8 4C 8B C3 48 8B 4F 08 E8 ?? ?? ?? ?? 48 8D 0C 18 48 89 4F 10 48 8B C7 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_57_567_1 {
	meta:
		name = "__catch$??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@AEBV01@@Z$0"
		size = 43
		refs = "000e ??3@YAXPEAX@Z 0026 _CxxThrowException"
	strings:
		$1 = { 48 8B 5D 70 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_57_579_1 {
	meta:
		name = "??0_ContinuationTaskHandleBase@details@Concurrency@@QEAA@XZ"
		size = 45
		refs = "0005 ??$_InvokeBridge@U_TaskProcHandle@details@Concurrency@@@_UnrealizedChore@details@Concurrency@@KAXPEAX@Z 0014 ??_7_ContinuationTaskHandleBase@details@Concurrency@@6B@"
	strings:
		$1 = { 33 D2 48 8D 05 ?? ?? ?? ?? C6 41 20 01 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 51 10 48 89 01 48 89 51 28 88 51 31 48 8B C1 89 51 34 C3 }
	condition:
		$1
}

rule file_57_580_1 {
	meta:
		name = "??0_ExceptionHolder@details@Concurrency@@QEAA@AEBVexception_ptr@std@@AEBV_TaskCreationCallstack@12@@Z"
		size = 81
		refs = "0029 ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z 003e ??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 49 8B D8 48 8B F9 C7 01 00 00 00 00 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 8B 03 48 89 47 18 48 8D 53 08 48 8D 4F 20 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_586_1 {
	meta:
		name = "??0_Internal_task_options@details@Concurrency@@QEAA@XZ"
		size = 95
		refs = "002a ??2@YAPEAX_K@Z 005a ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 59 10 48 8B F9 B9 10 00 00 00 48 83 23 00 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 E8 ?? ?? ?? ?? 48 85 C0 74 26 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 83 67 08 00 48 8B 5C 24 30 C6 07 00 48 8B C7 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_592_1 {
	meta:
		name = "??0_StackGuard@details@Concurrency@@QEAA@XZ"
		size = 29
		refs = "000a ?_GetCurrentInlineDepth@_StackGuard@details@Concurrency@@CAAEA_KXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 03 48 FF 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_594_1 {
	meta:
		name = "??0_TaskCollectionImpl@details@Concurrency@@QEAA@Uscheduler_ptr@2@@Z"
		size = 170
		refs = "0027 ??0event@Concurrency@@QEAA@XZ 0058 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 90 48 8D 4E 48 E8 ?? ?? ?? ?? 48 83 A6 90 00 00 00 00 48 8D 9E 98 00 00 00 48 83 23 00 48 83 63 08 00 4C 8B 47 08 48 8B 17 48 8B CB E8 ?? ?? ?? ?? 48 8B 47 10 48 89 43 10 48 8B 5F 08 48 85 DB 74 2A 83 CF FF 8B C7 F0 0F C1 43 08 03 C7 75 1C 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_597_1 {
	meta:
		name = "??0_TaskCreationCallstack@details@Concurrency@@QEAA@AEBV012@@Z"
		size = 37
		refs = "0018 ??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 02 48 8B D9 48 83 C2 08 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_791_1 {
	meta:
		name = "??4_TaskCreationCallstack@details@Concurrency@@QEAAAEAV012@AEBV012@@Z"
		size = 37
		refs = "0018 ??4?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 02 48 8B D9 48 83 C2 08 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_598_1 {
	meta:
		name = "??0_TaskCreationCallstack@details@Concurrency@@QEAA@XZ"
		size = 91
		refs = "002a ??2@YAPEAX_K@Z 0056 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 59 08 48 8B F9 B9 10 00 00 00 48 83 23 00 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 E8 ?? ?? ?? ?? 48 85 C0 74 22 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 83 27 00 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_600_1 {
	meta:
		name = "??0_TaskProcHandle@details@Concurrency@@QEAA@XZ"
		size = 34
		refs = "0008 ??_7_TaskProcHandle@details@Concurrency@@6B@ 0016 ??$_InvokeBridge@U_TaskProcHandle@details@Concurrency@@@_UnrealizedChore@details@Concurrency@@KAXPEAX@Z"
	strings:
		$1 = { 48 83 61 10 00 48 8D 05 ?? ?? ?? ?? C6 41 20 01 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_57_601_1 {
	meta:
		name = "??0_TaskProcThunk@details@Concurrency@@QEAA@AEBV?$function@$$A6AXXZ@std@@@Z"
		size = 73
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 89 4C 24 40 48 83 61 18 00 48 8B 4A 18 48 85 C9 75 06 48 21 4B 18 EB 15 48 8B 01 48 3B CA 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_604_1 {
	meta:
		name = "??0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z"
		size = 290
		refs = "002f ??_7_Task_impl_base@details@Concurrency@@6B@ 004c ??0critical_section@Concurrency@@QEAA@XZ 006f ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 0086 ??0_TaskCollectionImpl@details@Concurrency@@QEAA@Uscheduler_ptr@2@@Z 00a5 ??2@YAPEAX_K@Z 00af ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 48 08 56 57 41 56 48 83 EC 40 48 C7 40 C8 FE FF FF FF 48 89 58 10 48 89 68 20 4D 8B F0 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 ED 89 69 08 66 89 69 0C 48 89 69 10 48 89 69 18 48 83 C1 20 E8 ?? ?? ?? ?? 90 48 89 6F 58 48 89 6F 68 0F 57 C0 F3 0F 7F 44 24 28 4D 8B 46 08 49 8B 16 48 8D 4C 24 28 E8 ?? ?? ?? ?? 49 8B 46 10 48 89 44 24 38 48 8D 4F 70 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8D B7 28 01 00 00 48 89 2E 48 89 6E 08 48 89 6E 10 48 89 6E 18 8D 4D 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 06 0F 57 C0 F3 0F 7F 00 48 8B 06 48 89 30 48 89 AF 20 01 00 00 48 89 5F 60 48 83 FB 02 74 04 F0 FF 43 08 49 8B 5E 08 48 85 DB 74 2A 83 CE FF 8B C6 F0 0F C1 43 08 03 C6 75 1C 48 8B 03 48 8B CB FF 10 8B C6 F0 0F C1 43 0C 03 C6 75 09 48 8B 03 48 8B CB FF 50 08 48 8B C7 48 8B 5C 24 68 48 8B 6C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_57_606_1 {
	meta:
		name = "?dtor$1@?0???0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z@4HA"
		size = 16
		refs = "000c ??1?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_607_1 {
	meta:
		name = "?dtor$2@?0???0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z@4HA"
		size = 16
		refs = "000c ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_608_1 {
	meta:
		name = "?dtor$4@?0???0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z@4HA"
		size = 16
		refs = "000c ??1_TaskCollectionImpl@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 70 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_609_1 {
	meta:
		name = "??0_UnrealizedChore@details@Concurrency@@QEAA@XZ"
		size = 19
		refs = "0008 ??_7_UnrealizedChore@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 10 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_57_614_1 {
	meta:
		name = "??0cancellation_token@Concurrency@@AEAA@PEAV_CancellationTokenState@details@1@@Z"
		size = 27
	strings:
		$1 = { 45 33 C0 48 83 FA 02 49 0F 44 D0 48 89 11 48 85 D2 74 04 F0 FF 42 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_57_624_1 {
	meta:
		name = "??0future_error@std@@QEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 80
		refs = "002c ??0exception@std@@QEAA@AEBQEBD@Z 0033 ??_7future_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 49 83 78 20 10 48 8B FA 48 8B D9 72 06 4D 8B 40 08 EB 04 49 83 C0 08 48 8D 54 24 30 4C 89 44 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 0F 10 07 F3 0F 7F 43 18 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_628_1 {
	meta:
		name = "??0scheduler_ptr@Concurrency@@QEAA@AEBU01@@Z"
		size = 59
		refs = "0021 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B DA 48 8B 12 48 8B F9 E8 ?? ?? ?? ?? 48 8B 43 10 48 8B 5C 24 30 48 89 47 10 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_629_1 {
	meta:
		name = "??0scheduler_ptr@Concurrency@@QEAA@V?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@@Z"
		size = 114
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 21 00 48 83 61 08 00 48 8B F9 48 3B CA 74 1C 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 48 8B 02 48 8B 09 48 89 07 48 89 0A 48 8B 07 48 89 47 10 48 8B 5A 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_632_1 {
	meta:
		name = "??0task_options@Concurrency@@QEAA@XZ"
		size = 147
		refs = "0020 ?get_ambient_scheduler@Concurrency@@YA?AV?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@XZ 002b ??0scheduler_ptr@Concurrency@@QEAA@V?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@@Z 0035 ?none@cancellation_token@Concurrency@@SA?AV12@XZ 0057 ??2@YAPEAX_K@Z 0061 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 8B D9 48 8D 48 E0 E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4B 18 E8 ?? ?? ?? ?? 90 48 8D 7B 38 48 83 27 00 48 83 67 08 00 48 83 67 10 00 48 83 67 18 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 07 0F 57 C0 F3 0F 7F 00 48 8B 07 48 89 38 48 83 63 30 00 C6 43 28 00 66 C7 43 58 00 00 48 8B C3 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_57_641_1 {
	meta:
		name = "??1?$_AutoDeleter@U_TaskProcHandle@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 27
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_57_661_1 {
	meta:
		name = "??1?$_Func_class@EV?$task@_N@Concurrency@@@std@@QEAA@XZ"
		size = 41
		altNames = "??1?$_Func_class@V?$task@_N@Concurrency@@$$$V@std@@QEAA@XZ ??1?$_Func_class@V?$task@_N@Concurrency@@_N@std@@QEAA@XZ ??1?$_Func_class@X$$$V@std@@QEAA@XZ ??1?$_Func_class@XAEB_K@std@@QEAA@XZ ??1?$_Func_class@XE@std@@QEAA@XZ ??1?$_Func_class@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@QEAA@XZ ??1?$_Func_class@XPEAV?$message@_K@Concurrency@@@std@@QEAA@XZ ??1?$_Func_class@XU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@std@@QEAA@XZ ??1?$_Func_class@XV?$task@X@Concurrency@@@std@@QEAA@XZ ??1?$_Func_class@XV?$task@_N@Concurrency@@@std@@QEAA@XZ ??1?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@QEAA@XZ ??1?$_Func_class@_NAEB_K@std@@QEAA@XZ ?_Tidy@?$_Func_class@EV?$task@_N@Concurrency@@@std@@IEAAXXZ ?_Tidy@?$_Func_class@V?$task@_N@Concurrency@@$$$V@std@@IEAAXXZ ?_Tidy@?$_Func_class@V?$task@_N@Concurrency@@_N@std@@IEAAXXZ ?_Tidy@?$_Func_class@X$$$V@std@@IEAAXXZ ?_Tidy@?$_Func_class@XAEB_K@std@@IEAAXXZ ?_Tidy@?$_Func_class@XE@std@@IEAAXXZ ?_Tidy@?$_Func_class@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@IEAAXXZ ?_Tidy@?$_Func_class@XPEAV?$message@_K@Concurrency@@@std@@IEAAXXZ ?_Tidy@?$_Func_class@XU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@std@@IEAAXXZ ?_Tidy@?$_Func_class@XV?$task@X@Concurrency@@@std@@IEAAXXZ ?_Tidy@?$_Func_class@XV?$task@_N@Concurrency@@@std@@IEAAXXZ ?_Tidy@?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@IEAAXXZ ?_Tidy@?$_Func_class@_NAEB_K@std@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_685_1 {
	meta:
		name = "??1?$_RunAnyParam@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@QEAA@XZ"
		size = 147
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B D9 48 8B 49 18 83 CF FF 48 F7 C1 FD FF FF FF 74 12 8B C7 F0 0F C1 41 08 03 C7 75 07 48 8B 01 FF 50 08 90 48 8B 4B 10 48 85 C9 74 12 8B C7 F0 0F C1 41 08 03 C7 75 07 48 8B 01 FF 50 08 90 48 8B 5B 08 48 85 DB 74 27 8B C7 F0 0F C1 43 08 03 C7 75 1C 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_690_1 {
	meta:
		name = "??1?$_Task_impl@E@details@Concurrency@@UEAA@XZ"
		size = 84
		refs = "0019 ??_7?$_Task_impl@E@details@Concurrency@@6B@ 002e ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z 0050 ??1_Task_impl_base@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 51 68 48 85 D2 74 1E 48 8B 49 60 E8 ?? ?? ?? ?? 48 8B 4B 68 F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 63 68 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_692_1 {
	meta:
		name = "??1?$_Task_impl@_N@details@Concurrency@@UEAA@XZ"
		size = 84
		refs = "0019 ??_7?$_Task_impl@_N@details@Concurrency@@6B@ 002e ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z 0050 ??1_Task_impl_base@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 51 68 48 85 D2 74 1E 48 8B 49 60 E8 ?? ?? ?? ?? 48 8B 4B 68 F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 63 68 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_706_1 {
	meta:
		name = "??1?$function@$$A6A?AV?$task@_N@Concurrency@@XZ@std@@QEAA@XZ"
		size = 67
		altNames = "??1?$function@$$A6A?AV?$task@_N@Concurrency@@_N@Z@std@@QEAA@XZ ??1?$function@$$A6AEV?$task@_N@Concurrency@@@Z@std@@QEAA@XZ ??1?$function@$$A6AXAEB_K@Z@std@@QEAA@XZ ??1?$function@$$A6AXE@Z@std@@QEAA@XZ ??1?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@std@@QEAA@XZ ??1?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@QEAA@XZ ??1?$function@$$A6AXU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Z@std@@QEAA@XZ ??1?$function@$$A6AXV?$task@X@Concurrency@@@Z@std@@QEAA@XZ ??1?$function@$$A6AXV?$task@_N@Concurrency@@@Z@std@@QEAA@XZ ??1?$function@$$A6AXXZ@std@@QEAA@XZ ??1?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@QEAA@XZ ??1?$function@$$A6A_NAEB_K@Z@std@@QEAA@XZ ??1_TaskProcThunk@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_727_1 {
	meta:
		name = "??1?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@XZ"
		size = 56
		refs = "0013 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_728_1 {
	meta:
		name = "??1?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA@XZ"
		size = 32
		refs = "000a ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@IEAAXXZ 0012 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_729_1 {
	meta:
		name = "??1?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA@XZ"
		size = 32
		refs = "000a ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@IEAAXXZ 0012 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_730_1 {
	meta:
		name = "??1?$weak_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEAA@XZ"
		size = 30
		altNames = "?_Decwref@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 48 85 C9 74 0C F0 FF 49 0C 75 06 48 8B 01 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_57_736_1 {
	meta:
		name = "??1_ExceptionHolder@details@Concurrency@@QEAA@XZ"
		size = 92
		refs = "001e ?_ReportUnobservedException@details@Concurrency@@YAXXZ 002d ??3@YAXPEAX@Z 0058 ?__ExceptionPtrDestroy@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 8B 01 85 C0 75 07 CC E8 ?? ?? ?? ?? 90 48 8B 4B 28 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 28 00 48 83 63 30 00 48 83 63 38 00 48 8B 4B 20 E8 ?? ?? ?? ?? 48 83 63 20 00 48 8D 4B 08 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_741_1 {
	meta:
		name = "??1_Holder@_TaskProcThunk@details@Concurrency@@QEAA@XZ"
		size = 80
		refs = "0046 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 19 48 85 DB 74 3C 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_742_1 {
	meta:
		name = "??1_Internal_task_options@details@Concurrency@@QEAA@XZ"
		size = 58
		refs = "0013 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 18 00 48 83 63 20 00 48 83 63 28 00 48 8B 4B 10 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_749_1 {
	meta:
		name = "??1_TaskCollectionImpl@details@Concurrency@@QEAA@XZ"
		size = 129
		refs = "006a ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 8B 89 90 00 00 00 48 85 C9 74 14 F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 A7 90 00 00 00 00 48 8B 9F A0 00 00 00 48 85 DB 74 1E F0 FF 4B 08 75 18 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 0A 48 8B 03 48 8B CB FF 50 08 90 48 8D 4F 48 E8 ?? ?? ?? ?? 90 48 8B CF 48 8B 5C 24 50 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_752_1 {
	meta:
		name = "?dtor$2@?0???1_TaskCollectionImpl@details@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1scheduler_ptr@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 98 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_753_1 {
	meta:
		name = "??1_TaskCreationCallstack@details@Concurrency@@QEAA@XZ"
		size = 58
		refs = "0013 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 8B 4B 08 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_756_1 {
	meta:
		name = "??1_Task_impl_base@details@Concurrency@@UEAA@XZ"
		size = 180
		refs = "0019 ??_7_Task_impl_base@details@Concurrency@@6B@ 0044 ??3@YAXPEAX@Z 0079 ??1_TaskCollectionImpl@details@Concurrency@@QEAA@XZ 0083 ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 60 48 83 F9 02 74 0D F0 FF 49 08 75 07 48 8B 01 FF 50 08 90 48 8B 8B 30 01 00 00 48 85 C9 74 1D E8 ?? ?? ?? ?? 48 83 A3 30 01 00 00 00 48 83 A3 38 01 00 00 00 48 83 A3 40 01 00 00 00 48 8B 8B 28 01 00 00 E8 ?? ?? ?? ?? 48 83 A3 28 01 00 00 00 48 8D 4B 70 E8 ?? ?? ?? ?? 90 48 8D 4B 20 E8 ?? ?? ?? ?? 90 48 8B 5B 18 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_759_1 {
	meta:
		name = "?dtor$2@?0???1_Task_impl_base@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_TaskCollectionImpl@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 70 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_760_1 {
	meta:
		name = "?dtor$3@?0???1_Task_impl_base@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_TaskCreationCallstack@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 20 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_764_1 {
	meta:
		name = "??1cancellation_token@Concurrency@@QEAA@XZ"
		size = 39
		altNames = "??1cancellation_token_registration@Concurrency@@QEAA@XZ ?_Clear@cancellation_token@Concurrency@@AEAAXXZ ?_Clear@cancellation_token_registration@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 0C F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_774_1 {
	meta:
		name = "??1task_options@Concurrency@@QEAA@XZ"
		size = 135
		refs = "0020 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 49 40 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 40 00 48 83 63 48 00 48 83 63 50 00 48 8B 4B 38 E8 ?? ?? ?? ?? 48 83 63 38 00 48 8B 4B 18 48 85 C9 74 0C F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 63 18 00 48 8B 5B 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_780_1 {
	meta:
		name = "??4?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@QEAAAEAU01@AEBU01@@Z"
		size = 16
	strings:
		$1 = { 8A 02 88 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_57_786_1 {
	meta:
		name = "??4?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 323
		refs = "0076 memmove 00ec ??3@YAXPEAX@Z 0100 ?_Buy@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAA_N_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F1 48 3B CA 0F 84 FA 00 00 00 4C 8B 52 08 4C 8B 42 10 4D 3B D0 75 0D 48 8B 41 08 48 89 41 10 E9 E0 00 00 00 49 8B C8 49 2B CA 48 C1 F9 03 4C 8B 4E 08 48 8B 56 10 49 2B D1 48 C1 FA 03 48 3B CA 77 2F 4D 2B C2 49 83 E0 F8 49 8B D2 49 8B C9 E8 ?? ?? ?? ?? 49 8B 4E 10 49 2B 4E 08 48 C1 F9 03 48 8B 46 08 48 8D 0C C8 48 89 4E 10 E9 93 00 00 00 48 8B 46 18 49 2B C1 48 C1 F8 03 48 3B C8 77 3C 49 8D 3C D2 4C 8B C7 4D 2B C2 49 83 E0 F8 49 8B D2 49 8B C9 E8 ?? ?? ?? ?? 49 8B 5E 10 48 2B DF 48 83 E3 F8 4C 8B C3 48 8B D7 48 8B 4E 10 E8 ?? ?? ?? ?? 48 03 C3 48 89 46 10 EB 47 4D 85 C9 74 08 49 8B C9 E8 ?? ?? ?? ?? 49 8B 56 10 49 2B 56 08 48 C1 FA 03 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 22 49 8B 5E 10 49 8B 56 08 48 2B DA 48 83 E3 F8 4C 8B C3 48 8B 4E 08 E8 ?? ?? ?? ?? 48 03 C3 48 89 46 10 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_57_788_1 {
	meta:
		name = "__catch$??4?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAAAEAV01@AEBV01@@Z$0"
		size = 43
		refs = "000e ??3@YAXPEAX@Z 0026 _CxxThrowException"
	strings:
		$1 = { 48 8B 5D 40 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_57_818_1 {
	meta:
		name = "??D?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEBAAEBV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@XZ"
		size = 58
		refs = "002f _invalid_parameter_noinfo_noreturn"
		altNames = "??D?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEBAAEBV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@1@XZ ??D?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEBAAEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@1@XZ ??D?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEBAAEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@1@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 11 48 85 D2 74 28 48 8B 12 48 85 D2 74 20 48 8B 41 10 48 85 C0 74 11 48 39 42 08 77 0B 48 3B 42 10 73 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_822_1 {
	meta:
		name = "??E?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEAAAEAV01@XZ"
		size = 63
		refs = "0034 _invalid_parameter_noinfo_noreturn"
		altNames = "??E?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEAAAEAV01@XZ ??E?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@std@@QEAAAEAV01@XZ ??E?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@std@@QEAAAEAV01@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 85 C0 74 2D 48 8B 10 48 85 D2 74 25 48 8B 41 10 48 85 C0 74 16 48 3B 42 10 73 10 48 83 C0 10 48 89 41 10 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_860_1 {
	meta:
		name = "??R?$_Func_class@EV?$task@_N@Concurrency@@@std@@QEBAEV?$task@_N@Concurrency@@@Z"
		size = 103
		refs = "0025 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B DA 48 8B 49 18 48 85 C9 75 06 E8 ?? ?? ?? ?? CC 48 8B 01 FF 50 10 40 8A F8 48 8B 5B 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 13 48 8B CB FF 12 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 40 8A C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_862_1 {
	meta:
		name = "??R?$_Func_class@V?$task@_N@Concurrency@@$$$V@std@@QEBA?AV?$task@_N@Concurrency@@XZ"
		size = 44
		refs = "0027 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 49 18 83 64 24 20 00 48 8B DA 48 85 C9 74 0F 48 8B 01 FF 50 10 48 8B C3 48 83 C4 30 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_863_1 {
	meta:
		name = "??R?$_Func_class@V?$task@_N@Concurrency@@_N@std@@QEBA?AV?$task@_N@Concurrency@@_N@Z"
		size = 53
		refs = "0030 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 44 88 44 24 18 53 48 83 EC 30 48 8B 49 18 83 64 24 20 00 48 8B DA 48 85 C9 74 14 48 8B 01 4C 8D 44 24 50 FF 50 10 48 8B C3 48 83 C4 30 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_864_1 {
	meta:
		name = "??R?$_Func_class@X$$$V@std@@QEBAXXZ"
		size = 30
		refs = "0019 ?_Xbad_function_call@std@@YAXXZ"
		altNames = "??R?$_Func_class@XAEB_K@std@@QEBAXAEB_K@Z ??R?$_Func_class@XU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@std@@QEBAXU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@1@@Z ??R?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@QEBA_NAEBW4agent_status@Concurrency@@@Z ??R?$_Func_class@_NAEB_K@std@@QEBA_NAEB_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 49 18 48 85 C9 74 0B 48 8B 01 48 83 C4 28 48 FF 60 10 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_865_1 {
	meta:
		name = "??R?$_Func_class@XE@std@@QEBAXE@Z"
		size = 39
		refs = "0022 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 88 54 24 10 48 83 EC 28 48 8B 49 18 48 85 C9 74 10 48 8B 01 48 8D 54 24 38 FF 50 10 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_867_1 {
	meta:
		name = "??R?$_Func_class@XV?$task@X@Concurrency@@@std@@QEBAXV?$task@X@Concurrency@@@Z"
		size = 88
		refs = "0020 ?_Xbad_function_call@std@@YAXXZ"
		altNames = "??R?$_Func_class@XV?$task@_N@Concurrency@@@std@@QEBAXV?$task@_N@Concurrency@@@Z"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B DA 48 8B 49 18 48 85 C9 75 06 E8 ?? ?? ?? ?? CC 48 8B 01 FF 50 10 90 48 8B 5B 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_899_1 {
	meta:
		name = "??_G?$_Task_impl@E@details@Concurrency@@UEAAPEAXI@Z"
		size = 114
		refs = "0020 ??_7?$_Task_impl@E@details@Concurrency@@6B@ 0035 ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z 0052 ??1_Task_impl_base@details@Concurrency@@UEAA@XZ 0060 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 51 68 48 85 D2 74 1E 48 8B 49 60 E8 ?? ?? ?? ?? 48 8B 4B 68 F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 63 68 00 48 8B CB E8 ?? ?? ?? ?? 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_901_1 {
	meta:
		name = "??_G?$_Task_impl@_N@details@Concurrency@@UEAAPEAXI@Z"
		size = 114
		refs = "0020 ??_7?$_Task_impl@_N@details@Concurrency@@6B@ 0035 ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z 0052 ??1_Task_impl_base@details@Concurrency@@UEAA@XZ 0060 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 51 68 48 85 D2 74 1E 48 8B 49 60 E8 ?? ?? ?? ?? 48 8B 4B 68 F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 63 68 00 48 8B CB E8 ?? ?? ?? ?? 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_916_1 {
	meta:
		name = "??_G_TaskProcThunk@details@Concurrency@@QEAAPEAXI@Z"
		size = 95
		refs = "004d ??3@YAXPEAX@Z"
		altNames = "??_G?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@QEAAPEAXI@Z ??_G?$function@$$A6A_NAEB_K@Z@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 49 18 8B FA 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_951_1 {
	meta:
		name = "?_Bridge@_TaskProcThunk@details@Concurrency@@SAXPEAX@Z"
		size = 110
		refs = "0021 ?_Xbad_function_call@std@@YAXXZ 006a ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 89 4C 24 40 48 8B 49 18 48 85 C9 75 06 E8 ?? ?? ?? ?? CC 48 8B 01 FF 50 10 90 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_953_1 {
	meta:
		name = "?_Buy@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAA_N_K@Z"
		size = 119
		refs = "0048 ??2@YAPEAX_K@Z 0067 ??_C@_0BD@OLBABOEK@vector?$DMT?$DO?5too?5long?$AA@ 006c ?_Xlength_error@std@@YAXPEBD@Z 0072 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 61 08 00 48 83 61 10 00 48 83 61 18 00 48 8B D9 48 85 D2 75 0D 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 77 27 48 8B FA 48 C1 E7 03 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 20 48 89 43 08 48 89 43 10 48 03 C7 48 89 43 18 B0 01 EB BF 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_954_1 {
	meta:
		name = "?_CallInContext@_ContextCallback@details@Concurrency@@QEBAXV?$function@$$A6AXXZ@std@@@Z"
		size = 102
		refs = "0020 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B DA 48 8B 4A 18 48 85 C9 75 06 E8 ?? ?? ?? ?? CC 48 8B 01 FF 50 10 90 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_961_1 {
	meta:
		name = "?_Cancel@_TaskCollectionImpl@details@Concurrency@@QEAAXXZ"
		size = 41
		refs = "000a ?set@event@Concurrency@@QEAAXXZ 001f ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 48 85 C9 74 09 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_962_1 {
	meta:
		name = "?_Cancel@_Task_impl_base@details@Concurrency@@QEAA_N_N@Z"
		size = 31
	strings:
		$1 = { 48 83 EC 38 4C 8B 11 48 8D 41 10 45 33 C9 45 33 C0 48 89 44 24 20 41 FF 52 08 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_57_963_1 {
	meta:
		name = "?_CancelAndRunContinuations@?$_Task_impl@E@details@Concurrency@@UEAA_N_N00AEBV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@@Z"
		size = 376
		refs = "0021 __security_cookie 004a ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0067 ??4?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAAEAV01@AEBV01@@Z 00b1 ?set@event@Concurrency@@QEAAXXZ 00c6 ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 00d7 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 00ff ??_7?$_Func_impl@U?$_Callable_obj@V<lambda_1b3255cbcdd7e882be200ffbbfce9f3f>@@$0A@@std@@V?$allocator@V?$_Func_class@X$$$V@std@@@2@X$$$V@std@@6B@ 0122 ?_ScheduleFuncWithAutoInline@details@Concurrency@@YAXAEBV?$function@$$A6AXXZ@std@@W4_TaskInliningMode@12@@Z 015c __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 56 57 41 56 48 81 EC 80 00 00 00 49 C7 43 88 FE FF FF FF 49 89 5B 10 49 89 6B 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 41 8A D8 40 8A F2 48 8B F9 4C 8B B4 24 C0 00 00 00 40 32 ED 48 8D 51 20 49 8D 4B 90 E8 ?? ?? ?? ?? 90 8B 47 08 84 DB 74 17 83 F8 04 0F 84 E8 00 00 00 48 8D 4F 10 49 8B D6 E8 ?? ?? ?? ?? EB 26 83 F8 03 0F 84 D1 00 00 00 8B 47 08 83 F8 04 0F 84 C5 00 00 00 8B 47 08 83 F8 02 75 09 40 84 F6 0F 84 B4 00 00 00 40 84 F6 74 0C C7 47 08 04 00 00 00 40 B5 01 EB 2D 8B 47 08 83 F8 01 75 1E 48 8D 4F 70 E8 ?? ?? ?? ?? 48 8B 8F 00 01 00 00 48 85 C9 74 09 48 83 C1 10 E8 ?? ?? ?? ?? C7 47 08 02 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 40 84 ED 74 63 48 8D 4F 70 E8 ?? ?? ?? ?? 48 8D 8F B8 00 00 00 E8 ?? ?? ?? ?? 48 83 7F 58 00 74 47 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 48 89 7C 24 60 48 8D 44 24 58 48 89 44 24 70 BA 10 00 00 00 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 48 8B 4C 24 70 48 85 C9 74 12 4C 8B 01 48 8D 44 24 58 48 3B C8 0F 95 C2 41 FF 50 20 B0 01 EB 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 32 C0 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_57_967_1 {
	meta:
		name = "?_CancelAndRunContinuations@?$_Task_impl@_N@details@Concurrency@@UEAA_N_N00AEBV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@@Z"
		size = 376
		refs = "0021 __security_cookie 004a ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0067 ??4?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAAEAV01@AEBV01@@Z 00b1 ?set@event@Concurrency@@QEAAXXZ 00c6 ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 00d7 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 00ff ??_7?$_Func_impl@U?$_Callable_obj@V<lambda_8012afe0e1c51a77502a946c0317ec01>@@$0A@@std@@V?$allocator@V?$_Func_class@X$$$V@std@@@2@X$$$V@std@@6B@ 0122 ?_ScheduleFuncWithAutoInline@details@Concurrency@@YAXAEBV?$function@$$A6AXXZ@std@@W4_TaskInliningMode@12@@Z 015c __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 56 57 41 56 48 81 EC 80 00 00 00 49 C7 43 88 FE FF FF FF 49 89 5B 10 49 89 6B 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 41 8A D8 40 8A F2 48 8B F9 4C 8B B4 24 C0 00 00 00 40 32 ED 48 8D 51 20 49 8D 4B 90 E8 ?? ?? ?? ?? 90 8B 47 08 84 DB 74 17 83 F8 04 0F 84 E8 00 00 00 48 8D 4F 10 49 8B D6 E8 ?? ?? ?? ?? EB 26 83 F8 03 0F 84 D1 00 00 00 8B 47 08 83 F8 04 0F 84 C5 00 00 00 8B 47 08 83 F8 02 75 09 40 84 F6 0F 84 B4 00 00 00 40 84 F6 74 0C C7 47 08 04 00 00 00 40 B5 01 EB 2D 8B 47 08 83 F8 01 75 1E 48 8D 4F 70 E8 ?? ?? ?? ?? 48 8B 8F 00 01 00 00 48 85 C9 74 09 48 83 C1 10 E8 ?? ?? ?? ?? C7 47 08 02 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 40 84 ED 74 63 48 8D 4F 70 E8 ?? ?? ?? ?? 48 8D 8F B8 00 00 00 E8 ?? ?? ?? ?? 48 83 7F 58 00 74 47 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 48 89 7C 24 60 48 8D 44 24 58 48 89 44 24 70 BA 10 00 00 00 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 48 8B 4C 24 70 48 85 C9 74 12 4C 8B 01 48 8D 44 24 58 48 3B C8 0F 95 C2 41 FF 50 20 B0 01 EB 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 32 C0 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_57_971_1 {
	meta:
		name = "?_CancelInternal@?$task_completion_event@E@Concurrency@@AEBA_NXZ"
		size = 592
		refs = "0050 ??2@YAPEAX_K@Z 005a ?_Xbad_alloc@std@@YAXXZ 0084 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0103 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0125 ?begin@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@2@XZ 013a ?end@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@2@XZ 01ef _invalid_parameter_noinfo_noreturn 0223 ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@IEAAXXZ 022c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 E7 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 48 8B F9 48 8B 01 80 78 71 00 74 07 32 C0 E9 F9 01 00 00 0F 57 C0 F3 0F 7F 45 1F 0F 57 C9 F3 0F 7F 4D 2F B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 1F 0F 57 C0 F3 0F 7F 00 48 8D 4D 1F 48 8B 45 1F 48 89 08 40 32 F6 48 8B 17 48 83 C2 20 48 8D 4D EF E8 ?? ?? ?? ?? 90 48 8B 07 40 38 70 71 75 6C C6 40 71 01 48 8B 17 48 8D 45 1F 48 3B C2 74 59 48 8B 4D 1F 48 8B 02 48 89 45 1F 48 89 0A 48 8B 45 1F 48 85 C0 74 07 48 8D 4D 1F 48 89 08 48 8B 02 48 85 C0 74 03 48 89 10 48 8B 4D 27 48 8B 42 08 48 89 45 27 48 89 4A 08 48 8B 4D 2F 48 8B 42 10 48 89 45 2F 48 89 4A 10 48 8B 4D 37 48 8B 42 18 48 89 45 37 48 89 4A 18 40 B6 01 48 8D 4D EF E8 ?? ?? ?? ?? 48 8B 07 48 83 78 60 00 41 0F 95 C7 40 84 F6 0F 84 02 01 00 00 48 8D 55 EF 48 8D 4D 1F E8 ?? ?? ?? ?? 4C 8B 75 EF 48 8B 5D FF 48 8D 55 EF 48 8D 4D 1F E8 ?? ?? ?? ?? 4D 85 F6 0F 84 D1 00 00 00 49 8B 0E 48 85 C9 0F 84 C5 00 00 00 48 8B 10 48 85 D2 74 03 48 8B 12 48 3B CA 0F 85 AB 00 00 00 48 3B 58 10 0F 94 C0 84 C0 0F 85 A8 00 00 00 45 84 FF 74 2B 48 8B 07 48 85 C9 74 71 48 85 DB 74 66 48 39 59 08 77 60 48 3B 59 10 73 5A 48 8B 0B 48 83 C0 60 41 B1 01 45 8A C1 41 8A D1 EB 25 48 85 C9 74 61 48 85 DB 74 56 48 39 59 08 77 50 48 3B 59 10 73 4A 48 8B 0B 48 8D 41 10 45 33 C9 45 33 C0 B2 01 48 89 44 24 20 4C 8B 11 41 FF 52 08 49 8B 06 48 85 C0 74 21 48 3B 58 10 73 15 48 83 C3 10 E9 43 FF FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 8D 4D 1F E8 ?? ?? ?? ?? 48 8B 4D 1F E8 ?? ?? ?? ?? 40 8A C6 4C 8D 9C 24 90 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_57_974_1 {
	meta:
		name = "?_CancelInternal@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@AEBA_NXZ"
		size = 592
		refs = "0050 ??2@YAPEAX_K@Z 005a ?_Xbad_alloc@std@@YAXXZ 0084 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0103 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0125 ?begin@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@2@XZ 013a ?end@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@2@XZ 01ef _invalid_parameter_noinfo_noreturn 0223 ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@IEAAXXZ 022c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 E7 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 48 8B F9 48 8B 01 80 78 79 00 74 07 32 C0 E9 F9 01 00 00 0F 57 C0 F3 0F 7F 45 1F 0F 57 C9 F3 0F 7F 4D 2F B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 1F 0F 57 C0 F3 0F 7F 00 48 8D 4D 1F 48 8B 45 1F 48 89 08 40 32 F6 48 8B 17 48 83 C2 20 48 8D 4D EF E8 ?? ?? ?? ?? 90 48 8B 07 40 38 70 79 75 6C C6 40 79 01 48 8B 17 48 8D 45 1F 48 3B C2 74 59 48 8B 4D 1F 48 8B 02 48 89 45 1F 48 89 0A 48 8B 45 1F 48 85 C0 74 07 48 8D 4D 1F 48 89 08 48 8B 02 48 85 C0 74 03 48 89 10 48 8B 4D 27 48 8B 42 08 48 89 45 27 48 89 4A 08 48 8B 4D 2F 48 8B 42 10 48 89 45 2F 48 89 4A 10 48 8B 4D 37 48 8B 42 18 48 89 45 37 48 89 4A 18 40 B6 01 48 8D 4D EF E8 ?? ?? ?? ?? 48 8B 07 48 83 78 68 00 41 0F 95 C7 40 84 F6 0F 84 02 01 00 00 48 8D 55 EF 48 8D 4D 1F E8 ?? ?? ?? ?? 4C 8B 75 EF 48 8B 5D FF 48 8D 55 EF 48 8D 4D 1F E8 ?? ?? ?? ?? 4D 85 F6 0F 84 D1 00 00 00 49 8B 0E 48 85 C9 0F 84 C5 00 00 00 48 8B 10 48 85 D2 74 03 48 8B 12 48 3B CA 0F 85 AB 00 00 00 48 3B 58 10 0F 94 C0 84 C0 0F 85 A8 00 00 00 45 84 FF 74 2B 48 8B 07 48 85 C9 74 71 48 85 DB 74 66 48 39 59 08 77 60 48 3B 59 10 73 5A 48 8B 0B 48 83 C0 68 41 B1 01 45 8A C1 41 8A D1 EB 25 48 85 C9 74 61 48 85 DB 74 56 48 39 59 08 77 50 48 3B 59 10 73 4A 48 8B 0B 48 8D 41 10 45 33 C9 45 33 C0 B2 01 48 89 44 24 20 4C 8B 11 41 FF 52 08 49 8B 06 48 85 C0 74 21 48 3B 58 10 73 15 48 83 C3 10 E9 43 FF FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 8D 4D 1F E8 ?? ?? ?? ?? 48 8B 4D 1F E8 ?? ?? ?? ?? 40 8A C6 4C 8D 9C 24 90 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_57_977_1 {
	meta:
		name = "?_CancelWithException@_Task_impl_base@details@Concurrency@@QEAA_NAEBVexception_ptr@std@@@Z"
		size = 177
		refs = "001f ?_GetTaskCreationCallstack@_Task_impl_base@details@Concurrency@@QEAA?AV_TaskCreationCallstack@23@XZ 0030 ??$make_shared@U_ExceptionHolder@details@Concurrency@@AEBVexception_ptr@std@@V_TaskCreationCallstack@23@@std@@YA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@0@AEBVexception_ptr@0@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z 0083 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 8B DA 48 8B F9 48 8D 50 D0 E8 ?? ?? ?? ?? 90 4C 8B C0 48 8B D3 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 4C 8B 17 48 89 44 24 20 45 33 C9 41 B0 01 41 8A D0 48 8B CF 41 FF 52 08 40 8A F8 48 8B 5C 24 40 48 85 DB 74 1E F0 FF 4B 08 75 18 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 0A 48 8B 03 48 8B CB FF 50 08 90 48 8B 4C 24 58 48 85 C9 74 14 E8 ?? ?? ?? ?? 0F 57 C0 F3 0F 7F 44 24 58 48 83 64 24 68 00 48 8B 4C 24 50 E8 ?? ?? ?? ?? 40 8A C7 48 8B 9C 24 80 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_57_980_1 {
	meta:
		name = "?_CancelWithExceptionHolder@_Task_impl_base@details@Concurrency@@QEAA_NAEBV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@_N@Z"
		size = 29
	strings:
		$1 = { 48 83 EC 38 48 8B 01 45 8A C8 41 B0 01 48 89 54 24 20 41 8A D0 FF 50 08 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_57_982_1 {
	meta:
		name = "?_CaptureSingleFrameCallstack@_TaskCreationCallstack@details@Concurrency@@SA?AV123@PEAX@Z"
		size = 108
		refs = "0037 ??2@YAPEAX_K@Z 0067 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 83 64 24 20 00 48 8D 59 08 48 8B F9 48 83 23 00 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 B9 10 00 00 00 48 8B F2 E8 ?? ?? ?? ?? 48 85 C0 74 26 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 8B 5C 24 40 48 89 37 48 8B 74 24 48 48 8B C7 48 83 C4 30 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_988_1 {
	meta:
		name = "?_Complete@_TaskCollectionImpl@details@Concurrency@@QEAAXXZ"
		size = 28
		refs = "000a ?set@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 4B 48 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_1018_1 {
	meta:
		name = "?_CreateImpl@?$task@E@Concurrency@@QEAAXPEAV_CancellationTokenState@details@2@Uscheduler_ptr@2@@Z"
		size = 320
		refs = "0044 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 005c ?_Make@?$_Task_ptr@E@details@Concurrency@@SA?AV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@PEAV_CancellationTokenState@23@Uscheduler_ptr@3@@Z 0067 ??4?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z 00ed ?_RegisterCancellation@_Task_impl_base@details@Concurrency@@QEAAXV?$weak_ptr@U_Task_impl_base@details@Concurrency@@@std@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 20 49 8B F0 4C 8B F2 48 8B F9 0F 57 C0 F3 0F 7F 45 E8 4D 8B 40 08 48 8B 16 48 8D 4D E8 E8 ?? ?? ?? ?? 48 8B 46 10 48 89 45 F8 4C 8D 45 E8 49 8B D6 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 41 83 CF FF 48 8B 5D E0 48 85 DB 74 2B 41 8B C7 F0 0F C1 43 08 41 03 C7 75 1E 48 8B 03 48 8B CB FF 10 41 8B C7 F0 0F C1 43 0C 41 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 49 83 FE 02 74 49 0F 57 C0 F3 0F 7F 45 C8 48 8B 5F 08 4C 8B 37 48 85 DB 74 20 F0 FF 43 0C 48 8B 4D D0 48 85 C9 74 13 41 8B C7 F0 0F C1 41 0C 41 03 C7 75 06 48 8B 01 FF 50 08 48 89 5D D0 4C 89 75 C8 48 8D 55 C8 48 8B 0F E8 ?? ?? ?? ?? 90 48 8B 5E 08 48 85 DB 74 2B 41 8B C7 F0 0F C1 43 08 41 03 C7 75 1E 48 8B 03 48 8B CB FF 10 41 8B C7 F0 0F C1 43 0C 41 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 4C 8D 5C 24 60 49 8B 5B 20 49 8B 73 28 49 8B 7B 38 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_57_1022_1 {
	meta:
		name = "?_CreateImpl@?$task@_N@Concurrency@@QEAAXPEAV_CancellationTokenState@details@2@Uscheduler_ptr@2@@Z"
		size = 320
		refs = "0044 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 005c ?_Make@?$_Task_ptr@_N@details@Concurrency@@SA?AV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@PEAV_CancellationTokenState@23@Uscheduler_ptr@3@@Z 0067 ??4?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z 00ed ?_RegisterCancellation@_Task_impl_base@details@Concurrency@@QEAAXV?$weak_ptr@U_Task_impl_base@details@Concurrency@@@std@@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 20 49 8B F0 4C 8B F2 48 8B F9 0F 57 C0 F3 0F 7F 45 E8 4D 8B 40 08 48 8B 16 48 8D 4D E8 E8 ?? ?? ?? ?? 48 8B 46 10 48 89 45 F8 4C 8D 45 E8 49 8B D6 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 41 83 CF FF 48 8B 5D E0 48 85 DB 74 2B 41 8B C7 F0 0F C1 43 08 41 03 C7 75 1E 48 8B 03 48 8B CB FF 10 41 8B C7 F0 0F C1 43 0C 41 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 49 83 FE 02 74 49 0F 57 C0 F3 0F 7F 45 C8 48 8B 5F 08 4C 8B 37 48 85 DB 74 20 F0 FF 43 0C 48 8B 4D D0 48 85 C9 74 13 41 8B C7 F0 0F C1 41 0C 41 03 C7 75 06 48 8B 01 FF 50 08 48 89 5D D0 4C 89 75 C8 48 8D 55 C8 48 8B 0F E8 ?? ?? ?? ?? 90 48 8B 5E 08 48 85 DB 74 2B 41 8B C7 F0 0F C1 43 08 41 03 C7 75 1E 48 8B 03 48 8B CB FF 10 41 8B C7 F0 0F C1 43 0C 41 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 4C 8D 5C 24 60 49 8B 5B 20 49 8B 73 28 49 8B 7B 38 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_57_1020_1 {
	meta:
		name = "?_CreateImpl@?$task@X@Concurrency@@QEAAXPEAV_CancellationTokenState@details@2@Uscheduler_ptr@2@@Z"
		size = 154
		refs = "0039 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 0052 ?_CreateImpl@?$task@E@Concurrency@@QEAAXPEAV_CancellationTokenState@details@2@Uscheduler_ptr@2@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 70 10 49 8B F0 48 8B DA 48 8B F9 0F 57 C0 F3 0F 7F 40 E0 4D 8B 40 08 48 8B 16 48 8D 48 E0 E8 ?? ?? ?? ?? 48 8B 46 10 48 89 44 24 38 4C 8D 44 24 28 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B 5E 08 48 85 DB 74 2A 83 CF FF 8B C7 F0 0F C1 43 08 03 C7 75 1C 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 09 48 8B 03 48 8B CB FF 50 08 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_57_1050_1 {
	meta:
		name = "?_DeregisterCancellation@_Task_impl_base@details@Concurrency@@QEAAXXZ"
		size = 54
		refs = "0017 ?_DeregisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 51 68 48 8B D9 48 85 D2 74 1E 48 8B 49 60 E8 ?? ?? ?? ?? 48 8B 4B 68 F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 63 68 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_1055_1 {
	meta:
		name = "?_Destroy@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@IEAAXPEAV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@2@0@Z"
		size = 93
		altNames = "?_Destroy@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@IEAAXPEAV?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@2@0@Z"
	strings:
		$1 = { 49 3B D0 74 57 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 48 8D 7A 08 48 8B 1F 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C7 10 48 8D 47 F8 48 3B C6 75 CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_1070_1 {
	meta:
		name = "?_FinalizeAndRunContinuations@?$_Task_impl@E@details@Concurrency@@QEAAXE@Z"
		size = 147
		refs = "0027 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 003a ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0056 ?set@event@Concurrency@@QEAAXXZ 007c ?_RunContinuation@_Task_impl_base@details@Concurrency@@QEAAXPEAU_ContinuationTaskHandleBase@23@@Z"
		altNames = "?_FinalizeAndRunContinuations@?$_Task_impl@_N@details@Concurrency@@QEAAX_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 88 91 50 01 00 00 48 8D 51 20 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8B 47 08 83 F8 04 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB 48 C7 47 08 03 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 4F 70 E8 ?? ?? ?? ?? 48 8D 8F B8 00 00 00 E8 ?? ?? ?? ?? 48 8B 57 58 48 83 67 58 00 48 85 D2 74 14 48 8B 5A 28 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 85 DB 75 EC 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_57_1072_1 {
	meta:
		name = "?_FinalizeAndRunContinuations@?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@QEAAXU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Z"
		size = 160
		refs = "0034 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0047 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0063 ?set@event@Concurrency@@QEAAXXZ 0089 ?_RunContinuation@_Task_impl_base@details@Concurrency@@QEAAXPEAU_ContinuationTaskHandleBase@23@@Z"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 8A 02 88 81 50 01 00 00 48 8B 42 08 48 89 81 58 01 00 00 48 8D 51 20 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8B 47 08 83 F8 04 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB 48 C7 47 08 03 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 4F 70 E8 ?? ?? ?? ?? 48 8D 8F B8 00 00 00 E8 ?? ?? ?? ?? 48 8B 57 58 48 83 67 58 00 48 85 D2 74 14 48 8B 5A 28 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 85 DB 75 EC 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_57_1080_1 {
	meta:
		name = "?_FromImpl@cancellation_token@Concurrency@@SA?AV12@PEAV_CancellationTokenState@details@2@@Z"
		size = 39
	strings:
		$1 = { 48 83 EC 18 45 33 C0 48 83 FA 02 49 0F 44 D0 44 89 04 24 48 89 11 48 85 D2 74 04 F0 FF 42 08 48 8B C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_57_1081_1 {
	meta:
		name = "?_Future_error_map@std@@YAPEBDH@Z"
		size = 51
		refs = "0016 ??_C@_08CCNMMIE@no?5state?$AA@ 001e ??_C@_0BK@JNDAEPJA@promise?5already?5satisfied?$AA@ 0026 ??_C@_0BJ@JOKOCMFN@future?5already?5retrieved?$AA@ 002e ??_C@_0P@JCDOJLHG@broken?5promise?$AA@"
	strings:
		$1 = { FF C9 74 27 FF C9 74 1B FF C9 74 0F FF C9 74 03 33 C0 C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_57_1115_1 {
	meta:
		name = "?_GetImplValue@cancellation_token@Concurrency@@QEBAPEAV_CancellationTokenState@details@2@XZ"
		size = 16
	strings:
		$1 = { 48 8B 01 B9 02 00 00 00 48 85 C0 48 0F 44 C1 C3 }
	condition:
		$1
}

rule file_57_1117_1 {
	meta:
		name = "?_GetScheduler@_TaskCollectionImpl@details@Concurrency@@QEBA?AUscheduler_ptr@3@XZ"
		size = 76
		refs = "002f ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 33 C0 48 8B FA 48 8B D9 48 89 02 48 89 42 08 4C 8B 81 A0 00 00 00 48 8B 91 98 00 00 00 48 8B CF 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 83 A8 00 00 00 48 8B 5C 24 40 48 89 47 10 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1118_1 {
	meta:
		name = "?_GetScheduler@_Task_impl_base@details@Concurrency@@QEBA?AUscheduler_ptr@3@XZ"
		size = 32
		refs = "0013 ?_GetScheduler@_TaskCollectionImpl@details@Concurrency@@QEBA?AUscheduler_ptr@3@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 83 C1 70 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_1119_1 {
	meta:
		name = "?_GetTaskCreationCallstack@_Task_impl_base@details@Concurrency@@QEAA?AV_TaskCreationCallstack@23@XZ"
		size = 49
		refs = "0024 ??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 81 20 01 00 00 83 64 24 20 00 48 8B DA 48 89 02 48 8D 91 28 01 00 00 48 8D 4B 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_1137_1 {
	meta:
		name = "?_Incref_nz@_Ref_count_base@std@@QEAA_NXZ"
		size = 23
	strings:
		$1 = { EB 0A 8D 50 01 F0 0F B1 51 08 74 08 8B 41 08 85 C0 75 EF C3 B0 01 C3 }
	condition:
		$1
}

rule file_57_1148_1 {
	meta:
		name = "?_IsTriggered@?$task_completion_event@E@Concurrency@@QEBA_NXZ"
		size = 21
		altNames = "?_IsTriggered@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@QEBA_NXZ"
	strings:
		$1 = { 48 8B 11 33 C0 38 42 70 75 05 38 42 71 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_57_1149_1 {
	meta:
		name = "?_IsTriggered@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@QEBA_NXZ"
		size = 21
	strings:
		$1 = { 48 8B 11 33 C0 38 42 78 75 05 38 42 79 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_57_1151_1 {
	meta:
		name = "?_JoinAllTokens_Add@details@Concurrency@@YAXAEBVcancellation_token_source@2@PEAV_CancellationTokenState@12@@Z"
		size = 160
		refs = "0024 ?_FromImpl@cancellation_token@Concurrency@@SA?AV12@PEAV_CancellationTokenState@details@2@@Z 004a ??$register_callback@V<lambda_e53710ce91a9b2753e1b6043516fc25a>@@@cancellation_token@Concurrency@@QEBA?AVcancellation_token_registration@1@AEBV<lambda_e53710ce91a9b2753e1b6043516fc25a>@@@Z"
	strings:
		$1 = { 48 F7 C2 FD FF FF FF 0F 84 92 00 00 00 53 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 8B D9 48 8D 4C 24 50 E8 ?? ?? ?? ?? 90 48 8B 1B 48 85 DB 74 04 F0 FF 43 08 48 89 5C 24 20 4C 8D 44 24 20 48 8D 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 44 24 58 48 85 C0 74 12 F0 FF 48 08 75 0C 48 8B 4C 24 58 48 8B 01 FF 50 08 90 48 85 DB 74 10 F0 FF 4B 08 75 0A 48 8B 03 48 8B CB FF 50 08 90 48 8B 44 24 50 48 85 C0 74 11 F0 FF 48 08 75 0B 48 8B 4C 24 50 48 8B 01 FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_1167_1 {
	meta:
		name = "?_Make@?$_Task_ptr@E@details@Concurrency@@SA?AV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@PEAV_CancellationTokenState@23@Uscheduler_ptr@3@@Z"
		size = 101
		refs = "002c ??$make_shared@U?$_Task_impl@E@details@Concurrency@@AEAPEAV_CancellationTokenState@23@AEAUscheduler_ptr@3@@std@@YA?AV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@0@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 57 48 83 EC 30 48 C7 40 F0 FE FF FF FF 48 89 58 08 49 8B D8 48 8B F9 83 64 24 20 00 48 8D 50 10 E8 ?? ?? ?? ?? 90 48 8B 5B 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1169_1 {
	meta:
		name = "?_Make@?$_Task_ptr@_N@details@Concurrency@@SA?AV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@std@@PEAV_CancellationTokenState@23@Uscheduler_ptr@3@@Z"
		size = 101
		refs = "002c ??$make_shared@U?$_Task_impl@_N@details@Concurrency@@AEAPEAV_CancellationTokenState@23@AEAUscheduler_ptr@3@@std@@YA?AV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@0@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 57 48 83 EC 30 48 C7 40 F0 FE FF FF FF 48 89 58 08 49 8B D8 48 8B F9 83 64 24 20 00 48 8D 50 10 E8 ?? ?? ?? ?? 90 48 8B 5B 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1193_1 {
	meta:
		name = "?_Perform@?$_Continuation_func_transformer@V?$task@_N@Concurrency@@X@Concurrency@@SA?AV?$function@$$A6AEV?$task@_N@Concurrency@@@Z@std@@V?$function@$$A6AXV?$task@_N@Concurrency@@@Z@4@@Z"
		size = 107
		refs = "0024 ??$_MakeTToUnitFunc@V?$task@_N@Concurrency@@@details@Concurrency@@YA?AV?$function@$$A6AEV?$task@_N@Concurrency@@@Z@std@@AEBV?$function@$$A6AXV?$task@_N@Concurrency@@@Z@3@@Z"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 40 48 8B DA 48 8B F9 83 64 24 20 00 E8 ?? ?? ?? ?? 90 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1195_1 {
	meta:
		name = "?_Perform@?$_Continuation_func_transformer@_NV?$task@_N@Concurrency@@@Concurrency@@SA?AV?$function@$$A6A?AV?$task@_N@Concurrency@@_N@Z@std@@V34@@Z"
		size = 146
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 57 48 83 EC 30 48 C7 40 F0 FE FF FF FF 48 89 58 18 48 8B DA 48 8B F9 83 64 24 20 00 48 83 61 18 00 48 8B 4A 18 48 85 C9 75 06 48 21 4F 18 EB 15 48 8B 01 48 3B CA 75 05 48 8B D7 EB 02 33 D2 FF 10 48 89 47 18 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1202_1 {
	meta:
		name = "?_RegisterCancellation@_Task_impl_base@details@Concurrency@@QEAAXV?$weak_ptr@U_Task_impl_base@details@Concurrency@@@std@@@Z"
		size = 188
		refs = "0042 ??2@YAPEAX_K@Z 0059 ??0?$_CancellationTokenCallback@V<lambda_155db802f5406b4c70bbd9a459e8a94f>@@@details@Concurrency@@QEAA@AEBV<lambda_155db802f5406b4c70bbd9a459e8a94f>@@@Z 006e ?_RegisterCallback@_CancellationTokenState@details@Concurrency@@QEAAXPEAV_CancellationTokenRegistration@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 48 8B F1 48 8B 5A 08 48 8B 02 48 85 DB 74 04 F0 FF 43 0C 48 89 5C 24 30 48 89 44 24 28 B9 38 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 12 48 8D 54 24 28 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 89 46 68 48 8B D0 48 8B 4E 60 E8 ?? ?? ?? ?? 90 83 CE FF 48 85 DB 74 17 8B C6 F0 0F C1 43 0C 03 C6 75 0C 48 8B 4C 24 30 48 8B 01 FF 50 08 90 48 8B 4F 08 48 85 C9 74 11 8B C6 F0 0F C1 41 0C 03 C6 75 06 48 8B 01 FF 50 08 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_57_1213_1 {
	meta:
		name = "?_Reset@?$_Func_class@V?$task@_N@Concurrency@@$$$V@std@@IEAAXAEBV12@@Z"
		size = 51
		altNames = "?_Reset@?$_Func_class@V?$task@_N@Concurrency@@_N@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@X$$$V@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@XAEB_K@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@XE@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@XPEAV?$message@_K@Concurrency@@@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@XU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@XV?$task@X@Concurrency@@@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@XV?$task@_N@Concurrency@@@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@IEAAXAEBV12@@Z ?_Reset@?$_Func_class@_NAEB_K@std@@IEAAXAEBV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 4A 18 48 85 C9 75 06 48 21 4B 18 EB 15 48 8B 01 48 3B CA 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_1224_1 {
	meta:
		name = "?_Reset@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@2@_N@Z"
		size = 172
		refs = "008a ??0exception@std@@QEAA@XZ 0091 ??_7bad_weak_ptr@std@@6B@ 0098 _TI2?AVbad_weak_ptr@std@@ 00a7 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F8 48 8B EA 48 8B F1 4D 85 C0 74 19 41 8B 40 08 EB 0F 44 8D 40 01 F0 44 0F B1 47 08 74 0E 8B 47 08 85 C0 75 ED 45 84 C9 74 2F EB 42 48 8B 59 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 89 7E 08 48 89 2E 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_1228_1 {
	meta:
		name = "?_Rethrow_future_exception@std@@YAXVexception_ptr@1@@Z"
		size = 80
		refs = "001f ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z 0033 ?__ExceptionPtrRethrow@@YAXPEBX@Z 003e ?__ExceptionPtrDestroy@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 44 24 28 48 89 44 24 58 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 40 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_1231_1 {
	meta:
		name = "?_RunChoreBridge@_TaskProcHandle@details@Concurrency@@SAXPEAX@Z"
		size = 49
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 89 4C 24 40 48 8B 01 FF 50 08 90 48 8B 03 BA 01 00 00 00 48 8B CB 48 83 C4 30 5B 48 FF 20 }
	condition:
		$1
}

rule file_57_1233_1 {
	meta:
		name = "?_RunContinuation@_Task_impl_base@details@Concurrency@@QEAAXPEAU_ContinuationTaskHandleBase@23@@Z"
		size = 212
		refs = "0090 ?_ScheduleTask@_Task_impl_base@details@Concurrency@@QEAAXPEAU_TaskProcHandle@23@W4_TaskInliningMode@23@@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 40 FE FF FF FF 48 89 5C 24 70 48 8B DA 48 8B F9 48 8B 02 48 8D 54 24 30 48 8B CB FF 50 10 90 8B 47 08 83 F8 04 75 52 80 7B 31 00 75 4C 48 8D 57 10 48 8B 4C 24 30 48 83 3A 00 74 16 48 8B 01 48 89 54 24 20 41 B1 01 45 8A C1 41 8A D1 FF 50 08 EB 18 4C 8B 11 48 8D 41 10 48 89 44 24 20 45 33 C9 45 33 C0 B2 01 41 FF 52 08 48 8B 03 BA 01 00 00 00 48 8B CB FF 10 EB 12 44 8B 43 34 48 8B D3 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 48 8B 7C 24 38 48 85 FF 74 2A 83 CB FF 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 48 8B 5C 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_57_1235_1 {
	meta:
		name = "?_RunTask@_TaskCollectionImpl@details@Concurrency@@SAXP6AXPEAX@Z0W4_TaskInliningMode@23@@Z"
		size = 101
		refs = "0026 ?_GetCurrentInlineDepth@_StackGuard@details@Concurrency@@CAAEA_KXZ 0048 ?_ScheduleTask@_CurrentScheduler@details@Concurrency@@SAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 49 63 F8 48 8B F2 48 8B E9 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 58 48 FF 00 48 39 38 77 07 48 8B CE FF D5 EB 0C 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 90 48 FF 0B 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1237_1 {
	meta:
		name = "?_RunTaskContinuations@_Task_impl_base@details@Concurrency@@QEAAXXZ"
		size = 58
		refs = "0023 ?_RunContinuation@_Task_impl_base@details@Concurrency@@QEAAXPEAU_ContinuationTaskHandleBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 58 48 83 61 58 00 48 8B F9 48 85 D2 74 14 48 8B 5A 28 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 85 DB 75 EC 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_1238_1 {
	meta:
		name = "?_ScheduleContinuation@_Task_impl_base@details@Concurrency@@QEAAXPEAU_ContinuationTaskHandleBase@23@@Z"
		size = 407
		refs = "002c ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0076 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0149 ?_ScheduleTask@_Task_impl_base@details@Concurrency@@QEAAXPEAU_TaskProcHandle@23@W4_TaskInliningMode@23@@Z"
	strings:
		$1 = { 48 8B C4 57 48 81 EC A0 00 00 00 48 C7 40 98 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 48 8B F1 33 DB 48 8D 51 20 48 8D 48 C0 E8 ?? ?? ?? ?? 8B 46 08 83 F8 03 74 33 8B 46 08 83 F8 04 75 05 38 5F 31 75 26 8B 46 08 83 F8 04 75 10 48 8B 46 10 48 F7 D8 1B DB F7 DB 83 C3 02 EB 13 48 8B 46 58 48 89 47 28 48 89 7E 58 EB 05 BB 01 00 00 00 48 8D 4C 24 68 E8 ?? ?? ?? ?? FF CB 0F 84 AD 00 00 00 FF CB 74 3B FF CB 0F 85 F4 00 00 00 48 8B 07 48 8D 54 24 58 48 8B CF FF 50 10 90 48 8B 08 4C 8B 11 48 8D 46 10 48 89 44 24 20 41 B1 01 45 8A C1 41 8A D1 41 FF 52 08 90 48 8B 74 24 60 EB 30 48 8B 07 48 8D 54 24 30 48 8B CF FF 50 10 90 48 8B 08 4C 8B 11 48 8D 41 10 48 89 44 24 20 45 33 C9 45 33 C0 B2 01 41 FF 52 08 90 48 8B 74 24 38 48 85 F6 74 2A 83 CB FF 8B C3 F0 0F C1 46 08 03 C3 75 1C 48 8B 06 48 8B CE FF 10 8B C3 F0 0F C1 46 0C 03 C3 75 09 48 8B 06 48 8B CE FF 50 08 48 8B 07 BA 01 00 00 00 48 8B CF FF 10 EB 53 48 8B 07 48 8D 54 24 48 48 8B CF FF 50 10 90 44 8B 47 34 48 8B D7 48 8B 08 E8 ?? ?? ?? ?? 90 48 8B 7C 24 50 48 85 FF 74 2A 83 CB FF 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 4C 8D 9C 24 A0 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_57_1242_1 {
	meta:
		name = "?_ScheduleContinuationTask@_Task_impl_base@details@Concurrency@@QEAAXPEAU_ContinuationTaskHandleBase@23@@Z"
		size = 26
		refs = "0016 ?_ScheduleTask@_Task_impl_base@details@Concurrency@@QEAAXPEAU_TaskProcHandle@23@W4_TaskInliningMode@23@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 44 8B 42 34 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_1243_1 {
	meta:
		name = "?_ScheduleFuncWithAutoInline@details@Concurrency@@YAXAEBV?$function@$$A6AXXZ@std@@W4_TaskInliningMode@12@@Z"
		size = 170
		refs = "0025 ??2@YAPEAX_K@Z 0069 ?_GetCurrentInlineDepth@_StackGuard@details@Concurrency@@CAAEA_KXZ 0081 ?_Bridge@_TaskProcThunk@details@Concurrency@@SAXPEAX@Z 0092 ?_ScheduleTask@_CurrentScheduler@details@Concurrency@@SAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 48 63 F2 48 8B D9 B9 20 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 50 48 85 C0 74 30 48 89 44 24 58 48 83 60 18 00 48 8B 4B 18 48 85 C9 75 06 48 21 48 18 EB 15 48 8B 01 48 3B CB 75 05 48 8B D7 EB 02 33 D2 FF 10 48 89 47 18 EB 02 33 FF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 50 48 FF 00 48 39 30 77 0A 48 8B CF E8 ?? ?? ?? ?? EB 10 48 8B D7 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 FF 0B 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1247_1 {
	meta:
		name = "?_ScheduleTask@_TaskCollectionImpl@details@Concurrency@@QEAAXPEAU_TaskProcHandle@23@W4_TaskInliningMode@23@@Z"
		size = 169
		refs = "0035 ?_NewCollection@_AsyncTaskCollection@details@Concurrency@@SAPEAV123@PEAV_CancellationTokenState@23@@Z 0053 ?_ScheduleWithAutoInline@_AsyncTaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@W4_TaskInliningMode@23@@Z 008a ?_RunChoreBridge@_TaskProcHandle@details@Concurrency@@SAXPEAX@Z 0095 ?set@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 41 8B F0 48 8B DA 48 8B F9 48 83 B9 A8 00 00 00 00 75 11 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 89 87 90 00 00 00 48 8B 8F 90 00 00 00 48 85 C9 74 0D 44 8B C6 48 8B D3 E8 ?? ?? ?? ?? EB 1F 83 FE FF 75 1C 48 89 5C 24 58 48 8B 03 48 8B CB FF 50 08 90 48 8B 03 8D 56 02 48 8B CB FF 10 EB 17 48 8B 8F A8 00 00 00 48 8B 01 4C 8B C3 48 8D 15 ?? ?? ?? ?? FF 10 90 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1250_1 {
	meta:
		name = "__catch$?_ScheduleTask@_TaskCollectionImpl@details@Concurrency@@QEAAXPEAU_TaskProcHandle@23@W4_TaskInliningMode@23@@Z$0"
		size = 19
		refs = "0005 ?set@event@Concurrency@@QEAAXXZ 000e _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 40 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_57_1251_1 {
	meta:
		name = "?_ScheduleTask@_Task_impl_base@details@Concurrency@@QEAAXPEAU_TaskProcHandle@23@W4_TaskInliningMode@23@@Z"
		size = 28
		refs = "0012 ?_ScheduleTask@_TaskCollectionImpl@details@Concurrency@@QEAAXPEAU_TaskProcHandle@23@W4_TaskInliningMode@23@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 83 C1 70 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_57_1258_1 {
	meta:
		name = "?_ScheduleWithAutoInline@_AsyncTaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@W4_TaskInliningMode@23@@Z"
		size = 128
		refs = "0035 ?_Schedule@_TaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z 003e ?_GetCurrentInlineDepth@_StackGuard@details@Concurrency@@CAAEA_KXZ 005a ?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z"
	strings:
		$1 = { 40 56 57 41 56 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 4D 63 F0 48 8B F2 48 8B F9 F0 FF 41 08 33 ED 45 85 C0 75 0D 48 83 C1 10 E8 ?? ?? ?? ?? 33 C0 EB 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 50 48 FF 00 48 8D 4F 10 48 8B D6 4C 39 30 77 09 E8 ?? ?? ?? ?? 8B E8 EB 06 E8 ?? ?? ?? ?? 90 48 FF 0B 8B C5 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_57_1271_1 {
	meta:
		name = "?_SetTaskCreationCallstack@?$task@E@Concurrency@@QEAAXAEBV_TaskCreationCallstack@details@2@@Z"
		size = 29
		refs = "0019 ??4?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAAAEAV01@AEBV01@@Z"
		altNames = "?_SetTaskCreationCallstack@?$task@X@Concurrency@@QEAAXAEBV_TaskCreationCallstack@details@2@@Z ?_SetTaskCreationCallstack@?$task@_N@Concurrency@@QEAAXAEBV_TaskCreationCallstack@details@2@@Z"
	strings:
		$1 = { 48 8B 09 48 8B 02 48 83 C2 08 48 89 81 20 01 00 00 48 81 C1 28 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_1274_1 {
	meta:
		name = "?_SetTaskCreationCallstack@_Task_impl_base@details@Concurrency@@QEAAXAEBV_TaskCreationCallstack@23@@Z"
		size = 23
		refs = "0013 ??4?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { 48 8B 02 48 81 C1 28 01 00 00 48 83 C2 08 48 89 41 F8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_1280_1 {
	meta:
		name = "?_Swap_all@_Container_base12@std@@QEAAXAEAU12@@Z"
		size = 35
	strings:
		$1 = { 48 8B 02 4C 8B 01 48 89 01 4C 89 02 48 8B 01 48 85 C0 74 03 48 89 08 48 8B 02 48 85 C0 74 03 48 89 10 C3 }
	condition:
		$1
}

rule file_57_1292_1 {
	meta:
		name = "?_Throw_future_error@std@@YAXAEBVerror_code@1@@Z"
		size = 125
		refs = "001d ??_C@_00CNPNBAHC@?$AA@ 0026 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 0055 ??0exception@std@@QEAA@AEBQEBD@Z 005c ??_7future_error@std@@6B@ 006e _TI3?AVfuture_error@std@@ 0078 _CxxThrowException"
	strings:
		$1 = { 48 8B C4 53 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 0F 29 70 E8 48 8B D9 48 8D 15 ?? ?? ?? ?? 48 8D 48 90 E8 ?? ?? ?? ?? 90 0F 10 33 48 8D 44 24 30 48 83 7C 24 48 10 48 0F 43 44 24 30 48 89 84 24 A0 00 00 00 48 8D 94 24 A0 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 F3 0F 7F 74 24 68 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_1303_1 {
	meta:
		name = "?_Tidy@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAAXXZ"
		size = 44
		refs = "0013 ??3@YAXPEAX@Z"
		altNames = "??1_TaskCreationCallstack@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_1304_1 {
	meta:
		name = "?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@IEAAXXZ"
		size = 130
		refs = "005a ??3@YAXPEAX@Z"
		altNames = "?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 79 08 48 8B D9 48 85 FF 74 4D 48 8B 69 10 EB 2A 48 8B 77 08 48 85 F6 74 1D F0 FF 4E 08 75 17 48 8B 06 48 8B CE FF 10 F0 FF 4E 0C 75 09 48 8B 06 48 8B CE FF 50 08 48 83 C7 10 48 3B FD 75 D1 48 8B 4B 08 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_57_1306_1 {
	meta:
		name = "?_ToExceptionHolder@?$task_completion_event@E@Concurrency@@CA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV34@AEBV_TaskCreationCallstack@details@2@@Z"
		size = 43
		refs = "001e ?_Reset@?$_Ptr_base@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXPEAU_ExceptionHolder@details@Concurrency@@PEAV_Ref_count_base@2@@Z"
		altNames = "?_ToExceptionHolder@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@CA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV34@AEBV_TaskCreationCallstack@details@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B D9 48 89 01 48 89 41 08 4C 8B 42 08 48 8B 12 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_1308_1 {
	meta:
		name = "?_TransitionedToStarted@?$_Task_impl@E@details@Concurrency@@QEAA_NXZ"
		size = 81
		refs = "0021 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0040 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
		altNames = "?_TransitionedToStarted@?$_Task_impl@_N@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 48 8D 51 20 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8B 47 08 83 F8 02 75 04 32 DB EB 08 BB 01 00 00 00 89 5F 08 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8A C3 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_57_1318_1 {
	meta:
		name = "?_set_creation_callstack@_Internal_task_options@details@Concurrency@@QEAAXAEBV_TaskCreationCallstack@23@@Z"
		size = 23
		refs = "0013 ??4?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { C6 01 01 48 8B 02 48 83 C1 10 48 89 41 F8 48 83 C2 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_57_1320_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@PEAX@std@@@std@@QEAAPEAPEAX_K@Z"
		size = 54
		refs = "0022 ??2@YAPEAX_K@Z 0031 ?_Xbad_alloc@std@@YAXXZ"
		altNames = "?allocate@?$allocator@PEAX@std@@QEAAPEAPEAX_K@Z"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 D2 74 20 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 77 16 48 8B CA 48 C1 E1 03 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_57_1338_1 {
	meta:
		name = "?begin@?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEBA?AV?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@2@XZ"
		size = 23
		altNames = "?begin@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@2@XZ ?begin@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 8B 41 08 48 83 62 08 00 48 89 42 10 48 8B 01 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_57_1368_1 {
	meta:
		name = "?do_while@details@Concurrency@@YA?AV?$task@_N@2@V?$function@$$A6A?AV?$task@_N@Concurrency@@XZ@std@@@Z"
		size = 299
		refs = "0020 __security_cookie 0041 ??R?$_Func_class@V?$task@_N@Concurrency@@$$$V@std@@QEBA?AV?$task@_N@Concurrency@@XZ 008d ?_Reset@?$_Ptr_base@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAAXPEAU?$_Task_impl@_N@details@Concurrency@@PEAV_Ref_count_base@2@@Z 009e ??$then@V<lambda_8b695f9820225e821433c25f6ed27cb8>@@@?$task@_N@Concurrency@@QEBA?AV01@AEBV<lambda_8b695f9820225e821433c25f6ed27cb8>@@@Z 00a8 ??1<lambda_8b695f9820225e821433c25f6ed27cb8>@@QEAA@XZ 0114 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 F7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 8B DA 48 8B F1 48 89 55 EF 83 65 E7 00 48 8D 55 D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 45 07 48 89 45 FF 48 83 65 1F 00 48 8B 4B 18 48 85 C9 75 06 48 21 4D 1F EB 16 48 8B 01 48 3B CB 75 06 48 8D 55 07 EB 02 33 D2 FF 10 48 89 45 1F 0F 57 C0 F3 0F 7F 45 27 4C 8B 45 DF 48 8B 55 D7 48 8D 4D 27 E8 ?? ?? ?? ?? 90 4C 8D 45 07 48 8B D6 48 8D 4D D7 E8 ?? ?? ?? ?? 90 48 8D 4D 07 E8 ?? ?? ?? ?? 90 48 8B 7D DF 48 85 FF 74 1E F0 FF 4F 08 75 18 48 8B 07 48 8B CF FF 10 F0 FF 4F 0C 75 0A 48 8B 07 48 8B CF FF 50 08 90 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 12 4C 8B 01 48 3B CB 0F 95 C2 41 FF 50 20 48 83 63 18 00 48 8B C6 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_57_1376_1 {
	meta:
		name = "?end@?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEBA?AV?$_Vector_const_iterator@V?$_Vector_val@U?$_Simple_types@PEAX@std@@@std@@@2@XZ"
		size = 23
		altNames = "?end@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@2@XZ ?end@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 8B 41 10 48 83 62 08 00 48 89 42 10 48 8B 01 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_57_1388_1 {
	meta:
		name = "?get_ambient_scheduler@Concurrency@@YA?AV?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@XZ"
		size = 24
	strings:
		$1 = { 48 83 EC 18 33 C0 89 04 24 48 89 01 48 89 41 08 48 8B C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_57_1389_1 {
	meta:
		name = "?get_cancellation_token@task_options@Concurrency@@QEBA?AVcancellation_token@2@XZ"
		size = 32
	strings:
		$1 = { 48 83 EC 18 48 8B 41 18 83 24 24 00 48 85 C0 74 04 F0 FF 40 08 48 89 02 48 8B C2 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_57_1391_1 {
	meta:
		name = "?get_scheduler@task_options@Concurrency@@QEBA?AUscheduler_ptr@2@XZ"
		size = 66
		refs = "0028 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 33 C0 48 8B FA 48 8B D9 48 89 02 48 89 42 08 4C 8B 41 08 48 8B 11 48 8B CF 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 43 10 48 8B 5C 24 40 48 89 47 10 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1413_1 {
	meta:
		name = "?lock@?$weak_ptr@U_Task_impl_base@details@Concurrency@@@std@@QEBA?AV?$shared_ptr@U_Task_impl_base@details@Concurrency@@@2@XZ"
		size = 45
		refs = "0020 ?_Reset@?$_Ptr_base@U_Task_impl_base@details@Concurrency@@@std@@QEAAXPEAU_Task_impl_base@details@Concurrency@@PEAV_Ref_count_base@2@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 22 00 48 83 62 08 00 4C 8B 41 08 48 8B DA 48 8B 11 45 33 C9 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_1422_1 {
	meta:
		name = "?message@_Future_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 88
		refs = "0021 ?_Future_error_map@std@@YAPEBDH@Z 0031 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 0041 ?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 83 64 24 20 00 48 8B F1 41 8B C8 41 8B F8 48 8B DA E8 ?? ?? ?? ?? 48 85 C0 74 0D 48 8B D0 48 8B CB E8 ?? ?? ?? ?? EB 0E 44 8B C7 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 48 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_57_1431_1 {
	meta:
		name = "?none@cancellation_token@Concurrency@@SA?AV12@XZ"
		size = 20
	strings:
		$1 = { 48 83 EC 18 83 24 24 00 48 83 21 00 48 8B C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_57_1434_1 {
	meta:
		name = "?reset@?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAXXZ"
		size = 71
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 51 08 48 83 61 08 00 48 83 21 00 48 89 54 24 28 48 85 D2 74 24 F0 FF 4A 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_57_1440_1 {
	meta:
		name = "?set@?$task_completion_event@E@Concurrency@@QEBA_NE@Z"
		size = 755
		refs = "005a ??2@YAPEAX_K@Z 0064 ?_Xbad_alloc@std@@YAXXZ 008d ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 011a ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 012f ?begin@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@2@XZ 0144 ?end@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@std@@@std@@@2@XZ 020d ?_FinalizeAndRunContinuations@?$_Task_impl@E@details@Concurrency@@QEAAXE@Z 022d _invalid_parameter_noinfo_noreturn 02c2 ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@IEAAXXZ 02cb ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC D0 00 00 00 48 C7 45 FF FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 40 8A FA 48 8B F1 48 8B 01 80 78 70 00 0F 85 9A 02 00 00 80 78 71 00 0F 85 90 02 00 00 0F 57 C0 F3 0F 7F 45 B7 0F 57 C9 F3 0F 7F 4D C7 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 B7 0F 57 C0 F3 0F 7F 00 48 8D 4D B7 48 8B 45 B7 48 89 08 32 DB 48 8B 16 48 83 C2 20 48 8D 4D 1F E8 ?? ?? ?? ?? 90 48 8B 06 41 B6 01 38 58 70 75 78 38 58 71 75 73 40 88 78 58 48 8B 06 44 88 70 70 48 8B 16 48 8D 45 B7 48 3B C2 74 59 48 8B 4D B7 48 8B 02 48 89 45 B7 48 89 0A 48 8B 45 B7 48 85 C0 74 07 48 8D 4D B7 48 89 08 48 8B 02 48 85 C0 74 03 48 89 10 48 8B 4D BF 48 8B 42 08 48 89 45 BF 48 89 4A 08 48 8B 4D C7 48 8B 42 10 48 89 45 C7 48 89 4A 10 48 8B 4D CF 48 8B 42 18 48 89 45 CF 48 89 4A 18 41 8A DE 48 8D 4D 1F E8 ?? ?? ?? ?? 84 DB 0F 84 94 01 00 00 48 8D 55 D7 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B 5D E7 48 8B 7D D7 48 8D 55 07 48 8D 4D B7 E8 ?? ?? ?? ?? 48 85 FF 0F 84 63 01 00 00 48 8B 0F 48 85 C9 0F 84 57 01 00 00 48 8B 10 48 85 D2 74 03 48 8B 12 48 3B CA 0F 85 3D 01 00 00 48 3B 58 10 0F 94 C0 84 C0 0F 85 DC 00 00 00 48 85 C9 0F 84 CD 00 00 00 48 85 DB 0F 84 BE 00 00 00 48 39 59 08 0F 87 B4 00 00 00 48 3B 59 10 0F 83 AA 00 00 00 48 8B 03 8B 48 08 48 8B 7D D7 83 F9 02 75 36 48 8B 07 48 85 C0 74 75 48 8B 5D E7 48 39 58 08 77 65 48 3B 58 10 73 5F 48 8B 0B 4C 8B 11 48 8D 41 10 48 89 44 24 20 45 33 C9 45 33 C0 41 8A D6 41 FF 52 08 EB 26 48 8B 06 8A 50 58 48 8B 07 48 85 C0 74 51 48 8B 5D E7 48 39 58 08 77 41 48 3B 58 10 73 3B 48 8B 0B E8 ?? ?? ?? ?? 48 8B 07 48 85 C0 74 25 48 3B 58 10 73 19 48 83 C3 10 48 89 5D E7 E9 0F FF FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 48 8B 06 48 83 78 60 00 74 57 48 8B 48 68 48 89 4D F7 48 83 60 68 00 48 83 60 60 00 48 85 C9 74 40 83 CF FF 8B C7 F0 0F C1 41 08 03 C7 75 32 48 8B 5D F7 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 1B 48 8B 4D F7 48 8B 01 FF 50 08 EB 0F E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 45 32 F6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B 4D B7 E8 ?? ?? ?? ?? 41 8A C6 EB 02 32 C0 4C 8D 9C 24 D0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_57_1443_1 {
	meta:
		name = "?set@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@QEBA_NU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Z"
		size = 778
		refs = "005a ??2@YAPEAX_K@Z 0064 ?_Xbad_alloc@std@@YAXXZ 008d ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0127 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 013c ?begin@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@2@XZ 0151 ?end@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAA?AV?$_Vector_iterator@V?$_Vector_val@U?$_Simple_types@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@std@@@std@@@2@XZ 0224 ?_FinalizeAndRunContinuations@?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@QEAAXU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Z 0244 _invalid_parameter_noinfo_noreturn 02d9 ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@IEAAXXZ 02e2 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 EF FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 48 8B FA 48 8B F1 48 8B 01 80 78 78 00 0F 85 B1 02 00 00 80 78 79 00 0F 85 A7 02 00 00 0F 57 C0 F3 0F 7F 45 A7 0F 57 C9 F3 0F 7F 4D B7 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 A7 0F 57 C0 F3 0F 7F 00 48 8D 4D A7 48 8B 45 A7 48 89 08 32 DB 48 8B 16 48 83 C2 20 48 8D 4D 1F E8 ?? ?? ?? ?? 90 48 8B 0E 41 B6 01 38 59 78 0F 85 81 00 00 00 38 59 79 75 7C 8A 07 88 41 58 48 8B 47 08 48 89 41 60 48 8B 06 44 88 70 78 48 8B 16 48 8D 45 A7 48 3B C2 74 59 48 8B 4D A7 48 8B 02 48 89 45 A7 48 89 0A 48 8B 45 A7 48 85 C0 74 07 48 8D 4D A7 48 89 08 48 8B 02 48 85 C0 74 03 48 89 10 48 8B 4D AF 48 8B 42 08 48 89 45 AF 48 89 4A 08 48 8B 4D B7 48 8B 42 10 48 89 45 B7 48 89 4A 10 48 8B 4D BF 48 8B 42 18 48 89 45 BF 48 89 4A 18 41 8A DE 48 8D 4D 1F E8 ?? ?? ?? ?? 84 DB 0F 84 9E 01 00 00 48 8D 55 C7 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8B 5D D7 48 8B 7D C7 48 8D 55 07 48 8D 4D A7 E8 ?? ?? ?? ?? 48 85 FF 0F 84 6D 01 00 00 48 8B 0F 48 85 C9 0F 84 61 01 00 00 48 8B 10 48 85 D2 74 03 48 8B 12 48 3B CA 0F 85 47 01 00 00 48 3B 58 10 0F 94 C0 84 C0 0F 85 E6 00 00 00 48 85 C9 0F 84 D7 00 00 00 48 85 DB 0F 84 C8 00 00 00 48 39 59 08 0F 87 BE 00 00 00 48 3B 59 10 0F 83 B4 00 00 00 48 8B 03 8B 48 08 48 8B 7D C7 83 F9 02 75 36 48 8B 07 48 85 C0 74 7F 48 8B 5D D7 48 39 58 08 77 6F 48 3B 58 10 73 69 48 8B 0B 4C 8B 11 48 8D 41 10 48 89 44 24 20 45 33 C9 45 33 C0 41 8A D6 41 FF 52 08 EB 30 48 8B 06 0F 10 40 58 F3 0F 7F 45 F7 48 8B 07 48 85 C0 74 55 48 8B 5D D7 48 39 58 08 77 45 48 3B 58 10 73 3F 48 8D 55 F7 48 8B 0B E8 ?? ?? ?? ?? 48 8B 07 48 85 C0 74 25 48 3B 58 10 73 19 48 83 C3 10 48 89 5D D7 E9 05 FF FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 48 8B 06 48 83 78 68 00 74 57 48 8B 48 70 48 89 4D E7 48 83 60 70 00 48 83 60 68 00 48 85 C9 74 40 83 CF FF 8B C7 F0 0F C1 41 08 03 C7 75 32 48 8B 5D E7 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 1B 48 8B 4D E7 48 8B 01 FF 50 08 EB 0F E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 45 32 F6 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8B 4D A7 E8 ?? ?? ?? ?? 41 8A C6 EB 02 32 C0 4C 8D 9C 24 E0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_57_1451_1 {
	meta:
		name = "?swap@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAAXAEAV12@@Z"
		size = 91
		altNames = "?swap@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAAXAEAV12@@Z"
	strings:
		$1 = { 4C 8B C9 48 3B CA 74 52 48 8B 02 4C 8B 01 48 89 01 4C 89 02 48 8B 01 48 85 C0 74 03 48 89 08 48 8B 02 48 85 C0 74 03 48 89 10 48 8B 49 08 48 8B 42 08 49 89 41 08 48 89 4A 08 48 8B 42 10 49 8B 49 10 49 89 41 10 48 89 4A 10 48 8B 42 18 49 8B 49 18 49 89 41 18 48 89 4A 18 C3 }
	condition:
		$1
}

rule file_58_0_1 {
	meta:
		name = "_Dtento"
		size = 335
		refs = "0018 __security_cookie 003f __real@0000000000000000 005f __real@4024000000000000 0064 _Xp_setw 006d tenth 0074 _Xp_movx 0095 _Xp_mulx 00d2 _Xp_getw 00e9 _Inf 00f8 __xmm@80000000000000008000000000000000 0105 _errno 0133 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 81 EC B0 00 00 00 0F 29 70 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 49 8B E8 8B DA 48 8B F1 85 D2 0F 84 E6 00 00 00 F2 0F 10 01 66 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 D2 00 00 00 BF 03 00 00 00 85 D2 48 8D 4C 24 30 8B D7 7E 0F F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 4C 8D 05 ?? ?? ?? ?? F7 DB E8 ?? ?? ?? ?? F6 C3 01 74 1C 48 8D 44 24 60 4C 8D 44 24 30 44 8B CF 8B D7 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? D1 FB 8B D7 74 2F 4C 8D 44 24 30 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 44 24 60 4C 8D 44 24 48 48 8D 4C 24 30 44 8B CF 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? EB AA 48 8B CE E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 0F 28 F0 7A 02 74 1F F2 0F 10 0D ?? ?? ?? ?? 66 0F 2E C1 7A 02 74 0F 0F 57 0D ?? ?? ?? ?? 66 0F 2E C1 7A 16 75 14 E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 85 ED 74 04 83 4D 00 01 0F 28 C6 EB 0A BA 03 00 00 00 E8 ?? ?? ?? ?? 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 28 41 0F 28 73 F0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_88_0_1 {
	meta:
		name = "_LDtento"
		size = 335
		refs = "0018 __security_cookie 003f __real@0000000000000000 005f __real@4024000000000000 0064 _LXp_setw 006d tenth 0074 _LXp_movx 0095 _LXp_mulx 00d2 _LXp_getw 00e9 _LInf 00f8 __xmm@80000000000000008000000000000000 0105 _errno 0133 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 81 EC B0 00 00 00 0F 29 70 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 49 8B E8 8B DA 48 8B F1 85 D2 0F 84 E6 00 00 00 F2 0F 10 01 66 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 D2 00 00 00 BF 03 00 00 00 85 D2 48 8D 4C 24 30 8B D7 7E 0F F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 4C 8D 05 ?? ?? ?? ?? F7 DB E8 ?? ?? ?? ?? F6 C3 01 74 1C 48 8D 44 24 60 4C 8D 44 24 30 44 8B CF 8B D7 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? D1 FB 8B D7 74 2F 4C 8D 44 24 30 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 44 24 60 4C 8D 44 24 48 48 8D 4C 24 30 44 8B CF 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? EB AA 48 8B CE E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 0F 28 F0 7A 02 74 1F F2 0F 10 0D ?? ?? ?? ?? 66 0F 2E C1 7A 02 74 0F 0F 57 0D ?? ?? ?? ?? 66 0F 2E C1 7A 16 75 14 E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 85 ED 74 04 83 4D 00 01 0F 28 C6 EB 0A BA 03 00 00 00 E8 ?? ?? ?? ?? 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 28 41 0F 28 73 F0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_59_30_1 {
	meta:
		name = "??0_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@AEAV12@@Z"
		size = 44
		altNames = "??0_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@AEAV12@@Z ??0_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@AEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 11 48 8B 02 48 8B D9 4C 63 40 04 49 8B 4C 10 48 48 85 C9 74 06 48 8B 01 FF 50 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_59_35_1 {
	meta:
		name = "??0_UShinit@std@@QEAA@XZ"
		size = 34
		refs = "0002 ?_Init_cnt@_UShinit@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 0A FF C0 89 05 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_87_35_1 {
	meta:
		name = "??0_Winit@std@@QEAA@XZ"
		size = 34
		refs = "0002 ?_Init_cnt@_Winit@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 0A FF C0 89 05 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_59_43_1 {
	meta:
		name = "??0sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@AEAV12@@Z"
		size = 123
		refs = "0057 ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAAEAV12@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 89 11 48 8B 02 4C 63 40 04 49 8B 4C 10 48 48 85 C9 74 07 48 8B 01 FF 50 08 90 48 8B 03 48 63 48 04 83 7C 19 10 00 75 14 48 8B 4C 19 50 48 85 C9 74 0A 48 3B CB 74 05 E8 ?? ?? ?? ?? 48 8B 03 48 63 48 04 83 7C 19 10 00 0F 94 C0 88 47 08 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_66_42_1 {
	meta:
		name = "??0sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@AEAV12@@Z"
		size = 123
		refs = "0057 ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAAEAV12@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 89 11 48 8B 02 4C 63 40 04 49 8B 4C 10 48 48 85 C9 74 07 48 8B 01 FF 50 08 90 48 8B 03 48 63 48 04 83 7C 19 10 00 75 14 48 8B 4C 19 50 48 85 C9 74 0A 48 3B CB 74 05 E8 ?? ?? ?? ?? 48 8B 03 48 63 48 04 83 7C 19 10 00 0F 94 C0 88 47 08 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_87_43_1 {
	meta:
		name = "??0sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@AEAV12@@Z"
		size = 123
		refs = "0057 ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAAEAV12@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 89 11 48 8B 02 4C 63 40 04 49 8B 4C 10 48 48 85 C9 74 07 48 8B 01 FF 50 08 90 48 8B 03 48 63 48 04 83 7C 19 10 00 75 14 48 8B 4C 19 50 48 85 C9 74 0A 48 3B CB 74 05 E8 ?? ?? ?? ?? 48 8B 03 48 63 48 04 83 7C 19 10 00 0F 94 C0 88 47 08 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_59_54_1 {
	meta:
		name = "??1_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@XZ"
		size = 35
		altNames = "??1_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@XZ ??1_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 11 48 8B 02 48 63 48 04 48 8B 4C 11 48 48 85 C9 74 06 48 8B 01 FF 50 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_59_57_1 {
	meta:
		name = "??1_UShinit@std@@QEAA@XZ"
		size = 68
		refs = "0006 ?_Init_cnt@_UShinit@std@@0HA 000f ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0019 ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAAEAV12@XZ 0020 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0031 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 28 FF 0D ?? ?? ?? ?? 75 33 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_87_57_1 {
	meta:
		name = "??1_Winit@std@@QEAA@XZ"
		size = 68
		refs = "0006 ?_Init_cnt@_Winit@std@@0HA 000f ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0019 ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAAEAV12@XZ 0020 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0031 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 28 FF 0D ?? ?? ?? ?? 75 33 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_66_93_1 {
	meta:
		name = "?_Init_dtor@Init@ios_base@std@@CAXPEAV123@@Z"
		size = 68
		refs = "0006 ?_Init_cnt@Init@ios_base@std@@0HA 000f ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0019 ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAAEAV12@XZ 0020 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0031 ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 28 FF 0D ?? ?? ?? ?? 75 33 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_59_61_1 {
	meta:
		name = "??1sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@XZ"
		size = 58
		refs = "000a ?uncaught_exception@std@@YA_NXZ 0016 ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 08 48 8B 0B E8 ?? ?? ?? ?? 48 8B 13 48 8B 02 48 63 48 04 48 8B 4C 11 48 48 85 C9 74 06 48 8B 01 FF 50 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_66_59_1 {
	meta:
		name = "??1sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@XZ"
		size = 58
		refs = "000a ?uncaught_exception@std@@YA_NXZ 0016 ?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 08 48 8B 0B E8 ?? ?? ?? ?? 48 8B 13 48 8B 02 48 63 48 04 48 8B 4C 11 48 48 85 C9 74 06 48 8B 01 FF 50 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_87_61_1 {
	meta:
		name = "??1sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@XZ"
		size = 58
		refs = "000a ?uncaught_exception@std@@YA_NXZ 0016 ?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 84 C0 75 08 48 8B 0B E8 ?? ?? ?? ?? 48 8B 13 48 8B 02 48 63 48 04 48 8B 4C 11 48 48 85 C9 74 06 48 8B 01 FF 50 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_59_100_1 {
	meta:
		name = "?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
		size = 99
		refs = "0058 ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ ?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 01 48 63 48 04 83 7C 19 10 00 75 3D F6 44 19 18 02 74 36 48 8B 4C 19 48 48 8B 01 FF 50 68 83 F8 FF 75 26 48 8B 03 48 63 48 04 48 03 CB 8B 51 10 83 CA 04 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 45 33 C0 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_59_134_1 {
	meta:
		name = "?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAAEAV12@XZ"
		size = 175
		refs = "002e ??0sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@AEAV12@@Z 0072 ?clear@ios_base@std@@QEAAXH_N@Z 0078 ?uncaught_exception@std@@YA_NXZ 0086 ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 01 48 63 50 04 48 83 7C 0A 48 00 0F 84 81 00 00 00 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 80 7C 24 30 00 74 3D 48 8B 03 48 63 48 04 48 8B 4C 19 48 48 8B 01 FF 50 68 83 F8 FF 75 26 48 8B 03 48 63 48 04 48 03 CB 8B 51 10 83 CA 04 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 45 33 C0 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 84 C0 75 0A 48 8B 4C 24 28 E8 ?? ?? ?? ?? 48 8B 54 24 28 48 8B 02 48 63 48 04 48 8B 4C 11 48 48 85 C9 74 06 48 8B 01 FF 50 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_66_135_1 {
	meta:
		name = "?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAAEAV12@XZ"
		size = 175
		refs = "002e ??0sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@AEAV12@@Z 0072 ?clear@ios_base@std@@QEAAXH_N@Z 0078 ?uncaught_exception@std@@YA_NXZ 0086 ?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 01 48 63 50 04 48 83 7C 0A 48 00 0F 84 81 00 00 00 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 80 7C 24 30 00 74 3D 48 8B 03 48 63 48 04 48 8B 4C 19 48 48 8B 01 FF 50 68 83 F8 FF 75 26 48 8B 03 48 63 48 04 48 03 CB 8B 51 10 83 CA 04 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 45 33 C0 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 84 C0 75 0A 48 8B 4C 24 28 E8 ?? ?? ?? ?? 48 8B 54 24 28 48 8B 02 48 63 48 04 48 8B 4C 11 48 48 85 C9 74 06 48 8B 01 FF 50 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_87_134_1 {
	meta:
		name = "?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAAEAV12@XZ"
		size = 175
		refs = "002e ??0sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@AEAV12@@Z 0072 ?clear@ios_base@std@@QEAAXH_N@Z 0078 ?uncaught_exception@std@@YA_NXZ 0086 ?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 01 48 63 50 04 48 83 7C 0A 48 00 0F 84 81 00 00 00 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 80 7C 24 30 00 74 3D 48 8B 03 48 63 48 04 48 8B 4C 19 48 48 8B 01 FF 50 68 83 F8 FF 75 26 48 8B 03 48 63 48 04 48 03 CB 8B 51 10 83 CA 04 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 45 33 C0 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 84 C0 75 0A 48 8B 4C 24 28 E8 ?? ?? ?? ?? 48 8B 54 24 28 48 8B 02 48 63 48 04 48 8B 4C 11 48 48 85 C9 74 06 48 8B 01 FF 50 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_61_0_1 {
	meta:
		name = "_Cnd_do_broadcast_at_thread_exit"
		size = 253
		refs = "0012 init_at_thread_exit_mutex 0019 at_thread_exit_flag 0023 _Call_once 002a at_thread_exit_mutex 002f _Mtx_lock 0049 thread_exit_data 004e _Thrd_current 008a _Thrd_equal 00a5 _Mtx_unlock 00ae _Cnd_broadcast"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 0F 29 74 24 40 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A B8 04 00 00 00 E9 A7 00 00 00 48 8D 4C 24 30 48 8D 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 10 30 33 F6 39 B3 20 03 00 00 74 6D 48 8D 7B 10 48 83 FE 14 7D 63 48 83 3F 00 74 4D 0F 10 47 F0 48 8D 54 24 20 48 8D 4C 24 30 66 0F 7F 74 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 85 C0 74 2A 48 8B 47 10 48 85 C0 74 06 C7 00 01 00 00 00 48 8B 0F E8 ?? ?? ?? ?? 48 8B 4F 08 E8 ?? ?? ?? ?? 48 83 27 00 FF 8B 20 03 00 00 48 FF C6 48 83 C7 28 83 BB 20 03 00 00 00 75 97 48 8B 9B 28 03 00 00 48 85 DB 0F 85 79 FF FF FF 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 0F 28 74 24 40 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_61_1_1 {
	meta:
		name = "_Cnd_register_at_thread_exit"
		size = 252
		refs = "0022 init_at_thread_exit_mutex 0029 at_thread_exit_flag 0031 _Call_once 0038 at_thread_exit_mutex 003d _Mtx_lock 0052 thread_exit_data 0074 calloc 00a9 _Thrd_current 00dd _Mtx_unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 48 8B EA 4C 8B F1 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 49 8B F0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A B8 04 00 00 00 E9 92 00 00 00 48 8D 1D ?? ?? ?? ?? 83 BB 20 03 00 00 14 75 29 48 83 BB 28 03 00 00 00 75 16 BA 30 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 89 83 28 03 00 00 48 8B 9B 28 03 00 00 EB 48 33 FF 48 8D 43 10 48 83 38 00 74 0F 48 FF C7 48 83 C0 28 48 83 FF 14 7C ED EB 2B 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 14 BF 0F 10 00 48 89 6C D3 10 4C 89 74 D3 18 48 89 74 D3 20 F3 0F 7F 04 D3 FF 83 20 03 00 00 33 DB 48 85 DB 75 81 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_61_2_1 {
	meta:
		name = "_Cnd_unregister_at_thread_exit"
		size = 141
		refs = "000c init_at_thread_exit_mutex 0013 at_thread_exit_flag 0018 _Call_once 001f at_thread_exit_mutex 0024 _Mtx_lock 003a thread_exit_data 0089 _Mtx_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 85 C0 74 09 8D 41 04 48 83 C4 20 5B C3 48 8D 05 ?? ?? ?? ?? 4C 8B C1 39 88 20 03 00 00 74 27 48 8D 50 10 49 83 F8 14 7D 1D 48 39 1A 75 09 48 89 0A FF 88 20 03 00 00 49 FF C0 48 83 C2 28 39 88 20 03 00 00 75 DD 48 8B 80 28 03 00 00 48 85 C0 75 C2 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_4_1 {
	meta:
		name = "init_at_thread_exit_mutex"
		size = 47
		refs = "0007 at_thread_exit_mutex 0011 _Mtx_init 001c destroy_at_thread_exit_mutex 0025 atexit 002a abort"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 10 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_64_0_1 {
	meta:
		name = "??0_Init_locks@std@@QEAA@XZ"
		size = 75
		refs = "0015 init 001e mtx 002b _Mtxinit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 F0 FF 05 ?? ?? ?? ?? 75 1D 48 8D 1D ?? ?? ?? ?? BF 04 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 FF CF 75 EF 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_64_1_1 {
	meta:
		name = "??0_Lockit@std@@QEAA@H@Z"
		size = 62
		refs = "0013 _lock 0028 mtx 0031 _Mtxlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 89 11 85 D2 75 0A 8D 4A 0C E8 ?? ?? ?? ?? EB 1C 83 FA 04 7D 17 48 63 C2 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_64_2_1 {
	meta:
		name = "??0_Lockit@std@@QEAA@XZ"
		size = 31
		refs = "0012 _lock"
	strings:
		$1 = { 40 53 48 83 EC 20 83 21 00 48 8B D9 B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_64_3_1 {
	meta:
		name = "??1_Init_locks@std@@QEAA@XZ"
		size = 60
		refs = "000d init 0017 mtx 0024 _Mtxdst"
		altNames = "?_Init_locks_dtor@_Init_locks@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F0 83 05 ?? ?? ?? ?? FF 79 1D 48 8D 1D ?? ?? ?? ?? BF 04 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 FF CF 75 EF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_64_4_1 {
	meta:
		name = "??1_Lockit@std@@QEAA@XZ"
		size = 53
		refs = "0013 _unlock 0023 mtx 002c _Mtxunlock"
	strings:
		$1 = { 48 83 EC 28 48 63 01 85 C0 75 0C 8D 48 0C 48 83 C4 28 E9 ?? ?? ?? ?? 83 F8 04 7D 14 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_64_7_1 {
	meta:
		name = "?_Init_locks_ctor@_Init_locks@std@@CAXPEAV12@@Z"
		size = 59
		refs = "000d init 0016 mtx 0023 _Mtxinit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F0 FF 05 ?? ?? ?? ?? 75 1D 48 8D 1D ?? ?? ?? ?? BF 04 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 FF CF 75 EF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_64_10_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPEAV12@H@Z"
		size = 40
		refs = "0008 _lock 001b mtx 0024 _Mtxlock"
	strings:
		$1 = { 85 D2 75 08 8D 4A 0C E9 ?? ?? ?? ?? 83 E2 03 48 63 C2 89 11 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_11_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@SAXH@Z"
		size = 39
		refs = "000a _lock 0013 mtx 0023 _Mtxlock"
	strings:
		$1 = { 85 C9 75 0A B9 0C 00 00 00 E9 ?? ?? ?? ?? 8B C1 48 8D 0D ?? ?? ?? ?? 83 E0 03 48 8D 04 80 48 8D 0C C1 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_13_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@SAXH@Z"
		size = 39
		refs = "000a _unlock 0013 mtx 0023 _Mtxunlock"
	strings:
		$1 = { 85 C9 75 0A B9 0C 00 00 00 E9 ?? ?? ?? ?? 8B C1 48 8D 0D ?? ?? ?? ?? 83 E0 03 48 8D 04 80 48 8D 0C C1 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_12_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@CAXPEAV12@@Z"
		size = 23
		refs = "000a mtx 0013 _Mtxunlock"
	strings:
		$1 = { 48 63 01 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_0_1 {
	meta:
		name = "_FSinh"
		size = 396
		refs = "0024 _FDtest 006b __xmm@80000000800000008000000080000000 0082 _FRteps 008f __real@3f800000 00a6 __real@3955e8d5 00ae __real@3c0879d7 00ba __real@3e2aaada 00d3 _FXbig 00e5 _FExp 00f2 __real@3e800000 0124 _Feraise 0148 __real@00000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F3 0F 11 40 08 55 48 8B EC 48 83 EC 30 0F 29 70 E8 48 8D 4D 10 0F 28 F1 E8 ?? ?? ?? ?? 33 FF 0F BF C8 85 C9 0F 84 39 01 00 00 FF C9 0F 84 08 01 00 00 FF C9 0F 84 F9 00 00 00 0F 57 C0 0F 2E F0 7A 11 75 0F 0F 2F 45 10 0F 86 10 01 00 00 E9 FD 00 00 00 F3 0F 10 55 10 0F 2F C2 76 13 0F 57 15 ?? ?? ?? ?? BB 01 00 00 00 F3 0F 11 55 10 EB 03 0F B7 DF F3 0F 10 05 ?? ?? ?? ?? 0F 2F C2 77 73 F3 0F 10 0D ?? ?? ?? ?? 0F 2F CA 76 37 0F 28 C2 F3 0F 59 C2 0F 28 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 59 CA F3 0F 58 CA 0F 28 D1 EB 2F F3 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 0F 2F C2 76 20 E8 ?? ?? ?? ?? F3 0F 10 55 10 F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E C2 F3 0F 5C D0 F3 0F 59 D6 EB 29 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 55 10 66 85 DB 74 07 0F 57 15 ?? ?? ?? ?? 0F 28 C2 EB 39 F3 0F 10 45 10 EB 32 0F 2E 35 ?? ?? ?? ?? 7A 16 75 14 B8 00 80 00 00 66 85 45 12 74 0E 0F 57 35 ?? ?? ?? ?? EB 05 F3 0F 10 75 10 0F 28 C6 EB 09 F3 0F 10 45 10 F3 0F 59 C6 48 8B 5C 24 48 48 8B 7C 24 50 0F 28 74 24 20 48 83 C4 30 5D C3 }
	condition:
		$1
}

rule file_66_92_1 {
	meta:
		name = "?_Init_ctor@Init@ios_base@std@@CAXPEAV123@@Z"
		size = 30
		refs = "0002 ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 09 FF C0 89 05 ?? ?? ?? ?? C3 C7 05 ?? ?? ?? ?? 01 00 00 00 C3 }
	condition:
		$1
}

rule file_67_0_1 {
	meta:
		name = "_Wcsxfrm"
		size = 270
		refs = "0048 ___lc_locale_name_func 006b memcpy 0078 _malloc_crt 00a1 __crtLCMapStringW 00ea free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 4C 8B B4 24 80 00 00 00 49 8B F1 4C 8B FA 4C 2B F9 49 2B F0 48 83 CF FF 33 DB 49 D1 FF 48 D1 FE 4D 8B E0 4C 8B E9 4D 85 F6 75 0B E8 ?? ?? ?? ?? 4C 8B 70 08 EB 04 4D 8B 76 08 4D 85 F6 75 19 49 3B F7 77 0F 4C 8D 04 36 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 48 8B FE EB 7A 49 8B CF E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 74 6A 44 89 7C 24 28 41 BF 00 04 00 00 44 8B CE 4D 8B C4 49 8B CE 41 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 F8 85 C0 75 28 44 8B CE 4D 8B C4 41 8B D7 49 8B CE 89 5C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 48 63 F8 85 C0 75 19 BF FF FF FF 7F EB 12 0F B6 0C 2B 66 41 89 4C 5D 00 48 FF C3 48 3B DF 72 EE 48 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B C7 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_69_29_1 {
	meta:
		name = "??0lock_error@threads@stdext@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_0L@INBHPPDJ@lock?5error?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7lock_error@threads@stdext@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_69_33_1 {
	meta:
		name = "??0thread_resource_error@threads@stdext@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_0BG@BJJJDCHO@thread?5resource?5error?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7thread_resource_error@threads@stdext@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_69_76_1 {
	meta:
		name = "?_Throw_lock_error@threads@stdext@@YAXXZ"
		size = 61
		refs = "0007 ??_C@_0L@INBHPPDJ@lock?5error?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7lock_error@threads@stdext@@6B@ 0029 _TI3?AVlock_error@threads@stdext@@ 0038 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 48 89 44 24 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_69_77_1 {
	meta:
		name = "?_Throw_resource_error@threads@stdext@@YAXXZ"
		size = 61
		refs = "0007 ??_C@_0BG@BJJJDCHO@thread?5resource?5error?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7thread_resource_error@threads@stdext@@6B@ 0029 _TI3?AVthread_resource_error@threads@stdext@@ 0038 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 48 89 44 24 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_70_51_1 {
	meta:
		name = "?_Addstd@ios_base@std@@SAXPEAV12@@Z"
		size = 110
		refs = "0014 ??0_Lockit@std@@QEAA@H@Z 0023 __ImageBase 002f stdstr 0057 stdopens 0064 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 4C 24 30 BA 02 00 00 00 E8 ?? ?? ?? ?? 48 C7 43 08 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B 4B 08 48 8B 84 CA ?? ?? ?? ?? 48 85 C0 74 13 48 3B C3 74 0E 48 8D 41 01 48 89 43 08 48 83 F8 08 72 DC 48 8B 43 08 48 8D 4C 24 30 FE 84 10 ?? ?? ?? ?? 48 89 9C C2 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_70_53_1 {
	meta:
		name = "?_Callfns@ios_base@std@@AEAAXW4event@12@@Z"
		size = 62
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 38 8B F2 48 8B F9 EB 0F 44 8B 43 08 48 8B D7 8B CE FF 53 10 48 8B 1B 48 85 DB 75 EC 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_70_64_1 {
	meta:
		name = "?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
		size = 98
		refs = "0015 stdopens 0026 ?_Tidy@ios_base@std@@AEAAXXZ 0058 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 08 48 8B D9 48 85 C0 74 10 48 8D 0D ?? ?? ?? ?? FE 0C 08 80 3C 08 00 7F 3A 48 8B CB E8 ?? ?? ?? ?? 48 8B 5B 40 48 85 DB 74 29 48 8B 0B 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_70_69_1 {
	meta:
		name = "?_Tidy@ios_base@std@@AEAAXXZ"
		size = 110
		refs = "0034 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 38 48 8B F9 EB 0F 44 8B 43 08 48 8B D7 33 C9 FF 53 10 48 8B 1B 48 85 DB 75 EC 48 8B 4F 30 48 85 C9 74 10 48 8B 19 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 F0 48 8B 4F 38 48 83 67 30 00 48 85 C9 74 10 48 8B 19 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 F0 48 83 67 38 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_74_0_1 {
	meta:
		name = "_Getcvt"
		size = 143
		refs = "0020 memset 0025 ___lc_codepage_func 002c ___mb_cur_max_func 0034 ___lc_locale_name_func 004f _ismbblead"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 21 00 33 D2 48 8B F9 44 8D 42 28 48 83 C1 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 E8 ?? ?? ?? ?? 89 47 04 E8 ?? ?? ?? ?? 33 C9 48 39 48 10 0F 94 C1 89 4F 08 85 C9 75 34 33 DB 33 F6 8B CB E8 ?? ?? ?? ?? 85 C0 74 18 8B CB 4C 8B C6 BA 01 00 00 00 83 E1 07 49 C1 F8 03 D2 E2 41 08 54 38 0C FF C3 48 FF C6 81 FB 00 01 00 00 7C D0 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_74_1_1 {
	meta:
		name = "_Wcrtomb"
		size = 124
		refs = "005a __imp_WideCharToMultiByte 006a _errno"
	strings:
		$1 = { 48 83 EC 58 41 83 79 08 00 4D 8B D1 66 89 54 24 40 74 13 B8 FF 00 00 00 66 3B D0 77 4C 88 11 B8 01 00 00 00 EB 51 83 64 24 48 00 48 8D 44 24 48 4C 8D 44 24 40 48 89 44 24 38 41 8B 41 04 48 83 64 24 30 00 89 44 24 28 48 89 4C 24 20 41 8B 0A 41 B9 01 00 00 00 33 D2 FF 15 ?? ?? ?? ?? 85 C0 74 07 83 7C 24 48 00 74 0E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_75_4_1 {
	meta:
		name = "??$SpinwaitWhileEq@PEAXPEAX@details@Concurrency@@YAXAECREAXPEAX@Z"
		size = 70
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 002f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "??$SpinwaitWhileEq@V?$_Subatomic@PEAU_Segment_t@_Concurrent_vector_base_v4@details@Concurrency@@@details@Concurrency@@PEAU_Segment_t@_Concurrent_vector_base_v4@23@@details@Concurrency@@YAXAECV?$_Subatomic@PEAU_Segment_t@_Concurrent_vector_base_v4@details@Concurrency@@@01@PEAU_Segment_t@_Concurrent_vector_base_v4@01@@Z ??$SpinwaitWhileEq@V?$_Subatomic@_K@details@Concurrency@@_K@details@Concurrency@@YAXAECV?$_Subatomic@_K@01@_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B DA 48 89 44 24 30 48 8B 01 48 8B F9 48 3B C2 75 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 07 48 3B C3 74 EE 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_75_68_1 {
	meta:
		name = "??1_Concurrent_vector_base_v4@details@Concurrency@@IEAA@XZ"
		size = 48
		refs = "0027 ?NFS_Free@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 51 30 48 8D 41 08 48 3B D0 74 1A 45 33 C0 4C 89 00 4C 89 40 08 4C 89 40 10 48 89 41 30 48 8B CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_75_133_1 {
	meta:
		name = "?_Internal_assign@_Concurrent_vector_base_v4@details@Concurrency@@IEAAXAEBV123@_KP6AXPEAX1@ZP6AX2PEBX1@Z5@Z"
		size = 557
		refs = "003b ?Log2@details@Concurrency@@YAK_K@Z 00e6 ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 00ff ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z 01ee ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 020b ??0exception@std@@QEAA@AEBQEBDH@Z 0212 ??_7bad_alloc@std@@6B@ 0219 _TI2?AVbad_alloc@std@@ 0228 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 4C 8B 72 28 48 8B 41 28 49 8B F1 4D 8B E0 4C 8B EA 48 8B D9 41 BF 01 00 00 00 EB 5A 48 8B 4B 28 48 FF C9 49 0B CF E8 ?? ?? ?? ?? 4D 8B C7 49 8B FE 8B C8 44 8B C8 48 8B 43 30 49 D3 E0 49 83 E0 FE 4D 3B C6 49 0F 43 F8 4A 83 3C C8 3F 0F 86 84 01 00 00 48 8B 53 28 48 8B 43 30 48 8B CF 49 2B C8 48 2B D7 49 0F AF CC 4A 03 0C C8 FF D6 48 89 7B 28 48 8B 43 28 49 3B C6 77 A1 48 8B 43 28 4C 89 73 28 49 8B CE 49 0B CF 48 89 84 24 88 00 00 00 E8 ?? ?? ?? ?? 8B C8 48 8B 43 20 48 85 C0 75 09 48 FF C1 F0 48 0F B1 4B 20 33 FF 33 F6 4D 85 F6 0F 84 08 01 00 00 49 8D 6D 08 48 83 FF 03 72 15 48 8B 43 30 48 8D 4B 08 48 3B C1 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 43 30 48 83 3C F8 00 75 0E 4D 8B C4 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 49 8B 45 30 48 3B C5 75 0A 48 83 FF 03 0F 83 B9 00 00 00 49 8B 45 30 48 83 3C F8 3F 0F 86 AA 00 00 00 48 85 FF 74 0B 48 8B CF 49 8B EF 48 D3 E5 EB 05 BD 02 00 00 00 49 8B C6 48 2B C6 48 3B E8 48 0F 47 E8 48 8B 84 24 88 00 00 00 45 33 FF 48 3B C6 76 2E 49 8B 55 30 48 8B 4B 30 4C 8B F8 48 8B 14 FA 48 8B 0C F9 4C 2B FE 4C 3B FD 4C 0F 47 FD 4D 8B C7 FF 94 24 A0 00 00 00 49 2B EF 4D 0F AF FC 48 85 ED 74 20 49 8B 45 30 4C 8B C5 48 8B 14 F8 48 8B 43 30 48 8B 0C F8 49 03 D7 49 03 CF FF 94 24 A8 00 00 00 41 BF 01 00 00 00 49 8D 6D 08 49 03 FF 41 8B F7 48 8B CF 48 D3 E6 48 83 E6 FE 49 3B F6 0F 82 02 FF FF FF EB 04 48 89 73 28 48 8B 9C 24 90 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 20 45 8B C7 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_75_134_1 {
	meta:
		name = "?_Internal_capacity@_Concurrent_vector_base_v4@details@Concurrency@@IEBA_KXZ"
		size = 67
	strings:
		$1 = { 48 8B 41 30 48 8D 51 08 4C 8B C9 B9 03 00 00 00 48 3B C2 44 8D 41 3D 44 0F 44 C1 33 C9 8D 51 01 4D 85 C0 74 13 49 8B 41 30 48 83 3C C8 00 74 08 48 03 CA 49 3B C8 72 ED 48 D3 E2 48 83 E2 FE 48 8B C2 C3 }
	condition:
		$1
}

rule file_75_135_1 {
	meta:
		name = "?_Internal_clear@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_KP6AXPEAX_K@Z@Z"
		size = 191
		refs = "0069 ?Log2@details@Concurrency@@YAK_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 41 30 4C 8D 41 08 48 8B F9 B9 40 00 00 00 49 3B C0 4C 8B F2 8D 51 C3 0F 44 CA 33 DB 48 85 C9 74 13 48 8B 47 30 48 83 3C D8 00 74 08 48 FF C3 48 3B D9 72 ED 48 8B 6F 28 48 C7 47 28 00 00 00 00 48 85 ED 74 41 48 8D 4D FF 48 83 C9 01 E8 ?? ?? ?? ?? BE 01 00 00 00 8B C0 8B C8 48 D3 E6 48 83 E6 FE 48 2B EE 48 8B D5 48 8B EE 48 3B C3 77 11 48 8B 4F 30 48 8B 0C C1 48 83 F9 3F 76 03 41 FF D6 48 85 F6 75 BF 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_75_136_1 {
	meta:
		name = "?_Internal_compact@_Concurrent_vector_base_v4@details@Concurrency@@IEAAPEAX_KPEAXP6AX10@ZP6AX1PEBX0@Z@Z"
		size = 836
		refs = "007a ?Log2@details@Concurrency@@YAK_K@Z 0105 memset 020f memcpy 030b ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0322 ??0exception@std@@QEAA@AEBQEBDH@Z 0329 ??_7bad_alloc@std@@6B@ 0330 _TI2?AVbad_alloc@std@@ 033f _CxxThrowException"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 78 4C 8B 69 28 48 8B 41 30 4C 8D 51 08 4C 8B F9 B9 40 00 00 00 49 3B C2 4D 8B E0 4C 8B C2 8D 51 C3 0F 44 CA 33 ED 8D 5A FE 48 89 6C 24 30 48 85 C9 74 18 49 8B 47 30 48 83 3C E8 00 74 08 48 03 EB 48 3B E9 72 ED 48 89 6C 24 30 4D 85 ED 74 1B 49 8D 4D FF 48 0B CB E8 ?? ?? ?? ?? 4C 8B 84 24 C8 00 00 00 8B F0 48 03 F3 EB 02 33 F6 4D 8B 77 20 48 89 74 24 38 49 8B FE 4C 3B F6 76 05 48 8B FE EB 3A 73 38 48 8B CF 48 8B D3 48 D3 E2 49 0F AF D0 48 81 FA 00 10 00 00 72 1A 48 8D 42 FF 25 FF 0F 00 00 48 3D 00 08 00 00 73 11 48 81 FA 00 00 08 00 73 08 48 03 FB 48 3B FE 72 C8 48 3B F5 75 0C 49 3B FE 75 07 33 C0 E9 07 02 00 00 49 8B 5F 30 33 D2 41 B8 08 02 00 00 49 8B CC 48 89 5C 24 20 E8 ?? ?? ?? ?? 49 3B FE 0F 84 A5 01 00 00 48 85 FF 0F 84 9C 01 00 00 48 8B CF BB 01 00 00 00 8B D3 48 D3 E2 49 8B CF 41 FF 17 48 89 44 24 40 48 85 C0 0F 84 CC 01 00 00 4D 8D 54 24 08 49 8B CE 45 33 C9 49 89 02 8B C3 33 DB 48 D3 E0 4C 89 54 24 50 49 89 3C 24 48 89 44 24 28 4C 8B C0 48 85 FF 0F 84 91 00 00 00 4C 8B 64 24 40 48 8B 74 24 20 48 8B AC 24 C8 00 00 00 4C 8B F8 4D 3B CD 73 58 48 8B CB 41 BA 01 00 00 00 4B 8D 04 01 49 D3 E2 49 83 E2 FE 4C 0F AF D5 4D 03 D4 49 3B C5 72 06 4D 8B C5 4D 2B C1 48 8B 14 DE 49 8B CA FF 94 24 E0 00 00 00 48 85 DB 74 11 48 FF C3 41 B8 01 00 00 00 48 8B CB 49 D3 E0 EB 06 49 8B DE 4D 8B C7 4D 8B C8 48 3B DF 72 A3 48 8B 74 24 38 48 8B 6C 24 30 4C 8B BC 24 C0 00 00 00 4C 8B A4 24 D0 00 00 00 4C 8B 54 24 50 48 8B 5C 24 20 4C 8B C7 49 8B CA 48 8B D3 49 C1 E0 03 E8 ?? ?? ?? ?? 33 C9 48 85 FF 74 2C 48 8B 54 24 40 4C 8B 84 24 C8 00 00 00 B8 01 00 00 00 48 D3 E0 48 83 E0 FE 49 0F AF C0 48 03 C2 48 89 04 CB 48 FF C1 48 3B CF 72 E1 48 8B 54 24 28 33 DB 33 C9 4D 89 34 24 49 89 7F 20 48 85 FF 74 56 48 8B AC 24 D8 00 00 00 4C 8B FA 49 3B CD 73 39 48 8D 04 11 49 3B C5 72 06 49 8B D5 48 2B D1 49 8B 4C DC 08 FF D5 48 85 DB 74 10 48 FF C3 BA 01 00 00 00 48 8B CB 48 D3 E2 EB 06 49 8B DE 49 8B D7 48 8B CA 48 3B DF 72 C2 48 8B 6C 24 30 4C 8B BC 24 C0 00 00 00 48 8B 5C 24 20 48 3B F5 73 38 48 8D 4E 01 48 2B EE 48 8D 1C F3 48 C1 E5 03 49 8D 0C CC 48 8B D3 4C 8B C5 4D 89 34 24 E8 ?? ?? ?? ?? 4C 8B C5 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 85 FF 75 04 49 89 7F 20 49 8B C4 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 48 48 8D 4C 24 58 44 8B C3 48 89 44 24 48 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 48 89 44 24 58 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_75_137_1 {
	meta:
		name = "?_Internal_copy@_Concurrent_vector_base_v4@details@Concurrency@@IEAAXAEBV123@_KP6AXPEAXPEBX1@Z@Z"
		size = 275
		refs = "004c ?Log2@details@Concurrency@@YAK_K@Z 00a1 ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 00b1 ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 4C 89 40 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B 72 28 4C 8D 79 08 33 FF 48 89 71 28 4D 8B E9 48 8B EA 48 8B D9 4C 89 79 30 48 85 F6 0F 84 B2 00 00 00 48 8B CE 48 83 C9 01 E8 ?? ?? ?? ?? 8B C8 48 8B 43 20 48 85 C0 75 09 48 FF C1 F0 48 0F B1 4B 20 4C 8B F7 48 85 F6 0F 84 86 00 00 00 4C 8D 65 08 48 8B 45 30 49 3B C4 75 06 48 83 FF 03 73 6F 48 8B 45 30 48 83 3C F8 3F 76 64 48 83 FF 03 72 11 48 8B 43 30 49 3B C7 75 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B 44 24 60 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 55 30 48 8B 4B 30 48 8B 14 FA 48 8B 0C F9 4C 8B C0 48 8B C6 49 2B C6 4C 3B C0 4C 0F 47 C0 41 FF D5 48 FF C7 41 BE 01 00 00 00 48 8B CF 49 D3 E6 49 83 E6 FE 4C 3B F6 72 84 EB 04 4C 89 73 28 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_75_138_1 {
	meta:
		name = "?_Internal_grow@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAXPEBX0@Z2@Z"
		size = 193
		refs = "0034 ?Log2@details@Concurrency@@YAK_K@Z 007a ?_Internal_grow_segment@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K_K1PEAPEAU_Segment_t@123@PEA_K3@Z"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 48 08 53 56 57 41 56 48 83 EC 68 48 C7 40 D0 FE FF FF FF 4D 8B F1 49 8B F0 48 8B FA 48 8B D9 49 8B C8 48 83 C9 01 E8 ?? ?? ?? ?? 8B C8 48 8B 43 20 48 85 C0 75 09 48 FF C1 F0 48 0F B1 4B 20 48 8D 84 24 98 00 00 00 48 89 44 24 30 48 8D 44 24 40 48 89 44 24 28 48 8D 44 24 48 48 89 44 24 20 4D 8B CE 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 50 4C 8B 84 24 98 00 00 00 48 8B 4C 24 40 4C 2B C1 49 0F AF CE 48 8B 44 24 48 48 03 08 48 8B 94 24 B8 00 00 00 FF 94 24 B0 00 00 00 90 48 3B FE 72 95 48 83 C4 68 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_75_140_1 {
	meta:
		name = "__catch$?_Internal_grow@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAXPEBX0@Z2@Z$0"
		size = 124
		refs = "003e ?_Internal_grow_segment@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K_K1PEAPEAU_Segment_t@123@PEA_K3@Z 0065 memset 0077 _CxxThrowException"
	strings:
		$1 = { 48 8B 9D A8 00 00 00 48 8B 7D 50 48 8D 85 98 00 00 00 48 89 44 24 30 48 8D 45 40 48 89 44 24 28 48 8D 45 48 48 89 44 24 20 4C 8B CB 4C 8B 85 A0 00 00 00 48 8B D7 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 85 98 00 00 00 48 8B 4D 40 4C 2B C1 4C 0F AF C3 48 0F AF CB 48 8B 45 48 48 03 08 33 D2 E8 ?? ?? ?? ?? 48 3B BD A0 00 00 00 72 99 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_75_141_1 {
	meta:
		name = "?_Internal_grow_by@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K0P6AXPEAXPEBX0@Z2@Z"
		size = 57
		refs = "002c ?_Internal_grow@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAXPEBX0@Z2@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 49 8B C0 48 8B DA F0 48 0F C1 59 28 4C 8D 04 13 48 8B 54 24 60 48 89 54 24 28 4C 89 4C 24 20 4C 8B C8 48 8B D3 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_75_142_1 {
	meta:
		name = "?_Internal_grow_segment@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K_K1PEAPEAU_Segment_t@123@PEA_K3@Z"
		size = 340
		refs = "0030 ?Log2@details@Concurrency@@YAK_K@Z 005f ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 0082 ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z 0090 ?_UnderlyingYield@details@Concurrency@@YAXXZ 00a1 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0112 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0132 ??0exception@std@@QEAA@AEBQEBDH@Z 0139 ??_7bad_alloc@std@@6B@ 0140 _TI2?AVbad_alloc@std@@ 014f _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 8B D9 48 8B CA 4D 8B E1 48 83 C9 01 4D 8B E8 4C 8B F2 E8 ?? ?? ?? ?? 41 BF 01 00 00 00 8B C8 8B F0 49 D3 E7 49 8B EF 48 83 E5 FE 48 83 FE 03 72 15 48 8B 43 30 48 8D 4B 08 48 3B C1 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 43 30 48 8D 3C F0 48 8B 07 48 85 C0 75 3A 49 3B EE 75 10 4D 8B C4 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 25 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 07 48 85 C0 74 EE 48 83 3F 3F 76 5C 48 8B 84 24 A0 00 00 00 48 85 F6 4C 8D 5C 24 50 49 8B 5B 38 49 8B 73 48 48 89 38 48 8B 84 24 A8 00 00 00 B9 02 00 00 00 49 0F 45 CF 4C 2B F5 4C 2B ED 4C 89 30 48 8B 84 24 B0 00 00 00 49 3B CD 49 0F 47 CD 48 89 08 48 8D 04 29 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 38 41 B8 01 00 00 00 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_75_143_1 {
	meta:
		name = "?_Internal_grow_to_at_least_with_result@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K0P6AXPEAXPEBX0@Z2@Z"
		size = 262
		refs = "0058 ?_Internal_grow@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAXPEBX0@Z2@Z 0065 ?Log2@details@Concurrency@@YAK_K@Z 0071 ?_UnderlyingYield@details@Concurrency@@YAXXZ 009c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 60 48 8B 69 28 48 8B DA 48 8B F9 48 3B EA 73 35 48 8B C5 F0 48 0F B1 59 28 74 0A 48 8B E8 48 3B C2 72 ED EB 20 48 8B 84 24 A0 00 00 00 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D5 E8 ?? ?? ?? ?? 48 8D 4B FF 48 83 C9 01 E8 ?? ?? ?? ?? BB 03 00 00 00 4C 8D 3D ?? ?? ?? ?? 44 8B F0 4C 3B F3 72 2E 48 8B 47 30 48 8D 77 08 48 3B C6 75 21 83 64 24 38 00 4C 89 7C 24 40 EB 0A 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 47 30 48 3B C6 74 ED EB 39 33 DB EB 35 48 8B 47 30 48 8D 34 D8 48 FF C3 48 83 3E 00 75 24 48 8B 06 83 64 24 50 00 4C 89 7C 24 58 48 85 C0 75 12 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B 0E 48 85 C9 74 EE 49 3B DE 76 C6 4C 8D 5C 24 60 48 8B C5 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_75_144_1 {
	meta:
		name = "?_Internal_push_back@_Concurrent_vector_base_v4@details@Concurrency@@IEAAPEAX_KAEA_K@Z"
		size = 282
		refs = "0035 ?Log2@details@Concurrency@@YAK_K@Z 005e ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 007e ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z 008c ?_UnderlyingYield@details@Concurrency@@YAXXZ 009d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00db ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00f8 ??0exception@std@@QEAA@AEBQEBDH@Z 00ff ??_7bad_alloc@std@@6B@ 0106 _TI2?AVbad_alloc@std@@ 0115 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 56 41 57 48 83 EC 50 41 BC 01 00 00 00 4C 8B FA 48 8B F9 41 8B DC F0 48 0F C1 59 28 48 8B CB 49 89 18 49 0B CC E8 ?? ?? ?? ?? 41 8B EC 8B C8 8B F0 48 D3 E5 48 83 E5 FE 48 83 FE 03 72 15 48 8B 47 30 48 8D 4F 08 48 3B C1 75 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B 77 30 49 8B 04 F6 48 85 C0 75 3B 48 3B EB 75 10 4D 8B C7 48 8B D6 48 8B CF E8 ?? ?? ?? ?? EB 26 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 49 8B 04 F6 48 85 C0 74 ED 49 83 3C F6 3F 76 27 48 2B DD 4C 8D 5C 24 50 49 8B 6B 40 49 0F AF DF 49 03 1C F6 48 8B C3 49 8B 5B 38 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 38 45 8B C4 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_75_145_1 {
	meta:
		name = "?_Internal_reserve@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00@Z"
		size = 264
		refs = "002b ??_C@_0EP@FNNHHLEF@argument?5to?5concurrent_vector?3?3r@ 003c ??0exception@std@@QEAA@AEBQEBD@Z 0043 ??_7length_error@std@@6B@ 004f _TI3?AVlength_error@std@@ 0059 _CxxThrowException 0067 ?Log2@details@Concurrency@@YAK_K@Z 00e0 ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 00ee ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 53 56 57 41 54 41 56 48 83 EC 40 49 C7 43 B8 FE FF FF FF 4D 8B F0 48 8B F2 48 8B F9 49 3B D1 76 36 48 8D 05 ?? ?? ?? ?? 49 89 43 20 49 8D 53 20 49 8D 4B C0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4A FF 48 83 C9 01 E8 ?? ?? ?? ?? 8B C8 48 8B 47 20 48 85 C0 75 09 48 FF C1 F0 48 0F B1 4F 20 48 8D 4F 08 48 8B 47 30 BA 40 00 00 00 44 8D 62 C3 48 3B C1 41 0F 44 D4 33 DB 48 85 D2 74 13 48 8B 47 30 48 83 3C D8 00 74 08 48 FF C3 48 3B DA 72 ED 48 89 5C 24 78 48 8B CB B8 01 00 00 00 48 D3 E0 48 83 E0 FE 48 3B C6 73 32 49 3B DC 72 15 48 8D 4F 08 48 8B 47 30 48 3B C1 75 08 48 8B CF E8 ?? ?? ?? ?? 4D 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 FF C3 48 89 5C 24 78 EB BA 48 83 C4 40 41 5E 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_75_147_1 {
	meta:
		name = "__catch$?_Internal_reserve@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00@Z$0"
		size = 27
		refs = "0016 _CxxThrowException"
	strings:
		$1 = { 48 8B 45 70 48 8B 48 30 48 8B 45 78 48 83 24 C1 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_75_148_1 {
	meta:
		name = "?_Internal_resize@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAX0@ZP6AX1PEBX0@Z3@Z"
		size = 582
		refs = "002f ?_Internal_reserve@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00@Z 0040 ?Log2@details@Concurrency@@YAK_K@Z 01cb ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 01e2 ??0exception@std@@QEAA@AEBQEBDH@Z 01e9 ??_7bad_alloc@std@@6B@ 01f0 _TI2?AVbad_alloc@std@@ 01ff _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 8B 79 28 4D 8B E8 48 8B DA 4C 8B F9 48 89 51 28 48 3B D7 0F 86 D2 00 00 00 E8 ?? ?? ?? ?? 48 8B CF 41 BE 01 00 00 00 49 0B CE E8 ?? ?? ?? ?? 45 33 E4 41 8B F6 8B E8 49 8B 47 20 48 3B E8 48 89 84 24 A0 00 00 00 41 0F 42 EC 8B CD 48 D3 E6 48 83 E6 FE 48 2B DE 48 2B FE 48 85 ED 75 55 48 8B C8 41 8B F6 48 D3 E6 EB 4A 49 8B 47 30 48 83 3C E8 3F 0F 86 77 01 00 00 48 8B 94 24 D0 00 00 00 4C 8B C6 4C 2B C7 49 0F AF FD 48 03 3C E8 48 8B CF FF 94 24 C8 00 00 00 48 2B DE 49 8B FC 48 85 ED 75 0A 48 8B AC 24 A0 00 00 00 EB 06 49 03 EE 48 03 F6 48 3B F3 72 B1 49 8B 47 30 48 8B 0C E8 48 83 F9 3F 0F 86 E9 00 00 00 48 8B 94 24 D0 00 00 00 48 2B DF 49 0F AF FD 48 03 CF 4C 8B C3 FF 94 24 C8 00 00 00 E9 B0 00 00 00 48 8B CA 41 BE 01 00 00 00 49 0B CE E8 ?? ?? ?? ?? 49 8B 57 20 45 33 E4 8B E8 41 8B F6 48 89 94 24 A0 00 00 00 48 3B EA 41 0F 42 EC 8B CD 48 D3 E6 48 83 E6 FE 48 2B DE 48 2B FE 48 85 ED 75 48 48 8B CA 41 8B F6 48 D3 E6 EB 3D 48 83 3C E8 3F 76 20 48 8B D6 48 2B D3 49 0F AF DD 48 03 1C E8 48 8B CB FF 94 24 C0 00 00 00 48 8B 94 24 A0 00 00 00 48 2B FE 49 8B DC 48 85 ED 75 05 48 8B EA EB 06 49 03 EE 48 03 F6 49 8B 47 30 48 3B F7 72 BA 48 83 3C E8 3F 76 18 48 2B FB 49 0F AF DD 48 8B D7 48 03 1C E8 48 8B CB FF 94 24 C0 00 00 00 48 8B 9C 24 B0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4C 24 40 45 8B C6 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 48 89 44 24 40 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 A8 00 00 00 48 8D 4C 24 28 45 8B C6 48 89 84 24 A8 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 48 89 44 24 28 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_75_149_1 {
	meta:
		name = "?_Internal_swap@_Concurrent_vector_base_v4@details@Concurrency@@IEAAXAEAV123@@Z"
		size = 226
	strings:
		$1 = { 48 89 5C 24 08 48 8B 59 28 4C 8B 5A 28 4C 8B C1 48 85 DB 75 09 4D 85 DB 0F 84 BE 00 00 00 48 8B 49 20 48 8B 42 20 4D 8D 48 08 49 89 40 20 48 89 4A 20 49 8B 40 30 49 3B C1 48 8B 42 30 4C 8D 52 08 0F 94 C1 49 3B C2 0F 94 C0 84 C9 74 50 84 C0 74 2A 41 0F 10 02 41 0F 10 11 F2 41 0F 10 59 10 41 0F 11 01 F2 41 0F 10 4A 10 F2 41 0F 11 49 10 41 0F 11 12 F2 41 0F 11 5A 10 EB 58 41 0F 10 01 48 8B 42 30 41 0F 11 02 F2 41 0F 10 49 10 F2 41 0F 11 4A 10 49 89 40 30 4C 89 52 30 EB 36 84 C0 74 22 41 0F 10 02 49 8B 40 30 41 0F 11 01 F2 41 0F 10 4A 10 F2 41 0F 11 49 10 48 89 42 30 4D 89 48 30 EB 10 49 8B 48 30 48 8B 42 30 49 89 40 30 48 89 4A 30 4D 89 58 28 48 89 5A 28 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_75_150_1 {
	meta:
		name = "?_Internal_throw_exception@_Concurrent_vector_base_v4@details@Concurrency@@IEBAX_K@Z"
		size = 186
		refs = "0021 ??_C@_0DF@ONOJNMFO@Index?5is?5inside?5segment?5which?5fa@ 0032 ??0exception@std@@QEAA@AEBQEBD@Z 0039 ??_7range_error@std@@6B@ 0040 _TI3?AVrange_error@std@@ 004d _CxxThrowException 0055 ??_C@_0CC@HMHAIBEI@Index?5out?5of?5segments?5table?5rang@ 006d ??_7out_of_range@std@@6B@ 0074 _TI3?AVout_of_range@std@@ 0089 ??_C@_0BD@KNGCOGKE@Index?5out?5of?5range?$AA@"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 70 48 85 D2 74 78 48 FF CA 74 3F 48 FF CA 74 06 48 83 C4 70 5D C3 48 8D 05 ?? ?? ?? ?? 48 8D 55 18 48 8D 4D B0 48 89 45 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 48 89 45 B0 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 55 18 48 8D 4D C8 48 89 45 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D C8 48 89 45 C8 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 55 18 48 8D 4D E0 48 89 45 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 48 89 45 E0 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_75_160_1 {
	meta:
		name = "?_Segment_index_of@_Concurrent_vector_base_v4@details@Concurrency@@KA_K_K@Z"
		size = 20
		refs = "0009 ?Log2@details@Concurrency@@YAK_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 01 E8 ?? ?? ?? ?? 8B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_75_171_1 {
	meta:
		name = "?allocate_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAPEAXAEAV234@_K@Z"
		size = 79
		refs = "0013 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 002d ??0exception@std@@QEAA@AEBQEBDH@Z 0034 ??_7bad_alloc@std@@6B@ 003b _TI2?AVbad_alloc@std@@ 004a _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 FF 11 48 85 C0 74 05 48 83 C4 48 C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_75_176_1 {
	meta:
		name = "?assign_first_segment_if_necessary@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@_K@Z"
		size = 19
	strings:
		$1 = { 48 8B 41 20 48 85 C0 75 09 48 FF C2 F0 48 0F B1 51 20 C3 }
	condition:
		$1
}

rule file_75_187_1 {
	meta:
		name = "?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z"
		size = 508
		refs = "0062 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 007f ??0exception@std@@QEAA@AEBQEBDH@Z 0086 ??_7bad_alloc@std@@6B@ 0092 _TI2?AVbad_alloc@std@@ 009c _CxxThrowException 00c1 ?_UnderlyingYield@details@Concurrency@@YAXXZ 00e4 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 56 57 41 54 41 56 41 57 48 81 EC B0 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 18 4D 8B E0 48 8B F2 48 8B D9 BF 01 00 00 00 48 85 D2 75 78 48 8B 41 20 48 85 C0 75 06 F0 48 0F B1 79 20 48 8B 49 20 48 8B D7 48 D3 E2 48 8B CB FF 13 48 8B C8 48 85 C0 75 41 48 8D 05 ?? ?? ?? ?? 48 89 84 24 F8 00 00 00 44 8B C7 48 8D 94 24 F8 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 43 30 48 89 08 B8 02 00 00 00 E9 33 01 00 00 48 8B CA 4C 8B F7 49 D3 E6 48 8B 43 20 4C 8D 3D ?? ?? ?? ?? 48 85 C0 75 27 21 84 24 88 00 00 00 4C 89 BC 24 90 00 00 00 EB 0D 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 20 48 85 C0 74 EA 48 8B 43 20 48 3B F0 0F 83 8A 00 00 00 48 8B 5B 30 48 8B 0B 48 85 C9 75 20 21 4C 24 50 4C 89 7C 24 58 EB 0A 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B 03 48 85 C0 74 EE 48 8B 0B 48 83 F9 3F 77 44 48 C7 04 F3 3F 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 44 8B C7 48 8D 54 24 20 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 68 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 68 E8 ?? ?? ?? ?? CC 49 8B C6 48 83 E0 FE 49 0F AF C4 48 03 C1 48 89 04 F3 EB 59 49 8B D6 48 8B CB FF 13 48 85 C0 75 44 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 44 8B C7 48 8D 54 24 28 48 8D 8C 24 98 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 84 24 98 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 98 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 30 48 89 04 F1 49 8B C6 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_75_189_1 {
	meta:
		name = "__catch$?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z$0"
		size = 28
		refs = "0017 _CxxThrowException"
	strings:
		$1 = { 48 8B 85 E0 00 00 00 48 8B 40 30 48 C7 00 3F 00 00 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_75_191_1 {
	meta:
		name = "__catch$?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z$2"
		size = 36
		refs = "001f _CxxThrowException"
	strings:
		$1 = { 48 8B 85 E0 00 00 00 48 8B 48 30 48 8B 85 E8 00 00 00 48 C7 04 C1 3F 00 00 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_75_196_1 {
	meta:
		name = "?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z"
		size = 197
		refs = "0026 ?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z 0039 memset 0058 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0069 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00a8 ?NFS_Free@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 40 45 33 C0 48 8B F1 41 8D 50 08 8D 4A 38 E8 ?? ?? ?? ?? 33 D2 41 B8 00 02 00 00 48 8B C8 48 8B F8 E8 ?? ?? ?? ?? 41 BE 03 00 00 00 48 8D 5E 08 41 8B EE 48 83 3B 00 75 25 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 03 48 85 C0 74 EE 48 83 C3 08 48 FF CD 75 CC 4C 8B C6 48 8B D7 4C 2B C7 49 8B 4C 10 08 48 89 0A 48 8D 52 08 49 FF CE 75 EF 48 8D 46 08 F0 48 0F B1 7E 30 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_75_197_1 {
	meta:
		name = "?extend_table_if_necessary@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@_K@Z"
		size = 33
		refs = "0018 ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 FA 03 72 12 48 8B 41 30 48 8D 51 08 48 3B C2 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_75_198_1 {
	meta:
		name = "?find_segment_end@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEBV234@@Z"
		size = 54
	strings:
		$1 = { 48 8B 41 30 48 8D 51 08 4C 8B C9 48 3B C2 B9 03 00 00 00 44 8D 41 3D 44 0F 44 C1 33 C0 4D 85 C0 74 13 49 8B 49 30 48 83 3C C1 00 74 08 48 FF C0 49 3B C0 72 ED C3 }
	condition:
		$1
}

rule file_75_200_1 {
	meta:
		name = "?incompact_predicate@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_N_K@Z"
		size = 44
	strings:
		$1 = { 48 81 F9 00 10 00 00 72 1D 48 8D 41 FF 25 FF 0F 00 00 48 3D 00 08 00 00 73 09 48 81 F9 00 00 08 00 72 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_76_4_1 {
	meta:
		name = "_Once"
		size = 70
		refs = "0037 __crtSleep"
	strings:
		$1 = { 40 53 48 83 EC 20 83 39 02 48 8B D9 74 32 B8 01 00 00 00 87 01 85 C0 75 0A FF D2 C7 03 02 00 00 00 EB 1D 83 F8 02 75 04 89 01 EB 14 83 39 02 74 0F B9 01 00 00 00 E8 ?? ?? ?? ?? 83 3B 02 75 F1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_77_2_1 {
	meta:
		name = "??$_Fgetc@D@std@@YA_NAEADPEAU_iobuf@@@Z"
		size = 36
		refs = "000d fgetc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 83 F8 FF 75 04 32 C0 EB 04 88 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_77_3_1 {
	meta:
		name = "??$_Fputc@D@std@@YA_NDPEAU_iobuf@@@Z"
		size = 23
		refs = "0008 fputc"
	strings:
		$1 = { 48 83 EC 28 0F BE C9 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_77_4_1 {
	meta:
		name = "??$_Ungetc@D@std@@YA_NAEBDPEAU_iobuf@@@Z"
		size = 23
		refs = "0008 ungetc"
	strings:
		$1 = { 48 83 EC 28 0F B6 09 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_77_33_1 {
	meta:
		name = "??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 59
		refs = "0011 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 0018 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0029 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 45 33 C0 48 8B D3 48 8B CF 48 89 07 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_94_1 {
	meta:
		name = "??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 190
		refs = "0011 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 005e ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 006a fclose 0078 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 007f ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 00b4 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 90 00 00 00 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 2A 4C 8B 41 18 48 8D 81 80 00 00 00 49 39 00 75 1A 48 8B 51 70 48 8B 49 68 49 89 08 48 8B 43 38 2B D1 48 89 08 48 8B 43 50 89 10 80 BB 88 00 00 00 00 74 2C 48 83 BB 90 00 00 00 00 74 14 48 8B CB E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 8B CB 44 8D 42 02 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 5B 60 48 85 DB 74 29 48 8B 0B 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_77_152_1 {
	meta:
		name = "??__Eferr@std@@YAXXZ"
		size = 76
		refs = "0007 __iob_func 000e ferr 0016 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001d ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0037 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003e ??__Fferr@std@@YAXXZ 0048 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 53 60 48 8D 0D ?? ?? ?? ?? 45 33 C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_152_1 {
	meta:
		name = "??__Eflog@std@@YAXXZ"
		size = 76
		refs = "0007 __iob_func 000e flog 0016 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001d ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0037 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003e ??__Fflog@std@@YAXXZ 0048 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 53 60 48 8D 0D ?? ?? ?? ?? 45 33 C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_171_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ"
		size = 471
		refs = "0029 __security_cookie 0076 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0089 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0091 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 0130 fwrite 016a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0187 ??3@YAXPEAX@Z 01b7 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8D 68 A1 48 81 EC D0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 4C 8B F1 45 33 FF 44 89 7D 97 4C 39 79 78 0F 84 62 01 00 00 44 38 B9 81 00 00 00 0F 84 55 01 00 00 48 8B 01 83 CA FF FF 50 18 83 F8 FF 75 07 32 C0 E9 45 01 00 00 45 33 C0 41 8D 50 08 48 8D 4D 07 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 48 8D 55 EF 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D 1F 48 8D 55 A7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 49 8B 4E 78 4C 8B 11 4C 8D 0C 3B 48 8D 55 97 48 89 54 24 20 4C 8B C0 49 8D 96 84 00 00 00 41 FF 52 40 85 C0 74 0A FF C8 0F 85 94 00 00 00 EB 08 41 C6 86 81 00 00 00 00 48 8D 55 BF 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5D 97 48 2B D8 74 37 44 0B FE 48 8D 55 D7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8B 8E 90 00 00 00 4C 8B C3 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 05 40 8A C6 EB 02 32 C0 44 84 FE 74 04 41 83 E7 FE 84 C0 75 2B 41 38 86 81 00 00 00 74 25 48 85 DB 0F 85 21 FF FF FF 45 33 C0 8D 53 08 48 8D 4D 07 E8 ?? ?? ?? ?? E9 0D FF FF FF 83 E8 02 74 03 40 32 F6 48 83 7D 27 10 72 09 48 8B 4D 0F E8 ?? ?? ?? ?? 48 C7 45 27 0F 00 00 00 48 83 65 1F 00 C6 45 0F 00 48 8B 4D 07 E8 ?? ?? ?? ?? 40 8A C6 EB 05 B8 01 00 00 00 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_77_176_1 {
	meta:
		name = "?_Getcat@?$codecvt@DDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$codecvt@DDH@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_77_184_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 20
	strings:
		$1 = { 48 8B 41 50 FF 00 48 8B 51 38 48 8B 02 48 FF C8 48 89 02 C3 }
	condition:
		$1
}

rule file_77_188_1 {
	meta:
		name = "?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 170
		refs = "009b ?_Stinit@?1??_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 41 83 F8 01 4C 8D 41 10 4C 89 41 20 0F 94 C0 45 33 C9 88 81 88 00 00 00 44 88 89 81 00 00 00 48 8D 41 08 48 89 41 18 48 8D 41 28 48 89 41 38 48 8D 41 30 48 89 41 40 48 8D 41 48 48 89 41 50 48 8D 41 4C 48 89 41 58 4D 89 08 48 8B 41 40 4C 89 08 48 8B 41 58 44 89 08 48 8B 41 18 4C 89 08 48 8B 41 38 4C 89 08 48 8B 41 50 44 89 08 48 85 D2 74 20 48 8D 42 10 48 89 51 38 48 89 51 40 48 89 41 18 48 89 41 20 48 8D 42 08 48 89 41 50 48 89 41 58 48 89 91 90 00 00 00 8B 05 ?? ?? ?? ?? 4C 89 49 78 89 81 84 00 00 00 C3 }
	condition:
		$1
}

rule file_77_207_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 45
	strings:
		$1 = { 4C 8B 49 18 48 8D 81 80 00 00 00 49 39 01 75 1C 48 8B 51 68 4C 8B 41 70 49 89 11 48 8B 41 38 44 2B C2 48 89 10 48 8B 41 50 44 89 00 C3 }
	condition:
		$1
}

rule file_77_208_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 73
	strings:
		$1 = { 4C 8B C1 48 8B 49 18 48 8B 01 4D 8D 88 80 00 00 00 49 3B C1 74 16 49 89 40 68 49 8B 40 50 48 63 10 49 8B 40 38 48 03 10 49 89 50 70 4C 89 09 49 8B 40 38 41 8B C8 4C 89 08 49 8B 40 50 41 2B C9 81 C1 81 00 00 00 89 08 C3 }
	condition:
		$1
}

rule file_77_241_1 {
	meta:
		name = "?close@?$basic_filebuf@DU?$char_traits@D@std@@@std@@QEAAPEAV12@XZ"
		size = 96
		refs = "001e ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0032 fclose 0049 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B F9 48 39 B1 90 00 00 00 74 22 E8 ?? ?? ?? ?? 48 8B 8F 90 00 00 00 F6 D8 48 1B DB 48 23 DF E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B F3 33 D2 48 8B CF 44 8D 42 02 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_251_1 {
	meta:
		name = "?do_in@?$codecvt@DDH@std@@MEBAHAEAHPEBD1AEAPEBDPEAD3AEAPEAD@Z"
		size = 27
		altNames = "?do_out@?$codecvt@DDH@std@@MEBAHAEAHPEBD1AEAPEBDPEAD3AEAPEAD@Z"
	strings:
		$1 = { 48 8B 44 24 28 48 8B 4C 24 40 4C 89 00 48 8B 44 24 30 48 89 01 B8 03 00 00 00 C3 }
	condition:
		$1
}

rule file_77_252_1 {
	meta:
		name = "?do_length@?$codecvt@DDH@std@@MEBAHAEAHPEBD1_K@Z"
		size = 18
	strings:
		$1 = { 4D 2B C8 4C 39 4C 24 28 4C 0F 42 4C 24 28 41 8B C1 C3 }
	condition:
		$1
}

rule file_77_274_1 {
	meta:
		name = "?gbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXH@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 50 29 10 48 8B 49 38 48 63 C2 48 01 01 C3 }
	condition:
		$1
}

rule file_77_281_1 {
	meta:
		name = "?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
		size = 175
		refs = "0023 ?_Init@ios_base@std@@IEAAXXZ 0039 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0042 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 008e ?clear@ios_base@std@@QEAAXH_N@Z 009b ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 5F 48 48 83 67 50 00 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 B2 20 48 8B CB FF 50 40 88 47 58 48 83 7F 48 00 75 11 8B 57 10 83 CA 04 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_77_300_1 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 704
		refs = "0028 __security_cookie 00d5 fputc 00f5 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0103 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 010b ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 01c7 fwrite 0212 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0279 ??3@YAXPEAX@Z 02a1 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC F0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 44 8B FA 4C 8B F1 45 33 C9 45 8B E1 44 89 4C 24 48 83 CE FF 3B D6 75 07 33 C0 E9 47 02 00 00 48 8B 41 40 4C 39 08 74 31 48 8B 51 58 4C 63 02 49 8B C8 48 03 08 48 39 08 73 1F 41 8D 48 FF 89 0A 49 8B 56 40 4C 8B 02 49 8D 48 01 48 89 0A 45 88 38 41 8B C7 E9 0D 02 00 00 4D 39 8E 90 00 00 00 0F 84 FE 01 00 00 4D 8B 46 18 49 8D 86 80 00 00 00 49 39 00 75 1A 49 8B 56 70 49 8B 4E 68 49 89 08 49 8B 46 38 48 89 08 2B D1 49 8B 46 50 89 10 4D 39 4E 78 75 1B 41 0F BE CF 49 8B 96 90 00 00 00 E8 ?? ?? ?? ?? 3B C6 41 0F 45 F7 E9 B3 01 00 00 44 88 7C 24 40 45 33 C0 41 8D 50 08 48 8D 4D F7 E8 ?? ?? ?? ?? 90 48 8D 55 97 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D 0F 48 8D 55 AF 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8D AE 84 00 00 00 4C 8D 44 24 48 4C 89 44 24 38 48 8D 14 3B 48 89 54 24 30 48 89 44 24 28 48 8D 45 87 49 8B 4E 78 48 89 44 24 20 4C 8B 11 4C 8D 4C 24 41 4C 8D 44 24 40 49 8B D5 41 FF 52 38 85 C0 0F 88 FA 00 00 00 83 F8 01 0F 8F D5 00 00 00 48 8D 55 C7 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 2B D8 74 39 41 83 CC 01 48 8D 55 DF 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8B 8E 90 00 00 00 4C 8B C3 BA 01 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 04 B0 01 EB 02 32 C0 41 F6 C4 01 74 04 41 83 E4 FE 84 C0 0F 85 85 00 00 00 41 C6 86 81 00 00 00 01 48 8D 44 24 40 48 39 45 87 75 51 48 85 DB 75 16 48 83 7D 0F 20 73 66 45 33 C0 8D 53 08 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D 0F 48 8D 55 AF 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? E9 E6 FE FF FF 41 8B F7 EB 1C 83 F8 03 75 17 0F BE 4C 24 40 49 8B 96 90 00 00 00 E8 ?? ?? ?? ?? 3B C6 41 0F 45 F7 48 83 7D 17 10 72 09 48 8B 4D FF E8 ?? ?? ?? ?? 48 C7 45 17 0F 00 00 00 48 83 65 0F 00 C6 45 FF 00 48 8B 4D F7 E8 ?? ?? ?? ?? 8B C6 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_77_303_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 206
		refs = "0066 ungetc"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 38 8B FA 48 8B D9 48 8B 10 33 C9 48 85 D2 74 2D 48 8B 43 18 48 39 10 73 24 83 FF FF 74 08 0F B6 42 FF 3B C7 75 17 48 8B 43 50 FF 00 48 8B 43 38 48 FF 08 83 FF FF 0F 45 CF 8B C1 EB 79 48 8B 93 90 00 00 00 48 85 D2 74 6A 83 FF FF 74 65 48 39 4B 78 75 12 40 0F B6 CF E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C7 EB 50 4C 8B 43 38 48 8D 93 80 00 00 00 49 39 10 74 3D 4C 8B 4B 18 40 88 3A 49 8B 01 48 3B C2 74 12 48 89 43 68 48 8B 43 50 48 63 08 49 03 08 48 89 4B 70 49 89 11 48 8B 43 38 8B CB 48 89 10 48 8B 43 50 2B CA 81 C1 81 00 00 00 89 08 EB AF 83 C8 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_305_1 {
	meta:
		name = "?pbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXH@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 58 29 10 48 8B 49 40 48 63 C2 48 01 01 C3 }
	condition:
		$1
}

rule file_77_308_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z"
		size = 234
		refs = "0049 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0069 _fseeki64 007e fgetpos 00c4 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 48 8B 41 38 4C 8D B1 80 00 00 00 41 8B E9 49 8B F0 48 8B DA 48 8B F9 4C 39 30 75 10 41 83 F9 01 75 0A 48 83 79 78 00 75 03 48 FF CE 48 83 B9 90 00 00 00 00 74 79 E8 ?? ?? ?? ?? 84 C0 74 70 48 85 F6 75 05 83 FD 01 74 16 48 8B 8F 90 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 50 48 8B 8F 90 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 3B 48 8B 47 18 4C 39 30 75 1A 48 8B 4F 68 48 8B 57 70 48 89 08 48 8B 47 38 2B D1 48 89 08 48 8B 47 50 89 10 48 8B 44 24 40 48 83 23 00 48 89 43 08 8B 87 84 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 50 48 8B C3 48 8B 5C 24 48 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_77_310_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z"
		size = 258
		refs = "0038 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0051 fsetpos 006d _fseeki64 0082 fgetpos 00d9 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 20 48 83 B9 90 00 00 00 00 49 8B 40 08 49 8B 30 49 89 43 08 4D 8B F0 48 8B FA 48 8B D9 0F 84 9F 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 48 8B 8B 90 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 7D 48 85 F6 74 17 48 8B 8B 90 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 61 48 8B 8B 90 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 4C 41 8B 46 10 4C 8B 43 18 89 83 84 00 00 00 48 8D 83 80 00 00 00 49 39 00 75 1A 48 8B 4B 68 48 8B 53 70 49 89 08 48 8B 43 38 2B D1 48 89 08 48 8B 43 50 89 10 48 8B 44 24 30 48 83 27 00 48 89 47 08 8B 83 84 00 00 00 89 47 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 67 08 00 83 67 10 00 48 89 07 48 8B 5C 24 38 48 8B 74 24 40 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_77_316_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@PEAD_J@Z"
		size = 84
		refs = "002c setvbuf 0043 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 90 00 00 00 4D 8B C8 48 85 C9 74 34 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 E8 ?? ?? ?? ?? 85 C0 75 18 48 8B 93 90 00 00 00 44 8D 40 01 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_77_319_1 {
	meta:
		name = "?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAD00@Z"
		size = 25
	strings:
		$1 = { 48 8B 41 18 45 2B C8 48 89 10 48 8B 41 38 4C 89 00 48 8B 41 50 44 89 08 C3 }
	condition:
		$1
}

rule file_77_320_1 {
	meta:
		name = "?setp@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAD0@Z"
		size = 25
	strings:
		$1 = { 48 8B 41 20 44 2B C2 48 89 10 48 8B 41 40 48 89 10 48 8B 41 58 44 89 00 C3 }
	condition:
		$1
}

rule file_77_325_1 {
	meta:
		name = "?sync@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 69
		refs = "002e fflush"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 B9 90 00 00 00 00 48 8B F9 74 1F 48 8B 01 83 CB FF 8B D3 FF 50 18 3B C3 74 10 48 8B 8F 90 00 00 00 E8 ?? ?? ?? ?? 85 C0 78 02 33 DB 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_331_1 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 752
		refs = "002a __security_cookie 00bb fgetc 00ea ??2@YAPEAX_K@Z 00f4 ?_Xbad_alloc@std@@YAXXZ 0148 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0156 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 015e ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 020d ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 024c memcpy_s 0285 ungetc 02a7 ??3@YAXPEAX@Z 02d0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 55 41 56 41 57 48 8D 68 C8 48 81 EC 10 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 48 8B F1 48 8B 41 38 48 8B 08 48 85 C9 74 2C 48 8B 56 50 4C 63 02 4A 8D 04 01 48 3B C8 73 1C 41 8D 40 FF 89 02 48 8B 4E 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 E9 58 02 00 00 48 83 BE 90 00 00 00 00 75 08 83 C8 FF E9 46 02 00 00 4C 8B 46 18 48 8D 86 80 00 00 00 49 39 00 75 1A 48 8B 56 70 48 8B 4E 68 49 89 08 48 8B 46 38 48 89 08 2B D1 48 8B 46 50 89 10 48 83 7E 78 00 75 22 48 8B 8E 90 00 00 00 E8 ?? ?? ?? ?? 41 83 CE FF 41 3B C6 0F 84 F9 01 00 00 44 0F B6 F0 E9 F0 01 00 00 48 83 65 D8 00 48 83 65 F0 00 48 83 65 F8 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 D8 0F 57 C0 F3 0F 7F 00 48 8D 4D D8 48 8B 45 D8 48 89 08 48 C7 45 F8 0F 00 00 00 48 83 65 F0 00 C6 45 E0 00 48 8B 8E 90 00 00 00 E8 ?? ?? ?? ?? 41 83 CE FF 41 3B C6 0F 84 62 01 00 00 45 8D 6E 02 44 8A C0 49 8B D5 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D F0 48 8D 55 90 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4E 78 4C 8B 11 4C 8D 0C 1F 48 8D 54 24 50 48 89 54 24 38 48 8D 54 24 41 48 89 54 24 30 48 8D 54 24 40 48 89 54 24 28 48 8D 54 24 48 48 89 54 24 20 4C 8B C0 48 8D 96 84 00 00 00 41 FF 52 30 85 C0 0F 88 D4 00 00 00 41 3B C5 7E 11 83 F8 03 0F 85 C6 00 00 00 4C 39 6D F0 73 4C EB 34 48 8D 44 24 40 48 8D 4D D8 48 39 44 24 50 75 65 48 8D 55 C0 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B 44 24 48 4C 2B C0 33 D2 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B 8E 90 00 00 00 E8 ?? ?? ?? ?? 41 3B C6 74 79 E9 16 FF FF FF 48 8D 54 24 78 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 4D 8B CD 49 8B D5 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 43 48 8D 55 A8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B 4D F0 48 8B 54 24 48 2B CA 03 C8 48 63 D9 85 C9 7E 1F 49 2B DD 0F BE 0C 13 48 8B 96 90 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 7E 07 48 8B 54 24 48 EB E1 44 0F B6 74 24 40 48 83 7D F8 10 72 09 48 8B 4D E0 E8 ?? ?? ?? ?? 48 C7 45 F8 0F 00 00 00 48 83 65 F0 00 C6 45 E0 00 48 8B 4D D8 E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 10 01 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 5F 5D C3 }
	condition:
		$1
}

rule file_77_333_1 {
	meta:
		name = "?uflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 53
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B D9 FF 50 30 83 CA FF 3B C2 74 17 48 8B 43 50 01 10 48 8B 4B 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 12 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_77_334_1 {
	meta:
		name = "?underflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 87
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 38 48 8B D9 48 8B 08 48 85 C9 74 14 48 8B 43 50 48 63 10 48 03 D1 48 3B CA 73 05 0F B6 01 EB 1F 48 8B 03 48 8B CB FF 50 38 8B F8 83 C8 FF 3B F8 74 0D 48 8B 03 8B D7 48 8B CB FF 50 20 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_77_339_1 {
	meta:
		name = "?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QEBADD@Z"
		size = 103
		refs = "001d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 40 8A FA 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 50 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 40 8A D7 48 8B CB FF 50 40 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_77_342_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA_JPEAD_J@Z"
		size = 181
		refs = "0059 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 F6 49 8B F8 4C 8B F2 4C 8B F9 4D 85 C0 7E 6E 49 8B 47 38 48 8B 10 48 85 D2 74 08 49 8B 47 50 8B 08 EB 02 33 C9 48 63 D9 85 C9 7E 32 48 3B FB 48 0F 4C DF 48 85 DB 74 0B 4C 8B C3 49 8B CE E8 ?? ?? ?? ?? 49 8B 47 50 4C 03 F3 48 03 F3 29 18 49 8B 4F 38 48 63 C3 48 2B FB 48 01 01 EB 1A 49 8B 07 49 8B CF FF 50 38 83 F8 FF 74 11 41 88 06 48 FF C6 49 FF C6 48 FF CF 48 85 FF 7F 92 48 8B 5C 24 30 48 8B 7C 24 40 4C 8B 74 24 48 48 8B C6 48 8B 74 24 38 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_77_343_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA_JPEBD_J@Z"
		size = 185
		refs = "005c memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 F6 49 8B F8 48 8B EA 4C 8B F1 4D 85 C0 7E 72 49 8B 46 40 4C 8B 08 4D 85 C9 74 08 49 8B 46 58 8B 08 EB 02 33 C9 48 63 D9 85 C9 7E 35 48 3B FB 48 0F 4C DF 48 85 DB 74 0E 4C 8B C3 48 8B D5 49 8B C9 E8 ?? ?? ?? ?? 49 8B 46 58 48 03 EB 48 03 F3 29 18 49 8B 4E 40 48 63 C3 48 2B FB 48 01 01 EB 1B 49 8B 06 0F B6 55 00 49 8B CE FF 50 18 83 F8 FF 74 0E 48 FF C5 48 FF C6 48 FF CF 48 85 FF 7F 8E 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 8B C6 48 8B 74 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_79_1_1 {
	meta:
		name = "_Stofx"
		size = 579
		refs = "001c __security_cookie 003c _Stopfx 0075 _Stoflt 0085 __real@4e6e6b28 008f _FXp_setw 00ad _FXp_setn 00d0 _FXp_mulx 00f5 _FXp_addx 010c _FDtento 0132 _Stoxflt 0143 __real@4d800000 01d8 _FDscale 01eb _FInf 01fa _FNan 0212 _FPmsw 022b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E1 48 81 EC A8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8B F9 48 89 4D B7 48 8D 4D B7 49 8B F1 45 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 48 85 F6 74 03 83 26 00 83 E0 F7 41 BD 01 00 00 00 41 3B C5 0F 85 B4 00 00 00 48 8B 55 B7 4C 8D 4D AF 4C 8B C3 48 8B CF 44 89 6C 24 20 E8 ?? ?? ?? ?? 41 8D 5D 02 48 8D 4D DF F3 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D BF 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 56 44 8B 45 B3 E8 ?? ?? ?? ?? 49 8B FD 4D 3B EE 7D 45 48 8D 45 EF 4C 8D 45 DF 48 8D 4D BF 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 49 03 FD 48 8D 4D CF 44 8B 44 BD AF 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 CF 48 8D 4D BF 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 8B 55 AF 48 8D 4D BF 4C 8B C6 41 03 D7 E8 ?? ?? ?? ?? E9 EE 00 00 00 83 F8 02 0F 85 C0 00 00 00 48 8B 55 B7 4C 8D 4D AF 4C 8B C3 48 8B CF 44 89 6C 24 20 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D CF F3 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D BF 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 56 44 8B 45 B3 E8 ?? ?? ?? ?? 49 8B FD 4D 3B EE 7D 45 48 8D 45 EF 4C 8D 45 CF 48 8D 4D BF 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 49 03 FD 48 8D 4D DF 44 8B 44 BD AF 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 DF 48 8D 4D BF 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 48 8D 4D BF 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 8B 55 AF 48 8D 4D A7 F3 0F 11 45 A7 E8 ?? ?? ?? ?? EB 2A BB 03 00 00 00 3B C3 75 0A F3 0F 10 05 ?? ?? ?? ?? EB 12 83 F8 04 75 0A F3 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F3 0F 11 45 A7 45 85 E4 74 11 48 8D 4D A7 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F3 0F 10 45 A7 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_102_1_1 {
	meta:
		name = "_WStofx"
		size = 579
		refs = "001c __security_cookie 003c _WStopfx 0075 _WStoflt 0085 __real@4e6e6b28 008f _FXp_setw 00ad _FXp_setn 00d0 _FXp_mulx 00f5 _FXp_addx 010c _FDtento 0132 _WStoxflt 0143 __real@4d800000 01d8 _FDscale 01eb _FInf 01fa _FNan 0212 _FPmsw 022b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E1 48 81 EC A8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8B F9 48 89 4D B7 48 8D 4D B7 49 8B F1 45 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 48 85 F6 74 03 83 26 00 83 E0 F7 41 BD 01 00 00 00 41 3B C5 0F 85 B4 00 00 00 48 8B 55 B7 4C 8D 4D AF 4C 8B C3 48 8B CF 44 89 6C 24 20 E8 ?? ?? ?? ?? 41 8D 5D 02 48 8D 4D DF F3 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D BF 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 56 44 8B 45 B3 E8 ?? ?? ?? ?? 49 8B FD 4D 3B EE 7D 45 48 8D 45 EF 4C 8D 45 DF 48 8D 4D BF 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 49 03 FD 48 8D 4D CF 44 8B 44 BD AF 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 CF 48 8D 4D BF 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 8B 55 AF 48 8D 4D BF 4C 8B C6 41 03 D7 E8 ?? ?? ?? ?? E9 EE 00 00 00 83 F8 02 0F 85 C0 00 00 00 48 8B 55 B7 4C 8D 4D AF 4C 8B C3 48 8B CF 44 89 6C 24 20 E8 ?? ?? ?? ?? BB 03 00 00 00 48 8D 4D CF F3 0F 10 15 ?? ?? ?? ?? 8B D3 4C 63 F0 E8 ?? ?? ?? ?? 8B D3 48 8D 4D BF 45 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 56 44 8B 45 B3 E8 ?? ?? ?? ?? 49 8B FD 4D 3B EE 7D 45 48 8D 45 EF 4C 8D 45 CF 48 8D 4D BF 44 8B CB 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 49 03 FD 48 8D 4D DF 44 8B 44 BD AF 8B D3 E8 ?? ?? ?? ?? 4C 8D 45 DF 48 8D 4D BF 44 8B CB 8B D3 E8 ?? ?? ?? ?? 49 3B FE 7C BB 48 8D 4D BF 4C 8B C6 41 8B D7 E8 ?? ?? ?? ?? 8B 55 AF 48 8D 4D A7 F3 0F 11 45 A7 E8 ?? ?? ?? ?? EB 2A BB 03 00 00 00 3B C3 75 0A F3 0F 10 05 ?? ?? ?? ?? EB 12 83 F8 04 75 0A F3 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F3 0F 11 45 A7 45 85 E4 74 11 48 8D 4D A7 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F3 0F 10 45 A7 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_80_0_1 {
	meta:
		name = "?_Mtx_delete@threads@stdext@@YAXPEAX@Z"
		size = 28
		refs = "000b __imp_DeleteCriticalSection 0018 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_2_1 {
	meta:
		name = "?_Mtx_new@threads@stdext@@YAXAEAPEAX@Z"
		size = 43
		refs = "000f ??2@YAPEAX_K@Z 0027 __crtInitializeCriticalSectionEx"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 28 00 00 00 E8 ?? ?? ?? ?? 45 33 C0 BA A0 0F 00 00 48 8B C8 48 89 03 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_32_1 {
	meta:
		name = "??1_Init_atexit@@QEAA@XZ"
		size = 58
		refs = "0009 atfuns_cdecl 0017 atcount_cdecl 001d __imp_DecodePointer"
		altNames = "??__Finit_atexit@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 EB 22 48 8D 0D ?? ?? ?? ?? 48 8B 0C C1 48 FF C0 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 02 FF D0 48 8B 05 ?? ?? ?? ?? 48 83 F8 0A 72 D1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_82_55_1 {
	meta:
		name = "?_Atexit@@YAXP6AXXZ@Z"
		size = 61
		refs = "0007 atcount_cdecl 001c __imp_EncodePointer 002a atfuns_cdecl 0038 abort"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 27 48 FF C8 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 04 CA 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_84_0_1 {
	meta:
		name = "_Toupper"
		size = 324
		refs = "001e ___lc_locale_name_func 0027 ___lc_codepage_func 0063 islower 007d __pctype_func 0109 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 20 56 57 41 56 48 83 EC 50 48 8B FA 48 63 D9 48 85 D2 75 13 E8 ?? ?? ?? ?? 48 8B 70 10 E8 ?? ?? ?? ?? 44 8B F0 EB 07 48 8B 72 18 44 8B 32 48 85 F6 75 12 8D 43 9F 83 F8 19 77 03 83 EB 20 8B C3 E9 E1 00 00 00 BD 02 00 00 00 81 FB 00 01 00 00 73 1C 48 85 FF 75 0D 8B CB E8 ?? ?? ?? ?? 85 C0 75 11 EB DA 48 8B 47 08 40 84 2C 58 74 D0 48 85 FF 75 19 E8 ?? ?? ?? ?? 8B CB C1 F9 08 0F B6 C9 0F B7 14 48 81 E2 00 80 00 00 EB 17 8B C3 48 C1 F8 08 0F B6 C8 48 8B 47 08 0F BF 14 48 C1 EA 0F 83 E2 01 85 D2 74 14 8B C3 88 5C 24 79 C6 44 24 7A 00 C1 F8 08 88 44 24 78 EB 0E 88 5C 24 78 C6 44 24 79 00 BD 01 00 00 00 C7 44 24 40 01 00 00 00 44 89 74 24 38 48 8D 84 24 80 00 00 00 C7 44 24 30 03 00 00 00 48 89 44 24 28 4C 8D 4C 24 78 41 B8 00 02 00 00 48 8B D6 33 C9 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 32 FF FF FF 83 F8 01 0F B6 84 24 80 00 00 00 74 0D 0F B6 8C 24 81 00 00 00 C1 E0 08 0B C1 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 38 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_18_1 {
	meta:
		name = "??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
		size = 122
		refs = "0043 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 49 8B F0 4D 8B F1 48 2B F2 48 8B DA 48 8B E9 48 FF C6 48 D1 EE 49 3B D0 48 0F 47 F7 48 85 F6 74 17 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 48 FF C7 48 8D 5B 02 48 3B FE 75 E9 41 0F 10 06 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 8B C5 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_90_22_1 {
	meta:
		name = "??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
		size = 122
		refs = "0043 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 49 8B F0 4D 8B F1 48 2B F2 48 8B DA 48 8B E9 48 FF C6 48 D1 EE 49 3B D0 48 0F 47 F7 48 85 F6 74 17 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 48 FF C7 48 8D 5B 02 48 3B FE 75 E9 41 0F 10 06 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 8B C5 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_90_24_1 {
	meta:
		name = "??$_Find_elem@G@std@@YA_KPEAGG@Z"
		size = 36
		altNames = "??$_Find_elem@_W@std@@YA_KPEA_W_W@Z"
	strings:
		$1 = { 44 0F B7 01 48 8B C1 EB 0E 66 44 3B C2 74 0E 48 83 C0 02 44 0F B7 00 66 45 85 C0 75 EC 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_90_26_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z"
		size = 526
		refs = "0024 __security_cookie 0064 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 00e8 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01a4 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01b2 _invalid_parameter_noinfo_noreturn 01c9 ??3@YAXPEAX@Z 01f2 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B F1 4D 8B E0 48 89 55 B8 48 8B F1 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C4 48 FF C1 8A 01 84 C0 75 EF 45 33 C0 49 8B D4 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 32 C9 88 4D B0 33 FF 33 DB 4D 85 E4 0F 84 38 01 00 00 EB 08 41 3A 06 74 0B 48 FF C7 42 8A 04 37 84 C0 75 F0 48 3B 5D E0 0F 87 16 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 80 3C 18 00 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 AA 00 00 00 49 03 FF 42 8A 04 37 41 3A 06 74 7B 84 C0 74 77 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 5F 38 46 08 75 46 48 8B 0E 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 46 0A EB 04 48 83 26 00 C6 46 08 01 42 0F BE 0C 37 0F B7 46 0A 3B C8 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 77 5C EB 03 44 8B EB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DC 0F 82 06 FF FF FF 84 C9 74 30 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 20 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 41 83 CD FF E9 C2 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_28_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z"
		size = 526
		refs = "0024 __security_cookie 0064 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 00e8 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01a4 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01b2 _invalid_parameter_noinfo_noreturn 01c9 ??3@YAXPEAX@Z 01f2 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B F1 4D 8B E0 48 89 55 B8 48 8B F1 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C4 48 FF C1 8A 01 84 C0 75 EF 45 33 C0 49 8B D4 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 32 C9 88 4D B0 33 FF 33 DB 4D 85 E4 0F 84 38 01 00 00 EB 08 41 3A 06 74 0B 48 FF C7 42 8A 04 37 84 C0 75 F0 48 3B 5D E0 0F 87 16 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 80 3C 18 00 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 AA 00 00 00 49 03 FF 42 8A 04 37 41 3A 06 74 7B 84 C0 74 77 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 5F 38 46 08 75 46 48 8B 0E 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 46 0A EB 04 48 83 26 00 C6 46 08 01 42 0F BE 0C 37 0F B7 46 0A 3B C8 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 77 5C EB 03 44 8B EB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DC 0F 82 06 FF FF FF 84 C9 74 30 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 20 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 41 83 CD FF E9 C2 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_30_1 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
		size = 557
		refs = "0024 __security_cookie 006c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0100 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01c3 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01d1 _invalid_parameter_noinfo_noreturn 01ea ??3@YAXPEAX@Z 0211 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B F1 4D 8B E0 48 89 55 B8 48 8B F1 33 DB 44 8B D3 66 41 39 19 74 1A 41 0F B7 01 66 41 3B 01 75 03 49 FF C4 49 FF C2 43 0F B7 04 51 66 85 C0 75 EA 45 33 C0 49 8B D4 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 45 33 C9 41 8A C9 88 4D B0 41 8B F9 41 8B D9 4D 85 E4 0F 84 4B 01 00 00 EB 09 66 41 3B 06 74 0D 48 FF C7 41 0F B7 04 7E 66 85 C0 75 ED 48 3B 5D E0 0F 87 24 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 44 38 0C 18 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 B6 00 00 00 49 03 FF 41 0F B7 04 7E 66 41 3B 06 0F 84 81 00 00 00 66 85 C0 74 7C 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 45 33 C9 84 C0 75 61 44 38 4E 08 75 49 48 8B 0E 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 46 0A EB 03 4C 89 0E C6 46 08 01 0F B7 46 0A 66 41 39 04 7E 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 77 5E EB 03 44 8B EB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DC 0F 82 F8 FE FF FF 84 C9 74 32 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 33 DB 84 C0 75 22 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 41 83 CD FF E9 AB FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 33 DB 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 89 5D E0 88 5D D0 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_32_1 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
		size = 557
		refs = "0024 __security_cookie 006c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0100 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01c3 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01d1 _invalid_parameter_noinfo_noreturn 01ea ??3@YAXPEAX@Z 0211 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B F1 4D 8B E0 48 89 55 B8 48 8B F1 33 DB 44 8B D3 66 41 39 19 74 1A 41 0F B7 01 66 41 3B 01 75 03 49 FF C4 49 FF C2 43 0F B7 04 51 66 85 C0 75 EA 45 33 C0 49 8B D4 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 45 33 C9 41 8A C9 88 4D B0 41 8B F9 41 8B D9 4D 85 E4 0F 84 4B 01 00 00 EB 09 66 41 3B 06 74 0D 48 FF C7 41 0F B7 04 7E 66 85 C0 75 ED 48 3B 5D E0 0F 87 24 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 44 38 0C 18 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 B6 00 00 00 49 03 FF 41 0F B7 04 7E 66 41 3B 06 0F 84 81 00 00 00 66 85 C0 74 7C 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 45 33 C9 84 C0 75 61 44 38 4E 08 75 49 48 8B 0E 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 46 0A EB 03 4C 89 0E C6 46 08 01 0F B7 46 0A 66 41 39 04 7E 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 77 5E EB 03 44 8B EB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DC 0F 82 F8 FE FF FF 84 C9 74 32 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 33 DB 84 C0 75 22 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 41 83 CD FF E9 AB FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 33 DB 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 89 5D E0 88 5D D0 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_34_1 {
	meta:
		name = "??$_Getvals@G@?$_Mpunct@G@std@@IEAAXGPEBUlconv@@@Z"
		size = 238
		refs = "0031 ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 0038 ??_C@_00CNPNBAHC@?$AA@ 0057 ??_C@_01JOAMLHOP@?9?$AA@ 00a1 _Mbrtowc"
	strings:
		$1 = { 40 55 53 56 57 41 57 48 8B EC 48 83 EC 30 45 33 FF 49 8B D8 48 8B F9 44 38 79 44 74 06 49 8B 48 18 EB 04 49 8B 48 20 48 8D 77 48 33 D2 4C 8B C6 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 47 20 80 7B 56 04 77 04 48 8B 4B 40 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 47 28 80 7B 57 04 77 04 48 8B 4B 48 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 4C 8D 4D 48 48 8D 55 30 48 89 47 30 48 8B 43 28 41 B8 01 00 00 00 8A 08 66 44 89 7D 40 44 89 7D 48 88 4D 30 48 8D 4D 40 48 89 74 24 20 E8 ?? ?? ?? ?? 0F B7 45 40 4C 8D 4D 48 66 89 47 18 48 8B 43 30 48 8D 55 30 8A 08 41 B8 01 00 00 00 66 44 89 7D 40 88 4D 30 48 8D 4D 40 44 89 7D 48 48 89 74 24 20 E8 ?? ?? ?? ?? 0F B7 45 40 66 89 47 1A 48 83 C4 30 41 5F 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_35_1 {
	meta:
		name = "??$_Getvals@G@?$numpunct@G@std@@IEAAXGPEBUlconv@@U_Cvtvec@@@Z"
		size = 140
		refs = "0041 _Mbrtowc"
	strings:
		$1 = { 40 55 53 56 57 41 57 48 8B EC 48 83 EC 40 49 8B 00 45 33 FF 49 8B F9 8A 10 49 8B D8 48 8B F1 4C 89 4C 24 20 88 55 F0 45 8D 47 01 48 8D 55 F0 4C 8D 4D FC 48 8D 4D F8 66 44 89 7D F8 44 89 7D FC E8 ?? ?? ?? ?? 0F B7 45 F8 4C 8D 4D FC 45 8D 47 01 66 89 46 18 48 8B 43 08 48 8D 55 F0 8A 08 66 44 89 7D F8 44 89 7D FC 88 4D F0 48 8D 4D F8 48 89 7C 24 20 E8 ?? ?? ?? ?? 0F B7 45 F8 66 89 46 1A 48 83 C4 40 41 5F 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_36_1 {
	meta:
		name = "??$_Getvals@G@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXGAEBV_Locinfo@1@@Z"
		size = 263
		refs = "001f _Getcvt 0046 _Getdays 005a ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0062 free 007f ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@ 0089 ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 0092 _Getmonths 00cb ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@ 00dc ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 8B E9 48 8D 48 C8 49 8B D8 E8 ?? ?? ?? ?? 48 8D 75 2C 0F 10 00 0F 11 06 0F 10 48 10 0F 11 4E 10 F2 0F 10 40 20 F2 0F 11 46 20 8B 40 28 89 46 28 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 08 00 74 0F 48 8B 4B 08 48 85 C9 75 0D 48 8D 4B 10 EB 07 48 8D 0D ?? ?? ?? ?? 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 45 10 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 18 00 74 0F 48 8B 4B 18 48 85 C9 75 0D 48 8D 4B 20 EB 07 48 8D 0D ?? ?? ?? ?? 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8B C6 33 D2 48 89 45 18 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 70 48 89 45 20 48 8B 6C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_90_37_1 {
	meta:
		name = "??$_Getvals@_W@?$_Mpunct@_W@std@@IEAAX_WPEBUlconv@@@Z"
		size = 313
		refs = "0037 wcslen 0057 ??_U@YAPEAX_K@Z 0069 memcpy 0078 ??_C@_11LOCGONAA@?$AA?$AA@ 00c0 ??_C@_13IMODFHAA@?$AA?9?$AA?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 80 79 44 00 49 8B F0 48 8B E9 74 06 4D 8B 70 68 EB 04 4D 8B 70 70 49 8B CE E8 ?? ?? ?? ?? 41 BF 02 00 00 00 48 8D 78 01 41 8B C7 4D 8D 67 FD 48 F7 E7 49 0F 40 C4 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 04 3F 49 8B D6 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 89 5D 20 80 7E 56 04 4C 8D 35 ?? ?? ?? ?? 77 07 4C 8B B6 88 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8D 78 01 49 8B C7 48 F7 E7 49 0F 40 C4 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 04 3F 49 8B D6 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 89 5D 28 80 7E 57 04 4C 8D 35 ?? ?? ?? ?? 77 07 4C 8B B6 90 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8D 78 01 49 8B C7 48 F7 E7 49 0F 40 C4 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 04 3F 49 8B D6 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B 7C 24 58 48 89 5D 30 48 8B 46 78 48 8B 5C 24 40 0F B7 08 66 89 4D 18 48 8B 86 80 00 00 00 48 8B 74 24 50 0F B7 08 66 89 4D 1A 48 8B 6C 24 48 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_90_38_1 {
	meta:
		name = "??$_Getvals@_W@?$numpunct@_W@std@@IEAAX_WPEBUlconv@@U_Cvtvec@@@Z"
		size = 23
	strings:
		$1 = { 49 8B 40 58 0F B7 10 66 89 51 18 49 8B 40 60 0F B7 10 66 89 51 1A C3 }
	condition:
		$1
}

rule file_90_39_1 {
	meta:
		name = "??$_Getvals@_W@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAX_WAEBV_Locinfo@1@@Z"
		size = 408
		refs = "0028 _Getcvt 0050 _W_Getdays 0064 ??4?$_Yarn@_W@std@@QEAAAEAV01@PEB_W@Z 006c free 0089 ??_C@_1KM@LPDIELBN@?$AA?3?$AAS?$AAu?$AAn?$AA?3?$AAS?$AAu?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAM?$AAo?$AAn?$AA?3?$AAM?$AAo?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAT?$AAu?$AAe?$AA?3?$AAT?$AAu?$AAe?$AAs?$AAd@ 0091 wcslen 00b1 ??_U@YAPEAX_K@Z 00c3 memcpy 00cc _W_Getmonths 0105 ??_C@_1BAO@JIKOGLKA@?$AA?3?$AAJ?$AAa?$AAn?$AA?3?$AAJ?$AAa?$AAn?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAF?$AAe?$AAb?$AA?3?$AAF?$AAe?$AAb?$AAr?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAM?$AAa?$AAr?$AA?3?$AAM?$AAa@ 013c ??_C@_1BK@MHIKGOKE@?$AA?3?$AAA?$AAM?$AA?3?$AAa?$AAm?$AA?3?$AAP?$AAM?$AA?3?$AAp?$AAm?$AA?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 4C 8B F1 48 8D 48 B8 49 8B F0 E8 ?? ?? ?? ?? 0F 10 00 41 0F 11 46 2C 0F 10 48 10 41 0F 11 4E 3C F2 0F 10 40 20 F2 41 0F 11 46 4C 8B 40 28 41 89 46 54 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 8D 4E 28 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7E 28 00 74 0F 48 8B 6E 28 48 85 ED 75 0D 48 8D 6E 30 EB 07 48 8D 2D ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 41 BF 02 00 00 00 48 8D 78 01 41 8B C7 4D 8D 67 FD 48 F7 E7 49 0F 40 C4 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 04 3F 48 8B D5 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 49 89 5E 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 8D 4E 38 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7E 38 00 74 0F 48 8B 6E 38 48 85 ED 75 0D 48 8D 6E 40 EB 07 48 8D 2D ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 8D 78 01 49 8B C7 48 F7 E7 49 0F 40 C4 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 04 3F 48 8B D5 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 49 89 5E 18 E8 ?? ?? ?? ?? 48 8D 78 01 49 8B C7 48 F7 E7 49 0F 40 C4 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 04 3F 48 8D 15 ?? ?? ?? ?? 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 89 5E 20 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_90_45_1 {
	meta:
		name = "??$_LStrcoll@G@std@@YAHPEBG000PEBU_Collvec@@@Z"
		size = 62
	strings:
		$1 = { EB 1B 4D 3B C1 74 1B 41 0F B7 00 66 39 01 72 2A 66 3B 01 72 1F 48 83 C1 02 49 83 C0 02 48 3B CA 75 E0 33 C0 48 3B CA 0F 95 C0 83 C9 FF 4D 3B C1 0F 45 C1 C3 B8 01 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_90_47_1 {
	meta:
		name = "??$_LStrxfrm@G@std@@YA_KPEAG0PEBG1PEBU_Collvec@@@Z"
		size = 47
		refs = "0022 memcpy_s"
	strings:
		$1 = { 40 53 48 83 EC 20 48 2B D1 49 8B D9 49 2B D8 48 D1 FA 48 D1 FB 48 3B DA 77 0C 4C 8D 0C 1B 48 03 D2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_49_1 {
	meta:
		name = "??$_Maklocchr@G@std@@YAGDPEAGAEBU_Cvtvec@@@Z"
		size = 57
		refs = "002b _Mbrtowc"
		altNames = "??$_Maklocchr@_W@std@@YA_WDPEA_WAEBU_Cvtvec@@@Z"
	strings:
		$1 = { 88 4C 24 08 4C 8B DC 48 83 EC 48 33 C0 4D 89 43 D8 4D 8D 4B E8 49 8D 53 08 49 8D 4B 20 44 8D 40 01 66 89 44 24 68 89 44 24 30 E8 ?? ?? ?? ?? 0F B7 44 24 68 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_90_52_1 {
	meta:
		name = "??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z"
		size = 224
		refs = "0025 strlen 0053 _Mbrtowc 0082 ??_U@YAPEAX_K@Z"
		altNames = "??$_Maklocstr@_W@std@@YAPEA_WPEBDPEA_WAEBU_Cvtvec@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 56 57 41 54 41 56 41 57 48 83 EC 40 45 33 E4 4D 8B F8 48 8B F1 44 89 60 20 E8 ?? ?? ?? ?? 41 8B DC 4C 8B F0 48 8B EE 49 FF C6 49 8B FE 74 2E 4C 8D 8C 24 88 00 00 00 48 8D 4C 24 70 4C 8B C7 48 8B D5 4C 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 7E 0D 48 98 48 FF C3 48 03 E8 48 2B F8 75 D2 48 C7 C1 FF FF FF FF 48 FF C3 B8 02 00 00 00 48 F7 E3 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 44 89 64 24 30 48 8B E8 48 8B F8 48 85 DB 74 2A 4C 8D 4C 24 30 4D 8B C6 48 8B D6 48 8B CF 4C 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 7E 0E 48 98 48 83 C7 02 48 03 F0 48 FF CB 75 D6 4C 8D 5C 24 40 48 8B C5 66 44 89 27 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_90_186_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@$$QEAV01@@Z"
		size = 115
		refs = "0026 ??2@YAPEAX_K@Z 0056 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 006e ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 48 8B FA 48 89 31 48 89 71 18 48 89 71 20 8D 4E 10 E8 ?? ?? ?? ?? 48 85 C0 74 3E 48 89 03 0F 57 C0 48 8B D7 48 8B CB F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 73 18 66 89 73 08 E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_196_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@$$QEAV01@@Z"
		size = 115
		refs = "0026 ??2@YAPEAX_K@Z 0056 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 006e ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 48 8B FA 48 89 31 48 89 71 18 48 89 71 20 8D 4E 10 E8 ?? ?? ?? ?? 48 85 C0 74 3E 48 89 03 0F 57 C0 48 8B D7 48 8B CB F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 73 18 66 89 73 08 E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_187_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z"
		size = 136
		refs = "0033 ??2@YAPEAX_K@Z 003d ?_Xbad_alloc@std@@YAXXZ 0070 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B FA 48 8B D9 33 F6 48 89 31 48 89 71 18 48 89 71 20 8D 4E 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 73 18 66 89 73 08 49 83 C9 FF 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_197_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
		size = 136
		refs = "0033 ??2@YAPEAX_K@Z 003d ?_Xbad_alloc@std@@YAXXZ 0070 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B FA 48 8B D9 33 F6 48 89 31 48 89 71 18 48 89 71 20 8D 4E 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 73 18 66 89 73 08 49 83 C9 FF 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_191_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG_K@Z"
		size = 144
		refs = "003a ??2@YAPEAX_K@Z 0044 ?_Xbad_alloc@std@@YAXXZ 0073 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 49 8B F8 48 8B F2 48 8B D9 33 ED 48 89 29 48 89 69 18 48 89 69 20 8D 4D 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 6B 18 66 89 6B 08 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_201_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W_K@Z"
		size = 144
		refs = "003a ??2@YAPEAX_K@Z 0044 ?_Xbad_alloc@std@@YAXXZ 0073 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 49 8B F8 48 8B F2 48 8B D9 33 ED 48 89 29 48 89 69 18 48 89 69 20 8D 4D 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 6B 18 66 89 6B 08 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_193_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 91
		refs = "001e ??2@YAPEAX_K@Z 0056 ?_Xbad_alloc@std@@YAXXZ"
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 89 39 48 89 79 18 48 89 79 20 8D 4F 10 E8 ?? ?? ?? ?? 48 85 C0 74 2E 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 7B 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_194_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z"
		size = 146
		refs = "003b ??2@YAPEAX_K@Z 0045 ?_Xbad_alloc@std@@YAXXZ 0075 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 0F B7 F8 48 8B F2 48 8B D9 33 ED 48 89 29 48 89 69 18 48 89 69 20 8D 4D 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 6B 18 66 89 6B 08 44 0F B7 C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_204_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z"
		size = 146
		refs = "003b ??2@YAPEAX_K@Z 0045 ?_Xbad_alloc@std@@YAXXZ 0075 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 0F B7 F8 48 8B F2 48 8B D9 33 ED 48 89 29 48 89 69 18 48 89 69 20 8D 4D 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 03 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 6B 18 66 89 6B 08 44 0F B7 C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_90_230_1 {
	meta:
		name = "??0?$numpunct@G@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@G@std@@6B@ 0028 ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_103_53_1 {
	meta:
		name = "??0?$numpunct@D@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@D@std@@6B@ 0028 ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_232_1 {
	meta:
		name = "??0?$numpunct@_W@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@_W@std@@6B@ 0028 ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_308_1 {
	meta:
		name = "??1?$numpunct@G@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@G@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_103_88_1 {
	meta:
		name = "??1?$numpunct@D@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@D@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_309_1 {
	meta:
		name = "??1?$numpunct@_W@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@_W@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_338_1 {
	meta:
		name = "??4?$_Yarn@_W@std@@QEAAAEAV01@PEB_W@Z"
		size = 130
		refs = "002a free 004f malloc 0066 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 8B 09 48 8B FA 48 3B CA 74 48 33 ED 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 89 2E 48 85 FF 74 34 48 8B DF 66 39 2F 74 09 48 83 C3 02 66 39 2B 75 F7 48 2B DF 48 8D 4B 02 E8 ?? ?? ?? ?? 48 89 06 48 85 C0 74 0F 4C 8D 43 02 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B C6 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_339_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 80
		refs = "0021 ??3@YAXPEAX@Z 003e ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
		altNames = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 2D 48 83 79 20 08 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 33 C0 48 C7 43 20 07 00 00 00 48 8B D7 48 89 43 18 48 8B CB 66 89 43 08 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_341_1 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 80
		refs = "0021 ??3@YAXPEAX@Z 003e ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 2D 48 83 79 20 08 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 33 C0 48 C7 43 20 07 00 00 00 48 8B D7 48 89 43 18 48 8B CB 66 89 43 08 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_806_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 80
		refs = "0021 ??3@YAXPEAX@Z 003e ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 2D 48 83 79 20 08 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 33 C0 48 C7 43 20 07 00 00 00 48 8B D7 48 89 43 18 48 8B CB 66 89 43 08 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_340_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 35
		refs = "0016 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 3B CA 74 0C 49 83 C9 FF 45 33 C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_103_104_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 35
		refs = "0016 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 3B CA 74 0C 49 83 C9 FF 45 33 C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_342_1 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 35
		refs = "0016 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 3B CA 74 0C 49 83 C9 FF 45 33 C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_343_1 {
	meta:
		name = "??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
		size = 109
		altNames = "??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 44 0F B7 C2 48 85 C9 74 4B 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 1A 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 02 48 89 01 66 44 89 02 EB 0E 48 8B 01 41 0F B7 D0 FF 50 18 44 0F B7 C0 B8 FF FF 00 00 66 41 3B C0 75 03 C6 03 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_355_1 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAG_K@Z"
		size = 42
		refs = "0025 _invalid_parameter_noinfo_noreturn"
		altNames = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAAEBG_K@Z ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEA_W_K@Z ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAAEB_W_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 3B 51 18 77 1A 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 04 51 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_364_1 {
	meta:
		name = "??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBAGXZ"
		size = 95
		altNames = "??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_WXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 00 48 8B D9 75 46 48 8B 09 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 0F B7 43 0A 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_368_1 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@XZ"
		size = 90
		refs = "004f _invalid_parameter_noinfo_noreturn"
		altNames = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 8B D1 48 85 C0 74 45 48 8B 00 48 85 C0 74 3D 4C 8B 41 10 4D 85 C0 74 34 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 4C 3B C1 73 10 49 8D 40 02 48 89 42 10 48 8B C2 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_376_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_JAEBV01@@Z"
		size = 66
		refs = "0037 _invalid_parameter_noinfo_noreturn"
		altNames = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_JAEBV01@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4D 85 C0 74 2E 4D 8B 08 4D 85 C9 74 26 4C 8B 02 4D 85 C0 74 03 49 8B 00 4C 3B C8 75 10 48 8B 41 10 48 2B 42 10 48 D1 F8 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_379_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_JAEBV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@@Z"
		size = 88
		refs = "004d _invalid_parameter_noinfo_noreturn"
		altNames = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_JAEBV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 09 33 C0 4C 8B D2 44 8B C0 4D 85 C9 74 0B 4D 8B 09 4D 85 C9 74 03 4D 8B 01 48 8B 49 10 4D 85 C0 74 2A 49 39 00 74 25 48 8B 12 48 85 D2 74 03 48 8B 02 49 39 00 75 0F 49 2B 4A 10 48 D1 F9 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_417_1 {
	meta:
		name = "??_G?$numpunct@G@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$numpunct@G@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7_Facet_base@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_103_121_1 {
	meta:
		name = "??_G?$numpunct@D@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$numpunct@D@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7_Facet_base@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_418_1 {
	meta:
		name = "??_G?$numpunct@_W@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$numpunct@_W@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7_Facet_base@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_447_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
		size = 122
		refs = "0033 memmove"
		altNames = "?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 83 7A 20 08 48 8B DA 48 8B F9 73 1B 4C 8B 42 18 49 FF C0 74 23 48 83 C1 08 4D 03 C0 48 83 C2 08 E8 ?? ?? ?? ?? EB 11 48 83 C1 08 74 07 48 8B 42 08 48 89 01 48 89 72 08 48 8B 43 18 48 89 47 18 48 8B 43 20 48 89 47 20 48 89 73 18 48 C7 43 20 07 00 00 00 66 89 73 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_454_1 {
	meta:
		name = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0G@Z"
		size = 77
		altNames = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0_W@Z"
	strings:
		$1 = { 48 89 7C 24 08 49 83 F8 01 75 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 66 44 89 0C 51 EB 24 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 3C 51 4D 85 C0 74 0A 41 0F B7 C1 49 8B C8 66 F3 AB 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_90_483_1 {
	meta:
		name = "?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z"
		size = 158
		altNames = "?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z"
	strings:
		$1 = { 4C 8B DA C6 02 25 4C 8D 52 01 41 F6 C1 20 74 07 41 C6 02 2B 49 FF C2 41 F6 C1 10 74 07 41 C6 02 23 49 FF C2 66 41 C7 02 2E 2A 49 83 C2 02 45 84 C0 74 06 45 88 02 49 FF C2 41 8B D1 41 B8 00 30 00 00 41 23 D0 41 F6 C1 04 74 18 B8 47 00 00 00 81 FA 00 10 00 00 8D 48 FE 0F 44 C1 B9 41 00 00 00 EB 16 B8 67 00 00 00 81 FA 00 10 00 00 8D 48 FE 0F 44 C1 B9 61 00 00 00 41 3B D0 0F 44 C1 81 FA 00 20 00 00 0F B6 C8 B8 66 00 00 00 0F 44 C8 49 8B C3 41 88 0A 49 FF C2 41 C6 02 00 C3 }
	condition:
		$1
}

rule file_90_485_1 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z"
		size = 1215
		refs = "0028 __security_cookie 0080 ??_C@_02MDKMJEGG@eE?$AA@ 0089 ??_C@_02OOPEBDOJ@pP?$AA@ 00ac strcspn 00bd localeconv 00e0 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00e9 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0131 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z 0169 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 019a ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01d5 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 0201 _invalid_parameter_noinfo_noreturn 02d6 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 044a ??3@YAXPEAX@Z 04a0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC C0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4C 89 4D 8F 49 8B F0 48 89 55 9F 0F B7 45 67 66 89 44 24 20 48 8B 5D 6F 4C 8B B5 8F 00 00 00 4D 85 F6 74 0F 8A 03 2C 2B A8 FD 75 07 B8 01 00 00 00 EB 02 33 C0 48 63 F8 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 22 48 8D 15 ?? ?? ?? ?? 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8B CB E8 ?? ?? ?? ?? 4C 8B E8 B8 2E 00 00 00 66 89 45 87 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 45 87 48 8D 55 87 48 8B CB E8 ?? ?? ?? ?? 4C 8B F8 48 8D 55 97 49 8B CC E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 48 8B 4D 97 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B 04 24 B2 30 49 8B CC FF 50 60 44 0F B7 E0 45 33 C0 49 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 90 4C 8D 4D B7 48 83 7D CF 08 4C 0F 43 4D B7 48 8B 4C 24 30 48 8B 01 4D 8D 04 1E 48 8B D3 FF 50 58 48 8D 54 24 30 48 8B 4D 8F E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 30 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 55 D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 03 48 8B CB FF 50 20 66 89 45 8B 45 0F B7 CC 49 8B D5 48 8D 4D AF 4D 3B FE 75 0A 4C 8B 45 77 4F 8D 34 28 EB 62 4C 8B 75 77 4D 03 F7 4C 8B 85 87 00 00 00 E8 ?? ?? ?? ?? 49 8D 57 01 45 0F B7 CC 4C 8B 45 7F 48 8D 4D AF E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 18 0F B7 C8 4C 3B 7D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 66 42 89 0C 78 45 0F B7 CC 4C 8B 45 77 49 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 8A 03 3C 7F 74 42 44 0F B7 7D 8B 84 C0 7E 39 48 0F BE C8 49 8B C6 48 2B C7 48 3B C8 73 2A 4C 2B F1 45 0F B7 CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4F D8 8A 03 3C 7F 75 C3 4C 8B 75 C7 4C 8B 6D 8F 49 8B 5D 28 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 0F 10 06 0F 29 44 24 30 83 F8 40 0F 84 D1 00 00 00 3D 00 01 00 00 74 64 48 85 DB 74 1E 44 0F B7 7C 24 20 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 30 F3 0F 7F 06 33 DB 0F 29 44 24 30 4C 8D 7D B7 48 83 7D CF 08 4C 0F 43 7D B7 4C 8B E7 48 85 FF 0F 84 B4 00 00 00 41 0F B7 17 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CC 75 E9 E9 93 00 00 00 4C 8D 7D B7 48 83 7D CF 08 4C 0F 43 7D B7 4C 8B E7 48 85 FF 74 1C 41 0F B7 17 48 8D 4C 24 30 E8 ?? ?? ?? ?? 49 83 C7 02 49 FF CC 75 E9 0F 28 44 24 30 F3 0F 7F 06 0F 29 44 24 30 45 33 E4 48 85 DB 74 1E 44 0F B7 7C 24 20 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 30 49 8B DC EB 35 4C 8D 7D B7 48 83 7D CF 08 4C 0F 43 7D B7 4C 8B E7 48 85 FF 74 1C 41 0F B7 17 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CC 75 E9 0F 28 44 24 30 45 33 E4 F3 0F 7F 06 0F 29 44 24 30 48 3B 7D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 4C 8D 3C 78 4C 2B F7 74 1C 41 0F B7 17 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CE 75 E9 0F 28 44 24 30 F3 0F 7F 06 4D 89 65 28 0F 10 06 0F 29 44 24 30 48 85 DB 74 19 0F B7 54 24 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 EC 0F 28 44 24 30 48 8B 5D 9F F3 0F 7F 03 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 4C 89 65 EF 44 88 65 DF 48 8B 4D D7 E8 ?? ?? ?? ?? 4C 89 65 D7 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 07 00 00 00 4C 89 65 C7 66 44 89 65 B7 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_490_1 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z"
		size = 1215
		refs = "0028 __security_cookie 0080 ??_C@_02MDKMJEGG@eE?$AA@ 0089 ??_C@_02OOPEBDOJ@pP?$AA@ 00ac strcspn 00bd localeconv 00e0 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00e9 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0131 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 0169 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 019a ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01d5 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 0201 _invalid_parameter_noinfo_noreturn 02d6 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 044a ??3@YAXPEAX@Z 04a0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC C0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4C 89 4D 8F 49 8B F0 48 89 55 9F 0F B7 45 67 66 89 44 24 20 48 8B 5D 6F 4C 8B B5 8F 00 00 00 4D 85 F6 74 0F 8A 03 2C 2B A8 FD 75 07 B8 01 00 00 00 EB 02 33 C0 48 63 F8 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 22 48 8D 15 ?? ?? ?? ?? 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8B CB E8 ?? ?? ?? ?? 4C 8B E8 B8 2E 00 00 00 66 89 45 87 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 45 87 48 8D 55 87 48 8B CB E8 ?? ?? ?? ?? 4C 8B F8 48 8D 55 97 49 8B CC E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 48 8B 4D 97 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B 04 24 B2 30 49 8B CC FF 50 60 44 0F B7 E0 45 33 C0 49 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 90 4C 8D 4D B7 48 83 7D CF 08 4C 0F 43 4D B7 48 8B 4C 24 30 48 8B 01 4D 8D 04 1E 48 8B D3 FF 50 58 48 8D 54 24 30 48 8B 4D 8F E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 30 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 55 D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 03 48 8B CB FF 50 20 66 89 45 8B 45 0F B7 CC 49 8B D5 48 8D 4D AF 4D 3B FE 75 0A 4C 8B 45 77 4F 8D 34 28 EB 62 4C 8B 75 77 4D 03 F7 4C 8B 85 87 00 00 00 E8 ?? ?? ?? ?? 49 8D 57 01 45 0F B7 CC 4C 8B 45 7F 48 8D 4D AF E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 18 0F B7 C8 4C 3B 7D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 66 42 89 0C 78 45 0F B7 CC 4C 8B 45 77 49 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 8A 03 3C 7F 74 42 44 0F B7 7D 8B 84 C0 7E 39 48 0F BE C8 49 8B C6 48 2B C7 48 3B C8 73 2A 4C 2B F1 45 0F B7 CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4F D8 8A 03 3C 7F 75 C3 4C 8B 75 C7 4C 8B 6D 8F 49 8B 5D 28 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 0F 10 06 0F 29 44 24 30 83 F8 40 0F 84 D1 00 00 00 3D 00 01 00 00 74 64 48 85 DB 74 1E 44 0F B7 7C 24 20 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 30 F3 0F 7F 06 33 DB 0F 29 44 24 30 4C 8D 7D B7 48 83 7D CF 08 4C 0F 43 7D B7 4C 8B E7 48 85 FF 0F 84 B4 00 00 00 41 0F B7 17 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CC 75 E9 E9 93 00 00 00 4C 8D 7D B7 48 83 7D CF 08 4C 0F 43 7D B7 4C 8B E7 48 85 FF 74 1C 41 0F B7 17 48 8D 4C 24 30 E8 ?? ?? ?? ?? 49 83 C7 02 49 FF CC 75 E9 0F 28 44 24 30 F3 0F 7F 06 0F 29 44 24 30 45 33 E4 48 85 DB 74 1E 44 0F B7 7C 24 20 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 30 49 8B DC EB 35 4C 8D 7D B7 48 83 7D CF 08 4C 0F 43 7D B7 4C 8B E7 48 85 FF 74 1C 41 0F B7 17 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CC 75 E9 0F 28 44 24 30 45 33 E4 F3 0F 7F 06 0F 29 44 24 30 48 3B 7D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 4C 8D 3C 78 4C 2B F7 74 1C 41 0F B7 17 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CE 75 E9 0F 28 44 24 30 F3 0F 7F 06 4D 89 65 28 0F 10 06 0F 29 44 24 30 48 85 DB 74 19 0F B7 54 24 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 EC 0F 28 44 24 30 48 8B 5D 9F F3 0F 7F 03 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 4C 89 65 EF 44 88 65 DF 48 8B 4D D7 E8 ?? ?? ?? ?? 4C 89 65 D7 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 07 00 00 00 4C 89 65 C7 66 44 89 65 B7 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_543_1 {
	meta:
		name = "?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_103_162_1 {
	meta:
		name = "?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_545_1 {
	meta:
		name = "?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_103_164_1 {
	meta:
		name = "?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_547_1 {
	meta:
		name = "?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_549_1 {
	meta:
		name = "?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 194
		refs = "003d ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 6F 48 39 31 75 6A 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3D 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_90_551_1 {
	meta:
		name = "?_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 210
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$numpunct@G@std@@6B@ 009d ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 00b5 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8A 00 00 00 48 39 31 0F 85 81 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 54 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_103_166_1 {
	meta:
		name = "?_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 210
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$numpunct@D@std@@6B@ 009d ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 00b5 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8A 00 00 00 48 39 31 0F 85 81 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 54 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_555_1 {
	meta:
		name = "?_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 210
		refs = "003c ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$numpunct@_W@std@@6B@ 009d ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 00b5 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 4C 8B F2 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8A 00 00 00 48 39 31 0F 85 81 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 54 49 8B 06 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_90_579_1 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2955
		refs = "0028 __security_cookie 006c ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 007e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0087 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00c0 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e4 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0118 ?_Src@?3??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0130 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01fa ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0252 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 03f6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 041f _invalid_parameter_noinfo_noreturn 04c4 ??3@YAXPEAX@Z 0668 localeconv 0b6c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC F0 00 00 00 48 C7 45 97 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F1 4C 89 4C 24 50 49 8B F8 4C 8B F2 48 89 55 8F 48 8B 5D 77 4C 8B 45 7F 8B 43 18 BA 00 30 00 00 23 C2 3B C2 75 1A 4C 89 44 24 28 48 89 5C 24 20 4C 8B C7 49 8B D6 E8 ?? ?? ?? ?? E9 EF 0A 00 00 48 8D 54 24 58 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 87 48 8B 4C 24 58 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 C7 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FE 4C 89 74 24 40 44 88 64 24 30 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 48 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 58 48 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 84 C0 0F 85 BD 00 00 00 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 05 75 06 41 C6 06 2B EB 55 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 03 75 15 41 C6 06 2D 4D 8D 7E 01 4C 89 7C 24 40 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 44 88 64 24 38 44 89 64 24 48 33 C9 8B D9 89 4C 24 34 4C 8D 75 CF 48 83 7D E7 10 4C 0F 43 75 CF 41 8A 06 FE C8 3C 7D 0F 87 C3 02 00 00 48 39 4D DF 75 05 0F B7 F1 EB 0D 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 45 33 C0 41 8D 50 01 48 8D 4D 9F E8 ?? ?? ?? ?? 90 33 DB 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 ED 01 00 00 44 38 5F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 48 8D 45 EF 0F B7 4D EF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 70 C6 44 24 38 01 41 83 FC 24 7C 06 FF 44 24 34 EB 27 48 85 C0 75 05 45 85 E4 74 1D 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 4C 89 7C 24 40 41 FF C4 44 89 64 24 48 48 3B 5D B7 0F 87 F0 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 B7 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 FE 04 18 E9 A1 00 00 00 48 3B 5D B7 0F 87 F2 00 00 00 48 8D 45 A7 4C 8B 55 A7 4C 8B 4D BF 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A8 00 00 00 66 85 F6 0F 84 9F 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D BF 4C 8B 55 A7 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 66 39 77 0A 75 42 45 33 C0 41 8D 50 01 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 75 0B E9 53 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 0F 84 85 00 00 00 48 3B 5D B7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 62 48 FF C3 EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 74 4F 41 8A 0E 80 F9 7F 74 47 48 FF CB 74 17 48 3B 5D B7 77 31 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 26 48 85 DB 75 10 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 08 7C 11 45 38 5E 01 7E BC 49 FF C6 EB B7 E8 ?? ?? ?? ?? CC C6 44 24 30 01 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 48 C7 45 BF 0F 00 00 00 33 DB 48 89 5D B7 88 5D A7 48 8B 4D 9F E8 ?? ?? ?? ?? 40 8A 74 24 38 4C 8B 74 24 50 E9 F4 00 00 00 4C 8B 74 24 50 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 EF 00 00 00 41 BD FF FF 00 00 44 38 4F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 48 8D 45 EF 0F B7 4D EF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 48 41 83 FC 24 7C 04 FF C3 EB 1D 48 85 C0 75 05 45 85 E4 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 41 FF FF FF 89 5C 24 34 44 89 64 24 48 4C 89 7C 24 40 4C 8B 6D 87 33 DB 40 84 F6 74 11 45 85 E4 75 0C 41 C6 07 30 49 FF C7 4C 89 7C 24 40 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 49 8B 45 00 49 8B CD FF 50 18 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 4C 89 7C 24 40 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 B5 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 44 8B 64 24 34 41 BF FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 47 0A 66 3B 45 EF 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 93 44 89 64 24 34 4C 8B 7C 24 40 44 8B 64 24 48 44 8B 6C 24 34 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 34 EB 05 44 8B 6C 24 34 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 48 8D 45 EF 0F B7 4D EF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 37 41 83 FC 24 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 34 45 33 E4 40 84 F6 0F 84 09 03 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F6 02 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 09 74 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 07 0F 85 46 02 00 00 41 C6 07 65 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 05 75 06 41 C6 07 2B EB 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 03 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 EF 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 40 84 F6 44 8B 6C 24 34 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 48 8D 45 EF 0F B7 4D EF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 35 83 FB 08 7D 12 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 34 44 38 64 24 30 75 05 40 84 F6 75 04 4C 8B 7D 8F 45 88 27 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 65 DF 44 88 65 CF 48 8B 4D C7 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_584_1 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2955
		refs = "0028 __security_cookie 006c ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 007e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0087 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00c0 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e4 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0118 ?_Src@?3??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0130 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01fa ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0252 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 03f6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 041f _invalid_parameter_noinfo_noreturn 04c4 ??3@YAXPEAX@Z 0668 localeconv 0b6c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC F0 00 00 00 48 C7 45 97 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F1 4C 89 4C 24 50 49 8B F8 4C 8B F2 48 89 55 8F 48 8B 5D 77 4C 8B 45 7F 8B 43 18 BA 00 30 00 00 23 C2 3B C2 75 1A 4C 89 44 24 28 48 89 5C 24 20 4C 8B C7 49 8B D6 E8 ?? ?? ?? ?? E9 EF 0A 00 00 48 8D 54 24 58 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 87 48 8B 4C 24 58 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 C7 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FE 4C 89 74 24 40 44 88 64 24 30 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 48 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 58 48 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 84 C0 0F 85 BD 00 00 00 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 05 75 06 41 C6 06 2B EB 55 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 03 75 15 41 C6 06 2D 4D 8D 7E 01 4C 89 7C 24 40 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 44 88 64 24 38 44 89 64 24 48 33 C9 8B D9 89 4C 24 34 4C 8D 75 CF 48 83 7D E7 10 4C 0F 43 75 CF 41 8A 06 FE C8 3C 7D 0F 87 C3 02 00 00 48 39 4D DF 75 05 0F B7 F1 EB 0D 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 45 33 C0 41 8D 50 01 48 8D 4D 9F E8 ?? ?? ?? ?? 90 33 DB 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 ED 01 00 00 44 38 5F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 48 8D 45 EF 0F B7 4D EF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 70 C6 44 24 38 01 41 83 FC 24 7C 06 FF 44 24 34 EB 27 48 85 C0 75 05 45 85 E4 74 1D 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 4C 89 7C 24 40 41 FF C4 44 89 64 24 48 48 3B 5D B7 0F 87 F0 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 B7 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 FE 04 18 E9 A1 00 00 00 48 3B 5D B7 0F 87 F2 00 00 00 48 8D 45 A7 4C 8B 55 A7 4C 8B 4D BF 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A8 00 00 00 66 85 F6 0F 84 9F 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D BF 4C 8B 55 A7 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 66 39 77 0A 75 42 45 33 C0 41 8D 50 01 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 75 0B E9 53 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 0F 84 85 00 00 00 48 3B 5D B7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 62 48 FF C3 EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 74 4F 41 8A 0E 80 F9 7F 74 47 48 FF CB 74 17 48 3B 5D B7 77 31 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 26 48 85 DB 75 10 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 08 7C 11 45 38 5E 01 7E BC 49 FF C6 EB B7 E8 ?? ?? ?? ?? CC C6 44 24 30 01 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 48 C7 45 BF 0F 00 00 00 33 DB 48 89 5D B7 88 5D A7 48 8B 4D 9F E8 ?? ?? ?? ?? 40 8A 74 24 38 4C 8B 74 24 50 E9 F4 00 00 00 4C 8B 74 24 50 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 EF 00 00 00 41 BD FF FF 00 00 44 38 4F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 48 8D 45 EF 0F B7 4D EF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 48 41 83 FC 24 7C 04 FF C3 EB 1D 48 85 C0 75 05 45 85 E4 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 41 FF FF FF 89 5C 24 34 44 89 64 24 48 4C 89 7C 24 40 4C 8B 6D 87 33 DB 40 84 F6 74 11 45 85 E4 75 0C 41 C6 07 30 49 FF C7 4C 89 7C 24 40 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 49 8B 45 00 49 8B CD FF 50 18 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 4C 89 7C 24 40 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 B5 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 44 8B 64 24 34 41 BF FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 47 0A 66 3B 45 EF 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 93 44 89 64 24 34 4C 8B 7C 24 40 44 8B 64 24 48 44 8B 6C 24 34 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 34 EB 05 44 8B 6C 24 34 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 48 8D 45 EF 0F B7 4D EF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 37 41 83 FC 24 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 34 45 33 E4 40 84 F6 0F 84 09 03 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F6 02 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 09 74 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 07 0F 85 46 02 00 00 41 C6 07 65 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 05 75 06 41 C6 07 2B EB 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 03 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 EF 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 40 84 F6 44 8B 6C 24 34 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 48 8D 45 EF 0F B7 4D EF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 35 83 FB 08 7D 12 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 34 44 38 64 24 30 75 05 40 84 F6 75 04 4C 8B 7D 8F 45 88 27 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 65 DF 44 88 65 CF 48 8B 4D C7 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_589_1 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3253
		refs = "0029 __security_cookie 005d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0066 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00a0 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b7 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00eb ?_Src@?1??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 010b ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01d0 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0379 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 051e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0547 _invalid_parameter_noinfo_noreturn 05ec ??3@YAXPEAX@Z 078a localeconv 0c96 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC 00 01 00 00 48 C7 44 24 60 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B F1 4C 89 4C 24 38 49 8B F8 4C 8B F2 48 89 54 24 48 48 8B 5D 77 48 8B 45 7F 48 89 44 24 58 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 50 48 8B 4C 24 40 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 A7 49 8B CD E8 ?? ?? ?? ?? 90 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 28 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D CF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 58 4D 8B FE 44 88 64 24 21 48 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 84 C0 0F 85 B8 00 00 00 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 06 2B EB 55 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 10 41 C6 06 2D 4D 8D 7E 01 48 8B CF E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 4C 89 7C 24 28 44 88 64 24 20 44 89 64 24 30 45 33 F6 41 8B DE 89 5C 24 24 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 32 01 00 00 44 38 77 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 CF 0F 85 D8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 F6 84 C0 0F 85 B4 00 00 00 40 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 01 74 55 40 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 FF 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 09 C6 44 24 20 01 EB 02 33 F6 4C 8D 75 AF 48 83 7D C7 10 4C 0F 43 75 AF 41 8A 06 FE C8 3C 7D 0F 87 BC 02 00 00 48 39 75 BF 74 0D 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 45 33 C0 41 8D 50 01 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 33 DB 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 EE 01 00 00 44 38 5F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 70 C6 44 24 20 01 41 83 FC 24 7C 06 FF 44 24 24 EB 27 48 85 C0 75 05 45 85 E4 74 1D 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 4C 89 7C 24 28 41 FF C4 44 89 64 24 30 48 3B 5D 97 0F 87 F1 00 00 00 48 8D 45 87 48 83 7D 9F 10 48 0F 43 45 87 80 3C 18 7F 0F 84 B8 00 00 00 48 8D 45 87 48 83 7D 9F 10 48 0F 43 45 87 FE 04 18 E9 A2 00 00 00 48 3B 5D 97 0F 87 F3 00 00 00 48 8D 45 87 4C 8B 55 87 4C 8B 4D 9F 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A9 00 00 00 66 85 F6 0F 84 A0 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D 9F 4C 8B 55 87 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 66 39 77 0A 75 43 45 33 C0 41 8D 50 01 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 75 0B E9 52 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D 9F 4C 8B 55 87 48 85 DB 0F 84 85 00 00 00 48 3B 5D 97 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 87 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 62 48 FF C3 EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D 9F 4C 8B 55 87 48 85 DB 74 4F 41 8A 0E 80 F9 7F 74 47 48 FF CB 74 17 48 3B 5D 97 77 31 48 8D 45 87 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 26 48 85 DB 75 10 48 8D 45 87 49 83 F9 10 49 0F 43 C2 3A 08 7C 11 45 38 5E 01 7E BC 49 FF C6 EB B7 E8 ?? ?? ?? ?? CC C6 44 24 21 01 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 48 C7 45 9F 0F 00 00 00 33 DB 48 89 5D 97 88 5D 87 48 8B 4C 24 68 E8 ?? ?? ?? ?? 4C 8B 74 24 38 E9 ED 00 00 00 4C 8B 74 24 38 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 D5 00 00 00 41 BD FF FF 00 00 40 38 77 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 47 41 83 FC 24 7C 04 FF C3 EB 1D 48 85 C0 75 05 45 85 E4 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 C6 44 24 20 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 89 5C 24 24 44 89 64 24 30 4C 89 7C 24 28 4C 8B 6C 24 50 33 DB 40 8A 74 24 20 40 84 F6 74 11 45 85 E4 75 0C 41 C6 07 30 49 FF C7 4C 89 7C 24 28 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 49 8B 45 00 49 8B CD FF 50 18 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 4C 89 7C 24 28 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 B5 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 44 8B 64 24 24 41 BF FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 47 0A 66 3B 45 CF 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 93 44 89 64 24 24 4C 8B 7C 24 28 44 8B 64 24 30 44 8B 6C 24 24 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 24 EB 05 44 8B 6C 24 24 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 37 41 83 FC 24 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 24 45 33 E4 40 84 F6 0F 84 09 03 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F6 02 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 05 74 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 03 0F 85 46 02 00 00 41 C6 07 70 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 07 2B EB 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 CF 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 40 84 F6 44 8B 6C 24 24 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 35 83 FB 08 7D 12 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 24 44 38 64 24 21 75 05 40 84 F6 75 05 4C 8B 7C 24 48 45 88 27 48 8B 44 24 58 44 89 28 48 83 7D C7 10 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 48 C7 45 C7 0F 00 00 00 4C 89 65 BF 44 88 65 AF 48 8B 4D A7 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_594_1 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3253
		refs = "0029 __security_cookie 005d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0066 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00a0 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b7 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00eb ?_Src@?1??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 010b ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01d0 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0379 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 051e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0547 _invalid_parameter_noinfo_noreturn 05ec ??3@YAXPEAX@Z 078a localeconv 0c96 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC 00 01 00 00 48 C7 44 24 60 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B F1 4C 89 4C 24 38 49 8B F8 4C 8B F2 48 89 54 24 48 48 8B 5D 77 48 8B 45 7F 48 89 44 24 58 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 50 48 8B 4C 24 40 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 A7 49 8B CD E8 ?? ?? ?? ?? 90 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 28 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D CF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 58 4D 8B FE 44 88 64 24 21 48 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 84 C0 0F 85 B8 00 00 00 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 06 2B EB 55 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 10 41 C6 06 2D 4D 8D 7E 01 48 8B CF E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 4C 89 7C 24 28 44 88 64 24 20 44 89 64 24 30 45 33 F6 41 8B DE 89 5C 24 24 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 32 01 00 00 44 38 77 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 CF 0F 85 D8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 F6 84 C0 0F 85 B4 00 00 00 40 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 01 74 55 40 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 FF 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 09 C6 44 24 20 01 EB 02 33 F6 4C 8D 75 AF 48 83 7D C7 10 4C 0F 43 75 AF 41 8A 06 FE C8 3C 7D 0F 87 BC 02 00 00 48 39 75 BF 74 0D 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 45 33 C0 41 8D 50 01 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 33 DB 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 EE 01 00 00 44 38 5F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 70 C6 44 24 20 01 41 83 FC 24 7C 06 FF 44 24 24 EB 27 48 85 C0 75 05 45 85 E4 74 1D 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 4C 89 7C 24 28 41 FF C4 44 89 64 24 30 48 3B 5D 97 0F 87 F1 00 00 00 48 8D 45 87 48 83 7D 9F 10 48 0F 43 45 87 80 3C 18 7F 0F 84 B8 00 00 00 48 8D 45 87 48 83 7D 9F 10 48 0F 43 45 87 FE 04 18 E9 A2 00 00 00 48 3B 5D 97 0F 87 F3 00 00 00 48 8D 45 87 4C 8B 55 87 4C 8B 4D 9F 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A9 00 00 00 66 85 F6 0F 84 A0 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D 9F 4C 8B 55 87 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 66 39 77 0A 75 43 45 33 C0 41 8D 50 01 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 75 0B E9 52 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D 9F 4C 8B 55 87 48 85 DB 0F 84 85 00 00 00 48 3B 5D 97 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 87 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 62 48 FF C3 EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D 9F 4C 8B 55 87 48 85 DB 74 4F 41 8A 0E 80 F9 7F 74 47 48 FF CB 74 17 48 3B 5D 97 77 31 48 8D 45 87 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 26 48 85 DB 75 10 48 8D 45 87 49 83 F9 10 49 0F 43 C2 3A 08 7C 11 45 38 5E 01 7E BC 49 FF C6 EB B7 E8 ?? ?? ?? ?? CC C6 44 24 21 01 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 48 C7 45 9F 0F 00 00 00 33 DB 48 89 5D 97 88 5D 87 48 8B 4C 24 68 E8 ?? ?? ?? ?? 4C 8B 74 24 38 E9 ED 00 00 00 4C 8B 74 24 38 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 D5 00 00 00 41 BD FF FF 00 00 40 38 77 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 47 41 83 FC 24 7C 04 FF C3 EB 1D 48 85 C0 75 05 45 85 E4 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 C6 44 24 20 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 89 5C 24 24 44 89 64 24 30 4C 89 7C 24 28 4C 8B 6C 24 50 33 DB 40 8A 74 24 20 40 84 F6 74 11 45 85 E4 75 0C 41 C6 07 30 49 FF C7 4C 89 7C 24 28 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 49 8B 45 00 49 8B CD FF 50 18 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 4C 89 7C 24 28 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 B5 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 44 8B 64 24 24 41 BF FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 47 0A 66 3B 45 CF 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 93 44 89 64 24 24 4C 8B 7C 24 28 44 8B 64 24 30 44 8B 6C 24 24 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 24 EB 05 44 8B 6C 24 24 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 37 41 83 FC 24 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 24 45 33 E4 40 84 F6 0F 84 09 03 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F6 02 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 05 74 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 03 0F 85 46 02 00 00 41 C6 07 70 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 07 2B EB 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 CF 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 40 84 F6 44 8B 6C 24 24 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 35 83 FB 08 7D 12 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 24 44 38 64 24 21 75 05 40 84 F6 75 05 4C 8B 7C 24 48 45 88 27 48 8B 44 24 58 44 89 28 48 83 7D C7 10 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 48 C7 45 C7 0F 00 00 00 4C 89 65 BF 44 88 65 AF 48 8B 4D A7 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_599_1 {
	meta:
		name = "?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 563
		refs = "003e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0047 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 016c ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0177 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 18 49 8B E9 49 8B D8 4C 8B F2 48 8D 50 10 4C 8B AC 24 F0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 8C 24 D8 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B B4 24 08 01 00 00 8A 06 48 8B BC 24 F8 00 00 00 84 C0 0F 84 6D 01 00 00 4C 8B A4 24 00 01 00 00 3C 25 75 5D 48 FF C6 0F 10 45 00 F3 0F 7F 44 24 60 0F 10 0B F3 0F 7F 4C 24 70 48 8B 8C 24 D0 00 00 00 4C 8B 11 C6 44 24 40 00 8A 06 88 44 24 38 4C 89 64 24 30 48 89 7C 24 28 4C 89 6C 24 20 4C 8D 4C 24 60 4C 8D 44 24 70 48 8D 94 24 80 00 00 00 41 FF 52 48 0F 10 00 F3 0F 7F 03 E9 F2 00 00 00 3C 20 0F 85 82 00 00 00 EB 6F 80 7B 08 00 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 43 0A 49 8B CF FF 50 20 84 C0 0F 84 81 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 82 EB 68 80 7B 08 00 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 49 8B 07 45 33 C0 0F B7 53 0A 49 8B CF FF 50 70 3A 06 75 17 48 8B CB E8 ?? ?? ?? ?? 48 FF C6 8A 06 84 C0 0F 85 A0 FE FF FF EB 03 83 0F 02 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 0F 10 03 F3 41 0F 7F 06 49 8B C6 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_601_1 {
	meta:
		name = "?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 563
		refs = "003e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0047 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 016c ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0177 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 18 49 8B E9 49 8B D8 4C 8B F2 48 8D 50 10 4C 8B AC 24 F0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 8C 24 D8 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B B4 24 08 01 00 00 8A 06 48 8B BC 24 F8 00 00 00 84 C0 0F 84 6D 01 00 00 4C 8B A4 24 00 01 00 00 3C 25 75 5D 48 FF C6 0F 10 45 00 F3 0F 7F 44 24 60 0F 10 0B F3 0F 7F 4C 24 70 48 8B 8C 24 D0 00 00 00 4C 8B 11 C6 44 24 40 00 8A 06 88 44 24 38 4C 89 64 24 30 48 89 7C 24 28 4C 89 6C 24 20 4C 8D 4C 24 60 4C 8D 44 24 70 48 8D 94 24 80 00 00 00 41 FF 52 48 0F 10 00 F3 0F 7F 03 E9 F2 00 00 00 3C 20 0F 85 82 00 00 00 EB 6F 80 7B 08 00 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 43 0A 49 8B CF FF 50 20 84 C0 0F 84 81 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 82 EB 68 80 7B 08 00 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 49 8B 07 45 33 C0 0F B7 53 0A 49 8B CF FF 50 70 3A 06 75 17 48 8B CB E8 ?? ?? ?? ?? 48 FF C6 8A 06 84 C0 0F 85 A0 FE FF FF EB 03 83 0F 02 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 0F 10 03 F3 41 0F 7F 06 49 8B C6 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_603_1 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z"
		size = 1633
		refs = "0029 __security_cookie 004f ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 005e ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0086 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0094 ?_Src@?1??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00b0 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0175 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 034f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 04f7 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0520 _invalid_parameter_noinfo_noreturn 05ec ??3@YAXPEAX@Z 0642 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B E1 4C 89 4C 24 28 49 8B D8 4C 8B FA 48 89 54 24 30 48 8B 75 7F 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 AF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D C7 75 08 66 44 89 6C 24 22 EB 0E 48 8B 07 48 8B CF FF 50 20 66 89 44 24 22 48 8B CE E8 ?? ?? ?? ?? 4C 8B 10 4C 8D 4D D7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 41 FF 52 58 49 8B F7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? BF FF FF 00 00 84 C0 0F 85 B8 00 00 00 44 38 6B 08 75 41 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F8 74 06 66 89 43 0A EB 03 4C 89 2B C6 43 08 01 0F B7 43 0A 66 3B 45 05 75 06 41 C6 07 2B EB 55 44 38 6B 08 75 41 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F8 74 06 66 89 43 0A EB 03 4C 89 2B C6 43 08 01 0F B7 43 0A 66 3B 45 03 75 10 41 C6 07 2D 49 8D 77 01 48 8B CB E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B F6 BF 0A 00 00 00 44 23 F7 8D 47 06 81 F9 00 08 00 00 44 0F 44 F0 8D 47 FE 81 F9 00 04 00 00 44 0F 44 F0 44 88 6C 24 20 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 5F 01 00 00 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 D7 0F 85 02 01 00 00 41 B5 01 48 8B CB E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 D2 00 00 00 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 09 74 59 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 07 75 20 41 F7 C6 EF FF FF FF 75 17 41 BE 10 00 00 00 45 8A E9 48 8B CB E8 ?? ?? ?? ?? 41 8D 46 F8 EB 1E B8 08 00 00 00 45 85 F6 75 0F 44 8B F0 EB 05 B8 08 00 00 00 45 85 F6 74 10 44 3B F7 74 0B BF 16 00 00 00 44 3B F0 0F 44 F8 4C 63 E7 45 8A C5 BA 01 00 00 00 48 8D 4D 87 E8 ?? ?? ?? ?? 90 33 FF 49 83 C7 1F 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 84 C0 0F 85 EE 01 00 00 44 38 53 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D2 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 D2 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 13 C6 43 08 01 48 8D 45 D7 0F B7 4D D7 EB 0D 66 3B 4B 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D D7 48 2B C1 48 D1 F8 49 3B C4 73 60 48 8D 0D ?? ?? ?? ?? 8A 0C 08 88 0E 44 38 54 24 20 75 05 80 F9 30 74 0D 49 3B F7 73 08 48 FF C6 C6 44 24 20 01 41 B5 01 48 3B 7D 9F 0F 87 01 01 00 00 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F 80 3C 38 7F 0F 84 C8 00 00 00 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F FE 04 38 E9 B2 00 00 00 48 3B 7D 9F 0F 87 04 01 00 00 48 8D 45 8F 4C 8B 45 8F 4C 8B 4D A7 49 83 F9 10 49 0F 43 C0 44 38 14 38 0F 84 B9 00 00 00 44 0F B7 5C 24 22 66 45 85 DB 0F 84 A9 00 00 00 44 38 53 08 75 5A 48 8B 0B 48 85 C9 74 4B 48 8B 41 38 4C 8B 10 33 C0 4D 85 D2 74 0A 48 8B 41 50 8B 10 33 C0 EB 02 8B D0 85 D2 7E 06 41 0F B7 02 EB 14 48 8B 01 FF 50 30 4C 8B 4D A7 4C 8B 45 8F 44 0F B7 5C 24 22 B9 FF FF 00 00 45 33 D2 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 13 C6 43 08 01 66 44 39 5B 0A 75 42 45 33 C0 41 8D 50 01 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 84 C0 75 0B E9 53 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D A7 4C 8B 45 8F 48 85 FF 74 36 48 3B 7D 9F 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 8F 49 83 F9 10 49 0F 43 C0 44 38 14 38 7E 05 48 FF C7 EB 13 45 8A EA EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D A7 4C 8B 45 8F 48 8D 4D B7 41 BB 10 00 00 00 4C 39 5D CF 48 0F 43 4D B7 45 84 ED 74 5B 48 85 FF 74 47 8A 11 80 FA 7F 74 40 48 FF CF 74 16 48 3B 7D 9F 77 2F 48 8D 45 8F 4D 3B CB 49 0F 43 C0 3A 14 38 75 34 48 85 FF 75 0F 48 8D 45 8F 4D 3B CB 49 0F 43 C0 3A 10 7C 20 44 38 51 01 7E BF 48 FF C1 EB BA E8 ?? ?? ?? ?? CC 44 38 54 24 20 75 0D C6 06 30 48 FF C6 EB 05 48 8B 74 24 30 44 88 16 4D 3B CB 72 0B 49 8B C8 E8 ?? ?? ?? ?? 45 33 D2 BF 0F 00 00 00 48 89 7D A7 4C 89 55 9F 44 88 55 8F 48 8B 4D 87 E8 ?? ?? ?? ?? 33 DB 48 89 5D 87 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 89 7D CF 48 89 5D C7 88 5D B7 48 8B 4D AF E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_606_1 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z"
		size = 1633
		refs = "0029 __security_cookie 004f ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 005e ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0086 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0094 ?_Src@?1??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00b0 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0175 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 034f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 04f7 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0520 _invalid_parameter_noinfo_noreturn 05ec ??3@YAXPEAX@Z 0642 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B E1 4C 89 4C 24 28 49 8B D8 4C 8B FA 48 89 54 24 30 48 8B 75 7F 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 AF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D C7 75 08 66 44 89 6C 24 22 EB 0E 48 8B 07 48 8B CF FF 50 20 66 89 44 24 22 48 8B CE E8 ?? ?? ?? ?? 4C 8B 10 4C 8D 4D D7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 41 FF 52 58 49 8B F7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? BF FF FF 00 00 84 C0 0F 85 B8 00 00 00 44 38 6B 08 75 41 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F8 74 06 66 89 43 0A EB 03 4C 89 2B C6 43 08 01 0F B7 43 0A 66 3B 45 05 75 06 41 C6 07 2B EB 55 44 38 6B 08 75 41 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F8 74 06 66 89 43 0A EB 03 4C 89 2B C6 43 08 01 0F B7 43 0A 66 3B 45 03 75 10 41 C6 07 2D 49 8D 77 01 48 8B CB E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B F6 BF 0A 00 00 00 44 23 F7 8D 47 06 81 F9 00 08 00 00 44 0F 44 F0 8D 47 FE 81 F9 00 04 00 00 44 0F 44 F0 44 88 6C 24 20 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 5F 01 00 00 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 D7 0F 85 02 01 00 00 41 B5 01 48 8B CB E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 D2 00 00 00 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 09 74 59 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 07 75 20 41 F7 C6 EF FF FF FF 75 17 41 BE 10 00 00 00 45 8A E9 48 8B CB E8 ?? ?? ?? ?? 41 8D 46 F8 EB 1E B8 08 00 00 00 45 85 F6 75 0F 44 8B F0 EB 05 B8 08 00 00 00 45 85 F6 74 10 44 3B F7 74 0B BF 16 00 00 00 44 3B F0 0F 44 F8 4C 63 E7 45 8A C5 BA 01 00 00 00 48 8D 4D 87 E8 ?? ?? ?? ?? 90 33 FF 49 83 C7 1F 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 84 C0 0F 85 EE 01 00 00 44 38 53 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D2 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 D2 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 13 C6 43 08 01 48 8D 45 D7 0F B7 4D D7 EB 0D 66 3B 4B 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D D7 48 2B C1 48 D1 F8 49 3B C4 73 60 48 8D 0D ?? ?? ?? ?? 8A 0C 08 88 0E 44 38 54 24 20 75 05 80 F9 30 74 0D 49 3B F7 73 08 48 FF C6 C6 44 24 20 01 41 B5 01 48 3B 7D 9F 0F 87 01 01 00 00 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F 80 3C 38 7F 0F 84 C8 00 00 00 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F FE 04 38 E9 B2 00 00 00 48 3B 7D 9F 0F 87 04 01 00 00 48 8D 45 8F 4C 8B 45 8F 4C 8B 4D A7 49 83 F9 10 49 0F 43 C0 44 38 14 38 0F 84 B9 00 00 00 44 0F B7 5C 24 22 66 45 85 DB 0F 84 A9 00 00 00 44 38 53 08 75 5A 48 8B 0B 48 85 C9 74 4B 48 8B 41 38 4C 8B 10 33 C0 4D 85 D2 74 0A 48 8B 41 50 8B 10 33 C0 EB 02 8B D0 85 D2 7E 06 41 0F B7 02 EB 14 48 8B 01 FF 50 30 4C 8B 4D A7 4C 8B 45 8F 44 0F B7 5C 24 22 B9 FF FF 00 00 45 33 D2 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 13 C6 43 08 01 66 44 39 5B 0A 75 42 45 33 C0 41 8D 50 01 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 84 C0 75 0B E9 53 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D A7 4C 8B 45 8F 48 85 FF 74 36 48 3B 7D 9F 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 8F 49 83 F9 10 49 0F 43 C0 44 38 14 38 7E 05 48 FF C7 EB 13 45 8A EA EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D A7 4C 8B 45 8F 48 8D 4D B7 41 BB 10 00 00 00 4C 39 5D CF 48 0F 43 4D B7 45 84 ED 74 5B 48 85 FF 74 47 8A 11 80 FA 7F 74 40 48 FF CF 74 16 48 3B 7D 9F 77 2F 48 8D 45 8F 4D 3B CB 49 0F 43 C0 3A 14 38 75 34 48 85 FF 75 0F 48 8D 45 8F 4D 3B CB 49 0F 43 C0 3A 10 7C 20 44 38 51 01 7E BF 48 FF C1 EB BA E8 ?? ?? ?? ?? CC 44 38 54 24 20 75 0D C6 06 30 48 FF C6 EB 05 48 8B 74 24 30 44 88 16 4D 3B CB 72 0B 49 8B C8 E8 ?? ?? ?? ?? 45 33 D2 BF 0F 00 00 00 48 89 7D A7 4C 89 55 9F 44 88 55 8F 48 8B 4D 87 E8 ?? ?? ?? ?? 33 DB 48 89 5D 87 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 89 7D CF 48 89 5D C7 88 5D B7 48 8B 4D AF E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_609_1 {
	meta:
		name = "?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z"
		size = 675
		refs = "001a __security_cookie 0045 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00cc ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 023f _Stolx 0287 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4C 8B 65 68 4C 8B 7D 70 48 8B DA 48 8B CB 49 8B D0 45 8B E9 44 89 4D C4 4D 8B F0 48 8D 7D D0 E8 ?? ?? ?? ?? BE FF FF 00 00 41 B9 01 00 00 00 84 C0 75 78 38 43 08 75 47 48 8B 0B 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 66 3B F0 74 06 66 89 43 0A EB 04 48 83 23 00 44 88 4B 08 49 8B 07 0F B7 53 0A 45 33 C0 49 8B CF FF 50 70 3C 2B 75 05 88 45 D0 EB 07 3C 2D 75 0F 88 45 D0 48 8B CB 48 8D 7D D1 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB 40 32 F6 E8 ?? ?? ?? ?? 84 C0 0F 85 8B 00 00 00 41 BD FF FF 00 00 80 7B 08 00 75 42 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 49 8B 07 0F B7 53 0A 45 33 C0 49 8B CF FF 50 70 3C 30 75 1A 48 8B CB 40 B6 01 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 8A 44 8B 6D C4 40 84 F6 74 06 C6 07 30 48 FF C7 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 41 BD FF FF 00 00 80 7B 08 00 75 42 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 49 8B 07 0F B7 53 0A 45 33 C0 49 8B CF FF 50 70 8D 48 D0 80 F9 09 77 2C 88 07 48 8D 45 EF 48 3B F8 73 03 48 FF C7 48 8B CB 40 B6 01 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 74 FF FF FF 44 8B 6D C4 48 8D 45 D0 40 84 F6 4C 8D 4D C0 48 0F 45 C7 83 65 C0 00 48 8D 55 C8 48 8D 4D D0 41 B8 0A 00 00 00 C6 00 00 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB 8B F8 E8 ?? ?? ?? ?? 33 C9 84 C0 8D 41 01 0F 45 C8 48 8D 45 D0 48 39 45 C8 74 16 83 7D C0 00 75 10 41 3B FD 7C 0B 39 7D 60 7C 06 41 89 3C 24 EB 03 83 C9 02 8B C1 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_610_1 {
	meta:
		name = "?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z"
		size = 675
		refs = "001a __security_cookie 0045 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00cc ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 023f _Stolx 0287 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4C 8B 65 68 4C 8B 7D 70 48 8B DA 48 8B CB 49 8B D0 45 8B E9 44 89 4D C4 4D 8B F0 48 8D 7D D0 E8 ?? ?? ?? ?? BE FF FF 00 00 41 B9 01 00 00 00 84 C0 75 78 38 43 08 75 47 48 8B 0B 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 66 3B F0 74 06 66 89 43 0A EB 04 48 83 23 00 44 88 4B 08 49 8B 07 0F B7 53 0A 45 33 C0 49 8B CF FF 50 70 3C 2B 75 05 88 45 D0 EB 07 3C 2D 75 0F 88 45 D0 48 8B CB 48 8D 7D D1 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB 40 32 F6 E8 ?? ?? ?? ?? 84 C0 0F 85 8B 00 00 00 41 BD FF FF 00 00 80 7B 08 00 75 42 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 49 8B 07 0F B7 53 0A 45 33 C0 49 8B CF FF 50 70 3C 30 75 1A 48 8B CB 40 B6 01 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 8A 44 8B 6D C4 40 84 F6 74 06 C6 07 30 48 FF C7 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 41 BD FF FF 00 00 80 7B 08 00 75 42 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 49 8B 07 0F B7 53 0A 45 33 C0 49 8B CF FF 50 70 8D 48 D0 80 F9 09 77 2C 88 07 48 8D 45 EF 48 3B F8 73 03 48 FF C7 48 8B CB 40 B6 01 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 74 FF FF FF 44 8B 6D C4 48 8D 45 D0 40 84 F6 4C 8D 4D C0 48 0F 45 C7 83 65 C0 00 48 8D 55 C8 48 8D 4D D0 41 B8 0A 00 00 00 C6 00 00 E8 ?? ?? ?? ?? 49 8B D6 48 8B CB 8B F8 E8 ?? ?? ?? ?? 33 C9 84 C0 8D 41 01 0F 45 C8 48 8D 45 D0 48 39 45 C8 74 16 83 7D C0 00 75 10 41 3B FD 7C 0B 39 7D 60 7C 06 41 89 3C 24 EB 03 83 C9 02 8B C1 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_612_1 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z"
		size = 4792
		refs = "002b __security_cookie 007b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0084 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00a4 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 00ee ??2@YAPEAX_K@Z 00fa ?_Xbad_alloc@std@@YAXXZ 018e ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 01c6 ?_Src@?4??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAEAVios_base@3@PEAG@Z@4QBDB 0239 ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0281 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 028f ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0339 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0420 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0501 ??3@YAXPEAX@Z 0864 ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0a07 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 0a58 ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0d25 ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0e7c ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0ec5 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0f56 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAAEBGXZ 107b ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBAGXZ 1102 _invalid_parameter_noinfo_noreturn 11a0 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@XZ 11ab ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_NAEBV01@@Z 124f ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 125d ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 126d ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 1285 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ 1299 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 F8 FD FF FF 48 81 EC D0 02 00 00 48 C7 45 A8 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 01 00 00 4D 8B F9 4C 89 4C 24 30 49 8B F8 48 89 54 24 60 4C 8B B5 38 02 00 00 4C 89 74 24 68 48 8B 9D 40 02 00 00 48 89 5C 24 48 33 F6 44 8B E6 89 74 24 28 49 8B CE 40 38 B5 30 02 00 00 74 20 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 58 48 8B 4D 80 EB 1E 48 8D 55 88 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 58 48 8B 4D 88 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 89 74 24 24 33 C9 88 4C 24 20 48 89 4D 30 48 89 4D 48 48 89 4D 50 B9 10 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 30 0F 57 C0 F3 0F 7F 00 48 8D 4D 30 48 8B 45 30 48 89 08 48 C7 45 50 07 00 00 00 48 89 55 48 66 89 55 38 49 8B 45 00 48 8D 54 24 40 49 8B CD FF 50 58 33 C0 48 89 45 58 48 89 45 70 48 89 45 78 8D 48 10 E8 ?? ?? ?? ?? 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 58 0F 57 C0 F3 0F 7F 00 48 8D 4D 58 48 8B 45 58 48 89 08 48 C7 45 78 0F 00 00 00 48 89 55 70 88 55 60 48 8D 54 24 78 49 8B CE E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 70 48 8B 4C 24 78 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 06 4C 8B CB 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF 50 58 33 DB 44 8B F3 48 89 5C 24 38 49 83 FE 04 0F 83 52 0F 00 00 42 8A 44 34 40 3C 20 0F 84 5B 0E 00 00 3C 24 0F 84 1D 0B 00 00 3C 2B 0F 84 3E 06 00 00 3C 76 74 0D 3C 78 0F 84 3F 0E 00 00 E9 CD 0E 00 00 44 8B FB 89 5C 24 50 49 8B 45 00 49 8B CD FF 50 48 44 8B F0 89 44 24 44 48 8D 55 08 49 8B CD E8 ?? ?? ?? ?? 90 48 39 5D 20 0F 84 43 03 00 00 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 66 85 C0 0F 84 29 03 00 00 48 8D 4D 10 48 83 7D 28 10 48 0F 43 4D 10 80 39 7F 0F 83 12 03 00 00 45 33 C0 41 8D 50 01 48 8D 4D E0 E8 ?? ?? ?? ?? 90 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 DB 01 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 48 8B 54 24 48 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 54 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D1 48 8D 4D 58 E8 ?? ?? ?? ?? 48 3B 5D F8 0F 87 BA 0D 00 00 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 80 3C 18 7F 0F 84 BD 00 00 00 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 B9 01 00 00 00 00 0C 18 E9 A2 00 00 00 48 3B 5D F8 0F 87 89 0D 00 00 48 8D 45 E8 4C 8B 55 E8 4C 8B 4D 00 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A2 00 00 00 44 38 5F 08 75 57 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D 00 4C 8B 55 E8 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 3A 45 33 C0 48 8B D0 48 8D 4D E0 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 62 FE FF FF 4C 8B 4D 00 4C 8B 55 E8 48 85 DB 74 38 48 3B 5D F8 0F 87 B4 0C 00 00 48 8D 45 E8 49 83 F9 10 49 0F 43 C2 41 B8 01 00 00 00 44 38 1C 18 7E 05 49 03 D8 EB 17 41 8A F0 89 74 24 24 EB 12 4C 8B 4D 00 4C 8B 55 E8 41 B8 01 00 00 00 8B 74 24 24 48 8D 4D 10 48 83 7D 28 10 48 0F 43 4D 10 40 84 F6 0F 85 84 00 00 00 48 85 DB 74 50 8A 11 80 FA 7F 74 49 49 2B D8 74 1B 48 3B 5D F8 0F 87 56 0C 00 00 48 8D 45 E8 49 83 F9 10 49 0F 43 C2 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 E8 49 83 F9 10 49 0F 43 C2 3A 10 7C 0B 44 38 59 01 7E B9 48 FF C1 EB B4 41 8A F0 89 74 24 24 EB 2F 49 83 F9 10 72 0B 49 8B CA E8 ?? ?? ?? ?? 45 33 DB 48 C7 45 00 0F 00 00 00 4C 89 5D F8 44 88 5D E8 48 8B 4D E0 E8 ?? ?? ?? ?? E9 4A 01 00 00 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 41 BE 0F 00 00 00 4C 89 75 00 33 DB 48 89 5D F8 88 5D E8 48 8B 4D E0 E8 ?? ?? ?? ?? 48 89 5D E0 48 83 7D 28 10 72 09 48 8B 4D 10 E8 ?? ?? ?? ?? 4C 89 75 28 48 89 5D 20 88 5D 10 48 8B 4D 08 E8 ?? ?? ?? ?? 4C 8B 7C 24 30 4C 8B 74 24 38 E9 5F 0B 00 00 8B 74 24 24 48 8B 5C 24 30 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 CA 00 00 00 4C 8B 6C 24 48 41 8D 71 01 41 BE FF FF 00 00 4C 8D 3D ?? ?? ?? ?? 44 38 4F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 49 8B C5 41 0F B7 4D 00 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 49 2B C5 48 D1 F8 48 83 F8 0A 73 2E 46 8A 04 38 48 8B D6 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 5F FF FF FF 44 8B 74 24 44 44 8B 7C 24 50 4C 8B 6C 24 58 8B 74 24 24 49 8B 45 00 49 8B CD FF 50 18 0F B7 D8 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 56 01 00 00 66 85 DB 0F 84 4D 01 00 00 44 38 4F 08 75 4D 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 66 39 5F 0A 0F 85 F0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 E9 B3 00 00 00 45 3B FE 0F 8D D5 00 00 00 44 38 4F 08 75 51 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 48 8B 54 24 48 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 38 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D2 48 8D 4D 58 E8 ?? ?? ?? ?? 41 FF C7 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 37 FF FF FF 40 0F B6 F6 45 3B FE B8 01 00 00 00 0F 4C F0 89 74 24 24 EB 05 B8 01 00 00 00 33 DB 48 39 5D 70 75 09 40 8A F0 89 74 24 24 EB 28 45 3B FE 7D 23 45 2B F7 41 8B DE BE 01 00 00 00 41 B0 30 48 8B D6 48 8D 4D 58 E8 ?? ?? ?? ?? 48 2B DE 75 EC 8B 74 24 24 48 83 7D 28 10 72 09 48 8B 4D 10 E8 ?? ?? ?? ?? 48 C7 45 28 0F 00 00 00 E9 22 FD FF FF 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 8D 08 00 00 48 8D 95 D0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 02 44 89 64 24 28 48 39 58 18 0F 86 96 00 00 00 48 8D 95 F8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 04 44 89 64 24 28 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 45 33 C9 44 38 4F 08 75 4F 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 75 04 8A D9 EB 02 33 DB 41 F6 C4 04 74 4A 41 83 E4 FB 48 83 BD 18 01 00 00 08 72 0C 48 8B 8D 00 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 18 01 00 00 07 00 00 00 33 C0 48 89 85 10 01 00 00 66 89 85 00 01 00 00 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 85 F8 00 00 00 41 F6 C4 02 74 4A 41 83 E4 FD 48 83 BD F0 00 00 00 08 72 0C 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 F0 00 00 00 07 00 00 00 33 C0 48 89 85 E8 00 00 00 66 89 85 D8 00 00 00 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 85 D0 00 00 00 84 DB 0F 84 93 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 48 01 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 2E 48 83 7D 50 08 72 09 48 8B 4D 38 E8 ?? ?? ?? ?? 48 C7 45 50 07 00 00 00 33 C0 48 89 45 48 66 89 45 38 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 48 83 BD 68 01 00 00 08 72 0C 48 8B 8D 50 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 68 01 00 00 07 00 00 00 33 DB 48 89 9D 60 01 00 00 66 89 9D 50 01 00 00 48 8B 8D 48 01 00 00 E8 ?? ?? ?? ?? E9 99 06 00 00 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 08 44 89 64 24 28 45 33 C9 4C 39 48 18 0F 86 92 00 00 00 48 8D 95 20 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 10 44 89 64 24 28 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 45 33 C9 44 38 4F 08 75 4F 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C4 10 74 4B 41 83 E4 EF 48 83 BD 40 01 00 00 08 72 0C 48 8B 8D 28 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 40 01 00 00 07 00 00 00 33 C0 48 89 85 38 01 00 00 66 89 85 28 01 00 00 48 8B 8D 20 01 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 20 01 00 00 41 F6 C4 08 74 4D 41 83 E4 F7 48 83 BD A0 00 00 00 08 72 0F 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 A0 00 00 00 07 00 00 00 4C 89 8D 98 00 00 00 66 44 89 8D 88 00 00 00 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 80 00 00 00 84 DB 0F 84 9A 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 70 01 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 2E 48 83 7D 50 08 72 09 48 8B 4D 38 E8 ?? ?? ?? ?? 48 C7 45 50 07 00 00 00 33 C0 48 89 45 48 66 89 45 38 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 48 83 BD 90 01 00 00 08 72 0C 48 8B 8D 78 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 90 01 00 00 07 00 00 00 33 DB 48 89 9D 88 01 00 00 66 89 9D 78 01 00 00 48 8B 8D 70 01 00 00 E8 ?? ?? ?? ?? 8D 43 01 88 44 24 20 E9 9D 04 00 00 48 8D 95 A8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 33 C9 48 39 48 18 0F 94 C3 48 83 BD C8 00 00 00 08 72 0C 48 8B 8D B0 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 C8 00 00 00 07 00 00 00 33 C0 48 89 85 C0 00 00 00 66 89 85 B0 00 00 00 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 85 A8 00 00 00 84 DB 0F 85 30 04 00 00 48 8D 95 98 01 00 00 49 8B CD E8 ?? ?? ?? ?? 33 C9 48 39 48 18 0F 94 C3 48 83 BD B8 01 00 00 08 72 0C 48 8B 8D A0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 B8 01 00 00 07 00 00 00 33 C0 48 89 85 B0 01 00 00 66 89 85 A0 01 00 00 48 8B 8D 98 01 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 84 DB 74 04 88 44 24 20 33 DB E9 CE 03 00 00 48 8D 55 08 49 8B CD E8 ?? ?? ?? ?? 90 0F 57 C0 F3 0F 7F 45 E0 48 8B 44 24 68 F6 40 18 08 0F 85 87 00 00 00 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 78 38 5F 08 75 49 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 10 48 83 7D 28 08 48 0F 43 45 10 66 3B 08 74 13 48 8D 45 10 48 83 7D 28 08 48 0F 43 45 10 E9 A4 00 00 00 49 83 FE 03 0F 85 A1 00 00 00 41 8D 76 FE 48 39 75 48 0F 87 93 00 00 00 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 69 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 40 88 77 08 0F B7 4F 0A 48 8D 45 10 48 8B 55 10 4C 8B 45 28 49 83 F8 08 48 0F 43 C2 66 3B 08 74 1D EB 08 4C 8B 45 28 48 8B 55 10 48 8D 45 10 49 83 F8 08 48 0F 43 C2 48 89 5D 20 66 89 18 48 8D 55 C8 48 8D 4D 08 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 11 48 8B 09 48 85 C9 74 09 48 8B 31 48 89 75 E0 EB 04 48 8B 75 E0 4C 8B 70 10 4C 89 75 F0 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B2 00 00 00 41 83 CC 01 48 8D 55 B0 48 8D 4D 08 E8 ?? ?? ?? ?? 48 85 F6 0F 84 4D 02 00 00 48 39 1E 0F 84 44 02 00 00 48 8B 08 48 85 C9 75 05 48 8B CB EB 03 48 8B 09 48 39 0E 0F 85 25 02 00 00 4C 3B 70 10 0F 94 C0 84 C0 75 6B 38 5F 08 75 49 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 5F 0A 48 8D 4D E0 E8 ?? ?? ?? ?? 66 3B 18 75 09 B8 01 00 00 00 33 DB EB 04 33 DB 8A C3 B9 01 00 00 00 44 84 E1 74 04 41 83 E4 FE 84 C0 74 55 48 85 F6 0F 84 A4 01 00 00 48 8B 06 48 85 C0 0F 84 98 01 00 00 4D 85 F6 0F 84 8F 01 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 4C 3B F1 0F 83 67 01 00 00 49 83 C6 02 4C 89 75 F0 48 8B CF E8 ?? ?? ?? ?? E9 D2 FE FF FF 48 8D 55 90 48 8D 4D 08 E8 ?? ?? ?? ?? 48 85 F6 0F 84 4E 01 00 00 48 39 1E 0F 84 45 01 00 00 48 8B 08 48 85 C9 75 05 48 8B CB EB 03 48 }
	condition:
		$1
}

rule file_90_625_1 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z"
		size = 4792
		refs = "002b __security_cookie 007b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0084 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00a4 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 00ee ??2@YAPEAX_K@Z 00fa ?_Xbad_alloc@std@@YAXXZ 018e ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 01c6 ?_Src@?4??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAEAVios_base@3@PEA_W@Z@4QBDB 0239 ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0281 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 028f ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0339 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0420 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0501 ??3@YAXPEAX@Z 0864 ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0a07 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 0a58 ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0d25 ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0e7c ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0ec5 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0f56 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ 107b ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_WXZ 1102 _invalid_parameter_noinfo_noreturn 11a0 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@XZ 11ab ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_NAEBV01@@Z 124f ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 125d ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 126d ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 1285 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ 1299 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 F8 FD FF FF 48 81 EC D0 02 00 00 48 C7 45 A8 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 01 00 00 4D 8B F9 4C 89 4C 24 30 49 8B F8 48 89 54 24 60 4C 8B B5 38 02 00 00 4C 89 74 24 68 48 8B 9D 40 02 00 00 48 89 5C 24 48 33 F6 44 8B E6 89 74 24 28 49 8B CE 40 38 B5 30 02 00 00 74 20 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 58 48 8B 4D 80 EB 1E 48 8D 55 88 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 58 48 8B 4D 88 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 89 74 24 24 33 C9 88 4C 24 20 48 89 4D 30 48 89 4D 48 48 89 4D 50 B9 10 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 30 0F 57 C0 F3 0F 7F 00 48 8D 4D 30 48 8B 45 30 48 89 08 48 C7 45 50 07 00 00 00 48 89 55 48 66 89 55 38 49 8B 45 00 48 8D 54 24 40 49 8B CD FF 50 58 33 C0 48 89 45 58 48 89 45 70 48 89 45 78 8D 48 10 E8 ?? ?? ?? ?? 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 58 0F 57 C0 F3 0F 7F 00 48 8D 4D 58 48 8B 45 58 48 89 08 48 C7 45 78 0F 00 00 00 48 89 55 70 88 55 60 48 8D 54 24 78 49 8B CE E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 70 48 8B 4C 24 78 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 06 4C 8B CB 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF 50 58 33 DB 44 8B F3 48 89 5C 24 38 49 83 FE 04 0F 83 52 0F 00 00 42 8A 44 34 40 3C 20 0F 84 5B 0E 00 00 3C 24 0F 84 1D 0B 00 00 3C 2B 0F 84 3E 06 00 00 3C 76 74 0D 3C 78 0F 84 3F 0E 00 00 E9 CD 0E 00 00 44 8B FB 89 5C 24 50 49 8B 45 00 49 8B CD FF 50 48 44 8B F0 89 44 24 44 48 8D 55 08 49 8B CD E8 ?? ?? ?? ?? 90 48 39 5D 20 0F 84 43 03 00 00 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 66 85 C0 0F 84 29 03 00 00 48 8D 4D 10 48 83 7D 28 10 48 0F 43 4D 10 80 39 7F 0F 83 12 03 00 00 45 33 C0 41 8D 50 01 48 8D 4D E0 E8 ?? ?? ?? ?? 90 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 DB 01 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 48 8B 54 24 48 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 54 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D1 48 8D 4D 58 E8 ?? ?? ?? ?? 48 3B 5D F8 0F 87 BA 0D 00 00 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 80 3C 18 7F 0F 84 BD 00 00 00 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 B9 01 00 00 00 00 0C 18 E9 A2 00 00 00 48 3B 5D F8 0F 87 89 0D 00 00 48 8D 45 E8 4C 8B 55 E8 4C 8B 4D 00 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A2 00 00 00 44 38 5F 08 75 57 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D 00 4C 8B 55 E8 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 3A 45 33 C0 48 8B D0 48 8D 4D E0 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 62 FE FF FF 4C 8B 4D 00 4C 8B 55 E8 48 85 DB 74 38 48 3B 5D F8 0F 87 B4 0C 00 00 48 8D 45 E8 49 83 F9 10 49 0F 43 C2 41 B8 01 00 00 00 44 38 1C 18 7E 05 49 03 D8 EB 17 41 8A F0 89 74 24 24 EB 12 4C 8B 4D 00 4C 8B 55 E8 41 B8 01 00 00 00 8B 74 24 24 48 8D 4D 10 48 83 7D 28 10 48 0F 43 4D 10 40 84 F6 0F 85 84 00 00 00 48 85 DB 74 50 8A 11 80 FA 7F 74 49 49 2B D8 74 1B 48 3B 5D F8 0F 87 56 0C 00 00 48 8D 45 E8 49 83 F9 10 49 0F 43 C2 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 E8 49 83 F9 10 49 0F 43 C2 3A 10 7C 0B 44 38 59 01 7E B9 48 FF C1 EB B4 41 8A F0 89 74 24 24 EB 2F 49 83 F9 10 72 0B 49 8B CA E8 ?? ?? ?? ?? 45 33 DB 48 C7 45 00 0F 00 00 00 4C 89 5D F8 44 88 5D E8 48 8B 4D E0 E8 ?? ?? ?? ?? E9 4A 01 00 00 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 41 BE 0F 00 00 00 4C 89 75 00 33 DB 48 89 5D F8 88 5D E8 48 8B 4D E0 E8 ?? ?? ?? ?? 48 89 5D E0 48 83 7D 28 10 72 09 48 8B 4D 10 E8 ?? ?? ?? ?? 4C 89 75 28 48 89 5D 20 88 5D 10 48 8B 4D 08 E8 ?? ?? ?? ?? 4C 8B 7C 24 30 4C 8B 74 24 38 E9 5F 0B 00 00 8B 74 24 24 48 8B 5C 24 30 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 CA 00 00 00 4C 8B 6C 24 48 41 8D 71 01 41 BE FF FF 00 00 4C 8D 3D ?? ?? ?? ?? 44 38 4F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 49 8B C5 41 0F B7 4D 00 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 49 2B C5 48 D1 F8 48 83 F8 0A 73 2E 46 8A 04 38 48 8B D6 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 5F FF FF FF 44 8B 74 24 44 44 8B 7C 24 50 4C 8B 6C 24 58 8B 74 24 24 49 8B 45 00 49 8B CD FF 50 18 0F B7 D8 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 56 01 00 00 66 85 DB 0F 84 4D 01 00 00 44 38 4F 08 75 4D 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 66 39 5F 0A 0F 85 F0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 E9 B3 00 00 00 45 3B FE 0F 8D D5 00 00 00 44 38 4F 08 75 51 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 48 8B 54 24 48 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 38 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D2 48 8D 4D 58 E8 ?? ?? ?? ?? 41 FF C7 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 37 FF FF FF 40 0F B6 F6 45 3B FE B8 01 00 00 00 0F 4C F0 89 74 24 24 EB 05 B8 01 00 00 00 33 DB 48 39 5D 70 75 09 40 8A F0 89 74 24 24 EB 28 45 3B FE 7D 23 45 2B F7 41 8B DE BE 01 00 00 00 41 B0 30 48 8B D6 48 8D 4D 58 E8 ?? ?? ?? ?? 48 2B DE 75 EC 8B 74 24 24 48 83 7D 28 10 72 09 48 8B 4D 10 E8 ?? ?? ?? ?? 48 C7 45 28 0F 00 00 00 E9 22 FD FF FF 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 8D 08 00 00 48 8D 95 D0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 02 44 89 64 24 28 48 39 58 18 0F 86 96 00 00 00 48 8D 95 F8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 04 44 89 64 24 28 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 45 33 C9 44 38 4F 08 75 4F 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 75 04 8A D9 EB 02 33 DB 41 F6 C4 04 74 4A 41 83 E4 FB 48 83 BD 18 01 00 00 08 72 0C 48 8B 8D 00 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 18 01 00 00 07 00 00 00 33 C0 48 89 85 10 01 00 00 66 89 85 00 01 00 00 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 85 F8 00 00 00 41 F6 C4 02 74 4A 41 83 E4 FD 48 83 BD F0 00 00 00 08 72 0C 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 F0 00 00 00 07 00 00 00 33 C0 48 89 85 E8 00 00 00 66 89 85 D8 00 00 00 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 85 D0 00 00 00 84 DB 0F 84 93 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 48 01 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 2E 48 83 7D 50 08 72 09 48 8B 4D 38 E8 ?? ?? ?? ?? 48 C7 45 50 07 00 00 00 33 C0 48 89 45 48 66 89 45 38 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 48 83 BD 68 01 00 00 08 72 0C 48 8B 8D 50 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 68 01 00 00 07 00 00 00 33 DB 48 89 9D 60 01 00 00 66 89 9D 50 01 00 00 48 8B 8D 48 01 00 00 E8 ?? ?? ?? ?? E9 99 06 00 00 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 08 44 89 64 24 28 45 33 C9 4C 39 48 18 0F 86 92 00 00 00 48 8D 95 20 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 10 44 89 64 24 28 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 45 33 C9 44 38 4F 08 75 4F 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C4 10 74 4B 41 83 E4 EF 48 83 BD 40 01 00 00 08 72 0C 48 8B 8D 28 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 40 01 00 00 07 00 00 00 33 C0 48 89 85 38 01 00 00 66 89 85 28 01 00 00 48 8B 8D 20 01 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 20 01 00 00 41 F6 C4 08 74 4D 41 83 E4 F7 48 83 BD A0 00 00 00 08 72 0F 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 A0 00 00 00 07 00 00 00 4C 89 8D 98 00 00 00 66 44 89 8D 88 00 00 00 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 80 00 00 00 84 DB 0F 84 9A 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 70 01 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 2E 48 83 7D 50 08 72 09 48 8B 4D 38 E8 ?? ?? ?? ?? 48 C7 45 50 07 00 00 00 33 C0 48 89 45 48 66 89 45 38 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 48 83 BD 90 01 00 00 08 72 0C 48 8B 8D 78 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 90 01 00 00 07 00 00 00 33 DB 48 89 9D 88 01 00 00 66 89 9D 78 01 00 00 48 8B 8D 70 01 00 00 E8 ?? ?? ?? ?? 8D 43 01 88 44 24 20 E9 9D 04 00 00 48 8D 95 A8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 33 C9 48 39 48 18 0F 94 C3 48 83 BD C8 00 00 00 08 72 0C 48 8B 8D B0 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 C8 00 00 00 07 00 00 00 33 C0 48 89 85 C0 00 00 00 66 89 85 B0 00 00 00 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 85 A8 00 00 00 84 DB 0F 85 30 04 00 00 48 8D 95 98 01 00 00 49 8B CD E8 ?? ?? ?? ?? 33 C9 48 39 48 18 0F 94 C3 48 83 BD B8 01 00 00 08 72 0C 48 8B 8D A0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 B8 01 00 00 07 00 00 00 33 C0 48 89 85 B0 01 00 00 66 89 85 A0 01 00 00 48 8B 8D 98 01 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 84 DB 74 04 88 44 24 20 33 DB E9 CE 03 00 00 48 8D 55 08 49 8B CD E8 ?? ?? ?? ?? 90 0F 57 C0 F3 0F 7F 45 E0 48 8B 44 24 68 F6 40 18 08 0F 85 87 00 00 00 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 78 38 5F 08 75 49 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 10 48 83 7D 28 08 48 0F 43 45 10 66 3B 08 74 13 48 8D 45 10 48 83 7D 28 08 48 0F 43 45 10 E9 A4 00 00 00 49 83 FE 03 0F 85 A1 00 00 00 41 8D 76 FE 48 39 75 48 0F 87 93 00 00 00 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 69 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 40 88 77 08 0F B7 4F 0A 48 8D 45 10 48 8B 55 10 4C 8B 45 28 49 83 F8 08 48 0F 43 C2 66 3B 08 74 1D EB 08 4C 8B 45 28 48 8B 55 10 48 8D 45 10 49 83 F8 08 48 0F 43 C2 48 89 5D 20 66 89 18 48 8D 55 C8 48 8D 4D 08 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 11 48 8B 09 48 85 C9 74 09 48 8B 31 48 89 75 E0 EB 04 48 8B 75 E0 4C 8B 70 10 4C 89 75 F0 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B2 00 00 00 41 83 CC 01 48 8D 55 B0 48 8D 4D 08 E8 ?? ?? ?? ?? 48 85 F6 0F 84 4D 02 00 00 48 39 1E 0F 84 44 02 00 00 48 8B 08 48 85 C9 75 05 48 8B CB EB 03 48 8B 09 48 39 0E 0F 85 25 02 00 00 4C 3B 70 10 0F 94 C0 84 C0 75 6B 38 5F 08 75 49 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 5F 0A 48 8D 4D E0 E8 ?? ?? ?? ?? 66 3B 18 75 09 B8 01 00 00 00 33 DB EB 04 33 DB 8A C3 B9 01 00 00 00 44 84 E1 74 04 41 83 E4 FE 84 C0 74 55 48 85 F6 0F 84 A4 01 00 00 48 8B 06 48 85 C0 0F 84 98 01 00 00 4D 85 F6 0F 84 8F 01 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 4C 3B F1 0F 83 67 01 00 00 49 83 C6 02 4C 89 75 F0 48 8B CF E8 ?? ?? ?? ?? E9 D2 FE FF FF 48 8D 55 90 48 8D 4D 08 E8 ?? ?? ?? ?? 48 85 F6 0F 84 4E 01 00 00 48 39 1E 0F 84 45 01 00 00 48 8B 08 48 85 C9 75 05 48 8B CB EB 03 48 }
	condition:
		$1
}

rule file_90_619_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D D0 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_632_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D D0 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_620_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_633_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_621_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D 80 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_634_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D 80 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_622_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D 20 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_635_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D 20 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_649_1 {
	meta:
		name = "?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z"
		size = 121
		altNames = "?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z"
	strings:
		$1 = { C6 02 25 48 8D 42 01 41 F6 C1 20 74 06 C6 00 2B 48 FF C0 41 F6 C1 08 74 06 C6 00 23 48 FF C0 41 8A 08 80 F9 4C 74 07 88 08 48 FF C0 EB 0D 66 C7 00 49 36 C6 40 02 34 48 83 C0 03 41 8B C9 81 E1 00 0E 00 00 81 F9 00 04 00 00 75 05 41 B1 6F EB 1D 81 F9 00 08 00 00 74 06 45 8A 48 01 EB 0F 41 C0 E1 03 41 F6 D1 41 80 E1 20 41 80 C9 58 44 88 08 C6 40 01 00 48 8B C2 C3 }
	condition:
		$1
}

rule file_90_651_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
		size = 102
		altNames = "?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 47 48 8B 41 38 48 83 38 00 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 19 48 8B 41 50 FF 08 48 8B 49 38 48 8B 11 48 8D 42 02 48 89 01 0F B7 02 EB 06 48 8B 01 FF 50 38 B9 FF FF 00 00 66 3B C8 74 06 C6 43 08 00 EB 08 48 83 23 00 C6 43 08 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_654_1 {
	meta:
		name = "?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 444
		refs = "002f _Getcvt 0053 localeconv 0075 strlen 0081 ??_U@YAPEAX_K@Z 00ac ??$_Getvals@G@?$_Mpunct@G@std@@IEAAXGPEBUlconv@@@Z 0103 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0114 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 012a memcpy_s 018b memcpy"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 98 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A E0 48 8B F9 48 8D 48 A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 47 48 0F 10 48 10 0F 11 4F 58 F2 0F 10 40 20 F2 0F 11 47 68 8B 40 28 89 47 70 E8 ?? ?? ?? ?? 48 8B F0 45 33 ED 4C 89 6F 10 4C 89 6F 20 4C 89 6F 28 4C 89 6F 30 4C 8B 70 38 49 8B CE E8 ?? ?? ?? ?? 48 8D 58 01 48 8B CB E8 ?? ?? ?? ?? 48 85 DB 74 15 48 8B D0 49 2B D6 41 8A 0E 42 88 0C 32 49 FF C6 48 FF CB 75 F1 48 89 47 10 33 D2 4C 8B C6 48 8B CF E8 ?? ?? ?? ?? 90 8A 4F 44 84 C9 74 05 8A 46 50 EB 03 8A 46 51 0F BE C0 83 F8 7E 41 0F 47 C5 89 47 38 44 0F BE 46 56 0F BE 46 52 0F BE 56 53 84 C9 75 2E 83 FA 02 77 29 83 F8 01 77 24 BB 04 00 00 00 44 3B C3 77 1F 8D 0C 50 45 8D 04 88 44 03 C1 41 C1 E0 02 4C 8D 35 ?? ?? ?? ?? 4D 03 C6 EB 13 BB 04 00 00 00 4C 8D 05 ?? ?? ?? ?? 4C 8D 35 ?? ?? ?? ?? 4C 8B CB 48 8B D3 48 8D 4F 3C E8 ?? ?? ?? ?? 0F BE 46 57 0F BE 4E 54 0F BE 56 55 44 38 6F 44 75 21 83 FA 02 77 1C 83 F9 01 77 17 3B C3 77 13 8D 0C 51 44 8D 04 88 44 03 C1 41 C1 E0 02 4D 03 C6 EB 07 4C 8D 05 ?? ?? ?? ?? 4C 8B CB 48 8B D3 48 8D 4F 40 E8 ?? ?? ?? ?? 45 84 E4 74 26 4C 8B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4F 3C E8 ?? ?? ?? ?? 4C 8B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4F 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_90_657_1 {
	meta:
		name = "?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 444
		refs = "002f _Getcvt 0053 localeconv 0075 strlen 0081 ??_U@YAPEAX_K@Z 00ac ??$_Getvals@_W@?$_Mpunct@_W@std@@IEAAX_WPEBUlconv@@@Z 0103 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0114 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 012a memcpy_s 018b memcpy"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 98 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A E0 48 8B F9 48 8D 48 A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 47 48 0F 10 48 10 0F 11 4F 58 F2 0F 10 40 20 F2 0F 11 47 68 8B 40 28 89 47 70 E8 ?? ?? ?? ?? 48 8B F0 45 33 ED 4C 89 6F 10 4C 89 6F 20 4C 89 6F 28 4C 89 6F 30 4C 8B 70 38 49 8B CE E8 ?? ?? ?? ?? 48 8D 58 01 48 8B CB E8 ?? ?? ?? ?? 48 85 DB 74 15 48 8B D0 49 2B D6 41 8A 0E 42 88 0C 32 49 FF C6 48 FF CB 75 F1 48 89 47 10 33 D2 4C 8B C6 48 8B CF E8 ?? ?? ?? ?? 90 8A 4F 44 84 C9 74 05 8A 46 50 EB 03 8A 46 51 0F BE C0 83 F8 7E 41 0F 47 C5 89 47 38 44 0F BE 46 56 0F BE 46 52 0F BE 56 53 84 C9 75 2E 83 FA 02 77 29 83 F8 01 77 24 BB 04 00 00 00 44 3B C3 77 1F 8D 0C 50 45 8D 04 88 44 03 C1 41 C1 E0 02 4C 8D 35 ?? ?? ?? ?? 4D 03 C6 EB 13 BB 04 00 00 00 4C 8D 05 ?? ?? ?? ?? 4C 8D 35 ?? ?? ?? ?? 4C 8B CB 48 8B D3 48 8D 4F 3C E8 ?? ?? ?? ?? 0F BE 46 57 0F BE 4E 54 0F BE 56 55 44 38 6F 44 75 21 83 FA 02 77 1C 83 F9 01 77 17 3B C3 77 13 8D 0C 51 44 8D 04 88 44 03 C1 41 C1 E0 02 4D 03 C6 EB 07 4C 8D 05 ?? ?? ?? ?? 4C 8B CB 48 8B D3 48 8D 4F 40 E8 ?? ?? ?? ?? 45 84 E4 74 26 4C 8B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4F 3C E8 ?? ?? ?? ?? 4C 8B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4F 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_90_676_1 {
	meta:
		name = "?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 526
		refs = "0027 __security_cookie 0042 localeconv 004f _Getcvt 0097 ??_C@_00CNPNBAHC@?$AA@ 00af strlen 00bb ??_U@YAPEAX_K@Z 00e8 ??_C@_05LAPONLG@false?$AA@ 00ed ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 0102 ??_C@_04LOAJBDKD@true?$AA@ 014b _Mbrtowc 01dc ??$_Getvals@G@?$numpunct@G@std@@IEAAXGPEBUlconv@@U_Cvtvec@@@Z 01ec __security_check_cookie"
	strings:
		$1 = { 48 8B C4 41 54 41 56 41 57 48 81 EC C0 00 00 00 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B8 00 00 00 45 8A F0 48 8B F9 48 89 4C 24 40 E8 ?? ?? ?? ?? 4C 8B F8 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 0F 11 84 24 88 00 00 00 0F 10 48 10 0F 11 8C 24 98 00 00 00 F2 0F 10 40 20 F2 0F 11 84 24 A8 00 00 00 8B 48 28 89 8C 24 B0 00 00 00 45 33 E4 4C 89 67 10 4C 89 67 20 4C 89 67 28 45 84 F6 48 8D 1D ?? ?? ?? ?? 75 04 49 8B 5F 10 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 85 F6 74 13 48 8B D0 48 2B D3 8A 0B 88 0C 1A 48 FF C3 48 FF CE 75 F3 48 89 47 10 4C 8D 84 24 88 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 47 20 4C 8D 84 24 88 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 47 28 45 84 F6 0F 84 82 00 00 00 C6 44 24 30 2E 66 44 89 64 24 38 44 89 64 24 40 48 8D 84 24 88 00 00 00 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 44 24 38 66 89 47 18 C6 44 24 30 2C 66 44 89 64 24 38 44 89 64 24 40 48 8D 84 24 88 00 00 00 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 44 24 38 66 89 47 1A EB 46 0F 10 84 24 88 00 00 00 0F 29 44 24 50 0F 10 8C 24 98 00 00 00 0F 29 4C 24 60 F2 0F 10 84 24 A8 00 00 00 F2 0F 11 44 24 70 8B 84 24 B0 00 00 00 89 44 24 78 33 D2 4C 8D 4C 24 50 4D 8B C7 48 8B CF E8 ?? ?? ?? ?? 48 8B 8C 24 B8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_90_678_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 41
		refs = "0009 ??_V@YAXPEAX@Z 0024 _CxxThrowException"
		altNames = "__catch$?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
	strings:
		$1 = { 48 8B 5D 40 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_90_679_1 {
	meta:
		name = "?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 479
		refs = "0028 __security_cookie 0043 localeconv 0050 _Getcvt 0098 ??_C@_00CNPNBAHC@?$AA@ 00b0 strlen 00bc ??_U@YAPEAX_K@Z 00e9 ??_C@_05LAPONLG@false?$AA@ 00ee ??$_Maklocstr@_W@std@@YAPEA_WPEBDPEA_WAEBU_Cvtvec@@@Z 0103 ??_C@_04LOAJBDKD@true?$AA@ 014c _Mbrtowc 01bd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 41 54 41 56 41 57 48 81 EC C0 00 00 00 48 C7 44 24 48 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 00 00 00 45 8A F8 48 8B D9 48 89 4C 24 40 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 0F 11 84 24 80 00 00 00 0F 10 48 10 0F 11 8C 24 90 00 00 00 F2 0F 10 40 20 F2 0F 11 84 24 A0 00 00 00 8B 48 28 89 8C 24 A8 00 00 00 45 33 E4 4C 89 63 10 4C 89 63 20 4C 89 63 28 45 84 FF 48 8D 3D ?? ?? ?? ?? 75 04 49 8B 7E 10 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 85 F6 74 13 48 8B D0 48 2B D7 8A 0F 88 0C 3A 48 FF C7 48 FF CE 75 F3 48 89 43 10 4C 8D 84 24 80 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 43 20 4C 8D 84 24 80 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 43 28 45 84 FF 0F 84 82 00 00 00 C6 44 24 30 2E 66 44 89 64 24 38 44 89 64 24 40 48 8D 84 24 80 00 00 00 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 44 24 38 66 89 43 18 C6 44 24 30 2C 66 44 89 64 24 38 44 89 64 24 40 48 8D 84 24 80 00 00 00 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 44 24 38 66 89 43 1A EB 16 49 8B 46 58 0F B7 08 66 89 4B 18 49 8B 46 60 0F B7 08 66 89 4B 1A 48 8B 8C 24 B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_90_682_1 {
	meta:
		name = "?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 60
		refs = "002a ??$_Getvals@G@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXGAEBV_Locinfo@1@@Z 002f _Getdateorder"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B C2 48 8B D9 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_685_1 {
	meta:
		name = "?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 60
		refs = "002a ??$_Getvals@_W@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAX_WAEBV_Locinfo@1@@Z 002f _Getdateorder"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B C2 48 8B D9 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_90_694_1 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z"
		size = 986
		refs = "0028 __security_cookie 009c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a5 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00d9 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z 010d ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 013e ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0190 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 01f1 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 02e7 _invalid_parameter_noinfo_noreturn 0366 ??3@YAXPEAX@Z 03bb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC B0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E9 49 8B F0 48 89 55 A7 44 0F B7 65 6F 66 44 89 64 24 20 48 8B 5D 77 4C 8B 75 7F 4D 85 F6 74 0F 8A 03 2C 2B A8 FD 75 07 B8 01 00 00 00 EB 02 33 C0 48 63 F8 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1B 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 9F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 45 33 C0 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 08 4C 0F 43 4D BF 49 8B 07 4D 8D 04 1E 48 8B D3 49 8B CF FF 50 58 48 8D 55 9F 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 9F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 90 48 8D 5D E7 48 83 7D FF 10 48 0F 43 5D E7 8A 03 FE C8 3C 7D 77 4D 49 8B 07 49 8B CF FF 50 20 44 0F B7 F8 EB 37 84 C9 7E 3A 48 0F BE D1 49 8B C6 48 2B C7 48 3B D0 73 2B 4C 2B F2 45 0F B7 CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4F D8 8A 0B 80 F9 7F 75 C2 4C 8B 7D CF 4C 89 7D 9F 49 8B 5D 28 48 85 DB 7E 0A 49 3B DF 76 05 49 2B DF EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 0F 10 06 0F 29 45 8F 83 F8 40 0F 84 C2 00 00 00 3D 00 01 00 00 74 5A 48 85 DB 74 16 41 0F B7 D4 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 8F F3 0F 7F 06 33 DB 0F 29 45 8F 4C 8D 75 BF 48 83 7D D7 08 4C 0F 43 75 BF 4C 8B E7 48 85 FF 0F 84 B0 00 00 00 41 0F B7 16 48 8D 4D 8F E8 ?? ?? ?? ?? 4D 8D 76 02 49 FF CC 75 EA E9 8D 00 00 00 4C 8D 75 BF 48 83 7D D7 08 4C 0F 43 75 BF 4C 8B E7 48 85 FF 74 1E 41 0F B7 16 48 8D 4D 8F E8 ?? ?? ?? ?? 4D 8D 76 02 49 FF CC 75 EA 0F 28 45 8F 4C 8B 7D 9F F3 0F 7F 06 0F 29 45 8F 44 0F B7 64 24 20 48 85 DB 74 16 41 0F B7 D4 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 8F 33 DB EB 3A 4C 8D 75 BF 48 83 7D D7 08 4C 0F 43 75 BF 4C 8B E7 48 85 FF 74 1E 41 0F B7 16 48 8D 4D 8F E8 ?? ?? ?? ?? 4D 8D 76 02 49 FF CC 75 EA 0F 28 45 8F 4C 8B 7D 9F 44 0F B7 64 24 20 F3 0F 7F 06 0F 29 45 8F 48 3B 7D CF 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 4C 8D 34 78 4C 2B FF 74 23 45 33 E4 41 0F B7 16 48 8D 4D 8F E8 ?? ?? ?? ?? 4D 8D 76 02 49 FF CF 75 EA 0F 28 45 8F 44 0F B7 64 24 20 F3 0F 7F 06 33 FF 49 89 7D 28 0F 10 06 0F 29 45 8F 48 85 DB 74 16 41 0F B7 D4 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 8F 48 8B 5D A7 F3 0F 7F 03 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 48 89 7D F7 40 88 7D E7 48 8B 4D DF E8 ?? ?? ?? ?? 48 89 7D DF 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 C7 45 D7 07 00 00 00 48 89 7D CF 66 89 7D BF 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_699_1 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z"
		size = 986
		refs = "0028 __security_cookie 009c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a5 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00d9 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 010d ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 013e ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0190 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 01f1 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 02e7 _invalid_parameter_noinfo_noreturn 0366 ??3@YAXPEAX@Z 03bb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC B0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E9 49 8B F0 48 89 55 A7 44 0F B7 65 6F 66 44 89 64 24 20 48 8B 5D 77 4C 8B 75 7F 4D 85 F6 74 0F 8A 03 2C 2B A8 FD 75 07 B8 01 00 00 00 EB 02 33 C0 48 63 F8 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1B 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 9F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 45 33 C0 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 08 4C 0F 43 4D BF 49 8B 07 4D 8D 04 1E 48 8B D3 49 8B CF FF 50 58 48 8D 55 9F 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 9F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 90 48 8D 5D E7 48 83 7D FF 10 48 0F 43 5D E7 8A 03 FE C8 3C 7D 77 4D 49 8B 07 49 8B CF FF 50 20 44 0F B7 F8 EB 37 84 C9 7E 3A 48 0F BE D1 49 8B C6 48 2B C7 48 3B D0 73 2B 4C 2B F2 45 0F B7 CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4F D8 8A 0B 80 F9 7F 75 C2 4C 8B 7D CF 4C 89 7D 9F 49 8B 5D 28 48 85 DB 7E 0A 49 3B DF 76 05 49 2B DF EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 0F 10 06 0F 29 45 8F 83 F8 40 0F 84 C2 00 00 00 3D 00 01 00 00 74 5A 48 85 DB 74 16 41 0F B7 D4 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 8F F3 0F 7F 06 33 DB 0F 29 45 8F 4C 8D 75 BF 48 83 7D D7 08 4C 0F 43 75 BF 4C 8B E7 48 85 FF 0F 84 B0 00 00 00 41 0F B7 16 48 8D 4D 8F E8 ?? ?? ?? ?? 4D 8D 76 02 49 FF CC 75 EA E9 8D 00 00 00 4C 8D 75 BF 48 83 7D D7 08 4C 0F 43 75 BF 4C 8B E7 48 85 FF 74 1E 41 0F B7 16 48 8D 4D 8F E8 ?? ?? ?? ?? 4D 8D 76 02 49 FF CC 75 EA 0F 28 45 8F 4C 8B 7D 9F F3 0F 7F 06 0F 29 45 8F 44 0F B7 64 24 20 48 85 DB 74 16 41 0F B7 D4 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 8F 33 DB EB 3A 4C 8D 75 BF 48 83 7D D7 08 4C 0F 43 75 BF 4C 8B E7 48 85 FF 74 1E 41 0F B7 16 48 8D 4D 8F E8 ?? ?? ?? ?? 4D 8D 76 02 49 FF CC 75 EA 0F 28 45 8F 4C 8B 7D 9F 44 0F B7 64 24 20 F3 0F 7F 06 0F 29 45 8F 48 3B 7D CF 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 4C 8D 34 78 4C 2B FF 74 23 45 33 E4 41 0F B7 16 48 8D 4D 8F E8 ?? ?? ?? ?? 4D 8D 76 02 49 FF CF 75 EA 0F 28 45 8F 44 0F B7 64 24 20 F3 0F 7F 06 33 FF 49 89 7D 28 0F 10 06 0F 29 45 8F 48 85 DB 74 16 41 0F B7 D4 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 8F 48 8B 5D A7 F3 0F 7F 03 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 48 89 7D F7 40 88 7D E7 48 8B 4D DF E8 ?? ?? ?? ?? 48 89 7D DF 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 C7 45 D7 07 00 00 00 48 89 7D CF 66 89 7D BF 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_704_1 {
	meta:
		name = "?_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 3259
		refs = "0058 ??2@YAPEAX_K@Z 006b ??_7?$ctype@G@std@@6B@ 0077 _Getctype 008f _Getcvt 00ba ?id@?$ctype@G@std@@2V0locale@2@A 00ca ??0_Lockit@std@@QEAA@H@Z 00d9 ?_Id_cnt@id@locale@std@@0HA 00f3 ??1_Lockit@std@@QEAA@XZ 014e ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 015c ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0188 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0196 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 022b ??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0261 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 026f ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0304 ??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0346 ??_7?$numpunct@G@std@@6B@ 0357 ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0364 ?id@?$numpunct@G@std@@2V0locale@2@A 0400 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0414 ?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 044d ??_7?$collate@G@std@@6B@ 0459 _Getcoll 046d ?id@?$collate@G@std@@2V0locale@2@A 0501 ??$use_facet@V?$collate@G@std@@@std@@YAAEBV?$collate@G@0@AEBVlocale@0@@Z 0539 ??_7?$messages@G@std@@6B@ 0548 ?id@?$messages@G@std@@2V0locale@2@A 05dc ??$use_facet@V?$messages@G@std@@@std@@YAAEBV?$messages@G@0@AEBVlocale@0@@Z 0616 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0624 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 06b9 ??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 06ef ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 06fd ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0792 ??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 07d0 ??_7?$_Mpunct@G@std@@6B@ 07e4 ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 07ec ??_7?$moneypunct@G$0A@@std@@6B@ 07fa ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 088f ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 08ee ??_7?$moneypunct@G$00@std@@6B@ 08fd ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0999 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 09d2 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 09e0 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 09ed ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0a81 ??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0abc ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0acf ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0ae2 free 0aee ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0b82 ??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0bbd ??_7?$codecvt@GDH@std@@6B@ 0bf4 ?id@?$codecvt@GDH@std@@2V0locale@2@A 0c88 ??$use_facet@V?$codecvt@GDH@std@@@std@@YAAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 49 8B D9 49 8B F8 44 8B FA 4C 8B E1 45 33 F6 44 89 75 38 44 8B EA 41 83 E5 02 0F 84 16 01 00 00 48 85 DB 0F 85 B0 00 00 00 41 8D 49 60 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 50 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 10 0F 10 48 10 0F 11 4E 20 48 8D 4D C8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 30 0F 10 48 10 0F 11 4E 40 F2 0F 10 40 20 F2 0F 11 46 50 8B 40 28 89 46 58 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 08 0F 84 D0 00 00 00 48 85 DB 75 6E 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0F 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 C6 01 00 00 48 85 DB 75 6E 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0F 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 ED 00 00 00 45 33 F6 48 85 DB 0F 85 8A 00 00 00 8D 4B 30 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 1F 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? EB 5A 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 EB 9F 45 33 F6 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 B8 01 00 00 00 D3 E0 D1 F8 41 85 C7 0F 84 E6 00 00 00 48 85 DB 0F 85 80 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 21 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 46 10 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 41 F6 C7 20 0F 84 D1 00 00 00 48 85 DB 75 6F 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 10 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 04 0F 84 D0 00 00 00 48 85 DB 75 6E 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0F 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 D1 02 00 00 48 85 DB 75 6E 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0F 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 F8 01 00 00 48 85 DB 0F 85 8E 00 00 00 8D 4B 78 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 2B 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 88 5E 44 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 FB 00 00 00 45 33 F6 48 85 DB 0F 85 98 00 00 00 8D 4B 78 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 2D 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 C6 46 44 01 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? EB 5A 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 EB 9F 45 33 F6 41 83 E7 10 0F 84 E1 00 00 00 48 85 DB 75 7F 8D 4B 58 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 1C 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 FF 0F 84 F8 00 00 00 48 85 DB 0F 85 92 00 00 00 8D 4B 18 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 33 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 4C 89 76 10 48 8D 55 A0 49 8B CC E8 ?? ?? ?? ?? 48 8B 08 48 89 4E 10 4C 89 30 48 8B 4D A0 E8 ?? ?? ?? ?? EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 ED 0F 84 FD 00 00 00 48 85 DB 0F 85 97 00 00 00 8D 4B 40 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 38 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D C8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 EB 03 49 8B DE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_90_713_1 {
	meta:
		name = "?_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 3259
		refs = "0058 ??2@YAPEAX_K@Z 006b ??_7?$ctype@_W@std@@6B@ 0077 _Getctype 008f _Getcvt 00ba ?id@?$ctype@_W@std@@2V0locale@2@A 00ca ??0_Lockit@std@@QEAA@H@Z 00d9 ?_Id_cnt@id@locale@std@@0HA 00f3 ??1_Lockit@std@@QEAA@XZ 014e ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 015c ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0188 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0196 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 022b ??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0261 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 026f ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0304 ??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0346 ??_7?$numpunct@_W@std@@6B@ 0357 ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0364 ?id@?$numpunct@_W@std@@2V0locale@2@A 0400 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0414 ?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 044d ??_7?$collate@_W@std@@6B@ 0459 _Getcoll 046d ?id@?$collate@_W@std@@2V0locale@2@A 0501 ??$use_facet@V?$collate@_W@std@@@std@@YAAEBV?$collate@_W@0@AEBVlocale@0@@Z 0539 ??_7?$messages@_W@std@@6B@ 0548 ?id@?$messages@_W@std@@2V0locale@2@A 05dc ??$use_facet@V?$messages@_W@std@@@std@@YAAEBV?$messages@_W@0@AEBVlocale@0@@Z 0616 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0624 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 06b9 ??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 06ef ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 06fd ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0792 ??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 07d0 ??_7?$_Mpunct@_W@std@@6B@ 07e4 ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 07ec ??_7?$moneypunct@_W$0A@@std@@6B@ 07fa ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 088f ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 08ee ??_7?$moneypunct@_W$00@std@@6B@ 08fd ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0999 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 09d2 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 09e0 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 09ed ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0a81 ??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0abc ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0acf ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0ae2 free 0aee ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0b82 ??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0bbd ??_7?$codecvt@_WDH@std@@6B@ 0bf4 ?id@?$codecvt@_WDH@std@@2V0locale@2@A 0c88 ??$use_facet@V?$codecvt@_WDH@std@@@std@@YAAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 49 8B D9 49 8B F8 44 8B FA 4C 8B E1 45 33 F6 44 89 75 38 44 8B EA 41 83 E5 02 0F 84 16 01 00 00 48 85 DB 0F 85 B0 00 00 00 41 8D 49 60 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 50 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 10 0F 10 48 10 0F 11 4E 20 48 8D 4D C8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 30 0F 10 48 10 0F 11 4E 40 F2 0F 10 40 20 F2 0F 11 46 50 8B 40 28 89 46 58 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 08 0F 84 D0 00 00 00 48 85 DB 75 6E 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0F 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 C6 01 00 00 48 85 DB 75 6E 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0F 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 ED 00 00 00 45 33 F6 48 85 DB 0F 85 8A 00 00 00 8D 4B 30 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 1F 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? EB 5A 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 EB 9F 45 33 F6 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 B8 01 00 00 00 D3 E0 D1 F8 41 85 C7 0F 84 E6 00 00 00 48 85 DB 0F 85 80 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 21 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 46 10 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 41 F6 C7 20 0F 84 D1 00 00 00 48 85 DB 75 6F 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 10 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 04 0F 84 D0 00 00 00 48 85 DB 75 6E 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0F 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 D1 02 00 00 48 85 DB 75 6E 8D 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0F 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 F8 01 00 00 48 85 DB 0F 85 8E 00 00 00 8D 4B 78 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 2B 21 58 08 48 8D 05 ?? ?? ?? ?? 48 89 06 88 5E 44 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 FB 00 00 00 45 33 F6 48 85 DB 0F 85 98 00 00 00 8D 4B 78 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 2D 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 C6 46 44 01 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? EB 5A 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 EB 9F 45 33 F6 41 83 E7 10 0F 84 E1 00 00 00 48 85 DB 75 7F 8D 4B 58 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 1C 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 FF 0F 84 F8 00 00 00 48 85 DB 0F 85 92 00 00 00 8D 4B 18 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 33 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 4C 89 76 10 48 8D 55 A0 49 8B CC E8 ?? ?? ?? ?? 48 8B 08 48 89 4E 10 4C 89 30 48 8B 4D A0 E8 ?? ?? ?? ?? EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 ED 0F 84 FD 00 00 00 48 85 DB 0F 85 97 00 00 00 8D 4B 40 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 38 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D C8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 EB 03 49 8B DE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_90_722_1 {
	meta:
		name = "?_Maklocwcs@std@@YAPEA_WPEB_W@Z"
		size = 91
		refs = "0013 wcslen 0032 ??_U@YAPEAX_K@Z 0044 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 E8 ?? ?? ?? ?? 48 C7 C1 FF FF FF FF 48 8D 78 01 B8 02 00 00 00 48 F7 E7 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 04 3F 48 8B D6 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_732_1 {
	meta:
		name = "?_Pdif@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@SA_KV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0@Z"
		size = 77
		refs = "0042 _invalid_parameter_noinfo_noreturn"
		altNames = "?_Pdif@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@SA_KV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 49 10 33 C0 4C 8B C2 4D 85 C9 74 2A 48 8B 09 48 85 C9 74 2D 48 8B 11 48 85 D2 74 25 49 8B 08 48 85 C9 74 03 48 8B 01 48 3B D0 75 0F 49 8B C1 49 2B 40 10 48 D1 F8 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_734_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ"
		size = 89
		altNames = "?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 0F B7 43 0A 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_90_740_1 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@_K@Z"
		size = 171
		refs = "0029 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAAEBGXZ 0034 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 00a0 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 48 8B EA 48 8B F1 4D 85 C9 74 5A 48 8B CB E8 ?? ?? ?? ?? 48 8B CD 0F B7 10 E8 ?? ?? ?? ?? 48 8B 03 48 FF CF 48 85 C0 74 62 48 8B 00 48 85 C0 74 5A 48 8B 53 10 48 85 D2 74 51 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D1 73 2D 48 8D 42 02 48 85 FF 48 89 43 10 EB A4 0F 10 45 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B C6 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_741_1 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@_K@Z"
		size = 171
		refs = "0029 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ 0034 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 00a0 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 48 8B EA 48 8B F1 4D 85 C9 74 5A 48 8B CB E8 ?? ?? ?? ?? 48 8B CD 0F B7 10 E8 ?? ?? ?? ?? 48 8B 03 48 FF CF 48 85 C0 74 62 48 8B 00 48 85 C0 74 5A 48 8B 53 10 48 85 D2 74 51 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D1 73 2D 48 8D 42 02 48 85 FF 48 89 43 10 EB A4 0F 10 45 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B C6 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_742_1 {
	meta:
		name = "?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBG_K@Z"
		size = 91
		refs = "002e ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 5C 24 50 49 8B F1 49 8B E8 48 8B FA 48 85 DB 74 14 0F B7 16 48 8B CD E8 ?? ?? ?? ?? 48 8D 76 02 48 FF CB 75 EC 0F 10 45 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 F3 0F 7F 07 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_743_1 {
	meta:
		name = "?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEB_W_K@Z"
		size = 91
		refs = "002e ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 5C 24 50 49 8B F1 49 8B E8 48 8B FA 48 85 DB 74 14 0F B7 16 48 8B CD E8 ?? ?? ?? ?? 48 8D 76 02 48 FF CB 75 EC 0F 10 45 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 F3 0F 7F 07 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_744_1 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 2758
		refs = "0032 __security_cookie 0091 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 009a ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00b5 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 00e7 ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0126 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 0201 ??2@YAPEAX_K@Z 020d ?_Xbad_alloc@std@@YAXXZ 0273 ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 028f ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 02b4 ??3@YAXPEAX@Z 02de ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 039a ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 04ff ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 056c ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 05bc ?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@_K@Z 0724 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0736 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA?AV01@_J@Z 0905 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA?AV01@_J@Z 0aa2 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 58 FD FF FF 48 81 EC 70 03 00 00 48 C7 85 A0 00 00 00 FE FF FF FF 48 89 58 08 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 58 02 00 00 49 8B F0 48 89 55 A8 4C 8B A5 D0 02 00 00 4C 89 64 24 40 0F B7 85 D8 02 00 00 66 89 44 24 20 48 8B 9D E8 02 00 00 48 89 5C 24 38 48 89 9D B0 01 00 00 0F B7 BD F0 02 00 00 66 89 7C 24 28 41 BD 01 00 00 00 49 8B CC 45 84 C9 74 1B 48 8D 55 B0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D B0 EB 19 48 8D 55 A0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D A0 48 85 C9 74 17 48 8B 01 FF 50 10 48 85 C0 74 0C 4C 8B 00 41 8B D5 48 8B C8 41 FF 10 48 8D 95 30 02 00 00 49 8B CF E8 ?? ?? ?? ?? 90 49 8B 07 49 8B CF FF 50 48 99 44 8B F0 44 33 F2 44 2B F2 44 89 74 24 2C 45 8B EE 4C 89 6C 24 30 4C 39 6B 18 77 1D 45 8B C5 4C 2B 43 18 49 FF C0 44 0F B7 CF 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 B7 00 00 00 48 8D 85 38 02 00 00 48 83 BD 50 02 00 00 10 48 0F 43 85 38 02 00 00 80 38 7F 0F 84 97 00 00 00 48 8D 85 38 02 00 00 48 83 BD 50 02 00 00 10 48 0F 43 85 38 02 00 00 80 38 00 7E 7B 49 8B 07 49 8B CF FF 50 20 44 0F B7 E0 48 8D BD 38 02 00 00 48 83 BD 50 02 00 00 10 48 0F 43 BD 38 02 00 00 4C 8B 73 18 4D 2B F5 8A 0F 80 F9 7F 74 3F 41 BD 01 00 00 00 84 C9 7E 30 48 0F BE C1 49 3B C6 73 27 4C 2B F0 45 0F B7 CC 4D 8B C5 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4F F8 8A 0F 80 F9 7F 75 CC 4C 8B 6C 24 30 4C 8B 64 24 40 44 8B 74 24 2C 33 C0 48 89 85 B8 01 00 00 48 89 85 D0 01 00 00 48 89 85 D8 01 00 00 8D 48 10 E8 ?? ?? ?? ?? 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 85 B8 01 00 00 0F 57 C0 F3 0F 7F 00 48 8D 8D B8 01 00 00 48 8B 85 B8 01 00 00 48 89 08 48 C7 85 D8 01 00 00 07 00 00 00 48 89 95 D0 01 00 00 66 89 95 C0 01 00 00 49 8B 07 49 8B CF 38 95 E0 02 00 00 48 8D 54 24 24 74 1C FF 50 58 8B 44 24 24 89 44 24 24 48 8D 95 08 02 00 00 49 8B CF E8 ?? ?? ?? ?? EB 1A FF 50 50 8B 44 24 24 89 44 24 24 48 8D 95 08 02 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 85 B8 01 00 00 48 3B C7 74 40 48 83 BD D8 01 00 00 08 72 0C 48 8B 8D C0 01 00 00 E8 ?? ?? ?? ?? 33 C0 48 C7 85 D8 01 00 00 07 00 00 00 48 89 85 D0 01 00 00 66 89 85 C0 01 00 00 48 8B D7 48 8D 8D B8 01 00 00 E8 ?? ?? ?? ?? 48 83 BD 28 02 00 00 08 72 0C 48 8B 8D 10 02 00 00 E8 ?? ?? ?? ?? 33 FF 48 C7 85 28 02 00 00 07 00 00 00 48 89 BD 20 02 00 00 66 89 BD 10 02 00 00 48 8B 8D 08 02 00 00 E8 ?? ?? ?? ?? 48 89 BD E0 01 00 00 48 89 BD F8 01 00 00 48 89 BD 00 02 00 00 8D 4F 10 E8 ?? ?? ?? ?? 45 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 85 E0 01 00 00 0F 57 C0 F3 0F 7F 00 48 8D 8D E0 01 00 00 48 8B 85 E0 01 00 00 48 89 08 48 C7 85 00 02 00 00 07 00 00 00 4C 89 95 F8 01 00 00 66 44 89 95 E8 01 00 00 41 F6 44 24 18 08 0F 84 9E 00 00 00 48 8D 95 08 02 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 85 E0 01 00 00 48 3B C7 74 40 48 83 BD 00 02 00 00 08 72 0C 48 8B 8D E8 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 00 02 00 00 07 00 00 00 33 C0 48 89 85 F8 01 00 00 66 89 85 E8 01 00 00 48 8B D7 48 8D 8D E0 01 00 00 E8 ?? ?? ?? ?? 48 83 BD 28 02 00 00 08 72 0C 48 8B 8D 10 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 28 02 00 00 07 00 00 00 33 C0 48 89 85 20 02 00 00 66 89 85 10 02 00 00 48 8B 8D 08 02 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 24 80 F9 20 74 4A 80 F9 24 74 3C 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 39 EB 43 48 8B 53 18 49 3B D5 77 0B 49 8B CD 48 2B CA 49 03 CB EB 03 49 8B CA 45 3B D6 48 13 D1 48 03 C2 EB 21 48 03 85 D0 01 00 00 EB 18 48 03 85 F8 01 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 94 49 8B 7C 24 28 48 85 FF 7E 0A 48 3B F8 76 05 48 2B F8 EB 03 49 8B FA 45 8B 74 24 18 41 81 E6 C0 01 00 00 41 83 FE 40 74 4B 41 81 FE 00 01 00 00 75 05 45 84 C9 75 3D 0F 10 06 0F 29 44 24 50 48 85 FF 74 29 44 0F B7 64 24 20 4D 8B EB 41 0F B7 D4 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 2B FD 75 ED 0F 28 44 24 50 4C 8B 6C 24 30 45 33 D2 F3 0F 7F 06 49 8B FA 4D 8B E2 4D 63 F6 4C 89 74 24 50 EB 03 45 33 D2 42 8A 44 24 24 3C 20 0F 84 1C 03 00 00 3C 24 0F 84 B4 02 00 00 3C 2B 0F 84 40 02 00 00 3C 76 74 0D 3C 78 0F 84 21 03 00 00 E9 68 03 00 00 44 39 54 24 2C 75 67 48 8D 95 38 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 E0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 E0 48 8B 41 10 48 89 45 F0 0F 10 06 F3 0F 7F 85 B0 00 00 00 4C 8B 4B 18 4C 8D 45 E0 48 8D 95 B0 00 00 00 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 E9 F6 02 00 00 4C 8B 73 18 4D 3B F5 0F 87 C8 00 00 00 0F B7 54 24 28 48 8B CE E8 ?? ?? ?? ?? 49 8B 07 49 8B CF FF 50 18 0F B7 D0 48 8B CE E8 ?? ?? ?? ?? 0F 10 36 0F 29 75 D0 4D 8B F5 4C 2B 73 18 74 2A 0F B7 5C 24 28 41 BD 01 00 00 00 0F B7 D3 48 8D 4D D0 E8 ?? ?? ?? ?? 4D 2B F5 75 EF 0F 28 75 D0 48 8B 5C 24 38 4C 8B 6C 24 30 F3 0F 7F 36 48 8D 95 80 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 28 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 28 48 8B 41 10 48 89 45 38 66 0F 7F B5 C0 00 00 00 4C 8B 4B 18 4C 8D 45 28 48 8D 95 C0 00 00 00 48 8D 8D 28 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 4C 8B 74 24 50 E9 21 02 00 00 48 8D 95 50 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 F8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 F8 48 8B 41 10 48 89 45 08 0F 10 06 F3 0F 7F 85 80 00 00 00 4D 2B F5 4D 8B CE 4C 8D 45 F8 48 8D 95 80 00 00 00 48 8D 8D E8 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 8B 07 49 8B CF FF 50 18 0F B7 D0 48 8B CE E8 ?? ?? ?? ?? 48 8D 95 68 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 4D 8B C5 48 8D 95 98 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 10 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 10 48 8B 41 10 48 89 45 20 0F 10 06 F3 0F 7F 85 90 00 00 00 4D 8B CD 4C 8D 45 10 48 8D 95 90 00 00 00 48 8D 8D F8 00 00 00 E9 02 FF FF FF 4C 39 95 D0 01 00 00 0F 86 2C 01 00 00 48 8D 95 D0 00 00 00 48 8D 8D B8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 40 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 40 48 8B 41 10 48 89 45 50 0F 10 06 F3 0F 7F 45 70 41 B9 01 00 00 00 4C 8D 45 40 48 8D 55 70 48 8D 8D 18 01 00 00 E9 C6 FD FF FF 48 8D 95 08 02 00 00 48 8D 8D E0 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 70 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 70 48 8B 41 10 48 89 45 80 0F 10 06 F3 0F 7F 45 90 4C 8B 8D F8 01 00 00 4C 8D 44 24 70 48 8D 55 90 48 8D 4D 58 E9 66 FD FF FF 0F 10 06 F3 0F 7F 45 C0 0F B7 54 24 20 48 8D 4D C0 E8 ?? ?? ?? ?? 0F 28 45 C0 F3 0F 7F 06 45 33 D2 49 81 FE 00 01 00 00 75 43 0F 10 06 0F 29 44 24 60 48 85 FF 74 2F 0F B7 5C 24 20 41 BE 01 00 00 00 0F B7 D3 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 2B FE 75 EE 0F 28 44 24 60 48 8B 5C 24 38 4C 8B 74 24 50 45 33 D2 49 8B FA F3 0F 7F 06 B8 01 00 00 00 4C 03 E0 49 83 FC 04 0F 82 55 FC FF FF 44 8B F8 48 39 85 D0 01 00 00 0F 86 81 00 00 00 48 8D 95 08 02 00 00 48 8D 8D B8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 45 8B C7 48 8D 95 D0 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 70 48 8B 00 45 33 F6 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 70 48 8B 41 10 48 89 45 80 0F 10 06 F3 0F 7F 45 90 4C 8B 8D D0 01 00 00 49 FF C9 4C 8D 44 24 70 48 8D 55 90 48 8D 4D 58 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 EB 03 45 33 F6 48 8B 44 24 40 4C 89 70 28 0F 10 06 0F 29 44 24 60 48 85 FF 74 21 0F B7 5C 24 20 0F B7 D3 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 2B FF 75 EE 0F 28 44 24 60 48 8B 5C 24 38 48 8B 7D A8 F3 0F 7F 07 48 83 BD 00 02 00 00 08 72 0C 48 8B 8D E8 01 00 00 E8 ?? ?? ?? ?? BE 07 00 00 00 48 89 B5 00 02 00 00 4C 89 B5 F8 01 00 00 66 44 89 B5 E8 01 00 00 48 8B 8D E0 01 00 00 E8 ?? ?? ?? ?? 4C 89 B5 E0 01 00 00 48 83 BD D8 01 00 00 08 72 0C 48 8B 8D C0 01 00 00 E8 ?? ?? ?? ?? 48 89 B5 D8 01 00 00 4C 89 B5 D0 01 00 00 66 44 89 B5 C0 01 00 00 48 8B 8D B8 01 00 00 E8 ?? ?? ?? ?? 4C 89 B5 B8 01 00 00 48 83 BD 50 02 00 00 10 72 0C 48 8B 8D 38 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 50 02 00 00 0F 00 00 00 4C 89 B5 48 02 00 00 44 88 B5 38 02 00 00 48 8B 8D 30 02 00 00 E8 ?? ?? ?? ?? 4C 89 B5 30 02 00 00 48 83 7B 20 08 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 89 73 20 4C 89 73 18 66 44 89 73 08 48 8B 0B E8 ?? ?? ?? ?? 4C 89 33 48 8B C7 48 8B 8D 58 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 70 03 00 00 49 8B 5B 40 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_751_1 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 2758
		refs = "0032 __security_cookie 0091 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 009a ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00b5 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 00e7 ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0126 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 0201 ??2@YAPEAX_K@Z 020d ?_Xbad_alloc@std@@YAXXZ 0273 ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 028f ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 02b4 ??3@YAXPEAX@Z 02de ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 039a ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 04ff ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 056c ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 05bc ?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@_K@Z 0724 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0736 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z 0905 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z 0aa2 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 58 FD FF FF 48 81 EC 70 03 00 00 48 C7 85 A0 00 00 00 FE FF FF FF 48 89 58 08 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 58 02 00 00 49 8B F0 48 89 55 A8 4C 8B A5 D0 02 00 00 4C 89 64 24 40 0F B7 85 D8 02 00 00 66 89 44 24 20 48 8B 9D E8 02 00 00 48 89 5C 24 38 48 89 9D B0 01 00 00 0F B7 BD F0 02 00 00 66 89 7C 24 28 41 BD 01 00 00 00 49 8B CC 45 84 C9 74 1B 48 8D 55 B0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D B0 EB 19 48 8D 55 A0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D A0 48 85 C9 74 17 48 8B 01 FF 50 10 48 85 C0 74 0C 4C 8B 00 41 8B D5 48 8B C8 41 FF 10 48 8D 95 30 02 00 00 49 8B CF E8 ?? ?? ?? ?? 90 49 8B 07 49 8B CF FF 50 48 99 44 8B F0 44 33 F2 44 2B F2 44 89 74 24 2C 45 8B EE 4C 89 6C 24 30 4C 39 6B 18 77 1D 45 8B C5 4C 2B 43 18 49 FF C0 44 0F B7 CF 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 B7 00 00 00 48 8D 85 38 02 00 00 48 83 BD 50 02 00 00 10 48 0F 43 85 38 02 00 00 80 38 7F 0F 84 97 00 00 00 48 8D 85 38 02 00 00 48 83 BD 50 02 00 00 10 48 0F 43 85 38 02 00 00 80 38 00 7E 7B 49 8B 07 49 8B CF FF 50 20 44 0F B7 E0 48 8D BD 38 02 00 00 48 83 BD 50 02 00 00 10 48 0F 43 BD 38 02 00 00 4C 8B 73 18 4D 2B F5 8A 0F 80 F9 7F 74 3F 41 BD 01 00 00 00 84 C9 7E 30 48 0F BE C1 49 3B C6 73 27 4C 2B F0 45 0F B7 CC 4D 8B C5 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4F F8 8A 0F 80 F9 7F 75 CC 4C 8B 6C 24 30 4C 8B 64 24 40 44 8B 74 24 2C 33 C0 48 89 85 B8 01 00 00 48 89 85 D0 01 00 00 48 89 85 D8 01 00 00 8D 48 10 E8 ?? ?? ?? ?? 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 85 B8 01 00 00 0F 57 C0 F3 0F 7F 00 48 8D 8D B8 01 00 00 48 8B 85 B8 01 00 00 48 89 08 48 C7 85 D8 01 00 00 07 00 00 00 48 89 95 D0 01 00 00 66 89 95 C0 01 00 00 49 8B 07 49 8B CF 38 95 E0 02 00 00 48 8D 54 24 24 74 1C FF 50 58 8B 44 24 24 89 44 24 24 48 8D 95 08 02 00 00 49 8B CF E8 ?? ?? ?? ?? EB 1A FF 50 50 8B 44 24 24 89 44 24 24 48 8D 95 08 02 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 85 B8 01 00 00 48 3B C7 74 40 48 83 BD D8 01 00 00 08 72 0C 48 8B 8D C0 01 00 00 E8 ?? ?? ?? ?? 33 C0 48 C7 85 D8 01 00 00 07 00 00 00 48 89 85 D0 01 00 00 66 89 85 C0 01 00 00 48 8B D7 48 8D 8D B8 01 00 00 E8 ?? ?? ?? ?? 48 83 BD 28 02 00 00 08 72 0C 48 8B 8D 10 02 00 00 E8 ?? ?? ?? ?? 33 FF 48 C7 85 28 02 00 00 07 00 00 00 48 89 BD 20 02 00 00 66 89 BD 10 02 00 00 48 8B 8D 08 02 00 00 E8 ?? ?? ?? ?? 48 89 BD E0 01 00 00 48 89 BD F8 01 00 00 48 89 BD 00 02 00 00 8D 4F 10 E8 ?? ?? ?? ?? 45 33 D2 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 85 E0 01 00 00 0F 57 C0 F3 0F 7F 00 48 8D 8D E0 01 00 00 48 8B 85 E0 01 00 00 48 89 08 48 C7 85 00 02 00 00 07 00 00 00 4C 89 95 F8 01 00 00 66 44 89 95 E8 01 00 00 41 F6 44 24 18 08 0F 84 9E 00 00 00 48 8D 95 08 02 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 85 E0 01 00 00 48 3B C7 74 40 48 83 BD 00 02 00 00 08 72 0C 48 8B 8D E8 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 00 02 00 00 07 00 00 00 33 C0 48 89 85 F8 01 00 00 66 89 85 E8 01 00 00 48 8B D7 48 8D 8D E0 01 00 00 E8 ?? ?? ?? ?? 48 83 BD 28 02 00 00 08 72 0C 48 8B 8D 10 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 28 02 00 00 07 00 00 00 33 C0 48 89 85 20 02 00 00 66 89 85 10 02 00 00 48 8B 8D 08 02 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 24 80 F9 20 74 4A 80 F9 24 74 3C 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 39 EB 43 48 8B 53 18 49 3B D5 77 0B 49 8B CD 48 2B CA 49 03 CB EB 03 49 8B CA 45 3B D6 48 13 D1 48 03 C2 EB 21 48 03 85 D0 01 00 00 EB 18 48 03 85 F8 01 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 94 49 8B 7C 24 28 48 85 FF 7E 0A 48 3B F8 76 05 48 2B F8 EB 03 49 8B FA 45 8B 74 24 18 41 81 E6 C0 01 00 00 41 83 FE 40 74 4B 41 81 FE 00 01 00 00 75 05 45 84 C9 75 3D 0F 10 06 0F 29 44 24 50 48 85 FF 74 29 44 0F B7 64 24 20 4D 8B EB 41 0F B7 D4 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 2B FD 75 ED 0F 28 44 24 50 4C 8B 6C 24 30 45 33 D2 F3 0F 7F 06 49 8B FA 4D 8B E2 4D 63 F6 4C 89 74 24 50 EB 03 45 33 D2 42 8A 44 24 24 3C 20 0F 84 1C 03 00 00 3C 24 0F 84 B4 02 00 00 3C 2B 0F 84 40 02 00 00 3C 76 74 0D 3C 78 0F 84 21 03 00 00 E9 68 03 00 00 44 39 54 24 2C 75 67 48 8D 95 38 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 E0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 E0 48 8B 41 10 48 89 45 F0 0F 10 06 F3 0F 7F 85 B0 00 00 00 4C 8B 4B 18 4C 8D 45 E0 48 8D 95 B0 00 00 00 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 E9 F6 02 00 00 4C 8B 73 18 4D 3B F5 0F 87 C8 00 00 00 0F B7 54 24 28 48 8B CE E8 ?? ?? ?? ?? 49 8B 07 49 8B CF FF 50 18 0F B7 D0 48 8B CE E8 ?? ?? ?? ?? 0F 10 36 0F 29 75 D0 4D 8B F5 4C 2B 73 18 74 2A 0F B7 5C 24 28 41 BD 01 00 00 00 0F B7 D3 48 8D 4D D0 E8 ?? ?? ?? ?? 4D 2B F5 75 EF 0F 28 75 D0 48 8B 5C 24 38 4C 8B 6C 24 30 F3 0F 7F 36 48 8D 95 80 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 28 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 28 48 8B 41 10 48 89 45 38 66 0F 7F B5 C0 00 00 00 4C 8B 4B 18 4C 8D 45 28 48 8D 95 C0 00 00 00 48 8D 8D 28 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 4C 8B 74 24 50 E9 21 02 00 00 48 8D 95 50 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 F8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 F8 48 8B 41 10 48 89 45 08 0F 10 06 F3 0F 7F 85 80 00 00 00 4D 2B F5 4D 8B CE 4C 8D 45 F8 48 8D 95 80 00 00 00 48 8D 8D E8 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 8B 07 49 8B CF FF 50 18 0F B7 D0 48 8B CE E8 ?? ?? ?? ?? 48 8D 95 68 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 4D 8B C5 48 8D 95 98 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 10 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 10 48 8B 41 10 48 89 45 20 0F 10 06 F3 0F 7F 85 90 00 00 00 4D 8B CD 4C 8D 45 10 48 8D 95 90 00 00 00 48 8D 8D F8 00 00 00 E9 02 FF FF FF 4C 39 95 D0 01 00 00 0F 86 2C 01 00 00 48 8D 95 D0 00 00 00 48 8D 8D B8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 45 40 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 40 48 8B 41 10 48 89 45 50 0F 10 06 F3 0F 7F 45 70 41 B9 01 00 00 00 4C 8D 45 40 48 8D 55 70 48 8D 8D 18 01 00 00 E9 C6 FD FF FF 48 8D 95 08 02 00 00 48 8D 8D E0 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 70 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 70 48 8B 41 10 48 89 45 80 0F 10 06 F3 0F 7F 45 90 4C 8B 8D F8 01 00 00 4C 8D 44 24 70 48 8D 55 90 48 8D 4D 58 E9 66 FD FF FF 0F 10 06 F3 0F 7F 45 C0 0F B7 54 24 20 48 8D 4D C0 E8 ?? ?? ?? ?? 0F 28 45 C0 F3 0F 7F 06 45 33 D2 49 81 FE 00 01 00 00 75 43 0F 10 06 0F 29 44 24 60 48 85 FF 74 2F 0F B7 5C 24 20 41 BE 01 00 00 00 0F B7 D3 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 2B FE 75 EE 0F 28 44 24 60 48 8B 5C 24 38 4C 8B 74 24 50 45 33 D2 49 8B FA F3 0F 7F 06 B8 01 00 00 00 4C 03 E0 49 83 FC 04 0F 82 55 FC FF FF 44 8B F8 48 39 85 D0 01 00 00 0F 86 81 00 00 00 48 8D 95 08 02 00 00 48 8D 8D B8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 45 8B C7 48 8D 95 D0 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 70 48 8B 00 45 33 F6 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 70 48 8B 41 10 48 89 45 80 0F 10 06 F3 0F 7F 45 90 4C 8B 8D D0 01 00 00 49 FF C9 4C 8D 44 24 70 48 8D 55 90 48 8D 4D 58 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 EB 03 45 33 F6 48 8B 44 24 40 4C 89 70 28 0F 10 06 0F 29 44 24 60 48 85 FF 74 21 0F B7 5C 24 20 0F B7 D3 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 2B FF 75 EE 0F 28 44 24 60 48 8B 5C 24 38 48 8B 7D A8 F3 0F 7F 07 48 83 BD 00 02 00 00 08 72 0C 48 8B 8D E8 01 00 00 E8 ?? ?? ?? ?? BE 07 00 00 00 48 89 B5 00 02 00 00 4C 89 B5 F8 01 00 00 66 44 89 B5 E8 01 00 00 48 8B 8D E0 01 00 00 E8 ?? ?? ?? ?? 4C 89 B5 E0 01 00 00 48 83 BD D8 01 00 00 08 72 0C 48 8B 8D C0 01 00 00 E8 ?? ?? ?? ?? 48 89 B5 D8 01 00 00 4C 89 B5 D0 01 00 00 66 44 89 B5 C0 01 00 00 48 8B 8D B8 01 00 00 E8 ?? ?? ?? ?? 4C 89 B5 B8 01 00 00 48 83 BD 50 02 00 00 10 72 0C 48 8B 8D 38 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 50 02 00 00 0F 00 00 00 4C 89 B5 48 02 00 00 44 88 B5 38 02 00 00 48 8B 8D 30 02 00 00 E8 ?? ?? ?? ?? 4C 89 B5 30 02 00 00 48 83 7B 20 08 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 89 73 20 4C 89 73 18 66 44 89 73 08 48 8B 0B E8 ?? ?? ?? ?? 4C 89 33 48 8B C7 48 8B 8D 58 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 70 03 00 00 49 8B 5B 40 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_758_1 {
	meta:
		name = "?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@G_K@Z"
		size = 85
		refs = "002d ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 41 0F B7 E8 48 8B F2 48 8B D9 4D 85 C9 74 10 0F B7 D5 48 8B CE E8 ?? ?? ?? ?? 48 FF CF 75 F0 0F 10 06 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_759_1 {
	meta:
		name = "?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_W_K@Z"
		size = 85
		refs = "002d ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 41 0F B7 E8 48 8B F2 48 8B D9 4D 85 C9 74 10 0F B7 D5 48 8B CE E8 ?? ?? ?? ?? 48 FF CF 75 F0 0F 10 06 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_760_1 {
	meta:
		name = "?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@G_K@Z"
		size = 87
		refs = "002f ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7C 24 50 41 0F B7 E9 49 8B F0 48 8B DA 48 85 FF 74 10 0F B7 D5 48 8B CE E8 ?? ?? ?? ?? 48 FF CF 75 F0 0F 10 06 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_761_1 {
	meta:
		name = "?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_W_K@Z"
		size = 87
		refs = "002f ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7C 24 50 41 0F B7 E9 49 8B F0 48 8B DA 48 85 FF 74 10 0F B7 D5 48 8B CE E8 ?? ?? ?? ?? 48 FF CF 75 F0 0F 10 06 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_769_1 {
	meta:
		name = "?_Tidy@?$numpunct@G@std@@AEAAXXZ"
		size = 41
		refs = "000e ??_V@YAXPEAX@Z"
		altNames = "?_Tidy@?$numpunct@D@std@@AEAAXXZ ?_Tidy@?$numpunct@_W@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_773_1 {
	meta:
		name = "?_W_Getdays@_Locinfo@std@@QEBAPEBGXZ"
		size = 86
		refs = "000e _W_Getdays 0022 ??4?$_Yarn@_W@std@@QEAAAEAV01@PEB_W@Z 002a free 0047 ??_C@_1KM@LPDIELBN@?$AA?3?$AAS?$AAu?$AAn?$AA?3?$AAS?$AAu?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAM?$AAo?$AAn?$AA?3?$AAM?$AAo?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAT?$AAu?$AAe?$AA?3?$AAT?$AAu?$AAe?$AAs?$AAd@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 28 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 28 00 74 0F 48 8B 43 28 48 85 C0 75 0D 48 8D 43 30 EB 07 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_774_1 {
	meta:
		name = "?_W_Getmonths@_Locinfo@std@@QEBAPEBGXZ"
		size = 86
		refs = "000e _W_Getmonths 0022 ??4?$_Yarn@_W@std@@QEAAAEAV01@PEB_W@Z 002a free 0047 ??_C@_1BAO@JIKOGLKA@?$AA?3?$AAJ?$AAa?$AAn?$AA?3?$AAJ?$AAa?$AAn?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAF?$AAe?$AAb?$AA?3?$AAF?$AAe?$AAb?$AAr?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAM?$AAa?$AAr?$AA?3?$AAM?$AAa@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 38 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 38 00 74 0F 48 8B 43 38 48 85 C0 75 0D 48 8D 43 40 EB 07 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_90_792_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 209
		refs = "004c ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00c7 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00cc ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 83 C8 FF 48 8B D9 48 8B 49 18 48 2B C1 45 0F B7 F0 48 8B F2 48 3B C2 0F 86 8E 00 00 00 45 33 FF 48 85 D2 74 6A 48 8D 2C 11 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 54 48 8B 4B 18 48 8D 53 08 48 83 FE 01 75 16 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 44 89 34 48 EB 1D 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 48 8D 3C 48 41 0F B7 C6 48 8B CE 66 F3 AB 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 12 66 44 89 3C 6A 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_795_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 209
		refs = "004c ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00c7 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00cc ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 83 C8 FF 48 8B D9 48 8B 49 18 48 2B C1 45 0F B7 F0 48 8B F2 48 3B C2 0F 86 8E 00 00 00 45 33 FF 48 85 D2 74 6A 48 8D 2C 11 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 54 48 8B 4B 18 48 8D 53 08 48 83 FE 01 75 16 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 44 89 34 48 EB 1D 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 48 8D 3C 48 41 0F B7 C6 48 8B CE 66 F3 AB 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 12 66 44 89 3C 6A 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_805_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 166
		refs = "0028 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 009c ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00a1 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 74 75 45 33 C0 E8 ?? ?? ?? ?? 45 33 C0 84 C0 74 4E 48 8D 53 08 48 83 FE 01 75 14 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 89 28 EB 1D 48 83 7B 20 08 72 05 48 8B 3A EB 03 48 8B FA 48 85 F6 74 09 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 04 72 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_811_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 166
		refs = "0028 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 009c ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00a1 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 74 75 45 33 C0 E8 ?? ?? ?? ?? 45 33 C0 84 C0 74 4E 48 8D 53 08 48 83 FE 01 75 14 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 89 28 EB 1D 48 83 7B 20 08 72 05 48 8B 3A EB 03 48 8B FA 48 85 F6 74 09 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 04 72 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_814_1 {
	meta:
		name = "?assign@?$char_traits@G@std@@SAPEAGPEAG_KG@Z"
		size = 35
		altNames = "?assign@?$char_traits@_W@std@@SAPEA_WPEA_W_K_W@Z"
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 48 85 D2 74 0D 48 8B F9 41 0F B7 C0 48 8B CA 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_90_818_1 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 36
		altNames = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 83 79 20 08 72 06 4C 8B 41 08 EB 04 4C 8D 41 08 48 8B 01 48 83 62 08 00 4C 89 42 10 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_90_852_1 {
	meta:
		name = "?do_compare@?$collate@G@std@@MEBAHPEBG000@Z"
		size = 83
	strings:
		$1 = { 41 83 CA FF EB 1D 4C 3B 4C 24 28 74 1B 41 0F B7 01 66 39 02 72 38 66 3B 02 72 2C 48 83 C2 02 49 83 C1 02 49 3B D0 75 DE 33 C9 49 3B D0 0F 95 C1 4C 3B 4C 24 28 41 0F 45 CA 33 C0 85 C9 0F 95 C0 85 C9 41 0F 48 C2 C3 B9 01 00 00 00 EB EB 41 8B CA EB E6 }
	condition:
		$1
}

rule file_90_871_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 271
		refs = "0024 __security_cookie 005e ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z 006a ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 009d _Stoldx 00cb ??3@YAXPEAX@Z 00f4 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B D9 4D 8B F0 48 8B F2 48 8B 45 6F 48 8B 7D 77 4C 8B 7D 7F 48 8D 55 F7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 CF E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7D E7 00 74 38 48 8D 5D D7 48 83 7D EF 10 48 0F 43 5D D7 83 65 B7 00 4C 8D 4D B7 45 33 C0 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 39 5D BF 74 0D 83 7D B7 00 75 07 F2 41 0F 11 07 EB 03 83 0F 02 41 0F 10 06 F3 0F 7F 06 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 C7 45 EF 0F 00 00 00 48 83 65 E7 00 C6 45 D7 00 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_875_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 271
		refs = "0024 __security_cookie 005e ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z 006a ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 009d _Stoldx 00cb ??3@YAXPEAX@Z 00f4 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B D9 4D 8B F0 48 8B F2 48 8B 45 6F 48 8B 7D 77 4C 8B 7D 7F 48 8D 55 F7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 CF E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7D E7 00 74 38 48 8D 5D D7 48 83 7D EF 10 48 0F 43 5D D7 83 65 B7 00 4C 8D 4D B7 45 33 C0 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 39 5D BF 74 0D 83 7D B7 00 75 07 F2 41 0F 11 07 EB 03 83 0F 02 41 0F 10 06 F3 0F 7F 06 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 C7 45 EF 0F 00 00 00 48 83 65 E7 00 C6 45 D7 00 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_873_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 420
		refs = "0028 __security_cookie 0062 ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z 0072 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00c2 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 013c _invalid_parameter_noinfo_noreturn 015d ??3@YAXPEAX@Z 0185 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 4D 8B E0 4C 8B FA 48 8B 45 6F 4C 8B 75 77 48 8B 7D 7F 48 8D 55 E7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 D7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 45 33 ED 84 C0 74 04 41 83 0E 01 48 85 F6 75 09 41 83 0E 02 E9 B8 00 00 00 49 8B DD 48 3B 77 18 77 1C 48 89 77 18 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 66 44 89 2C 70 EB 12 45 33 C0 48 8B D6 48 2B 57 18 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 80 38 2D 75 5B 48 83 7F 20 08 72 06 48 8B 4F 08 EB 04 48 8D 4F 08 0F B7 45 FB 66 89 01 BB 01 00 00 00 EB 3C 48 3B 5D D7 77 43 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 48 3B 5F 18 77 29 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 0F BE 04 18 0F B7 4C 45 87 66 89 0C 5A 48 FF C3 48 3B DE 72 BF EB 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 0F 10 04 24 F3 41 0F 7F 07 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 0F 00 00 00 4C 89 6D D7 44 88 6D C7 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_877_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 420
		refs = "0028 __security_cookie 0062 ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z 0072 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00c2 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 013c _invalid_parameter_noinfo_noreturn 015d ??3@YAXPEAX@Z 0185 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 4D 8B E0 4C 8B FA 48 8B 45 6F 4C 8B 75 77 48 8B 7D 7F 48 8D 55 E7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 D7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 45 33 ED 84 C0 74 04 41 83 0E 01 48 85 F6 75 09 41 83 0E 02 E9 B8 00 00 00 49 8B DD 48 3B 77 18 77 1C 48 89 77 18 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 66 44 89 2C 70 EB 12 45 33 C0 48 8B D6 48 2B 57 18 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 80 38 2D 75 5B 48 83 7F 20 08 72 06 48 8B 4F 08 EB 04 48 8D 4F 08 0F B7 45 FB 66 89 01 BB 01 00 00 00 EB 3C 48 3B 5D D7 77 43 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 48 3B 5F 18 77 29 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 0F BE 04 18 0F B7 4C 45 87 66 89 0C 5A 48 FF C3 48 3B DE 72 BF EB 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 0F 10 04 24 F3 41 0F 7F 07 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 0F 00 00 00 4C 89 6D D7 44 88 6D C7 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_879_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 298
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 00ba _Stoulx 00c7 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0112 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B E9 4D 8B F8 4C 8B F2 48 8B F9 48 8B 5D 6F 48 8B 75 77 4C 8B 65 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 4D BF 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 39 7D B7 74 23 83 7D AF 00 75 1D 81 FB FF FF 00 00 77 15 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 66 41 89 1C 24 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 06 49 8B C6 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_103_266_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 298
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 00ba _Stoulx 00c7 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0112 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B E9 4D 8B F8 4C 8B F2 48 8B F9 48 8B 5D 6F 48 8B 75 77 4C 8B 65 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 4D BF 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 39 7D B7 74 23 83 7D AF 00 75 1D 81 FB FF FF 00 00 77 15 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 66 41 89 1C 24 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 06 49 8B C6 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_902_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 298
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 00ba _Stoulx 00c7 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0112 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B E9 4D 8B F8 4C 8B F2 48 8B F9 48 8B 5D 6F 48 8B 75 77 4C 8B 65 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 4D BF 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 39 7D B7 74 23 83 7D AF 00 75 1D 81 FB FF FF 00 00 77 15 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 66 41 89 1C 24 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 06 49 8B C6 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_881_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 291
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 00ba _Stoulx 00c7 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 010b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B E9 4D 8B F8 4C 8B F2 48 8B F9 48 8B 5D 6F 48 8B 75 77 4C 8B 65 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 4D BF 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 39 7D B7 74 1C 83 7D AF 00 75 16 83 FB FF 77 11 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 41 89 1C 24 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 06 49 8B C6 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_103_268_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 291
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 00ba _Stoulx 00c7 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 010b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B E9 4D 8B F8 4C 8B F2 48 8B F9 48 8B 5D 6F 48 8B 75 77 4C 8B 65 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 4D BF 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 39 7D B7 74 1C 83 7D AF 00 75 16 83 FB FF 77 11 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 41 89 1C 24 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 06 49 8B C6 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_904_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 291
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 00ba _Stoulx 00c7 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 010b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B E9 4D 8B F8 4C 8B F2 48 8B F9 48 8B 5D 6F 48 8B 75 77 4C 8B 65 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 4D BF 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 39 7D B7 74 1C 83 7D AF 00 75 16 83 FB FF 77 11 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 41 89 1C 24 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 06 49 8B C6 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_883_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 278
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0095 _Stolx 00c4 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0100 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 41 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_103_270_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 278
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0095 _Stolx 00c4 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0100 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 41 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_103_272_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 278
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoulx 00c4 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0100 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 41 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_885_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 278
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoulx 00c4 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0100 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 41 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_906_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 278
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0095 _Stolx 00c4 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0100 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 41 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_908_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 278
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoulx 00c4 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0100 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 41 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_887_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 234
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stofx 0085 ldexp 0097 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00ce __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 16 0F 57 C0 C1 E2 02 F3 0F 5A C6 E8 ?? ?? ?? ?? 0F 57 F6 F2 0F 5A F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F3 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_103_274_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 234
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stofx 0085 ldexp 0097 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00ce __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 16 0F 57 C0 C1 E2 02 F3 0F 5A C6 E8 ?? ?? ?? ?? 0F 57 F6 F2 0F 5A F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F3 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_910_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 234
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stofx 0085 ldexp 0097 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00ce __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 16 0F 57 C0 C1 E2 02 F3 0F 5A C6 E8 ?? ?? ?? ?? 0F 57 F6 F2 0F 5A F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F3 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_888_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 223
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stodx 007e ldexp 008c ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00c3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_103_275_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 223
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stodx 007e ldexp 008c ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00c3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_103_276_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
		size = 223
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stoldx 007e ldexp 008c ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00c3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_889_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
		size = 223
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stoldx 007e ldexp 008c ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00c3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_911_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 223
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stodx 007e ldexp 008c ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00c3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_912_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
		size = 223
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stoldx 007e ldexp 008c ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00c3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 7D 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B F1 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0D 83 7D 9F 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_890_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 272
		refs = "001c __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 00b4 _Stoullx 00c2 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00fc __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 49 8B E8 48 8B F2 48 8B D9 48 8B 8C 24 E0 00 00 00 48 8B BC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4D 8B CF 4C 8B C5 48 8D 54 24 50 48 8B CB E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 4C 8D 4C 24 30 44 8B C3 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 49 8B D7 48 8B CD E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 03 83 0F 02 0F 10 45 00 F3 0F 7F 06 48 8B C6 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_103_277_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 272
		refs = "001c __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 00b4 _Stoullx 00c2 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00fc __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 49 8B E8 48 8B F2 48 8B D9 48 8B 8C 24 E0 00 00 00 48 8B BC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4D 8B CF 4C 8B C5 48 8D 54 24 50 48 8B CB E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 4C 8D 4C 24 30 44 8B C3 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 49 8B D7 48 8B CD E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 03 83 0F 02 0F 10 45 00 F3 0F 7F 06 48 8B C6 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_913_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 272
		refs = "001c __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 00b4 _Stoullx 00c2 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00fc __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 49 8B E8 48 8B F2 48 8B D9 48 8B 8C 24 E0 00 00 00 48 8B BC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4D 8B CF 4C 8B C5 48 8D 54 24 50 48 8B CB E8 ?? ?? ?? ?? 8B D8 48 8B 4C 24 40 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 4C 8D 4C 24 30 44 8B C3 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 49 8B D7 48 8B CD E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 03 83 0F 02 0F 10 45 00 F3 0F 7F 06 48 8B C6 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_892_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 279
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0095 _Stollx 00c5 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0101 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_103_279_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 279
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0095 _Stollx 00c5 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0101 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_103_281_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 279
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoullx 00c5 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0101 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_894_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 279
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoullx 00c5 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0101 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_915_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 279
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0095 _Stollx 00c5 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0101 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_917_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 279
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoullx 00c5 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0101 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 4D 8B F9 4D 8B F0 48 8B EA 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B A4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CF 4D 8B C6 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 1C 24 EB 03 83 0E 02 41 0F 10 06 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_896_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 647
		refs = "0025 __security_cookie 006e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0077 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00ae ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z 00bb ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ce ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00df ??3@YAXPEAX@Z 0107 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0113 ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0174 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z 01d7 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 01ed _Stoulx 023b ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 026f __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC E8 00 00 00 48 C7 44 24 60 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E1 4C 89 4C 24 38 4D 8B F8 4C 8B EA 48 89 4C 24 48 48 8B 75 6F 4C 8B 75 77 48 8B 45 7F 48 89 44 24 58 48 83 CF FF 48 8B CE F7 46 18 00 40 00 00 0F 84 40 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 8D 77 02 48 8B 4C 24 30 33 DB 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 45 33 C0 48 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 55 87 49 8B CC E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D A7 08 72 09 48 8B 4D 8F E8 ?? ?? ?? ?? 48 C7 45 A7 07 00 00 00 48 89 5D 9F 66 89 5D 8F 48 8B 4D 87 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 55 87 49 8B CC E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D A7 08 72 09 48 8B 4D 8F E8 ?? ?? ?? ?? 48 C7 45 A7 07 00 00 00 48 89 5D 9F 66 89 5D 8F 48 8B 4D 87 E8 ?? ?? ?? ?? 4C 8D 4D B7 48 83 7D CF 08 4C 0F 43 4D B7 41 B8 02 00 00 00 4C 8B 64 24 38 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 8B F8 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 07 00 00 00 48 89 5D C7 66 89 5D B7 48 8B 4D AF E8 ?? ?? ?? ?? E9 8C 00 00 00 33 DB 89 5C 24 30 48 8D 54 24 50 E8 ?? ?? ?? ?? 48 8B D0 8B 46 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 D7 48 8B 4C 24 48 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 40 48 8D 4D D7 E8 ?? ?? ?? ?? 44 8B E0 8D 73 01 48 8B 4C 24 50 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 48 8D 45 D7 48 39 44 24 40 74 0D 39 5C 24 30 75 07 44 3B E6 41 0F 46 FC 4C 8B 64 24 38 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 41 09 36 85 FF 79 06 41 83 0E 02 EB 0A 0F 95 C1 48 8B 44 24 58 88 08 41 0F 10 07 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 E8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_919_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 647
		refs = "0025 __security_cookie 006e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0077 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00ae ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 00bb ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ce ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00df ??3@YAXPEAX@Z 0107 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0113 ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0174 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z 01d7 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 01ed _Stoulx 023b ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 026f __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC E8 00 00 00 48 C7 44 24 60 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E1 4C 89 4C 24 38 4D 8B F8 4C 8B EA 48 89 4C 24 48 48 8B 75 6F 4C 8B 75 77 48 8B 45 7F 48 89 44 24 58 48 83 CF FF 48 8B CE F7 46 18 00 40 00 00 0F 84 40 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 8D 77 02 48 8B 4C 24 30 33 DB 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 45 33 C0 48 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 55 87 49 8B CC E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D A7 08 72 09 48 8B 4D 8F E8 ?? ?? ?? ?? 48 C7 45 A7 07 00 00 00 48 89 5D 9F 66 89 5D 8F 48 8B 4D 87 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 55 87 49 8B CC E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D A7 08 72 09 48 8B 4D 8F E8 ?? ?? ?? ?? 48 C7 45 A7 07 00 00 00 48 89 5D 9F 66 89 5D 8F 48 8B 4D 87 E8 ?? ?? ?? ?? 4C 8D 4D B7 48 83 7D CF 08 4C 0F 43 4D B7 41 B8 02 00 00 00 4C 8B 64 24 38 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 8B F8 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 07 00 00 00 48 89 5D C7 66 89 5D B7 48 8B 4D AF E8 ?? ?? ?? ?? E9 8C 00 00 00 33 DB 89 5C 24 30 48 8D 54 24 50 E8 ?? ?? ?? ?? 48 8B D0 8B 46 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 D7 48 8B 4C 24 48 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 40 48 8D 4D D7 E8 ?? ?? ?? ?? 44 8B E0 8D 73 01 48 8B 4C 24 50 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 48 8D 45 D7 48 39 44 24 40 74 0D 39 5C 24 30 75 07 44 3B E6 41 0F 46 FC 4C 8B 64 24 38 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 41 09 36 85 FF 79 06 41 83 0E 02 EB 0A 0F 95 C1 48 8B 44 24 58 88 08 41 0F 10 07 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 E8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_929_1 {
	meta:
		name = "?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 2061
		refs = "003a ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0043 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 008c ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0179 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z 0272 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 18 4D 8B F1 49 8B F8 4C 8B E1 48 8D 55 40 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 40 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 04 24 49 8B CC FF 50 18 44 8B E8 B8 02 00 00 00 45 85 ED 44 0F 44 E8 49 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 48 8B 75 68 84 C0 0F 85 57 01 00 00 38 47 08 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 04 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 48 8B 5D 70 84 C0 75 4D 41 0F 10 06 F3 0F 7F 45 D0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 89 5C 24 30 48 89 74 24 28 48 8B 4D 60 48 89 4C 24 20 4C 8D 4D D0 4C 8D 45 E0 48 8D 55 F0 49 8B CC FF 50 38 0F 10 45 F0 F3 0F 7F 07 41 BD 02 00 00 00 E9 AD 00 00 00 41 83 FD 02 75 2E 48 83 C3 10 4C 89 7C 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 45 8D 4D FF 4D 8B C6 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 09 06 FF 0B EB 75 41 83 FD 01 75 2B 48 8D 43 0C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8B CD 4D 8B C6 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 09 06 EB 48 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 89 5C 24 30 48 89 74 24 28 48 8B 4D 60 48 89 4C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CC FF 50 40 0F 10 45 D0 F3 0F 7F 07 EB 04 48 8B 5D 70 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7E BE FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 8B 48 8B 75 68 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 77 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 45 33 C0 0F B7 57 0A 49 8B CF FF 50 70 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7E BB FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 8B 48 8B 5D 70 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 13 01 00 00 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 04 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 75 5E 41 83 FD 02 75 08 44 09 2E E9 A3 00 00 00 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 89 5C 24 30 48 89 74 24 28 48 8B 5D 60 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CC FF 50 38 0F 10 45 D0 F3 0F 7F 07 41 83 FD 04 75 5F 41 BD 03 00 00 00 EB 57 41 8D 45 FF 4C 89 7C 24 30 41 B9 01 00 00 00 4D 8B C6 48 8B D7 49 8B CC A9 FD FF FF FF 74 1A 48 8D 43 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 EB 1A 48 83 C3 10 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B 48 8B 5D 60 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7E BB FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 8B 48 8B 5D 60 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 77 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 45 33 C0 0F B7 57 0A 49 8B CF FF 50 70 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7E BE FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 8B 48 8B 75 68 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 08 83 0E 02 E9 58 01 00 00 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 04 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 75 45 41 83 FD 04 75 8F 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 8B 4D 70 48 89 4C 24 30 48 89 74 24 28 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CC FF 50 38 E9 A8 00 00 00 41 83 FD 04 75 32 48 8B 5D 70 48 83 C3 10 4C 89 7C 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 45 8D 4D FD 4D 8B C6 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 09 06 FF 0B EB 78 41 83 FD 03 75 30 48 8B 45 70 48 83 C0 0C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8D 4D FE 4D 8B C6 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 09 06 EB 42 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 8B 4D 70 48 89 4C 24 30 48 89 74 24 28 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CC FF 50 40 0F 10 45 D0 F3 0F 7F 07 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 0F 10 07 48 8B 45 48 F3 0F 7F 00 48 8B 9C 24 D0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_931_1 {
	meta:
		name = "?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 2061
		refs = "003a ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0043 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 008c ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0179 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z 0272 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 18 4D 8B F1 49 8B F8 4C 8B E1 48 8D 55 40 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 40 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 04 24 49 8B CC FF 50 18 44 8B E8 B8 02 00 00 00 45 85 ED 44 0F 44 E8 49 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 48 8B 75 68 84 C0 0F 85 57 01 00 00 38 47 08 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 04 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 48 8B 5D 70 84 C0 75 4D 41 0F 10 06 F3 0F 7F 45 D0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 89 5C 24 30 48 89 74 24 28 48 8B 4D 60 48 89 4C 24 20 4C 8D 4D D0 4C 8D 45 E0 48 8D 55 F0 49 8B CC FF 50 38 0F 10 45 F0 F3 0F 7F 07 41 BD 02 00 00 00 E9 AD 00 00 00 41 83 FD 02 75 2E 48 83 C3 10 4C 89 7C 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 45 8D 4D FF 4D 8B C6 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 09 06 FF 0B EB 75 41 83 FD 01 75 2B 48 8D 43 0C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8B CD 4D 8B C6 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 09 06 EB 48 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 89 5C 24 30 48 89 74 24 28 48 8B 4D 60 48 89 4C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CC FF 50 40 0F 10 45 D0 F3 0F 7F 07 EB 04 48 8B 5D 70 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7E BE FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 8B 48 8B 75 68 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 77 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 45 33 C0 0F B7 57 0A 49 8B CF FF 50 70 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7E BB FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 8B 48 8B 5D 70 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 13 01 00 00 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 04 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 75 5E 41 83 FD 02 75 08 44 09 2E E9 A3 00 00 00 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 89 5C 24 30 48 89 74 24 28 48 8B 5D 60 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CC FF 50 38 0F 10 45 D0 F3 0F 7F 07 41 83 FD 04 75 5F 41 BD 03 00 00 00 EB 57 41 8D 45 FF 4C 89 7C 24 30 41 B9 01 00 00 00 4D 8B C6 48 8B D7 49 8B CC A9 FD FF FF FF 74 1A 48 8D 43 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 EB 1A 48 83 C3 10 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B 48 8B 5D 60 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7E BB FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 8B 48 8B 5D 60 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 77 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 45 33 C0 0F B7 57 0A 49 8B CF FF 50 70 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7E BE FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 48 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 8B 48 8B 75 68 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 08 83 0E 02 E9 58 01 00 00 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 49 8B 07 BA 04 00 00 00 44 0F B7 47 0A 49 8B CF FF 50 20 84 C0 75 45 41 83 FD 04 75 8F 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 8B 4D 70 48 89 4C 24 30 48 89 74 24 28 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CC FF 50 38 E9 A8 00 00 00 41 83 FD 04 75 32 48 8B 5D 70 48 83 C3 10 4C 89 7C 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 45 8D 4D FD 4D 8B C6 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 09 06 FF 0B EB 78 41 83 FD 03 75 30 48 8B 45 70 48 83 C0 0C 4C 89 7C 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8D 4D FE 4D 8B C6 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 09 06 EB 42 41 0F 10 06 F3 0F 7F 45 F0 0F 10 0F F3 0F 7F 4D E0 49 8B 04 24 48 8B 4D 70 48 89 4C 24 30 48 89 74 24 28 48 89 5C 24 20 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CC FF 50 40 0F 10 45 D0 F3 0F 7F 07 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 0F 10 07 48 8B 45 48 F3 0F 7F 00 48 8B 9C 24 D0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_935_1 {
	meta:
		name = "?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 514
		refs = "0038 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0041 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0099 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z 0111 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 56 57 41 54 41 56 41 57 48 83 EC 50 48 C7 40 C8 FE FF FF FF 48 89 58 08 48 89 68 18 4D 8B F9 49 8B D8 48 8B EA 4C 8B E1 48 8D 50 10 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 8C 24 88 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 4C 8B B4 24 B0 00 00 00 49 8D 46 08 48 89 74 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 48 8B BC 24 A8 00 00 00 09 07 0F 85 93 00 00 00 80 7B 08 00 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 48 8B 06 45 33 C0 0F B7 53 0A 48 8B CE FF 50 70 3C 3A 75 33 48 8B CB E8 ?? ?? ?? ?? 49 8D 46 04 48 89 74 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 83 3F 00 0F 85 8F 00 00 00 80 7B 08 00 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 48 8B 06 45 33 C0 0F B7 53 0A 48 8B CE FF 50 70 3C 3A 75 2F 48 8B CB E8 ?? ?? ?? ?? 48 89 74 24 30 4C 89 74 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 0F 10 03 F3 0F 7F 45 00 48 8B C5 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_90_937_1 {
	meta:
		name = "?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 514
		refs = "0038 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0041 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0099 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z 0111 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 56 57 41 54 41 56 41 57 48 83 EC 50 48 C7 40 C8 FE FF FF FF 48 89 58 08 48 89 68 18 4D 8B F9 49 8B D8 48 8B EA 4C 8B E1 48 8D 50 10 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 8C 24 88 00 00 00 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 4C 8B B4 24 B0 00 00 00 49 8D 46 08 48 89 74 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 48 8B BC 24 A8 00 00 00 09 07 0F 85 93 00 00 00 80 7B 08 00 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 48 8B 06 45 33 C0 0F B7 53 0A 48 8B CE FF 50 70 3C 3A 75 33 48 8B CB E8 ?? ?? ?? ?? 49 8D 46 04 48 89 74 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 83 3F 00 0F 85 8F 00 00 00 80 7B 08 00 75 46 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 48 8B 06 45 33 C0 0F B7 53 0A 48 8B CE FF 50 70 3C 3A 75 2F 48 8B CB E8 ?? ?? ?? ?? 48 89 74 24 30 4C 89 74 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C7 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 0F 10 03 F3 0F 7F 45 00 48 8B C5 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_90_949_1 {
	meta:
		name = "?do_hash@?$collate@G@std@@MEBAJPEBG0@Z"
		size = 67
		altNames = "?do_hash@?$collate@_W@std@@MEBAJPEB_W0@Z"
	strings:
		$1 = { 4C 2B C2 48 B9 25 23 22 84 E4 9C F2 CB 41 B9 00 00 00 00 49 D1 F8 4D 03 C0 74 1E 41 0F B6 04 11 49 BA B3 01 00 00 00 01 00 00 49 FF C1 48 33 C8 49 0F AF CA 4D 3B C8 72 E2 48 8B C1 48 C1 E8 20 33 C1 C3 }
	condition:
		$1
}

rule file_90_978_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 557
		refs = "0028 __security_cookie 0052 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005b ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0094 ?_Src@?1??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@3@V43@_NAEAVios_base@3@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@3@@Z@4QBDB 013b _invalid_parameter_noinfo_noreturn 016a ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG_K@Z 0184 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0191 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z 01d5 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 01e6 ??3@YAXPEAX@Z 020e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC F0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 50 4D 8B E0 4C 8B F2 4C 8B E9 4C 8B 7D 6F 48 8B 5D 7F 48 8D 54 24 58 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 4C 24 58 33 F6 48 89 74 24 60 48 85 C9 74 17 48 8B 01 FF 50 10 48 85 C0 74 0C 4C 8B 00 8D 56 01 48 8B C8 41 FF 10 48 8B 07 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 50 58 33 FF 44 8B CF 48 8B 53 18 48 85 D2 74 23 48 83 7B 20 08 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 0F B7 45 FB 66 39 01 75 09 40 B6 01 41 B9 01 00 00 00 4D 8B C1 4C 3B CA 73 67 0F B7 7D E7 4C 3B CA 77 53 48 83 7B 20 08 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 48 8D 45 E7 45 33 D2 66 85 FF 74 1C 46 0F B7 14 41 0F B7 CF 66 41 3B CA 74 0E 48 83 C0 02 0F B7 08 66 3B 4C 24 60 75 EC 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 10 49 FF C0 4C 3B C2 72 AF EB 06 E8 ?? ?? ?? ?? CC 33 FF 4C 3B CA 76 06 E8 ?? ?? ?? ?? CC 48 83 7B 20 08 72 06 48 8B 5B 08 EB 04 48 83 C3 08 4A 8D 14 4B 4D 2B C1 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 39 7D D7 75 13 44 0F B7 45 E7 BA 01 00 00 00 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 55 BF 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8B D0 41 0F 10 04 24 F3 0F 7F 44 24 60 0F B7 45 E7 66 89 44 24 40 48 89 54 24 38 40 88 74 24 30 0F B7 45 77 66 89 44 24 28 4C 89 7C 24 20 44 8A 4C 24 50 4C 8D 44 24 60 49 8B D6 49 8B CD E8 ?? ?? ?? ?? 90 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 07 00 00 00 48 89 7D D7 66 89 7D C7 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_984_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 557
		refs = "0028 __security_cookie 0052 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005b ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0094 ?_Src@?1??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@3@V43@_NAEAVios_base@3@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@3@@Z@4QBDB 013b _invalid_parameter_noinfo_noreturn 016a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W_K@Z 0184 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0191 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z 01d5 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 01e6 ??3@YAXPEAX@Z 020e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC F0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 50 4D 8B E0 4C 8B F2 4C 8B E9 4C 8B 7D 6F 48 8B 5D 7F 48 8D 54 24 58 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 4C 24 58 33 F6 48 89 74 24 60 48 85 C9 74 17 48 8B 01 FF 50 10 48 85 C0 74 0C 4C 8B 00 8D 56 01 48 8B C8 41 FF 10 48 8B 07 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 50 58 33 FF 44 8B CF 48 8B 53 18 48 85 D2 74 23 48 83 7B 20 08 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 0F B7 45 FB 66 39 01 75 09 40 B6 01 41 B9 01 00 00 00 4D 8B C1 4C 3B CA 73 67 0F B7 7D E7 4C 3B CA 77 53 48 83 7B 20 08 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 48 8D 45 E7 45 33 D2 66 85 FF 74 1C 46 0F B7 14 41 0F B7 CF 66 41 3B CA 74 0E 48 83 C0 02 0F B7 08 66 3B 4C 24 60 75 EC 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 10 49 FF C0 4C 3B C2 72 AF EB 06 E8 ?? ?? ?? ?? CC 33 FF 4C 3B CA 76 06 E8 ?? ?? ?? ?? CC 48 83 7B 20 08 72 06 48 8B 5B 08 EB 04 48 83 C3 08 4A 8D 14 4B 4D 2B C1 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 39 7D D7 75 13 44 0F B7 45 E7 BA 01 00 00 00 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 55 BF 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8B D0 41 0F 10 04 24 F3 0F 7F 44 24 60 0F B7 45 E7 66 89 44 24 40 48 89 54 24 38 40 88 74 24 30 0F B7 45 77 66 89 44 24 28 4C 89 7C 24 20 44 8A 4C 24 50 4C 8D 44 24 60 49 8B D6 49 8B CD E8 ?? ?? ?? ?? 90 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 07 00 00 00 48 89 7D D7 66 89 7D C7 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_981_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GO@Z"
		size = 496
		refs = "0028 __security_cookie 0060 __xmm@80000000000000008000000000000000 006b __real@4733426172c74d82 007e __real@4202a05f20000000 0094 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00a2 sprintf_s 00c3 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0115 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z 014b ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0158 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z 0196 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 01a7 ??3@YAXPEAX@Z 01d1 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 87 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4C 24 50 4D 8B F8 48 8B F2 48 89 4C 24 58 4C 8B 6D 6F 33 FF 44 8A E7 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0A 41 B4 01 0F 57 1D ?? ?? ?? ?? 4C 8B F7 F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FE 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C6 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D DF E8 ?? ?? ?? ?? 48 63 D8 85 C0 79 0D 41 0F 10 07 F3 0F 7F 06 E9 0C 01 00 00 48 8D 54 24 70 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 60 48 8B 4C 24 70 48 85 C9 74 1A 4C 8B 01 41 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 B2 30 48 8B CF FF 50 60 0F B7 F8 45 33 C0 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 08 4C 0F 43 4D BF 48 8B 4C 24 60 4C 8B 11 4C 8D 45 DF 4C 03 C3 48 8D 55 DF 41 FF 52 58 44 0F B7 C7 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 44 24 60 66 89 7C 24 40 48 89 44 24 38 44 88 64 24 30 0F B7 45 77 66 89 44 24 28 4C 89 6C 24 20 44 8A 4C 24 50 4C 8D 44 24 60 48 8B D6 48 8B 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 C7 45 D7 07 00 00 00 33 C0 48 89 45 CF 66 89 45 BF 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_987_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WO@Z"
		size = 496
		refs = "0028 __security_cookie 0060 __xmm@80000000000000008000000000000000 006b __real@4733426172c74d82 007e __real@4202a05f20000000 0094 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00a2 sprintf_s 00c3 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0115 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 014b ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0158 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z 0196 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 01a7 ??3@YAXPEAX@Z 01d1 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 87 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4C 24 50 4D 8B F8 48 8B F2 48 89 4C 24 58 4C 8B 6D 6F 33 FF 44 8A E7 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0A 41 B4 01 0F 57 1D ?? ?? ?? ?? 4C 8B F7 F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FE 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C6 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D DF E8 ?? ?? ?? ?? 48 63 D8 85 C0 79 0D 41 0F 10 07 F3 0F 7F 06 E9 0C 01 00 00 48 8D 54 24 70 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 60 48 8B 4C 24 70 48 85 C9 74 1A 4C 8B 01 41 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 B2 30 48 8B CF FF 50 60 0F B7 F8 45 33 C0 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 08 4C 0F 43 4D BF 48 8B 4C 24 60 4C 8B 11 4C 8D 45 DF 4C 03 C3 48 8D 55 DF 41 FF 52 58 44 0F B7 C7 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 44 24 60 66 89 7C 24 40 48 89 44 24 38 44 88 64 24 30 0F B7 45 77 66 89 44 24 28 4C 89 6C 24 20 44 8A 4C 24 50 4C 8D 44 24 60 48 8B D6 48 8B 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 C7 45 D7 07 00 00 00 33 C0 48 89 45 CF 66 89 45 BF 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_990_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GJ@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_991_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GK@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_1000_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WJ@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_1001_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WK@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_992_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GN@Z"
		size = 434
		refs = "001b __security_cookie 0088 __real@3fe0000000000000 0098 __xmm@80000000000000008000000000000000 00b1 __real@4202a05f20000000 00b9 __real@4733426172c74d82 00e7 __real@38aa95a5b7f87a0f 0125 ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z 0140 sprintf_s 0181 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z 0194 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 56 41 57 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B F9 49 8B F9 4C 8B E2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 F6 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 0F 85 8E 00 00 00 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2E C6 7A 02 74 7B F2 0F 10 15 ?? ?? ?? ?? 0F 57 C9 66 0F 2F CE 0F 97 C0 84 C0 74 03 0F 57 F2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B F1 73 0E F2 0F 5E F3 49 83 C6 0A 66 0F 2F F0 73 ED 66 0F 2F F1 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 03 0F 57 F2 41 0F 10 00 48 8D 54 24 60 45 33 C0 49 8B CF F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CF 48 89 54 24 48 0F B7 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 74 24 30 48 89 44 24 28 66 89 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_1002_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WN@Z"
		size = 434
		refs = "001b __security_cookie 0088 __real@3fe0000000000000 0098 __xmm@80000000000000008000000000000000 00b1 __real@4202a05f20000000 00b9 __real@4733426172c74d82 00e7 __real@38aa95a5b7f87a0f 0125 ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z 0140 sprintf_s 0181 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z 0194 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 56 41 57 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B F9 49 8B F9 4C 8B E2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 F6 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 0F 85 8E 00 00 00 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2E C6 7A 02 74 7B F2 0F 10 15 ?? ?? ?? ?? 0F 57 C9 66 0F 2F CE 0F 97 C0 84 C0 74 03 0F 57 F2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B F1 73 0E F2 0F 5E F3 49 83 C6 0A 66 0F 2F F0 73 ED 66 0F 2F F1 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 03 0F 57 F2 41 0F 10 00 48 8D 54 24 60 45 33 C0 49 8B CF F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CF 48 89 54 24 48 0F B7 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 74 24 30 48 89 44 24 28 66 89 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_993_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GO@Z"
		size = 411
		refs = "001b __security_cookie 0081 __xmm@80000000000000008000000000000000 009a __real@4202a05f20000000 00a2 __real@4733426172c74d82 00d0 __real@38aa95a5b7f87a0f 010e ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z 0129 sprintf_s 016a ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z 017d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 56 41 57 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B F9 49 8B F9 4C 8B E2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 F6 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 75 7B F2 0F 10 15 ?? ?? ?? ?? 0F 57 C9 66 0F 2F CE 0F 97 C0 84 C0 74 03 0F 57 F2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B F1 73 0E F2 0F 5E F3 49 83 C6 0A 66 0F 2F F0 73 ED 66 0F 2F F1 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 03 0F 57 F2 41 0F 10 00 48 8D 54 24 60 41 B0 4C 49 8B CF F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CF 48 89 54 24 48 0F B7 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 74 24 30 48 89 44 24 28 66 89 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_1003_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WO@Z"
		size = 411
		refs = "001b __security_cookie 0081 __xmm@80000000000000008000000000000000 009a __real@4202a05f20000000 00a2 __real@4733426172c74d82 00d0 __real@38aa95a5b7f87a0f 010e ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z 0129 sprintf_s 016a ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z 017d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 56 41 57 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B F9 49 8B F9 4C 8B E2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 F6 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 75 7B F2 0F 10 15 ?? ?? ?? ?? 0F 57 C9 66 0F 2F CE 0F 97 C0 84 C0 74 03 0F 57 F2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B F1 73 0E F2 0F 5E F3 49 83 C6 0A 66 0F 2F F0 73 ED 66 0F 2F F1 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 03 0F 57 F2 41 0F 10 00 48 8D 54 24 60 41 B0 4C 49 8B CF F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CF 48 89 54 24 48 0F B7 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 74 24 30 48 89 44 24 28 66 89 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_90_994_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBX@Z"
		size = 158
		refs = "000e __security_cookie 0035 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007c ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 008f __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8B 8C 24 E8 00 00 00 48 8B D9 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 50 BA 40 00 00 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 C8 48 8D 44 24 50 48 8B D6 48 89 4C 24 30 0F B7 8C 24 E0 00 00 00 48 89 44 24 28 66 89 4C 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_1004_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBX@Z"
		size = 158
		refs = "000e __security_cookie 0035 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007c ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 008f __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8B 8C 24 E8 00 00 00 48 8B D9 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 50 BA 40 00 00 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 C8 48 8D 44 24 50 48 8B D6 48 89 4C 24 30 0F B7 8C 24 E0 00 00 00 48 89 44 24 28 66 89 4C 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_995_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_J@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_996_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_K@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_1005_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_J@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_1006_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_K@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_90_997_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z"
		size = 624
		refs = "0024 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00bd ??2@YAPEAX_K@Z 00c7 ?_Xbad_alloc@std@@YAXXZ 0101 ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0108 ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0124 ??3@YAXPEAX@Z 013c ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 01a3 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 0258 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC A8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F9 4D 8B F0 4C 8B E2 44 0F B7 6D 77 41 F7 41 18 00 40 00 00 75 2A 41 0F 10 00 F3 0F 7F 45 97 4C 8B 11 0F B6 55 7F 89 54 24 28 66 44 89 6C 24 20 4C 8D 45 97 49 8B D4 41 FF 52 48 E9 DC 01 00 00 48 8D 55 97 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D 97 33 F6 48 85 C9 74 17 48 8B 11 FF 52 10 48 85 C0 74 0C 4C 8B 00 8D 56 01 48 8B C8 41 FF 10 48 89 75 AF 48 89 75 C7 48 89 75 CF B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 AF 0F 57 C0 F3 0F 7F 00 48 8D 4D AF 48 8B 45 AF 48 89 08 BF 07 00 00 00 48 89 7D CF 48 89 75 C7 66 89 75 B7 48 8D 55 D7 48 8B CB 40 38 75 7F 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 AF 48 3B C3 74 28 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 89 7D CF 48 89 75 C7 66 89 75 B7 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 48 83 7D F7 08 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 89 7D F7 48 89 75 EF 66 89 75 DF 48 8B 4D D7 E8 ?? ?? ?? ?? 49 8B 5F 28 48 8B 7D C7 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B DE 41 8B 47 18 25 C0 01 00 00 83 F8 40 74 2F 41 0F 10 06 0F 29 45 97 48 85 DB 74 1A 41 0F B7 D5 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF CB 75 EE 48 8B 7D C7 0F 28 45 97 F3 41 0F 7F 06 48 8B DE 41 0F 10 06 0F 29 45 97 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 85 FF 74 19 0F B7 16 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 76 02 48 FF CF 75 EB 0F 28 45 97 F3 41 0F 7F 06 33 FF 49 89 7F 28 41 0F 10 06 0F 29 45 97 48 85 DB 74 16 41 0F B7 D5 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 97 F3 41 0F 7F 04 24 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 07 00 00 00 48 89 7D C7 66 89 7D B7 48 8B 4D AF E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_1007_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z"
		size = 624
		refs = "0024 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00bd ??2@YAPEAX_K@Z 00c7 ?_Xbad_alloc@std@@YAXXZ 0101 ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0108 ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0124 ??3@YAXPEAX@Z 013c ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 01a3 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 0258 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC A8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F9 4D 8B F0 4C 8B E2 44 0F B7 6D 77 41 F7 41 18 00 40 00 00 75 2A 41 0F 10 00 F3 0F 7F 45 97 4C 8B 11 0F B6 55 7F 89 54 24 28 66 44 89 6C 24 20 4C 8D 45 97 49 8B D4 41 FF 52 48 E9 DC 01 00 00 48 8D 55 97 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D 97 33 F6 48 85 C9 74 17 48 8B 11 FF 52 10 48 85 C0 74 0C 4C 8B 00 8D 56 01 48 8B C8 41 FF 10 48 89 75 AF 48 89 75 C7 48 89 75 CF B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 AF 0F 57 C0 F3 0F 7F 00 48 8D 4D AF 48 8B 45 AF 48 89 08 BF 07 00 00 00 48 89 7D CF 48 89 75 C7 66 89 75 B7 48 8D 55 D7 48 8B CB 40 38 75 7F 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 AF 48 3B C3 74 28 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 89 7D CF 48 89 75 C7 66 89 75 B7 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 48 83 7D F7 08 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 89 7D F7 48 89 75 EF 66 89 75 DF 48 8B 4D D7 E8 ?? ?? ?? ?? 49 8B 5F 28 48 8B 7D C7 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B DE 41 8B 47 18 25 C0 01 00 00 83 F8 40 74 2F 41 0F 10 06 0F 29 45 97 48 85 DB 74 1A 41 0F B7 D5 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF CB 75 EE 48 8B 7D C7 0F 28 45 97 F3 41 0F 7F 06 48 8B DE 41 0F 10 06 0F 29 45 97 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 85 FF 74 19 0F B7 16 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 76 02 48 FF CF 75 EB 0F 28 45 97 F3 41 0F 7F 06 33 FF 49 89 7F 28 41 0F 10 06 0F 29 45 97 48 85 DB 74 16 41 0F B7 D5 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 97 F3 41 0F 7F 04 24 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 07 00 00 00 48 89 7D C7 66 89 7D B7 48 8B 4D AF E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_90_1010_1 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBUtm@@DD@Z"
		size = 553
		refs = "0028 __security_cookie 0048 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 0072 ??2@YAPEAX_K@Z 007c ?_Xbad_alloc@std@@YAXXZ 00d2 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00e7 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00ef ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ 0106 _Wcsftime 0173 _invalid_parameter_noinfo_noreturn 01cf ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z 01e2 ??3@YAXPEAX@Z 020a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC B0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F0 48 8B F2 48 89 55 97 4C 8B E9 4C 8B 65 6F F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 45 EF 0F B7 05 ?? ?? ?? ?? 66 89 45 F7 33 DB 48 89 5D C7 48 89 5D DF 48 89 5D E7 44 8D 7B 10 41 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 C7 0F 57 C0 F3 0F 7F 00 48 8D 4D C7 48 8B 45 C7 48 89 08 48 C7 45 E7 07 00 00 00 48 89 5D DF 66 89 5D CF 8A 45 7F 84 C0 75 0A 0F BE 45 77 66 89 45 F3 EB 0F 0F BE C0 66 89 45 F3 0F BE 45 77 66 89 45 F5 45 33 C0 49 8B D7 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5D 10 48 8B 7D DF 48 8D 55 AF 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CC 4C 8D 45 EF 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 33 DB 48 85 C0 75 54 4D 03 FF 45 33 C0 49 8B D7 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5D 10 48 8B 7D DF 48 8D 55 AF 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CC 4C 8D 45 EF 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 B2 48 8B 75 97 33 DB 41 0F 10 06 4C 3B 45 DF 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 CF 48 8B 4D CF 48 8B 55 E7 48 83 FA 08 48 0F 43 C1 4E 8D 04 40 48 83 7D DF 01 73 06 E8 ?? ?? ?? ?? CC 4C 8D 55 CF 48 83 FA 08 4C 0F 43 D1 49 83 C2 02 4D 3B D0 75 06 F3 0F 7F 06 EB 23 F3 0F 7F 45 97 8A 45 87 88 44 24 20 4C 8D 4D 97 49 8B D2 48 8B CE E8 ?? ?? ?? ?? 48 8B 55 E7 48 8B 4D CF 48 83 FA 08 72 05 E8 ?? ?? ?? ?? 48 C7 45 E7 07 00 00 00 48 89 5D DF 66 89 5D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 08 01 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_1012_1 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBUtm@@DD@Z"
		size = 553
		refs = "0028 __security_cookie 0048 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 0072 ??2@YAPEAX_K@Z 007c ?_Xbad_alloc@std@@YAXXZ 00d2 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00e7 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00ef ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ 0106 _Wcsftime 0173 _invalid_parameter_noinfo_noreturn 01cf ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z 01e2 ??3@YAXPEAX@Z 020a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC B0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F0 48 8B F2 48 89 55 97 4C 8B E9 4C 8B 65 6F F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 45 EF 0F B7 05 ?? ?? ?? ?? 66 89 45 F7 33 DB 48 89 5D C7 48 89 5D DF 48 89 5D E7 44 8D 7B 10 41 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 C7 0F 57 C0 F3 0F 7F 00 48 8D 4D C7 48 8B 45 C7 48 89 08 48 C7 45 E7 07 00 00 00 48 89 5D DF 66 89 5D CF 8A 45 7F 84 C0 75 0A 0F BE 45 77 66 89 45 F3 EB 0F 0F BE C0 66 89 45 F3 0F BE 45 77 66 89 45 F5 45 33 C0 49 8B D7 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5D 10 48 8B 7D DF 48 8D 55 AF 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CC 4C 8D 45 EF 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 33 DB 48 85 C0 75 54 4D 03 FF 45 33 C0 49 8B D7 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5D 10 48 8B 7D DF 48 8D 55 AF 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CC 4C 8D 45 EF 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 74 B2 48 8B 75 97 33 DB 41 0F 10 06 4C 3B 45 DF 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 CF 48 8B 4D CF 48 8B 55 E7 48 83 FA 08 48 0F 43 C1 4E 8D 04 40 48 83 7D DF 01 73 06 E8 ?? ?? ?? ?? CC 4C 8D 55 CF 48 83 FA 08 4C 0F 43 D1 49 83 C2 02 4D 3B D0 75 06 F3 0F 7F 06 EB 23 F3 0F 7F 45 97 8A 45 87 88 44 24 20 4C 8D 4D 97 49 8B D2 48 8B CE E8 ?? ?? ?? ?? 48 8B 55 E7 48 8B 4D CF 48 83 FA 08 72 05 E8 ?? ?? ?? ?? 48 C7 45 E7 07 00 00 00 48 89 5D DF 66 89 5D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 08 01 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_1030_1 {
	meta:
		name = "?do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z"
		size = 366
		refs = "0044 ??2@YAPEAX_K@Z 004e ?_Xbad_alloc@std@@YAXXZ 00bc ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 00c9 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 00d1 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAAEBGXZ 010e memcpy_s"
	strings:
		$1 = { 48 8B C4 48 89 50 10 56 57 41 54 41 56 41 57 48 83 EC 60 48 C7 40 A0 FE FF FF FF 48 89 58 08 48 89 68 18 49 8B D9 49 8B E8 48 8B F2 45 33 E4 44 89 60 98 4C 89 22 4C 89 62 18 4C 89 62 20 41 8D 4C 24 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 06 0F 57 C0 F3 0F 7F 00 48 8B 06 48 89 30 48 C7 46 20 07 00 00 00 4C 89 66 18 4C 8D 76 08 66 45 89 26 C7 44 24 20 01 00 00 00 48 2B DD 48 D1 FB 0F 84 99 00 00 00 4C 8B FB 48 3B 5E 18 77 1A 48 89 5E 18 48 83 7E 20 08 72 05 49 8B 06 EB 03 49 8B C6 66 44 89 24 58 EB 12 45 33 C0 48 2B 5E 18 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5E 18 48 8D 54 24 48 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 14 5F 48 2B D0 48 D1 FA 4C 3B FA 77 12 4F 8D 0C 3F 48 03 D2 4C 8B C5 48 8B C8 E8 ?? ?? ?? ?? 49 8B DF 4C 3B 7E 18 76 09 4D 85 FF 0F 85 6A FF FF FF 48 3B 5E 18 77 15 48 89 5E 18 48 83 7E 20 08 72 03 4D 8B 36 66 45 89 24 5E EB 12 45 33 C0 48 2B 5E 18 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8B C6 4C 8D 5C 24 60 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 CC }
	condition:
		$1
}

rule file_90_1031_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 10 83 65 20 FE 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_90_1032_1 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z"
		size = 369
		refs = "004b ??2@YAPEAX_K@Z 0055 ?_Xbad_alloc@std@@YAXXZ 00c7 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00d4 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00dc ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ 010f _Wcsxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 C7 40 A0 FE FF FF FF 48 89 58 08 48 89 68 18 48 89 70 20 49 8B E9 4D 8B F8 48 8B F2 48 8B D9 45 33 ED 44 89 68 98 4C 89 2A 4C 89 6A 18 4C 89 6A 20 41 8D 4D 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 06 0F 57 C0 F3 0F 7F 00 48 8B 06 48 89 30 48 C7 46 20 07 00 00 00 4C 89 6E 18 4C 8D 76 08 66 45 89 2E C7 44 24 30 01 00 00 00 48 8B C5 49 2B C7 48 D1 F8 0F 84 8D 00 00 00 4C 8D 63 10 48 3B 46 18 77 1A 48 89 46 18 48 83 7E 20 08 72 05 49 8B 0E EB 03 49 8B CE 66 44 89 2C 41 EB 12 45 33 C0 48 2B 46 18 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5E 18 48 8D 54 24 58 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 14 5F 4C 89 64 24 20 4C 8B CD 4D 8B C7 48 8B C8 E8 ?? ?? ?? ?? 48 3B 46 18 76 0F 48 85 C0 0F 85 77 FF FF FF 48 3B 46 18 77 15 48 89 46 18 48 83 7E 20 08 72 03 4D 8B 36 66 45 89 2C 46 EB 12 45 33 C0 48 2B 46 18 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 48 8B C6 4C 8D 5C 24 70 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 CC }
	condition:
		$1
}

rule file_90_1050_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z"
		size = 229
		altNames = "?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 80 79 08 00 48 8B DA 48 8B F9 BE 01 00 00 00 41 BE FF FF 00 00 75 42 48 8B 09 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F0 74 06 66 89 47 0A EB 04 48 83 27 00 40 88 77 08 80 7B 08 00 75 42 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F0 74 06 66 89 43 0A EB 04 48 83 23 00 40 88 73 08 48 83 3F 00 75 08 48 83 3B 00 74 0A EB 06 48 83 3B 00 75 02 33 F6 48 8B 5C 24 30 48 8B 7C 24 40 40 8A C6 48 8B 74 24 38 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_90_1082_1 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z"
		size = 308
		refs = "0061 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00a8 memmove 011d ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0122 ?_Xout_of_range@std@@YAXPEBD@Z 012a ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 012f ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 48 8B F1 48 8B 49 18 45 0F B7 F9 49 8B E8 48 8B FA 48 3B CA 0F 82 E3 00 00 00 48 83 C8 FF 48 2B C1 49 3B C0 0F 86 E0 00 00 00 45 33 E4 4D 85 C0 0F 84 A5 00 00 00 4E 8D 34 01 45 33 C0 48 8B CE 49 8B D6 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 00 00 00 48 83 7E 20 08 48 8D 5E 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7E 20 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 46 18 4C 2B C7 74 14 48 8D 14 78 48 8D 04 2F 4D 03 C0 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 FD 01 75 16 48 83 7E 20 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 78 EB 1D 48 83 7E 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 78 48 8B CD 41 0F B7 C7 66 F3 AB 48 83 7E 20 08 4C 89 76 18 72 03 48 8B 1B 66 46 89 24 73 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 7C 24 58 48 8B C6 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 41 5C C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_1083_1 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z"
		size = 308
		refs = "0061 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00a8 memmove 011d ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0122 ?_Xout_of_range@std@@YAXPEBD@Z 012a ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 012f ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 48 8B F1 48 8B 49 18 45 0F B7 F9 49 8B E8 48 8B FA 48 3B CA 0F 82 E3 00 00 00 48 83 C8 FF 48 2B C1 49 3B C0 0F 86 E0 00 00 00 45 33 E4 4D 85 C0 0F 84 A5 00 00 00 4E 8D 34 01 45 33 C0 48 8B CE 49 8B D6 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 00 00 00 48 83 7E 20 08 48 8D 5E 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7E 20 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 46 18 4C 2B C7 74 14 48 8D 14 78 48 8D 04 2F 4D 03 C0 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 FD 01 75 16 48 83 7E 20 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 78 EB 1D 48 83 7E 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 78 48 8B CD 41 0F B7 C7 66 F3 AB 48 83 7E 20 08 4C 89 76 18 72 03 48 8B 1B 66 46 89 24 73 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 7C 24 58 48 8B C6 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 41 5C C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_1123_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
		size = 774
		refs = "00ed ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0159 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0253 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAAEBGXZ 029f ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z 02bf _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 4C 24 20 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 49 8B 01 33 DB 4D 8B D0 4C 8B F9 48 85 C0 0F 84 CE 02 00 00 48 8B 08 48 89 4C 24 30 48 85 C9 0F 84 BD 02 00 00 4C 8B 84 24 C0 00 00 00 8B C3 49 8B 28 48 85 ED 74 04 48 8B 45 00 48 3B C8 0F 85 5C 02 00 00 49 8B 41 10 4D 8B 68 10 48 89 44 24 38 49 3B C5 0F 85 EA 00 00 00 48 8B 32 48 8B C3 48 85 F6 74 0B 48 8B 0E 48 85 C9 74 03 48 8B 01 48 8B 6A 10 49 8B 12 48 8B CB 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 0A 49 8B 7A 10 48 85 FF 75 05 48 8B FB EB 2E 48 85 C9 0F 84 17 02 00 00 48 39 19 0F 84 0E 02 00 00 48 85 C0 75 05 48 8B C3 EB 03 48 8B 00 48 39 01 0F 85 E6 01 00 00 48 2B FD 48 D1 FF 48 8D 54 24 48 49 8B CF E8 ?? ?? ?? ?? 48 8B CB 48 8B 10 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 0A 4C 8B 40 10 48 8B C3 48 85 F6 74 0B 48 8B 16 48 85 D2 74 03 48 8B 02 48 85 ED 74 2C 48 85 C0 0F 84 A4 01 00 00 48 39 18 0F 84 9B 01 00 00 48 85 C9 74 03 48 8B 19 48 39 18 0F 85 84 01 00 00 48 8B DD 49 2B D8 48 D1 FB 4C 8B C7 48 8B D3 49 8B CF E8 ?? ?? ?? ?? E9 41 01 00 00 4C 8B 32 48 8B CB 4D 85 F6 74 0B 49 8B 06 48 85 C0 74 03 48 8B 08 4C 8B 42 10 49 8B 12 48 8B C3 4C 89 44 24 40 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 02 49 8B 72 10 48 85 F6 75 05 48 8B F3 EB 2F 48 85 C0 0F 84 4C 01 00 00 48 8B 10 48 85 D2 0F 84 40 01 00 00 48 8B C3 48 85 C9 74 03 48 8B 01 48 3B D0 0F 85 0E 01 00 00 49 2B F0 48 D1 FE 48 8D 54 24 48 49 8B CF E8 ?? ?? ?? ?? 4C 8B FB 48 8B 08 48 85 C9 74 0B 48 8B 09 48 85 C9 74 03 4C 8B 39 4C 8B 60 10 48 8B FB 4D 85 F6 74 0B 49 8B 06 48 85 C0 74 03 48 8B 38 48 8B C3 48 85 ED 74 0C 48 8B 4D 00 48 85 C9 74 03 48 8B 01 48 85 C0 0F 84 C9 00 00 00 48 39 18 0F 84 C0 00 00 00 48 8B 4C 24 30 48 39 08 0F 85 A0 00 00 00 4C 2B 6C 24 38 48 8B 8C 24 B8 00 00 00 49 D1 FD E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 85 C9 74 24 48 85 FF 0F 84 84 00 00 00 48 39 1F 74 7F 4D 85 FF 74 03 49 8B 1F 48 39 1F 75 6C 48 8B D9 49 2B DC 48 D1 FB 4C 8B BC 24 A0 00 00 00 4C 8B C8 4C 8B C6 48 8B D3 49 8B CF 4C 89 6C 24 20 E8 ?? ?? ?? ?? 49 8B C7 48 8B 9C 24 A8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_1126_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
		size = 774
		refs = "00ed ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0159 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0253 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ 029f ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z 02bf _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 4C 24 20 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 49 8B 01 33 DB 4D 8B D0 4C 8B F9 48 85 C0 0F 84 CE 02 00 00 48 8B 08 48 89 4C 24 30 48 85 C9 0F 84 BD 02 00 00 4C 8B 84 24 C0 00 00 00 8B C3 49 8B 28 48 85 ED 74 04 48 8B 45 00 48 3B C8 0F 85 5C 02 00 00 49 8B 41 10 4D 8B 68 10 48 89 44 24 38 49 3B C5 0F 85 EA 00 00 00 48 8B 32 48 8B C3 48 85 F6 74 0B 48 8B 0E 48 85 C9 74 03 48 8B 01 48 8B 6A 10 49 8B 12 48 8B CB 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 0A 49 8B 7A 10 48 85 FF 75 05 48 8B FB EB 2E 48 85 C9 0F 84 17 02 00 00 48 39 19 0F 84 0E 02 00 00 48 85 C0 75 05 48 8B C3 EB 03 48 8B 00 48 39 01 0F 85 E6 01 00 00 48 2B FD 48 D1 FF 48 8D 54 24 48 49 8B CF E8 ?? ?? ?? ?? 48 8B CB 48 8B 10 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 0A 4C 8B 40 10 48 8B C3 48 85 F6 74 0B 48 8B 16 48 85 D2 74 03 48 8B 02 48 85 ED 74 2C 48 85 C0 0F 84 A4 01 00 00 48 39 18 0F 84 9B 01 00 00 48 85 C9 74 03 48 8B 19 48 39 18 0F 85 84 01 00 00 48 8B DD 49 2B D8 48 D1 FB 4C 8B C7 48 8B D3 49 8B CF E8 ?? ?? ?? ?? E9 41 01 00 00 4C 8B 32 48 8B CB 4D 85 F6 74 0B 49 8B 06 48 85 C0 74 03 48 8B 08 4C 8B 42 10 49 8B 12 48 8B C3 4C 89 44 24 40 48 85 D2 74 0B 48 8B 12 48 85 D2 74 03 48 8B 02 49 8B 72 10 48 85 F6 75 05 48 8B F3 EB 2F 48 85 C0 0F 84 4C 01 00 00 48 8B 10 48 85 D2 0F 84 40 01 00 00 48 8B C3 48 85 C9 74 03 48 8B 01 48 3B D0 0F 85 0E 01 00 00 49 2B F0 48 D1 FE 48 8D 54 24 48 49 8B CF E8 ?? ?? ?? ?? 4C 8B FB 48 8B 08 48 85 C9 74 0B 48 8B 09 48 85 C9 74 03 4C 8B 39 4C 8B 60 10 48 8B FB 4D 85 F6 74 0B 49 8B 06 48 85 C0 74 03 48 8B 38 48 8B C3 48 85 ED 74 0C 48 8B 4D 00 48 85 C9 74 03 48 8B 01 48 85 C0 0F 84 C9 00 00 00 48 39 18 0F 84 C0 00 00 00 48 8B 4C 24 30 48 39 08 0F 85 A0 00 00 00 4C 2B 6C 24 38 48 8B 8C 24 B8 00 00 00 49 D1 FD E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 85 C9 74 24 48 85 FF 0F 84 84 00 00 00 48 39 1F 74 7F 4D 85 FF 74 03 49 8B 1F 48 39 1F 75 6C 48 8B D9 49 2B DC 48 D1 FB 4C 8B BC 24 A0 00 00 00 4C 8B C8 4C 8B C6 48 8B D3 49 8B CF 4C 89 6C 24 20 E8 ?? ?? ?? ?? 49 8B C7 48 8B 9C 24 A8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_1124_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 921
		refs = "0097 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00e7 memmove 0128 memcpy 0382 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0387 ?_Xlength_error@std@@YAXPEBD@Z 038f ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0394 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B F9 48 8B 49 18 49 8B E9 4D 8B C8 4C 8B E2 48 3B CA 0F 82 5F 03 00 00 48 8B 45 18 4C 8B AC 24 80 00 00 00 49 3B C5 0F 82 4A 03 00 00 4C 8B B4 24 88 00 00 00 4C 8B F9 4C 2B FA 48 8B D1 4D 3B F8 4D 0F 42 CF 49 2B C5 49 3B C6 4C 89 4C 24 70 4C 0F 42 F0 48 83 C8 FF 49 2B D1 49 2B C6 48 3B C2 0F 86 03 03 00 00 4A 8D 04 32 4D 2B F9 48 89 44 24 60 48 3B C8 73 13 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 4C 8B 4C 24 70 48 8D 5F 08 48 3B FD 0F 84 84 00 00 00 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 33 F6 4D 85 FF 74 19 4B 8D 04 0C 4F 8D 04 3F 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7D 20 08 72 06 48 8B 6D 08 EB 04 48 83 C5 08 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 3C 02 00 00 4A 8D 14 6D 00 00 00 00 4F 8D 04 36 4A 8D 0C 60 48 03 D5 E8 ?? ?? ?? ?? E9 1F 02 00 00 4D 3B F1 77 7B 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 33 F6 4D 85 F6 74 16 4A 8D 14 69 4F 8D 04 36 4A 8D 0C 60 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 0F 84 B8 01 00 00 4B 8D 04 0C 4F 8D 04 3F 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E9 9A 01 00 00 4D 3B EC 77 76 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 33 F6 4D 85 FF 74 19 4B 8D 04 0C 4F 8D 04 3F 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 35 01 00 00 4A 8D 14 69 4F 8D 04 36 4A 8D 0C 60 E9 1F 01 00 00 4B 8D 2C 0C 49 3B ED 77 71 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 33 F6 4D 85 FF 74 1A 48 8D 14 68 4B 8D 04 34 4F 8D 04 3F 48 8D 0C 41 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 B5 00 00 00 4D 2B E9 4D 03 EE E9 75 FF FF FF 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 33 F6 4D 85 C9 74 11 4A 8D 14 69 4F 8D 04 09 4A 8D 0C 60 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 15 48 8D 14 68 4B 8D 04 34 4F 8D 04 3F 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 8B C6 4C 2B 44 24 70 74 14 4B 8D 04 2E 4D 03 C0 48 8D 0C 69 48 8D 14 42 E8 ?? ?? ?? ?? 48 83 7F 20 08 48 8B 44 24 60 48 89 47 18 72 03 48 8B 1B 66 89 34 43 48 8B 5C 24 68 48 8B C7 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_1127_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 921
		refs = "0097 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00e7 memmove 0128 memcpy 0382 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0387 ?_Xlength_error@std@@YAXPEBD@Z 038f ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0394 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B F9 48 8B 49 18 49 8B E9 4D 8B C8 4C 8B E2 48 3B CA 0F 82 5F 03 00 00 48 8B 45 18 4C 8B AC 24 80 00 00 00 49 3B C5 0F 82 4A 03 00 00 4C 8B B4 24 88 00 00 00 4C 8B F9 4C 2B FA 48 8B D1 4D 3B F8 4D 0F 42 CF 49 2B C5 49 3B C6 4C 89 4C 24 70 4C 0F 42 F0 48 83 C8 FF 49 2B D1 49 2B C6 48 3B C2 0F 86 03 03 00 00 4A 8D 04 32 4D 2B F9 48 89 44 24 60 48 3B C8 73 13 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 4C 8B 4C 24 70 48 8D 5F 08 48 3B FD 0F 84 84 00 00 00 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 33 F6 4D 85 FF 74 19 4B 8D 04 0C 4F 8D 04 3F 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7D 20 08 72 06 48 8B 6D 08 EB 04 48 83 C5 08 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 3C 02 00 00 4A 8D 14 6D 00 00 00 00 4F 8D 04 36 4A 8D 0C 60 48 03 D5 E8 ?? ?? ?? ?? E9 1F 02 00 00 4D 3B F1 77 7B 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 33 F6 4D 85 F6 74 16 4A 8D 14 69 4F 8D 04 36 4A 8D 0C 60 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 0F 84 B8 01 00 00 4B 8D 04 0C 4F 8D 04 3F 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E9 9A 01 00 00 4D 3B EC 77 76 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 33 F6 4D 85 FF 74 19 4B 8D 04 0C 4F 8D 04 3F 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 35 01 00 00 4A 8D 14 69 4F 8D 04 36 4A 8D 0C 60 E9 1F 01 00 00 4B 8D 2C 0C 49 3B ED 77 71 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 33 F6 4D 85 FF 74 1A 48 8D 14 68 4B 8D 04 34 4F 8D 04 3F 48 8D 0C 41 E8 ?? ?? ?? ?? 4C 8B 4C 24 70 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 B5 00 00 00 4D 2B E9 4D 03 EE E9 75 FF FF FF 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 33 F6 4D 85 C9 74 11 4A 8D 14 69 4F 8D 04 09 4A 8D 0C 60 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 15 48 8D 14 68 4B 8D 04 34 4F 8D 04 3F 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 8B C6 4C 2B 44 24 70 74 14 4B 8D 04 2E 4D 03 C0 48 8D 0C 69 48 8D 14 42 E8 ?? ?? ?? ?? 48 83 7F 20 08 48 8B 44 24 60 48 89 47 18 72 03 48 8B 1B 66 89 34 43 48 8B 5C 24 68 48 8B C7 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_1125_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z"
		size = 493
		refs = "008d ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 010a memmove 0130 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 019c memcpy 01d6 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 01db ?_Xout_of_range@std@@YAXPEBD@Z 01e3 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 01e8 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 49 8B E9 49 8B F8 4C 8B E2 48 8B D9 4D 85 C9 74 66 48 83 79 20 08 4C 8D 51 08 72 05 49 8B 02 EB 03 49 8B C2 4C 3B C8 72 4E 48 83 79 20 08 72 05 49 8B 0A EB 03 49 8B CA 48 8B 43 18 48 8D 0C 41 49 3B C9 76 32 48 83 7B 20 08 72 03 4D 8B 12 48 8B 84 24 80 00 00 00 49 2B EA 4C 8B CB 48 D1 FD 48 89 44 24 28 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? E9 20 01 00 00 48 8B 4B 18 48 3B CA 0F 82 30 01 00 00 4C 8B B4 24 80 00 00 00 48 8B F1 48 2B F2 49 3B F0 48 0F 42 FE 48 83 C8 FF 49 2B C6 48 2B CF 48 3B C1 0F 86 15 01 00 00 48 2B F7 4C 3B F7 73 3B 48 83 7B 20 08 48 8D 4B 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 7B 20 08 72 03 48 8B 09 48 85 F6 74 19 49 8D 04 3C 4C 8D 04 36 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 4D 85 F6 75 09 48 85 FF 0F 84 97 00 00 00 4C 8B 7B 18 45 33 C0 48 8B CB 4C 2B FF 4D 03 FE 49 8B D7 E8 ?? ?? ?? ?? 84 C0 74 7B 49 3B FE 73 3B 48 83 7B 20 08 48 8D 4B 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 7B 20 08 72 03 48 8B 09 48 85 F6 74 19 49 8D 04 3C 4C 8D 04 36 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 07 EB 03 48 8B C7 4D 85 F6 74 10 4F 8D 04 36 4A 8D 0C 60 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 08 4C 89 7B 18 72 03 48 8B 3F 66 46 89 2C 7F 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_1128_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z"
		size = 493
		refs = "008d ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 010a memmove 0130 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 019c memcpy 01d6 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 01db ?_Xout_of_range@std@@YAXPEBD@Z 01e3 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 01e8 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 49 8B E9 49 8B F8 4C 8B E2 48 8B D9 4D 85 C9 74 66 48 83 79 20 08 4C 8D 51 08 72 05 49 8B 02 EB 03 49 8B C2 4C 3B C8 72 4E 48 83 79 20 08 72 05 49 8B 0A EB 03 49 8B CA 48 8B 43 18 48 8D 0C 41 49 3B C9 76 32 48 83 7B 20 08 72 03 4D 8B 12 48 8B 84 24 80 00 00 00 49 2B EA 4C 8B CB 48 D1 FD 48 89 44 24 28 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? E9 20 01 00 00 48 8B 4B 18 48 3B CA 0F 82 30 01 00 00 4C 8B B4 24 80 00 00 00 48 8B F1 48 2B F2 49 3B F0 48 0F 42 FE 48 83 C8 FF 49 2B C6 48 2B CF 48 3B C1 0F 86 15 01 00 00 48 2B F7 4C 3B F7 73 3B 48 83 7B 20 08 48 8D 4B 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 7B 20 08 72 03 48 8B 09 48 85 F6 74 19 49 8D 04 3C 4C 8D 04 36 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 4D 85 F6 75 09 48 85 FF 0F 84 97 00 00 00 4C 8B 7B 18 45 33 C0 48 8B CB 4C 2B FF 4D 03 FE 49 8B D7 E8 ?? ?? ?? ?? 84 C0 74 7B 49 3B FE 73 3B 48 83 7B 20 08 48 8D 4B 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 7B 20 08 72 03 48 8B 09 48 85 F6 74 19 49 8D 04 3C 4C 8D 04 36 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 07 EB 03 48 8B C7 4D 85 F6 74 10 4F 8D 04 36 4A 8D 0C 60 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 08 4C 89 7B 18 72 03 48 8B 3F 66 46 89 2C 7F 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_90_1129_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
		size = 46
		refs = "002a ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 18 77 1C 48 83 79 20 08 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_1131_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 46
		refs = "002a ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 18 77 1C 48 83 79 20 08 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_1130_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_KG@Z"
		size = 43
		refs = "0027 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 18 77 1C 48 83 79 20 08 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_1132_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K_W@Z"
		size = 43
		refs = "0027 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 18 77 1C 48 83 79 20 08 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_1133_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGXZ"
		size = 55
		altNames = "?sbumpc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAGXZ"
	strings:
		$1 = { 48 8B 41 38 48 83 38 00 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 18 48 8B 41 50 FF 08 48 8B 49 38 48 8B 11 48 8D 42 02 48 89 01 0F B7 02 C3 48 8B 01 48 FF 60 38 }
	condition:
		$1
}

rule file_90_1141_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGXZ"
		size = 38
		altNames = "?sgetc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAGXZ"
	strings:
		$1 = { 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 05 41 0F B7 00 C3 48 8B 01 48 FF 60 30 }
	condition:
		$1
}

rule file_90_1146_1 {
	meta:
		name = "?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
		size = 81
		altNames = "?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 40 44 0F B7 C2 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 1A 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 02 48 89 01 66 44 89 02 EB 0E 48 8B 01 41 0F B7 D0 FF 50 18 44 0F B7 C0 41 0F B7 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_91_4_1 {
	meta:
		name = "??$SpinwaitUntilEq@V?$_Subatomic@_K@details@Concurrency@@_K@details@Concurrency@@YAXAECV?$_Subatomic@_K@01@_K@Z"
		size = 70
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 002f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B DA 48 89 44 24 30 48 8B 01 48 8B F9 48 3B C2 74 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 07 48 3B C3 75 EE 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_91_22_1 {
	meta:
		name = "??0_Concurrent_queue_base_v4@details@Concurrency@@IEAA@_K@Z"
		size = 144
		refs = "0013 ??_7_Concurrent_queue_base_v4@details@Concurrency@@6B@ 0066 ?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z 007a memset"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 81 FA 80 00 00 00 0F 96 C0 B9 04 00 00 00 FF C0 48 83 FA 40 44 8D 41 1C 0F 46 C1 49 3B D0 8D 51 0C 44 8D 49 04 41 0F 46 C1 48 3B DA 0F 46 C2 49 3B D9 41 8D 49 F9 41 0F 46 C0 45 33 C0 BA C0 01 00 00 48 98 48 89 47 10 E8 ?? ?? ?? ?? 33 D2 48 8B C8 41 B8 C0 01 00 00 48 89 47 08 E8 ?? ?? ?? ?? 48 89 5F 18 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_91_23_1 {
	meta:
		name = "??0_Concurrent_queue_iterator_base_v4@details@Concurrency@@IEAA@AEBV_Concurrent_queue_base_v4@12@@Z"
		size = 175
		refs = "001b ?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 45 33 C0 48 8B FA 48 8B D9 41 8D 50 50 8D 4A B1 E8 ?? ?? ?? ?? 45 33 C9 4C 8B C0 48 89 03 48 85 C0 74 2F 48 8B 4F 08 48 8B 11 48 89 78 08 48 89 10 48 8B 4F 08 41 8D 51 10 48 83 E9 80 48 8B 01 48 8D 49 28 4A 89 04 02 48 83 C2 08 48 83 FA 50 72 EB 48 8B 0B 48 8B 41 08 4C 8B 01 48 8B 40 08 48 8B 40 40 4C 3B C0 74 2A 4B 8D 04 40 49 C1 E8 03 83 E0 07 4C 8B 4C C1 10 48 8B 41 08 48 8B 48 10 49 83 C1 10 48 FF C9 49 23 C8 48 0F AF 48 18 4C 03 C9 4C 89 4B 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_91_24_1 {
	meta:
		name = "??0_Concurrent_queue_iterator_rep@details@Concurrency@@QEAA@AEBV_Concurrent_queue_base_v4@12@@Z"
		size = 55
	strings:
		$1 = { 48 8B 42 08 41 B9 08 00 00 00 4C 8B 00 48 89 51 08 4C 89 01 4C 8B 42 08 48 8D 51 10 49 83 E8 80 49 8B 00 4D 8D 40 28 48 89 02 48 8D 52 08 49 FF C9 75 ED 48 8B C1 C3 }
	condition:
		$1
}

rule file_91_25_1 {
	meta:
		name = "??0_Pop_finalizer@_Micro_queue@details@Concurrency@@QEAA@AEAU123@AEAV_Concurrent_queue_base_v4@23@_KPEAU_Page@423@@Z"
		size = 24
	strings:
		$1 = { 48 8B 44 24 28 4C 89 09 48 89 51 08 48 89 41 10 48 8B C1 4C 89 41 18 C3 }
	condition:
		$1
}

rule file_91_32_1 {
	meta:
		name = "??1_Concurrent_queue_base_v4@details@Concurrency@@MEAA@XZ"
		size = 19
		refs = "0003 ??_7_Concurrent_queue_base_v4@details@Concurrency@@6B@ 000f ?NFS_Free@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_91_34_1 {
	meta:
		name = "??1_Pop_finalizer@_Micro_queue@details@Concurrency@@QEAA@XZ"
		size = 113
		refs = "0024 ??0_SpinLock@details@Concurrency@@QEAA@AECJ@Z 0045 ??1_SpinLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 79 10 48 8B D9 48 85 FF 74 33 48 8B 51 08 48 8D 4C 24 30 48 83 C2 20 E8 ?? ?? ?? ?? 48 8B 17 48 8B 43 08 48 89 10 48 85 D2 75 08 48 8B 43 08 48 89 50 10 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 43 08 48 8B 0B 48 89 48 08 48 85 FF 74 0D 48 8B 4B 18 48 8B D7 48 8B 01 FF 50 28 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_91_55_1 {
	meta:
		name = "??_G_Concurrent_queue_base_v4@details@Concurrency@@MEAAPEAXI@Z"
		size = 61
		refs = "000d ??_7_Concurrent_queue_base_v4@details@Concurrency@@6B@ 001e ?NFS_Free@details@Concurrency@@YAXPEAX@Z 002b ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 08 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_91_58_1 {
	meta:
		name = "?_Advance@_Concurrent_queue_iterator_base_v4@details@Concurrency@@IEAAXXZ"
		size = 135
	strings:
		$1 = { 4C 8B 01 4C 8B C9 49 8B 40 08 4D 8B 10 48 8B 50 10 49 8B C2 48 FF CA 48 C1 E8 03 48 23 C2 48 3B C2 75 14 4B 8D 14 52 83 E2 07 49 8B 44 D0 10 48 8B 08 49 89 4C D0 10 49 8B 01 49 FF C2 4C 89 10 49 8B 09 48 8B 41 08 48 8B 40 08 48 8B 40 40 4C 3B D0 75 04 33 C0 EB 2A 4B 8D 04 52 49 C1 EA 03 83 E0 07 48 8B 54 C1 10 48 8B 41 08 48 8B 48 10 48 FF C9 49 23 CA 48 0F AF 48 18 48 8D 42 10 48 03 C1 49 89 41 08 C3 }
	condition:
		$1
}

rule file_91_59_1 {
	meta:
		name = "?_Assign@_Concurrent_queue_iterator_base_v4@details@Concurrency@@IEAAXAEBV123@@Z"
		size = 127
		refs = "001e ?NFS_Free@details@Concurrency@@YAXPEAX@Z 0037 ?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 09 48 8B DA 48 3B 0A 74 54 48 85 C9 74 09 E8 ?? ?? ?? ?? 48 83 27 00 48 83 3B 00 74 40 45 33 C0 41 8D 50 50 8D 4A B1 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 74 29 48 8B 0B 0F 10 01 0F 11 00 0F 10 49 10 0F 11 48 10 0F 10 41 20 0F 11 40 20 0F 10 49 30 0F 11 48 30 0F 10 41 40 0F 11 40 40 48 8B 43 08 48 8B 5C 24 30 48 89 47 08 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_91_63_1 {
	meta:
		name = "?_Choose@_Concurrent_queue_rep@details@Concurrency@@QEAAAEAU_Micro_queue@23@_K@Z"
		size = 20
	strings:
		$1 = { 48 8D 04 52 83 E0 07 48 8D 04 80 48 8D 40 10 48 8D 04 C1 C3 }
	condition:
		$1
}

rule file_91_67_1 {
	meta:
		name = "?_Internal_empty@_Concurrent_queue_base_v4@details@Concurrency@@IEBA_NXZ"
		size = 40
	strings:
		$1 = { 48 8B 41 08 48 8B 50 40 48 8B 41 08 4C 8B 00 48 8B 41 08 48 8B 40 40 48 3B D0 75 09 33 C0 49 3B D0 0F 94 C0 C3 32 C0 C3 }
	condition:
		$1
}

rule file_91_68_1 {
	meta:
		name = "?_Internal_finish_clear@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXXZ"
		size = 90
		refs = "0023 invalid_page"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 33 DB 48 8B 47 08 48 8B 94 18 90 00 00 00 48 85 D2 74 22 48 3B 15 ?? ?? ?? ?? 74 09 48 8B 07 48 8B CF FF 50 28 48 8B 47 08 48 C7 84 18 90 00 00 00 00 00 00 00 48 83 C3 28 48 81 FB 40 01 00 00 72 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_91_69_1 {
	meta:
		name = "?_Internal_move_push@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXPEAX@Z"
		size = 67
		refs = "002d ??_9_Concurrent_queue_base_v4@details@Concurrency@@$BA@AA 003a ?_Push@_Micro_queue@details@Concurrency@@QEAAXPEAX_KAEAV_Concurrent_queue_base_v4@23@P8423@EAAXAEAU_Page@423@10@Z@Z"
	strings:
		$1 = { 48 83 EC 38 4C 8B 49 08 4C 8B D1 41 B8 01 00 00 00 F0 4D 0F C1 41 40 4B 8D 04 40 83 E0 07 48 8D 04 80 48 8D 40 10 49 8D 0C C1 48 8D 05 ?? ?? ?? ?? 4D 8B CA 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_91_71_1 {
	meta:
		name = "?_Internal_push@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXPEBX@Z"
		size = 67
		refs = "002d ??_9_Concurrent_queue_base_v4@details@Concurrency@@$B7AA 003a ?_Push@_Micro_queue@details@Concurrency@@QEAAXPEAX_KAEAV_Concurrent_queue_base_v4@23@P8423@EAAXAEAU_Page@423@10@Z@Z"
	strings:
		$1 = { 48 83 EC 38 4C 8B 49 08 4C 8B D1 41 B8 01 00 00 00 F0 4D 0F C1 41 40 4B 8D 04 40 83 E0 07 48 8D 04 80 48 8D 40 10 49 8D 0C C1 48 8D 05 ?? ?? ?? ?? 4D 8B CA 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_91_70_1 {
	meta:
		name = "?_Internal_pop_if_present@_Concurrent_queue_base_v4@details@Concurrency@@IEAA_NPEAX@Z"
		size = 119
		refs = "0059 ?_Pop@_Micro_queue@details@Concurrency@@QEAA_NPEAX_KAEAV_Concurrent_queue_base_v4@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 08 48 8B F2 48 8B F9 4C 8B 13 4C 8B 43 40 4D 3B D0 74 40 49 8B D2 49 8D 4A 01 49 8B C2 F0 48 0F B1 0B 4C 8B D0 48 3B C2 75 E0 48 8D 04 40 4C 8B CF 4D 8B C2 83 E0 07 48 8B D6 48 8D 04 80 48 8D 40 10 48 8D 0C C3 E8 ?? ?? ?? ?? 84 C0 74 B8 B0 01 EB 02 32 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_91_72_1 {
	meta:
		name = "?_Internal_size@_Concurrent_queue_base_v4@details@Concurrency@@IEBA_KXZ"
		size = 19
	strings:
		$1 = { 48 8B 41 08 48 8B 40 40 48 8B 49 08 48 8B 11 48 2B C2 C3 }
	condition:
		$1
}

rule file_91_73_1 {
	meta:
		name = "?_Internal_swap@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXAEAV123@@Z"
		size = 23
	strings:
		$1 = { 48 8B 42 08 48 39 41 08 74 0C 4C 8B 41 08 48 89 41 08 4C 89 42 08 C3 }
	condition:
		$1
}

rule file_91_74_1 {
	meta:
		name = "?_Internal_throw_exception@_Concurrent_queue_base_v4@details@Concurrency@@IEBAXXZ"
		size = 67
		refs = "0007 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0021 ??0exception@std@@QEAA@AEBQEBDH@Z 0028 ??_7bad_alloc@std@@6B@ 002f _TI2?AVbad_alloc@std@@ 003e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_91_77_1 {
	meta:
		name = "?_Pop@_Micro_queue@details@Concurrency@@QEAA_NPEAX_KAEAV_Concurrent_queue_base_v4@23@@Z"
		size = 245
		refs = "003b ?_UnderlyingYield@details@Concurrency@@YAXXZ 004f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00d1 ??1_Pop_finalizer@_Micro_queue@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 41 56 41 57 48 81 EC 80 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 4D 8B F1 49 8B D8 48 8B EA 48 8B F9 48 83 E3 F8 33 F6 89 70 98 4C 8D 3D ?? ?? ?? ?? 4C 89 78 A0 48 8B 41 08 EB 0E 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 47 08 48 3B C3 75 ED 89 74 24 48 4C 89 7C 24 50 EB 0A 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 47 18 48 3B C3 74 ED 4C 8B 07 49 8B 46 10 48 FF C8 4C 8B CB 49 C1 E9 03 4C 23 C8 48 8B CE 4C 3B C8 49 0F 44 C8 48 8D 43 08 48 89 44 24 58 48 89 7C 24 60 48 89 4C 24 68 4C 89 74 24 70 49 8B 40 08 4C 0F A3 C8 73 11 40 B6 01 4D 8B 16 48 8B D5 49 8B CE 41 FF 52 10 90 48 8D 4C 24 58 E8 ?? ?? ?? ?? 40 8A C6 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_91_79_1 {
	meta:
		name = "?_Push@_Micro_queue@details@Concurrency@@QEAAXPEAX_KAEAV_Concurrent_queue_base_v4@23@P8423@EAAXAEAU_Page@423@10@Z@Z"
		size = 351
		refs = "0082 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0091 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00ac ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00c9 ??0exception@std@@QEAA@AEBQEBDH@Z 00d0 ??_7bad_alloc@std@@6B@ 00dc _TI2?AVbad_alloc@std@@ 00e6 _CxxThrowException 00fd ??0_SpinLock@details@Concurrency@@QEAA@AECJ@Z 011f ??1_SpinLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 4D 8B F9 49 8B F0 4C 8B EA 48 8B F9 48 83 E6 F8 48 89 B4 24 C0 00 00 00 33 DB 4D 8B 61 10 44 8D 73 01 4D 2B E6 48 8B C6 48 C1 E8 03 4C 23 E0 75 15 49 8B 01 49 8B C9 FF 50 20 48 8B D8 48 83 60 08 00 48 83 20 00 48 8D 46 08 48 89 44 24 30 48 89 7C 24 38 48 8B 47 18 48 3B C6 74 71 83 64 24 48 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 47 18 41 84 C6 75 0B 48 8B 47 18 48 3B C6 74 44 EB E2 48 8D 05 ?? ?? ?? ?? 48 89 84 24 C0 00 00 00 45 8B C6 48 8D 94 24 C0 00 00 00 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? CC 48 85 DB 74 35 48 8D 57 20 48 8D 8C 24 C8 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 10 48 85 C0 74 05 48 89 18 EB 03 48 89 1F 48 89 5F 10 48 8D 8C 24 C8 00 00 00 E8 ?? ?? ?? ?? EB 04 48 8B 5F 10 4D 8B CD 4D 8B C4 48 8B D3 49 8B CF FF 94 24 D0 00 00 00 49 8B CC 49 D3 E6 4C 09 73 08 48 8B 44 24 30 48 89 47 18 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_91_81_1 {
	meta:
		name = "__catch$?_Push@_Micro_queue@details@Concurrency@@QEAAXPEAX_KAEAV_Concurrent_queue_base_v4@23@P8423@EAAXAEAU_Page@423@10@Z@Z$0"
		size = 88
		refs = "0003 ?dummy@?1??_Push@_Micro_queue@details@Concurrency@@QEAAXPEAX_KAEAV_Concurrent_queue_base_v4@34@P8534@EAAXAEAU_Page@534@10@Z@Z@4U6534@A 000a invalid_page 001e ??0_SpinLock@details@Concurrency@@QEAA@AECJ@Z 0053 _CxxThrowException"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 9D B0 00 00 00 48 8D 53 20 48 8D 4D 28 E8 ?? ?? ?? ?? 90 48 8B 85 C0 00 00 00 48 83 C0 09 48 89 43 18 48 8B 4B 10 48 8B 05 ?? ?? ?? ?? 48 85 C9 74 05 48 89 01 EB 03 48 89 03 48 89 43 10 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_91_94_1 {
	meta:
		name = "?choose@_Concurrent_queue_iterator_rep@details@Concurrency@@QEAAPEAX_K@Z"
		size = 66
	strings:
		$1 = { 48 8B 41 08 4C 8B C2 48 8B 40 08 48 8B 40 40 48 3B D0 75 03 33 C0 C3 48 8D 04 52 49 C1 E8 03 83 E0 07 48 8B 54 C1 10 48 8B 41 08 48 8B 48 10 48 FF C9 49 23 C8 48 0F AF 48 18 48 8D 42 10 48 03 C1 C3 }
	condition:
		$1
}

rule file_93_103_1 {
	meta:
		name = "?sbfun@std@@YAXAEAVios_base@1@H@Z"
		size = 57
	strings:
		$1 = { 81 61 18 FF F1 FF FF 33 C0 83 FA 10 41 B8 00 08 00 00 41 0F 44 C0 41 B8 00 02 00 00 83 FA 0A 41 0F 44 C0 41 B8 00 04 00 00 83 FA 08 41 0F 44 C0 25 00 0E 00 00 09 41 18 C3 }
	condition:
		$1
}

rule file_93_105_1 {
	meta:
		name = "?setf@ios_base@std@@QEAAHHH@Z"
		size = 26
	strings:
		$1 = { 8B 41 18 45 8B C8 41 23 D0 41 F7 D1 0F B7 D2 44 23 C8 44 0B CA 44 89 49 18 C3 }
	condition:
		$1
}

rule file_93_109_1 {
	meta:
		name = "?sifun@std@@YAXAEAVios_base@1@H@Z"
		size = 21
	strings:
		$1 = { 44 8B C2 0F B7 C2 41 F7 D0 44 23 41 18 44 0B C0 44 89 41 18 C3 }
	condition:
		$1
}

rule file_99_3_1 {
	meta:
		name = "?do_signal@@YAHPEAPEAU_Cnd_internal_imp_t@@H@Z"
		size = 30
		refs = "000c ?notify_all@_Condition_variable@details@Concurrency@@QEAAXXZ 0013 ?notify_one@_Condition_variable@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 85 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_99_4_1 {
	meta:
		name = "?do_wait@@YAHPEAPEAU_Cnd_internal_imp_t@@PEAPEAU_Mtx_internal_imp_t@@PEBUxtime@@@Z"
		size = 168
		refs = "000e __security_cookie 0029 _Mtx_getconcrtcs 0039 _Mtx_clear_owner 0044 ?wait@_Condition_variable@details@Concurrency@@QEAAXAEAVcritical_section@3@@Z 0055 xtime_get 006a _Xtime_diff_to_millis2 0078 ?wait_for@_Condition_variable@details@Concurrency@@QEAA_NAEAVcritical_section@3@I@Z 008a _Mtx_reset_owner 0099 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B F1 48 8B CA 4D 8B F0 48 8B FA 33 DB E8 ?? ?? ?? ?? 48 8B E8 4D 85 F6 75 15 48 8B CF E8 ?? ?? ?? ?? 48 8B 0E 48 8B D5 E8 ?? ?? ?? ?? EB 3C 48 8D 4C 24 20 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 54 24 20 49 8B CE E8 ?? ?? ?? ?? 48 8B 0E 48 8B D5 44 8B C0 E8 ?? ?? ?? ?? B9 02 00 00 00 84 C0 0F 44 D9 48 8B CF E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_99_5_1 {
	meta:
		name = "_Cnd_broadcast"
		size = 19
		refs = "0008 ?notify_all@_Condition_variable@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_99_8_1 {
	meta:
		name = "_Cnd_signal"
		size = 19
		refs = "0008 ?notify_one@_Condition_variable@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_99_6_1 {
	meta:
		name = "_Cnd_destroy"
		size = 40
		refs = "0016 ??1_Condition_variable@details@Concurrency@@QEAA@XZ 001e free"
	strings:
		$1 = { 48 85 C9 74 22 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_99_7_1 {
	meta:
		name = "_Cnd_init"
		size = 67
		refs = "001a _calloc_crt 002f ??0_Condition_variable@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 21 00 BA 40 00 00 00 48 8B F9 8D 4A C1 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 05 8D 43 01 EB 0D 48 8B C8 E8 ?? ?? ?? ?? 48 89 1F 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_100_0_1 {
	meta:
		name = "?_Random_device@std@@YAIXZ"
		size = 40
		refs = "000a rand_s 001e ??_C@_0BM@EEBBMCOD@invalid?5random_device?5value?$AA@ 0023 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 75 09 8B 44 24 30 48 83 C4 28 C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_103_11_1 {
	meta:
		name = "??$_Getvals@D@?$numpunct@D@std@@IEAAXDPEBUlconv@@U_Cvtvec@@@Z"
		size = 18
	strings:
		$1 = { 49 8B 00 8A 10 88 51 18 49 8B 40 08 8A 10 88 51 19 C3 }
	condition:
		$1
}

rule file_103_151_1 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z"
		size = 1140
		refs = "0028 __security_cookie 007d ??_C@_02MDKMJEGG@eE?$AA@ 0086 ??_C@_02OOPEBDOJ@pP?$AA@ 00a9 strcspn 00bc localeconv 00e2 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00eb ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0130 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0166 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0197 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01db ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0207 _invalid_parameter_noinfo_noreturn 02dd ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 0313 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 0403 ??3@YAXPEAX@Z 0455 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC D0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E9 49 8B F0 48 89 55 9F 4C 8B E1 8A 45 67 88 44 24 31 48 8B 7D 6F 4C 8B B5 8F 00 00 00 4D 85 F6 74 0F 8A 07 2C 2B A8 FD 75 07 B8 01 00 00 00 EB 02 33 C0 48 63 D8 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 22 48 8D 15 ?? ?? ?? ?? 48 8D 4B 02 49 3B CE 77 12 80 3C 1F 30 75 0C 8A 44 1F 01 2C 58 A8 DF 48 0F 44 D9 48 8B CF E8 ?? ?? ?? ?? 48 89 45 87 B8 2E 00 00 00 66 89 44 24 34 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 34 48 8D 54 24 34 48 8B CF E8 ?? ?? ?? ?? 4C 8B F8 48 8D 54 24 40 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 97 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8B 4D 97 48 8B 01 B2 30 FF 50 40 88 44 24 30 45 33 C0 49 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 90 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 8B 4D 97 48 8B 01 4D 8D 04 3E 48 8B D7 FF 50 38 48 8D 54 24 40 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 4C 24 40 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 55 D7 48 8B CF E8 ?? ?? ?? ?? 90 48 8B 07 48 8B CF FF 50 20 88 44 24 32 44 8A 4C 24 30 48 8D 4D AF 4D 3B FE 75 11 4C 8B 45 77 48 8B 45 87 4E 8D 34 00 48 8B D0 EB 66 4C 8B 75 77 4D 03 F7 4C 8B 85 87 00 00 00 48 8B 55 87 E8 ?? ?? ?? ?? 49 8D 57 01 44 8A 4C 24 30 4C 8B 45 7F 48 8D 4D AF E8 ?? ?? ?? ?? 48 8B 07 48 8B CF FF 50 18 8A C8 4C 3B 7D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 42 88 0C 38 44 8A 4C 24 30 4C 8B 45 77 49 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 7D DF 48 83 7D F7 10 48 0F 43 7D DF 8A 07 3C 7F 74 41 44 8A 7C 24 32 84 C0 7E 38 48 0F BE C8 49 8B C6 48 2B C3 48 3B C8 73 29 4C 2B F1 45 8A CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4F F8 8A 07 3C 7F 75 C4 4C 8B 75 C7 49 8B 7D 28 48 85 FF 7E 0A 49 3B FE 76 05 49 2B FE EB 02 33 FF 41 8B 45 18 25 C0 01 00 00 0F 10 06 4C 8D 44 24 40 48 8D 55 87 49 8B CC F3 0F 7F 44 24 40 83 F8 40 0F 84 9B 00 00 00 3D 00 01 00 00 74 4A 48 89 7C 24 20 44 8A 7C 24 31 45 8A CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 33 FF 0F 10 08 F3 0F 7F 4C 24 40 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 89 5C 24 20 4C 8D 44 24 40 48 8D 55 87 49 8B CC E8 ?? ?? ?? ?? EB 67 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 89 5C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 F3 0F 7F 4C 24 40 48 89 7C 24 20 44 8A 7C 24 31 45 8A CF 4C 8D 44 24 40 48 8D 55 87 49 8B CC E8 ?? ?? ?? ?? 33 FF EB 1D 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 89 5C 24 20 E8 ?? ?? ?? ?? 44 8A 7C 24 31 0F 10 00 F3 0F 7F 06 F3 0F 7F 44 24 40 48 3B 5D C7 76 06 E8 ?? ?? ?? ?? CC 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 4C 03 CB 4C 2B F3 4C 89 74 24 20 4C 8D 44 24 40 48 8D 55 87 49 8B CC E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 45 33 F6 4D 89 75 28 0F 10 0E F3 0F 7F 4C 24 40 48 89 7C 24 20 45 8A CF 4C 8D 44 24 40 48 8B 5D 9F 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? BF 0F 00 00 00 48 89 7D F7 4C 89 75 EF 44 88 75 DF 48 8B 4D D7 E8 ?? ?? ?? ?? 4C 89 75 D7 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 89 7D CF 4C 89 75 C7 44 88 75 B7 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_103_174_1 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2743
		refs = "0028 __security_cookie 006b ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 007c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0085 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00bd ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00dc ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0110 ?_Src@?3??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0128 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 01e2 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0238 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 03b9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03de _invalid_parameter_noinfo_noreturn 0484 ??3@YAXPEAX@Z 05fb localeconv 0a98 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F1 4C 89 4D 87 49 8B F8 4C 8B F2 48 89 55 9F 48 8B 5D 77 4C 8B 45 7F 8B 43 18 BA 00 30 00 00 23 C2 3B C2 75 1A 4C 89 44 24 28 48 89 5C 24 20 4C 8B C7 49 8B D6 E8 ?? ?? ?? ?? E9 1C 0A 00 00 48 8D 55 8F 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 97 48 8B 4D 8F 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 D7 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FE 44 88 64 24 30 48 8D 54 24 38 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 38 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D FF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 38 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B2 00 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 0A 75 06 41 C6 06 2B EB 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 09 75 10 41 C6 06 2D 4D 8D 7E 01 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 44 88 64 24 31 44 89 64 24 38 33 DB 89 5C 24 34 4C 8D 75 DF 48 83 7D F7 10 4C 0F 43 75 DF 41 8A 06 FE C8 3C 7D 0F 87 9C 02 00 00 48 39 5D EF 75 05 40 32 F6 EB 0D 49 8B 45 00 49 8B CD FF 50 20 40 8A F0 45 33 C0 41 8D 50 01 48 8D 4D AF E8 ?? ?? ?? ?? 90 33 DB 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 CA 01 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 FF 8A 4D FF EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D FF 48 2B C1 48 83 F8 0A 73 6B C6 44 24 31 01 41 83 FC 24 7C 06 FF 44 24 34 EB 22 48 85 C0 75 05 45 85 E4 74 18 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 44 89 64 24 38 48 3B 5D C7 0F 87 E3 00 00 00 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 80 3C 18 7F 0F 84 AE 00 00 00 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 FE 04 18 E9 98 00 00 00 48 3B 5D C7 0F 87 E5 00 00 00 48 8D 45 B7 4C 8B 55 B7 4C 8B 4D CF 49 83 F9 10 49 0F 43 C2 80 3C 18 00 0F 84 9B 00 00 00 40 84 F6 0F 84 92 00 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 38 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 0E 48 8B 01 FF 50 30 4C 8B 4D CF 4C 8B 55 B7 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 40 38 77 09 75 3E 45 33 C0 41 8D 50 01 48 8D 4D AF E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 0B E9 76 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D CF 4C 8B 55 B7 48 85 DB 0F 84 86 00 00 00 48 3B 5D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 49 83 F9 10 49 0F 43 C2 80 3C 18 00 7E 63 48 FF C3 EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D CF 4C 8B 55 B7 48 85 DB 74 50 41 8A 0E 80 F9 7F 74 48 48 FF CB 74 17 48 3B 5D C7 77 32 48 8D 45 B7 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 27 48 85 DB 75 10 48 8D 45 B7 49 83 F9 10 49 0F 43 C2 3A 08 7C 12 41 80 7E 01 00 7E BB 49 FF C6 EB B6 E8 ?? ?? ?? ?? CC C6 44 24 30 01 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 48 C7 45 CF 0F 00 00 00 48 83 65 C7 00 C6 45 B7 00 48 8B 4D AF E8 ?? ?? ?? ?? 40 8A 74 24 31 4C 8B 75 87 E9 D4 00 00 00 4C 8B 75 87 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 CE 00 00 00 4C 8D 2D ?? ?? ?? ?? 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 FF 8A 4D FF EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D FF 48 2B C1 48 83 F8 0A 73 3F 41 83 FC 24 7C 04 FF C3 EB 17 48 85 C0 75 05 45 85 E4 74 0D 42 8A 04 28 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 89 5C 24 34 44 89 64 24 38 4C 8B 6D 97 40 84 F6 74 0C 45 85 E4 75 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 6E 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 5F 09 49 8B 45 00 49 8B CD FF 50 18 3A D8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 45 85 E4 0F 85 A4 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7A 44 8B 64 24 34 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 47 09 3A 45 FF 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 95 44 89 64 24 34 44 8B 64 24 38 44 8B 6C 24 34 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 34 EB 05 44 8B 6C 24 34 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A7 00 00 00 4C 8D 2D ?? ?? ?? ?? 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 FF 8A 4D FF EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D FF 48 2B C1 48 83 F8 0A 73 31 41 83 FC 24 7D 0D 42 8A 04 28 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 65 FF FF FF 44 8B 6C 24 34 45 33 E4 40 84 F6 0F 84 C7 02 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 02 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 0C 74 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 0B 0F 85 14 02 00 00 41 C6 07 65 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B1 00 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 0A 75 06 41 C6 07 2B EB 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 09 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 74 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FF 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 98 40 84 F6 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 4C 8D 2D ?? ?? ?? ?? 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 48 8D 45 FF 8A 4D FF EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D FF 48 2B C1 48 83 F8 0A 73 2F 83 FB 08 7D 0C 42 8A 04 28 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 44 8B 6C 24 34 44 38 64 24 30 75 05 40 84 F6 75 04 4C 8B 7D 9F 45 88 27 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 4C 89 65 EF 44 88 65 DF 48 8B 4D D7 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_103_179_1 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3028
		refs = "0028 __security_cookie 005b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 009e ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b5 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00e9 ?_Src@?1??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0109 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 01c3 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0348 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 04ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 04f0 _invalid_parameter_noinfo_noreturn 0596 ??3@YAXPEAX@Z 0711 localeconv 0bb5 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC E0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B F1 4C 89 4C 24 30 49 8B F8 4C 8B F2 48 89 54 24 40 48 8B 5D 77 48 8B 45 7F 48 89 45 87 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 38 48 8B 4C 24 48 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 BF 49 8B CD E8 ?? ?? ?? ?? 90 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 28 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 38 4D 8B FE 44 88 64 24 21 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B2 00 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FE 75 06 41 C6 06 2B EB 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FD 75 10 41 C6 06 2D 4D 8D 7E 01 48 8B CF E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 44 88 64 24 20 44 89 64 24 28 33 DB 89 5C 24 24 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 18 01 00 00 38 5F 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 21 1F C6 47 08 01 8A 47 09 3A 45 E7 0F 85 C8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 F6 84 C0 0F 85 A4 00 00 00 40 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 C6 47 08 01 8A 47 09 3A 45 00 74 4D 40 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 C6 47 08 01 8A 47 09 3A 45 FF 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 09 C6 44 24 20 01 EB 02 33 F6 4C 8D 75 C7 48 83 7D DF 10 4C 0F 43 75 C7 41 8A 06 FE C8 3C 7D 0F 87 95 02 00 00 48 39 75 D7 74 0D 49 8B 45 00 49 8B CD FF 50 20 40 8A F0 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 90 33 DB 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 CB 01 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 6B C6 44 24 20 01 41 83 FC 24 7C 06 FF 44 24 24 EB 22 48 85 C0 75 05 45 85 E4 74 18 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 44 89 64 24 28 48 3B 5D AF 0F 87 E4 00 00 00 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F 80 3C 18 7F 0F 84 AE 00 00 00 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F FE 04 18 E9 98 00 00 00 48 3B 5D AF 0F 87 E6 00 00 00 48 8D 45 9F 4C 8B 55 9F 4C 8B 4D B7 49 83 F9 10 49 0F 43 C2 80 3C 18 00 0F 84 9C 00 00 00 40 84 F6 0F 84 93 00 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 38 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 0E 48 8B 01 FF 50 30 4C 8B 4D B7 4C 8B 55 9F 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 40 38 77 09 75 3F 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 0B E9 75 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D B7 4C 8B 55 9F 48 85 DB 0F 84 86 00 00 00 48 3B 5D AF 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 9F 49 83 F9 10 49 0F 43 C2 80 3C 18 00 7E 63 48 FF C3 EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D B7 4C 8B 55 9F 48 85 DB 74 50 41 8A 0E 80 F9 7F 74 48 48 FF CB 74 17 48 3B 5D AF 77 32 48 8D 45 9F 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 27 48 85 DB 75 10 48 8D 45 9F 49 83 F9 10 49 0F 43 C2 3A 08 7C 12 41 80 7E 01 00 7E BB 49 FF C6 EB B6 E8 ?? ?? ?? ?? CC C6 44 24 21 01 49 83 F9 10 72 08 49 8B CA E8 ?? ?? ?? ?? 48 C7 45 B7 0F 00 00 00 48 83 65 AF 00 C6 45 9F 00 48 8B 4D 97 E8 ?? ?? ?? ?? 4C 8B 74 24 30 E9 D7 00 00 00 4C 8B 74 24 30 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 BF 00 00 00 4C 8D 2D ?? ?? ?? ?? 40 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 C6 47 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 41 41 83 FC 24 7C 04 FF C3 EB 17 48 85 C0 75 05 45 85 E4 74 0D 42 8A 04 28 41 88 07 49 FF C7 41 FF C4 C6 44 24 20 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 56 FF FF FF 89 5C 24 24 44 89 64 24 28 4C 8B 6C 24 38 40 8A 74 24 20 40 84 F6 74 0C 45 85 E4 75 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 6E 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 5F 09 49 8B 45 00 49 8B CD FF 50 18 3A D8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 45 85 E4 0F 85 A4 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7A 44 8B 64 24 24 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 47 09 3A 45 E7 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 95 44 89 64 24 24 44 8B 64 24 28 44 8B 6C 24 24 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 24 EB 05 44 8B 6C 24 24 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A7 00 00 00 4C 8D 2D ?? ?? ?? ?? 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 31 41 83 FC 24 7D 0D 42 8A 04 28 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 65 FF FF FF 44 8B 6C 24 24 45 33 E4 40 84 F6 0F 84 C7 02 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 02 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 02 74 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 01 0F 85 14 02 00 00 41 C6 07 70 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B1 00 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FE 75 06 41 C6 07 2B EB 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FD 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 74 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 E7 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 98 40 84 F6 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 4C 8D 2D ?? ?? ?? ?? 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 2F 83 FB 08 7D 0C 42 8A 04 28 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 44 8B 6C 24 24 44 38 64 24 21 75 05 40 84 F6 75 05 4C 8B 7C 24 40 45 88 27 48 8B 45 87 44 89 28 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 0F 00 00 00 4C 89 65 D7 44 88 65 C7 48 8B 4D BF E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_103_184_1 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z"
		size = 1535
		refs = "0028 __security_cookie 004d ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 005c ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0082 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0090 ?_Src@?1??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00ac ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0166 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0317 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 049b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 04c1 _invalid_parameter_noinfo_noreturn 058c ??3@YAXPEAX@Z 05e0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC C0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E1 4C 89 4C 24 28 49 8B D8 4C 8B FA 48 89 55 87 48 8B 75 7F 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 BF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D D7 75 07 44 88 6C 24 21 EB 0D 48 8B 07 48 8B CF FF 50 20 88 44 24 21 48 8B CE E8 ?? ?? ?? ?? 4C 8B 10 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 41 FF 52 38 49 8B F7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 B2 00 00 00 44 38 6B 08 75 40 48 8B 0B 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 89 2B C6 43 08 01 8A 43 09 3A 45 FE 75 06 41 C6 07 2B EB 52 44 38 6B 08 75 40 48 8B 0B 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 89 2B C6 43 08 01 8A 43 09 3A 45 FD 75 10 41 C6 07 2D 49 8D 77 01 48 8B CB E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B F6 BF 0A 00 00 00 44 23 F7 8D 47 06 81 F9 00 08 00 00 44 0F 44 F0 8D 47 FE 81 F9 00 04 00 00 44 0F 44 F0 44 88 6C 24 20 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 39 01 00 00 44 38 6B 08 75 3F 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 21 2B C6 43 08 01 8A 43 09 3A 45 E7 0F 85 E8 00 00 00 41 B5 01 48 8B CB E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 BB 00 00 00 38 43 08 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 43 09 3A 45 00 74 4E 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 43 09 3A 45 FF 75 20 41 F7 C6 EF FF FF FF 75 17 41 BE 10 00 00 00 45 32 ED 48 8B CB E8 ?? ?? ?? ?? 41 8D 46 F8 EB 1E B8 08 00 00 00 45 85 F6 75 0F 44 8B F0 EB 05 B8 08 00 00 00 45 85 F6 74 10 44 3B F7 74 0B BF 16 00 00 00 44 3B F0 0F 44 F8 4C 63 E7 45 8A C5 BA 01 00 00 00 48 8D 4D 97 E8 ?? ?? ?? ?? 90 33 FF 49 83 C7 1F 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 CA 01 00 00 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4B 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 49 3B C4 73 60 48 8D 0D ?? ?? ?? ?? 8A 0C 08 88 0E 80 7C 24 20 00 75 05 80 F9 30 74 0D 49 3B F7 73 08 48 FF C6 C6 44 24 20 01 41 B5 01 48 3B 7D AF 0F 87 EE 00 00 00 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F 80 3C 38 7F 0F 84 B8 00 00 00 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F FE 04 38 E9 A2 00 00 00 48 3B 7D AF 0F 87 F1 00 00 00 48 8D 45 9F 4C 8B 45 9F 4C 8B 4D B7 49 83 F9 10 49 0F 43 C0 80 3C 38 00 0F 84 A6 00 00 00 44 8A 5C 24 21 45 84 DB 0F 84 98 00 00 00 80 7B 08 00 75 4D 48 8B 0B 48 85 C9 74 3D 48 8B 41 38 4C 8B 10 4D 85 D2 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 02 EB 13 48 8B 01 FF 50 30 4C 8B 4D B7 4C 8B 45 9F 44 8A 5C 24 21 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 44 38 5B 09 75 3F 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 0B E9 77 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D B7 4C 8B 45 9F 48 85 FF 74 36 48 3B 7D AF 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 80 3C 38 00 7E 05 48 FF C7 EB 13 45 32 ED EB 0E E8 ?? ?? ?? ?? CC 4C 8B 4D B7 4C 8B 45 9F 48 8D 4D C7 41 BB 10 00 00 00 4C 39 5D DF 48 0F 43 4D C7 45 84 ED 74 5B 48 85 FF 74 47 8A 11 80 FA 7F 74 40 48 FF CF 74 16 48 3B 7D AF 77 2F 48 8D 45 9F 4D 3B CB 49 0F 43 C0 3A 14 38 75 34 48 85 FF 75 0F 48 8D 45 9F 4D 3B CB 49 0F 43 C0 3A 10 7C 20 80 79 01 00 7E BF 48 FF C1 EB BA E8 ?? ?? ?? ?? CC 80 7C 24 20 00 75 0C C6 06 30 48 FF C6 EB 04 48 8B 75 87 C6 06 00 4D 3B CB 72 08 49 8B C8 E8 ?? ?? ?? ?? BF 0F 00 00 00 48 89 7D B7 48 83 65 AF 00 C6 45 9F 00 48 8B 4D 97 E8 ?? ?? ?? ?? 33 DB 48 89 5D 97 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 89 7D DF 48 89 5D D7 88 5D C7 48 8B 4D BF E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_103_200_1 {
	meta:
		name = "?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 307
		refs = "0027 localeconv 0034 _Getcvt 004d ??_C@_00CNPNBAHC@?$AA@ 0065 strlen 0071 ??_U@YAPEAX_K@Z 0094 ??_C@_05LAPONLG@false?$AA@ 00cb ??_C@_04LOAJBDKD@true?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 56 41 57 48 83 EC 60 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A F8 48 8B D9 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 20 00 48 83 63 28 00 45 84 FF 48 8D 3D ?? ?? ?? ?? 75 04 49 8B 7E 10 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 85 F6 74 13 48 8B D0 48 2B D7 8A 0F 88 0C 3A 48 FF C7 48 FF CE 75 F3 48 89 43 10 48 8D 3D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 85 F6 74 13 48 8B D0 48 2B D7 8A 0F 88 0C 3A 48 FF C7 48 FF CE 75 F3 48 89 43 20 48 8D 35 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 85 FF 74 13 48 8B D0 48 2B D6 8A 0E 88 0C 32 48 FF C6 48 FF CF 75 F3 48 89 43 28 45 84 FF 74 08 66 C7 43 18 2E 2C EB 11 49 8B 06 8A 08 88 4B 18 49 8B 46 08 8A 08 88 4B 19 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_103_202_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 44
		refs = "000c ??_V@YAXPEAX@Z 0027 _CxxThrowException"
	strings:
		$1 = { 48 8B 9D 80 00 00 00 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_103_205_1 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z"
		size = 922
		refs = "0028 __security_cookie 009c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a5 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00da ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0110 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0142 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0193 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 01ff ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 0236 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 02b9 _invalid_parameter_noinfo_noreturn 0329 ??3@YAXPEAX@Z 037b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F9 4D 8B F0 48 89 55 9F 4C 8B E9 8A 45 6F 88 44 24 30 48 8B 7D 77 48 8B 75 7F 48 85 F6 74 0F 8A 07 2C 2B A8 FD 75 07 B8 01 00 00 00 EB 02 33 C0 48 63 D8 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1B 48 8D 4B 02 48 3B CE 77 12 80 3C 1F 30 75 0C 8A 44 1F 01 2C 58 A8 DF 48 0F 44 D9 48 8D 54 24 40 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4C 24 40 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 45 33 C0 48 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 90 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 49 8B 04 24 4C 8D 04 3E 48 8B D7 49 8B CC FF 50 38 48 8D 54 24 40 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4C 24 40 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8D 55 D7 49 8B CC E8 ?? ?? ?? ?? 90 48 8D 7D DF 48 83 7D F7 10 48 0F 43 7D DF 8A 07 FE C8 3C 7D 77 4C 49 8B 04 24 49 8B CC FF 50 20 44 8A E0 EB 36 84 C9 7E 39 48 0F BE D1 48 8B C6 48 2B C3 48 3B D0 73 2A 48 2B F2 45 8A CC 41 B8 01 00 00 00 48 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4F F8 8A 0F 80 F9 7F 75 C3 48 8B 75 C7 49 8B 7F 28 48 85 FF 7E 0A 48 3B FE 76 05 48 2B FE EB 02 33 FF 41 8B 47 18 25 C0 01 00 00 41 0F 10 06 4C 8D 44 24 40 48 8D 55 8F 49 8B CD F3 0F 7F 44 24 40 83 F8 40 0F 84 9D 00 00 00 3D 00 01 00 00 74 4B 48 89 7C 24 20 44 8A 64 24 30 45 8A CC E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 33 FF 0F 10 08 F3 0F 7F 4C 24 40 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 89 5C 24 20 4C 8D 44 24 40 48 8D 55 8F 49 8B CD E8 ?? ?? ?? ?? EB 68 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 89 5C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 0F 10 08 F3 0F 7F 4C 24 40 48 89 7C 24 20 44 8A 64 24 30 45 8A CC 4C 8D 44 24 40 48 8D 55 8F 49 8B CD E8 ?? ?? ?? ?? 33 FF EB 1D 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 89 5C 24 20 E8 ?? ?? ?? ?? 44 8A 64 24 30 0F 10 00 F3 41 0F 7F 06 F3 0F 7F 44 24 40 48 3B 5D C7 76 06 E8 ?? ?? ?? ?? CC 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 4C 03 CB 48 2B F3 48 89 74 24 20 4C 8D 44 24 40 48 8D 55 8F 49 8B CD E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 33 F6 49 89 77 28 41 0F 10 0E F3 0F 7F 4C 24 40 48 89 7C 24 20 45 8A CC 4C 8D 44 24 40 48 8B 5D 9F 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? BF 0F 00 00 00 48 89 7D F7 48 89 75 EF 40 88 75 DF 48 8B 4D D7 E8 ?? ?? ?? ?? 48 89 75 D7 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 89 7D CF 48 89 75 C7 40 88 75 B7 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_103_210_1 {
	meta:
		name = "?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z"
		size = 215
		refs = "002d ??0_Lockit@std@@QEAA@H@Z 0054 _realloc_crt 005e ?_Xbad_alloc@std@@YAXXZ 00bd ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 49 8B F8 4C 8B F2 48 8B D9 33 D2 48 8D 48 08 E8 ?? ?? ?? ?? 90 48 39 7B 18 77 48 48 8D 77 01 B8 28 00 00 00 48 3B F0 48 0F 42 F0 48 8B D6 48 C1 E2 03 48 8B 4B 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 43 10 EB 11 48 8B 4B 18 48 8B 43 10 48 83 24 C8 00 48 FF 43 18 48 39 73 18 72 E9 49 8B 06 49 8B CE FF 50 08 48 8B 43 10 48 8B 0C F8 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 43 10 4C 89 34 F8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_103_212_1 {
	meta:
		name = "?_Locimp_ctor@_Locimp@locale@std@@CAXPEAV123@AEBV123@@Z"
		size = 217
		refs = "0025 ?_Clocptr@_Locimp@locale@std@@0PEAV123@EA 002e ??_C@_01GFHCPBMG@C?$AA@ 0037 ??0_Locinfo@std@@QEAA@PEBD@Z 004c ?_Makeloc@_Locimp@locale@std@@CAPEAV123@AEBV_Locinfo@3@HPEAV123@PEBV23@@Z 0057 ??1_Locinfo@std@@QEAA@XZ 0068 ??0_Lockit@std@@QEAA@H@Z 007b _malloc_crt 0089 ?_Xbad_alloc@std@@YAXXZ 00c0 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC A0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 70 18 48 8B F2 48 8B F9 48 3B 15 ?? ?? ?? ?? 75 32 48 8D 15 ?? ?? ?? ?? 48 8D 48 88 E8 ?? ?? ?? ?? 90 45 33 C9 4C 8B C7 41 8D 51 3F 48 8D 4C 24 30 E8 ?? ?? ?? ?? 90 48 8D 4C 24 30 E8 ?? ?? ?? ?? EB 67 33 D2 48 8D 8C 24 B8 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 4F 18 48 85 C9 74 41 48 C1 E1 03 E8 ?? ?? ?? ?? 48 89 47 10 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 8B 5F 18 EB 1E 48 FF CB 48 8B 46 10 48 8B 0C D8 48 8B 47 10 48 89 0C D8 48 85 C9 74 06 48 8B 01 FF 50 08 48 85 DB 75 DD 48 8D 8C 24 B8 00 00 00 E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 10 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_103_215_1 {
	meta:
		name = "?_Locinfo_Addcats@_Locinfo@std@@SAAEAV12@PEAV12@HPEBD@Z"
		size = 200
		refs = "0054 setlocale 0074 ??_C@_01NBENCBCI@?$CK?$AA@ 008f strcmp 009f ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 00be ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@ 00c3 ?_Xruntime_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B D8 8B F2 48 8B E9 4D 85 C0 0F 84 96 00 00 00 41 80 38 2A 75 07 41 80 78 01 00 74 3F 85 D2 75 04 33 D2 EB 28 83 FA 3F 74 20 33 FF 8B CF B8 01 00 00 00 D3 E0 D1 F8 85 C6 74 08 48 8B D3 E8 ?? ?? ?? ?? FF C7 83 FF 05 7E E2 48 8B D3 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 20 48 8B 4D 58 48 85 C9 75 04 48 8D 4D 60 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0C 48 8B D3 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 40 48 8B C5 48 8B 6C 24 38 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_103_216_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@HPEBD@Z"
		size = 86
		refs = "001c setlocale 0023 ??_C@_00CNPNBAHC@?$AA@ 0036 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0052 ?_Locinfo_Addcats@_Locinfo@std@@SAAEAV12@PEAV12@HPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B F1 33 D2 33 C9 49 8B D8 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 85 C0 48 0F 44 C1 48 8D 4E 48 48 8B D0 E8 ?? ?? ?? ?? 4C 8B C3 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_217_1 {
	meta:
		name = "?_Makeloc@_Locimp@locale@std@@CAPEAV123@AEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 1312
		refs = "004f ??2@YAPEAX_K@Z 0062 ??_7?$ctype@D@std@@6B@ 006e _Getctype 0089 ?id@?$ctype@D@std@@2V0locale@2@A 0099 ??0_Lockit@std@@QEAA@H@Z 00a8 ?_Id_cnt@id@locale@std@@0HA 00c2 ??1_Lockit@std@@QEAA@XZ 011d ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 012b ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0157 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0165 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 01fa ??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0230 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 023e ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 02d3 ??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0315 ??_7?$numpunct@D@std@@6B@ 0326 ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0333 ?id@?$numpunct@D@std@@2V0locale@2@A 03cf ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0403 ??_7?$codecvt@DDH@std@@6B@ 0412 ?id@?$codecvt@DDH@std@@2V0locale@2@A 04a6 ??$use_facet@V?$codecvt@DDH@std@@@std@@YAAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z 04c5 ?_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 04d6 ?_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 04e7 ?_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 0501 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 C7 45 D0 FE FF FF FF 48 89 58 18 49 8B F1 49 8B F8 44 8B E2 4C 8B E9 45 33 F6 44 89 75 48 44 8B FA 41 83 E7 02 0F 84 EE 00 00 00 4D 85 C9 0F 85 88 00 00 00 41 8D 49 30 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 28 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D D8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 EB 03 49 8B DE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 8B F4 41 83 E6 08 0F 84 D0 00 00 00 48 85 F6 75 6E 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0F 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 C6 01 00 00 48 85 F6 75 6E 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0F 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 ED 00 00 00 45 33 F6 48 85 F6 0F 85 8A 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 40 48 85 C0 74 1F 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 45 33 C0 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 49 8B DE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 5A 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 EB 9F 45 33 F6 45 85 FF 0F 84 D1 00 00 00 48 85 F6 75 6F 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 10 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D4 49 8B CD E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D4 49 8B CD E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D4 49 8B CD E8 ?? ?? ?? ?? 44 09 67 20 49 8B 55 58 48 85 D2 75 04 49 8D 55 60 48 8D 4F 28 E8 ?? ?? ?? ?? 48 8B C7 48 8B 9C 24 A0 00 00 00 48 83 C4 50 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_103_226_1 {
	meta:
		name = "?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z"
		size = 162
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 5C 24 50 49 8B F1 49 8B F8 48 8B EA 48 85 DB 74 5B 48 8B 4F 08 48 85 C9 74 47 48 8B 41 40 44 8A 06 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 48 8B 01 41 0F B6 D0 FF 50 18 83 F8 FF 75 03 C6 07 01 48 FF C6 48 FF CB 75 A5 0F 10 07 48 8B 5C 24 30 48 8B 74 24 40 48 8B C5 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_103_227_1 {
	meta:
		name = "?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z"
		size = 155
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7C 24 50 41 8A E9 49 8B D8 48 8B F2 48 85 FF 74 55 48 8B 4B 08 48 85 C9 74 44 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 40 88 2A 40 0F B6 C5 EB 0A 48 8B 01 40 0F B6 D5 FF 50 18 83 F8 FF 75 03 C6 03 01 48 FF CF 75 AB 0F 10 03 48 8B 5C 24 30 48 8B 6C 24 38 48 8B C6 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_103_283_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 645
		refs = "0023 __security_cookie 006b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00a9 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 00b6 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00c9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00da ??3@YAXPEAX@Z 0103 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010f ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0171 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 01d4 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 01ea _Stoulx 023b ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 026e __security_check_cookie"
	strings:
		$1 = { 40 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC E0 00 00 00 48 C7 45 8F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E1 4C 89 4C 24 38 4D 8B F8 4C 8B EA 48 89 4C 24 48 48 8B 75 6F 4C 8B 75 77 48 8B 45 7F 48 89 45 87 48 83 CF FF 48 8B CE F7 46 18 00 40 00 00 0F 84 41 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 8D 77 02 48 8B 4C 24 30 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 45 33 C0 48 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 8D 55 97 49 8B CC E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 83 7D B7 10 72 09 48 8B 4D 9F E8 ?? ?? ?? ?? 48 C7 45 B7 0F 00 00 00 48 83 65 AF 00 C6 45 9F 00 48 8B 4D 97 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 55 97 49 8B CC E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 83 7D B7 10 72 09 48 8B 4D 9F E8 ?? ?? ?? ?? 48 C7 45 B7 0F 00 00 00 48 83 65 AF 00 C6 45 9F 00 48 8B 4D 97 E8 ?? ?? ?? ?? 4C 8D 4D C7 48 83 7D DF 10 4C 0F 43 4D C7 41 B8 02 00 00 00 4C 8B 64 24 38 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 8B F8 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 0F 00 00 00 48 83 65 D7 00 C6 45 C7 00 48 8B 4D BF E8 ?? ?? ?? ?? E9 8E 00 00 00 83 64 24 30 00 48 8D 54 24 50 E8 ?? ?? ?? ?? 48 8B D0 8B 46 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 E7 48 8B 4C 24 48 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 40 48 8D 4D E7 E8 ?? ?? ?? ?? 44 8B E0 BE 01 00 00 00 48 8B 4C 24 50 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 48 8D 45 E7 48 39 44 24 40 74 0E 83 7C 24 30 00 75 07 44 3B E6 41 0F 46 FC 4C 8B 64 24 38 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 41 09 36 85 FF 79 06 41 83 0E 02 EB 09 0F 95 C1 48 8B 45 87 88 08 41 0F 10 07 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_103_296_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DJ@Z"
		size = 173
		refs = "000e __security_cookie 002e ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 8A 94 24 F0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_103_297_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DK@Z"
		size = 173
		refs = "000e __security_cookie 002e ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 8A 94 24 F0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_103_298_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DN@Z"
		size = 432
		refs = "001b __security_cookie 0088 __real@3fe0000000000000 0098 __xmm@80000000000000008000000000000000 00b1 __real@4202a05f20000000 00b9 __real@4733426172c74d82 00e7 __real@38aa95a5b7f87a0f 0125 ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z 0140 sprintf_s 017f ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z 0192 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 56 41 57 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B F9 49 8B F9 4C 8B E2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 F6 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 0F 85 8E 00 00 00 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2E C6 7A 02 74 7B F2 0F 10 15 ?? ?? ?? ?? 0F 57 C9 66 0F 2F CE 0F 97 C0 84 C0 74 03 0F 57 F2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B F1 73 0E F2 0F 5E F3 49 83 C6 0A 66 0F 2F F0 73 ED 66 0F 2F F1 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 03 0F 57 F2 41 0F 10 00 48 8D 54 24 60 45 33 C0 49 8B CF F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CF 48 89 54 24 48 8A 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 74 24 30 48 89 44 24 28 88 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_103_299_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DO@Z"
		size = 409
		refs = "001b __security_cookie 0081 __xmm@80000000000000008000000000000000 009a __real@4202a05f20000000 00a2 __real@4733426172c74d82 00d0 __real@38aa95a5b7f87a0f 010e ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z 0129 sprintf_s 0168 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z 017b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 56 41 57 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B F9 49 8B F9 4C 8B E2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 F6 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 75 7B F2 0F 10 15 ?? ?? ?? ?? 0F 57 C9 66 0F 2F CE 0F 97 C0 84 C0 74 03 0F 57 F2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B F1 73 0E F2 0F 5E F3 49 83 C6 0A 66 0F 2F F0 73 ED 66 0F 2F F1 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 03 0F 57 F2 41 0F 10 00 48 8D 54 24 60 41 B0 4C 49 8B CF F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CF 48 89 54 24 48 8A 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 74 24 30 48 89 44 24 28 88 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_103_300_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBX@Z"
		size = 156
		refs = "000e __security_cookie 0035 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007a ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 008d __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8B 8C 24 E8 00 00 00 48 8B D9 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 50 BA 40 00 00 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 50 48 8B CB 48 89 54 24 30 8A 94 24 E0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_103_301_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_J@Z"
		size = 173
		refs = "000e __security_cookie 002e ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 8A 94 24 F0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_103_302_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_K@Z"
		size = 173
		refs = "000e __security_cookie 002e ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 8A 94 24 F0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_103_303_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z"
		size = 619
		refs = "0024 __security_cookie 007a ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0083 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00c0 ??2@YAPEAX_K@Z 00ca ?_Xbad_alloc@std@@YAXXZ 0103 ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 010a ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0126 ??3@YAXPEAX@Z 0142 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 01b3 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 01ee ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 0253 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC B8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B F9 4D 8B F8 48 8B F2 4C 8B F1 44 8A 65 77 41 F7 41 18 00 40 00 00 75 29 41 0F 10 00 F3 0F 7F 45 87 4C 8B 11 0F B6 55 7F 89 54 24 28 44 88 64 24 20 4C 8D 45 87 48 8B D6 41 FF 52 48 E9 D6 01 00 00 48 8D 55 87 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D 87 45 33 ED 48 85 C9 74 18 48 8B 11 FF 52 10 48 85 C0 74 0D 4C 8B 00 41 8D 55 01 48 8B C8 41 FF 10 4C 89 6D AF 4C 89 6D C7 4C 89 6D CF B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 45 AF 0F 57 C0 F3 0F 7F 00 48 8D 4D AF 48 8B 45 AF 48 89 08 48 C7 45 CF 0F 00 00 00 4C 89 6D C7 44 88 6D B7 48 8D 55 D7 48 8B CB 44 38 6D 7F 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 AF 48 3B C3 74 2C 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 0F 00 00 00 4C 89 6D C7 44 88 6D B7 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 4C 89 6D EF 44 88 6D DF 48 8B 4D D7 E8 ?? ?? ?? ?? 48 8B 5F 28 48 8B 4D C7 48 85 DB 7E 0A 48 3B D9 76 05 48 2B D9 EB 03 49 8B DD 8B 47 18 25 C0 01 00 00 83 F8 40 74 30 41 0F 10 07 F3 0F 7F 45 87 48 89 5C 24 20 45 8A CC 4C 8D 45 87 48 8D 55 97 49 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 07 49 8B DD 48 8B 4D C7 41 0F 10 07 F3 0F 7F 45 87 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 89 4C 24 20 4C 8D 45 87 48 8D 55 97 49 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 07 4C 89 6F 28 41 0F 10 0F F3 0F 7F 4D 87 48 89 5C 24 20 45 8A CC 4C 8D 45 87 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 90 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 0F 00 00 00 4C 89 6D C7 44 88 6D B7 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_103_327_1 {
	meta:
		name = "?global@locale@std@@SA?AV12@AEBV12@@Z"
		size = 229
		refs = "0028 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z 003f ??0_Lockit@std@@QEAA@H@Z 0045 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 0071 ?_Setgloballocale@locale@std@@CAXPEAX@Z 0099 setlocale 00cf ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 56 57 41 56 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 18 48 8B DA 4C 8B F1 83 60 D8 00 B1 01 E8 ?? ?? ?? ?? 49 89 06 C7 44 24 20 01 00 00 00 33 D2 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 3B 03 74 7B 48 8B 10 48 8B C8 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 1B 48 8B CB E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 08 8B 73 20 83 E6 3F 83 FE 3F 75 16 48 8B 53 28 48 85 D2 75 04 48 8D 53 30 33 C9 E8 ?? ?? ?? ?? EB 2A 33 FF 8B CF B8 01 00 00 00 D3 E0 D1 F8 85 C6 74 12 48 8B 53 28 48 85 D2 75 04 48 8D 53 30 E8 ?? ?? ?? ?? FF C7 83 FF 05 7E D8 48 8D 4C 24 58 E8 ?? ?? ?? ?? 49 8B C6 48 8B 5C 24 60 48 83 C4 30 41 5E 5F 5E C3 CC }
	condition:
		$1
}

rule file_104_0_1 {
	meta:
		name = "_LExp"
		size = 320
		refs = "0008 __real@c0dccc8000000000 002c __real@40dccc8000000000 0036 _LInf 004f __real@3ff71547652b82fe 005d __real@bfe0000000000000 0067 __real@3fe0000000000000 006f _LEps 008d __real@3eb7f7d1cf79abca 0095 __real@3fe62e4000000000 00a7 __xmm@80000000000000008000000000000000 00d1 __real@408a4957d1bed8ae 00d9 __real@404504fb21da2a7a 00e1 __real@40c3b82d3278cb75 00ed __real@40f27d2d585f86d1 00f9 __real@411456b311a1fdee 0105 __real@412456b311a1fdee 0120 __real@4000000000000000 0136 _LDscale"
	strings:
		$1 = { F2 0F 10 19 F2 0F 10 05 ?? ?? ?? ?? 0F 28 E1 66 0F 2F C3 0F 87 21 01 00 00 0F 57 C9 66 0F 2E E1 7A 06 0F 84 12 01 00 00 66 0F 2F 1D ?? ?? ?? ?? 76 16 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 11 01 E9 F7 00 00 00 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F C8 76 0A F2 0F 10 0D ?? ?? ?? ?? EB 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C8 F2 0F 2C D1 0F BF C2 66 0F 6E C8 F3 0F E6 C9 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 F2 0F 5C D9 0F 57 05 ?? ?? ?? ?? 66 0F 2F D8 76 0C 66 0F 2F D3 76 06 F2 0F 11 21 EB 6F 0F 28 CB 66 FF CA F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D8 0F 28 CA F2 0F 5C D3 F2 0F 58 CB F2 0F 5E CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 48 89 01 C3 }
	condition:
		$1
}

rule file_105_0_1 {
	meta:
		name = "_WStoxflt"
		size = 773
		refs = "0017 __security_cookie 0073 ?digits@?1??_WStoxflt@@9@9 007d ?vals@?1??_WStoxflt@@9@9 00ca localeconv 0279 iswctype 02e5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 6B AC 24 C0 00 00 00 07 B8 23 00 00 00 4C 89 44 24 28 49 8B F9 48 8B DA 4C 8B E9 3B E8 48 89 4C 24 20 44 8D 40 DE 0F 4F E8 41 83 21 00 41 83 61 04 00 45 33 E4 66 83 3A 30 75 0D 45 8B E0 48 83 C3 02 66 83 3B 30 74 F6 33 F6 4C 63 FD 4C 8D 0D ?? ?? ?? ?? 45 33 F6 4C 8D 15 ?? ?? ?? ?? 0F B7 13 B9 16 00 00 00 49 8B C1 66 39 10 74 0B 48 83 C0 02 49 2B C8 75 F2 33 C0 48 85 C0 74 28 4D 3B F7 7F 17 49 2B C1 41 03 F0 48 D1 F8 41 8A 04 42 42 88 44 34 30 4D 03 F0 EB 03 44 01 07 48 83 C3 02 45 8B E0 EB B8 E8 ?? ?? ?? ?? 48 8B 08 0F B7 03 0F BE 11 3B C2 75 04 48 83 C3 02 85 F6 75 16 66 83 3B 30 75 10 44 8D 66 01 FF 0F 48 83 C3 02 66 83 3B 30 74 F4 4C 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 0F B7 13 B9 16 00 00 00 49 8B C0 66 39 10 74 0B 48 83 C0 02 48 FF C9 75 F2 33 C0 48 85 C0 74 27 4D 3B F7 7F 16 49 2B C0 49 FF C6 FF C6 48 D1 F8 41 8A 04 41 FF 0F 42 88 44 34 2F 48 83 C3 02 41 BC 01 00 00 00 EB B9 3B EE 7D 12 80 7C 2C 30 08 7C 07 8D 45 FF FE 44 04 30 FF 07 8B F5 48 63 C6 85 F6 7E 1A 48 8D 4C 24 30 80 7C 01 FF 00 75 0C FF 07 48 FF C8 FF CE 48 85 C0 7F ED 85 F6 75 0A BE 01 00 00 00 C6 44 24 30 00 C1 27 02 45 85 E4 0F 84 64 01 00 00 41 BE 93 24 49 92 BD 00 00 00 00 4C 63 DE 41 8B C6 F7 EE 03 D6 C1 FA 02 8B C2 FF C2 C1 E8 1F 03 C2 44 6B D0 07 41 8B C6 44 2B D6 41 F7 EA 41 03 D2 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B CA 07 44 3B D1 40 0F 95 C5 45 33 C9 85 F6 7E 4D 4C 63 C5 41 8B C6 41 F7 EA 41 03 D2 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B CA 07 44 3B D1 75 11 42 0F BE 44 0C 30 FF C5 49 FF C0 42 89 04 87 EB 13 42 8B 04 87 42 0F BE 4C 0C 30 C1 E0 04 03 C8 42 89 0C 87 49 FF C1 41 FF C2 4D 3B CB 7C B6 0F B7 03 B9 DF FF 00 00 66 83 E8 50 66 85 C1 75 7F 4C 8B EB 48 83 C3 02 41 BE 2B 00 00 00 0F B7 03 B9 FD FF 00 00 66 41 2B C6 66 85 C1 75 08 44 0F B7 33 48 83 C3 02 0F B7 0B 33 F6 45 33 FF 8D 56 04 E8 ?? ?? ?? ?? 85 C0 74 2D 44 8D 7E 01 81 FE 00 E1 F5 05 7D 0C 0F B7 03 8D 34 B6 8D 76 E8 8D 34 70 48 83 C3 02 BA 04 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 D7 66 41 83 FE 2D 75 02 F7 DE 01 37 45 85 FF 75 03 49 8B DD 4C 8B 6C 24 20 48 8B 44 24 28 48 85 C0 74 0A 45 85 E4 4C 0F 45 EB 4C 89 28 8B C5 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 ED EB C1 }
	condition:
		$1
}

rule file_105_1_1 {
	meta:
		name = "wmemchr"
		size = 26
	strings:
		$1 = { 4D 85 C0 74 0E 66 39 11 74 0C 48 83 C1 02 49 FF C8 75 F2 33 C0 C3 48 8B C1 C3 }
	condition:
		$1
}

rule file_106_0_1 {
	meta:
		name = "??0_Mtx_guard@@QEAA@XZ"
		size = 30
		refs = "000c ext_once_mtx 0011 _Mtx_lock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_106_3_1 {
	meta:
		name = "?init_ext_mutex@@YAXXZ"
		size = 53
		refs = "0007 ext_once_mtx 0011 _Mtx_init 001c ??_C@_0CF@BDNBCPPB@unable?5to?5initialize?5call?9once?5m@ 0021 _Thrd_abort 0028 ?ext_cleanup@@YAXXZ 0031 atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_106_4_1 {
	meta:
		name = "_Call_onceEx"
		size = 98
		refs = "0018 ?init_ext_mutex@@YAXXZ 001f ext_once_state 0027 _Call_once 002e ext_once_mtx 0033 _Mtx_lock 005e _Mtx_unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B D9 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 49 8B F8 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 75 0B 48 8B CF FF D6 C7 03 01 00 00 00 48 8D 0D ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_0_1 {
	meta:
		name = "_LSinh"
		size = 407
		refs = "0028 _LDtest 0072 __xmm@80000000000000008000000000000000 0089 _LRteps 0097 __real@3ff0000000000000 00a8 p 00b9 _LPoly 00d4 _LXbig 00ea _LExp 00f7 __real@3fd0000000000000 0129 _Feraise 014e __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F2 0F 11 40 08 55 48 8B EC 48 83 EC 40 0F 29 70 E8 0F 29 78 D8 48 8D 4D 10 0F 28 F9 E8 ?? ?? ?? ?? 33 FF 0F BF C8 85 C9 0F 84 3B 01 00 00 FF C9 0F 84 09 01 00 00 FF C9 0F 84 FA 00 00 00 0F 57 C0 66 0F 2E F8 7A 12 75 10 66 0F 2F 45 10 0F 86 10 01 00 00 E9 FD 00 00 00 F2 0F 10 4D 10 66 0F 2F C1 76 13 0F 57 0D ?? ?? ?? ?? BB 01 00 00 00 F2 0F 11 4D 10 EB 03 0F B7 DF F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 77 70 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D1 76 2F F2 0F 59 C9 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 0F 28 C1 0F 28 F1 E8 ?? ?? ?? ?? F2 0F 59 75 10 0F 28 C8 F2 0F 59 CE F2 0F 58 4D 10 EB 33 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 66 0F 2F C1 76 23 0F 28 CA E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C1 F2 0F 5C C8 F2 0F 59 CF EB 29 0F 28 CF E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4D 10 66 85 DB 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 3A F2 0F 10 45 10 EB 33 66 0F 2E 3D ?? ?? ?? ?? 7A 16 75 14 B8 00 80 00 00 66 85 45 16 74 0E 0F 57 3D ?? ?? ?? ?? EB 05 F2 0F 10 7D 10 0F 28 C7 EB 09 F2 0F 10 45 10 F2 0F 59 C7 48 8B 5C 24 58 48 8B 7C 24 60 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_111_0_1 {
	meta:
		name = "_Wcscoll"
		size = 219
		refs = "0037 ___lc_locale_name_func 00a5 __crtCompareStringW 00b0 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B FA 49 8B D9 48 8B E9 48 2B F9 48 8B 4C 24 60 49 2B D8 48 D1 FF 48 D1 FB 49 8B F0 48 85 C9 75 0B E8 ?? ?? ?? ?? 48 8B 48 08 EB 04 48 8B 49 08 48 85 C9 75 46 8B D3 3B FB B9 01 00 00 00 0F 4C D7 EB 13 0F B7 06 66 39 45 00 75 22 48 83 C5 02 48 83 C6 02 2B D1 85 D2 7F E9 33 C0 85 C0 75 17 3B FB 74 13 83 C8 FF 3B FB 0F 4C C8 EB 41 1B C0 83 E0 FE 03 C1 EB E5 8B C8 EB 34 44 8B CF 4C 8B C5 BA 00 10 00 00 89 5C 24 28 48 89 74 24 20 E8 ?? ?? ?? ?? 8B C8 85 C0 75 12 E8 ?? ?? ?? ?? B9 FF FF FF 7F C7 00 16 00 00 00 EB 03 83 E9 02 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 8B C1 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_111_1_1 {
	meta:
		name = "_Wmemcmp"
		size = 37
	strings:
		$1 = { EB 13 0F B7 02 66 39 01 75 13 48 83 C1 02 48 83 C2 02 41 FF C8 45 85 C0 7F E8 33 C0 C3 1B C0 83 E0 FE FF C0 C3 }
	condition:
		$1
}

rule file_113_0_1 {
	meta:
		name = "_Stoxflt"
		size = 774
		refs = "0017 __security_cookie 0071 ?digits@?1??_Stoxflt@@9@9 007d memchr 009a ?vals@?1??_Stoxflt@@9@9 00e1 localeconv 0281 isdigit 02e6 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 6B AC 24 D0 00 00 00 07 B8 23 00 00 00 49 8B F9 4C 89 44 24 30 48 8B DA 4C 8B E9 3B E8 48 89 4C 24 28 0F 4F E8 41 83 21 00 41 83 61 04 00 45 33 FF 80 3A 30 89 6C 24 20 75 0C 44 8D 78 DE 48 FF C3 80 3B 30 74 F8 0F BE 13 33 F6 4C 8D 35 ?? ?? ?? ?? 44 8D 46 16 49 8B CE E8 ?? ?? ?? ?? 4C 63 E5 48 85 C0 74 57 45 33 F6 44 8D 7E 01 4C 8D 2D ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 4D 3B F4 7F 12 49 2B C5 FF C6 49 FF C6 8A 04 28 42 88 44 34 37 EB 02 FF 07 48 FF C3 41 B8 16 00 00 00 49 8B CD 0F BE 13 E8 ?? ?? ?? ?? 48 85 C0 75 CE 8B 6C 24 20 4C 8B 6C 24 28 4C 8D 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 08 8A 01 38 03 75 03 48 FF C3 85 F6 75 13 80 3B 30 75 0E 44 8D 7E 01 FF 0F 48 FF C3 80 3B 30 74 F6 0F BE 13 41 B8 16 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 74 50 4C 63 F6 41 BF 01 00 00 00 4C 8D 2D ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 4D 3B F4 7F 12 49 2B C5 49 FF C6 FF C6 8A 04 28 FF 0F 42 88 44 34 37 48 FF C3 41 B8 16 00 00 00 49 8B CD 0F BE 13 E8 ?? ?? ?? ?? 48 85 C0 75 D0 8B 6C 24 20 4C 8B 6C 24 28 3B EE 7D 14 8B C5 80 7C 04 38 08 7C 07 8D 45 FF FE 44 04 38 FF 07 8B F5 48 63 C6 85 F6 7E 1A 48 8D 4C 24 38 80 7C 01 FF 00 75 0C FF 07 48 FF C8 FF CE 48 85 C0 7F ED 85 F6 75 0A BE 01 00 00 00 C6 44 24 38 00 C1 27 02 45 85 FF 0F 84 43 01 00 00 41 BE 93 24 49 92 BD 00 00 00 00 4C 63 DE 41 8B C6 F7 EE 03 D6 C1 FA 02 8B C2 FF C2 C1 E8 1F 03 C2 44 6B D0 07 41 8B C6 44 2B D6 41 F7 EA 41 03 D2 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B CA 07 44 3B D1 40 0F 95 C5 45 33 C9 85 F6 7E 4D 4C 63 C5 41 8B C6 41 F7 EA 41 03 D2 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B CA 07 44 3B D1 75 11 42 0F BE 44 0C 38 FF C5 49 FF C0 42 89 04 87 EB 13 42 8B 04 87 42 0F BE 4C 0C 38 C1 E0 04 03 C8 42 89 0C 87 49 FF C1 41 FF C2 4D 3B CB 7C B6 8A 03 2C 50 A8 DF 75 67 4C 8B EB 48 FF C3 41 B6 2B 8A 03 41 2A C6 A8 FD 75 06 44 8A 33 48 FF C3 0F B6 0B 45 33 E4 33 F6 E8 ?? ?? ?? ?? 85 C0 74 27 44 8D 66 01 81 FE 00 E1 F5 05 7D 0C 0F B6 03 8D 34 B6 8D 76 E8 8D 34 70 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 DD 41 80 FE 2D 75 02 F7 DE 01 37 45 85 E4 75 03 49 8B DD 4C 8B 6C 24 28 48 8B 44 24 30 48 85 C0 74 0A 45 85 FF 4C 0F 45 EB 4C 89 28 8B C5 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 ED EB C1 }
	condition:
		$1
}

rule file_115_152_1 {
	meta:
		name = "??__Efout@std@@YAXXZ"
		size = 76
		refs = "0007 __iob_func 000e fout 0016 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001d ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0037 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003e ??__Ffout@std@@YAXXZ 0048 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 53 30 48 8D 0D ?? ?? ?? ?? 45 33 C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_152_1 {
	meta:
		name = "??__Efin@std@@YAXXZ"
		size = 75
		refs = "0007 __iob_func 000e fin 0016 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001d ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0036 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003d ??__Ffin@std@@YAXXZ 0047 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 45 33 C0 48 8B D3 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_0_1 {
	meta:
		name = "?_MP_Add@std@@YAXQEA_K_K@Z"
		size = 45
		refs = "0024 ?add@std@@YAXPEA_KH0H@Z"
	strings:
		$1 = { 48 83 EC 38 8B C2 48 C1 EA 20 41 B9 02 00 00 00 48 89 54 24 28 41 8D 51 03 4C 8D 44 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_117_2_1 {
	meta:
		name = "?_MP_Mul@std@@YAXQEA_K_K1@Z"
		size = 161
		refs = "002f memset"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 40 8B C2 48 C1 EA 20 48 8B D9 49 89 43 E8 41 8B C0 49 C1 E8 20 49 89 53 F0 33 D2 4D 89 43 E0 44 8D 42 28 49 89 43 D8 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 48 8D 44 24 20 4C 2B CB 48 8D 4C 24 20 41 BB 02 00 00 00 48 2B D8 48 83 39 00 75 08 48 83 64 0B 10 00 EB 32 45 33 C0 48 8D 14 0B 45 8D 50 02 49 8B 04 11 48 0F AF 01 49 03 C0 48 01 02 4C 8B 02 83 62 04 00 49 C1 E8 20 48 8D 52 08 49 FF CA 75 DE 4C 89 44 0B 10 48 83 C1 08 49 83 E9 08 49 FF CB 75 B3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_117_3_1 {
	meta:
		name = "?_MP_Rem@std@@YAXQEA_K_K@Z"
		size = 718
		refs = "0259 ?add@std@@YAXPEA_KH0H@Z"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 48 8B C2 48 C1 EA 20 41 B9 02 00 00 00 33 DB 4C 8B F1 48 89 44 24 30 48 89 54 24 38 41 8B F1 48 85 D2 75 10 48 8D 44 24 38 48 8D 40 F8 FF CE 48 39 18 74 F5 41 BA 05 00 00 00 48 8D 41 20 41 8B FA EB 06 FF CF 48 8D 40 F8 48 39 18 74 F5 33 D2 4C 63 FE 48 B8 00 00 00 00 01 00 00 00 4A 8B 4C FC 28 2B FE 48 FF C1 48 F7 F1 48 8B E8 48 89 44 24 28 48 83 F8 01 74 58 48 8B D3 4D 8B C6 4D 8B CA 49 8B 08 48 0F AF CD 48 03 D1 49 89 10 48 C1 EA 20 41 89 58 04 4D 8D 40 08 49 FF C9 75 E2 48 8B D3 48 8B CB 85 F6 7E 21 48 8B 44 CC 30 48 FF C1 48 0F AF C5 48 03 D0 48 89 54 CC 28 89 5C CC 2C 48 C1 EA 20 49 3B CF 7C DF 41 B9 02 00 00 00 85 FF 0F 88 AE 01 00 00 48 63 CF 8D 46 FE 4C 8D 6C 24 30 4C 63 D8 48 63 C6 4D 8D 67 FE 4C 8B 54 C4 28 4C 03 E1 48 8B C1 48 C1 E0 03 4C 89 9C 24 A0 00 00 00 48 8B E9 4C 2B E8 4A 8D 14 30 4C 89 94 24 98 00 00 00 4D 2B EE 4D 2B CF 48 89 94 24 A8 00 00 00 4C 89 8C 24 90 00 00 00 4F 8D 24 E6 49 8B 4C 24 10 49 8B 44 24 08 33 D2 48 C1 E1 20 48 03 C1 49 F7 F2 4C 8B C0 48 85 C0 0F 84 13 01 00 00 48 B8 00 00 00 00 01 00 00 00 4C 3B C0 73 23 4A 8B 44 DC 30 48 8B CA 48 C1 E1 20 49 03 0C 24 49 0F AF C0 48 3B C1 76 15 48 B8 00 00 00 00 01 00 00 00 49 03 D2 49 FF C8 48 3B D0 72 CD 48 8B CB 4D 85 FF 0F 8E CA 00 00 00 4B 8D 14 CC 45 8B D7 4D 8B DF 4D 8B CF 49 BF 00 00 00 00 01 00 00 00 49 8B 44 15 00 49 0F AF C0 48 03 C1 48 29 02 48 8B 0A 48 C1 E9 20 48 85 C9 74 09 49 8B C7 48 2B C1 48 8B C8 89 5A 04 48 83 C2 08 49 FF C9 75 D0 4C 63 FE 48 85 C9 74 63 49 8D 04 2B 45 8D 04 3A 49 BF 00 00 00 00 01 00 00 00 49 8D 14 C6 41 83 F8 05 7D 27 48 29 0A 48 8B 0A 48 C1 E9 20 48 85 C9 74 09 49 8B C7 48 2B C1 48 8B C8 89 5A 04 48 83 C2 08 41 FF C0 48 85 C9 75 D3 4C 63 FE 48 85 C9 74 18 48 8B 8C 24 A8 00 00 00 8D 56 01 4C 8D 44 24 30 44 8B CE E8 ?? ?? ?? ?? 4C 8B 8C 24 90 00 00 00 4C 8B 94 24 98 00 00 00 4C 8B 9C 24 A0 00 00 00 48 83 AC 24 A8 00 00 00 08 48 FF CD 49 83 EC 08 49 83 C5 08 FF CF 0F 89 AF FE FF FF 48 8B 6C 24 28 48 83 FD 01 74 21 B9 04 00 00 00 48 C1 E3 20 33 D2 49 03 1C CE 48 8B C3 48 F7 F5 49 89 04 CE 48 FF C9 48 8B DA 79 E4 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_117_4_1 {
	meta:
		name = "?add@std@@YAXPEA_KH0H@Z"
		size = 138
	strings:
		$1 = { 45 85 C9 0F 8E 80 00 00 00 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 48 8B F9 45 8B C9 8B F2 45 33 D2 49 2B F8 4C 8B D9 48 8B D9 49 63 D1 4C 2B C1 49 8D 0C 18 48 8B 01 49 03 C2 48 01 03 4C 8B 13 83 64 39 04 00 49 C1 EA 20 48 8D 5B 08 49 FF C9 75 DE 4D 85 D2 74 21 49 8D 0C D3 3B D6 7D 19 4C 01 11 4C 8B 11 83 61 04 00 49 C1 EA 20 FF C2 48 83 C1 08 4D 85 D2 75 E3 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_117_5_1 {
	meta:
		name = "?div@std@@YAXQEA_K_K@Z"
		size = 39
	strings:
		$1 = { 45 33 C0 4C 8B D2 45 8D 48 04 49 C1 E0 20 33 D2 4E 03 04 C9 49 8B C0 49 F7 F2 4A 89 04 C9 49 FF C9 4C 8B C2 79 E4 C3 }
	condition:
		$1
}

rule file_117_6_1 {
	meta:
		name = "?limit@std@@YAHPEA_KH@Z"
		size = 33
	strings:
		$1 = { 48 63 C2 48 83 7C C1 F8 00 75 13 48 FF C8 48 8D 04 C1 48 8D 40 F8 FF CA 48 83 38 00 74 F4 8B C2 C3 }
	condition:
		$1
}

rule file_117_7_1 {
	meta:
		name = "?mul@std@@YAXPEA_KH_K@Z"
		size = 41
	strings:
		$1 = { 45 33 C9 85 D2 7E 21 44 8B D2 48 8B 01 49 0F AF C0 4C 03 C8 4C 89 09 83 61 04 00 49 C1 E9 20 48 8D 49 08 49 FF CA 75 E2 C3 }
	condition:
		$1
}

rule file_118_4_1 {
	meta:
		name = "??$?0$$A6A_NAEBW4agent_status@Concurrency@@@Z@?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@QEAA@A6A_NAEBW4agent_status@Concurrency@@@Z@Z"
		size = 38
		refs = "000f ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@"
	strings:
		$1 = { 48 83 EC 18 48 C7 04 24 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 48 8B C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_118_57_1 {
	meta:
		name = "??$_Allocate@V?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@@std@@YAPEAV?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@0@_KPEAV10@@Z"
		size = 55
		refs = "0023 ??2@YAPEAX_K@Z 0032 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 C9 74 21 48 B8 AA AA AA AA AA AA AA 0A 48 3B C8 77 17 48 8D 0C 49 48 C1 E1 03 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_74_1 {
	meta:
		name = "??$_Do_alloc@V?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@A6A_NAEBW4agent_status@Concurrency@@@ZV?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@@?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@AEAAXA6A_NAEBW4agent_status@Concurrency@@@ZV?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@1@@Z"
		size = 29
		refs = "000a ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@"
		altNames = "??$_Reset@A6A_NAEBW4agent_status@Concurrency@@@Z@?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@IEAAXA6A_NAEBW4agent_status@Concurrency@@@Z@Z ??$_Reset_alloc@A6A_NAEBW4agent_status@Concurrency@@@ZV?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@std@@@?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@IEAAXA6A_NAEBW4agent_status@Concurrency@@@ZV?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@1@@Z"
	strings:
		$1 = { 33 C0 48 85 C9 74 11 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 8B C1 48 89 41 18 C3 }
	condition:
		$1
}

rule file_118_82_1 {
	meta:
		name = "??$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z"
		size = 179
		refs = "002f ??0_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@QEAA@0AEBV45@I@Z 0039 ?_Value@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@QEAA?AW432@XZ 0048 ??_7_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@6B@ 0072 ??0event@Concurrency@@QEAA@XZ 0085 ?_Connect@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@AEAAX0@Z 009c ??1_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 C8 48 81 EC 30 01 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 8B D9 4D 85 C0 74 21 44 8B CA 48 8B D1 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 4D B0 E8 ?? ?? ?? ?? 8B D8 48 8D 4D B0 EB 56 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 C7 44 24 38 00 00 00 00 48 83 64 24 40 00 48 C7 44 24 48 00 00 00 00 89 54 24 50 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 65 A0 00 48 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 90 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 8B 9C 24 40 01 00 00 48 81 C4 30 01 00 00 5D C3 }
	condition:
		$1
}

rule file_118_85_1 {
	meta:
		name = "?dtor$3@?0???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
		altNames = "?dtor$3@?0???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_87_1 {
	meta:
		name = "??$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z"
		size = 182
		refs = "002f ??0_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@QEAA@0AEBV34@I@Z 0039 ?_Value@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@QEAA_KXZ 0049 ??_7_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@6B@ 0073 ??0event@Concurrency@@QEAA@XZ 0086 ?_Connect@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@AEAAX0@Z 009e ??1_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 C8 48 81 EC 30 01 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 8B D9 4D 85 C0 74 22 44 8B CA 48 8B D1 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D B0 EB 57 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 C7 44 24 38 00 00 00 00 48 83 64 24 40 00 48 C7 44 24 48 00 00 00 00 89 54 24 50 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 65 A0 00 48 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 90 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 9C 24 40 01 00 00 48 81 C4 30 01 00 00 5D C3 }
	condition:
		$1
}

rule file_118_132_1 {
	meta:
		name = "??$_send@W4agent_status@Concurrency@@@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z"
		size = 180
		refs = "0034 ??_7?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@6B@ 0052 ?_internal_send@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@AEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@3@AEBW4agent_status@3@@Z 007c ??0?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@QEAA@XZ 008d ?_internal_send@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@AEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@3@AEBW4agent_status@3@@Z 0099 ??1?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 00 01 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 08 48 89 70 10 48 8B FA 48 8B D9 48 85 C9 74 4F 48 8B 01 FF 50 18 84 C0 74 45 48 8D 35 ?? ?? ?? ?? 48 89 74 24 20 0F 57 C0 F3 0F 7F 44 24 28 4C 8B C7 48 8B D3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8A D8 48 89 74 24 20 48 8B 4C 24 28 48 85 C9 74 0D 4C 8B 01 BA 01 00 00 00 41 FF 50 08 90 EB 27 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 4C 8B C7 48 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8A D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8A C3 4C 8D 9C 24 00 01 00 00 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_136_1 {
	meta:
		name = "??$_send@_K@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@_K@2@AEB_K@Z"
		size = 180
		refs = "0034 ??_7?$_AnonymousOriginator@_K@details@Concurrency@@6B@ 0052 ?_internal_send@?$_AnonymousOriginator@_K@details@Concurrency@@AEAA_NPEAV?$ITarget@_K@3@AEB_K@Z 007c ??0?$_SyncOriginator@_K@details@Concurrency@@QEAA@XZ 008d ?_internal_send@?$_SyncOriginator@_K@details@Concurrency@@AEAA_NPEAV?$ITarget@_K@3@AEB_K@Z 0099 ??1?$_SyncOriginator@_K@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 00 01 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 08 48 89 70 10 48 8B FA 48 8B D9 48 85 C9 74 4F 48 8B 01 FF 50 18 84 C0 74 45 48 8D 35 ?? ?? ?? ?? 48 89 74 24 20 0F 57 C0 F3 0F 7F 44 24 28 4C 8B C7 48 8B D3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8A D8 48 89 74 24 20 48 8B 4C 24 28 48 85 C9 74 0D 4C 8B 01 BA 01 00 00 00 41 FF 50 08 90 EB 27 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 4C 8B C7 48 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8A D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8A C3 4C 8D 9C 24 00 01 00 00 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_227_1 {
	meta:
		name = "??0?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@QEAA@$$QEAP6A_NAEBW4agent_status@Concurrency@@@ZAEBV?$allocator@V?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@@1@@Z"
		size = 21
		refs = "0003 ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_228_1 {
	meta:
		name = "??0?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@QEAA@$$QEAV01@@Z"
		size = 22
		refs = "0003 ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@"
		altNames = "??0?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@QEAA@AEAV01@@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_248_1 {
	meta:
		name = "??0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z"
		size = 208
		refs = "002e ??0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 004d ??_7?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0057 ??_7?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0072 ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 007f ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0095 ?register_filter@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXAEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z 00b2 ?_Initialize_order_node@?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@IEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@_KPEAV?$ITarget@_K@2@PEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 56 48 83 EC 40 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 49 8B D9 49 8B F8 48 8B F2 4C 8B F1 E8 ?? ?? ?? ?? 49 83 A6 00 02 00 00 00 49 83 A6 08 02 00 00 00 49 83 A6 10 02 00 00 00 48 8D 05 ?? ?? ?? ?? 49 89 06 48 8D 05 ?? ?? ?? ?? 49 89 86 58 01 00 00 49 83 A6 18 02 00 00 00 49 8D 8E 20 02 00 00 E8 ?? ?? ?? ?? 90 49 8D 8E 58 02 00 00 E8 ?? ?? ?? ?? 90 41 83 8E 98 02 00 00 FF 48 8B 54 24 70 49 8B CE E8 ?? ?? ?? ?? 48 83 64 24 28 00 48 83 64 24 20 00 4C 8B CB 4C 8B C7 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 90 49 8B C6 48 8B 5C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_118_250_1 {
	meta:
		name = "?dtor$1@?0???0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@4HA"
		size = 19
		refs = "000f ??1_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$1@?0???1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA ?dtor$1@?0???1?$single_assignment@_K@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 20 02 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_251_1 {
	meta:
		name = "?dtor$2@?0???0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@4HA"
		size = 19
		refs = "000f ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$2@?0???1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 58 02 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_252_1 {
	meta:
		name = "??0?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@AEBV01@@Z"
		size = 18
		altNames = "??0?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 8B 02 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_253_1 {
	meta:
		name = "??0?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$network_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@1@_K@Z"
		size = 45
		altNames = "??0?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAA@PEAV?$network_link_registry@V?$ISource@_K@Concurrency@@@1@_K@Z ??0?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$network_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@1@_K@Z ??0?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAA@PEAV?$network_link_registry@V?$ITarget@_K@Concurrency@@@1@_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 4C 8B CA 48 89 11 48 8D 51 08 48 8B D9 49 8B C9 4C 89 02 49 8B 01 FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_258_1 {
	meta:
		name = "??0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z"
		size = 274
		refs = "0017 __security_cookie 0047 ??_U@YAPEAX_K@Z 0060 ??2@YAPEAX_K@Z 0071 ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@ 007d ?_IsDone@Concurrency@@YA_NAEBW4agent_status@1@@Z 00b3 ??0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z 0103 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 56 48 83 EC 70 48 C7 44 24 38 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 49 8B E9 4D 8B F0 48 8B F9 33 F6 89 74 24 30 48 89 11 8D 46 08 48 F7 E2 48 8D 4E FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 47 08 33 DB 48 39 1F 0F 86 9D 00 00 00 B9 A0 02 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 4E 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 48 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 50 48 8D 4C 24 48 48 89 4C 24 60 83 CE 01 89 74 24 30 49 8B 14 DE 48 83 C2 08 48 8D 4C 24 48 48 89 4C 24 20 4C 8B CD 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 EB 02 33 C9 48 8B 47 08 48 89 0C D8 40 F6 C6 01 74 1F 83 E6 FE 48 8B 4C 24 60 48 85 C9 74 12 4C 8B 01 48 8D 44 24 48 48 3B C8 0F 95 C2 41 FF 50 20 48 FF C3 48 3B 1F 0F 82 63 FF FF FF 48 8B C7 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5E 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_118_261_1 {
	meta:
		name = "?dtor$1@?0???0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z@4HA"
		size = 38
		refs = "001c ??1?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 0D 83 65 30 FE 48 8D 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_118_262_1 {
	meta:
		name = "??0?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 70
		refs = "000a ??0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 0011 ??_7?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 001b ??_7?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 05 ?? ?? ?? ?? 48 89 83 58 01 00 00 33 C0 48 89 83 00 02 00 00 48 89 83 08 02 00 00 48 89 83 10 02 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_263_1 {
	meta:
		name = "??0?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@1@_K@Z"
		size = 82
		refs = "001c ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0044 ?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B C2 48 8B D9 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 89 4A 10 48 89 43 20 4C 89 43 28 48 89 4B 30 48 8B C8 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_265_1 {
	meta:
		name = "??0?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@1@_K@Z"
		size = 82
		refs = "001c ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0044 ?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B C2 48 8B D9 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 89 4A 10 48 89 43 20 4C 89 43 28 48 89 4B 30 48 8B C8 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_268_1 {
	meta:
		name = "??0?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 104
		refs = "0019 ??_7?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@6B@ 002a ??0event@Concurrency@@QEAA@XZ 003b ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0042 ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 48 83 C1 10 E8 ?? ?? ?? ?? 90 C7 43 58 02 00 00 00 48 8D 4B 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 83 A0 00 00 00 48 83 A3 A8 00 00 00 00 C7 83 B0 00 00 00 00 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_271_1 {
	meta:
		name = "??0?$_SyncOriginator@_K@details@Concurrency@@QEAA@XZ"
		size = 104
		refs = "0019 ??_7?$_SyncOriginator@_K@details@Concurrency@@6B@ 002a ??0event@Concurrency@@QEAA@XZ 003b ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0042 ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 48 83 C1 10 E8 ?? ?? ?? ?? 90 C7 43 58 02 00 00 00 48 8D 4B 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 83 A0 00 00 00 48 83 A3 A8 00 00 00 00 C7 83 B0 00 00 00 00 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_298_1 {
	meta:
		name = "??0?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@QEAA@AEBV?$function@$$A6AXAEB_K@Z@std@@@Z"
		size = 144
		refs = "0023 ??0?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 002b ??_7?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@6B@ 0070 ?initialize_target@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z 0078 ?enable_batched_processing@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D BB 90 01 00 00 48 89 7C 24 48 48 83 67 18 00 48 8B 4E 18 48 85 C9 75 06 48 21 4F 18 EB 15 48 8B 01 48 3B CE 75 05 48 8B D7 EB 02 33 D2 FF 10 48 89 47 18 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_301_1 {
	meta:
		name = "?dtor$1@?0???0?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@QEAA@AEBV?$function@$$A6AXAEB_K@Z@std@@@Z@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXAEB_K@Z@std@@QEAA@XZ"
		altNames = "?dtor$1@?0???1?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 90 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_302_1 {
	meta:
		name = "??0?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@QEAA@AEBV?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Z"
		size = 38
		refs = "000f ??0_Concurrent_queue_base_v4@details@Concurrency@@IEAA@_K@Z 0016 ??_7?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 08 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_303_1 {
	meta:
		name = "??0?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@QEAA@AEBV?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Z"
		size = 38
		refs = "000f ??0_Concurrent_queue_base_v4@details@Concurrency@@IEAA@_K@Z 0016 ??_7?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 08 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_313_1 {
	meta:
		name = "??0?$message@W4agent_status@Concurrency@@@Concurrency@@QEAA@AEBW4agent_status@1@@Z"
		size = 57
		refs = "0003 ??_7_Runtime_object@details@Concurrency@@6B@ 0013 s_RuntimeObjectIdentity 001d ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 8B 02 48 83 61 18 00 89 41 10 C7 41 20 00 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_314_1 {
	meta:
		name = "??0?$message@_K@Concurrency@@QEAA@AEB_K@Z"
		size = 59
		refs = "0003 ??_7_Runtime_object@details@Concurrency@@6B@ 0013 s_RuntimeObjectIdentity 001d ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 83 61 18 00 48 89 41 10 C7 41 20 00 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_317_1 {
	meta:
		name = "??0?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 33
		refs = "0008 ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 49 08 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_318_1 {
	meta:
		name = "??0?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 33
		refs = "0008 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 49 08 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_319_1 {
	meta:
		name = "??0?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 33
		refs = "0008 ??_7?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 49 08 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_320_1 {
	meta:
		name = "??0?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 33
		refs = "0008 ??_7?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 49 08 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_325_1 {
	meta:
		name = "??0?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 134
		refs = "001e ??_7?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@6B@ 002e ??0_Concurrent_queue_base_v4@details@Concurrency@@IEAA@_K@Z 0035 ??_7?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@6B@ 0042 ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 BA 08 00 00 00 48 03 CA E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 47 08 48 8D 4F 30 E8 ?? ?? ?? ?? 33 C0 89 47 68 48 89 47 70 48 89 47 78 C7 87 80 00 00 00 01 00 00 00 89 87 84 00 00 00 48 89 87 A0 00 00 00 48 89 87 C0 00 00 00 48 89 87 E0 00 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_327_1 {
	meta:
		name = "??0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ"
		size = 134
		refs = "001e ??_7?$ordered_message_processor@_K@Concurrency@@6B@ 002e ??0_Concurrent_queue_base_v4@details@Concurrency@@IEAA@_K@Z 0035 ??_7?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@6B@ 0042 ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 BA 08 00 00 00 48 03 CA E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 47 08 48 8D 4F 30 E8 ?? ?? ?? ?? 33 C0 89 47 68 48 89 47 70 48 89 47 78 C7 87 80 00 00 00 01 00 00 00 89 87 84 00 00 00 48 89 87 A0 00 00 00 48 89 87 C0 00 00 00 48 89 87 E0 00 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_329_1 {
	meta:
		name = "??0?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 116
		refs = "001c ??0?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ 0024 ??_7?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@1@@ 0035 ??_7?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 005b ?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 9F 70 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 03 33 C0 48 89 87 18 02 00 00 48 89 87 20 02 00 00 88 87 28 02 00 00 45 33 C0 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 89 9F 00 02 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_331_1 {
	meta:
		name = "??0?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ"
		size = 154
		refs = "001c ??0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ 0024 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@1@@ 002e ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0044 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 005c ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 87 70 01 00 00 48 8D 9F 78 01 00 00 48 8B CB E8 ?? ?? ?? ?? 33 C9 89 4B 40 48 89 4B 48 48 89 4B 50 48 89 4B 58 48 8D 05 ?? ?? ?? ?? 48 89 43 60 48 83 4B 68 FF 48 89 4B 70 48 89 4B 78 48 89 8B 80 00 00 00 48 89 8B 88 00 00 00 48 89 8F 08 02 00 00 88 8F 10 02 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_334_1 {
	meta:
		name = "??0?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 154
		refs = "001c ??0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 0024 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 002e ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$ITarget@_K@1@@ 0044 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 005c ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 87 70 01 00 00 48 8D 9F 78 01 00 00 48 8B CB E8 ?? ?? ?? ?? 33 C9 89 4B 40 48 89 4B 48 48 89 4B 50 48 89 4B 58 48 8D 05 ?? ?? ?? ?? 48 89 43 60 48 83 4B 68 FF 48 89 4B 70 48 89 4B 78 48 89 8B 80 00 00 00 48 89 8B 88 00 00 00 48 89 8F 08 02 00 00 88 8F 10 02 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_333_1 {
	meta:
		name = "?dtor$1@?0???0?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 70 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_336_1 {
	meta:
		name = "?dtor$1@?0???0?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 70 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_337_1 {
	meta:
		name = "??0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 154
		refs = "001c ??0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 0024 ??_7?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 002e ??_7?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0044 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 005c ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 87 58 01 00 00 48 8D 9F 60 01 00 00 48 8B CB E8 ?? ?? ?? ?? 33 C9 89 4B 40 48 89 4B 48 48 89 4B 50 48 89 4B 58 48 8D 05 ?? ?? ?? ?? 48 89 43 60 48 83 4B 68 FF 48 89 4B 70 48 89 4B 78 48 89 8B 80 00 00 00 48 89 8B 88 00 00 00 48 89 8F F0 01 00 00 88 8F F8 01 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_339_1 {
	meta:
		name = "?dtor$1@?0???0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 58 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_340_1 {
	meta:
		name = "??0?$single_assignment@_K@Concurrency@@QEAA@XZ"
		size = 122
		refs = "001c ??0?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 0024 ??_7?$single_assignment@_K@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0035 ??_7?$single_assignment@_K@Concurrency@@6B?$ITarget@_K@1@@ 004c ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 0061 ?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 9F 70 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 A7 18 02 00 00 00 48 8D 8F 20 02 00 00 E8 ?? ?? ?? ?? 90 C6 87 58 02 00 00 00 45 33 C0 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 89 9F 00 02 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_342_1 {
	meta:
		name = "?dtor$1@?0???0?$single_assignment@_K@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 20 02 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_343_1 {
	meta:
		name = "??0?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 19
		refs = "0008 ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_344_1 {
	meta:
		name = "??0?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 19
		refs = "0008 ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_345_1 {
	meta:
		name = "??0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ"
		size = 141
		refs = "001e ??_7?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B@ 0034 ??_7?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0054 ??0?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ 0061 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 007a ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 48 83 C9 FF 89 4F 10 48 8D 05 ?? ?? ?? ?? 48 89 47 18 48 89 4F 20 48 83 67 28 00 48 83 67 30 00 48 83 67 38 00 48 8D 4F 40 E8 ?? ?? ?? ?? 90 48 8D 8F 28 01 00 00 E8 ?? ?? ?? ?? 90 C7 87 68 01 00 00 00 00 00 00 4C 8D 47 40 48 8B D7 33 C9 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_350_1 {
	meta:
		name = "??0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 141
		refs = "001e ??_7?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0034 ??_7?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 0054 ??0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ 0061 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 007a ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 48 83 C9 FF 89 4F 10 48 8D 05 ?? ?? ?? ?? 48 89 47 18 48 89 4F 20 48 83 67 28 00 48 83 67 30 00 48 83 67 38 00 48 8D 4F 40 E8 ?? ?? ?? ?? 90 48 8D 8F 28 01 00 00 E8 ?? ?? ?? ?? 90 C7 87 68 01 00 00 00 00 00 00 4C 8D 47 40 48 8B D7 33 C9 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_349_1 {
	meta:
		name = "?dtor$3@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$3@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA ?dtor$3@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA ?dtor$3@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA ?dtor$3@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z@4HA ?dtor$3@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 28 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_355_1 {
	meta:
		name = "??0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 124
		refs = "001e ??_7?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0031 ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 0043 ??0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ 0050 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0069 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 83 49 10 FF 48 8D 05 ?? ?? ?? ?? 48 89 41 18 48 83 61 20 00 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 8D 8F 10 01 00 00 E8 ?? ?? ?? ?? 90 C7 87 50 01 00 00 00 00 00 00 4C 8D 47 28 48 8B D7 33 C9 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_359_1 {
	meta:
		name = "?dtor$3@?0???0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 10 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_360_1 {
	meta:
		name = "??0?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 78
		refs = "000a ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0027 ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 33 C9 89 4B 40 48 89 4B 48 48 89 4B 50 48 89 4B 58 48 83 4B 68 FF 48 8D 05 ?? ?? ?? ?? 48 89 43 60 48 89 4B 70 48 89 4B 78 48 89 8B 80 00 00 00 48 8B C3 48 89 8B 88 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_361_1 {
	meta:
		name = "??0?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 78
		refs = "000a ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0027 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 33 C9 89 4B 40 48 89 4B 48 48 89 4B 50 48 89 4B 58 48 83 4B 68 FF 48 8D 05 ?? ?? ?? ?? 48 89 43 60 48 89 4B 70 48 89 4B 78 48 89 8B 80 00 00 00 48 8B C3 48 89 8B 88 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_362_1 {
	meta:
		name = "??0?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 161
		refs = "001e ??_7?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 002a ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0042 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@ 0080 ??0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ 008e ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 33 C9 89 4F 48 48 89 4F 50 48 89 4F 58 48 89 4F 60 48 8D 05 ?? ?? ?? ?? 48 89 47 68 48 83 4F 70 FF 48 89 4F 78 48 89 8F 80 00 00 00 48 89 8F 88 00 00 00 48 89 8F 90 00 00 00 48 89 8F 98 00 00 00 88 8F A0 00 00 00 48 8D 9F A8 00 00 00 48 8B CB E8 ?? ?? ?? ?? 90 4C 8B C3 48 8B D7 33 C9 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_365_1 {
	meta:
		name = "?dtor$2@?0???0?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
		altNames = "?dtor$2@?0???1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 A8 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_481_1 {
	meta:
		name = "?dtor$3@?0???1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 A8 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_487_1 {
	meta:
		name = "?dtor$3@?0???1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 A8 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_367_1 {
	meta:
		name = "??0_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@QEAA@0AEBV45@I@Z"
		size = 191
		refs = "0026 ??_7_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@6B@ 004a ??0event@Concurrency@@QEAA@XZ 0061 ??2@YAPEAX_K@Z 00aa ?_Connect@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 56 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 49 8B F0 48 8B EA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 48 83 61 10 00 48 C7 41 18 00 00 00 00 44 89 49 20 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 83 67 70 00 48 83 7E 18 00 74 48 B9 20 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 60 48 85 C0 74 2B 48 83 60 18 00 48 8B 4E 18 48 85 C9 75 06 48 21 48 18 EB 15 48 8B 01 48 3B CE 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 EB 02 33 DB 48 89 5F 70 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_118_375_1 {
	meta:
		name = "??0_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@QEAA@0AEBV34@I@Z"
		size = 191
		refs = "0026 ??_7_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@6B@ 004a ??0event@Concurrency@@QEAA@XZ 0061 ??2@YAPEAX_K@Z 00aa ?_Connect@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 56 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 49 8B F0 48 8B EA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 48 83 61 10 00 48 C7 41 18 00 00 00 00 44 89 49 20 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 83 67 70 00 48 83 7E 18 00 74 48 B9 20 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 60 48 85 C0 74 2B 48 83 60 18 00 48 8B 4E 18 48 85 C9 75 06 48 21 48 18 EB 15 48 8B 01 48 3B CE 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 EB 02 33 DB 48 89 5F 70 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_118_372_1 {
	meta:
		name = "??0_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@QEAA@0I@Z"
		size = 105
		refs = "0021 ??_7_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@6B@ 0045 ??0event@Concurrency@@QEAA@XZ 0056 ?_Connect@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 48 83 61 10 00 48 C7 41 18 00 00 00 00 44 89 41 20 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 83 67 70 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_380_1 {
	meta:
		name = "??0_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@QEAA@0I@Z"
		size = 105
		refs = "0021 ??_7_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@6B@ 0045 ??0event@Concurrency@@QEAA@XZ 0056 ?_Connect@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 48 83 61 10 00 48 C7 41 18 00 00 00 00 44 89 41 20 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 83 67 70 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_387_1 {
	meta:
		name = "??0_Runtime_object@details@Concurrency@@QEAA@XZ"
		size = 30
		refs = "0003 ??_7_Runtime_object@details@Concurrency@@6B@ 0013 s_RuntimeObjectIdentity"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_388_1 {
	meta:
		name = "??0agent@Concurrency@@QEAA@AEAVScheduleGroup@1@@Z"
		size = 147
		refs = "0023 ??_7agent@Concurrency@@6B@ 0032 ??0?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ 0061 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 007e ??$_send@W4agent_status@Concurrency@@@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 56 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B DA 48 8B F1 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 79 08 48 8B CF E8 ?? ?? ?? ?? 90 B8 01 00 00 00 89 86 38 02 00 00 89 86 3C 02 00 00 33 ED 48 89 AE 40 02 00 00 48 89 9E 48 02 00 00 4C 8B C6 48 8B D6 33 C9 E8 ?? ?? ?? ?? 89 6C 24 58 48 85 FF 74 07 48 8D AE 78 01 00 00 48 8D 54 24 58 48 8B CD E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_118_390_1 {
	meta:
		name = "??0agent@Concurrency@@QEAA@AEAVScheduler@1@@Z"
		size = 152
		refs = "0025 ??_7agent@Concurrency@@6B@ 0034 ??0?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ 0063 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0080 ??$_send@W4agent_status@Concurrency@@@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B DA 48 8B F1 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 79 08 48 8B CF E8 ?? ?? ?? ?? 90 B8 01 00 00 00 89 86 38 02 00 00 89 86 3C 02 00 00 48 89 9E 40 02 00 00 33 DB 48 89 9E 48 02 00 00 4C 8B C6 48 8B D6 33 C9 E8 ?? ?? ?? ?? 89 5C 24 48 48 85 FF 74 07 48 8D 9E 78 01 00 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_392_1 {
	meta:
		name = "??0agent@Concurrency@@QEAA@XZ"
		size = 149
		refs = "0022 ??_7agent@Concurrency@@6B@ 0031 ??0?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ 0060 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 007d ??$_send@W4agent_status@Concurrency@@@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 90 B8 01 00 00 00 89 87 38 02 00 00 89 87 3C 02 00 00 33 F6 48 89 B7 40 02 00 00 48 89 B7 48 02 00 00 4C 8B C7 48 8B D7 33 C9 E8 ?? ?? ?? ?? 89 74 24 48 48 85 DB 74 07 48 8D B7 78 01 00 00 48 8D 54 24 48 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_408_1 {
	meta:
		name = "??1?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA@XZ"
		size = 69
		refs = "0019 ??_7?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@6B@ 0038 ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 08 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_410_1 {
	meta:
		name = "??1?$_AnonymousOriginator@_K@details@Concurrency@@UEAA@XZ"
		size = 69
		refs = "0019 ??_7?$_AnonymousOriginator@_K@details@Concurrency@@6B@ 0038 ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 08 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_412_1 {
	meta:
		name = "??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 42
		refs = "0012 ??_V@YAXPEAX@Z"
		altNames = "??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ ??1?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ ??1?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAA@XZ ?_Clear@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXXZ ?_Clear@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAAXXZ ?_Clear@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXXZ ?_Clear@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 13 E8 ?? ?? ?? ?? 48 83 23 00 48 83 63 08 00 48 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_684_2 {
	meta:
		name = "??1?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@XZ"
		size = 42
		refs = "0012 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 13 E8 ?? ?? ?? ?? 48 83 23 00 48 83 63 08 00 48 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_1248_2 {
	meta:
		name = "?_Tidy@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAAXXZ"
		size = 42
		refs = "0012 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 13 E8 ?? ?? ?? ?? 48 83 23 00 48 83 63 08 00 48 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_433_1 {
	meta:
		name = "??1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 205
		refs = "001e ??_7?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 002f ??_7?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0058 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0069 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00a9 ??1critical_section@Concurrency@@QEAA@XZ 00c9 ??1?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D B9 58 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 07 C6 81 F8 01 00 00 01 48 83 C1 28 48 8B 01 FF 50 10 48 8B 03 48 8B CB FF 50 18 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 EB 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 85 C0 75 EC 48 8B 07 48 8B CF FF 50 30 48 8B 8B 18 02 00 00 48 3B 8B 00 02 00 00 74 11 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 8B 58 02 00 00 E8 ?? ?? ?? ?? 90 48 8D 8B 20 02 00 00 E8 ?? ?? ?? ?? 90 48 8B CB 48 8B 5C 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_437_1 {
	meta:
		name = "??1?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 70
		refs = "0042 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 39 39 76 1F 48 8B 43 08 48 8B 0C F8 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 FF C7 48 3B 3B 72 E1 48 8B 4B 08 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_438_1 {
	meta:
		name = "??1?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 106
		refs = "0019 ??_7?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0023 ??_7?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0066 ??1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 81 58 01 00 00 48 8B 89 00 02 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8B 8B 08 02 00 00 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_440_1 {
	meta:
		name = "??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 82
		refs = "0019 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 002a ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0039 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 20 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_442_1 {
	meta:
		name = "??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 82
		refs = "0019 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 002a ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0039 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 20 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_444_1 {
	meta:
		name = "??1?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA@XZ"
		size = 192
		refs = "0019 ??_7?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@6B@ 0021 ?unlink_targets@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXXZ 002d ?_UnderlyingYield@details@Concurrency@@YAXXZ 003e ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0064 ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 007c ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0086 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 008d _TI2?AVinvalid_operation@Concurrency@@ 0097 _CxxThrowException 00a1 ??1critical_section@Concurrency@@QEAA@XZ 00ab ??1event@Concurrency@@QEAA@XZ 00b3 ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 EB 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 85 C0 75 EC 48 8B 4B 08 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 05 ?? ?? ?? ?? 48 89 83 A0 00 00 00 48 83 BB A8 00 00 00 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8D 4B 10 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_118_449_1 {
	meta:
		name = "??1?$_SyncOriginator@_K@details@Concurrency@@UEAA@XZ"
		size = 192
		refs = "0019 ??_7?$_SyncOriginator@_K@details@Concurrency@@6B@ 0021 ?unlink_targets@?$_SyncOriginator@_K@details@Concurrency@@UEAAXXZ 002d ?_UnderlyingYield@details@Concurrency@@YAXXZ 003e ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0064 ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 007c ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0086 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 008d _TI2?AVinvalid_operation@Concurrency@@ 0097 _CxxThrowException 00a1 ??1critical_section@Concurrency@@QEAA@XZ 00ab ??1event@Concurrency@@QEAA@XZ 00b3 ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 EB 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 85 C0 75 EC 48 8B 4B 08 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 05 ?? ?? ?? ?? 48 89 83 A0 00 00 00 48 83 BB A8 00 00 00 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8D 4B 10 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_118_446_1 {
	meta:
		name = "?dtor$1@?0???1?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
		altNames = "?dtor$1@?0???1?$_SyncOriginator@_K@details@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_448_1 {
	meta:
		name = "?dtor$3@?0???1?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 81 C1 A0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_453_1 {
	meta:
		name = "?dtor$3@?0???1?$_SyncOriginator@_K@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 81 C1 A0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_454_1 {
	meta:
		name = "??1?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@UEAA@XZ"
		size = 144
		refs = "001e ??_7?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@6B@ 008c ??1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 81 A0 00 00 00 01 48 81 C1 A8 00 00 00 48 8B 01 FF 50 10 48 8B 07 48 8B CF FF 50 30 90 48 8D 9F 90 01 00 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B CF 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_457_1 {
	meta:
		name = "??1?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@UEAA@XZ"
		size = 59
		refs = "0019 ??_7?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@6B@ 0021 ?clear@?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@QEAAXXZ 0029 ?_Internal_finish_clear@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXXZ 0037 ??1_Concurrent_queue_base_v4@details@Concurrency@@MEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_459_1 {
	meta:
		name = "??1?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@UEAA@XZ"
		size = 59
		refs = "0019 ??_7?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@6B@ 0021 ?clear@?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@QEAAXXZ 0029 ?_Internal_finish_clear@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXXZ 0037 ??1_Concurrent_queue_base_v4@details@Concurrency@@MEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_469_1 {
	meta:
		name = "??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 140
		refs = "0019 ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0049 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0053 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005a _TI2?AVinvalid_operation@Concurrency@@ 0064 _CxxThrowException 0073 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C9 33 C0 48 39 43 18 76 3F 48 8B 53 10 48 83 3C C2 00 74 03 48 FF C1 48 FF C0 48 3B 43 18 72 ED 48 85 C9 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 4B 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_118_471_1 {
	meta:
		name = "??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 140
		refs = "0019 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@ 0049 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0053 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005a _TI2?AVinvalid_operation@Concurrency@@ 0064 _CxxThrowException 0073 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C9 33 C0 48 39 43 18 76 3F 48 8B 53 10 48 83 3C C2 00 74 03 48 FF C1 48 FF C0 48 3B 43 18 72 ED 48 85 C9 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 4B 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_118_473_1 {
	meta:
		name = "??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 140
		refs = "0019 ??_7?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0049 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0053 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005a _TI2?AVinvalid_operation@Concurrency@@ 0064 _CxxThrowException 0073 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C9 33 C0 48 39 43 18 76 3F 48 8B 53 10 48 83 3C C2 00 74 03 48 FF C1 48 FF C0 48 3B 43 18 72 ED 48 85 C9 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 4B 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_118_475_1 {
	meta:
		name = "??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 140
		refs = "0019 ??_7?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 0049 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0053 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005a _TI2?AVinvalid_operation@Concurrency@@ 0064 _CxxThrowException 0073 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C9 33 C0 48 39 43 18 76 3F 48 8B 53 10 48 83 3C C2 00 74 03 48 FF C1 48 FF C0 48 3B 43 18 72 ED 48 85 C9 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 4B 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_118_470_1 {
	meta:
		name = "?dtor$0@?0???1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_472_1 {
	meta:
		name = "?dtor$0@?0???1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_474_1 {
	meta:
		name = "?dtor$0@?0???1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_476_1 {
	meta:
		name = "?dtor$0@?0???1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_582_2 {
	meta:
		name = "?dtor$1@?0???0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z@4HA"
		size = 16
		refs = "000c ??1?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_477_1 {
	meta:
		name = "??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 249
		refs = "001e ??_7?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@6B@ 0026 ?wait@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ 00e1 ??1critical_section@Concurrency@@QEAA@XZ 00f5 ??1?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8D BB C8 00 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8D BB A8 00 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8D BB 88 00 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8D 4B 30 E8 ?? ?? ?? ?? 90 48 8D 4B 08 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_483_1 {
	meta:
		name = "??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
		size = 249
		refs = "001e ??_7?$ordered_message_processor@_K@Concurrency@@6B@ 0026 ?wait@?$ordered_message_processor@_K@Concurrency@@UEAAXXZ 00e1 ??1critical_section@Concurrency@@QEAA@XZ 00f5 ??1?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8D BB C8 00 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8D BB A8 00 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8D BB 88 00 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8D 4B 30 E8 ?? ?? ?? ?? 90 48 8D 4B 08 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_480_1 {
	meta:
		name = "?dtor$2@?0???1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 88 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_486_1 {
	meta:
		name = "?dtor$2@?0???1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 88 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_482_1 {
	meta:
		name = "?dtor$4@?0???1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXXZ@std@@QEAA@XZ"
		altNames = "?dtor$4@?0???1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 C8 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_489_1 {
	meta:
		name = "??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 210
		refs = "001e ??_7?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@1@@ 002f ??_7?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0058 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0069 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00ce ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D B9 70 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 07 C6 81 10 02 00 00 01 48 83 C1 40 48 8B 01 FF 50 10 48 8B 03 48 8B CB FF 50 18 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 EB 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 83 68 01 00 00 85 C0 75 EC 48 8B 07 48 8B CF FF 50 30 48 8B 83 18 02 00 00 48 85 C0 74 34 48 8B 8B 20 02 00 00 48 85 C9 74 10 48 3B C8 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8B 8B 18 02 00 00 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8B CB 48 8B 5C 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_491_1 {
	meta:
		name = "??1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ"
		size = 357
		refs = "0021 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@1@@ 0032 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 005e ?_UnderlyingYield@details@Concurrency@@YAXXZ 006f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00ca ??3@YAXPEAX@Z 00e0 ??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 00ef ??_V@YAXPEAX@Z 0106 ??1critical_section@Concurrency@@QEAA@XZ 010e ??_7?$ITarget@W4agent_status@Concurrency@@@Concurrency@@6B@ 0118 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B@ 0128 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 013e ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 0148 ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 0150 ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D B1 70 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 06 C6 81 10 02 00 00 01 4C 8D 71 40 49 8B 06 49 8B CE FF 50 10 48 8B 07 48 8B CF FF 50 18 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 EB 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 87 68 01 00 00 85 C0 75 EC 48 8B 06 48 8B CE FF 50 30 48 8B 9F 08 02 00 00 48 85 DB 74 3D 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 9F 78 01 00 00 48 89 5C 24 68 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8B 4B 48 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 48 00 48 83 63 50 00 48 83 63 58 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B D7 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F 28 01 00 00 E8 ?? ?? ?? ?? 90 49 8B CE E8 ?? ?? ?? ?? 90 48 8D 4F 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 5C 24 70 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_118_501_1 {
	meta:
		name = "??1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 357
		refs = "0021 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0032 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$ITarget@_K@1@@ 005e ?_UnderlyingYield@details@Concurrency@@YAXXZ 006f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00ca ??3@YAXPEAX@Z 00e0 ??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ 00ef ??_V@YAXPEAX@Z 0106 ??1critical_section@Concurrency@@QEAA@XZ 010e ??_7?$ITarget@_K@Concurrency@@6B@ 0118 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0128 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 013e ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 0148 ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ 0150 ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 56 57 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D B1 70 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 06 C6 81 10 02 00 00 01 4C 8D 71 40 49 8B 06 49 8B CE FF 50 10 48 8B 07 48 8B CF FF 50 18 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 EB 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 87 68 01 00 00 85 C0 75 EC 48 8B 06 48 8B CE FF 50 30 48 8B 9F 08 02 00 00 48 85 DB 74 3D 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 9F 78 01 00 00 48 89 5C 24 68 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8B 4B 48 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 48 00 48 83 63 50 00 48 83 63 58 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B D7 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F 28 01 00 00 E8 ?? ?? ?? ?? 90 49 8B CE E8 ?? ?? ?? ?? 90 48 8D 4F 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 5C 24 70 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_118_493_1 {
	meta:
		name = "?dtor$1@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 70 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_503_1 {
	meta:
		name = "?dtor$1@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 70 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_494_1 {
	meta:
		name = "?dtor$2@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 78 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_504_1 {
	meta:
		name = "?dtor$2@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 78 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_496_1 {
	meta:
		name = "?dtor$4@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 68 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_506_1 {
	meta:
		name = "?dtor$4@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 68 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_498_1 {
	meta:
		name = "?dtor$8@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_508_1 {
	meta:
		name = "?dtor$8@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_499_1 {
	meta:
		name = "?dtor$9@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_509_1 {
	meta:
		name = "?dtor$9@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_500_1 {
	meta:
		name = "?dtor$10@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$10@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 28 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_511_1 {
	meta:
		name = "??1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 298
		refs = "0022 ??_7?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0033 ??_7?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 005c ?_UnderlyingYield@details@Concurrency@@YAXXZ 006d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00c8 ??3@YAXPEAX@Z 00de ??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 00ed ??_V@YAXPEAX@Z 0104 ??1critical_section@Concurrency@@QEAA@XZ 010c ??_7?$ITarget@W4agent_status@Concurrency@@@Concurrency@@6B@ 0126 ??1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D B1 58 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 06 C6 81 F8 01 00 00 01 48 83 C1 28 48 8B 01 FF 50 10 48 8B 07 48 8B CF FF 50 18 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 EB 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 87 50 01 00 00 85 C0 75 EC 48 8B 06 48 8B CE FF 50 30 48 8B 9F F0 01 00 00 48 85 DB 74 3D 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 9F 60 01 00 00 48 89 5C 24 58 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8B 4B 48 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 48 00 48 83 63 50 00 48 83 63 58 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8B CF 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_513_1 {
	meta:
		name = "?dtor$1@?0???1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 58 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_514_1 {
	meta:
		name = "?dtor$2@?0???1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 60 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_516_1 {
	meta:
		name = "?dtor$4@?0???1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 58 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_517_1 {
	meta:
		name = "??1?$single_assignment@_K@Concurrency@@UEAA@XZ"
		size = 183
		refs = "001e ??_7?$single_assignment@_K@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 002f ??_7?$single_assignment@_K@Concurrency@@6B?$ITarget@_K@1@@ 0058 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0069 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00a0 ??1critical_section@Concurrency@@QEAA@XZ 00b3 ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D B9 70 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 07 C6 81 10 02 00 00 01 48 83 C1 40 48 8B 01 FF 50 10 48 8B 03 48 8B CB FF 50 18 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 EB 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 83 68 01 00 00 85 C0 75 EC 48 8B 07 48 8B CF FF 50 30 48 8B 8B 18 02 00 00 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 8B 20 02 00 00 E8 ?? ?? ?? ?? 90 48 8B CB 48 8B 5C 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_520_1 {
	meta:
		name = "??1?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 61
		refs = "000c ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 001d ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0027 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 002e _TI2?AVinvalid_operation@Concurrency@@ 0038 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 75 05 48 83 C4 48 C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_521_1 {
	meta:
		name = "??1?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 61
		refs = "000c ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 001d ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0027 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 002e _TI2?AVinvalid_operation@Concurrency@@ 0038 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 75 05 48 83 C4 48 C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_522_1 {
	meta:
		name = "??1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ"
		size = 95
		refs = "0019 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B@ 0029 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0036 ??1critical_section@Concurrency@@QEAA@XZ 0040 ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 004a ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 0052 ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B D1 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8B 28 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 40 E8 ?? ?? ?? ?? 90 48 8D 4B 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_527_1 {
	meta:
		name = "??1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 95
		refs = "0019 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0029 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0036 ??1critical_section@Concurrency@@QEAA@XZ 0040 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 004a ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ 0052 ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B D1 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8B 28 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 40 E8 ?? ?? ?? ?? 90 48 8D 4B 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_532_1 {
	meta:
		name = "??1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 138
		refs = "0019 ??_7?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0029 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0036 ??1critical_section@Concurrency@@QEAA@XZ 0040 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 0048 ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 005a ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0064 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 006b _TI2?AVinvalid_operation@Concurrency@@ 0075 _CxxThrowException 007d ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B D1 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8B 10 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 28 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 43 18 48 83 7B 20 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_118_536_1 {
	meta:
		name = "?dtor$3@?0???1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 10 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_537_1 {
	meta:
		name = "??1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 74
		refs = "001b ??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 002a ??_V@YAXPEAX@Z 0046 ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 60 E8 ?? ?? ?? ?? 90 48 8B 4B 48 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 48 00 48 83 63 50 00 48 83 63 58 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_540_1 {
	meta:
		name = "??1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 74
		refs = "001b ??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ 002a ??_V@YAXPEAX@Z 0046 ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 60 E8 ?? ?? ?? ?? 90 48 8B 4B 48 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 48 00 48 83 63 50 00 48 83 63 58 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_543_1 {
	meta:
		name = "??1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 214
		refs = "001e ??_7?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0069 ??3@YAXPEAX@Z 0076 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0083 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 0096 ??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ 00a5 ??_V@YAXPEAX@Z 00bc ??1critical_section@Concurrency@@QEAA@XZ 00c4 ??_7?$ITarget@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 99 98 00 00 00 48 85 DB 74 3C 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F A8 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 5F 08 48 89 5C 24 48 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8B 4B 48 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 48 00 48 83 63 50 00 48 83 63 58 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_548_1 {
	meta:
		name = "?dtor$4@?0???1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_551_1 {
	meta:
		name = "??1_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@UEAA@XZ"
		size = 189
		refs = "001e ??_7_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@6B@ 006c ??3@YAXPEAX@Z 00a3 ??1event@Concurrency@@QEAA@XZ 00ab ??_7?$ITarget@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 FF 15 ?? ?? ?? ?? 48 8B 7B 70 48 85 FF 74 3C 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 43 18 48 89 44 24 48 48 8B 44 24 48 48 89 44 24 48 48 8B 44 24 48 48 85 C0 74 11 48 8B 4C 24 48 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 4B 28 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_554_1 {
	meta:
		name = "??1_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@UEAA@XZ"
		size = 189
		refs = "001e ??_7_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@6B@ 006c ??3@YAXPEAX@Z 00a3 ??1event@Concurrency@@QEAA@XZ 00ab ??_7?$ITarget@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 FF 15 ?? ?? ?? ?? 48 8B 7B 70 48 85 FF 74 3C 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 20 48 83 67 18 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 43 18 48 89 44 24 48 48 8B 44 24 48 48 89 44 24 48 48 8B 44 24 48 48 85 C0 74 11 48 8B 4C 24 48 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 4B 28 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_561_1 {
	meta:
		name = "??1agent@Concurrency@@UEAA@XZ"
		size = 60
		refs = "0019 ??_7agent@Concurrency@@6B@ 0029 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0038 ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B D1 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 08 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_575_1 {
	meta:
		name = "??4?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@std@@QEAAAEAV01@AEBV01@@Z"
		size = 97
		altNames = "??4?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@QEAAAEAV01@AEBV01@@Z ??4?$function@$$A6AXXZ@std@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 3E 48 8B 49 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4F 18 48 85 C9 75 06 48 21 4B 18 EB 15 48 8B 01 48 3B CF 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_595_1 {
	meta:
		name = "??D?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ISource@W4agent_status@Concurrency@@@1@XZ"
		size = 39
		altNames = "??D?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ISource@_K@1@XZ ??D?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ITarget@W4agent_status@Concurrency@@@1@XZ ??D?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ITarget@_K@1@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D1 48 8B 09 4C 8B 01 48 8D 5A 10 48 8B 52 08 41 FF 50 30 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_599_1 {
	meta:
		name = "??D?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ISource@W4agent_status@Concurrency@@@1@XZ"
		size = 24
		altNames = "??D?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ISource@_K@1@XZ"
	strings:
		$1 = { 48 8B 51 28 48 3B 51 10 72 05 48 8D 41 30 C3 48 8B 41 08 48 8D 04 D0 C3 }
	condition:
		$1
}

rule file_118_601_1 {
	meta:
		name = "??E?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV01@H@Z"
		size = 50
		altNames = "??E?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAA?AV01@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B 01 48 8B DA 4C 89 02 48 8D 51 08 49 8B C8 48 8B 02 48 89 43 08 48 FF C0 48 89 02 49 8B 00 FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_602_1 {
	meta:
		name = "??E?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEAV01@XZ"
		size = 34
		altNames = "??E?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAAAEAV01@XZ ??E?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEAV01@XZ ??E?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAAAEAV01@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 51 08 48 8B D9 48 8B 09 48 FF 02 48 8B 01 FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_623_1 {
	meta:
		name = "??R?$_Func_class@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@QEBAXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z"
		size = 40
		refs = "0023 ?_Xbad_function_call@std@@YAXXZ"
		altNames = "??R?$_Func_class@XPEAV?$message@_K@Concurrency@@@std@@QEBAXPEAV?$message@_K@Concurrency@@@Z"
	strings:
		$1 = { 48 89 54 24 10 48 83 EC 28 48 8B 49 18 48 85 C9 74 10 48 8B 01 48 8D 54 24 38 FF 50 10 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_639_1 {
	meta:
		name = "??_G?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAPEAXI@Z"
		size = 98
		refs = "0020 ??_7?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@6B@ 003f ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 08 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_641_1 {
	meta:
		name = "??_G?$_AnonymousOriginator@_K@details@Concurrency@@UEAAPEAXI@Z"
		size = 98
		refs = "0020 ??_7?$_AnonymousOriginator@_K@details@Concurrency@@6B@ 003f ??_7?$ISource@_K@Concurrency@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 08 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_656_1 {
	meta:
		name = "??_G?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 111
		refs = "0020 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0031 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0040 ??_V@YAXPEAX@Z 005d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 20 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_658_1 {
	meta:
		name = "??_G?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 111
		refs = "0020 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0031 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0040 ??_V@YAXPEAX@Z 005d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 20 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_680_1 {
	meta:
		name = "??_G?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 80
		refs = "000e ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0020 ??3@YAXPEAX@Z 0030 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 003a ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0041 _TI2?AVinvalid_operation@Concurrency@@ 004b _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 75 13 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_681_1 {
	meta:
		name = "??_G?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 80
		refs = "000e ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 0020 ??3@YAXPEAX@Z 0030 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 003a ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0041 _TI2?AVinvalid_operation@Concurrency@@ 004b _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 75 13 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_682_1 {
	meta:
		name = "??_G?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z"
		size = 123
		refs = "0020 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B@ 0030 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 003d ??1critical_section@Concurrency@@QEAA@XZ 0047 ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 0051 ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 0059 ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@ 0069 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B D1 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F 28 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 40 E8 ?? ?? ?? ?? 90 48 8D 4F 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_687_1 {
	meta:
		name = "??_G?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 123
		refs = "0020 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0030 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 003d ??1critical_section@Concurrency@@QEAA@XZ 0047 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 0051 ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ 0059 ??_7?$ISource@_K@Concurrency@@6B@ 0069 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B D1 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F 28 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 40 E8 ?? ?? ?? ?? 90 48 8D 4F 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_705_1 {
	meta:
		name = "?_Add@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 210
		refs = "006e ?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z 008f ??_C@_05KMIILNPJ@_Link?$AA@ 0099 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 00a0 _TI2?AVinvalid_link_target@Concurrency@@ 00aa _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4C 8B 41 18 45 33 C9 48 83 79 08 FF 48 8B FA 74 0A 49 8D 40 01 48 3B 41 08 77 67 33 D2 4D 85 C0 74 28 48 8B 41 10 48 83 3C D0 00 74 0A 4C 8D 4A 01 48 39 3C D0 74 6E 48 FF C2 49 3B D0 72 E3 4D 3B C8 73 06 4A 89 3C C8 EB 2D 48 8D 59 10 48 8B 53 08 48 3B 53 10 72 10 48 8D 14 55 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 03 48 89 3C C8 48 FF 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_706_1 {
	meta:
		name = "?_Add@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@AEAAXPEAV?$ISource@_K@2@@Z"
		size = 210
		refs = "006e ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z 008f ??_C@_05KMIILNPJ@_Link?$AA@ 0099 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 00a0 _TI2?AVinvalid_link_target@Concurrency@@ 00aa _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4C 8B 41 18 45 33 C9 48 83 79 08 FF 48 8B FA 74 0A 49 8D 40 01 48 3B 41 08 77 67 33 D2 4D 85 C0 74 28 48 8B 41 10 48 83 3C D0 00 74 0A 4C 8D 4A 01 48 39 3C D0 74 6E 48 FF C2 49 3B D0 72 E3 4D 3B C8 73 06 4A 89 3C C8 EB 2D 48 8D 59 10 48 8B 53 08 48 3B 53 10 72 10 48 8D 14 55 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 03 48 89 3C C8 48 FF 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_707_1 {
	meta:
		name = "?_Add@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 210
		refs = "006e ?_Grow@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z 008f ??_C@_05KMIILNPJ@_Link?$AA@ 0099 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 00a0 _TI2?AVinvalid_link_target@Concurrency@@ 00aa _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4C 8B 41 18 45 33 C9 48 83 79 08 FF 48 8B FA 74 0A 49 8D 40 01 48 3B 41 08 77 67 33 D2 4D 85 C0 74 28 48 8B 41 10 48 83 3C D0 00 74 0A 4C 8D 4A 01 48 39 3C D0 74 6E 48 FF C2 49 3B D0 72 E3 4D 3B C8 73 06 4A 89 3C C8 EB 2D 48 8D 59 10 48 8B 53 08 48 3B 53 10 72 10 48 8D 14 55 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 03 48 89 3C C8 48 FF 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_708_1 {
	meta:
		name = "?_Add@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@AEAAXPEAV?$ITarget@_K@2@@Z"
		size = 210
		refs = "006e ?_Grow@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z 008f ??_C@_05KMIILNPJ@_Link?$AA@ 0099 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 00a0 _TI2?AVinvalid_link_target@Concurrency@@ 00aa _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4C 8B 41 18 45 33 C9 48 83 79 08 FF 48 8B FA 74 0A 49 8D 40 01 48 3B 41 08 77 67 33 D2 4D 85 C0 74 28 48 8B 41 10 48 83 3C D0 00 74 0A 4C 8D 4A 01 48 39 3C D0 74 6E 48 FF C2 49 3B D0 72 E3 4D 3B C8 73 06 4A 89 3C C8 EB 2D 48 8D 59 10 48 8B 53 08 48 3B 53 10 72 10 48 8D 14 55 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 03 48 89 3C C8 48 FF 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_709_1 {
	meta:
		name = "?_Agent_task_wrapper@agent@Concurrency@@CAXPEAX@Z"
		size = 136
		refs = "0036 ??$_send@W4agent_status@Concurrency@@@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z 0043 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 8D 41 01 F0 0F B1 8B 3C 02 00 00 48 8D 43 08 75 48 C7 44 24 30 02 00 00 00 48 85 C0 74 07 48 8D 8B 78 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B D3 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 08 45 33 C0 48 8B D3 41 8D 48 02 48 83 C4 20 5B E9 ?? ?? ?? ?? C7 44 24 38 04 00 00 00 48 85 C0 74 07 48 8D 8B 78 01 00 00 48 8D 54 24 38 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_710_1 {
	meta:
		name = "?_Allocate_page@?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@EEAAPEAU_Page@_Concurrent_queue_base_v4@details@2@XZ"
		size = 82
		refs = "0028 ??2@YAPEAX_K@Z 003a ?_Internal_throw_exception@_Concurrent_queue_base_v4@details@Concurrency@@IEBAXXZ 004d ?_Xbad_alloc@std@@YAXXZ"
		altNames = "?_Allocate_page@?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@EEAAPEAU_Page@_Concurrent_queue_base_v4@details@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 49 18 BB 00 00 00 00 48 0F AF 4F 10 48 83 C1 10 74 15 48 83 F9 FF 77 25 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0A EB 16 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_721_1 {
	meta:
		name = "?_Clear_queued_messages@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXXZ"
		size = 62
		refs = "0030 ?_Internal_pop_if_present@_Concurrent_queue_base_v4@details@Concurrency@@IEAA_NPEAX@Z"
		altNames = "?_Clear_queued_messages@?$ordered_message_processor@_K@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 64 24 30 00 48 8D 59 08 EB 15 48 8B 4C 24 30 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 DA 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_723_1 {
	meta:
		name = "?_Connect@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@AEAAX0@Z"
		size = 86
		refs = "0020 ??_C@_08KILLDFKG@_PSource?$AA@ 0034 ??0exception@std@@QEAA@AEBQEBD@Z 003b ??_7invalid_argument@std@@6B@ 0042 _TI3?AVinvalid_argument@std@@ 0051 _CxxThrowException"
		altNames = "?_Connect@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 83 EC 48 4C 8B C2 48 85 D2 74 11 48 8B 02 48 8B D1 49 8B C8 48 83 C4 48 48 FF 60 08 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_725_1 {
	meta:
		name = "?_Copy@?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@UEAAPEAV?$_Func_base@_NAEBW4agent_status@Concurrency@@@2@PEAX@Z"
		size = 63
		refs = "0012 ??2@YAPEAX_K@Z 0021 ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@ 003a ?_Xbad_alloc@std@@YAXXZ"
		altNames = "?_Move@?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@UEAAPEAV?$_Func_base@_NAEBW4agent_status@Concurrency@@@2@PEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 D2 75 10 8D 4A 18 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 1B 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 43 08 48 89 42 08 48 8B C2 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_732_1 {
	meta:
		name = "?_Copy_item@?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@EEAAXAEAU_Page@_Concurrent_queue_base_v4@details@2@_KPEBX@Z"
		size = 20
		altNames = "?_Copy_item@?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@EEAAXAEAU_Page@_Concurrent_queue_base_v4@details@2@_KPEBX@Z ?_Move_item@?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@EEAAXAEAU_Page@_Concurrent_queue_base_v4@details@2@_KPEAX@Z ?_Move_item@?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@EEAAXAEAU_Page@_Concurrent_queue_base_v4@details@2@_KPEAX@Z"
	strings:
		$1 = { 49 8D 48 02 48 8D 0C CA 48 85 C9 74 06 49 8B 01 48 89 01 C3 }
	condition:
		$1
}

rule file_118_734_1 {
	meta:
		name = "?_Count@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEBA_KXZ"
		size = 36
		altNames = "?_Count@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@AEBA_KXZ ?_Count@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEBA_KXZ ?_Count@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@AEBA_KXZ ?count@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_KXZ ?count@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA_KXZ ?count@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_KXZ ?count@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_KXZ"
	strings:
		$1 = { 4C 8B 41 18 33 C0 33 D2 4D 85 C0 74 16 4C 8B 49 10 49 83 3C D1 00 74 03 48 FF C0 48 FF C2 49 3B D0 72 EE C3 }
	condition:
		$1
}

rule file_118_738_1 {
	meta:
		name = "?_Create_send_message@?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@IEAAXXZ"
		size = 96
		refs = "000f ?Alloc@Concurrency@@YAPEAX_K@Z 001b ??_7_Runtime_object@details@Concurrency@@6B@ 002b s_RuntimeObjectIdentity 0032 ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 3B 48 8D 0D ?? ?? ?? ?? BA 02 00 00 00 48 89 08 F0 0F C1 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 89 50 08 48 89 08 48 8B 8B 10 02 00 00 48 83 60 18 00 48 89 48 10 C7 40 20 00 00 00 00 48 89 83 08 02 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_741_1 {
	meta:
		name = "?_Delete_stored_messages@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@AEAAXXZ"
		size = 78
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 81 18 02 00 00 48 8B D9 48 85 C0 74 33 48 8B 89 20 02 00 00 48 85 C9 74 10 48 3B C8 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8B 8B 18 02 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_742_1 {
	meta:
		name = "?_Delete_stored_messages@?$single_assignment@_K@Concurrency@@AEAAXXZ"
		size = 32
	strings:
		$1 = { 48 83 EC 28 48 8B 89 18 02 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_743_1 {
	meta:
		name = "?_Delete_this@?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@EEAAX_N@Z"
		size = 46
		refs = "001f ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 8A DA 33 D2 48 8B F9 FF 50 28 84 DB 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_770_1 {
	meta:
		name = "?_Find@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@EEAA_KPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 28
		altNames = "?_Find@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@EEAA_KPEAV?$ISource@_K@2@@Z ?_Find@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@EEAA_KPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z ?_Find@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@EEAA_KPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 33 C0 48 39 41 18 76 13 4C 8B 41 10 49 39 14 C0 74 09 48 FF C0 48 3B 41 18 72 F1 C3 }
	condition:
		$1
}

rule file_118_795_1 {
	meta:
		name = "?_Get@?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@AEBAAEBQEAV?$ISource@W4agent_status@Concurrency@@@2@_K@Z"
		size = 27
		altNames = "?_Get@?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@AEBAAEBQEAV?$ISource@_K@2@_K@Z"
	strings:
		$1 = { 4C 8B 41 28 4C 03 C2 4C 3B 41 10 72 05 48 8D 41 30 C3 48 8B 41 08 4A 8D 04 C0 C3 }
	condition:
		$1
}

rule file_118_798_1 {
	meta:
		name = "?_Get_element@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@MEBAPEAV?$ISource@W4agent_status@Concurrency@@@2@_K@Z"
		size = 18
		altNames = "?_Get_element@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@MEBAPEAV?$ISource@_K@2@_K@Z ?_Get_element@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@MEBAPEAV?$ITarget@W4agent_status@Concurrency@@@2@_K@Z ?_Get_element@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@MEBAPEAV?$ITarget@_K@2@_K@Z"
	strings:
		$1 = { 48 3B 51 18 73 09 48 8B 41 10 48 8B 04 D0 C3 33 C0 C3 }
	condition:
		$1
}

rule file_118_806_1 {
	meta:
		name = "?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
		size = 116
		refs = "002c ??_U@YAPEAX_K@Z 0059 ??_V@YAXPEAX@Z"
		altNames = "?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z ?_Grow@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z ?_Grow@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 8B F2 48 C7 C1 FF FF FF FF B8 08 00 00 00 48 F7 E2 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 45 33 C0 48 8B F8 4C 39 03 74 22 4C 39 43 10 76 14 48 8B 0B 4A 8B 14 C1 4A 89 14 C0 49 FF C0 4C 3B 43 10 72 EC 48 8B 0B E8 ?? ?? ?? ?? 48 89 73 10 48 8B 74 24 38 48 89 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_810_1 {
	meta:
		name = "?_Handle_message@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@AEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 81
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?_Handle_message@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@AEAAXPEAV?$message@_K@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B DA 48 8B F9 48 8D 91 28 01 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 07 48 8B D3 48 8B CF FF 90 98 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_814_1 {
	meta:
		name = "?_Handle_message@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@AEAAXPEAV?$message@_K@2@@Z"
		size = 81
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B DA 48 8B F9 48 8D 91 10 01 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 07 48 8B D3 48 8B CF FF 90 98 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_820_1 {
	meta:
		name = "?_Initialize_order_node@?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@IEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@_KPEAV?$ITarget@_K@2@PEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 188
		refs = "0034 ?initialize_source@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z 0086 ??_C@_08KILLDFKG@_PSource?$AA@ 009a ??0exception@std@@QEAA@AEBQEBD@Z 00a1 ??_7invalid_argument@std@@6B@ 00a8 _TI3?AVinvalid_argument@std@@ 00b7 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 48 83 EC 40 49 8B E9 48 8B FA 48 8B D9 48 85 D2 74 61 48 8B 54 24 70 4C 89 81 10 02 00 00 4C 8B 44 24 78 E8 ?? ?? ?? ?? 48 8D B3 58 01 00 00 48 89 B3 E8 01 00 00 48 C7 83 C8 01 00 00 01 00 00 00 48 85 ED 74 0C 48 8B 03 48 8B D5 48 8B CB FF 50 08 48 8B 07 48 8B D6 48 8B CF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 40 5F 48 FF 60 08 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_822_1 {
	meta:
		name = "?_Invoke_handler@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXJ@Z"
		size = 165
		refs = "0027 ?_Internal_pop_if_present@_Concurrent_queue_base_v4@details@Concurrency@@IEAA_NPEAX@Z 0094 ?_Xbad_function_call@std@@YAXXZ"
		altNames = "?_Invoke_handler@?$ordered_message_processor@_K@Concurrency@@AEAAXJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 83 EC 20 33 FF 8B F2 48 8B D9 85 D2 7E 53 48 83 64 24 50 00 48 8D 54 24 50 48 8D 4B 08 E8 ?? ?? ?? ?? 48 83 BB C0 00 00 00 00 48 8B 44 24 50 48 89 44 24 58 75 0E 48 8B 8B A0 00 00 00 48 85 C9 75 0E EB 46 48 8B 8B C0 00 00 00 48 85 C9 74 46 48 8B 01 48 8D 54 24 58 FF 50 10 FF C7 3B FE 7C AD 48 83 BB E0 00 00 00 00 74 12 48 8B 8B E0 00 00 00 48 85 C9 74 19 48 8B 01 FF 50 10 48 8B 5C 24 40 48 83 C4 20 5F 5E 5D C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_823_1 {
	meta:
		name = "?_Invoke_handler@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 128
		refs = "006f ?_Xbad_function_call@std@@YAXXZ"
		altNames = "?_Invoke_handler@?$ordered_message_processor@_K@Concurrency@@AEAAXPEAV?$message@_K@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 C0 00 00 00 00 48 8B D9 48 89 54 24 30 75 1D 48 8B 89 A0 00 00 00 48 85 C9 74 4A 48 8B 01 48 8D 54 24 30 FF 50 10 48 83 C4 20 5B C3 48 8B 89 C0 00 00 00 48 85 C9 74 33 48 8B 01 48 8D 54 24 30 FF 50 10 48 83 BB E0 00 00 00 00 74 12 48 8B 8B E0 00 00 00 48 85 C9 74 18 48 8B 01 FF 50 10 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_826_1 {
	meta:
		name = "?_Invoke_link_source@?$ISource@W4agent_status@Concurrency@@@Concurrency@@IEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 16
		altNames = "?_Invoke_link_source@?$ISource@_K@Concurrency@@IEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B 02 4C 8B C2 48 8B D1 49 8B C8 48 FF 60 20 }
	condition:
		$1
}

rule file_118_828_1 {
	meta:
		name = "?_Invoke_unlink_source@?$ISource@W4agent_status@Concurrency@@@Concurrency@@IEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 16
		altNames = "?_Invoke_unlink_source@?$ISource@_K@Concurrency@@IEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B 02 4C 8B C2 48 8B D1 49 8B C8 48 FF 60 28 }
	condition:
		$1
}

rule file_118_847_1 {
	meta:
		name = "?_Next_index@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@MEAAXAEA_K@Z"
		size = 36
		altNames = "?_Next_index@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@MEAAXAEA_K@Z ?_Next_index@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@MEAAXAEA_K@Z ?_Next_index@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@MEAAXAEA_K@Z"
	strings:
		$1 = { 4C 8B 41 18 4C 39 02 73 1A 4C 8B 0A 48 8B 41 10 4A 83 3C C8 00 75 0C 49 8D 41 01 48 89 02 49 3B C0 72 E6 C3 }
	condition:
		$1
}

rule file_118_856_1 {
	meta:
		name = "?_Process_message_helper@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAJXZ"
		size = 168
		refs = "0024 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0045 ?_Invoke_handler@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXJ@Z 0090 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B D9 48 8D 51 30 48 8D 48 C0 E8 ?? ?? ?? ?? 90 33 FF 8B 43 68 89 44 24 70 40 32 F6 8B 44 24 70 85 C0 7E 4D 8B 54 24 70 48 8B CB E8 ?? ?? ?? ?? 8B 44 24 70 03 F8 8B 44 24 70 F7 D8 F0 0F C1 43 68 89 44 24 78 8B 4C 24 78 8B 44 24 70 3B C8 74 20 40 84 F6 75 1B 8B 8B 80 00 00 00 85 C9 40 0F 95 C6 8B 4B 68 89 4C 24 70 8B 4C 24 70 85 C9 7F B3 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B C7 4C 8D 5C 24 60 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_858_1 {
	meta:
		name = "?_Process_message_helper@?$ordered_message_processor@_K@Concurrency@@AEAAJXZ"
		size = 168
		refs = "0024 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0045 ?_Invoke_handler@?$ordered_message_processor@_K@Concurrency@@AEAAXJ@Z 0090 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B D9 48 8D 51 30 48 8D 48 C0 E8 ?? ?? ?? ?? 90 33 FF 8B 43 68 89 44 24 70 40 32 F6 8B 44 24 70 85 C0 7E 4D 8B 54 24 70 48 8B CB E8 ?? ?? ?? ?? 8B 44 24 70 03 F8 8B 44 24 70 F7 D8 F0 0F C1 43 68 89 44 24 78 8B 4C 24 78 8B 44 24 70 3B C8 74 20 40 84 F6 75 1B 8B 8B 80 00 00 00 85 C9 40 0F 95 C6 8B 4B 68 89 4C 24 70 8B 4C 24 70 85 C9 7F B3 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B C7 4C 8D 5C 24 60 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_860_1 {
	meta:
		name = "?_Push_back@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXAEBQEAV?$ISource@W4agent_status@Concurrency@@@3@@Z"
		size = 68
		refs = "0023 ?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 51 08 48 8B D9 48 3B 51 10 72 0D 48 8D 14 55 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B 43 08 48 8B 13 48 8B 07 4A 89 04 C2 48 FF 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_861_1 {
	meta:
		name = "?_Push_back@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAAXAEBQEAV?$ISource@_K@3@@Z"
		size = 68
		refs = "0023 ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 51 08 48 8B D9 48 3B 51 10 72 0D 48 8D 14 55 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B 43 08 48 8B 13 48 8B 07 4A 89 04 C2 48 FF 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_862_1 {
	meta:
		name = "?_Push_back@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXAEBQEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 68
		refs = "0023 ?_Grow@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 51 08 48 8B D9 48 3B 51 10 72 0D 48 8D 14 55 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B 43 08 48 8B 13 48 8B 07 4A 89 04 C2 48 FF 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_863_1 {
	meta:
		name = "?_Push_back@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAAXAEBQEAV?$ITarget@_K@3@@Z"
		size = 68
		refs = "0023 ?_Grow@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 51 08 48 8B D9 48 3B 51 10 72 0D 48 8D 14 55 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B 43 08 48 8B 13 48 8B 07 4A 89 04 C2 48 FF 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_866_1 {
	meta:
		name = "?_Remove@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 61
		altNames = "?_Remove@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@AEAA_NPEAV?$ISource@_K@2@@Z ?_Remove@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z ?_Remove@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@AEAA_NPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 45 33 C9 48 8B C1 45 8B C1 4C 39 49 18 76 13 48 8B 49 10 4A 39 14 C1 74 0C 49 FF C0 4C 3B 40 18 72 F1 32 C0 C3 4E 89 0C C1 48 8B 48 08 48 FF C9 48 83 F9 FD 77 04 4C 89 48 08 B0 01 C3 }
	condition:
		$1
}

rule file_118_879_1 {
	meta:
		name = "?_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ"
		size = 451
		refs = "0036 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0087 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 009e ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 00ae ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 00c3 ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ 0111 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 011f ??_V@YAXPEAX@Z 01a2 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 41 55 41 56 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 48 8B D9 48 8D 91 58 02 00 00 48 8D 4D 17 E8 ?? ?? ?? ?? 90 48 8B 8B 00 02 00 00 BF 01 00 00 00 48 85 C9 74 08 48 8B 01 8B D7 FF 50 08 48 83 A3 00 02 00 00 00 48 8B 8B 08 02 00 00 48 85 C9 74 08 48 8B 01 8B D7 FF 50 08 48 83 A3 08 02 00 00 00 4C 8D B3 20 02 00 00 49 8B D6 48 8D 4D DF E8 ?? ?? ?? ?? 90 8B BB 98 02 00 00 83 FF FF 0F 84 F0 00 00 00 4C 8D 2D ?? ?? ?? ?? 83 8B 98 02 00 00 FF 48 8D 4D DF E8 ?? ?? ?? ?? 83 FF FF 74 6C 48 8D 8B 60 01 00 00 48 8D 55 DF E8 ?? ?? ?? ?? 90 48 8B 4D E7 48 8B 45 07 48 3B 45 EF 48 8D 75 0F 73 04 48 8D 34 C1 48 8B 36 48 85 F6 74 1A 4C 8D 83 58 01 00 00 48 8B 06 8B D7 48 8B CE FF 50 28 84 C0 75 44 48 8B 4D E7 4C 89 6D DF 48 8B 45 FF 48 85 C0 74 0C 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4D E7 48 85 C9 74 05 E8 ?? ?? ?? ?? 49 8B D6 48 8D 4D DF E8 ?? ?? ?? ?? 90 8B BB 98 02 00 00 83 FF FF 74 50 E9 62 FF FF FF 4C 8D 83 58 01 00 00 48 8B 06 8B D7 48 8B CE FF 50 30 48 89 83 18 02 00 00 48 8B 03 33 D2 48 8B CB FF 90 A8 00 00 00 90 4C 89 6D DF 48 8B 4D FF 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4D E7 48 85 C9 74 19 E8 ?? ?? ?? ?? EB 12 48 83 A3 18 02 00 00 00 48 8D 4D DF E8 ?? ?? ?? ?? 90 48 8D 4D 17 E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5E 41 5D 5D C3 }
	condition:
		$1
}

rule file_118_883_1 {
	meta:
		name = "?dtor$3@?0??_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$1@?0??unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXXZ@4HA ?dtor$1@?0??unlink_sources@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA ?dtor$4@?0??_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ@4HA"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1239_1 {
	meta:
		name = "?dtor$1@?0??unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1245_1 {
	meta:
		name = "?dtor$1@?0??unlink_sources@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_899_1 {
	meta:
		name = "?_Status@?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AW4agent_status@2@_K@Z"
		size = 19
	strings:
		$1 = { 48 8B 41 08 48 8B 0C D0 48 8B 81 00 02 00 00 8B 40 10 C3 }
	condition:
		$1
}

rule file_118_900_1 {
	meta:
		name = "?_Swap@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXAEAV123@@Z"
		size = 50
		altNames = "?_Swap@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAAXAEAV123@@Z"
	strings:
		$1 = { 48 3B CA 74 2C 48 8B 02 4C 8B 11 4C 8B 49 08 4C 8B 41 10 48 89 01 48 8B 42 08 48 89 41 08 48 8B 42 10 48 89 41 10 4C 89 12 4C 89 4A 08 4C 89 42 10 C3 }
	condition:
		$1
}

rule file_118_902_1 {
	meta:
		name = "?_Sync_send_helper@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 127
		refs = "0024 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0045 ?_Invoke_handler@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXJ@Z 0050 ?_Invoke_handler@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z 0070 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B FA 48 8B D9 48 8D 51 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8B 83 80 00 00 00 33 C9 85 C0 75 21 8B 43 68 85 C0 7E 0D 87 4B 68 8B D1 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 14 48 85 FF 74 0F 48 8B 07 BA 01 00 00 00 48 8B CF FF 50 08 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_904_1 {
	meta:
		name = "?_Sync_send_helper@?$ordered_message_processor@_K@Concurrency@@AEAAXPEAV?$message@_K@2@@Z"
		size = 127
		refs = "0024 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0045 ?_Invoke_handler@?$ordered_message_processor@_K@Concurrency@@AEAAXJ@Z 0050 ?_Invoke_handler@?$ordered_message_processor@_K@Concurrency@@AEAAXPEAV?$message@_K@2@@Z 0070 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B FA 48 8B D9 48 8D 51 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8B 83 80 00 00 00 33 C9 85 C0 75 21 8B 43 68 85 C0 7E 0D 87 4B 68 8B D1 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 14 48 85 FF 74 0F 48 8B 07 BA 01 00 00 00 48 8B CF FF 50 08 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_919_1 {
	meta:
		name = "?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@2@@Z"
		size = 199
		refs = "0029 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 006c ?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z 00b1 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 70 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 89 78 10 48 8B FA 48 8B D9 48 8B D1 48 8D 4D D0 E8 ?? ?? ?? ?? 90 FF 43 40 48 8D 4B 60 48 8B 01 48 8D 55 B8 FF 50 20 EB 54 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 8B D0 48 89 45 C8 48 8B 47 08 48 3B 47 10 72 14 48 8D 14 45 02 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 C8 48 8B 4F 08 48 8B 07 48 89 14 C8 48 FF 47 08 48 FF 45 C0 48 8B 4D B8 48 8B 01 48 8D 55 C0 FF 50 28 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 85 C0 48 89 45 C8 75 95 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_118_921_1 {
	meta:
		name = "?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@2@@Z"
		size = 199
		refs = "0029 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 006c ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z 00b1 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 70 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 89 78 10 48 8B FA 48 8B D9 48 8B D1 48 8D 4D D0 E8 ?? ?? ?? ?? 90 FF 43 40 48 8D 4B 60 48 8B 01 48 8D 55 B8 FF 50 20 EB 54 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 8B D0 48 89 45 C8 48 8B 47 08 48 3B 47 10 72 14 48 8D 14 45 02 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 C8 48 8B 4F 08 48 8B 07 48 89 14 C8 48 FF 47 08 48 FF 45 C0 48 8B 4D B8 48 8B 01 48 8D 55 C0 FF 50 28 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 85 C0 48 89 45 C8 75 95 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_118_923_1 {
	meta:
		name = "?_Value@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@QEAA?AW432@XZ"
		size = 93
		refs = "001f ?wait@event@Concurrency@@QEAA_KI@Z 0047 ??0operation_timed_out@Concurrency@@QEAA@XZ 004e _TI2?AVoperation_timed_out@Concurrency@@ 0058 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 33 C0 B9 01 00 00 00 F0 0F B1 4B 08 75 0C 8B 53 20 48 8D 4B 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 30 8B 43 08 83 F8 02 75 0D 48 8B 43 18 8B 40 10 48 83 C4 40 5B C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_924_1 {
	meta:
		name = "?_Value@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@QEAA_KXZ"
		size = 94
		refs = "001f ?wait@event@Concurrency@@QEAA_KI@Z 0048 ??0operation_timed_out@Concurrency@@QEAA@XZ 004f _TI2?AVoperation_timed_out@Concurrency@@ 0059 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 33 C0 B9 01 00 00 00 F0 0F B1 4B 08 75 0C 8B 53 20 48 8D 4B 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 30 8B 43 08 83 F8 02 75 0E 48 8B 43 18 48 8B 40 10 48 83 C4 40 5B C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_927_1 {
	meta:
		name = "?_Wait_for_message@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@AEAAXXZ"
		size = 86
		refs = "001f ?wait@event@Concurrency@@QEAA_KI@Z 0040 ??0operation_timed_out@Concurrency@@QEAA@XZ 0047 _TI2?AVoperation_timed_out@Concurrency@@ 0051 _CxxThrowException"
		altNames = "?_Wait_for_message@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 33 C0 B9 01 00 00 00 F0 0F B1 4B 08 75 0C 8B 53 20 48 8D 4B 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 30 8B 43 08 83 F8 02 75 06 48 83 C4 40 5B C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_929_1 {
	meta:
		name = "?_Wait_on_ref@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 60
		refs = "000e ?_UnderlyingYield@details@Concurrency@@YAXXZ 0028 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?_Wait_on_ref@?$_SyncOriginator@_K@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 44 24 30 8B 81 B0 00 00 00 EB 10 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 85 C0 75 EC 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_118_931_1 {
	meta:
		name = "?_Wait_on_ref@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@AEAAXJ@Z"
		size = 73
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0030 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?_Wait_on_ref@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@AEAAXJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 8B DA 48 89 44 24 30 8B 81 68 01 00 00 48 8B F9 3B C2 74 14 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 87 68 01 00 00 3B C3 75 EC 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_118_933_1 {
	meta:
		name = "?_Wait_on_ref@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@AEAAXJ@Z"
		size = 73
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0030 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 8B DA 48 89 44 24 30 8B 81 50 01 00 00 48 8B F9 3B C2 74 14 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 87 50 01 00 00 3B C3 75 EC 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_118_934_1 {
	meta:
		name = "?_internal_send@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@AEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@3@AEBW4agent_status@3@@Z"
		size = 135
		refs = "001f ?Alloc@Concurrency@@YAPEAX_K@Z 0030 ??_7_Runtime_object@details@Concurrency@@6B@ 003e s_RuntimeObjectIdentity 0048 ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 89 51 10 B9 28 00 00 00 49 8B F0 E8 ?? ?? ?? ?? 33 DB 48 8B D0 48 85 C0 74 30 48 8D 05 ?? ?? ?? ?? 48 89 02 8D 43 02 F0 0F C1 05 ?? ?? ?? ?? 89 42 08 48 8D 05 ?? ?? ?? ?? 48 89 02 8B 06 48 89 5A 18 89 42 10 89 5A 20 EB 03 48 8B D3 48 8B 4F 10 48 89 57 08 4C 8B C7 4C 8B 09 41 FF 51 10 48 8B 5C 24 30 48 8B 74 24 38 85 C0 0F 94 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_935_1 {
	meta:
		name = "?_internal_send@?$_AnonymousOriginator@_K@details@Concurrency@@AEAA_NPEAV?$ITarget@_K@3@AEB_K@Z"
		size = 137
		refs = "001f ?Alloc@Concurrency@@YAPEAX_K@Z 0030 ??_7_Runtime_object@details@Concurrency@@6B@ 003e s_RuntimeObjectIdentity 0048 ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 89 51 10 B9 28 00 00 00 49 8B F0 E8 ?? ?? ?? ?? 33 DB 48 8B D0 48 85 C0 74 32 48 8D 05 ?? ?? ?? ?? 48 89 02 8D 43 02 F0 0F C1 05 ?? ?? ?? ?? 89 42 08 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 06 48 89 5A 18 48 89 42 10 89 5A 20 EB 03 48 8B D3 48 8B 4F 10 48 89 57 08 4C 8B C7 4C 8B 09 41 FF 51 10 48 8B 5C 24 30 48 8B 74 24 38 85 C0 0F 94 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_936_1 {
	meta:
		name = "?_internal_send@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@AEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@3@AEBW4agent_status@3@@Z"
		size = 275
		refs = "002f ??_C@_08NFKFEOEH@_PTarget?$AA@ 0040 ??0exception@std@@QEAA@AEBQEBD@Z 0047 ??_7invalid_argument@std@@6B@ 0053 _TI3?AVinvalid_argument@std@@ 005d _CxxThrowException 0068 ?Alloc@Concurrency@@YAPEAX_K@Z 0077 ??_7_Runtime_object@details@Concurrency@@6B@ 0087 s_RuntimeObjectIdentity 0091 ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@ 00b4 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 00e0 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00f1 ?wait@event@Concurrency@@QEAA_KI@Z"
	strings:
		$1 = { 4C 8B DC 57 41 56 41 57 48 83 EC 70 49 C7 43 98 FE FF FF FF 49 89 5B 08 49 89 73 18 4D 8B F8 4C 8B F2 48 8B F1 33 DB 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 89 43 10 49 8D 53 10 49 8D 4B A0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 33 48 8D 05 ?? ?? ?? ?? 48 89 07 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 07 41 8B 07 89 47 10 48 89 5F 18 89 5F 20 EB 03 48 8B FB 48 8D 56 60 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 06 49 8B D6 48 8B CE FF 50 08 48 89 7E 08 49 8B 06 4C 8B C6 48 8B D7 49 8B CE FF 50 10 8B F8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 83 FF 02 75 0F 48 8D 4E 10 83 CA FF E8 ?? ?? ?? ?? 8B 7E 58 85 FF 0F 94 C0 4C 8D 5C 24 70 49 8B 5B 20 49 8B 73 30 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_118_938_1 {
	meta:
		name = "?_internal_send@?$_SyncOriginator@_K@details@Concurrency@@AEAA_NPEAV?$ITarget@_K@3@AEB_K@Z"
		size = 276
		refs = "002f ??_C@_08NFKFEOEH@_PTarget?$AA@ 0040 ??0exception@std@@QEAA@AEBQEBD@Z 0047 ??_7invalid_argument@std@@6B@ 0053 _TI3?AVinvalid_argument@std@@ 005d _CxxThrowException 0068 ?Alloc@Concurrency@@YAPEAX_K@Z 0077 ??_7_Runtime_object@details@Concurrency@@6B@ 0087 s_RuntimeObjectIdentity 0091 ??_7?$message@_K@Concurrency@@6B@ 00b5 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 00e1 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00f2 ?wait@event@Concurrency@@QEAA_KI@Z"
	strings:
		$1 = { 4C 8B DC 57 41 56 41 57 48 83 EC 70 49 C7 43 98 FE FF FF FF 49 89 5B 08 49 89 73 18 4D 8B F8 4C 8B F2 48 8B F1 33 DB 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 89 43 10 49 8D 53 10 49 8D 4B A0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 34 48 8D 05 ?? ?? ?? ?? 48 89 07 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 07 49 8B 07 48 89 47 10 48 89 5F 18 89 5F 20 EB 03 48 8B FB 48 8D 56 60 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 06 49 8B D6 48 8B CE FF 50 08 48 89 7E 08 49 8B 06 4C 8B C6 48 8B D7 49 8B CE FF 50 10 8B F8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 83 FF 02 75 0F 48 8D 4E 10 83 CA FF E8 ?? ?? ?? ?? 8B 7E 58 85 FF 0F 94 C0 4C 8D 5C 24 70 49 8B 5B 20 49 8B 73 30 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_118_940_1 {
	meta:
		name = "?accept@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAPEAV?$message@W4agent_status@Concurrency@@@3@HPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 29
		altNames = "?accept@?$_AnonymousOriginator@_K@details@Concurrency@@UEAAPEAV?$message@_K@3@HPEAV?$ITarget@_K@3@@Z"
	strings:
		$1 = { 4C 3B 41 10 75 14 48 8B 41 08 48 85 C0 74 0B 39 50 08 75 06 48 83 61 08 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_118_942_1 {
	meta:
		name = "?accept@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAPEAV?$message@W4agent_status@Concurrency@@@3@HPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 103
		refs = "004c ?set@event@Concurrency@@QEAAXXZ"
		altNames = "?accept@?$_SyncOriginator@_K@details@Concurrency@@UEAAPEAV?$message@_K@3@HPEAV?$ITarget@_K@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 4D 85 C0 74 3C 48 81 C1 A0 00 00 00 49 8B D0 48 8B 01 FF 50 10 84 C0 74 28 48 8B 7B 08 48 85 FF 74 1F 39 77 08 75 1A 48 83 63 08 00 48 8D 4B 10 C7 43 58 00 00 00 00 E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_944_1 {
	meta:
		name = "?accept@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAV?$message@W4agent_status@Concurrency@@@2@HPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 77
		refs = "0017 ??_C@_08NFKFEOEH@_PTarget?$AA@ 002b ??0exception@std@@QEAA@AEBQEBD@Z 0032 ??_7invalid_argument@std@@6B@ 0039 _TI3?AVinvalid_argument@std@@ 0048 _CxxThrowException"
		altNames = "?accept@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAV?$message@_K@2@HPEAV?$ITarget@_K@2@@Z ?accept@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAV?$message@_K@2@HPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 48 4D 85 C0 74 0B 48 8B 01 48 83 C4 48 48 FF 60 60 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_947_1 {
	meta:
		name = "?accept_message@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@MEAAPEAV?$message@_K@2@H@Z"
		size = 124
		refs = "0020 ?Alloc@Concurrency@@YAPEAX_K@Z 0036 ??_7_Runtime_object@details@Concurrency@@6B@ 0046 s_RuntimeObjectIdentity 0050 ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 81 08 02 00 00 48 8B D9 48 85 C0 74 5F 3B 50 08 75 5A B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 41 48 8B 8B 08 02 00 00 48 8D 05 ?? ?? ?? ?? 48 89 02 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 42 08 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 41 10 48 83 62 18 00 48 89 42 10 C7 42 20 00 00 00 00 EB 02 33 D2 48 8B C2 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_948_1 {
	meta:
		name = "?accept_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAPEAV?$message@W4agent_status@Concurrency@@@2@H@Z"
		size = 123
		refs = "0026 ?Alloc@Concurrency@@YAPEAX_K@Z 003c ??_7_Runtime_object@details@Concurrency@@6B@ 004c s_RuntimeObjectIdentity 0056 ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 81 18 02 00 00 33 DB 48 8B F9 48 85 C0 74 55 39 50 08 75 4D B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 3B 48 8B 8F 18 02 00 00 48 8D 05 ?? ?? ?? ?? 48 89 02 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 42 08 48 8D 05 ?? ?? ?? ?? 48 89 02 8B 41 10 48 89 5A 18 89 42 10 89 5A 20 48 8B DA 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_949_1 {
	meta:
		name = "?accept_message@?$single_assignment@_K@Concurrency@@MEAAPEAV?$message@_K@2@H@Z"
		size = 124
		refs = "0020 ?Alloc@Concurrency@@YAPEAX_K@Z 0036 ??_7_Runtime_object@details@Concurrency@@6B@ 0046 s_RuntimeObjectIdentity 0050 ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 81 18 02 00 00 48 8B D9 48 85 C0 74 5F 3B 50 08 75 5A B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 41 48 8B 8B 18 02 00 00 48 8D 05 ?? ?? ?? ?? 48 89 02 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 42 08 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 41 10 48 83 62 18 00 48 89 42 10 C7 42 20 00 00 00 00 EB 02 33 D2 48 8B C2 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_950_1 {
	meta:
		name = "?acquire_ref@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DF@PAHGDABM@acquire_ref?5is?5not?5supported?5on?5@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
		altNames = "?acquire_ref@?$_AnonymousOriginator@_K@details@Concurrency@@UEAAXPEAV?$ITarget@_K@3@@Z"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_999_1 {
	meta:
		name = "?consume@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAPEAV?$message@W4agent_status@Concurrency@@@3@HPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DB@BNAIJJBF@consume?5is?5not?5supported?5on?5_Ano@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1000_1 {
	meta:
		name = "?consume@?$_AnonymousOriginator@_K@details@Concurrency@@UEAAPEAV?$message@_K@3@HPEAV?$ITarget@_K@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DB@BNAIJJBF@consume?5is?5not?5supported?5on?5_Ano@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1077_2 {
	meta:
		name = "?link_target@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@EEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DF@PFDKKACG@link_target?5is?5not?5supported?5on?5@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1078_2 {
	meta:
		name = "?link_target@?$_AnonymousOriginator@_K@details@Concurrency@@EEAAXPEAV?$ITarget@_K@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DF@PFDKKACG@link_target?5is?5not?5supported?5on?5@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1098_1 {
	meta:
		name = "?process_input_messages@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 39
		refs = "0007 ??_C@_0FK@LCNLODJH@To?5use?5batched?5processing?0?5you?5m@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1099_1 {
	meta:
		name = "?process_input_messages@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 39
		refs = "0007 ??_C@_0FK@LCNLODJH@To?5use?5batched?5processing?0?5you?5m@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1100_2 {
	meta:
		name = "?process_input_messages@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 39
		refs = "0007 ??_C@_0FK@LCNLODJH@To?5use?5batched?5processing?0?5you?5m@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1104_2 {
	meta:
		name = "?process_input_messages@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 39
		refs = "0007 ??_C@_0FK@LCNLODJH@To?5use?5batched?5processing?0?5you?5m@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1118_2 {
	meta:
		name = "?propagate_output_messages@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXXZ"
		size = 39
		refs = "0007 ??_C@_0FN@HODAMJJJ@To?5use?5batched?5processing?0?5you?5m@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1119_2 {
	meta:
		name = "?propagate_output_messages@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ"
		size = 39
		refs = "0007 ??_C@_0FN@HODAMJJJ@To?5use?5batched?5processing?0?5you?5m@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1120_2 {
	meta:
		name = "?propagate_output_messages@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ"
		size = 39
		refs = "0007 ??_C@_0FN@HODAMJJJ@To?5use?5batched?5processing?0?5you?5m@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1125_2 {
	meta:
		name = "?propagate_to_any_targets@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 39
		refs = "0007 ??_C@_0GE@CJLOELHK@To?5use?5ordered?5message?5processin@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1126_1 {
	meta:
		name = "?propagate_to_any_targets@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 39
		refs = "0007 ??_C@_0GE@CJLOELHK@To?5use?5ordered?5message?5processin@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1127_1 {
	meta:
		name = "?propagate_to_any_targets@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 39
		refs = "0007 ??_C@_0GE@CJLOELHK@To?5use?5ordered?5message?5processin@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1135_1 {
	meta:
		name = "?release@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXHPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DB@LMMOOKPE@release?5is?5not?5supported?5on?5_Ano@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1136_1 {
	meta:
		name = "?release@?$_AnonymousOriginator@_K@details@Concurrency@@UEAAXHPEAV?$ITarget@_K@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DB@LMMOOKPE@release?5is?5not?5supported?5on?5_Ano@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1152_1 {
	meta:
		name = "?release_ref@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DF@EIGAHDEA@release_ref?5is?5not?5supported?5on?5@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1153_1 {
	meta:
		name = "?release_ref@?$_AnonymousOriginator@_K@details@Concurrency@@UEAAXPEAV?$ITarget@_K@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DF@EIGAHDEA@release_ref?5is?5not?5supported?5on?5@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1180_1 {
	meta:
		name = "?reserve@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA_NHPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DB@CBFACGAA@reserve?5is?5not?5supported?5on?5_Ano@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1181_2 {
	meta:
		name = "?reserve@?$_AnonymousOriginator@_K@details@Concurrency@@UEAA_NHPEAV?$ITarget@_K@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DB@CBFACGAA@reserve?5is?5not?5supported?5on?5_Ano@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1248_2 {
	meta:
		name = "?unlink_target@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DH@DJKFCMHF@unlink_target?5is?5not?5supported?5o@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1249_2 {
	meta:
		name = "?unlink_target@?$_AnonymousOriginator@_K@details@Concurrency@@UEAAXPEAV?$ITarget@_K@3@@Z"
		size = 39
		refs = "0007 ??_C@_0DH@DJKFCMHF@unlink_target?5is?5not?5supported?5o@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_1263_2 {
	meta:
		name = "?unlink_targets@?$_AnonymousOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXXZ"
		size = 39
		refs = "0007 ??_C@_0DI@DONNGDDD@unlink_targets?5is?5not?5supported?5@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1264_1 {
	meta:
		name = "?unlink_targets@?$_AnonymousOriginator@_K@details@Concurrency@@UEAAXXZ"
		size = 39
		refs = "0007 ??_C@_0DI@DONNGDDD@unlink_targets?5is?5not?5supported?5@ 0011 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0018 _TI2?AVinvalid_operation@Concurrency@@ 0022 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_957_1 {
	meta:
		name = "?add@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 19
		refs = "000a ?_Add@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_958_1 {
	meta:
		name = "?add@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAAXPEAV?$ISource@_K@2@@Z"
		size = 19
		refs = "000a ?_Add@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@AEAAXPEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_959_1 {
	meta:
		name = "?add@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 19
		refs = "000a ?_Add@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_960_1 {
	meta:
		name = "?add@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 19
		refs = "000a ?_Add@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@AEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_961_1 {
	meta:
		name = "?add@?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 60
		refs = "001c ??_C@_05KMIILNPJ@_Link?$AA@ 0026 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 002d _TI2?AVinvalid_link_target@Concurrency@@ 0037 _CxxThrowException"
		altNames = "?add@?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 74 0B 48 83 79 08 00 75 09 48 89 51 08 48 83 C4 48 C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_963_1 {
	meta:
		name = "?add@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 104
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0041 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0059 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 85 D2 74 62 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B DA 48 8B F9 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 60 48 8B 01 48 8B D3 FF 10 FF 47 40 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B 97 88 00 00 00 48 8B CB FF 50 40 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_965_1 {
	meta:
		name = "?add@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXPEAV?$ISource@_K@2@@Z"
		size = 104
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0041 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0059 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 85 D2 74 62 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B DA 48 8B F9 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 60 48 8B 01 48 8B D3 FF 10 FF 47 40 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B 97 88 00 00 00 48 8B CB FF 50 40 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_969_1 {
	meta:
		name = "?allocate@?$allocator@V?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@@std@@QEAAPEAV?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@2@_K@Z"
		size = 55
		refs = "0023 ??2@YAPEAX_K@Z 0032 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 D2 74 21 48 B8 AA AA AA AA AA AA AA 0A 48 3B D0 77 17 48 8D 0C 52 48 C1 E1 03 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_976_1 {
	meta:
		name = "?async_send@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 210
		refs = "002a ?_Internal_push@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXPEBX@Z 0058 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 006b ?_Process_incoming_message_wrapper@?$message_processor@W4agent_status@Concurrency@@@Concurrency@@KAXPEAX@Z 009c ?_ScheduleTask@_CurrentScheduler@details@Concurrency@@SAXP6AXPEAX@Z0@Z 00b2 ??_C@_0DB@IGEIKGDJ@async_send?5called?5without?5regist@ 00bc ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 00c3 _TI2?AVinvalid_operation@Concurrency@@ 00cd _CxxThrowException"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 40 48 83 B9 A0 00 00 00 00 48 8B D9 0F 84 94 00 00 00 48 85 D2 74 0E 48 8D 54 24 58 48 83 C1 08 E8 ?? ?? ?? ?? B9 01 00 00 00 8B C1 F0 0F C1 43 68 03 C1 3B C1 75 69 F0 01 8B 84 00 00 00 8B 83 80 00 00 00 85 C0 75 51 8D 48 04 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4B 78 48 85 C9 74 11 48 8B 01 48 8D 15 ?? ?? ?? ?? 4C 8B C3 FF 10 EB 33 48 8B 4B 70 48 85 C9 74 12 48 8B 01 48 8D 15 ?? ?? ?? ?? 4C 8B C3 FF 50 58 EB 18 48 8D 0D ?? ?? ?? ?? 48 8B D3 E8 ?? ?? ?? ?? EB 07 F0 FF 8B 84 00 00 00 48 83 C4 40 5B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_977_1 {
	meta:
		name = "?async_send@?$ordered_message_processor@_K@Concurrency@@UEAAXPEAV?$message@_K@2@@Z"
		size = 210
		refs = "002a ?_Internal_push@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXPEBX@Z 0058 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 006b ?_Process_incoming_message_wrapper@?$message_processor@_K@Concurrency@@KAXPEAX@Z 009c ?_ScheduleTask@_CurrentScheduler@details@Concurrency@@SAXP6AXPEAX@Z0@Z 00b2 ??_C@_0DB@IGEIKGDJ@async_send?5called?5without?5regist@ 00bc ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 00c3 _TI2?AVinvalid_operation@Concurrency@@ 00cd _CxxThrowException"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 40 48 83 B9 A0 00 00 00 00 48 8B D9 0F 84 94 00 00 00 48 85 D2 74 0E 48 8D 54 24 58 48 83 C1 08 E8 ?? ?? ?? ?? B9 01 00 00 00 8B C1 F0 0F C1 43 68 03 C1 3B C1 75 69 F0 01 8B 84 00 00 00 8B 83 80 00 00 00 85 C0 75 51 8D 48 04 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4B 78 48 85 C9 74 11 48 8B 01 48 8D 15 ?? ?? ?? ?? 4C 8B C3 FF 10 EB 33 48 8B 4B 70 48 85 C9 74 12 48 8B 01 48 8D 15 ?? ?? ?? ?? 4C 8B C3 FF 50 58 EB 18 48 8D 0D ?? ?? ?? ?? 48 8B D3 E8 ?? ?? ?? ?? EB 07 F0 FF 8B 84 00 00 00 48 83 C4 40 5B C3 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_983_1 {
	meta:
		name = "?begin@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@XZ"
		size = 40
		altNames = "?begin@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@2@XZ ?begin@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@2@XZ ?begin@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@2@XZ ?begin@?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@2@XZ ?begin@?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 89 0A 48 83 C2 08 48 83 22 00 48 83 63 10 00 48 8B 01 FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_989_1 {
	meta:
		name = "?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ"
		size = 82
		refs = "0021 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0044 ?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@2@@Z"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 8B DA 45 33 C0 44 89 44 24 20 48 8D 05 ?? ?? ?? ?? 48 89 02 48 83 C2 08 4C 89 02 4C 89 42 08 4C 89 42 10 48 89 4B 20 4C 89 43 28 4C 89 43 30 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_991_1 {
	meta:
		name = "?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@2@XZ"
		size = 82
		refs = "0021 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0044 ?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@2@@Z"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 8B DA 45 33 C0 44 89 44 24 20 48 8D 05 ?? ?? ?? ?? 48 89 02 48 83 C2 08 4C 89 02 4C 89 42 08 4C 89 42 10 48 89 4B 20 4C 89 43 28 4C 89 43 30 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_118_990_1 {
	meta:
		name = "?dtor$1@?0??begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_992_1 {
	meta:
		name = "?dtor$1@?0??begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@2@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_993_1 {
	meta:
		name = "?cancel@agent@Concurrency@@QEAA_NXZ"
		size = 217
		refs = "0017 __security_cookie 0058 ??$_send@W4agent_status@Concurrency@@@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z 006e ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@ 007a ?_IsDone@Concurrency@@YA_NAEBW4agent_status@1@@Z 009a ??$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z 00ca __security_check_cookie"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 50 48 8B D9 33 FF 8D 47 01 F0 0F B1 B9 38 02 00 00 75 27 C7 44 24 20 04 00 00 00 48 8D 41 08 48 85 C0 74 09 48 81 C1 78 01 00 00 EB 03 48 8B CF 48 8D 54 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F B1 BB 3C 02 00 00 75 54 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 44 24 30 48 89 44 24 48 48 8D 4B 08 4C 8D 44 24 30 83 CA FF E8 ?? ?? ?? ?? 90 48 8B 4C 24 48 48 85 C9 74 12 4C 8B 01 48 8D 54 24 30 48 3B CA 0F 95 C2 41 FF 50 20 B0 01 EB 02 32 C0 48 8B 4C 24 50 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_997_1 {
	meta:
		name = "?clear@?$concurrent_queue@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@V?$allocator@PEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@Concurrency@@QEAAXXZ"
		size = 43
		refs = "0011 ?_Internal_pop_if_present@_Concurrent_queue_base_v4@details@Concurrency@@IEAA_NPEAX@Z 001d ?_Internal_empty@_Concurrent_queue_base_v4@details@Concurrency@@IEBA_NXZ"
		altNames = "?clear@?$concurrent_queue@PEAV?$message@_K@Concurrency@@V?$allocator@PEAV?$message@_K@Concurrency@@@std@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 EB 11 33 D2 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 E6 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_1001_1 {
	meta:
		name = "?consume@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAPEAV?$message@W4agent_status@Concurrency@@@3@HPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 163
		refs = "0051 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0065 ??0exception@std@@QEAA@AEBQEBD@Z 006c ??_7invalid_argument@std@@6B@ 0073 _TI3?AVinvalid_argument@std@@ 0082 _CxxThrowException 008d ??0bad_target@Concurrency@@QEAA@XZ 0094 _TI2?AVbad_target@Concurrency@@"
		altNames = "?consume@?$_SyncOriginator@_K@details@Concurrency@@UEAAPEAV?$message@_K@3@HPEAV?$ITarget@_K@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 49 8B D8 8B F2 48 8B F9 4D 85 C0 74 32 48 81 C1 A0 00 00 00 48 8B D3 48 8B 01 FF 50 10 84 C0 74 57 48 8B 07 4C 8B C3 8B D6 48 8B CF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F 48 FF 60 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1003_1 {
	meta:
		name = "?consume@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAV?$message@W4agent_status@Concurrency@@@2@HPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 228
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0039 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0053 ??0exception@std@@QEAA@AEBQEBD@Z 005a ??_7invalid_argument@std@@6B@ 0066 _TI3?AVinvalid_argument@std@@ 0070 _CxxThrowException 00ad ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00bc ??0bad_target@Concurrency@@QEAA@XZ 00c3 _TI2?AVbad_target@Concurrency@@"
		altNames = "?consume@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAV?$message@_K@2@HPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 8B F2 48 8B D9 48 8D 91 28 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 FF 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 83 7B 08 00 74 3A 48 3B 7B 08 75 34 48 8B 03 8B D6 48 8B CB FF 50 70 48 8B F8 48 85 C0 74 12 48 83 63 08 00 48 8B 13 48 8B CB FF 92 80 00 00 00 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B C7 EB 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_1007_1 {
	meta:
		name = "?consume@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAV?$message@_K@2@HPEAV?$ITarget@_K@2@@Z"
		size = 228
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0039 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0053 ??0exception@std@@QEAA@AEBQEBD@Z 005a ??_7invalid_argument@std@@6B@ 0066 _TI3?AVinvalid_argument@std@@ 0070 _CxxThrowException 00ad ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00bc ??0bad_target@Concurrency@@QEAA@XZ 00c3 _TI2?AVbad_target@Concurrency@@"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 8B F2 48 8B D9 48 8D 91 10 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 FF 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 83 7B 08 00 74 3A 48 3B 7B 08 75 34 48 8B 03 8B D6 48 8B CB FF 50 70 48 8B F8 48 85 C0 74 12 48 83 63 08 00 48 8B 13 48 8B CB FF 92 80 00 00 00 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B C7 EB 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_1010_1 {
	meta:
		name = "?consume_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAPEAV?$message@W4agent_status@Concurrency@@@2@H@Z"
		size = 179
		refs = "0030 ?Alloc@Concurrency@@YAPEAX_K@Z 003f ??_7_Runtime_object@details@Concurrency@@6B@ 004f s_RuntimeObjectIdentity 005e ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 81 20 02 00 00 48 8B F9 48 85 C0 74 09 39 50 08 74 04 33 C0 EB 7C 8B 70 10 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 35 48 8D 05 ?? ?? ?? ?? 48 89 03 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 48 83 63 18 00 89 43 08 48 8D 05 ?? ?? ?? ?? 48 89 03 89 73 10 C7 43 20 00 00 00 00 EB 02 33 DB 48 8B 87 20 02 00 00 F0 FF 48 20 75 18 48 8B 8F 20 02 00 00 48 85 C9 74 0C 4C 8B 01 BA 01 00 00 00 41 FF 50 08 48 83 A7 20 02 00 00 00 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1012_1 {
	meta:
		name = "?contains@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 47
		altNames = "?contains@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ISource@_K@2@@Z ?contains@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z ?contains@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 85 D2 75 04 32 C0 EB 11 4C 8B 01 48 8B 59 18 41 FF 50 40 48 3B C3 0F 92 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1016_1 {
	meta:
		name = "?contains@?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 19
		altNames = "?contains@?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 33 C0 48 85 D2 74 0B 48 39 51 08 75 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_118_1024_1 {
	meta:
		name = "?count@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA_KXZ"
		size = 64
		refs = "001b ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0033 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4B 60 48 8B 01 FF 50 18 48 8B D8 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_118_1038_1 {
	meta:
		name = "?done@agent@Concurrency@@IEAA_NXZ"
		size = 250
		refs = "001f __security_cookie 003c ??$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z 0054 ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@ 0060 ?_IsStarted@Concurrency@@YA_NAEBW4agent_status@1@@Z 00cd ??$_send@W4agent_status@Concurrency@@@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z 00e0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 C0 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 50 48 8B F9 48 8D 71 08 45 33 C0 83 CA FF 48 8B CE E8 ?? ?? ?? ?? 8B E8 33 DB 8D 43 01 F0 0F B1 9F 38 02 00 00 74 4F 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 44 24 30 48 89 44 24 48 4C 8D 44 24 30 83 CA FF 48 8B CE E8 ?? ?? ?? ?? 8B E8 48 8B 4C 24 48 48 85 C9 74 11 48 8B 01 48 8D 54 24 30 48 3B CA 0F 95 C2 FF 50 20 8B C3 87 87 3C 02 00 00 8D 4D FD 83 F9 01 76 25 C7 44 24 20 03 00 00 00 48 85 F6 74 07 48 8D 9F 78 01 00 00 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? B0 01 EB 02 32 C0 48 8B 4C 24 50 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_1043_1 {
	meta:
		name = "?enable_batched_processing@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 154
		refs = "0014 __security_cookie 0027 ??_7?$_Func_impl@U?$_Callable_obj@V<lambda_68544cd7fb22b97ebe2736cdf1e798cf>@@$0A@@std@@V?$allocator@V?$_Func_class@XPEAV?$message@_K@Concurrency@@@std@@@2@XPEAV?$message@_K@Concurrency@@@std@@6B@ 0090 __security_check_cookie"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 70 48 C7 45 B0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 83 65 F0 00 48 8D 05 ?? ?? ?? ?? 48 89 45 B8 48 89 4D C0 48 8D 45 B8 48 89 45 D0 48 81 C1 A8 00 00 00 48 8B 01 4C 8D 45 D8 48 8D 55 B8 FF 50 28 90 48 8B 4D D0 48 85 C9 74 15 48 8B 01 48 8D 55 B8 48 3B CA 0F 95 C2 FF 50 20 48 83 65 D0 00 48 8B 4D F0 48 85 C9 74 10 48 8B 01 48 8D 55 D8 48 3B CA 0F 95 C2 FF 50 20 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_118_1048_1 {
	meta:
		name = "?initialize@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@std@@@Z"
		size = 129
		altNames = "?initialize@?$ordered_message_processor@_K@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 99 88 00 00 00 49 8B F9 48 8B F1 48 89 51 70 4C 89 41 78 49 3B D9 74 3E 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4F 18 48 85 C9 75 06 48 21 4B 18 EB 15 48 8B 01 48 3B CF 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8B 5C 24 30 C7 86 80 00 00 00 00 00 00 00 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1050_1 {
	meta:
		name = "?initialize_batched_processing@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAXAEBV?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@std@@AEBV?$function@$$A6AXXZ@4@@Z"
		size = 198
		altNames = "?initialize_batched_processing@?$ordered_message_processor@_K@Concurrency@@UEAAXAEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@AEBV?$function@$$A6AXXZ@4@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 99 A8 00 00 00 49 8B F8 48 8B F2 48 8B E9 48 3B DA 74 3E 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4E 18 48 85 C9 75 06 48 21 4B 18 EB 15 48 8B 01 48 3B CE 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8D 9D C8 00 00 00 48 3B DF 74 3E 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 20 48 83 63 18 00 48 8B 4F 18 48 85 C9 75 06 48 21 4B 18 EB 15 48 8B 01 48 3B CF 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1052_1 {
	meta:
		name = "?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 112
		refs = "0012 __security_cookie 0021 ??_7?$_Func_impl@U?$_Callable_obj@V<lambda_37d75ed72e7abc4987cf594d49481778>@@$0A@@std@@V?$allocator@V?$_Func_class@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@@2@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@std@@6B@ 003e ?initialize@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@std@@@Z 0067 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 49 C7 43 C8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 49 89 4B D8 49 8D 43 D0 49 89 43 E8 48 83 C1 40 4D 8D 4B D0 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 48 85 C9 74 11 48 8B 01 48 8D 54 24 28 48 3B CA 0F 95 C2 FF 50 20 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_118_1055_1 {
	meta:
		name = "?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 112
		refs = "0012 __security_cookie 0021 ??_7?$_Func_impl@U?$_Callable_obj@V<lambda_d3874f4a1442fa0aaaf9594205186166>@@$0A@@std@@V?$allocator@V?$_Func_class@XPEAV?$message@_K@Concurrency@@@std@@@2@XPEAV?$message@_K@Concurrency@@@std@@6B@ 003e ?initialize@?$ordered_message_processor@_K@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@@Z 0067 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 49 C7 43 C8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 49 89 4B D8 49 8D 43 D0 49 89 43 E8 48 83 C1 40 4D 8D 4B D0 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 48 85 C9 74 11 48 8B 01 48 8D 54 24 28 48 3B CA 0F 95 C2 FF 50 20 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_118_1058_1 {
	meta:
		name = "?initialize_source@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 112
		refs = "0012 __security_cookie 0021 ??_7?$_Func_impl@U?$_Callable_obj@V<lambda_1c227fbe56a0f1a19f8d431e177777f3>@@$0A@@std@@V?$allocator@V?$_Func_class@XPEAV?$message@_K@Concurrency@@@std@@@2@XPEAV?$message@_K@Concurrency@@@std@@6B@ 003e ?initialize@?$ordered_message_processor@_K@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@@Z 0067 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 49 C7 43 C8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 49 89 4B D8 49 8D 43 D0 49 89 43 E8 48 83 C1 28 4D 8D 4B D0 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 48 85 C9 74 11 48 8B 01 48 8D 54 24 28 48 3B CA 0F 95 C2 FF 50 20 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_118_1061_1 {
	meta:
		name = "?initialize_source_and_target@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 41
		refs = "000a ?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 33 C0 48 85 DB 74 07 48 8D 83 70 01 00 00 48 89 83 00 02 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_1062_1 {
	meta:
		name = "?initialize_source_and_target@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 41
		refs = "000a ?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 33 C0 48 85 DB 74 07 48 8D 83 70 01 00 00 48 89 83 00 02 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_1063_1 {
	meta:
		name = "?initialize_source_and_target@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 41
		refs = "000a ?initialize_source@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 33 C0 48 85 DB 74 07 48 8D 83 58 01 00 00 48 89 83 E8 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_1064_1 {
	meta:
		name = "?initialize_target@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 133
		refs = "0013 __security_cookie 0025 ??_7?$_Func_impl@U?$_Callable_obj@V<lambda_2c1dd12efc91492adf0e39d382ee7146>@@$0A@@std@@V?$allocator@V?$_Func_class@XPEAV?$message@_K@Concurrency@@@std@@@2@XPEAV?$message@_K@Concurrency@@@std@@6B@ 0045 ?initialize@?$ordered_message_processor@_K@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@std@@@Z 007b __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 49 C7 43 C8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 49 89 4B D8 49 8D 43 D0 49 89 43 E8 48 81 C1 A8 00 00 00 4D 8D 4B D0 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 48 85 C9 74 17 48 8B 01 48 8D 54 24 28 48 3B CA 0F 95 C2 FF 50 20 48 83 64 24 40 00 48 89 9B 90 00 00 00 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_118_1067_1 {
	meta:
		name = "?link_source@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 134
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0046 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 005f ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0082 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 70 10 48 8B DA 48 8B F9 48 85 D2 74 40 48 8D 51 08 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8D 4F 68 48 8B 01 48 8B D3 FF 10 FF 47 48 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B 97 90 00 00 00 48 8B CB FF 50 40 48 8D 4F 08 E8 ?? ?? ?? ?? 4C 8D 87 90 FE FF FF 48 8B D3 B9 05 00 00 00 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1069_1 {
	meta:
		name = "?link_source@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@_K@2@@Z"
		size = 134
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0046 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 005f ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0082 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 70 10 48 8B DA 48 8B F9 48 85 D2 74 40 48 8D 51 08 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8D 4F 68 48 8B 01 48 8B D3 FF 10 FF 47 48 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B 97 90 00 00 00 48 8B CB FF 50 40 48 8D 4F 08 E8 ?? ?? ?? ?? 4C 8D 87 90 FE FF FF 48 8B D3 B9 05 00 00 00 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1071_1 {
	meta:
		name = "?link_source@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 134
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0046 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 005f ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0082 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 70 10 48 8B DA 48 8B F9 48 85 D2 74 40 48 8D 51 08 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8D 4F 68 48 8B 01 48 8B D3 FF 10 FF 47 48 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B 97 90 00 00 00 48 8B CB FF 50 40 48 8D 4F 08 E8 ?? ?? ?? ?? 4C 8D 87 A8 FE FF FF 48 8B D3 B9 05 00 00 00 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1073_1 {
	meta:
		name = "?link_source@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@_K@2@@Z"
		size = 130
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0046 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 005f ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 007e ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 70 10 48 8B DA 48 8B F9 48 85 D2 74 40 48 8D 51 08 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8D 4F 68 48 8B 01 48 8B D3 FF 10 FF 47 48 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B 97 90 00 00 00 48 8B CB FF 50 40 48 8D 4F 08 E8 ?? ?? ?? ?? 4C 8B C7 48 8B D3 B9 05 00 00 00 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1075_1 {
	meta:
		name = "?link_source@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@EEAAX0@Z"
		size = 20
		altNames = "?link_source@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@EEAAX0@Z"
	strings:
		$1 = { 48 89 51 10 48 8B 02 4C 8B C2 48 8B D1 49 8B C8 48 FF 60 40 }
	condition:
		$1
}

rule file_118_1079_1 {
	meta:
		name = "?link_target@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@EEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 113
		refs = "003b ??_C@_08NFKFEOEH@_PTarget?$AA@ 004f ??0exception@std@@QEAA@AEBQEBD@Z 0056 ??_7invalid_argument@std@@6B@ 005d _TI3?AVinvalid_argument@std@@ 006c _CxxThrowException"
		altNames = "?link_target@?$_SyncOriginator@_K@details@Concurrency@@EEAAXPEAV?$ITarget@_K@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 48 85 D2 74 23 48 81 C1 A0 00 00 00 48 8B 01 FF 10 48 8B 03 48 8B D7 48 8B CB 48 8B 5C 24 50 48 83 C4 40 5F 48 FF 60 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1081_1 {
	meta:
		name = "?link_target@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 172
		refs = "0026 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0033 ??_C@_08NFKFEOEH@_PTarget?$AA@ 004d ??0exception@std@@QEAA@AEBQEBD@Z 0054 ??_7invalid_argument@std@@6B@ 0060 _TI3?AVinvalid_argument@std@@ 006a _CxxThrowException 009a ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?link_target@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 8B DA 48 8B F9 48 8D 91 28 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 DB 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4F 18 48 8B 01 48 8B D3 FF 10 48 8B 03 48 8B D7 48 8B CB FF 50 20 48 8B 07 48 8B D3 48 8B CF FF 50 50 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_118_1085_1 {
	meta:
		name = "?link_target@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 172
		refs = "0026 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0033 ??_C@_08NFKFEOEH@_PTarget?$AA@ 004d ??0exception@std@@QEAA@AEBQEBD@Z 0054 ??_7invalid_argument@std@@6B@ 0060 _TI3?AVinvalid_argument@std@@ 006a _CxxThrowException 009a ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 8B DA 48 8B F9 48 8D 91 10 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 DB 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4F 18 48 8B 01 48 8B D3 FF 10 48 8B 03 48 8B D7 48 8B CB FF 50 20 48 8B 07 48 8B D3 48 8B CF FF 50 50 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_118_1087_1 {
	meta:
		name = "?link_target_notification@?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
		size = 30
	strings:
		$1 = { 48 83 EC 28 48 83 B9 08 02 00 00 00 74 0B 48 8B 01 33 D2 FF 90 98 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_1088_1 {
	meta:
		name = "?link_target_notification@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 36
		altNames = "?link_target_notification@?$single_assignment@_K@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B CA 48 8B 91 18 02 00 00 48 85 D2 74 0C 49 8B 01 4C 8B C1 49 8B C9 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_1090_1 {
	meta:
		name = "?link_target_notification@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 27
		altNames = "?link_target_notification@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z ?link_target_notification@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 79 08 00 75 0B 48 8B 01 33 D2 FF 90 98 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_1095_1 {
	meta:
		name = "?process_incoming_message@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@MEAAXXZ"
		size = 59
		refs = "0012 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 001a ?_Process_message_helper@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAJXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B D1 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B D3 B9 02 00 00 00 44 8B C0 E8 ?? ?? ?? ?? F0 FF 8B 84 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_1096_1 {
	meta:
		name = "?process_incoming_message@?$ordered_message_processor@_K@Concurrency@@MEAAXXZ"
		size = 59
		refs = "0012 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 001a ?_Process_message_helper@?$ordered_message_processor@_K@Concurrency@@AEAAJXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B D1 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B D3 B9 02 00 00 00 44 8B C0 E8 ?? ?? ?? ?? F0 FF 8B 84 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_1097_1 {
	meta:
		name = "?process_input_messages@?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 57
		refs = "0034 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 89 A8 01 00 00 48 8B DA 48 85 C9 74 1E 48 8B 01 48 83 C2 10 FF 50 10 48 8B 03 BA 01 00 00 00 48 8B CB 48 83 C4 20 5B 48 FF 60 08 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1107_1 {
	meta:
		name = "?propagate@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 252
		refs = "0087 ??_C@_09KIGCIIBF@_PMessage?$AA@ 009b ??0exception@std@@QEAA@AEBQEBD@Z 00a2 ??_7invalid_argument@std@@6B@ 00a9 _TI3?AVinvalid_argument@std@@ 00b8 _CxxThrowException 00c0 ??_C@_08KILLDFKG@_PSource?$AA@ 00f7 ?_Xbad_function_call@std@@YAXXZ"
		altNames = "?propagate@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 50 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 67 4D 85 C0 0F 84 97 00 00 00 8A 81 A0 00 00 00 84 C0 74 07 B8 01 00 00 00 EB 3D 48 8B 81 98 00 00 00 48 85 C0 74 1B 48 8B 48 18 48 85 C9 0F 84 A6 00 00 00 48 8B 01 48 83 C2 10 FF 50 10 84 C0 74 D2 48 8D 8B 90 FE FF FF 4C 8B C6 48 8B D7 48 8B 01 FF 90 B0 00 00 00 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 20 48 89 44 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 38 48 89 44 24 78 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1109_1 {
	meta:
		name = "?propagate@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 252
		refs = "0087 ??_C@_09KIGCIIBF@_PMessage?$AA@ 009b ??0exception@std@@QEAA@AEBQEBD@Z 00a2 ??_7invalid_argument@std@@6B@ 00a9 _TI3?AVinvalid_argument@std@@ 00b8 _CxxThrowException 00c0 ??_C@_08KILLDFKG@_PSource?$AA@ 00f7 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 50 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 67 4D 85 C0 0F 84 97 00 00 00 8A 81 A0 00 00 00 84 C0 74 07 B8 01 00 00 00 EB 3D 48 8B 81 98 00 00 00 48 85 C0 74 1B 48 8B 48 18 48 85 C9 0F 84 A6 00 00 00 48 8B 01 48 83 C2 10 FF 50 10 84 C0 74 D2 48 8D 8B A8 FE FF FF 4C 8B C6 48 8B D7 48 8B 01 FF 90 B0 00 00 00 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 20 48 89 44 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 38 48 89 44 24 78 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1110_1 {
	meta:
		name = "?propagate@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 244
		refs = "007f ??_C@_09KIGCIIBF@_PMessage?$AA@ 0093 ??0exception@std@@QEAA@AEBQEBD@Z 009a ??_7invalid_argument@std@@6B@ 00a1 _TI3?AVinvalid_argument@std@@ 00b0 _CxxThrowException 00b8 ??_C@_08KILLDFKG@_PSource?$AA@ 00ef ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 40 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 5F 4D 85 C0 0F 84 8F 00 00 00 80 B9 A0 00 00 00 00 74 07 B8 01 00 00 00 EB 36 48 8B 81 98 00 00 00 48 85 C0 74 1B 48 8B 48 18 48 85 C9 0F 84 9F 00 00 00 48 8B 01 48 83 C2 10 FF 50 10 84 C0 74 D2 48 8B 03 4C 8B C6 48 8B D7 48 8B CB FF 50 38 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1111_1 {
	meta:
		name = "?propagate@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@0@Z"
		size = 289
		refs = "0088 ?set@event@Concurrency@@QEAAXXZ 00a6 ??_C@_09KIGCIIBF@_PMessage?$AA@ 00ba ??0exception@std@@QEAA@AEBQEBD@Z 00c1 ??_7invalid_argument@std@@6B@ 00c8 _TI3?AVinvalid_argument@std@@ 00d7 _CxxThrowException 00df ??_C@_08KILLDFKG@_PSource?$AA@ 011c ?_Xbad_function_call@std@@YAXXZ"
		altNames = "?propagate@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@UEAA?AW4message_status@2@PEAV?$message@_K@2@0@Z"
	strings:
		$1 = { 48 89 5C 24 08 56 57 41 56 48 83 EC 50 4D 8B F0 48 8B F2 48 8B D9 48 85 D2 0F 84 84 00 00 00 4D 85 C0 0F 84 B4 00 00 00 8B 41 08 BF 02 00 00 00 3B C7 75 07 B8 01 00 00 00 EB 5A 48 8B 41 70 48 85 C0 74 1B 48 8B 48 18 48 85 C9 0F 84 CA 00 00 00 48 8B 01 48 83 C2 10 FF 50 10 84 C0 74 D5 49 8B 06 8B 56 08 4C 8B C3 49 8B CE FF 50 20 48 89 43 18 48 8B 43 18 48 85 C0 74 15 87 7B 08 83 FF 01 75 09 48 8D 4B 28 E8 ?? ?? ?? ?? 33 C0 EB 05 B8 03 00 00 00 48 8B 5C 24 70 48 83 C4 50 41 5E 5F 5E C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 20 48 89 44 24 78 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 88 00 00 00 48 8D 4C 24 38 48 89 84 24 88 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1113_1 {
	meta:
		name = "?propagate_message@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 178
		refs = "0036 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0056 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 48 8B EA 48 8B F9 48 8D 91 20 02 00 00 48 8D 48 C8 4D 8B F0 BB 02 00 00 00 40 32 F6 E8 ?? ?? ?? ?? 48 83 BF 18 02 00 00 00 74 0C 8B 45 08 40 B6 01 89 87 98 02 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 40 84 F6 75 36 49 8B 06 8B 55 08 4C 8D 87 58 01 00 00 49 8B CE FF 50 20 48 89 87 18 02 00 00 48 85 C0 74 12 48 8B 07 33 D2 48 8B CF 33 DB FF 90 A8 00 00 00 EB 05 BB 03 00 00 00 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 8B C3 48 8B 5C 24 60 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_118_1114_1 {
	meta:
		name = "?propagate_message@?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 73
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B 00 8B 52 08 4D 8B C8 48 8B F9 4C 8B C1 49 8B C9 33 DB FF 50 20 48 8B D0 48 85 C0 74 0E 48 8D 8F A8 00 00 00 48 8B 01 FF 10 EB 05 BB 03 00 00 00 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1115_1 {
	meta:
		name = "?propagate_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 89
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 4D 8B C8 48 8B F9 4C 8D 81 70 01 00 00 48 85 C9 75 03 44 8B C3 49 8B 01 8B 52 08 49 8B C9 FF 50 20 48 8B D0 48 85 C0 74 12 F0 FF 40 20 48 8B 07 48 8B CF FF 90 A8 00 00 00 EB 05 BB 03 00 00 00 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1116_1 {
	meta:
		name = "?propagate_message@?$single_assignment@_K@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 186
		refs = "0044 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0089 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 4D 8B F0 48 8B F2 48 8B D9 33 FF 8A 81 58 02 00 00 84 C0 74 05 8D 47 01 EB 6C 48 8D 91 20 02 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8A 83 58 02 00 00 84 C0 74 07 BF 01 00 00 00 EB 29 4C 8D 83 70 01 00 00 49 8B 06 8B 56 08 49 8B CE FF 50 20 48 8B F0 48 85 C0 74 09 C6 83 58 02 00 00 01 EB 05 BF 03 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 85 FF 75 10 4C 8B 03 48 8B D6 48 8B CB 41 FF 90 A8 00 00 00 8B C7 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_118_1121_1 {
	meta:
		name = "?propagate_to_any_targets@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 266
		refs = "0026 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0049 ?Alloc@Concurrency@@YAPEAX_K@Z 0055 ??_7_Runtime_object@details@Concurrency@@6B@ 0065 s_RuntimeObjectIdentity 006f ??_7?$message@_K@Concurrency@@6B@ 00f8 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 70 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 8B D9 48 8D 91 58 02 00 00 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 83 BB 08 02 00 00 00 75 5F 48 8B 83 18 02 00 00 48 89 83 00 02 00 00 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 3B 48 8D 0D ?? ?? ?? ?? 48 89 08 B9 02 00 00 00 F0 0F C1 0D ?? ?? ?? ?? 89 48 08 48 8D 0D ?? ?? ?? ?? 48 89 08 48 8B 8B 10 02 00 00 48 89 48 10 48 83 60 18 00 C7 40 20 00 00 00 00 48 89 83 08 02 00 00 48 8D 4B 18 48 8B 01 48 8D 55 B8 FF 50 20 EB 38 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 89 45 C8 4C 8B 08 4C 8B C3 48 8B 93 08 02 00 00 48 8B C8 41 FF 51 08 48 FF 45 C0 48 8B 4D B8 48 8B 01 48 8D 55 C0 FF 50 28 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 85 C0 48 89 45 C8 75 B1 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_118_1123_1 {
	meta:
		name = "?propagate_to_any_targets@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 215
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 40 48 8B DA 48 8B F9 F0 FF 42 20 48 8B 89 18 02 00 00 48 85 C9 74 1D F0 FF 49 20 75 17 48 8B 8F 18 02 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8D 4F 18 48 89 9F 18 02 00 00 48 8D 55 E0 48 8B 01 C6 87 28 02 00 00 01 FF 50 20 EB 34 48 8B 4D E0 48 8B 55 E8 48 8B 01 FF 50 30 4C 8B C7 48 8B D3 48 89 45 F0 4C 8B 08 48 8B C8 41 FF 51 08 48 8B 4D E0 48 FF 45 E8 48 8B 01 48 8D 55 E8 FF 50 28 48 8B 4D E0 48 8B 55 E8 48 8B 01 FF 50 30 48 89 45 F0 48 85 C0 75 B5 F0 FF 4B 20 75 13 48 85 DB 74 0E 48 8B 03 BA 01 00 00 00 48 8B CB FF 50 08 48 8B 5C 24 50 48 8B 7C 24 58 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_118_1124_1 {
	meta:
		name = "?propagate_to_any_targets@?$single_assignment@_K@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 138
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 40 48 89 91 18 02 00 00 48 8B D9 48 83 C1 18 48 8B 01 48 8B FA 48 8D 55 E0 FF 50 20 EB 34 48 8B 4D E0 48 8B 55 E8 48 8B 01 FF 50 30 4C 8B C3 48 8B D7 48 89 45 F0 4C 8B 08 48 8B C8 41 FF 51 08 48 8B 4D E0 48 FF 45 E8 48 8B 01 48 8D 55 E8 FF 50 28 48 8B 4D E0 48 8B 55 E8 48 8B 01 FF 50 30 48 89 45 F0 48 85 C0 75 B5 48 8B 5C 24 50 48 8B 7C 24 58 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_118_1130_1 {
	meta:
		name = "?register_filter@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXAEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z"
		size = 129
		refs = "002c ??2@YAPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 50 48 8B FA 48 8B F1 48 83 7A 18 00 74 4B B9 20 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 48 48 85 C0 74 2B 48 83 60 18 00 48 8B 4F 18 48 85 C9 75 06 48 21 48 18 EB 15 48 8B 01 48 3B CF 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 EB 02 33 DB 48 89 9E F0 01 00 00 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_118_1137_1 {
	meta:
		name = "?release@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXHPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 202
		refs = "004f ?set@event@Concurrency@@QEAAXXZ 0056 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0070 ??0exception@std@@QEAA@AEBQEBD@Z 0077 ??_7invalid_argument@std@@6B@ 007e _TI3?AVinvalid_argument@std@@ 008d _CxxThrowException 0098 ??0bad_target@Concurrency@@QEAA@XZ 009f _TI2?AVbad_target@Concurrency@@ 00b4 ??0message_not_found@Concurrency@@QEAA@XZ 00bb _TI2?AVmessage_not_found@Concurrency@@"
		altNames = "?release@?$_SyncOriginator@_K@details@Concurrency@@UEAAXHPEAV?$ITarget@_K@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 70 8B FA 48 8B D9 4D 85 C0 74 3F 48 81 C1 A0 00 00 00 49 8B D0 48 8B 01 FF 50 10 84 C0 74 6A 48 8B 43 08 48 85 C0 74 7D 39 78 08 75 78 48 8D 4B 10 C7 43 58 01 00 00 00 48 8B 9C 24 80 00 00 00 48 83 C4 70 5F E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 90 00 00 00 48 8D 4C 24 20 48 89 84 24 90 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1139_1 {
	meta:
		name = "?release@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXHPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 208
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0039 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0053 ??0exception@std@@QEAA@AEBQEBD@Z 005a ??_7invalid_argument@std@@6B@ 0066 _TI3?AVinvalid_argument@std@@ 0070 _CxxThrowException 0081 ??0bad_target@Concurrency@@QEAA@XZ 0088 _TI2?AVbad_target@Concurrency@@ 00ba ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?release@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXHPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 8B F2 48 8B D9 48 8D 91 28 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 FF 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 3B 7B 08 74 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 03 8B D6 48 8B CB FF 50 78 48 83 63 08 00 48 8B 03 48 8B CB FF 90 80 00 00 00 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_1143_1 {
	meta:
		name = "?release@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXHPEAV?$ITarget@_K@2@@Z"
		size = 208
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0039 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0053 ??0exception@std@@QEAA@AEBQEBD@Z 005a ??_7invalid_argument@std@@6B@ 0066 _TI3?AVinvalid_argument@std@@ 0070 _CxxThrowException 0081 ??0bad_target@Concurrency@@QEAA@XZ 0088 _TI2?AVbad_target@Concurrency@@ 00ba ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 8B F2 48 8B D9 48 8D 91 10 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 FF 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 3B 7B 08 74 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 03 8B D6 48 8B CB FF 50 78 48 83 63 08 00 48 8B 03 48 8B CB FF 90 80 00 00 00 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_1145_1 {
	meta:
		name = "?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
		size = 219
		refs = "003d ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0098 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00c1 ??_V@YAXPEAX@Z"
		altNames = "?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 8B D9 48 8B A9 88 00 00 00 48 83 60 B0 00 48 83 60 B8 00 48 83 60 C0 00 48 8B D1 48 8D 48 C8 E8 ?? ?? ?? ?? FF 4B 40 8B 43 40 75 3F 48 83 7B 50 00 76 38 48 8D 4B 48 48 8D 44 24 28 48 3B C8 74 2A 48 8B 19 48 8B 79 08 48 8B 41 10 48 83 21 00 48 83 61 08 00 48 83 61 10 00 48 89 5C 24 28 48 89 7C 24 30 48 89 44 24 38 EB 0A 48 8B 7C 24 30 48 8B 5C 24 28 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 F6 48 85 FF 74 15 48 8B 0C F3 48 8B 01 48 8B D5 FF 50 48 48 FF C6 48 3B F7 72 EB 48 85 DB 74 08 48 8B CB E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_1150_1 {
	meta:
		name = "?release_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAXH@Z"
		size = 92
		refs = "0046 ??0message_not_found@Concurrency@@QEAA@XZ 004d _TI2?AVmessage_not_found@Concurrency@@ 0057 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8B 89 20 02 00 00 3B 51 08 75 2B F0 FF 49 20 75 17 48 8B 8B 20 02 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 83 A3 20 02 00 00 00 48 83 C4 40 5B C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1151_1 {
	meta:
		name = "?release_message@?$single_assignment@_K@Concurrency@@MEAAXH@Z"
		size = 54
		refs = "0020 ??0message_not_found@Concurrency@@QEAA@XZ 0027 _TI2?AVmessage_not_found@Concurrency@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B 81 18 02 00 00 48 85 C0 74 0A 39 50 08 75 05 48 83 C4 48 C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1156_1 {
	meta:
		name = "?release_ref@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 90
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0044 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?release_ref@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B FA 48 8B D9 48 85 D2 74 29 48 8D 91 28 01 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B D7 48 8B CB FF 50 58 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? F0 FF 8B 68 01 00 00 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_1160_1 {
	meta:
		name = "?release_ref@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 90
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0044 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B FA 48 8B D9 48 85 D2 74 29 48 8D 91 10 01 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B D7 48 8B CB FF 50 58 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? F0 FF 8B 50 01 00 00 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_118_1162_1 {
	meta:
		name = "?remove@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 74
		altNames = "?remove@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ISource@_K@2@@Z ?remove@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z ?remove@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 45 33 D2 48 8B C2 48 85 D2 75 01 C3 4D 8B C2 4C 39 51 18 76 18 4C 8B 49 10 BA 01 00 00 00 4B 39 04 C1 74 0F 4C 03 C2 4C 3B 41 18 72 F1 41 8A D2 8A C2 C3 4F 89 14 C1 48 8B 41 08 48 2B C2 48 83 F8 FD 77 EC 4C 89 51 08 EB E6 }
	condition:
		$1
}

rule file_118_1166_1 {
	meta:
		name = "?remove@?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 22
		altNames = "?remove@?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 85 D2 74 0E 48 39 51 08 75 08 48 83 61 08 00 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_118_1168_1 {
	meta:
		name = "?remove@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 218
		refs = "0045 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0064 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 008d ?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 8B C4 41 56 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B D9 33 FF 4C 8B B1 88 00 00 00 48 85 D2 75 07 32 C0 E9 83 00 00 00 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4B 60 48 8B 01 48 8B D6 FF 50 08 40 8A E8 84 C0 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB CB 8B 43 40 85 C0 75 05 48 8B FE EB 2B 48 8B 53 50 48 3B 53 58 72 11 48 8D 14 55 02 00 00 00 48 8D 4B 48 E8 ?? ?? ?? ?? 4C 8B 43 50 48 8B 43 48 4A 89 34 C0 48 FF 43 50 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 85 FF 74 0C 48 8B 07 49 8B D6 48 8B CF FF 50 48 40 8A C5 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_118_1170_1 {
	meta:
		name = "?remove@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA_NPEAV?$ISource@_K@2@@Z"
		size = 218
		refs = "0045 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0064 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 008d ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 8B C4 41 56 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B D9 33 FF 4C 8B B1 88 00 00 00 48 85 D2 75 07 32 C0 E9 83 00 00 00 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4B 60 48 8B 01 48 8B D6 FF 50 08 40 8A E8 84 C0 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB CB 8B 43 40 85 C0 75 05 48 8B FE EB 2B 48 8B 53 50 48 3B 53 58 72 11 48 8D 14 55 02 00 00 00 48 8D 4B 48 E8 ?? ?? ?? ?? 4C 8B 43 50 48 8B 43 48 4A 89 34 C0 48 FF 43 50 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 85 FF 74 0C 48 8B 07 49 8B D6 48 8B CF FF 50 48 40 8A C5 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_118_1172_1 {
	meta:
		name = "?remove_network_links@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXXZ"
		size = 93
		refs = "002b ?_UnderlyingYield@details@Concurrency@@YAXXZ 003c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?remove_network_links@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 C6 81 10 02 00 00 01 48 83 C1 40 48 8B 01 FF 50 10 48 8B 03 48 8B CB FF 50 18 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 68 01 00 00 85 C0 75 EC 48 8D 8B 70 01 00 00 48 8B 01 48 83 C4 40 5B 48 FF 60 30 }
	condition:
		$1
}

rule file_118_1174_1 {
	meta:
		name = "?remove_network_links@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 93
		refs = "002b ?_UnderlyingYield@details@Concurrency@@YAXXZ 003c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 C6 81 F8 01 00 00 01 48 83 C1 28 48 8B 01 FF 50 10 48 8B 03 48 8B CB FF 50 18 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 85 C0 75 EC 48 8D 8B 58 01 00 00 48 8B 01 48 83 C4 40 5B 48 FF 60 30 }
	condition:
		$1
}

rule file_118_1176_1 {
	meta:
		name = "?remove_sources@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 44
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 81 A0 00 00 00 01 48 81 C1 A8 00 00 00 48 8B 01 FF 50 10 48 8B 03 48 8B CB 48 83 C4 20 5B 48 FF 60 30 }
	condition:
		$1
}

rule file_118_1177_1 {
	meta:
		name = "?remove_targets@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXXZ"
		size = 73
		refs = "0024 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0035 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?remove_targets@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 83 C1 40 48 8B 01 FF 50 10 48 8B 03 48 8B CB FF 50 18 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 68 01 00 00 85 C0 75 EC 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_118_1179_1 {
	meta:
		name = "?remove_targets@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 73
		refs = "0024 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0035 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 83 C1 28 48 8B 01 FF 50 10 48 8B 03 48 8B CB FF 50 18 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0A 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 85 C0 75 EC 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_118_1182_1 {
	meta:
		name = "?reserve@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAA_NHPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 118
		refs = "0040 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0054 ??0exception@std@@QEAA@AEBQEBD@Z 005b ??_7invalid_argument@std@@6B@ 0062 _TI3?AVinvalid_argument@std@@ 0071 _CxxThrowException"
		altNames = "?reserve@?$_SyncOriginator@_K@details@Concurrency@@UEAA_NHPEAV?$ITarget@_K@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B FA 48 8B D9 4D 85 C0 74 29 48 81 C1 A0 00 00 00 49 8B D0 48 8B 01 FF 50 10 84 C0 74 0A 48 8B 43 08 39 78 08 0F 94 C0 48 8B 5C 24 50 48 83 C4 40 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 48 89 44 24 60 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1184_1 {
	meta:
		name = "?reserve@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA_NHPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 190
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0039 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0053 ??0exception@std@@QEAA@AEBQEBD@Z 005a ??_7invalid_argument@std@@6B@ 0066 _TI3?AVinvalid_argument@std@@ 0070 _CxxThrowException 0082 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?reserve@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA_NHPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F0 8B FA 48 8B D9 48 8D 91 28 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 F6 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 83 7B 08 00 74 0E 48 8D 4C 24 40 E8 ?? ?? ?? ?? 32 C0 EB 22 48 8B 03 8B D7 48 8B CB FF 50 68 84 C0 74 E3 48 89 73 08 89 7B 10 48 8D 4C 24 40 E8 ?? ?? ?? ?? B0 01 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_1188_1 {
	meta:
		name = "?reserve@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA_NHPEAV?$ITarget@_K@2@@Z"
		size = 190
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0039 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0053 ??0exception@std@@QEAA@AEBQEBD@Z 005a ??_7invalid_argument@std@@6B@ 0066 _TI3?AVinvalid_argument@std@@ 0070 _CxxThrowException 0082 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F0 8B FA 48 8B D9 48 8D 91 10 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 F6 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 83 7B 08 00 74 0E 48 8D 4C 24 40 E8 ?? ?? ?? ?? 32 C0 EB 22 48 8B 03 8B D7 48 8B CB FF 50 68 84 C0 74 E3 48 89 73 08 89 7B 10 48 8D 4C 24 40 E8 ?? ?? ?? ?? B0 01 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_118_1191_1 {
	meta:
		name = "?reserve_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAA_NH@Z"
		size = 36
	strings:
		$1 = { 4C 8B 81 18 02 00 00 4D 85 C0 74 15 41 39 50 08 75 0F 4C 89 81 20 02 00 00 F0 41 FF 40 20 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_118_1192_1 {
	meta:
		name = "?reserve_message@?$single_assignment@_K@Concurrency@@MEAA_NH@Z"
		size = 56
		refs = "0022 ??0message_not_found@Concurrency@@QEAA@XZ 0029 _TI2?AVmessage_not_found@Concurrency@@ 0033 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B 81 18 02 00 00 48 85 C0 74 07 39 50 08 75 07 B0 01 48 83 C4 48 C3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1196_1 {
	meta:
		name = "?send@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 252
		refs = "0087 ??_C@_09KIGCIIBF@_PMessage?$AA@ 009b ??0exception@std@@QEAA@AEBQEBD@Z 00a2 ??_7invalid_argument@std@@6B@ 00a9 _TI3?AVinvalid_argument@std@@ 00b8 _CxxThrowException 00c0 ??_C@_08KILLDFKG@_PSource?$AA@ 00f7 ?_Xbad_function_call@std@@YAXXZ"
		altNames = "?send@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 50 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 67 4D 85 C0 0F 84 97 00 00 00 8A 81 A0 00 00 00 84 C0 74 07 B8 01 00 00 00 EB 3D 48 8B 81 98 00 00 00 48 85 C0 74 1B 48 8B 48 18 48 85 C9 0F 84 A6 00 00 00 48 8B 01 48 83 C2 10 FF 50 10 84 C0 74 D2 48 8D 8B 90 FE FF FF 4C 8B C6 48 8B D7 48 8B 01 FF 90 B8 00 00 00 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 20 48 89 44 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 38 48 89 44 24 78 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1198_1 {
	meta:
		name = "?send@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 252
		refs = "0087 ??_C@_09KIGCIIBF@_PMessage?$AA@ 009b ??0exception@std@@QEAA@AEBQEBD@Z 00a2 ??_7invalid_argument@std@@6B@ 00a9 _TI3?AVinvalid_argument@std@@ 00b8 _CxxThrowException 00c0 ??_C@_08KILLDFKG@_PSource?$AA@ 00f7 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 50 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 67 4D 85 C0 0F 84 97 00 00 00 8A 81 A0 00 00 00 84 C0 74 07 B8 01 00 00 00 EB 3D 48 8B 81 98 00 00 00 48 85 C0 74 1B 48 8B 48 18 48 85 C9 0F 84 A6 00 00 00 48 8B 01 48 83 C2 10 FF 50 10 84 C0 74 D2 48 8D 8B A8 FE FF FF 4C 8B C6 48 8B D7 48 8B 01 FF 90 B8 00 00 00 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 20 48 89 44 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 38 48 89 44 24 78 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 48 89 44 24 38 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1199_1 {
	meta:
		name = "?send@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 244
		refs = "007f ??_C@_09KIGCIIBF@_PMessage?$AA@ 0093 ??0exception@std@@QEAA@AEBQEBD@Z 009a ??_7invalid_argument@std@@6B@ 00a1 _TI3?AVinvalid_argument@std@@ 00b0 _CxxThrowException 00b8 ??_C@_08KILLDFKG@_PSource?$AA@ 00ef ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 40 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 5F 4D 85 C0 0F 84 8F 00 00 00 80 B9 A0 00 00 00 00 74 07 B8 01 00 00 00 EB 36 48 8B 81 98 00 00 00 48 85 C0 74 1B 48 8B 48 18 48 85 C9 0F 84 9F 00 00 00 48 8B 01 48 83 C2 10 FF 50 10 84 C0 74 D2 48 8B 03 4C 8B C6 48 8B D7 48 8B CB FF 50 40 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1200_1 {
	meta:
		name = "?send@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@0@Z"
		size = 138
		refs = "001b ??_C@_09KIGCIIBF@_PMessage?$AA@ 002f ??0exception@std@@QEAA@AEBQEBD@Z 0036 ??_7invalid_argument@std@@6B@ 003d _TI3?AVinvalid_argument@std@@ 004c _CxxThrowException 0054 ??_C@_08KILLDFKG@_PSource?$AA@"
		altNames = "?send@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@UEAA?AW4message_status@2@PEAV?$message@_K@2@0@Z"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 74 0F 4D 85 C0 74 43 B8 01 00 00 00 48 83 C4 48 C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1202_1 {
	meta:
		name = "?send_message@?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 74
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B 00 8B 52 08 4D 8B C8 48 8B F9 4C 8B C1 49 8B C9 33 DB FF 50 20 48 8B D0 48 85 C0 74 0F 48 8D 8F A8 00 00 00 48 8B 01 FF 50 08 EB 05 BB 03 00 00 00 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1203_1 {
	meta:
		name = "?send_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 81
	strings:
		$1 = { 40 53 48 83 EC 20 4D 8B C8 48 8B D9 48 85 C9 74 09 4C 8D 81 70 01 00 00 EB 03 45 33 C0 49 8B 01 8B 52 08 49 8B C9 FF 50 20 48 85 C0 74 18 F0 FF 40 20 4C 8B 03 48 8B D0 48 8B CB 41 FF 90 A0 00 00 00 33 C0 EB 05 B8 03 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_118_1207_1 {
	meta:
		name = "?send_message@?$single_assignment@_K@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 186
		refs = "0044 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0089 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 4D 8B F0 48 8B F2 48 8B D9 33 FF 8A 81 58 02 00 00 84 C0 74 05 8D 47 01 EB 6C 48 8D 91 20 02 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8A 83 58 02 00 00 84 C0 74 07 BF 01 00 00 00 EB 29 4C 8D 83 70 01 00 00 49 8B 06 8B 56 08 49 8B CE FF 50 20 48 8B F0 48 85 C0 74 09 C6 83 58 02 00 00 01 EB 05 BF 03 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 85 FF 75 10 4C 8B 03 48 8B D6 48 8B CB 41 FF 90 A0 00 00 00 8B C7 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_118_1212_1 {
	meta:
		name = "?start@agent@Concurrency@@QEAA_NXZ"
		size = 204
		refs = "0020 ??$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z 004b ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 006c ??$_send@W4agent_status@Concurrency@@@_Originator@details@Concurrency@@SA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z 0082 ?_Agent_task_wrapper@agent@Concurrency@@CAXPEAX@Z 00b6 ?ScheduleTask@CurrentScheduler@Concurrency@@SAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 79 08 48 8B D9 45 33 C0 48 8B CF 83 CA FF E8 ?? ?? ?? ?? 33 F6 85 C0 74 07 32 C0 E9 8B 00 00 00 B8 01 00 00 00 F0 0F B1 B3 38 02 00 00 85 C0 74 E8 48 8B D3 B9 04 00 00 00 E8 ?? ?? ?? ?? C7 44 24 30 01 00 00 00 48 8D 8B 78 01 00 00 48 85 FF 75 03 48 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 8B 48 02 00 00 48 85 C9 74 11 48 8B 01 48 8D 15 ?? ?? ?? ?? 4C 8B C3 FF 10 EB 2D 48 8B 8B 40 02 00 00 48 85 C9 74 12 48 8B 01 48 8D 15 ?? ?? ?? ?? 4C 8B C3 FF 50 58 EB 0F 48 8D 0D ?? ?? ?? ?? 48 8B D3 E8 ?? ?? ?? ?? B0 01 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1220_1 {
	meta:
		name = "?sync_send@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 58
		refs = "0013 ?_Sync_send_helper@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z 001a ??_C@_0DA@EMGPPPMG@sync_send?5called?5without?5registe@ 0024 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 002b _TI2?AVinvalid_operation@Concurrency@@ 0035 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 83 B9 A0 00 00 00 00 74 09 48 83 C4 48 E9 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1221_1 {
	meta:
		name = "?sync_send@?$ordered_message_processor@_K@Concurrency@@UEAAXPEAV?$message@_K@2@@Z"
		size = 58
		refs = "0013 ?_Sync_send_helper@?$ordered_message_processor@_K@Concurrency@@AEAAXPEAV?$message@_K@2@@Z 001a ??_C@_0DA@EMGPPPMG@sync_send?5called?5without?5registe@ 0024 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 002b _TI2?AVinvalid_operation@Concurrency@@ 0035 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 83 B9 A0 00 00 00 00 74 09 48 83 C4 48 E9 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_118_1228_1 {
	meta:
		name = "?unlink_source@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 55
		refs = "001d ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0033 ?remove@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 4C 8D 81 90 FE FF FF 48 8B D9 B9 06 00 00 00 48 8B FA E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B D7 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1229_1 {
	meta:
		name = "?unlink_source@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@_K@2@@Z"
		size = 55
		refs = "001d ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0033 ?remove@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA_NPEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 4C 8D 81 90 FE FF FF 48 8B D9 B9 06 00 00 00 48 8B FA E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B D7 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1230_1 {
	meta:
		name = "?unlink_source@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 55
		refs = "001d ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 0033 ?remove@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 4C 8D 81 A8 FE FF FF 48 8B D9 B9 06 00 00 00 48 8B FA E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B D7 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1231_1 {
	meta:
		name = "?unlink_source@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@_K@2@@Z"
		size = 51
		refs = "0019 ?_Trace_agents@Concurrency@@YAXW4Agents_EventType@1@_JZZ 002f ?remove@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA_NPEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 4C 8B C1 B9 06 00 00 00 48 8B FA E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B D7 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_1232_1 {
	meta:
		name = "?unlink_source@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@EEAAX0@Z"
		size = 37
		altNames = "?unlink_source@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@EEAAX0@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B C2 33 D2 49 8B C0 F0 48 0F B1 51 10 75 0C 49 8B 00 48 8B D1 49 8B C8 FF 50 48 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_1234_1 {
	meta:
		name = "?unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXXZ"
		size = 174
		refs = "001c ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ 007e ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0095 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 00a4 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 08 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8B 44 24 50 48 8B 4C 24 30 48 3B 44 24 38 48 8D 54 24 58 73 04 48 8D 14 C1 48 83 3A 00 74 3A 48 3B 44 24 38 72 07 48 8D 4C 24 58 EB 04 48 8D 0C C1 48 8B 09 48 8D 83 90 FE FF FF 48 F7 D8 48 1B D2 48 23 D3 48 8B 01 FF 50 10 48 8B 44 24 50 48 FF C0 48 89 44 24 50 EB AB 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8B 44 24 48 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_118_1237_1 {
	meta:
		name = "?unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ"
		size = 174
		refs = "001c ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@2@XZ 007e ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0095 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 00a4 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 08 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8B 44 24 50 48 8B 4C 24 30 48 3B 44 24 38 48 8D 54 24 58 73 04 48 8D 14 C1 48 83 3A 00 74 3A 48 3B 44 24 38 72 07 48 8D 4C 24 58 EB 04 48 8D 0C C1 48 8B 09 48 8D 83 90 FE FF FF 48 F7 D8 48 1B D2 48 23 D3 48 8B 01 FF 50 10 48 8B 44 24 50 48 FF C0 48 89 44 24 50 EB AB 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8B 44 24 48 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_118_1240_1 {
	meta:
		name = "?unlink_sources@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ"
		size = 174
		refs = "001c ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ 007e ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0095 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 00a4 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 08 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8B 44 24 50 48 8B 4C 24 30 48 3B 44 24 38 48 8D 54 24 58 73 04 48 8D 14 C1 48 83 3A 00 74 3A 48 3B 44 24 38 72 07 48 8D 4C 24 58 EB 04 48 8D 0C C1 48 8B 09 48 8D 83 A8 FE FF FF 48 F7 D8 48 1B D2 48 23 D3 48 8B 01 FF 50 10 48 8B 44 24 50 48 FF C0 48 89 44 24 50 EB AB 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8B 44 24 48 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_118_1243_1 {
	meta:
		name = "?unlink_sources@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ"
		size = 161
		refs = "001c ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@2@XZ 0071 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0088 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0097 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 08 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8B 44 24 50 48 8B 4C 24 30 48 3B 44 24 38 48 8D 54 24 58 73 04 48 8D 14 C1 48 83 3A 00 74 2D 48 3B 44 24 38 72 07 48 8D 4C 24 58 EB 04 48 8D 0C C1 48 8B 09 48 8B 01 48 8B D3 FF 50 10 48 8B 44 24 50 48 FF C0 48 89 44 24 50 EB B8 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8B 44 24 48 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_118_1246_1 {
	meta:
		name = "?unlink_sources@_Blocking_recipient@?1???$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z@EEAAXXZ"
		size = 59
		altNames = "?unlink_sources@_Blocking_recipient@?1???$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z@EEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 48 87 59 10 48 85 DB 74 18 48 8B 03 48 8B D1 48 8B CB FF 50 10 48 8B 03 48 8B D7 48 8B CB FF 50 48 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_118_1250_1 {
	meta:
		name = "?unlink_target@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 173
		refs = "0022 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0033 ??0exception@std@@QEAA@AEBQEBD@Z 003a ??_7invalid_argument@std@@6B@ 0046 _TI3?AVinvalid_argument@std@@ 0050 _CxxThrowException 005f ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0090 ?set@event@Concurrency@@QEAAXXZ 009b ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?unlink_target@?$_SyncOriginator@_K@details@Concurrency@@UEAAXPEAV?$ITarget@_K@3@@Z"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 08 48 8B FA 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 89 43 10 49 8D 53 10 49 8D 4B B0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 51 60 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8D 8B A0 00 00 00 48 8B 01 48 8B D7 FF 50 08 84 C0 74 1D 48 8B 07 48 8B D3 48 8B CF FF 50 28 C7 43 58 01 00 00 00 48 8D 4B 10 E8 ?? ?? ?? ?? 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_118_1254_1 {
	meta:
		name = "?unlink_target@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 165
		refs = "0026 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0033 ??_C@_08NFKFEOEH@_PTarget?$AA@ 004d ??0exception@std@@QEAA@AEBQEBD@Z 0054 ??_7invalid_argument@std@@6B@ 0060 _TI3?AVinvalid_argument@std@@ 006a _CxxThrowException 0093 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?unlink_target@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 8B DA 48 8B F9 48 8D 91 28 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 DB 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4F 18 48 8B 01 48 8B D3 FF 50 08 84 C0 74 0D 48 8B 03 48 8B D7 48 8B CB FF 50 28 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_118_1258_1 {
	meta:
		name = "?unlink_target@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 165
		refs = "0026 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0033 ??_C@_08NFKFEOEH@_PTarget?$AA@ 004d ??0exception@std@@QEAA@AEBQEBD@Z 0054 ??_7invalid_argument@std@@6B@ 0060 _TI3?AVinvalid_argument@std@@ 006a _CxxThrowException 0093 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 8B DA 48 8B F9 48 8D 91 10 01 00 00 48 8D 48 C8 E8 ?? ?? ?? ?? 90 48 85 DB 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8D 94 24 80 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4F 18 48 8B 01 48 8B D3 FF 50 08 84 C0 74 0D 48 8B 03 48 8B D7 48 8B CB FF 50 28 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_118_1260_1 {
	meta:
		name = "?unlink_target_notification@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 27
		altNames = "?unlink_target_notification@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z ?unlink_target_notification@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 39 51 08 75 0C 48 8B 01 4C 8B C2 8B 51 10 FF 50 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_118_1265_1 {
	meta:
		name = "?unlink_targets@?$_SyncOriginator@W4agent_status@Concurrency@@@details@Concurrency@@UEAAXXZ"
		size = 208
		refs = "002b ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 00ac ?set@event@Concurrency@@QEAAXXZ 00b6 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?unlink_targets@?$_SyncOriginator@_K@details@Concurrency@@UEAAXXZ"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 70 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 48 8B D9 48 8D 51 60 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8D B3 A0 00 00 00 48 8B 06 48 8D 55 B8 48 8B CE FF 50 20 EB 43 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 8B F8 48 89 45 C8 48 8B 06 48 8B D7 48 8B CE FF 50 08 84 C0 74 0C 48 8B 07 48 8B D3 48 8B CF FF 50 28 48 FF 45 C0 48 8B 4D B8 48 8B 01 48 8D 55 C0 FF 50 28 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 85 C0 48 89 45 C8 75 A6 C7 43 58 01 00 00 00 48 8D 4B 10 E8 ?? ?? ?? ?? 90 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_118_1269_1 {
	meta:
		name = "?unlink_targets@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXXZ"
		size = 154
		refs = "0026 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0088 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?unlink_targets@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXXZ"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 70 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 8B D9 48 8D 91 28 01 00 00 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8D 4B 18 48 8B 01 48 8D 55 B8 FF 50 20 EB 31 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 89 45 C8 4C 8B 03 48 8B D0 48 8B CB 41 FF 50 10 48 FF 45 C0 48 8B 4D B8 48 8B 01 48 8D 55 C0 FF 50 28 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 85 C0 48 89 45 C8 75 B8 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_118_1273_1 {
	meta:
		name = "?unlink_targets@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXXZ"
		size = 154
		refs = "0026 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0088 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 70 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 8B D9 48 8D 91 10 01 00 00 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8D 4B 18 48 8B 01 48 8D 55 B8 FF 50 20 EB 31 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 89 45 C8 4C 8B 03 48 8B D0 48 8B CB 41 FF 50 10 48 FF 45 C0 48 8B 4D B8 48 8B 01 48 8D 55 C0 FF 50 28 48 8B 4D B8 48 8B 01 48 8B 55 C0 FF 50 30 48 85 C0 48 89 45 C8 75 B8 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_118_1277_1 {
	meta:
		name = "?wait@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ"
		size = 157
		refs = "0021 ?_Yield@_Context@details@Concurrency@@SAXXZ 0038 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0050 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0085 ?_Internal_pop_if_present@_Concurrent_queue_base_v4@details@Concurrency@@IEAA_NPEAX@Z 0093 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?wait@?$ordered_message_processor@_K@Concurrency@@UEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 8B D9 F0 FF 81 80 00 00 00 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 8B 81 84 00 00 00 EB 10 48 8D 4C 24 28 E8 ?? ?? ?? ?? 8B 83 84 00 00 00 85 C0 75 EC 48 8D 53 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 83 A4 24 80 00 00 00 00 EB 18 48 8B 8C 24 80 00 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8D 94 24 80 00 00 00 48 8D 4B 08 E8 ?? ?? ?? ?? 84 C0 75 D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_118_1281_1 {
	meta:
		name = "?wait@agent@Concurrency@@SA?AW4agent_status@2@PEAV12@I@Z"
		size = 193
		refs = "001a __security_cookie 002d ??_C@_06GEAPNPNH@pAgent?$AA@ 003e ??0exception@std@@QEAA@AEBQEBD@Z 0045 ??_7invalid_argument@std@@6B@ 0050 _TI3?AVinvalid_argument@std@@ 0059 _CxxThrowException 0061 ??_7?$_Func_impl@U?$_Callable_obj@P6A_NAEBW4agent_status@Concurrency@@@Z$0A@@std@@V?$allocator@V?$_Func_class@_NAEBW4agent_status@Concurrency@@@std@@@2@_NAEBW4agent_status@Concurrency@@@std@@6B@ 006c ?_IsDone@Concurrency@@YA_NAEBW4agent_status@1@@Z 0085 ??$_Receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@std@@@Z 00af __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 85 C9 75 34 48 8D 05 ?? ?? ?? ?? 48 89 45 C0 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 D0 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 45 D0 48 8D 05 ?? ?? ?? ?? 48 89 45 D8 48 8D 45 D0 48 89 45 E8 48 83 C1 08 4C 8D 45 D0 E8 ?? ?? ?? ?? 8B D8 48 8B 4D E8 48 85 C9 74 11 4C 8B 01 48 8D 45 D0 48 3B C8 0F 95 C2 41 FF 50 20 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_118_1284_1 {
	meta:
		name = "?wait_for_all@agent@Concurrency@@SAX_KPEAPEAV12@PEAW4agent_status@2@I@Z"
		size = 542
		refs = "0022 __security_cookie 0046 ??_C@_07BMMBGCJN@pAgents?$AA@ 005a ??0exception@std@@QEAA@AEBQEBD@Z 0061 ??_7invalid_argument@std@@6B@ 006d _TI3?AVinvalid_argument@std@@ 0077 _CxxThrowException 00d5 ??0?$single_assignment@_K@Concurrency@@QEAA@XZ 010e ??2@YAPEAX_K@Z 011b ?_Xbad_alloc@std@@YAXXZ 0123 ??_7?$_Func_impl@U?$_Callable_obj@V<lambda_867015e279bd0c2f6bc7ffe474ae3d4e>@@$0A@@std@@V?$allocator@V?$_Func_class@XAEB_K@std@@@2@XAEB_K@std@@6B@ 014b ??0?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@QEAA@AEBV?$function@$$A6AXAEB_K@Z@std@@@Z 0175 ??0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z 0187 ??$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z 01e6 ??_V@YAXPEAX@Z 01f0 ??1?$call@_KV?$function@$$A6AXAEB_K@Z@std@@@Concurrency@@UEAA@XZ 01fd ??1?$single_assignment@_K@Concurrency@@UEAA@XZ 020c __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 56 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 C7 44 24 68 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 41 8B F1 4D 8B F0 48 8B FA 48 89 4C 24 20 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 48 8D 54 24 50 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 33 C0 48 85 C9 74 4A 48 83 3C C2 00 74 0A 48 FF C0 48 3B C1 72 F1 EB 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 40 48 8D 54 24 40 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 70 E8 ?? ?? ?? ?? CC 48 8D 8D 60 01 00 00 E8 ?? ?? ?? ?? 90 48 C7 44 24 48 00 00 00 00 48 8D 44 24 48 48 89 44 24 28 48 8D 44 24 20 48 89 44 24 30 48 8D 85 60 01 00 00 48 89 44 24 38 48 83 65 A0 00 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 89 03 0F 10 44 24 28 0F 11 43 08 F2 0F 10 4C 24 38 F2 0F 11 4B 18 48 89 5D A0 48 8D 55 88 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8B 03 48 8D 4D 88 48 3B D9 0F 95 C2 48 8B CB FF 50 20 4C 8D 4D B0 4C 8B C7 48 8B 54 24 20 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 45 33 C0 8B D6 48 8D 8D 60 01 00 00 E8 ?? ?? ?? ?? 48 8B 74 24 60 4D 85 F6 74 26 33 D2 4C 8B 44 24 20 4D 85 C0 74 1A 48 8B 04 D6 48 8B 88 00 02 00 00 8B 41 10 41 89 04 96 48 FF C2 49 3B D0 72 E6 33 DB 48 8B 7C 24 58 48 85 FF 74 1B 48 8B 0C DE 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 FF C3 48 3B DF 72 E5 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 8D 60 01 00 00 E8 ?? ?? ?? ?? 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 04 00 00 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_118_1290_1 {
	meta:
		name = "?wait_for_async_sends@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 21
	strings:
		$1 = { C6 81 A0 00 00 00 01 48 81 C1 A8 00 00 00 48 8B 01 48 FF 60 10 }
	condition:
		$1
}

rule file_118_1291_1 {
	meta:
		name = "?wait_for_one@agent@Concurrency@@SAX_KPEAPEAV12@AEAW4agent_status@2@AEA_KI@Z"
		size = 368
		refs = "0022 __security_cookie 0044 ??_C@_07BMMBGCJN@pAgents?$AA@ 0058 ??0exception@std@@QEAA@AEBQEBD@Z 005f ??_7invalid_argument@std@@6B@ 006b _TI3?AVinvalid_argument@std@@ 0075 _CxxThrowException 00d1 ??0?$single_assignment@_K@Concurrency@@QEAA@XZ 00e9 ??0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z 00fd ??$_Receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@std@@@Z 0144 ??_V@YAXPEAX@Z 014f ??1?$single_assignment@_K@Concurrency@@UEAA@XZ 015e __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 56 48 8D AC 24 40 FE FF FF 48 81 EC C0 02 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 01 00 00 4D 8B F1 49 8B F0 48 8B FA 48 8B D9 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 48 8D 54 24 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 33 C0 48 85 C9 74 4A 48 83 3C C2 00 74 0A 48 FF C0 48 3B C1 72 F1 EB 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 48 8D 54 24 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 8D 4C 24 50 E8 ?? ?? ?? ?? 90 4C 8D 8D C0 00 00 00 4C 8B C7 48 8B D3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 45 33 C0 8B 95 10 02 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 89 06 48 8B 7C 24 28 48 8B 04 C7 48 8B 88 00 02 00 00 8B 41 10 89 06 33 DB 48 8B 74 24 20 48 85 F6 74 1B 48 8B 0C DF 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 FF C3 48 3B DE 72 E5 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 8D B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C0 02 00 00 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_120_0_1 {
	meta:
		name = "_Tss_create"
		size = 195
		refs = "001d init 0024 tss_o 0029 _Call_once 0030 mtx 003c _Mtx_lock 0046 nextkey 0052 tss_ctrl 00a1 _Mtx_unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B EA 48 8B F1 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? BB 04 00 00 00 8B FB E8 ?? ?? ?? ?? 85 C0 75 68 8B 15 ?? ?? ?? ?? B9 E8 03 00 00 4C 8D 05 ?? ?? ?? ?? 3B D1 7D 1B 48 63 C2 48 03 C0 41 80 3C C0 00 74 06 FF C2 3B D1 7C ED 89 15 ?? ?? ?? ?? 3B D1 74 22 89 16 48 63 06 FF C2 48 03 C0 89 15 ?? ?? ?? ?? 41 C6 04 C0 01 48 63 06 48 03 C0 33 FF 49 89 6C C0 08 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 45 FB 8B DF 48 8B 6C 24 38 48 8B 74 24 40 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_120_1_1 {
	meta:
		name = "_Tss_delete"
		size = 107
		refs = "000b min_key 001c mtx 0021 _Mtx_lock 002c tss_ctrl 0043 nextkey 0053 _Mtx_unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 63 D9 3B 1D ?? ?? ?? ?? 7C 4F 81 FB E8 03 00 00 7D 47 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 37 48 8D 15 ?? ?? ?? ?? 48 8B C3 48 8D 0D ?? ?? ?? ?? 48 03 C0 C6 04 C2 00 8B 05 ?? ?? ?? ?? 3B D8 0F 4C C3 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B C0 83 E0 04 EB 05 B8 04 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_120_2_1 {
	meta:
		name = "_Tss_destroy"
		size = 148
		refs = "001b data_k 0022 __crtFlsGetValue 003c tss_ctrl"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B 0D ?? ?? ?? ?? 33 FF E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 74 4B 8B CF FF C7 83 F9 04 7D 42 33 C0 48 8D 1D ?? ?? ?? ?? 48 8B F5 41 BE E8 03 00 00 80 7B F8 00 74 19 48 83 3B 00 74 13 48 8B 0E 48 85 C9 74 0B 48 83 26 00 FF 13 B8 01 00 00 00 48 83 C6 08 48 83 C3 10 49 FF CE 75 D4 85 C0 75 B5 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_120_3_1 {
	meta:
		name = "_Tss_get"
		size = 36
		refs = "000c getTssData"
	strings:
		$1 = { 40 53 48 83 EC 20 48 63 D9 8B CB E8 ?? ?? ?? ?? 48 8B D0 33 C0 48 85 D2 74 04 48 8B 04 DA 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_120_4_1 {
	meta:
		name = "_Tss_set"
		size = 52
		refs = "0013 getTssData"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 D9 48 8B FA 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 08 48 89 3C D8 33 C0 EB 05 B8 04 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_120_5_1 {
	meta:
		name = "alloc_tss"
		size = 178
		refs = "001a mtx 0029 _Mtx_lock 0037 nextkey 0043 tss_ctrl 0092 _Mtx_unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F9 48 8D 0D ?? ?? ?? ?? BD 04 00 00 00 48 8B F2 8B DD E8 ?? ?? ?? ?? 85 C0 74 04 8B C5 EB 68 8B 15 ?? ?? ?? ?? B9 E8 03 00 00 4C 8D 05 ?? ?? ?? ?? 3B D1 7D 1B 48 63 C2 48 03 C0 41 80 3C C0 00 74 06 FF C2 3B D1 7C ED 89 15 ?? ?? ?? ?? 3B D1 74 22 89 17 48 63 07 FF C2 48 03 C0 89 15 ?? ?? ?? ?? 41 C6 04 C0 01 48 63 07 48 03 C0 33 DB 49 89 74 C0 08 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 45 DD 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_120_6_1 {
	meta:
		name = "cleanup"
		size = 46
		refs = "0005 _Tss_destroy 000c mtx 0011 _Mtx_destroy 0017 initialized 0020 data_k 0025 __crtFlsFree"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_120_7_1 {
	meta:
		name = "getTssData"
		size = 101
		refs = "000a min_key 001a data_k 001f __crtFlsGetValue 0034 calloc 004a __crtFlsSetValue 0056 free"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 3B 0D ?? ?? ?? ?? 7C 4C 81 F9 E8 03 00 00 7D 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 31 8D 50 08 B9 E8 03 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 12 8B 0D ?? ?? ?? ?? 48 8B D0 E8 ?? ?? ?? ?? 85 C0 75 0A 48 8B CB E8 ?? ?? ?? ?? 33 DB 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_120_8_1 {
	meta:
		name = "init"
		size = 80
		refs = "0007 __crtFlsAlloc 000d data_k 0019 mtx 0023 _Mtx_init 002e cleanup 0033 atexit 003d initialized 004b abort"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F8 FF 74 34 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 1F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0F C7 05 ?? ?? ?? ?? 01 00 00 00 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_120_9_1 {
	meta:
		name = "sys_tss_create"
		size = 37
		refs = "000c __crtFlsAlloc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 E8 ?? ?? ?? ?? 33 C9 83 F8 FF 8D 51 04 89 03 0F 44 CA 8B C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_120_10_1 {
	meta:
		name = "sys_tss_destroy"
		size = 23
		refs = "0005 __crtFlsFree"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D0 83 E0 04 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_120_12_1 {
	meta:
		name = "sys_tss_set"
		size = 23
		refs = "0005 __crtFlsSetValue"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D0 83 E0 04 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_121_0_1 {
	meta:
		name = "_Mbrtowc"
		size = 468
		refs = "0016 __security_cookie 0062 __security_check_cookie 0088 _Getcvt 0107 __imp_MultiByteToWideChar 011e _errno"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 56 41 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 48 8B 9C 24 F0 00 00 00 45 33 FF 49 8B F1 49 8B E8 4C 8B F2 48 8B F9 48 85 D2 74 13 4D 85 C0 74 0E 44 38 3A 75 32 48 85 C9 74 04 66 44 89 39 33 C0 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 5F 5E 5D C3 48 85 DB 75 38 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 5C 24 60 0F 10 00 0F 10 48 10 0F 11 44 24 60 F2 0F 10 40 20 0F 11 4C 24 70 8B 40 28 89 84 24 88 00 00 00 F2 0F 11 84 24 80 00 00 00 44 39 7B 08 74 13 48 85 FF 74 07 41 0F B6 06 66 89 07 B8 01 00 00 00 EB 83 44 39 3E 74 58 41 8A 06 88 46 01 83 7B 04 01 76 36 8B 0B 41 8B C7 41 B9 02 00 00 00 48 85 FF 41 8D 51 07 4C 8B C6 0F 95 C0 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 0B 44 89 3E 8B 43 04 E9 3C FF FF FF 44 89 3E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 26 FF FF FF 45 0F B6 06 BA 01 00 00 00 41 8B C8 41 8B C0 83 E1 07 48 C1 E8 03 D3 E2 84 54 18 0C 74 52 8B 4B 04 48 3B E9 73 0D 44 88 06 B8 FE FF FF FF E9 F3 FE FF FF 83 F9 01 76 29 41 8B C7 44 8B C9 8B 0B 48 85 FF 4D 8B C6 BA 09 00 00 00 0F 95 C0 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 81 45 38 7E 01 0F 85 77 FF FF FF E9 7A FF FF FF 8B 0B 41 8B C7 41 B9 01 00 00 00 48 85 FF 41 8D 51 08 4D 8B C6 0F 95 C0 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 85 FD FE FF FF E9 49 FF FF FF }
	condition:
		$1
}

rule file_122_0_1 {
	meta:
		name = "_Dscale"
		size = 644
		refs = "006b _Dnorm 008c _Inf 009e __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B D9 0F B7 49 06 BD FF 07 00 00 66 C1 E9 04 8B F2 66 23 CD 66 3B CD 75 2E F6 43 06 0F 75 19 33 FF 66 39 7B 04 75 11 66 39 7B 02 75 0B 66 39 3B 75 06 44 8D 57 01 EB 06 41 BA 02 00 00 00 41 0F B7 C2 E9 0B 02 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C ED 01 00 00 85 F6 7E 31 0F BF C1 2B E8 3B EE 7F 28 F2 0F 10 05 ?? ?? ?? ?? BD 00 80 00 00 66 85 6B 06 74 07 0F 57 05 ?? ?? ?? ?? F2 0F 11 03 B8 01 00 00 00 E9 BB 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 1C 66 03 F1 B8 0F 80 00 00 66 21 43 06 66 C1 E6 04 66 09 73 06 83 C8 FF E9 94 01 00 00 0F B7 4B 06 44 8D 5E FF 41 BF 10 00 00 00 44 0F B7 F1 44 03 DA 66 83 E1 0F 66 41 0B CF 41 8D 43 35 BD 00 80 00 00 66 44 23 F5 66 89 4B 06 83 F8 34 0F 87 4F 01 00 00 0F B7 F7 45 8D 57 F1 66 41 83 FB F0 7F 59 0F B7 53 02 B8 F0 FF 00 00 44 0F B7 C9 0F B7 4B 04 66 41 2B C3 66 C1 E8 04 66 41 03 C2 44 0F B7 C0 41 0F B7 C0 66 C1 E0 04 66 44 03 D8 66 85 F6 8B C7 0F 95 C0 0F B7 F0 66 0B 33 66 89 13 0F B7 D1 41 0F B7 C9 44 8B CF 4D 2B C2 75 E0 66 89 7B 06 66 89 4B 04 66 89 53 02 66 41 F7 DB 0F 84 80 00 00 00 44 0F B7 03 8B C7 45 0F BF CB 45 2B F9 41 0F B7 D0 41 8B CF 66 D3 E2 66 85 F6 0F 95 C0 0F B7 F2 0F B7 53 02 66 0B F0 0F B7 C2 66 D3 E0 41 0F B7 CB 66 41 D3 E8 41 8B CF 66 41 0B C0 44 0F B7 43 04 66 89 03 41 0F B7 C0 66 D3 E0 41 0F B7 CB 66 D3 EA 41 8B CF 66 0B C2 0F B7 53 06 66 89 43 02 0F B7 C2 66 D3 E0 41 0F B7 CB 66 41 D3 E8 41 8B C9 66 41 0B C0 66 D3 EA 66 89 53 06 66 89 43 04 66 44 09 73 06 0F B7 43 06 66 3B EE 72 07 75 26 44 84 13 74 21 66 44 01 13 75 1B 66 44 01 53 02 75 14 66 44 01 53 04 75 0D 66 41 03 C2 66 89 43 06 E9 9A FE FF FF 66 41 3B C6 0F 85 90 FE FF FF 66 39 7B 04 0F 85 86 FE FF FF 66 39 7B 02 0F 85 7C FE FF FF 66 39 3B 74 10 E9 72 FE FF FF 66 44 89 73 06 89 7B 02 66 89 3B 0F B7 C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_123_0_1 {
	meta:
		name = "?_XLgamma@std@@YAMM@Z"
		size = 157
		refs = "0015 __real@40b00000 0020 logf 002d ?coeff@?1??_XLgamma@std@@YAMM@Z@4QBMB 0035 __real@3f000000 0045 __real@3f800000 0068 __real@3ff0000000000000 007d __real@40206c99"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 0F 28 F0 0F 29 7C 24 20 F3 0F 58 35 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 CF 0F 28 D7 48 8D 05 ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C1 F3 0F 5C F0 F3 0F 10 05 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 08 48 8D 0D ?? ?? ?? ?? 48 83 C0 04 F3 0F 5E CA F3 0F 5A D2 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5A D2 F3 0F 58 C1 48 3B C1 7C D4 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F3 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_123_1_1 {
	meta:
		name = "?_XLgamma@std@@YANN@Z"
		size = 153
		refs = "0015 __real@4016000000000000 0020 log 0028 __real@3ff0000000000000 0032 ?coeff@?1??_XLgamma@std@@YANN@Z@4QBNB 003a __real@3fe0000000000000 0051 __real@3ff00000000d0ec7 0079 __real@40040d931ff62706"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 0F 28 F0 0F 29 7C 24 20 F2 0F 58 35 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 0F 28 CF 48 8D 05 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 0F 28 D7 F2 0F 58 D3 F2 0F 59 C1 F2 0F 5C F0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 08 48 8D 0D ?? ?? ?? ?? 48 83 C0 08 F2 0F 5E CA F2 0F 58 D3 F2 0F 58 C1 48 3B C1 7C E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F2 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_123_2_1 {
	meta:
		name = "?_XLgamma@std@@YAOO@Z"
		size = 153
		refs = "0015 __real@4016000000000000 0020 log 0028 __real@3ff0000000000000 0032 ?coeff@?1??_XLgamma@std@@YAOO@Z@4QBOB 003a __real@3fe0000000000000 0051 __real@3ff00000000d0ec7 0079 __real@40040d931ff62706"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 0F 28 F0 0F 29 7C 24 20 F2 0F 58 35 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 0F 28 CF 48 8D 05 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 0F 28 D7 F2 0F 58 D3 F2 0F 59 C1 F2 0F 5C F0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 08 48 8D 0D ?? ?? ?? ?? 48 83 C0 08 F2 0F 5E CA F2 0F 58 D3 F2 0F 58 C1 48 3B C1 7C E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F2 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_124_63_1 {
	meta:
		name = "?_Syserror_map@std@@YAPEBDH@Z"
		size = 40
		refs = "0003 _Sys_errtab"
	strings:
		$1 = { 48 83 3D ?? ?? ?? ?? 00 48 8D 05 ?? ?? ?? ?? 74 0F 39 08 74 0E 48 83 C0 10 48 83 78 08 00 75 F1 33 C0 C3 48 8B 40 08 C3 }
	condition:
		$1
}

rule file_124_65_1 {
	meta:
		name = "?_Winerror_map@std@@YAPEBDH@Z"
		size = 40
		refs = "0003 _Win_errtab"
	strings:
		$1 = { 48 83 3D ?? ?? ?? ?? 00 48 8D 05 ?? ?? ?? ?? 74 0F 39 08 74 0E 48 83 C0 10 48 83 78 08 00 75 F1 33 C0 C3 48 8B 40 08 C3 }
	condition:
		$1
}

rule file_0_9_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
		size = 475
		refs = "0024 __security_cookie 0075 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00ed ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0197 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01b0 ??3@YAXPEAX@Z 01bf __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 49 8B F1 4D 8B E0 48 89 55 C8 48 8B F9 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C4 48 FF C1 8A 01 84 C0 75 EF 48 C7 45 F0 0F 00 00 00 48 83 65 E8 00 C6 45 D8 00 45 33 C0 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 32 C9 88 4D C0 33 DB 45 33 F6 4D 85 E4 0F 84 0D 01 00 00 EB 07 3A 06 74 0A 48 FF C3 8A 04 33 84 C0 75 F2 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 42 80 3C 30 00 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 4A 0F BE 04 30 48 03 D8 E9 96 00 00 00 49 03 DF 8A 04 33 3A 06 74 68 84 C0 74 64 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 57 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 47 09 38 04 33 75 0A B1 01 88 4D C0 EB 27 45 8B EE 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 42 88 0C 32 8A 4D C0 49 FF C6 4D 3B F4 0F 82 24 FF FF FF 84 C9 74 24 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 83 CD FF E9 E0 FE FF FF 48 83 7D F0 10 72 09 48 8B 4D D8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_22_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z"
		size = 65
		refs = "0038 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 83 EC 38 48 83 79 18 10 72 05 4C 8B 09 EB 03 4C 8B C9 48 8B 41 10 49 03 C1 48 83 79 18 10 72 05 4C 8B 11 EB 03 4C 8B D1 4C 89 44 24 20 4C 8B CA 4C 8B C0 49 8B D2 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_0_26_2 {
	meta:
		name = "??$copy@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@@Z"
		size = 79
		refs = "002d ??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 41 0F 10 01 8A 44 24 60 49 8B D9 48 8B F9 4C 8D 4C 24 30 48 8D 4C 24 40 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 0F 10 4C 24 40 48 8B C7 0F 10 C1 F3 0F 7F 0F F3 0F 7F 03 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_9_65_2 {
	meta:
		name = "??$copy@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@@Z"
		size = 79
		refs = "002d ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 41 0F 10 01 8A 44 24 60 49 8B D9 48 8B F9 4C 8D 4C 24 30 48 8D 4C 24 40 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 0F 10 4C 24 40 48 8B C7 0F 10 C1 F3 0F 7F 0F F3 0F 7F 03 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_9_66_2 {
	meta:
		name = "??$copy@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@@Z"
		size = 79
		refs = "002d ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 41 0F 10 01 8A 44 24 60 49 8B D9 48 8B F9 4C 8D 4C 24 30 48 8D 4C 24 40 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 0F 10 4C 24 40 48 8B C7 0F 10 C1 F3 0F 7F 0F F3 0F 7F 03 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_0_63_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z"
		size = 111
		refs = "0031 memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 C6 01 00 48 83 7A 18 10 48 8B DA 48 8B F9 73 10 4C 8B 42 10 49 FF C0 74 11 E8 ?? ?? ?? ?? EB 0A 48 8B 02 48 89 01 48 83 22 00 48 8B 43 10 48 89 47 10 48 8B 43 18 48 89 47 18 48 83 63 10 00 48 C7 43 18 0F 00 00 00 C6 03 00 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_64_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
		size = 46
		refs = "0021 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 49 83 C9 FF 45 33 C0 48 8B D9 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_65_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		size = 72
		refs = "0028 strlen 0036 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 C7 41 18 0F 00 00 00 48 8B FA 48 89 41 10 88 01 48 8B D9 38 02 74 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_66_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD_K@Z"
		size = 39
		refs = "001a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 48 8B D9 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_68_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z"
		size = 39
		refs = "001a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 48 8B D9 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_67_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 20
	strings:
		$1 = { 48 83 61 10 00 48 C7 41 18 0F 00 00 00 48 8B C1 C6 01 00 C3 }
	condition:
		$1
}

rule file_0_108_2 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 46
		refs = "0014 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 18 10 48 8B D9 72 08 48 8B 09 E8 ?? ?? ?? ?? 48 83 63 10 00 48 C7 43 18 0F 00 00 00 C6 03 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_135_2 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 137
		refs = "0020 ??3@YAXPEAX@Z 004b memmove"
		altNames = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 66 48 83 79 18 10 72 08 48 8B 09 E8 ?? ?? ?? ?? 48 83 63 10 00 48 C7 43 18 0F 00 00 00 C6 03 00 48 83 7F 18 10 73 16 4C 8B 47 10 49 FF C0 74 17 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0A 48 8B 07 48 89 03 48 83 27 00 48 8B 47 10 48 89 43 10 48 8B 47 18 48 89 43 18 48 83 67 10 00 48 C7 47 18 0F 00 00 00 C6 07 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_190_2 {
	meta:
		name = "?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
		size = 97
		refs = "0021 memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 7A 18 10 48 8B DA 48 8B F9 73 10 4C 8B 42 10 49 FF C0 74 16 E8 ?? ?? ?? ?? EB 0F 48 85 C9 74 06 48 8B 02 48 89 01 48 83 22 00 48 8B 43 10 48 89 47 10 48 8B 43 18 48 89 47 18 48 83 63 10 00 48 C7 43 18 0F 00 00 00 C6 03 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_193_2 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0D@Z"
		size = 46
		refs = "002a memset"
	strings:
		$1 = { 48 8B C2 49 83 F8 01 75 0F 48 83 79 18 10 72 03 48 8B 09 44 88 0C 11 C3 48 83 79 18 10 72 03 48 8B 09 41 0F BE D1 48 03 C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_195_2 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z"
		size = 258
		refs = "0082 ??2@YAPEAX_K@Z 008f ?_Xbad_alloc@std@@YAXXZ 00ca memcpy 00d9 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 48 83 EC 38 48 C7 40 C8 FE FF FF FF 49 8B F0 48 8B D9 48 8B FA 48 83 CF 0F 49 C7 C1 FE FF FF FF 49 3B F9 76 05 48 8B FA EB 31 4C 8B 41 18 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E7 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 3C 01 76 03 49 8B F9 48 8D 4F 01 45 33 F6 48 85 C9 74 19 48 83 F9 FF 77 0D E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 06 E8 ?? ?? ?? ?? 90 EB 14 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 68 4C 8B 74 24 78 48 85 F6 74 1F 48 83 7B 18 10 72 05 48 8B 13 EB 03 48 8B D3 48 85 F6 74 0B 4C 8B C6 49 8B CE E8 ?? ?? ?? ?? 48 83 7B 18 10 72 08 48 8B 0B E8 ?? ?? ?? ?? C6 03 00 4C 89 33 48 89 7B 18 48 89 73 10 48 83 FF 10 72 03 49 8B DE C6 04 33 00 48 83 C4 38 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_0_199_2 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z$1"
		size = 45
		refs = "000f ??3@YAXPEAX@Z 0028 _CxxThrowException"
	strings:
		$1 = { 48 8B 5D 60 48 83 7B 18 10 72 08 48 8B 0B E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 48 83 63 10 00 C6 03 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_0_202_2 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 19
	strings:
		$1 = { 48 83 79 18 10 48 89 51 10 72 03 48 8B 09 C6 04 11 00 C3 }
	condition:
		$1
}

rule file_0_204_2 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 275
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@D@std@@6B@ 00a8 _Getcoll 00c9 ??1_Locinfo@std@@QEAA@XZ 00e7 ??3@YAXPEAX@Z 00fc __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC D0 00 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 AA 00 00 00 48 39 19 0F 85 A1 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 28 48 85 C0 74 57 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 18 48 83 BC 24 C0 00 00 00 10 72 0D 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 C8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 D0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_448_2 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 275
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@G@std@@6B@ 00a8 _Getcoll 00c9 ??1_Locinfo@std@@QEAA@XZ 00e7 ??3@YAXPEAX@Z 00fc __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC D0 00 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 AA 00 00 00 48 39 19 0F 85 A1 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 28 48 85 C0 74 57 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 18 48 83 BC 24 C0 00 00 00 10 72 0D 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 C8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 D0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_451_2 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 275
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@_W@std@@6B@ 00a8 _Getcoll 00c9 ??1_Locinfo@std@@QEAA@XZ 00e7 ??3@YAXPEAX@Z 00fc __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC D0 00 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 AA 00 00 00 48 39 19 0F 85 A1 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 28 48 85 C0 74 57 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 18 48 83 BC 24 C0 00 00 00 10 72 0D 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 C8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 D0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_239_2 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z"
		size = 3731
		refs = "002b __security_cookie 007f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0088 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00aa ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 0125 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 015d ?_Src@?4??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAEAVios_base@3@PEAD@Z@4QBDB 01c6 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 021f ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 02b5 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 037a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0442 ??3@YAXPEAX@Z 0716 ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0831 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@$$QEAV01@@Z 085c ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0a29 ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0e07 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0e30 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 0e74 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 A8 FE FF FF 48 81 EC 20 02 00 00 48 C7 45 88 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 10 01 00 00 4D 8B F1 4C 89 4C 24 30 49 8B F8 48 89 54 24 58 4C 8B BD 88 01 00 00 4C 89 7D 80 48 8B 9D 90 01 00 00 48 89 5C 24 48 45 33 E4 44 89 64 24 28 41 8D 74 24 01 49 8B CF 44 38 A5 80 01 00 00 74 22 48 8D 54 24 68 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 50 48 8B 4C 24 68 EB 20 48 8D 54 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 50 48 8B 4C 24 78 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 40 32 F6 89 74 24 24 32 C0 88 44 24 20 48 C7 45 C8 0F 00 00 00 48 83 65 C0 00 88 45 B0 49 8B 45 00 48 8D 54 24 38 49 8B CD FF 50 58 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 40 88 75 D0 48 8D 54 24 70 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 60 48 8B 4C 24 70 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 07 4C 8B CB 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF 50 38 45 33 FF 4C 89 7C 24 40 49 83 FF 04 0F 83 94 0B 00 00 42 8A 44 3C 38 3C 20 0F 84 A8 0A 00 00 3C 24 0F 84 8C 08 00 00 3C 2B 0F 84 5E 05 00 00 3C 76 74 0D 3C 78 0F 84 8C 0A 00 00 E9 50 0B 00 00 45 33 FF 49 8B 45 00 49 8B CD FF 50 48 44 8B F0 48 8D 55 F0 49 8B CD E8 ?? ?? ?? ?? 90 33 DB 48 39 5D 00 0F 84 B6 02 00 00 49 8B 45 00 49 8B CD FF 50 20 40 8A F0 84 C0 0F 84 9D 02 00 00 48 8D 4D F0 48 83 7D 08 10 48 0F 43 4D F0 80 39 7F 0F 83 86 02 00 00 48 C7 45 A8 0F 00 00 00 66 89 5D 90 8D 43 01 48 89 45 A0 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 97 01 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 48 8B 54 24 48 48 8B C2 8A 0A EB 0A 3A 4F 09 74 09 49 03 C2 8A 08 84 C9 75 F2 48 2B C2 48 83 F8 0A 73 4A 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D2 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 45 90 48 83 7D A8 10 48 0F 43 45 90 80 3C 18 7F 0F 84 A5 00 00 00 48 8D 45 90 48 83 7D A8 10 48 0F 43 45 90 B9 01 00 00 00 00 0C 18 E9 8A 00 00 00 48 8D 45 90 4C 8B 4D 90 4C 8B 45 A8 49 83 F8 10 49 0F 43 C1 80 3C 18 00 0F 84 91 00 00 00 80 7F 08 00 75 4E 48 8B 0F 48 85 C9 74 38 48 8B 41 38 4C 8B 10 4D 85 D2 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 02 EB 0E 48 8B 01 FF 50 30 4C 8B 45 A8 4C 8B 4D 90 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 BA 01 00 00 00 44 88 57 08 40 38 77 09 75 37 45 33 C0 49 8B D2 48 8D 4D 90 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 98 FE FF FF 4C 8B 45 A8 4C 8B 4D 90 48 85 DB 74 2A 48 8D 45 90 49 83 F8 10 49 0F 43 C1 80 3C 18 00 7E 05 48 FF C3 EB 13 BE 01 00 00 00 89 74 24 24 EB 0C 4C 8B 45 A8 4C 8B 4D 90 8B 74 24 24 48 8D 4D F0 4C 8B 5D F0 4C 8B 55 08 49 83 FA 10 49 0F 43 CB 40 84 F6 75 64 48 85 DB 74 48 8A 11 80 FA 7F 74 41 48 FF CB 74 11 48 8D 45 90 49 83 F8 10 49 0F 43 C1 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 90 49 83 F8 10 49 0F 43 C1 3A 10 7C 0B 80 79 01 00 7E C3 48 FF C1 EB BE BE 01 00 00 00 89 74 24 24 EB 17 49 83 F8 10 0F 82 15 01 00 00 49 8B C9 E8 ?? ?? ?? ?? E9 08 01 00 00 49 83 F8 10 72 10 49 8B C9 E8 ?? ?? ?? ?? 4C 8B 55 08 4C 8B 5D F0 48 C7 45 A8 0F 00 00 00 48 83 65 A0 00 C6 45 90 00 49 83 FA 10 0F 82 78 08 00 00 49 8B CB E8 ?? ?? ?? ?? E9 6B 08 00 00 8B 74 24 24 48 8B 5C 24 30 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 AE 00 00 00 4C 8B 6C 24 48 48 8D 35 ?? ?? ?? ?? 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 BA 01 00 00 00 88 57 08 EB 05 BA 01 00 00 00 49 8B C5 41 8A 4D 00 EB 0A 3A 4F 09 74 09 48 03 C2 8A 08 84 C9 75 F2 49 2B C5 48 83 F8 0A 73 28 44 8A 04 30 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 4C 8B 6C 24 50 8B 74 24 24 49 8B 45 00 49 8B CD FF 50 18 8A D8 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 36 01 00 00 84 DB 0F 84 2E 01 00 00 38 47 08 75 44 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B8 01 00 00 00 88 47 08 38 5F 09 0F 85 DC 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 E9 A2 00 00 00 45 3B FE 0F 8D C1 00 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 48 8B 54 24 48 48 8B C2 8A 0A EB 0A 3A 4F 09 74 09 49 03 C1 8A 08 84 C9 75 F2 48 2B C2 48 83 F8 0A 73 35 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D1 48 8D 4D D0 E8 ?? ?? ?? ?? 41 FF C7 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 4B FF FF FF 40 0F B6 F6 45 3B FE B8 01 00 00 00 0F 4C F0 89 74 24 24 EB 05 B8 01 00 00 00 48 83 7D E0 00 75 09 40 8A F0 89 74 24 24 EB 28 45 3B FE 7D 23 45 2B F7 41 8B DE BE 01 00 00 00 41 B0 30 48 8B D6 48 8D 4D D0 E8 ?? ?? ?? ?? 48 2B DE 75 EC 8B 74 24 24 48 83 7D 08 10 0F 82 02 06 00 00 48 8B 4D F0 E9 84 FD FF FF 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F0 05 00 00 48 8D 55 50 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 01 44 89 64 24 28 48 83 78 10 00 76 7E 48 8D 55 70 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 02 44 89 64 24 28 48 83 78 18 10 72 03 48 8B 18 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 38 03 75 04 8A D9 EB 02 32 DB 41 F6 C4 02 74 2E 41 83 E4 FD 48 83 BD 88 00 00 00 10 72 09 48 8B 4D 70 E8 ?? ?? ?? ?? 48 C7 85 88 00 00 00 0F 00 00 00 48 83 A5 80 00 00 00 00 C6 45 70 00 B8 01 00 00 00 44 84 E0 74 25 41 83 E4 FE 48 83 7D 68 10 72 09 48 8B 4D 50 E8 ?? ?? ?? ?? 48 C7 45 68 0F 00 00 00 48 83 65 60 00 C6 45 50 00 84 DB 74 42 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 B0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D B0 E8 ?? ?? ?? ?? 48 83 BD C8 00 00 00 10 0F 82 BB 04 00 00 48 8B 8D B0 00 00 00 E8 ?? ?? ?? ?? E9 AA 04 00 00 48 8D 55 10 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 04 44 89 64 24 28 48 83 78 10 00 0F 86 81 00 00 00 48 8D 95 90 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 08 44 89 64 24 28 48 83 78 18 10 72 03 48 8B 18 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 38 03 75 04 8A D9 EB 02 32 DB 41 F6 C4 08 74 34 41 83 E4 F7 48 83 BD A8 00 00 00 10 72 0C 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 A8 00 00 00 0F 00 00 00 48 83 A5 A0 00 00 00 00 C6 85 90 00 00 00 00 41 F6 C4 04 74 25 41 83 E4 FB 48 83 7D 28 10 72 09 48 8B 4D 10 E8 ?? ?? ?? ?? 48 C7 45 28 0F 00 00 00 48 83 65 20 00 C6 45 10 00 84 DB 74 40 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 D0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D B0 E8 ?? ?? ?? ?? 48 83 BD E8 00 00 00 10 72 0C 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 77 48 8D 55 30 49 8B CD E8 ?? ?? ?? ?? 48 83 78 10 00 0F 94 C3 48 83 7D 48 10 72 09 48 8B 4D 30 E8 ?? ?? ?? ?? 48 C7 45 48 0F 00 00 00 48 83 65 40 00 C6 45 30 00 84 DB 0F 85 20 03 00 00 48 8D 95 F0 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 83 78 10 00 0F 94 C3 48 83 BD 08 01 00 00 10 72 0C 48 8B 8D F0 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 84 DB 0F 84 EB 02 00 00 88 44 24 20 E9 E2 02 00 00 48 8D 55 90 49 8B CD E8 ?? ?? ?? ?? 90 48 8B 45 80 F6 40 18 08 75 73 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 75 64 38 5F 08 75 43 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F B8 01 00 00 00 88 47 08 8A 4F 09 48 8D 45 90 48 83 7D A8 10 48 0F 43 45 90 3A 08 74 07 E9 86 00 00 00 33 DB 49 83 FF 03 0F 85 8E 00 00 00 41 8D 47 FE 48 39 45 C0 0F 87 80 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 5D 38 5F 08 75 43 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F B8 01 00 00 00 88 47 08 8A 4F 09 48 8D 45 90 48 83 7D A8 10 48 0F 43 45 90 3A 08 74 14 48 8D 45 90 48 83 7D A8 10 48 89 5D A0 48 0F 43 45 90 88 18 48 8D 5D 90 48 83 7D A8 10 48 0F 43 5D 90 E9 87 00 00 00 48 8D 4D 90 49 83 F9 10 49 0F 43 C8 48 8B 45 A0 48 03 C1 48 3B D8 0F 84 86 00 00 00 80 7F 08 00 75 4E 48 8B 0F 48 85 C9 74 38 48 8B 41 38 4C 8B 10 4D 85 D2 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 02 EB 0E 48 8B 01 FF 50 30 4C 8B 4D A8 4C 8B 45 90 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 3A 03 75 26 48 03 D9 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 4C 8B 4D A8 4C 8B 45 90 84 C0 0F 84 5E FF FF FF 48 8D 55 90 49 83 F9 10 49 0F 43 D0 48 8B 45 A0 48 03 C2 40 0F B6 D6 48 3B D8 BE 01 00 00 00 0F 45 D6 40 8A F2 89 74 24 24 49 83 F9 10 0F 82 D1 00 00 00 49 8B C8 E9 15 FC FF FF 49 83 FF 03 0F 84 BF 00 00 00 32 DB 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 81 00 00 00 4C 8B 6C 24 60 BE 01 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 0F B6 4F 09 49 8B 45 18 F6 04 48 48 74 1A 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 92 4C 8B 6C 24 50 8B 74 24 24 42 80 7C 3C 38 20 75 21 40 0F B6 C6 84 DB BE 01 00 00 00 0F 44 C6 40 8A F0 89 74 24 24 EB 0A 4C 8B 7C 24 40 4C 8B 74 24 30 B8 01 00 00 00 4C 03 F8 4C 89 7C 24 40 40 84 F6 0F 84 62 F4 FF FF 40 84 F6 0F 85 F0 00 00 00 48 8B 4D C0 BE 01 00 00 00 48 3B CE 0F 86 C3 00 00 00 48 8D 5D B0 48 8B 55 B0 4C 8B 45 C8 49 83 F8 10 48 0F 43 DA 48 8D 45 B0 49 83 F8 10 48 0F 43 C2 48 03 C1 48 03 DE 48 3B D8 0F 84 80 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 65 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 8A 47 09 3A 03 75 19 48 8B CF E8 ?? ?? ?? ?? 4C 8B 45 C8 48 8B 4D C0 48 8B 55 B0 E9 71 FF FF FF 4C 8B 45 C8 48 8B 4D C0 48 8B 55 B0 48 8D 45 B0 49 83 F8 10 48 0F 43 C2 48 03 C1 48 3B D8 75 1B 8A 44 24 20 84 C0 74 29 41 B1 2D 4C 8B C6 33 D2 48 8D 4D D0 E8 ?? ?? ?? ?? EB 16 48 83 65 E0 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 C6 00 00 48 8D 55 D0 48 8B 5C 24 58 48 8B CB E8 ?? ?? ?? ?? 90 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 48 83 7D C8 10 72 09 48 8B 4D B0 E8 ?? ?? ?? ?? 48 8B C3 48 8B 8D 10 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 02 00 00 48 81 C4 20 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_246_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 01 85 C0 74 10 83 65 28 FE 48 8D 8D 50 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_0_247_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D 70 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_0_248_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D 10 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_0_249_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D 90 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_0_257_2 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z"
		size = 202
		refs = "0036 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 0068 memcpy 0070 ??3@YAXPEAX@Z 00c0 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00c5 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F2 48 8B D9 48 83 FA FE 0F 87 94 00 00 00 33 FF 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 60 45 84 C0 74 45 48 83 FA 10 73 3F 4C 8B 71 10 49 3B D6 4C 0F 42 F2 48 83 79 18 10 72 1B 48 8B 29 4D 85 F6 74 0B 4D 8B C6 48 8B D5 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 4C 89 73 10 41 88 3C 1E EB 16 48 85 D2 75 11 48 83 79 18 10 48 89 79 10 72 03 48 8B 19 40 88 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_274_2 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_NPEBD@Z"
		size = 62
	strings:
		$1 = { 4C 8B C2 48 85 D2 74 33 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 1F 48 83 79 18 10 72 05 48 8B 11 EB 03 48 8B D1 48 8B 41 10 48 8D 0C 02 49 3B C8 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_0_289_2 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@_K@Z"
		size = 161
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B D9 48 8B FA 48 8B F1 4D 85 C9 74 65 48 8B 4F 08 48 85 C9 74 4C 48 8B 41 40 45 8A 08 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 0A 41 0F B6 C1 EB 0A 48 8B 01 41 0F B6 D1 FF 50 18 4C 8B 44 24 40 83 F8 FF 75 03 C6 07 01 49 FF C0 4C 89 44 24 40 48 FF CB 75 9B 0F 10 07 48 8B 5C 24 30 48 8B C6 F3 0F 7F 06 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_290_2 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 2059
		refs = "002b __security_cookie 0082 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008b ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00a8 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 00db ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0115 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0217 ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0233 ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0242 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@$$QEAV01@@Z 0258 ??3@YAXPEAX@Z 0285 ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 037a ?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 03ee ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@_K@Z 07ec __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 B8 FE FF FF 48 81 EC 10 02 00 00 48 C7 45 F0 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 00 01 00 00 4D 8B F0 48 89 54 24 50 48 8B BD 70 01 00 00 48 89 7C 24 38 8A 85 78 01 00 00 88 44 24 20 48 8B 9D 88 01 00 00 48 89 5D 78 44 8A A5 90 01 00 00 44 88 64 24 21 41 BD 01 00 00 00 48 8B CF 45 84 C9 74 1D 48 8D 54 24 70 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4C 24 70 EB 1B 48 8D 54 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4C 24 78 48 85 C9 74 17 48 8B 01 FF 50 10 48 85 C0 74 0C 4C 8B 00 41 8B D5 48 8B C8 41 FF 10 48 8D 95 A0 00 00 00 49 8B CF E8 ?? ?? ?? ?? 90 49 8B 07 49 8B CF FF 50 48 99 8B F0 33 F2 2B F2 89 74 24 30 44 8B EE 4C 89 6C 24 28 4C 39 6B 10 77 1C 45 8B C5 4C 2B 43 10 49 FF C0 45 8A CC 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 B4 00 00 00 48 8D 85 A0 00 00 00 48 83 BD B8 00 00 00 10 48 0F 43 85 A0 00 00 00 80 38 7F 0F 84 94 00 00 00 48 8D 85 A0 00 00 00 48 83 BD B8 00 00 00 10 48 0F 43 85 A0 00 00 00 80 38 00 7E 78 49 8B 07 49 8B CF FF 50 20 44 8A E0 48 8D BD A0 00 00 00 48 83 BD B8 00 00 00 10 48 0F 43 BD A0 00 00 00 48 8B 73 10 49 2B F5 8A 0F 80 F9 7F 74 3E 41 BD 01 00 00 00 84 C9 7E 2F 48 0F BE C1 48 3B C6 73 26 48 2B F0 45 8A CC 4D 8B C5 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4F F8 8A 0F 80 F9 7F 75 CD 4C 8B 6C 24 28 8B 74 24 30 48 8B 7C 24 38 41 BC 0F 00 00 00 4C 89 A5 98 00 00 00 33 C0 48 89 85 90 00 00 00 88 85 80 00 00 00 48 8D 54 24 28 49 8B CF 38 85 80 01 00 00 49 8B 07 74 1C FF 50 58 8B 44 24 28 89 44 24 28 48 8D 95 E0 00 00 00 49 8B CF E8 ?? ?? ?? ?? EB 1A FF 50 50 8B 44 24 28 89 44 24 28 48 8D 95 E0 00 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 83 BD F8 00 00 00 10 72 0C 48 8B 8D E0 00 00 00 E8 ?? ?? ?? ?? 4C 89 A5 D8 00 00 00 45 33 D2 4C 89 95 D0 00 00 00 44 88 95 C0 00 00 00 F6 47 18 08 74 37 48 8D 95 E0 00 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 8D 8D C0 00 00 00 E8 ?? ?? ?? ?? 48 83 BD F8 00 00 00 10 72 0C 48 8B 8D E0 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 28 80 F9 20 74 4A 80 F9 24 74 3C 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 39 EB 43 48 8B 53 10 49 3B D5 77 0B 49 8B CD 48 2B CA 49 03 CB EB 03 49 8B CA 44 3B D6 48 13 D1 48 03 C2 EB 21 48 03 85 90 00 00 00 EB 18 48 03 85 D0 00 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 94 48 8B 77 28 48 85 F6 7E 0A 48 3B F0 76 05 48 2B F0 EB 03 49 8B F2 8B 7F 18 81 E7 C0 01 00 00 83 FF 40 74 3C 81 FF 00 01 00 00 75 05 45 84 C9 75 2F 41 0F 10 06 F3 0F 7F 44 24 60 4C 8B CE 44 8A 44 24 20 48 8D 54 24 60 48 8D 4C 24 40 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 45 33 D2 41 8B F2 4D 8B E2 48 63 FF 42 8A 44 24 28 3C 20 0F 84 AA 02 00 00 3C 24 0F 84 6E 02 00 00 3C 2B 0F 84 26 02 00 00 3C 76 74 0D 3C 78 0F 84 BA 02 00 00 E9 EF 02 00 00 44 39 54 24 30 75 33 48 83 7B 18 10 72 05 4C 8B 03 EB 03 4C 8B C3 41 0F 10 06 F3 0F 7F 44 24 60 48 8D 54 24 60 48 8D 4D 48 4C 8B 4B 10 E8 ?? ?? ?? ?? 45 33 D2 E9 AD 02 00 00 4C 8B 4B 10 4D 3B CD 0F 87 08 01 00 00 49 8B 4E 08 48 85 C9 74 45 48 8B 41 40 4C 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 0F B6 44 24 21 88 02 EB 0B 0F B6 54 24 21 48 8B 01 FF 50 18 83 F8 FF 75 08 B8 01 00 00 00 41 88 06 49 8B 07 49 8B CF FF 50 18 44 8A C0 49 8B 4E 08 45 33 C9 48 85 C9 74 44 48 8B 41 40 4C 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 41 0F B6 D0 48 8B 01 FF 50 18 83 F8 FF 75 08 B8 01 00 00 00 41 88 06 41 0F 10 06 F3 0F 7F 45 A0 4D 8B CD 4C 2B 4B 10 44 8A 44 24 21 48 8D 55 A0 48 8D 4D F8 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 48 83 7B 18 10 72 05 4C 8B 03 EB 03 4C 8B C3 0F 10 00 F3 0F 7F 45 E0 48 8D 55 E0 48 8D 4D 68 E9 DA FE FF FF 48 83 7B 18 10 72 05 4C 8B 03 EB 03 4C 8B C3 41 0F 10 06 F3 0F 7F 45 C0 4D 2B CD 48 8D 55 C0 48 8D 4D 58 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 49 8B 07 49 8B CF FF 50 18 44 8A C0 49 8B 4E 08 45 33 C9 48 85 C9 74 44 48 8B 41 40 4C 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 1D 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 41 0F B6 D0 48 8B 01 FF 50 18 83 F8 FF 75 08 B8 01 00 00 00 41 88 06 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 43 10 4C 03 C1 4D 2B C5 41 0F 10 06 F3 0F 7F 45 90 4D 8B CD 48 8D 55 90 48 8D 4D 28 E9 18 FE FF FF 4C 39 95 90 00 00 00 0F 86 CD 00 00 00 4C 8D 85 80 00 00 00 48 83 BD 98 00 00 00 10 4C 0F 43 85 80 00 00 00 41 0F 10 06 F3 0F 7F 45 80 41 B9 01 00 00 00 48 8D 55 80 48 8D 4D 08 E9 D8 FD FF FF 4C 8D 85 C0 00 00 00 48 83 BD D8 00 00 00 10 4C 0F 43 85 C0 00 00 00 41 0F 10 06 F3 0F 7F 45 B0 4C 8B 8D D0 00 00 00 48 8D 55 B0 48 8D 4D 18 E9 A4 FD FF FF 41 0F 10 06 F3 0F 7F 45 D0 41 B9 01 00 00 00 44 8A 44 24 20 48 8D 55 D0 48 8D 4D 38 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 45 33 D2 48 81 FF 00 01 00 00 75 31 41 0F 10 06 F3 0F 7F 44 24 40 4C 8B CE 44 8A 44 24 20 48 8D 54 24 40 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 41 8B F2 0F 10 00 F3 41 0F 7F 06 B8 01 00 00 00 4C 03 E0 49 83 FC 04 0F 82 D1 FC FF FF 4C 8B 8D 90 00 00 00 4C 3B C8 76 40 4C 8D 85 80 00 00 00 48 83 BD 98 00 00 00 10 4C 0F 43 85 80 00 00 00 49 FF C0 41 0F 10 06 F3 0F 7F 44 24 40 49 FF C9 48 8D 54 24 40 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 06 48 8B 44 24 38 45 33 FF 4C 89 78 28 41 0F 10 06 F3 0F 7F 44 24 40 4C 8B CE 44 8A 44 24 20 48 8D 54 24 40 48 8B 7C 24 50 48 8B CF E8 ?? ?? ?? ?? 90 48 83 BD D8 00 00 00 10 72 0C 48 8B 8D C0 00 00 00 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 B5 D8 00 00 00 4C 89 BD D0 00 00 00 44 88 BD C0 00 00 00 48 83 BD 98 00 00 00 10 72 0C 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 89 B5 98 00 00 00 4C 89 BD 90 00 00 00 44 88 BD 80 00 00 00 48 83 BD B8 00 00 00 10 72 0C 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 48 89 B5 B8 00 00 00 4C 89 BD B0 00 00 00 44 88 BD A0 00 00 00 48 83 7B 18 10 72 08 48 8B 0B E8 ?? ?? ?? ?? 48 89 73 18 4C 89 7B 10 44 88 3B 48 8B C7 48 8B 8D 00 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 02 00 00 48 81 C4 10 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_301_2 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z"
		size = 88
		refs = "002c memcpy 0034 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B D9 84 D2 74 1F 48 83 79 18 10 72 18 48 8B 31 4D 85 C0 74 08 48 8B D6 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 38 48 C7 43 18 0F 00 00 00 48 89 7B 10 C6 04 1F 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_308_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 197
		refs = "0044 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0085 memset 00bb ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00c0 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 83 C8 FF 48 8B D9 48 8B 49 10 48 2B C1 41 8A E8 48 8B FA 48 3B C2 0F 86 87 00 00 00 48 85 D2 74 6A 48 8D 34 11 45 33 C0 48 8B CB 48 8B D6 E8 ?? ?? ?? ?? 84 C0 74 54 48 8B 4B 10 48 83 FF 01 75 15 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 88 2C 08 EB 1E 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 0F BE D5 48 03 C8 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 30 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_309_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 231
		refs = "005f ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 006c ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 009a memcpy 00d0 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00d5 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7A 10 49 8B E8 48 8B F2 48 8B D9 49 3B F8 0F 82 A3 00 00 00 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 2C 4A 8D 04 07 48 39 41 10 0F 82 93 00 00 00 48 83 79 18 10 48 89 41 10 72 03 48 8B 09 C6 04 01 00 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 50 45 33 C0 48 8B D7 E8 ?? ?? ?? ?? 84 C0 74 41 48 83 7E 18 10 72 03 48 8B 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0C 48 8D 14 2E 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_311_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 196
		refs = "0063 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0073 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0096 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B F2 48 8B D9 48 85 D2 74 4C 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 38 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 48 3B CA 76 25 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4D 8B C8 48 8B D3 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? EB 4B 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0B 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_312_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 150
		refs = "0022 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 005b memset 008c ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0091 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8A F0 48 8B FA 48 8B D9 48 83 FA FF 74 6B 45 33 C0 E8 ?? ?? ?? ?? 84 C0 74 4C 48 83 FF 01 75 14 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 88 30 EB 1B 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 40 0F BE D6 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_315_2 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 17
	strings:
		$1 = { 48 83 79 18 10 72 03 48 8B 09 48 89 0A 48 8B C2 C3 }
	condition:
		$1
}

rule file_0_331_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 77
		refs = "002d strlen 003b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_falsename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 20 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 88 02 48 8B DA 89 44 24 20 38 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_0_335_2 {
	meta:
		name = "?do_get@?$messages@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHAEBV32@@Z"
		size = 58
		refs = "002d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 C7 42 18 0F 00 00 00 48 8B DA 48 89 42 10 88 02 48 8B 54 24 68 49 83 C9 FF 45 33 C0 48 8B CB 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_0_336_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 245
		refs = "0024 __security_cookie 005e ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z 006a ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 009d _Stoldx 00cb ??3@YAXPEAX@Z 00da __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B D9 4D 8B F0 48 8B F2 48 8B 45 6F 48 8B 7D 77 4C 8B 7D 7F 48 8D 55 FF 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 DF E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7D EF 00 74 38 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 83 65 C7 00 4C 8D 4D C7 45 33 C0 48 8D 55 CF 48 8B CB E8 ?? ?? ?? ?? 48 39 5D CF 74 0D 83 7D C7 00 75 07 F2 41 0F 11 07 EB 03 83 0F 02 41 0F 10 06 F3 0F 7F 06 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_338_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 336
		refs = "0020 __security_cookie 005a ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z 006a ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00b2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 012b ??3@YAXPEAX@Z 013a __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 49 8B D9 4D 8B E0 4C 8B FA 48 8B 45 68 4C 8B 75 70 48 8B 7D 78 48 8D 55 E8 48 89 54 24 30 48 89 44 24 28 8A 45 60 88 44 24 20 48 8D 55 C8 E8 ?? ?? ?? ?? 90 48 8B 75 D8 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 33 DB 84 C0 74 04 41 83 0E 01 48 85 F6 75 09 41 83 0E 02 E9 8F 00 00 00 48 3B 77 10 77 18 48 89 77 10 48 83 7F 18 10 72 05 48 8B 07 EB 03 48 8B C7 88 1C 30 EB 12 48 8B D6 48 2B 57 10 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 80 38 2D 75 47 48 83 7F 18 10 72 05 48 8B 0F EB 03 48 8B CF 8A 45 F2 88 01 BB 01 00 00 00 EB 2C 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 48 83 7F 18 10 72 05 48 8B 17 EB 03 48 8B D7 48 0F BE 04 18 8A 4C 05 B8 88 0C 1A 48 FF C3 48 3B DE 72 CF 41 0F 10 04 24 F3 41 0F 7F 07 48 83 7D E0 10 72 09 48 8B 4D C8 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_0_350_2 {
	meta:
		name = "?do_grouping@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 77
		refs = "002d strlen 003b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_grouping@?$_Mpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 10 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 88 02 48 8B DA 89 44 24 20 38 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_0_355_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 77
		refs = "002d strlen 003b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 30 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 88 02 48 8B DA 89 44 24 20 38 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_0_358_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 77
		refs = "002d strlen 003b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_truename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 28 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 88 02 48 8B DA 89 44 24 20 38 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_0_359_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 499
		refs = "0028 __security_cookie 004f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0058 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 008b ?_Src@?1??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@3@V43@_NAEAVios_base@3@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@@Z@4QBDB 013c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0155 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0178 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01b4 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 01c5 ??3@YAXPEAX@Z 01d4 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC C0 00 00 00 48 C7 45 CF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 45 8A E9 4D 8B F8 48 8B F2 4C 8B E1 4C 8B 75 6F 48 8B 5D 7F 48 8D 55 9F 49 8B CE E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 4D 9F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 4C 8D 4D F7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 50 38 40 32 FF 33 D2 4C 8B 53 10 4D 85 D2 74 1E 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 8A 45 01 38 01 75 08 40 B7 01 BA 01 00 00 00 4C 8B C2 49 3B D2 73 46 44 8A 5D F7 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 8D 45 F7 45 84 DB 74 15 46 8A 0C 01 41 8A CB 41 3A C9 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D F7 48 2B C1 48 83 F8 0A 73 08 49 FF C0 4D 3B C2 72 BE 48 83 7B 18 10 72 03 48 8B 1B 48 C7 45 EF 0F 00 00 00 48 83 65 E7 00 C6 45 D7 00 4C 2B C2 48 03 D3 48 8D 4D D7 E8 ?? ?? ?? ?? 90 33 DB 48 39 5D E7 75 10 44 8A 45 F7 8D 53 01 48 8D 4D D7 E8 ?? ?? ?? ?? 48 C7 45 C7 0F 00 00 00 48 89 5D BF 88 5D AF 49 83 C9 FF 45 33 C0 48 8D 55 D7 48 8D 4D AF E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 45 9F 8A 45 F7 88 44 24 40 48 8D 45 AF 48 89 44 24 38 40 88 7C 24 30 8A 45 77 88 44 24 28 4C 89 74 24 20 45 8A CD 4C 8D 45 9F 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_362_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DO@Z"
		size = 508
		refs = "0028 __security_cookie 005e __xmm@80000000000000008000000000000000 0069 __real@4733426172c74d82 007c __real@4202a05f20000000 0092 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00a0 sprintf_s 00c1 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00ca ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0124 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0158 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 017d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01bd ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 01ce ??3@YAXPEAX@Z 01dd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 50 4D 8B F8 48 8B F2 48 89 4C 24 58 4C 8B 6D 6F 45 32 E4 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0A 41 B4 01 0F 57 1D ?? ?? ?? ?? 45 33 F6 F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FE 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C6 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D7 E8 ?? ?? ?? ?? 48 63 D8 85 C0 79 0D 41 0F 10 07 F3 0F 7F 06 E9 1A 01 00 00 48 8D 54 24 60 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 70 48 8B 4C 24 60 48 85 C9 74 1A 4C 8B 01 41 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 B2 30 48 8B CF FF 50 40 40 8A F8 48 C7 45 CF 0F 00 00 00 48 83 65 C7 00 C6 45 B7 00 45 33 C0 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 8B 4C 24 70 48 8B 01 4C 8D 45 D7 4C 03 C3 48 8D 55 D7 FF 50 38 44 8A C7 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 C7 45 A7 0F 00 00 00 48 83 65 9F 00 C6 45 8F 00 49 83 C9 FF 45 33 C0 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 44 24 70 40 88 7C 24 40 48 8D 45 8F 48 89 44 24 38 44 88 64 24 30 8A 45 77 88 44 24 28 4C 89 6C 24 20 44 8A 4C 24 50 4C 8D 44 24 70 48 8B D6 48 8B 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_365_2 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBUtm@@DD@Z"
		size = 311
		refs = "0024 __security_cookie 003e ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0087 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00ae _Strftime 00f5 ??$_Copy_impl@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_Nonscalar_ptr_iterator_tag@0@@Z 010d ??3@YAXPEAX@Z 011c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B F8 48 8B FA 48 8B F1 4C 8B 75 6F 8B 05 ?? ?? ?? ?? 89 45 07 8A 05 ?? ?? ?? ?? 88 45 0B 48 C7 45 FF 0F 00 00 00 48 83 65 F7 00 C6 45 E7 00 8A 45 7F 84 C0 75 08 8A 45 77 88 45 09 EB 09 88 45 09 8A 45 77 88 45 0A BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B 46 10 48 8D 4D E7 48 83 7D FF 10 48 0F 43 4D E7 48 89 44 24 20 4D 8B CE 4C 8D 45 07 48 8B 55 F7 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 05 48 03 DB EB BD 48 8D 4D E7 48 83 7D FF 10 48 0F 43 4D E7 48 8D 55 E7 48 0F 43 55 E7 48 FF C2 41 0F 10 07 F3 0F 7F 45 C7 4C 03 C1 8A 45 B7 88 44 24 20 4C 8D 4D C7 48 8D 4D D7 E8 ?? ?? ?? ?? 0F 10 45 D7 F3 0F 7F 07 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_372_2 {
	meta:
		name = "?do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z"
		size = 267
		refs = "007d ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00b2 _Strxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 40 48 C7 40 F0 FE FF FF FF 48 89 58 08 48 89 68 18 48 89 70 20 49 8B F9 49 8B F0 48 8B DA 83 60 E8 00 48 C7 42 18 0F 00 00 00 48 83 62 10 00 C6 02 00 C7 40 E8 01 00 00 00 49 8B C1 49 2B C0 74 75 48 8D 69 10 48 3B 43 10 77 19 48 89 43 10 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB C6 04 01 00 EB 12 48 2B 43 10 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 03 D0 48 89 6C 24 20 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? 48 3B 43 10 76 0B 48 85 C0 75 8F 48 3B 43 10 77 19 48 89 43 10 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB C6 04 01 00 EB 12 48 2B 43 10 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 CC }
	condition:
		$1
}

rule file_0_373_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 0D 83 65 30 FE 48 8B 4D 58 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_0_377_2 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 29
	strings:
		$1 = { 48 83 79 18 10 72 05 4C 8B 01 EB 03 4C 8B C1 48 8B 49 10 48 8B C2 49 03 C8 48 89 0A C3 }
	condition:
		$1
}

rule file_0_383_2 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z"
		size = 155
		refs = "0065 memmove 0091 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0096 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 10 48 8B D9 48 3B FA 72 78 48 8B C7 48 2B C2 49 3B C0 77 19 48 83 79 18 10 48 89 51 10 72 05 48 8B 01 EB 03 48 8B C1 C6 04 10 00 EB 46 4D 85 C0 74 41 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 49 2B F8 48 8D 0C 10 48 8B C7 48 2B C2 74 0C 4A 8D 14 01 4C 8B C0 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_384_2 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K@Z"
		size = 54
		refs = "002c ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0031 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 39 51 10 72 1F 48 83 79 18 10 48 89 51 10 72 05 48 8B 01 EB 03 48 8B C1 C6 04 10 00 48 8B C1 48 83 C4 28 C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_394_2 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z"
		size = 293
		refs = "0059 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0098 memmove 00d2 memset 010e ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0113 ?_Xout_of_range@std@@YAXPEBD@Z 011b ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0120 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B D9 48 8B 49 10 45 8A F1 49 8B F8 48 8B F2 48 3B CA 0F 82 D9 00 00 00 48 83 C8 FF 48 2B C1 49 3B C0 0F 86 D6 00 00 00 4D 85 C0 0F 84 A2 00 00 00 4A 8D 2C 01 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4C 8B 43 10 4C 2B C6 74 10 48 8D 14 31 48 8D 0C 30 48 03 CF E8 ?? ?? ?? ?? 48 83 FF 01 75 15 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 44 88 34 30 EB 1F 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 8D 0C 30 41 0F BE D6 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 28 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_401_2 {
	meta:
		name = "?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 108
		refs = "001c ?_Syserror_map@std@@YAPEBDH@Z 0032 ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 0044 strlen 0055 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 DB 41 8B C8 48 8B F2 89 5C 24 20 E8 ?? ?? ?? ?? 48 C7 46 18 0F 00 00 00 48 85 C0 48 89 5E 10 48 8D 3D ?? ?? ?? ?? 48 0F 45 F8 88 1E 38 1F 74 0B 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C6 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_56_78_2 {
	meta:
		name = "?message@_System_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 108
		refs = "001c ?_Winerror_map@std@@YAPEBDH@Z 0032 ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 0044 strlen 0055 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 DB 41 8B C8 48 8B F2 89 5C 24 20 E8 ?? ?? ?? ?? 48 C7 46 18 0F 00 00 00 48 85 C0 48 89 5E 10 48 8D 3D ?? ?? ?? ?? 48 0F 45 F8 88 1E 38 1F 74 0B 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C6 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_0_402_2 {
	meta:
		name = "?message@_Iostream_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 81
		refs = "0024 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@ 002b strlen 003d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0044 ?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B DA 89 44 24 20 41 83 F8 01 75 2E 48 C7 42 18 0F 00 00 00 48 89 42 10 48 8D 0D ?? ?? ?? ?? 88 02 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_0_408_2 {
	meta:
		name = "?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 263
		refs = "0021 __security_cookie 007e strlen 008d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 009e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 00b9 ??3@YAXPEAX@Z 00ee __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 A8 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B F2 83 65 A0 00 48 8B 01 48 85 C0 75 18 48 C7 45 E8 0F 00 00 00 48 21 45 E0 88 45 D0 48 8D 55 D0 8D 58 01 EB 47 48 8B 58 28 48 85 DB 75 04 48 8D 58 30 48 C7 45 C8 0F 00 00 00 48 83 65 C0 00 C6 45 B0 00 80 3B 00 75 04 33 C0 EB 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 55 B0 BB 02 00 00 00 48 8B CE E8 ?? ?? ?? ?? 83 CB 04 F6 C3 02 74 24 83 E3 FD 48 83 7D C8 10 72 09 48 8B 4D B0 E8 ?? ?? ?? ?? 48 C7 45 C8 0F 00 00 00 48 83 65 C0 00 C6 45 B0 00 F6 C3 01 74 10 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_0_409_2 {
	meta:
		name = "?dtor$0@?0??name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ@4HA"
		size = 38
		refs = "001c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8D 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_0_415_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
		size = 142
		refs = "0043 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0081 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 44 24 60 48 8B D9 4C 3B C8 75 36 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 33 C9 4D 85 C0 75 05 44 8B C1 EB 03 4C 2B C2 48 85 D2 74 06 48 8B CA 48 2B C8 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 3C 48 83 79 18 10 72 05 4C 8B 11 EB 03 4C 8B D1 33 C9 4D 85 C0 75 05 44 8B C1 EB 03 4C 2B C2 48 85 D2 74 06 48 8B CA 49 2B CA 49 2B C1 48 8B D1 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_0_416_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 861
		refs = "008f ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00cd memmove 00ff memcpy 0346 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 034b ?_Xlength_error@std@@YAXPEBD@Z 0353 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0358 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B D9 48 8B 49 10 4D 8B F1 4D 8B F8 48 8B F2 48 3B CA 0F 82 1B 03 00 00 49 8B 41 10 4C 8B 64 24 70 49 3B C4 0F 82 09 03 00 00 48 8B 7C 24 78 48 8B E9 48 2B EA 48 8B D1 49 3B E8 4C 0F 42 FD 49 2B C4 48 3B C7 48 0F 42 F8 48 83 C8 FF 49 2B D7 48 2B C7 48 3B C2 0F 86 CA 02 00 00 4C 8D 2C 3A 49 2B EF 49 3B CD 73 0E 45 33 C0 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 49 3B DE 74 70 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 16 48 8D 14 31 48 8D 0C 30 4C 8B C5 48 03 CF 49 03 D7 E8 ?? ?? ?? ?? 49 83 7E 18 10 72 03 4D 8B 36 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 FF 0F 84 18 02 00 00 4B 8D 14 26 48 8D 0C 30 4C 8B C7 E8 ?? ?? ?? ?? E9 03 02 00 00 49 3B FF 77 70 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 FF 74 10 4A 8D 14 21 48 8D 0C 30 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 0F 84 A4 01 00 00 48 8D 14 31 48 8D 0C 30 4C 8B C5 49 03 D7 48 03 CF E9 89 01 00 00 4C 3B E6 77 70 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 16 48 8D 14 31 48 8D 0C 30 4C 8B C5 48 03 CF 49 03 D7 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 FF 0F 84 29 01 00 00 4A 8D 14 21 48 8D 0C 30 4C 8B C7 E9 14 01 00 00 4A 8D 04 3E 49 3B C4 77 6B 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 16 48 8D 14 31 48 8D 0C 30 4C 8B C5 48 03 CF 49 03 D7 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 FF 0F 84 B0 00 00 00 49 2B D7 49 03 D4 48 03 D7 EB 80 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 10 4A 8D 14 21 48 8D 0C 30 4D 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 16 48 8D 14 31 48 8D 0C 30 4C 8B C5 48 03 CF 49 03 D7 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4C 8B C7 4D 2B C7 74 13 4A 8D 14 21 48 8D 0C 30 48 03 D7 49 03 CF E8 ?? ?? ?? ?? 48 83 7B 18 10 4C 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 6C 24 58 48 8B 74 24 60 42 C6 04 28 00 48 8B C3 48 8B 5C 24 50 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_417_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z"
		size = 471
		refs = "007d ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 00f4 memmove 011a ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 017f memcpy 01c0 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 01c5 ?_Xout_of_range@std@@YAXPEBD@Z 01cd ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 01d2 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 4D 8B F9 49 8B F8 4C 8B E2 48 8B D9 4D 85 C9 74 58 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 4C 3B C8 72 44 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 49 3B C9 76 31 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4C 2B F8 48 8B 44 24 70 4C 8B CB 48 89 44 24 28 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? E9 18 01 00 00 48 8B 4B 10 48 3B CA 0F 82 2A 01 00 00 48 8B 74 24 70 48 8B E9 48 2B EA 49 3B E8 48 0F 42 FD 48 83 C8 FF 48 2B C6 48 2B CF 48 3B C1 0F 86 12 01 00 00 48 2B EF 48 3B F7 73 38 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 15 48 03 D1 4A 8D 0C 20 4C 8B C5 48 03 CE 48 03 D7 E8 ?? ?? ?? ?? 48 85 F6 75 09 48 85 FF 0F 84 95 00 00 00 4C 8B F6 45 33 C0 48 8B CB 4C 2B F7 4C 03 73 10 49 8B D6 E8 ?? ?? ?? ?? 84 C0 74 79 48 3B FE 73 39 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 16 4A 8D 14 21 4A 8D 0C 20 4C 8B C5 48 03 CE 48 03 D7 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 74 0F 4A 8D 0C 20 4C 8B C6 49 8B D7 E8 ?? ?? ?? ?? 48 83 7B 18 10 4C 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 42 C6 04 30 00 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_0_418_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 37
		refs = "0021 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 10 77 13 48 83 79 18 10 48 89 51 10 72 03 48 8B 09 C6 04 11 00 C3 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_419_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_KD@Z"
		size = 34
		refs = "001e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 10 77 13 48 83 79 18 10 48 89 51 10 72 03 48 8B 09 C6 04 11 00 C3 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_53_2 {
	meta:
		name = "??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 203
		refs = "0019 __security_cookie 004d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0066 ?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z 0081 ??0exception@std@@QEAA@AEBQEBD@Z 0088 ??_7runtime_error@std@@6B@ 009b ??3@YAXPEAX@Z 00a2 ??_7_System_error@std@@6B@ 00bc __security_check_cookie"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 D0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 49 8B C0 48 8B FA 48 8B D9 48 C7 45 C8 0F 00 00 00 48 83 65 C0 00 C6 45 B0 00 49 83 C9 FF 45 33 C0 48 8B D0 48 8D 4D B0 E8 ?? ?? ?? ?? 0F 10 07 F3 0F 7F 45 A0 4C 8D 45 B0 48 8D 55 A0 48 8D 4D D8 E8 ?? ?? ?? ?? 90 48 83 78 18 10 72 03 48 8B 00 48 89 45 A0 48 8D 55 A0 48 8B CB E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 7D F0 10 72 09 48 8B 4D D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 0F 10 07 F3 0F 7F 43 18 48 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 5F 5B 5D C3 }
	condition:
		$1
}

rule file_2_69_2 {
	meta:
		name = "??0runtime_error@std@@QEAA@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 53
		refs = "001e ??0exception@std@@QEAA@AEBQEBD@Z 0025 ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 7A 18 10 48 8B D9 72 03 48 8B 12 48 89 54 24 30 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_602_2 {
	meta:
		name = "??0logic_error@std@@QEAA@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 53
		refs = "001e ??0exception@std@@QEAA@AEBQEBD@Z 0025 ??_7logic_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 7A 18 10 48 8B D9 72 03 48 8B 12 48 89 54 24 30 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_72_2 {
	meta:
		name = "??0system_error@std@@QEAA@Verror_code@1@PEBD@Z"
		size = 171
		refs = "0014 __security_cookie 0046 strlen 0056 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0072 ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0085 ??3@YAXPEAX@Z 008c ??_7system_error@std@@6B@ 009f __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 60 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 49 8B F8 48 8B F2 48 8B D9 48 C7 44 24 50 0F 00 00 00 33 C0 48 89 44 24 48 88 44 24 38 41 38 00 74 08 49 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 0F 10 06 F3 0F 7F 44 24 20 4C 8D 44 24 38 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 90 48 83 7C 24 50 10 72 0A 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 60 5F 5E 5B C3 }
	condition:
		$1
}

rule file_2_152_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ"
		size = 415
		refs = "0025 __security_cookie 0083 memset 0123 fwrite 0148 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 016d ??3@YAXPEAX@Z 0182 __security_check_cookie"
		altNames = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B F9 33 DB 48 39 59 78 0F 84 36 01 00 00 38 99 82 00 00 00 0F 84 2A 01 00 00 48 8B 01 BE FF FF 00 00 8B D6 FF 50 18 66 3B F0 75 07 32 C0 E9 16 01 00 00 48 C7 45 E8 0F 00 00 00 48 89 5D E0 88 5D D0 41 BC 08 00 00 00 45 8B C4 33 D2 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 89 65 E0 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 88 58 08 41 8D 74 24 F9 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 4C 8D 45 D0 4C 0F 43 45 D0 48 8B 4F 78 4C 8B 11 4C 8B 4D E0 4C 03 CA 48 8D 45 C0 48 89 44 24 20 48 8D 97 84 00 00 00 41 FF 52 40 8B C8 85 C0 74 06 FF C9 75 6D EB 06 88 9F 82 00 00 00 48 8D 45 D0 4C 8B 4D D0 4C 8B 55 E8 49 83 FA 10 49 0F 43 C1 4C 8B 75 C0 4C 2B F0 74 23 48 8D 4D D0 49 83 FA 10 49 0F 43 C9 4C 8B 8F 90 00 00 00 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 4C 3B F0 75 2F 38 9F 82 00 00 00 74 24 4D 85 F6 0F 85 64 FF FF FF 45 33 C0 49 8B D4 48 8D 4D D0 E8 ?? ?? ?? ?? E9 50 FF FF FF 83 F9 02 75 0B EB 06 40 8A DE 40 8A F3 40 8A DE 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 8A C3 EB 05 B8 01 00 00 00 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_2_179_2 {
	meta:
		name = "?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z"
		size = 206
		refs = "0014 __security_cookie 003d ??_C@_02LMMGGCAJ@?3?5?$AA@ 0042 strlen 0054 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0061 ?message@error_code@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0087 ??3@YAXPEAX@Z 0092 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 00c2 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 60 48 C7 44 24 28 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 49 8B D8 48 8B F2 48 8B F9 48 89 5C 24 30 83 64 24 20 00 49 83 78 10 00 74 1E 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 38 48 8B CE E8 ?? ?? ?? ?? 90 49 83 C9 FF 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 83 7C 24 50 10 72 0A 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 83 7B 18 10 72 08 48 8B 0B E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 48 83 63 10 00 C6 03 00 48 8B C7 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 60 5F 5E 5B C3 }
	condition:
		$1
}

rule file_2_199_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 232
		refs = "0063 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0095 memcpy 00d1 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00d6 ?_Xout_of_range@std@@YAXPEBD@Z 00de ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00e3 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 42 10 49 8B F9 4D 8B F0 48 8B F2 48 8B D9 49 3B C0 0F 82 9C 00 00 00 48 8B 49 10 49 2B C0 49 3B C1 48 0F 42 F8 48 83 C8 FF 48 2B C1 48 3B C7 0F 86 8B 00 00 00 48 85 FF 74 5B 48 8D 2C 39 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 45 48 83 7E 18 10 72 03 48 8B 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 10 48 03 4B 10 4A 8D 14 36 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 28 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_201_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 248
		refs = "0068 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0091 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00b8 memcpy 00ee ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00f3 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 4C 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 38 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 48 3B CA 76 25 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 2B F8 4D 8B C8 48 8B D3 4C 8B C7 48 8B CB E8 ?? ?? ?? ?? EB 68 48 8B 4B 10 48 83 C8 FF 48 2B C1 49 3B C0 76 6D 4D 85 C0 74 50 4A 8D 2C 01 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 3A 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 F6 74 0F 48 03 4B 10 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 28 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_284_2 {
	meta:
		name = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
		size = 602
		refs = "0028 __security_cookie 00d8 fputwc 0113 memset 01c4 fwrite 01f9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 022c ??3@YAXPEAX@Z 023b __security_check_cookie"
		altNames = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 EF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 44 0F B7 F2 48 8B F9 BB FF FF 00 00 33 F6 66 3B DA 75 08 0F B7 C6 E9 E5 01 00 00 48 8B 41 40 4C 8B 00 4D 85 C0 74 31 48 8B 41 58 4C 63 08 4B 8D 14 48 4C 3B C2 73 21 41 8D 49 FF 89 08 48 8B 57 40 4C 8B 02 49 8D 48 02 48 89 0A 66 45 89 30 41 0F B7 C6 E9 A8 01 00 00 48 39 B1 90 00 00 00 0F 84 98 01 00 00 4C 8B 41 18 48 8D 81 80 00 00 00 49 39 00 75 1E 48 8B 51 70 48 8B 49 68 49 89 08 48 8B 47 38 48 89 08 48 2B D1 48 D1 FA 48 8B 47 50 89 10 48 39 77 78 75 22 48 8B 97 90 00 00 00 41 0F B7 CE E8 ?? ?? ?? ?? 66 3B C3 0F 84 4B 01 00 00 41 0F B7 DE E9 42 01 00 00 66 44 89 75 D7 48 C7 45 0F 0F 00 00 00 48 89 75 07 40 88 75 F7 41 BD 08 00 00 00 45 8B C5 33 D2 48 8D 4D F7 E8 ?? ?? ?? ?? 4C 89 6D 07 48 8D 45 F7 48 83 7D 0F 10 48 0F 43 45 F7 40 88 70 08 48 8D 55 F7 48 83 7D 0F 10 48 0F 43 55 F7 4C 8D 45 F7 4C 0F 43 45 F7 48 8B 4F 78 4C 8B 11 48 03 55 07 48 8D 45 E7 48 89 44 24 38 48 89 54 24 30 4C 89 44 24 28 48 8D 45 DF 48 89 44 24 20 4C 8D 4D D9 4C 8D 45 D7 48 8D 97 84 00 00 00 41 FF 52 38 85 C0 0F 88 9A 00 00 00 83 F8 01 7F 77 48 8D 45 F7 4C 8B 4D F7 4C 8B 55 0F 49 83 FA 10 49 0F 43 C1 4C 8B 7D E7 4C 2B F8 74 25 48 8D 4D F7 49 83 FA 10 49 0F 43 C9 4C 8B 8F 90 00 00 00 4D 8B C7 BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 3B F8 75 53 C6 87 82 00 00 00 01 48 8D 45 D7 48 39 45 DF 75 3E 4D 85 FF 0F 85 46 FF FF FF 48 83 7D 07 20 73 32 45 33 C0 49 8B D5 48 8D 4D F7 E8 ?? ?? ?? ?? E9 2B FF FF FF 83 F8 03 75 19 48 8B 97 90 00 00 00 0F B7 4D D7 E8 ?? ?? ?? ?? 66 3B C3 74 04 41 0F B7 DE 48 83 7D 0F 10 72 09 48 8B 4D F7 E8 ?? ?? ?? ?? 0F B7 C3 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_2_314_2 {
	meta:
		name = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
		size = 585
		refs = "0022 __security_cookie 00bd fgetwc 00f0 fgetc 010a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01aa ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 01ce memcpy_s 0201 ungetc 0221 ??3@YAXPEAX@Z 0230 __security_check_cookie"
		altNames = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 1F FE FF FF FF 48 89 58 10 48 89 78 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 47 48 8B D9 48 8B 41 38 48 8B 10 48 85 D2 74 30 4C 8B 41 50 4D 63 08 49 8B C1 4A 8D 0C 4A 48 3B D1 73 1D 41 8D 41 FF 41 89 00 48 8B 53 38 48 8B 02 48 8D 48 02 48 89 0A 0F B7 00 E9 BC 01 00 00 48 83 BB 90 00 00 00 00 75 0A B8 FF FF 00 00 E9 A8 01 00 00 4C 8B 43 18 48 8D 83 80 00 00 00 49 39 00 75 1E 48 8B 53 70 48 8B 4B 68 49 89 08 48 8B 43 38 48 89 08 48 2B D1 48 D1 FA 48 8B 43 50 89 10 48 83 7B 78 00 75 22 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? BB FF FF 00 00 66 3B C3 0F 84 56 01 00 00 0F B7 D8 E9 4E 01 00 00 48 C7 45 3F 0F 00 00 00 48 83 65 37 00 C6 45 27 00 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 13 01 00 00 44 8A C0 BA 01 00 00 00 48 8D 4D 27 E8 ?? ?? ?? ?? 48 8D 55 27 48 83 7D 3F 10 48 0F 43 55 27 4C 8D 45 27 4C 0F 43 45 27 48 8B 4B 78 4C 8B 11 4C 8B 4D 37 4C 03 CA 48 8D 45 17 48 89 44 24 38 48 8D 45 09 48 89 44 24 30 48 8D 45 07 48 89 44 24 28 48 8D 45 0F 48 89 44 24 20 48 8D 93 84 00 00 00 41 FF 52 30 85 C0 0F 88 A6 00 00 00 83 F8 01 7E 15 83 F8 03 0F 85 98 00 00 00 48 83 7D 37 02 73 34 E9 64 FF FF FF 48 8D 45 07 48 39 45 17 48 8D 45 27 75 46 48 83 7D 3F 10 48 0F 43 45 27 4C 8B 45 0F 4C 2B C0 33 D2 48 8D 4D 27 E8 ?? ?? ?? ?? E9 35 FF FF FF 4C 8D 45 27 48 83 7D 3F 10 4C 0F 43 45 27 BA 02 00 00 00 44 8B CA 48 8D 4D 07 E8 ?? ?? ?? ?? 0F B7 5D 07 EB 3D 48 83 7D 3F 10 48 0F 43 45 27 48 8B 4D 0F 2B C1 03 45 37 48 63 F8 85 C0 7E E0 48 FF CF 0F BE 0C 0F 48 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 7E C8 48 8B 4D 0F EB E2 BB FF FF 00 00 48 83 7D 3F 10 72 09 48 8B 4D 27 E8 ?? ?? ?? ?? 0F B7 C3 48 8B 4D 47 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_9_21_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z"
		size = 487
		refs = "0024 __security_cookie 0075 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00ef ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01a3 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01bc ??3@YAXPEAX@Z 01cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F1 4D 8B E0 48 89 55 C8 48 8B F9 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C4 48 FF C1 8A 01 84 C0 75 EF 48 C7 45 F0 0F 00 00 00 48 83 65 E8 00 C6 45 D8 00 45 33 C0 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 32 C9 88 4D C0 33 DB 33 F6 4D 85 E4 0F 84 1A 01 00 00 EB 08 41 3A 06 74 0B 48 FF C3 42 8A 04 33 84 C0 75 F0 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 80 3C 30 00 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 30 48 03 D8 E9 A2 00 00 00 49 03 DF 42 8A 04 33 41 3A 06 74 73 84 C0 74 6F 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 62 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 42 0F BE 0C 33 0F B7 47 0A 3B C8 75 0A B1 01 88 4D C0 EB 26 44 8B EE 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 88 0C 32 8A 4D C0 48 FF C6 49 3B F4 0F 82 18 FF FF FF 84 C9 74 24 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 83 CD FF E9 D4 FE FF FF 48 83 7D F0 10 72 09 48 8B 4D D8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_23_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z"
		size = 487
		refs = "0024 __security_cookie 0075 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00ef ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01a3 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01bc ??3@YAXPEAX@Z 01cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F1 4D 8B E0 48 89 55 C8 48 8B F9 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C4 48 FF C1 8A 01 84 C0 75 EF 48 C7 45 F0 0F 00 00 00 48 83 65 E8 00 C6 45 D8 00 45 33 C0 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 32 C9 88 4D C0 33 DB 33 F6 4D 85 E4 0F 84 1A 01 00 00 EB 08 41 3A 06 74 0B 48 FF C3 42 8A 04 33 84 C0 75 F0 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 80 3C 30 00 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 30 48 03 D8 E9 A2 00 00 00 49 03 DF 42 8A 04 33 41 3A 06 74 73 84 C0 74 6F 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 62 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 42 0F BE 0C 33 0F B7 47 0A 3B C8 75 0A B1 01 88 4D C0 EB 26 44 8B EE 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 88 0C 32 8A 4D C0 48 FF C6 49 3B F4 0F 82 18 FF FF FF 84 C9 74 24 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 83 CD FF E9 D4 FE FF FF 48 83 7D F0 10 72 09 48 8B 4D D8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_25_2 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
		size = 510
		refs = "0024 __security_cookie 007b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0101 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01ba ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01d3 ??3@YAXPEAX@Z 01e2 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F1 4D 8B E0 48 89 55 C8 48 8B F9 33 C9 44 8B D1 66 41 39 09 74 1A 41 0F B7 01 66 41 3B 01 75 03 49 FF C4 49 FF C2 43 0F B7 04 51 66 85 C0 75 EA 48 C7 45 F0 0F 00 00 00 48 89 4D E8 88 4D D8 45 33 C0 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 45 33 C9 41 8A C9 88 4D C0 41 8B D9 41 8B F1 4D 85 E4 0F 84 25 01 00 00 EB 09 66 41 3B 06 74 0D 48 FF C3 41 0F B7 04 5E 66 85 C0 75 ED 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 44 38 0C 30 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 30 48 03 D8 E9 AA 00 00 00 49 03 DF 41 0F B7 04 5E 66 41 3B 06 74 79 66 85 C0 74 74 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 75 64 44 38 4F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 47 0A 66 41 39 04 5E 75 0A B1 01 88 4D C0 EB 26 44 8B EE 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 88 0C 32 8A 4D C0 48 FF C6 49 3B F4 0F 82 0E FF FF FF 84 C9 74 24 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 83 CD FF E9 C3 FE FF FF 48 83 7D F0 10 72 09 48 8B 4D D8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_27_2 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
		size = 510
		refs = "0024 __security_cookie 007b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0101 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01ba ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01d3 ??3@YAXPEAX@Z 01e2 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F1 4D 8B E0 48 89 55 C8 48 8B F9 33 C9 44 8B D1 66 41 39 09 74 1A 41 0F B7 01 66 41 3B 01 75 03 49 FF C4 49 FF C2 43 0F B7 04 51 66 85 C0 75 EA 48 C7 45 F0 0F 00 00 00 48 89 4D E8 88 4D D8 45 33 C0 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 41 BD FE FF FF FF 45 8D 7D 03 45 33 C9 41 8A C9 88 4D C0 41 8B D9 41 8B F1 4D 85 E4 0F 84 25 01 00 00 EB 09 66 41 3B 06 74 0D 48 FF C3 41 0F B7 04 5E 66 85 C0 75 ED 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 44 38 0C 30 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 30 48 03 D8 E9 AA 00 00 00 49 03 DF 41 0F B7 04 5E 66 41 3B 06 74 79 66 85 C0 74 74 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 75 64 44 38 4F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 47 0A 66 41 39 04 5E 75 0A B1 01 88 4D C0 EB 26 44 8B EE 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B F9 41 0F B6 C7 0F 42 C8 88 0C 32 8A 4D C0 48 FF C6 49 3B F4 0F 82 0E FF FF FF 84 C9 74 24 48 8B 55 C8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 83 CD FF E9 C3 FE FF FF 48 83 7D F0 10 72 09 48 8B 4D D8 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_54_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z"
		size = 66
		refs = "0039 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 83 EC 38 48 83 79 18 08 72 05 4C 8B 09 EB 03 4C 8B C9 48 83 79 18 08 48 8B 41 10 49 8D 04 41 72 05 4C 8B 11 EB 03 4C 8B D1 4C 89 44 24 20 4C 8B CA 4C 8B C0 49 8B D2 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_9_55_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z"
		size = 66
		refs = "0039 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 83 EC 38 48 83 79 18 08 72 05 4C 8B 09 EB 03 4C 8B C9 48 83 79 18 08 48 8B 41 10 49 8D 04 41 72 05 4C 8B 11 EB 03 4C 8B D1 4C 89 44 24 20 4C 8B CA 4C 8B C0 49 8B D2 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_9_166_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@$$QEAV01@@Z"
		size = 40
		refs = "001b ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_169_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG_K@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_171_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_172_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@$$QEAV01@@Z"
		size = 40
		refs = "001b ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_175_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W_K@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_177_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_167_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z"
		size = 47
		refs = "0022 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 49 83 C9 FF 48 89 41 10 45 33 C0 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_173_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
		size = 47
		refs = "0022 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 49 83 C9 FF 48 89 41 10 45 33 C0 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_168_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B FA 48 89 41 10 66 89 01 48 8B D9 66 39 02 74 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_174_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B FA 48 89 41 10 66 89 01 48 8B D9 66 39 02 74 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_170_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 21
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 66 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_242_2 {
	meta:
		name = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 47
		refs = "0014 ??3@YAXPEAX@Z"
		altNames = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 18 08 48 8B D9 72 08 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 C7 43 18 07 00 00 00 48 89 43 10 66 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_289_2 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 78
		refs = "0020 ??3@YAXPEAX@Z 003c ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
		altNames = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 2B 48 83 79 18 08 72 08 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 C7 43 18 07 00 00 00 48 8B D7 48 89 43 10 48 8B CB 66 89 03 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_291_2 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 78
		refs = "0020 ??3@YAXPEAX@Z 003c ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 2B 48 83 79 18 08 72 08 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 C7 43 18 07 00 00 00 48 8B D7 48 89 43 10 48 8B CB 66 89 03 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_746_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 78
		refs = "0020 ??3@YAXPEAX@Z 003c ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 2B 48 83 79 18 08 72 08 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 C7 43 18 07 00 00 00 48 8B D7 48 89 43 10 48 8B CB 66 89 03 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_393_2 {
	meta:
		name = "?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
		size = 110
		refs = "002b memmove"
		altNames = "?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 83 7A 18 08 48 8B DA 48 8B F9 73 13 4C 8B 42 10 49 FF C0 74 18 4D 03 C0 E8 ?? ?? ?? ?? EB 0E 48 85 C9 74 06 48 8B 02 48 89 01 48 89 32 48 8B 43 10 48 89 47 10 48 8B 43 18 48 89 47 18 48 89 73 10 48 C7 43 18 07 00 00 00 66 89 33 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_400_2 {
	meta:
		name = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0G@Z"
		size = 63
		altNames = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0_W@Z"
	strings:
		$1 = { 48 89 7C 24 08 49 83 F8 01 75 11 48 83 79 18 08 72 03 48 8B 09 66 44 89 0C 51 EB 1D 48 83 79 18 08 72 03 48 8B 09 48 8D 3C 51 4D 85 C0 74 0A 41 0F B7 C1 49 8B C8 66 F3 AB 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_9_409_2 {
	meta:
		name = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
		size = 280
		refs = "0095 ??2@YAPEAX_K@Z 00a2 ?_Xbad_alloc@std@@YAXXZ 00e0 memcpy 00ef ??3@YAXPEAX@Z"
		altNames = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 48 C7 40 C8 FE FF FF FF 4D 8B F0 48 8B D9 48 8B FA 48 83 CF 07 49 B9 FE FF FF FF FF FF FF 7F 49 3B F9 76 05 48 8B FA EB 31 4C 8B 41 18 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E7 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 3C 01 76 03 49 8B F9 48 8D 4F 01 33 F6 44 8B FE 48 85 C9 74 25 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 10 48 03 C9 E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 75 06 E8 ?? ?? ?? ?? 90 EB 16 33 F6 48 8B 5C 24 60 4C 8B 74 24 70 48 8B 7C 24 68 4C 8B 7C 24 78 4D 85 F6 74 20 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 4D 85 F6 74 0C 4F 8D 04 36 49 8B CF E8 ?? ?? ?? ?? 48 83 7B 18 08 72 08 48 8B 0B E8 ?? ?? ?? ?? 4C 89 3B 48 89 7B 18 4C 89 73 10 48 83 FF 08 72 03 49 8B DF 66 42 89 34 73 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_9_413_2 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z$1"
		size = 47
		refs = "000f ??3@YAXPEAX@Z 002a _CxxThrowException"
		altNames = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z$1"
	strings:
		$1 = { 48 8B 5D 60 48 83 7B 18 08 72 08 48 8B 0B E8 ?? ?? ?? ?? 48 C7 43 18 07 00 00 00 48 83 63 10 00 33 C0 66 89 03 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_9_427_2 {
	meta:
		name = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
		size = 21
		altNames = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
	strings:
		$1 = { 48 83 79 18 08 48 89 51 10 72 03 48 8B 09 33 C0 66 89 04 51 C3 }
	condition:
		$1
}

rule file_9_431_2 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z"
		size = 1172
		refs = "0028 __security_cookie 007e ??_C@_02MDKMJEGG@eE?$AA@ 0087 ??_C@_02OOPEBDOJ@pP?$AA@ 00aa strcspn 00bc localeconv 00df ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00e8 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 013d ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0171 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 01a1 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01e7 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 02e0 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 0446 ??3@YAXPEAX@Z 0475 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC B0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E9 4C 89 4D 9F 49 8B F0 48 89 55 AF 0F B7 45 67 66 89 44 24 22 48 8B 5D 6F 4C 8B B5 8F 00 00 00 33 C9 4D 85 F6 74 0B 8A 03 2C 2B A8 FD 8D 41 01 74 02 8B C1 48 63 F8 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 22 48 8D 15 ?? ?? ?? ?? 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8B CB E8 ?? ?? ?? ?? 48 89 45 A7 B8 2E 00 00 00 66 89 45 97 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 45 97 48 8D 55 97 48 8B CB E8 ?? ?? ?? ?? 4C 8B E0 48 8D 55 87 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 87 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B 07 B2 30 49 8B CF FF 50 60 66 89 44 24 20 48 C7 45 D7 07 00 00 00 33 C0 48 89 45 CF 66 89 45 BF 45 33 C0 49 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 08 4C 0F 43 4D BF 49 8B 07 4D 8D 04 1E 48 8B D3 49 8B CF FF 50 58 48 8D 55 87 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 87 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 90 49 8B 07 49 8B CF FF 50 20 66 89 45 9B 44 0F B7 4C 24 20 48 8D 4D BF 4D 3B E6 75 11 4C 8B 45 77 48 8B 45 A7 4E 8D 34 00 48 8B D0 EB 5F 48 8B 5D 77 4D 8D 34 1C 4C 8B 85 87 00 00 00 48 8B 55 A7 E8 ?? ?? ?? ?? 49 8D 54 24 01 44 0F B7 4C 24 20 4C 8B 45 7F 48 8D 4D BF E8 ?? ?? ?? ?? 49 8B 07 49 8B CF FF 50 18 0F B7 C8 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 66 42 89 0C 60 44 0F B7 4C 24 20 4C 8B C3 49 8B D4 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 8A 03 3C 7F 74 45 44 0F B7 7D 9B 45 33 E4 84 C0 7E 39 48 0F BE C8 49 8B C6 48 2B C7 48 3B C8 73 2A 4C 2B F1 45 0F B7 CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 43 01 44 38 20 48 0F 4F D8 8A 03 3C 7F 75 C3 4C 8B 75 CF 49 8B 5D 28 33 C9 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 03 48 8B D9 41 8B 45 18 25 C0 01 00 00 0F 10 06 0F 29 45 87 83 F8 40 0F 84 D0 00 00 00 3D 00 01 00 00 74 63 48 85 DB 74 1E 44 0F B7 7C 24 22 41 0F B7 D7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 87 33 C9 F3 0F 7F 06 48 8B D9 0F 29 45 87 4C 8D 7D BF 48 83 7D D7 08 4C 0F 43 7D BF 4C 8B E7 48 85 FF 0F 84 B5 00 00 00 41 0F B7 17 48 8D 4D 87 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CC 75 EA E9 92 00 00 00 4C 8D 7D BF 48 83 7D D7 08 4C 0F 43 7D BF 4C 8B E7 48 85 FF 74 20 41 0F B7 17 48 8D 4D 87 E8 ?? ?? ?? ?? 49 83 C7 02 49 FF CC 75 EA 0F 28 45 87 4C 8B 6D 9F 33 C9 F3 0F 7F 06 0F 29 45 87 48 85 DB 74 1E 44 0F B7 7C 24 22 41 0F B7 D7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 87 33 C9 48 8B D9 EB 34 4C 8D 7D BF 48 83 7D D7 08 4C 0F 43 7D BF 4C 8B E7 48 85 FF 74 1E 41 0F B7 17 48 8D 4D 87 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CC 75 EA 0F 28 45 87 4C 8B 6D 9F F3 0F 7F 06 0F 29 45 87 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 4C 2B F7 48 8D 3C 78 74 1D 0F B7 17 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 7F 02 49 FF CE 75 EB 0F 28 45 87 4C 8B 6D 9F F3 0F 7F 06 33 FF 49 89 7D 28 0F 10 06 0F 29 45 87 48 85 DB 74 17 0F B7 54 24 22 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 45 87 48 8B 5D AF F3 0F 7F 03 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 48 89 7D EF 40 88 7D DF 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_436_2 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z"
		size = 1172
		refs = "0028 __security_cookie 007e ??_C@_02MDKMJEGG@eE?$AA@ 0087 ??_C@_02OOPEBDOJ@pP?$AA@ 00aa strcspn 00bc localeconv 00df ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00e8 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 013d ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0171 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 01a1 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01e7 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 02e0 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 0446 ??3@YAXPEAX@Z 0475 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC B0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E9 4C 89 4D 9F 49 8B F0 48 89 55 AF 0F B7 45 67 66 89 44 24 22 48 8B 5D 6F 4C 8B B5 8F 00 00 00 33 C9 4D 85 F6 74 0B 8A 03 2C 2B A8 FD 8D 41 01 74 02 8B C1 48 63 F8 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 22 48 8D 15 ?? ?? ?? ?? 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8B CB E8 ?? ?? ?? ?? 48 89 45 A7 B8 2E 00 00 00 66 89 45 97 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 45 97 48 8D 55 97 48 8B CB E8 ?? ?? ?? ?? 4C 8B E0 48 8D 55 87 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 87 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B 07 B2 30 49 8B CF FF 50 60 66 89 44 24 20 48 C7 45 D7 07 00 00 00 33 C0 48 89 45 CF 66 89 45 BF 45 33 C0 49 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 08 4C 0F 43 4D BF 49 8B 07 4D 8D 04 1E 48 8B D3 49 8B CF FF 50 58 48 8D 55 87 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 87 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 90 49 8B 07 49 8B CF FF 50 20 66 89 45 9B 44 0F B7 4C 24 20 48 8D 4D BF 4D 3B E6 75 11 4C 8B 45 77 48 8B 45 A7 4E 8D 34 00 48 8B D0 EB 5F 48 8B 5D 77 4D 8D 34 1C 4C 8B 85 87 00 00 00 48 8B 55 A7 E8 ?? ?? ?? ?? 49 8D 54 24 01 44 0F B7 4C 24 20 4C 8B 45 7F 48 8D 4D BF E8 ?? ?? ?? ?? 49 8B 07 49 8B CF FF 50 18 0F B7 C8 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 66 42 89 0C 60 44 0F B7 4C 24 20 4C 8B C3 49 8B D4 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 8A 03 3C 7F 74 45 44 0F B7 7D 9B 45 33 E4 84 C0 7E 39 48 0F BE C8 49 8B C6 48 2B C7 48 3B C8 73 2A 4C 2B F1 45 0F B7 CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 43 01 44 38 20 48 0F 4F D8 8A 03 3C 7F 75 C3 4C 8B 75 CF 49 8B 5D 28 33 C9 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 03 48 8B D9 41 8B 45 18 25 C0 01 00 00 0F 10 06 0F 29 45 87 83 F8 40 0F 84 D0 00 00 00 3D 00 01 00 00 74 63 48 85 DB 74 1E 44 0F B7 7C 24 22 41 0F B7 D7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 87 33 C9 F3 0F 7F 06 48 8B D9 0F 29 45 87 4C 8D 7D BF 48 83 7D D7 08 4C 0F 43 7D BF 4C 8B E7 48 85 FF 0F 84 B5 00 00 00 41 0F B7 17 48 8D 4D 87 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CC 75 EA E9 92 00 00 00 4C 8D 7D BF 48 83 7D D7 08 4C 0F 43 7D BF 4C 8B E7 48 85 FF 74 20 41 0F B7 17 48 8D 4D 87 E8 ?? ?? ?? ?? 49 83 C7 02 49 FF CC 75 EA 0F 28 45 87 4C 8B 6D 9F 33 C9 F3 0F 7F 06 0F 29 45 87 48 85 DB 74 1E 44 0F B7 7C 24 22 41 0F B7 D7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 87 33 C9 48 8B D9 EB 34 4C 8D 7D BF 48 83 7D D7 08 4C 0F 43 7D BF 4C 8B E7 48 85 FF 74 1E 41 0F B7 17 48 8D 4D 87 E8 ?? ?? ?? ?? 4D 8D 7F 02 49 FF CC 75 EA 0F 28 45 87 4C 8B 6D 9F F3 0F 7F 06 0F 29 45 87 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 4C 2B F7 48 8D 3C 78 74 1D 0F B7 17 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 7F 02 49 FF CE 75 EB 0F 28 45 87 4C 8B 6D 9F F3 0F 7F 06 33 FF 49 89 7D 28 0F 10 06 0F 29 45 87 48 85 DB 74 17 0F B7 54 24 22 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 45 87 48 8B 5D AF F3 0F 7F 03 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 48 89 7D EF 40 88 7D DF 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_521_2 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2853
		refs = "0028 __security_cookie 006c ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 007d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0086 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00be ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e2 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0116 ?_Src@?3??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 012e ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01f8 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 03e6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 048f ??3@YAXPEAX@Z 061b localeconv 0b06 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC E0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B F1 4C 89 4C 24 48 49 8B F8 4C 8B F2 48 89 55 97 48 8B 5D 77 4C 8B 45 7F 8B 43 18 BA 00 30 00 00 23 C2 3B C2 75 1A 4C 89 44 24 28 48 89 5C 24 20 4C 8B C7 49 8B D6 E8 ?? ?? ?? ?? E9 89 0A 00 00 48 8D 55 87 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 8F 48 8B 4D 87 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 C7 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FE 4C 89 74 24 38 44 88 64 24 31 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 58 48 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 84 C0 0F 85 BD 00 00 00 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 06 2B EB 55 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 15 41 C6 06 2D 4D 8D 7E 01 4C 89 7C 24 38 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 44 88 64 24 30 44 89 64 24 40 33 C9 8B D9 89 4C 24 34 4C 8D 75 C7 48 83 7D DF 10 4C 0F 43 75 C7 41 8A 06 FE C8 3C 7D 0F 87 6C 02 00 00 48 39 4D D7 75 05 0F B7 F1 EB 0F 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 33 C9 48 C7 45 BF 0F 00 00 00 66 89 5D A7 48 C7 45 B7 01 00 00 00 48 8B D9 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 BC 01 00 00 44 38 5F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 66 C6 44 24 30 01 41 83 FC 24 7C 06 FF 44 24 34 EB 27 48 85 C0 75 05 45 85 E4 74 1D 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 4C 89 7C 24 38 41 FF C4 44 89 64 24 40 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 AD 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 FE 04 18 E9 97 00 00 00 48 8D 45 A7 4C 8B 55 A7 4C 8B 4D BF 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A1 00 00 00 66 85 F6 0F 84 98 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D BF 4C 8B 55 A7 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 66 39 77 0A 75 3B 45 33 C0 41 8D 50 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 68 FE FF FF 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 74 67 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 50 48 FF C3 EB 08 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 74 43 41 8A 0E 80 F9 7F 74 3B 48 FF CB 74 11 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 08 7C 0B 45 38 5E 01 7E C2 49 FF C6 EB BD C6 44 24 31 01 49 83 F9 10 0F 82 01 01 00 00 49 8B CA E8 ?? ?? ?? ?? E9 F4 00 00 00 4C 8B 74 24 48 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 FB 00 00 00 41 BD FF FF 00 00 44 38 4F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 48 41 83 FC 24 7C 04 FF C3 EB 1D 48 85 C0 75 05 45 85 E4 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 41 FF FF FF 89 5C 24 34 44 89 64 24 40 4C 89 7C 24 38 4C 8B 6D 8F EB 0A 4C 8B 74 24 48 40 8A 74 24 30 33 DB 40 84 F6 74 11 45 85 E4 75 0C 41 C6 07 30 49 FF C7 4C 89 7C 24 38 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 49 8B 45 00 49 8B CD FF 50 18 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 4C 89 7C 24 38 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 B5 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 44 8B 64 24 34 41 BF FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 47 0A 66 3B 45 E7 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 93 44 89 64 24 34 4C 8B 7C 24 38 44 8B 64 24 40 44 8B 6C 24 34 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 34 EB 05 44 8B 6C 24 34 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 37 41 83 FC 24 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 34 45 33 E4 40 84 F6 0F 84 09 03 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F6 02 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 01 74 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FF 0F 85 46 02 00 00 41 C6 07 65 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 07 2B EB 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 E7 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 40 84 F6 44 8B 6C 24 34 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 35 83 FB 08 7D 12 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 34 44 38 64 24 31 75 05 40 84 F6 75 04 4C 8B 7D 97 45 88 27 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_526_2 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2853
		refs = "0028 __security_cookie 006c ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 007d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0086 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00be ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e2 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0116 ?_Src@?3??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 012e ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01f8 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 03e6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 048f ??3@YAXPEAX@Z 061b localeconv 0b06 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC E0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B F1 4C 89 4C 24 48 49 8B F8 4C 8B F2 48 89 55 97 48 8B 5D 77 4C 8B 45 7F 8B 43 18 BA 00 30 00 00 23 C2 3B C2 75 1A 4C 89 44 24 28 48 89 5C 24 20 4C 8B C7 49 8B D6 E8 ?? ?? ?? ?? E9 89 0A 00 00 48 8D 55 87 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 8F 48 8B 4D 87 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 C7 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FE 4C 89 74 24 38 44 88 64 24 31 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 40 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 58 48 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 84 C0 0F 85 BD 00 00 00 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 06 2B EB 55 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 15 41 C6 06 2D 4D 8D 7E 01 4C 89 7C 24 38 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 44 88 64 24 30 44 89 64 24 40 33 C9 8B D9 89 4C 24 34 4C 8D 75 C7 48 83 7D DF 10 4C 0F 43 75 C7 41 8A 06 FE C8 3C 7D 0F 87 6C 02 00 00 48 39 4D D7 75 05 0F B7 F1 EB 0F 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 33 C9 48 C7 45 BF 0F 00 00 00 66 89 5D A7 48 C7 45 B7 01 00 00 00 48 8B D9 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 BC 01 00 00 44 38 5F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 66 C6 44 24 30 01 41 83 FC 24 7C 06 FF 44 24 34 EB 27 48 85 C0 75 05 45 85 E4 74 1D 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 4C 89 7C 24 38 41 FF C4 44 89 64 24 40 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 AD 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 FE 04 18 E9 97 00 00 00 48 8D 45 A7 4C 8B 55 A7 4C 8B 4D BF 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A1 00 00 00 66 85 F6 0F 84 98 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D BF 4C 8B 55 A7 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 66 39 77 0A 75 3B 45 33 C0 41 8D 50 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 68 FE FF FF 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 74 67 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 50 48 FF C3 EB 08 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 74 43 41 8A 0E 80 F9 7F 74 3B 48 FF CB 74 11 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 08 7C 0B 45 38 5E 01 7E C2 49 FF C6 EB BD C6 44 24 31 01 49 83 F9 10 0F 82 01 01 00 00 49 8B CA E8 ?? ?? ?? ?? E9 F4 00 00 00 4C 8B 74 24 48 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 FB 00 00 00 41 BD FF FF 00 00 44 38 4F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 48 41 83 FC 24 7C 04 FF C3 EB 1D 48 85 C0 75 05 45 85 E4 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 41 FF FF FF 89 5C 24 34 44 89 64 24 40 4C 89 7C 24 38 4C 8B 6D 8F EB 0A 4C 8B 74 24 48 40 8A 74 24 30 33 DB 40 84 F6 74 11 45 85 E4 75 0C 41 C6 07 30 49 FF C7 4C 89 7C 24 38 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 49 8B 45 00 49 8B CD FF 50 18 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 4C 89 7C 24 38 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 B5 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 44 8B 64 24 34 41 BF FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 47 0A 66 3B 45 E7 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 93 44 89 64 24 34 4C 8B 7C 24 38 44 8B 64 24 40 44 8B 6C 24 34 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 34 EB 05 44 8B 6C 24 34 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 37 41 83 FC 24 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 34 45 33 E4 40 84 F6 0F 84 09 03 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F6 02 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 01 74 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FF 0F 85 46 02 00 00 41 C6 07 65 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 07 2B EB 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 E7 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 40 84 F6 44 8B 6C 24 34 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 35 83 FB 08 7D 12 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 34 44 38 64 24 31 75 05 40 84 F6 75 04 4C 8B 7D 97 45 88 27 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_531_2 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3146
		refs = "0028 __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0065 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 009f ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b6 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00ea ?_Src@?1??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 010a ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01cf ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 050a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 05b3 ??3@YAXPEAX@Z 0738 localeconv 0c2b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC F0 00 00 00 48 C7 45 87 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B F1 4C 89 4C 24 38 49 8B F8 4C 8B F2 48 89 54 24 48 48 8B 5D 77 48 8B 45 7F 48 89 44 24 58 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 50 48 8B 4C 24 40 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 AF 49 8B CD E8 ?? ?? ?? ?? 90 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 28 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D CF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 58 4D 8B FE 44 88 64 24 21 48 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 84 C0 0F 85 B8 00 00 00 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 06 2B EB 55 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 10 41 C6 06 2D 4D 8D 7E 01 48 8B CF E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 4C 89 7C 24 28 44 88 64 24 20 44 89 64 24 30 45 33 F6 41 8B DE 89 5C 24 24 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 32 01 00 00 44 38 77 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 CF 0F 85 D8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 F6 84 C0 0F 85 B4 00 00 00 40 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 01 74 55 40 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 FF 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 09 C6 44 24 20 01 EB 02 33 F6 4C 8D 75 AF 48 83 7D C7 10 4C 0F 43 75 AF 41 8A 06 FE C8 3C 7D 0F 87 64 02 00 00 48 39 75 BF 74 0D 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 48 C7 45 A7 0F 00 00 00 66 89 5D 8F 48 C7 45 9F 01 00 00 00 33 DB 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 BC 01 00 00 44 38 5F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 66 C6 44 24 20 01 41 83 FC 24 7C 06 FF 44 24 24 EB 27 48 85 C0 75 05 45 85 E4 74 1D 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 4C 89 7C 24 28 41 FF C4 44 89 64 24 30 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F 80 3C 18 7F 0F 84 AD 00 00 00 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F FE 04 18 E9 97 00 00 00 48 8D 45 8F 4C 8B 55 8F 4C 8B 4D A7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A1 00 00 00 66 85 F6 0F 84 98 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D A7 4C 8B 55 8F 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 66 39 77 0A 75 3B 45 33 C0 41 8D 50 01 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 68 FE FF FF 4C 8B 4D A7 4C 8B 55 8F 48 85 DB 74 67 48 8D 45 8F 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 50 48 FF C3 EB 08 4C 8B 4D A7 4C 8B 55 8F 48 85 DB 74 43 41 8A 0E 80 F9 7F 74 3B 48 FF CB 74 11 48 8D 45 8F 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 8F 49 83 F9 10 49 0F 43 C2 3A 08 7C 0B 45 38 5E 01 7E C2 49 FF C6 EB BD C6 44 24 21 01 49 83 F9 10 0F 82 FA 00 00 00 49 8B CA E8 ?? ?? ?? ?? E9 ED 00 00 00 4C 8B 74 24 38 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 DA 00 00 00 41 BD FF FF 00 00 40 38 77 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 47 41 83 FC 24 7C 04 FF C3 EB 1D 48 85 C0 75 05 45 85 E4 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 C6 44 24 20 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 89 5C 24 24 44 89 64 24 30 4C 89 7C 24 28 4C 8B 6C 24 50 EB 05 4C 8B 74 24 38 40 8A 74 24 20 33 DB 40 84 F6 74 11 45 85 E4 75 0C 41 C6 07 30 49 FF C7 4C 89 7C 24 28 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 49 8B 45 00 49 8B CD FF 50 18 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 4C 89 7C 24 28 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 B5 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 44 8B 64 24 24 41 BF FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 47 0A 66 3B 45 CF 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 93 44 89 64 24 24 4C 8B 7C 24 28 44 8B 64 24 30 44 8B 6C 24 24 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 24 EB 05 44 8B 6C 24 24 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 37 41 83 FC 24 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 24 45 33 E4 40 84 F6 0F 84 09 03 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F6 02 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 05 74 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 03 0F 85 46 02 00 00 41 C6 07 70 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 07 2B EB 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 CF 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 40 84 F6 44 8B 6C 24 24 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 35 83 FB 08 7D 12 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 24 44 38 64 24 21 75 05 40 84 F6 75 05 4C 8B 7C 24 48 45 88 27 48 8B 44 24 58 44 89 28 48 83 7D C7 10 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_536_2 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3146
		refs = "0028 __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0065 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 009f ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b6 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00ea ?_Src@?1??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 010a ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01cf ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 050a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 05b3 ??3@YAXPEAX@Z 0738 localeconv 0c2b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC F0 00 00 00 48 C7 45 87 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B F1 4C 89 4C 24 38 49 8B F8 4C 8B F2 48 89 54 24 48 48 8B 5D 77 48 8B 45 7F 48 89 44 24 58 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 50 48 8B 4C 24 40 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 AF 49 8B CD E8 ?? ?? ?? ?? 90 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 28 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D CF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 58 4D 8B FE 44 88 64 24 21 48 8B D6 48 8B CF E8 ?? ?? ?? ?? BB FF FF 00 00 84 C0 0F 85 B8 00 00 00 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 06 2B EB 55 44 38 67 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 10 41 C6 06 2D 4D 8D 7E 01 48 8B CF E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 4C 89 7C 24 28 44 88 64 24 20 44 89 64 24 30 45 33 F6 41 8B DE 89 5C 24 24 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 32 01 00 00 44 38 77 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 CF 0F 85 D8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 F6 84 C0 0F 85 B4 00 00 00 40 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 01 74 55 40 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 0F B7 47 0A 66 3B 45 FF 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 09 C6 44 24 20 01 EB 02 33 F6 4C 8D 75 AF 48 83 7D C7 10 4C 0F 43 75 AF 41 8A 06 FE C8 3C 7D 0F 87 64 02 00 00 48 39 75 BF 74 0D 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 48 C7 45 A7 0F 00 00 00 66 89 5D 8F 48 C7 45 9F 01 00 00 00 33 DB 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 BC 01 00 00 44 38 5F 08 75 49 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 66 C6 44 24 20 01 41 83 FC 24 7C 06 FF 44 24 24 EB 27 48 85 C0 75 05 45 85 E4 74 1D 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 4C 89 7C 24 28 41 FF C4 44 89 64 24 30 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F 80 3C 18 7F 0F 84 AD 00 00 00 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F FE 04 18 E9 97 00 00 00 48 8D 45 8F 4C 8B 55 8F 4C 8B 4D A7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A1 00 00 00 66 85 F6 0F 84 98 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D A7 4C 8B 55 8F 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F C6 47 08 01 66 39 77 0A 75 3B 45 33 C0 41 8D 50 01 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 68 FE FF FF 4C 8B 4D A7 4C 8B 55 8F 48 85 DB 74 67 48 8D 45 8F 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 50 48 FF C3 EB 08 4C 8B 4D A7 4C 8B 55 8F 48 85 DB 74 43 41 8A 0E 80 F9 7F 74 3B 48 FF CB 74 11 48 8D 45 8F 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 8F 49 83 F9 10 49 0F 43 C2 3A 08 7C 0B 45 38 5E 01 7E C2 49 FF C6 EB BD C6 44 24 21 01 49 83 F9 10 0F 82 FA 00 00 00 49 8B CA E8 ?? ?? ?? ?? E9 ED 00 00 00 4C 8B 74 24 38 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 DA 00 00 00 41 BD FF FF 00 00 40 38 77 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 37 C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 47 41 83 FC 24 7C 04 FF C3 EB 1D 48 85 C0 75 05 45 85 E4 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 C6 44 24 20 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 89 5C 24 24 44 89 64 24 30 4C 89 7C 24 28 4C 8B 6C 24 50 EB 05 4C 8B 74 24 38 40 8A 74 24 20 33 DB 40 84 F6 74 11 45 85 E4 75 0C 41 C6 07 30 49 FF C7 4C 89 7C 24 28 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 49 8B 45 00 49 8B CD FF 50 18 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 4C 89 7C 24 28 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 B5 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 44 8B 64 24 24 41 BF FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 47 0A 66 3B 45 CF 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 93 44 89 64 24 24 4C 8B 7C 24 28 44 8B 64 24 30 44 8B 6C 24 24 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 24 EB 05 44 8B 6C 24 24 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 38 5F 08 75 41 48 8B 0F 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 37 41 83 FC 24 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 24 45 33 E4 40 84 F6 0F 84 09 03 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 F6 02 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 05 74 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 03 0F 85 46 02 00 00 41 C6 07 70 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FD 75 06 41 C6 07 2B EB 5A 44 38 67 08 75 46 48 8B 0F 48 85 C9 74 37 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 FB 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 0F B7 47 0A 66 3B 45 CF 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 94 40 84 F6 44 8B 6C 24 24 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 41 BD FF FF 00 00 44 38 67 08 75 42 48 8B 0F 48 85 C9 74 33 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 4C 89 27 C6 47 08 01 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 83 F8 16 73 35 83 FB 08 7D 12 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 44 8B 6C 24 24 44 38 64 24 21 75 05 40 84 F6 75 05 4C 8B 7C 24 48 45 88 27 48 8B 44 24 58 44 89 28 48 83 7D C7 10 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_545_2 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z"
		size = 1535
		refs = "0028 __security_cookie 004d ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 005c ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0084 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0092 ?_Src@?1??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00ae ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0173 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 04d1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 05ae ??3@YAXPEAX@Z 05e0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC C0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B E1 4C 89 4C 24 28 49 8B D8 4C 8B FA 48 89 55 87 48 8B 75 7F 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 B7 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D C7 75 08 66 44 89 6C 24 22 EB 0E 48 8B 07 48 8B CF FF 50 20 66 89 44 24 22 48 8B CE E8 ?? ?? ?? ?? 4C 8B 10 4C 8D 4D D7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 41 FF 52 58 4D 8B F7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? BF FF FF 00 00 84 C0 0F 85 B8 00 00 00 44 38 6B 08 75 41 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F8 74 06 66 89 43 0A EB 03 4C 89 2B C6 43 08 01 0F B7 43 0A 66 3B 45 05 75 06 41 C6 07 2B EB 55 44 38 6B 08 75 41 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F8 74 06 66 89 43 0A EB 03 4C 89 2B C6 43 08 01 0F B7 43 0A 66 3B 45 03 75 10 41 C6 07 2D 4D 8D 77 01 48 8B CB E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 1B F6 BF 0A 00 00 00 23 F7 8D 47 06 81 F9 00 08 00 00 0F 44 F0 8D 47 FE 81 F9 00 04 00 00 0F 44 F0 33 C0 88 44 24 20 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 5D 01 00 00 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 D7 0F 85 00 01 00 00 41 B5 01 48 8B CB E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 D2 00 00 00 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 09 74 59 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 07 75 20 F7 C6 EF FF FF FF 75 18 BE 10 00 00 00 45 8A E9 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 8D 46 F8 EB 1A B8 08 00 00 00 85 F6 75 0D 8B F0 EB 05 B8 08 00 00 00 85 F6 74 0E 3B F7 74 0A BF 16 00 00 00 3B F0 0F 44 F8 4C 63 E7 48 C7 45 AF 0F 00 00 00 44 88 6D 97 48 C7 45 A7 01 00 00 00 44 88 4D 98 49 8B F9 49 83 C7 1F 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 33 D2 84 C0 0F 85 B6 01 00 00 38 53 08 75 45 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 06 48 8B 41 50 8B 10 33 C0 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 33 D2 66 3B C8 74 06 66 89 43 0A EB 03 48 89 13 C6 43 08 01 48 8D 45 D7 0F B7 4D D7 EB 0D 66 3B 4B 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D D7 48 2B C1 48 D1 F8 49 3B C4 73 56 48 8D 0D ?? ?? ?? ?? 8A 0C 08 41 88 0E 38 54 24 20 75 05 80 F9 30 74 0D 4D 3B F7 73 08 49 FF C6 C6 44 24 20 01 41 B5 01 48 8D 45 97 48 83 7D AF 10 48 0F 43 45 97 80 3C 38 7F 0F 84 B5 00 00 00 48 8D 45 97 48 83 7D AF 10 48 0F 43 45 97 FE 04 38 E9 9F 00 00 00 48 8D 45 97 4C 8B 5D 97 4C 8B 55 AF 49 83 FA 10 49 0F 43 C3 38 14 38 0F 84 A9 00 00 00 44 0F B7 4C 24 22 66 45 85 C9 0F 84 99 00 00 00 38 53 08 75 53 48 8B 0B 48 85 C9 74 44 48 8B 41 38 4C 8B 00 4D 85 C0 74 06 48 8B 41 50 8B 10 33 C0 85 D2 7E 06 41 0F B7 00 EB 14 48 8B 01 FF 50 30 4C 8B 55 AF 4C 8B 5D 97 44 0F B7 4C 24 22 B9 FF FF 00 00 33 D2 66 3B C8 74 06 66 89 43 0A EB 03 48 89 13 C6 43 08 01 66 44 39 4B 0A 75 3A 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 33 D2 84 C0 0F 84 77 FE FF FF 4C 8B 55 AF 4C 8B 5D 97 41 BF 10 00 00 00 48 85 FF 74 28 48 8D 45 97 4D 3B D7 49 0F 43 C3 38 14 38 7E 05 48 FF C7 EB 13 44 8A EA EB 0E 4C 8B 55 AF 4C 8B 5D 97 41 BF 10 00 00 00 48 8D 4D B7 48 8B 55 B7 4C 8B 4D CF 4D 3B CF 48 0F 43 CA 33 DB 45 84 ED 74 52 48 85 FF 74 3E 44 8A 01 41 80 F8 7F 74 35 48 FF CF 74 11 48 8D 45 97 4D 3B D7 49 0F 43 C3 44 3A 04 38 75 2E 48 85 FF 75 10 48 8D 45 97 4D 3B D7 49 0F 43 C3 44 3A 00 7C 19 38 59 01 7E C2 48 FF C1 EB BD 38 5C 24 20 75 0D 41 C6 06 30 49 FF C6 EB 04 4C 8B 75 87 41 88 1E 4D 3B D7 72 10 49 8B CB E8 ?? ?? ?? ?? 4C 8B 4D CF 48 8B 55 B7 48 C7 45 AF 0F 00 00 00 48 89 5D A7 88 5D 97 4D 3B CF 72 08 48 8B CA E8 ?? ?? ?? ?? 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_548_2 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z"
		size = 1535
		refs = "0028 __security_cookie 004d ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 005c ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0084 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0092 ?_Src@?1??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00ae ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0173 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 04d1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 05ae ??3@YAXPEAX@Z 05e0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC C0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B E1 4C 89 4C 24 28 49 8B D8 4C 8B FA 48 89 55 87 48 8B 75 7F 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 B7 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D C7 75 08 66 44 89 6C 24 22 EB 0E 48 8B 07 48 8B CF FF 50 20 66 89 44 24 22 48 8B CE E8 ?? ?? ?? ?? 4C 8B 10 4C 8D 4D D7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 41 FF 52 58 4D 8B F7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? BF FF FF 00 00 84 C0 0F 85 B8 00 00 00 44 38 6B 08 75 41 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F8 74 06 66 89 43 0A EB 03 4C 89 2B C6 43 08 01 0F B7 43 0A 66 3B 45 05 75 06 41 C6 07 2B EB 55 44 38 6B 08 75 41 48 8B 0B 48 85 C9 74 32 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F8 74 06 66 89 43 0A EB 03 4C 89 2B C6 43 08 01 0F B7 43 0A 66 3B 45 03 75 10 41 C6 07 2D 4D 8D 77 01 48 8B CB E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 1B F6 BF 0A 00 00 00 23 F7 8D 47 06 81 F9 00 08 00 00 0F 44 F0 8D 47 FE 81 F9 00 04 00 00 0F 44 F0 33 C0 88 44 24 20 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 5D 01 00 00 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 D7 0F 85 00 01 00 00 41 B5 01 48 8B CB E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 D2 00 00 00 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 09 74 59 44 38 4B 08 75 49 48 8B 0B 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 0B C6 43 08 01 0F B7 43 0A 66 3B 45 07 75 20 F7 C6 EF FF FF FF 75 18 BE 10 00 00 00 45 8A E9 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 8D 46 F8 EB 1A B8 08 00 00 00 85 F6 75 0D 8B F0 EB 05 B8 08 00 00 00 85 F6 74 0E 3B F7 74 0A BF 16 00 00 00 3B F0 0F 44 F8 4C 63 E7 48 C7 45 AF 0F 00 00 00 44 88 6D 97 48 C7 45 A7 01 00 00 00 44 88 4D 98 49 8B F9 49 83 C7 1F 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 33 D2 84 C0 0F 85 B6 01 00 00 38 53 08 75 45 48 8B 0B 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 06 48 8B 41 50 8B 10 33 C0 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 33 D2 66 3B C8 74 06 66 89 43 0A EB 03 48 89 13 C6 43 08 01 48 8D 45 D7 0F B7 4D D7 EB 0D 66 3B 4B 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D D7 48 2B C1 48 D1 F8 49 3B C4 73 56 48 8D 0D ?? ?? ?? ?? 8A 0C 08 41 88 0E 38 54 24 20 75 05 80 F9 30 74 0D 4D 3B F7 73 08 49 FF C6 C6 44 24 20 01 41 B5 01 48 8D 45 97 48 83 7D AF 10 48 0F 43 45 97 80 3C 38 7F 0F 84 B5 00 00 00 48 8D 45 97 48 83 7D AF 10 48 0F 43 45 97 FE 04 38 E9 9F 00 00 00 48 8D 45 97 4C 8B 5D 97 4C 8B 55 AF 49 83 FA 10 49 0F 43 C3 38 14 38 0F 84 A9 00 00 00 44 0F B7 4C 24 22 66 45 85 C9 0F 84 99 00 00 00 38 53 08 75 53 48 8B 0B 48 85 C9 74 44 48 8B 41 38 4C 8B 00 4D 85 C0 74 06 48 8B 41 50 8B 10 33 C0 85 D2 7E 06 41 0F B7 00 EB 14 48 8B 01 FF 50 30 4C 8B 55 AF 4C 8B 5D 97 44 0F B7 4C 24 22 B9 FF FF 00 00 33 D2 66 3B C8 74 06 66 89 43 0A EB 03 48 89 13 C6 43 08 01 66 44 39 4B 0A 75 3A 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 54 24 28 48 8B CB E8 ?? ?? ?? ?? 33 D2 84 C0 0F 84 77 FE FF FF 4C 8B 55 AF 4C 8B 5D 97 41 BF 10 00 00 00 48 85 FF 74 28 48 8D 45 97 4D 3B D7 49 0F 43 C3 38 14 38 7E 05 48 FF C7 EB 13 44 8A EA EB 0E 4C 8B 55 AF 4C 8B 5D 97 41 BF 10 00 00 00 48 8D 4D B7 48 8B 55 B7 4C 8B 4D CF 4D 3B CF 48 0F 43 CA 33 DB 45 84 ED 74 52 48 85 FF 74 3E 44 8A 01 41 80 F8 7F 74 35 48 FF CF 74 11 48 8D 45 97 4D 3B D7 49 0F 43 C3 44 3A 04 38 75 2E 48 85 FF 75 10 48 8D 45 97 4D 3B D7 49 0F 43 C3 44 3A 00 7C 19 38 59 01 7E C2 48 FF C1 EB BD 38 5C 24 20 75 0D 41 C6 06 30 49 FF C6 EB 04 4C 8B 75 87 41 88 1E 4D 3B D7 72 10 49 8B CB E8 ?? ?? ?? ?? 4C 8B 4D CF 48 8B 55 B7 48 C7 45 AF 0F 00 00 00 48 89 5D A7 88 5D 97 4D 3B CF 72 08 48 8B CA E8 ?? ?? ?? ?? 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_554_2 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z"
		size = 3997
		refs = "002b __security_cookie 007b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0084 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00a5 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 011f ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0157 ?_Src@?4??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAEAVios_base@3@PEAG@Z@4QBDB 01cc ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0226 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 02d0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 039e ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 046c ??3@YAXPEAX@Z 078e ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 08f0 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 091b ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0b38 ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0ec8 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBAGXZ 0f25 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0f4a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 0f5a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0f6a ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0f7e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 A8 FE FF FF 48 81 EC 20 02 00 00 48 C7 45 90 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 18 01 00 00 4D 8B F1 4C 89 4C 24 30 49 8B F8 48 89 54 24 70 4C 8B BD 88 01 00 00 4C 89 7D 88 48 8B 9D 90 01 00 00 48 89 5C 24 48 33 F6 44 8B E6 89 74 24 28 49 8B CF 40 38 B5 80 01 00 00 74 22 48 8D 54 24 68 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 58 48 8B 4C 24 68 EB 1E 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 58 48 8B 4D 80 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 89 74 24 24 33 C9 88 4C 24 20 48 C7 45 D0 07 00 00 00 48 89 4D C8 66 89 4D B8 49 8B 45 00 48 8D 54 24 40 49 8B CD FF 50 58 48 C7 45 F0 0F 00 00 00 33 C0 48 89 45 E8 88 45 D8 48 8D 54 24 78 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 60 48 8B 4C 24 78 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 07 4C 8B CB 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF 50 58 45 33 DB 45 8B FB 4C 89 5C 24 38 49 83 FF 04 0F 83 ED 0C 00 00 42 8A 44 3C 40 3C 20 0F 84 D5 0B 00 00 3C 24 0F 84 9E 09 00 00 3C 2B 0F 84 D6 05 00 00 3C 76 74 0D 3C 78 0F 84 B9 0B 00 00 E9 A9 0C 00 00 45 8B FB 44 89 5C 24 50 49 8B 45 00 49 8B CD FF 50 48 44 8B F0 89 44 24 44 48 8D 55 F8 49 8B CD E8 ?? ?? ?? ?? 90 33 DB 48 39 5D 08 0F 84 E0 02 00 00 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 66 85 C0 0F 84 C6 02 00 00 48 8D 4D F8 48 83 7D 10 10 48 0F 43 4D F8 80 39 7F 0F 83 AF 02 00 00 48 C7 45 B0 0F 00 00 00 66 89 5D 98 8D 43 01 48 89 45 A8 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 B4 01 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 48 8B 54 24 48 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 4A 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D2 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 45 98 48 83 7D B0 10 48 0F 43 45 98 80 3C 18 7F 0F 84 AE 00 00 00 48 8D 45 98 48 83 7D B0 10 48 0F 43 45 98 B9 01 00 00 00 00 0C 18 E9 93 00 00 00 48 8D 45 98 4C 8B 4D 98 4C 8B 45 B0 49 83 F8 10 49 0F 43 C1 44 38 1C 18 0F 84 9D 00 00 00 44 38 5F 08 75 57 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 10 4D 85 D2 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 02 EB 11 48 8B 01 FF 50 30 4C 8B 45 B0 4C 8B 4D 98 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 66 39 77 0A 75 3A 45 33 C0 49 8B D2 48 8D 4D 98 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 7B FE FF FF 4C 8B 45 B0 4C 8B 4D 98 48 85 DB 74 2A 48 8D 45 98 49 83 F8 10 49 0F 43 C1 44 38 1C 18 7E 05 48 FF C3 EB 13 BE 01 00 00 00 89 74 24 24 EB 0C 4C 8B 45 B0 4C 8B 4D 98 8B 74 24 24 48 8D 4D F8 4C 8B 5D F8 4C 8B 55 10 49 83 FA 10 49 0F 43 CB 33 D2 40 84 F6 75 65 48 85 DB 74 49 8A 11 80 FA 7F 74 42 48 FF CB 74 11 48 8D 45 98 49 83 F8 10 49 0F 43 C1 3A 14 18 75 21 48 85 DB 75 10 48 8D 45 98 49 83 F8 10 49 0F 43 C1 3A 10 7C 0C 33 D2 38 51 01 7E C2 48 FF C1 EB BD BE 01 00 00 00 89 74 24 24 EB 17 49 83 F8 10 0F 82 3A 01 00 00 49 8B C9 E8 ?? ?? ?? ?? E9 2D 01 00 00 49 83 F8 10 72 10 49 8B C9 E8 ?? ?? ?? ?? 4C 8B 55 10 4C 8B 5D F8 48 C7 45 B0 0F 00 00 00 33 C0 48 89 45 A8 88 45 98 49 83 FA 10 72 08 49 8B CB E8 ?? ?? ?? ?? 4C 8B 74 24 30 4C 8B 7C 24 38 E9 98 09 00 00 8B 74 24 24 48 8B 5C 24 30 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 CA 00 00 00 4C 8B 6C 24 48 41 8D 71 01 41 BE FF FF 00 00 4C 8D 3D ?? ?? ?? ?? 44 38 4F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 49 8B C5 41 0F B7 4D 00 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 49 2B C5 48 D1 F8 48 83 F8 0A 73 2E 46 8A 04 38 48 8B D6 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 5F FF FF FF 44 8B 74 24 44 44 8B 7C 24 50 4C 8B 6C 24 58 8B 74 24 24 49 8B 45 00 49 8B CD FF 50 18 0F B7 D8 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 56 01 00 00 66 85 DB 0F 84 4D 01 00 00 44 38 5F 08 75 4D 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 66 39 5F 0A 0F 85 F0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 E9 B3 00 00 00 45 3B FE 0F 8D D5 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 48 8B 54 24 48 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 38 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D1 48 8D 4D D8 E8 ?? ?? ?? ?? 41 FF C7 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 37 FF FF FF 40 0F B6 F6 45 3B FE B8 01 00 00 00 0F 4C F0 89 74 24 24 EB 05 B8 01 00 00 00 4C 39 5D E8 75 09 40 8A F0 89 74 24 24 EB 2B 45 3B FE 7D 26 45 2B F7 41 8B DE BE 01 00 00 00 41 B0 30 48 8B D6 48 8D 4D D8 E8 ?? ?? ?? ?? 48 2B DE 75 EC 8B 74 24 24 45 33 DB 48 83 7D 10 10 0F 82 DE 06 00 00 48 8B 4D F8 E9 35 FD FF FF 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 CE 06 00 00 48 8D 55 58 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 01 44 89 64 24 28 45 33 C9 4C 39 48 10 0F 86 8A 00 00 00 48 8D 55 78 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 02 44 89 64 24 28 48 83 78 18 08 72 03 48 8B 18 45 33 C9 44 38 4F 08 75 4F 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C4 02 74 31 41 83 E4 FD 48 83 BD 90 00 00 00 08 72 0C 48 8B 4D 78 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 90 00 00 00 07 00 00 00 4C 89 8D 88 00 00 00 66 44 89 4D 78 B8 01 00 00 00 44 84 E0 74 28 41 83 E4 FE 48 83 7D 70 08 72 0C 48 8B 4D 58 E8 ?? ?? ?? ?? 45 33 C9 48 C7 45 70 07 00 00 00 4C 89 4D 68 66 44 89 4D 58 84 DB 74 70 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 B8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 B8 48 3B C3 74 2E 48 83 7D D0 08 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? 48 C7 45 D0 07 00 00 00 33 C0 48 89 45 C8 66 89 45 B8 48 8B D3 48 8D 4D B8 E8 ?? ?? ?? ?? 48 83 BD D0 00 00 00 08 0F 82 4F 05 00 00 48 8B 8D B8 00 00 00 E8 ?? ?? ?? ?? E9 3E 05 00 00 48 8D 55 18 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 04 44 89 64 24 28 45 33 C9 4C 39 48 10 0F 86 8D 00 00 00 48 8D 95 98 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 08 44 89 64 24 28 48 83 78 18 08 72 03 48 8B 18 45 33 C9 44 38 4F 08 75 4F 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C4 08 74 37 41 83 E4 F7 48 83 BD B0 00 00 00 08 72 0F 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 B0 00 00 00 07 00 00 00 4C 89 8D A8 00 00 00 66 44 89 8D 98 00 00 00 41 F6 C4 04 74 28 41 83 E4 FB 48 83 7D 30 08 72 0C 48 8B 4D 18 E8 ?? ?? ?? ?? 45 33 C9 48 C7 45 30 07 00 00 00 4C 89 4D 28 66 44 89 4D 18 84 DB 74 71 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 D8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 B8 48 3B C3 74 2E 48 83 7D D0 08 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? 48 C7 45 D0 07 00 00 00 33 C0 48 89 45 C8 66 89 45 B8 48 8B D3 48 8D 4D B8 E8 ?? ?? ?? ?? 48 83 BD F0 00 00 00 08 72 0C 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? C6 44 24 20 01 E9 AB 03 00 00 48 8D 55 38 49 8B CD E8 ?? ?? ?? ?? 45 33 DB 4C 39 58 10 0F 94 C3 48 83 7D 50 08 72 0C 48 8B 4D 38 E8 ?? ?? ?? ?? 45 33 DB 48 C7 45 50 07 00 00 00 4C 89 5D 48 66 44 89 5D 38 84 DB 0F 85 6C 03 00 00 48 8D 95 F8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 45 33 DB 4C 39 58 10 0F 94 C3 48 83 BD 10 01 00 00 08 72 0F 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? 45 33 DB B8 01 00 00 00 84 DB 0F 84 32 03 00 00 88 44 24 20 E9 29 03 00 00 48 8D 55 98 49 8B CD E8 ?? ?? ?? ?? 90 48 8B 45 88 F6 40 18 08 75 7B 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 75 6C 38 5F 08 75 49 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 98 48 83 7D B0 08 48 0F 43 45 98 66 3B 08 74 07 E9 8E 00 00 00 33 DB 49 83 FF 03 0F 85 97 00 00 00 41 8D 47 FE 48 39 45 C8 0F 87 89 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 65 38 5F 08 75 49 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 98 48 83 7D B0 08 48 0F 43 45 98 66 3B 08 74 15 48 8D 45 98 48 83 7D B0 08 48 89 5D A8 48 0F 43 45 98 66 89 18 48 8D 5D 98 48 83 7D B0 08 48 0F 43 5D 98 E9 8D 00 00 00 48 8D 4D 98 49 83 F9 08 49 0F 43 C8 48 8B 45 A8 48 8D 04 41 48 3B D8 0F 84 8E 00 00 00 44 38 5F 08 75 55 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 10 4D 85 D2 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 02 EB 11 48 8B 01 FF 50 30 4C 8B 4D B0 4C 8B 45 98 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 0F B7 47 0A 66 3B 03 75 2A 48 83 C3 02 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 4C 8B 4D B0 4C 8B 45 98 84 C0 0F 84 55 FF FF FF 48 8D 55 98 49 83 F9 08 49 0F 43 D0 48 8B 45 A8 48 8D 04 42 40 0F B6 D6 48 3B D8 BE 01 00 00 00 0F 45 D6 40 8A F2 89 74 24 24 49 83 F9 08 0F 82 FD 00 00 00 49 8B C8 E9 AA FB FF FF 49 83 FF 03 0F 84 EB 00 00 00 41 8A DB 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 A4 00 00 00 4C 8B 6C 24 60 41 8D 73 01 41 BF FF FF 00 00 44 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB 66 44 3B F8 74 06 66 89 47 0A EB 03 4C 89 1F 40 88 77 08 49 8B 45 00 BA 48 00 00 00 44 0F B7 47 0A 49 8B CD FF 50 20 45 33 DB 84 C0 74 21 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 79 FF FF FF 4C 8B 6C 24 58 8B 74 24 24 4C 8B 7C 24 38 42 80 7C 3C 40 20 75 26 40 0F B6 C6 84 DB BE 01 00 00 00 0F 44 C6 40 8A F0 89 74 24 24 EB 0F 4C 8B 74 24 30 4C 8B 7C 24 38 EB 03 45 33 DB B8 01 00 00 00 4C 03 F8 4C 89 7C 24 38 40 84 F6 0F 84 09 F3 FF FF 40 84 F6 BE 01 00 00 00 0F 85 B3 00 00 00 48 8B 4D C8 48 3B CE 0F 86 8B 00 00 00 48 8D 5D B8 48 8B 55 B8 4C 8B 45 D0 49 83 F8 08 48 0F 43 DA 48 8D 45 B8 49 83 F8 08 48 0F 43 C2 48 8D 04 48 48 83 C3 02 48 3B D8 74 46 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 75 26 48 8B CF E8 ?? ?? ?? ?? 66 3B 03 75 16 48 8B CF E8 ?? ?? ?? ?? 4C 8B 45 D0 48 8B 4D C8 48 8B 55 B8 EB B2 45 33 DB 4C 8B 45 D0 48 8B 4D C8 48 8B 55 B8 EB 03 45 33 DB 48 8D 45 B8 49 83 F8 08 48 0F 43 C2 48 8D 04 48 48 3B D8 75 1B 8A 44 24 20 84 C0 74 28 41 B1 2D 4C 8B C6 33 D2 48 8D 4D D8 E8 ?? ?? ?? ?? EB 15 4C 89 5D E8 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 44 88 18 48 8D 55 D8 48 8B 4C 24 70 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D D8 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D B8 E8 ?? ?? ?? ?? 48 8B 44 24 70 48 8B 8D 18 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 02 00 00 48 81 C4 20 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_567_2 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z"
		size = 3997
		refs = "002b __security_cookie 007b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0084 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00a5 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 011f ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0157 ?_Src@?4??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAEAVios_base@3@PEA_W@Z@4QBDB 01cc ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0226 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 02d0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 039e ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 046c ??3@YAXPEAX@Z 078e ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 08f0 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 091b ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0b38 ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0ec8 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_WXZ 0f25 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0f4a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 0f5a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0f6a ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0f7e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 A8 FE FF FF 48 81 EC 20 02 00 00 48 C7 45 90 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 18 01 00 00 4D 8B F1 4C 89 4C 24 30 49 8B F8 48 89 54 24 70 4C 8B BD 88 01 00 00 4C 89 7D 88 48 8B 9D 90 01 00 00 48 89 5C 24 48 33 F6 44 8B E6 89 74 24 28 49 8B CF 40 38 B5 80 01 00 00 74 22 48 8D 54 24 68 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 58 48 8B 4C 24 68 EB 1E 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 58 48 8B 4D 80 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 89 74 24 24 33 C9 88 4C 24 20 48 C7 45 D0 07 00 00 00 48 89 4D C8 66 89 4D B8 49 8B 45 00 48 8D 54 24 40 49 8B CD FF 50 58 48 C7 45 F0 0F 00 00 00 33 C0 48 89 45 E8 88 45 D8 48 8D 54 24 78 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 60 48 8B 4C 24 78 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 49 8B 07 4C 8B CB 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF 50 58 45 33 DB 45 8B FB 4C 89 5C 24 38 49 83 FF 04 0F 83 ED 0C 00 00 42 8A 44 3C 40 3C 20 0F 84 D5 0B 00 00 3C 24 0F 84 9E 09 00 00 3C 2B 0F 84 D6 05 00 00 3C 76 74 0D 3C 78 0F 84 B9 0B 00 00 E9 A9 0C 00 00 45 8B FB 44 89 5C 24 50 49 8B 45 00 49 8B CD FF 50 48 44 8B F0 89 44 24 44 48 8D 55 F8 49 8B CD E8 ?? ?? ?? ?? 90 33 DB 48 39 5D 08 0F 84 E0 02 00 00 49 8B 45 00 49 8B CD FF 50 20 0F B7 F0 66 85 C0 0F 84 C6 02 00 00 48 8D 4D F8 48 83 7D 10 10 48 0F 43 4D F8 80 39 7F 0F 83 AF 02 00 00 48 C7 45 B0 0F 00 00 00 66 89 5D 98 8D 43 01 48 89 45 A8 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 B4 01 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 48 8B 54 24 48 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 4A 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D2 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 45 98 48 83 7D B0 10 48 0F 43 45 98 80 3C 18 7F 0F 84 AE 00 00 00 48 8D 45 98 48 83 7D B0 10 48 0F 43 45 98 B9 01 00 00 00 00 0C 18 E9 93 00 00 00 48 8D 45 98 4C 8B 4D 98 4C 8B 45 B0 49 83 F8 10 49 0F 43 C1 44 38 1C 18 0F 84 9D 00 00 00 44 38 5F 08 75 57 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 10 4D 85 D2 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 02 EB 11 48 8B 01 FF 50 30 4C 8B 45 B0 4C 8B 4D 98 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 66 39 77 0A 75 3A 45 33 C0 49 8B D2 48 8D 4D 98 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 7B FE FF FF 4C 8B 45 B0 4C 8B 4D 98 48 85 DB 74 2A 48 8D 45 98 49 83 F8 10 49 0F 43 C1 44 38 1C 18 7E 05 48 FF C3 EB 13 BE 01 00 00 00 89 74 24 24 EB 0C 4C 8B 45 B0 4C 8B 4D 98 8B 74 24 24 48 8D 4D F8 4C 8B 5D F8 4C 8B 55 10 49 83 FA 10 49 0F 43 CB 33 D2 40 84 F6 75 65 48 85 DB 74 49 8A 11 80 FA 7F 74 42 48 FF CB 74 11 48 8D 45 98 49 83 F8 10 49 0F 43 C1 3A 14 18 75 21 48 85 DB 75 10 48 8D 45 98 49 83 F8 10 49 0F 43 C1 3A 10 7C 0C 33 D2 38 51 01 7E C2 48 FF C1 EB BD BE 01 00 00 00 89 74 24 24 EB 17 49 83 F8 10 0F 82 3A 01 00 00 49 8B C9 E8 ?? ?? ?? ?? E9 2D 01 00 00 49 83 F8 10 72 10 49 8B C9 E8 ?? ?? ?? ?? 4C 8B 55 10 4C 8B 5D F8 48 C7 45 B0 0F 00 00 00 33 C0 48 89 45 A8 88 45 98 49 83 FA 10 72 08 49 8B CB E8 ?? ?? ?? ?? 4C 8B 74 24 30 4C 8B 7C 24 38 E9 98 09 00 00 8B 74 24 24 48 8B 5C 24 30 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 CA 00 00 00 4C 8B 6C 24 48 41 8D 71 01 41 BE FF FF 00 00 4C 8D 3D ?? ?? ?? ?? 44 38 4F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 49 8B C5 41 0F B7 4D 00 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 49 2B C5 48 D1 F8 48 83 F8 0A 73 2E 46 8A 04 38 48 8B D6 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 5F FF FF FF 44 8B 74 24 44 44 8B 7C 24 50 4C 8B 6C 24 58 8B 74 24 24 49 8B 45 00 49 8B CD FF 50 18 0F B7 D8 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 56 01 00 00 66 85 DB 0F 84 4D 01 00 00 44 38 5F 08 75 4D 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 66 39 5F 0A 0F 85 F0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 E9 B3 00 00 00 45 3B FE 0F 8D D5 00 00 00 44 38 5F 08 75 51 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 48 8B 54 24 48 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 38 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D1 48 8D 4D D8 E8 ?? ?? ?? ?? 41 FF C7 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 37 FF FF FF 40 0F B6 F6 45 3B FE B8 01 00 00 00 0F 4C F0 89 74 24 24 EB 05 B8 01 00 00 00 4C 39 5D E8 75 09 40 8A F0 89 74 24 24 EB 2B 45 3B FE 7D 26 45 2B F7 41 8B DE BE 01 00 00 00 41 B0 30 48 8B D6 48 8D 4D D8 E8 ?? ?? ?? ?? 48 2B DE 75 EC 8B 74 24 24 45 33 DB 48 83 7D 10 10 0F 82 DE 06 00 00 48 8B 4D F8 E9 35 FD FF FF 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 CE 06 00 00 48 8D 55 58 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 01 44 89 64 24 28 45 33 C9 4C 39 48 10 0F 86 8A 00 00 00 48 8D 55 78 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 02 44 89 64 24 28 48 83 78 18 08 72 03 48 8B 18 45 33 C9 44 38 4F 08 75 4F 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C4 02 74 31 41 83 E4 FD 48 83 BD 90 00 00 00 08 72 0C 48 8B 4D 78 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 90 00 00 00 07 00 00 00 4C 89 8D 88 00 00 00 66 44 89 4D 78 B8 01 00 00 00 44 84 E0 74 28 41 83 E4 FE 48 83 7D 70 08 72 0C 48 8B 4D 58 E8 ?? ?? ?? ?? 45 33 C9 48 C7 45 70 07 00 00 00 4C 89 4D 68 66 44 89 4D 58 84 DB 74 70 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 B8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 B8 48 3B C3 74 2E 48 83 7D D0 08 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? 48 C7 45 D0 07 00 00 00 33 C0 48 89 45 C8 66 89 45 B8 48 8B D3 48 8D 4D B8 E8 ?? ?? ?? ?? 48 83 BD D0 00 00 00 08 0F 82 4F 05 00 00 48 8B 8D B8 00 00 00 E8 ?? ?? ?? ?? E9 3E 05 00 00 48 8D 55 18 49 8B CD E8 ?? ?? ?? ?? 90 41 83 CC 04 44 89 64 24 28 45 33 C9 4C 39 48 10 0F 86 8D 00 00 00 48 8D 95 98 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 08 44 89 64 24 28 48 83 78 18 08 72 03 48 8B 18 45 33 C9 44 38 4F 08 75 4F 48 8B 0F 48 85 C9 74 3A 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D1 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C4 08 74 37 41 83 E4 F7 48 83 BD B0 00 00 00 08 72 0F 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 B0 00 00 00 07 00 00 00 4C 89 8D A8 00 00 00 66 44 89 8D 98 00 00 00 41 F6 C4 04 74 28 41 83 E4 FB 48 83 7D 30 08 72 0C 48 8B 4D 18 E8 ?? ?? ?? ?? 45 33 C9 48 C7 45 30 07 00 00 00 4C 89 4D 28 66 44 89 4D 18 84 DB 74 71 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 D8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 B8 48 3B C3 74 2E 48 83 7D D0 08 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? 48 C7 45 D0 07 00 00 00 33 C0 48 89 45 C8 66 89 45 B8 48 8B D3 48 8D 4D B8 E8 ?? ?? ?? ?? 48 83 BD F0 00 00 00 08 72 0C 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? C6 44 24 20 01 E9 AB 03 00 00 48 8D 55 38 49 8B CD E8 ?? ?? ?? ?? 45 33 DB 4C 39 58 10 0F 94 C3 48 83 7D 50 08 72 0C 48 8B 4D 38 E8 ?? ?? ?? ?? 45 33 DB 48 C7 45 50 07 00 00 00 4C 89 5D 48 66 44 89 5D 38 84 DB 0F 85 6C 03 00 00 48 8D 95 F8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 45 33 DB 4C 39 58 10 0F 94 C3 48 83 BD 10 01 00 00 08 72 0F 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? 45 33 DB B8 01 00 00 00 84 DB 0F 84 32 03 00 00 88 44 24 20 E9 29 03 00 00 48 8D 55 98 49 8B CD E8 ?? ?? ?? ?? 90 48 8B 45 88 F6 40 18 08 75 7B 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 75 6C 38 5F 08 75 49 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 98 48 83 7D B0 08 48 0F 43 45 98 66 3B 08 74 07 E9 8E 00 00 00 33 DB 49 83 FF 03 0F 85 97 00 00 00 41 8D 47 FE 48 39 45 C8 0F 87 89 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 65 38 5F 08 75 49 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D3 85 D2 7E 06 41 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 98 48 83 7D B0 08 48 0F 43 45 98 66 3B 08 74 15 48 8D 45 98 48 83 7D B0 08 48 89 5D A8 48 0F 43 45 98 66 89 18 48 8D 5D 98 48 83 7D B0 08 48 0F 43 5D 98 E9 8D 00 00 00 48 8D 4D 98 49 83 F9 08 49 0F 43 C8 48 8B 45 A8 48 8D 04 41 48 3B D8 0F 84 8E 00 00 00 44 38 5F 08 75 55 48 8B 0F 48 85 C9 74 42 48 8B 41 38 4C 8B 10 4D 85 D2 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 02 EB 11 48 8B 01 FF 50 30 4C 8B 4D B0 4C 8B 45 98 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 0F B7 47 0A 66 3B 03 75 2A 48 83 C3 02 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 4C 8B 4D B0 4C 8B 45 98 84 C0 0F 84 55 FF FF FF 48 8D 55 98 49 83 F9 08 49 0F 43 D0 48 8B 45 A8 48 8D 04 42 40 0F B6 D6 48 3B D8 BE 01 00 00 00 0F 45 D6 40 8A F2 89 74 24 24 49 83 F9 08 0F 82 FD 00 00 00 49 8B C8 E9 AA FB FF FF 49 83 FF 03 0F 84 EB 00 00 00 41 8A DB 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 A4 00 00 00 4C 8B 6C 24 60 41 8D 73 01 41 BF FF FF 00 00 44 38 5F 08 75 45 48 8B 0F 48 85 C9 74 36 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D3 85 D2 7E 06 41 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB 66 44 3B F8 74 06 66 89 47 0A EB 03 4C 89 1F 40 88 77 08 49 8B 45 00 BA 48 00 00 00 44 0F B7 47 0A 49 8B CD FF 50 20 45 33 DB 84 C0 74 21 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 79 FF FF FF 4C 8B 6C 24 58 8B 74 24 24 4C 8B 7C 24 38 42 80 7C 3C 40 20 75 26 40 0F B6 C6 84 DB BE 01 00 00 00 0F 44 C6 40 8A F0 89 74 24 24 EB 0F 4C 8B 74 24 30 4C 8B 7C 24 38 EB 03 45 33 DB B8 01 00 00 00 4C 03 F8 4C 89 7C 24 38 40 84 F6 0F 84 09 F3 FF FF 40 84 F6 BE 01 00 00 00 0F 85 B3 00 00 00 48 8B 4D C8 48 3B CE 0F 86 8B 00 00 00 48 8D 5D B8 48 8B 55 B8 4C 8B 45 D0 49 83 F8 08 48 0F 43 DA 48 8D 45 B8 49 83 F8 08 48 0F 43 C2 48 8D 04 48 48 83 C3 02 48 3B D8 74 46 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 75 26 48 8B CF E8 ?? ?? ?? ?? 66 3B 03 75 16 48 8B CF E8 ?? ?? ?? ?? 4C 8B 45 D0 48 8B 4D C8 48 8B 55 B8 EB B2 45 33 DB 4C 8B 45 D0 48 8B 4D C8 48 8B 55 B8 EB 03 45 33 DB 48 8D 45 B8 49 83 F8 08 48 0F 43 C2 48 8D 04 48 48 3B D8 75 1B 8A 44 24 20 84 C0 74 28 41 B1 2D 4C 8B C6 33 D2 48 8D 4D D8 E8 ?? ?? ?? ?? EB 15 4C 89 5D E8 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 44 88 18 48 8D 55 D8 48 8B 4C 24 70 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D D8 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D B8 E8 ?? ?? ?? ?? 48 8B 44 24 70 48 8B 8D 18 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 02 00 00 48 81 C4 20 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_561_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 01 85 C0 74 10 83 65 28 FE 48 8D 8D 58 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_574_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 01 85 C0 74 10 83 65 28 FE 48 8D 8D 58 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_562_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D 78 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_575_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D 78 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_563_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D 18 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_576_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D 18 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_564_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D 98 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_577_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D 98 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_588_2 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z"
		size = 213
		refs = "003f ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 0072 memcpy 007a ??3@YAXPEAX@Z 00cb ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00d0 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B F2 48 8B D9 48 3B D0 0F 87 96 00 00 00 33 FF 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 62 45 84 C0 74 47 48 83 FA 08 73 41 4C 8B 71 10 49 3B D6 4C 0F 42 F2 48 83 79 18 08 72 1C 48 8B 29 4D 85 F6 74 0C 4F 8D 04 36 48 8B D5 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 C7 43 18 07 00 00 00 4C 89 73 10 66 42 89 3C 73 EB 16 48 85 D2 75 11 48 83 79 18 08 48 89 79 10 72 03 48 8B 19 66 89 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_589_2 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z"
		size = 213
		refs = "003f ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 0072 memcpy 007a ??3@YAXPEAX@Z 00cb ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00d0 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B F2 48 8B D9 48 3B D0 0F 87 96 00 00 00 33 FF 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 62 45 84 C0 74 47 48 83 FA 08 73 41 4C 8B 71 10 49 3B D6 4C 0F 42 F2 48 83 79 18 08 72 1C 48 8B 29 4D 85 F6 74 0C 4F 8D 04 36 48 8B D5 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 C7 43 18 07 00 00 00 4C 89 73 10 66 42 89 3C 73 EB 16 48 85 D2 75 11 48 83 79 18 08 48 89 79 10 72 03 48 8B 19 66 89 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_634_2 {
	meta:
		name = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_NPEBG@Z"
		size = 62
		altNames = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_NPEB_W@Z"
	strings:
		$1 = { 4C 8B C2 48 85 D2 74 33 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 1F 48 83 79 18 08 72 05 48 8B 11 EB 03 48 8B D1 48 8B 41 10 48 8D 0C 42 49 3B C8 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_9_636_2 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z"
		size = 973
		refs = "0028 __security_cookie 009d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a6 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00ee ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0122 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0153 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01ad ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 0212 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 037f ??3@YAXPEAX@Z 03ae __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC A0 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E9 4C 89 4D AF 49 8B F0 48 89 55 B7 44 0F B7 65 6F 66 44 89 65 8F 48 8B 5D 77 4C 8B 75 7F 33 C9 4D 85 F6 74 0B 8A 03 2C 2B A8 FD 8D 41 01 74 02 8B C1 48 63 F8 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1B 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 9F 33 C0 48 85 C9 74 1B 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 33 C0 48 C7 45 DF 07 00 00 00 48 89 45 D7 66 89 45 C7 45 33 C0 49 8B D6 48 8D 4D C7 E8 ?? ?? ?? ?? 90 4C 8D 4D C7 48 83 7D DF 08 4C 0F 43 4D C7 49 8B 07 4D 8D 04 1E 48 8B D3 49 8B CF FF 50 58 48 8D 55 9F 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 9F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8D 55 E7 49 8B CF E8 ?? ?? ?? ?? 90 48 8D 5D E7 48 83 7D FF 10 48 0F 43 5D E7 8A 03 FE C8 3C 7D 77 5A 49 8B 07 49 8B CF FF 50 20 44 0F B7 F8 8A 0B 80 F9 7F 74 46 45 33 E4 84 C9 7E 3A 48 0F BE D1 49 8B C6 48 2B C7 48 3B D0 73 2B 4C 2B F2 45 0F B7 CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 43 01 44 38 20 48 0F 4F D8 8A 0B 80 F9 7F 75 C2 44 0F B7 65 8F 4C 8B 7D D7 49 8B 5D 28 33 C9 48 85 DB 7E 0A 49 3B DF 76 05 49 2B DF EB 03 48 8B D9 41 8B 45 18 25 C0 01 00 00 0F 10 06 0F 29 45 9F 83 F8 40 0F 84 C9 00 00 00 3D 00 01 00 00 74 5D 48 85 DB 74 18 41 0F B7 D4 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 9F 33 C9 F3 0F 7F 06 48 8B D9 0F 29 45 9F 4C 8D 75 C7 48 83 7D DF 08 4C 0F 43 75 C7 4C 8B E7 48 85 FF 0F 84 B4 00 00 00 41 0F B7 16 48 8D 4D 9F E8 ?? ?? ?? ?? 49 83 C6 02 49 FF CC 75 EA E9 91 00 00 00 4C 8D 75 C7 48 83 7D DF 08 4C 0F 43 75 C7 4C 8B E7 48 85 FF 74 20 41 0F B7 16 48 8D 4D 9F E8 ?? ?? ?? ?? 49 83 C6 02 49 FF CC 75 EA 0F 28 45 9F 4C 8B 6D AF 33 C9 F3 0F 7F 06 0F 29 45 9F 44 0F B7 75 8F 48 85 DB 74 18 41 0F B7 D6 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 9F 33 C9 48 8B D9 EB 39 4C 8D 75 C7 48 83 7D DF 08 4C 0F 43 75 C7 4C 8B E7 48 85 FF 74 1E 41 0F B7 16 48 8D 4D 9F E8 ?? ?? ?? ?? 49 83 C6 02 49 FF CC 75 EA 0F 28 45 9F 4C 8B 6D AF 44 0F B7 75 8F F3 0F 7F 06 0F 29 45 9F 48 8D 45 C7 48 83 7D DF 08 48 0F 43 45 C7 4C 2B FF 48 8D 3C 78 74 21 45 33 F6 0F B7 17 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 7F 02 49 FF CF 75 EB 0F 28 45 9F 44 0F B7 75 8F F3 0F 7F 06 33 FF 49 89 7D 28 0F 10 06 0F 29 45 9F 48 85 DB 74 16 41 0F B7 D6 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 9F 48 8B 5D B7 F3 0F 7F 03 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 48 89 7D F7 40 88 7D E7 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_641_2 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z"
		size = 973
		refs = "0028 __security_cookie 009d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a6 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00ee ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0122 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0153 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01ad ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 0212 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 037f ??3@YAXPEAX@Z 03ae __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC A0 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E9 4C 89 4D AF 49 8B F0 48 89 55 B7 44 0F B7 65 6F 66 44 89 65 8F 48 8B 5D 77 4C 8B 75 7F 33 C9 4D 85 F6 74 0B 8A 03 2C 2B A8 FD 8D 41 01 74 02 8B C1 48 63 F8 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1B 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 9F 33 C0 48 85 C9 74 1B 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 33 C0 48 C7 45 DF 07 00 00 00 48 89 45 D7 66 89 45 C7 45 33 C0 49 8B D6 48 8D 4D C7 E8 ?? ?? ?? ?? 90 4C 8D 4D C7 48 83 7D DF 08 4C 0F 43 4D C7 49 8B 07 4D 8D 04 1E 48 8B D3 49 8B CF FF 50 58 48 8D 55 9F 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 4D 9F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8D 55 E7 49 8B CF E8 ?? ?? ?? ?? 90 48 8D 5D E7 48 83 7D FF 10 48 0F 43 5D E7 8A 03 FE C8 3C 7D 77 5A 49 8B 07 49 8B CF FF 50 20 44 0F B7 F8 8A 0B 80 F9 7F 74 46 45 33 E4 84 C9 7E 3A 48 0F BE D1 49 8B C6 48 2B C7 48 3B D0 73 2B 4C 2B F2 45 0F B7 CF 41 B8 01 00 00 00 49 8B D6 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 43 01 44 38 20 48 0F 4F D8 8A 0B 80 F9 7F 75 C2 44 0F B7 65 8F 4C 8B 7D D7 49 8B 5D 28 33 C9 48 85 DB 7E 0A 49 3B DF 76 05 49 2B DF EB 03 48 8B D9 41 8B 45 18 25 C0 01 00 00 0F 10 06 0F 29 45 9F 83 F8 40 0F 84 C9 00 00 00 3D 00 01 00 00 74 5D 48 85 DB 74 18 41 0F B7 D4 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 9F 33 C9 F3 0F 7F 06 48 8B D9 0F 29 45 9F 4C 8D 75 C7 48 83 7D DF 08 4C 0F 43 75 C7 4C 8B E7 48 85 FF 0F 84 B4 00 00 00 41 0F B7 16 48 8D 4D 9F E8 ?? ?? ?? ?? 49 83 C6 02 49 FF CC 75 EA E9 91 00 00 00 4C 8D 75 C7 48 83 7D DF 08 4C 0F 43 75 C7 4C 8B E7 48 85 FF 74 20 41 0F B7 16 48 8D 4D 9F E8 ?? ?? ?? ?? 49 83 C6 02 49 FF CC 75 EA 0F 28 45 9F 4C 8B 6D AF 33 C9 F3 0F 7F 06 0F 29 45 9F 44 0F B7 75 8F 48 85 DB 74 18 41 0F B7 D6 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 9F 33 C9 48 8B D9 EB 39 4C 8D 75 C7 48 83 7D DF 08 4C 0F 43 75 C7 4C 8B E7 48 85 FF 74 1E 41 0F B7 16 48 8D 4D 9F E8 ?? ?? ?? ?? 49 83 C6 02 49 FF CC 75 EA 0F 28 45 9F 4C 8B 6D AF 44 0F B7 75 8F F3 0F 7F 06 0F 29 45 9F 48 8D 45 C7 48 83 7D DF 08 48 0F 43 45 C7 4C 2B FF 48 8D 3C 78 74 21 45 33 F6 0F B7 17 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 7F 02 49 FF CF 75 EB 0F 28 45 9F 44 0F B7 75 8F F3 0F 7F 06 33 FF 49 89 7D 28 0F 10 06 0F 29 45 9F 48 85 DB 74 16 41 0F B7 D6 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 9F 48 8B 5D B7 F3 0F 7F 03 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 48 89 7D F7 40 88 7D E7 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_673_2 {
	meta:
		name = "?_Pdif@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@SA_KV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0@Z"
		size = 17
		altNames = "?_Pdif@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@SA_KV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0@Z"
	strings:
		$1 = { 33 C0 48 85 C9 74 09 48 8B C1 48 2B C2 48 D1 F8 C3 }
	condition:
		$1
}

rule file_9_681_2 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@_K@Z"
		size = 91
		refs = "002a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B D9 48 8B F2 48 8B F9 4D 85 C9 74 1F 41 0F B7 10 48 8B CE E8 ?? ?? ?? ?? 4C 8B 44 24 40 49 83 C0 02 4C 89 44 24 40 48 FF CB 75 E1 0F 10 06 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 F3 0F 7F 07 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_682_2 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@_K@Z"
		size = 91
		refs = "002a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B D9 48 8B F2 48 8B F9 4D 85 C9 74 1F 41 0F B7 10 48 8B CE E8 ?? ?? ?? ?? 4C 8B 44 24 40 49 83 C0 02 4C 89 44 24 40 48 FF CB 75 E1 0F 10 06 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 F3 0F 7F 07 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_685_2 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 2026
		refs = "002b __security_cookie 008e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0097 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00b4 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 00e4 ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 011f ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 01fe ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0217 ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0233 ??3@YAXPEAX@Z 0251 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 0287 ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 039d ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 07cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 38 FF FF FF 48 81 EC 90 01 00 00 48 C7 45 F0 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 80 00 00 00 4D 8B F8 4C 89 44 24 38 48 89 54 24 68 48 8B B5 F0 00 00 00 48 89 74 24 50 0F B7 85 F8 00 00 00 66 89 44 24 20 48 8B BD 08 01 00 00 48 89 7C 24 30 48 89 7D F8 0F B7 9D 10 01 00 00 66 89 5C 24 28 41 BD 01 00 00 00 48 8B CE 45 84 C9 74 1D 48 8D 54 24 60 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4C 24 60 EB 1B 48 8D 54 24 58 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4C 24 58 48 85 C9 74 17 48 8B 01 FF 50 10 48 85 C0 74 0C 4C 8B 00 41 8B D5 48 8B C8 41 FF 10 48 8D 55 60 49 8B CC E8 ?? ?? ?? ?? 90 49 8B 04 24 49 8B CC FF 50 48 99 44 8B F0 44 33 F2 44 2B F2 44 89 74 24 2C 45 8B EE 4C 39 6F 10 77 1D 45 8B C5 4C 2B 47 10 49 FF C0 44 0F B7 CB 33 D2 48 8B CF E8 ?? ?? ?? ?? E9 9D 00 00 00 48 8D 45 60 48 83 7D 78 10 48 0F 43 45 60 80 38 7F 0F 84 86 00 00 00 48 8D 45 60 48 83 7D 78 10 48 0F 43 45 60 80 38 00 7E 73 49 8B 04 24 49 8B CC FF 50 20 44 0F B7 F0 48 8D 5D 60 48 83 7D 78 10 48 0F 43 5D 60 48 8B 77 10 49 2B F5 8A 0B 80 F9 7F 74 3F 41 BF 01 00 00 00 84 C9 7E 30 48 0F BE C1 48 3B C6 73 27 48 2B F0 45 0F B7 CE 4D 8B C7 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4F D8 8A 0B 80 F9 7F 75 CC 4C 8B 7C 24 38 44 8B 74 24 2C 48 8B 74 24 50 48 C7 45 18 07 00 00 00 33 C0 48 89 45 10 66 89 45 00 48 8D 54 24 24 49 8B CC 38 85 00 01 00 00 49 8B 04 24 74 19 FF 50 58 8B 44 24 24 89 44 24 24 48 8D 55 40 49 8B CC E8 ?? ?? ?? ?? EB 17 FF 50 50 8B 44 24 24 89 44 24 24 48 8D 55 40 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 00 48 3B C3 74 2E 48 83 7D 18 08 72 09 48 8B 4D 00 E8 ?? ?? ?? ?? 33 C0 48 C7 45 18 07 00 00 00 48 89 45 10 66 89 45 00 48 8B D3 48 8D 4D 00 E8 ?? ?? ?? ?? 48 83 7D 58 08 72 09 48 8B 4D 40 E8 ?? ?? ?? ?? 48 C7 45 38 07 00 00 00 45 33 D2 4C 89 55 30 66 44 89 55 20 F6 46 18 08 74 59 48 8D 55 40 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 20 48 3B C3 74 2E 48 83 7D 38 08 72 09 48 8B 4D 20 E8 ?? ?? ?? ?? 48 C7 45 38 07 00 00 00 33 C0 48 89 45 30 66 89 45 20 48 8B D3 48 8D 4D 20 E8 ?? ?? ?? ?? 48 83 7D 58 08 72 09 48 8B 4D 40 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 24 80 F9 20 74 44 80 F9 24 74 39 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 33 EB 3D 48 8B 57 10 49 3B D5 77 0B 49 8B CD 48 2B CA 49 03 CB EB 03 49 8B CA 45 3B D6 48 13 D1 48 03 C2 EB 1B 48 03 45 10 EB 15 48 03 45 30 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 9A 4C 8B 76 28 4D 85 F6 7E 0A 4C 3B F0 76 05 4C 2B F0 EB 03 4D 8B F2 8B 5E 18 81 E3 C0 01 00 00 83 FB 40 74 4A 81 FB 00 01 00 00 75 05 45 84 C9 75 3D 41 0F 10 07 0F 29 44 24 40 4D 85 F6 74 27 0F B7 74 24 20 49 8B FB 0F B7 D6 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 2B F7 75 EE 0F 28 44 24 40 48 8B 7C 24 30 45 33 D2 F3 41 0F 7F 07 4D 8B F2 4D 8B EA 48 63 DB 48 89 5C 24 40 EB 03 45 33 D2 42 8A 44 2C 24 3C 20 0F 84 62 02 00 00 3C 24 0F 84 14 02 00 00 3C 2B 0F 84 D6 01 00 00 3C 76 74 0D 3C 78 0F 84 6E 02 00 00 E9 AE 02 00 00 8B 5C 24 2C 85 DB 75 52 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 41 0F 10 07 0F 29 45 A0 48 8B 77 10 48 85 F6 74 28 BF 01 00 00 00 0F B7 13 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 A0 48 8B 7C 24 30 4C 8B 7C 24 38 48 8B 5C 24 40 E9 4F 02 00 00 48 8B 77 10 48 8B C3 48 3B F3 0F 87 A6 00 00 00 0F B7 54 24 28 49 8B CF E8 ?? ?? ?? ?? 49 8B 04 24 49 8B CC FF 50 18 0F B7 D0 49 8B CF E8 ?? ?? ?? ?? 41 0F 10 07 0F 29 44 24 70 48 2B 5F 10 74 2D 44 0F B7 7C 24 28 BF 01 00 00 00 41 0F B7 D7 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 2B DF 75 ED 0F 28 44 24 70 48 8B 7C 24 30 4C 8B 7C 24 38 F3 41 0F 7F 07 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 0F 29 45 80 48 8B 77 10 48 85 F6 0F 84 63 FF FF FF BF 01 00 00 00 0F B7 13 48 8D 4D 80 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 80 E9 36 FF FF FF 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 41 0F 10 07 0F 29 45 90 48 2B F0 74 28 BF 01 00 00 00 0F B7 13 48 8D 4D 90 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 90 48 8B 7C 24 30 4C 8B 7C 24 38 F3 41 0F 7F 07 49 8B 04 24 49 8B CC FF 50 18 0F B7 D0 49 8B CF E8 ?? ?? ?? ?? 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 48 8B 47 10 48 8D 1C 41 8B 44 24 2C 8B F0 48 03 C0 48 2B D8 41 0F 10 07 0F 29 45 B0 48 85 F6 0F 84 AE FE FF FF BF 01 00 00 00 0F B7 13 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 B0 E9 81 FE FF FF 4C 39 55 10 0F 86 DF 00 00 00 48 8D 45 00 48 83 7D 18 08 48 0F 43 45 00 41 0F 10 07 F3 0F 7F 45 E0 0F B7 10 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 28 45 E0 E9 AE 00 00 00 48 8D 5D 20 48 83 7D 38 08 48 0F 43 5D 20 41 0F 10 07 0F 29 45 D0 48 8B 75 30 48 85 F6 0F 84 32 FE FF FF BF 01 00 00 00 0F B7 13 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 D0 E9 05 FE FF FF 41 0F 10 07 F3 0F 7F 45 C0 0F B7 74 24 20 0F B7 D6 48 8D 4D C0 E8 ?? ?? ?? ?? 0F 28 45 C0 F3 41 0F 7F 07 45 33 D2 EB 05 0F B7 74 24 20 48 81 FB 00 01 00 00 75 37 41 0F 10 07 0F 29 45 40 4D 85 F6 74 22 BB 01 00 00 00 0F B7 D6 48 8D 4D 40 E8 ?? ?? ?? ?? 4C 2B F3 75 EF 0F 28 45 40 48 8B 5C 24 40 45 33 D2 4D 8B F2 F3 41 0F 7F 07 B8 01 00 00 00 4C 03 E8 49 83 FD 04 0F 82 0F FD FF FF 48 8B 75 10 44 8B E8 48 3B F0 76 42 48 8D 5D 00 48 83 7D 18 08 48 0F 43 5D 00 48 83 C3 02 41 0F 10 07 0F 29 45 40 45 33 E4 48 FF CE 74 19 0F B7 13 48 8D 4D 40 E8 ?? ?? ?? ?? 48 8D 5B 02 49 2B F5 75 EB 0F 28 45 40 F3 41 0F 7F 07 EB 03 45 33 E4 48 8B 44 24 50 4C 89 60 28 41 0F 10 07 0F 29 45 40 4D 85 F6 74 1A 0F B7 74 24 20 0F B7 D6 48 8D 4D 40 E8 ?? ?? ?? ?? 4D 2B F5 75 EF 0F 28 45 40 48 8B 5C 24 68 F3 0F 7F 03 48 83 7D 38 08 72 09 48 8B 4D 20 E8 ?? ?? ?? ?? BE 07 00 00 00 48 89 75 38 4C 89 65 30 66 44 89 65 20 48 83 7D 18 08 72 09 48 8B 4D 00 E8 ?? ?? ?? ?? 48 89 75 18 4C 89 65 10 66 44 89 65 00 48 83 7D 78 10 72 09 48 8B 4D 60 E8 ?? ?? ?? ?? 48 C7 45 78 0F 00 00 00 4C 89 65 70 44 88 65 60 48 83 7F 18 08 72 08 48 8B 0F E8 ?? ?? ?? ?? 48 89 77 18 4C 89 67 10 66 44 89 27 48 8B C3 48 8B 8D 80 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 01 00 00 48 81 C4 90 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_692_2 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 2026
		refs = "002b __security_cookie 008e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0097 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00b4 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 00e4 ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 011f ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 01fe ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0217 ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0233 ??3@YAXPEAX@Z 0251 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 0287 ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 039d ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 07cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 38 FF FF FF 48 81 EC 90 01 00 00 48 C7 45 F0 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 80 00 00 00 4D 8B F8 4C 89 44 24 38 48 89 54 24 68 48 8B B5 F0 00 00 00 48 89 74 24 50 0F B7 85 F8 00 00 00 66 89 44 24 20 48 8B BD 08 01 00 00 48 89 7C 24 30 48 89 7D F8 0F B7 9D 10 01 00 00 66 89 5C 24 28 41 BD 01 00 00 00 48 8B CE 45 84 C9 74 1D 48 8D 54 24 60 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4C 24 60 EB 1B 48 8D 54 24 58 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4C 24 58 48 85 C9 74 17 48 8B 01 FF 50 10 48 85 C0 74 0C 4C 8B 00 41 8B D5 48 8B C8 41 FF 10 48 8D 55 60 49 8B CC E8 ?? ?? ?? ?? 90 49 8B 04 24 49 8B CC FF 50 48 99 44 8B F0 44 33 F2 44 2B F2 44 89 74 24 2C 45 8B EE 4C 39 6F 10 77 1D 45 8B C5 4C 2B 47 10 49 FF C0 44 0F B7 CB 33 D2 48 8B CF E8 ?? ?? ?? ?? E9 9D 00 00 00 48 8D 45 60 48 83 7D 78 10 48 0F 43 45 60 80 38 7F 0F 84 86 00 00 00 48 8D 45 60 48 83 7D 78 10 48 0F 43 45 60 80 38 00 7E 73 49 8B 04 24 49 8B CC FF 50 20 44 0F B7 F0 48 8D 5D 60 48 83 7D 78 10 48 0F 43 5D 60 48 8B 77 10 49 2B F5 8A 0B 80 F9 7F 74 3F 41 BF 01 00 00 00 84 C9 7E 30 48 0F BE C1 48 3B C6 73 27 48 2B F0 45 0F B7 CE 4D 8B C7 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4F D8 8A 0B 80 F9 7F 75 CC 4C 8B 7C 24 38 44 8B 74 24 2C 48 8B 74 24 50 48 C7 45 18 07 00 00 00 33 C0 48 89 45 10 66 89 45 00 48 8D 54 24 24 49 8B CC 38 85 00 01 00 00 49 8B 04 24 74 19 FF 50 58 8B 44 24 24 89 44 24 24 48 8D 55 40 49 8B CC E8 ?? ?? ?? ?? EB 17 FF 50 50 8B 44 24 24 89 44 24 24 48 8D 55 40 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 00 48 3B C3 74 2E 48 83 7D 18 08 72 09 48 8B 4D 00 E8 ?? ?? ?? ?? 33 C0 48 C7 45 18 07 00 00 00 48 89 45 10 66 89 45 00 48 8B D3 48 8D 4D 00 E8 ?? ?? ?? ?? 48 83 7D 58 08 72 09 48 8B 4D 40 E8 ?? ?? ?? ?? 48 C7 45 38 07 00 00 00 45 33 D2 4C 89 55 30 66 44 89 55 20 F6 46 18 08 74 59 48 8D 55 40 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 20 48 3B C3 74 2E 48 83 7D 38 08 72 09 48 8B 4D 20 E8 ?? ?? ?? ?? 48 C7 45 38 07 00 00 00 33 C0 48 89 45 30 66 89 45 20 48 8B D3 48 8D 4D 20 E8 ?? ?? ?? ?? 48 83 7D 58 08 72 09 48 8B 4D 40 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 24 80 F9 20 74 44 80 F9 24 74 39 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 33 EB 3D 48 8B 57 10 49 3B D5 77 0B 49 8B CD 48 2B CA 49 03 CB EB 03 49 8B CA 45 3B D6 48 13 D1 48 03 C2 EB 1B 48 03 45 10 EB 15 48 03 45 30 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 9A 4C 8B 76 28 4D 85 F6 7E 0A 4C 3B F0 76 05 4C 2B F0 EB 03 4D 8B F2 8B 5E 18 81 E3 C0 01 00 00 83 FB 40 74 4A 81 FB 00 01 00 00 75 05 45 84 C9 75 3D 41 0F 10 07 0F 29 44 24 40 4D 85 F6 74 27 0F B7 74 24 20 49 8B FB 0F B7 D6 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 2B F7 75 EE 0F 28 44 24 40 48 8B 7C 24 30 45 33 D2 F3 41 0F 7F 07 4D 8B F2 4D 8B EA 48 63 DB 48 89 5C 24 40 EB 03 45 33 D2 42 8A 44 2C 24 3C 20 0F 84 62 02 00 00 3C 24 0F 84 14 02 00 00 3C 2B 0F 84 D6 01 00 00 3C 76 74 0D 3C 78 0F 84 6E 02 00 00 E9 AE 02 00 00 8B 5C 24 2C 85 DB 75 52 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 41 0F 10 07 0F 29 45 A0 48 8B 77 10 48 85 F6 74 28 BF 01 00 00 00 0F B7 13 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 A0 48 8B 7C 24 30 4C 8B 7C 24 38 48 8B 5C 24 40 E9 4F 02 00 00 48 8B 77 10 48 8B C3 48 3B F3 0F 87 A6 00 00 00 0F B7 54 24 28 49 8B CF E8 ?? ?? ?? ?? 49 8B 04 24 49 8B CC FF 50 18 0F B7 D0 49 8B CF E8 ?? ?? ?? ?? 41 0F 10 07 0F 29 44 24 70 48 2B 5F 10 74 2D 44 0F B7 7C 24 28 BF 01 00 00 00 41 0F B7 D7 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 2B DF 75 ED 0F 28 44 24 70 48 8B 7C 24 30 4C 8B 7C 24 38 F3 41 0F 7F 07 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 0F 29 45 80 48 8B 77 10 48 85 F6 0F 84 63 FF FF FF BF 01 00 00 00 0F B7 13 48 8D 4D 80 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 80 E9 36 FF FF FF 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 41 0F 10 07 0F 29 45 90 48 2B F0 74 28 BF 01 00 00 00 0F B7 13 48 8D 4D 90 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 90 48 8B 7C 24 30 4C 8B 7C 24 38 F3 41 0F 7F 07 49 8B 04 24 49 8B CC FF 50 18 0F B7 D0 49 8B CF E8 ?? ?? ?? ?? 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 48 8B 47 10 48 8D 1C 41 8B 44 24 2C 8B F0 48 03 C0 48 2B D8 41 0F 10 07 0F 29 45 B0 48 85 F6 0F 84 AE FE FF FF BF 01 00 00 00 0F B7 13 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 B0 E9 81 FE FF FF 4C 39 55 10 0F 86 DF 00 00 00 48 8D 45 00 48 83 7D 18 08 48 0F 43 45 00 41 0F 10 07 F3 0F 7F 45 E0 0F B7 10 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 28 45 E0 E9 AE 00 00 00 48 8D 5D 20 48 83 7D 38 08 48 0F 43 5D 20 41 0F 10 07 0F 29 45 D0 48 8B 75 30 48 85 F6 0F 84 32 FE FF FF BF 01 00 00 00 0F B7 13 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 5B 02 48 2B F7 75 EB 0F 28 45 D0 E9 05 FE FF FF 41 0F 10 07 F3 0F 7F 45 C0 0F B7 74 24 20 0F B7 D6 48 8D 4D C0 E8 ?? ?? ?? ?? 0F 28 45 C0 F3 41 0F 7F 07 45 33 D2 EB 05 0F B7 74 24 20 48 81 FB 00 01 00 00 75 37 41 0F 10 07 0F 29 45 40 4D 85 F6 74 22 BB 01 00 00 00 0F B7 D6 48 8D 4D 40 E8 ?? ?? ?? ?? 4C 2B F3 75 EF 0F 28 45 40 48 8B 5C 24 40 45 33 D2 4D 8B F2 F3 41 0F 7F 07 B8 01 00 00 00 4C 03 E8 49 83 FD 04 0F 82 0F FD FF FF 48 8B 75 10 44 8B E8 48 3B F0 76 42 48 8D 5D 00 48 83 7D 18 08 48 0F 43 5D 00 48 83 C3 02 41 0F 10 07 0F 29 45 40 45 33 E4 48 FF CE 74 19 0F B7 13 48 8D 4D 40 E8 ?? ?? ?? ?? 48 8D 5B 02 49 2B F5 75 EB 0F 28 45 40 F3 41 0F 7F 07 EB 03 45 33 E4 48 8B 44 24 50 4C 89 60 28 41 0F 10 07 0F 29 45 40 4D 85 F6 74 1A 0F B7 74 24 20 0F B7 D6 48 8D 4D 40 E8 ?? ?? ?? ?? 4D 2B F5 75 EF 0F 28 45 40 48 8B 5C 24 68 F3 0F 7F 03 48 83 7D 38 08 72 09 48 8B 4D 20 E8 ?? ?? ?? ?? BE 07 00 00 00 48 89 75 38 4C 89 65 30 66 44 89 65 20 48 83 7D 18 08 72 09 48 8B 4D 00 E8 ?? ?? ?? ?? 48 89 75 18 4C 89 65 10 66 44 89 65 00 48 83 7D 78 10 72 09 48 8B 4D 60 E8 ?? ?? ?? ?? 48 C7 45 78 0F 00 00 00 4C 89 65 70 44 88 65 60 48 83 7F 18 08 72 08 48 8B 0F E8 ?? ?? ?? ?? 48 89 77 18 4C 89 67 10 66 44 89 27 48 8B C3 48 8B 8D 80 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 01 00 00 48 81 C4 90 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_708_2 {
	meta:
		name = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z"
		size = 103
		refs = "0036 memcpy 003e ??3@YAXPEAX@Z"
		altNames = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F8 48 8B D9 84 D2 74 22 48 83 79 18 08 72 1B 48 8B 31 4D 85 C0 74 0B 4D 03 C0 48 8B D6 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 40 48 C7 43 18 07 00 00 00 48 89 7B 10 66 89 2C 7B 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_731_2 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 238
		refs = "0065 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 009c memcpy 00d7 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00dc ?_Xout_of_range@std@@YAXPEBD@Z 00e4 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00e9 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 10 49 8B F9 4D 8B F0 48 8B F2 48 8B D9 49 3B C0 0F 82 A3 00 00 00 48 8B 49 10 49 2B C0 49 3B C1 48 0F 42 F8 48 83 C8 FF 48 2B C1 48 3B C7 0F 86 92 00 00 00 45 33 FF 48 85 FF 74 61 48 8D 2C 39 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 4B 48 83 7E 18 08 72 03 48 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 15 48 8B 43 10 4C 8D 04 3F 4A 8D 14 76 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 68 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_734_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 238
		refs = "0065 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 009c memcpy 00d7 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00dc ?_Xout_of_range@std@@YAXPEBD@Z 00e4 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00e9 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 10 49 8B F9 4D 8B F0 48 8B F2 48 8B D9 49 3B C0 0F 82 A3 00 00 00 48 8B 49 10 49 2B C0 49 3B C1 48 0F 42 F8 48 83 C8 FF 48 2B C1 48 3B C7 0F 86 92 00 00 00 45 33 FF 48 85 FF 74 61 48 8D 2C 39 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 4B 48 83 7E 18 08 72 03 48 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 15 48 8B 43 10 4C 8D 04 3F 4A 8D 14 76 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 68 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_732_2 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 210
		refs = "004c ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00c8 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00cd ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 83 C8 FF 48 8B D9 48 8B 49 10 48 2B C1 45 0F B7 F0 48 8B F2 48 3B C2 0F 86 8F 00 00 00 45 33 FF 48 85 D2 74 6B 48 8D 2C 11 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 55 48 8B 4B 10 48 83 FE 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 48 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 48 41 0F B7 C6 48 8B CE 66 F3 AB 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 68 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_735_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 210
		refs = "004c ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00c8 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00cd ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 83 C8 FF 48 8B D9 48 8B 49 10 48 2B C1 45 0F B7 F0 48 8B F2 48 3B C2 0F 86 8F 00 00 00 45 33 FF 48 85 D2 74 6B 48 8D 2C 11 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 55 48 8B 4B 10 48 83 FE 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 48 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 48 41 0F B7 C6 48 8B CE 66 F3 AB 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 68 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_742_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 247
		refs = "0066 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0073 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00a4 memcpy 00e0 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00e5 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 7A 10 4D 8B F0 48 8B F2 48 8B D9 49 3B F8 0F 82 AE 00 00 00 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 2E 4A 8D 04 07 48 39 41 10 0F 82 9E 00 00 00 48 83 79 18 08 48 89 41 10 72 03 48 8B 09 33 ED 33 D2 66 89 2C 41 48 8B CB E8 ?? ?? ?? ?? EB 53 45 33 C0 48 8B D7 E8 ?? ?? ?? ?? 33 ED 84 C0 74 42 48 83 7E 18 08 72 03 48 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0D 4C 8D 04 3F 4A 8D 14 76 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 2C 78 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_748_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 247
		refs = "0066 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0073 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00a4 memcpy 00e0 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00e5 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 7A 10 4D 8B F0 48 8B F2 48 8B D9 49 3B F8 0F 82 AE 00 00 00 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 2E 4A 8D 04 07 48 39 41 10 0F 82 9E 00 00 00 48 83 79 18 08 48 89 41 10 72 03 48 8B 09 33 ED 33 D2 66 89 2C 41 48 8B CB E8 ?? ?? ?? ?? EB 53 45 33 C0 48 8B D7 E8 ?? ?? ?? ?? 33 ED 84 C0 74 42 48 83 7E 18 08 72 03 48 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0D 4C 8D 04 3F 4A 8D 14 76 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 2C 78 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_744_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		size = 216
		refs = "0071 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0081 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00a5 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 53 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 3F 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CA 76 28 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B F8 4D 8B C8 48 8B D3 48 D1 FF 48 8B CB 4C 8B C7 E8 ?? ?? ?? ?? EB 4C 45 33 C0 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 37 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 F6 74 0C 4C 8D 04 36 48 8B D7 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 2C 70 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_750_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 216
		refs = "0071 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0081 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00a5 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 53 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 3F 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CA 76 28 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B F8 4D 8B C8 48 8B D3 48 D1 FF 48 8B CB 4C 8B C7 E8 ?? ?? ?? ?? EB 4C 45 33 C0 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 37 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 F6 74 0C 4C 8D 04 36 48 8B D7 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 2C 70 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_9_745_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 165
		refs = "0028 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 009b ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00a0 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 74 74 45 33 C0 E8 ?? ?? ?? ?? 33 D2 84 C0 74 4E 48 83 FE 01 75 14 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 EB 1D 48 83 7B 18 08 72 05 48 8B 3B EB 03 48 8B FB 48 85 F6 74 09 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 14 70 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_751_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 165
		refs = "0028 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 009b ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00a0 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 74 74 45 33 C0 E8 ?? ?? ?? ?? 33 D2 84 C0 74 4E 48 83 FE 01 75 14 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 EB 1D 48 83 7B 18 08 72 05 48 8B 3B EB 03 48 8B FB 48 85 F6 74 09 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 14 70 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_758_2 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 17
		altNames = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 83 79 18 08 72 03 48 8B 09 48 89 0A 48 8B C2 C3 }
	condition:
		$1
}

rule file_9_793_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 79
		refs = "002f wcslen 003d ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		altNames = "?do_falsename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 20 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 66 89 02 48 8B DA 89 44 24 20 66 39 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_9_794_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 79
		refs = "002f wcslen 003d ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 20 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 66 89 02 48 8B DA 89 44 24 20 66 39 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_9_805_2 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 79
		refs = "002f wcslen 003d ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 20 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 66 89 02 48 8B DA 89 44 24 20 66 39 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_9_808_2 {
	meta:
		name = "?do_get@?$messages@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHAEBV32@@Z"
		size = 59
		refs = "002e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 C7 42 18 07 00 00 00 48 8B DA 48 89 42 10 66 89 02 48 8B 54 24 68 49 83 C9 FF 45 33 C0 48 8B CB 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_9_809_2 {
	meta:
		name = "?do_get@?$messages@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHAEBV32@@Z"
		size = 59
		refs = "002e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 C7 42 18 07 00 00 00 48 8B DA 48 89 42 10 66 89 02 48 8B 54 24 68 49 83 C9 FF 45 33 C0 48 8B CB 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_9_810_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 245
		refs = "0024 __security_cookie 005e ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z 006a ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 009d _Stoldx 00cb ??3@YAXPEAX@Z 00da __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B D9 4D 8B F0 48 8B F2 48 8B 45 6F 48 8B 7D 77 4C 8B 7D 7F 48 8D 55 EF 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 CF E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7D DF 00 74 38 48 8D 5D CF 48 83 7D E7 10 48 0F 43 5D CF 83 65 B7 00 4C 8D 4D B7 45 33 C0 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 39 5D BF 74 0D 83 7D B7 00 75 07 F2 41 0F 11 07 EB 03 83 0F 02 41 0F 10 06 F3 0F 7F 06 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_814_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 245
		refs = "0024 __security_cookie 005e ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z 006a ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 009d _Stoldx 00cb ??3@YAXPEAX@Z 00da __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B D9 4D 8B F0 48 8B F2 48 8B 45 6F 48 8B 7D 77 4C 8B 7D 7F 48 8D 55 EF 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 CF E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7D DF 00 74 38 48 8D 5D CF 48 83 7D E7 10 48 0F 43 5D CF 83 65 B7 00 4C 8D 4D B7 45 33 C0 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 39 5D BF 74 0D 83 7D B7 00 75 07 F2 41 0F 11 07 EB 03 83 0F 02 41 0F 10 06 F3 0F 7F 06 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_812_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 343
		refs = "0022 __security_cookie 005c ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z 006c ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00b5 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0132 ??3@YAXPEAX@Z 0141 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 F9 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 4D 8B E0 4C 8B FA 48 8B 45 6F 4C 8B 75 77 48 8B 7D 7F 48 8D 55 DF 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 CF 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 33 DB 84 C0 74 04 41 83 0E 01 48 85 F6 75 09 41 83 0E 02 E9 94 00 00 00 48 3B 77 10 77 19 48 89 77 10 48 83 7F 18 08 72 05 48 8B 07 EB 03 48 8B C7 66 89 1C 70 EB 12 45 33 C0 48 8B D6 48 2B 57 10 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 80 38 2D 75 4B 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 0F B7 45 F3 66 89 01 BB 01 00 00 00 EB 2E 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 48 83 7F 18 08 72 05 48 8B 17 EB 03 48 8B D7 48 0F BE 04 18 0F B7 4C 44 08 66 89 0C 5A 48 FF C3 48 3B DE 72 CD 41 0F 10 04 24 F3 41 0F 7F 07 48 83 7D D7 10 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_9_816_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 343
		refs = "0022 __security_cookie 005c ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z 006c ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00b5 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0132 ??3@YAXPEAX@Z 0141 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 F9 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 4D 8B E0 4C 8B FA 48 8B 45 6F 4C 8B 75 77 48 8B 7D 7F 48 8D 55 DF 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 CF 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 33 DB 84 C0 74 04 41 83 0E 01 48 85 F6 75 09 41 83 0E 02 E9 94 00 00 00 48 3B 77 10 77 19 48 89 77 10 48 83 7F 18 08 72 05 48 8B 07 EB 03 48 8B C7 66 89 1C 70 EB 12 45 33 C0 48 8B D6 48 2B 57 10 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 80 38 2D 75 4B 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 0F B7 45 F3 66 89 01 BB 01 00 00 00 EB 2E 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 48 83 7F 18 08 72 05 48 8B 17 EB 03 48 8B D7 48 0F BE 04 18 0F B7 4C 44 08 66 89 0C 5A 48 FF C3 48 3B DE 72 CD 41 0F 10 04 24 F3 41 0F 7F 07 48 83 7D D7 10 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_9_835_2 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 572
		refs = "0024 __security_cookie 006c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0075 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00b8 ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00cb ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00dc ??3@YAXPEAX@Z 00eb ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 00f7 ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 013f ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z 018d ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 01a3 _Stoulx 01f1 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0224 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC D8 00 00 00 48 C7 45 8F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E9 4C 89 4C 24 38 4D 8B F8 4C 8B E2 48 89 4C 24 48 48 8B 75 6F 4C 8B 75 77 48 8B 45 7F 48 89 45 87 48 83 CF FF 48 8B CE F7 46 18 00 40 00 00 0F 84 F8 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 8D 77 02 48 8B 4C 24 30 33 DB 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 48 C7 45 AF 07 00 00 00 89 5D 97 48 89 75 A7 48 8D 55 B7 49 8B CD E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 B7 49 8B CD E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 4C 8D 4D 97 48 83 7D AF 08 4C 0F 43 4D 97 41 B8 02 00 00 00 4C 8B 6C 24 38 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 8B F8 48 83 7D AF 08 0F 82 9A 00 00 00 48 8B 4D 97 E8 ?? ?? ?? ?? E9 8C 00 00 00 33 DB 89 5C 24 30 48 8D 54 24 50 E8 ?? ?? ?? ?? 48 8B D0 8B 46 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C7 48 8D 55 D7 48 8B 4C 24 48 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 40 48 8D 4D D7 E8 ?? ?? ?? ?? 44 8B E8 8D 73 01 48 8B 4C 24 50 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 48 8D 45 D7 48 39 44 24 40 74 0D 39 5C 24 30 75 07 44 3B EE 41 0F 46 FD 4C 8B 6C 24 38 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 41 09 36 85 FF 79 06 41 83 0E 02 EB 09 0F 95 C1 48 8B 45 87 88 08 41 0F 10 07 F3 41 0F 7F 04 24 49 8B C4 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_9_858_2 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 572
		refs = "0024 __security_cookie 006c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0075 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00b8 ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00cb ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00dc ??3@YAXPEAX@Z 00eb ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00f7 ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 013f ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z 018d ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 01a3 _Stoulx 01f1 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0224 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC D8 00 00 00 48 C7 45 8F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E9 4C 89 4C 24 38 4D 8B F8 4C 8B E2 48 89 4C 24 48 48 8B 75 6F 4C 8B 75 77 48 8B 45 7F 48 89 45 87 48 83 CF FF 48 8B CE F7 46 18 00 40 00 00 0F 84 F8 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 8D 77 02 48 8B 4C 24 30 33 DB 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 48 C7 45 AF 07 00 00 00 89 5D 97 48 89 75 A7 48 8D 55 B7 49 8B CD E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 B7 49 8B CD E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 4C 8D 4D 97 48 83 7D AF 08 4C 0F 43 4D 97 41 B8 02 00 00 00 4C 8B 6C 24 38 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 8B F8 48 83 7D AF 08 0F 82 9A 00 00 00 48 8B 4D 97 E8 ?? ?? ?? ?? E9 8C 00 00 00 33 DB 89 5C 24 30 48 8D 54 24 50 E8 ?? ?? ?? ?? 48 8B D0 8B 46 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C7 48 8D 55 D7 48 8B 4C 24 48 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 40 48 8D 4D D7 E8 ?? ?? ?? ?? 44 8B E8 8D 73 01 48 8B 4C 24 50 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D6 48 8B C8 41 FF 10 48 8D 45 D7 48 39 44 24 40 74 0D 39 5C 24 30 75 07 44 3B EE 41 0F 46 FD 4C 8B 6C 24 38 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 41 09 36 85 FF 79 06 41 83 0E 02 EB 09 0F 95 C1 48 8B 45 87 88 08 41 0F 10 07 F3 41 0F 7F 04 24 49 8B C4 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_9_907_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 79
		refs = "002f wcslen 003d ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 30 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 66 89 02 48 8B DA 89 44 24 20 66 39 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_9_908_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 79
		refs = "002f wcslen 003d ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 30 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 66 89 02 48 8B DA 89 44 24 20 66 39 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_9_915_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 79
		refs = "002f wcslen 003d ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		altNames = "?do_truename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 28 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 66 89 02 48 8B DA 89 44 24 20 66 39 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_9_916_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 79
		refs = "002f wcslen 003d ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 28 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 66 89 02 48 8B DA 89 44 24 20 66 39 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_9_974_2 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 79
		refs = "002f wcslen 003d ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 79 28 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 66 89 02 48 8B DA 89 44 24 20 66 39 07 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_9_917_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 533
		refs = "0028 __security_cookie 004f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0058 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0091 ?_Src@?1??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@3@V43@_NAEAVios_base@3@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@3@@Z@4QBDB 0158 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z 0172 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0196 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01d6 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 01e7 ??3@YAXPEAX@Z 01f6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 45 8A E9 4D 8B F8 48 8B F2 4C 8B E1 4C 8B 75 6F 48 8B 5D 7F 48 8D 55 9F 49 8B CE E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 4D 9F 33 C0 48 89 45 8F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 50 58 45 33 C9 41 8A F9 41 8B D1 4C 8B 53 10 4D 85 D2 74 20 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 0F B7 45 03 66 39 01 75 08 40 B7 01 BA 01 00 00 00 4C 8B C2 49 3B D2 73 55 44 0F B7 5D EF 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 45 EF 66 45 85 DB 74 1F 46 0F B7 0C 41 41 0F B7 CB 66 41 3B C9 74 0D 48 83 C0 02 0F B7 08 66 3B 4D 8F 75 ED 45 33 C9 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 08 49 FF C0 4D 3B C2 72 B0 48 83 7B 18 08 72 03 48 8B 1B 48 C7 45 E7 07 00 00 00 4C 89 4D DF 66 44 89 4D CF 4C 2B C2 48 8D 14 53 48 8D 4D CF E8 ?? ?? ?? ?? 90 33 DB 48 39 5D DF 75 11 44 0F B7 45 EF 8D 53 01 48 8D 4D CF E8 ?? ?? ?? ?? 48 C7 45 BF 07 00 00 00 48 89 5D B7 66 89 5D A7 49 83 C9 FF 45 33 C0 48 8D 55 CF 48 8D 4D A7 E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 45 8F 0F B7 45 EF 66 89 44 24 40 48 8D 45 A7 48 89 44 24 38 40 88 7C 24 30 0F B7 45 77 66 89 44 24 28 4C 89 74 24 20 45 8A CD 4C 8D 45 8F 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7D E7 08 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_923_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 533
		refs = "0028 __security_cookie 004f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0058 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0091 ?_Src@?1??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@3@V43@_NAEAVios_base@3@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@3@@Z@4QBDB 0158 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 0172 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0196 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01d6 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 01e7 ??3@YAXPEAX@Z 01f6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 45 8A E9 4D 8B F8 48 8B F2 4C 8B E1 4C 8B 75 6F 48 8B 5D 7F 48 8D 55 9F 49 8B CE E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 4D 9F 33 C0 48 89 45 8F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 50 58 45 33 C9 41 8A F9 41 8B D1 4C 8B 53 10 4D 85 D2 74 20 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 0F B7 45 03 66 39 01 75 08 40 B7 01 BA 01 00 00 00 4C 8B C2 49 3B D2 73 55 44 0F B7 5D EF 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 45 EF 66 45 85 DB 74 1F 46 0F B7 0C 41 41 0F B7 CB 66 41 3B C9 74 0D 48 83 C0 02 0F B7 08 66 3B 4D 8F 75 ED 45 33 C9 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 08 49 FF C0 4D 3B C2 72 B0 48 83 7B 18 08 72 03 48 8B 1B 48 C7 45 E7 07 00 00 00 4C 89 4D DF 66 44 89 4D CF 4C 2B C2 48 8D 14 53 48 8D 4D CF E8 ?? ?? ?? ?? 90 33 DB 48 39 5D DF 75 11 44 0F B7 45 EF 8D 53 01 48 8D 4D CF E8 ?? ?? ?? ?? 48 C7 45 BF 07 00 00 00 48 89 5D B7 66 89 5D A7 49 83 C9 FF 45 33 C0 48 8D 55 CF 48 8D 4D A7 E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 45 8F 0F B7 45 EF 66 89 44 24 40 48 8D 45 A7 48 89 44 24 38 40 88 7C 24 30 0F B7 45 77 66 89 44 24 28 4C 89 74 24 20 45 8A CD 4C 8D 45 8F 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7D E7 08 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_920_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GO@Z"
		size = 515
		refs = "0028 __security_cookie 0060 __xmm@80000000000000008000000000000000 006b __real@4733426172c74d82 007e __real@4202a05f20000000 0094 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00a2 sprintf_s 00c3 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0127 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 015c ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0182 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01c4 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 01d5 ??3@YAXPEAX@Z 01e4 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 50 4D 8B F8 48 8B F2 48 89 4C 24 58 4C 8B 6D 6F 33 FF 44 8A E7 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0A 41 B4 01 0F 57 1D ?? ?? ?? ?? 4C 8B F7 F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FE 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C6 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D7 E8 ?? ?? ?? ?? 48 63 D8 85 C0 79 0D 41 0F 10 07 F3 0F 7F 06 E9 1F 01 00 00 48 8D 54 24 60 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 70 48 8B 4C 24 60 48 85 C9 74 1A 4C 8B 01 41 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 B2 30 48 8B CF FF 50 60 0F B7 F8 48 C7 45 CF 07 00 00 00 33 C0 48 89 45 C7 66 89 45 B7 45 33 C0 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 4C 8D 4D B7 48 83 7D CF 08 4C 0F 43 4D B7 48 8B 4C 24 70 48 8B 01 4C 8D 45 D7 4C 03 C3 48 8D 55 D7 FF 50 58 44 0F B7 C7 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 C7 45 A7 07 00 00 00 33 C0 48 89 45 9F 66 89 45 8F 49 83 C9 FF 45 33 C0 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 44 24 70 66 89 7C 24 40 48 8D 45 8F 48 89 44 24 38 44 88 64 24 30 0F B7 45 77 66 89 44 24 28 4C 89 6C 24 20 44 8A 4C 24 50 4C 8D 44 24 70 48 8B D6 48 8B 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_926_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WO@Z"
		size = 515
		refs = "0028 __security_cookie 0060 __xmm@80000000000000008000000000000000 006b __real@4733426172c74d82 007e __real@4202a05f20000000 0094 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00a2 sprintf_s 00c3 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00cc ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0127 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 015c ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0182 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01c4 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 01d5 ??3@YAXPEAX@Z 01e4 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 50 4D 8B F8 48 8B F2 48 89 4C 24 58 4C 8B 6D 6F 33 FF 44 8A E7 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0A 41 B4 01 0F 57 1D ?? ?? ?? ?? 4C 8B F7 F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FE 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C6 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D7 E8 ?? ?? ?? ?? 48 63 D8 85 C0 79 0D 41 0F 10 07 F3 0F 7F 06 E9 1F 01 00 00 48 8D 54 24 60 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 70 48 8B 4C 24 60 48 85 C9 74 1A 4C 8B 01 41 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 07 B2 30 48 8B CF FF 50 60 0F B7 F8 48 C7 45 CF 07 00 00 00 33 C0 48 89 45 C7 66 89 45 B7 45 33 C0 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 4C 8D 4D B7 48 83 7D CF 08 4C 0F 43 4D B7 48 8B 4C 24 70 48 8B 01 4C 8D 45 D7 4C 03 C3 48 8D 55 D7 FF 50 58 44 0F B7 C7 49 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 48 C7 45 A7 07 00 00 00 33 C0 48 89 45 9F 66 89 45 8F 49 83 C9 FF 45 33 C0 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 07 F3 0F 7F 44 24 70 66 89 7C 24 40 48 8D 45 8F 48 89 44 24 38 44 88 64 24 30 0F B7 45 77 66 89 44 24 28 4C 89 6C 24 20 44 8A 4C 24 50 4C 8D 44 24 70 48 8B D6 48 8B 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 7D CF 08 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_9_936_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z"
		size = 521
		refs = "0024 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00ca ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00d1 ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ed ??3@YAXPEAX@Z 0105 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 0157 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 01f1 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC 98 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E9 4D 8B F0 4C 8B FA 44 0F B7 65 77 41 F7 41 18 00 40 00 00 75 2A 41 0F 10 00 F3 0F 7F 45 A7 4C 8B 11 0F B6 55 7F 89 54 24 28 66 44 89 64 24 20 4C 8D 45 A7 49 8B D7 41 FF 52 48 E9 75 01 00 00 48 8D 55 A7 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D A7 33 F6 48 85 C9 74 17 48 8B 11 FF 52 10 48 85 C0 74 0C 4C 8B 00 8D 56 01 48 8B C8 41 FF 10 BF 07 00 00 00 48 89 7D D7 48 89 75 CF 66 89 75 BF 48 8D 55 DF 48 8B CB 40 38 75 7F 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 BF 48 3B C3 74 28 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 89 7D D7 48 89 75 CF 66 89 75 BF 48 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 48 83 7D F7 08 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 49 8B 5D 28 48 8B 7D CF 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B DE 41 8B 45 18 25 C0 01 00 00 83 F8 40 74 2F 41 0F 10 06 0F 29 45 A7 48 85 DB 74 1A 41 0F B7 D4 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF CB 75 EE 48 8B 7D CF 0F 28 45 A7 F3 41 0F 7F 06 48 8B DE 41 0F 10 06 0F 29 45 A7 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 48 85 FF 74 19 0F B7 16 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8D 76 02 48 FF CF 75 EB 0F 28 45 A7 F3 41 0F 7F 06 49 83 65 28 00 41 0F 10 06 0F 29 45 A7 48 85 DB 74 16 41 0F B7 D4 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 A7 F3 41 0F 7F 07 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_9_946_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z"
		size = 521
		refs = "0024 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00ca ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00d1 ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ed ??3@YAXPEAX@Z 0105 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 0157 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 01f1 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC 98 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E9 4D 8B F0 4C 8B FA 44 0F B7 65 77 41 F7 41 18 00 40 00 00 75 2A 41 0F 10 00 F3 0F 7F 45 A7 4C 8B 11 0F B6 55 7F 89 54 24 28 66 44 89 64 24 20 4C 8D 45 A7 49 8B D7 41 FF 52 48 E9 75 01 00 00 48 8D 55 A7 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D A7 33 F6 48 85 C9 74 17 48 8B 11 FF 52 10 48 85 C0 74 0C 4C 8B 00 8D 56 01 48 8B C8 41 FF 10 BF 07 00 00 00 48 89 7D D7 48 89 75 CF 66 89 75 BF 48 8D 55 DF 48 8B CB 40 38 75 7F 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 BF 48 3B C3 74 28 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 89 7D D7 48 89 75 CF 66 89 75 BF 48 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 48 83 7D F7 08 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 49 8B 5D 28 48 8B 7D CF 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B DE 41 8B 45 18 25 C0 01 00 00 83 F8 40 74 2F 41 0F 10 06 0F 29 45 A7 48 85 DB 74 1A 41 0F B7 D4 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF CB 75 EE 48 8B 7D CF 0F 28 45 A7 F3 41 0F 7F 06 48 8B DE 41 0F 10 06 0F 29 45 A7 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 48 85 FF 74 19 0F B7 16 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8D 76 02 48 FF CF 75 EB 0F 28 45 A7 F3 41 0F 7F 06 49 83 65 28 00 41 0F 10 06 0F 29 45 A7 48 85 DB 74 16 41 0F B7 D4 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 A7 F3 41 0F 7F 07 48 83 7D D7 08 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_9_949_2 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBUtm@@DD@Z"
		size = 320
		refs = "0022 __security_cookie 003e ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 0096 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00bd _Wcsftime 0103 ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z 011b ??3@YAXPEAX@Z 012a __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 F9 48 81 EC A0 00 00 00 48 C7 45 9F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B F8 48 8B FA 48 8B F1 4C 8B 75 6F F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 45 E7 0F B7 05 ?? ?? ?? ?? 66 89 45 EF 48 C7 45 DF 07 00 00 00 45 33 E4 4C 89 65 D7 66 44 89 65 C7 8A 45 7F 84 C0 75 0A 0F BE 45 77 66 89 45 EB EB 0F 0F BE C0 66 89 45 EB 0F BE 45 77 66 89 45 ED BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 46 10 48 8D 4D C7 48 83 7D DF 08 48 0F 43 4D C7 48 89 44 24 20 4D 8B CE 4C 8D 45 E7 48 8B 55 D7 E8 ?? ?? ?? ?? 48 85 C0 75 05 48 03 DB EB C0 48 8D 4D C7 48 83 7D DF 08 48 0F 43 4D C7 48 8D 55 C7 48 0F 43 55 C7 48 83 C2 02 41 0F 10 07 F3 0F 7F 45 B7 4C 8D 04 41 8A 45 97 88 44 24 20 4C 8D 4D B7 48 8D 4D A7 E8 ?? ?? ?? ?? 0F 10 45 A7 F3 0F 7F 07 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_9_951_2 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBUtm@@DD@Z"
		size = 320
		refs = "0022 __security_cookie 003e ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 0096 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00bd _Wcsftime 0103 ??$_Copy_impl@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_Nonscalar_ptr_iterator_tag@0@@Z 011b ??3@YAXPEAX@Z 012a __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 F9 48 81 EC A0 00 00 00 48 C7 45 9F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B F8 48 8B FA 48 8B F1 4C 8B 75 6F F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 45 E7 0F B7 05 ?? ?? ?? ?? 66 89 45 EF 48 C7 45 DF 07 00 00 00 45 33 E4 4C 89 65 D7 66 44 89 65 C7 8A 45 7F 84 C0 75 0A 0F BE 45 77 66 89 45 EB EB 0F 0F BE C0 66 89 45 EB 0F BE 45 77 66 89 45 ED BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 46 10 48 8D 4D C7 48 83 7D DF 08 48 0F 43 4D C7 48 89 44 24 20 4D 8B CE 4C 8D 45 E7 48 8B 55 D7 E8 ?? ?? ?? ?? 48 85 C0 75 05 48 03 DB EB C0 48 8D 4D C7 48 83 7D DF 08 48 0F 43 4D C7 48 8D 55 C7 48 0F 43 55 C7 48 83 C2 02 41 0F 10 07 F3 0F 7F 45 B7 4C 8D 04 41 8A 45 97 88 44 24 20 4C 8D 4D B7 48 8D 4D A7 E8 ?? ?? ?? ?? 0F 10 45 A7 F3 0F 7F 07 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_9_969_2 {
	meta:
		name = "?do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z"
		size = 283
		refs = "007e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 00be memcpy_s"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 40 F0 FE FF FF FF 48 89 58 08 48 89 68 18 48 89 70 20 49 8B F0 48 8B DA 33 ED 89 68 E8 48 C7 42 18 07 00 00 00 48 89 6A 10 66 89 2A C7 40 E8 01 00 00 00 4D 2B C8 49 D1 F9 0F 84 83 00 00 00 49 8B F9 4C 3B 4B 10 77 1A 4C 89 4B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 42 89 2C 48 EB 12 45 33 C0 4C 2B 4B 10 49 8B D1 48 8B CB E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 14 50 48 2B D1 48 D1 FA 48 3B FA 77 0F 4C 8D 0C 3F 48 03 D2 4C 8B C6 E8 ?? ?? ?? ?? 4C 8B CF 48 3B 7B 10 76 05 48 85 FF 75 80 4C 3B 4B 10 77 1A 4C 89 4B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 42 89 2C 48 EB 12 45 33 C0 4C 2B 4B 10 49 8B D1 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 CC }
	condition:
		$1
}

rule file_9_970_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_971_2 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z"
		size = 273
		refs = "0083 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00b9 _Wcsxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 56 57 41 56 48 83 EC 40 48 C7 40 E0 FE FF FF FF 48 89 58 08 48 89 68 18 49 8B F1 49 8B E8 48 8B DA 45 33 F6 44 89 70 D8 48 C7 42 18 07 00 00 00 4C 89 72 10 66 44 89 32 C7 40 D8 01 00 00 00 49 8B C1 49 2B C0 48 D1 F8 74 77 48 8D 79 10 48 3B 43 10 77 1A 48 89 43 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 66 44 89 34 41 EB 12 45 33 C0 48 2B 43 10 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 14 50 48 89 7C 24 20 4C 8B CE 4C 8B C5 E8 ?? ?? ?? ?? 48 3B 43 10 76 0B 48 85 C0 75 8D 48 3B 43 10 77 1A 48 89 43 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 66 44 89 34 41 EB 12 45 33 C0 48 2B 43 10 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 70 48 83 C4 40 41 5E 5F 5E C3 CC }
	condition:
		$1
}

rule file_9_972_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 0D 83 65 30 FE 48 8B 4D 68 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_9_983_2 {
	meta:
		name = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 30
		altNames = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 83 79 18 08 72 05 4C 8B 01 EB 03 4C 8B C1 48 8B 41 10 49 8D 0C 40 48 8B C2 48 89 0A C3 }
	condition:
		$1
}

rule file_9_995_2 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z"
		size = 176
		refs = "0075 memmove 00a6 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 00ab ?_Xout_of_range@std@@YAXPEBD@Z"
		altNames = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 10 4D 8B C8 48 8B D9 48 3B FA 0F 82 81 00 00 00 48 8B C7 48 2B C2 49 3B C0 77 1B 48 83 79 18 08 48 89 51 10 72 05 48 8B 01 EB 03 48 8B C1 33 F6 66 89 34 50 EB 48 33 F6 4D 85 C0 74 41 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 49 2B F8 48 8D 0C 50 4C 8B C7 4C 2B C2 74 0C 4A 8D 14 49 4D 03 C0 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 34 78 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_996_2 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K@Z"
		size = 58
		refs = "0030 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0035 ?_Xout_of_range@std@@YAXPEBD@Z"
		altNames = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 39 51 10 72 23 48 83 79 18 08 48 89 51 10 72 05 48 8B 01 EB 03 48 8B C1 45 33 C0 66 44 89 04 50 48 8B C1 48 83 C4 28 C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_1021_2 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z"
		size = 298
		refs = "005c ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 009f memmove 0113 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0118 ?_Xout_of_range@std@@YAXPEBD@Z 0120 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0125 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B D9 48 8B 49 10 45 0F B7 F1 49 8B F0 48 8B FA 48 3B CA 0F 82 DE 00 00 00 48 83 C8 FF 48 2B C1 49 3B C0 0F 86 DB 00 00 00 45 33 FF 4D 85 C0 0F 84 A6 00 00 00 4A 8D 2C 01 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 43 10 4C 2B C7 74 14 48 8D 14 78 48 8D 04 37 4D 03 C0 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 FE 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 78 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 78 48 8B CE 41 0F B7 C6 66 F3 AB 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 68 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_1022_2 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z"
		size = 298
		refs = "005c ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 009f memmove 0113 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0118 ?_Xout_of_range@std@@YAXPEBD@Z 0120 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0125 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B D9 48 8B 49 10 45 0F B7 F1 49 8B F0 48 8B FA 48 3B CA 0F 82 DE 00 00 00 48 83 C8 FF 48 2B C1 49 3B C0 0F 86 DB 00 00 00 45 33 FF 4D 85 C0 0F 84 A6 00 00 00 4A 8D 2C 01 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 43 10 4C 2B C7 74 14 48 8D 14 78 48 8D 04 37 4D 03 C0 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 FE 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 78 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 78 48 8B CE 41 0F B7 C6 66 F3 AB 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 68 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_1062_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
		size = 157
		refs = "0049 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0090 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 44 24 60 48 8B D9 4C 3B C8 75 3C 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 33 C9 4D 85 C0 75 05 44 8B C1 EB 06 4C 2B C2 49 D1 F8 48 85 D2 74 09 48 8B CA 48 2B C8 48 D1 F9 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 45 48 83 79 18 08 72 05 4C 8B 11 EB 03 4C 8B D1 33 C9 4D 85 C0 75 05 44 8B C1 EB 06 4C 2B C2 49 D1 F8 48 85 D2 74 09 48 8B CA 49 2B CA 48 D1 F9 49 2B C1 48 8B D1 48 8B CB 48 D1 F8 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_9_1065_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
		size = 157
		refs = "0049 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0090 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 44 24 60 48 8B D9 4C 3B C8 75 3C 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 33 C9 4D 85 C0 75 05 44 8B C1 EB 06 4C 2B C2 49 D1 F8 48 85 D2 74 09 48 8B CA 48 2B C8 48 D1 F9 48 8B D1 48 8B CB E8 ?? ?? ?? ?? EB 45 48 83 79 18 08 72 05 4C 8B 11 EB 03 4C 8B D1 33 C9 4D 85 C0 75 05 44 8B C1 EB 06 4C 2B C2 49 D1 F8 48 85 D2 74 09 48 8B CA 49 2B CA 48 D1 F9 49 2B C1 48 8B D1 48 8B CB 48 D1 F8 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_9_1063_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 896
		refs = "0094 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 00d7 memmove 010a memcpy 0369 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 036e ?_Xlength_error@std@@YAXPEBD@Z 0376 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 037b ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B D9 48 8B 49 10 4D 8B F1 4D 8B E8 4C 8B FA 48 3B CA 0F 82 3E 03 00 00 49 8B 41 10 48 8B 6C 24 70 48 3B C5 0F 82 2C 03 00 00 48 8B 74 24 78 4C 8B E1 4C 2B E2 48 8B D1 4D 3B E0 4D 0F 42 EC 48 2B C5 48 3B C6 48 0F 42 F0 48 83 C8 FF 49 2B D5 48 2B C6 48 3B C2 0F 86 ED 02 00 00 48 8D 04 32 4D 2B E5 48 89 44 24 50 48 3B C8 73 0E 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 49 3B DE 74 76 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 33 FF 4D 85 E4 74 19 4B 8D 04 2F 4F 8D 04 24 48 8D 14 42 49 8D 04 37 48 8D 0C 41 E8 ?? ?? ?? ?? 49 83 7E 18 08 72 03 4D 8B 36 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 2D 02 00 00 4C 8D 04 36 49 8D 14 6E 4A 8D 0C 78 E8 ?? ?? ?? ?? E9 17 02 00 00 49 3B F5 77 76 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 33 FF 48 85 F6 74 11 48 8D 14 69 4C 8D 04 36 4A 8D 0C 78 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 0F 84 B5 01 00 00 4B 8D 04 2F 4F 8D 04 24 48 8D 14 42 49 8D 04 37 48 8D 0C 41 E9 97 01 00 00 49 3B EF 77 76 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 33 FF 4D 85 E4 74 19 4B 8D 04 2F 4F 8D 04 24 48 8D 14 42 49 8D 04 37 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 32 01 00 00 48 8D 14 69 4C 8D 04 36 4A 8D 0C 78 E9 1C 01 00 00 4F 8D 34 2F 4C 3B F5 77 6C 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 33 FF 4D 85 E4 74 15 4A 8D 14 70 49 8D 04 37 4F 8D 04 24 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 B7 00 00 00 49 2B ED 48 03 EE E9 7A FF FF FF 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 33 FF 4D 85 ED 74 15 48 8D 14 69 4E 8D 04 6D 00 00 00 00 4A 8D 0C 78 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 15 4A 8D 14 70 49 8D 04 37 4F 8D 04 24 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B C6 4D 2B C5 74 14 48 8D 04 2E 4D 03 C0 4A 8D 0C 71 48 8D 14 42 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 8B 4C 24 50 48 89 4B 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 6C 24 60 48 8B 74 24 68 66 89 3C 48 48 8B C3 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_1066_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 896
		refs = "0094 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00d7 memmove 010a memcpy 0369 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 036e ?_Xlength_error@std@@YAXPEBD@Z 0376 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 037b ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B D9 48 8B 49 10 4D 8B F1 4D 8B E8 4C 8B FA 48 3B CA 0F 82 3E 03 00 00 49 8B 41 10 48 8B 6C 24 70 48 3B C5 0F 82 2C 03 00 00 48 8B 74 24 78 4C 8B E1 4C 2B E2 48 8B D1 4D 3B E0 4D 0F 42 EC 48 2B C5 48 3B C6 48 0F 42 F0 48 83 C8 FF 49 2B D5 48 2B C6 48 3B C2 0F 86 ED 02 00 00 48 8D 04 32 4D 2B E5 48 89 44 24 50 48 3B C8 73 0E 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 49 3B DE 74 76 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 33 FF 4D 85 E4 74 19 4B 8D 04 2F 4F 8D 04 24 48 8D 14 42 49 8D 04 37 48 8D 0C 41 E8 ?? ?? ?? ?? 49 83 7E 18 08 72 03 4D 8B 36 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 2D 02 00 00 4C 8D 04 36 49 8D 14 6E 4A 8D 0C 78 E8 ?? ?? ?? ?? E9 17 02 00 00 49 3B F5 77 76 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 33 FF 48 85 F6 74 11 48 8D 14 69 4C 8D 04 36 4A 8D 0C 78 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 0F 84 B5 01 00 00 4B 8D 04 2F 4F 8D 04 24 48 8D 14 42 49 8D 04 37 48 8D 0C 41 E9 97 01 00 00 49 3B EF 77 76 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 33 FF 4D 85 E4 74 19 4B 8D 04 2F 4F 8D 04 24 48 8D 14 42 49 8D 04 37 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 32 01 00 00 48 8D 14 69 4C 8D 04 36 4A 8D 0C 78 E9 1C 01 00 00 4F 8D 34 2F 4C 3B F5 77 6C 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 33 FF 4D 85 E4 74 15 4A 8D 14 70 49 8D 04 37 4F 8D 04 24 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 B7 00 00 00 49 2B ED 48 03 EE E9 7A FF FF FF 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 33 FF 4D 85 ED 74 15 48 8D 14 69 4E 8D 04 6D 00 00 00 00 4A 8D 0C 78 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 15 4A 8D 14 70 49 8D 04 37 4F 8D 04 24 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B C6 4D 2B C5 74 14 48 8D 04 2E 4D 03 C0 4A 8D 0C 71 48 8D 14 42 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 8B 4C 24 50 48 89 4B 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 6C 24 60 48 8B 74 24 68 66 89 3C 48 48 8B C3 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_1064_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z"
		size = 492
		refs = "0089 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 0107 memmove 012d ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z 0196 memcpy 01d5 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 01da ?_Xout_of_range@std@@YAXPEBD@Z 01e2 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 01e7 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 49 8B E9 49 8B F8 4C 8B E2 48 8B D9 4D 85 C9 74 62 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 4C 3B C8 72 4E 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 49 3B C9 76 37 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B E8 48 8B 84 24 80 00 00 00 4C 8B CB 48 D1 FD 48 89 44 24 28 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? E9 23 01 00 00 48 8B 4B 10 48 3B CA 0F 82 33 01 00 00 48 8B B4 24 80 00 00 00 4C 8B F1 4C 2B F2 4D 3B F0 49 0F 42 FE 48 83 C8 FF 48 2B C6 48 2B CF 48 3B C1 0F 86 18 01 00 00 4C 2B F7 48 3B F7 73 3C 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 F6 74 19 49 8D 04 3C 4F 8D 04 36 48 8D 14 42 49 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 85 F6 75 09 48 85 FF 0F 84 99 00 00 00 4C 8B FE 45 33 C0 48 8B CB 4C 2B FF 4C 03 7B 10 49 8B D7 E8 ?? ?? ?? ?? 84 C0 74 7D 48 3B FE 73 3C 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 F6 74 19 49 8D 04 3C 4F 8D 04 36 48 8D 14 42 49 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 74 10 4C 8D 04 36 4A 8D 0C 60 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 18 08 4C 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 46 89 2C 78 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_1067_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z"
		size = 492
		refs = "0089 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 0107 memmove 012d ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 0196 memcpy 01d5 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 01da ?_Xout_of_range@std@@YAXPEBD@Z 01e2 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 01e7 ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 49 8B E9 49 8B F8 4C 8B E2 48 8B D9 4D 85 C9 74 62 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 4C 3B C8 72 4E 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 49 3B C9 76 37 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B E8 48 8B 84 24 80 00 00 00 4C 8B CB 48 D1 FD 48 89 44 24 28 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? E9 23 01 00 00 48 8B 4B 10 48 3B CA 0F 82 33 01 00 00 48 8B B4 24 80 00 00 00 4C 8B F1 4C 2B F2 4D 3B F0 49 0F 42 FE 48 83 C8 FF 48 2B C6 48 2B CF 48 3B C1 0F 86 18 01 00 00 4C 2B F7 48 3B F7 73 3C 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 F6 74 19 49 8D 04 3C 4F 8D 04 36 48 8D 14 42 49 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 85 F6 75 09 48 85 FF 0F 84 99 00 00 00 4C 8B FE 45 33 C0 48 8B CB 4C 2B FF 4C 03 7B 10 49 8B D7 E8 ?? ?? ?? ?? 84 C0 74 7D 48 3B FE 73 3C 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 F6 74 19 49 8D 04 3C 4F 8D 04 36 48 8D 14 42 49 8D 04 34 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 74 10 4C 8D 04 36 4A 8D 0C 60 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 18 08 4C 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 46 89 2C 78 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_9_1068_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
		size = 39
		refs = "0023 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 10 77 15 48 83 79 18 08 48 89 51 10 72 03 48 8B 09 33 C0 66 89 04 51 C3 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_1070_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 39
		refs = "0023 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 10 77 15 48 83 79 18 08 48 89 51 10 72 03 48 8B 09 33 C0 66 89 04 51 C3 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_1069_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_KG@Z"
		size = 36
		refs = "0020 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 10 77 15 48 83 79 18 08 48 89 51 10 72 03 48 8B 09 33 C0 66 89 04 51 C3 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_1071_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K_W@Z"
		size = 36
		refs = "0020 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 10 77 15 48 83 79 18 08 48 89 51 10 72 03 48 8B 09 33 C0 66 89 04 51 C3 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_151_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ"
		size = 411
		refs = "0025 __security_cookie 007f memset 011f fwrite 0144 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0169 ??3@YAXPEAX@Z 017e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B F9 33 DB 48 39 59 78 0F 84 32 01 00 00 38 99 81 00 00 00 0F 84 26 01 00 00 48 8B 01 83 CA FF FF 50 18 83 F8 FF 75 07 32 C0 E9 16 01 00 00 48 C7 45 E8 0F 00 00 00 48 89 5D E0 88 5D D0 41 BC 08 00 00 00 45 8B C4 33 D2 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 89 65 E0 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 88 58 08 41 8D 74 24 F9 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 4C 8D 45 D0 4C 0F 43 45 D0 48 8B 4F 78 4C 8B 11 4C 8B 4D E0 4C 03 CA 48 8D 45 C0 48 89 44 24 20 48 8D 97 84 00 00 00 41 FF 52 40 8B C8 85 C0 74 06 FF C9 75 6D EB 06 88 9F 81 00 00 00 48 8D 45 D0 4C 8B 4D D0 4C 8B 55 E8 49 83 FA 10 49 0F 43 C1 4C 8B 75 C0 4C 2B F0 74 23 48 8D 4D D0 49 83 FA 10 49 0F 43 C9 4C 8B 8F 90 00 00 00 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 4C 3B F0 75 2F 38 9F 81 00 00 00 74 24 4D 85 F6 0F 85 64 FF FF FF 45 33 C0 49 8B D4 48 8D 4D D0 E8 ?? ?? ?? ?? E9 50 FF FF FF 83 F9 02 75 0B EB 06 40 8A DE 40 8A F3 40 8A DE 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 8A C3 EB 05 B8 01 00 00 00 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_14_275_2 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 582
		refs = "0029 __security_cookie 00cc fputc 00ff memset 01b0 fwrite 01e5 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0218 ??3@YAXPEAX@Z 0226 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 FF FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 8B F2 48 8B F9 83 CB FF 3B D3 75 07 33 C0 E9 D7 01 00 00 48 8B 41 40 48 83 38 00 74 30 48 8B 51 58 4C 63 02 49 8B C8 48 03 08 48 39 08 73 1E 41 8D 48 FF 89 0A 48 8B 57 40 4C 8B 02 49 8D 48 01 48 89 0A 41 88 30 8B C6 E9 9D 01 00 00 48 83 BF 90 00 00 00 00 0F 84 8D 01 00 00 4C 8B 47 18 48 8D 87 80 00 00 00 49 39 00 75 1A 48 8B 57 70 48 8B 4F 68 49 89 08 48 8B 47 38 48 89 08 2B D1 48 8B 47 50 89 10 48 83 7F 78 00 75 1A 40 0F BE CE 48 8B 97 90 00 00 00 E8 ?? ?? ?? ?? 3B C3 0F 45 DE E9 42 01 00 00 40 88 75 E7 48 C7 45 1F 0F 00 00 00 48 83 65 17 00 C6 45 07 00 41 BD 08 00 00 00 45 8B C5 33 D2 48 8D 4D 07 E8 ?? ?? ?? ?? 4C 89 6D 17 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 C6 40 08 00 48 8D 55 07 48 83 7D 1F 10 48 0F 43 55 07 4C 8D 45 07 4C 0F 43 45 07 48 8B 4F 78 4C 8B 11 48 03 55 17 48 8D 45 F7 48 89 44 24 38 48 89 54 24 30 4C 89 44 24 28 48 8D 45 EF 48 89 44 24 20 4C 8D 4D E8 4C 8D 45 E7 48 8D 97 84 00 00 00 41 FF 52 38 85 C0 0F 88 9A 00 00 00 83 F8 01 7F 7B 48 8D 45 07 4C 8B 4D 07 4C 8B 55 1F 49 83 FA 10 49 0F 43 C1 4C 8B 75 F7 4C 2B F0 74 25 48 8D 4D 07 49 83 FA 10 49 0F 43 C9 4C 8B 8F 90 00 00 00 4D 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 3B F0 75 53 C6 87 81 00 00 00 01 48 8D 45 E7 48 39 45 EF 75 24 4D 85 F6 0F 85 46 FF FF FF 48 83 7D 17 20 73 32 45 33 C0 49 8B D5 48 8D 4D 07 E8 ?? ?? ?? ?? E9 2B FF FF FF 8B DE EB 1A 83 F8 03 75 15 0F BE 4D E7 48 8B 97 90 00 00 00 E8 ?? ?? ?? ?? 3B C3 0F 45 DE 48 83 7D 1F 10 72 09 48 8B 4D 07 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 5F 5D C3 }
	condition:
		$1
}

rule file_14_305_2 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 586
		refs = "0025 __security_cookie 00b6 fgetc 0104 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01a0 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 01d2 memcpy_s 0201 ungetc 0220 ??3@YAXPEAX@Z 022e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 0F FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 8B D9 48 8B 41 38 48 8B 08 48 85 C9 74 2C 48 8B 53 50 4C 63 02 4A 8D 04 01 48 3B C8 73 1C 41 8D 40 FF 89 02 48 8B 4B 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 E9 BB 01 00 00 48 83 BB 90 00 00 00 00 75 08 83 C8 FF E9 A9 01 00 00 4C 8B 43 18 48 8D 83 80 00 00 00 49 39 00 75 1A 48 8B 53 70 48 8B 4B 68 49 89 08 48 8B 43 38 48 89 08 2B D1 48 8B 43 50 89 10 48 83 7B 78 00 75 1F 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 3B C7 0F 84 5F 01 00 00 0F B6 F8 E9 57 01 00 00 48 C7 45 2F 0F 00 00 00 48 83 65 27 00 C6 45 17 00 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 3B C7 0F 84 1F 01 00 00 44 8D 7F 02 44 8A C0 49 8B D7 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 55 17 48 83 7D 2F 10 48 0F 43 55 17 4C 8D 45 17 4C 0F 43 45 17 48 8B 4B 78 4C 8B 11 4C 8B 4D 27 4C 03 CA 48 8D 45 07 48 89 44 24 38 48 8D 45 F8 48 89 44 24 30 48 8D 45 F7 48 89 44 24 28 48 8D 45 FF 48 89 44 24 20 48 8D 93 84 00 00 00 41 FF 52 30 85 C0 0F 88 B0 00 00 00 41 3B C7 7E 11 83 F8 03 0F 85 A2 00 00 00 4C 39 7D 27 73 41 EB 2A 48 8D 45 F7 48 39 45 07 48 8D 45 17 75 50 48 83 7D 2F 10 48 0F 43 45 17 4C 8B 45 FF 4C 2B C0 33 D2 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? 3B C7 74 60 E9 40 FF FF FF 4C 8D 45 17 48 83 7D 2F 10 4C 0F 43 45 17 4D 8B CF 49 8B D7 48 8D 4D F7 E8 ?? ?? ?? ?? EB 38 48 83 7D 2F 10 48 0F 43 45 17 48 8B 4D FF 2B C1 03 45 27 48 63 F8 85 C0 7E 1E 49 2B FF 0F BE 0C 0F 48 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 7E 06 48 8B 4D FF EB E2 0F B6 7D F7 48 83 7D 2F 10 72 09 48 8B 4D 17 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5F 5F 5D C3 }
	condition:
		$1
}

rule file_39_183_2 {
	meta:
		name = "??$_StoreException@V?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@@?$task_completion_event@E@Concurrency@@QEBA_NV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV_TaskCreationCallstack@details@1@@Z"
		size = 317
		refs = "0031 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0064 ?_ToExceptionHolder@?$task_completion_event@E@Concurrency@@CA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV34@AEBV_TaskCreationCallstack@details@2@@Z 0073 ??4?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z 00b2 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 08 48 89 70 18 49 8B F8 48 8B F2 48 8B D9 48 8B 11 48 83 C2 18 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8B 03 80 78 68 00 0F 85 A8 00 00 00 80 78 69 00 0F 85 9E 00 00 00 48 83 78 58 00 0F 85 93 00 00 00 4C 8B C7 48 8B D6 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 0B 48 83 C1 58 48 8B D0 E8 ?? ?? ?? ?? 83 CB FF 48 8B 7C 24 30 48 85 FF 74 28 8B C3 F0 0F C1 47 08 03 C3 75 1D 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 0A 48 8B 07 48 8B CF FF 50 08 90 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B 7E 08 48 85 FF 74 27 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 B0 01 EB 40 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B 7E 08 48 85 FF 74 2A 83 CB FF 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 32 C0 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_39_186_2 {
	meta:
		name = "??$_StoreException@V?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@QEBA_NV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV_TaskCreationCallstack@details@1@@Z"
		size = 317
		refs = "0031 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0064 ?_ToExceptionHolder@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@CA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@AEBV34@AEBV_TaskCreationCallstack@details@2@@Z 0073 ??4?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@std@@QEAAAEAV01@$$QEAV01@@Z 00b2 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 70 48 C7 40 A8 FE FF FF FF 48 89 58 08 48 89 70 18 49 8B F8 48 8B F2 48 8B D9 48 8B 11 48 83 C2 18 48 8D 48 C0 E8 ?? ?? ?? ?? 90 48 8B 03 80 78 70 00 0F 85 A8 00 00 00 80 78 71 00 0F 85 9E 00 00 00 48 83 78 60 00 0F 85 93 00 00 00 4C 8B C7 48 8B D6 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 0B 48 83 C1 60 48 8B D0 E8 ?? ?? ?? ?? 83 CB FF 48 8B 7C 24 30 48 85 FF 74 28 8B C3 F0 0F C1 47 08 03 C3 75 1D 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 0A 48 8B 07 48 8B CF FF 50 08 90 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B 7E 08 48 85 FF 74 27 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 B0 01 EB 40 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B 7E 08 48 85 FF 74 2A 83 CB FF 8B C3 F0 0F C1 47 08 03 C3 75 1C 48 8B 07 48 8B CF FF 10 8B C3 F0 0F C1 47 0C 03 C3 75 09 48 8B 07 48 8B CF FF 50 08 32 C0 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_39_299_2 {
	meta:
		name = "??$make_shared@U?$_Task_impl@E@details@Concurrency@@AEAPEAV_CancellationTokenState@23@AEAUscheduler_ptr@3@@std@@YA?AV?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@0@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
		size = 105
		refs = "002e ??2@YAPEAX_K@Z 0046 ??$?0AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@2@@?$_Ref_count_obj@U?$_Task_impl@E@details@Concurrency@@@std@@QEAA@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 10 49 8B F0 48 8B EA 48 8B D9 33 FF 89 78 D8 B9 60 01 00 00 E8 ?? ?? ?? ?? 48 89 44 24 68 48 85 C0 74 11 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 08 48 8D 47 10 48 89 03 48 8B C3 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_39_302_2 {
	meta:
		name = "??$make_shared@U?$_Task_impl@_N@details@Concurrency@@AEAPEAV_CancellationTokenState@23@AEAUscheduler_ptr@3@@std@@YA?AV?$shared_ptr@U?$_Task_impl@_N@details@Concurrency@@@0@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
		size = 105
		refs = "002e ??2@YAPEAX_K@Z 0046 ??$?0AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@2@@?$_Ref_count_obj@U?$_Task_impl@_N@details@Concurrency@@@std@@QEAA@AEAPEAV_CancellationTokenState@details@Concurrency@@AEAUscheduler_ptr@4@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 10 49 8B F0 48 8B EA 48 8B D9 33 FF 89 78 D8 B9 60 01 00 00 E8 ?? ?? ?? ?? 48 89 44 24 68 48 85 C0 74 11 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 08 48 8D 47 10 48 89 03 48 8B C3 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_39_305_2 {
	meta:
		name = "??$make_shared@U_ExceptionHolder@details@Concurrency@@AEBVexception_ptr@std@@V_TaskCreationCallstack@23@@std@@YA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@0@AEBVexception_ptr@0@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z"
		size = 103
		refs = "002c ??2@YAPEAX_K@Z 0044 ??$?0AEBVexception_ptr@std@@V_TaskCreationCallstack@details@Concurrency@@@?$_Ref_count_obj@U_ExceptionHolder@details@Concurrency@@@std@@QEAA@AEBVexception_ptr@1@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 10 49 8B F0 48 8B EA 48 8B D9 33 FF 89 78 D8 8D 4F 48 E8 ?? ?? ?? ?? 48 89 44 24 68 48 85 C0 74 11 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 08 48 8D 47 10 48 89 03 48 8B C3 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_39_545_2 {
	meta:
		name = "??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@AEBV01@@Z"
		size = 118
		refs = "003b ?_Buy@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAA_N_K@Z 0058 memmove"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B F9 33 DB 48 89 19 48 89 59 08 48 89 59 10 48 8B 52 08 48 2B 16 48 C1 FA 03 E8 ?? ?? ?? ?? 84 C0 74 20 48 8B 5E 08 48 2B 1E 48 83 E3 F8 4C 8B C3 48 8B 16 48 8B 0F E8 ?? ?? ?? ?? 48 03 C3 48 89 47 08 48 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_39_547_2 {
	meta:
		name = "__catch$??0?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAA@AEBV01@@Z$0"
		size = 41
		refs = "000d ??3@YAXPEAX@Z 0024 _CxxThrowException"
		altNames = "__catch$??4?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAAAEAV01@AEBV01@@Z$0"
	strings:
		$1 = { 48 8B 5D 40 48 8B 0B 48 85 C9 74 13 E8 ?? ?? ?? ?? 48 83 23 00 48 83 63 08 00 48 83 63 10 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_39_564_2 {
	meta:
		name = "??0_Internal_task_options@details@Concurrency@@QEAA@XZ"
		size = 24
	strings:
		$1 = { 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 89 41 08 88 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_39_574_2 {
	meta:
		name = "??0_TaskCreationCallstack@details@Concurrency@@QEAA@XZ"
		size = 21
	strings:
		$1 = { 33 C0 48 89 41 08 48 89 41 10 48 89 41 18 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_39_580_2 {
	meta:
		name = "??0_Task_impl_base@details@Concurrency@@QEAA@PEAV_CancellationTokenState@12@Uscheduler_ptr@2@@Z"
		size = 259
		refs = "002c ??_7_Task_impl_base@details@Concurrency@@6B@ 004f ??0critical_section@Concurrency@@QEAA@XZ 0074 ?_Reset@?$_Ptr_base@Uscheduler_interface@Concurrency@@@std@@QEAAXPEAUscheduler_interface@Concurrency@@PEAV_Ref_count_base@2@@Z 008b ??0_TaskCollectionImpl@details@Concurrency@@QEAA@Uscheduler_ptr@2@@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 48 08 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 70 20 49 8B F0 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 66 C7 41 0C 00 00 48 83 61 10 00 48 83 61 18 00 48 83 C1 20 E8 ?? ?? ?? ?? 90 48 83 67 58 00 48 83 67 68 00 0F 57 C0 F3 0F 7F 44 24 28 4C 8B 46 08 48 8B 16 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 46 10 48 89 44 24 38 48 8D 4F 70 48 8D 54 24 28 E8 ?? ?? ?? ?? 48 83 A7 28 01 00 00 00 48 83 A7 30 01 00 00 00 48 83 A7 38 01 00 00 00 48 83 A7 20 01 00 00 00 48 89 5F 60 48 83 FB 02 74 04 F0 FF 43 08 48 8B 5E 08 48 85 DB 74 2A 83 CE FF 8B C6 F0 0F C1 43 08 03 C6 75 1C 48 8B 03 48 8B CB FF 10 8B C6 F0 0F C1 43 0C 03 C6 75 09 48 8B 03 48 8B CB FF 50 08 48 8B C7 48 8B 5C 24 58 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_39_599_2 {
	meta:
		name = "??0future_error@std@@QEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 73
		refs = "0025 ??0exception@std@@QEAA@AEBQEBD@Z 002c ??_7future_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 49 83 78 18 10 48 8B FA 48 8B D9 72 03 4D 8B 00 48 8D 54 24 30 4C 89 44 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 0F 10 07 F3 0F 7F 43 18 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_39_607_2 {
	meta:
		name = "??0task_options@Concurrency@@QEAA@XZ"
		size = 73
		refs = "000f ?get_ambient_scheduler@Concurrency@@YA?AV?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@XZ 001a ??0scheduler_ptr@Concurrency@@QEAA@V?$shared_ptr@Uscheduler_interface@Concurrency@@@std@@@Z 0023 ?none@cancellation_token@Concurrency@@SA?AV12@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4B 18 E8 ?? ?? ?? ?? 33 C0 48 89 43 38 48 89 43 40 48 89 43 48 48 89 43 30 88 43 28 66 89 43 50 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_39_692_2 {
	meta:
		name = "??1_ExceptionHolder@details@Concurrency@@QEAA@XZ"
		size = 78
		refs = "001e ?_ReportUnobservedException@details@Concurrency@@YAXXZ 002d ??3@YAXPEAX@Z 004a ?__ExceptionPtrDestroy@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 8B 01 85 C0 75 07 CC E8 ?? ?? ?? ?? 90 48 8B 4B 20 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 20 00 48 83 63 28 00 48 83 63 30 00 48 8D 4B 08 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_698_2 {
	meta:
		name = "??1_Internal_task_options@details@Concurrency@@QEAA@XZ"
		size = 44
		refs = "0013 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_39_711_2 {
	meta:
		name = "??1_Task_impl_base@details@Concurrency@@UEAA@XZ"
		size = 160
		refs = "0019 ??_7_Task_impl_base@details@Concurrency@@6B@ 0044 ??3@YAXPEAX@Z 0065 ??1_TaskCollectionImpl@details@Concurrency@@QEAA@XZ 006f ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 60 48 83 F9 02 74 0D F0 FF 49 08 75 07 48 8B 01 FF 50 08 90 48 8B 8B 28 01 00 00 48 85 C9 74 1D E8 ?? ?? ?? ?? 48 83 A3 28 01 00 00 00 48 83 A3 30 01 00 00 00 48 83 A3 38 01 00 00 00 48 8D 4B 70 E8 ?? ?? ?? ?? 90 48 8D 4B 20 E8 ?? ?? ?? ?? 90 48 8B 5B 18 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_39_729_2 {
	meta:
		name = "??1task_options@Concurrency@@QEAA@XZ"
		size = 121
		refs = "0020 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 49 38 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 38 00 48 83 63 40 00 48 83 63 48 00 48 8B 4B 18 48 85 C9 74 0C F0 FF 49 08 75 06 48 8B 01 FF 50 08 48 83 63 18 00 48 8B 5B 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_39_741_2 {
	meta:
		name = "??4?$vector@PEAXV?$allocator@PEAX@std@@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 313
		refs = "0070 memmove 00e5 ??3@YAXPEAX@Z 00f8 ?_Buy@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAA_N_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B F2 48 8B F1 48 3B CA 0F 84 F0 00 00 00 4C 8B 0A 4C 8B 42 08 4D 3B C8 75 0C 48 8B 01 48 89 41 08 E9 D8 00 00 00 49 8B C8 49 2B C9 48 C1 F9 03 48 8B 56 08 48 2B 16 48 C1 FA 03 48 3B CA 77 2D 4D 2B C1 49 83 E0 F8 49 8B D1 48 8B 0E E8 ?? ?? ?? ?? 49 8B 4E 08 49 2B 0E 48 C1 F9 03 48 8B 06 48 8D 0C C8 48 89 4E 08 E9 91 00 00 00 48 8B 46 10 48 2B 06 48 C1 F8 03 48 3B C8 77 3C 49 8D 3C D1 4C 8B C7 4D 2B C1 49 83 E0 F8 49 8B D1 48 8B 0E E8 ?? ?? ?? ?? 49 8B 5E 08 48 2B DF 48 83 E3 F8 4C 8B C3 48 8B D7 48 8B 4E 08 E8 ?? ?? ?? ?? 48 03 C3 48 89 46 08 EB 45 48 83 3E 00 74 08 48 8B 0E E8 ?? ?? ?? ?? 49 8B 56 08 49 2B 16 48 C1 FA 03 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 20 49 8B 5E 08 49 2B 1E 48 83 E3 F8 4C 8B C3 49 8B 16 48 8B 0E E8 ?? ?? ?? ?? 48 03 C3 48 89 46 08 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_39_903_2 {
	meta:
		name = "?_Buy@?$vector@PEAXV?$allocator@PEAX@std@@@std@@IEAA_N_K@Z"
		size = 117
		refs = "0047 ??2@YAPEAX_K@Z 0065 ??_C@_0BD@OLBABOEK@vector?$DMT?$DO?5too?5long?$AA@ 006a ?_Xlength_error@std@@YAXPEBD@Z 0070 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 21 00 48 83 61 08 00 48 83 61 10 00 48 8B D9 48 85 D2 75 0D 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 77 26 48 8B FA 48 C1 E7 03 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 1F 48 89 03 48 89 43 08 48 03 C7 48 89 43 10 B0 01 EB C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_39_921_2 {
	meta:
		name = "?_CancelInternal@?$task_completion_event@E@Concurrency@@AEBA_NXZ"
		size = 300
		refs = "0052 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 00b1 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0108 ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@IEAAXXZ"
	strings:
		$1 = { 48 8B C4 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 48 8B F1 48 8B 11 80 7A 69 00 74 07 32 C0 E9 D6 00 00 00 0F 57 C0 F3 0F 7F 45 B8 48 83 65 C8 00 45 32 F6 48 83 C2 18 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8B 06 44 38 70 69 75 44 C6 40 69 01 48 8B 0E 48 8D 45 B8 48 3B C1 74 27 48 8B 19 48 89 5D B8 48 83 21 00 48 8B 79 08 48 89 7D C0 48 83 61 08 00 48 8B 41 10 48 89 45 C8 48 83 61 10 00 EB 08 48 8B 7D C0 48 8B 5D B8 41 B6 01 EB 08 48 8B 7D C0 48 8B 5D B8 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 06 48 83 78 58 00 41 0F 95 C7 45 84 F6 74 3D EB 36 48 8B 0B 4C 8B 11 45 84 FF 74 12 48 8B 06 48 83 C0 58 41 B1 01 45 8A C1 41 8A D1 EB 0C 48 8D 41 10 45 33 C9 45 33 C0 B2 01 48 89 44 24 20 41 FF 52 08 48 83 C3 10 48 3B DF 75 C5 48 8D 4D B8 E8 ?? ?? ?? ?? 41 8A C6 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_39_924_2 {
	meta:
		name = "?_CancelInternal@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@AEBA_NXZ"
		size = 300
		refs = "0052 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 00b1 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0108 ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@IEAAXXZ"
	strings:
		$1 = { 48 8B C4 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 48 8B F1 48 8B 11 80 7A 71 00 74 07 32 C0 E9 D6 00 00 00 0F 57 C0 F3 0F 7F 45 B8 48 83 65 C8 00 45 32 F6 48 83 C2 18 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8B 06 44 38 70 71 75 44 C6 40 71 01 48 8B 0E 48 8D 45 B8 48 3B C1 74 27 48 8B 19 48 89 5D B8 48 83 21 00 48 8B 79 08 48 89 7D C0 48 83 61 08 00 48 8B 41 10 48 89 45 C8 48 83 61 10 00 EB 08 48 8B 7D C0 48 8B 5D B8 41 B6 01 EB 08 48 8B 7D C0 48 8B 5D B8 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 06 48 83 78 60 00 41 0F 95 C7 45 84 F6 74 3D EB 36 48 8B 0B 4C 8B 11 45 84 FF 74 12 48 8B 06 48 83 C0 60 41 B1 01 45 8A C1 41 8A D1 EB 0C 48 8D 41 10 45 33 C9 45 33 C0 B2 01 48 89 44 24 20 41 FF 52 08 48 83 C3 10 48 3B DF 75 C5 48 8D 4D B8 E8 ?? ?? ?? ?? 41 8A C6 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_39_927_2 {
	meta:
		name = "?_CancelWithException@_Task_impl_base@details@Concurrency@@QEAA_NAEBVexception_ptr@std@@@Z"
		size = 152
		refs = "001f ?_GetTaskCreationCallstack@_Task_impl_base@details@Concurrency@@QEAA?AV_TaskCreationCallstack@23@XZ 0030 ??$make_shared@U_ExceptionHolder@details@Concurrency@@AEBVexception_ptr@std@@V_TaskCreationCallstack@23@@std@@YA?AV?$shared_ptr@U_ExceptionHolder@details@Concurrency@@@0@AEBVexception_ptr@0@$$QEAV_TaskCreationCallstack@details@Concurrency@@@Z 0083 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 8B DA 48 8B F9 48 8D 50 D0 E8 ?? ?? ?? ?? 90 4C 8B C0 48 8B D3 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 4C 8B 17 48 89 44 24 20 45 33 C9 41 B0 01 41 8A D0 48 8B CF 41 FF 52 08 40 8A F8 48 8B 5C 24 40 48 85 DB 74 1E F0 FF 4B 08 75 18 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 0A 48 8B 03 48 8B CB FF 50 08 90 48 8B 4C 24 50 48 85 C9 74 05 E8 ?? ?? ?? ?? 40 8A C7 48 8B 9C 24 80 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_39_932_2 {
	meta:
		name = "?_CaptureSingleFrameCallstack@_TaskCreationCallstack@details@Concurrency@@SA?AV123@PEAX@Z"
		size = 32
	strings:
		$1 = { 48 83 EC 18 33 C0 48 89 41 08 48 89 41 10 48 89 41 18 89 04 24 48 89 11 48 8B C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_39_1020_2 {
	meta:
		name = "?_FinalizeAndRunContinuations@?$_Task_impl@E@details@Concurrency@@QEAAXE@Z"
		size = 147
		refs = "0027 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 003a ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0056 ?set@event@Concurrency@@QEAAXXZ 007c ?_RunContinuation@_Task_impl_base@details@Concurrency@@QEAAXPEAU_ContinuationTaskHandleBase@23@@Z"
		altNames = "?_FinalizeAndRunContinuations@?$_Task_impl@_N@details@Concurrency@@QEAAX_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 88 91 48 01 00 00 48 8D 51 20 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8B 47 08 83 F8 04 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB 48 C7 47 08 03 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 4F 70 E8 ?? ?? ?? ?? 48 8D 8F B8 00 00 00 E8 ?? ?? ?? ?? 48 8B 57 58 48 83 67 58 00 48 85 D2 74 14 48 8B 5A 28 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 85 DB 75 EC 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_39_1022_2 {
	meta:
		name = "?_FinalizeAndRunContinuations@?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@QEAAXU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Z"
		size = 160
		refs = "0034 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0047 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0063 ?set@event@Concurrency@@QEAAXXZ 0089 ?_RunContinuation@_Task_impl_base@details@Concurrency@@QEAAXPEAU_ContinuationTaskHandleBase@23@@Z"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 8A 02 88 81 48 01 00 00 48 8B 42 08 48 89 81 50 01 00 00 48 8D 51 20 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8B 47 08 83 F8 04 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB 48 C7 47 08 03 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 4F 70 E8 ?? ?? ?? ?? 48 8D 8F B8 00 00 00 E8 ?? ?? ?? ?? 48 8B 57 58 48 83 67 58 00 48 85 D2 74 14 48 8B 5A 28 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 85 DB 75 EC 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_39_1093_2 {
	meta:
		name = "?_IsTriggered@?$task_completion_event@E@Concurrency@@QEBA_NXZ"
		size = 21
	strings:
		$1 = { 48 8B 11 33 C0 38 42 68 75 05 38 42 69 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_39_1237_2 {
	meta:
		name = "?_Throw_future_error@std@@YAXAEBVerror_code@1@@Z"
		size = 137
		refs = "0038 ??_C@_00CNPNBAHC@?$AA@ 0041 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0064 ??0exception@std@@QEAA@AEBQEBD@Z 006b ??_7future_error@std@@6B@ 007b _TI3?AVfuture_error@std@@ 0084 _CxxThrowException"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 A0 FE FF FF FF 48 89 58 10 0F 29 70 E8 48 8B D9 48 C7 45 C0 0F 00 00 00 48 83 65 B8 00 C6 45 A8 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 4D A8 E8 ?? ?? ?? ?? 90 0F 10 33 48 8D 45 A8 48 83 7D C0 10 48 0F 43 45 A8 48 89 45 10 48 8D 55 10 48 8D 4D C8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 C8 F3 0F 7F 75 E0 48 8D 15 ?? ?? ?? ?? 48 8D 4D C8 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_39_1249_2 {
	meta:
		name = "?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@IEAAXXZ"
		size = 127
		refs = "0058 ??3@YAXPEAX@Z"
		altNames = "?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 39 48 8B D9 48 85 FF 74 4B 48 8B 69 08 EB 2A 48 8B 77 08 48 85 F6 74 1D F0 FF 4E 08 75 17 48 8B 06 48 8B CE FF 10 F0 FF 4E 0C 75 09 48 8B 06 48 8B CE FF 50 08 48 83 C7 10 48 3B FD 75 D1 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 83 63 08 00 48 83 63 10 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_39_1363_2 {
	meta:
		name = "?message@_Future_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 147
		refs = "002c ?_Future_error_map@std@@YAPEBDH@Z 0050 strlen 0061 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0071 ?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 4C 8B F1 33 FF 41 8B C8 41 8B E8 48 8B DA 89 7C 24 20 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 2F 48 C7 43 18 0F 00 00 00 48 89 7B 10 40 88 3B 40 38 38 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 0E 44 8B C5 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 8B C3 48 8B 5C 24 40 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_39_1381_2 {
	meta:
		name = "?set@?$task_completion_event@E@Concurrency@@QEBA_NE@Z"
		size = 401
		refs = "005c ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 00c2 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0101 ?_FinalizeAndRunContinuations@?$_Task_impl@E@details@Concurrency@@QEAAXE@Z 0169 ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@IEAAXXZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 F7 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 8A DA 48 8B F9 48 8B 11 80 7A 68 00 0F 85 39 01 00 00 80 7A 69 00 0F 85 2F 01 00 00 0F 57 C0 F3 0F 7F 45 0F 48 83 65 1F 00 45 32 F6 48 83 C2 18 48 8D 4D 27 E8 ?? ?? ?? ?? 90 48 8B 07 40 B6 01 44 38 70 68 75 4C 44 38 70 69 75 46 88 58 50 48 8B 07 40 88 70 68 48 8B 0F 48 8D 45 0F 48 3B C1 74 27 48 8B 19 48 89 5D 0F 48 83 21 00 48 8B 41 08 48 89 45 17 48 83 61 08 00 48 8B 41 10 48 89 45 1F 48 83 61 10 00 EB 04 48 8B 5D 0F 44 8A F6 EB 04 48 8B 5D 0F 48 8D 4D 27 E8 ?? ?? ?? ?? 45 84 F6 0F 84 92 00 00 00 EB 38 48 8B 03 8B 48 08 83 F9 02 48 8B 0B 75 1B 4C 8B 11 48 8D 41 10 48 89 44 24 20 45 33 C9 45 33 C0 40 8A D6 41 FF 52 08 EB 0B 48 8B 07 8A 50 50 E8 ?? ?? ?? ?? 48 83 C3 10 48 3B 5D 17 75 C2 48 8B 07 48 83 78 58 00 74 4B 48 8B 48 60 48 89 4D 07 48 83 60 60 00 48 83 60 58 00 48 85 C9 74 34 83 CF FF 8B C7 F0 0F C1 41 08 03 C7 75 26 48 8B 5D 07 48 8B 03 48 8B CB FF 10 8B C7 F0 0F C1 43 0C 03 C7 75 0F 48 8B 4D 07 48 8B 01 FF 50 08 EB 03 40 32 F6 48 8D 4D 0F E8 ?? ?? ?? ?? 40 8A C6 EB 02 32 C0 4C 8D 9C 24 90 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_39_1384_2 {
	meta:
		name = "?set@?$task_completion_event@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Concurrency@@QEBA_NU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Z"
		size = 422
		refs = "005d ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 00cd ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0116 ?_FinalizeAndRunContinuations@?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@QEAAXU?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@Z 017e ?_Tidy@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@IEAAXXZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC B0 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 48 8B DA 48 8B F1 48 8B 11 80 7A 70 00 0F 85 4D 01 00 00 80 7A 71 00 0F 85 43 01 00 00 0F 57 C0 F3 0F 7F 45 07 48 83 65 17 00 45 32 F6 48 83 C2 18 48 8D 4D 1F E8 ?? ?? ?? ?? 90 48 8B 0E 40 B7 01 44 38 71 70 75 56 44 38 71 71 75 50 8A 03 88 41 50 48 8B 43 08 48 89 41 58 48 8B 06 40 88 78 70 48 8B 0E 48 8D 45 07 48 3B C1 74 27 48 8B 19 48 89 5D 07 48 83 21 00 48 8B 41 08 48 89 45 0F 48 83 61 08 00 48 8B 41 10 48 89 45 17 48 83 61 10 00 EB 04 48 8B 5D 07 44 8A F7 EB 04 48 8B 5D 07 48 8D 4D 1F E8 ?? ?? ?? ?? 45 84 F6 0F 84 9C 00 00 00 EB 42 48 8B 03 8B 48 08 83 F9 02 48 8B 0B 75 1B 4C 8B 11 48 8D 41 10 48 89 44 24 20 45 33 C9 45 33 C0 40 8A D7 41 FF 52 08 EB 15 48 8B 06 0F 10 40 50 F3 0F 7F 45 F7 48 8D 55 F7 E8 ?? ?? ?? ?? 48 83 C3 10 48 3B 5D 0F 75 B8 48 8B 06 48 83 78 60 00 74 4B 48 8B 48 68 48 89 4D E7 48 83 60 68 00 48 83 60 60 00 48 85 C9 74 34 83 CE FF 8B C6 F0 0F C1 41 08 03 C6 75 26 48 8B 5D E7 48 8B 03 48 8B CB FF 10 8B C6 F0 0F C1 43 0C 03 C6 75 0F 48 8B 4D E7 48 8B 01 FF 50 08 EB 03 40 32 FF 48 8D 4D 07 E8 ?? ?? ?? ?? 40 8A C7 EB 02 32 C0 4C 8D 9C 24 B0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_39_1392_2 {
	meta:
		name = "?swap@?$vector@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@E@details@Concurrency@@@std@@@2@@std@@QEAAXAEAV12@@Z"
		size = 53
		altNames = "?swap@?$vector@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@V?$allocator@V?$shared_ptr@U?$_Task_impl@U?$pair@EPEAV_CancellationTokenState@details@Concurrency@@@std@@@details@Concurrency@@@std@@@2@@std@@QEAAXAEAV12@@Z"
	strings:
		$1 = { 4C 8B C9 48 3B CA 74 2C 4C 8B 01 48 8B 02 48 89 01 4C 89 02 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 48 8B 42 10 48 8B 49 10 49 89 41 10 48 89 4A 10 C3 }
	condition:
		$1
}

rule file_49_138_2 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z"
		size = 1092
		refs = "0028 __security_cookie 007d ??_C@_02MDKMJEGG@eE?$AA@ 0086 ??_C@_02OOPEBDOJ@pP?$AA@ 00a9 strcspn 00bc localeconv 00e2 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00eb ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 013f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0174 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 01a4 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01ee ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 02e5 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 0319 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 03f6 ??3@YAXPEAX@Z 0425 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F9 49 8B F0 48 89 55 AF 4C 8B E9 8A 45 67 88 44 24 31 48 8B 5D 6F 4C 8B B5 8F 00 00 00 4D 85 F6 74 0F 8A 03 2C 2B A8 FD 75 07 B8 01 00 00 00 EB 02 33 C0 48 63 F8 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 22 48 8D 15 ?? ?? ?? ?? 48 8D 4F 02 49 3B CE 77 12 80 3C 3B 30 75 0C 8A 44 3B 01 2C 58 A8 DF 48 0F 44 F9 48 8B CB E8 ?? ?? ?? ?? 48 89 45 97 B8 2E 00 00 00 66 89 44 24 34 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 34 48 8D 54 24 34 48 8B CB E8 ?? ?? ?? ?? 48 89 45 A7 48 8D 55 87 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4D 87 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 49 8B 04 24 B2 30 49 8B CC FF 50 40 88 44 24 30 48 C7 45 D7 0F 00 00 00 48 83 65 CF 00 C6 45 BF 00 45 33 C0 49 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 49 8B 04 24 4D 8D 04 1E 48 8B D3 49 8B CC FF 50 38 48 8D 55 87 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4D 87 48 85 C9 74 18 48 8B 01 FF 50 10 48 8B C8 48 85 C0 74 0A 48 8B 00 BA 01 00 00 00 FF 10 48 8D 55 DF 49 8B CC E8 ?? ?? ?? ?? 90 49 8B 04 24 49 8B CC FF 50 20 88 44 24 32 48 8B 45 A7 44 8A 4C 24 30 48 8D 4D BF 49 3B C6 75 11 4C 8B 45 77 48 8B 45 97 4E 8D 34 00 48 8B D0 EB 5E 48 8B 5D 77 4C 8D 34 18 4C 8B 85 87 00 00 00 48 8B 55 97 E8 ?? ?? ?? ?? 48 8B 55 A7 48 FF C2 44 8A 4C 24 30 4C 8B 45 7F 48 8D 4D BF E8 ?? ?? ?? ?? 49 8B 04 24 49 8B CC FF 50 18 8A C8 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 48 8B 55 A7 88 0C 10 44 8A 4C 24 30 4C 8B C3 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 8A 03 3C 7F 74 41 44 8A 64 24 32 84 C0 7E 38 48 0F BE C8 49 8B C6 48 2B C7 48 3B C8 73 29 4C 2B F1 45 8A CC 41 B8 01 00 00 00 49 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4F D8 8A 03 3C 7F 75 C4 4C 8B 75 CF 49 8B 5F 28 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 02 33 DB 41 8B 47 18 25 C0 01 00 00 0F 10 06 4C 8D 45 87 48 8D 55 97 49 8B CD F3 0F 7F 45 87 83 F8 40 0F 84 97 00 00 00 3D 00 01 00 00 74 48 48 89 5C 24 20 44 8A 64 24 31 45 8A CC E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 33 DB 0F 10 08 F3 0F 7F 4D 87 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 89 7C 24 20 4C 8D 45 87 48 8D 55 97 49 8B CD E8 ?? ?? ?? ?? EB 65 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 89 7C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 F3 0F 7F 4D 87 48 89 5C 24 20 44 8A 64 24 31 45 8A CC 4C 8D 45 87 48 8D 55 97 49 8B CD E8 ?? ?? ?? ?? 33 DB EB 1D 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 89 7C 24 20 E8 ?? ?? ?? ?? 44 8A 64 24 31 0F 10 00 F3 0F 7F 06 F3 0F 7F 45 87 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 4C 2B F7 4C 03 CF 4C 89 74 24 20 4C 8D 45 87 48 8D 55 97 49 8B CD E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 33 FF 49 89 7F 28 0F 10 0E F3 0F 7F 4D 87 48 89 5C 24 20 45 8A CC 4C 8D 45 87 48 8B 5D AF 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 48 89 7D EF 40 88 7D DF 48 83 7D D7 10 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_49_160_2 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2618
		refs = "0028 __security_cookie 006b ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 007c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0085 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00bd ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00da ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 010d ?_Src@?3??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0125 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 01df ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 039f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0444 ??3@YAXPEAX@Z 05a0 localeconv 0a1b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F1 4C 89 4D 97 49 8B F8 4C 8B F2 48 89 55 AF 48 8B 5D 77 4C 8B 45 7F 8B 43 18 BA 00 30 00 00 23 C2 3B C2 75 1A 4C 89 44 24 28 48 89 5C 24 20 4C 8B C7 49 8B D6 E8 ?? ?? ?? ?? E9 9F 09 00 00 48 8D 55 9F 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 A7 48 8B 4D 9F 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 DF 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FE 44 88 65 88 48 8D 55 8F 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D 8F 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D FF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 38 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B2 00 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 0A 75 06 41 C6 06 2B EB 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 09 75 10 41 C6 06 2D 4D 8D 7E 01 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 44 88 65 87 44 89 65 8F 33 DB 89 5D 8B 4C 8D 75 DF 48 83 7D F7 10 4C 0F 43 75 DF 41 8A 06 FE C8 3C 7D 0F 87 3F 02 00 00 48 39 5D EF 75 05 40 32 F6 EB 0D 49 8B 45 00 49 8B CD FF 50 20 40 8A F0 48 C7 45 D7 0F 00 00 00 66 89 5D BF 48 C7 45 CF 01 00 00 00 33 DB 48 8B 55 97 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 96 01 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 FF 8A 4D FF EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D FF 48 2B C1 48 83 F8 0A 73 5E C6 45 87 01 41 83 FC 24 7C 05 FF 45 8B EB 21 48 85 C0 75 05 45 85 E4 74 17 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 44 89 65 8F 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 80 3C 18 7F 0F 84 A4 00 00 00 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF FE 04 18 E9 8E 00 00 00 48 8D 45 BF 4C 8B 55 BF 4C 8B 4D D7 49 83 F9 10 49 0F 43 C2 80 3C 18 00 0F 84 94 00 00 00 40 84 F6 0F 84 8B 00 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 38 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 0E 48 8B 01 FF 50 30 4C 8B 4D D7 4C 8B 55 BF 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 40 38 77 09 75 37 45 33 C0 41 8D 50 01 48 8D 4D BF E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 97 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 8E FE FF FF 4C 8B 4D D7 4C 8B 55 BF 48 85 DB 74 67 48 8D 45 BF 49 83 F9 10 49 0F 43 C2 80 3C 18 00 7E 51 48 FF C3 EB 08 4C 8B 4D D7 4C 8B 55 BF 48 85 DB 74 43 41 8A 0E 80 F9 7F 74 3B 48 FF CB 74 11 48 8D 45 BF 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 21 48 85 DB 75 10 48 8D 45 BF 49 83 F9 10 49 0F 43 C2 3A 08 7C 0C 41 80 7E 01 00 7E C1 49 FF C6 EB BC C6 45 88 01 49 83 F9 10 0F 82 E1 00 00 00 49 8B CA E8 ?? ?? ?? ?? E9 D4 00 00 00 4C 8B 75 97 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 D6 00 00 00 4C 8D 2D ?? ?? ?? ?? 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 FF 8A 4D FF EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D FF 48 2B C1 48 83 F8 0A 73 3F 41 83 FC 24 7C 04 FF C3 EB 17 48 85 C0 75 05 45 85 E4 74 0D 42 8A 04 28 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 57 FF FF FF 89 5D 8B 44 89 65 8F 4C 8B 6D A7 EB 08 4C 8B 75 97 40 8A 75 87 40 84 F6 74 0C 45 85 E4 75 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 6E 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 5F 09 49 8B 45 00 49 8B CD FF 50 18 3A D8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 45 85 E4 0F 85 9F 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 77 44 8B 65 8B 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 47 09 3A 45 FF 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 95 44 89 65 8B 44 8B 65 8F 44 8B 6D 8B 45 85 ED 79 14 41 C6 07 30 49 FF C7 41 FF C5 44 89 6D 8B EB 04 44 8B 6D 8B 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A6 00 00 00 4C 8D 2D ?? ?? ?? ?? 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 FF 8A 4D FF EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D FF 48 2B C1 48 83 F8 0A 73 31 41 83 FC 24 7D 0D 42 8A 04 28 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 65 FF FF FF 44 8B 6D 8B 45 33 E4 40 84 F6 0F 84 C6 02 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B3 02 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 0C 74 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 0B 0F 85 13 02 00 00 41 C6 07 65 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B1 00 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 0A 75 06 41 C6 07 2B EB 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 09 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 74 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FF 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 98 40 84 F6 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A4 00 00 00 4C 8D 2D ?? ?? ?? ?? 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 48 8D 45 FF 8A 4D FF EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D FF 48 2B C1 48 83 F8 0A 73 2F 83 FB 08 7D 0C 42 8A 04 28 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 44 8B 6D 8B 44 38 65 88 75 05 40 84 F6 75 04 4C 8B 7D AF 45 88 27 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_49_165_2 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2921
		refs = "0028 __security_cookie 0059 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0062 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 009b ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b2 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00e6 ?_Src@?1??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0106 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 01c0 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 04b6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 055d ??3@YAXPEAX@Z 06c0 localeconv 0b4a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 49 8B F1 4C 89 4C 24 30 49 8B F8 4C 8B F2 48 89 55 87 48 8B 5D 77 48 8B 45 7F 48 89 45 97 48 8D 55 8F 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 38 48 8B 4D 8F 45 33 E4 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 41 8D 54 24 01 48 8B C8 41 FF 10 48 8D 55 C7 49 8B CD E8 ?? ?? ?? ?? 90 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 28 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B 03 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB FF 50 38 4D 8B FE 44 88 64 24 21 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B2 00 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FE 75 06 41 C6 06 2B EB 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FD 75 10 41 C6 06 2D 4D 8D 7E 01 48 8B CF E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 44 88 64 24 20 44 89 64 24 28 33 DB 89 5C 24 24 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 18 01 00 00 38 5F 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 21 1F C6 47 08 01 8A 47 09 3A 45 E7 0F 85 C8 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 F6 84 C0 0F 85 A4 00 00 00 40 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 C6 47 08 01 8A 47 09 3A 45 00 74 4D 40 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 C6 47 08 01 8A 47 09 3A 45 FF 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 09 C6 44 24 20 01 EB 02 33 F6 4C 8D 75 C7 48 83 7D DF 10 4C 0F 43 75 C7 41 8A 06 FE C8 3C 7D 0F 87 40 02 00 00 48 39 75 D7 74 0D 49 8B 45 00 49 8B CD FF 50 20 40 8A F0 48 C7 45 BF 0F 00 00 00 66 89 5D A7 48 C7 45 B7 01 00 00 00 33 DB 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9A 01 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 61 C6 44 24 20 01 41 83 FC 24 7C 06 FF 44 24 24 EB 22 48 85 C0 75 05 45 85 E4 74 18 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C4 44 89 64 24 28 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 A4 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 FE 04 18 E9 8E 00 00 00 48 8D 45 A7 4C 8B 55 A7 4C 8B 4D BF 49 83 F9 10 49 0F 43 C2 80 3C 18 00 0F 84 95 00 00 00 40 84 F6 0F 84 8C 00 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 38 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 0E 48 8B 01 FF 50 30 4C 8B 4D BF 4C 8B 55 A7 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 40 38 77 09 75 38 45 33 C0 41 8D 50 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 8A FE FF FF 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 74 68 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 80 3C 18 00 7E 51 48 FF C3 EB 08 4C 8B 4D BF 4C 8B 55 A7 48 85 DB 74 44 41 8A 0E 80 F9 7F 74 3C 48 FF CB 74 11 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 0C 18 75 21 48 85 DB 75 10 48 8D 45 A7 49 83 F9 10 49 0F 43 C2 3A 08 7C 0C 41 80 7E 01 00 7E C1 49 FF C6 EB BC C6 44 24 21 01 49 83 F9 10 0F 82 E6 00 00 00 49 8B CA E8 ?? ?? ?? ?? E9 D9 00 00 00 4C 8B 74 24 30 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C6 00 00 00 4C 8D 2D ?? ?? ?? ?? 40 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 8B D6 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 C6 47 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 41 41 83 FC 24 7C 04 FF C3 EB 17 48 85 C0 75 05 45 85 E4 74 0D 42 8A 04 28 41 88 07 49 FF C7 41 FF C4 C6 44 24 20 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 56 FF FF FF 89 5C 24 24 44 89 64 24 28 4C 8B 6C 24 38 EB 05 4C 8B 74 24 30 40 8A 74 24 20 40 84 F6 74 0C 45 85 E4 75 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 6E 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 5F 09 49 8B 45 00 49 8B CD FF 50 18 3A D8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 45 85 E4 0F 85 A4 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7A 44 8B 64 24 24 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 47 09 3A 45 E7 75 1D 41 FF CC 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 95 44 89 64 24 24 44 8B 64 24 28 44 8B 6C 24 24 45 85 ED 79 16 41 C6 07 30 49 FF C7 41 FF C5 44 89 6C 24 24 EB 05 44 8B 6C 24 24 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A7 00 00 00 4C 8D 2D ?? ?? ?? ?? 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 31 41 83 FC 24 7D 0D 42 8A 04 28 41 88 07 49 FF C7 41 FF C4 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 65 FF FF FF 44 8B 6C 24 24 45 33 E4 40 84 F6 0F 84 C7 02 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 02 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 02 74 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 01 0F 85 14 02 00 00 41 C6 07 70 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 41 8A F4 41 8B DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B1 00 00 00 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FE 75 06 41 C6 07 2B EB 52 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 FD 75 0F 41 C6 07 2D 49 FF C7 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 74 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 8A 47 09 3A 45 E7 75 1A 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 98 40 84 F6 74 07 41 C6 07 30 49 FF C7 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 4C 8D 2D ?? ?? ?? ?? 44 38 67 08 75 40 48 8B 0F 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D4 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 27 C6 47 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4F 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 2F 83 FB 08 7D 0C 42 8A 04 28 41 88 07 49 FF C7 FF C3 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 44 8B 6C 24 24 44 38 64 24 21 75 05 40 84 F6 75 04 4C 8B 7D 87 45 88 27 48 8B 45 97 44 89 28 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_49_170_2 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z"
		size = 1444
		refs = "0028 __security_cookie 004c ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 005b ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 007f ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 008d ?_Src@?1??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00a9 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0163 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0479 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0553 ??3@YAXPEAX@Z 0585 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E1 4C 89 4D 8F 49 8B D8 4C 8B FA 48 89 55 97 48 8B 75 7F 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 C7 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D D7 75 06 44 88 6D 88 EB 0C 48 8B 07 48 8B CF FF 50 20 88 45 88 48 8B CE E8 ?? ?? ?? ?? 4C 8B 10 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 41 FF 52 38 4D 8B F7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 B2 00 00 00 44 38 6B 08 75 40 48 8B 0B 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 89 2B C6 43 08 01 8A 43 09 3A 45 FE 75 06 41 C6 07 2B EB 52 44 38 6B 08 75 40 48 8B 0B 48 85 C9 74 31 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 03 41 8B D5 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 89 2B C6 43 08 01 8A 43 09 3A 45 FD 75 10 41 C6 07 2D 4D 8D 77 01 48 8B CB E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 1B F6 BF 0A 00 00 00 23 F7 8D 47 06 81 F9 00 08 00 00 0F 44 F0 8D 47 FE 81 F9 00 04 00 00 0F 44 F0 44 88 6D 87 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 34 01 00 00 44 38 6B 08 75 3F 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 21 2B C6 43 08 01 8A 43 09 3A 45 E7 0F 85 E3 00 00 00 41 B5 01 48 8B CB E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 B8 00 00 00 38 43 08 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 43 09 3A 45 00 74 4E 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 43 09 3A 45 FF 75 1D F7 C6 EF FF FF FF 75 15 BE 10 00 00 00 45 32 ED 48 8B CB E8 ?? ?? ?? ?? 8D 46 F8 EB 1A B8 08 00 00 00 85 F6 75 0D 8B F0 EB 05 B8 08 00 00 00 85 F6 74 0E 3B F7 74 0A BF 16 00 00 00 3B F0 0F 44 F8 4C 63 E7 48 C7 45 BF 0F 00 00 00 44 88 6D A7 48 C7 45 B7 01 00 00 00 C6 45 A8 00 33 FF 49 83 C7 1F 48 8B 55 8F 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 9E 01 00 00 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 48 8D 45 E7 8A 4D E7 EB 0A 3A 4B 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 49 3B C4 73 55 48 8D 0D ?? ?? ?? ?? 8A 0C 08 41 88 0E 80 7D 87 00 75 05 80 F9 30 74 0C 4D 3B F7 73 07 49 FF C6 C6 45 87 01 41 B5 01 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 38 7F 0F 84 AC 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 FE 04 38 E9 96 00 00 00 48 8D 45 A7 4C 8B 5D A7 4C 8B 55 BF 49 83 FA 10 49 0F 43 C3 80 3C 38 00 0F 84 9C 00 00 00 44 8A 4D 88 45 84 C9 0F 84 8F 00 00 00 80 7B 08 00 75 4C 48 8B 0B 48 85 C9 74 3C 48 8B 41 38 4C 8B 00 4D 85 C0 74 08 48 8B 41 50 8B 10 EB 02 33 D2 85 D2 7E 06 41 0F B6 00 EB 12 48 8B 01 FF 50 30 4C 8B 55 BF 4C 8B 5D A7 44 8A 4D 88 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 44 38 4B 09 75 37 45 33 C0 41 8D 50 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 55 8F 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 90 FE FF FF 4C 8B 55 BF 4C 8B 5D A7 41 BF 10 00 00 00 48 85 FF 74 29 48 8D 45 A7 4D 3B D7 49 0F 43 C3 80 3C 38 00 7E 05 48 FF C7 EB 13 45 32 ED EB 0E 4C 8B 55 BF 4C 8B 5D A7 41 BF 10 00 00 00 48 8D 4D C7 48 8B 55 C7 4C 8B 4D DF 4D 3B CF 48 0F 43 CA 33 DB 45 84 ED 74 51 48 85 FF 74 3E 44 8A 01 41 80 F8 7F 74 35 48 FF CF 74 11 48 8D 45 A7 4D 3B D7 49 0F 43 C3 44 3A 04 38 75 2D 48 85 FF 75 10 48 8D 45 A7 4D 3B D7 49 0F 43 C3 44 3A 00 7C 18 38 59 01 7E C2 48 FF C1 EB BD 38 5D 87 75 0D 41 C6 06 30 49 FF C6 EB 04 4C 8B 75 97 41 88 1E 4D 3B D7 72 10 49 8B CB E8 ?? ?? ?? ?? 4C 8B 4D DF 48 8B 55 C7 48 C7 45 BF 0F 00 00 00 48 89 5D B7 88 5D A7 4D 3B CF 72 08 48 8B CA E8 ?? ?? ?? ?? 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_49_191_2 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z"
		size = 878
		refs = "0028 __security_cookie 009b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a4 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00e9 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011e ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 014f ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a0 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 020a ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 023f ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 0320 ??3@YAXPEAX@Z 034f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F1 4D 8B F8 48 89 55 AF 4C 8B E9 8A 45 6F 88 44 24 30 48 8B 7D 77 48 8B 75 7F 48 85 F6 74 0F 8A 07 2C 2B A8 FD 75 07 B8 01 00 00 00 EB 02 33 C0 48 63 D8 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1B 48 8D 4B 02 48 3B CE 77 12 80 3C 1F 30 75 0C 8A 44 1F 01 2C 58 A8 DF 48 0F 44 D9 48 8D 55 8F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4D 8F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 C7 45 D7 0F 00 00 00 48 83 65 CF 00 C6 45 BF 00 45 33 C0 48 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 90 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 49 8B 04 24 4C 8D 04 3E 48 8B D7 49 8B CC FF 50 38 48 8D 55 8F 49 8B CE E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 4D 8F 48 85 C9 74 19 48 8B 01 FF 50 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8D 55 DF 49 8B CC E8 ?? ?? ?? ?? 90 48 8D 7D DF 48 83 7D F7 10 48 0F 43 7D DF 8A 07 FE C8 3C 7D 77 4C 49 8B 04 24 49 8B CC FF 50 20 44 8A E0 EB 36 84 C9 7E 39 48 0F BE D1 48 8B C6 48 2B C3 48 3B D0 73 2A 48 2B F2 45 8A CC 41 B8 01 00 00 00 48 8B D6 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4F F8 8A 0F 80 F9 7F 75 C3 48 8B 75 CF 49 8B 7E 28 48 85 FF 7E 0A 48 3B FE 76 05 48 2B FE EB 02 33 FF 41 8B 46 18 25 C0 01 00 00 41 0F 10 07 4C 8D 45 8F 48 8D 55 9F 49 8B CD F3 0F 7F 45 8F 83 F8 40 0F 84 99 00 00 00 3D 00 01 00 00 74 49 48 89 7C 24 20 44 8A 64 24 30 45 8A CC E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 07 33 FF 0F 10 08 F3 0F 7F 4D 8F 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 89 5C 24 20 4C 8D 45 8F 48 8D 55 9F 49 8B CD E8 ?? ?? ?? ?? EB 66 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 89 5C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 07 0F 10 08 F3 0F 7F 4D 8F 48 89 7C 24 20 44 8A 64 24 30 45 8A CC 4C 8D 45 8F 48 8D 55 9F 49 8B CD E8 ?? ?? ?? ?? 33 FF EB 1D 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 89 5C 24 20 E8 ?? ?? ?? ?? 44 8A 64 24 30 0F 10 00 F3 41 0F 7F 07 F3 0F 7F 45 8F 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 2B F3 4C 03 CB 48 89 74 24 20 4C 8D 45 8F 48 8D 55 9F 49 8B CD E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 07 33 F6 49 89 76 28 41 0F 10 0F F3 0F 7F 4D 8F 48 89 7C 24 20 45 8A CC 4C 8D 45 8F 48 8B 5D AF 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 48 89 75 EF 40 88 75 DF 48 83 7D D7 10 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_49_266_2 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 553
		refs = "0024 __security_cookie 0066 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 006f ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00b3 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00c6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00d7 ??3@YAXPEAX@Z 00e6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00f2 ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0135 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 017f ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0195 _Stoulx 01e0 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0211 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC C8 00 00 00 48 C7 45 8F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E9 4D 8B F0 4C 8B FA 4C 8B E1 48 8B 7D 6F 48 8B 75 77 48 8B 45 7F 48 89 44 24 38 48 83 CB FF 48 8B CF F7 47 18 00 40 00 00 0F 84 F4 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 8D 7B 02 48 8B 4C 24 30 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D7 48 8B C8 41 FF 10 48 C7 45 AF 0F 00 00 00 66 C7 45 97 00 00 48 89 7D A7 48 8D 55 B7 49 8B CC E8 ?? ?? ?? ?? 90 4C 8B CB 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 45 33 C0 48 8B D7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 B7 49 8B CC E8 ?? ?? ?? ?? 90 4C 8B CB 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 4C 8D 4D 97 48 83 7D AF 10 4C 0F 43 4D 97 41 B8 02 00 00 00 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 8B D8 48 83 7D AF 10 0F 82 93 00 00 00 48 8B 4D 97 E8 ?? ?? ?? ?? E9 85 00 00 00 83 64 24 30 00 48 8D 55 87 E8 ?? ?? ?? ?? 48 8B D0 8B 47 18 48 89 54 24 28 89 44 24 20 4D 8B CD 4D 8B C6 48 8D 55 D7 49 8B CC E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 40 48 8D 4D D7 E8 ?? ?? ?? ?? 44 8B E0 BF 01 00 00 00 48 8B 4D 87 48 85 C9 74 16 48 8B 01 FF 50 10 48 85 C0 74 0B 4C 8B 00 8B D7 48 8B C8 41 FF 10 48 8D 45 D7 48 39 44 24 40 74 0E 83 7C 24 30 00 75 07 44 3B E7 41 0F 46 DC 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 02 09 3E 85 DB 79 05 83 0E 02 EB 0A 0F 95 C1 48 8B 44 24 38 88 08 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_49_286_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z"
		size = 464
		refs = "0022 __security_cookie 0078 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0081 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00c9 ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00d0 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00dc ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z 00ec ??3@YAXPEAX@Z 0133 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 016d ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 01ba __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 E9 48 81 EC 90 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F9 4D 8B F8 48 8B F2 4C 8B F1 44 8A 65 77 41 F7 41 18 00 40 00 00 75 29 41 0F 10 00 F3 0F 7F 45 B7 4C 8B 11 0F B6 55 7F 89 54 24 28 44 88 64 24 20 4C 8D 45 B7 48 8B D6 41 FF 52 48 E9 3F 01 00 00 48 8D 55 B7 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D B7 48 85 C9 74 19 48 8B 11 FF 52 10 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 C7 45 E7 0F 00 00 00 48 83 65 DF 00 C6 45 CF 00 48 8D 55 EF 48 8B CB 80 7D 7F 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D CF E8 ?? ?? ?? ?? 48 83 7D 07 10 72 09 48 8B 4D EF E8 ?? ?? ?? ?? 48 8B 5F 28 48 8B 4D DF 48 85 DB 7E 0A 48 3B D9 76 05 48 2B D9 EB 02 33 DB 8B 47 18 25 C0 01 00 00 83 F8 40 74 2F 41 0F 10 07 F3 0F 7F 45 B7 48 89 5C 24 20 45 8A CC 4C 8D 45 B7 48 8D 55 EF 49 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 07 33 DB 48 8B 4D DF 41 0F 10 07 F3 0F 7F 45 B7 4C 8D 4D CF 48 83 7D E7 10 4C 0F 43 4D CF 48 89 4C 24 20 4C 8D 45 B7 48 8D 55 EF 49 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 07 48 83 67 28 00 41 0F 10 0F F3 0F 7F 4D B7 48 89 5C 24 20 45 8A CC 4C 8D 45 B7 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 90 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_67_109_2 {
	meta:
		name = "?_Open_dir@sys@tr2@std@@YAPEAXAEAY0BAE@_WPEB_WAEAHAEAW4file_type@123@@Z"
		size = 383
		refs = "0024 __security_cookie 0060 wcslen 0070 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 007f ??_C@_15PKPONJIK@?$AA?2?$AA?$CK?$AA?$AA@ 0098 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 00c2 __imp_FindFirstFileExW 0102 ?_Read_dir@sys@tr2@std@@YAPEA_WAEAY0BAE@_WPEAXAEAW4file_type@123@@Z 0110 __imp_FindClose 0123 wcscpy_s 0159 ??3@YAXPEAX@Z 016b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 56 41 57 48 8D AC 24 38 FE FF FF 48 81 EC C8 02 00 00 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 01 00 00 4D 8B F9 4D 8B F0 48 8B FA 48 8B F1 48 C7 44 24 50 07 00 00 00 33 DB 48 89 5C 24 48 66 89 5C 24 38 66 39 1A 75 04 8B C3 EB 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 39 5C 24 48 74 20 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 4C 24 38 48 83 7C 24 50 08 48 0F 43 4C 24 38 89 5C 24 28 48 89 5C 24 20 45 33 C9 4C 8D 44 24 60 33 D2 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 0C 41 C7 06 A1 00 00 00 66 89 1E EB 70 41 89 1E 66 83 7D 8C 2E 75 31 66 39 5D 8E 74 0D 66 83 7D 8E 2E 75 24 66 39 5D 90 75 1E 4D 8B C7 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 66 39 1E 75 3D 48 8B CF FF 15 ?? ?? ?? ?? EB 35 4C 8D 45 8C BA 04 01 00 00 48 8B CE E8 ?? ?? ?? ?? 8B 44 24 60 A8 10 74 07 B8 03 00 00 00 EB 0F 25 A7 7B 00 00 F7 D8 1B C0 83 E0 F9 83 C0 09 41 89 07 48 8B DF 48 83 7C 24 50 08 72 0A 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B C3 48 8B 8D B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 02 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_67_120_2 {
	meta:
		name = "?_Statvfs@sys@tr2@std@@YA?AUspace_info@123@PEB_W@Z"
		size = 344
		refs = "0025 __security_cookie 0061 wcslen 0070 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 00b1 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@ 00c9 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 00ef __imp_GetDiskFreeSpaceExW 012c ??3@YAXPEAX@Z 013b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 D0 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B FA 48 8B D9 33 F6 48 89 75 A0 48 89 75 A8 48 89 75 B0 48 C7 45 F0 07 00 00 00 48 89 75 E8 66 89 75 D8 66 39 32 75 04 8B C6 EB 08 48 8B CA E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8D 4D D8 E8 ?? ?? ?? ?? 90 48 8B 4D E8 48 85 C9 74 30 48 8D 45 D8 48 8B 55 D8 4C 8B 45 F0 49 83 F8 08 48 0F 43 C2 66 83 7C 48 FE 2F 74 3B 48 8D 45 D8 49 83 F8 08 48 0F 43 C2 66 83 7C 48 FE 5C 74 27 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8B 45 F0 48 8B 55 D8 48 8D 4D D8 49 83 F8 08 48 0F 43 CA 4C 8D 4D C0 4C 8D 45 C8 48 8D 55 B8 FF 15 ?? ?? ?? ?? 85 C0 74 18 48 8B 45 C8 48 89 45 A0 48 8B 45 C0 48 89 45 A8 48 8B 45 B8 48 89 45 B0 0F 10 45 A0 0F 11 03 F2 0F 10 4D B0 F2 0F 11 4B 10 48 83 7D F0 08 72 09 48 8B 4D D8 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 10 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_67_142_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 275
		refs = "0077 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a0 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z 00cc memcpy 0109 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 010e ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 45 33 F6 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 53 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 3F 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CA 76 28 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B F8 4D 8B C8 48 8B D3 48 D1 FF 48 8B CB 4C 8B C7 E8 ?? ?? ?? ?? EB 6E 48 8B 4B 10 48 83 C8 FF 48 2B C1 49 3B C0 76 79 4D 85 C0 74 56 4A 8D 2C 01 45 33 C0 48 8B CB 48 8B D5 E8 ?? ?? ?? ?? 84 C0 74 40 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 F6 74 14 48 8B 43 10 4C 8D 04 36 48 8B D7 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 68 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_67_151_2 {
	meta:
		name = "?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEA_WXZ"
		size = 27
	strings:
		$1 = { 48 83 79 18 08 72 05 48 8B 11 EB 03 48 8B D1 48 8B 41 10 48 FF C8 48 8D 04 42 C3 }
	condition:
		$1
}

rule file_77_33_2 {
	meta:
		name = "??0system_error@std@@QEAA@HAEBVerror_category@1@PEBD@Z"
		size = 198
		refs = "0021 __security_cookie 0052 strlen 0061 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0083 ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0094 ??3@YAXPEAX@Z 009b ??_7system_error@std@@6B@ 00ad __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 56 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 49 8B F9 49 8B F0 44 8B F2 48 8B D9 48 C7 45 F0 0F 00 00 00 33 C0 48 89 45 E8 88 45 D8 41 38 01 74 08 49 8B C9 E8 ?? ?? ?? ?? 4C 8B C0 48 8B D7 48 8D 4D D8 E8 ?? ?? ?? ?? 90 44 89 75 C0 48 89 75 C8 0F 28 45 C0 66 0F 7F 45 C0 4C 8D 45 D8 48 8D 55 C0 48 8B CB E8 ?? ?? ?? ?? 90 48 83 7D F0 10 72 09 48 8B 4D D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_87_35_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		size = 62
		refs = "0031 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 C7 41 18 0F 00 00 00 48 8B D9 4C 89 41 10 44 88 01 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_87_157_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 291
		refs = "005f ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 007d ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00c9 memcpy 00ff ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0104 ?_Xout_of_range@std@@YAXPEBD@Z 0119 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 011e ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7A 10 49 8B E8 48 8B F2 48 8B D9 49 3B F8 0F 82 D2 00 00 00 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 2C 4A 8D 04 07 48 39 41 10 0F 82 C2 00 00 00 48 83 79 18 10 48 89 41 10 72 03 48 8B 09 C6 04 01 00 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 7F 48 83 FF FE 0F 87 A7 00 00 00 48 39 79 18 73 0E 4C 8B 41 10 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 C6 00 00 48 85 FF 74 41 48 83 7E 18 10 72 03 48 8B 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0C 48 8D 14 2E 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_87_159_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 256
		refs = "0063 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0084 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00c5 memcpy 00f6 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00fb ?_Xlength_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B F2 48 8B D9 48 85 D2 74 4C 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 38 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 48 3B CA 76 25 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4D 8B C8 48 8B D3 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? EB 7A 49 83 F8 FE 0F 87 80 00 00 00 4C 39 43 18 73 11 4C 8B 43 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 4D 85 C0 75 16 4C 21 43 10 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 85 FF 74 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0B 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_87_190_2 {
	meta:
		name = "?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 99
		refs = "0017 ?_Syserror_map@std@@YAPEBDH@Z 002d ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 0051 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 33 DB 41 8B C8 48 8B FA 89 5C 24 20 E8 ?? ?? ?? ?? 48 C7 47 18 0F 00 00 00 48 85 C0 48 89 5F 10 48 8D 15 ?? ?? ?? ?? 48 0F 45 D0 88 1F 38 1A 74 0F 48 83 C8 FF 48 FF C0 38 1C 02 75 F8 48 8B D8 4C 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_87_192_2 {
	meta:
		name = "?message@_System_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 99
		refs = "0017 ?_Winerror_map@std@@YAPEBDH@Z 002d ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 0051 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 33 DB 41 8B C8 48 8B FA 89 5C 24 20 E8 ?? ?? ?? ?? 48 C7 47 18 0F 00 00 00 48 85 C0 48 89 5F 10 48 8D 15 ?? ?? ?? ?? 48 0F 45 D0 88 1F 38 1A 74 0F 48 83 C8 FF 48 FF C0 38 1C 02 75 F8 48 8B D8 4C 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_87_191_2 {
	meta:
		name = "?message@_Iostream_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 70
		refs = "0026 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@ 0032 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0039 ?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B DA 89 44 24 20 41 83 F8 01 75 23 48 C7 42 18 0F 00 00 00 48 89 42 10 88 02 48 8D 15 ?? ?? ?? ?? 44 8D 40 15 48 8B CB E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_0_1_3 {
	meta:
		name = "??__D@YMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??__D@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z 000c __mep@??__D@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_70_3 {
	meta:
		name = "?.cctor@@YMXXZ"
		size = 16
		refs = "0006 __m2mep@?.cctor@@$$FYMXXZ 000c __mep@?.cctor@@$$FYMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_1_3 {
	meta:
		name = "??_L@YMXPEAX_KHP6MX0@Z2@Z"
		size = 16
		refs = "0006 __m2mep@??_L@$$FYMXPEAX_KHP6MX0@Z2@Z 000c __mep@??_L@$$FYMXPEAX_KHP6MX0@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_145_4_3 {
	meta:
		name = "??_M@YMXPEAX_KHP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??_M@$$FYMXPEAX_KHP6MX0@Z@Z 000c __mep@??_M@$$FYMXPEAX_KHP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_193_1_3 {
	meta:
		name = "??_N@YMXPEAX_KHP6MX0@Z2@Z"
		size = 16
		refs = "0006 __m2mep@??_N@$$FYMXPEAX_KHP6MX0@Z2@Z 000c __mep@??_N@$$FYMXPEAX_KHP6MX0@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_208_1_3 {
	meta:
		name = "??__C@YMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??__C@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z 000c __mep@??__C@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_145_5_3 {
	meta:
		name = "?ArrayUnwindFilter@?A0xc73ec4b2@@YAHPEAU_EXCEPTION_POINTERS@@@Z"
		size = 16
		refs = "0006 __m2mep@?ArrayUnwindFilter@?A0xc73ec4b2@@$$FYAHPEAU_EXCEPTION_POINTERS@@@Z 000c __mep@?ArrayUnwindFilter@?A0xc73ec4b2@@$$FYAHPEAU_EXCEPTION_POINTERS@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_1_3 {
	meta:
		name = "?WinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "0006 __m2mep@?WinMainCRTStartup@@$$FYAHXZ 000c __mep@?WinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_310_4_3 {
	meta:
		name = "?_Facet_Register_m@std@@YAXPEAV_Facet_base@1@@Z"
		size = 16
		refs = "0006 __m2mep@?_Facet_Register_m@std@@$$FYAXPEAV_Facet_base@1@@Z 000c __mep@?_Facet_Register_m@std@@$$FYAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_145_2_3 {
	meta:
		name = "?__ArrayUnwind@@YMXPEAX_KHP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@?__ArrayUnwind@@$$FYMXPEAX_KHP6MX0@Z@Z 000c __mep@?__ArrayUnwind@@$$FYMXPEAX_KHP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_48_3 {
	meta:
		name = "?__alloc_global_lock@?A0x88e84184@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__alloc_global_lock@?A0x88e84184@@$$FYA_NXZ 000c __mep@?__alloc_global_lock@?A0x88e84184@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_45_3 {
	meta:
		name = "?__dealloc_global_lock@?A0x88e84184@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?__dealloc_global_lock@?A0x88e84184@@$$FYAXXZ 000c __mep@?__dealloc_global_lock@?A0x88e84184@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_43_3 {
	meta:
		name = "?__global_lock@?A0x88e84184@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__global_lock@?A0x88e84184@@$$FYA_NXZ 000c __mep@?__global_lock@?A0x88e84184@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_44_3 {
	meta:
		name = "?__global_unlock@?A0x88e84184@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__global_unlock@?A0x88e84184@@$$FYA_NXZ 000c __mep@?__global_unlock@?A0x88e84184@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_5_3 {
	meta:
		name = "?__init_cmdline@?A0xa4c1c781@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?__init_cmdline@?A0xa4c1c781@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?__init_cmdline@?A0xa4c1c781@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_6_5_3 {
	meta:
		name = "?__set_managed_app_type@?A0xab21ff76@@YMXXZ"
		size = 16
		refs = "0006 __m2mep@?__set_managed_app_type@?A0xab21ff76@@$$FYMXXZ 000c __mep@?__set_managed_app_type@?A0xab21ff76@@$$FYMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_220_5_3 {
	meta:
		name = "?__winit_cmdline@?A0x0500a7a8@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?__winit_cmdline@?A0x0500a7a8@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?__winit_cmdline@?A0x0500a7a8@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_220_6_3 {
	meta:
		name = "?_common_init@?A0x0500a7a8@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x0500a7a8@@$$FYAXXZ 000c __mep@?_common_init@?A0x0500a7a8@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_4_3 {
	meta:
		name = "?_common_init@?A0x3e796f3d@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x3e796f3d@@$$FYAXXZ 000c __mep@?_common_init@?A0x3e796f3d@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_4_3 {
	meta:
		name = "?_common_init@?A0x7c6a3631@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x7c6a3631@@$$FYAXXZ 000c __mep@?_common_init@?A0x7c6a3631@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_6_3 {
	meta:
		name = "?_common_init@?A0xa4c1c781@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0xa4c1c781@@$$FYAXXZ 000c __mep@?_common_init@?A0xa4c1c781@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_6_6_3 {
	meta:
		name = "?_common_init@?A0xab21ff76@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0xab21ff76@@$$FYAXXZ 000c __mep@?_common_init@?A0xab21ff76@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_152_3_3 {
	meta:
		name = "?_initterm@@YMXPEAP6AXXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm@@$$FYMXPEAP6AXXZ0@Z 000c __mep@?_initterm@@$$FYMXPEAP6AXXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_152_1_3 {
	meta:
		name = "?_initterm_e@@YMHPEAP6AHXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm_e@@$$FYMHPEAP6AHXZ0@Z 000c __mep@?_initterm_e@@$$FYMHPEAP6AHXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_152_7_3 {
	meta:
		name = "?_initterm_m@@YMXPEBQ6MPEBXXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm_m@@$$FYMXPEBQ6MPEBXXZ0@Z 000c __mep@?_initterm_m@@$$FYMXPEBQ6MPEBXXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_187_1_3 {
	meta:
		name = "?_lfind@@YMPEAXPEBX0PEAIIP6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?_lfind@@$$FYMPEAXPEBX0PEAIIP6MH00@Z@Z 000c __mep@?_lfind@@$$FYMPEAXPEBX0PEAIIP6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_187_3_3 {
	meta:
		name = "?_lfind_s@@YMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z"
		size = 16
		refs = "0006 __m2mep@?_lfind_s@@$$FYMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z 000c __mep@?_lfind_s@@$$FYMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_155_1_3 {
	meta:
		name = "?_lsearch@@YMPEAXPEBXPEAXPEAIIP6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?_lsearch@@$$FYMPEAXPEBXPEAXPEAIIP6MH00@Z@Z 000c __mep@?_lsearch@@$$FYMPEAXPEBXPEAXPEAIIP6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_155_3_3 {
	meta:
		name = "?_lsearch_s@@YMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z"
		size = 16
		refs = "0006 __m2mep@?_lsearch_s@@$$FYMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z 000c __mep@?_lsearch_s@@$$FYMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_165_1_3 {
	meta:
		name = "?bsearch@@YMPEAXPEBX0_K1P6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?bsearch@@$$FYMPEAXPEBX0_K1P6MH00@Z@Z 000c __mep@?bsearch@@$$FYMPEAXPEBX0_K1P6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_165_3_3 {
	meta:
		name = "?bsearch_s@@YMPEAXPEBX0_K1P6MHPEAX00@Z2@Z"
		size = 16
		refs = "0006 __m2mep@?bsearch_s@@$$FYMPEAXPEBX0_K1P6MHPEAX00@Z2@Z 000c __mep@?bsearch_s@@$$FYMPEAXPEBX0_K1P6MHPEAX00@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_4_3 {
	meta:
		name = "?mainCRTStartup@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?mainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?mainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_6_1_3 {
	meta:
		name = "?mainCRTStartupStrArray@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?mainCRTStartupStrArray@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?mainCRTStartupStrArray@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_5_3 {
	meta:
		name = "?qsort@@YMXPEAX_K1P6MHPEBX2@Z@Z"
		size = 16
		refs = "0006 __m2mep@?qsort@@$$FYMXPEAX_K1P6MHPEBX2@Z@Z 000c __mep@?qsort@@$$FYMXPEAX_K1P6MHPEBX2@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_7_3 {
	meta:
		name = "?qsort_s@@YMXPEAX_K1P6MH0PEBX2@Z0@Z"
		size = 16
		refs = "0006 __m2mep@?qsort_s@@$$FYMXPEAX_K1P6MH0PEBX2@Z0@Z 000c __mep@?qsort_s@@$$FYMXPEAX_K1P6MH0PEBX2@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_10_3 {
	meta:
		name = "?shortsort@?A0x0e1a7093@@YMXPEAD0_KP6MHPEBX2@Z@Z"
		size = 16
		refs = "0006 __m2mep@?shortsort@?A0x0e1a7093@@$$FYMXPEAD0_KP6MHPEBX2@Z@Z 000c __mep@?shortsort@?A0x0e1a7093@@$$FYMXPEAD0_KP6MHPEBX2@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_11_3 {
	meta:
		name = "?shortsort_s@?A0x0e1a7093@@YMXPEAD0_KP6MHPEAXPEBX3@Z2@Z"
		size = 16
		refs = "0006 __m2mep@?shortsort_s@?A0x0e1a7093@@$$FYMXPEAD0_KP6MHPEAXPEBX3@Z2@Z 000c __mep@?shortsort_s@?A0x0e1a7093@@$$FYMXPEAD0_KP6MHPEAXPEBX3@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_8_3 {
	meta:
		name = "?swap@?A0x0e1a7093@@YMXPEAD0_K@Z"
		size = 16
		refs = "0006 __m2mep@?swap@?A0x0e1a7093@@$$FYMXPEAD0_K@Z 000c __mep@?swap@?A0x0e1a7093@@$$FYMXPEAD0_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_9_3 {
	meta:
		name = "?swap_c@?A0x0e1a7093@@YMXPEAD0_K@Z"
		size = 16
		refs = "0006 __m2mep@?swap_c@?A0x0e1a7093@@$$FYMXPEAD0_K@Z 000c __mep@?swap_c@?A0x0e1a7093@@$$FYMXPEAD0_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_1_3 {
	meta:
		name = "?wWinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "0006 __m2mep@?wWinMainCRTStartup@@$$FYAHXZ 000c __mep@?wWinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_220_4_3 {
	meta:
		name = "?wmainCRTStartup@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?wmainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?wmainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_3_3 {
	meta:
		name = "___CxxCallUnwindDelDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindDelDtor@@$$J0YMXP6MXPEAX@Z0@Z 000c __mep@?___CxxCallUnwindDelDtor@@$$J0YMXP6MXPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_1_3 {
	meta:
		name = "___CxxCallUnwindDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindDtor@@$$J0YMXP6MXPEAX@Z0@Z 000c __mep@?___CxxCallUnwindDtor@@$$J0YMXP6MXPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_5_3 {
	meta:
		name = "___CxxCallUnwindVecDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindVecDtor@@$$J0YMXP6MXPEAX_KHP6MX0@Z@Z01H2@Z 000c __mep@?___CxxCallUnwindVecDtor@@$$J0YMXP6MXPEAX_KHP6MX0@Z@Z01H2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_1_3 {
	meta:
		name = "__setargv"
		size = 16
		refs = "0006 __m2mep@?__setargv@@$$J0YAHXZ 000c __mep@?__setargv@@$$J0YAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_152_9_3 {
	meta:
		name = "__t2m@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@SMP6MPEBXXZP6MPEBXXZ@Z"
		size = 16
		refs = "0006 __m2mep@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@$$FSMP6MPEBXXZP6MPEBXXZ@Z 000c __mep@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@$$FSMP6MPEBXXZP6MPEBXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_94_3 {
	meta:
		name = "__t2m@??0?$gcroot@PE$AAVString@System@@@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??0?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ 000c __mep@??0?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_107_3 {
	meta:
		name = "__t2m@??0LanguageSupport@<CrtImplementationDetails>@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??0LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ 000c __mep@??0LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_310_6_3 {
	meta:
		name = "__t2m@??0_Fac_node@std@@QEAA@PEAU01@PEAV_Facet_base@1@@Z"
		size = 16
		refs = "0006 __m2mep@??0_Fac_node@std@@$$FQEAA@PEAU01@PEAV_Facet_base@1@@Z 000c __mep@??0_Fac_node@std@@$$FQEAA@PEAU01@PEAV_Facet_base@1@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_95_3 {
	meta:
		name = "__t2m@??1?$gcroot@PE$AAVString@System@@@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ 000c __mep@??1?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_108_3 {
	meta:
		name = "__t2m@??1LanguageSupport@<CrtImplementationDetails>@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ 000c __mep@??1LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_310_7_3 {
	meta:
		name = "__t2m@??1_Fac_node@std@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1_Fac_node@std@@$$FQEAA@XZ 000c __mep@??1_Fac_node@std@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_310_9_3 {
	meta:
		name = "__t2m@??1_Fac_tidy_reg_t@std@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1_Fac_tidy_reg_t@std@@$$FQEAA@XZ 000c __mep@??1_Fac_tidy_reg_t@std@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_96_3 {
	meta:
		name = "__t2m@??4?$gcroot@PE$AAVString@System@@@@QEAMAEAU0@PE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@??4?$gcroot@PE$AAVString@System@@@@$$FQEAMAEAU0@PE$AAVString@System@@@Z 000c __mep@??4?$gcroot@PE$AAVString@System@@@@$$FQEAMAEAU0@PE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_97_3 {
	meta:
		name = "__t2m@??B?$gcroot@PE$AAVString@System@@@@QEBMPE$AAVString@System@@XZ"
		size = 16
		refs = "0006 __m2mep@??B?$gcroot@PE$AAVString@System@@@@$$FQEBMPE$AAVString@System@@XZ 000c __mep@??B?$gcroot@PE$AAVString@System@@@@$$FQEBMPE$AAVString@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_310_8_3 {
	meta:
		name = "__t2m@??_G_Fac_node@std@@QEAAPEAXI@Z"
		size = 16
		refs = "0006 __m2mep@??_G_Fac_node@std@@$$FQEAAPEAXI@Z 000c __mep@??_G_Fac_node@std@@$$FQEAAPEAXI@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_47_3 {
	meta:
		name = "__t2m@?AddRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?AddRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?AddRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_106_3 {
	meta:
		name = "__t2m@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@AEAMXPE$AAVException@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z 000c __mep@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_83_3 {
	meta:
		name = "__t2m@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@YAXP6AJPEAX@Z0@Z"
		size = 16
		refs = "0006 __m2mep@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z 000c __mep@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_84_3 {
	meta:
		name = "__t2m@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@CAJPEAX@Z"
		size = 16
		refs = "0006 __m2mep@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@$$FCAJPEAX@Z 000c __mep@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@$$FCAJPEAX@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_93_3 {
	meta:
		name = "__t2m@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z"
		size = 16
		refs = "0006 __m2mep@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z 000c __mep@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_41_3 {
	meta:
		name = "__t2m@?Enter@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Enter@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Enter@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_42_3 {
	meta:
		name = "__t2m@?Exit@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Exit@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Exit@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_79_3 {
	meta:
		name = "__t2m@?FromGUID@<CrtImplementationDetails>@@YM?AVGuid@System@@AEBU_GUID@@@Z"
		size = 16
		refs = "0006 __m2mep@?FromGUID@<CrtImplementationDetails>@@$$FYM?AVGuid@System@@AEBU_GUID@@@Z 000c __mep@?FromGUID@<CrtImplementationDetails>@@$$FYM?AVGuid@System@@AEBU_GUID@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_82_3 {
	meta:
		name = "__t2m@?GetDefaultDomain@<CrtImplementationDetails>@@YMPE$AAVAppDomain@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ 000c __mep@?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_152_8_3 {
	meta:
		name = "__t2m@?Handle@ThisModule@<CrtImplementationDetails>@@CM?AVModuleHandle@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?Handle@ThisModule@<CrtImplementationDetails>@@$$FCM?AVModuleHandle@System@@XZ 000c __mep@?Handle@ThisModule@<CrtImplementationDetails>@@$$FCM?AVModuleHandle@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_86_3 {
	meta:
		name = "__t2m@?HasNative@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?HasNative@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?HasNative@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_85_3 {
	meta:
		name = "__t2m@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_89_3 {
	meta:
		name = "__t2m@?Initialize@DefaultDomain@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Initialize@DefaultDomain@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Initialize@DefaultDomain@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_109_3 {
	meta:
		name = "__t2m@?Initialize@LanguageSupport@<CrtImplementationDetails>@@QEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ 000c __mep@?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_100_3 {
	meta:
		name = "__t2m@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_101_3 {
	meta:
		name = "__t2m@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_103_3 {
	meta:
		name = "__t2m@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_102_3 {
	meta:
		name = "__t2m@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_104_3 {
	meta:
		name = "__t2m@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_99_3 {
	meta:
		name = "__t2m@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_72_3 {
	meta:
		name = "__t2m@?IsInDllMain@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInDllMain@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInDllMain@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_73_3 {
	meta:
		name = "__t2m@?IsInProcessAttach@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInProcessAttach@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInProcessAttach@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_74_3 {
	meta:
		name = "__t2m@?IsInProcessDetach@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInProcessDetach@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInProcessDetach@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_39_3 {
	meta:
		name = "__t2m@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_75_3 {
	meta:
		name = "__t2m@?IsSafeForManagedCode@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsSafeForManagedCode@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsSafeForManagedCode@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_87_3 {
	meta:
		name = "__t2m@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_88_3 {
	meta:
		name = "__t2m@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_78_3 {
	meta:
		name = "__t2m@?RegisterModuleUninitializer@<CrtImplementationDetails>@@YMXPE$AAVEventHandler@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?RegisterModuleUninitializer@<CrtImplementationDetails>@@$$FYMXPE$AAVEventHandler@System@@@Z 000c __mep@?RegisterModuleUninitializer@<CrtImplementationDetails>@@$$FYMXPE$AAVEventHandler@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_40_3 {
	meta:
		name = "__t2m@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_76_3 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@@Z 000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_77_3 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVString@System@@PE$AAVException@3@@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@PE$AAVException@3@@Z 000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@PE$AAVException@3@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_98_3 {
	meta:
		name = "__t2m@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVException@System@@0@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVException@System@@0@Z 000c __mep@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVException@System@@0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_90_3 {
	meta:
		name = "__t2m@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_92_3 {
	meta:
		name = "__t2m@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_105_3 {
	meta:
		name = "__t2m@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_91_3 {
	meta:
		name = "__t2m@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAJPEAX@Z"
		size = 16
		refs = "0006 __m2mep@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAJPEAX@Z 000c __mep@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAJPEAX@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_80_3 {
	meta:
		name = "__t2m@?__get_default_appdomain@@YAJPEAPEAUIUnknown@@@Z"
		size = 16
		refs = "0006 __m2mep@?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z 000c __mep@?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_81_3 {
	meta:
		name = "__t2m@?__release_appdomain@@YAXPEAUIUnknown@@@Z"
		size = 16
		refs = "0006 __m2mep@?__release_appdomain@@$$FYAXPEAUIUnknown@@@Z 000c __mep@?__release_appdomain@@$$FYAXPEAUIUnknown@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_35_3 {
	meta:
		name = "__t2m@?_handle@AtExitLock@<CrtImplementationDetails>@@CMPE$AAVGCHandle@InteropServices@Runtime@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?_handle@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVGCHandle@InteropServices@Runtime@System@@XZ 000c __mep@?_handle@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVGCHandle@InteropServices@Runtime@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_46_3 {
	meta:
		name = "__t2m@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z 000c __mep@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_38_3 {
	meta:
		name = "__t2m@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_37_3 {
	meta:
		name = "__t2m@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@CMPE$AAVObject@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVObject@System@@XZ 000c __mep@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVObject@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_36_3 {
	meta:
		name = "__t2m@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z 000c __mep@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_1_3 {
	meta:
		name = "__wsetargv"
		size = 16
		refs = "0006 __m2mep@?__wsetargv@@$$J0YAHXZ 000c __mep@?__wsetargv@@$$J0YAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_21_3 {
	meta:
		name = "_app_exit_callback"
		size = 16
		refs = "0006 __m2mep@?_app_exit_callback@@$$J0YMXXZ 000c __mep@?_app_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_15_3 {
	meta:
		name = "_atexit_helper"
		size = 16
		refs = "0006 __m2mep@?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z 000c __mep@?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_19_3 {
	meta:
		name = "_atexit_m"
		size = 16
		refs = "0006 __m2mep@?_atexit_m@@$$J0YMHP6MXXZ@Z 000c __mep@?_atexit_m@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_23_3 {
	meta:
		name = "_atexit_m_appdomain"
		size = 16
		refs = "0006 __m2mep@?_atexit_m_appdomain@@$$J0YMHP6MXXZ@Z 000c __mep@?_atexit_m_appdomain@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_17_3 {
	meta:
		name = "_exit_callback"
		size = 16
		refs = "0006 __m2mep@?_exit_callback@@$$J0YMXXZ 000c __mep@?_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_32_3 {
	meta:
		name = "_initatexit_app_domain"
		size = 16
		refs = "0006 __m2mep@?_initatexit_app_domain@@$$J0YMHXZ 000c __mep@?_initatexit_app_domain@@$$J0YMHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_28_3 {
	meta:
		name = "_initatexit_m"
		size = 16
		refs = "0006 __m2mep@?_initatexit_m@@$$J0YMHXZ 000c __mep@?_initatexit_m@@$$J0YMHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_30_3 {
	meta:
		name = "_onexit_m"
		size = 16
		refs = "0006 __m2mep@?_onexit_m@@$$J0YMP6MHXZP6MHXZ@Z 000c __mep@?_onexit_m@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_34_3 {
	meta:
		name = "_onexit_m_appdomain"
		size = 16
		refs = "0006 __m2mep@?_onexit_m_appdomain@@$$J0YMP6MHXZP6MHXZ@Z 000c __mep@?_onexit_m_appdomain@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_1_3 {
	meta:
		name = "_setargv"
		size = 16
		refs = "0006 __m2mep@?_setargv@@$$J0YAHXZ 000c __mep@?_setargv@@$$J0YAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_173_1_3 {
	meta:
		name = "_wsetargv"
		size = 16
		refs = "0006 __m2mep@?_wsetargv@@$$J0YAHXZ 000c __mep@?_wsetargv@@$$J0YAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_6_4_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0xab21ff76@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0xab21ff76@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_220_2_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0x0500a7a8@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0x0500a7a8@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_98_3_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0x3e796f3d@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0x3e796f3d@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_230_3_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0x7c6a3631@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0x7c6a3631@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_67_2_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0xa4c1c781@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0xa4c1c781@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_70_18_3 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000D5 0009 0A00016D"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_3453_15_6 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000D5 0009 0A0000F1"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_70_20_3 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000012 000e 0A00013F"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_3453_17_6 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000012 000e 0A0000CD"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_70_21_3 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000D5 0009 0A00016D"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 40 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_3453_18_6 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000D5 0009 0A0000F1"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 40 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_70_25_3 {
	meta:
		name = "__catch$?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z$0"
		size = 74
		refs = "0001 0A000159 0016 11000001 0024 11000003 0046 01000007"
	strings:
		$1 = { 28 ?? ?? ?? ?? 0B DE 00 07 16 32 1D 06 02 06 4C 1F 68 6A 58 4C 29 ?? ?? ?? ?? 0B 06 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 26 07 2A 00 00 00 41 1C 00 00 00 00 00 00 03 00 00 00 2F 00 00 00 32 00 00 00 08 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_28_3 {
	meta:
		name = "__catch$?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ$0"
		size = 47
		refs = "0002 0A000050 0009 0A000158"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? DC 06 28 ?? ?? ?? ?? 14 2A 08 2A 00 00 41 1C 00 00 02 00 00 00 0F 00 00 00 16 00 00 00 25 00 00 00 07 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_70_30_3 {
	meta:
		name = "__catch$?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z$0"
		size = 47
		refs = "0009 11000003"
	strings:
		$1 = { 06 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 26 DC 2A 00 00 00 41 1C 00 00 02 00 00 00 25 00 00 00 28 00 00 00 4D 00 00 00 0F 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_70_58_3 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ$0"
		size = 89
		refs = "0001 0A000178 000a 0A00016B 0029 0A0000F5 0031 0A00005B 0036 040000F6 003e 0A00005D 0044 0A00005E 004b 0A000057"
	strings:
		$1 = { 7F ?? ?? ?? ?? 11 04 16 6A 28 ?? ?? ?? ?? 0C 08 2D 04 17 0A 2B 09 08 11 04 33 04 17 0D 17 0A DC 06 2D 0A 20 E8 03 00 00 28 ?? ?? ?? ?? 2B CC 02 28 ?? ?? ?? ?? 7E ?? ?? ?? ?? 2C 0E 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2B 0D 28 ?? ?? ?? ?? 16 33 03 07 2B 01 17 0B DE 11 }
	condition:
		$1
}

rule file_70_59_3 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ$2"
		size = 100
		refs = "0004 0A000178 000b 0A000169 0016 0A00005C 001c 0A00005F 0022 0400010A 0028 0A000060"
	strings:
		$1 = { 09 2D 0D 7F ?? ?? ?? ?? 16 6A 28 ?? ?? ?? ?? 26 DC 07 2C 06 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 17 80 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2A 00 00 00 41 34 00 00 02 00 00 00 39 00 00 00 02 00 00 00 3B 00 00 00 20 00 00 00 40 00 00 01 02 00 00 00 36 00 00 00 5E 00 00 00 94 00 00 00 11 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_70_62_3 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z$1"
		size = 64
		refs = "0004 06000032 0024 01000007 003c 0100000C"
	strings:
		$1 = { 0C 03 14 28 ?? ?? ?? ?? DE 00 2A 00 41 34 00 00 00 00 00 00 00 00 00 00 1E 00 00 00 1E 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 1E 00 00 00 28 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_66_3 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$0"
		size = 22
		refs = "0001 04000110 0006 0A000167 0010 0A000062"
	strings:
		$1 = { 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 17 0A DC 02 28 ?? ?? ?? ?? DE 32 }
	condition:
		$1
}

rule file_70_67_3 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$2"
		size = 25
		refs = "0007 06000054 000d 0600005C 0013 06000034"
	strings:
		$1 = { 0B 06 2C 07 02 07 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? DE 19 }
	condition:
		$1
}

rule file_70_68_3 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$3"
		size = 103
		refs = "0007 06000054 000d 0600005C 0013 06000034 004b 01000007 0063 0100000C"
	strings:
		$1 = { 0C 06 2C 07 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 41 4C 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0E 00 00 00 40 00 00 01 00 00 00 00 07 00 00 00 29 00 00 00 30 00 00 00 19 00 00 00 ?? ?? ?? ?? 00 00 00 00 07 00 00 00 29 00 00 00 49 00 00 00 19 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_12_3 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$0"
		size = 103
		refs = "000e 0A000080 0016 0A00007F 001f 0A00008B 0030 0A000081 0058 0A000095"
	strings:
		$1 = { 26 12 0A 03 4C 1E 6A 5A 1F 0C 6A 58 69 28 ?? ?? ?? ?? 12 09 07 28 ?? ?? ?? ?? 11 09 11 0A 28 ?? ?? ?? ?? 13 05 11 05 13 10 11 05 13 0F 12 0F 28 ?? ?? ?? ?? 07 59 06 58 0A 12 0F 28 ?? ?? ?? ?? 0B 03 25 4C 1A 6A 58 55 DE 00 06 02 55 06 1E 6A 58 0A 02 13 08 05 07 28 ?? ?? ?? ?? 55 04 06 28 ?? ?? ?? ?? 55 DE 05 }
	condition:
		$1
}

rule file_739_12_6 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$0"
		size = 103
		refs = "000e 0A000053 0016 0A000052 001f 0A00005E 0030 0A000054 0058 0A000066"
	strings:
		$1 = { 26 12 0A 03 4C 1E 6A 5A 1F 0C 6A 58 69 28 ?? ?? ?? ?? 12 09 07 28 ?? ?? ?? ?? 11 09 11 0A 28 ?? ?? ?? ?? 13 05 11 05 13 10 11 05 13 0F 12 0F 28 ?? ?? ?? ?? 07 59 06 58 0A 12 0F 28 ?? ?? ?? ?? 0B 03 25 4C 1A 6A 58 55 DE 00 06 02 55 06 1E 6A 58 0A 02 13 08 05 07 28 ?? ?? ?? ?? 55 04 06 28 ?? ?? ?? ?? 55 DE 05 }
	condition:
		$1
}

rule file_113_14_3 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$3"
		size = 100
		refs = "0001 0A000038 0030 01000008"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 08 2D 05 15 13 04 2B 03 16 13 04 11 04 2A 00 00 41 4C 00 00 00 00 00 00 37 00 00 00 73 00 00 00 AA 00 00 00 4A 00 00 00 ?? ?? ?? ?? 00 00 00 00 14 00 00 00 FD 00 00 00 11 01 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 14 00 00 00 04 01 00 00 18 01 00 00 07 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_8_0_5 {
	meta:
		name = "pre_c_init"
		size = 206
		refs = "000c __ImageBase 0050 managedapp 005b __imp___set_app_type 0065 __imp_EncodePointer 006c __imp__fmode 0073 __onexitend 007a __onexitbegin 0080 _fmode 0089 __imp__commode 008f _commode 0096 _RTC_Initialize 009b _wsetargv 00a1 __defaultmatherr 00ab _matherr 00b1 __imp___setusermatherr 00b7 __globallocalestatus 00c3 __imp__configthreadlocale"
	strings:
		$1 = { 48 83 EC 28 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 C9 EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 C9 83 B8 84 00 00 00 0E 76 09 39 88 F8 00 00 00 0F 95 C1 89 0D ?? ?? ?? ?? B9 02 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C9 FF FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 01 48 8B 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 83 C9 FF FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_752_0_5 {
	meta:
		name = "pre_c_init"
		size = 206
		refs = "000c __ImageBase 0050 managedapp 005b __imp___set_app_type 0065 __imp_EncodePointer 006c __imp__fmode 0073 __onexitend 007a __onexitbegin 0080 _fmode 0089 __imp__commode 008f _commode 0096 _RTC_Initialize 009b _setargv 00a1 __defaultmatherr 00ab _matherr 00b1 __imp___setusermatherr 00b7 __globallocalestatus 00c3 __imp__configthreadlocale"
	strings:
		$1 = { 48 83 EC 28 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 C9 EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 C9 83 B8 84 00 00 00 0E 76 09 39 88 F8 00 00 00 0F 95 C1 89 0D ?? ?? ?? ?? B9 02 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C9 FF FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 01 48 8B 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 83 C9 FF FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_8_1_5 {
	meta:
		name = "pre_cpp_init"
		size = 99
		refs = "0007 _RTC_Terminate 000c atexit 0012 _newmode 0019 _dowildcard 001f startinfo 002d envp 0034 argv 003b argc 0046 __imp___wgetmainargs 004c argret 005a _amsg_exit"
	strings:
		$1 = { 48 83 EC 38 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_752_1_5 {
	meta:
		name = "pre_cpp_init"
		size = 99
		refs = "0007 _RTC_Terminate 000c atexit 0012 _newmode 0019 _dowildcard 001f startinfo 002d envp 0034 argv 003b argc 0046 __imp___getmainargs 004c argret 005a _amsg_exit"
	strings:
		$1 = { 48 83 EC 38 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_8_3_5 {
	meta:
		name = "__tmainCRTStartup"
		size = 506
		refs = "0026 __imp___crtGetShowWindowMode 0045 __native_startup_lock 0062 __native_startup_state 0072 _amsg_exit 008b __xi_z 0092 __xi_a 0097 _initterm_e 00ab has_cctor 00c1 __xc_z 00c8 __xc_a 00cd _initterm 00ec __dyn_tls_init_callback 00fa _IsNonwritableInCurrentImage 0117 __imp__wcmdln 0159 __ImageBase 015e wWinMain 0164 mainret 016b managedapp 0175 __imp_exit 0184 __imp__cexit 01c5 __imp__exit"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 30 45 33 FF 4C 89 78 F0 44 89 78 E8 FF 15 ?? ?? ?? ?? 44 0F B7 F0 65 48 8B 0C 25 30 00 00 00 48 8B 51 08 41 8B F7 33 C0 F0 48 0F B1 15 ?? ?? ?? ?? 74 10 48 3B C2 75 09 BB 01 00 00 00 8B F3 EB 07 EB E3 BB 01 00 00 00 8B 05 ?? ?? ?? ?? 3B C3 75 0E BF 1F 00 00 00 8B CF E8 ?? ?? ?? ?? EB 3C 8B 05 ?? ?? ?? ?? 85 C0 75 27 89 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 B8 FF 00 00 00 E9 36 01 00 00 89 1D ?? ?? ?? ?? BF 1F 00 00 00 8B 05 ?? ?? ?? ?? 3B C3 75 1D 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 F6 75 0A 49 8B C7 48 87 05 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 74 22 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 12 45 33 C0 41 8D 50 02 33 C9 48 8B 05 ?? ?? ?? ?? FF D0 48 8B 05 ?? ?? ?? ?? 48 8B 08 48 89 4C 24 28 8B 54 24 20 66 83 39 20 77 63 66 44 39 39 74 04 85 D2 75 59 0F B7 01 66 2B C3 66 3B C7 77 0B 48 83 C1 02 48 89 4C 24 28 EB EA 45 0F B7 CE 4C 8B C1 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 44 39 3D ?? ?? ?? ?? 75 08 8B C8 FF 15 ?? ?? ?? ?? 44 39 3D ?? ?? ?? ?? 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? EB 4F 66 83 39 22 75 0E 41 8B C7 85 D2 0F 94 C0 8B D0 89 44 24 20 48 83 C1 02 48 89 4C 24 28 E9 75 FF FF FF 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 8B C8 FF 15 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 74 24 58 48 83 C4 30 41 5F C3 }
	condition:
		$1
}

rule file_340_0_5 {
	meta:
		name = "__atonexitinit"
		size = 78
		refs = "0009 __onexitbegin 001a __imp__calloc_crt 0026 __imp_EncodePointer 0034 __onexitend"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 3D ?? ?? ?? ?? 00 75 36 BA 08 00 00 00 8D 4A 18 FF 15 ?? ?? ?? ?? 48 8B C8 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 DB 75 05 8D 43 18 EB 06 48 83 23 00 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_340_1_5 {
	meta:
		name = "_onexit"
		size = 176
		refs = "000c __onexitbegin 0012 __imp_DecodePointer 0026 __imp__onexit 0032 _lock 004c __onexitend 0060 __imp_EncodePointer 0072 __dllonexit 00a3 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 44 24 38 48 83 F8 FF 75 0B 48 8B CB FF 15 ?? ?? ?? ?? EB 7E B9 08 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 44 24 38 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 44 24 40 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 4C 8D 44 24 40 48 8D 54 24 38 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 38 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 4C 24 40 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_340_2_5 {
	meta:
		name = "_onexit$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 08 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_752_4_5 {
	meta:
		name = "__tmainCRTStartup"
		size = 488
		refs = "001b __imp___crtGetShowWindowMode 0038 __native_startup_lock 004e __native_startup_state 005b _amsg_exit 0078 __xi_z 007f __xi_a 0084 _initterm_e 0098 has_cctor 00ae __xc_z 00b5 __xc_a 00ba _initterm 00d8 __dyn_tls_init_callback 00e7 _IsNonwritableInCurrentImage 0104 __imp__acmdln 0140 __ImageBase 0145 WinMain 014b mainret 0151 managedapp 015c __imp_exit 016b __imp__cexit 018e __imp__ismbblead 01be __imp__exit"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 30 48 83 60 F0 00 83 60 E8 00 FF 15 ?? ?? ?? ?? 0F B7 F0 65 48 8B 0C 25 30 00 00 00 48 8B 51 08 33 DB 33 C0 F0 48 0F B1 15 ?? ?? ?? ?? 74 0E 48 3B C2 75 07 BB 01 00 00 00 EB 02 EB E5 8B 05 ?? ?? ?? ?? 83 F8 01 75 0A 8D 48 1E E8 ?? ?? ?? ?? EB 3F 8B 05 ?? ?? ?? ?? 85 C0 75 2B C7 05 ?? ?? ?? ?? 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 14 B8 FF 00 00 00 E9 42 01 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 05 ?? ?? ?? ?? 83 F8 01 75 1D 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 DB 75 09 33 C0 48 87 05 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 74 22 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 12 45 33 C0 41 8D 50 02 33 C9 48 8B 05 ?? ?? ?? ?? FF D0 48 8B 05 ?? ?? ?? ?? 48 8B 18 48 89 5C 24 28 8B 7C 24 20 80 3B 20 77 5E 80 3B 00 74 04 85 FF 75 55 8A 03 FE C8 3C 1F 77 0A 48 FF C3 48 89 5C 24 28 EB EE 44 0F B7 CE 4C 8B C3 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 8B C8 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? EB 61 80 3B 22 75 0D 33 C0 85 FF 0F 94 C0 8B F8 89 44 24 20 0F B6 0B FF 15 ?? ?? ?? ?? 85 C0 74 08 48 FF C3 48 89 5C 24 28 48 FF C3 48 89 5C 24 28 E9 69 FF FF FF 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 8B C8 FF 15 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_888_0_5 {
	meta:
		name = "pre_c_init"
		size = 206
		refs = "000c __ImageBase 0050 managedapp 005b __imp___set_app_type 0065 __imp_EncodePointer 006c __imp__fmode 0073 __onexitend 007a __onexitbegin 0080 _fmode 0089 __imp__commode 008f _commode 0096 _RTC_Initialize 009b _setargv 00a1 __defaultmatherr 00ab _matherr 00b1 __imp___setusermatherr 00b7 __globallocalestatus 00c3 __imp__configthreadlocale"
	strings:
		$1 = { 48 83 EC 28 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 C9 EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 C9 83 B8 84 00 00 00 0E 76 09 39 88 F8 00 00 00 0F 95 C1 89 0D ?? ?? ?? ?? B9 01 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C9 FF FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 01 48 8B 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 83 C9 FF FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2436_0_5 {
	meta:
		name = "pre_c_init"
		size = 206
		refs = "000c __ImageBase 0050 managedapp 005b __imp___set_app_type 0065 __imp_EncodePointer 006c __imp__fmode 0073 __onexitend 007a __onexitbegin 0080 _fmode 0089 __imp__commode 008f _commode 0096 _RTC_Initialize 009b _wsetargv 00a1 __defaultmatherr 00ab _matherr 00b1 __imp___setusermatherr 00b7 __globallocalestatus 00c3 __imp__configthreadlocale"
	strings:
		$1 = { 48 83 EC 28 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 C9 EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 C9 83 B8 84 00 00 00 0E 76 09 39 88 F8 00 00 00 0F 95 C1 89 0D ?? ?? ?? ?? B9 01 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C9 FF FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 01 48 8B 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 83 C9 FF FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_888_3_5 {
	meta:
		name = "__tmainCRTStartup"
		size = 368
		refs = "001c __native_startup_lock 0032 __native_startup_state 003f _amsg_exit 005c __xi_z 0063 __xi_a 0068 _initterm_e 007c has_cctor 0092 __xc_z 0099 __xc_a 009e _initterm 00bc __dyn_tls_init_callback 00cb _IsNonwritableInCurrentImage 00e8 envp 00ef __imp___initenv 0100 argv 0106 argc 010b main 0111 mainret 0117 managedapp 0122 __imp_exit 0131 __imp__cexit 0150 __imp__exit"
	strings:
		$1 = { 40 57 48 83 EC 20 65 48 8B 04 25 30 00 00 00 48 8B 48 08 33 FF 33 C0 F0 48 0F B1 0D ?? ?? ?? ?? 74 0E 48 3B C1 75 07 BF 01 00 00 00 EB 02 EB E5 8B 05 ?? ?? ?? ?? 83 F8 01 75 0A 8D 48 1E E8 ?? ?? ?? ?? EB 3F 8B 05 ?? ?? ?? ?? 85 C0 75 2B C7 05 ?? ?? ?? ?? 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 14 B8 FF 00 00 00 E9 F0 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 05 ?? ?? ?? ?? 83 F8 01 75 1D 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 FF 75 09 33 C0 48 87 05 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 74 22 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 12 45 33 C0 41 8D 50 02 33 C9 48 8B 05 ?? ?? ?? ?? FF D0 48 8B 0D ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 08 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 8B C8 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? EB 2D 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 8B C8 FF 15 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2436_3_5 {
	meta:
		name = "__tmainCRTStartup"
		size = 368
		refs = "001c __native_startup_lock 0032 __native_startup_state 003f _amsg_exit 005c __xi_z 0063 __xi_a 0068 _initterm_e 007c has_cctor 0092 __xc_z 0099 __xc_a 009e _initterm 00bc __dyn_tls_init_callback 00cb _IsNonwritableInCurrentImage 00e8 envp 00ef __imp___winitenv 0100 argv 0106 argc 010b wmain 0111 mainret 0117 managedapp 0122 __imp_exit 0131 __imp__cexit 0150 __imp__exit"
	strings:
		$1 = { 40 57 48 83 EC 20 65 48 8B 04 25 30 00 00 00 48 8B 48 08 33 FF 33 C0 F0 48 0F B1 0D ?? ?? ?? ?? 74 0E 48 3B C1 75 07 BF 01 00 00 00 EB 02 EB E5 8B 05 ?? ?? ?? ?? 83 F8 01 75 0A 8D 48 1E E8 ?? ?? ?? ?? EB 3F 8B 05 ?? ?? ?? ?? 85 C0 75 2B C7 05 ?? ?? ?? ?? 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 14 B8 FF 00 00 00 E9 F0 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 05 ?? ?? ?? ?? 83 F8 01 75 1D 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 FF 75 09 33 C0 48 87 05 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 74 22 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 12 45 33 C0 41 8D 50 02 33 C9 48 8B 05 ?? ?? ?? ?? FF D0 48 8B 0D ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 08 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 8B C8 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? EB 2D 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 8B C8 FF 15 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_948_0_5 {
	meta:
		name = "pre_c_init"
		size = 94
		refs = "000d __imp__malloc_crt 0019 __imp_EncodePointer 0020 __onexitbegin 0027 __onexitend 003a _RTC_Initialize 0041 _RTC_Terminate 0046 atexit 004d __clean_type_info_names"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 00 01 00 00 FF 15 ?? ?? ?? ?? 48 8B C8 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 DB 75 05 8D 43 01 EB 23 48 83 23 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_948_2_5 {
	meta:
		name = "_CRT_INIT"
		size = 587
		refs = "002f __proc_attached 0061 __native_startup_lock 0071 __native_startup_state 0080 _amsg_exit 008c __onexitbegin 0092 __imp_DecodePointer 00a5 __onexitend 00ca __imp_EncodePointer 0126 __imp_free 01ae __xi_z 01b5 __xi_a 01c4 _initterm_e 01cf __xc_z 01d6 __xc_a 01db _initterm 01fa __dyn_tls_init_callback 0208 _IsNonwritableInCurrentImage"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 78 18 4C 89 60 20 41 55 41 56 41 57 48 83 EC 20 33 FF 49 8B E8 4C 8B F1 85 D2 0F 85 35 01 00 00 8B 05 ?? ?? ?? ?? 85 C0 0F 8E 20 01 00 00 FF C8 44 8B FF 89 05 ?? ?? ?? ?? 65 48 8B 04 25 30 00 00 00 48 8B 48 08 EB 05 48 3B C1 74 0F 33 C0 F0 48 0F B1 0D ?? ?? ?? ?? 75 EE EB 06 41 BF 01 00 00 00 8B 05 ?? ?? ?? ?? 83 F8 02 74 0F B9 1F 00 00 00 E8 ?? ?? ?? ?? E9 9E 01 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B E8 48 85 C0 0F 84 9E 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B ED 4C 8B E0 4C 8B F0 49 83 EE 08 4C 3B F5 72 5A 49 39 3E 74 F2 33 C9 FF 15 ?? ?? ?? ?? 49 39 06 74 E5 49 8B 0E FF 15 ?? ?? ?? ?? 33 C9 48 8B D8 FF 15 ?? ?? ?? ?? 49 89 06 FF D3 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 4C 3B EB 75 05 4C 3B E0 74 A5 4C 8B EB 48 8B EB EB 97 48 83 FD FF 74 09 48 8B CD FF 15 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 45 85 FF 0F 85 D8 00 00 00 48 87 3D ?? ?? ?? ?? E9 CC 00 00 00 33 C0 E9 CA 00 00 00 83 FA 01 0F 85 BC 00 00 00 65 48 8B 04 25 30 00 00 00 8B DF 48 8B 48 08 EB 05 48 3B C1 74 0F 33 C0 F0 48 0F B1 0D ?? ?? ?? ?? 75 EE EB 05 BB 01 00 00 00 8B 05 ?? ?? ?? ?? 85 C0 74 0C B9 1F 00 00 00 E8 ?? ?? ?? ?? EB 3E 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 8F 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 DB 75 0A 48 8B C7 48 87 05 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 74 21 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 11 4C 8B C5 BA 02 00 00 00 49 8B CE FF 15 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 20 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_948_4_5 {
	meta:
		name = "__DllMainCRTStartup"
		size = 310
		refs = "0027 __native_dllmain_reason 0031 __proc_attached 004c _pRawDllMain 006e _CRT_INIT 0089 DllMain"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 41 56 48 83 EC 30 49 8B F0 8B FA 4C 8B F1 BB 01 00 00 00 89 58 E8 89 15 ?? ?? ?? ?? 85 D2 75 12 39 15 ?? ?? ?? ?? 75 0A 33 DB 89 58 E8 E9 CB 00 00 00 8D 42 FF 83 F8 01 77 37 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 08 FF D0 8B D8 89 44 24 20 85 DB 0F 84 A7 00 00 00 4C 8B C6 8B D7 49 8B CE E8 ?? ?? ?? ?? 8B D8 89 44 24 20 85 C0 0F 84 8C 00 00 00 4C 8B C6 8B D7 49 8B CE E8 ?? ?? ?? ?? 8B D8 89 44 24 20 83 FF 01 75 34 85 C0 75 30 4C 8B C6 33 D2 49 8B CE E8 ?? ?? ?? ?? 4C 8B C6 33 D2 49 8B CE E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 0A 4C 8B C6 33 D2 49 8B CE FF D0 85 FF 74 05 83 FF 03 75 37 4C 8B C6 8B D7 49 8B CE E8 ?? ?? ?? ?? F7 D8 1B C9 23 CB 8B D9 89 4C 24 20 74 1C 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 10 4C 8B C6 8B D7 49 8B CE FF D0 8B D8 89 44 24 20 EB 06 33 DB 89 5C 24 20 C7 05 ?? ?? ?? ?? FF FF FF FF 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_948_5_5 {
	meta:
		name = "__DllMainCRTStartup$filt$0"
		size = 37
		refs = "0019 __CppXcptFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B D1 48 89 4D 28 48 8B 01 8B 08 89 4D 24 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_948_6_5 {
	meta:
		name = "__DllMainCRTStartup$fin$1"
		size = 26
		refs = "000b __native_dllmain_reason"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA C7 05 ?? ?? ?? ?? FF FF FF FF 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_992_0_5 {
	meta:
		name = "__dyn_tls_dtor"
		size = 139
		refs = "001a _tls_index 0028 dtor_list 006a __imp_free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 FA 03 74 04 85 D2 75 5E 8B 0D ?? ?? ?? ?? 65 48 8B 04 25 58 00 00 00 BF ?? ?? ?? ?? 48 8B 04 C8 48 8B 3C 07 48 85 FF 74 3D 8B 1F FF CB 78 1D 48 63 F3 48 83 C6 02 48 8D 34 F7 48 8B 06 48 85 C0 74 02 FF D0 48 83 EE 08 FF CB 79 EE 48 8B 5F 08 48 85 DB 74 09 48 8B CF FF 15 ?? ?? ?? ?? 48 8B FB 48 85 DB 75 C3 48 8B 5C 24 30 48 8B 74 24 38 B8 01 00 00 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_992_1_5 {
	meta:
		name = "__tlregdtor"
		size = 144
		refs = "001a _tls_index 001f dtor_list 0034 dtor_list_head 0050 __imp__malloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 65 48 8B 04 25 58 00 00 00 8B 15 ?? ?? ?? ?? BE ?? ?? ?? ?? 48 8B 1C D0 48 8B F9 48 8B 04 1E 48 85 C0 75 11 B8 ?? ?? ?? ?? 48 03 C3 48 89 04 1E 83 20 00 EB 2C 83 38 1E 75 27 B9 00 01 00 00 FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 05 83 C8 FF EB 1F 48 8B 04 1E 83 21 00 48 89 0C 1E 48 89 41 08 48 8B 0C 1E 48 63 01 48 89 7C C1 10 FF 01 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1191_2_5 {
	meta:
		name = "??_Etype_info@@UEAAPEAXI@Z"
		size = 106
		refs = "0020 ??1type_info@@UEAA@XZ 002d ??_M@YAXPEAX_KHP6AX0@Z@Z 003b ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 F6 C2 02 74 2B 48 8D 79 F8 4C 8D 0D ?? ?? ?? ?? BA 18 00 00 00 44 8B 07 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 EB 16 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1909_0_5 {
	meta:
		name = "DllMain"
		size = 35
		refs = "000c _pRawDllMain 0015 __imp_DisableThreadLibraryCalls"
	strings:
		$1 = { 48 83 EC 28 83 FA 01 75 10 48 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_185_40_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000F8 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1527_55_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A00010E 000e 0A000103"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_3392_50_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A00013D 000e 0A000131"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_3121_42_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000F9 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_2900_42_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000FA 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_2554_59_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A000111 000e 0A000105"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_2484_65_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A000117 000e 0A00010A"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_2055_42_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000FA 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1699_50_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A000159 000e 0A00014A"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1602_42_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000F9 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_544_42_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000FA 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1337_45_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000FB 000e 0A0000ED"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1314_54_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A00010B 000e 04000380"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1243_42_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000F9 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1172_42_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000FA 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1072_42_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000F9 000e 0A0000EC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_185_41_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FA"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_544_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FC"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_642_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1172_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FC"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1243_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_55_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A00010D"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1527_56_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A000110"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1602_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2055_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FC"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_60_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A000113"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2900_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FC"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_3121_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_185_415_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F8 000a 0400020F 0010 0A000110 0015 060000AC 001f 060000B9 0038 060000E1 0048 04000023 0051 040000F2 006e 06000029 0075 040001F4 0080 06000027 0087 0A000003 008f 040000D2 0094 0A000034 00a9 11000006 00ae 0A00010C"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2396_446_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F8 000a 0400029C 0010 040001BD 0015 060000AE 001f 060000BB 0038 060002B5 0048 04000023 0051 040000F0 006e 0600002B 0075 040001F3 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010C"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_938_445_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 0400029E 0010 040001BD 0015 060000AE 001f 060000BB 0038 060002B5 0048 04000023 0051 040000F0 006e 0600002B 0075 040001F3 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010E"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_185_443_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F8 000a 0400029E 0010 040001BE 0015 060000AC 001f 060000B9 0038 060002B1 0048 04000023 0051 040000F2 006e 06000029 0075 040001F4 0080 06000027 0087 0A000003 008f 040000D2 0094 0A000034 00a9 11000006 00ae 0A00010C"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1337_454_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FB 000a 040002C6 0010 040001DE 0015 060000AD 001f 060000BB 0038 06000201 0048 04000030 0051 04000106 006e 06000029 0075 04000215 0080 06000027 0087 0A000003 008f 040000DE 0094 0A000037 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_3121_445_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 0400029E 0010 040001BD 0015 060000AE 001f 060000BB 0038 060002B5 0048 04000023 0051 040000F0 006e 0600002B 0075 040001F5 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010C"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2055_415_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FA 000a 04000228 0010 0A0000F6 0015 060000AD 001f 060000BA 0038 060000D5 0048 04000023 0051 040000F1 006e 0600002B 0075 040001F2 0080 06000029 0087 0A000003 008f 040000D2 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_544_414_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FA 000a 04000224 0010 0A0000F6 0015 060000AD 001f 060000BA 0038 060000D5 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EE 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_876_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 0400039C 0010 0A000113 0015 060000C0 001f 060000CE 0038 060000EA 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2900_414_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FA 000a 04000226 0010 0A0000F6 0015 060000AD 001f 060000BA 0038 060000D5 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EE 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1172_414_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FA 000a 04000224 0010 0A0000F6 0015 060000AD 001f 060000BA 0038 060000D5 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EC 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010F"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_852_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000575 0010 0A000124 0015 060000C0 001f 060000CE 0038 060000DE 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1602_414_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 04000335 0010 0A000106 0015 060000AD 001f 060000BA 0038 060000CA 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EF 0080 06000029 0087 0A000003 008f 040000CE 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1243_415_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 04000335 0010 0A000106 0015 060000AD 001f 060000BA 0038 060000CA 0048 04000023 0051 040000EF 006e 0600002B 0075 040001F1 0080 06000029 0087 0A000003 008f 040000CE 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_642_414_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 04000333 0010 0A000106 0015 060000AD 001f 060000BA 0038 060000CA 0048 04000023 0051 040000EF 006e 0600002B 0075 040001ED 0080 06000029 0087 0A000003 008f 040000CE 0094 0A000034 00a9 11000006 00ae 0A00010F"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1072_414_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 04000335 0010 0A000106 0015 060000AD 001f 060000BA 0038 060000CA 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EF 0080 06000029 0087 0A000003 008f 040000CE 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_788_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMAEBV?$collate@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 0400044E 0010 04000380 0015 060000BA 001f 060000C8 0038 06000218 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_1207_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMAEBV?$collate@G@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040005DF 0010 040005F5 0015 060000C0 001f 060000CE 0038 060002A2 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_1204_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMAEBV?$collate@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 0400027F 0010 040002FC 0015 060000C0 001f 060000CE 0038 0600024F 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1314_556_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00010B 000a 0400026B 0010 04000232 0015 060000BC 001f 060000CD 0038 060000F9 0048 0400004B 0051 04000131 006e 06000034 0075 0400024E 0080 06000032 0087 0A000003 008f 04000107 0094 0A00003C 00a9 11000006 00ae 0600000B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1699_540_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000159 000a 040002C4 0010 0A000171 0015 060000B4 001f 060000C1 0038 060000EB 0048 04000095 0051 04000183 006e 0600002A 0075 040002A3 0080 06000028 0087 0A000003 008f 0400015A 0094 0A000050 00a9 11000006 00ae 0A00016D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2396_418_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F8 000a 0400020E 0010 0A000110 0015 060000AE 001f 060000BB 0038 060000E3 0048 04000023 0051 040000F0 006e 0600002B 0075 040001F3 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010C"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_938_417_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 04000210 0010 0A000112 0015 060000AE 001f 060000BB 0038 060000E3 0048 04000023 0051 040000F0 006e 0600002B 0075 040001F3 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010E"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_822_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000367 0010 0A00012F 0015 060000C0 001f 060000CE 0038 060000FC 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1527_547_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00010E 000a 0400031E 0010 0A000122 0015 060000E9 001f 060000F6 0038 06000120 0048 0400008B 0051 040001A4 006e 0600000C 0075 040002FC 0080 0600000A 0087 0A000003 008f 04000162 0094 0A00003B 00a9 11000006 00ae 0A00011E"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_3121_417_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 04000210 0010 0A000110 0015 060000AE 001f 060000BB 0038 060000E3 0048 04000023 0051 040000F0 006e 0600002B 0075 040001F5 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010C"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1337_442_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FB 000a 0400022F 0010 0A000111 0015 060000AD 001f 060000BB 0038 060000E3 0048 04000030 0051 04000106 006e 06000029 0075 04000215 0080 06000027 0087 0A000003 008f 040000DE 0094 0A000037 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_3392_497_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00013D 000a 040002AC 0010 0A000154 0015 060000B2 001f 060000BF 0038 060000E9 0048 0400008A 0051 04000176 006e 06000029 0075 0400028E 0080 06000027 0087 0A000003 008f 04000149 0094 0A000048 00a9 11000006 00ae 0A000150"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_604_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 040002C0 0010 0A000128 0015 060000BA 001f 060000C8 0038 060000F3 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_544_411_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FA 000a 040001B8 0010 0A00010C 0015 060000AD 001f 060000BA 0038 0600010B 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EE 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2055_412_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FA 000a 040001BC 0010 0A00010C 0015 060000AD 001f 060000BA 0038 0600010B 0048 04000023 0051 040000F1 006e 0600002B 0075 040001F2 0080 06000029 0087 0A000003 008f 040000D2 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_828_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040002EA 0010 0A00012A 0015 060000C0 001f 060000CE 0038 06000127 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2900_411_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FA 000a 040001B6 0010 0A00010C 0015 060000AD 001f 060000BA 0038 0600010B 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EE 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1172_411_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FA 000a 040001B6 0010 0A00010E 0015 060000AD 001f 060000BA 0038 0600010B 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EC 0080 06000029 0087 0A000003 008f 040000D0 0094 0A000034 00a9 11000006 00ae 0A00010F"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_607_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 040003CD 0010 0A00011A 0015 060000BA 001f 060000C8 0038 06000106 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1699_543_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000159 000a 0400039E 0010 0A000162 0015 060000B4 001f 060000C1 0038 060000FE 0048 04000095 0051 04000183 006e 0600002A 0075 040002A3 0080 06000028 0087 0A000003 008f 0400015A 0094 0A000050 00a9 11000006 00ae 0A00016D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1602_411_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 040002C8 0010 0A000102 0015 060000AD 001f 060000BA 0038 060000F7 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EF 0080 06000029 0087 0A000003 008f 040000CE 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1527_550_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00010E 000a 04000444 0010 0A000116 0015 060000E9 001f 060000F6 0038 06000133 0048 0400008B 0051 040001A4 006e 0600000C 0075 040002FC 0080 0600000A 0087 0A000003 008f 04000162 0094 0A00003B 00a9 11000006 00ae 0A00011E"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_825_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040004AF 0010 0A000120 0015 060000C0 001f 060000CE 0038 06000110 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_3392_500_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00013D 000a 0400038C 0010 0A000146 0015 060000B2 001f 060000BF 0038 060000FC 0048 0400008A 0051 04000176 006e 06000029 0075 0400028E 0080 06000027 0087 0A000003 008f 04000149 0094 0A000048 00a9 11000006 00ae 0A000150"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1314_559_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00010B 000a 04000353 0010 040003B1 0015 060000BC 001f 060000CD 0038 0600010C 0048 0400004B 0051 04000131 006e 06000034 0075 0400024E 0080 06000032 0087 0A000003 008f 04000107 0094 0A00003C 00a9 11000006 00ae 0600000B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1243_412_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 040002C6 0010 0A000102 0015 060000AD 001f 060000BA 0038 060000F7 0048 04000023 0051 040000EF 006e 0600002B 0075 040001F1 0080 06000029 0087 0A000003 008f 040000CE 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1072_411_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 040002C4 0010 0A000102 0015 060000AD 001f 060000BA 0038 060000F7 0048 04000023 0051 040000EF 006e 0600002B 0075 040001EF 0080 06000029 0087 0A000003 008f 040000CE 0094 0A000034 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_642_411_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000F9 000a 040002C6 0010 0A000102 0015 060000AD 001f 060000BA 0038 060000F7 0048 04000023 0051 040000EF 006e 0600002B 0075 040001ED 0080 06000029 0087 0A000003 008f 040000CE 0094 0A000034 00a9 11000006 00ae 0A00010F"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_610_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMAEBV?$messages@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 040003A8 0010 04000469 0015 060000BA 001f 060000C8 0038 0600021E 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_864_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMAEBV?$messages@G@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000386 0010 0400053F 0015 060000C0 001f 060000CE 0038 060002A8 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_840_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMAEBV?$messages@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000161 0010 040004AA 0015 060000C0 001f 060000CE 0038 06000255 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_613_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 0400028C 0010 040001B7 0015 060000BA 001f 060000C8 0038 06000224 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_867_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 0400055B 0010 040001E7 0015 060000C0 001f 060000CE 0038 060002AE 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_843_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040001E5 0010 040004BB 0015 060000C0 001f 060000CE 0038 0600025B 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_616_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 04000301 0010 0400044A 0015 060000BA 001f 060000C8 0038 06000229 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_870_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000445 0010 040003EF 0015 060000C0 001f 060000CE 0038 060002B3 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_846_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000448 0010 04000605 0015 060000C0 001f 060000CE 0038 06000260 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_698_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 040003EE 0010 04000418 0015 060000BA 001f 060000C8 0038 0600023B 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_695_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 040002B9 0010 04000385 0015 060000BA 001f 060000C8 0038 0600022E 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_980_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 0400015D 0010 04000561 0015 060000C0 001f 060000CE 0038 060002C5 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_977_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040001E1 0010 040003B6 0015 060000C0 001f 060000CE 0038 060002B8 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_974_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040004F1 0010 040004E8 0015 060000C0 001f 060000CE 0038 06000272 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_971_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040001AB 0010 040003F7 0015 060000C0 001f 060000CE 0038 06000265 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1337_445_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FB 000a 040002BA 0010 040001F7 0015 060000AD 001f 060000BB 0038 060001DF 0048 04000030 0051 04000106 006e 06000029 0075 04000215 0080 06000027 0087 0A000003 008f 040000DE 0094 0A000037 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_855_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040004E3 0010 040003B9 0015 060000C0 001f 060000CE 0038 0600027E 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_831_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000248 0010 04000325 0015 060000C0 001f 060000CE 0038 0600022D 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1337_448_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FB 000a 040003E1 0010 04000181 0015 060000AD 001f 060000BB 0038 060001ED 0048 04000030 0051 04000106 006e 06000029 0075 04000215 0080 06000027 0087 0A000003 008f 040000DE 0094 0A000037 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_858_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 0400060E 0010 0400050D 0015 060000C0 001f 060000CE 0038 0600028C 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_834_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040002A3 0010 0400049B 0015 060000C0 001f 060000CE 0038 0600023B 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_704_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 040002D6 0010 04000421 0015 060000BA 001f 060000C8 0038 060003C6 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1527_603_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00010E 000a 0400033B 0010 040004A3 0015 060000E9 001f 060000F6 0038 06000395 0048 0400008B 0051 040001A4 006e 0600000C 0075 040002FC 0080 0600000A 0087 0A000003 008f 04000162 0094 0A00003B 00a9 11000006 00ae 0A00011E"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1337_451_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A0000FB 000a 04000240 0010 04000339 0015 060000AD 001f 060000BB 0038 060001F9 0048 04000030 0051 04000106 006e 06000029 0075 04000215 0080 06000027 0087 0A000003 008f 040000DE 0094 0A000037 00a9 11000006 00ae 0A00010D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1699_602_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000159 000a 040002D8 0010 040003E2 0015 060000B4 001f 060000C1 0038 0600039C 0048 04000095 0051 04000183 006e 0600002A 0075 040002A3 0080 06000028 0087 0A000003 008f 0400015A 0094 0A000050 00a9 11000006 00ae 0A00016D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_1019_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000384 0010 04000516 0015 060000C0 001f 060000CE 0038 06000529 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1314_577_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00010B 000a 0400027F 0010 0400039A 0015 060000BC 001f 060000CD 0038 06000351 0048 0400004B 0051 04000131 006e 06000034 0075 0400024E 0080 06000032 0087 0A000003 008f 04000107 0094 0A00003C 00a9 11000006 00ae 0600000B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_3392_552_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00013D 000a 040002C0 0010 040003D2 0015 060000B2 001f 060000BF 0038 0600034E 0048 0400008A 0051 04000176 006e 06000029 0075 0400028E 0080 06000027 0087 0A000003 008f 04000149 0094 0A000048 00a9 11000006 00ae 0A000150"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_861_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMAEBV?$numpunct@G@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000203 0010 040005BB 0015 060000C0 001f 060000CE 0038 06000298 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_3392_555_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00013D 000a 040003FD 0010 040002FE 0015 060000B2 001f 060000BF 0038 0600034F 0048 0400008A 0051 04000176 006e 06000029 0075 0400028E 0080 06000027 0087 0A000003 008f 04000149 0094 0A000048 00a9 11000006 00ae 0A000150"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1527_606_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00010E 000a 040004DE 0010 04000385 0015 060000E9 001f 060000F6 0038 06000396 0048 0400008B 0051 040001A4 006e 0600000C 0075 040002FC 0080 0600000A 0087 0A000003 008f 04000162 0094 0A00003B 00a9 11000006 00ae 0A00011E"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1314_580_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A00010B 000a 040003C8 0010 040002C2 0015 060000BC 001f 060000CD 0038 06000352 0048 0400004B 0051 04000131 006e 06000034 0075 0400024E 0080 06000032 0087 0A000003 008f 04000107 0094 0A00003C 00a9 11000006 00ae 0600000B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_707_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 04000459 0010 0400031E 0015 060000BA 001f 060000C8 0038 060003C7 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1699_605_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000159 000a 04000412 0010 04000310 0015 060000B4 001f 060000C1 0038 0600039D 0048 04000095 0051 04000183 006e 0600002A 0075 040002A3 0080 06000028 0087 0A000003 008f 0400015A 0094 0A000050 00a9 11000006 00ae 0A00016D"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_837_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000557 0010 040003E5 0015 060000C0 001f 060000CE 0038 06000247 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_701_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 0400039A 0010 04000431 0015 060000BA 001f 060000C8 0038 0600023E 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_1016_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 0400026B 0010 04000571 0015 060000C0 001f 060000CE 0038 060002C8 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_1013_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 04000398 0010 0400058B 0015 060000C0 001f 060000CE 0038 06000275 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2554_619_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000111 000a 0400035B 0010 0400042D 0015 060000BA 001f 060000C8 0038 06000248 0048 0400005B 0051 0400015D 006e 06000029 0075 0400029B 0080 06000027 0087 0A000003 008f 0400012B 0094 0A00003B 00a9 11000006 00ae 0A000124"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_873_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 0400013B 0010 04000563 0015 060000C0 001f 060000CE 0038 060002D2 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2484_849_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 183
		refs = "0002 0A000117 000a 040005D6 0010 04000222 0015 060000C0 001f 060000CE 0038 0600022A 0048 04000066 0051 040001A0 006e 06000029 0075 04000342 0080 06000027 0087 0A000003 008f 04000164 0094 0A00003D 00a9 11000007 00ae 0A00012B"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 3A 88 00 00 00 06 2C 07 06 0B 38 7E 00 00 00 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 51 7F ?? ?? ?? ?? 13 07 12 06 7F ?? ?? ?? ?? 1E 58 55 12 06 1E 58 16 6A 55 12 06 1F 10 58 16 52 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 12 06 7F ?? ?? ?? ?? 1E 58 55 DE 0E FE 06 ?? ?? ?? ?? 12 06 28 ?? ?? ?? ?? DC 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_185_416_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FA"
		altNames = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_3121_446_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_544_415_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FC"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1072_415_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_789_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMAEBV?$collate@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_938_418_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_557_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A00010D"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_3121_418_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1527_548_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000110"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_605_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_544_412_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FC"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1243_413_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_560_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A00010D"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1072_412_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1527_551_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000110"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_608_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_642_412_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_611_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMAEBV?$messages@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_614_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_617_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_699_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_696_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_705_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_578_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A00010D"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1527_604_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000110"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_708_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_581_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A00010D"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1527_607_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000110"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_702_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_620_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000113"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_185_432_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000127 0009 0A000126 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1527_581_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00013D 0009 0A00013C 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3692_341_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00011A 0009 0A000119 0013 0A0000B6"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3461_348_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000147 0009 0A000146 0013 0A0000DB"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3392_517_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000171 0009 0A000170 0013 0A0000FA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3097_118_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000102 0009 0A000101 0013 0A0000C1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2900_431_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2554_651_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A0000D2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_936_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00014B 0009 0A00014A 0013 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2055_432_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1699_564_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000190 0009 0A00018F 0013 0A00010F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1602_431_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1506_232_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00010D 0009 0A00010C 0013 0A0000B3"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1497_341_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00011A 0009 0A000119 0013 0A0000B6"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1337_476_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000C2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1314_533_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000139 0009 0A000138 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1243_432_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1172_431_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00012A 0009 0A000129 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1072_431_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_938_434_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000129 0009 0A000128 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_642_431_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00012A 0009 0A000129 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 13 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_185_433_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000126 000c 0A000062 0032 0A000010 0049 0A000104"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_642_432_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000129 000c 0A000062 0032 0A000010 0049 0A000104"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_3692_342_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000119 000c 0A000060 0032 0A000010 0049 0A0000F8"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_3461_349_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000146 000c 0A00007C 0032 0A000011 0049 0A000122"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_3392_518_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000170 000c 0A00008F 0032 0A000011 0049 0A000148"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_3097_119_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000101 000c 0A000073 0032 0A000011 0049 0A0000EC"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_2900_432_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000127 000c 0A000062 0032 0A000010 0049 0A000105"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_2554_652_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000143 000c 0A00006F 0032 0A000010 0049 0A00011C"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_2484_937_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A00014A 000c 0A000072 0032 0A000011 0049 0A000122"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_2055_433_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000127 000c 0A000062 0032 0A000010 0049 0A000105"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1699_565_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A00018F 000c 0A000096 0032 0A000012 0049 0A000164"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1602_432_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000127 000c 0A000062 0032 0A000010 0049 0A000104"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1506_233_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A00010C 000c 0A00005F 0032 0A000010 0049 0A0000EF"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1497_342_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000119 000c 0A000060 0032 0A000010 0049 0A0000F8"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1337_477_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000127 000c 0A000067 0032 0A000010 0049 0A000105"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1314_534_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000138 000c 0A000070 0032 0A000010 0049 0A000114"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1243_433_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000127 000c 0A000062 0032 0A000010 0049 0A000104"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1172_432_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000129 000c 0A000062 0032 0A000010 0049 0A000105"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1072_432_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000127 000c 0A000062 0032 0A000010 0049 0A000104"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_938_435_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000128 000c 0A000062 0032 0A000010 0049 0A000106"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_544_432_6 {
	meta:
		name = "$LN183"
		size = 79
		refs = "0005 0A000127 000c 0A000062 0032 0A000010 0049 0A000105"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_1527_582_6 {
	meta:
		name = "$LN187"
		size = 79
		refs = "0005 0A00013C 000c 0A000070 0032 0A000010 0049 06000096"
	strings:
		$1 = { 26 16 13 04 28 ?? ?? ?? ?? 11 0C 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 13 05 16 6A 0B 11 05 2D 02 2B 18 21 FF FF FF FF FF FF FF FF 11 05 37 19 11 05 28 ?? ?? ?? ?? 0B 07 2C 0E 07 13 12 07 13 11 07 13 10 07 13 06 DE 66 28 ?? ?? ?? ?? DE 5F }
	condition:
		$1
}

rule file_185_434_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000127 0009 0A000126 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1527_583_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00013D 0009 0A00013C 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3692_343_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00011A 0009 0A000119 0013 0A0000B6"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3461_350_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000147 0009 0A000146 0013 0A0000DB"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3392_519_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000171 0009 0A000170 0013 0A0000FA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3097_120_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000102 0009 0A000101 0013 0A0000C1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2900_433_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2554_653_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A0000D2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_938_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00014B 0009 0A00014A 0013 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2055_434_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1699_566_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000190 0009 0A00018F 0013 0A00010F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1602_433_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1506_234_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00010D 0009 0A00010C 0013 0A0000B3"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1497_343_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00011A 0009 0A000119 0013 0A0000B6"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1337_478_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000C2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1314_535_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000139 0009 0A000138 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1243_434_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1172_433_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00012A 0009 0A000129 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1072_433_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_938_436_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000129 0009 0A000128 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_642_433_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00012A 0009 0A000129 0013 0A0000BF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0F 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_185_435_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000126 000b 0A000062 0015 0600020D 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1602_434_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000127 000b 0A000062 0015 06000214 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3692_344_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000119 000b 0A000060 0015 060001F1 001c 0A000033"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3461_351_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000146 000b 0A00007C 0015 06000209 001c 0A000041"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3392_520_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000170 000b 0A00008F 0015 06000244 001c 0A000048"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3121_437_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000126 000b 0A000062 0015 06000211 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3097_121_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000101 000b 0A000073 0015 060000E0 001c 0A00003D"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2900_434_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000127 000b 0A000062 0015 06000214 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2554_654_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000143 000b 0A00006F 0015 06000273 001c 0A00003B"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_939_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A00014A 000b 0A000072 0015 06000306 001c 0A00003D"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2396_438_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000126 000b 0A000062 0015 06000211 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2055_435_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000127 000b 0A000062 0015 06000214 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1699_567_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A00018F 000b 0A000096 0015 06000287 001c 0A000050"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_544_434_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000127 000b 0A000062 0015 06000214 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1506_235_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A00010C 000b 0A00005F 0015 0600017E 001c 0A000033"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1497_344_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000119 000b 0A000060 0015 060001EC 001c 0A000033"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1337_479_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000127 000b 0A000067 0015 06000224 001c 0A000037"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1314_536_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000138 000b 0A000070 0015 06000247 001c 0A00003C"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1243_435_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000127 000b 0A000062 0015 06000214 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1172_434_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000129 000b 0A000062 0015 06000214 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1072_434_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000127 000b 0A000062 0015 06000214 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_938_437_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000128 000b 0A000062 0015 06000211 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_642_434_6 {
	meta:
		name = "$LN187"
		size = 34
		refs = "0004 0A000129 000b 0A000062 0015 06000214 001c 0A000034"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1527_584_6 {
	meta:
		name = "$LN191"
		size = 34
		refs = "0004 0A00013C 000b 0A000070 0015 0600028B 001c 0A00003B"
	strings:
		$1 = { 26 16 0D 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_185_439_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000126 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1527_588_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A00013C 0007 0A0000EF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_3692_348_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000119 0007 0A0000D0"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_3461_355_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000146 0007 0A0000F9"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_3392_524_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000170 0007 0A00011C"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_3097_125_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000101 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_2900_438_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000127 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_2554_658_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000143 0007 0A0000F1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_2484_943_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A00014A 0007 0A0000F6"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_2055_439_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000127 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1699_571_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A00018F 0007 0A000133"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1602_438_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000127 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1506_239_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A00010C 0007 0A0000CB"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1497_348_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000119 0007 0A0000D0"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1337_483_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000127 0007 0A0000DB"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1314_540_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000138 0007 0A0000EF"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1243_439_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000127 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1172_438_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000129 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_1072_438_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000127 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_938_441_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000128 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_642_438_6 {
	meta:
		name = "$LN27"
		size = 17
		refs = "0002 0A000129 0007 0A0000DA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 04 11 04 FE 11 }
	condition:
		$1
}

rule file_185_441_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000121 0038 0600020D 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_544_440_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000122 0038 06000214 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_642_440_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000124 0038 06000214 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_938_443_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000123 0038 06000211 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1072_440_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000122 0038 06000214 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1172_440_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000124 0038 06000214 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1243_441_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000122 0038 06000214 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_542_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000AD 002e 0A000133 0038 06000247 004e 0600005D"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1527_590_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000AD 002e 0A000138 0038 0600028B 004e 06000021"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1602_440_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000122 0038 06000214 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2396_444_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000121 0038 06000211 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_660_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000AE 002e 0A00013E 0038 06000273 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2900_440_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000122 0038 06000214 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_3121_443_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A00009B 002e 0A000121 0038 06000211 004e 06000054"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 26 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_739_14_6 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$3"
		size = 100
		refs = "0001 06000030 0030 01000009"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 08 2D 05 15 13 04 2B 03 16 13 04 11 04 2A 00 00 41 4C 00 00 00 00 00 00 37 00 00 00 73 00 00 00 AA 00 00 00 4A 00 00 00 ?? ?? ?? ?? 00 00 00 00 14 00 00 00 FD 00 00 00 11 01 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 14 00 00 00 04 01 00 00 18 01 00 00 07 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_1314_178_6 {
	meta:
		name = "__catch$?tidy_global@?A0xff78a057@@$$J0YMXXZ$0"
		size = 28
		refs = "0002 0A00010B 000a 0400023B 000f 06000199"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 16 6A 80 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_1314_179_6 {
	meta:
		name = "__catch$?tidy_global@?A0xff78a057@@$$J0YMXXZ$2"
		size = 64
		refs = "0005 0A00010D"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 26 00 00 01 02 00 00 00 09 00 00 00 23 00 00 00 2C 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_183_6 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPEAV123@@Z$0"
		size = 96
		refs = "0002 0A00010B 0034 11000019 0045 11000024 005a 0A0000D8"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 02 1F 18 6A 58 4C 0B 16 6A 07 34 3D 07 17 6A 59 0B 07 1E 6A 5A 02 1F 10 6A 58 4C 58 4C 0C 08 2C 26 08 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 0A 06 13 07 06 2C 0E 06 17 06 4C 4C 29 ?? ?? ?? ?? 13 06 2B 04 16 6A 13 05 2B BE 02 1F 10 6A 58 4C 28 ?? ?? ?? ?? DE 0B }
	condition:
		$1
}

rule file_1314_184_6 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPEAV123@@Z$2"
		size = 67
		refs = "0006 0A00010D"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 26 00 00 01 02 00 00 00 0A 00 00 00 67 00 00 00 71 00 00 00 0B 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_441_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000139 0009 0A000138 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1337_367_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000128 0009 0A000127 0013 0A0000C2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1527_465_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A00013D 0009 0A00013C 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1699_468_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000190 0009 0A00018F 0013 0A00010F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_700_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A00014B 0009 0A00014A 0013 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2554_510_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A0000D2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3392_423_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000171 0009 0A000170 0013 0A0000FA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1314_442_6 {
	meta:
		name = "$LN67"
		size = 30
		refs = "0004 0A000138 000a 0A000070 0011 060002C9 0018 0A00003C"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1314_448_6 {
	meta:
		name = "$LN53"
		size = 30
		refs = "0004 0A000138 000a 0A000070 0011 060002CD 0018 0A00003C"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1527_472_6 {
	meta:
		name = "$LN53"
		size = 30
		refs = "0004 0A00013C 000a 0A000070 0011 06000311 0018 0A00003B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1699_475_6 {
	meta:
		name = "$LN53"
		size = 30
		refs = "0004 0A00018F 000a 0A000096 0011 06000321 0018 0A000050"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_618_6 {
	meta:
		name = "$LN53"
		size = 30
		refs = "0004 0A00014A 000a 0A000072 0011 06000362 0018 0A00003D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2554_517_6 {
	meta:
		name = "$LN53"
		size = 30
		refs = "0004 0A000143 000a 0A00006F 0011 06000320 0018 0A00003B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3392_430_6 {
	meta:
		name = "$LN53"
		size = 30
		refs = "0004 0A000170 000a 0A00008F 0011 060002CA 0018 0A000048"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_624_6 {
	meta:
		name = "$LN57"
		size = 30
		refs = "0004 0A00014A 000a 0A000072 0011 06000380 0018 0A00003D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1337_368_6 {
	meta:
		name = "$LN67"
		size = 30
		refs = "0004 0A000127 000a 0A000067 0011 0600025D 0018 0A000037"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1527_466_6 {
	meta:
		name = "$LN67"
		size = 30
		refs = "0004 0A00013C 000a 0A000070 0011 0600030D 0018 0A00003B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1699_469_6 {
	meta:
		name = "$LN67"
		size = 30
		refs = "0004 0A00018F 000a 0A000096 0011 0600031D 0018 0A000050"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_701_6 {
	meta:
		name = "$LN67"
		size = 30
		refs = "0004 0A00014A 000a 0A000072 0011 06000425 0018 0A00003D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2554_511_6 {
	meta:
		name = "$LN67"
		size = 30
		refs = "0004 0A000143 000a 0A00006F 0011 0600031C 0018 0A00003B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3392_424_6 {
	meta:
		name = "$LN67"
		size = 30
		refs = "0004 0A000170 000a 0A00008F 0011 060002C6 0018 0A000048"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1314_445_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 129
		refs = "0003 0A0000AD"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 12 02 1F 18 6A 58 1F 2E 52 02 1F 19 6A 58 1F 2C 52 2B 15 02 1F 18 6A 58 07 4C 46 52 02 1F 19 6A 58 07 1E 6A 58 4C 46 52 2A 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 26 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_2554_514_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 129
		refs = "0003 0A0000AE"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 12 02 1F 18 6A 58 1F 2E 52 02 1F 19 6A 58 1F 2C 52 2B 15 02 1F 18 6A 58 07 4C 46 52 02 1F 19 6A 58 07 1E 6A 58 4C 46 52 2A 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 26 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1314_447_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000139 0009 0A000138 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1527_471_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A00013D 0009 0A00013C 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1699_474_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000190 0009 0A00018F 0013 0A00010F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_617_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A00014B 0009 0A00014A 0013 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2554_516_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A0000D2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3392_429_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000171 0009 0A000170 0013 0A0000FA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1314_451_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 189
		refs = "0003 0A0000AD 0022 0A00009A"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 46 1F 2E 13 09 16 13 05 16 13 08 12 05 12 09 17 6A 12 08 12 0C 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 11 05 53 1F 2C 13 07 16 13 04 16 13 06 12 04 12 07 17 6A 12 06 12 0C 28 ?? ?? ?? ?? 26 02 1F 1A 6A 58 11 04 53 2B 1A 02 1F 18 6A 58 07 1F 58 6A 58 4C 49 53 02 1F 1A 6A 58 07 1F 60 6A 58 4C 49 53 2A 00 00 00 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 26 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_2554_520_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 189
		refs = "0003 0A0000AE 0022 0A00009A"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 46 1F 2E 13 09 16 13 05 16 13 08 12 05 12 09 17 6A 12 08 12 0C 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 11 05 53 1F 2C 13 07 16 13 04 16 13 06 12 04 12 07 17 6A 12 06 12 0C 28 ?? ?? ?? ?? 26 02 1F 1A 6A 58 11 04 53 2B 1A 02 1F 18 6A 58 07 1F 58 6A 58 4C 49 53 02 1F 1A 6A 58 07 1F 60 6A 58 4C 49 53 2A 00 00 00 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 26 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1314_545_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000139 0009 0A000138 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0E 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1527_592_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00013D 0009 0A00013C 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0E 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1699_576_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000190 0009 0A00018F 0013 0A00010F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0E 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_948_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00014B 0009 0A00014A 0013 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0E 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2554_663_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A0000D2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0E 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3392_529_6 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000171 0009 0A000170 0013 0A0000FA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0E 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1314_546_6 {
	meta:
		name = "$LN184"
		size = 32
		refs = "0004 0A000138 000b 0A000070 0019 06000312"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 12 0D 03 17 6A 58 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1699_577_6 {
	meta:
		name = "$LN184"
		size = 32
		refs = "0004 0A00018F 000b 0A000096 0019 06000351"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 12 0D 03 17 6A 58 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2484_949_6 {
	meta:
		name = "$LN184"
		size = 32
		refs = "0004 0A00014A 000b 0A000072 0019 0600048E"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 12 0D 03 17 6A 58 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2484_961_6 {
	meta:
		name = "$LN184"
		size = 32
		refs = "0004 0A00014A 000b 0A000072 0019 06000493"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 12 0D 03 17 6A 58 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2554_664_6 {
	meta:
		name = "$LN184"
		size = 32
		refs = "0004 0A000143 000b 0A00006F 0019 06000373"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 12 0D 03 17 6A 58 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_3392_530_6 {
	meta:
		name = "$LN184"
		size = 32
		refs = "0004 0A000170 000b 0A00008F 0019 0600030F"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 12 0D 03 17 6A 58 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1527_593_6 {
	meta:
		name = "$LN193"
		size = 32
		refs = "0004 0A00013C 000b 0A000070 0019 06000356"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 12 0D 03 17 6A 58 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1314_547_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000139 0009 0A000138 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1527_594_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00013D 0009 0A00013C 0013 0A0000D1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1699_578_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000190 0009 0A00018F 0013 0A00010F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_950_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00014B 0009 0A00014A 0013 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2554_665_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A0000D2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3392_531_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000171 0009 0A000170 0013 0A0000FA"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1314_548_6 {
	meta:
		name = "$LN188"
		size = 34
		refs = "0004 0A000138 000b 0A000070 0015 06000279 001c 0A00003C"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1699_579_6 {
	meta:
		name = "$LN188"
		size = 34
		refs = "0004 0A00018F 000b 0A000096 0015 060002BC 001c 0A000050"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_951_6 {
	meta:
		name = "$LN188"
		size = 34
		refs = "0004 0A00014A 000b 0A000072 0015 06000343 001c 0A00003D"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_963_6 {
	meta:
		name = "$LN188"
		size = 34
		refs = "0004 0A00014A 000b 0A000072 0015 06000410 001c 0A00003D"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2554_666_6 {
	meta:
		name = "$LN188"
		size = 34
		refs = "0004 0A000143 000b 0A00006F 0015 060002A5 001c 0A00003B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3392_532_6 {
	meta:
		name = "$LN188"
		size = 34
		refs = "0004 0A000170 000b 0A00008F 0015 06000276 001c 0A000048"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1527_595_6 {
	meta:
		name = "$LN197"
		size = 34
		refs = "0004 0A00013C 000b 0A000070 0015 060002BD 001c 0A00003B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1314_554_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 295
		refs = "0004 0A0000AD 002e 0A000133 0038 06000279 004d 0600005D"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 23 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0D 09 11 08 04 18 6A 5A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0B 02 2D 02 DE 0E 02 09 55 DE 09 11 0B 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 00 41 AC 00 00 01 00 00 00 D8 00 00 00 12 00 00 00 F9 00 00 00 03 00 00 00 EA 00 00 00 02 00 00 00 D8 00 00 00 2B 00 00 00 03 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 A1 00 00 00 0E 00 00 00 C8 00 00 00 46 00 00 00 AF 00 00 00 01 00 00 00 9F 00 00 00 71 00 00 00 1F 01 00 00 03 00 00 00 10 01 00 00 02 00 00 00 9F 00 00 00 8A 00 00 00 29 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 5E 00 00 00 18 00 00 00 8F 00 00 00 A5 00 00 00 76 00 00 00 04 00 00 00 68 01 00 00 0A 00 00 00 72 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1527_601_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 295
		refs = "0004 0A0000AD 002e 0A000138 0038 060002BD 004d 06000021"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 23 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0D 09 11 08 04 18 6A 5A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0B 02 2D 02 DE 0E 02 09 55 DE 09 11 0B 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 00 41 AC 00 00 01 00 00 00 D8 00 00 00 12 00 00 00 F9 00 00 00 03 00 00 00 EA 00 00 00 02 00 00 00 D8 00 00 00 2B 00 00 00 03 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 A1 00 00 00 0E 00 00 00 C8 00 00 00 46 00 00 00 AF 00 00 00 01 00 00 00 9F 00 00 00 71 00 00 00 1F 01 00 00 03 00 00 00 10 01 00 00 02 00 00 00 9F 00 00 00 8A 00 00 00 29 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 5E 00 00 00 18 00 00 00 8F 00 00 00 A5 00 00 00 76 00 00 00 04 00 00 00 68 01 00 00 0A 00 00 00 72 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_2554_672_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 295
		refs = "0004 0A0000AE 002e 0A00013E 0038 060002A5 004d 06000052"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 23 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0D 09 11 08 04 18 6A 5A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0B 02 2D 02 DE 0E 02 09 55 DE 09 11 0B 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 00 41 AC 00 00 01 00 00 00 D8 00 00 00 12 00 00 00 F9 00 00 00 03 00 00 00 EA 00 00 00 02 00 00 00 D8 00 00 00 2B 00 00 00 03 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 A1 00 00 00 0E 00 00 00 C8 00 00 00 46 00 00 00 AF 00 00 00 01 00 00 00 9F 00 00 00 71 00 00 00 1F 01 00 00 03 00 00 00 10 01 00 00 02 00 00 00 9F 00 00 00 8A 00 00 00 29 01 00 00 09 00 00 00 26 00 00 01 01 00 00 00 5E 00 00 00 18 00 00 00 8F 00 00 00 A5 00 00 00 76 00 00 00 04 00 00 00 68 01 00 00 0A 00 00 00 72 01 00 00 09 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1314_565_6 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPEAV_Locimp@12@_N@Z$0"
		size = 143
		refs = "0002 0A00010B 000a 0400023B 0018 060001AA 001f 0600019D 0031 04000011 0036 060001C0 003d 040002B3 0049 11000006 004e 04000281 0079 0600005D"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 7E ?? ?? ?? ?? 0A 7E ?? ?? ?? ?? 2D 68 16 28 ?? ?? ?? ?? 0A 06 28 ?? ?? ?? ?? 06 1F 20 6A 58 1F 3F 54 06 1F 28 6A 58 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 06 80 ?? ?? ?? ?? 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 7F ?? ?? ?? ?? 13 04 7E ?? ?? ?? ?? 0D 7F ?? ?? ?? ?? 09 55 7F ?? ?? ?? ?? 13 06 7F ?? ?? ?? ?? 13 05 DE 0D 11 04 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 02 2C 0C 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_1314_566_6 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPEAV_Locimp@12@_N@Z$2"
		size = 90
		refs = "0005 0A00010D"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 06 2A 00 00 41 4C 00 00 02 00 00 00 11 00 00 00 02 00 00 00 13 00 00 00 09 00 00 00 26 00 00 01 04 00 00 00 67 00 00 00 1D 00 00 00 84 00 00 00 0D 00 00 00 26 00 00 01 02 00 00 00 0C 00 00 00 96 00 00 00 A2 00 00 00 0A 00 00 00 26 00 00 01 }
	condition:
		$1
}

rule file_1337_46_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000FD"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_66_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A000119"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1337_159_6 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPEAV123@PEAVfacet@23@_K@Z$0"
		size = 202
		refs = "0003 0A0000FB 0036 0A00002F 0041 0A000105 0082 11000006 00a1 1100002A 00b2 11000021"
	strings:
		$1 = { 11 06 28 ?? ?? ?? ?? 17 13 07 DC 1F 28 6A 13 0B 02 1F 18 6A 58 4C 04 35 61 04 17 6A 58 0A 06 1F 28 6A 37 03 06 2B 03 1F 28 6A 0A 02 1F 10 6A 58 4C 06 1E 6A 5A 28 ?? ?? ?? ?? 13 05 11 05 2D 05 28 ?? ?? ?? ?? 02 1F 10 6A 58 11 05 55 02 1F 18 6A 58 4C 13 04 11 04 06 34 20 11 04 1E 6A 5A 02 1F 10 6A 58 4C 58 16 6A 55 02 1F 18 6A 58 02 1F 18 6A 58 4C 17 6A 58 55 2B D3 03 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 04 1E 6A 5A 0D 02 1F 10 6A 58 4C 09 58 4C 0C 08 2C 26 08 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 0B 07 13 0A 07 2C 0E 07 17 07 4C 4C 29 ?? ?? ?? ?? 13 09 2B 04 16 6A 13 08 02 1F 10 6A 58 4C 09 58 03 55 DE 0C }
	condition:
		$1
}

rule file_1337_160_6 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPEAV123@PEAVfacet@23@_K@Z$2"
		size = 68
		refs = "0007 0A0000FD"
	strings:
		$1 = { 11 07 2C 07 11 06 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 10 00 00 00 02 00 00 00 12 00 00 00 0B 00 00 00 27 00 00 01 02 00 00 00 0B 00 00 00 D1 00 00 00 DC 00 00 00 0C 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1337_327_6 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@AEBV12@@Z$0"
		size = 203
		refs = "0003 0A0000FB 000c 0A0000F1 0022 1100002A 0033 11000021 0044 0A0000F2 0050 11000006 0086 0A00002E"
	strings:
		$1 = { 11 0B 28 ?? ?? ?? ?? 17 13 0C DC 28 ?? ?? ?? ?? 0A 06 03 4C 3B B0 00 00 00 06 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 0C 08 13 0F 08 2C 0E 08 17 08 4C 4C 29 ?? ?? ?? ?? 13 0E 2B 04 16 6A 13 0E 03 4C 0A 06 28 ?? ?? ?? ?? 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 06 1F 20 6A 58 4A 1F 3F 5F 13 0A 11 0A 1F 3F 33 28 06 1F 28 6A 58 13 09 11 09 4C 13 08 11 08 2C 06 11 08 13 07 2B 07 11 09 1E 6A 58 13 07 16 11 07 28 ?? ?? ?? ?? 26 2B 3C 16 0B 07 1B 30 36 17 07 62 17 63 11 0A 5F 2C 26 06 1F 28 6A 58 13 06 11 06 4C 13 05 11 05 2C 06 11 05 13 04 2B 07 11 06 1E 6A 58 13 04 07 11 04 28 ?? ?? ?? ?? 26 07 17 58 0B 2B C6 DE 0E }
	condition:
		$1
}

rule file_1337_328_6 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@AEBV12@@Z$2"
		size = 123
		refs = "0009 0A0000FD 0021 060000B7 0027 0A000003"
	strings:
		$1 = { 11 0C 2D 02 DE 07 11 0B 28 ?? ?? ?? ?? DC 02 13 0D DE 19 DE 17 09 17 5F 2C 11 09 1F FE 5F 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 0D 2A 41 4C 00 00 02 00 00 00 1C 00 00 00 02 00 00 00 1E 00 00 00 0B 00 00 00 27 00 00 01 02 00 00 00 17 00 00 00 D2 00 00 00 E9 00 00 00 0E 00 00 00 27 00 00 01 04 00 00 00 00 00 00 00 FE 00 00 00 FE 00 00 00 17 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1337_371_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 129
		refs = "0003 0A0000A1"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 12 02 1F 18 6A 58 1F 2E 52 02 1F 19 6A 58 1F 2C 52 2B 15 02 1F 18 6A 58 07 4C 46 52 02 1F 19 6A 58 07 1E 6A 58 4C 46 52 2A 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 27 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_2484_704_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 129
		refs = "0003 0A0000B2"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 12 02 1F 18 6A 58 1F 2E 52 02 1F 19 6A 58 1F 2C 52 2B 15 02 1F 18 6A 58 07 4C 46 52 02 1F 19 6A 58 07 1E 6A 58 4C 46 52 2A 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 27 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1337_443_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A0000FD"
		altNames = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_877_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_853_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_1208_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMAEBV?$collate@G@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_1205_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMAEBV?$collate@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_823_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_829_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_826_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_865_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMAEBV?$messages@G@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_841_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMAEBV?$messages@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_868_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_844_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_871_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_847_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_981_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_978_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_975_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_972_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_856_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_832_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_859_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_835_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_1020_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_862_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMAEBV?$numpunct@G@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_838_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_1017_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_1014_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_874_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_850_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A000119"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1337_463_6 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$0"
		size = 65
		refs = "0003 0A0000FB 000e 04000011 0013 0600009A 0020 06000177 0029 060000A1 0030 0A000003"
	strings:
		$1 = { 11 07 28 ?? ?? ?? ?? 17 13 08 DC 12 09 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 09 1F 3F 02 16 6A 28 ?? ?? ?? ?? 26 DE 0E FE 06 ?? ?? ?? ?? 12 09 28 ?? ?? ?? ?? DC 12 09 28 ?? ?? ?? ?? DD 95 00 00 00 }
	condition:
		$1
}

rule file_1337_464_6 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$2"
		size = 30
		refs = "0007 0A0000FD 0013 0A0000E2"
	strings:
		$1 = { 11 08 2C 07 11 07 28 ?? ?? ?? ?? DC 16 13 06 16 13 05 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? DE 0B }
	condition:
		$1
}

rule file_1337_465_6 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$4"
		size = 107
		refs = "0003 0A0000FB 001c 0A0000BF 002f 0A000105 0063 11000006"
	strings:
		$1 = { 11 05 28 ?? ?? ?? ?? 17 13 06 DC 02 1F 18 6A 58 4C 0C 16 6A 08 34 52 08 1E 6A 5A 28 ?? ?? ?? ?? 13 04 02 1F 10 6A 58 11 04 55 11 04 2D 05 28 ?? ?? ?? ?? 08 0A 16 6A 06 34 2F 06 17 6A 59 0A 06 1E 6A 5A 0D 03 1F 10 6A 58 4C 09 58 4C 0B 02 1F 10 6A 58 4C 09 58 07 55 07 2C 0C 07 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 2B CC DE 0C }
	condition:
		$1
}

rule file_1337_466_6 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$6"
		size = 140
		refs = "0007 0A0000FD"
	strings:
		$1 = { 11 06 2C 07 11 05 28 ?? ?? ?? ?? DC 2A 00 00 00 41 7C 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0B 00 00 00 27 00 00 01 04 00 00 00 32 00 00 00 0F 00 00 00 41 00 00 00 0E 00 00 00 27 00 00 01 02 00 00 00 13 00 00 00 48 00 00 00 5B 00 00 00 0C 00 00 00 27 00 00 01 02 00 00 00 77 00 00 00 02 00 00 00 79 00 00 00 0B 00 00 00 27 00 00 01 02 00 00 00 72 00 00 00 72 00 00 00 E4 00 00 00 0C 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1337_485_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000A1 002e 0A000122 0038 06000224 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 27 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1497_350_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A000096 002e 0A000114 0038 060001EC 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 27 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1506_241_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A000094 002e 0A000108 0038 0600017E 004e 0600001F"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 27 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_945_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000B2 002e 0A000145 0038 06000306 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 27 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_3692_350_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A000096 002e 0A000114 0038 060001F1 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 27 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1506_123_6 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPEAV12@@Z$0"
		size = 91
		refs = "0002 0A0000E5 002d 040000DB 004a 04000250"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 02 1E 6A 58 16 6A 55 02 1E 6A 58 02 1E 6A 58 4C 17 6A 58 55 02 1E 6A 58 4C 0A 06 1E 6A 34 15 06 1E 6A 5A 7F ?? ?? ?? ?? 58 4C 0B 07 2C 06 07 02 2E 02 2B D3 06 1E 6A 5A 7F ?? ?? ?? ?? 58 02 55 7F ?? ?? ?? ?? 02 1E 6A 58 4C 58 25 46 17 58 52 DE 0A }
	condition:
		$1
}

rule file_1506_124_6 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPEAV12@@Z$2"
		size = 65
		refs = "0005 0A0000E7"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 27 00 00 01 02 00 00 00 09 00 00 00 62 00 00 00 6B 00 00 00 0A 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_1699_51_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A00015B"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 2C 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_1699_472_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 129
		refs = "0003 0A0000E5"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 12 02 1F 18 6A 58 1F 2E 52 02 1F 19 6A 58 1F 2C 52 2B 15 02 1F 18 6A 58 07 4C 46 52 02 1F 19 6A 58 07 1E 6A 58 4C 46 52 2A 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 2C 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1699_478_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 189
		refs = "0003 0A0000E5 0022 0A0000CA"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 46 1F 2E 13 09 16 13 05 16 13 08 12 05 12 09 17 6A 12 08 12 0C 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 11 05 53 1F 2C 13 07 16 13 04 16 13 06 12 04 12 07 17 6A 12 06 12 0C 28 ?? ?? ?? ?? 26 02 1F 1A 6A 58 11 04 53 2B 1A 02 1F 18 6A 58 07 1F 58 6A 58 4C 49 53 02 1F 1A 6A 58 07 1F 60 6A 58 4C 49 53 2A 00 00 00 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 2C 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1699_541_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A00015B"
		altNames = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2C 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 2C 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_1699_573_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000E5 002e 0A00018A 0038 06000287 004e 06000053"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 2C 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_1699_585_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 295
		refs = "0004 0A0000E5 002e 0A00018A 0038 060002BC 004d 06000053"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 23 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0D 09 11 08 04 18 6A 5A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0B 02 2D 02 DE 0E 02 09 55 DE 09 11 0B 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 00 41 AC 00 00 01 00 00 00 D8 00 00 00 12 00 00 00 F9 00 00 00 03 00 00 00 EA 00 00 00 02 00 00 00 D8 00 00 00 2B 00 00 00 03 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 A1 00 00 00 0E 00 00 00 C8 00 00 00 46 00 00 00 AF 00 00 00 01 00 00 00 9F 00 00 00 71 00 00 00 1F 01 00 00 03 00 00 00 10 01 00 00 02 00 00 00 9F 00 00 00 8A 00 00 00 29 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 5E 00 00 00 18 00 00 00 8F 00 00 00 A5 00 00 00 76 00 00 00 04 00 00 00 68 01 00 00 0A 00 00 00 72 01 00 00 09 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_2118_22_6 {
	meta:
		name = "$LN13"
		size = 25
		refs = "0002 0A00010A 0009 0A000109 0013 0A0000C4"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2118_23_6 {
	meta:
		name = "$LN33"
		size = 22
		refs = "0004 0A000109 000a 0A000077 0010 0A00003D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2118_26_6 {
	meta:
		name = "__catch$?_CallCopyCtor@__ExceptionPtr@@$$FAEBMXPEAX0_KQEBU_s_CatchableType@@@Z$2"
		size = 125
		refs = "0003 0A0000A5 0010 0A000105 002a 11000006"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 2B 23 03 04 05 28 ?? ?? ?? ?? 26 0E 04 4A 1E 5F 2C 13 04 4C 0B 07 2C 0D 07 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 26 2A 00 41 4C 00 00 01 00 00 00 93 00 00 00 07 00 00 00 A9 00 00 00 03 00 00 00 9A 00 00 00 02 00 00 00 93 00 00 00 20 00 00 00 B3 00 00 00 08 00 00 00 2C 00 00 01 01 00 00 00 21 00 00 00 4A 00 00 00 84 00 00 00 39 00 00 00 6B 00 00 00 }
	condition:
		$1
}

rule file_2118_139_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A00010A 0009 0A000109 0013 0A0000C4"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_641_6 {
	meta:
		name = "$LN11"
		size = 25
		refs = "0002 0A00014B 0009 0A00014A 0013 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2554_582_6 {
	meta:
		name = "$LN11"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A0000D2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2118_140_6 {
	meta:
		name = "$LN62"
		size = 49
		refs = "0004 0A000109 000b 0A000077 001c 0600010B 002b 0A00003B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 03 13 07 03 13 06 03 2C 0B 03 17 28 ?? ?? ?? ?? 13 05 2B 04 16 6A 13 05 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2118_143_6 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@std@@$$FAEAMXPEAV__ExceptionPtr@@@Z$2"
		size = 138
		refs = "0004 0A0000A5"
	strings:
		$1 = { 11 04 07 28 ?? ?? ?? ?? DC DE 00 2A 00 00 41 7C 00 00 04 00 00 00 2B 00 00 00 12 00 00 00 3D 00 00 00 0D 00 00 00 2C 00 00 01 04 00 00 00 12 00 00 00 44 00 00 00 56 00 00 00 07 00 00 00 2C 00 00 01 01 00 00 00 A0 00 00 00 21 00 00 00 D0 00 00 00 03 00 00 00 C1 00 00 00 02 00 00 00 A0 00 00 00 3A 00 00 00 DA 00 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 09 00 00 00 6E 00 00 00 90 00 00 00 55 00 00 00 77 00 00 00 }
	condition:
		$1
}

rule file_2118_145_6 {
	meta:
		name = "$LN8"
		size = 25
		refs = "0002 0A00010A 0009 0A000109 0013 0A0000C4"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 07 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2118_146_6 {
	meta:
		name = "$LN83"
		size = 32
		refs = "0004 0A000109 000b 0A000077 0013 11000005 001a 0A00003B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 26 03 04 29 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2118_149_6 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@P6MXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@std@@$$FAEAMXPEAV__ExceptionPtr@@P6MX0@ZV?$_DebugMallocator@H@@@Z$2"
		size = 241
		refs = "0004 0A0000A5 000f 0600011E 0016 0A000003 001f 060000F1"
	strings:
		$1 = { 11 05 07 28 ?? ?? ?? ?? DC DE 00 DE 1D FE 06 ?? ?? ?? ?? 12 0B 28 ?? ?? ?? ?? DC DE 0D FE 06 ?? ?? ?? ?? 05 28 ?? ?? ?? ?? DC 2A 00 00 41 C4 00 00 04 00 00 00 37 00 00 00 19 00 00 00 50 00 00 00 0E 00 00 00 2C 00 00 01 04 00 00 00 21 00 00 00 3F 00 00 00 60 00 00 00 0E 00 00 00 2C 00 00 01 04 00 00 00 16 00 00 00 64 00 00 00 7A 00 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 C6 00 00 00 10 00 00 00 E5 00 00 00 03 00 00 00 D6 00 00 00 02 00 00 00 C6 00 00 00 29 00 00 00 EF 00 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 09 00 00 00 94 00 00 00 B6 00 00 00 44 00 00 00 9D 00 00 00 04 00 00 00 09 00 00 00 F3 00 00 00 FC 00 00 00 0E 00 00 00 2C 00 00 01 04 00 00 00 09 00 00 00 03 01 00 00 0C 01 00 00 0D 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_2118_167_6 {
	meta:
		name = "$LN11"
		size = 21
		refs = "0002 0A000109 0007 0400015D 000f 0A0000C4"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 7F ?? ?? ?? ?? 16 12 07 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2118_168_6 {
	meta:
		name = "$LN117"
		size = 74
		refs = "0004 0A000109 000a 0A000077 0011 060000BE 001e 06000067 0025 0A000003 002d 0400011E 0037 04000122 0041 06000062"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 26 07 17 60 0B DE 0E FE 06 ?? ?? ?? ?? 12 07 28 ?? ?? ?? ?? DC 12 07 7F ?? ?? ?? ?? 1E 58 55 12 07 7F ?? ?? ?? ?? 1E 58 55 12 07 28 ?? ?? ?? ?? DD 75 00 00 00 }
	condition:
		$1
}

rule file_2118_172_6 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00010A 0009 0A000109 0013 0A0000C4"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2118_173_6 {
	meta:
		name = "$LN124"
		size = 22
		refs = "0004 0A000109 000a 0A000077 0010 0A00003D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2118_176_6 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$5"
		size = 298
		refs = "0003 0A0000A5 0026 060000E0 002c 0A000003"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 04 02 0C DE 23 21 00 00 00 00 00 00 00 00 0C DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 00 00 00 41 F4 00 00 04 00 00 00 6B 00 00 00 27 00 00 00 92 00 00 00 08 00 00 00 2C 00 00 01 04 00 00 00 AF 00 00 00 17 00 00 00 C6 00 00 00 0E 00 00 00 2C 00 00 01 04 00 00 00 24 01 00 00 0D 00 00 00 31 01 00 00 0E 00 00 00 2C 00 00 01 01 00 00 00 24 01 00 00 3B 00 00 00 6E 01 00 00 03 00 00 00 5F 01 00 00 02 00 00 00 24 01 00 00 54 00 00 00 78 01 00 00 08 00 00 00 2C 00 00 01 01 00 00 00 0A 00 00 00 F6 00 00 00 15 01 00 00 6D 00 00 00 00 01 00 00 01 00 00 00 AA 01 00 00 07 00 00 00 C0 01 00 00 03 00 00 00 B1 01 00 00 02 00 00 00 AA 01 00 00 20 00 00 00 CA 01 00 00 08 00 00 00 2C 00 00 01 01 00 00 00 0A 00 00 00 F6 00 00 00 9B 01 00 00 39 00 00 00 82 01 00 00 04 00 00 00 0A 00 00 00 DA 01 00 00 E4 01 00 00 17 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_2118_178_6 {
	meta:
		name = "$LN15"
		size = 21
		refs = "0002 0A000109 0007 0400015D 000f 0A0000C4"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 7F ?? ?? ?? ?? 16 12 0C 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2118_179_6 {
	meta:
		name = "$LN188"
		size = 75
		refs = "0004 0A000109 000b 0A000077 0012 060000BE 001f 06000067 0026 0A000003 002e 0400011E 0038 04000122 0042 06000062"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 26 07 17 60 0B DE 0E FE 06 ?? ?? ?? ?? 12 0C 28 ?? ?? ?? ?? DC 12 0C 7F ?? ?? ?? ?? 1E 58 55 12 0C 7F ?? ?? ?? ?? 1E 58 55 12 0C 28 ?? ?? ?? ?? DD 78 00 00 00 }
	condition:
		$1
}

rule file_2118_183_6 {
	meta:
		name = "$LN23"
		size = 25
		refs = "0002 0A00010A 0009 0A000109 0013 0A0000C4"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_623_6 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A00014B 0009 0A00014A 0013 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2118_184_6 {
	meta:
		name = "$LN195"
		size = 23
		refs = "0004 0A000109 000b 0A000077 0011 0A00003D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2118_187_6 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z$5"
		size = 348
		refs = "0004 0A0000A5 0029 060000E0 002f 0A000003"
	strings:
		$1 = { 11 04 06 28 ?? ?? ?? ?? DC DE 05 02 13 05 DE 24 21 00 00 00 00 00 00 00 00 13 05 DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 05 2A 00 41 24 01 00 04 00 00 00 A5 00 00 00 1C 00 00 00 C1 00 00 00 08 00 00 00 2C 00 00 01 04 00 00 00 E1 00 00 00 1A 00 00 00 FB 00 00 00 09 00 00 00 2C 00 00 01 04 00 00 00 D4 00 00 00 47 00 00 00 1B 01 00 00 0E 00 00 00 2C 00 00 01 04 00 00 00 95 00 00 00 AB 00 00 00 40 01 00 00 0E 00 00 00 2C 00 00 01 04 00 00 00 8C 01 00 00 0D 00 00 00 99 01 00 00 0E 00 00 00 2C 00 00 01 01 00 00 00 8C 01 00 00 3B 00 00 00 D6 01 00 00 03 00 00 00 C7 01 00 00 02 00 00 00 8C 01 00 00 54 00 00 00 E0 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 0B 00 00 00 5C 01 00 00 7C 01 00 00 6F 00 00 00 67 01 00 00 01 00 00 00 14 02 00 00 07 00 00 00 2A 02 00 00 03 00 00 00 1B 02 00 00 02 00 00 00 14 02 00 00 20 00 00 00 34 02 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 0B 00 00 00 5C 01 00 00 04 02 00 00 3B 00 00 00 EB 01 00 00 04 00 00 00 0B 00 00 00 46 02 00 00 51 02 00 00 17 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_2484_621_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 189
		refs = "0003 0A0000B2 0022 0A00009E"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 46 1F 2E 13 09 16 13 05 16 13 08 12 05 12 09 17 6A 12 08 12 0C 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 11 05 53 1F 2C 13 07 16 13 04 16 13 06 12 04 12 07 17 6A 12 06 12 0C 28 ?? ?? ?? ?? 26 02 1F 1A 6A 58 11 04 53 2B 1A 02 1F 18 6A 58 07 1F 58 6A 58 4C 49 53 02 1F 1A 6A 58 07 1F 60 6A 58 4C 49 53 2A 00 00 00 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 27 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_2484_627_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 173
		refs = "0003 0A0000B2 0022 0A00009E 0059 06000512"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 46 1F 2E 13 0A 16 13 05 16 13 09 12 05 12 0A 17 6A 12 09 12 06 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 11 05 53 1F 2C 13 08 16 13 04 16 13 07 12 04 12 08 17 6A 12 07 12 06 28 ?? ?? ?? ?? 26 02 1F 1A 6A 58 11 04 53 2B 0A 02 16 08 11 06 28 ?? ?? ?? ?? 2A 00 00 00 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 27 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_2484_642_6 {
	meta:
		name = "$LN76"
		size = 31
		refs = "0004 0A00014A 000b 0A000072 0012 0600036A 0019 0A00003D"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_652_6 {
	meta:
		name = "$LN50"
		size = 31
		refs = "0004 0A00014A 000b 0A000072 0012 0600039A 0019 0A00003D"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2554_583_6 {
	meta:
		name = "$LN50"
		size = 31
		refs = "0004 0A000143 000b 0A00006F 0012 060002BD 0019 0A00003B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_645_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 236
		refs = "0004 0A0000B2 005c 06000465 0085 0400005F 008c 0A000145"
	strings:
		$1 = { 11 07 07 28 ?? ?? ?? ?? DC DE 00 02 1F 44 6A 58 47 2C 0A 06 1F 50 6A 58 46 13 05 2B 08 06 1F 51 6A 58 46 13 05 11 05 0C 02 1F 38 6A 58 08 54 08 16 32 05 1F 7F 08 30 07 02 1F 38 6A 58 16 54 02 1F 3C 6A 58 13 04 02 11 04 06 1F 53 6A 58 46 06 1F 52 6A 58 46 06 1F 56 6A 58 46 28 ?? ?? ?? ?? 02 1F 40 6A 58 0D 02 09 06 1F 55 6A 58 46 06 1F 54 6A 58 46 06 1F 57 6A 58 46 28 ?? ?? ?? ?? 04 2C 1D 11 04 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 09 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 2A 41 4C 00 00 01 00 00 00 90 00 00 00 0F 00 00 00 AE 00 00 00 03 00 00 00 9F 00 00 00 02 00 00 00 90 00 00 00 28 00 00 00 B8 00 00 00 09 00 00 00 27 00 00 01 01 00 00 00 48 00 00 00 1F 00 00 00 80 00 00 00 43 00 00 00 67 00 00 00 }
	condition:
		$1
}

rule file_2484_655_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 236
		refs = "0004 0A0000B2 005c 06000474 0085 0400005F 008c 0A000145"
	strings:
		$1 = { 11 07 07 28 ?? ?? ?? ?? DC DE 00 02 1F 44 6A 58 47 2C 0A 06 1F 50 6A 58 46 13 05 2B 08 06 1F 51 6A 58 46 13 05 11 05 0C 02 1F 38 6A 58 08 54 08 16 32 05 1F 7F 08 30 07 02 1F 38 6A 58 16 54 02 1F 3C 6A 58 13 04 02 11 04 06 1F 53 6A 58 46 06 1F 52 6A 58 46 06 1F 56 6A 58 46 28 ?? ?? ?? ?? 02 1F 40 6A 58 0D 02 09 06 1F 55 6A 58 46 06 1F 54 6A 58 46 06 1F 57 6A 58 46 28 ?? ?? ?? ?? 04 2C 1D 11 04 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 09 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 2A 41 4C 00 00 01 00 00 00 90 00 00 00 0F 00 00 00 AE 00 00 00 03 00 00 00 9F 00 00 00 02 00 00 00 90 00 00 00 28 00 00 00 B8 00 00 00 09 00 00 00 27 00 00 01 01 00 00 00 48 00 00 00 1F 00 00 00 80 00 00 00 43 00 00 00 67 00 00 00 }
	condition:
		$1
}

rule file_2484_908_6 {
	meta:
		name = "$LN6"
		size = 24
		refs = "0002 0A00014B 0008 0A00014A 0012 0A0000D8"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2554_638_6 {
	meta:
		name = "$LN6"
		size = 24
		refs = "0002 0A000144 0008 0A000143 0012 0A0000D2"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2484_909_6 {
	meta:
		name = "$LN78"
		size = 30
		refs = "0004 0A00014A 000a 0A000072 0011 06000372 0018 0A00003D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2554_639_6 {
	meta:
		name = "$LN70"
		size = 30
		refs = "0004 0A000143 000a 0A00006F 0011 060002C5 0018 0A00003B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_919_6 {
	meta:
		name = "$LN74"
		size = 30
		refs = "0004 0A00014A 000a 0A000072 0011 060003A2 0018 0A00003D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2484_912_6 {
	meta:
		name = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
		size = 87
		refs = "0003 0A0000B2"
		altNames = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2A 41 4C 00 00 01 00 00 00 5D 00 00 00 0F 00 00 00 7B 00 00 00 03 00 00 00 6C 00 00 00 02 00 00 00 5D 00 00 00 28 00 00 00 85 00 00 00 08 00 00 00 27 00 00 01 01 00 00 00 20 00 00 00 16 00 00 00 4E 00 00 00 41 00 00 00 36 00 00 00 }
	condition:
		$1
}

rule file_2484_957_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 295
		refs = "0004 0A0000B2 002e 0A000145 0038 06000343 004d 06000052"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 23 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0D 09 11 08 04 18 6A 5A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0B 02 2D 02 DE 0E 02 09 55 DE 09 11 0B 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 00 41 AC 00 00 01 00 00 00 D8 00 00 00 12 00 00 00 F9 00 00 00 03 00 00 00 EA 00 00 00 02 00 00 00 D8 00 00 00 2B 00 00 00 03 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 A1 00 00 00 0E 00 00 00 C8 00 00 00 46 00 00 00 AF 00 00 00 01 00 00 00 9F 00 00 00 71 00 00 00 1F 01 00 00 03 00 00 00 10 01 00 00 02 00 00 00 9F 00 00 00 8A 00 00 00 29 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 5E 00 00 00 18 00 00 00 8F 00 00 00 A5 00 00 00 76 00 00 00 04 00 00 00 68 01 00 00 0A 00 00 00 72 01 00 00 09 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2484_969_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@$$FQEAMX_K0@Z$6"
		size = 295
		refs = "0004 0A0000B2 002e 0A000145 0038 06000410 004d 06000052"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 23 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0D 09 11 08 04 18 6A 5A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0B 02 2D 02 DE 0E 02 09 55 DE 09 11 0B 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 00 41 AC 00 00 01 00 00 00 D8 00 00 00 12 00 00 00 F9 00 00 00 03 00 00 00 EA 00 00 00 02 00 00 00 D8 00 00 00 2B 00 00 00 03 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 A1 00 00 00 0E 00 00 00 C8 00 00 00 46 00 00 00 AF 00 00 00 01 00 00 00 9F 00 00 00 71 00 00 00 1F 01 00 00 03 00 00 00 10 01 00 00 02 00 00 00 9F 00 00 00 8A 00 00 00 29 01 00 00 09 00 00 00 27 00 00 01 01 00 00 00 5E 00 00 00 18 00 00 00 8F 00 00 00 A5 00 00 00 76 00 00 00 04 00 00 00 68 01 00 00 0A 00 00 00 72 01 00 00 09 00 00 00 27 00 00 01 }
	condition:
		$1
}

rule file_2554_586_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 236
		refs = "0004 0A0000AE 005c 0600034A 0085 04000058 008c 0A00013E"
	strings:
		$1 = { 11 07 07 28 ?? ?? ?? ?? DC DE 00 02 1F 44 6A 58 47 2C 0A 06 1F 50 6A 58 46 13 05 2B 08 06 1F 51 6A 58 46 13 05 11 05 0C 02 1F 38 6A 58 08 54 08 16 32 05 1F 7F 08 30 07 02 1F 38 6A 58 16 54 02 1F 3C 6A 58 13 04 02 11 04 06 1F 53 6A 58 46 06 1F 52 6A 58 46 06 1F 56 6A 58 46 28 ?? ?? ?? ?? 02 1F 40 6A 58 0D 02 09 06 1F 55 6A 58 46 06 1F 54 6A 58 46 06 1F 57 6A 58 46 28 ?? ?? ?? ?? 04 2C 1D 11 04 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 09 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 2A 41 4C 00 00 01 00 00 00 90 00 00 00 0F 00 00 00 AE 00 00 00 03 00 00 00 9F 00 00 00 02 00 00 00 90 00 00 00 28 00 00 00 B8 00 00 00 09 00 00 00 26 00 00 01 01 00 00 00 48 00 00 00 1F 00 00 00 80 00 00 00 43 00 00 00 67 00 00 00 }
	condition:
		$1
}

rule file_2554_642_6 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
		size = 87
		refs = "0003 0A0000AE"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2A 41 4C 00 00 01 00 00 00 5D 00 00 00 0F 00 00 00 7B 00 00 00 03 00 00 00 6C 00 00 00 02 00 00 00 5D 00 00 00 28 00 00 00 85 00 00 00 08 00 00 00 26 00 00 01 01 00 00 00 20 00 00 00 16 00 00 00 4E 00 00 00 41 00 00 00 36 00 00 00 }
	condition:
		$1
}

rule file_3097_127_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000A1 002e 0A0000FF 0038 060000E0 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 25 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 25 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 25 00 00 01 }
	condition:
		$1
}

rule file_3392_51_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A00013F"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 2E 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_3392_427_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 129
		refs = "0003 0A0000D1"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 12 02 1F 18 6A 58 1F 2E 52 02 1F 19 6A 58 1F 2C 52 2B 15 02 1F 18 6A 58 07 4C 46 52 02 1F 19 6A 58 07 1E 6A 58 4C 46 52 2A 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_3392_433_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 189
		refs = "0003 0A0000D1 0022 0A0000BC"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 46 1F 2E 13 09 16 13 05 16 13 08 12 05 12 09 17 6A 12 08 12 0C 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 11 05 53 1F 2C 13 07 16 13 04 16 13 06 12 04 12 07 17 6A 12 06 12 0C 28 ?? ?? ?? ?? 26 02 1F 1A 6A 58 11 04 53 2B 1A 02 1F 18 6A 58 07 1F 58 6A 58 4C 49 53 02 1F 1A 6A 58 07 1F 60 6A 58 4C 49 53 2A 00 00 00 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_3392_498_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 101
		refs = "0005 0A00013F"
		altNames = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 41 4C 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2E 00 00 01 04 00 00 00 82 00 00 00 0C 00 00 00 8E 00 00 00 0E 00 00 00 2E 00 00 01 02 00 00 00 09 00 00 00 BE 00 00 00 C7 00 00 00 0A 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_3392_526_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000D1 002e 0A00016B 0038 06000244 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 2E 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_3392_538_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 295
		refs = "0004 0A0000D1 002e 0A00016B 0038 06000276 004d 06000052"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 23 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0D 09 11 08 04 18 6A 5A 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0B 02 2D 02 DE 0E 02 09 55 DE 09 11 0B 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 00 41 AC 00 00 01 00 00 00 D8 00 00 00 12 00 00 00 F9 00 00 00 03 00 00 00 EA 00 00 00 02 00 00 00 D8 00 00 00 2B 00 00 00 03 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 A1 00 00 00 0E 00 00 00 C8 00 00 00 46 00 00 00 AF 00 00 00 01 00 00 00 9F 00 00 00 71 00 00 00 1F 01 00 00 03 00 00 00 10 01 00 00 02 00 00 00 9F 00 00 00 8A 00 00 00 29 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 5E 00 00 00 18 00 00 00 8F 00 00 00 A5 00 00 00 76 00 00 00 04 00 00 00 68 01 00 00 0A 00 00 00 72 01 00 00 09 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_3453_35_6 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z$1"
		size = 63
		refs = "0004 06000052 0023 01000007 003b 0100000C"
	strings:
		$1 = { 0B 03 14 28 ?? ?? ?? ?? DE 00 2A 41 34 00 00 00 00 00 00 00 00 00 00 07 00 00 00 07 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 07 00 00 00 11 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3453_39_6 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAMXXZ$0"
		size = 22
		refs = "0004 06000062 000a 0600006A 0010 06000053"
	strings:
		$1 = { 0A 02 06 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? DE 16 }
	condition:
		$1
}

rule file_3453_40_6 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAMXXZ$1"
		size = 78
		refs = "0004 06000062 000a 0600006A 0010 06000053 0032 01000007 004a 0100000C"
	strings:
		$1 = { 0B 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 00 00 41 34 00 00 00 00 00 00 00 00 00 00 14 00 00 00 14 00 00 00 16 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 14 00 00 00 2A 00 00 00 16 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3461_357_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 285
		refs = "0005 0A0000B9 002e 0A000141 0038 06000209 004e 06000052"
	strings:
		$1 = { 11 0C 11 04 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 0B 2B 03 02 13 0B 04 2C 0B 11 06 11 0B 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 13 0E 02 2D 02 DE 0F 02 11 06 55 DE 09 11 0E 02 28 ?? ?? ?? ?? DC 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 41 AC 00 00 01 00 00 00 37 01 00 00 12 00 00 00 58 01 00 00 03 00 00 00 49 01 00 00 02 00 00 00 37 01 00 00 2B 00 00 00 62 01 00 00 09 00 00 00 2B 00 00 01 01 00 00 00 D2 00 00 00 3C 00 00 00 27 01 00 00 46 00 00 00 0E 01 00 00 01 00 00 00 D0 00 00 00 9F 00 00 00 80 01 00 00 03 00 00 00 6F 01 00 00 02 00 00 00 D0 00 00 00 BB 00 00 00 8B 01 00 00 0A 00 00 00 2B 00 00 01 01 00 00 00 5F 00 00 00 47 00 00 00 BF 00 00 00 D8 00 00 00 A6 00 00 00 04 00 00 00 CA 01 00 00 0B 00 00 00 D5 01 00 00 09 00 00 00 2B 00 00 01 }
	condition:
		$1
}

rule file_3579_7_6 {
	meta:
		name = "$LN6"
		size = 24
		refs = "0002 0A000039 0008 0A000038 0012 0A000029"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0D 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_3579_8_6 {
	meta:
		name = "$LN26"
		size = 20
		refs = "0004 0A000038 000a 0A00001A"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 26 16 6A 0B DE 23 }
	condition:
		$1
}

rule file_3579_11_6 {
	meta:
		name = "__catch$??2@$$FYMPEAX_KAEBUnothrow_t@std@@@Z$2"
		size = 90
		refs = "0003 0A000021"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 07 2A 00 00 41 4C 00 00 01 00 00 00 38 00 00 00 05 00 00 00 4C 00 00 00 03 00 00 00 3D 00 00 00 02 00 00 00 38 00 00 00 1E 00 00 00 56 00 00 00 08 00 00 00 1B 00 00 01 01 00 00 00 08 00 00 00 09 00 00 00 29 00 00 00 37 00 00 00 11 00 00 00 }
	condition:
		$1
}