private rule architecture {
	meta:
		bits = 64
		endianness = "little"
		architecture = "x64"
	condition:
		true
}

rule file_2_0_0 {
	meta:
		name = "__vdecl_fmod2"
		size = 61
		refs = "0011 fmod"
	strings:
		$1 = { 48 83 EC 48 F3 0F 7F 44 24 20 F3 0F 7F 4C 24 30 E8 ?? ?? ?? ?? 66 0F D6 44 24 20 F3 0F 7E 44 24 28 F3 0F 7E 4C 24 38 E8 ?? ?? ?? ?? 66 0F D6 44 24 28 F3 0F 6F 44 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_4_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 187
		refs = "000c _set_app_type 0011 _get_startup_file_mode 0018 _set_fmode 001d __p__commode 0025 _get_startup_commit_mode 0031 __scrt_initialize_onexit_tables 003a _RTC_Initialize 0041 _RTC_Terminate 0046 atexit 004b _get_startup_argv_mode 0052 _configure_wide_argv 005b ?__scrt_initialize_type_info@@YAXXZ 0060 __scrt_is_user_matherr_present 006b _matherr 0070 __setusermatherr 0075 _initialize_invalid_parameter_handler 007a _initialize_denormal_control 007f _get_startup_thread_locale_mode 0086 _configthreadlocale 008b _should_initialize_environment 0094 _initialize_wide_environment 0099 __scrt_initialize_winrt 00ab __scrt_fastfail"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? B9 01 00 00 00 89 03 E8 ?? ?? ?? ?? 84 C0 74 6C E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 75 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_315_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 187
		refs = "000c _set_app_type 0011 _get_startup_file_mode 0018 _set_fmode 001d __p__commode 0025 _get_startup_commit_mode 0031 __scrt_initialize_onexit_tables 003a _RTC_Initialize 0041 _RTC_Terminate 0046 atexit 004b _get_startup_argv_mode 0052 _configure_narrow_argv 005b ?__scrt_initialize_type_info@@YAXXZ 0060 __scrt_is_user_matherr_present 006b _matherr 0070 __setusermatherr 0075 _initialize_invalid_parameter_handler 007a _initialize_denormal_control 007f _get_startup_thread_locale_mode 0086 _configthreadlocale 008b _should_initialize_environment 0094 _initialize_narrow_environment 0099 __scrt_initialize_winrt 00ab __scrt_fastfail"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? B9 01 00 00 00 89 03 E8 ?? ?? ?? ?? 84 C0 74 6C E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 75 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_4_1_0 {
	meta:
		name = "?post_pgo_initialization@@YAHXZ"
		size = 16
		refs = "0005 __scrt_initialize_default_local_stdio_options"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_2_0 {
	meta:
		name = "?pre_cpp_initialization@@YAXXZ"
		size = 25
		refs = "0005 __scrt_set_unhandled_exception_filter 000a _get_startup_new_mode 0015 _set_new_mode"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_3_0 {
	meta:
		name = "?__scrt_common_main@@YAHXZ"
		size = 18
		refs = "0005 __security_init_cookie 000e ?__scrt_common_main_seh@@YAHXZ"
		altNames = "WinMainCRTStartup mainCRTStartup wWinMainCRTStartup wmainCRTStartup"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 364
		refs = "0010 __scrt_initialize_crt 001e __scrt_fastfail 002c __scrt_acquire_startup_lock 0034 __scrt_current_native_startup_state 0058 __xi_z 005f __xi_a 0064 _initterm_e 0079 __xc_z 0080 __xc_a 0085 _initterm 00a0 __scrt_release_startup_lock 00a5 __scrt_get_dyn_tls_init_callback 00b6 __scrt_is_nonwritable_in_current_image 00c5 _guard_check_icall 00d5 __scrt_get_dyn_tls_dtor_callback 00f2 _register_thread_local_exe_atexit_callback 00f7 __scrt_get_show_window_mode 00ff _get_wide_winmain_command_line 010e __ImageBase 0113 wWinMain 011a __scrt_is_managed_app 0125 exit 012f _cexit 0138 __scrt_uninitialize_crt 014e _exit 015b _c_exit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0B B9 07 00 00 00 E8 ?? ?? ?? ?? CC 40 32 FF 40 88 7C 24 20 E8 ?? ?? ?? ?? 8A D8 8B 0D ?? ?? ?? ?? 83 F9 01 75 0A B9 07 00 00 00 E8 ?? ?? ?? ?? 85 C9 75 4A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A B8 FF 00 00 00 E9 EB 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 EB 08 40 B7 01 40 88 7C 24 20 8A CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 22 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 16 48 8B 1B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 02 33 C9 FF D3 E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 14 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 08 48 8B 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D8 E8 ?? ?? ?? ?? 4C 8B C0 44 8B CB 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 84 C0 75 07 8B CB E8 ?? ?? ?? ?? 40 84 FF 75 05 E8 ?? ?? ?? ?? 33 D2 B1 01 E8 ?? ?? ?? ?? 8B C3 EB 21 8B D8 E8 ?? ?? ?? ?? 84 C0 75 08 8B CB E8 ?? ?? ?? ?? CC 80 7C 24 20 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_315_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 364
		refs = "0010 __scrt_initialize_crt 001e __scrt_fastfail 002c __scrt_acquire_startup_lock 0034 __scrt_current_native_startup_state 0058 __xi_z 005f __xi_a 0064 _initterm_e 0079 __xc_z 0080 __xc_a 0085 _initterm 00a0 __scrt_release_startup_lock 00a5 __scrt_get_dyn_tls_init_callback 00b6 __scrt_is_nonwritable_in_current_image 00c5 _guard_check_icall 00d5 __scrt_get_dyn_tls_dtor_callback 00f2 _register_thread_local_exe_atexit_callback 00f7 __scrt_get_show_window_mode 00ff _get_narrow_winmain_command_line 010e __ImageBase 0113 WinMain 011a __scrt_is_managed_app 0125 exit 012f _cexit 0138 __scrt_uninitialize_crt 014e _exit 015b _c_exit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0B B9 07 00 00 00 E8 ?? ?? ?? ?? CC 40 32 FF 40 88 7C 24 20 E8 ?? ?? ?? ?? 8A D8 8B 0D ?? ?? ?? ?? 83 F9 01 75 0A B9 07 00 00 00 E8 ?? ?? ?? ?? 85 C9 75 4A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A B8 FF 00 00 00 E9 EB 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 EB 08 40 B7 01 40 88 7C 24 20 8A CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 22 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 16 48 8B 1B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 02 33 C9 FF D3 E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 14 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 08 48 8B 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D8 E8 ?? ?? ?? ?? 4C 8B C0 44 8B CB 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 84 C0 75 07 8B CB E8 ?? ?? ?? ?? 40 84 FF 75 05 E8 ?? ?? ?? ?? 33 D2 B1 01 E8 ?? ?? ?? ?? 8B C3 EB 21 8B D8 E8 ?? ?? ?? ?? 84 C0 75 08 8B CB E8 ?? ?? ?? ?? CC 80 7C 24 20 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_4_5_0 {
	meta:
		name = "?filt$0@?0??__scrt_common_main_seh@@YAHXZ@4HA"
		size = 30
		refs = "0012 _seh_filter_exe"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 48 8B D1 8B 08 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_4_6_0 {
	meta:
		name = "?configure_argv@__scrt_wide_argv_policy@@SAHXZ"
		size = 20
		refs = "0005 _get_startup_argv_mode 0010 _configure_wide_argv"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_160_3_0 {
	meta:
		name = "?configure_argv@__scrt_narrow_argv_policy@@SAHXZ"
		size = 20
		refs = "0005 _get_startup_argv_mode 0010 _configure_narrow_argv"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 44
		refs = "0007 __scrt_get_show_window_mode 000f _get_wide_winmain_command_line 0019 __ImageBase 0028 wWinMain"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 0F B7 D8 E8 ?? ?? ?? ?? 4C 8B C0 48 8D 0D ?? ?? ?? ?? 44 8B CB 33 D2 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_315_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 44
		refs = "0007 __scrt_get_show_window_mode 000f _get_narrow_winmain_command_line 0019 __ImageBase 0028 WinMain"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 0F B7 D8 E8 ?? ?? ?? ?? 4C 8B C0 48 8D 0D ?? ?? ?? ?? 44 8B CB 33 D2 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_0_0 {
	meta:
		name = "__avx_sinf8"
		size = 2784
		refs = "0080 __common_ssin_data 0213 __common_ssin_cout_rare 0248 __common_ssin_reduction_data"
	strings:
		$1 = { 56 41 56 41 57 48 81 EC C0 02 00 00 33 F6 C5 7C 11 BC 24 A0 02 00 00 C5 7C 11 B4 24 60 02 00 00 C5 7C 11 AC 24 20 02 00 00 C5 7C 11 A4 24 40 02 00 00 C5 7C 11 9C 24 C0 01 00 00 C5 7C 11 94 24 E0 01 00 00 C5 7C 11 8C 24 A0 01 00 00 C5 7C 11 84 24 80 02 00 00 C5 FC 11 BC 24 80 01 00 00 C5 FC 11 B4 24 00 02 00 00 C5 C1 EF FF 4C 89 AC 24 D8 00 00 00 4C 8D AC 24 1F 01 00 00 C5 FC 10 35 ?? ?? ?? ?? 49 83 E5 C0 C5 FC 54 D6 C5 EC C2 0D ?? ?? ?? ?? 1E C4 E3 7D 19 CB 01 C5 F1 6B E3 C5 D9 63 EF C5 F9 D7 C5 84 C0 0F 85 6A 01 00 00 C5 7C 10 05 ?? ?? ?? ?? C5 EC 59 1D ?? ?? ?? ?? C4 C1 64 58 E0 C5 CC 55 C8 C5 D1 72 F4 1F C4 41 5C 5C E8 C5 14 59 0D ?? ?? ?? ?? C5 14 59 15 ?? ?? ?? ?? C5 14 59 25 ?? ?? ?? ?? C5 14 59 3D ?? ?? ?? ?? C4 C1 6C 5C D1 C4 41 6C 5C DA C4 41 24 5C F4 C4 C1 0C 5C D7 C5 6C 59 D2 C4 E3 7D 19 E6 01 C5 AC 59 25 ?? ?? ?? ?? C5 C1 72 F6 1F C4 E3 55 18 DF 01 C5 DC 58 2D ?? ?? ?? ?? C4 C1 54 59 F2 C5 CC 58 3D ?? ?? ?? ?? C4 41 44 59 C2 C5 3C 58 0D ?? ?? ?? ?? C4 41 34 59 DA C5 6C 57 EB C4 41 24 59 E5 C4 41 1C 58 F5 C5 8C 57 C9 40 84 F6 75 73 C5 FC 10 B4 24 00 02 00 00 C5 FC 10 BC 24 80 01 00 00 C5 7C 10 84 24 80 02 00 00 C5 7C 10 8C 24 A0 01 00 00 C5 7C 10 94 24 E0 01 00 00 C5 7C 10 9C 24 C0 01 00 00 C5 7C 10 A4 24 40 02 00 00 C5 7C 10 AC 24 20 02 00 00 C5 7C 10 B4 24 60 02 00 00 C5 7C 10 BC 24 A0 02 00 00 4C 8B AC 24 D8 00 00 00 C5 FC 28 C1 48 81 C4 C0 02 00 00 41 5F 41 5E 5E C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 F6 0F 84 79 FF FF FF 45 33 F6 44 0F A3 F6 72 14 41 FF C6 41 83 FE 20 7C F1 C4 C1 7C 10 4D 40 E9 5C FF FF FF C5 F8 77 4B 8D 4C B5 00 4B 8D 54 B5 40 E8 ?? ?? ?? ?? EB D8 C5 7C 10 15 ?? ?? ?? ?? BA 00 00 80 7F C4 C1 7C 11 45 00 C5 79 6E C2 C4 41 79 70 E8 00 C5 AC 54 F2 BA FF 00 00 00 C4 C1 4C C2 CA 00 48 8D 05 ?? ?? ?? ?? C5 91 DB E0 C4 C3 7D 19 C7 01 C5 89 72 D4 17 C4 41 11 DB CF C4 C1 19 72 F6 01 C4 C1 21 72 D1 17 C4 C1 19 FE EE C4 C1 49 72 F3 01 C4 41 49 FE D3 C4 C1 31 72 F2 02 C4 41 79 7E CE C5 F8 11 44 24 20 C5 78 11 7C 24 30 C4 43 79 16 CF 01 C4 63 79 16 CE 02 C4 E3 7D 19 CB 01 C5 F1 6B D3 C5 F1 72 F5 02 C5 E9 63 FF C5 F9 D7 CF C4 C1 79 7E C8 C4 41 79 6E 24 06 C4 41 79 6E 34 07 89 8C 24 D0 00 00 00 C4 63 79 16 C9 03 C4 C3 79 16 CA 02 C4 C3 79 16 CB 03 C4 C3 79 16 C9 01 C5 F9 6E 2C 06 C5 F9 6E 34 01 C4 C1 79 6E 3C 02 C4 41 79 6E 04 03 C4 41 19 6C DE C5 51 6C D6 C5 F9 6E 6C 06 04 C5 F9 6E 74 01 04 C4 41 41 6C E8 C4 41 20 C6 C2 88 C4 41 79 6E 64 06 04 C4 41 79 6E 74 07 04 C5 51 6C D6 C4 C1 79 6E 6C 07 08 41 BF FF FF 7F 00 C4 C1 79 6E 1C 00 C4 C1 79 6E 14 01 C4 41 19 6C DE C4 41 79 6E 74 06 08 41 BE 00 00 80 00 C5 E1 6C E2 C4 C1 79 6E 4C 00 04 C4 C1 79 6E 5C 01 04 C4 C1 79 6E 54 02 04 C4 C1 79 6E 7C 03 04 C4 41 58 C6 ED 88 C5 F1 6C E3 C5 69 6C CF C4 C1 79 6E 7C 03 08 41 BB FF FF 00 00 C4 C1 79 6E 4C 00 08 41 B8 00 00 40 47 C4 C1 79 6E 5C 01 08 41 B9 00 00 80 3F C4 C1 79 6E 54 02 08 41 BA 00 00 00 80 C4 C1 58 C6 E1 88 C5 71 6C CB C5 69 6C E7 C4 C1 79 6E FF C4 C1 30 C6 CC 88 C4 41 79 6E CE C5 79 70 E7 00 41 BF 00 00 80 28 C5 89 6C DD C5 99 DB C0 C4 C1 79 70 E9 00 C4 41 19 DB FF C4 41 20 C6 D2 88 C5 79 FE F5 C5 F9 6E 74 06 08 C4 C1 79 6E C3 C5 79 6E 5C 01 08 48 8D 05 ?? ?? ?? ?? 41 BE FF FF 03 00 C4 C1 49 6C D3 C5 81 FE F5 C5 79 70 F8 00 C5 A1 72 D4 10 C4 C1 11 DB FF C4 41 09 DB CF C5 78 11 44 24 50 C4 41 39 DB E7 C5 E0 C6 DA 88 C4 C1 39 72 D2 10 C4 C1 29 DB C7 C5 E9 72 D1 10 C4 C1 29 72 D6 10 C4 41 49 DB F7 C5 FA 7F 7C 24 60 C4 C1 59 DB EF C4 E2 31 40 FF C4 C1 71 DB CF C5 FA 7F BC 24 B0 00 00 00 C5 D9 72 D3 10 C4 E2 29 40 FA C4 C1 61 DB DF C4 E2 31 40 D2 41 BB 00 00 00 34 C5 78 11 6C 24 40 C5 91 72 D6 10 C4 C2 09 40 F4 C5 E9 72 D2 10 C5 7A 7F 64 24 70 C5 C1 FE FA C5 7A 7F 84 24 90 00 00 00 B9 7A 77 95 B7 C5 FA 7F 84 24 A0 00 00 00 BE FF FF FF 7F C5 FA 7F B4 24 C0 00 00 00 C4 42 09 40 E0 C4 E2 31 40 F5 C4 62 09 40 C0 C4 E2 29 40 C1 C4 C1 39 DB D7 C5 F1 72 D0 10 C4 C1 49 DB C7 C5 F9 FE C7 C5 C9 72 D6 10 C5 F1 FE F8 C4 C1 39 72 D0 10 C4 E2 11 40 C3 C4 E2 11 40 DC C5 F9 72 D0 10 C4 E2 09 40 E4 C5 F1 72 D4 10 C5 E1 FE D9 C5 F1 72 D7 10 C5 7A 7F 9C 24 80 00 00 00 C5 E9 FE D3 C4 42 31 40 DB C5 F9 FE E2 C4 E2 29 40 ED C4 C1 21 DB C7 C5 D1 FE DE C4 C1 19 DB D7 C5 F9 FE C3 C5 E1 72 D4 10 C5 F1 FE F0 C4 C1 21 72 D3 10 C4 E2 11 40 8C 24 A0 00 00 00 C5 D1 72 D6 10 C4 C1 71 FE C0 C4 C1 19 72 D4 10 C5 E9 FE C8 C4 C1 41 DB FF C4 E2 29 40 94 24 80 00 00 00 C5 61 FE C1 C5 FA 6F 9C 24 B0 00 00 00 C4 C1 69 FE C3 C4 C1 61 DB CF C4 C1 69 72 D0 10 C5 F1 FE C8 C4 C1 39 72 F0 10 C4 62 11 40 9C 24 90 00 00 00 C5 D1 FE E9 C5 FA 6F 8C 24 C0 00 00 00 C4 41 21 FE DC C4 C1 71 DB C7 C5 99 72 D5 10 C4 C1 79 FE C3 C5 F1 72 D1 10 C5 78 10 5C 24 40 C5 E9 FE D0 C4 C1 79 72 D3 10 C4 C1 51 DB EF C4 62 29 40 54 24 60 C4 41 79 6E D9 C4 62 31 40 C8 C5 F9 72 D3 10 C4 41 31 DB CF C5 29 FE D0 C4 C1 31 FE DA C5 F9 72 D2 10 C5 19 FE CB C4 C1 69 DB D7 C5 F8 10 5C 24 50 C4 C1 19 72 F1 10 C5 B1 72 D3 10 C5 19 FE D5 C4 62 11 40 6C 24 70 41 B9 DB 0F C9 40 C4 42 09 40 F1 C5 11 FE E9 C4 C1 09 DB DF C4 41 59 DB FF C4 41 61 FE CD C4 C1 79 6E E2 C4 C1 79 FE C1 C5 89 72 F6 10 C5 F9 70 F4 00 C5 99 72 F0 10 C5 C9 DB 6C 24 20 C5 09 FE CF C4 C1 79 70 FB 00 C5 99 FE C2 C5 49 DB 74 24 30 C4 C1 71 72 D2 09 C5 D1 EF DF C4 41 79 6E E0 C4 41 39 FE FF C5 B9 72 D0 09 C5 89 EF E7 C5 F1 EB D3 C4 C1 79 70 F4 00 C5 39 EB EC C4 41 79 6E E7 41 BA FF 01 00 00 41 B8 00 10 C9 40 41 BF 00 00 80 35 C4 C3 6D 18 CD 01 C5 F9 6E D2 C4 63 4D 18 DE 01 BA 00 F0 FF FF C5 A4 58 E1 C5 79 70 C2 00 C4 C1 5C 5C DB C5 74 5C EB C4 C1 79 70 CC 00 C4 41 79 6E E6 C5 D1 EF D1 C5 89 EF D9 C4 C1 79 70 CC 00 C4 C1 71 DB F1 C4 C1 71 DB CF C5 A1 72 F6 05 C5 99 72 F1 05 C5 21 EB DA C5 99 EB F3 C4 C1 31 72 D1 12 C4 C1 01 72 D7 12 C4 E3 6D 18 DB 01 C4 C1 79 6E D2 C4 E3 25 18 CE 01 C5 79 6E D9 C5 F9 70 F2 00 C4 C1 79 6E D1 C5 74 5C E3 C4 C1 79 6E CB C4 41 49 DB D2 C5 C9 DB C0 C5 F9 70 D9 00 C4 C1 29 72 F2 0E C5 D1 EF EB C4 41 29 EB D1 C5 A9 EB CD C5 A9 72 F0 0E C5 09 EF F3 C4 41 29 EB D7 C4 C1 29 EB C6 C4 E3 75 18 D8 01 C4 43 55 18 F6 01 C4 C1 79 6E E8 C4 41 64 5C D6 C5 F9 70 F5 00 C4 41 14 58 CA C4 C1 14 5C C1 C5 79 70 EA 00 C5 AC 58 C8 C5 79 6E D2 C4 C1 79 70 C2 00 C4 41 74 58 FC C4 41 79 70 E3 00 C4 E3 7D 18 C8 01 C5 B4 54 E9 C5 34 5C CD C4 43 15 18 ED 01 C4 E3 4D 18 D6 01 C4 C1 79 6E F7 C4 C3 1D 18 DC 01 C4 41 6C 59 D1 C5 E4 59 CD C4 41 14 59 F7 C4 C1 64 59 D9 C5 EC 59 C5 C5 F9 6E D6 C5 F9 70 EA 00 C5 79 70 CE 00 C5 2C 58 F9 C5 0C 58 D3 C4 C1 04 58 DA C5 FC 58 CB C5 FC 5C C1 C5 7C 58 D3 C4 C1 7C 10 45 00 8B B4 24 D0 00 00 00 C4 E3 7D 19 E7 01 C4 C1 59 DB E0 C5 E9 72 F4 04 C4 C1 41 DB F8 C4 C1 79 7E D7 C4 C3 79 16 D6 01 C4 C3 79 16 D3 02 C4 C3 79 16 D2 03 C4 41 79 6E 04 07 C4 C1 79 6E 14 06 C4 43 35 18 E9 01 C5 B1 72 F7 04 C4 41 79 7E C9 C4 C1 79 6E 24 02 C4 43 79 16 C8 01 C4 63 79 16 C9 02 C4 63 79 16 CA 03 C4 41 79 6E 4C 02 04 C4 63 55 18 DD 01 C4 41 7C 54 E3 C4 C1 1C C2 DD 1E C4 41 1C C2 F5 12 C5 B9 6C EA C4 41 79 6E 04 03 C5 B9 6C F4 C4 41 79 6E 44 03 04 C5 0C 54 F8 C5 E4 54 C9 C5 D0 C6 FE 88 C4 41 79 6E 1C 01 C4 41 79 6E 24 00 C5 79 6E 2C 01 C5 79 6E 34 02 C4 C1 79 6E 6C 07 04 C4 C1 79 6E 74 06 04 C5 84 56 C9 C4 41 21 6C FC C4 C1 11 6C D6 C5 51 6C DE C4 41 39 6C E1 C5 80 C6 E2 88 C4 41 20 C6 EC 88 C4 41 64 54 D2 C5 F4 59 D9 C4 E3 45 18 D4 01 C4 C1 79 6E 64 01 04 48 8D 05 ?? ?? ?? ?? C4 41 79 6E 5C 00 04 C5 79 6E 64 01 04 C5 79 6E 74 02 04 C4 41 59 6C FB C4 41 19 6C C6 C4 41 00 C6 C0 88 C4 43 15 18 C8 01 C4 41 79 6E 6C 07 0C C4 41 79 6E 44 06 0C C4 C1 79 6E 74 03 0C C4 C1 79 6E 6C 02 0C C4 C1 11 6C E0 C4 41 79 6E 64 01 0C C4 41 79 6E 6C 00 0C C5 79 6E 74 01 0C C5 79 6E 7C 02 0C C5 C9 6C FD C4 41 19 6C C5 C4 C1 09 6C F7 C5 58 C6 DF 88 C5 B8 C6 EE 88 C5 6C 59 F9 C4 E3 25 18 FD 01 C5 74 59 E7 C4 41 34 58 EC C4 C1 34 5C E5 C4 41 04 58 C5 C4 C1 5C 58 EC C4 41 14 5C F0 C4 41 79 6E 6C 02 08 C5 E4 59 25 ?? ?? ?? ?? C4 C1 0C 58 F7 C5 5C 58 1D ?? ?? ?? ?? C5 EC 58 E7 C5 CC 58 F5 C4 C1 79 6E 7C 07 08 C5 24 59 E3 C5 E4 59 15 ?? ?? ?? ?? C4 41 79 6E 5C 06 08 C4 41 41 6C F3 C4 C1 79 6E 7C 01 08 C4 41 79 6E 5C 00 08 C5 9C 59 E9 C4 C1 74 59 C9 C4 41 79 6E 64 03 08 C4 41 19 6C FD C5 EC 58 15 ?? ?? ?? ?? C4 41 41 6C EB C5 F9 6E 7C 01 08 C5 DC 5C C9 C5 79 6E 64 02 08 C5 EC 59 DB C5 2C 59 D1 C4 C1 08 C6 D7 88 C4 41 41 6C F4 C4 41 10 C6 FE 88 C4 C1 64 59 D9 C5 D4 59 E9 C5 D4 58 F6 C4 C3 6D 18 D7 01 C5 2C 58 D2 C4 C1 64 58 E2 C5 DC 58 FE C5 BC 58 CF E9 89 F6 FF FF 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_9_0_0 {
	meta:
		name = "__avx_cosf8"
		size = 2768
		refs = "007f __common_scos_data 020d __common_scos_cout_rare 0242 __common_scos_reduction_data"
	strings:
		$1 = { 53 56 41 56 48 81 EC C0 02 00 00 33 DB C5 7C 11 BC 24 E0 01 00 00 C5 7C 11 B4 24 A0 02 00 00 C5 7C 11 AC 24 80 01 00 00 C5 7C 11 A4 24 A0 01 00 00 C5 7C 11 9C 24 C0 01 00 00 C5 7C 11 94 24 40 02 00 00 C5 7C 11 8C 24 20 02 00 00 C5 7C 11 84 24 80 02 00 00 C5 FC 11 BC 24 60 02 00 00 C5 FC 11 B4 24 00 02 00 00 C5 C9 EF F6 4C 89 AC 24 D8 00 00 00 4C 8D AC 24 1F 01 00 00 C5 FC 54 2D ?? ?? ?? ?? 49 83 E5 C0 C5 D4 C2 0D ?? ?? ?? ?? 1E C4 E3 7D 19 CA 01 C5 F1 6B DA C5 E1 63 E6 C5 F9 D7 C4 84 C0 0F 85 69 01 00 00 C5 FC 58 0D ?? ?? ?? ?? C5 FC 10 3D ?? ?? ?? ?? C5 F4 59 15 ?? ?? ?? ?? C5 EC 58 DF C5 D9 72 F3 1F C5 64 5C C7 C5 3C 5C 35 ?? ?? ?? ?? C5 0C 59 0D ?? ?? ?? ?? C5 0C 59 1D ?? ?? ?? ?? C5 0C 59 2D ?? ?? ?? ?? C4 41 7C 5C D1 C4 41 2C 5C E3 C4 E3 7D 19 DD 01 C5 8C 59 1D ?? ?? ?? ?? C5 C9 72 F5 1F C4 41 1C 5C FD C5 84 5C FB C5 44 59 D7 C5 AC 59 15 ?? ?? ?? ?? C4 E3 5D 18 CE 01 C5 EC 58 25 ?? ?? ?? ?? C4 C1 5C 59 EA C5 D4 58 35 ?? ?? ?? ?? C4 41 4C 59 C2 C5 3C 58 0D ?? ?? ?? ?? C4 41 34 59 DA C5 44 57 E9 C4 41 24 59 E5 C4 C1 1C 58 CD 84 DB 75 72 C5 FC 10 B4 24 00 02 00 00 C5 FC 10 BC 24 60 02 00 00 C5 7C 10 84 24 80 02 00 00 C5 7C 10 8C 24 20 02 00 00 C5 7C 10 94 24 40 02 00 00 C5 7C 10 9C 24 C0 01 00 00 C5 7C 10 A4 24 A0 01 00 00 C5 7C 10 AC 24 80 01 00 00 C5 7C 10 B4 24 A0 02 00 00 C5 7C 10 BC 24 E0 01 00 00 4C 8B AC 24 D8 00 00 00 C5 FC 28 C1 48 81 C4 C0 02 00 00 41 5E 5E 5B C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 DB 0F 84 7A FF FF FF 33 F6 0F A3 F3 72 12 FF C6 83 FE 20 7C F4 C4 C1 7C 10 4D 40 E9 61 FF FF FF C5 F8 77 49 8D 4C B5 00 49 8D 54 B5 40 E8 ?? ?? ?? ?? EB DA C5 7C 10 1D ?? ?? ?? ?? BA 00 00 80 7F C4 C1 7C 11 45 00 C5 79 6E EA C4 C1 79 70 D5 00 C5 24 54 CD BA FF 00 00 00 C4 41 34 C2 D3 00 48 8D 05 ?? ?? ?? ?? C4 63 7D 19 D7 01 C5 29 6B C7 C5 B9 63 E6 C5 F9 D7 CC 89 8C 24 D0 00 00 00 C5 E9 DB F0 C4 C3 7D 19 C7 01 C5 D1 72 D6 17 C4 C1 69 DB DF C5 89 72 F5 01 C5 B1 72 D3 17 C5 89 FE CD C4 C1 19 72 F1 01 C5 A9 72 F1 02 C4 41 19 FE D9 C4 C1 61 72 F3 02 C4 C1 79 7E DB C5 79 7E D6 C5 F8 11 44 24 20 C5 78 11 7C 24 30 C4 C3 79 16 DE 01 C4 E3 79 16 DB 02 C4 E3 79 16 D9 03 C4 43 79 16 D0 01 C4 43 79 16 D1 02 C4 43 79 16 D2 03 C4 41 79 6E 34 03 C4 C1 79 6E 2C 06 C5 F9 6E 0C 03 C5 79 6E 24 01 C5 F9 6E 3C 06 C4 41 79 6E 04 00 C4 C1 79 6E 24 01 C4 41 79 6E 2C 02 C5 09 6C CD C4 41 71 6C DC C4 41 79 6E 74 03 04 C4 C1 79 6E 6C 06 04 C5 F9 6E 4C 03 04 C5 79 6E 64 01 04 C4 C1 41 6C F0 C4 C1 59 6C D5 C4 41 30 C6 C3 88 C5 79 6E 54 06 04 C4 C1 79 6E 7C 00 04 C5 09 6C CD C4 41 71 6C DC C5 48 C6 EA 88 C4 C1 79 6E 64 01 04 C4 C1 79 6E 74 02 04 C5 A9 6C D7 C4 41 30 C6 D3 88 C4 41 79 6E 4C 06 08 41 BE FF FF 7F 00 C5 D9 6C DE C4 41 79 6E 64 03 08 41 BB 00 00 80 00 C5 E8 C6 E3 88 C5 F9 6E 7C 06 08 BE 00 00 40 47 C4 C1 79 6E 74 00 08 41 B8 00 00 80 3F C4 C1 79 6E 54 01 08 41 B9 00 00 00 80 C4 C1 79 6E 5C 02 08 41 BA FF FF 00 00 C5 41 6C F6 C5 E9 6C EB C5 88 C6 CD 88 C4 41 79 6E F6 C4 C1 19 6C F1 C4 C1 79 6E EB C4 41 79 70 E6 00 41 BB FF FF 03 00 C5 79 6E 5C 03 08 C5 99 DB C0 C5 F9 6E 7C 01 08 48 8D 05 ?? ?? ?? ?? C4 41 19 DB FF C5 79 70 CD 00 41 BE 00 00 80 28 C5 A1 6C D7 C4 41 79 FE F1 C4 C1 79 6E C2 C5 A1 72 D4 10 C5 C8 C6 DA 88 C4 C1 01 FE F1 C5 79 70 F8 00 C5 E9 72 D1 10 C4 C1 11 DB FF C4 41 09 DB CF C5 78 11 44 24 50 C4 41 39 DB E7 C4 C1 39 72 D2 10 C4 C1 29 DB C7 C4 C1 29 72 D6 10 C4 41 49 DB F7 C5 FA 7F 7C 24 60 C4 C1 59 DB EF C4 E2 31 40 FF C4 C1 71 DB CF C5 FA 7F BC 24 B0 00 00 00 C5 D9 72 D3 10 C4 E2 29 40 FA C4 C1 61 DB DF C4 E2 31 40 D2 41 BA 00 00 00 34 C5 78 11 6C 24 40 C5 91 72 D6 10 C4 C2 09 40 F4 C5 E9 72 D2 10 C5 7A 7F 64 24 70 C5 C1 FE FA C5 7A 7F 84 24 90 00 00 00 B9 7A 77 95 B7 C5 FA 7F 84 24 A0 00 00 00 BB FF FF FF 7F C5 FA 7F B4 24 C0 00 00 00 C4 42 09 40 E0 C4 E2 31 40 F5 C4 62 09 40 C0 C4 E2 29 40 C1 C5 F1 72 D0 10 C4 C1 49 DB C7 C5 F9 FE C7 C5 C9 72 D6 10 C5 F1 FE F8 C4 C1 39 DB CF C4 E2 11 40 C3 C4 C1 39 72 D0 10 C4 E2 11 40 DC C5 F9 72 D0 10 C4 E2 09 40 E4 C5 D9 72 D4 10 C5 E1 FE D4 C5 7A 7F 9C 24 80 00 00 00 C5 F1 FE DA C4 42 31 40 DB C5 F9 FE E3 C4 E2 29 40 ED C4 C1 21 DB C7 C5 D1 FE CE C5 E9 72 D7 10 C5 F9 FE C1 C4 C1 19 DB EF C5 E9 FE F0 C5 E1 72 D4 10 C4 E2 11 40 94 24 A0 00 00 00 C4 C1 21 72 D3 10 C4 C1 69 FE C0 C4 C1 19 72 D4 10 C5 51 FE C0 C5 F9 72 D6 10 C4 E2 29 40 94 24 80 00 00 00 C4 41 61 FE C0 C5 FA 6F 9C 24 B0 00 00 00 C4 41 69 FE DB C4 C1 61 DB CF C4 C1 41 DB FF C4 C1 71 FE D3 C5 C9 72 F6 10 C5 FA 6F 8C 24 C0 00 00 00 C5 F9 FE EA C4 62 11 40 9C 24 90 00 00 00 C4 C1 71 DB C7 C4 41 21 FE DC C4 C1 69 72 D0 10 C4 C1 79 FE C3 C5 99 72 D5 10 C5 E9 FE D0 C4 C1 51 DB EF C5 F8 10 44 24 40 C4 C1 39 72 F0 10 C5 A1 72 D0 10 C4 42 31 40 CB C4 62 29 40 54 24 60 C4 C1 31 DB C7 C5 B1 72 D3 10 C4 41 29 FE D9 C5 B1 72 D2 10 C4 C1 79 FE C3 C4 C1 69 DB D7 C5 19 FE D0 C4 41 79 6E E0 C5 F8 10 44 24 50 C4 C1 61 72 F2 10 C5 A1 72 D0 10 C5 F9 72 D1 10 C4 62 11 40 6C 24 70 C5 61 FE D5 C4 42 09 40 F3 C5 11 FE E8 C4 41 09 DB DF C4 41 59 DB FF C4 C1 21 FE DD C4 C1 79 6E E1 C5 31 FE CB C4 C1 21 72 D2 09 C5 F9 70 CC 00 C4 C1 09 72 F1 10 C5 F1 DB 6C 24 20 C5 89 FE C2 C4 C1 79 70 E4 00 C5 49 FE CF C5 71 DB 74 24 30 C5 D1 EF FC C5 F9 6E DE C5 91 72 D0 09 C5 89 EF F4 C4 41 39 FE FF C5 F9 70 CB 00 C5 21 EB C7 C5 91 EB D6 C4 C1 79 6E F6 41 B9 FF 01 00 00 41 B8 DB 0F C9 40 C5 F9 70 DE 00 BE 00 10 C9 40 C5 89 EF F3 41 BE 00 00 80 35 C4 63 3D 18 DA 01 C5 D1 EF D3 C4 63 75 18 E1 01 C4 C1 79 6E CB C4 C1 1C 58 E3 C5 79 6E C2 C4 41 79 70 C0 00 C4 C1 5C 5C FC BA 00 F0 FF FF C5 24 5C EF C5 79 70 D9 00 C4 41 21 DB E1 C4 41 21 DB DF C4 C1 61 72 F4 05 C4 C1 21 72 F3 05 C5 61 EB E2 C5 A1 EB DE C4 C1 31 72 D1 12 C4 C1 01 72 D7 12 C4 E3 1D 18 CB 01 C4 41 79 6E E1 C4 63 6D 18 DE 01 C4 C1 79 6E F2 C4 C1 74 5C DB C4 C1 79 70 CC 00 C5 79 6E E2 C4 41 71 DB D2 C5 F1 DB C0 C5 F9 70 D6 00 C4 C1 21 72 F2 0E C5 D1 EF EA C4 41 21 EB C9 C5 31 EB DD C5 B1 72 F0 0E C5 09 EF F2 C4 41 31 EB CF C4 C1 31 EB C6 C5 79 6E FE C4 C1 79 70 CF 00 C4 63 25 18 D0 01 C4 43 55 18 F6 01 C4 41 2C 5C CE C4 41 79 6E D0 C4 41 79 70 F4 00 C4 C1 14 58 D1 C5 94 5C C2 C4 41 79 70 EA 00 C5 34 58 D8 C5 A4 58 F3 C5 F9 6E D9 C5 F9 70 EB 00 C4 43 0D 18 CE 01 C4 41 6C 54 D9 C4 C1 6C 5C D3 C4 C3 15 18 C5 01 C4 63 75 18 F9 01 C4 63 55 18 ED 01 C4 C1 79 6E EE C4 41 04 59 D3 C5 04 59 CA C4 41 14 59 DB C5 FC 59 F6 C5 94 59 C2 C5 F9 6E D3 C5 F9 70 DA 00 C4 41 34 58 CB C5 4C 58 D8 C5 F9 70 F5 00 C4 C1 7C 10 45 00 C4 C1 34 58 CB C5 2C 58 D9 C4 41 2C 5C D3 C5 2C 58 C9 8B 9C 24 D0 00 00 00 C4 63 65 18 E3 01 C4 41 7C 54 EC C4 63 4D 18 F6 01 C4 C1 14 C2 CE 1E C4 41 14 C2 FE 12 C5 04 54 D0 C4 41 74 54 DB C4 41 2C 56 DB C4 41 74 54 D1 C4 41 24 59 CB C4 E3 7D 19 E7 01 C4 C1 59 DB E0 C5 F1 72 F4 04 C4 C1 41 DB F8 C4 C1 79 7E CE C5 D1 72 F7 04 C4 C1 79 7E E8 C4 C3 79 16 CB 01 C4 C3 79 16 CA 02 C4 C3 79 16 C9 03 C4 E3 79 16 EE 01 C4 E3 79 16 E9 02 C4 E3 79 16 EA 03 C4 41 79 6E 04 06 C4 C1 79 6E 3C 03 C5 B9 6C D7 C4 C1 79 6E 0C 02 C4 41 79 6E 04 01 C4 C1 71 6C D8 C4 C1 79 6E 34 00 C5 79 6E 24 06 C5 E8 C6 E3 88 C4 41 49 6C FC C5 79 6E 2C 01 C5 79 6E 34 02 C4 C1 79 6E 54 06 04 C4 C1 79 6E 5C 03 04 C4 C1 79 6E 6C 02 04 C4 C1 79 6E 74 01 04 C4 C1 11 6C FE C5 69 6C C3 C5 51 6C E6 C5 80 C6 CF 88 C4 41 38 C6 EC 88 C4 E3 5D 18 F9 01 C4 C1 79 6E 4C 00 04 48 8D 05 ?? ?? ?? ?? C5 79 6E 44 06 04 C5 79 6E 64 01 04 C5 79 6E 74 02 04 C4 41 71 6C F8 C4 C1 19 6C E6 C5 80 C6 E4 88 C4 E3 15 18 F4 01 C4 41 79 6E 6C 06 08 C4 C1 79 6E 64 03 08 C4 C1 79 6E 54 02 08 C4 C1 79 6E 4C 01 08 C5 91 6C EC C4 41 79 6E 64 00 08 C5 79 6E 6C 06 08 C5 79 6E 74 01 08 C5 79 6E 7C 02 08 C5 E9 6C D9 C4 C1 19 6C E5 C4 C1 09 6C D7 C5 50 C6 C3 88 C5 D8 C6 CA 88 C4 C1 79 6E 5C 06 0C C4 41 79 6E 64 03 0C C4 41 79 6E 6C 02 0C C4 41 79 6E 74 01 0C C4 41 61 6C FC C5 F9 6E 5C 06 0C C5 79 6E 64 02 0C C4 C1 11 6C E6 C5 80 C6 D4 88 C4 E3 3D 18 E9 01 C4 C1 79 6E 4C 00 0C C5 79 6E 44 01 0C C5 71 6C EB C4 41 39 6C F4 C4 41 10 C6 FE 88 C4 41 44 59 EB C4 C3 6D 18 DF 01 C5 A4 59 CB C5 C4 58 DB C5 B4 59 3D ?? ?? ?? ?? C5 4C 58 C1 C5 C4 58 3D ?? ?? ?? ?? C4 C1 4C 5C D0 C4 C1 14 58 E0 C5 6C 58 F9 C5 3C 5C E4 C5 B4 59 0D ?? ?? ?? ?? C4 41 1C 58 F5 C5 74 58 05 ?? ?? ?? ?? C4 C1 0C 58 D7 C4 41 3C 59 E1 C4 41 44 59 C9 C4 C1 1C 59 CB C5 24 59 DE C5 B4 59 F6 C4 C1 64 5C DB C5 2C 59 D3 C5 F4 59 CB C5 AC 58 ED C5 F4 58 D2 C5 CC 58 FD C5 44 58 C2 C4 C1 5C 58 C8 E9 97 F6 FF FF 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "__common_satan_cout_rare"
		size = 1584
		refs = "004f _vmlsAtanHATab"
	strings:
		$1 = { 48 83 EC 78 44 0F B7 49 02 41 81 E1 80 7F 00 00 41 C1 E9 07 44 0F 29 7C 24 50 41 81 F9 FF 00 00 00 0F 29 7C 24 60 0F 84 B1 05 00 00 F3 0F 10 09 F3 0F 5A C1 F2 0F 11 44 24 70 80 64 24 77 7F F2 0F 10 44 24 70 8A 41 03 C0 E8 07 66 0F 2F 05 ?? ?? ?? ?? 4C 8B 44 24 70 0F 82 5B 04 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 14 04 00 00 4C 89 44 24 30 44 0F 28 F8 44 8B 44 24 34 45 8B C8 41 81 E0 00 00 08 00 41 81 E1 00 00 F0 FF 41 81 C8 00 00 04 00 4C 8D 1D ?? ?? ?? ?? 45 0B C8 C7 44 24 30 00 00 00 00 44 89 4C 24 34 F2 0F 10 0D ?? ?? ?? ?? 0F 28 E1 F2 44 0F 5C 7C 24 30 C0 E0 07 F2 41 0F 59 E7 F2 0F 11 64 24 38 F2 0F 10 54 24 38 44 0F B7 54 24 76 F2 41 0F 5C D7 F2 0F 11 54 24 40 41 81 E2 F0 7F 00 00 F2 0F 10 5C 24 38 F2 0F 10 6C 24 40 41 C1 EA 04 F2 0F 5C DD F2 0F 11 5C 24 38 0F 28 E8 F2 0F 10 7C 24 38 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 5C FF F2 44 0F 11 7C 24 40 F2 0F 10 5C 24 38 F2 0F 10 64 24 40 F2 0F 11 6C 24 38 F2 0F 10 7C 24 38 8B 4C 24 74 41 C1 E2 14 81 E1 FF FF 0F 00 44 0B D1 F2 0F 5C 7C 24 70 F2 0F 11 7C 24 40 41 81 C2 00 00 40 C0 F2 0F 10 6C 24 38 F2 0F 10 54 24 40 41 C1 FA 12 F2 0F 5C EA F2 0F 11 6C 24 38 41 83 E2 FE F2 0F 10 7C 24 38 4D 63 D2 F2 0F 5C C7 F2 0F 11 44 24 40 F2 44 0F 10 7C 24 38 F2 0F 10 44 24 30 F2 0F 10 54 24 40 F2 44 0F 59 F8 F2 0F 59 D0 41 0F 28 EF F2 0F 58 EA F2 0F 11 6C 24 38 F2 0F 10 7C 24 38 F2 44 0F 5C FF F2 41 0F 58 D7 F2 0F 11 54 24 40 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 44 24 38 0F 28 FA F2 0F 10 6C 24 40 F2 0F 58 F8 F2 0F 11 7C 24 38 0F 28 FA F2 44 0F 10 7C 24 38 F2 41 0F 5C FF F2 0F 11 7C 24 40 F2 0F 10 7C 24 38 F2 44 0F 10 7C 24 40 F2 41 0F 58 FF F2 0F 11 7C 24 48 0F 28 FA F2 44 0F 10 7C 24 40 F2 41 0F 58 C7 F2 0F 11 44 24 40 F2 0F 10 44 24 48 F2 0F 5C F8 F2 0F 11 7C 24 48 F2 0F 10 7C 24 40 F2 44 0F 10 7C 24 48 F2 41 0F 58 FF F2 0F 11 7C 24 48 F2 44 0F 10 7C 24 38 F2 0F 10 44 24 48 F2 0F 58 C5 41 0F 28 EF F2 0F 59 E9 F2 0F 11 6C 24 38 F2 0F 10 7C 24 38 F2 41 0F 5C FF F2 0F 11 7C 24 40 F2 0F 10 7C 24 38 F2 0F 10 6C 24 40 F2 0F 5C FD F2 0F 11 7C 24 38 F2 0F 10 6C 24 38 F2 44 0F 5C FD F2 44 0F 11 7C 24 40 F2 0F 10 7C 24 38 F2 0F 10 6C 24 40 F2 0F 58 E8 0F 28 C2 F2 0F 5E C7 F2 0F 59 C8 F2 0F 11 4C 24 40 F2 0F 10 4C 24 40 F2 0F 5C C8 F2 0F 11 4C 24 48 F2 0F 10 44 24 40 F2 44 0F 10 7C 24 48 F2 41 0F 5C C7 F2 0F 11 44 24 48 F2 0F 10 4C 24 48 F2 0F 59 F9 F2 0F 5C D7 F2 0F 10 7C 24 48 F2 0F 59 EF F2 0F 11 6C 24 40 F2 0F 10 6C 24 40 F2 0F 5C D5 F2 0F 11 54 24 40 F2 44 0F 10 7C 24 40 F2 0F 10 7C 24 48 F2 0F 10 54 24 40 F2 0F 10 6C 24 48 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FA F2 44 0F 59 FD 0F 28 EF F2 0F 59 FC F2 0F 59 EB F2 41 0F 59 DF 41 0F 28 C7 F2 0F 59 C4 F2 44 0F 10 3D ?? ?? ?? ?? F2 0F 58 C7 F2 43 0F 10 14 D3 F2 0F 58 C3 F2 0F 11 44 24 38 0F 28 DD F2 0F 10 7C 24 38 0F 28 C2 F2 0F 58 DF F2 0F 11 5C 24 38 F2 0F 10 64 24 38 F2 0F 5C EC F2 0F 58 EF F2 0F 11 6C 24 40 F2 0F 10 5C 24 38 0F 28 EB F2 0F 58 C3 F2 0F 59 EB F2 44 0F 59 FD F2 0F 10 7C 24 40 F2 0F 11 44 24 38 F2 0F 10 4C 24 38 F2 44 0F 58 3D ?? ?? ?? ?? F2 0F 5C D1 F2 44 0F 59 FD F2 0F 58 D3 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 0F 11 54 24 40 F2 0F 10 44 24 38 F2 0F 10 64 24 40 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 FD F2 41 0F 59 DF F2 0F 58 DF F2 43 0F 58 5C D3 08 F2 0F 58 DC F2 0F 58 C3 F2 0F 11 44 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 5C 24 28 F3 0F 11 1A E9 47 01 00 00 F2 0F 10 05 ?? ?? ?? ?? C0 E0 07 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 4C 24 28 F3 0F 11 0A E9 12 01 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 82 85 00 00 00 0F 28 C8 F2 0F 59 C8 C0 E0 07 F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D0 F2 0F 58 D0 F2 0F 11 54 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 44 24 28 F3 0F 11 02 EB 7F 45 85 C9 74 40 F2 0F 10 0D ?? ?? ?? ?? C0 E0 07 F2 0F 58 C8 F2 0F 11 4C 24 38 F2 0F 10 44 24 38 F2 0F 59 44 24 70 F2 0F 11 44 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 54 24 28 F3 0F 11 12 EB 3A F3 0F 59 C9 C0 E0 07 F3 0F 11 4C 24 20 F3 0F 10 44 24 20 F3 0F 5A C0 F2 0F 58 44 24 70 F2 0F 11 44 24 28 8A 4C 24 2F 80 E1 7F 0A C8 88 4C 24 2F F2 0F 5A 4C 24 28 F3 0F 11 0A 0F 28 7C 24 60 33 C0 44 0F 28 7C 24 50 48 83 C4 78 C3 F7 01 FF FF 7F 00 75 38 F2 0F 10 05 ?? ?? ?? ?? 8A 41 03 24 80 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 28 44 8A 44 24 2F 41 80 E0 7F 44 0A C0 44 88 44 24 2F F2 0F 5A 4C 24 28 F3 0F 11 0A EB AE F3 0F 10 01 F3 0F 58 C0 F3 0F 11 02 EB A0 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_19_1_0 {
	meta:
		name = "?DebuggerProbe@@YAHK@Z"
		size = 64
		refs = "0030 __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 C6 40 08 00 C7 40 C8 01 10 00 00 89 48 D0 48 8D 40 08 48 89 44 24 30 4C 8D 4C 24 20 33 D2 44 8D 42 0A B9 88 13 6D 40 FF 15 ?? ?? ?? ?? EB 00 0F B6 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_19_2_0 {
	meta:
		name = "?filt$0@?0??DebuggerProbe@@YAHK@Z@4HA"
		size = 32
		altNames = "?filt$0@?0??DebuggerRuntime@@YAHKHPEAXPEB_W@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 33 C9 81 38 88 13 6D 40 0F 94 C1 8B C1 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_19_3_0 {
	meta:
		name = "?DebuggerRuntime@@YAHKHPEAXPEB_W@Z"
		size = 76
		refs = "003c __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 C6 40 08 00 C7 40 C8 02 10 00 00 89 48 D0 89 50 D4 4C 89 40 D8 48 8D 40 08 48 89 44 24 38 4C 89 4C 24 40 4C 8D 4C 24 20 33 D2 44 8D 42 0A B9 88 13 6D 40 FF 15 ?? ?? ?? ?? EB 00 0F B6 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_19_5_0 {
	meta:
		name = "?_RTC_AllocaFailure@@YAXPEAXPEAU_RTC_ALLOCA_NODE@@H@Z"
		size = 464
		refs = "0022 __security_cookie 0033 ?_RTC_ErrorLevels@@3PAHA 0054 ??_C@_0EJ@LJKNEOLN@Stack?5area?5around?5_alloca?5memory@ 006c ??_C@_08OMAHNMHJ@?6Data?3?5?$DM?$AA@ 0078 ??_C@_0EI@CLEPFNGI@Stack?5area?5around?5_alloca?5memory@ 0084 ??_C@_0CK@DKGBICFE@?6Allocation?5number?5within?5this?5f@ 0090 ??_C@_0BC@HHMKLAND@?$CFs?$CFs?$CFp?$CFs?$CFzd?$CFs?$CFd?$CFs?$AA@ 00a1 ??_C@_07DFDJCKFN@?6Size?3?5?$AA@ 00ad ??_C@_0N@MHFFIMFG@?6Address?3?50x?$AA@ 00c0 sprintf_s 00ff ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0158 ??_C@_01EEMJAFIK@?6?$AA@ 017c ??_C@_02LLMPMKNF@?$DO?5?$AA@ 0183 ??_C@_08KJEDNCKC@?$CFs?$CFs?$CFs?$CFs?$AA@ 01a2 ?failwithmessage@@YAXPEAXHHPEBD@Z 01b1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 20 FF FF FF 48 81 EC E0 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 D0 00 00 00 44 8B 35 ?? ?? ?? ?? 48 8B F2 48 89 4C 24 68 4C 8B E9 41 83 FE FF 0F 84 5A 01 00 00 48 85 D2 75 0C 4C 8D 0D ?? ?? ?? ?? E9 3B 01 00 00 48 8B 42 0C 48 8D 4A 20 48 83 E8 24 48 8D 15 ?? ?? ?? ?? 48 89 54 24 50 4C 8D 0D ?? ?? ?? ?? 44 89 44 24 48 48 8D 15 ?? ?? ?? ?? 48 89 54 24 40 4C 8D 05 ?? ?? ?? ?? 48 89 44 24 38 BA 06 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 05 ?? ?? ?? ?? 48 89 4C 24 28 48 8D 4D C0 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 46 0C 33 FF 48 83 E8 24 8D 4F 10 48 3B C1 48 0F 42 C8 48 85 C9 74 4A 48 8D 44 24 70 4C 8B E9 48 2B F0 4C 8D 7D 88 44 8D 67 31 48 8D 04 3E 49 8B D4 0F B6 5C 05 90 4C 8D 05 ?? ?? ?? ?? 44 8B CB 49 8B CF E8 ?? ?? ?? ?? 88 5C 3C 70 49 83 EC 03 48 FF C7 49 83 C7 03 49 3B FD 72 CE 4C 8B 6C 24 68 48 8D 45 88 C6 44 3C 70 00 48 03 C7 4C 8D 45 C0 C6 04 78 00 41 8A 00 49 FF C0 84 C0 75 F6 48 8D 55 C0 8A 02 48 8B CA 48 FF C2 84 C0 75 F4 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 95 C7 00 00 00 48 8D 45 88 49 2B D0 48 89 44 24 28 4C 8D 4C 24 70 48 8D 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D C0 49 8B CD 41 B8 04 00 00 00 41 8B D6 E8 ?? ?? ?? ?? 48 8B 8D D0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 38 02 00 00 48 81 C4 E0 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_19_6_0 {
	meta:
		name = "?_RTC_Failure@@YAXPEAXH@Z"
		size = 76
		refs = "000f __ImageBase 0017 ?_RTC_ErrorLevels@@3PAHA 001f ?_RTC_ErrorMessages@@3QBQEBDB 0043 ?failwithmessage@@YAXPEAXHHPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 83 FA 04 77 1C 48 63 C2 4C 8D 0D ?? ?? ?? ?? 45 8B 94 81 ?? ?? ?? ?? 4D 8B 8C C1 ?? ?? ?? ?? EB 11 4C 8B 0D ?? ?? ?? ?? 41 BA 01 00 00 00 41 8D 52 04 41 83 FA FF 74 0B 44 8B C2 41 8B D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_19_7_0 {
	meta:
		name = "?_RTC_StackFailure@@YAXPEAXPEBD@Z"
		size = 233
		refs = "000a __security_cookie 001c ?_RTC_ErrorLevels@@3PAHA 005c ?stack_premsg@@3QBDB 00a3 ?stack_postmsg@@3QBDB 00bc ??_C@_0CG@IAFNJNEE@Stack?5corrupted?5near?5unknown?5var@ 00cd ?failwithmessage@@YAXPEAXHHPEBD@Z 00dd __security_check_cookie"
	strings:
		$1 = { 48 81 EC 38 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 04 00 00 44 8B 15 ?? ?? ?? ?? 4C 8B D9 41 83 FA FF 0F 84 A4 00 00 00 80 3A 00 0F 84 83 00 00 00 48 8B CA 8A 01 48 FF C1 84 C0 75 F7 48 2B CA 48 83 C1 2C 48 81 F9 00 04 00 00 77 67 4C 8D 4C 24 20 33 C9 48 8D 05 ?? ?? ?? ?? 8A 04 01 88 44 0C 20 48 FF C1 84 C0 75 EB 48 8D 4C 24 20 48 FF C9 48 FF C1 80 39 00 75 F8 45 33 C0 42 8A 04 02 42 88 04 01 49 FF C0 84 C0 75 F1 48 8D 4C 24 20 48 FF C9 48 FF C1 80 39 00 75 F8 4C 8D 05 ?? ?? ?? ?? 33 D2 41 8A 04 10 88 04 11 48 FF C2 84 C0 75 F2 EB 07 4C 8D 0D ?? ?? ?? ?? 41 B8 02 00 00 00 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 8B 8C 24 20 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 38 04 00 00 C3 }
	condition:
		$1
}

rule file_19_8_0 {
	meta:
		name = "?_getMemBlockDataString@@YAXPEAD00_K@Z"
		size = 167
		refs = "0052 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0060 sprintf_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 FF 4D 8B F8 4C 8B F2 48 8B E9 8D 77 10 4C 3B CE 49 0F 42 F1 48 85 F6 74 44 44 8D 77 31 4C 8B E1 48 8B FE 4C 8B EA 4C 2B F9 43 0F B6 1C 27 4C 8D 05 ?? ?? ?? ?? 44 8B CB 49 8B D6 49 8B CD E8 ?? ?? ?? ?? 41 88 1C 24 49 83 EE 03 49 FF C4 49 83 C5 03 48 83 EE 01 75 D1 4C 8B 74 24 58 48 8B 5C 24 50 49 8D 04 7E 48 8B 74 24 68 C6 04 2F 00 48 8B 6C 24 60 C6 04 07 00 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_19_9_0 {
	meta:
		name = "?_strlen_priv@@YA_KPEBD@Z"
		size = 19
	strings:
		$1 = { 48 8B C1 8A 10 48 FF C0 84 D2 75 F7 48 2B C1 48 FF C8 C3 }
	condition:
		$1
}

rule file_19_10_0 {
	meta:
		name = "?failwithmessage@@YAXPEAXHHPEBD@Z"
		size = 607
		refs = "001f __security_cookie 003d ?_RTC_GetErrorFuncW@@YAP6AHHPEB_WH00ZZPEBX@Z 004d ?_RTC_GetErrorFunc@@YAP6AHHPEBDH00ZZPEBX@Z 0071 __imp_MultiByteToWideChar 00b2 ??_C@_1GM@OLMCBDMB@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?4?$AA?6?$AA?$AN?$AA?5?$AAU?$AAn?$AAa?$AAb?$AAl?$AAe?$AA?5?$AAt?$AAo@ 00bc ?DebuggerProbe@@YAHK@Z 00c7 ?_RTC_NoFalsePositives@@3QBHB 00d9 ?DebuggerRuntime@@YAHKHPEAXPEB_W@Z 00fd __imp_IsDebuggerPresent 012f ?_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z 013c _guard_check_icall 0148 ??_C@_1EA@NFKNIFJP@?$AAR?$AAu?$AAn?$AA?9?$AAT?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAu?$AAr?$AAe?$AA?5?$AA?$CD?$AA?$CF?$AAd?$AA?5?$AA?9?$AA?5?$AA?$CF?$AAs?$AA?$AA@ 0194 ??_C@_0BB@PFFGGCJP@Unknown?5Filename?$AA@ 01aa __imp_WideCharToMultiByte 01d1 ??_C@_0BE@GNBOBNCK@Unknown?5Module?5Name?$AA@ 0217 ??_C@_0CA@IODNCDPG@Run?9Time?5Check?5Failure?5?$CD?$CFd?5?9?5?$CFs?$AA@ 0247 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 58 F2 FF FF 48 81 EC A8 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 90 0D 00 00 4D 8B E1 4D 63 F0 44 8B EA 48 8B F9 45 33 FF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0B 48 8B CF E8 ?? ?? ?? ?? 4C 8B F8 83 64 24 28 00 83 CE FF 48 83 64 24 20 00 44 8B CE 4D 8B C4 33 D2 B9 E9 FD 00 00 FF 15 ?? ?? ?? ?? 48 63 C8 48 81 F9 00 02 00 00 73 2E 89 44 24 28 44 8B CE 48 8D 85 90 09 00 00 4D 8B C4 33 D2 48 89 44 24 20 B9 E9 FD 00 00 FF 15 ?? ?? ?? ?? 48 8D B5 90 09 00 00 85 C0 75 07 48 8D 35 ?? ?? ?? ?? B9 02 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 23 48 8D 0D ?? ?? ?? ?? 4C 8B CE 42 8B 14 B1 4C 8B C7 41 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 57 01 00 00 EB 02 B0 01 4D 85 FF 75 09 48 85 DB 0F 84 44 01 00 00 84 C0 74 0E FF 15 ?? ?? ?? ?? 85 C0 0F 85 32 01 00 00 41 B8 04 01 00 00 48 8D 85 60 01 00 00 44 89 44 24 28 48 8D 4F FB 4C 8D 4C 24 40 48 89 44 24 20 48 8D 54 24 50 E8 ?? ?? ?? ?? 48 85 DB 74 39 48 8B CB E8 ?? ?? ?? ?? 44 8B 44 24 40 48 8D 05 ?? ?? ?? ?? 48 89 74 24 30 4C 8D 8D 60 01 00 00 44 89 74 24 28 48 8D 54 24 50 41 8B CD 48 89 44 24 20 FF D3 E9 C5 00 00 00 48 83 64 24 38 00 48 8D 85 70 03 00 00 48 83 64 24 30 00 4C 8D 44 24 50 C7 44 24 28 0A 03 00 00 48 8D 1D ?? ?? ?? ?? 41 83 C9 FF 48 89 44 24 20 33 D2 B9 E9 FD 00 00 FF 15 ?? ?? ?? ?? 48 8D BD 70 03 00 00 B9 E9 FD 00 00 85 C0 4C 8D 85 60 01 00 00 48 8D 85 80 06 00 00 48 0F 44 FB 48 8D 35 ?? ?? ?? ?? 48 83 64 24 38 00 41 83 C9 FF 48 83 64 24 30 00 33 D2 C7 44 24 28 0A 03 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8D 9D 80 06 00 00 49 8B CF 85 C0 48 0F 44 DE E8 ?? ?? ?? ?? 44 8B 44 24 40 48 8D 05 ?? ?? ?? ?? 4C 89 64 24 30 4C 8B CB 44 89 74 24 28 48 8B D7 41 8B CD 48 89 44 24 20 41 FF D7 83 F8 01 75 01 CC 48 8B 8D 90 0D 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 0E 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_19_11_0 {
	meta:
		name = "_RTC_UninitUse"
		size = 236
		refs = "000a __security_cookie 001c ?_RTC_ErrorLevels@@3PAHA 005c ?uninit_premsg@@3QBDB 00a1 ?uninit_postmsg@@3QBDB 00ba ??_C@_0DE@OHJBPMBP@A?5variable?5is?5being?5used?5without@ 00d0 ?failwithmessage@@YAXPEAXHHPEBD@Z 00e0 __security_check_cookie"
	strings:
		$1 = { 48 81 EC 38 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 04 00 00 44 8B 15 ?? ?? ?? ?? 4C 8B C1 41 83 FA FF 0F 84 A7 00 00 00 48 85 C9 0F 84 81 00 00 00 48 8B D1 8A 02 48 FF C2 84 C0 75 F7 49 2B D0 48 83 C2 39 48 81 FA 00 04 00 00 77 65 4C 8D 4C 24 20 33 C9 48 8D 05 ?? ?? ?? ?? 8A 04 01 88 44 0C 20 48 FF C1 84 C0 75 EB 48 8D 4C 24 20 48 FF C9 48 FF C1 80 39 00 75 F8 33 D2 41 8A 04 10 88 04 11 48 FF C2 84 C0 75 F2 48 8D 4C 24 20 48 FF C9 48 FF C1 80 39 00 75 F8 4C 8D 05 ?? ?? ?? ?? 33 D2 41 8A 04 10 88 04 11 48 FF C2 84 C0 75 F2 EB 07 4C 8D 0D ?? ?? ?? ?? 48 8B 8C 24 38 04 00 00 41 B8 03 00 00 00 41 8B D2 E8 ?? ?? ?? ?? 48 8B 8C 24 20 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 38 04 00 00 C3 }
	condition:
		$1
}

rule file_19_13_0 {
	meta:
		name = "_vsprintf_s_l"
		size = 98
		refs = "0021 __local_stdio_printf_options 0041 __stdio_common_vsprintf_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 8B D9 49 8B F8 48 8B F2 48 8B E9 E8 ?? ?? ?? ?? 4C 8B 54 24 60 4C 8B CF 4C 89 54 24 28 4C 8B C6 48 8B D5 48 89 5C 24 20 48 8B 08 E8 ?? ?? ?? ?? 48 8B 5C 24 40 83 C9 FF 48 8B 6C 24 48 85 C0 48 8B 74 24 50 0F 48 C1 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_19_14_0 {
	meta:
		name = "sprintf_s"
		size = 82
		refs = "0021 __local_stdio_printf_options 003d __stdio_common_vsprintf_s"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 83 EC 38 49 8B F0 48 8D 6C 24 78 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 6C 24 28 4C 8B CE 48 83 64 24 20 00 4C 8B C3 48 8B D7 48 8B 08 E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_20_0_0 {
	meta:
		name = "??__D@YAXPEAX0_K1P6AX00@ZP6AX0@Z@Z"
		size = 123
		refs = "0039 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 4D 8B F9 4D 8B F0 48 8B F2 48 8B F9 33 DB 48 89 58 D0 88 58 C8 49 3B DF 74 3A 48 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 41 B8 01 00 00 00 48 8B D6 48 8B CF FF 94 24 80 00 00 00 49 03 FE 48 89 7C 24 60 49 03 F6 48 89 74 24 68 48 FF C3 48 89 5C 24 28 EB C1 C6 44 24 20 01 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_20_1_0 {
	meta:
		name = "?fin$0@?0???__D@YAXPEAX0_K1P6AX00@ZP6AX0@Z@Z@4HA"
		size = 47
		refs = "0023 ?__ArrayUnwind@@YAXPEAX_K1P6AX0@Z@Z"
		altNames = "?fin$0@?0???__C@YAXPEAX0_K1P6AX00@ZP6AX0@Z@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 80 7D 20 00 75 19 4C 8B 8D 88 00 00 00 4C 8B 45 28 48 8B 55 70 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_22_2_0 {
	meta:
		name = "_RTC_InitBase"
		size = 32
		refs = "0006 ?init@?1??_RTC_InitBase@@9@4_NA 0017 _RTC_SetErrorFuncW"
	strings:
		$1 = { 48 83 EC 28 80 3D ?? ?? ?? ?? 00 75 0E 33 C9 C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_23_2_0 {
	meta:
		name = "__scrt_initialize_default_local_stdio_options"
		size = 27
		refs = "0005 __local_stdio_printf_options 000e __local_stdio_scanf_options"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 08 04 E8 ?? ?? ?? ?? 48 83 08 02 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_24_0_0 {
	meta:
		name = "__sse2_powf4"
		size = 1200
		refs = "0010 __common_spow_data 00dd _2il0floatpacket_128 04a1 __common_spow_cout_rare"
	strings:
		$1 = { 48 81 EC A8 01 00 00 0F 28 D0 0F 12 D0 48 8D 15 ?? ?? ?? ?? 44 0F 29 9C 24 90 01 00 00 0F 28 D9 0F 29 BC 24 70 01 00 00 0F 5A F8 44 0F 5A DA 0F 5A D1 44 0F 29 BC 24 00 01 00 00 44 0F 29 B4 24 10 01 00 00 44 0F 29 AC 24 20 01 00 00 44 0F 29 A4 24 30 01 00 00 44 0F 29 94 24 40 01 00 00 44 0F 29 8C 24 50 01 00 00 44 0F 29 84 24 60 01 00 00 0F 29 B4 24 80 01 00 00 4C 89 AC 24 A0 01 00 00 4C 8D 6C 24 6F 44 0F 28 2D ?? ?? ?? ?? 49 83 E5 C0 45 0F 28 FD 45 0F 54 EB 0F 28 25 ?? ?? ?? ?? 44 0F 54 FF 44 0F 56 FC 44 0F 56 EC 66 41 0F 5A EF 66 45 0F 5A CD 0F 16 ED 66 0F 73 D7 14 45 0F 16 C9 66 41 0F 73 D3 14 44 0F 53 C5 45 0F 53 D1 41 0F 5A E0 41 0F 5A EA 44 0F 28 25 ?? ?? ?? ?? 66 41 0F 58 E4 66 41 0F 58 EC 66 41 0F 5C E4 66 41 0F 5C EC 66 44 0F 59 FC 66 44 0F 59 ED 44 0F 28 CC 44 0F 28 D5 66 41 0F 73 D1 28 66 41 0F 73 D2 28 66 41 0F 70 F1 02 41 0F C6 FB DD 44 0F 28 1D ?? ?? ?? ?? 66 0F 7E F1 0F 28 35 ?? ?? ?? ?? 0F 12 D9 66 45 0F 5C FB 66 45 0F 5C EB F3 44 0F E6 E7 0F 5A DB 66 45 0F 7E D0 66 44 0F 7E C8 66 45 0F 70 DA 02 44 0F 28 D6 66 0F 70 FF EE 66 44 0F C2 D4 01 66 0F C2 F5 01 F3 0F E6 FF 66 45 0F 7E D9 44 0F 28 1D ?? ?? ?? ?? 0F 28 25 ?? ?? ?? ?? 45 0F 54 D3 41 0F 54 F3 44 0F 56 D4 0F 56 F4 45 0F 28 DF 66 45 0F 5C E2 66 0F 5C FE 66 45 0F 59 DF 0F 28 2D ?? ?? ?? ?? 41 0F 28 F5 66 44 0F 59 E5 66 0F 59 FD 66 41 0F 59 F5 0F 28 2D ?? ?? ?? ?? 0F 28 E5 66 41 0F 59 E7 66 41 0F 59 ED 44 0F 28 15 ?? ?? ?? ?? 66 41 0F 58 E2 66 41 0F 58 EA 66 41 0F 59 E3 66 0F 59 EE 66 44 0F 58 FC 66 44 0F 58 ED 48 63 C0 4D 63 C0 48 63 C9 4D 63 C9 F2 44 0F 10 84 10 80 A1 BF FF F2 45 0F 10 8C 10 80 A1 BF FF 66 44 0F 16 84 11 80 A1 BF FF 66 45 0F 16 8C 11 80 A1 BF FF 66 45 0F 58 F8 66 45 0F 58 E9 66 45 0F 58 FC 66 44 0F 58 EF 66 44 0F 59 FA 66 44 0F 59 EB 44 0F 28 0D ?? ?? ?? ?? 45 0F 28 D1 66 45 0F 59 D7 66 45 0F 59 CD 0F 28 15 ?? ?? ?? ?? 45 0F 28 C2 41 0F 28 F9 66 44 0F 5C C2 66 0F 5C FA 0F 28 1D ?? ?? ?? ?? 66 44 0F 58 C3 66 0F 58 FB 45 0F 28 E0 44 0F 28 DF 0F 29 44 24 20 66 0F FA 05 ?? ?? ?? ?? 66 44 0F 5C E3 66 44 0F 5C DB 66 45 0F 5C D4 66 45 0F 5C CB 66 44 0F 6F 35 ?? ?? ?? ?? 66 0F 6F D0 45 0F C6 FD DD 66 44 0F DB F1 66 44 0F 6F 2D ?? ?? ?? ?? 66 41 0F 66 D5 66 41 0F 76 C5 66 0F EB D0 66 45 0F 6F EE 66 0F 6F 05 ?? ?? ?? ?? 66 44 0F 66 E8 66 44 0F 76 F0 66 44 0F DB 3D ?? ?? ?? ?? 66 45 0F EB EE 66 44 0F 66 3D ?? ?? ?? ?? 66 41 0F EB D5 0F 28 05 ?? ?? ?? ?? 66 41 0F EB D7 45 0F 28 F8 66 41 0F 73 D0 0B 44 0F 54 F8 0F 54 C7 66 45 0F 7E FA 66 0F 73 D7 0B 66 0F 7E C1 66 41 0F 73 F0 34 44 0F 28 35 ?? ?? ?? ?? 66 0F 73 F7 34 66 45 0F C5 DF 04 66 44 0F C5 C0 04 66 45 0F 59 D6 66 45 0F 59 CE 0F 50 C2 41 C1 E2 03 C1 E1 03 41 C1 E3 03 41 C1 E0 03 85 C0 F3 41 0F 7E 94 12 00 36 00 00 F3 0F 7E 9C 11 00 36 00 00 66 41 0F 16 94 13 00 36 00 00 66 41 0F 16 9C 10 00 36 00 00 66 44 0F 59 D2 66 44 0F 59 CB 66 44 0F 58 D2 66 44 0F 58 CB 66 45 0F D4 D0 66 44 0F D4 CF 66 41 0F 5A C2 66 41 0F 5A E1 0F 16 C4 75 68 0F 28 B4 24 80 01 00 00 0F 28 BC 24 70 01 00 00 44 0F 28 84 24 60 01 00 00 44 0F 28 8C 24 50 01 00 00 44 0F 28 94 24 40 01 00 00 44 0F 28 9C 24 90 01 00 00 44 0F 28 A4 24 30 01 00 00 44 0F 28 AC 24 20 01 00 00 44 0F 28 B4 24 10 01 00 00 44 0F 28 BC 24 00 01 00 00 4C 8B AC 24 A0 01 00 00 48 81 C4 A8 01 00 00 C3 0F 28 54 24 20 41 0F 29 55 00 41 0F 29 4D 40 41 0F 29 85 80 00 00 00 0F 84 7B FF FF FF 33 D2 48 89 5C 24 28 8B DA 48 89 74 24 20 8B F0 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 1E FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 85 80 00 00 00 E9 3D FF FF FF 49 8D 4C 9D 00 49 8D 54 9D 40 4D 8D 84 9D 80 00 00 00 E8 ?? ?? ?? ?? EB C9 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_25_0_0 {
	meta:
		name = "__security_check_cookie"
		size = 33
		refs = "0003 __security_cookie 001d __report_gsfailure"
	strings:
		$1 = { 48 3B 0D ?? ?? ?? ?? F2 75 12 48 C1 C1 10 66 F7 C1 FF FF F2 75 02 F2 C3 48 C1 C9 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_0_0 {
	meta:
		name = "__common_sexp_cout_rare"
		size = 608
		refs = "002a _2il0floatpacket_46 003f _2il0floatpacket_47 004d _2il0floatpacket_49 0065 _2il0floatpacket_50 0095 _2il0floatpacket_51 00a7 _2il0floatpacket_52 00af _2il0floatpacket_54 00bf _2il0floatpacket_53 00cb _2il0floatpacket_55 00db _2il0floatpacket_56 00e2 _2il0floatpacket_58 00ee _2il0floatpacket_57 017f _2il0floatpacket_61 01d5 _2il0floatpacket_60 01ee _2il0floatpacket_59 0210 _2il0floatpacket_48"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 41 81 F8 80 7F 00 00 0F 84 0F 02 00 00 F3 0F 10 01 45 33 C0 F3 0F 10 0D ?? ?? ?? ?? 44 89 44 24 2C 0F 2F C8 0F 82 D0 01 00 00 0F 2F 05 ?? ?? ?? ?? 0F 82 A1 01 00 00 F3 0F 10 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 11 4C 24 20 F3 0F 10 54 24 20 F3 0F 10 1D ?? ?? ?? ?? F3 0F 58 D3 F3 0F 11 54 24 24 0F 28 D0 F3 0F 10 64 24 24 44 8B 44 24 24 F3 0F 5C E3 F3 0F 11 64 24 20 F3 0F 10 6C 24 20 F3 0F 59 2D ?? ?? ?? ?? F3 0F 10 4C 24 20 F3 0F 5C D5 F3 0F 59 0D ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? F3 0F 5C D1 F3 0F 59 E2 F3 0F 10 1D ?? ?? ?? ?? 41 C1 E0 10 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E2 41 C1 F8 10 F3 0F 58 25 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? F3 0F 59 E2 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E2 F3 0F 58 E3 F3 0F 59 E2 F3 0F 58 E3 F3 0F 11 64 24 28 0F 82 88 00 00 00 41 8D 48 7F 81 F9 FE 00 00 00 77 2A 0F B6 C9 C1 E1 07 66 89 4C 24 2E F3 0F 10 44 24 28 F3 0F 59 44 24 2C F3 0F 11 44 24 28 44 8B 44 24 28 44 89 02 48 83 C4 38 C3 41 83 C0 7E 45 0F B6 C0 0F B7 4C 24 2E 41 C1 E0 07 81 E1 7F 80 FF FF 41 0B C8 F3 0F 10 44 24 28 66 89 4C 24 2E F3 0F 59 44 24 2C F3 0F 11 44 24 28 F3 0F 10 4C 24 28 F3 0F 59 0D ?? ?? ?? ?? F3 0F 11 4C 24 28 44 8B 4C 24 28 44 89 0A 48 83 C4 38 C3 41 83 C0 BB 45 0F B6 C0 0F B7 44 24 2E 41 C1 E0 07 25 7F 80 FF FF 41 0B C0 F3 0F 10 44 24 28 66 89 44 24 2E B8 04 00 00 00 F3 0F 59 44 24 2C F3 0F 11 44 24 28 F3 0F 10 4C 24 28 F3 0F 59 0D ?? ?? ?? ?? F3 0F 11 4C 24 28 8B 4C 24 28 89 0A 48 83 C4 38 C3 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 C0 F3 0F 11 44 24 28 8B 44 24 28 89 02 B8 04 00 00 00 48 83 C4 38 C3 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 C0 F3 0F 11 44 24 28 8B 44 24 28 89 02 B8 03 00 00 00 48 83 C4 38 C3 44 8A 41 03 41 80 E0 80 41 80 F8 80 74 11 F3 0F 10 01 F3 0F 59 C0 F3 0F 11 02 48 83 C4 38 C3 F7 01 FF FF 7F 00 75 E7 33 C9 89 0A 48 83 C4 38 C3 66 90 }
	condition:
		$1
}

rule file_27_0_0 {
	meta:
		name = "__vdecl_floor2"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_floor2 000e __sse2_floor2"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_335_0_0 {
	meta:
		name = "__vdecl_ceil2"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_ceil2 000e __sse2_ceil2"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_0_0 {
	meta:
		name = "__vdecl_ceilf4"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_ceilf4 000e __sse2_ceilf4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_288_0_0 {
	meta:
		name = "__vdecl_exp2"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_exp2 000e __sse2_exp2"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_174_0_0 {
	meta:
		name = "__vdecl_expf4"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_expf4 000e __sse2_expf4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_255_0_0 {
	meta:
		name = "__vdecl_floorf4"
		size = 18
		refs = "0002 __isa_available 0009 __sse4_floorf4 000e __sse2_floorf4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 8D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_0_0 {
	meta:
		name = "__static_scalar_sin"
		size = 1264
		refs = "000c __spec_table"
	strings:
		$1 = { 53 56 57 41 54 48 83 EC 58 48 8D 05 ?? ?? ?? ?? F2 0F 11 84 24 80 00 00 00 48 89 44 24 40 0F 29 74 24 30 0F 29 7C 24 20 F2 0F 10 84 24 80 00 00 00 4C 8B 64 24 40 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 0F 84 81 04 00 00 8B C8 81 E9 60 3F 00 00 C1 E9 07 81 E1 FC FF 00 00 4D 8D 9C 24 E0 00 00 00 49 03 CB 66 48 0F 7E C0 44 8B 51 14 44 8B 41 18 8B D0 48 C1 E8 15 0D 00 00 00 80 C1 E8 0B 45 8B CA 4C 0F AF D2 4C 0F AF C8 4C 0F AF C0 8B 71 10 8B 79 0C 45 8B DA 49 C1 EA 20 4D 03 CA 4D 03 D8 45 8B C3 49 C1 EB 20 4D 03 CB 44 8B D6 48 0F AF F2 4C 0F AF D0 44 8B DF 48 0F AF FA 8B DE 48 C1 EE 20 4C 03 CB 41 8B D9 49 C1 E9 20 4C 03 D6 4D 03 D1 48 C1 E3 20 4C 0B C3 4C 0F AF D8 44 8B 49 08 8B 71 04 8B DF 48 C1 EF 20 4C 03 D3 41 8B DA 49 C1 EA 20 4C 03 DF 4D 03 DA 49 8B F9 4C 0F AF CA 48 0F AF F8 45 8B D1 49 C1 E9 20 4D 03 DA 45 8B D3 49 C1 EB 20 49 03 F9 49 03 FB 4C 8B CE 48 0F AF F2 4C 0F AF C8 49 C1 E2 20 4C 0B D3 8B 01 44 8B DE 48 C1 EE 20 49 03 FB 44 8B DF 48 C1 EF 20 4C 03 CE 4C 03 CF 48 0F AF D0 66 0F C5 D8 03 49 8D BC 24 E0 00 00 00 48 2B CF 03 C9 03 C9 03 C9 83 C1 13 BE 00 80 00 00 23 F3 C1 EB 04 81 E3 FF 07 00 00 81 EB FF 03 00 00 2B CB 4C 03 CA 8B D1 83 C2 20 83 F9 01 0F 8C 89 02 00 00 F7 D9 83 C1 1D 41 D3 E1 41 8B F9 41 81 E1 FF FF FF 1F 41 F7 C1 00 00 00 10 0F 85 93 02 00 00 41 D3 E9 BB 00 00 00 00 49 C1 E1 20 4D 0B CB 49 83 F9 00 0F 84 F4 01 00 00 4D 0F BD D9 B9 1D 00 00 00 41 2B CB 0F 8E 1C 02 00 00 49 D3 E1 49 8B C2 49 D3 E2 03 D1 F7 D9 83 C1 40 48 D3 E8 49 D3 E8 4C 0B C8 4D 0B D0 F2 49 0F 2A C1 49 D1 EA F2 49 0F 2A DA 66 0F 57 E4 C1 E2 04 F7 DA 81 C2 F0 3F 00 00 0B D6 33 D3 66 0F C4 E2 03 F3 41 0F 7E 94 24 D0 00 00 00 F3 41 0F 7E B4 24 D8 00 00 00 66 0F 57 ED 81 EA F0 03 00 00 66 0F C4 EA 03 F2 0F 59 C4 C1 E6 10 C1 FE 1F F2 0F 59 DD F3 0F 7E C8 F2 0F 59 C2 C1 EF 1D F2 0F 58 CB F2 0F 59 DA 03 FE 33 FE F2 0F 59 F1 8B C7 F2 0F 58 F3 F3 0F 7E D0 F2 0F 58 C6 F2 0F 5C D0 F2 0F 58 F2 F3 41 0F 7E 4C 24 70 F2 0F 59 C8 F3 41 0F 7E 94 24 80 00 00 00 F2 0F 2D D1 F2 0F 58 CA F3 41 0F 7E 5C 24 50 F2 0F 5C CA 66 41 0F 28 54 24 40 F2 0F 59 D9 66 0F 14 C9 C1 E0 03 81 C2 00 76 1C 00 F3 0F 7E E0 03 D0 83 E2 3F 66 41 0F 28 6C 24 30 49 8D 84 24 90 01 00 00 C1 E2 05 48 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 41 0F 59 4C 24 60 F2 0F 5C E3 F3 0F 7E 78 08 66 0F 14 C0 F3 0F 7E DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB F3 0F 7E 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 5C CE 66 41 0F 28 74 24 10 F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 41 0F 58 6C 24 20 F2 0F 59 20 66 41 0F 58 34 24 66 0F 59 E8 F3 0F 7E C3 F2 0F 58 58 08 66 0F 59 CF F3 0F 7E FC F2 0F 58 E3 66 0F 58 F5 F3 0F 7E 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F3 0F 7E C4 F2 0F 58 CE F2 0F 58 C1 E9 13 01 00 00 83 C2 40 4D 8B CA 4D 8B D0 49 C7 C0 00 00 00 00 49 83 F9 00 0F 85 F2 FD FF FF 83 C2 40 4D 8B CA 4D 8B D0 49 83 F9 00 0F 85 DF FD FF FF 66 0F 57 C0 66 0F 57 F6 E9 87 FE FF FF 0F 84 FA FD FF FF F7 D9 49 D3 EA 49 8B C1 49 D3 E9 2B D1 F7 D9 83 C1 40 48 D3 E0 4C 0B D0 E9 DD FD FF FF F7 D9 49 C1 E1 20 4D 0B CB 49 D3 E1 49 8B F9 41 F7 C1 00 00 00 80 75 56 41 D3 E9 BB 00 00 00 00 48 C1 EF 03 E9 7C FD FF FF 41 D3 E9 BB 00 00 00 20 D3 EB 49 C1 E1 20 4D 0B CB 48 C1 E3 20 81 C7 00 00 00 20 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 E9 37 FD FF FF 41 D3 E9 48 BB 00 00 00 00 01 00 00 00 48 D3 EB 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 48 C1 EF 03 81 C7 00 00 00 20 E9 F3 FC FF FF F2 0F 5C C0 F2 0F 11 44 24 48 0F 28 74 24 30 0F 28 7C 24 20 F2 0F 10 44 24 48 48 83 C4 58 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_29_1_0 {
	meta:
		name = "__sse2_sin2"
		size = 1216
		refs = "001f MMDPI1 002b MMDINVPI 0033 MMIABSMASK 003b MMDPI2 0043 MMDPI3 004b MMDRSHIFT 005f MMDHUGE 0073 MMDPI4 00a8 MMDA8 00b0 MMDA7 00cc MMDA6 00d4 MMDA5 00e4 MMDA4 00ec MMDA3 00fc MMDA2 0104 MMDA1 014f flAllOnes 015d MMISIGNMASK 0177 TWO_POW_30 01f8 THE_PI02_INV 020d MMI_ONE 0215 MSK_LOW_BIT 021d RS 0231 PI02C_0 023d PI02C_1 024d PI02C_2 027e PI02C_3 02aa PI02C_4"
	strings:
		$1 = { 48 81 EC D8 00 00 00 0F 29 BC 24 C0 00 00 00 0F 29 B4 24 B0 00 00 00 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 D0 66 0F 59 05 ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 58 05 ?? ?? ?? ?? 66 0F 28 D8 66 0F 5C 05 ?? ?? ?? ?? 66 0F 66 3D ?? ?? ?? ?? 66 0F 50 C7 0B C0 0F 85 C9 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E0 66 0F 59 E8 66 0F 59 F0 66 0F 59 F8 66 0F 73 F3 3F 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 28 CA 66 0F 59 D2 66 0F 5C CF 66 0F 28 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 E2 66 0F 59 E4 66 0F 59 D1 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F2 66 0F 59 C1 66 0F 58 F1 66 0F 58 C6 66 0F 57 C3 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 C7 44 24 20 00 00 00 00 66 0F 70 FF F5 66 0F 29 7C 24 30 66 0F 57 3D ?? ?? ?? ?? 66 0F 29 7C 24 40 66 0F 28 3D ?? ?? ?? ?? 66 0F 54 FA 66 0F 29 54 24 50 66 0F 54 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 66 CA 66 0F 50 D1 66 0F 29 7C 24 60 66 0F 29 54 24 70 83 F2 03 0F 85 E0 01 00 00 83 F8 03 74 57 66 0F 28 54 24 50 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E0 66 0F 59 E8 66 0F 59 F0 66 0F 59 F8 66 0F 73 F3 3F 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 54 5C 24 40 66 0F 5C D7 66 0F 54 54 24 40 66 0F 29 9C 24 80 00 00 00 66 0F 29 94 24 90 00 00 00 66 0F 28 54 24 70 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DA 66 0F E6 DB 66 0F 70 DB 10 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 56 C3 66 0F 5C 05 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E0 66 0F 5C D1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 CA 66 0F 5C D4 66 0F 5C CA 66 0F 28 F2 66 0F 5C CC 66 0F 5C D5 66 0F 73 F3 3E 66 0F 5C F2 66 0F 28 FA 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 D1 66 0F 59 E0 66 0F 5C FA 66 0F 28 EA 66 0F 5C D4 66 0F 58 CF 66 0F 5C EA 66 0F 59 05 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C C8 66 0F DB 1D ?? ?? ?? ?? 66 0F 58 D1 66 0F 57 5C 24 60 83 F8 03 74 1E 66 0F 54 54 24 30 66 0F 56 94 24 90 00 00 00 66 0F 54 5C 24 30 66 0F 56 9C 24 80 00 00 00 66 0F 28 CA 66 0F 59 D2 66 0F 28 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 E2 66 0F 59 E4 66 0F 59 D1 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F2 66 0F 59 C1 66 0F 58 F1 66 0F 58 C6 66 0F 57 C3 E9 EA 00 00 00 89 44 24 20 83 F8 03 0F 84 C0 00 00 00 66 0F 28 54 24 50 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E0 66 0F 59 E8 66 0F 59 F0 66 0F 59 F8 66 0F 73 F3 3F 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 28 CA 66 0F 59 D2 66 0F 5C CF 66 0F 28 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 E2 66 0F 59 E4 66 0F 59 D1 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F4 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 C4 66 0F 59 F2 66 0F 59 C1 66 0F 58 F1 66 0F 58 C6 66 0F 57 C3 66 0F 29 84 24 A0 00 00 00 8B 44 24 20 A8 01 75 4B D1 F8 A8 01 75 27 D1 F8 89 44 24 20 66 0F 28 84 24 A0 00 00 00 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 F2 0F 10 44 24 58 89 44 24 20 E8 87 F6 FF FF F2 0F 11 84 24 A8 00 00 00 8B 44 24 20 EB BB F2 0F 10 44 24 50 E8 6D F6 FF FF F2 0F 11 84 24 A0 00 00 00 8B 44 24 20 EB 9B 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "__avx_atanf8"
		size = 208
		refs = "000e __common_satan_data"
	strings:
		$1 = { 48 83 EC 48 C5 7C 11 7C 24 20 C5 FC 10 2D ?? ?? ?? ?? C5 FC 10 15 ?? ?? ?? ?? C5 7C 54 3D ?? ?? ?? ?? C5 FC 54 CD C5 84 C2 C2 12 C4 C1 6C 5F DF C4 C1 6C 5D D7 C5 EC 5E D3 C5 FC 55 25 ?? ?? ?? ?? C5 FC 55 DD C5 DC 57 E1 C5 E4 57 C9 C5 F4 57 DA C5 E4 59 D3 C5 EC 59 CA C5 F4 59 2D ?? ?? ?? ?? C5 74 59 3D ?? ?? ?? ?? C5 D4 58 05 ?? ?? ?? ?? C5 84 58 2D ?? ?? ?? ?? C5 7C 59 F9 C5 D4 59 E9 C5 04 58 3D ?? ?? ?? ?? C5 D4 58 05 ?? ?? ?? ?? C5 84 59 E9 C5 FC 59 C9 C5 D4 58 2D ?? ?? ?? ?? C5 F4 58 0D ?? ?? ?? ?? C5 D4 59 EA C5 D4 58 C1 C5 FC 59 D2 C5 6C 58 3D ?? ?? ?? ?? C5 84 59 DB C5 7C 10 7C 24 20 C5 E4 58 C4 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_33_0_0 {
	meta:
		name = "__common_stan_cout_rare"
		size = 112
	strings:
		$1 = { 48 83 EC 28 33 C0 44 8B 01 44 0F B7 49 02 44 89 44 24 20 41 81 E1 80 7F 00 00 41 C1 E8 18 41 83 E0 7F F3 0F 10 09 41 81 F9 80 7F 00 00 44 88 44 24 23 74 05 48 83 C4 28 C3 81 7C 24 20 00 00 80 7F 75 16 B8 01 00 00 00 66 0F EF C0 F3 0F 59 C8 F3 0F 11 0A 48 83 C4 28 C3 F3 0F 59 C9 F3 0F 11 0A 48 83 C4 28 C3 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_35_0_0 {
	meta:
		name = "_RTC_Initialize"
		size = 74
		refs = "0012 __rtc_iaa 0019 __rtc_izz 002b _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 1D ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? EB 16 48 8B 3B 48 85 FF 74 0A 48 8B CF E8 ?? ?? ?? ?? FF D7 48 83 C3 08 48 3B DE 72 E5 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_35_1_0 {
	meta:
		name = "_RTC_Terminate"
		size = 74
		refs = "0012 __rtc_taa 0019 __rtc_tzz 002b _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 1D ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? EB 16 48 8B 3B 48 85 FF 74 0A 48 8B CF E8 ?? ?? ?? ?? FF D7 48 83 C3 08 48 3B DE 72 E5 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_37_0_0 {
	meta:
		name = "__sse2_asinf4"
		size = 432
		refs = "0036 __common_sasin_data 01a1 __common_sasin_cout_rare"
	strings:
		$1 = { 48 81 EC F8 00 00 00 44 0F 29 BC 24 E0 00 00 00 44 0F 29 A4 24 D0 00 00 00 44 0F 29 94 24 C0 00 00 00 44 0F 28 D0 4C 89 AC 24 F0 00 00 00 4C 8D 6C 24 6F 0F 28 2D ?? ?? ?? ?? 49 83 E5 C0 44 0F 28 FD 41 0F 55 EA 45 0F 54 FA 44 0F 28 25 ?? ?? ?? ?? 41 0F 28 D7 41 0F 59 D4 41 0F 28 DC 0F 28 0D ?? ?? ?? ?? 41 0F 28 E7 41 0F C2 CF 02 41 0F 59 E7 0F 5C DA 0F 50 D1 41 0F 28 D7 0F 28 05 ?? ?? ?? ?? 41 0F C2 D4 05 0F 5D E3 44 0F 52 E3 0F 59 C4 0F 58 DB 41 0F 28 CC 85 D2 41 0F 59 CC 0F 58 05 ?? ?? ?? ?? 44 0F 59 E3 0F 59 D9 0F 28 0D ?? ?? ?? ?? 0F 5C 1D ?? ?? ?? ?? 0F 59 CB 41 0F 59 DC 0F 58 0D ?? ?? ?? ?? 0F 59 CB 0F 28 DC 0F 59 DC 41 0F 5C CC 0F 59 C3 44 0F 28 25 ?? ?? ?? ?? 0F 54 CA 44 0F 59 E4 44 0F 58 25 ?? ?? ?? ?? 41 0F 58 C4 0F 59 C4 0F 58 05 ?? ?? ?? ?? 0F 59 C4 0F 28 E2 41 0F 55 E7 0F 56 E1 0F 59 C4 44 0F 28 3D ?? ?? ?? ?? 0F 58 C4 44 0F 54 FA 41 0F 58 C7 66 0F EF C5 75 2B 44 0F 28 94 24 C0 00 00 00 44 0F 28 A4 24 D0 00 00 00 44 0F 28 BC 24 E0 00 00 00 4C 8B AC 24 F0 00 00 00 48 81 C4 F8 00 00 00 C3 45 0F 29 55 00 41 0F 29 45 40 74 C9 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 45 40 EB 91 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB D7 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_38_1_0 {
	meta:
		name = "__scrt_fastfail"
		size = 325
		refs = "001d IsProcessorFeaturePresent 002b __scrt_debugger_hook_flag 003d memset 0047 __imp_RtlCaptureContext 0061 __imp_RtlLookupFunctionEntry 00a2 __imp_RtlVirtualUnwind 00f6 __imp_IsDebuggerPresent 0117 __imp_SetUnhandledExceptionFilter 0122 __imp_UnhandledExceptionFilter"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D AC 24 40 FB FF FF 48 81 EC C0 05 00 00 8B D9 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 04 8B CB CD 29 83 25 ?? ?? ?? ?? 00 48 8D 4D F0 33 D2 41 B8 D0 04 00 00 E8 ?? ?? ?? ?? 48 8D 4D F0 FF 15 ?? ?? ?? ?? 48 8B 9D E8 00 00 00 48 8D 95 D8 04 00 00 48 8B CB 45 33 C0 FF 15 ?? ?? ?? ?? 48 85 C0 74 3C 48 83 64 24 38 00 48 8D 8D E0 04 00 00 48 8B 95 D8 04 00 00 4C 8B C8 48 89 4C 24 30 4C 8B C3 48 8D 8D E8 04 00 00 48 89 4C 24 28 48 8D 4D F0 48 89 4C 24 20 33 C9 FF 15 ?? ?? ?? ?? 48 8B 85 C8 04 00 00 48 8D 4C 24 50 48 89 85 E8 00 00 00 33 D2 48 8D 85 C8 04 00 00 41 B8 98 00 00 00 48 83 C0 08 48 89 85 88 00 00 00 E8 ?? ?? ?? ?? 48 8B 85 C8 04 00 00 48 89 44 24 60 C7 44 24 50 15 00 00 40 C7 44 24 54 01 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 01 48 8D 44 24 50 48 89 44 24 40 48 8D 45 F0 0F 94 C3 48 89 44 24 48 33 C9 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 75 0A F6 DB 1B C0 21 05 ?? ?? ?? ?? 48 8B 9C 24 D0 05 00 00 48 81 C4 C0 05 00 00 5D C3 }
	condition:
		$1
}

rule file_38_2_0 {
	meta:
		name = "__scrt_get_show_window_mode"
		size = 60
		refs = "0013 memset 001e __imp_GetStartupInfoW"
	strings:
		$1 = { 48 81 EC 98 00 00 00 33 D2 48 8D 4C 24 20 44 8D 42 68 E8 ?? ?? ?? ?? 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? F6 44 24 5C 01 B8 0A 00 00 00 0F B7 4C 24 60 0F 45 C1 48 81 C4 98 00 00 00 C3 }
	condition:
		$1
}

rule file_38_4_0 {
	meta:
		name = "__scrt_is_managed_app"
		size = 84
		refs = "0008 __imp_GetModuleHandleW"
	strings:
		$1 = { 48 83 EC 28 33 C9 FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 04 32 C0 EB 37 B8 4D 5A 00 00 66 39 01 75 F2 48 63 41 3C 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 83 B8 84 00 00 00 0E 76 CF 83 B8 F8 00 00 00 00 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_38_6_0 {
	meta:
		name = "__scrt_unhandled_exception_filter"
		size = 56
		refs = "0033 terminate"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 63 73 6D E0 75 1C 83 78 18 04 75 16 8B 48 20 8D 81 E0 FA 6C E6 83 F8 02 76 0F 81 F9 00 40 99 01 74 07 33 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_39_0_0 {
	meta:
		name = "__avx_tanh4"
		size = 832
		refs = "000a __common_dtanh_data 0334 __common_dtanh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 D0 00 00 00 C5 7C 11 B4 24 F0 01 00 00 C5 7C 11 AC 24 D0 01 00 00 C4 41 09 EF F6 C5 7C 11 A4 24 B0 01 00 00 C5 7C 11 9C 24 90 01 00 00 C5 7C 11 94 24 70 01 00 00 C5 7C 11 8C 24 50 01 00 00 C5 7C 11 84 24 30 01 00 00 C5 FC 11 BC 24 10 01 00 00 C5 FC 11 B4 24 F0 00 00 00 4C 89 AC 24 10 02 00 00 4C 8D 6C 24 6F 49 83 E5 C0 C4 C1 7D 11 45 20 C5 78 10 15 ?? ?? ?? ?? C5 F8 10 1D ?? ?? ?? ?? C5 FD 54 0D ?? ?? ?? ?? C5 7D 54 0D ?? ?? ?? ?? C4 E3 7D 19 C5 01 C5 F8 C6 E5 DD C5 59 DB 2D ?? ?? ?? ?? C5 91 FA 05 ?? ?? ?? ?? C4 41 61 66 C5 C4 41 79 66 FE C4 C1 79 66 E2 C4 C1 79 DB EF C4 43 51 4A D2 40 C5 91 66 15 ?? ?? ?? ?? C4 C1 61 72 D2 0A C4 41 69 EB E0 C5 F9 7E D9 C4 41 78 50 C4 C4 E3 79 16 D8 01 48 63 C9 48 63 C0 C4 C3 79 16 D9 02 C4 C3 79 16 DA 03 4D 63 C9 4D 63 D2 C5 F9 10 14 11 C5 79 10 1C 10 C5 79 10 64 10 10 C5 F9 10 44 10 20 C5 79 10 44 11 10 C5 79 10 7C 11 20 C5 F9 10 5C 11 30 C4 C3 6D 18 34 11 01 C4 43 25 18 14 12 01 C5 F9 10 54 10 30 C4 41 4D 15 D2 C5 F9 10 74 11 40 C4 43 3D 18 6C 11 10 01 C4 C3 05 18 6C 11 20 01 C4 43 65 18 5C 11 30 01 C4 43 1D 18 74 12 10 01 C4 C3 7D 18 64 12 20 01 C4 C3 6D 18 7C 12 30 01 C5 79 10 44 10 40 C4 41 15 14 E6 C4 41 15 15 EE C5 55 14 F4 C5 55 15 FC C5 A5 14 C7 C5 A5 15 EF C5 79 10 5C 11 50 C5 F9 10 7C 10 50 C4 C3 3D 18 54 12 40 01 C4 43 25 18 44 11 50 01 C4 C3 4D 18 5C 11 40 01 C5 E5 14 E2 C5 E5 15 DA C5 F9 10 74 11 60 C4 43 45 18 5C 12 50 01 C4 C1 3D 14 D3 C4 41 3D 15 DB C5 79 10 44 10 60 C4 C3 4D 18 74 11 60 01 C4 43 3D 18 44 12 60 01 C4 C1 4D 14 F8 C5 75 58 C7 C4 C1 25 59 C8 C5 F5 58 CA C4 C1 75 59 D0 C5 ED 58 DB C4 C1 65 59 F0 C5 CD 58 E4 C4 C1 5D 59 F8 C5 C5 58 ED C4 41 55 59 D8 C5 A5 58 C0 C4 C1 7D 59 C0 C4 41 7D 58 FF C4 C1 05 59 C0 C4 41 7D 58 F6 C4 C1 0D 59 C0 C4 41 7D 58 ED C4 C1 15 59 C0 C4 41 7D 58 E4 C4 41 1D 59 C0 C4 41 3D 58 D2 C4 C1 2D 56 C1 45 85 C0 75 6A C5 FC 10 B4 24 F0 00 00 00 C5 FC 10 BC 24 10 01 00 00 C5 7C 10 84 24 30 01 00 00 C5 7C 10 8C 24 50 01 00 00 C5 7C 10 94 24 70 01 00 00 C5 7C 10 9C 24 90 01 00 00 C5 7C 10 A4 24 B0 01 00 00 C5 7C 10 AC 24 D0 01 00 00 C5 7C 10 B4 24 F0 01 00 00 C5 7C 10 BC 24 D0 00 00 00 4C 8B AC 24 10 02 00 00 48 81 C4 18 02 00 00 C3 C4 C1 7D 10 4D 20 C4 C1 7D 11 45 40 C4 C1 7D 11 4D 00 74 82 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 41 8B F0 0F A3 DE 72 1C FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 45 40 E9 50 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D0 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_40_0_0 {
	meta:
		name = "_RTC_Check_2_to_1"
		size = 47
		refs = "0023 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F BF D9 B9 00 FF 00 00 8B C3 23 C1 74 13 3B C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_1_0 {
	meta:
		name = "_RTC_Check_4_to_1"
		size = 50
		refs = "0026 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 8B D9 25 00 FF FF FF 05 00 01 00 00 A9 FF FE FF FF 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_2_0 {
	meta:
		name = "_RTC_Check_4_to_2"
		size = 51
		refs = "0026 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 8B D9 25 00 00 FF FF 05 00 00 01 00 A9 FF FF FE FF 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_3_0 {
	meta:
		name = "_RTC_Check_8_to_1"
		size = 55
		refs = "002b ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 25 00 FF FF FF 48 05 00 01 00 00 48 A9 FF FE FF FF 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_4_0 {
	meta:
		name = "_RTC_Check_8_to_2"
		size = 56
		refs = "002b ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 25 00 00 FF FF 48 05 00 00 01 00 48 A9 FF FF FE FF 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_5_0 {
	meta:
		name = "_RTC_Check_8_to_4"
		size = 76
		refs = "0040 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 B9 00 00 00 00 FF FF FF FF 48 23 C1 48 B9 00 00 00 00 01 00 00 00 48 03 C1 48 B9 FF FF FF FF FE FF FF FF 48 85 C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_48_0_0 {
	meta:
		name = "__sse4_ceilf4"
		size = 16
	strings:
		$1 = { 66 0F 3A 08 C0 02 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_51_0_0 {
	meta:
		name = "__common_datan_cout_rare"
		size = 1568
		refs = "0051 _vmldAtanHATab"
	strings:
		$1 = { 48 83 EC 78 44 0F B7 41 06 41 81 E0 F0 7F 00 00 41 C1 E8 04 44 0F 29 5C 24 50 41 81 F8 FF 07 00 00 0F 29 74 24 60 0F 84 9B 05 00 00 4C 8B 09 4C 89 4C 24 48 49 C1 E9 38 8A 41 07 41 83 E1 7F 44 88 4C 24 4F F2 0F 10 44 24 48 C0 E8 07 66 0F 2F 05 ?? ?? ?? ?? 4C 8B 4C 24 48 0F 82 45 04 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 00 04 00 00 4C 89 4C 24 20 44 0F 28 D8 44 8B 4C 24 24 45 8B D1 41 81 E1 00 00 08 00 41 81 E2 00 00 F0 FF 41 81 C9 00 00 04 00 4C 8D 1D ?? ?? ?? ?? 45 0B D1 C7 44 24 20 00 00 00 00 44 89 54 24 24 F2 0F 10 0D ?? ?? ?? ?? 0F 28 E1 F2 44 0F 5C 5C 24 20 C0 E0 07 F2 41 0F 59 E3 8B 49 04 F2 0F 11 64 24 28 81 E1 FF FF 0F 00 F2 0F 10 54 24 28 41 C1 E0 14 F2 41 0F 5C D3 F2 0F 11 54 24 30 44 0B C1 F2 0F 10 5C 24 28 41 81 C0 00 00 40 C0 F2 0F 10 6C 24 30 41 C1 F8 12 F2 0F 5C DD F2 0F 11 5C 24 28 0F 28 E8 F2 0F 10 74 24 28 41 83 E0 FE F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 5C DE F2 44 0F 11 5C 24 30 F2 0F 10 5C 24 28 F2 0F 10 64 24 30 F2 0F 11 6C 24 28 F2 0F 10 74 24 28 4D 63 C0 F2 0F 5C 74 24 48 F2 0F 11 74 24 30 F2 0F 10 6C 24 28 F2 0F 10 54 24 30 F2 0F 5C EA F2 0F 11 6C 24 28 F2 0F 10 74 24 28 F2 0F 5C C6 F2 0F 11 44 24 30 F2 44 0F 10 5C 24 28 F2 0F 10 44 24 20 F2 0F 10 54 24 30 F2 44 0F 59 D8 F2 0F 59 D0 41 0F 28 EB F2 0F 58 EA F2 0F 11 6C 24 28 F2 0F 10 74 24 28 F2 44 0F 5C DE F2 41 0F 58 D3 F2 0F 11 54 24 30 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 44 24 28 0F 28 F2 F2 0F 10 6C 24 30 F2 0F 58 F0 F2 0F 11 74 24 28 0F 28 F2 F2 44 0F 10 5C 24 28 F2 41 0F 5C F3 F2 0F 11 74 24 30 F2 0F 10 74 24 28 F2 44 0F 10 5C 24 30 F2 41 0F 58 F3 F2 0F 11 74 24 38 0F 28 F2 F2 44 0F 10 5C 24 30 F2 41 0F 58 C3 F2 0F 11 44 24 30 F2 0F 10 44 24 38 F2 0F 5C F0 F2 0F 11 74 24 38 F2 0F 10 74 24 30 F2 44 0F 10 5C 24 38 F2 41 0F 58 F3 F2 0F 11 74 24 38 F2 44 0F 10 5C 24 28 F2 0F 10 44 24 38 F2 0F 58 C5 41 0F 28 EB F2 0F 59 E9 F2 0F 11 6C 24 28 F2 0F 10 74 24 28 F2 41 0F 5C F3 F2 0F 11 74 24 30 F2 0F 10 74 24 28 F2 0F 10 6C 24 30 F2 0F 5C F5 F2 0F 11 74 24 28 F2 0F 10 6C 24 28 F2 44 0F 5C DD F2 44 0F 11 5C 24 30 F2 0F 10 74 24 28 F2 0F 10 6C 24 30 F2 0F 58 E8 0F 28 C2 F2 0F 5E C6 F2 0F 59 C8 F2 0F 11 4C 24 30 F2 0F 10 4C 24 30 F2 0F 5C C8 F2 0F 11 4C 24 38 F2 0F 10 44 24 30 F2 44 0F 10 5C 24 38 F2 41 0F 5C C3 F2 0F 11 44 24 38 F2 0F 10 4C 24 38 F2 0F 59 F1 F2 0F 5C D6 F2 0F 10 74 24 38 F2 0F 59 EE F2 0F 11 6C 24 30 F2 0F 10 6C 24 30 F2 0F 5C D5 F2 0F 11 54 24 30 F2 44 0F 10 5C 24 30 F2 0F 10 74 24 38 F2 0F 10 54 24 30 F2 0F 10 6C 24 38 F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DA F2 44 0F 59 DD 0F 28 EE F2 0F 59 F4 F2 0F 59 EB F2 41 0F 59 DB 41 0F 28 C3 F2 0F 59 C4 F2 44 0F 10 1D ?? ?? ?? ?? F2 0F 58 C6 F2 43 0F 10 14 C3 F2 0F 58 C3 F2 0F 11 44 24 28 0F 28 DD F2 0F 10 74 24 28 0F 28 C2 F2 0F 58 DE F2 0F 11 5C 24 28 F2 0F 10 64 24 28 F2 0F 5C EC F2 0F 58 EE F2 0F 11 6C 24 30 F2 0F 10 5C 24 28 0F 28 EB F2 0F 58 C3 F2 0F 59 EB F2 44 0F 59 DD F2 0F 10 74 24 30 F2 0F 11 44 24 28 F2 0F 10 4C 24 28 F2 44 0F 58 1D ?? ?? ?? ?? F2 0F 5C D1 F2 44 0F 59 DD F2 0F 58 D3 F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 0F 11 54 24 30 F2 0F 10 44 24 28 F2 0F 10 64 24 30 F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 44 0F 58 1D ?? ?? ?? ?? F2 44 0F 59 DD F2 41 0F 59 DB F2 0F 58 DE F2 43 0F 58 5C C3 08 F2 0F 58 DC F2 0F 58 C3 F2 0F 11 44 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 E9 43 01 00 00 F2 0F 10 05 ?? ?? ?? ?? C0 E0 07 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 E9 10 01 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 82 83 00 00 00 0F 28 C8 F2 0F 59 C8 C0 E0 07 F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D0 F2 0F 58 D0 F2 0F 11 54 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 EB 7F 0F B7 4C 24 4E F7 C1 F0 7F 00 00 74 3E F2 0F 10 0D ?? ?? ?? ?? C0 E0 07 F2 0F 58 C8 F2 0F 11 4C 24 28 F2 0F 10 44 24 28 F2 0F 59 44 24 48 F2 0F 11 44 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 EB 34 F2 0F 59 C0 C0 E0 07 F2 0F 11 44 24 28 F2 0F 10 44 24 28 F2 0F 58 44 24 48 F2 0F 11 44 24 40 8A 4C 24 47 80 E1 7F 0A C8 88 4C 24 47 48 8B 44 24 40 48 89 02 0F 28 74 24 60 33 C0 44 0F 28 5C 24 50 48 83 C4 78 C3 F7 41 04 FF FF 0F 00 75 37 83 39 00 75 32 F2 0F 10 05 ?? ?? ?? ?? 8A 49 07 80 E1 80 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 40 8A 44 24 47 24 7F 0A C1 88 44 24 47 4C 8B 44 24 40 4C 89 02 EB AE F2 0F 10 01 F2 0F 58 C0 F2 0F 11 02 EB A0 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_61_0_0 {
	meta:
		name = "__avx_tanhf8"
		size = 768
		refs = "000f __common_stanh_data 02ec __common_stanh_cout_rare"
	strings:
		$1 = { 57 41 56 41 57 48 81 EC 10 02 00 00 4C 8D 1D ?? ?? ?? ?? C5 7C 11 BC 24 E0 01 00 00 C5 7C 11 B4 24 40 01 00 00 C5 7C 11 A4 24 C0 01 00 00 C5 7C 11 9C 24 A0 01 00 00 C5 7C 11 94 24 80 01 00 00 C5 7C 11 8C 24 60 01 00 00 4C 89 AC 24 00 02 00 00 4C 8D AC 24 DF 00 00 00 C5 7C 54 0D ?? ?? ?? ?? 49 83 E5 C0 C5 7C 54 15 ?? ?? ?? ?? C5 F8 10 25 ?? ?? ?? ?? C5 F8 10 0D ?? ?? ?? ?? C5 78 10 25 ?? ?? ?? ?? C5 78 10 3D ?? ?? ?? ?? C5 79 DB DC C4 E3 7D 19 C5 01 C5 A1 66 D1 C5 D1 DB EC C5 D1 66 D9 C5 D9 EF E4 C5 E9 6B CB C4 C1 21 FA D4 C5 71 63 F4 C4 C1 69 66 DF C4 C1 79 D7 FE C4 41 51 FA F4 C5 69 66 E4 C5 89 66 E4 C4 C1 69 DB EC C5 09 DB DC C4 C1 09 66 CF C4 43 51 4A E7 30 C4 43 21 4A FF 10 C4 C1 09 72 D4 0E C4 C1 19 72 D7 0E C4 41 79 7E F7 C5 79 7E E1 C4 43 79 16 F2 01 C4 63 79 16 E2 01 4D 63 FF 4D 63 D2 C4 43 79 16 F1 02 C4 43 79 16 F0 03 48 63 C9 C4 63 79 16 E0 02 48 63 D2 C4 43 79 16 E6 03 4D 63 C9 4D 63 C0 48 63 C0 4D 63 F6 C4 01 79 10 3C 1F C4 81 79 10 2C 1A C4 A1 79 10 1C 19 C4 21 79 10 1C 1A C4 83 05 18 24 19 01 C4 83 55 18 14 18 01 C5 5D 14 F2 C5 DD 15 E2 C4 81 79 10 54 1F 10 C4 A3 65 18 0C 18 01 C4 81 79 10 5C 1A 10 C4 03 25 18 3C 1E 01 C4 41 75 14 E7 C4 C1 75 15 EF C4 21 79 10 7C 19 10 C4 83 65 18 4C 18 10 01 C4 A1 79 10 5C 1A 10 C4 03 6D 18 5C 19 10 01 C5 A5 14 D1 C5 A5 15 C9 C4 23 05 18 7C 18 10 01 C4 03 65 18 5C 1E 10 01 C4 C1 05 14 DB C4 41 05 15 DB C4 41 7C 5A F9 C4 43 7D 19 C9 01 C4 C1 75 59 CF C4 41 7C 5A C9 C5 F5 58 D2 C4 C1 25 59 C9 C4 C1 6D 59 D7 C5 F5 58 DB C5 ED 58 CC C4 C1 65 59 E1 C5 DD 58 D5 C4 C1 75 59 EF C4 41 6D 59 D9 C4 41 55 58 F6 C4 41 25 58 FC C4 41 7D 5A E6 C4 C1 7D 5A CF C4 E3 1D 18 D1 01 C4 C1 6C 56 CA 40 84 FF 75 4F C5 7C 10 8C 24 60 01 00 00 C5 7C 10 94 24 80 01 00 00 C5 7C 10 9C 24 A0 01 00 00 C5 7C 10 A4 24 C0 01 00 00 C5 7C 10 B4 24 40 01 00 00 C5 7C 10 BC 24 E0 01 00 00 4C 8B AC 24 00 02 00 00 C5 FC 28 C1 48 81 C4 10 02 00 00 41 5F 41 5E 5F C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 FF 74 A1 C5 FC 11 B4 24 80 00 00 00 45 33 F6 C5 FC 11 7C 24 60 C5 7C 11 44 24 40 C5 7C 11 6C 24 20 44 0F A3 F7 72 2F 41 FF C6 41 83 FE 20 7C F1 C5 FC 10 B4 24 80 00 00 00 C5 FC 10 7C 24 60 C5 7C 10 44 24 40 C5 7C 10 6C 24 20 C4 C1 7C 10 4D 40 E9 4E FF FF FF C5 F8 77 4B 8D 4C B5 00 4B 8D 54 B5 40 E8 ?? ?? ?? ?? EB BD 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "__guard_check_icall_thunk"
		size = 33
		refs = "0011 __guard_check_icall_fptr"
	strings:
		$1 = { 48 50 51 52 41 50 41 51 48 83 EC 20 48 8B C8 FF 15 ?? ?? ?? ?? 48 83 C4 20 41 59 41 58 5A 59 58 C3 }
	condition:
		$1
}

rule file_63_0_0 {
	meta:
		name = "__vdecl_fmod4"
		size = 107
		refs = "0011 fmod"
	strings:
		$1 = { 48 83 EC 68 C5 FE 7F 44 24 20 C5 FE 7F 4C 24 40 E8 ?? ?? ?? ?? 66 0F D6 44 24 20 F3 0F 7E 44 24 28 F3 0F 7E 4C 24 48 E8 ?? ?? ?? ?? 66 0F D6 44 24 28 F3 0F 7E 44 24 30 F3 0F 7E 4C 24 50 E8 ?? ?? ?? ?? 66 0F D6 44 24 30 F3 0F 7E 44 24 38 F3 0F 7E 4C 24 58 E8 ?? ?? ?? ?? 66 0F D6 44 24 38 C5 FE 6F 44 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_65_0_0 {
	meta:
		name = "__raise_securityfailure"
		size = 52
		refs = "000d __imp_SetUnhandledExceptionFilter 0016 __imp_UnhandledExceptionFilter 001c __imp_GetCurrentProcess 0030 __imp_TerminateProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 FF 15 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 BA 09 04 00 C0 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_1_0 {
	meta:
		name = "__report_gsfailure"
		size = 209
		refs = "000f IsProcessorFeaturePresent 0021 GS_ContextRecord 0026 capture_previous_context 0050 GS_ExceptionRecord 00a2 __security_cookie 00b7 __security_cookie_complement 00c3 GS_ExceptionPointers 00c8 __raise_securityfailure"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B9 02 00 00 00 CD 29 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 44 24 38 48 89 05 ?? ?? ?? ?? 48 8D 44 24 38 48 83 C0 08 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 44 24 40 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 09 04 00 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 B8 08 00 00 00 48 6B C0 00 48 8D 0D ?? ?? ?? ?? 48 C7 04 01 02 00 00 00 B8 08 00 00 00 48 6B C0 00 48 8B 0D ?? ?? ?? ?? 48 89 4C 04 20 B8 08 00 00 00 48 6B C0 01 48 8B 0D ?? ?? ?? ?? 48 89 4C 04 20 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_65_2_0 {
	meta:
		name = "__report_rangecheckfailure"
		size = 19
		refs = "000a __report_securityfailure"
	strings:
		$1 = { 48 83 EC 28 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_3_0 {
	meta:
		name = "__report_securityfailure"
		size = 155
		refs = "000e IsProcessorFeaturePresent 0021 GS_ContextRecord 0026 capture_current_context 0050 GS_ExceptionRecord 008d GS_ExceptionPointers 0092 __raise_securityfailure"
	strings:
		$1 = { 89 4C 24 08 48 83 EC 28 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 08 8B 44 24 30 8B C8 CD 29 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 44 24 28 48 89 05 ?? ?? ?? ?? 48 8D 44 24 28 48 83 C0 08 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 09 04 00 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 B8 08 00 00 00 48 6B C0 00 48 8D 0D ?? ?? ?? ?? 8B 54 24 30 48 89 14 01 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_4_0 {
	meta:
		name = "__report_securityfailureEx"
		size = 270
		refs = "0017 IsProcessorFeaturePresent 002a GS_ContextRecord 002f capture_current_context 0059 GS_ExceptionRecord 0100 GS_ExceptionPointers 0105 __raise_securityfailure"
	strings:
		$1 = { 4C 89 44 24 18 89 54 24 10 89 4C 24 08 48 83 EC 38 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 08 8B 44 24 40 8B C8 CD 29 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 44 24 38 48 89 05 ?? ?? ?? ?? 48 8D 44 24 38 48 83 C0 08 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 09 04 00 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 83 7C 24 48 00 76 10 48 83 7C 24 50 00 75 08 C7 44 24 48 00 00 00 00 83 7C 24 48 0E 76 0A 8B 44 24 48 FF C8 89 44 24 48 8B 44 24 48 FF C0 89 05 ?? ?? ?? ?? B8 08 00 00 00 48 6B C0 00 48 8D 0D ?? ?? ?? ?? 8B 54 24 40 48 89 14 01 C7 44 24 20 00 00 00 00 EB 0A 8B 44 24 20 FF C0 89 44 24 20 8B 44 24 48 39 44 24 20 73 22 8B 44 24 20 8B 4C 24 20 FF C1 8B C9 48 8D 15 ?? ?? ?? ?? 4C 8B 44 24 50 49 8B 04 C0 48 89 04 CA EB CA 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_65_5_0 {
	meta:
		name = "capture_current_context"
		size = 109
		refs = "000f __imp_RtlCaptureContext 0027 __imp_RtlLookupFunctionEntry 005e __imp_RtlVirtualUnwind"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 40 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B BB F8 00 00 00 48 8D 54 24 50 48 8B CF 45 33 C0 FF 15 ?? ?? ?? ?? 48 85 C0 74 32 48 83 64 24 38 00 48 8D 4C 24 58 48 8B 54 24 50 4C 8B C8 48 89 4C 24 30 4C 8B C7 48 8D 4C 24 60 48 89 4C 24 28 33 C9 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_65_6_0 {
	meta:
		name = "capture_previous_context"
		size = 113
		refs = "000d __imp_RtlCaptureContext 0027 __imp_RtlLookupFunctionEntry 005e __imp_RtlVirtualUnwind"
	strings:
		$1 = { 40 53 56 57 48 83 EC 40 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B B3 F8 00 00 00 33 FF 45 33 C0 48 8D 54 24 60 48 8B CE FF 15 ?? ?? ?? ?? 48 85 C0 74 39 48 83 64 24 38 00 48 8D 4C 24 68 48 8B 54 24 60 4C 8B C8 48 89 4C 24 30 4C 8B C6 48 8D 4C 24 70 48 89 4C 24 28 33 C9 48 89 5C 24 20 FF 15 ?? ?? ?? ?? FF C7 83 FF 02 7C B1 48 83 C4 40 5F 5E 5B C3 }
	condition:
		$1
}

rule file_66_0_0 {
	meta:
		name = "__avx_ceil4"
		size = 16
	strings:
		$1 = { C4 E3 7D 09 C0 02 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_68_0_0 {
	meta:
		name = "__sse2_ceilf4"
		size = 96
		refs = "0015 s_dw7f800000_1933_0_1 0029 s_dw4affffff_1933_0_1 0049 s_dwbf800000_1933_0_1"
	strings:
		$1 = { 66 0F 6F C8 F3 0F 5B D0 66 0F 72 E1 1F 66 0F 6F D8 66 0F DB 05 ?? ?? ?? ?? 0F 5B D2 66 0F 6F E9 66 0F 72 F1 1F 66 0F 66 05 ?? ?? ?? ?? 66 0F EB D1 66 0F 6F E3 66 0F DB D8 66 0F DF C2 66 0F EB C3 66 0F 76 E0 66 0F DF 25 ?? ?? ?? ?? 66 0F DF EC 0F 5C C5 C3 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_69_0_0 {
	meta:
		name = "__sse2_floorf4"
		size = 80
		refs = "0006 _2il0floatpacket_4 0010 _2il0floatpacket_5 0037 _2il0floatpacket_6"
	strings:
		$1 = { 0F 28 E0 0F 28 0D ?? ?? ?? ?? 0F 28 E8 0F 28 1D ?? ?? ?? ?? 0F 54 E1 0F 55 C8 0F 28 D3 0F C2 D1 01 0F 58 CB 0F 54 C2 0F 5C CB 0F 56 CC 0F 28 DA 0F C2 E9 01 0F 54 2D ?? ?? ?? ?? 0F 5C CD 0F 55 D9 0F 56 C3 C3 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_70_0_0 {
	meta:
		name = "__avx_asin4"
		size = 656
		refs = "0048 __common_dasin_data 0287 __common_dasin_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 F0 01 00 00 C5 7C 11 94 24 90 01 00 00 C5 7C 11 8C 24 B0 01 00 00 C5 7C 11 84 24 70 01 00 00 C5 FC 11 B4 24 D0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 0F 01 00 00 C5 FD 10 2D ?? ?? ?? ?? 49 83 E5 C0 C5 7D 10 0D ?? ?? ?? ?? C5 55 54 D0 C4 41 2D 59 F9 C5 AD C2 25 ?? ?? ?? ?? 1D C4 41 35 5C FF C4 41 2D C2 C9 15 C4 C1 7D 5A DF C5 55 55 C0 C4 C1 2D 59 EA C4 C1 55 5D EF C4 41 05 58 FF C4 E3 7D 19 E1 01 C5 D8 C6 D1 DD C5 F8 52 E3 C5 F8 50 D2 C5 FC 5A F4 C5 CD 59 CE C5 85 59 F6 C5 85 59 D1 C5 ED 5C 25 ?? ?? ?? ?? C5 DD 59 1D ?? ?? ?? ?? C5 4D 59 FC C5 E5 58 0D ?? ?? ?? ?? C5 F5 59 D4 C5 D5 59 0D ?? ?? ?? ?? C5 ED 58 1D ?? ?? ?? ?? C5 F5 58 0D ?? ?? ?? ?? C5 D5 59 15 ?? ?? ?? ?? C5 E5 59 E4 C5 ED 58 15 ?? ?? ?? ?? C5 DD 58 25 ?? ?? ?? ?? C4 41 5D 59 FF C5 D5 59 25 ?? ?? ?? ?? C5 05 5C FE C5 D5 59 35 ?? ?? ?? ?? C5 CD 58 1D ?? ?? ?? ?? C5 DD 58 35 ?? ?? ?? ?? C5 D5 59 E5 C5 E5 59 DC C5 E5 58 DE C5 F5 59 F4 C5 CD 58 CA C5 DD 59 D4 C5 D5 59 35 ?? ?? ?? ?? C5 E5 59 D2 C5 CD 58 35 ?? ?? ?? ?? C5 ED 58 C9 C5 F5 59 DC C5 D5 59 0D ?? ?? ?? ?? C5 E5 58 D6 C5 F5 58 1D ?? ?? ?? ?? C5 ED 59 E4 C5 DD 58 CB C5 F5 59 ED C4 C3 2D 4B CF 90 C5 55 59 D1 C5 AD 58 D1 C5 35 54 0D ?? ?? ?? ?? C4 C1 6D 58 C9 C4 C1 75 57 C8 85 D2 75 41 C5 FC 10 B4 24 D0 01 00 00 C5 7C 10 84 24 70 01 00 00 C5 7C 10 8C 24 B0 01 00 00 C5 7C 10 94 24 90 01 00 00 C5 7C 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 B1 33 C0 C5 FC 11 BC 24 A0 00 00 00 C5 7C 11 9C 24 80 00 00 00 C5 7C 11 64 24 60 C5 7C 11 6C 24 40 C5 7C 11 74 24 20 48 89 9C 24 C8 00 00 00 8B D8 48 89 B4 24 C0 00 00 00 8B F2 0F A3 DE 72 46 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 A0 00 00 00 C5 7C 10 9C 24 80 00 00 00 C5 7C 10 64 24 60 C5 7C 10 6C 24 40 C5 7C 10 74 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 C8 00 00 00 48 8B B4 24 C0 00 00 00 E9 2C FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB A6 0F 1F 00 }
	condition:
		$1
}

rule file_74_0_0 {
	meta:
		name = "__avx_pow4"
		size = 1216
		refs = "000a __common_dpow_data 04b2 __common_dpow_cout_rare"
	strings:
		$1 = { 48 81 EC 58 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 B0 01 00 00 C5 7C 11 B4 24 90 01 00 00 C5 7C 11 AC 24 70 01 00 00 C5 7C 11 A4 24 50 01 00 00 C5 7C 11 9C 24 30 01 00 00 C5 7C 11 94 24 10 01 00 00 C5 7C 11 8C 24 D0 01 00 00 C5 7C 11 84 24 30 02 00 00 C5 FC 11 BC 24 10 02 00 00 C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 50 02 00 00 4C 8D 6C 24 6F C5 78 10 3D ?? ?? ?? ?? 49 83 E5 C0 C5 F8 10 1D ?? ?? ?? ?? C4 E3 7D 19 C5 01 C5 F8 C6 ED DD C5 50 54 15 ?? ?? ?? ?? C5 29 FE 25 ?? ?? ?? ?? C4 C1 21 72 D4 0A C4 C1 41 72 F3 03 C4 C1 49 72 F3 04 C5 F9 7E F8 C4 C1 79 7E F2 48 63 C0 C4 E3 79 16 F9 01 48 63 C9 C4 C3 79 16 F3 01 C5 7B 10 0C 10 4D 63 D2 4D 63 DB C5 31 16 34 11 C4 E3 79 16 F0 02 C4 E3 79 16 F1 03 C4 C3 79 16 F8 02 48 63 C0 48 63 C9 4D 63 C0 C4 C3 79 16 F9 03 4D 63 C9 C4 41 79 10 9C 12 40 20 00 00 C4 41 79 10 8C 13 40 20 00 00 C5 7D 54 2D ?? ?? ?? ?? C5 15 56 05 ?? ?? ?? ?? C4 41 7B 10 2C 10 C4 41 11 16 14 11 C4 E3 25 18 B4 10 40 20 00 00 01 C4 E3 35 18 BC 11 40 20 00 00 01 C5 4D 14 DF C5 4D 15 CF C5 D1 FA 35 ?? ?? ?? ?? C5 91 72 E6 14 C5 D1 FE 2D ?? ?? ?? ?? C4 43 0D 18 E2 01 C5 11 FE 35 ?? ?? ?? ?? C4 41 79 70 D6 50 C4 C1 79 70 FE FA C4 E3 2D 18 F7 01 C5 4D 54 2D ?? ?? ?? ?? C5 FD 10 35 ?? ?? ?? ?? C4 C1 3D 59 FC C5 15 5C 15 ?? ?? ?? ?? C5 3D 54 F6 C4 41 3D 5C EE C5 45 58 05 ?? ?? ?? ?? C4 41 2D 58 DB C4 41 0D 59 F4 C4 41 15 59 E4 C4 41 25 58 D0 C5 8D 5C FF C5 1D 58 E7 C4 C1 25 5C FA C4 41 2D 58 EC C4 C1 45 58 F8 C4 41 2D 5C DD C4 41 25 58 F4 C5 0D 58 D7 C4 41 3D 58 F4 C4 C1 2D 58 F9 C5 0D 59 05 ?? ?? ?? ?? C5 3D 58 15 ?? ?? ?? ?? C4 41 2D 59 DE C5 25 58 25 ?? ?? ?? ?? C4 41 1D 59 C6 C5 3D 58 0D ?? ?? ?? ?? C4 41 35 59 D6 C5 2D 58 1D ?? ?? ?? ?? C4 41 25 59 E6 C5 1D 58 05 ?? ?? ?? ?? C4 41 3D 59 F6 C5 8D 58 FF C5 15 58 D7 C4 41 2D 5C ED C4 C1 45 5C FD C5 2D 54 EE C4 41 2D 5C E5 C5 75 54 DE C4 C1 25 59 F5 C4 41 75 5C D3 C4 41 25 59 DC C4 41 2D 59 F4 C4 41 2D 59 D5 C4 41 25 58 E6 C4 E3 7D 19 CC 01 C5 F0 C6 D4 DD C4 C1 69 DB D7 C5 F8 10 25 ?? ?? ?? ?? C5 D9 66 E5 C4 C3 7D 19 F0 01 C4 41 48 C6 C8 DD C4 41 31 DB C7 C5 69 66 FB C5 E9 76 DB C5 81 EB EB C5 D9 EB DD C5 FD 10 25 ?? ?? ?? ?? C5 78 10 0D ?? ?? ?? ?? C4 41 39 66 F9 C4 C1 39 76 D1 C5 01 EB C2 C4 41 61 EB C8 C5 CD 58 D4 C4 41 2D 58 FC C4 C1 78 50 C1 C5 F5 59 EF C4 E3 7D 19 D7 01 C5 E8 C6 FF 88 C5 40 54 2D ?? ?? ?? ?? C5 B9 72 F7 0D C4 C1 61 72 F5 04 C4 C1 79 7E D8 C5 ED 5C D4 C5 39 FE 15 ?? ?? ?? ?? C4 41 79 70 CA 50 C4 C3 79 16 DA 02 4D 63 C0 C4 C3 79 16 D9 01 4D 63 D2 C4 E3 79 16 D9 03 4D 63 C9 48 63 C9 C5 CD 5C D2 C5 85 58 F5 C4 41 7B 10 AC 10 80 60 00 00 C4 41 79 70 DA FA C4 41 7B 10 84 12 80 60 00 00 C5 4D 58 D2 C4 41 11 16 B4 11 80 60 00 00 C5 B9 16 9C 11 80 60 00 00 C4 43 35 18 E3 01 C5 9D 54 3D ?? ?? ?? ?? C4 E3 0D 18 DB 01 C5 45 59 FB C5 AD 59 3D ?? ?? ?? ?? C4 41 05 59 EA C5 C5 58 25 ?? ?? ?? ?? C4 C1 5D 59 EA C5 D5 58 35 ?? ?? ?? ?? C4 41 4D 59 C2 C5 3D 58 0D ?? ?? ?? ?? C4 41 35 59 DA C5 25 58 25 ?? ?? ?? ?? C4 41 1D 59 F5 C4 C1 0D 58 D7 85 C0 75 6E C5 FC 10 B4 24 F0 01 00 00 C5 FC 10 BC 24 10 02 00 00 C5 7C 10 84 24 30 02 00 00 C5 7C 10 8C 24 D0 01 00 00 C5 7C 10 94 24 10 01 00 00 C5 7C 10 9C 24 30 01 00 00 C5 7C 10 A4 24 50 01 00 00 C5 7C 10 AC 24 70 01 00 00 C5 7C 10 B4 24 90 01 00 00 C5 7C 10 BC 24 B0 01 00 00 4C 8B AC 24 50 02 00 00 C5 FD 28 C2 48 81 C4 58 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 C4 C1 7D 11 95 80 00 00 00 0F 84 77 FF FF FF 33 D2 48 89 5C 24 28 8B DA 48 89 74 24 20 8B F0 0F A3 DE 72 1F FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 95 80 00 00 00 E9 43 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 4D 8D 84 DD 80 00 00 00 E8 ?? ?? ?? ?? EB C5 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_77_1_0 {
	meta:
		name = "??_Gtype_info@@UEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7type_info@@6B@ 001e ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 18 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_82_0_0 {
	meta:
		name = "__common_dexp_cout_rare"
		size = 880
		refs = "0016 _imldExpHATab"
	strings:
		$1 = { 55 48 83 EC 70 33 C0 4C 8B 01 4C 89 44 24 60 49 C1 E8 30 4C 8B 0D ?? ?? ?? ?? 41 81 E0 F0 7F 00 00 41 C1 E8 04 F2 0F 10 09 41 81 F8 FF 07 00 00 0F 84 02 03 00 00 41 81 F8 CA 03 00 00 0F 8E DF 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 0F 82 B2 02 00 00 66 0F 2F 0D ?? ?? ?? ?? 0F 82 89 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F2 0F 59 C1 F2 0F 11 44 24 50 F2 0F 10 54 24 50 F2 0F 10 05 ?? ?? ?? ?? 4C 89 4C 24 60 F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 54 24 58 0F 28 D1 F2 0F 10 5C 24 58 8B 4C 24 58 44 8B C1 83 E1 3F F2 0F 5C 1D ?? ?? ?? ?? F2 0F 11 5C 24 50 44 8D 14 09 F2 0F 10 64 24 50 8D 4C 09 01 F2 0F 59 25 ?? ?? ?? ?? F2 0F 10 6C 24 50 F2 0F 5C D4 F2 0F 59 2D ?? ?? ?? ?? F2 0F 5C D5 F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 41 C1 E8 06 F2 0F 58 05 ?? ?? ?? ?? 66 0F 2F 0D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 41 8D A8 FF 03 00 00 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 C2 F2 0F 58 C2 F2 43 0F 10 14 D3 F2 41 0F 58 04 CB F2 0F 59 C2 72 76 81 E5 FF 07 00 00 F2 0F 58 C2 81 FD FE 07 00 00 77 2B 49 C1 E9 30 C1 E5 04 41 81 E1 0F 80 FF FF 44 0B CD 66 44 89 4C 24 66 F2 0F 10 4C 24 60 F2 0F 59 C1 F2 0F 11 02 48 83 C4 70 5D C3 FF CD 81 E5 FF 07 00 00 0F B7 4C 24 66 C1 E5 04 81 E1 0F 80 FF FF 0B CD 66 89 4C 24 66 F2 0F 10 4C 24 60 F2 0F 59 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 02 48 83 C4 70 5D C3 41 81 C0 3B 04 00 00 41 81 E0 FF 07 00 00 41 8B C0 0F B7 4C 24 66 C1 E0 04 81 E1 0F 80 FF FF 0B C8 66 89 4C 24 66 41 83 F8 32 F2 0F 10 5C 24 60 F2 0F 59 C3 F2 0F 59 DA 0F 28 CB F2 0F 58 C8 77 11 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 0A E9 CE 00 00 00 F2 0F 11 4C 24 20 F2 0F 10 4C 24 20 F2 0F 5C D9 F2 0F 11 5C 24 28 F2 0F 10 54 24 28 F2 0F 58 C2 F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 30 F2 0F 10 64 24 20 F2 0F 10 5C 24 30 F2 0F 58 E3 F2 0F 11 64 24 38 F2 0F 10 44 24 38 F2 0F 10 6C 24 30 F2 0F 5C C5 F2 0F 11 44 24 40 F2 0F 10 54 24 20 F2 0F 10 4C 24 40 F2 0F 5C D1 F2 0F 11 54 24 48 F2 0F 10 5C 24 28 F2 0F 10 64 24 48 F2 0F 58 E3 F2 0F 11 64 24 48 F2 0F 10 44 24 40 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 44 24 40 F2 0F 10 4C 24 48 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 4C 24 48 F2 0F 10 54 24 40 F2 0F 10 6C 24 48 F2 0F 58 D5 F2 0F 11 12 B8 04 00 00 00 48 83 C4 70 5D C3 F2 0F 10 05 ?? ?? ?? ?? B8 04 00 00 00 F2 0F 59 C0 F2 0F 11 02 48 83 C4 70 5D C3 F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C0 F2 0F 11 02 48 83 C4 70 5D C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 11 02 48 83 C4 70 5D C3 8A 4C 24 67 80 E1 80 80 F9 80 74 0E F2 0F 59 C9 F2 0F 11 0A 48 83 C4 70 5D C3 F7 44 24 64 FF FF 0F 00 75 E8 83 7C 24 60 00 75 E1 4C 89 0A 48 83 C4 70 5D C3 0F 1F 40 00 }
	condition:
		$1
}

rule file_84_0_0 {
	meta:
		name = "__common_scosh_cout_rare"
		size = 1072
		refs = "0030 _vmldCoshHATab"
	strings:
		$1 = { 48 81 EC 88 00 00 00 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 44 0F 29 5C 24 70 41 81 F8 80 7F 00 00 44 0F 29 44 24 50 0F 29 7C 24 60 4C 8B 0D ?? ?? ?? ?? 0F 84 E7 03 00 00 F3 0F 5A 01 F2 0F 11 44 24 40 80 64 24 47 7F 0F B7 4C 24 46 81 E1 F0 7F 00 00 81 F9 90 3C 00 00 0F 8E 92 03 00 00 F2 44 0F 10 5C 24 40 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C3 0F 86 5D 03 00 00 4C 89 4C 24 40 66 44 0F 2F 1D ?? ?? ?? ?? 0F 82 5B 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F2 41 0F 59 C3 F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 20 F2 0F 10 4C 24 20 44 8B 44 24 20 41 8B C8 83 E1 3F F2 0F 5C 0D ?? ?? ?? ?? F2 0F 11 4C 24 28 44 8D 14 09 F2 0F 10 54 24 28 8D 4C 09 01 F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 5C 24 28 F2 44 0F 5C DA F2 0F 59 1D ?? ?? ?? ?? F2 44 0F 5C DB F2 41 0F 59 E3 F2 43 0F 10 0C D3 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E3 41 C1 E8 06 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E3 41 81 C0 FF 03 00 00 41 FF C8 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E3 41 81 E0 FF 07 00 00 41 81 F8 FE 07 00 00 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E3 F2 41 0F 59 E3 F2 41 0F 58 E3 F2 0F 59 E1 F2 41 0F 58 24 CB F2 0F 58 CC 77 2F 49 C1 E9 30 41 C1 E0 04 41 81 E1 0F 80 FF FF 45 0B C8 66 44 89 4C 24 46 F2 0F 10 44 24 40 F2 0F 59 C1 F2 0F 5A C0 F3 0F 11 02 E9 5F 02 00 00 41 FF C8 41 81 E0 FF 07 00 00 0F B7 4C 24 46 41 C1 E0 04 81 E1 0F 80 FF FF 41 0B C8 66 89 4C 24 46 F2 0F 10 44 24 40 F2 0F 59 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5A C9 F3 0F 11 0A E9 1F 02 00 00 F2 0F 10 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? F2 41 0F 59 CB 44 0F B7 4C 24 46 41 81 E1 0F 80 FF FF F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 4C 24 20 F2 0F 10 7C 24 20 44 8B 5C 24 20 45 8B D3 41 C1 EA 06 41 83 E3 3F 41 81 C2 FF 03 00 00 F2 0F 5C 3D ?? ?? ?? ?? F2 0F 11 7C 24 28 41 81 E2 FF 07 00 00 F2 44 0F 10 44 24 28 F2 44 0F 59 05 ?? ?? ?? ?? F2 0F 10 64 24 28 41 8D 4A FF F2 0F 59 25 ?? ?? ?? ?? F2 45 0F 5C D8 F2 44 0F 10 05 ?? ?? ?? ?? 81 E1 FF 07 00 00 C1 E1 04 41 F7 DA 44 0B C9 43 8D 0C 1B 41 83 C2 FC 41 81 E2 FF 07 00 00 F2 44 0F 5C DC 41 0F 28 EB F2 41 0F 59 EB F2 44 0F 59 C5 F2 41 0F 10 24 C8 F7 D9 F2 0F 10 3D ?? ?? ?? ?? 47 8D 44 1B 01 66 44 89 4C 24 46 41 81 E1 0F 80 FF FF 41 C1 E2 04 4C 8D 1D ?? ?? ?? ?? F2 0F 59 FD F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C5 45 0B CA F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 59 FD F2 44 0F 59 C5 F2 41 0F 59 FB F2 0F 10 4C 24 40 4D 8B D3 66 44 89 4C 24 46 44 8D 89 80 00 00 00 81 C1 81 00 00 00 F2 0F 10 44 24 40 F2 43 0F 10 2C C3 4D 8B C3 F2 0F 59 E1 F2 0F 59 E9 F2 43 0F 10 14 CA 0F 28 CC F2 0F 59 D0 F2 41 0F 10 1C C8 F2 0F 58 CA F2 0F 59 D8 F2 0F 11 4C 24 30 0F 28 CC F2 0F 10 44 24 30 F2 0F 5C E2 F2 0F 5C C8 F2 0F 59 FC F2 0F 58 CA 0F 28 D5 F2 0F 11 4C 24 38 F2 0F 5C D3 F2 41 0F 59 D3 F2 44 0F 59 DC F2 0F 58 D3 F2 0F 10 4C 24 30 F2 0F 58 D5 F2 44 0F 59 C1 F2 0F 10 44 24 38 F2 0F 58 D0 F2 0F 58 D7 F2 41 0F 58 D0 F2 41 0F 58 D3 F2 0F 11 54 24 30 F2 44 0F 10 5C 24 30 F2 41 0F 58 CB F2 0F 5A C9 F3 0F 11 0A EB 31 F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C0 F2 0F 5A C0 F3 0F 11 02 EB 16 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 44 24 40 F2 0F 5A C0 F3 0F 11 02 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 5C 24 70 48 81 C4 88 00 00 00 C3 F3 0F 10 01 F3 0F 59 C0 F3 0F 11 02 EB D9 90 }
	condition:
		$1
}

rule file_85_0_0 {
	meta:
		name = "__sse2_cosf4"
		size = 2240
		refs = "001d flAbsMask 0024 MMSPIo2 002f MMSINVPI 003c MMIHUGE 0049 MMSPI1 0054 MMSPI2 006d MMSPI4 0077 MMS05 007e MMSPI3 0099 MMSA9 00a9 MMSA5 00b0 MMSA3 00c3 MMSA7 010c flTwoPow30 012d flAllOnes 01b0 dbInvPio2 01c5 dbiOne 01cd dbRS 01ea PI02C_0 01f6 PI02C_1 0206 PI02C_2 0237 PI02C_3 0263 PI02C_4 0273 dbSignMask 0741 __spec_table"
	strings:
		$1 = { 48 81 EC 18 01 00 00 0F 29 BC 24 F0 00 00 00 0F 29 B4 24 00 01 00 00 0F 28 F0 0F 28 0D ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 66 0F DB C1 0F 28 25 ?? ?? ?? ?? 0F 28 D0 0F 28 F8 0F 28 2D ?? ?? ?? ?? 0F 58 C3 0F 59 C4 0F 28 25 ?? ?? ?? ?? 66 0F 66 FD 0F 28 2D ?? ?? ?? ?? 0F 50 C7 0B C0 0F 85 95 00 00 00 66 0F 5B C0 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 0D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 5C C1 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 28 05 ?? ?? ?? ?? 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 CA 0F 5C CF 0F 59 D2 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 0F 28 B4 24 00 01 00 00 0F 28 BC 24 F0 00 00 00 48 81 C4 18 01 00 00 C3 66 0F DB 35 ?? ?? ?? ?? 0F 28 CE 0F 29 74 24 40 66 0F 66 35 ?? ?? ?? ?? 0F 50 D6 85 D2 0F 85 52 05 00 00 83 F8 0F 0F 84 F2 02 00 00 0F 29 7C 24 50 66 0F EF 3D ?? ?? ?? ?? 0F 29 7C 24 60 66 0F 5B C0 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 0D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 5C C1 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 CA 0F 5C CF 0F 59 D2 66 0F DB 5C 24 60 66 0F DB 4C 24 60 66 0F DB 54 24 60 0F 29 5C 24 70 0F 29 8C 24 80 00 00 00 0F 29 94 24 90 00 00 00 0F 5A 4C 24 40 0F 5A 44 24 48 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D9 66 0F E6 DB 66 0F 70 DB DC 66 0F EB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 29 84 24 A0 00 00 00 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C2 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C8 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C1 66 0F 5C CC 66 0F 5C C1 66 0F 28 F1 66 0F 5C C4 66 0F 5C CD 66 0F 73 F3 3E 66 0F 5C F1 66 0F 28 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 C6 66 0F 58 C8 66 0F 59 E2 66 0F 5C F9 66 0F 28 E9 66 0F 5C CC 66 0F 58 C7 66 0F 5C E9 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 C5 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F DB EB 66 0F 28 9C 24 A0 00 00 00 66 0F 59 1D ?? ?? ?? ?? 66 0F E6 DB 66 0F 58 C1 66 0F 28 8C 24 A0 00 00 00 66 0F EF 2D ?? ?? ?? ?? 66 0F 70 ED DD 66 0F 70 DB DC 66 0F EB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 29 84 24 B0 00 00 00 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C2 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F D6 AC 24 C0 00 00 00 66 0F 5C C8 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C1 66 0F 5C CC 66 0F 5C C1 66 0F 28 F1 66 0F 5C C4 66 0F 5C CD 66 0F 73 F3 3E 66 0F 5C F1 66 0F 28 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 C6 66 0F 58 C8 66 0F 59 E2 66 0F 5C F9 66 0F 28 E9 66 0F 5C CC 66 0F 58 C7 66 0F 5C E9 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 C5 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F DB EB 66 0F 58 C8 66 0F EF 2D ?? ?? ?? ?? 66 0F 5A 94 24 B0 00 00 00 66 0F 70 ED DD 66 0F 5A D9 66 0F 14 D3 F3 0F 7E 9C 24 C0 00 00 00 66 0F 14 DD 0F 28 05 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 CA 0F 59 D2 66 0F DB 5C 24 50 66 0F DB 4C 24 50 66 0F DB 54 24 50 66 0F EB 5C 24 70 66 0F EB 8C 24 80 00 00 00 66 0F EB 94 24 90 00 00 00 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 E9 0B 03 00 00 66 0F 70 C1 EE 0F 5A C9 0F 5A C0 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 D9 66 0F 59 F0 66 0F E6 DB 66 0F E6 F6 66 0F 70 DB DC 66 0F 70 F6 DC 66 0F EB 1D ?? ?? ?? ?? 66 0F EB 35 ?? ?? ?? ?? 66 0F 29 B4 24 D0 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 29 84 24 A0 00 00 00 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C2 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C8 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C1 66 0F 5C CC 66 0F 5C C1 66 0F 28 F1 66 0F 5C C4 66 0F 5C CD 66 0F 73 F3 3E 66 0F 5C F1 66 0F 28 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 C6 66 0F 58 C8 66 0F 59 E2 66 0F 5C F9 66 0F 28 E9 66 0F 5C CC 66 0F 58 C7 66 0F 5C E9 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 C5 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F DB EB 66 0F 58 C1 66 0F 28 8C 24 A0 00 00 00 66 0F EF 2D ?? ?? ?? ?? 66 0F 70 ED DD 66 0F 28 9C 24 D0 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 94 24 D0 00 00 00 66 0F 29 84 24 B0 00 00 00 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C2 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F D6 AC 24 C0 00 00 00 66 0F 5C C8 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C1 66 0F 5C CC 66 0F 5C C1 66 0F 28 F1 66 0F 5C C4 66 0F 5C CD 66 0F 73 F3 3E 66 0F 5C F1 66 0F 28 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 C6 66 0F 58 C8 66 0F 59 E2 66 0F 5C F9 66 0F 28 E9 66 0F 5C CC 66 0F 58 C7 66 0F 5C E9 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 C5 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F 5A 94 24 B0 00 00 00 66 0F DB EB 66 0F 58 C8 66 0F 5A D9 66 0F EF 2D ?? ?? ?? ?? 66 0F 14 D3 0F 28 05 ?? ?? ?? ?? 0F 28 CA 0F 59 D2 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 05 ?? ?? ?? ?? 66 0F 70 ED DD 0F 59 C2 F3 0F 7E 9C 24 C0 00 00 00 0F 59 C1 66 0F 14 DD 0F 58 C1 66 0F EF C3 E9 B4 00 00 00 83 F8 0F 0F 84 85 00 00 00 66 0F 5B C0 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 0D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 5C C1 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 CA 0F 5C CF 0F 59 D2 0F 28 05 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 0F 29 84 24 E0 00 00 00 89 44 24 20 8B 44 24 20 45 33 C9 A8 01 75 2F 49 FF C1 D1 F8 89 44 24 20 49 83 F9 04 7C ED 0F 28 84 24 E0 00 00 00 0F 28 B4 24 00 01 00 00 0F 28 BC 24 F0 00 00 00 48 81 C4 18 01 00 00 C3 42 8B 44 8C 40 48 8D 15 ?? ?? ?? ?? 89 44 24 28 48 89 54 24 30 F3 0F 10 44 24 28 4C 8B 44 24 30 0F 28 C8 66 0F 7E C1 0F 5A C9 F2 41 0F 10 90 10 05 00 00 81 E1 FF FF FF 7F 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 0F 84 0E 01 00 00 C1 E9 17 81 E9 8E 00 00 00 81 E1 F8 FF 00 00 F2 41 0F 10 9C 48 10 04 00 00 F2 41 0F 10 AC 48 18 04 00 00 F2 41 0F 10 90 50 05 00 00 66 0F 57 E4 B8 38 43 00 00 66 0F C4 E0 03 66 0F 54 D3 66 0F 73 F3 28 F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 CD F2 0F 10 C2 F2 0F 58 D3 F2 0F 10 EA F2 0F 5C C2 F2 0F 58 D4 F2 0F 58 D8 66 0F 7E D1 F2 0F 5C D4 F2 0F 58 CB B8 80 01 00 00 F2 41 0F 10 A0 40 05 00 00 F2 0F 5C EA 03 C9 8B D1 C1 E1 18 C1 F9 1F 23 C2 03 D1 33 D1 F2 0F 58 CD 81 E2 FE 00 00 00 F2 41 0F 10 1C D0 F2 41 0F 10 80 48 05 00 00 66 0F 70 D1 44 F2 0F 59 C9 F2 41 0F 10 6C D0 08 8B C8 81 E1 00 01 00 00 C1 E1 17 F2 0F 59 DA 66 0F 6E D1 F2 0F 5C C1 05 80 00 00 00 25 00 01 00 00 C1 E0 17 F2 0F 5C E1 66 0F 73 F2 20 66 0F 6E C8 66 0F 57 E2 F2 0F 59 C5 F2 0F 59 DC 66 0F 73 F1 20 66 0F 57 C1 F2 0F 58 C3 66 0F 5A C0 EB 04 F3 0F 5C C0 F3 0F 11 44 24 24 8B 44 24 24 42 89 84 8C E0 00 00 00 8B 44 24 20 E9 57 FE FF FF 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_87_1_0 {
	meta:
		name = "_guard_icall_checks_enforced"
		size = 23
		refs = "0003 __guard_check_icall_fptr 000a _guard_check_icall_nop"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 33 C0 48 3B CA 0F 95 C0 C3 }
	condition:
		$1
}

rule file_95_0_0 {
	meta:
		name = "__common_scos_cout_rare"
		size = 112
		altNames = "__common_ssin_cout_rare"
	strings:
		$1 = { 48 83 EC 28 44 8B 01 0F B7 41 02 44 89 44 24 20 25 80 7F 00 00 41 C1 E8 18 41 83 E0 7F F3 0F 10 09 3D 80 7F 00 00 75 34 44 88 44 24 23 81 7C 24 20 00 00 80 7F 75 16 B8 01 00 00 00 66 0F EF C0 F3 0F 59 C8 F3 0F 11 0A 48 83 C4 28 C3 F3 0F 59 C9 33 C0 F3 0F 11 0A 48 83 C4 28 C3 33 C0 48 83 C4 28 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_96_0_0 {
	meta:
		name = "__sse4_ceil2"
		size = 16
	strings:
		$1 = { 66 0F 3A 09 C0 02 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_97_0_0 {
	meta:
		name = "__avx_acos4"
		size = 672
		refs = "0048 __common_dacos_data 0296 __common_dacos_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 D0 01 00 00 C5 7C 11 B4 24 90 01 00 00 C5 7C 11 84 24 70 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 0F 01 00 00 C5 7D 10 35 ?? ?? ?? ?? 49 83 E5 C0 C5 FD 10 2D ?? ?? ?? ?? C5 8D 56 F8 C5 45 59 FD C5 45 59 C7 C5 C5 C2 25 ?? ?? ?? ?? 12 C5 85 58 ED C5 FD 5A D5 C5 3D 5D C5 C5 F8 52 F2 C5 3D C2 FD 15 C5 D5 58 ED C5 0D 54 F0 C4 E3 7D 19 E1 01 C5 D8 C6 D9 DD C5 FC 5A E6 C5 F8 50 D3 C5 DD 59 CC C5 D5 59 F4 C5 D5 59 D9 C5 E5 5C 25 ?? ?? ?? ?? C5 DD 59 15 ?? ?? ?? ?? C5 CD 59 EC C5 ED 58 0D ?? ?? ?? ?? C5 F5 59 DC C5 BD 59 0D ?? ?? ?? ?? C5 E5 58 15 ?? ?? ?? ?? C5 F5 58 1D ?? ?? ?? ?? C5 ED 59 E4 C5 BD 59 15 ?? ?? ?? ?? C5 DD 58 25 ?? ?? ?? ?? C5 ED 58 0D ?? ?? ?? ?? C5 BD 59 15 ?? ?? ?? ?? C5 DD 59 ED C4 C1 3D 59 E0 C5 ED 58 15 ?? ?? ?? ?? C5 CD 5C ED C5 BD 59 35 ?? ?? ?? ?? C4 E3 45 4B FD F0 C5 CD 58 35 ?? ?? ?? ?? C5 CD 59 F4 C5 CD 58 DB C5 F5 59 F4 C5 CD 58 CA C5 DD 59 D4 C5 BD 59 35 ?? ?? ?? ?? C5 E5 59 DA C5 CD 58 35 ?? ?? ?? ?? C5 E5 58 C9 C5 F5 59 D4 C5 ED 58 DE C5 BD 59 35 ?? ?? ?? ?? C5 E5 59 E4 C5 CD 58 35 ?? ?? ?? ?? C5 DD 58 CE C4 C1 75 59 F0 C4 C1 7D C2 C8 11 C4 C1 45 57 EE C5 CD 59 F5 C5 05 54 05 ?? ?? ?? ?? C5 BD 54 D9 C5 85 55 15 ?? ?? ?? ?? C5 ED 58 E3 C5 CD 58 CD C5 DD 58 C9 85 D2 75 41 C5 FC 10 B4 24 F0 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 84 24 70 01 00 00 C5 7C 10 B4 24 90 01 00 00 C5 7C 10 BC 24 D0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 B1 33 C0 C5 7C 11 8C 24 A0 00 00 00 C5 7C 11 94 24 80 00 00 00 C5 7C 11 5C 24 60 C5 7C 11 64 24 40 C5 7C 11 6C 24 20 48 89 9C 24 C8 00 00 00 8B D8 48 89 B4 24 C0 00 00 00 8B F2 0F A3 DE 72 46 FF C3 83 FB 20 7C F4 C5 7C 10 8C 24 A0 00 00 00 C5 7C 10 94 24 80 00 00 00 C5 7C 10 5C 24 60 C5 7C 10 64 24 40 C5 7C 10 6C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 C8 00 00 00 48 8B B4 24 C0 00 00 00 E9 2C FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB A6 0F 1F 40 00 }
	condition:
		$1
}

rule file_98_0_0 {
	meta:
		name = "__common_sasin_cout_rare"
		size = 2784
		refs = "007b _vmldASinHATab"
	strings:
		$1 = { 55 48 81 EC D0 00 00 00 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 F3 0F 10 09 41 81 F8 80 7F 00 00 44 0F 29 BC 24 A0 00 00 00 44 0F 29 B4 24 B0 00 00 00 44 0F 29 AC 24 C0 00 00 00 44 0F 29 5C 24 60 44 0F 29 54 24 70 44 0F 29 8C 24 80 00 00 00 44 0F 29 84 24 90 00 00 00 0F 84 63 0A 00 00 F3 0F 5A C1 F2 0F 11 44 24 38 80 64 24 3F 7F F2 44 0F 10 54 24 38 F2 44 0F 10 2D ?? ?? ?? ?? 4C 8B 0D ?? ?? ?? ?? 66 45 0F 2F EA 0F 82 DF 09 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C2 0F 86 27 04 00 00 66 44 0F 2F 15 ?? ?? ?? ?? 0F 86 85 03 00 00 F2 44 0F 10 35 ?? ?? ?? ?? 41 0F 28 E2 F2 41 0F 59 E6 45 0F 28 CA F2 0F 11 64 24 28 45 0F 28 DA F2 44 0F 10 6C 24 28 41 0F 28 DE F2 44 0F 5C 6C 24 38 F2 44 0F 11 6C 24 20 F2 44 0F 10 44 24 28 F2 0F 10 4C 24 20 F2 44 0F 5C C1 F2 44 0F 11 44 24 28 F2 0F 10 54 24 28 F2 44 0F 5C CA F2 44 0F 11 4C 24 20 F2 0F 10 6C 24 28 0F 28 D5 F2 44 0F 58 DD F2 0F 59 D5 F2 44 0F 10 7C 24 20 0F 28 C2 F2 45 0F 59 DF F2 0F 59 DA F2 41 0F 58 C3 F2 44 0F 10 0D ?? ?? ?? ?? F2 44 0F 59 C8 F2 0F 11 5C 24 28 F2 0F 10 64 24 28 F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 5C E2 F2 44 0F 59 C8 F2 0F 11 64 24 20 F2 0F 10 4C 24 28 F2 44 0F 10 6C 24 20 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 5C CD F2 44 0F 59 C8 F2 0F 11 4C 24 28 F2 44 0F 10 44 24 28 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 5C D0 F2 44 0F 59 C8 F2 0F 11 54 24 20 45 0F 28 C2 F2 0F 10 64 24 28 F2 0F 10 5C 24 20 F2 44 0F 59 FC F2 44 0F 58 0D ?? ?? ?? ?? F2 44 0F 58 DB F2 0F 59 EC F2 44 0F 59 C8 F2 45 0F 59 C3 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 58 C7 F2 44 0F 59 C8 45 0F 28 FE F2 44 0F 58 0D ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 59 C8 F2 44 0F 11 7C 24 28 F2 44 0F 10 6C 24 28 F2 44 0F 5C ED F2 44 0F 58 0D ?? ?? ?? ?? F2 44 0F 11 6C 24 20 44 0F 28 ED F2 0F 10 54 24 28 F2 41 0F 58 E8 F2 44 0F 59 C8 F2 44 0F 59 DD F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 10 4C 24 20 F2 44 0F 59 C8 F2 0F 5C D1 F2 0F 11 54 24 28 F2 0F 10 5C 24 28 F2 44 0F 5C EB 0F 28 DC F2 44 0F 58 0D ?? ?? ?? ?? F2 44 0F 11 6C 24 20 F2 0F 10 4C 24 28 F2 0F 10 54 24 20 44 0F 28 FA F2 0F 59 D9 F2 45 0F 58 F8 F2 44 0F 59 C8 F2 41 0F 59 E7 F2 44 0F 59 F3 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 58 E3 F2 44 0F 59 C8 F2 44 0F 11 74 24 28 44 0F 28 EB F2 44 0F 10 5C 24 28 F2 44 0F 5C DB F2 0F 58 DC F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 59 C3 F2 44 0F 11 5C 24 20 F2 44 0F 10 5C 24 28 F2 44 0F 10 74 24 20 F2 44 0F 59 C8 F2 45 0F 5C DE F2 44 0F 11 5C 24 28 F2 44 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 59 DD F2 0F 59 C3 F2 0F 10 2D ?? ?? ?? ?? F2 44 0F 58 D8 F2 0F 59 CD F2 44 0F 59 C5 F2 0F 59 D5 F2 45 0F 58 D9 F2 44 0F 10 74 24 28 41 0F 28 C2 F2 45 0F 5C EE F2 0F 58 C1 F2 45 0F 58 D8 F2 44 0F 11 6C 24 20 F2 44 0F 58 DA F2 44 0F 10 74 24 28 F2 44 0F 10 6C 24 20 F2 0F 11 44 24 28 F2 0F 10 54 24 28 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 5C D2 F2 0F 59 E0 F2 44 0F 59 F0 F2 41 0F 59 C5 F2 44 0F 58 D1 F2 44 0F 11 54 24 20 F2 0F 10 4C 24 28 F2 44 0F 10 54 24 20 F2 45 0F 58 DA F2 44 0F 58 DC 0F 28 E1 F2 41 0F 58 E6 F2 44 0F 58 D8 F2 0F 11 64 24 28 F2 44 0F 10 54 24 28 F2 41 0F 5C CA F2 41 0F 58 CE F2 0F 11 4C 24 20 F2 0F 10 5C 24 28 F2 0F 10 54 24 20 8A 49 03 F2 44 0F 58 DA 80 E1 80 F2 44 0F 58 DB F2 44 0F 11 5C 24 30 40 8A 6C 24 37 40 80 E5 7F 40 0A E9 40 88 6C 24 37 F2 0F 5A 6C 24 30 F3 0F 11 2A E9 49 06 00 00 66 44 0F 2F 15 ?? ?? ?? ?? 72 44 F2 45 0F 58 D5 F2 44 0F 11 54 24 28 F2 0F 10 44 24 28 F2 0F 59 44 24 38 F2 0F 11 44 24 30 40 8A 6C 24 37 8A 49 03 40 80 E5 7F 80 E1 80 40 0A E9 40 88 6C 24 37 F2 0F 5A 4C 24 30 F3 0F 11 0A E9 FA 05 00 00 F2 45 0F 59 D2 F2 44 0F 11 54 24 28 F2 0F 10 44 24 28 8A 49 03 80 E1 80 F2 0F 58 44 24 38 F2 0F 11 44 24 30 40 8A 6C 24 37 40 80 E5 7F 40 0A E9 40 88 6C 24 37 F2 0F 5A 4C 24 30 F3 0F 11 0A E9 B6 05 00 00 4D 8B D1 F2 45 0F 5C EA F2 41 0F 59 C5 F2 0F 11 44 24 38 44 0F B7 44 24 3E 41 81 E0 F0 7F 00 00 41 C1 E8 04 41 81 C0 01 FC FF FF 45 8B D8 41 8B E8 41 F7 DB 41 81 C3 FF 03 00 00 49 C1 EA 30 41 81 E3 FF 07 00 00 41 C1 E3 04 41 81 E2 0F 80 FF FF 4C 89 4C 24 40 45 0B D3 66 44 89 54 24 46 83 E5 01 F2 44 0F 10 44 24 40 44 8B DD F2 41 0F 59 C0 0F 28 E8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 E8 F2 44 0F 10 15 ?? ?? ?? ?? 75 03 0F 28 E8 F2 44 0F 59 D5 F2 0F 58 C2 F2 0F 11 44 24 48 45 0F 28 CA 44 8B 54 24 48 44 2B C5 41 C1 E3 08 41 81 E2 FF 01 00 00 45 03 D3 F2 44 0F 5C CD 4C 8D 1D ?? ?? ?? ?? F2 44 0F 11 4C 24 20 44 0F 28 CD F2 0F 10 5C 24 20 F2 44 0F 10 05 ?? ?? ?? ?? F2 44 0F 5C D3 F2 43 0F 10 04 D3 41 0F 28 CA 0F 28 E0 F2 45 0F 5C CA F2 0F 59 E0 F2 44 0F 59 D0 F2 0F 59 CC F2 41 0F 59 E1 F2 0F 5C 0D ?? ?? ?? ?? 41 D1 E8 F2 0F 58 CC F2 44 0F 59 C1 41 81 C0 FF 03 00 00 4C 89 4C 24 50 41 81 E0 FF 07 00 00 49 C1 E9 30 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 41 81 E1 0F 80 FF FF 41 C1 E0 04 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 45 0B C8 66 44 89 4C 24 56 F2 0F 10 5C 24 50 F2 44 0F 59 D3 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 F2 44 0F 10 35 ?? ?? ?? ?? F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 58 35 ?? ?? ?? ?? F2 44 0F 59 C1 F2 45 0F 59 F5 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 C1 F2 0F 10 0D ?? ?? ?? ?? F2 44 0F 59 C0 F2 41 0F 59 C1 F2 44 0F 59 C5 44 0F 28 C9 F2 44 0F 58 C0 F2 45 0F 59 CA F2 44 0F 59 C3 F2 44 0F 11 4C 24 28 F2 44 0F 10 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 0F 10 54 24 28 F2 0F 10 1D ?? ?? ?? ?? F2 41 0F 5C D2 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 0F 11 54 24 20 0F 28 D3 F2 0F 10 6C 24 28 F2 0F 10 64 24 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C EC F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 CD F2 41 0F 58 D6 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 59 D5 F2 45 0F 59 CD F2 0F 11 6C 24 28 0F 28 E9 F2 44 0F 10 5C 24 28 0F 28 E0 F2 41 0F 59 ED F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 5C D3 F2 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 CD F2 0F 58 E2 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 44 0F 11 54 24 20 F2 44 0F 10 54 24 28 F2 44 0F 10 7C 24 20 F2 0F 11 6C 24 28 F2 45 0F 58 C7 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 44 0F 10 5C 24 28 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 5C DD F2 45 0F 59 CD F2 44 0F 11 5C 24 20 44 0F 28 D9 F2 0F 10 54 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 58 0D ?? ?? ?? ?? F2 41 0F 5C D7 F2 45 0F 59 CD F2 0F 11 54 24 28 F2 44 0F 10 74 24 28 F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 CD F2 45 0F 59 CD F2 45 0F 59 CD F2 41 0F 58 E1 F2 44 0F 59 C4 41 0F 28 E5 F2 41 0F 5C E6 F2 0F 11 64 24 20 F2 44 0F 10 74 24 28 41 0F 28 EE 41 0F 28 E6 F2 41 0F 59 EE F2 41 0F 58 E5 F2 44 0F 59 F3 F2 44 0F 59 DD F2 0F 10 54 24 20 F2 44 0F 11 5C 24 28 F2 44 0F 10 7C 24 28 F2 0F 59 E2 F2 44 0F 5C FD F2 0F 59 DA F2 44 0F 11 7C 24 20 F2 44 0F 10 7C 24 28 F2 44 0F 10 5C 24 20 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C FB F2 41 0F 59 D5 F2 44 0F 11 7C 24 28 45 0F 28 FE F2 44 0F 10 5C 24 28 F2 41 0F 5C EB F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 6C 24 20 F2 44 0F 10 5C 24 28 F2 44 0F 59 1D ?? ?? ?? ?? F2 41 0F 59 D5 F2 45 0F 58 FB F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 6C 24 20 F2 41 0F 58 D1 F2 0F 58 EC F2 41 0F 59 D2 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 28 F2 44 0F 11 5C 24 48 F2 45 0F 5C F7 F2 45 0F 58 F3 F2 44 0F 11 74 24 20 44 0F 28 F0 F2 44 0F 10 7C 24 28 F2 44 0F 10 5C 24 20 F2 45 0F 58 F7 F2 44 0F 11 74 24 28 F2 44 0F 10 74 24 28 F2 41 0F 5C C6 F2 41 0F 58 C7 F2 0F 11 44 24 20 F2 44 0F 10 74 24 28 F2 41 0F 59 CE F2 44 0F 10 7C 24 20 F2 0F 11 4C 24 28 F2 0F 10 4C 24 28 F2 41 0F 5C CE F2 0F 11 4C 24 20 F2 0F 10 4C 24 28 F2 0F 10 44 24 20 F2 0F 5C C8 F2 0F 11 4C 24 28 F2 0F 10 44 24 28 F2 44 0F 5C F0 F2 44 0F 11 74 24 20 F2 0F 10 44 24 28 F2 44 0F 10 74 24 20 F2 45 0F 58 F3 F2 45 0F 58 F7 F2 44 0F 58 F3 F2 44 0F 58 F5 F2 45 0F 59 F2 F2 44 0F 59 D0 F2 45 0F 58 C6 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 58 C2 44 0F 28 E8 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C EA F2 41 0F 5C D0 F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 28 F2 41 0F 5C C5 F2 41 0F 5C C2 F2 0F 11 44 24 20 F2 0F 10 5C 24 28 F2 0F 10 4C 24 20 8A 49 03 F2 0F 58 D1 80 E1 80 F2 0F 58 DA F2 0F 11 5C 24 30 40 8A 6C 24 37 40 80 E5 7F 40 0A E9 40 88 6C 24 37 F2 0F 5A 64 24 30 F3 0F 11 22 EB 11 B8 01 00 00 00 F3 0F 5C C9 F3 0F 5E C9 F3 0F 11 0A 44 0F 28 84 24 90 00 00 00 44 0F 28 8C 24 80 00 00 00 44 0F 28 54 24 70 44 0F 28 5C 24 60 44 0F 28 AC 24 C0 00 00 00 44 0F 28 B4 24 B0 00 00 00 44 0F 28 BC 24 A0 00 00 00 48 81 C4 D0 00 00 00 5D C3 F3 0F 5E C9 F3 0F 11 0A BA 01 00 00 00 33 C0 F7 01 FF FF 7F 00 0F 44 C2 EB A4 0F 1F 00 }
	condition:
		$1
}

rule file_100_0_0 {
	meta:
		name = "__GSHandlerCheck_EH"
		size = 127
		refs = "0034 __GSHandlerCheckCommon 0060 __CxxFrameHandler3"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B 59 38 48 8B F2 4D 8B F0 48 8B E9 49 8B D1 48 8B CE 49 8B F9 4C 8D 43 04 E8 ?? ?? ?? ?? 8B 45 04 24 66 F6 D8 B8 01 00 00 00 45 1B C0 41 F7 D8 44 03 C0 44 85 43 04 74 11 4C 8B CF 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "__mpx_init_static_rep"
		size = 55
	strings:
		$1 = { 48 85 C9 F2 74 30 48 85 D2 F2 74 2A 4C 8D 41 08 49 8B 08 49 8B 40 08 4D 8D 40 18 48 2B C1 F3 0F 1B 44 01 FF 49 8B 48 E0 48 8B 01 0F 1B 04 01 48 83 EA 01 F2 75 DA C3 }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "__avx_floor4"
		size = 16
	strings:
		$1 = { C4 E3 7D 09 C0 01 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_105_0_0 {
	meta:
		name = "__chkstk2"
		size = 63
	strings:
		$1 = { 41 50 41 51 4D 33 C9 4C 8D 44 24 18 4C 2B C0 4D 0F 42 C1 65 4C 8B 0C 25 10 00 00 00 4D 3B C1 F2 73 17 66 41 81 E0 00 F0 4D 8D 89 00 F0 FF FF 41 C6 01 00 4D 3B C1 F2 75 EF 41 59 41 58 F2 C3 }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "?__scrt_initialize_thread_safe_statics@@YAHXZ"
		size = 286
		refs = "0015 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 001f __vcrt_InitializeCriticalSectionEx 0026 ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 002c __imp_GetModuleHandleW 003f ??_C@_0BM@HLJJNPAH@InitializeConditionVariable?$AA@ 0048 __imp_GetProcAddress 004f ??_C@_0BJ@JEBJOJFJ@SleepConditionVariableCS?$AA@ 0062 ??_C@_0BJ@PGPPEPCC@WakeAllConditionVariable?$AA@ 0087 ?_Tss_event@@3PEAXEA 0090 _guard_check_icall 0097 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 00a0 __security_cookie 00bf ?encoded_sleep_condition_variable_cs@@3P6AHPEAU_RTL_CONDITION_VARIABLE@@PEAU_RTL_CRITICAL_SECTION@@K@ZEA 00c6 ?encoded_wake_all_condition_variable@@3P6AXPEAU_RTL_CONDITION_VARIABLE@@@ZEA 00cd ?__scrt_uninitialize_thread_safe_statics@@YAXXZ 00d2 atexit 00f6 __imp_CreateEventW 010e __scrt_fastfail"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 45 33 C0 48 8D 0D ?? ?? ?? ?? BA A0 0F 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 CC 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 8B F0 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 8B F8 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 F6 74 6E 48 85 FF 74 69 48 85 C0 74 64 48 83 25 ?? ?? ?? ?? 00 48 8B CE E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF D6 48 8B 15 ?? ?? ?? ?? B9 40 00 00 00 8B C2 83 E0 3F 2B C8 48 D3 CF 48 33 FA 48 D3 CB 48 33 DA 48 89 3D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 5C 24 30 33 C0 48 8B 74 24 38 48 83 C4 20 5F C3 45 33 C9 45 33 C0 33 C9 41 8D 51 01 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 C4 EB 0B B9 07 00 00 00 E8 ?? ?? ?? ?? CC B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_108_1_0 {
	meta:
		name = "??$__crt_fast_decode_pointer@P6AHPEAU_RTL_CONDITION_VARIABLE@@PEAU_RTL_CRITICAL_SECTION@@K@Z@@YAP6AHPEAU_RTL_CONDITION_VARIABLE@@PEAU_RTL_CRITICAL_SECTION@@K@ZQ6AH01K@Z@Z"
		size = 22
		refs = "0003 __security_cookie"
		altNames = "??$__crt_fast_decode_pointer@P6AXPEAU_RTL_CONDITION_VARIABLE@@@Z@@YAP6AXPEAU_RTL_CONDITION_VARIABLE@@@ZQ6AX0@Z@Z ??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_decode_pointer@PEAP6AXXZ@@YAPEAP6AXXZQEAP6AXXZ@Z ??$__crt_fast_decode_pointer@PEAX@@YAPEAXQEAX@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8B D1 8B C8 48 33 C2 83 E1 3F 48 D3 C8 C3 }
	condition:
		$1
}

rule file_108_3_0 {
	meta:
		name = "??$__crt_fast_encode_pointer@P6AHPEAU_RTL_CONDITION_VARIABLE@@PEAU_RTL_CRITICAL_SECTION@@K@Z@@YAP6AHPEAU_RTL_CONDITION_VARIABLE@@PEAU_RTL_CRITICAL_SECTION@@K@ZQ6AH01K@Z@Z"
		size = 30
		refs = "0003 __security_cookie"
		altNames = "??$__crt_fast_encode_pointer@P6AXPEAU_RTL_CONDITION_VARIABLE@@@Z@@YAP6AXPEAU_RTL_CONDITION_VARIABLE@@@ZQ6AX0@Z@Z ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_encode_pointer@PEAP6AXXZ@@YAPEAP6AXXZQEAP6AXXZ@Z ??$__crt_fast_encode_pointer@PEAX@@YAPEAXQEAX@Z"
	strings:
		$1 = { 4C 8B 05 ?? ?? ?? ?? 48 8B C1 41 8B D0 B9 40 00 00 00 83 E2 3F 2B CA 48 D3 C8 49 33 C0 C3 }
	condition:
		$1
}

rule file_108_6_0 {
	meta:
		name = "?__scrt_uninitialize_thread_safe_statics@@YAXXZ"
		size = 40
		refs = "0007 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 000d __imp_DeleteCriticalSection 0014 ?_Tss_event@@3PEAXEA 001f __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_108_7_0 {
	meta:
		name = "_Init_thread_abort"
		size = 48
		refs = "000c ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 0012 __imp_EnterCriticalSection 0022 __imp_LeaveCriticalSection 002c _Init_thread_notify"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 23 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_8_0 {
	meta:
		name = "_Init_thread_footer"
		size = 96
		refs = "000c ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 0012 __imp_EnterCriticalSection 0018 _Init_global_epoch 0025 _tls_index 003e _Init_thread_epoch 0052 __imp_LeaveCriticalSection 005c _Init_thread_notify"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 89 03 65 48 8B 04 25 58 00 00 00 41 B9 ?? ?? ?? ?? 4C 8B 04 D0 8B 05 ?? ?? ?? ?? 43 89 04 01 FF 15 ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_9_0 {
	meta:
		name = "_Init_thread_header"
		size = 103
		refs = "000c ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 0012 __imp_EnterCriticalSection 0026 _Init_thread_wait 003c _tls_index 0042 _Init_thread_epoch 004c _Init_global_epoch 0063 __imp_LeaveCriticalSection"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3B 00 75 11 83 0B FF EB 34 B9 64 00 00 00 E8 ?? ?? ?? ?? EB EA 83 3B FF 74 EF 65 48 8B 04 25 58 00 00 00 8B 0D ?? ?? ?? ?? 41 B8 ?? ?? ?? ?? 48 8B 14 C8 8B 05 ?? ?? ?? ?? 41 89 04 10 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_11_0 {
	meta:
		name = "_Init_thread_notify"
		size = 91
		refs = "0009 ?_Tss_event@@3PEAXEA 0015 __security_cookie 001e ?encoded_wake_all_condition_variable@@3P6AXPEAU_RTL_CONDITION_VARIABLE@@@ZEA 002c _guard_check_icall 0033 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 0044 __imp_SetEvent 0057 __imp_ResetEvent"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 0D ?? ?? ?? ?? 48 85 C9 75 30 48 8B 1D ?? ?? ?? ?? 8B CB 48 33 1D ?? ?? ?? ?? 83 E1 3F 48 D3 CB 48 8B CB E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B 48 FF E0 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_13_0 {
	meta:
		name = "_Init_thread_wait"
		size = 151
		refs = "0016 ?_Tss_event@@3PEAXEA 001f __security_cookie 0028 ?encoded_sleep_condition_variable_cs@@3P6AHPEAU_RTL_CONDITION_VARIABLE@@PEAU_RTL_CRITICAL_SECTION@@K@ZEA 0036 _guard_check_icall 0040 ?_Tss_mutex@@3U_RTL_CRITICAL_SECTION@@A 0047 ?_Tss_cv@@3U_RTL_CONDITION_VARIABLE@@A 005d __imp_LeaveCriticalSection 006f __imp_WaitForSingleObjectEx 007e __imp_EnterCriticalSection"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 8B F1 48 39 3D ?? ?? ?? ?? 75 38 48 8B 1D ?? ?? ?? ?? 8B CB 48 33 1D ?? ?? ?? ?? 83 E1 3F 48 D3 CB 48 8B CB E8 ?? ?? ?? ?? 44 8B C6 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF D3 85 C0 0F 95 C0 EB 33 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 45 33 C0 8B D6 FF 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 8B D8 FF 15 ?? ?? ?? ?? 85 DB 0F 94 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_109_0_0 {
	meta:
		name = "__sse2_atanf4"
		size = 192
		refs = "0007 s_dwAbsMask 000e s_fOne 002e s_dwSignMask 0035 s_fPi2 005d s_fA8 0064 s_fA7 0071 s_fA6 0078 s_fA5 0085 s_fA4 008c s_fA3 0099 s_fA2 00a0 s_fA1 00ad s_fA0"
	strings:
		$1 = { 0F 28 E8 66 0F DB 05 ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 0F 5F D8 0F 28 E0 0F 5D 05 ?? ?? ?? ?? 0F 5E C3 66 0F 66 25 ?? ?? ?? ?? 66 0F DB 2D ?? ?? ?? ?? 0F 28 15 ?? ?? ?? ?? 66 0F DB D4 66 0F DB 25 ?? ?? ?? ?? 66 0F EF D5 66 0F EF E5 66 0F EF E0 0F 59 C0 0F 28 D8 0F 59 C0 0F 28 2D ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 59 E8 0F 59 C8 0F 58 2D ?? ?? ?? ?? 0F 58 0D ?? ?? ?? ?? 0F 59 E8 0F 59 C8 0F 58 2D ?? ?? ?? ?? 0F 58 0D ?? ?? ?? ?? 0F 59 E8 0F 59 C8 0F 58 2D ?? ?? ?? ?? 0F 58 0D ?? ?? ?? ?? 0F 59 C5 0F 59 CB 0F 58 05 ?? ?? ?? ?? 0F 58 C1 0F 59 C4 0F 58 C2 C3 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_111_0_0 {
	meta:
		name = "__common_dlog_cout_rare"
		size = 704
		refs = "003e _imldLnHATab 0064 _2il0floatpacket_70 025c _2il0floatpacket_71"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 41 81 F8 F0 7F 00 00 0F 84 4E 02 00 00 F2 0F 10 19 45 33 C0 48 8B 09 48 89 4C 24 30 48 C1 E9 30 F7 C1 F0 7F 00 00 75 14 F2 0F 59 1D ?? ?? ?? ?? 41 B8 C4 FF FF FF F2 0F 11 5C 24 30 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D8 0F 86 D2 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 0F 28 D3 F2 0F 5C D0 F2 0F 11 54 24 28 80 64 24 2F 7F F2 0F 10 4C 24 28 66 0F 2F 0D ?? ?? ?? ?? 0F 86 3F 01 00 00 F2 0F 11 5C 24 28 44 0F B7 4C 24 2E 41 81 E1 0F 80 FF FF 41 81 C9 F0 3F FF FF 66 44 89 4C 24 2E F2 0F 10 6C 24 28 0F 28 DD 0F B7 4C 24 36 81 E1 F0 7F 00 00 F2 0F 58 1D ?? ?? ?? ?? C1 E9 04 F2 0F 11 5C 24 20 0F 28 DD 44 8B 54 24 20 41 83 E2 7F F2 0F 58 1D ?? ?? ?? ?? F2 0F 11 5C 24 20 45 8D 84 08 01 FC FF FF F2 41 0F 2A C8 F2 0F 10 5C 24 20 47 8D 1C 52 48 8D 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 4C 8B C9 F2 0F 10 25 ?? ?? ?? ?? 4C 8B C1 F2 0F 59 D1 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 59 CC F2 0F 5C EB F2 43 0F 58 54 D8 08 F2 43 0F 58 4C D9 10 F2 42 0F 10 24 D9 F2 0F 59 DC F2 0F 59 E5 F2 0F 5C D8 0F 28 C3 F2 0F 58 DA F2 0F 58 C4 F2 0F 58 E1 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 59 E8 F2 0F 58 E5 F2 0F 58 DC F2 0F 11 1A 48 83 C4 38 C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 C2 F2 0F 58 D0 F2 0F 11 12 48 83 C4 38 C3 66 0F 2E D8 7A 02 74 12 F2 0F 5E C0 F2 0F 11 02 B8 01 00 00 00 48 83 C4 38 C3 F2 0F 10 0D ?? ?? ?? ?? B8 02 00 00 00 0F 57 0D ?? ?? ?? ?? F2 0F 5E C8 F2 0F 11 0A 48 83 C4 38 C3 44 8A 41 07 41 80 E0 80 41 80 F8 80 74 11 F2 0F 10 01 F2 0F 59 C0 F2 0F 11 02 48 83 C4 38 C3 F7 41 04 FF FF 0F 00 75 E6 83 39 00 75 E1 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E C0 F2 0F 11 02 48 83 C4 38 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_112_0_0 {
	meta:
		name = "??_L@YAXPEAX_K1P6AX0@Z2@Z"
		size = 110
		refs = "003a _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 48 89 48 08 57 41 56 41 57 48 83 EC 30 49 8B F1 4D 8B F8 4C 8B F2 48 8B F9 33 DB 48 89 58 E0 88 58 D8 49 3B DF 74 1F 48 8B CE E8 ?? ?? ?? ?? 48 8B CF FF D6 49 03 FE 48 89 7C 24 50 48 FF C3 48 89 5C 24 28 EB DC C6 44 24 20 01 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_112_1_0 {
	meta:
		name = "?fin$0@?0???_L@YAXPEAX_K1P6AX0@Z2@Z@4HA"
		size = 44
		refs = "0020 ?__ArrayUnwind@@YAXPEAX_K1P6AX0@Z@Z"
		altNames = "?fin$0@?0???_N@YAXPEAX_K1P6AX0@Z2@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 80 7D 20 00 75 16 4C 8B 4D 70 4C 8B 45 28 48 8B 55 58 48 8B 4D 50 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_118_0_0 {
	meta:
		name = "__avx_atan4"
		size = 656
		refs = "006c __common_datan_data"
	strings:
		$1 = { 55 48 81 EC 30 02 00 00 48 8D 6C 24 20 C5 7C 11 BD C0 00 00 00 C5 7C 11 B5 E0 00 00 00 C5 7C 11 AD 00 01 00 00 C5 7C 11 A5 20 01 00 00 C5 7C 11 9D 40 01 00 00 C5 7C 11 95 60 01 00 00 C5 7C 11 8D 80 01 00 00 C5 7C 11 85 A0 01 00 00 C5 FC 11 BD C0 01 00 00 C5 FC 11 B5 E0 01 00 00 4C 89 AD 00 02 00 00 4C 8D 6D 3F C5 FD 10 35 ?? ?? ?? ?? 49 83 E5 C0 C5 FD 10 25 ?? ?? ?? ?? C5 7D 10 35 ?? ?? ?? ?? C5 7D 10 3D ?? ?? ?? ?? C5 7D 10 2D ?? ?? ?? ?? C5 FD 54 1D ?? ?? ?? ?? C5 7D 54 C6 C5 E5 C2 C4 12 C5 DD 5D D3 C5 FD 55 0D ?? ?? ?? ?? C4 C1 75 57 E8 C5 E5 5F CC C5 FD 10 1D ?? ?? ?? ?? C4 C1 7D 11 6D 00 C5 FD 10 25 ?? ?? ?? ?? C5 FD 10 2D ?? ?? ?? ?? C5 6D 5E D1 C5 FD 10 0D ?? ?? ?? ?? C5 FD 10 15 ?? ?? ?? ?? C5 7D 10 25 ?? ?? ?? ?? C5 FD 55 FE C4 41 45 57 C8 C4 41 35 57 DA C4 41 7D 11 5D 20 C4 41 25 59 DB C5 FD 10 05 ?? ?? ?? ?? C5 FD 10 35 ?? ?? ?? ?? C5 FD 10 3D ?? ?? ?? ?? C4 41 7D 11 5D 40 C4 41 25 59 DB C5 7D 10 05 ?? ?? ?? ?? C5 7D 10 15 ?? ?? ?? ?? C4 41 7D 11 5D 60 C4 41 25 59 DB C5 7D 10 0D ?? ?? ?? ?? C4 41 0D 59 F3 C4 C1 65 59 DB C4 41 15 59 EB C4 41 0D 58 F7 C5 E5 58 DC C5 95 58 E5 C4 41 75 59 FB C4 C1 0D 59 EB C4 C1 65 59 DB C4 C1 5D 59 E3 C5 85 58 D2 C5 D5 58 E8 C5 E5 58 FF C4 41 5D 58 E8 C4 C1 6D 59 CB C4 C1 55 59 D3 C4 41 45 59 C3 C5 F5 58 C6 C4 41 6D 58 F1 C5 BD 58 15 ?? ?? ?? ?? C4 C1 7D 59 F3 C4 41 15 59 CB C4 C1 6D 59 DB C5 7C 10 AD 00 01 00 00 C4 41 4D 58 FA C5 B5 58 25 ?? ?? ?? ?? C5 E5 58 05 ?? ?? ?? ?? C4 C1 05 59 CB C4 41 0D 59 D3 C4 41 5D 59 DB C5 7C 10 B5 E0 00 00 00 C5 7C 10 BD C0 00 00 00 C5 F5 58 35 ?? ?? ?? ?? C5 AD 58 2D ?? ?? ?? ?? C4 C1 25 58 D4 C4 C1 7D 10 4D 40 C5 7C 10 95 60 01 00 00 C5 7C 10 9D 40 01 00 00 C5 55 59 E1 C5 CD 59 E9 C5 FC 10 B5 E0 01 00 00 C5 9D 58 D8 C5 D5 58 FA C5 7C 10 A5 20 01 00 00 C4 C1 65 59 65 60 C5 5D 58 C7 C5 FC 10 BD C0 01 00 00 C4 41 3D 59 4D 20 C5 7C 10 85 A0 01 00 00 C4 C1 35 58 45 00 C5 7C 10 8D 80 01 00 00 4C 8B AD 00 02 00 00 48 8D A5 10 02 00 00 5D C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_120_0_0 {
	meta:
		name = "__sse2_tanhf4"
		size = 272
		refs = "0011 s_fTh 0018 s_fRS 001f s_dwAbsMask 002d s_dwIndexMask 0058 s_fTen 0067 s_dwPosInf 0079 s_fOne 0097 s_fA2 00a1 s_fA0 00ac s_fA3 00b6 s_fA1"
	strings:
		$1 = { 48 83 EC 48 0F 29 7C 24 20 0F 29 74 24 30 4C 8D 0D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 66 0F DB F8 0F 58 F7 0F 28 15 ?? ?? ?? ?? 66 0F DB D6 66 0F 7E D0 66 0F 70 D2 39 66 0F 7E D2 66 0F 70 D2 39 66 0F 7E D1 66 0F 70 D2 39 66 41 0F 7E D0 0F 28 1D ?? ?? ?? ?? 0F C2 DF 02 66 0F EF C7 0F 28 15 ?? ?? ?? ?? 0F 28 CF 0F C2 CA 02 66 0F DB CB 0F 28 2D ?? ?? ?? ?? 66 0F DB E9 0F 28 15 ?? ?? ?? ?? 0F 5C F2 0F 5C FE 0F 28 E7 0F 59 E7 0F 28 1D ?? ?? ?? ?? 0F 59 DC 0F 58 1D ?? ?? ?? ?? 66 0F EB C5 0F 28 15 ?? ?? ?? ?? 0F 59 E2 0F 58 25 ?? ?? ?? ?? 0F 59 E7 F3 41 0F 7E 14 81 F3 41 0F 7E 3C 91 F3 41 0F 7E 34 89 F3 43 0F 7E 2C 81 0F 14 D7 0F 14 F5 0F C6 D6 44 0F 28 F3 0F 59 F2 0F 58 F4 0F 59 E2 0F 58 E3 0F 5E F4 66 0F DF CE 66 0F EB C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "__sse2_sinh2"
		size = 544
		refs = "000a __common_dsinh_data 0212 __common_dsinh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 01 00 00 4C 8D 05 ?? ?? ?? ?? 44 0F 29 AC 24 D0 00 00 00 44 0F 29 A4 24 E0 00 00 00 44 0F 29 94 24 F0 00 00 00 44 0F 29 8C 24 00 01 00 00 0F 29 B4 24 C0 00 00 00 4C 89 AC 24 10 01 00 00 4C 8D 6C 24 6F 0F 28 35 ?? ?? ?? ?? 49 83 E5 C0 0F 54 F0 44 0F 28 D6 44 0F 28 0D ?? ?? ?? ?? 66 44 0F EF D0 66 45 0F 59 CA 0F 28 0D ?? ?? ?? ?? 66 44 0F 58 C9 41 0F 28 E1 66 0F 5C E1 F3 0F 7E 15 ?? ?? ?? ?? 66 41 0F 70 DA DD 66 0F 66 DA 0F 28 15 ?? ?? ?? ?? 66 0F 59 D4 0F 50 D3 0F 28 0D ?? ?? ?? ?? 44 0F 28 2D ?? ?? ?? ?? 66 0F 59 CC 66 44 0F 5C D2 66 44 0F 5C D1 41 0F 28 CA 83 E2 03 66 41 0F 59 CA 66 44 0F 59 E9 66 44 0F 58 2D ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 41 0F 54 E9 66 0F 7E E8 66 44 0F EF CD 44 0F 28 25 ?? ?? ?? ?? 66 41 0F 73 F1 2D 66 0F C5 CD 04 66 44 0F 59 E9 66 44 0F 59 E1 66 45 0F 59 EA 66 44 0F 58 25 ?? ?? ?? ?? 66 45 0F 58 EA 66 44 0F 59 E1 C1 E0 04 41 0F 28 E9 C1 E1 04 85 D2 F3 42 0F 7E 54 00 08 F3 42 0F 7E 1C 00 66 42 0F 16 54 01 08 66 0F D4 EA 66 41 0F FB D1 66 0F 6F E5 66 0F 58 E2 66 0F 5C EA 66 42 0F 16 1C 01 66 41 0F D4 D9 66 0F 58 EB 66 0F 58 DC 66 44 0F 59 E5 66 44 0F 59 EB 66 45 0F 58 EC 66 44 0F 58 ED 41 0F 56 F5 75 3F 44 0F 28 8C 24 00 01 00 00 0F 28 C6 0F 28 B4 24 C0 00 00 00 44 0F 28 94 24 F0 00 00 00 44 0F 28 A4 24 E0 00 00 00 44 0F 28 AC 24 D0 00 00 00 4C 8B AC 24 10 01 00 00 48 81 C4 18 01 00 00 C3 41 0F 29 45 00 41 0F 29 75 40 74 B5 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 1B FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 75 40 E9 7A FF FF FF 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D4 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_127_0_0 {
	meta:
		name = "_raise_zerodivide"
		size = 32
	strings:
		$1 = { 66 0F 76 C0 66 0F EF C9 66 0F 72 F0 1C F3 0F 5E C1 C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_127_1_0 {
	meta:
		name = "__sse2_pow2"
		size = 1152
		refs = "000a s_Data"
	strings:
		$1 = { 48 81 EC 98 00 00 00 48 8D 05 ?? ?? ?? ?? 0F 29 7C 24 70 0F 29 74 24 60 48 89 84 24 80 00 00 00 66 0F 28 D8 66 0F 28 D0 66 0F DB 05 ?? ?? ?? ?? 66 0F 57 F6 4C 8B 84 24 80 00 00 00 66 0F FE 05 ?? ?? ?? ?? BA 00 00 00 00 89 94 24 88 00 00 00 66 0F 73 D0 2A 66 0F 7E C0 66 0F C5 C8 04 66 0F 29 4C 24 20 66 0F C5 D3 03 F3 41 0F 7E 84 C0 50 02 00 00 66 41 0F 16 84 C8 50 02 00 00 66 0F DB 15 ?? ?? ?? ?? 03 C0 66 41 0F 28 BC C0 60 22 00 00 66 0F C5 C3 07 66 0F 29 5C 24 30 66 0F FB 1D ?? ?? ?? ?? 03 C9 66 0F EB 15 ?? ?? ?? ?? 66 0F 72 E3 14 66 0F DB 1D ?? ?? ?? ?? 66 41 0F 28 AC C8 60 22 00 00 66 0F 28 E2 66 0F 29 74 24 40 66 0F FE 1D ?? ?? ?? ?? 66 0F 59 D0 81 EA 10 00 00 80 66 0F 5C 1D ?? ?? ?? ?? 2D 10 00 00 80 81 FA DF 7F 00 80 0F 8F C4 02 00 00 3D DF 7F 00 80 0F 8F B9 02 00 00 66 0F 70 F7 0E 66 0F 14 FD 66 0F 58 DF 66 0F C6 F5 02 66 0F 28 3D ?? ?? ?? ?? 66 0F DB FC 66 0F 5C E7 66 0F 59 F8 66 0F 59 E0 66 0F 5C FA 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 FC 66 0F 28 E3 66 0F 58 DA 66 0F 5C E3 66 0F 58 E2 66 0F 28 C3 66 0F 58 DF 66 0F 5C C3 66 0F 58 C7 66 0F 58 FA 66 0F 58 C4 66 0F 28 D7 66 0F 59 FF 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 E7 66 0F 59 EF 66 0F 58 C6 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 28 F3 66 0F 59 E7 66 0F 59 EF 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E7 66 0F 59 EF 66 0F 28 F9 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 70 D3 F1 66 0F 58 E5 66 0F 58 C4 66 0F 28 25 ?? ?? ?? ?? 66 0F 58 D8 66 0F 5C F3 66 0F 7E D0 66 0F 70 D2 FF 8B 4C 24 24 66 0F DB 3D ?? ?? ?? ?? 66 0F 58 C6 66 0F DB E3 25 00 00 F0 7F 81 E1 00 00 F0 7F 66 0F 5C DC 03 C1 3D 00 00 90 80 0F 87 DF 01 00 00 66 0F 7E D0 66 0F 59 C1 8B 4C 24 2C 25 00 00 F0 7F 81 E1 00 00 F0 7F 03 C1 3D 00 00 90 80 0F 87 BB 01 00 00 66 0F 28 EB 8B 44 24 24 25 FF FF FF 7F 8B 4C 24 20 0B C8 66 0F 5C CF 0F 84 9E 01 00 00 3D 00 00 F0 7F 66 0F 59 DF 0F 83 8F 01 00 00 8B 44 24 2C 25 FF FF FF 7F 8B 4C 24 28 0B C8 0F 84 7A 01 00 00 3D 00 00 F0 7F 66 0F 59 E9 0F 83 6B 01 00 00 66 0F 59 CC 66 0F 59 FC 66 0F 58 EB 66 0F 28 1D ?? ?? ?? ?? 66 0F 58 E9 66 0F 28 D7 66 0F 58 3D ?? ?? ?? ?? 66 0F 7E F8 66 0F C5 CF 04 66 0F C5 D7 05 C1 E2 10 66 0F 5C DF 0B CA 3D 80 FF 01 00 0F 8D 25 01 00 00 81 F9 80 FF 01 00 0F 8D 19 01 00 00 3D 00 1E FE FF 0F 8E 0E 01 00 00 81 F9 00 1E FE FF 0F 8E 02 01 00 00 83 E0 7F 83 E1 7F 03 C0 03 C9 66 0F 73 F7 2D 66 0F 28 25 ?? ?? ?? ?? 66 0F FE 3D ?? ?? ?? ?? 66 0F DB 3D ?? ?? ?? ?? 66 0F 58 DA 66 0F 58 E8 66 0F 28 05 ?? ?? ?? ?? F3 41 0F 7E 94 C0 90 62 00 00 66 0F 58 EB F3 41 0F 7E 9C C0 98 62 00 00 66 41 0F 16 94 C8 90 62 00 00 66 41 0F 16 9C C8 98 62 00 00 66 0F 59 C5 66 0F 28 CD 66 0F 59 E5 66 0F 59 ED 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 C5 66 0F 59 E5 66 0F 59 C5 66 0F 59 0D ?? ?? ?? ?? 66 0F 59 C2 66 0F 59 E2 66 0F 58 C3 66 0F 59 CA 66 0F 58 C4 66 0F 58 C1 66 0F 58 C2 66 0F 59 C7 E9 A9 00 00 00 66 0F 57 F6 66 0F 28 3D ?? ?? ?? ?? 66 0F C2 74 24 20 01 66 0F C2 7C 24 20 05 66 0F EF ED 66 0F DB F7 66 0F 76 6C 24 30 66 0F 70 FD B1 66 0F DB EE 66 0F DB EF 66 0F D7 D5 89 94 24 88 00 00 00 66 0F 29 6C 24 40 8B 84 24 88 00 00 00 A8 0F 75 1E F2 0F 10 44 24 30 F2 0F 10 4C 24 20 E8 60 00 00 00 F2 0F 11 44 24 50 8B 84 24 88 00 00 00 A9 00 0F 00 00 75 17 F2 0F 10 44 24 38 F2 0F 10 4C 24 28 E8 3B 00 00 00 F2 0F 11 44 24 58 4C 8B 84 24 80 00 00 00 66 0F 28 44 24 50 66 0F 76 C9 66 0F EF 4C 24 40 66 0F 54 C1 0F 28 74 24 60 0F 28 7C 24 70 48 81 C4 98 00 00 00 C3 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_127_2_0 {
	meta:
		name = "pow_scalar"
		size = 3712
		refs = "00e4 s_Data 03f6 INF_c_2044_0_4 048b _2il0floatpacket_15 04f6 _2il0floatpacket_16 0c25 QNaN_c_2044_0_4"
	strings:
		$1 = { 53 56 57 41 54 41 55 41 56 41 57 55 48 81 EC F8 00 00 00 33 D2 F2 0F 11 8C 24 88 00 00 00 8B 9C 24 8C 00 00 00 8B CB 81 E1 FF FF FF 7F 44 0F 29 BC 24 90 00 00 00 81 F9 00 00 F0 7F 44 0F 29 B4 24 D0 00 00 00 44 0F 29 A4 24 E0 00 00 00 44 0F 29 9C 24 A0 00 00 00 44 0F 29 84 24 B0 00 00 00 0F 29 B4 24 C0 00 00 00 F2 0F 11 84 24 40 01 00 00 66 49 0F 7E C1 0F 83 93 01 00 00 8B 84 24 88 00 00 00 0B C8 0F 84 84 01 00 00 49 8B C1 48 C1 E8 20 8B E8 81 E5 FF FF FF 7F 4C 89 4C 24 28 8D 8D 00 00 F0 FF 81 F9 00 00 E0 7F 73 14 8B C8 81 E1 00 00 00 80 81 F9 00 00 00 80 0F 85 47 04 00 00 81 FD 00 00 F0 7F 0F 83 42 01 00 00 8B 4C 24 28 0B E9 0F 84 36 01 00 00 3D 00 00 10 00 73 2B F2 0F 59 05 ?? ?? ?? ?? 48 B8 00 00 00 00 00 00 F0 3F F2 0F 11 44 24 28 BA 34 00 00 00 48 89 44 24 30 8B 44 24 2C E9 0C 04 00 00 F2 0F 11 4C 24 20 8B 7C 24 24 81 E7 FF FF FF 7F 8B CF 8B 74 24 20 0B CE 74 6C 8D 8F 00 00 10 C0 81 F9 00 00 00 40 73 3D 81 FF 00 00 40 43 7D 56 8B CF 81 E1 00 00 F0 7F 81 C1 00 00 10 C0 C1 F9 14 83 F9 14 7F 23 8B EF D3 E5 C1 E5 0C 0B EE 75 14 83 C1 0B D3 E7 F7 D7 81 E7 00 00 00 80 C1 EF 1F FF C7 EB 26 33 FF EB 22 83 C1 0B D3 E6 F7 C6 FF FF FF 7F 75 EF F7 D6 81 E6 00 00 00 80 C1 EE 1F 8D 7E 01 EB 05 BF 02 00 00 00 25 00 00 00 80 3D 00 00 00 80 75 6D 85 FF 74 69 0F 28 C8 83 FF 01 0F 57 C0 F2 0F 5C C1 F2 0F 11 44 24 28 74 11 48 B8 00 00 00 00 00 00 F0 3F 48 89 44 24 30 EB 0F 48 B8 00 00 00 00 00 00 F0 BF 48 89 44 24 30 8B 44 24 2C 8B C8 81 E1 FF FF FF 7F 81 F9 00 00 10 00 0F 83 24 03 00 00 F2 0F 59 05 ?? ?? ?? ?? BA 34 00 00 00 F2 0F 11 44 24 28 8B 44 24 2C E9 08 03 00 00 F2 0F 11 4C 24 20 4C 89 4C 24 30 49 C1 E9 20 45 8B D9 F2 0F 11 4C 24 28 41 81 E3 FF FF FF 7F 44 8B 54 24 2C 41 81 E1 00 00 00 80 44 8B 44 24 24 41 81 E2 FF FF FF 7F 41 81 E0 00 00 00 80 8B 7C 24 30 41 81 FB 00 00 F0 7F 44 89 5C 24 34 44 89 54 24 2C 0F 84 1F 0A 00 00 C7 44 24 20 00 00 00 00 41 BF 01 00 00 00 8B 44 24 28 41 81 FA 00 00 F0 7F 0F 84 F3 09 00 00 33 F6 41 8B D3 81 E2 00 00 F0 7F 81 FA 00 00 F0 7F 0F 84 CC 09 00 00 33 ED 41 8B D2 81 E2 00 00 F0 7F 81 FA 00 00 F0 7F 0F 84 A8 09 00 00 33 DB 41 8B D3 8B CE 0B D7 BA 00 00 00 00 41 0F 44 D7 45 33 E4 0B CB 45 0F 44 E7 41 81 FB 00 00 F0 3F 44 89 64 24 30 0F 84 6E 09 00 00 45 33 FF F2 0F 11 4C 24 28 44 8B 6C 24 2C 41 81 E5 FF FF FF 7F 41 8B CD 44 8B 74 24 28 41 0B CE 74 7F 41 8D 8D 00 00 10 C0 81 F9 00 00 00 40 73 48 41 81 FD 00 00 40 43 7D 67 41 8B CD 81 E1 00 00 F0 7F 81 C1 00 00 10 C0 C1 F9 14 83 F9 14 7F 2D 45 8B E5 41 D3 E4 41 C1 E4 0C 45 0B E6 75 19 83 C1 0B 41 D3 E5 41 F7 D5 41 81 E5 00 00 00 80 41 C1 ED 1F 41 FF C5 EB 2E 45 33 ED EB 29 83 C1 0B 41 D3 E6 41 F7 C6 FF FF FF 7F 75 EC 41 F7 D6 41 81 E6 00 00 00 80 41 C1 EE 1F 45 8D 6E 01 EB 06 41 BD 02 00 00 00 41 81 FB 00 00 F0 3F 7E 04 B1 01 EB 08 0F 84 A7 08 00 00 B1 00 44 0B D0 0F 84 4B 01 00 00 45 85 C9 75 0B 45 85 FF 0F 85 3D 01 00 00 EB 0D 45 85 FF 74 08 85 F6 0F 85 2E 01 00 00 85 ED 0F 85 21 01 00 00 85 DB 0F 85 26 01 00 00 85 D2 74 0D 45 85 C0 74 08 85 F6 0F 85 D9 00 00 00 84 C9 74 22 45 85 C0 75 11 85 F6 74 19 F2 0F 10 0D ?? ?? ?? ?? E9 FB 00 00 00 85 F6 74 08 0F 57 C9 E9 EF 00 00 00 41 81 FB 00 00 F0 3F 7D 22 45 85 C0 75 0C 85 F6 74 19 0F 57 C9 E9 D5 00 00 00 85 F6 74 0D F2 0F 10 0D ?? ?? ?? ?? E9 C4 00 00 00 45 85 C9 75 23 83 7C 24 20 00 74 0D 45 85 C0 74 AB 0F 57 C9 E9 AB 00 00 00 85 D2 74 B0 45 85 C0 74 7B 41 83 FD 01 EB 60 83 7C 24 20 00 74 2C 45 85 C0 75 14 41 83 FD 01 0F 84 BF 07 00 00 F2 0F 10 0D ?? ?? ?? ?? EB 7C 41 83 FD 01 0F 57 C9 75 73 F2 0F 10 0D ?? ?? ?? ?? EB 69 83 7C 24 30 00 74 0F 45 85 ED 75 0A 85 D2 0F 84 77 07 00 00 EB 08 85 D2 0F 84 54 FF FF FF 45 85 C0 74 19 41 83 FD 01 0F 84 70 07 00 00 E8 9D F6 FF FF F2 0F 10 0D ?? ?? ?? ?? EB 2D 41 83 FD 01 74 10 83 7C 24 30 00 0F 84 25 FF FF FF 0F 57 C9 EB 17 F2 0F 10 0D ?? ?? ?? ?? EB 0D 0F 28 C8 EB 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 11 8C 24 88 00 00 00 E9 C8 06 00 00 48 B9 00 00 00 00 00 00 F0 3F 48 89 4C 24 30 8B F0 48 8D 2D ?? ?? ?? ?? F2 0F 11 44 24 20 81 E6 00 FE 0F 00 8B 4C 24 24 81 C6 00 02 00 00 81 E1 FF FF 0F 00 05 00 02 18 C0 C1 EE 0A 81 C9 00 00 F0 3F 89 4C 24 24 4C 8B CD 48 C1 E1 20 8D 3C 36 44 8B 54 24 20 49 0B CA 48 89 4C 24 28 44 8D 44 36 01 81 E1 00 00 00 F8 F2 0F 10 AC F5 50 02 00 00 89 4C 24 28 0F 28 D5 F2 0F 10 74 24 20 0F 28 DD F2 0F 10 64 24 28 F2 0F 59 D6 F2 0F 5C F4 F2 0F 59 DC F2 0F 59 F5 F2 0F 5C DA C1 F8 14 2B C2 8B D3 F2 44 0F 2A D8 48 8B C5 F2 0F 11 5C 24 38 81 E2 00 00 F0 7F F2 44 0F 10 44 24 38 81 C2 00 00 10 C0 F2 0F 10 0D ?? ?? ?? ?? F2 44 0F 58 C6 F2 44 0F 58 9C F8 60 22 00 00 F2 0F 58 CA F2 44 0F 11 44 24 38 F2 44 0F 11 5C 24 40 F2 44 0F 10 64 24 40 F2 44 0F 58 E1 F2 44 0F 11 64 24 48 8B 44 24 4C 44 8B D8 41 81 E3 00 00 F0 7F 41 81 C3 00 00 10 C0 41 C1 FB 14 C1 FA 14 44 03 DA F2 43 0F 10 84 C1 60 22 00 00 41 83 FB 0B 0F 8F 64 06 00 00 F2 0F 10 74 24 40 F2 0F 10 64 24 48 48 8B 94 24 88 00 00 00 F2 0F 5C F4 F2 0F 11 74 24 50 F2 0F 10 54 24 50 48 89 54 24 28 F2 0F 58 D1 F2 0F 11 54 24 50 81 E2 00 00 00 F8 F2 0F 10 6C 24 48 F2 0F 10 5C 24 38 89 54 24 28 F2 0F 58 EB F2 0F 11 6C 24 58 F2 44 0F 10 5C 24 48 F2 44 0F 10 44 24 58 F2 45 0F 5C D8 F2 44 0F 11 5C 24 60 F2 44 0F 10 74 24 38 F2 44 0F 10 64 24 60 F2 45 0F 58 F4 F2 44 0F 11 74 24 60 F2 0F 10 64 24 50 F2 44 0F 10 7C 24 60 F2 41 0F 58 E7 F2 0F 11 64 24 60 F2 0F 10 74 24 60 F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 C6 F2 0F 11 44 24 60 F2 0F 10 44 24 38 F2 0F 10 74 24 60 F2 0F 58 C8 F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 F4 F2 0F 11 74 24 60 F2 0F 10 64 24 58 F2 0F 10 4C 24 60 F2 0F 58 E1 F2 0F 11 64 24 68 F2 0F 10 44 24 68 F2 0F 10 74 24 58 F2 0F 10 A4 24 88 00 00 00 F2 0F 5C C6 F2 0F 5C 64 24 28 F2 0F 11 44 24 70 F2 0F 10 54 24 60 F2 0F 10 4C 24 70 F2 0F 5C D1 F2 0F 11 54 24 60 48 8B 44 24 68 48 89 44 24 78 81 64 24 78 00 00 00 F8 F2 0F 10 6C 24 68 F2 0F 10 5C 24 78 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C EB F2 0F 11 AC 24 80 00 00 00 0F 28 EA F2 0F 10 74 24 78 F2 0F 59 74 24 28 F2 44 0F 10 84 24 80 00 00 00 F2 0F 58 EE F2 44 0F 59 C4 F2 44 0F 10 A4 24 80 00 00 00 F2 44 0F 59 64 24 28 F2 44 0F 10 5C 24 78 F2 45 0F 58 E0 F2 41 0F 59 E3 F2 0F 11 6C 24 20 F2 41 0F 58 E4 8B 5C 24 20 8B C3 83 E0 80 83 E3 7F C1 F8 07 F2 0F 10 5C 24 60 3D FF 03 00 00 F2 0F 59 9C 24 88 00 00 00 7C 52 3D 01 04 00 00 7C 34 48 8B 05 ?? ?? ?? ?? 48 89 84 24 88 00 00 00 48 C1 E8 20 8B 54 24 34 81 E2 00 00 00 80 0B C2 89 84 24 8C 00 00 00 F2 0F 10 8C 24 88 00 00 00 E9 46 03 00 00 F2 0F 10 4C 24 30 FF C8 F2 0F 58 C9 F2 0F 11 4C 24 30 E9 6B 02 00 00 3D 3C FC FF FF 0F 8F 5A 02 00 00 3D CC FB FF FF 7F 2A 8B 44 24 34 48 C7 84 24 88 00 00 00 00 00 00 00 25 00 00 00 80 89 84 24 8C 00 00 00 F2 0F 10 8C 24 88 00 00 00 E9 F3 02 00 00 F2 44 0F 10 35 ?? ?? ?? ?? 83 C0 6F C1 E0 14 48 8D 15 ?? ?? ?? ?? 05 00 00 F0 3F 48 8B EA 89 44 24 2C 8D 04 1B F2 44 0F 10 3D ?? ?? ?? ?? 8D 5C 1B 01 48 8B CA F2 0F 5C EA F2 0F 58 E3 F2 0F 5C F5 0F 28 DE F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 DC F2 44 0F 59 F3 F2 0F 10 AC C2 90 62 00 00 F2 0F 10 8C DD 90 62 00 00 C7 44 24 28 00 00 00 00 F2 44 0F 10 5C 24 30 F2 44 0F 59 1D ?? ?? ?? ?? F2 44 0F 58 35 ?? ?? ?? ?? F2 44 0F 59 F3 48 8B 84 C1 90 62 00 00 F2 44 0F 58 F2 45 0F 28 E6 F2 44 0F 59 E3 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 58 E7 F2 44 0F 59 E5 44 0F 28 C2 F2 44 0F 59 C3 F2 44 0F 59 E3 F2 44 0F 59 C5 F2 44 0F 59 E3 F2 44 0F 58 E1 F2 45 0F 58 E0 F2 44 0F 10 44 24 28 41 0F 28 C0 F2 0F 59 C5 F2 41 0F 59 C3 F2 0F 11 44 24 20 8B 74 24 24 81 E6 FF FF FF 7F 81 FE 00 00 10 00 0F 86 B6 00 00 00 F2 44 0F 59 F3 F2 0F 5C F3 F2 45 0F 59 D8 F2 45 0F 58 FE F2 0F 58 F4 F2 44 0F 59 FB 44 0F 28 E3 F2 41 0F 58 D7 F2 44 0F 59 E2 F2 0F 59 D6 F2 44 0F 11 64 24 20 41 0F 28 DC 81 64 24 20 00 00 00 FF 0F 28 F5 F2 44 0F 10 74 24 20 48 89 44 24 28 F2 41 0F 5C DE F2 44 0F 59 E1 F2 0F 58 D3 C7 44 24 28 00 00 00 00 F2 44 0F 10 7C 24 28 F2 41 0F 5C F7 0F 28 E6 F2 0F 59 E2 F2 41 0F 59 D7 F2 41 0F 59 F6 F2 44 0F 58 E4 F2 45 0F 59 F7 F2 41 0F 58 CC F2 0F 58 CA F2 0F 58 CE F2 41 0F 58 CE F2 0F 58 CD F2 41 0F 59 CB F2 0F 11 8C 24 88 00 00 00 E9 36 01 00 00 48 89 44 24 20 33 C0 F2 44 0F 11 64 24 28 89 44 24 20 81 64 24 24 00 00 FF FF 89 44 24 28 F2 0F 10 4C 24 20 F2 0F 10 44 24 28 F2 0F 5C E9 F2 44 0F 5C E0 F2 44 0F 58 E5 41 0F 28 EB F2 41 0F 59 E8 F2 44 0F 59 C1 F2 44 0F 58 E0 F2 45 0F 59 C3 F2 44 0F 59 E5 41 0F 28 CC F2 41 0F 58 C8 F2 0F 11 8C 24 88 00 00 00 E9 CA 00 00 00 F2 0F 10 4C 24 30 C1 E0 14 48 8D 15 ?? ?? ?? ?? 05 00 00 F0 3F 8D 4C 1B 01 89 44 24 2C 8D 04 1B F2 0F 5C EA F2 0F 58 E3 F2 0F 5C F5 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 E6 F2 0F 10 35 ?? ?? ?? ?? 48 8B DA F2 0F 11 6C 24 20 F2 0F 10 AC C2 90 62 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 F4 F2 0F 59 D4 F2 0F 59 DC F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 DD F2 0F 59 F4 F2 0F 59 D4 F2 0F 59 F4 F2 0F 59 D4 F2 0F 59 F4 F2 0F 59 D5 F2 0F 59 F4 F2 0F 59 F5 C7 44 24 28 00 00 00 00 F2 0F 58 B4 CB 90 62 00 00 F2 0F 58 F2 F2 0F 58 F3 F2 0F 58 F5 F2 0F 59 CE F2 0F 59 4C 24 28 F2 0F 11 8C 24 88 00 00 00 0F 28 B4 24 C0 00 00 00 0F 28 C1 44 0F 28 84 24 B0 00 00 00 44 0F 28 9C 24 A0 00 00 00 44 0F 28 A4 24 E0 00 00 00 44 0F 28 B4 24 D0 00 00 00 44 0F 28 BC 24 90 00 00 00 48 81 C4 F8 00 00 00 5D 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 E8 5F 02 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 CC F8 FF FF E8 2D EF FF FF 0F 57 C9 F2 0F 5C 0D ?? ?? ?? ?? E9 B7 F8 FF FF 85 FF 0F 85 47 F7 FF FF E9 4C F7 FF FF 33 C9 85 FF 44 0F 45 F9 E9 88 F6 FF FF 33 DB 85 F6 41 0F 44 DF E9 4D F6 FF FF 33 ED 83 7C 24 20 00 41 0F 44 EF E9 26 F6 FF FF 33 F6 85 C0 41 0F 44 F7 E9 02 F6 FF FF 41 BF 01 00 00 00 33 C0 85 FF 41 0F 44 C7 89 44 24 20 E9 D8 F5 FF FF 33 D8 F7 C3 00 00 00 80 0F 85 F1 00 00 00 F7 84 24 44 01 00 00 00 00 00 80 75 1C 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 FB FE FF FF 48 8B 84 24 88 00 00 00 8B D8 48 C1 E8 20 25 FF FF FF 7F 8B D0 0B D3 74 CB 8D 90 00 00 10 C0 81 FA 00 00 00 40 73 50 3D 00 00 40 43 7D B6 8B C8 81 E1 00 00 F0 7F 81 C1 00 00 10 C0 C1 F9 14 83 F9 14 7F 4F 8B D0 D3 E2 C1 E2 0C 0B D3 75 28 83 C1 0B D3 E0 A9 00 00 00 80 74 89 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 84 FE FF FF 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 68 FE FF FF 83 C1 0B D3 E3 F7 C3 FF FF FF 7F 75 D7 F7 C3 00 00 00 80 0F 84 38 FF FF FF 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 33 FE FF FF F7 84 24 44 01 00 00 00 00 00 80 75 14 48 C7 84 24 88 00 00 00 00 00 00 00 0F 57 C9 E9 12 FE FF FF 48 8B 84 24 88 00 00 00 8B D8 48 C1 E8 20 25 FF FF FF 7F 8B D0 0B D3 74 D3 8D 90 00 00 10 C0 81 FA 00 00 00 40 0F 83 63 FF FF FF 3D 00 00 40 43 7D BA 8B C8 81 E1 00 00 F0 7F 81 C1 00 00 10 C0 C1 F9 14 83 F9 14 7F 37 8B D0 D3 E2 C1 E2 0C 0B D3 0F 85 37 FF FF FF 83 C1 0B D3 E0 A9 00 00 00 80 74 89 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 93 FD FF FF 83 C1 0B D3 E3 F7 C3 FF FF FF 7F 0F 85 FE FE FF FF F7 C3 00 00 00 80 0F 84 50 FF FF FF 48 8B 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 48 89 84 24 88 00 00 00 E9 5A FD FF FF 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_127_3_0 {
	meta:
		name = "_raise_invalid"
		size = 16
	strings:
		$1 = { B8 FF FF 8F FF 66 0F 6E C0 F3 0F 58 C0 C3 66 90 }
	condition:
		$1
}

rule file_131_0_0 {
	meta:
		name = "__avx_logf8"
		size = 544
		refs = "003f __common_slog_data 0217 __common_slog_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 B4 24 F0 01 00 00 C5 7C 11 A4 24 D0 01 00 00 C5 7C 11 9C 24 B0 01 00 00 C5 7C 11 8C 24 90 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 2F 01 00 00 C5 F8 10 25 ?? ?? ?? ?? 49 83 E5 C0 C5 F8 10 2D ?? ?? ?? ?? C5 F8 10 0D ?? ?? ?? ?? C5 F8 10 15 ?? ?? ?? ?? C5 79 FA F4 C4 E3 7D 19 C3 01 C4 C1 21 72 E6 17 C5 61 FA E4 C5 09 DB F5 C4 C1 31 72 E4 17 C5 99 DB ED C5 09 FE F4 C5 D1 FE E4 C5 F9 FE E9 C5 E1 FE C9 C5 E9 66 D9 C5 F1 EF C9 C4 43 25 18 C9 01 C4 41 7C 5B D9 C5 69 66 CD C5 B1 6B D3 C5 E9 63 D9 C5 F9 D7 D3 C5 24 59 1D ?? ?? ?? ?? C4 E3 0D 18 E4 01 C5 DC 5C 15 ?? ?? ?? ?? C5 EC 59 25 ?? ?? ?? ?? C5 DC 58 2D ?? ?? ?? ?? C5 54 59 CA C5 34 58 25 ?? ?? ?? ?? C5 1C 59 F2 C5 8C 58 0D ?? ?? ?? ?? C5 F4 59 DA C5 E4 58 25 ?? ?? ?? ?? C5 DC 59 EA C5 54 58 0D ?? ?? ?? ?? C5 34 59 E2 C5 1C 58 35 ?? ?? ?? ?? C5 8C 59 CA C5 F4 59 DA C5 E4 58 D2 C5 A4 58 CA 84 D2 75 38 C5 7C 10 8C 24 90 01 00 00 C5 7C 10 9C 24 B0 01 00 00 C5 7C 10 A4 24 D0 01 00 00 C5 7C 10 B4 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 B8 33 C0 C5 FC 11 B4 24 C0 00 00 00 C5 FC 11 BC 24 A0 00 00 00 C5 7C 11 84 24 80 00 00 00 C5 7C 11 54 24 60 C5 7C 11 6C 24 40 C5 7C 11 7C 24 20 48 89 9C 24 E8 00 00 00 8B D8 48 89 B4 24 E0 00 00 00 8B F2 0F A3 DE 72 4F FF C3 83 FB 20 7C F4 C5 FC 10 B4 24 C0 00 00 00 C5 FC 10 BC 24 A0 00 00 00 C5 7C 10 84 24 80 00 00 00 C5 7C 10 54 24 60 C5 7C 10 6C 24 40 C5 7C 10 7C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 E8 00 00 00 48 8B B4 24 E0 00 00 00 E9 21 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 9D 0F 1F 00 }
	condition:
		$1
}

rule file_134_0_0 {
	meta:
		name = "__sse2_acos2"
		size = 480
		refs = "000b iSignMask 004a dbOneHalf 0053 dbOne 00b0 dbTwo 00d7 dbPio2hi 00df dbPi 0101 dbA10 010d dbA09 0115 dbA08 011d dbA07 0136 dbA06 0142 dbA05 0158 dbA04 0160 dbA03 0170 dbA02 0178 dbA01 0190 dbA00"
	strings:
		$1 = { 48 81 EC A8 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F C2 D0 05 66 0F 29 54 24 20 66 0F 54 C8 66 0F 28 D8 66 0F 55 1D ?? ?? ?? ?? 66 0F 29 5C 24 30 66 0F 29 4C 24 40 66 0F 55 C8 66 0F 28 E1 66 0F C2 25 ?? ?? ?? ?? 05 66 0F 28 2D ?? ?? ?? ?? 66 0F 29 4C 24 50 66 0F 5C E9 66 0F 59 C9 66 0F 59 2D ?? ?? ?? ?? 66 0F 28 D4 66 0F 54 EC 66 0F 55 D1 66 0F 56 D5 66 0F 51 ED 66 0F 28 D9 66 0F 29 54 24 60 66 0F 59 D2 66 0F C2 1D ?? ?? ?? ?? 00 66 0F 29 5C 24 70 66 0F 28 0D ?? ?? ?? ?? 66 0F 56 4C 24 30 66 0F 28 05 ?? ?? ?? ?? 66 0F 56 44 24 40 66 0F 28 DC 66 0F 54 C4 66 0F 55 E1 66 0F 56 C4 66 0F 29 84 24 80 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 54 44 24 20 66 0F 28 E3 66 0F 54 C3 66 0F 55 D9 66 0F 28 CA 66 0F 56 C3 66 0F 59 0D ?? ?? ?? ?? 66 0F 28 DA 66 0F 59 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 29 84 24 90 00 00 00 66 0F 59 CA 66 0F 59 DA 66 0F 58 0D ?? ?? ?? ?? 66 0F 54 EC 66 0F 58 1D ?? ?? ?? ?? 66 0F 55 64 24 50 66 0F 59 CA 66 0F 59 DA 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 CA 66 0F 59 DA 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 CA 66 0F 59 DA 66 0F 28 15 ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 54 54 24 20 66 0F 59 4C 24 60 66 0F 56 EC 66 0F 58 CB 66 0F 59 CD 66 0F 28 44 24 70 66 0F 58 CD 66 0F 59 8C 24 80 00 00 00 66 0F 54 54 24 70 66 0F 58 8C 24 90 00 00 00 66 0F 55 C1 66 0F 56 C2 48 81 C4 A8 00 00 00 C3 66 90 }
	condition:
		$1
}

rule file_144_0_0 {
	meta:
		name = "??_M@YAXPEAX_K1P6AX0@Z@Z"
		size = 105
		refs = "004f _guard_check_icall"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 53 56 57 41 56 48 83 EC 38 49 8B F1 49 8B D8 4C 8B F2 C6 40 C8 00 48 8B FA 49 0F AF F8 48 03 F9 48 89 78 08 48 8B C3 48 FF CB 48 89 5C 24 70 48 85 C0 74 17 49 2B FE 48 89 7C 24 60 48 8B CE E8 ?? ?? ?? ?? 48 8B CF FF D6 EB D9 C6 44 24 20 01 48 83 C4 38 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_144_1_0 {
	meta:
		name = "?fin$0@?0???_M@YAXPEAX_K1P6AX0@Z@Z@4HA"
		size = 44
		refs = "0020 ?__ArrayUnwind@@YAXPEAX_K1P6AX0@Z@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 80 7D 20 00 75 16 4C 8B 4D 78 4C 8B 45 70 48 8B 55 68 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_144_3_0 {
	meta:
		name = "?ArrayUnwindFilter@@YAHPEAU_EXCEPTION_POINTERS@@@Z"
		size = 28
		refs = "0017 terminate"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 63 73 6D E0 74 07 33 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_144_4_0 {
	meta:
		name = "?__ArrayUnwind@@YAXPEAX_K1P6AX0@Z@Z"
		size = 98
		refs = "003c _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 41 56 41 57 48 83 EC 50 49 8B F1 4D 8B F0 4C 8B FA 48 8B F9 33 DB 48 89 5C 24 28 49 3B DE 74 1A 49 2B FF 48 89 7C 24 70 48 8B CE E8 ?? ?? ?? ?? 48 8B CF FF D6 48 FF C3 EB DC EB 00 4C 8D 5C 24 50 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_144_5_0 {
	meta:
		name = "?filt$0@?0??__ArrayUnwind@@YAXPEAX_K1P6AX0@Z@Z@4HA"
		size = 65
		refs = "0035 terminate"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 89 4D 40 48 89 4D 30 48 8B 45 30 48 8B 08 48 89 4D 38 48 8B 45 38 81 38 63 73 6D E0 74 0C C7 45 20 00 00 00 00 8B 45 20 EB 06 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_147_0_0 {
	meta:
		name = "__avx_tan4"
		size = 2640
		refs = "000a __common_dtan_reduction_data 007e __common_dtan_data 0269 __common_dtan_cout_rare 02ca _2il0floatpacket_355 030d _2il0floatpacket_356 0373 _2il0floatpacket_357 05e2 _2il0floatpacket_358 0609 _2il0floatpacket_361 061b _2il0floatpacket_362 0624 _2il0floatpacket_359 0661 _2il0floatpacket_360 0679 _2il0floatpacket_364 068a _2il0floatpacket_363 06dc _2il0floatpacket_368 06ef _2il0floatpacket_365 06f8 _2il0floatpacket_366 0701 _2il0floatpacket_367 0743 _2il0floatpacket_369 0750 _2il0floatpacket_371 0759 _2il0floatpacket_370"
	strings:
		$1 = { 48 81 EC B8 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 D0 01 00 00 33 C0 C5 7C 11 B4 24 70 02 00 00 C5 7C 11 AC 24 90 01 00 00 C5 7C 11 A4 24 B0 01 00 00 C5 7C 11 9C 24 90 02 00 00 C5 7C 11 94 24 F0 01 00 00 C5 7C 11 8C 24 50 02 00 00 C5 7C 11 84 24 30 02 00 00 C5 FC 11 BC 24 10 02 00 00 C5 FC 11 B4 24 70 01 00 00 4C 89 AC 24 B0 02 00 00 4C 8D AC 24 0F 01 00 00 C5 FD 10 15 ?? ?? ?? ?? 49 83 E5 C0 C5 FD 54 EA C5 D5 C2 0D ?? ?? ?? ?? 1E C5 ED 55 D0 C4 E3 7D 19 CB 01 C5 F0 C6 E3 DD C5 F8 50 CC 85 C9 0F 85 C1 01 00 00 C5 FD 10 3D ?? ?? ?? ?? C5 D5 59 35 ?? ?? ?? ?? C5 CD 58 CF C5 75 5C EF C5 15 59 05 ?? ?? ?? ?? C5 15 59 15 ?? ?? ?? ?? C5 15 59 25 ?? ?? ?? ?? C5 15 59 3D ?? ?? ?? ?? C4 41 55 5C C8 C4 41 35 5C DA C4 41 25 5C F4 C4 C1 0D 5C E7 C5 DD 59 EC C5 55 59 25 ?? ?? ?? ?? C5 55 59 2D ?? ?? ?? ?? C5 1D 58 35 ?? ?? ?? ?? C5 0D 59 FD C4 41 25 57 DB C5 E1 73 F1 3F C4 C3 7D 19 C8 01 C4 C1 49 73 F0 3F C4 C1 31 73 F0 3E C4 E3 65 18 FE 01 C5 C5 57 DA C5 E9 73 F1 3E C5 95 58 0D ?? ?? ?? ?? C5 85 58 3D ?? ?? ?? ?? C5 F5 59 F5 C5 45 59 C5 C4 43 6D 18 D1 01 C5 4D 58 0D ?? ?? ?? ?? C4 C1 2D C2 D3 0C C5 3D 58 15 ?? ?? ?? ?? C5 B5 59 ED C5 AD 59 CC C5 D5 58 2D ?? ?? ?? ?? C5 ED 55 E1 C5 6D 54 D5 C4 C1 5D 56 F2 C5 ED 54 E1 C5 ED 55 D5 C5 DD 56 FA C5 4D 5E C7 C5 BD 57 CB 85 C0 75 6E C5 FC 10 B4 24 70 01 00 00 C5 FC 10 BC 24 10 02 00 00 C5 7C 10 84 24 30 02 00 00 C5 7C 10 8C 24 50 02 00 00 C5 7C 10 94 24 F0 01 00 00 C5 7C 10 9C 24 90 02 00 00 C5 7C 10 A4 24 B0 01 00 00 C5 7C 10 AC 24 90 01 00 00 C5 7C 10 B4 24 70 02 00 00 C5 7C 10 BC 24 D0 01 00 00 4C 8B AC 24 B0 02 00 00 C5 FD 28 C1 48 81 C4 B8 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 84 33 D2 48 89 5C 24 28 8B DA 48 89 74 24 20 8B F0 0F A3 DE 72 1C FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 4D 40 E9 53 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D0 C5 FD 10 15 ?? ?? ?? ?? 41 B8 00 00 F0 7F C4 C1 7D 11 45 00 C4 C1 79 6E F0 C5 6D 54 D5 C5 2D C2 CA 00 C5 F9 70 D6 11 C5 69 DB D0 C4 43 7D 19 CB 01 C4 C3 7D 19 C7 01 C4 C1 30 C6 DB DD C4 41 69 DB CF C4 C1 51 73 D1 34 C4 C1 21 73 D2 34 C4 C1 79 7E EA C5 79 7E D9 C5 FA 6F 15 ?? ?? ?? ?? C5 F8 11 44 24 20 C5 E9 DB C0 C4 C3 79 16 E8 02 47 8D 14 52 C4 43 79 16 DB 02 44 8D 0C 49 41 C1 E2 03 41 C1 E1 03 43 8D 0C 40 C1 E1 03 47 8D 1C 5B 41 C1 E3 03 C4 41 F9 6E 34 12 C5 7A 6F 0D ?? ?? ?? ?? C4 C1 F9 6E 4C 12 08 C5 F8 50 C3 C5 78 11 7C 24 30 C4 41 69 DB FF C4 C1 F9 6E 1C 11 C4 C1 F9 6E 74 11 10 C5 09 16 14 11 C4 41 79 D4 F1 C5 71 16 6C 11 08 C4 41 61 16 04 13 C4 C1 49 16 4C 13 10 C4 41 F9 6E 64 11 08 C5 E9 73 D1 20 C4 C1 F9 6E 7C 12 10 41 B9 00 00 00 80 C4 C1 01 D4 F1 C5 7A 6F 3D ?? ?? ?? ?? C5 79 11 54 24 50 C4 41 09 DB CF C4 C1 19 16 64 13 08 C4 41 29 DB E7 C5 C1 16 5C 11 10 48 8D 15 ?? ?? ?? ?? C4 C1 39 DB FF C4 C1 29 73 D6 20 C4 C1 71 DB CF C5 79 11 44 24 40 C4 C1 39 73 D5 20 C5 FA 7F 7C 24 60 C4 C1 11 DB C7 C5 91 73 D6 20 C4 41 49 DB F7 C5 B1 F4 F7 C4 C1 59 DB EF C5 A9 F4 F9 C5 F1 73 D7 20 C5 A1 73 D4 20 C5 A9 F4 FA C5 D9 73 D3 20 C5 B1 F4 D2 C5 FA 7F B4 24 B0 00 00 00 C5 E9 73 D2 20 C5 B1 F4 F5 C4 C1 61 DB DF C5 A9 F4 ED C5 C1 D4 FA C5 91 F4 D4 C5 89 F4 E4 C5 7A 7F 64 24 70 C4 41 09 F4 E4 C5 7A 7F 84 24 90 00 00 00 C5 FA 7F 84 24 A0 00 00 00 C5 7A 7F A4 24 C0 00 00 00 C4 41 09 F4 E0 C5 09 F4 C0 C4 C1 49 DB C7 C5 F9 D4 C7 C5 F1 D4 F8 C5 91 F4 C3 C5 F1 73 D0 20 C5 F9 73 D4 20 C5 E9 D4 D0 C5 7A 7F 9C 24 80 00 00 00 C4 C1 39 DB DF C4 41 31 F4 DB C5 F9 73 D7 20 C5 E1 D4 DA C5 E9 73 D6 20 C4 C1 39 73 D0 20 C5 F1 D4 E3 C5 D1 D4 DA C4 C1 21 DB CF C4 C1 21 73 D3 20 C5 F1 D4 EB C5 F9 D4 F5 C5 91 F4 84 24 A0 00 00 00 C4 C1 79 D4 C0 C4 C1 19 DB CF C5 E1 73 D4 20 C5 F1 D4 D0 C5 A9 F4 8C 24 80 00 00 00 C5 29 F4 54 24 60 C5 61 D4 C2 C4 C1 71 D4 C3 C5 FA 6F 9C 24 B0 00 00 00 C5 D1 73 D6 20 C4 C1 61 DB D7 C4 C1 19 73 D4 20 C5 E9 D4 D0 C5 D1 D4 EA C5 91 F4 94 24 90 00 00 00 C5 11 F4 6C 24 70 C4 C1 69 D4 D4 C5 FA 6F 8C 24 C0 00 00 00 C4 C1 21 73 D0 20 C4 C1 71 DB C7 C5 99 73 F6 20 C5 F9 D4 C2 C5 A1 D4 D0 C5 79 10 5C 24 40 C5 F9 73 D5 20 C4 C1 21 73 D3 20 C4 C1 51 DB EF C4 41 31 F4 CB C5 A1 73 D3 20 C4 41 29 D4 D3 C4 41 31 DB CF C4 C1 39 73 F0 20 C4 41 31 D4 CA C4 C1 79 D4 C1 C5 79 10 4C 24 50 C5 E1 73 F0 20 C4 C1 21 73 D1 20 C5 B1 73 D1 20 C4 41 09 F4 F3 C5 F9 73 D2 20 C5 61 D4 D5 C4 C1 11 D4 D9 C4 41 09 DB DF C4 41 79 6E E9 C5 A1 D4 EB C5 F9 D4 C5 C5 89 73 F0 20 C4 C1 69 DB D7 C4 C1 79 70 F5 11 C4 C1 41 DB CF C4 41 59 DB FF C4 C1 59 73 D2 0C C5 89 D4 D2 C4 41 39 D4 CF C5 99 D4 F9 C5 49 DB 74 24 20 C5 E1 73 D2 0C C5 7A 6F 3D ?? ?? ?? ?? C5 49 DB 6C 24 30 C4 C1 09 EF C7 C4 41 11 EF C7 C5 59 EB D8 C4 C1 61 EB E8 C4 E3 25 18 CD 01 C5 7A 6F 1D ?? ?? ?? ?? C4 C1 09 EF EB C4 C1 11 EF DB C5 7A 6F 1D ?? ?? ?? ?? C4 62 7D 1A 25 ?? ?? ?? ?? C5 9D 58 E1 C4 C1 5D 5C F4 C5 21 DB E7 C4 41 21 DB D9 C5 C1 73 D7 18 C4 C1 31 73 D1 18 C5 F5 5C C6 C4 C1 71 73 F4 1C C4 C1 19 73 F3 1C C5 F1 EB CD C5 19 EB DB C5 FA 6F 35 ?? ?? ?? ?? C4 43 75 18 E3 01 C4 E3 55 18 DB 01 C5 1D 5C E3 C5 FA 6F 1D ?? ?? ?? ?? C4 41 61 DB D2 C5 E1 DB D2 C5 7A 6F 1D ?? ?? ?? ?? C4 C1 29 73 F2 28 C5 E1 73 F2 28 C4 41 09 EF F3 C5 29 EB D7 C4 C1 11 EF EB C4 C1 61 EB C9 C4 41 29 EB DE C5 71 EB ED C4 C3 25 18 FD 01 C4 E3 0D 18 ED 01 C5 45 5C D5 C4 C1 7D 58 D2 C5 FD 5C C2 C5 AD 58 C0 C4 C1 7D 58 DC C4 62 7D 1A 25 ?? ?? ?? ?? C4 41 6D 54 CC C4 41 6D 5C F1 C4 62 7D 1A 1D ?? ?? ?? ?? C4 62 7D 1A 15 ?? ?? ?? ?? C4 E2 7D 1A 2D ?? ?? ?? ?? C4 41 2D 59 E6 C4 C1 55 59 C9 C5 25 59 EB C4 C1 55 59 FE C4 C1 2D 59 C1 C5 1D 58 D1 C5 95 58 D7 C5 2D 58 CA C4 41 7D 58 E1 C4 C1 7D 5C C4 C4 41 7D 58 D1 C4 C1 7D 10 45 00 C4 62 7D 1A 1D ?? ?? ?? ?? C4 C1 7D 54 DB C5 7A 6F 1D ?? ?? ?? ?? C4 E2 7D 1A 2D ?? ?? ?? ?? C5 E5 C2 FD 1E C5 65 C2 F5 12 C5 8D 54 C8 C4 41 45 54 EC C4 C1 75 56 D5 C4 41 45 54 CA C4 C1 6D 58 D1 C4 C3 7D 19 E0 01 C5 D9 DB E6 C5 39 DB C6 C4 41 59 DB D3 C4 41 39 DB CB C4 41 79 7E D3 C5 79 7E C9 45 6B CB 68 6B C9 68 C4 43 79 16 D0 02 C4 43 79 16 CA 02 45 6B C0 68 45 6B DA 68 C4 C1 F9 6E B4 11 40 01 00 00 C4 61 F9 6E 9C 11 40 01 00 00 C4 41 F9 6E 84 11 50 01 00 00 C4 61 F9 6E B4 11 50 01 00 00 C4 41 49 16 94 10 40 01 00 00 C4 C1 21 16 9C 13 40 01 00 00 C4 C1 F9 6E 8C 11 58 01 00 00 C4 41 F9 6E 9C 11 68 01 00 00 C4 C1 39 16 AC 10 50 01 00 00 C4 E1 F9 6E B4 11 58 01 00 00 C4 61 F9 6E 84 11 68 01 00 00 C4 41 09 16 A4 13 50 01 00 00 C4 41 71 16 AC 10 58 01 00 00 C4 C1 49 16 A4 13 58 01 00 00 C4 41 F9 6E B4 11 70 01 00 00 C4 E1 F9 6E 8C 11 70 01 00 00 C4 C1 71 16 B4 13 70 01 00 00 C4 E3 2D 18 FB 01 C4 C1 21 16 9C 10 68 01 00 00 C4 43 55 18 CC 01 C4 C1 39 16 AC 13 68 01 00 00 C4 41 09 16 A4 10 70 01 00 00 C4 63 15 18 D4 01 C4 C1 F9 6E A4 11 78 01 00 00 C4 41 59 16 9C 10 78 01 00 00 C4 63 65 18 ED 01 C4 E1 F9 6E 9C 11 78 01 00 00 C4 41 61 16 84 13 78 01 00 00 C4 C1 F9 6E AC 11 80 01 00 00 C5 15 59 EA C4 63 1D 18 F6 01 C4 E1 F9 6E B4 11 80 01 00 00 C4 41 51 16 A4 10 80 01 00 00 C4 C1 49 16 A4 13 80 01 00 00 C4 C1 F9 6E B4 11 90 01 00 00 C4 C3 25 18 C8 01 C4 41 F9 6E 9C 11 88 01 00 00 C4 61 F9 6E 84 11 88 01 00 00 C4 C1 21 16 9C 10 88 01 00 00 C4 61 F9 6E 9C 11 90 01 00 00 C5 F5 59 CA C4 E3 1D 18 EC 01 C4 41 39 16 A4 13 88 01 00 00 C4 41 F9 6E 84 11 98 01 00 00 C4 C1 49 16 A4 10 90 01 00 00 C4 C1 39 16 B4 10 98 01 00 00 C4 43 65 18 E4 01 C4 C1 21 16 9C 13 90 01 00 00 C4 61 F9 6E 9C 11 98 01 00 00 C4 41 21 16 84 13 98 01 00 00 C5 1D 59 E2 C5 9D 58 ED C4 E3 5D 18 DB 01 C4 C1 F9 6E A4 11 A0 01 00 00 C4 41 59 16 9C 10 A0 01 00 00 C4 43 4D 18 C0 01 C4 E1 F9 6E B4 11 A0 01 00 00 C4 C1 49 16 A4 13 A0 01 00 00 C5 3D 59 C2 C5 BD 58 DB C4 63 25 18 DC 01 C5 C5 5C E2 C5 FD 5A FC C5 F8 53 F7 C5 FC 5A F6 C5 DD 59 E6 C4 43 05 18 FF 01 C5 85 5C FC C5 C5 59 E7 C5 5D 58 FF C5 CD 59 FC C5 C5 58 E6 C4 41 5D 59 FF C5 85 58 F6 C4 41 15 58 FA C4 41 4D 59 D1 C5 6D 59 CA C4 41 2D 58 D7 C4 41 75 58 FE C4 41 25 59 D9 C4 C1 35 59 C9 C4 41 55 59 C9 C5 25 58 F3 C4 C1 35 58 DF C5 0D 59 F1 C5 8D 58 E3 C5 DD 59 D2 C4 C1 6D 58 CA E9 60 F7 FF FF 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "__avx_ceilf8"
		size = 16
	strings:
		$1 = { C4 E3 7D 08 C0 02 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_154_0_0 {
	meta:
		name = "__avx_log4"
		size = 640
		refs = "000a __common_dlog_data 0274 __common_dlog_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 05 ?? ?? ?? ?? C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 8F 01 00 00 C5 FD 54 1D ?? ?? ?? ?? 49 83 E5 C0 C5 E5 56 35 ?? ?? ?? ?? C5 FD 5A EE C5 F8 53 CD C5 FC 5A D1 C4 E3 7D 09 D2 00 C5 E1 73 D0 14 C4 E3 7D 19 C4 01 C5 D1 73 D4 14 C5 E0 C6 CD DD C5 FD C2 1D ?? ?? ?? ?? 11 C5 FD C2 25 ?? ?? ?? ?? 16 C5 FE E6 C9 C5 E5 56 E4 C4 E3 7D 19 E3 01 C5 D8 C6 EB DD C5 CD 54 25 ?? ?? ?? ?? C5 CD 5C F4 C5 F8 50 D5 C5 DD 59 E2 C5 CD 59 F2 C5 DD 5C 1D ?? ?? ?? ?? C5 E5 58 DE C5 C9 73 D2 28 C4 E3 7D 19 D5 01 C5 D1 73 D5 28 C4 C1 79 7E E9 C5 ED C2 15 ?? ?? ?? ?? 1E C5 F9 7E F1 4D 63 C9 C4 C3 79 16 EA 02 4D 63 D2 C4 C3 79 16 F0 02 C4 C1 7B 10 B4 01 40 A0 BF FF C5 ED 54 15 ?? ?? ?? ?? C4 C1 49 16 AC 02 40 A0 BF FF C5 ED 56 35 ?? ?? ?? ?? C5 F5 5C CE C5 E5 59 35 ?? ?? ?? ?? C5 F5 59 15 ?? ?? ?? ?? C5 CD 58 0D ?? ?? ?? ?? C5 E5 59 F3 48 63 C9 4D 63 C0 C5 F5 59 CE C5 FB 10 A4 01 40 A0 BF FF C4 C1 59 16 A4 00 40 A0 BF FF C4 E3 5D 18 E5 01 C5 E5 59 2D ?? ?? ?? ?? C5 D5 58 2D ?? ?? ?? ?? C5 F5 58 CD C5 F5 59 EE C5 E5 58 DD C5 E5 58 E4 C5 DD 58 CA 85 D2 75 1D C5 FC 10 B4 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 D5 33 C0 C5 FC 11 BC 24 20 01 00 00 C5 7C 11 84 24 00 01 00 00 C5 7C 11 8C 24 E0 00 00 00 C5 7C 11 94 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 48 01 00 00 8B D8 48 89 B4 24 40 01 00 00 8B F2 0F A3 DE 72 6A FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 20 01 00 00 C5 7C 10 84 24 00 01 00 00 C5 7C 10 8C 24 E0 00 00 00 C5 7C 10 94 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 48 01 00 00 48 8B B4 24 40 01 00 00 E9 08 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB 82 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_155_0_0 {
	meta:
		name = "__common_datan2_cout_rare"
		size = 4464
		refs = "0011 _vmldAtanHATab"
	strings:
		$1 = { 57 48 81 EC C0 00 00 00 0F 29 74 24 70 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 01 0F 28 CE F2 0F 59 C1 F2 0F 59 0A F2 0F 11 44 24 38 F2 0F 11 4C 24 40 0F B7 44 24 3E 25 F0 7F 00 00 8A 54 24 47 44 0F B7 5C 24 46 80 E2 80 41 81 E3 F0 7F 00 00 C1 E8 04 8A 4C 24 3F C0 E9 07 C0 EA 07 44 0F 29 BC 24 90 00 00 00 44 0F 29 AC 24 A0 00 00 00 44 0F 29 9C 24 80 00 00 00 44 0F 29 84 24 B0 00 00 00 41 C1 EB 04 48 8B 3D ?? ?? ?? ?? 3D FF 07 00 00 0F 84 64 10 00 00 41 81 FB FF 07 00 00 0F 84 9C 0F 00 00 85 C0 75 15 F7 44 24 3C FF FF 0F 00 75 0B 83 7C 24 38 00 0F 84 AC 0E 00 00 45 85 DB 75 15 F7 44 24 44 FF FF 0F 00 75 0B 83 7C 24 40 00 0F 84 7F 0E 00 00 41 F7 DB F2 0F 11 44 24 38 44 03 D8 F2 0F 11 4C 24 40 44 8A 54 24 3F 44 8A 4C 24 47 41 80 E2 7F 41 80 E1 7F 41 83 FB CA 0F 8E B3 0D 00 00 41 83 FB 36 0F 8D 5E 0D 00 00 44 88 4C 24 47 84 D2 44 88 54 24 3F 75 0F F2 44 0F 10 05 ?? ?? ?? ?? 45 0F 28 D8 EB 12 F2 44 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 1D ?? ?? ?? ?? F2 0F 10 4C 24 38 85 C0 F2 0F 10 6C 24 40 0F 28 D1 F2 0F 5E D5 4C 8B 4C 24 38 F2 0F 11 54 24 58 0F 8E C0 0E 00 00 3D FE 07 00 00 7D 24 4C 89 4C 24 38 05 01 FC FF FF 49 C1 E9 30 41 81 E1 0F 80 FF FF 41 81 C9 F0 3F FF FF 66 44 89 4C 24 3E EB 17 F2 0F 10 05 ?? ?? ?? ?? B8 FE 03 00 00 F2 0F 59 C8 F2 0F 11 4C 24 38 F7 D8 05 FF 03 00 00 48 89 7C 24 40 25 FF 07 00 00 48 C1 EF 30 C1 E0 04 81 E7 0F 80 FF FF 0B F8 66 89 7C 24 46 F2 0F 10 44 24 40 F2 0F 59 E8 66 0F 2F 15 ?? ?? ?? ?? 0F 82 03 08 00 00 F2 0F 10 25 ?? ?? ?? ?? 0F 28 C5 F2 0F 59 C4 B8 71 00 00 00 F2 0F 11 44 24 20 0F 28 C5 F2 44 0F 10 7C 24 20 F2 0F 11 54 24 40 F2 44 0F 5C FD F2 44 0F 11 7C 24 28 F2 0F 10 5C 24 20 F2 0F 10 54 24 28 44 8B 54 24 44 45 8B DA 41 81 E2 00 00 08 00 41 81 E3 00 00 F0 FF 41 81 CA 00 00 04 00 F2 0F 5C DA F2 0F 11 5C 24 20 45 0B DA F2 0F 10 4C 24 20 4C 8D 15 ?? ?? ?? ?? C7 44 24 40 00 00 00 00 F2 0F 5C C1 44 89 5C 24 44 4D 8B DA F2 0F 11 44 24 28 F2 0F 10 5C 24 20 F2 0F 10 4C 24 40 F2 0F 10 44 24 28 F2 0F 59 D9 F2 0F 59 C1 F2 44 0F 10 2D ?? ?? ?? ?? F2 41 0F 59 DD F2 41 0F 59 C5 44 0F 28 FB 44 0F B7 4C 24 5E F2 44 0F 58 F8 F2 44 0F 11 7C 24 20 41 81 E1 F0 7F 00 00 F2 0F 10 54 24 20 41 C1 E9 04 F2 0F 5C DA 8B 7C 24 5C F2 0F 58 D8 F2 0F 10 44 24 38 81 E7 FF FF 0F 00 F2 0F 11 5C 24 28 44 0F 28 F8 F2 0F 10 54 24 20 F2 44 0F 10 6C 24 28 F2 44 0F 58 FA F2 44 0F 11 7C 24 20 44 0F 28 F8 F2 0F 10 5C 24 20 41 C1 E1 14 F2 44 0F 5C FB F2 44 0F 11 7C 24 28 44 0B CF F2 44 0F 10 7C 24 20 41 81 C1 00 00 40 C0 F2 0F 10 5C 24 28 41 C1 F9 13 F2 44 0F 58 FB F2 44 0F 11 7C 24 30 44 0F 28 F8 F2 0F 10 5C 24 28 41 83 F9 71 F2 0F 58 D3 F2 0F 11 54 24 28 41 0F 4C C1 F2 0F 10 54 24 30 03 C0 48 63 C0 F2 44 0F 5C FA F2 44 0F 11 7C 24 30 F2 0F 10 5C 24 28 F2 0F 10 54 24 30 F2 0F 58 DA F2 0F 11 5C 24 30 F2 0F 10 5C 24 20 F2 0F 10 54 24 30 F2 41 0F 58 D5 44 0F 28 EB F2 44 0F 59 EC F2 44 0F 11 6C 24 20 F2 44 0F 10 7C 24 20 F2 44 0F 5C FB F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 5C FD F2 44 0F 11 7C 24 20 44 0F 28 F8 F2 44 0F 10 6C 24 20 F2 44 0F 59 3D ?? ?? ?? ?? F2 41 0F 5C DD F2 0F 11 5C 24 28 F2 0F 10 5C 24 20 F2 44 0F 10 6C 24 28 F2 44 0F 11 7C 24 20 F2 41 0F 58 D5 F2 44 0F 10 6C 24 20 F2 44 0F 5C 6C 24 38 F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 20 F2 44 0F 10 7C 24 28 F2 45 0F 5C EF F2 44 0F 11 6C 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C C7 F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 44 0F 10 6C 24 28 F2 0F 59 C1 F2 44 0F 59 E9 0F 28 C8 F2 41 0F 58 CD F2 0F 11 4C 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C C7 F2 41 0F 58 C5 44 0F 28 ED F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 44 0F 10 7C 24 28 F2 44 0F 58 E8 F2 44 0F 11 6C 24 20 44 0F 28 ED F2 0F 10 4C 24 20 F2 44 0F 5C E9 F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 20 F2 0F 10 4C 24 28 F2 44 0F 58 E9 F2 44 0F 11 6C 24 30 F2 0F 10 4C 24 28 F2 0F 58 C1 F2 0F 11 44 24 28 F2 0F 10 44 24 30 F2 0F 5C E8 F2 0F 11 6C 24 30 F2 0F 10 44 24 28 F2 0F 10 6C 24 30 F2 0F 58 C5 F2 0F 11 44 24 30 F2 44 0F 10 6C 24 20 F2 0F 10 4C 24 30 F2 41 0F 58 CF 45 0F 28 FD F2 44 0F 59 FC F2 44 0F 11 7C 24 20 44 0F 28 FE F2 0F 10 44 24 20 F2 41 0F 5C C5 F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 0F 10 6C 24 28 F2 0F 5C C5 F2 0F 11 44 24 20 F2 0F 10 6C 24 20 F2 44 0F 5C ED F2 44 0F 11 6C 24 28 F2 0F 10 6C 24 20 F2 44 0F 5E FD 41 0F 28 C7 F2 0F 59 C4 F2 44 0F 10 6C 24 28 F2 0F 11 44 24 28 F2 41 0F 58 CD F2 0F 10 44 24 28 F2 41 0F 5C C7 F2 0F 11 44 24 30 F2 0F 10 44 24 28 F2 44 0F 10 6C 24 30 F2 41 0F 5C C5 F2 0F 11 44 24 30 F2 44 0F 10 6C 24 30 F2 41 0F 59 ED F2 0F 5C F5 F2 0F 10 6C 24 30 F2 0F 59 CD F2 0F 11 4C 24 28 F2 0F 10 4C 24 28 F2 0F 5C F1 F2 0F 11 74 24 28 F2 0F 10 6C 24 28 48 8B 7C 24 30 F2 0F 10 74 24 28 F2 0F 10 44 24 30 48 89 7C 24 48 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EE F2 0F 59 E8 F2 0F 10 74 24 48 44 0F 28 ED 0F 28 C6 F2 0F 59 C3 F2 44 0F 59 EA F2 0F 59 DD F2 0F 59 D6 F2 44 0F 58 EB 44 0F 28 F8 F2 44 0F 58 EA F2 44 0F 11 6C 24 20 F2 0F 10 54 24 20 F2 0F 10 1D ?? ?? ?? ?? F2 44 0F 58 FA F2 44 0F 11 7C 24 20 F2 0F 10 4C 24 20 F2 0F 5C C1 F2 0F 58 C2 F2 0F 11 44 24 28 F2 44 0F 10 7C 24 20 41 0F 28 F7 41 0F 28 EF F2 41 0F 59 F7 F2 0F 59 EC F2 0F 59 DE F2 0F 10 44 24 28 F2 0F 11 6C 24 20 F2 44 0F 10 6C 24 20 F2 0F 58 1D ?? ?? ?? ?? F2 45 0F 5C EF F2 0F 59 DE F2 44 0F 11 6C 24 28 F2 0F 10 54 24 20 F2 0F 10 4C 24 28 F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C D1 F2 0F 59 DE F2 0F 11 54 24 20 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DE F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DE F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DE F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 F3 F2 0F 10 5C 24 20 F2 0F 59 E6 F2 44 0F 5C FB F2 44 0F 11 7C 24 28 F2 44 0F 10 6C 24 20 F2 44 0F 10 7C 24 28 F2 0F 11 64 24 20 F2 41 0F 58 C7 F2 0F 10 64 24 20 F2 0F 5C E6 F2 0F 11 64 24 28 F2 0F 10 4C 24 20 F2 0F 10 6C 24 28 F2 0F 5C CD F2 0F 11 4C 24 20 F2 0F 10 54 24 20 F2 0F 5C F2 F2 0F 11 74 24 28 F2 0F 10 74 24 20 F2 0F 10 5C 24 28 0F 28 EE 44 0F 28 FB F2 44 0F 59 F8 F2 0F 59 F0 F2 41 0F 59 DD F2 41 0F 59 ED F2 44 0F 58 FE 0F 28 CD 0F 28 D5 F2 44 0F 58 FB F2 41 0F 58 CD F2 44 0F 11 7C 24 20 F2 0F 10 74 24 20 F2 0F 11 4C 24 20 F2 0F 10 64 24 20 F2 0F 5C D4 F2 0F 11 54 24 28 F2 0F 10 5C 24 20 F2 0F 10 4C 24 28 F2 0F 58 D9 F2 0F 11 5C 24 30 F2 0F 10 64 24 28 F2 44 0F 58 EC F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 30 F2 41 0F 5C ED F2 0F 11 6C 24 30 F2 0F 10 54 24 28 F2 0F 10 4C 24 30 F2 0F 58 D1 F2 0F 11 54 24 30 4C 8B 4C 24 20 4C 89 4C 24 48 F2 0F 10 4C 24 48 0F 28 E1 F2 0F 10 5C 24 30 F2 41 0F 58 24 C2 F2 0F 58 C3 F2 0F 11 64 24 20 F2 0F 58 C6 F2 0F 10 6C 24 20 0F 28 F1 F2 0F 11 44 24 50 F2 0F 5C F5 F2 0F 11 74 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 58 FD F2 44 0F 11 7C 24 30 F2 0F 10 64 24 28 F2 41 0F 58 24 C3 F2 0F 11 64 24 28 F2 0F 10 6C 24 30 F2 0F 5C CD F2 0F 11 4C 24 30 F2 0F 10 5C 24 28 F2 0F 10 54 24 30 F2 0F 58 DA F2 0F 11 5C 24 30 4C 8B 4C 24 20 F2 0F 10 4C 24 30 4C 89 4C 24 48 48 8D 3D ?? ?? ?? ?? F2 0F 58 C1 C0 E1 07 F2 0F 58 44 C7 08 8A C2 C0 E0 07 F2 0F 11 44 24 50 41 0F 28 C0 49 C1 E9 38 44 8A 54 24 57 45 8A DA 41 C0 EA 07 41 80 E3 7F 41 80 E1 7F 41 32 D2 44 0A C8 44 88 4C 24 4F F2 0F 10 74 24 48 0F 28 D6 F2 0F 58 C6 C0 E2 07 F2 0F 11 44 24 20 F2 0F 10 4C 24 20 F2 0F 5C D1 F2 0F 11 54 24 28 44 0A DA F2 0F 10 64 24 20 F2 0F 10 5C 24 28 44 88 5C 24 57 F2 0F 58 E3 F2 0F 11 64 24 30 F2 0F 10 6C 24 28 F2 44 0F 58 C5 F2 44 0F 11 44 24 28 F2 44 0F 10 44 24 30 F2 41 0F 5C F0 F2 0F 11 74 24 30 F2 44 0F 10 7C 24 28 F2 44 0F 10 6C 24 30 F2 45 0F 58 FD F2 44 0F 11 7C 24 30 48 8B 54 24 20 F2 0F 10 44 24 30 48 89 54 24 48 F2 0F 58 44 24 50 F2 41 0F 58 C3 F2 44 0F 10 5C 24 48 F2 0F 11 44 24 50 F2 44 0F 58 D8 F2 44 0F 11 5C 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 4C 24 60 49 89 08 E9 0A 06 00 00 F2 0F 10 4C 24 38 44 8A CA 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? 41 C0 E1 07 C0 E1 07 F2 0F 11 44 24 20 F2 0F 10 54 24 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C 54 24 38 F2 0F 11 54 24 28 0F 28 D5 F2 0F 10 64 24 20 F2 44 0F 10 6C 24 28 F2 0F 59 D0 F2 41 0F 5C E5 F2 0F 11 64 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C CF F2 0F 11 4C 24 28 F2 0F 10 4C 24 20 F2 0F 10 5C 24 28 F2 0F 11 54 24 20 0F 28 D6 F2 0F 10 64 24 20 F2 0F 5C E5 F2 0F 11 64 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 5C FD F2 44 0F 11 7C 24 20 F2 0F 10 64 24 20 F2 0F 5C EC F2 0F 11 6C 24 28 F2 44 0F 10 7C 24 20 F2 41 0F 5E D7 0F 28 EA F2 0F 59 E8 F2 0F 10 64 24 28 F2 0F 11 6C 24 28 F2 44 0F 10 6C 24 28 F2 44 0F 5C EA F2 44 0F 11 6C 24 30 F2 0F 10 54 24 28 F2 0F 10 6C 24 30 F2 0F 5C D5 F2 0F 11 54 24 30 F2 0F 10 6C 24 30 F2 44 0F 59 FD F2 41 0F 5C F7 F2 44 0F 10 7C 24 30 F2 41 0F 59 E7 F2 0F 11 64 24 28 F2 0F 10 64 24 28 F2 0F 5C F4 F2 0F 11 74 24 28 F2 0F 10 6C 24 28 48 8B 44 24 30 F2 0F 10 74 24 28 F2 0F 10 64 24 30 48 89 44 24 48 F2 0F 10 54 24 48 44 0F 28 EA F2 0F 58 2D ?? ?? ?? ?? F2 44 0F 59 E9 F2 0F 59 D3 F2 0F 59 EE F2 0F 59 EC 44 0F 28 FD F2 44 0F 59 FB F2 0F 59 CD F2 44 0F 58 F9 41 0F 28 CD F2 44 0F 58 FA F2 44 0F 11 7C 24 20 F2 0F 10 5C 24 20 F2 0F 58 CB F2 0F 11 4C 24 20 F2 0F 10 74 24 20 F2 44 0F 5C EE F2 44 0F 58 EB F2 0F 10 1D ?? ?? ?? ?? F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 58 F2 45 0F 59 ED F2 41 0F 59 DD F2 0F 10 54 24 20 0F 28 F2 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 F0 F2 41 0F 59 DD F2 0F 10 64 24 28 F2 0F 11 74 24 20 F2 0F 10 6C 24 20 F2 0F 58 1D ?? ?? ?? ?? F2 0F 5C EA F2 41 0F 59 DD F2 0F 11 6C 24 28 F2 44 0F 10 7C 24 20 F2 0F 10 4C 24 28 F2 0F 58 1D ?? ?? ?? ?? F2 44 0F 5C F9 F2 41 0F 59 DD F2 44 0F 11 7C 24 20 F2 0F 58 1D ?? ?? ?? ?? F2 41 0F 59 DD F2 0F 58 1D ?? ?? ?? ?? F2 41 0F 59 DD F2 0F 58 1D ?? ?? ?? ?? F2 41 0F 59 DD F2 44 0F 10 6C 24 20 F2 0F 59 C3 F2 41 0F 5C D5 F2 0F 11 54 24 28 F2 0F 10 4C 24 20 F2 0F 10 54 24 28 F2 0F 11 44 24 20 F2 0F 58 E2 F2 0F 10 44 24 20 F2 0F 5C C3 F2 0F 11 44 24 28 F2 0F 10 6C 24 20 F2 0F 10 74 24 28 F2 0F 5C EE F2 0F 11 6C 24 20 F2 0F 10 44 24 20 F2 0F 5C D8 F2 0F 11 5C 24 28 F2 0F 10 54 24 20 F2 0F 10 5C 24 28 0F 28 EA 44 0F 28 EB F2 44 0F 59 EC F2 0F 59 D4 F2 0F 59 D9 F2 0F 59 E9 F2 44 0F 58 EA 44 0F 28 FD 0F 28 D5 F2 44 0F 58 EB F2 44 0F 58 F9 F2 44 0F 11 6C 24 20 F2 0F 10 74 24 20 F2 44 0F 11 7C 24 20 F2 0F 10 44 24 20 F2 0F 5C D0 F2 0F 11 54 24 28 F2 44 0F 10 6C 24 20 F2 0F 10 5C 24 28 F2 44 0F 58 EB F2 44 0F 11 6C 24 30 F2 44 0F 10 7C 24 28 F2 41 0F 58 CF F2 0F 11 4C 24 28 F2 0F 10 4C 24 30 F2 0F 5C E9 F2 0F 11 6C 24 30 F2 0F 10 54 24 28 F2 0F 10 44 24 30 F2 0F 58 D0 F2 0F 11 54 24 30 48 8B 7C 24 20 F2 0F 10 4C 24 30 48 89 7C 24 48 F2 0F 58 E1 48 C1 EF 38 F2 0F 58 E6 40 80 E7 7F 41 0A F9 40 88 7C 24 4F F2 0F 11 64 24 50 41 0F 28 E0 F2 0F 10 6C 24 48 0F 28 C5 F2 0F 58 E5 F2 0F 11 64 24 20 F2 0F 10 64 24 20 44 8A 54 24 57 45 8A DA 41 C0 EA 07 F2 0F 5C C4 F2 0F 11 44 24 28 F2 0F 10 54 24 20 F2 0F 10 4C 24 28 41 32 D2 41 80 E3 7F C0 E2 07 F2 0F 58 D1 F2 0F 11 54 24 30 F2 0F 10 5C 24 28 F2 44 0F 58 C3 F2 44 0F 11 44 24 28 44 0A DA F2 44 0F 10 44 24 30 44 88 5C 24 57 F2 41 0F 5C E8 F2 0F 11 6C 24 30 F2 0F 10 4C 24 28 F2 0F 10 44 24 30 F2 0F 58 C8 F2 0F 11 4C 24 30 48 8B 54 24 20 F2 0F 10 54 24 30 48 89 54 24 48 F2 0F 58 54 24 50 F2 41 0F 58 D3 F2 44 0F 10 5C 24 48 F2 0F 11 54 24 50 F2 44 0F 58 DA F2 44 0F 11 5C 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 4C 24 60 49 89 08 E9 83 01 00 00 41 83 FB 4A 0F 8D F4 00 00 00 44 88 54 24 3F F2 0F 5E 4C 24 38 F2 0F 10 05 ?? ?? ?? ?? C0 E1 07 F2 0F 5C C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 E9 38 01 00 00 84 D2 0F 85 03 01 00 00 44 88 54 24 3F 44 88 4C 24 47 F2 0F 10 4C 24 38 F2 0F 5E 4C 24 40 F2 0F 11 4C 24 60 0F B7 44 24 66 A9 F0 7F 00 00 74 36 C0 E1 07 F2 0F 58 F1 F2 0F 11 74 24 20 F2 0F 10 44 24 20 F2 0F 59 C8 F2 0F 11 4C 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 E9 D2 00 00 00 F2 0F 59 C9 C0 E1 07 F2 0F 11 4C 24 20 F2 0F 10 44 24 20 F2 0F 58 44 24 60 F2 0F 11 44 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 E9 9A 00 00 00 85 C0 75 11 F7 44 24 3C FF FF 0F 00 75 07 E9 EA 01 00 00 74 2F F2 0F 10 05 ?? ?? ?? ?? C0 E1 07 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 EB 56 84 D2 75 25 C0 E1 07 48 8B 05 ?? ?? ?? ?? 48 89 44 24 60 48 C1 E8 38 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 EB 2D F2 0F 10 05 ?? ?? ?? ?? C0 E1 07 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 60 8A 44 24 67 24 7F 0A C1 88 44 24 67 48 8B 54 24 60 49 89 10 0F 28 74 24 70 33 C0 44 0F 28 84 24 B0 00 00 00 44 0F }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "__sse2_log102"
		size = 496
		refs = "0022 __common_dlog10_data 0072 _2il0floatpacket_52 01e0 __common_dlog10_cout_rare"
	strings:
		$1 = { 48 81 EC E8 00 00 00 0F 28 E0 44 0F 29 BC 24 C0 00 00 00 0F 28 E8 44 0F 29 B4 24 D0 00 00 00 4C 8D 05 ?? ?? ?? ?? 4C 89 AC 24 E0 00 00 00 4C 8D 6C 24 6F 44 0F 28 35 ?? ?? ?? ?? 49 83 E5 C0 44 0F 54 F0 44 0F 56 35 ?? ?? ?? ?? 66 41 0F 5A CE 66 0F C2 25 ?? ?? ?? ?? 01 66 0F C2 2D ?? ?? ?? ?? 06 0F 16 C9 0F 56 E5 0F 53 D1 66 0F 50 D4 0F 28 1D ?? ?? ?? ?? 0F 28 C8 66 0F 73 D1 14 44 0F 5A FA 66 44 0F 58 FB 66 44 0F 5C FB 66 0F 70 D1 DD 41 0F 28 E7 F3 0F E6 DA 0F 28 15 ?? ?? ?? ?? 66 0F 73 D4 28 41 0F 54 D6 85 D2 66 44 0F 5C F2 66 41 0F 59 D7 66 45 0F 59 F7 66 0F 5C 15 ?? ?? ?? ?? 66 0F 7E E0 66 0F 70 EC 02 0F 28 25 ?? ?? ?? ?? 66 41 0F C2 E7 01 66 41 0F 58 D6 66 0F 7E E9 0F 54 25 ?? ?? ?? ?? 44 0F 28 FA 0F 56 25 ?? ?? ?? ?? 66 0F 5C DC 66 44 0F 59 FA 66 0F 59 1D ?? ?? ?? ?? 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 44 0F 28 35 ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 44 0F 59 F2 66 41 0F 59 E7 66 44 0F 58 35 ?? ?? ?? ?? 66 0F 59 15 ?? ?? ?? ?? 66 41 0F 58 E6 66 41 0F 59 E7 48 63 C0 66 0F 58 E2 48 63 C9 F2 42 0F 10 8C 00 40 90 BF FF 66 42 0F 16 8C 01 40 90 BF FF 66 0F 58 E1 66 0F 58 E3 75 25 44 0F 28 B4 24 D0 00 00 00 0F 28 C4 44 0F 28 BC 24 C0 00 00 00 4C 8B AC 24 E0 00 00 00 48 81 C4 E8 00 00 00 C3 41 0F 29 45 00 41 0F 29 65 40 74 CF 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 65 40 EB 97 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D7 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_160_4_0 {
	meta:
		name = "?find_pe_section@@YAPEAU_IMAGE_SECTION_HEADER@@QEAE_K@Z"
		size = 73
	strings:
		$1 = { 4C 63 41 3C 41 0F B7 44 08 14 4D 8D 0C 08 48 83 C0 18 4C 03 C8 41 0F B7 44 08 06 48 8D 0C 80 4D 8D 04 C9 4D 3B C8 74 1E 41 8B 49 0C 48 3B D1 72 0B 41 8B 41 08 03 C1 48 3B D0 72 06 49 83 C1 28 EB E1 49 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_160_5_0 {
	meta:
		name = "?is_potentially_valid_image_base@@YA_NQEAX@Z"
		size = 46
	strings:
		$1 = { 48 85 C9 75 03 32 C0 C3 B8 4D 5A 00 00 66 39 01 75 F3 48 63 41 3C 48 03 C1 81 38 50 45 00 00 75 E4 B9 0B 02 00 00 66 39 48 18 0F 94 C0 C3 }
	condition:
		$1
}

rule file_160_7_0 {
	meta:
		name = "__scrt_acquire_startup_lock"
		size = 57
		refs = "0005 __scrt_is_ucrt_dll_in_use 0028 __scrt_native_startup_lock"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 85 C0 74 21 65 48 8B 04 25 30 00 00 00 48 8B 48 08 EB 05 48 3B C8 74 14 33 C0 F0 48 0F B1 0D ?? ?? ?? ?? 75 EE 32 C0 48 83 C4 28 C3 B0 01 EB F7 }
	condition:
		$1
}

rule file_160_8_0 {
	meta:
		name = "__scrt_dllmain_after_initialize_c"
		size = 52
		refs = "0005 __scrt_is_ucrt_dll_in_use 000e __isa_available_init 0015 _get_startup_argv_mode 001c _configure_narrow_argv 0029 _initialize_narrow_environment"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? EB 19 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 74 04 32 C0 EB 07 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_160_9_0 {
	meta:
		name = "__scrt_dllmain_before_initialize_c"
		size = 21
		refs = "0007 __scrt_initialize_onexit_tables"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 84 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_160_10_0 {
	meta:
		name = "__scrt_dllmain_crt_thread_attach"
		size = 40
		refs = "0005 __vcrt_thread_attach 0012 __acrt_thread_attach 001b __vcrt_thread_detach"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 84 C0 75 04 32 C0 EB 12 E8 ?? ?? ?? ?? 84 C0 75 07 E8 ?? ?? ?? ?? EB EC B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_160_11_0 {
	meta:
		name = "__scrt_dllmain_crt_thread_detach"
		size = 21
		refs = "0005 __acrt_thread_detach 000a __vcrt_thread_detach"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_160_12_0 {
	meta:
		name = "__scrt_dllmain_exception_filter"
		size = 97
		refs = "0020 __scrt_is_ucrt_dll_in_use 0031 _guard_check_icall 005d _seh_filter_dll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B F0 8B DA 48 8B E9 E8 ?? ?? ?? ?? 85 C0 75 17 83 FB 01 75 12 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 33 D2 48 8B CD FF D7 48 8B 54 24 58 8B 4C 24 50 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_160_13_0 {
	meta:
		name = "__scrt_dllmain_uninitialize_c"
		size = 48
		refs = "0005 __scrt_is_ucrt_dll_in_use 0010 ?module_local_atexit_table@@3U_onexit_table_t@@A 0019 _execute_onexit_table 001e _is_c_termination_complete 0027 _cexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 85 C0 74 10 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_160_14_0 {
	meta:
		name = "__scrt_dllmain_uninitialize_critical"
		size = 20
		refs = "0007 __acrt_uninitialize_critical 0010 __vcrt_uninitialize_critical"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_160_15_0 {
	meta:
		name = "__scrt_initialize_crt"
		size = 73
		refs = "0009 ?is_initialized_as_dll@@3_NA 001e __isa_available_init 0023 __vcrt_initialize 0030 __acrt_initialize 003b __vcrt_uninitialize"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B6 05 ?? ?? ?? ?? 85 C9 BB 01 00 00 00 0F 44 C3 88 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 32 C0 EB 14 E8 ?? ?? ?? ?? 84 C0 75 09 33 C9 E8 ?? ?? ?? ?? EB EA 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_160_16_0 {
	meta:
		name = "__scrt_initialize_onexit_tables"
		size = 201
		refs = "0019 __scrt_is_ucrt_dll_in_use 0028 ?module_local_atexit_table@@3U_onexit_table_t@@A 002d _initialize_onexit_table 003c ?module_local_at_quick_exit_table@@3U_onexit_table_t@@A 004f __security_cookie 00c4 __scrt_fastfail"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 40 8B D9 83 F9 01 0F 87 A6 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 2B 85 DB 75 27 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 32 C0 EB 7A 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 67 48 8B 15 ?? ?? ?? ?? 49 83 C8 FF 8B C2 B9 40 00 00 00 83 E0 3F 2B C8 B0 01 49 D3 C8 4C 33 C2 4C 89 45 E0 4C 89 45 E8 0F 10 45 E0 4C 89 45 F0 F2 0F 10 4D F0 0F 11 05 ?? ?? ?? ?? 4C 89 45 E0 4C 89 45 E8 0F 10 45 E0 4C 89 45 F0 F2 0F 11 0D ?? ?? ?? ?? F2 0F 10 4D F0 0F 11 05 ?? ?? ?? ?? F2 0F 11 0D ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 40 5D C3 B9 05 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_160_17_0 {
	meta:
		name = "__scrt_is_nonwritable_in_current_image"
		size = 153
		refs = "000f __ImageBase"
	strings:
		$1 = { 48 83 EC 18 4C 8B C1 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 75 79 48 63 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0C 10 81 39 50 45 00 00 75 5F B8 0B 02 00 00 66 39 41 18 75 54 4C 2B C2 0F B7 41 14 48 8D 51 18 48 03 D0 0F B7 41 06 48 8D 0C 80 4C 8D 0C CA 48 89 14 24 49 3B D1 74 18 8B 4A 0C 4C 3B C1 72 0A 8B 42 08 03 C1 4C 3B C0 72 08 48 83 C2 28 EB DF 33 D2 48 85 D2 75 04 32 C0 EB 14 83 7A 24 00 7D 04 32 C0 EB 0A B0 01 EB 06 32 C0 EB 02 32 C0 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_160_18_0 {
	meta:
		name = "__scrt_is_nonwritable_in_current_image$filt$0"
		size = 24
	strings:
		$1 = { 40 55 48 8B EA 48 8B 01 33 C9 81 38 05 00 00 C0 0F 94 C1 8B C1 5D C3 CC }
	condition:
		$1
}

rule file_160_19_0 {
	meta:
		name = "__scrt_release_startup_lock"
		size = 36
		refs = "0009 __scrt_is_ucrt_dll_in_use 001a __scrt_native_startup_lock"
	strings:
		$1 = { 40 53 48 83 EC 20 8A D9 E8 ?? ?? ?? ?? 33 D2 85 C0 74 0B 84 DB 75 07 48 87 15 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_160_20_0 {
	meta:
		name = "__scrt_uninitialize_crt"
		size = 43
		refs = "0008 ?is_initialized_as_dll@@3_NA 0018 __acrt_uninitialize 001f __vcrt_uninitialize"
	strings:
		$1 = { 40 53 48 83 EC 20 80 3D ?? ?? ?? ?? 00 8A D9 74 04 84 D2 75 0E 8A CB E8 ?? ?? ?? ?? 8A CB E8 ?? ?? ?? ?? B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_160_21_0 {
	meta:
		name = "_onexit"
		size = 79
		refs = "0009 __security_cookie 0015 ?module_local_atexit_table@@3U_onexit_table_t@@A 0029 _crt_atexit 003a _register_onexit_function"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 15 ?? ?? ?? ?? 48 8B D9 8B CA 48 33 15 ?? ?? ?? ?? 83 E1 3F 48 D3 CA 48 83 FA FF 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 0F 48 8B D3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 44 CB 48 8B C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_160_22_0 {
	meta:
		name = "at_quick_exit"
		size = 54
		refs = "0003 __security_cookie 000f ?module_local_at_quick_exit_table@@3U_onexit_table_t@@A 0023 _crt_at_quick_exit 0032 _register_onexit_function"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? 4C 8B C1 8B CA 48 33 15 ?? ?? ?? ?? 83 E1 3F 48 D3 CA 48 83 FA FF 75 08 49 8B C8 E9 ?? ?? ?? ?? 49 8B D0 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_160_23_0 {
	meta:
		name = "atexit"
		size = 23
		refs = "0005 _onexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 F7 D8 1B C0 F7 D8 FF C8 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_165_0_0 {
	meta:
		name = "__sse4_floor2"
		size = 16
	strings:
		$1 = { 66 0F 3A 09 C0 01 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_167_0_0 {
	meta:
		name = "__avx_powf8"
		size = 1520
		refs = "000a __common_spow_data 05e9 __common_spow_cout_rare"
	strings:
		$1 = { 48 81 EC 58 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 B0 01 00 00 C5 7C 11 B4 24 70 01 00 00 C5 7C 11 AC 24 50 01 00 00 C5 7C 11 A4 24 30 01 00 00 C5 7C 11 9C 24 10 01 00 00 C5 7C 11 94 24 30 02 00 00 C5 7C 11 8C 24 10 02 00 00 C5 7C 11 84 24 F0 01 00 00 C5 FC 11 BC 24 D0 01 00 00 C5 FC 11 B4 24 90 01 00 00 4C 89 AC 24 50 02 00 00 4C 8D 6C 24 6F 49 83 E5 C0 C4 C1 7C 11 45 20 C5 7D 10 25 ?? ?? ?? ?? C5 7D 10 35 ?? ?? ?? ?? C5 F8 10 25 ?? ?? ?? ?? C5 78 10 0D ?? ?? ?? ?? C4 C1 7C 11 4D 00 C5 F9 FA D4 C4 E3 7D 19 C3 01 C5 7C 5A C0 C5 FC 5A FB C5 E1 FA DC C4 41 3D 54 DC C4 41 45 54 FC C4 C1 25 56 C6 C4 41 05 56 FE C4 C1 71 DB E1 C4 C3 7D 19 CA 01 C5 FC 5A F1 C4 41 29 DB E9 C5 FD 5A C8 C4 41 7D 5A CF C5 7A 7F 6C 24 20 C4 C1 7C 5A EA C5 78 53 D1 C4 41 78 53 E9 C4 41 7C 5A F2 C4 41 7C 5A DD C4 43 7D 09 CE 00 C5 7D 10 35 ?? ?? ?? ?? C4 63 7D 19 C1 01 C4 C1 39 73 D0 14 C5 F1 73 D1 14 C5 38 C6 D1 DD C4 41 7E E6 D2 C5 B9 73 D7 14 C4 C3 7D 19 FC 01 C4 C1 71 73 D4 14 C5 38 C6 E9 DD C4 43 7D 09 C3 00 C4 41 7D 59 E1 C4 C1 7E E6 FD C4 C1 05 59 C0 C4 41 1D 5C DE C4 41 7D 5C E6 C4 C1 01 73 D1 28 C5 79 7E F8 C4 43 7D 19 CD 01 48 63 C0 C4 C1 09 73 D5 28 C4 41 79 7E F0 C4 63 79 16 F9 02 48 63 C9 C5 7B 10 AC 10 80 A1 BF FF 4D 63 C0 C4 43 79 16 F1 02 4D 63 C9 C5 11 16 AC 11 80 A1 BF FF C4 41 7B 10 BC 10 80 A1 BF FF C4 C1 79 73 D0 28 C4 63 7D 19 C1 01 C5 F1 73 D1 28 C5 F9 7E C8 C4 C1 79 7E C2 C4 41 01 16 BC 11 80 A1 BF FF 48 63 C0 C4 E3 79 16 C9 02 48 63 C9 4D 63 D2 C4 C3 79 16 C3 02 4D 63 DB C4 43 15 18 EF 01 C5 7B 10 BC 10 80 A1 BF FF C5 81 16 8C 11 80 A1 BF FF C5 7D 10 3D ?? ?? ?? ?? C4 41 7B 10 B4 12 80 A1 BF FF C4 C1 09 16 84 13 80 A1 BF FF C5 7D 10 35 ?? ?? ?? ?? C4 41 05 C2 C9 11 C4 41 05 C2 F8 11 C4 41 35 54 C6 C4 41 05 54 CE C5 7D 10 3D ?? ?? ?? ?? C4 41 3D 56 C7 C4 41 35 56 CF C4 41 2D 5C D0 C4 C1 45 5C F9 C4 E3 7D 18 C1 01 C5 FD 10 0D ?? ?? ?? ?? C5 2D 59 F1 C5 45 59 F9 C5 FD 10 0D ?? ?? ?? ?? C5 FD 10 3D ?? ?? ?? ?? C4 41 75 59 C3 C4 41 75 59 CC C5 3D 58 D7 C5 B5 58 CF C4 41 25 59 C3 C4 41 1D 59 CC C4 41 2D 59 D0 C4 41 75 59 C1 C4 41 25 58 DA C4 41 1D 58 C0 C4 C1 25 58 CD C5 3D 58 D0 C5 FD 10 05 ?? ?? ?? ?? C4 41 75 58 CE C4 41 2D 58 EF C5 35 59 CE C5 15 59 C5 C5 FD 10 2D ?? ?? ?? ?? C5 FD 10 35 ?? ?? ?? ?? C5 78 10 2D ?? ?? ?? ?? C5 35 59 FD C5 BD 59 ED C5 05 5C E6 C5 55 5C DE C5 1D 58 D0 C5 A5 58 C8 C5 78 10 25 ?? ?? ?? ?? C5 2D 5C F0 C5 F5 5C C0 C4 41 05 5C F6 C5 D5 5C E8 C5 7D 10 3D ?? ?? ?? ?? C4 63 7D 19 C7 01 C5 38 C6 DF DD C5 F8 10 3D ?? ?? ?? ?? C5 69 66 C7 C5 E9 76 D7 C4 63 7D 19 CE 01 C5 B0 C6 F6 DD C5 39 EB CA C5 F8 10 15 ?? ?? ?? ?? C5 59 66 C2 C5 D9 76 E2 C5 39 EB C4 C4 C1 48 54 E5 C4 41 31 EB C8 C5 61 66 C7 C5 E1 76 DF C4 C1 59 66 F4 C5 B9 EB DB C5 31 EB CE C5 7A 6F 44 24 20 C4 41 20 54 ED C5 B9 66 E2 C5 B9 76 D2 C5 D9 EB F2 C4 41 11 66 E4 C5 E1 EB FE C5 F9 10 25 ?? ?? ?? ?? C4 41 41 EB DC C4 41 31 6B CB C4 41 39 EF C0 C4 C1 31 63 D0 C5 F9 D7 C2 C4 41 55 59 CF C4 41 0D 59 C7 C5 28 54 DC C4 63 7D 19 D3 01 C4 C1 29 73 D2 0B C4 41 79 7E D8 C5 60 54 E4 C4 41 79 7E E2 C5 E1 73 D3 0B C4 C1 29 73 F2 34 41 C1 E0 03 C4 43 79 16 D9 02 41 C1 E2 03 C4 63 79 16 E1 02 41 C1 E1 03 C1 E1 03 C4 C1 F9 6E 84 10 00 36 00 00 C4 C1 F9 6E B4 12 00 36 00 00 C4 C1 79 16 AC 11 00 36 00 00 C5 C9 16 BC 11 00 36 00 00 C5 70 54 EC C4 E3 7D 19 CA 01 C5 F1 73 D1 0B C5 E8 54 E4 C5 E9 73 D2 0B C4 41 79 7E E8 C5 F1 73 F1 34 C4 C1 79 7E E3 41 C1 E0 03 C4 43 79 16 E9 02 41 C1 E3 03 C4 E3 79 16 E1 02 41 C1 E1 03 C1 E1 03 C4 41 F9 6E 9C 10 00 36 00 00 C4 41 F9 6E A4 13 00 36 00 00 C4 41 21 16 AC 11 00 36 00 00 C5 99 16 A4 11 00 36 00 00 C4 63 55 18 F7 01 C5 C1 73 F3 34 C4 41 0D 59 C0 C4 C1 3D 58 C6 C4 63 15 18 FC 01 C4 41 05 59 C9 C4 C1 35 58 E7 C4 E3 7D 19 C6 01 C4 C1 79 D4 EA C5 49 D4 CF C5 F9 73 F2 34 C4 C1 7C 10 55 00 C4 C3 7D 19 E0 01 C5 D9 D4 E1 C5 39 D4 C0 C4 43 55 18 D9 01 C4 C1 7D 5A DB C4 C3 5D 18 E8 01 C5 FD 5A F5 C4 E3 65 18 C6 01 84 C0 75 6A C5 FC 10 B4 24 90 01 00 00 C5 FC 10 BC 24 D0 01 00 00 C5 7C 10 84 24 F0 01 00 00 C5 7C 10 8C 24 10 02 00 00 C5 7C 10 94 24 30 02 00 00 C5 7C 10 9C 24 10 01 00 00 C5 7C 10 A4 24 30 01 00 00 C5 7C 10 AC 24 50 01 00 00 C5 7C 10 B4 24 70 01 00 00 C5 7C 10 BC 24 B0 01 00 00 4C 8B AC 24 50 02 00 00 48 81 C4 58 02 00 00 C3 C4 C1 7C 10 4D 20 C4 C1 7C 11 55 40 C4 C1 7C 11 85 80 00 00 00 C4 C1 7C 11 4D 00 85 C0 0F 84 73 FF FF FF 33 D2 48 89 5C 24 28 8B DA 48 89 74 24 20 8B F0 0F A3 DE 72 1F FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7C 10 85 80 00 00 00 E9 3F FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 4D 8D 84 9D 80 00 00 00 E8 ?? ?? ?? ?? EB C5 90 }
	condition:
		$1
}

rule file_170_0_0 {
	meta:
		name = "__dyn_tls_dtor"
		size = 166
		refs = "0023 _tls_index 0032 dtor_list 0061 _guard_check_icall 007d _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 83 FA 03 74 04 85 D2 75 6C 8B 0D ?? ?? ?? ?? 65 48 8B 04 25 58 00 00 00 41 BF ?? ?? ?? ?? 4C 8B 34 C8 4B 8B 3C 3E 48 85 FF 74 4A 8B 1F 83 EB 01 78 26 48 63 F3 48 83 C6 02 48 8D 34 F7 48 8B 2E 48 85 ED 74 0A 48 8B CD E8 ?? ?? ?? ?? FF D5 48 83 EE 08 83 EB 01 79 E5 48 8B 5F 08 48 85 DB 74 08 48 8B CF E8 ?? ?? ?? ?? 4B 89 1C 3E 48 8B FB 48 85 DB 75 B6 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_170_3_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QEAA@XZ"
		size = 27
		refs = "000d _free_base"
		altNames = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QEAA@XZ ??1?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QEAA@XZ ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@UTlsDtorNode@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@U__vcrt_ptd@@U__crt_internal_free_policy@@@@QEAAXXZ ?release@?$__crt_unique_heap_ptr@XU__crt_internal_free_policy@@@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_2_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAA@XZ"
		size = 27
		refs = "000d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_7_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QEAAXXZ"
		size = 27
		refs = "000d free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_170_6_0 {
	meta:
		name = "__tlregdtor"
		size = 163
		refs = "0023 _tls_index 0029 dtor_list 003b dtor_list_head 0056 _malloc_base 0060 _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 65 48 8B 04 25 58 00 00 00 48 8B F1 8B 15 ?? ?? ?? ?? 41 BE ?? ?? ?? ?? 48 8B 1C D0 49 8B 04 1E 48 85 C0 75 11 B8 ?? ?? ?? ?? 48 03 C3 49 89 04 1E 83 20 00 EB 32 83 38 1E 75 2D B9 00 01 00 00 E8 ?? ?? ?? ?? 33 C9 48 8B F8 E8 ?? ?? ?? ?? 48 85 FF 75 05 83 C8 FF EB 1F 49 8B 04 1E 83 27 00 48 89 47 08 49 89 3C 1E 49 8B 0C 1E 48 63 01 48 89 74 C1 10 FF 01 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_172_0_0 {
	meta:
		name = "__sse2_ceil2"
		size = 80
		refs = "0006 _2il0floatpacket_4 000d _2il0floatpacket_5 0038 _2il0floatpacket_6"
	strings:
		$1 = { 0F 28 E0 0F 28 1D ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 28 D3 0F 54 E1 0F 55 C8 66 0F C2 D1 01 66 0F 58 CB 66 0F 5C CB 0F 56 CC 0F 28 DA 0F 28 E9 66 0F C2 E8 01 0F 54 2D ?? ?? ?? ?? 0F 54 C2 66 0F 5C CD 0F 55 D9 0F 56 C3 C3 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_173_0_0 {
	meta:
		name = "__avx_log104"
		size = 656
		refs = "000a __common_dlog10_data 027c __common_dlog10_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 05 ?? ?? ?? ?? C5 FC 11 BC 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 8F 01 00 00 C5 FD 54 1D ?? ?? ?? ?? 49 83 E5 C0 C5 E5 56 3D ?? ?? ?? ?? C5 FD 5A EF C5 F8 53 E5 C5 FC 5A E4 C4 E3 7D 09 E4 00 C5 F1 73 D0 14 C4 E3 7D 19 C2 01 C5 E1 73 D2 14 C5 FD C2 15 ?? ?? ?? ?? 11 C5 F0 C6 EB DD C5 FD C2 0D ?? ?? ?? ?? 16 C5 FE E6 DD C5 ED 56 D1 C4 E3 7D 19 D1 01 C5 E8 C6 E9 DD C5 C5 54 15 ?? ?? ?? ?? C5 C5 5C FA C5 F8 50 D5 C5 ED 59 D4 C5 C5 59 FC C5 ED 5C 0D ?? ?? ?? ?? C5 F5 58 CF C5 C1 73 D4 28 C4 E3 7D 19 E5 01 C5 D1 73 D5 28 C4 C1 79 7E E9 C5 DD C2 25 ?? ?? ?? ?? 1E C5 F9 7E F9 4D 63 C9 C4 C3 79 16 EA 02 4D 63 D2 C4 C3 79 16 F8 02 C4 C1 7B 10 BC 01 40 90 BF FF C5 DD 54 25 ?? ?? ?? ?? C4 C1 41 16 AC 02 40 90 BF FF C5 DD 56 3D ?? ?? ?? ?? C5 E5 5C DF C5 F5 59 3D ?? ?? ?? ?? C5 E5 59 25 ?? ?? ?? ?? C5 F5 59 1D ?? ?? ?? ?? C5 C5 58 3D ?? ?? ?? ?? 48 63 C9 4D 63 C0 C5 FB 10 94 01 40 90 BF FF C4 C1 69 16 94 00 40 90 BF FF C4 E3 6D 18 D5 01 C5 E5 58 2D ?? ?? ?? ?? C5 F5 59 D9 C5 F5 59 0D ?? ?? ?? ?? C5 D5 59 EB C5 D5 58 EF C5 D5 59 DB C5 E5 58 C9 C5 F5 58 D2 C5 ED 58 CC 85 D2 75 1D C5 FC 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 D5 33 C0 C5 FC 11 B4 24 20 01 00 00 C5 7C 11 84 24 00 01 00 00 C5 7C 11 8C 24 E0 00 00 00 C5 7C 11 94 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 48 01 00 00 8B D8 48 89 B4 24 40 01 00 00 8B F2 0F A3 DE 72 6A FF C3 83 FB 20 7C F4 C5 FC 10 B4 24 20 01 00 00 C5 7C 10 84 24 00 01 00 00 C5 7C 10 8C 24 E0 00 00 00 C5 7C 10 94 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 48 01 00 00 48 8B B4 24 40 01 00 00 E9 08 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB 82 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_176_0_0 {
	meta:
		name = "__common_dsinh_cout_rare"
		size = 2096
		refs = "006d _vmldSinhHATab 015a _2il0floatpacket_88"
	strings:
		$1 = { 41 54 48 81 EC E0 00 00 00 33 C0 4C 8B 09 4D 8B C1 49 C1 E8 30 F2 0F 10 11 41 81 E0 F0 7F 00 00 41 C1 E8 04 44 0F 29 7C 24 50 41 81 F8 FF 07 00 00 44 0F 29 74 24 60 44 0F 29 6C 24 70 44 0F 29 A4 24 80 00 00 00 44 0F 29 9C 24 90 00 00 00 44 0F 29 94 24 A0 00 00 00 44 0F 29 8C 24 B0 00 00 00 44 0F 29 84 24 C0 00 00 00 4C 8B 25 ?? ?? ?? ?? 4C 89 8C 24 D0 00 00 00 0F 84 A1 07 00 00 45 85 C0 0F 8E 6C 07 00 00 49 8B C9 48 C1 E9 38 4C 89 4C 24 38 83 E1 7F 88 4C 24 3F 41 81 F8 C9 03 00 00 0F 8E EB 06 00 00 F2 0F 10 44 24 38 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 BC 06 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 49 05 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 82 CE 04 00 00 F2 44 0F 10 2D ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F2 44 0F 59 E8 F2 44 0F 10 25 ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? 4C 89 64 24 48 49 C1 EC 30 F2 44 0F 58 2D ?? ?? ?? ?? F2 44 0F 11 6C 24 30 41 81 E4 0F 80 FF FF F2 44 0F 10 74 24 30 44 8B 44 24 30 45 8B D0 41 C1 EA 06 41 83 E0 3F 49 C1 E9 38 F2 44 0F 5C 35 ?? ?? ?? ?? F2 45 0F 59 E6 41 8D 8A FF 03 00 00 44 0F 57 35 ?? ?? ?? ?? 41 81 C2 FE 03 00 00 F2 44 0F 59 35 ?? ?? ?? ?? F2 41 0F 5C C4 44 0F 28 C8 0F 28 E8 41 81 E2 FF 07 00 00 F7 D9 41 C1 E2 04 83 C1 FC 45 0B E2 47 8D 14 00 81 E1 FF 07 00 00 66 44 89 64 24 4E 41 81 E4 0F 80 FF FF C1 E1 04 47 8D 44 00 01 44 0B E1 41 80 E1 80 F2 45 0F 58 CE F2 44 0F 11 4C 24 40 F2 44 0F 10 54 24 40 F2 41 0F 5C EA F2 0F 11 6C 24 20 F2 44 0F 10 5C 24 40 F2 44 0F 10 44 24 20 F2 45 0F 58 D8 F2 44 0F 11 5C 24 28 F2 44 0F 10 7C 24 20 F2 45 0F 58 F7 F2 44 0F 10 7C 24 48 F2 44 0F 11 74 24 20 F2 44 0F 10 5C 24 28 66 44 89 64 24 4E 4D 8B E3 F2 41 0F 5C C3 F2 0F 11 44 24 28 F2 44 0F 10 64 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 58 E5 F2 44 0F 11 64 24 28 F2 0F 10 6C 24 40 0F 28 D5 44 0F 28 DD F2 0F 59 D4 0F 28 CD F2 44 0F 59 DD F2 44 0F 10 44 24 28 F2 0F 11 54 24 40 F2 44 0F 10 4C 24 40 F2 43 0F 10 14 C3 4D 8B C3 F2 41 0F 59 D7 F2 44 0F 5C CD F2 44 0F 11 4C 24 20 F2 44 0F 10 0D ?? ?? ?? ?? F2 45 0F 59 CB F2 0F 10 5C 24 40 F2 44 0F 10 54 24 20 F2 41 0F 5C DA F2 44 0F 10 15 ?? ?? ?? ?? F2 45 0F 59 D3 F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 11 5C 24 40 F2 0F 10 44 24 40 F2 45 0F 59 CB F2 0F 5C C8 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 D3 F2 45 0F 59 CB F2 44 0F 59 D5 F2 43 0F 10 04 D3 41 F7 DA F2 0F 11 4C 24 20 F2 41 0F 59 C7 F2 44 0F 10 5C 24 48 41 8D 8A 80 00 00 00 41 81 C2 81 00 00 00 44 0F 28 F0 F2 44 0F 10 6C 24 40 F2 41 0F 10 0C CC F2 44 0F 10 64 24 20 F2 41 0F 59 CB F2 43 0F 10 1C D0 F2 44 0F 5C F1 F2 41 0F 59 DB F2 44 0F 11 74 24 40 44 0F 28 D8 F2 44 0F 10 7C 24 40 F2 45 0F 5C DF F2 44 0F 5C D9 F2 44 0F 11 5C 24 20 F2 44 0F 10 5C 24 40 F2 44 0F 10 74 24 20 45 0F 28 FB F2 44 0F 5C F3 F2 44 0F 58 F2 F2 0F 58 D3 F2 45 0F 58 FE F2 44 0F 11 7C 24 40 F2 44 0F 10 7C 24 40 F2 45 0F 5C DF 44 0F 28 F8 F2 44 0F 58 F9 F2 45 0F 58 DE F2 44 0F 11 5C 24 20 F2 44 0F 10 74 24 40 F2 44 0F 10 5C 24 20 F2 44 0F 11 7C 24 40 F2 44 0F 10 7C 24 40 F2 41 0F 5C C7 F2 0F 58 C1 F2 0F 11 44 24 20 F2 0F 10 4C 24 40 F2 0F 10 44 24 20 0F 28 D9 F2 0F 58 D0 F2 0F 58 DA F2 0F 11 5C 24 40 F2 0F 10 44 24 40 F2 0F 5C C8 F2 0F 58 CA F2 0F 11 4C 24 20 F2 0F 10 44 24 40 F2 0F 59 E0 0F 28 C8 F2 0F 10 5C 24 20 F2 0F 11 64 24 40 F2 0F 10 64 24 40 F2 0F 59 EB F2 0F 5C E0 F2 0F 11 64 24 20 F2 44 0F 10 7C 24 40 F2 0F 10 54 24 20 F2 44 0F 5C FA F2 44 0F 11 7C 24 40 45 0F 28 F8 F2 0F 10 64 24 40 F2 44 0F 59 FB F2 0F 5C CC F2 44 0F 59 C0 F2 0F 11 4C 24 20 0F 28 CB F2 41 0F 59 CA F2 44 0F 59 D0 F2 44 0F 58 F9 41 0F 28 CB F2 41 0F 59 C9 F2 45 0F 59 CE F2 44 0F 58 F9 F2 0F 10 54 24 40 41 0F 28 CC F2 0F 10 64 24 20 F2 44 0F 58 FD F2 0F 59 CC F2 41 0F 59 E5 F2 44 0F 59 EA F2 45 0F 58 F8 F2 44 0F 59 E2 F2 45 0F 58 DF 41 0F 28 EA 41 0F 28 D5 F2 41 0F 58 E9 F2 0F 11 6C 24 40 F2 44 0F 10 44 24 40 F2 45 0F 5C D0 F2 45 0F 58 D1 45 0F 28 CE F2 44 0F 11 54 24 20 F2 0F 10 5C 24 40 F2 0F 10 44 24 20 F2 0F 58 D3 F2 44 0F 58 D8 F2 0F 11 54 24 40 F2 44 0F 58 D9 F2 44 0F 58 DC F2 0F 10 64 24 40 F2 44 0F 5C EC F2 45 0F 58 DC F2 44 0F 58 EB F2 44 0F 11 6C 24 20 F2 44 0F 10 54 24 40 F2 0F 10 6C 24 20 F2 45 0F 58 CA F2 44 0F 58 DD F2 44 0F 11 4C 24 40 F2 44 0F 10 44 24 40 F2 45 0F 5C F0 F2 45 0F 58 F2 F2 44 0F 11 74 24 20 F2 44 0F 10 6C 24 40 F2 44 0F 10 64 24 20 F2 45 0F 58 DC F2 45 0F 58 DD F2 44 0F 11 5C 24 38 44 8A 5C 24 3F 41 80 E3 7F 45 0A D9 44 88 5C 24 3F 48 8B 4C 24 38 48 89 0A E9 FD 01 00 00 0F 28 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA 8A 8C 24 D7 00 00 00 80 E1 80 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D0 F2 0F 58 C2 F2 0F 11 44 24 38 44 8A 44 24 3F 41 80 E0 7F 44 0A C1 44 88 44 24 3F 4C 8B 4C 24 38 4C 89 0A E9 90 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 4C 89 64 24 48 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 4C 24 30 F2 0F 10 64 24 30 F2 0F 10 0D ?? ?? ?? ?? 8B 4C 24 30 44 8B D1 41 83 E2 3F F2 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D4 47 8D 04 12 F2 0F 59 E3 F2 0F 5C C2 47 8D 5C 12 01 F2 0F 5C C4 F2 0F 59 C8 C1 E9 06 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 81 C1 FE 03 00 00 81 E1 FF 07 00 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 81 F9 FE 07 00 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 59 C8 F2 0F 58 C8 F2 43 0F 10 04 C1 F2 0F 59 C8 4D 8B C1 F2 43 0F 58 0C D8 F2 0F 58 C8 77 29 49 C1 EC 30 C1 E1 04 41 81 E4 0F 80 FF FF 44 0B E1 66 44 89 64 24 4E F2 0F 10 44 24 48 F2 0F 59 C8 F2 0F 11 4C 24 38 EB 39 FF C9 81 E1 FF 07 00 00 44 0F B7 44 24 4E C1 E1 04 41 81 E0 0F 80 FF FF 44 0B C1 66 44 89 44 24 4E F2 0F 10 44 24 48 F2 0F 59 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 4C 24 38 44 8A 44 24 3F 8A 8C 24 D7 00 00 00 41 80 E0 7F 80 E1 80 44 0A C1 44 88 44 24 3F 4C 8B 4C 24 38 4C 89 0A EB 2F F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C2 F2 0F 11 02 EB 18 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 11 02 44 0F 28 84 24 C0 00 00 00 44 0F 28 8C 24 B0 00 00 00 44 0F 28 94 24 A0 00 00 00 44 0F 28 9C 24 90 00 00 00 44 0F 28 A4 24 80 00 00 00 44 0F 28 6C 24 70 44 0F 28 74 24 60 44 0F 28 7C 24 50 48 81 C4 E0 00 00 00 41 5C C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 11 54 24 40 F2 0F 10 4C 24 40 4C 89 64 24 48 F2 0F 58 8C 24 D0 00 00 00 F2 0F 11 0A EB 8B F2 0F 58 D2 F2 0F 11 12 EB 81 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_178_0_0 {
	meta:
		name = "__avx_sinhf8"
		size = 576
		refs = "0036 __common_ssinh_data 022f __common_ssinh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 F0 01 00 00 C5 7C 11 8C 24 B0 01 00 00 C5 FC 11 B4 24 D0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 4F 01 00 00 C5 FC 54 2D ?? ?? ?? ?? 49 83 E5 C0 C5 54 57 F8 C5 7C 10 0D ?? ?? ?? ?? C5 84 59 0D ?? ?? ?? ?? C5 F8 10 35 ?? ?? ?? ?? C5 F8 10 15 ?? ?? ?? ?? C4 C1 74 58 C9 C5 81 66 E6 C4 63 7D 19 FB 01 C5 E1 66 DE C5 D9 6B E3 C5 C9 EF F6 C4 C1 74 5C D9 C5 D9 63 E6 C5 F9 D7 D4 C5 64 59 0D ?? ?? ?? ?? C4 41 04 5C F9 C5 64 59 0D ?? ?? ?? ?? C4 C1 04 5C D9 C5 E4 59 E3 C5 81 72 F1 17 C4 C3 7D 19 C9 01 C4 C1 69 FE CF C4 C1 49 72 F1 17 C4 41 69 FA FF C5 69 FE CE C5 E9 FA D6 C4 43 75 18 C9 01 C5 DC 59 0D ?? ?? ?? ?? C4 63 05 18 FA 01 C5 F4 58 15 ?? ?? ?? ?? C4 C1 34 58 F7 C4 41 34 5C CF C5 6C 59 FC C5 84 59 CB C5 74 58 FB C5 DC 59 1D ?? ?? ?? ?? C4 C1 4C 59 F7 C5 E4 58 0D ?? ?? ?? ?? C5 F4 59 D4 C5 EC 58 1D ?? ?? ?? ?? C5 E4 59 E4 C4 C1 5C 59 C9 C5 CC 58 D1 C4 41 6C 58 C9 C4 C1 54 56 C9 84 D2 75 2F C5 FC 10 B4 24 D0 01 00 00 C5 7C 10 8C 24 B0 01 00 00 C5 7C 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 C1 33 C0 C5 FC 11 BC 24 E0 00 00 00 C5 7C 11 84 24 C0 00 00 00 C5 7C 11 94 24 A0 00 00 00 C5 7C 11 9C 24 80 00 00 00 C5 7C 11 64 24 60 C5 7C 11 6C 24 40 C5 7C 11 74 24 20 48 89 9C 24 08 01 00 00 8B D8 48 89 B4 24 00 01 00 00 8B F2 0F A3 DE 72 58 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 E0 00 00 00 C5 7C 10 84 24 C0 00 00 00 C5 7C 10 94 24 A0 00 00 00 C5 7C 10 9C 24 80 00 00 00 C5 7C 10 64 24 60 C5 7C 10 6C 24 40 C5 7C 10 74 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 08 01 00 00 48 8B B4 24 00 01 00 00 E9 18 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 94 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_179_0_0 {
	meta:
		name = "__common_ssinh_cout_rare"
		size = 2128
		refs = "0062 _vmldSinhHATab 0160 _2il0floatpacket_89"
	strings:
		$1 = { 48 81 EC D8 00 00 00 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 F3 0F 10 11 41 81 F8 80 7F 00 00 44 0F 29 7C 24 50 44 0F 29 74 24 60 44 0F 29 6C 24 70 44 0F 29 A4 24 80 00 00 00 44 0F 29 9C 24 90 00 00 00 44 0F 29 94 24 A0 00 00 00 44 0F 29 8C 24 B0 00 00 00 44 0F 29 84 24 C0 00 00 00 4C 8B 1D ?? ?? ?? ?? 0F 84 CE 07 00 00 F3 0F 5A D2 F2 0F 11 94 24 D0 00 00 00 44 0F B7 84 24 D6 00 00 00 41 81 E0 F0 7F 00 00 F2 0F 11 54 24 38 41 C1 E8 04 80 64 24 3F 7F 45 85 C0 0F 8E 6A 07 00 00 41 81 F8 C9 03 00 00 0F 8E FA 06 00 00 F2 0F 10 44 24 38 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 C7 06 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C8 0F 86 51 05 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 82 D4 04 00 00 F2 44 0F 10 2D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F2 44 0F 59 E8 F2 44 0F 10 25 ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? 4C 89 5C 24 48 49 C1 EB 30 F2 44 0F 58 2D ?? ?? ?? ?? F2 44 0F 11 6C 24 30 41 81 E3 0F 80 FF FF F2 44 0F 10 74 24 30 44 8B 44 24 30 41 8B C8 C1 E9 06 41 83 E0 3F 81 C1 FF 03 00 00 F2 44 0F 5C 35 ?? ?? ?? ?? F2 45 0F 59 E6 81 E1 FF 07 00 00 44 0F 57 35 ?? ?? ?? ?? 44 8D 49 FF F2 44 0F 59 35 ?? ?? ?? ?? F2 41 0F 5C C4 44 0F 28 C8 0F 28 E8 41 81 E1 FF 07 00 00 F7 D9 41 C1 E1 04 83 C1 FC 45 0B D9 47 8D 0C 00 81 E1 FF 07 00 00 66 44 89 5C 24 4E 41 81 E3 0F 80 FF FF C1 E1 04 47 8D 44 00 01 44 0B D9 F2 45 0F 58 CE F2 44 0F 11 4C 24 40 F2 44 0F 10 54 24 40 F2 41 0F 5C EA F2 0F 11 6C 24 20 F2 44 0F 10 5C 24 40 F2 44 0F 10 44 24 20 F2 45 0F 58 D8 F2 44 0F 11 5C 24 28 F2 44 0F 10 7C 24 20 F2 45 0F 58 F7 F2 44 0F 10 7C 24 48 F2 44 0F 11 74 24 20 F2 44 0F 10 5C 24 28 66 44 89 5C 24 4E 4D 8B DA F2 41 0F 5C C3 F2 0F 11 44 24 28 F2 44 0F 10 64 24 20 F2 44 0F 10 6C 24 28 F2 45 0F 58 E5 F2 44 0F 11 64 24 28 F2 0F 10 6C 24 40 0F 28 D5 44 0F 28 DD F2 0F 59 D4 0F 28 CD F2 44 0F 59 DD F2 44 0F 10 44 24 28 F2 0F 11 54 24 40 F2 44 0F 10 4C 24 40 F2 43 0F 10 14 C2 4D 8B C2 F2 41 0F 59 D7 F2 44 0F 5C CD F2 44 0F 11 4C 24 20 F2 44 0F 10 0D ?? ?? ?? ?? F2 45 0F 59 CB F2 0F 10 5C 24 40 F2 44 0F 10 54 24 20 F2 41 0F 5C DA F2 44 0F 10 15 ?? ?? ?? ?? F2 45 0F 59 D3 F2 44 0F 58 0D ?? ?? ?? ?? F2 0F 11 5C 24 40 F2 0F 10 44 24 40 F2 45 0F 59 CB F2 0F 5C C8 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 58 0D ?? ?? ?? ?? F2 45 0F 59 D3 F2 45 0F 59 CB F2 44 0F 59 D5 F2 43 0F 10 04 CA 41 F7 D9 F2 0F 11 4C 24 20 F2 41 0F 59 C7 F2 44 0F 10 5C 24 48 41 8D 89 80 00 00 00 41 81 C1 81 00 00 00 44 0F 28 F0 F2 44 0F 10 6C 24 40 F2 41 0F 10 0C CB F2 44 0F 10 64 24 20 F2 41 0F 59 CB F2 43 0F 10 1C C8 F2 44 0F 5C F1 F2 41 0F 59 DB F2 44 0F 11 74 24 40 44 0F 28 D8 F2 44 0F 10 7C 24 40 44 8A 94 24 D7 00 00 00 F2 45 0F 5C DF 41 80 E2 80 F2 44 0F 5C D9 F2 44 0F 11 5C 24 20 F2 44 0F 10 5C 24 40 F2 44 0F 10 74 24 20 45 0F 28 FB F2 44 0F 5C F3 F2 44 0F 58 F2 F2 0F 58 D3 F2 45 0F 58 FE F2 44 0F 11 7C 24 40 F2 44 0F 10 7C 24 40 F2 45 0F 5C DF 44 0F 28 F8 F2 44 0F 58 F9 F2 45 0F 58 DE F2 44 0F 11 5C 24 20 F2 44 0F 10 74 24 40 F2 44 0F 10 5C 24 20 F2 44 0F 11 7C 24 40 F2 44 0F 10 7C 24 40 F2 41 0F 5C C7 F2 0F 58 C1 F2 0F 11 44 24 20 F2 0F 10 4C 24 40 F2 0F 10 44 24 20 0F 28 D9 F2 0F 58 D0 F2 0F 58 DA F2 0F 11 5C 24 40 F2 0F 10 44 24 40 F2 0F 5C C8 F2 0F 58 CA F2 0F 11 4C 24 20 F2 0F 10 44 24 40 F2 0F 59 E0 0F 28 C8 F2 0F 10 5C 24 20 F2 0F 11 64 24 40 F2 0F 10 64 24 40 F2 0F 59 EB F2 0F 5C E0 F2 0F 11 64 24 20 F2 44 0F 10 7C 24 40 F2 0F 10 54 24 20 F2 44 0F 5C FA F2 44 0F 11 7C 24 40 45 0F 28 F8 F2 0F 10 64 24 40 F2 44 0F 59 FB F2 0F 5C CC F2 44 0F 59 C0 F2 0F 11 4C 24 20 41 0F 28 CA F2 0F 59 CB F2 44 0F 59 D0 F2 44 0F 58 F9 41 0F 28 C9 F2 41 0F 59 CB F2 45 0F 59 CE F2 44 0F 58 F9 F2 0F 10 54 24 40 41 0F 28 CC F2 0F 10 64 24 20 F2 44 0F 58 FD F2 0F 59 CC F2 41 0F 59 E5 F2 44 0F 59 EA F2 45 0F 58 F8 F2 44 0F 59 E2 F2 45 0F 58 DF 41 0F 28 EA F2 41 0F 58 E9 F2 0F 11 6C 24 40 F2 44 0F 10 44 24 40 F2 45 0F 5C D0 F2 45 0F 58 D1 45 0F 28 CE F2 44 0F 11 54 24 20 F2 0F 10 5C 24 40 F2 0F 10 44 24 20 0F 28 D3 F2 44 0F 58 D8 F2 41 0F 58 D5 F2 44 0F 58 D9 F2 0F 11 54 24 40 F2 44 0F 58 DC F2 0F 10 64 24 40 F2 45 0F 58 DC F2 44 0F 5C EC F2 44 0F 58 EB F2 44 0F 11 6C 24 20 F2 44 0F 10 54 24 40 F2 0F 10 6C 24 20 F2 45 0F 58 CA F2 44 0F 58 DD F2 44 0F 11 4C 24 40 F2 44 0F 10 44 24 40 F2 45 0F 5C F0 F2 45 0F 58 F2 F2 44 0F 11 74 24 20 F2 44 0F 10 6C 24 40 F2 44 0F 10 64 24 20 F2 45 0F 58 DC F2 45 0F 58 DD F2 44 0F 11 5C 24 38 8A 4C 24 3F 80 E1 7F 41 0A CA 88 4C 24 3F F2 44 0F 5A 5C 24 38 F3 44 0F 11 1A E9 0A 02 00 00 0F 28 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA 8A 8C 24 D7 00 00 00 80 E1 80 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D0 F2 0F 58 C2 F2 0F 11 44 24 38 44 8A 44 24 3F 41 80 E0 7F 44 0A C1 44 88 44 24 3F F2 0F 5A 44 24 38 F3 0F 11 02 E9 9B 01 00 00 F2 0F 10 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 4C 89 5C 24 48 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 4C 24 30 F2 0F 10 64 24 30 F2 0F 10 0D ?? ?? ?? ?? 44 8B 44 24 30 41 8B C8 83 E1 3F F2 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D4 44 8D 0C 09 F2 0F 59 E3 F2 0F 5C C2 8D 4C 09 01 F2 0F 5C C4 F2 0F 59 C8 41 C1 E8 06 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 41 81 C0 FE 03 00 00 41 81 E0 FF 07 00 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 41 81 F8 FE 07 00 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 59 C8 F2 0F 58 C8 F2 43 0F 10 04 CA F2 0F 59 C8 F2 41 0F 58 0C CA F2 0F 58 C8 77 2A 49 C1 EB 30 41 C1 E0 04 41 81 E3 0F 80 FF FF 45 0B D8 66 44 89 5C 24 4E F2 0F 10 44 24 48 F2 0F 59 C8 F2 0F 11 4C 24 38 EB 39 41 FF C8 41 81 E0 FF 07 00 00 0F B7 4C 24 4E 41 C1 E0 04 81 E1 0F 80 FF FF 41 0B C8 66 89 4C 24 4E F2 0F 10 44 24 48 F2 0F 59 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 4C 24 38 44 8A 44 24 3F 8A 8C 24 D7 00 00 00 41 80 E0 7F 80 E1 80 44 0A C1 44 88 44 24 3F F2 0F 5A 44 24 38 F3 0F 11 02 EB 37 F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C2 F2 0F 5A C0 F3 0F 11 02 EB 1C F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 5A C0 F3 0F 11 02 44 0F 28 84 24 C0 00 00 00 44 0F 28 8C 24 B0 00 00 00 44 0F 28 94 24 A0 00 00 00 44 0F 28 9C 24 90 00 00 00 44 0F 28 A4 24 80 00 00 00 44 0F 28 6C 24 70 44 0F 28 74 24 60 44 0F 28 7C 24 50 48 81 C4 D8 00 00 00 C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 11 54 24 40 F3 0F 5A 11 F2 0F 10 4C 24 40 4C 89 5C 24 48 F2 0F 58 D1 F2 0F 5A D2 F3 0F 11 12 EB 8A F3 0F 58 D2 F3 0F 11 12 EB 80 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "__common_spow_cout_rare"
		size = 2976
		refs = "0187 _2il0floatpacket_112 01b7 _vmlsPowHATab 01e9 _2il0floatpacket_113 0390 _2il0floatpacket_115 039f _2il0floatpacket_114 050f _2il0floatpacket_124 063f _2il0floatpacket_116 0669 _2il0floatpacket_117 0681 _2il0floatpacket_118 068d _2il0floatpacket_119 07c5 _2il0floatpacket_120 07ea _2il0floatpacket_121 0836 _2il0floatpacket_122 0845 _2il0floatpacket_123 098d _2il0floatpacket_126"
	strings:
		$1 = { 53 41 54 41 55 41 57 55 48 81 EC 90 00 00 00 33 C0 F3 0F 10 21 66 0F EF C0 F3 0F 10 1A 0F 28 CC 8B 12 0F 28 D3 44 0F 29 7C 24 60 44 0F 29 74 24 70 44 0F 29 AC 24 80 00 00 00 44 0F 29 44 24 50 0F 29 7C 24 40 8B 09 0F 2E E0 7A 02 74 06 89 4C 24 28 EB 0D 0F 28 CC F3 0F 58 CC F3 0F 11 4C 24 28 0F 2E D8 7A 02 74 06 89 54 24 3C EB 0D 0F 28 D3 F3 0F 58 D3 F3 0F 11 54 24 3C 66 0F 7E D5 41 BC 01 00 00 00 45 33 DB F7 44 24 28 FF FF 7F 00 0F B7 54 24 3E 45 0F 44 DC 45 33 D2 81 E5 FF FF FF 7F 81 E2 80 7F 00 00 45 33 C9 F7 44 24 3C FF FF 7F 00 44 0F B7 7C 24 2A 45 0F 44 D4 41 81 E7 80 7F 00 00 C1 EA 07 8D 8D 00 00 80 C0 81 FA FF 00 00 00 44 0F B6 6C 24 2B 8A 5C 24 3F 45 0F 45 CC 41 81 E5 80 00 00 00 80 E3 80 41 C1 EF 07 41 C1 ED 07 C0 EB 07 81 F9 00 00 00 40 73 3E 81 FD 00 00 80 4B 0F 8D 27 05 00 00 8B CD 81 E1 00 00 80 FF 81 C1 00 00 80 00 C1 E9 17 D3 E5 F7 C5 FF FF 7F 00 75 17 81 E5 FF FF FF 00 81 FD 00 00 80 00 BD 02 00 00 00 41 0F 44 EC EB 02 33 ED 45 85 ED 75 0A 41 83 FF 7F 0F 84 3C 0A 00 00 85 D2 75 09 45 85 D2 0F 85 6C 04 00 00 33 C9 41 81 FF FF 00 00 00 41 0F 45 CC 44 0B D9 0F 84 4B 04 00 00 45 0B D1 0F 84 42 04 00 00 0F 2E C8 7A 06 0F 84 B8 09 00 00 0F 2E 0D ?? ?? ?? ?? 7A 06 0F 84 83 09 00 00 85 C9 0F 84 BE 03 00 00 45 85 C9 0F 84 B5 03 00 00 0F 2F C8 77 08 85 ED 0F 84 7D 03 00 00 41 23 ED 48 8D 0D ?? ?? ?? ?? F3 0F 11 4C 24 2C 80 64 24 2F 7F 45 85 FF F3 44 0F 10 B4 A9 CC 05 00 00 B9 00 00 00 00 75 1B F3 0F 10 44 24 2C B9 C0 FF FF FF F3 0F 59 05 ?? ?? ?? ?? F3 0F 11 44 24 2C EB 06 F3 0F 10 44 24 2C F3 0F 11 44 24 30 4C 8D 25 ?? ?? ?? ?? 44 0F B7 54 24 32 4D 8B EC 41 81 E2 7F 80 FF FF 4D 8B FC 41 81 CA 80 3F FF FF 66 44 89 54 24 32 4D 8B D4 8B 6C 24 30 81 E5 00 00 78 00 44 0F B7 4C 24 2E 81 C5 00 00 08 00 41 81 E1 80 7F 00 00 41 C1 E9 07 C1 ED 14 44 8B 5C 24 2C 41 C1 E1 17 41 81 E3 FF FF 7F 00 45 0B CB 41 81 C1 00 00 C8 C0 4D 8B DD 41 C1 F9 17 44 03 C9 F3 45 0F 10 04 AC 03 ED F3 45 0F 2A E9 F3 0F 10 6C 24 30 4D 8B CD 0F 28 FD F3 41 0F 10 64 AD 24 F3 41 0F 59 F8 44 0F 28 FC F3 45 0F 58 FD 66 0F 7E F9 F3 44 0F 11 7C 24 34 81 E1 00 00 1E 00 F3 44 0F 10 7C 24 34 81 C1 00 00 02 00 C1 E9 12 F3 45 0F 5C EF F3 41 0F 58 E5 F3 41 0F 10 5C 8F 6C 03 C9 F3 0F 11 64 24 38 F3 44 0F 10 7C 24 34 41 0F 28 E7 F3 0F 59 FB F3 44 0F 59 C3 66 41 0F 7E FC F3 41 0F 10 84 8A 90 00 00 00 0F 28 DD F3 44 0F 10 6C 24 38 F3 0F 58 E0 F3 0F 11 64 24 34 41 81 E4 00 C0 07 00 F3 0F 10 64 24 34 41 81 C4 00 40 00 00 41 C1 EC 0F F3 44 0F 5C FC F3 44 0F 58 F8 F3 43 0F 10 94 A3 D8 00 00 00 45 03 E4 F3 44 0F 11 7C 24 38 F3 0F 10 64 24 34 44 0F 28 FC F3 43 0F 10 8C A5 1C 01 00 00 F3 0F 10 44 24 38 F3 44 0F 58 F9 F3 44 0F 58 E8 F3 44 0F 59 C2 F3 44 0F 11 7C 24 34 F3 44 0F 10 7C 24 34 F3 41 0F 5C E7 F3 0F 59 FA F3 0F 58 E1 F3 0F 10 15 ?? ?? ?? ?? 0F 28 C7 F3 0F 59 DA F3 0F 5C 05 ?? ?? ?? ?? F3 0F 11 64 24 38 F3 0F 10 64 24 34 F3 0F 10 4C 24 38 F3 0F 11 5C 24 34 F3 44 0F 58 E9 F3 0F 10 4C 24 34 F3 0F 5C 4C 24 30 F3 45 0F 58 6C A9 28 F3 0F 11 4C 24 38 49 8B ED F3 0F 10 4C 24 34 F3 44 0F 10 7C 24 38 F3 41 0F 5C CF F3 44 0F 58 AC 8D 94 00 00 00 F3 0F 11 4C 24 34 F3 0F 10 5C 24 34 F3 0F 5C EB F3 47 0F 58 AC A7 20 01 00 00 F3 0F 11 6C 24 38 41 0F 28 E8 F3 0F 59 EA F3 44 0F 10 7C 24 34 F3 0F 10 4C 24 38 F3 0F 11 6C 24 34 F3 0F 10 54 24 34 F3 41 0F 5C D0 F3 0F 11 54 24 38 F3 0F 10 54 24 34 F3 0F 10 5C 24 38 F3 0F 5C D3 41 0F 28 DF F3 0F 11 54 24 34 F3 0F 10 6C 24 34 F3 44 0F 5C C5 F3 44 0F 11 44 24 38 F3 44 0F 10 44 24 34 F3 41 0F 59 D8 F3 44 0F 59 C1 F3 0F 5C DF 0F 28 F8 F3 41 0F 58 D8 F3 0F 58 FC F3 0F 10 54 24 38 F3 0F 11 7C 24 34 F3 44 0F 59 FA F3 0F 59 CA F3 41 0F 58 DF F3 0F 10 54 24 34 F3 0F 58 CB F3 0F 5C E2 F3 0F 58 E0 F3 0F 11 64 24 38 F3 0F 10 5C 24 34 F3 0F 11 5C 24 28 0F B7 4C 24 2A 81 E1 80 7F 00 00 C1 E9 07 03 D1 F3 0F 10 54 24 38 81 FA 09 01 00 00 0F 8D F3 05 00 00 81 FA C0 00 00 00 0F 8F 3E 01 00 00 C7 44 24 34 00 00 80 3F F3 0F 10 44 24 34 F3 0F 58 05 ?? ?? ?? ?? F3 0F 11 44 24 34 F3 0F 10 4C 24 34 F3 44 0F 59 F1 F3 45 0F 11 30 E9 D3 00 00 00 33 C0 89 44 24 34 41 8B C4 F3 0F 10 4C 24 34 F3 0F 10 44 24 34 F3 0F 5E C8 F3 0F 11 4C 24 34 8B 54 24 34 41 89 10 E9 A8 00 00 00 41 83 FF 7F 7D 1C 84 DB 74 0E F3 0F 59 D2 F3 41 0F 11 10 E9 90 00 00 00 33 D2 41 89 10 E9 86 00 00 00 84 DB 74 1A 41 23 ED 48 8D 15 ?? ?? ?? ?? 8B 8C AA E8 05 00 00 89 4C 24 2C 41 89 08 EB 68 F3 0F 59 C9 41 23 ED F3 0F 59 D1 48 8D 15 ?? ?? ?? ?? F3 0F 59 94 AA CC 05 00 00 F3 41 0F 11 10 EB 46 F3 0F 58 E3 F3 41 0F 11 20 EB 3B F3 0F 58 CA F3 0F 11 4C 24 34 C7 44 24 38 00 00 80 3F 8A 54 24 37 8A 4C 24 3B 80 E2 80 80 E1 7F 0A CA 88 4C 24 3B F3 0F 10 4C 24 38 F3 0F 10 44 24 38 F3 0F 59 C8 F3 41 0F 11 08 0F 28 7C 24 40 44 0F 28 44 24 50 44 0F 28 AC 24 80 00 00 00 44 0F 28 74 24 70 44 0F 28 7C 24 60 48 81 C4 90 00 00 00 5D 41 5F 41 5D 41 5C 5B C3 BD 02 00 00 00 E9 03 FB FF FF F3 0F 10 2D ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? F3 44 0F 10 44 24 28 48 8B EB F3 0F 58 C1 F3 0F 58 CA F3 0F 59 E8 F3 44 0F 58 E9 F3 0F 58 2D ?? ?? ?? ?? F3 0F 59 E8 45 0F 28 FD F3 0F 10 0D ?? ?? ?? ?? F3 0F 58 2D ?? ?? ?? ?? F3 0F 59 E8 F3 0F 58 2D ?? ?? ?? ?? F3 0F 59 E8 F3 0F 58 DD F3 0F 11 5C 24 34 F3 0F 10 7C 24 34 F3 44 0F 5C C7 F3 44 0F 58 C5 F3 44 0F 11 44 24 38 F3 0F 10 44 24 34 F3 0F 10 54 24 38 F3 44 0F 58 F8 F3 44 0F 11 7C 24 34 F3 0F 10 64 24 34 F3 0F 5C C4 F3 41 0F 58 C5 44 0F 28 E9 F3 0F 11 44 24 38 F3 0F 10 44 24 34 F3 44 0F 59 E8 F3 0F 10 64 24 38 F3 44 0F 11 6C 24 34 F3 0F 58 E2 F3 0F 10 5C 24 34 F3 0F 59 64 24 3C F3 0F 5C D8 F3 0F 11 5C 24 38 F3 0F 10 7C 24 34 F3 0F 10 6C 24 38 F3 0F 5C FD F3 0F 10 6C 24 3C F3 0F 59 CD F3 0F 11 7C 24 34 F3 44 0F 10 44 24 34 F3 41 0F 5C C0 F3 0F 11 44 24 38 F3 0F 10 54 24 34 F3 0F 10 5C 24 38 F3 0F 11 4C 24 34 F3 0F 10 44 24 34 F3 0F 5C 44 24 3C F3 0F 11 44 24 38 F3 44 0F 10 6C 24 34 F3 44 0F 10 7C 24 38 F3 45 0F 5C EF F3 44 0F 11 6C 24 34 F3 0F 10 44 24 34 F3 0F 5C E8 F3 0F 11 6C 24 38 F3 0F 10 7C 24 34 F3 0F 10 4C 24 38 44 0F 28 EF 0F 28 C1 F3 0F 59 C3 F3 0F 59 FB F3 44 0F 59 EA F3 0F 59 D1 F3 0F 58 C7 F3 0F 10 1D ?? ?? ?? ?? F3 0F 58 C2 41 0F 28 D5 F3 0F 58 E0 F3 0F 58 D3 F3 0F 11 54 24 34 F3 44 0F 10 44 24 34 F3 0F 10 0D ?? ?? ?? ?? F3 44 0F 5C C3 F3 44 0F 11 44 24 20 F3 44 0F 10 7C 24 20 8B 4C 24 34 8B D1 83 E1 7F F3 45 0F 5C EF F3 44 0F 11 6C 24 24 03 C9 F3 0F 10 44 24 24 F3 0F 58 E0 F3 0F 59 CC F3 0F 10 84 8B A4 01 00 00 C1 E2 0A F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CC C1 FA 11 F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CC F3 0F 59 C8 F3 0F 58 8C 8D A8 01 00 00 0F 28 D1 F3 0F 58 D0 F3 0F 11 54 24 2C 0F B7 5C 24 2E 8B CB 81 E1 80 7F 00 00 C1 E9 07 83 C1 81 03 CA 81 F9 80 00 00 00 0F 8D 22 02 00 00 83 F9 82 7C 31 83 C1 7F 81 E3 7F 80 FF FF 0F B6 C9 C1 E1 07 0B D9 66 89 5C 24 2E F3 0F 10 44 24 2C F3 41 0F 59 C6 F3 0F 11 44 24 2C F3 41 0F 11 00 E9 43 FD FF FF 81 F9 78 FF FF FF 0F 8C 20 01 00 00 F3 0F 11 54 24 34 83 C2 40 F3 0F 10 54 24 34 B9 00 00 80 3F 89 4C 24 28 83 C2 7F C1 E9 10 F3 0F 5C C2 0F B7 D9 F3 0F 58 C1 F3 0F 11 44 24 38 81 E3 7F 80 FF FF F3 44 0F 10 44 24 34 F3 0F 10 0D ?? ?? ?? ?? F3 41 0F 59 C8 F3 0F 10 44 24 38 F3 0F 11 4C 24 34 F3 0F 10 5C 24 34 0F B6 D2 F3 41 0F 5C D8 F3 0F 11 5C 24 38 F3 0F 10 6C 24 34 F3 0F 10 64 24 38 C1 E2 07 F3 0F 5C EC F3 0F 11 6C 24 34 0B DA F3 0F 10 7C 24 34 66 89 5C 24 2A F3 44 0F 5C C7 F3 44 0F 11 44 24 38 F3 0F 10 5C 24 34 F3 44 0F 10 6C 24 38 F3 44 0F 10 7C 24 28 F3 41 0F 58 C5 F3 41 0F 59 DF F3 41 0F 59 C7 F3 44 0F 10 2D ?? ?? ?? ?? F3 41 0F 59 C5 F3 41 0F 59 DD F3 0F 11 44 24 34 F3 0F 10 44 24 34 C7 44 24 34 00 00 80 00 F3 0F 58 D8 F3 0F 10 4C 24 34 F3 44 0F 10 7C 24 34 F3 41 0F 59 CF F3 0F 11 4C 24 34 F3 0F 10 54 24 34 F3 0F 58 DA F3 44 0F 59 F3 F3 0F 11 5C 24 2C F3 45 0F 11 30 E9 17 FC FF FF 81 F9 61 FF FF FF 7C 7E B9 00 00 80 3F 81 C2 BF 00 00 00 89 4C 24 28 C1 E9 10 0F B7 D9 0F B6 D2 81 E3 7F 80 FF FF C1 E2 07 0B DA 66 89 5C 24 2A F3 0F 10 05 ?? ?? ?? ?? F3 0F 10 4C 24 28 F3 44 0F 59 F0 F3 0F 59 D1 C7 44 24 34 00 00 80 00 F3 44 0F 59 F2 F3 0F 10 54 24 34 F3 0F 10 5C 24 34 F3 0F 59 DA F3 0F 11 5C 24 34 F3 0F 10 64 24 34 F3 44 0F 58 F4 F3 44 0F 11 74 24 2C F3 45 0F 11 30 E9 91 FB FF FF C7 44 24 34 00 00 80 00 F3 0F 10 44 24 34 F3 0F 10 4C 24 34 F3 0F 59 C8 F3 0F 11 4C 24 34 F3 0F 10 54 24 34 F3 44 0F 59 F2 F3 44 0F 11 74 24 2C F3 45 0F 11 30 E9 57 FB FF FF C7 44 24 34 00 00 00 7F F3 0F 10 4C 24 34 F3 0F 10 44 24 34 F3 0F 59 C8 F3 0F 11 4C 24 34 F3 0F 10 54 24 34 F3 44 0F 59 F2 F3 44 0F 11 74 24 2C F3 45 0F 11 30 E9 1D FB FF FF 8A 54 24 2B 48 8D 0D ?? ?? ?? ?? 80 E2 80 C0 EA 07 32 DA 0F B6 DB F3 0F 10 84 99 C0 05 00 00 F3 0F 59 C0 F3 41 0F 59 C6 F3 41 0F 11 00 E9 EB FA FF FF 85 ED 75 09 45 85 C9 0F 85 70 F6 FF FF 83 E5 01 48 8D 15 ?? ?? ?? ?? 8B 8C AA CC 05 00 00 41 89 08 E9 C5 FA FF FF F3 0F 59 C9 84 DB 74 24 41 23 ED 48 8D 05 ?? ?? ?? ?? F3 0F 10 84 A8 CC 05 00 00 41 8B C4 F3 0F 5E C1 F3 41 0F 11 00 E9 99 FA FF FF 41 23 ED 48 8D 15 ?? ?? ?? ?? F3 0F 10 84 AA CC 05 00 00 F3 0F 59 C1 F3 41 0F 11 00 E9 78 FA FF FF 45 85 DB 0F 84 BB F5 FF FF E9 2F FA FF FF 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_183_0_0 {
	meta:
		name = "__sse2_atan22"
		size = 736
		refs = "0027 iSignMask 005c dbPio2hi 00b8 iAbsMask 00d8 iMinWorkNum 00e1 iMaxWorkNum 012c dbPi 0158 dbA19 0160 dbA18 0168 dbA17 0170 dbA16 0193 dbA15 019b dbA14 01a3 dbA13 01ab dbA12 01c3 dbA11 01cb dbA10 01d3 dbA09 01db dbA08 01f3 dbA07 01fb dbA06 0203 dbA05 020b dbA04 0223 dbA03 022b dbA02 0233 dbA01 023b dbA00"
	strings:
		$1 = { 48 81 EC A8 00 00 00 0F 29 B4 24 90 00 00 00 0F 29 BC 24 80 00 00 00 66 0F 29 44 24 60 66 0F 29 4C 24 70 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 54 D0 66 0F 54 D9 66 0F 29 54 24 20 66 0F 29 5C 24 30 66 0F 57 C2 66 0F 57 CB 66 0F 28 D0 66 0F C2 D1 05 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 E2 66 0F 54 DA 66 0F 54 25 ?? ?? ?? ?? 66 0F 56 CC 66 0F 28 E2 66 0F 28 E8 66 0F 28 F1 66 0F 54 C2 66 0F 54 CA 66 0F 55 D6 66 0F 55 E5 66 0F 56 CC 66 0F 56 D0 66 0F 5E CA 66 0F 28 64 24 60 66 0F 28 6C 24 60 66 0F 28 74 24 70 66 0F 28 7C 24 70 66 0F 54 25 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 54 35 ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? 66 0F C2 25 ?? ?? ?? ?? 06 66 0F C2 2D ?? ?? ?? ?? 01 66 0F C2 35 ?? ?? ?? ?? 06 66 0F C2 3D ?? ?? ?? ?? 01 66 0F 54 E5 66 0F 54 F7 66 0F 54 E6 66 0F 50 C4 83 F8 03 89 84 24 A0 00 00 00 0F 8C 63 01 00 00 66 0F 28 64 24 30 66 0F 72 E4 1F 66 0F 70 E4 F5 66 0F 54 25 ?? ?? ?? ?? 66 0F 29 64 24 40 66 0F 29 5C 24 50 66 0F 28 E1 66 0F 59 C9 66 0F 28 E9 66 0F 59 C9 66 0F 28 C1 66 0F 59 C9 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 D1 66 0F 59 D9 66 0F 59 F1 66 0F 59 F9 C7 84 24 A0 00 00 00 03 00 00 00 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 3D ?? ?? ?? ?? 66 0F 59 D1 66 0F 59 D9 66 0F 59 F1 66 0F 59 F9 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 3D ?? ?? ?? ?? 66 0F 59 D1 66 0F 59 D9 66 0F 59 F1 66 0F 59 F9 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 3D ?? ?? ?? ?? 66 0F 59 D1 66 0F 59 D9 66 0F 59 F1 66 0F 59 F9 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 3D ?? ?? ?? ?? 66 0F 59 D0 66 0F 59 D5 66 0F 59 D8 66 0F 59 F5 66 0F 58 D3 66 0F 58 F7 66 0F 58 F2 66 0F 59 F4 66 0F 58 74 24 50 66 0F 56 74 24 30 66 0F 58 74 24 40 66 0F 56 74 24 20 66 0F 28 C6 0F 28 B4 24 90 00 00 00 0F 28 BC 24 80 00 00 00 83 BC 24 A0 00 00 00 03 7D 34 F2 0F 10 44 24 60 F2 0F 10 4C 24 70 E8 3A 00 00 00 F2 0F 11 44 24 60 F2 0F 10 44 24 68 F2 0F 10 4C 24 78 E8 23 00 00 00 F2 0F 11 44 24 68 66 0F 28 44 24 60 48 81 C4 A8 00 00 00 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_183_1_0 {
	meta:
		name = "__common_atan2_sd"
		size = 944
		refs = "0027 iSignMask 005c dbPio2hi 00b8 iAbsMask 00d8 iMinWorkNum 00e1 iMaxWorkNum 0125 dbPi 0151 dbA19 0159 dbA18 0161 dbA17 0169 dbA16 0181 dbA15 0189 dbA14 0191 dbA13 0199 dbA12 01b1 dbA11 01b9 dbA10 01c1 dbA09 01c9 dbA08 01e1 dbA07 01e9 dbA06 01f1 dbA05 01f9 dbA04 0211 dbA03 0219 dbA02 0221 dbA01 0229 dbA00 027e dbZero 0336 db3Pio4hi 0348 dbPio4hi"
	strings:
		$1 = { 48 81 EC A8 00 00 00 0F 29 B4 24 90 00 00 00 0F 29 BC 24 80 00 00 00 66 0F D6 44 24 20 66 0F D6 4C 24 30 F3 0F 7E 15 ?? ?? ?? ?? F3 0F 7E 1D ?? ?? ?? ?? 66 0F 54 D0 66 0F 54 D9 66 0F D6 54 24 40 66 0F D6 5C 24 50 66 0F 57 C2 66 0F 57 CB F3 0F 7E D0 F2 0F C2 D1 05 F3 0F 7E 1D ?? ?? ?? ?? F3 0F 7E E2 66 0F 54 DA 66 0F 54 25 ?? ?? ?? ?? 66 0F 56 CC F3 0F 7E E2 F3 0F 7E E8 F3 0F 7E F1 66 0F 54 C2 66 0F 54 CA 66 0F 55 D6 66 0F 55 E5 66 0F 56 CC 66 0F 56 D0 F2 0F 5E CA F3 0F 7E 64 24 20 F3 0F 7E 6C 24 20 F3 0F 7E 74 24 30 F3 0F 7E 7C 24 30 66 0F 54 25 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 54 35 ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? F2 0F C2 25 ?? ?? ?? ?? 06 F2 0F C2 2D ?? ?? ?? ?? 01 F2 0F C2 35 ?? ?? ?? ?? 06 F2 0F C2 3D ?? ?? ?? ?? 01 66 0F 54 E5 66 0F 54 F7 66 0F 54 E6 66 0F 50 D4 83 E2 01 0F 84 5D 01 00 00 F3 0F 7E 64 24 50 66 0F 72 E4 1F 66 0F 70 E4 F5 66 0F 54 25 ?? ?? ?? ?? 66 0F D6 64 24 60 66 0F D6 5C 24 70 F3 0F 7E E1 F2 0F 59 C9 F3 0F 7E E9 F2 0F 59 C9 F3 0F 7E C1 F2 0F 59 C9 F3 0F 7E 15 ?? ?? ?? ?? F3 0F 7E 1D ?? ?? ?? ?? F3 0F 7E 35 ?? ?? ?? ?? F3 0F 7E 3D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 F1 F2 0F 59 F9 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 F1 F2 0F 59 F9 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 F1 F2 0F 59 F9 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 F1 F2 0F 59 F9 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 D5 F2 0F 59 D8 F2 0F 59 F5 F2 0F 58 D3 F2 0F 58 F7 F2 0F 58 F2 F2 0F 59 F4 F2 0F 58 74 24 70 66 0F 56 74 24 50 F2 0F 58 74 24 60 66 0F 56 74 24 40 F3 0F 7E C6 E9 10 01 00 00 F3 0F 7E 54 24 20 F3 0F 7E 5C 24 30 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? 66 0F EB 54 24 40 66 0F EB 5C 24 50 66 0F D6 54 24 20 66 0F D6 5C 24 30 F3 0F 7E 44 24 20 48 8B 44 24 20 48 8B 54 24 30 48 23 05 ?? ?? ?? ?? 48 23 15 ?? ?? ?? ?? 48 3B 05 ?? ?? ?? ?? 0F 8F A5 00 00 00 74 42 48 3B 15 ?? ?? ?? ?? 0F 8F 96 00 00 00 48 23 D2 74 1B 48 8B 54 24 30 48 23 15 ?? ?? ?? ?? 75 71 66 0F 54 05 ?? ?? ?? ?? E9 82 00 00 00 48 23 C0 75 4D 48 8B 54 24 30 48 23 15 ?? ?? ?? ?? 75 51 EB DE 48 3B 15 ?? ?? ?? ?? 7F 58 7C 32 48 8B 54 24 30 48 23 15 ?? ?? ?? ?? 74 12 66 0F 54 05 ?? ?? ?? ?? 66 0F 56 05 ?? ?? ?? ?? EB 42 66 0F 54 05 ?? ?? ?? ?? 66 0F 56 05 ?? ?? ?? ?? EB 30 66 0F 54 05 ?? ?? ?? ?? 66 0F 56 05 ?? ?? ?? ?? EB 1E 66 0F 54 05 ?? ?? ?? ?? 66 0F 56 05 ?? ?? ?? ?? EB 0C F3 0F 7E 44 24 20 F2 0F 59 44 24 30 F2 0F 11 84 24 A0 00 00 00 0F 28 B4 24 90 00 00 00 0F 28 BC 24 80 00 00 00 F2 0F 10 84 24 A0 00 00 00 48 81 C4 A8 00 00 00 C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_185_0_0 {
	meta:
		name = "__avx_cosh4"
		size = 720
		refs = "000a __common_dcosh_data 02bb __common_dcosh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 05 ?? ?? ?? ?? C5 7C 11 B4 24 70 01 00 00 C5 7C 11 A4 24 30 01 00 00 C5 7C 11 94 24 50 01 00 00 C5 7C 11 8C 24 F0 01 00 00 C5 7C 11 84 24 D0 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 90 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 CF 00 00 00 C5 FD 10 15 ?? ?? ?? ?? 49 83 E5 C0 C5 FD 10 1D ?? ?? ?? ?? C5 78 10 15 ?? ?? ?? ?? C5 F9 10 2D ?? ?? ?? ?? C5 ED 55 E0 C5 DD 59 3D ?? ?? ?? ?? C5 C5 58 F3 C5 F1 73 D2 0B C4 C3 7D 19 D6 01 C4 C1 69 73 D6 0B C4 C3 7D 19 E1 01 C4 C3 7D 19 F6 01 C4 41 58 C6 E1 DD C4 C1 48 C6 FE 88 C5 19 66 05 ?? ?? ?? ?? C5 41 DB 0D ?? ?? ?? ?? C4 C1 78 50 D0 C4 C1 39 72 F1 03 C5 79 7E C1 C4 41 29 FA D1 C4 C1 19 72 F2 03 C4 41 79 7E E3 48 63 C9 C4 43 79 16 C0 01 4D 63 C0 C4 43 79 16 C1 02 4D 63 C9 C5 FB 10 3C 01 C4 41 41 16 14 00 C4 43 79 16 E0 02 C4 41 7B 10 0C 01 4D 63 C0 C4 43 79 16 E1 03 4D 63 C9 C4 63 79 16 E1 01 C4 C1 7B 10 3C 00 4D 63 DB C4 41 41 16 24 01 C5 CD 5C FB C5 C5 59 1D ?? ?? ?? ?? C5 C5 59 3D ?? ?? ?? ?? C5 DD 5C DB C5 D9 73 F6 2C C4 C1 49 73 F6 2C C5 D9 DB E5 C5 C9 DB ED C4 43 79 16 C2 03 48 63 C9 4D 63 D2 C4 41 7B 10 04 03 C5 E5 5C DF C5 39 16 04 01 C4 41 31 16 0C 02 C5 29 D4 F4 C5 B9 FB E4 C5 31 D4 CD C5 99 FB ED C5 D9 FB C9 C5 D1 FB D2 C5 E5 59 FB C5 45 59 15 ?? ?? ?? ?? C5 2D 58 25 ?? ?? ?? ?? C4 43 0D 18 C9 01 C4 E3 75 18 E2 01 C5 35 5C C4 C5 B5 58 D4 C5 45 59 0D ?? ?? ?? ?? C5 9D 59 FF C5 B5 59 F3 C5 45 59 F2 C5 CD 58 DB C4 C1 65 59 C8 C5 8D 58 D9 C5 E5 58 CA 85 D2 75 53 C5 FC 10 B4 24 90 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 84 24 D0 01 00 00 C5 7C 10 8C 24 F0 01 00 00 C5 7C 10 94 24 50 01 00 00 C5 7C 10 A4 24 30 01 00 00 C5 7C 10 B4 24 70 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 9F 33 C0 C5 7C 11 5C 24 60 C5 7C 11 6C 24 40 C5 7C 11 7C 24 20 48 89 9C 24 88 00 00 00 8B D8 48 89 B4 24 80 00 00 00 8B F2 0F A3 DE 72 34 FF C3 83 FB 20 7C F4 C5 7C 10 5C 24 60 C5 7C 10 6C 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 88 00 00 00 48 8B B4 24 80 00 00 00 E9 3E FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB B8 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_186_0_0 {
	meta:
		name = "__avx_atan2f8"
		size = 672
		refs = "005a __common_satan2_data 029a __common_satan2_cout_rare"
	strings:
		$1 = { 48 81 EC 58 02 00 00 C5 7C 11 BC 24 70 01 00 00 C5 7C 11 A4 24 30 02 00 00 C5 7C 11 9C 24 D0 01 00 00 C5 7C 11 94 24 10 02 00 00 C5 7C 11 84 24 F0 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 90 01 00 00 4C 89 AC 24 50 02 00 00 4C 8D AC 24 CF 00 00 00 C5 FC 10 35 ?? ?? ?? ?? 49 83 E5 C0 C5 74 C2 1D ?? ?? ?? ?? 12 C5 F4 54 EE C5 FC 54 D6 C5 6C C2 D5 11 C5 D4 56 3D ?? ?? ?? ?? C4 E3 45 4A E2 A0 C4 63 6D 4A FD A0 C5 A4 54 3D ?? ?? ?? ?? C4 41 5C 5E DF C5 F8 10 25 ?? ?? ?? ?? C5 78 10 3D ?? ?? ?? ?? C5 74 57 C5 C5 FC 57 F2 C5 2C 55 15 ?? ?? ?? ?? C4 C3 7D 19 EC 01 C5 D1 FA EC C4 E3 7D 19 D3 01 C5 19 FA E4 C5 E9 FA D4 C5 E1 FA DC C4 C1 51 66 E7 C4 C1 51 76 EF C5 D9 EB E5 C4 C1 69 66 EF C4 C1 69 76 D7 C5 D1 EB D2 C4 C1 61 66 EF C5 D9 EB D2 C4 C1 19 66 E7 C4 41 19 76 E7 C4 C1 61 76 DF C4 C1 59 EB E4 C5 51 EB FB C4 C1 59 EB E7 C5 E9 6B D4 C5 E1 EF DB C4 C1 24 59 E3 C5 E9 63 EB C5 F9 D7 D5 C5 5C 59 FC C5 04 59 25 ?? ?? ?? ?? C5 84 59 15 ?? ?? ?? ?? C5 9C 58 1D ?? ?? ?? ?? C5 6C 58 25 ?? ?? ?? ?? C4 C1 64 59 EF C4 41 1C 59 E7 C5 D4 58 15 ?? ?? ?? ?? C5 9C 58 2D ?? ?? ?? ?? C4 C1 6C 59 DF C4 C1 54 59 EF C5 E4 58 15 ?? ?? ?? ?? C5 D4 58 1D ?? ?? ?? ?? C4 41 6C 59 FF C5 E4 59 E4 C5 84 58 15 ?? ?? ?? ?? C5 DC 58 DA C4 41 64 59 DB C4 41 24 58 D2 C4 41 2C 56 C0 C5 BC 58 D7 C5 EC 56 D6 84 D2 75 53 C5 FC 10 B4 24 90 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 84 24 F0 01 00 00 C5 7C 10 94 24 10 02 00 00 C5 7C 10 9C 24 D0 01 00 00 C5 7C 10 A4 24 30 02 00 00 C5 7C 10 BC 24 70 01 00 00 4C 8B AC 24 50 02 00 00 C5 FC 28 C2 48 81 C4 58 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 C4 C1 7C 11 95 80 00 00 00 85 D2 74 94 33 C0 C5 7C 11 4C 24 60 C5 7C 11 6C 24 40 C5 7C 11 74 24 20 48 89 9C 24 88 00 00 00 8B D8 48 89 B4 24 80 00 00 00 8B F2 0F A3 DE 72 37 FF C3 83 FB 20 7C F4 C5 7C 10 4C 24 60 C5 7C 10 6C 24 40 C5 7C 10 74 24 20 C4 C1 7C 10 95 80 00 00 00 48 8B 9C 24 88 00 00 00 48 8B B4 24 80 00 00 00 E9 30 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 4D 8D 84 9D 80 00 00 00 E8 ?? ?? ?? ?? EB AD }
	condition:
		$1
}

rule file_187_0_0 {
	meta:
		name = "__sse2_log10f4"
		size = 704
		refs = "0012 flMantissaMask 001a s_dwPosInf 0022 s_dwSqrt2Addition 002d s_fOne 003d s_dwSqrt2Mask 0068 s_dwExpBias 0073 s_fInvLn10 00b0 s_fB2 00ca s_fB1 00d1 s_fB0 00db s_fLg2 0130 s_dwAbsMask 013c s_dwPosZero 0144 s_dwNegInf 0164 s_dwSpecial1 016c s_dwSpecial2 0196 s_fDenoAdd"
	strings:
		$1 = { 48 83 EC 78 0F 29 7C 24 50 0F 29 74 24 60 66 0F 6F 25 ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 15 ?? ?? ?? ?? 66 0F DB E0 0F 28 2D ?? ?? ?? ?? 66 0F FE D4 66 0F 6F C8 66 0F DB 15 ?? ?? ?? ?? 66 0F EF EA 66 0F 72 E2 17 66 0F EB E5 66 0F 72 E0 17 0F 28 2D ?? ?? ?? ?? 0F 58 EC 0F 5C 25 ?? ?? ?? ?? 66 0F FA 05 ?? ?? ?? ?? 66 0F FE C2 0F 28 15 ?? ?? ?? ?? 0F 59 D4 0F 5E E5 C7 44 24 70 01 00 00 00 0F 29 4C 24 20 66 0F 66 D9 66 0F 66 0D ?? ?? ?? ?? 0F 5B C0 0F 28 EC 0F 59 E4 66 0F DB D9 0F 28 CC 0F 59 E4 66 0F D7 D3 0F 28 1D ?? ?? ?? ?? 81 FA FF FF 00 00 75 32 C7 44 24 70 00 00 00 00 0F 59 DC 0F 59 25 ?? ?? ?? ?? 0F 58 1D ?? ?? ?? ?? 0F 59 D9 0F 59 05 ?? ?? ?? ?? 0F 58 DC 0F 5C DA 0F 59 DD 0F 58 DA 0F 58 C3 83 7C 24 70 00 75 0F 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 78 C3 0F 28 54 24 20 0F 28 F2 66 0F EF FF 66 0F 6F C6 66 0F 76 05 ?? ?? ?? ?? 66 0F DB 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 6F C6 66 0F DB 05 ?? ?? ?? ?? 66 0F 6F C8 66 0F 76 05 ?? ?? ?? ?? 66 0F DB 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 66 0D ?? ?? ?? ?? 66 0F DB CE 66 0F EB F9 66 0F 6F C6 66 0F FE 05 ?? ?? ?? ?? 66 0F 66 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 7F 7C 24 30 66 0F 6F C6 66 0F FE 05 ?? ?? ?? ?? 66 0F 66 05 ?? ?? ?? ?? 66 0F 6F C8 66 0F DB 0D ?? ?? ?? ?? 66 0F 7F 4C 24 40 66 0F 6F C8 66 0F 6F D6 66 0F EB 15 ?? ?? ?? ?? 0F 5C 15 ?? ?? ?? ?? 66 0F DB C2 66 0F 76 3D ?? ?? ?? ?? 66 0F DB F7 66 0F DF 3D ?? ?? ?? ?? 66 0F EB FE 66 0F DF CF 66 0F EB C1 66 0F 6F 25 ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 15 ?? ?? ?? ?? 66 0F DB E0 0F 28 2D ?? ?? ?? ?? 66 0F FE D4 66 0F 6F C8 66 0F DB 15 ?? ?? ?? ?? 66 0F EF EA 66 0F 72 E2 17 66 0F EB E5 66 0F 72 E0 17 0F 28 3D ?? ?? ?? ?? 0F 58 FC 0F 5C 25 ?? ?? ?? ?? 66 0F FA 05 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 59 EC 0F 5E E7 66 0F FE C2 0F 28 D1 66 0F 66 D9 66 0F 66 0D ?? ?? ?? ?? 0F 5B C0 0F 28 FC 0F 59 E4 66 0F DB D9 0F 28 CC 0F 59 E4 66 0F D7 D3 0F 28 1D ?? ?? ?? ?? 0F 28 15 ?? ?? ?? ?? 0F 59 DC 0F 59 D4 0F 58 1D ?? ?? ?? ?? 0F 59 D9 0F 59 05 ?? ?? ?? ?? 0F 58 DA 0F 5C DD 0F 59 DF 0F 58 DD 0F 58 C3 66 0F EB 44 24 30 0F 58 44 24 40 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 78 C3 66 90 }
	condition:
		$1
}

rule file_188_0_0 {
	meta:
		name = "__common_dsin_cout_rare"
		size = 128
		refs = "0045 _vmldSinHATab"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 89 44 24 20 48 C1 E8 38 44 0F B7 41 06 41 81 E0 F0 7F 00 00 83 E0 7F F2 0F 10 09 41 81 F8 F0 7F 00 00 75 3E 83 7C 24 20 00 75 28 88 44 24 27 81 7C 24 24 00 00 F0 7F 75 1A F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 59 C8 F2 0F 11 0A 48 83 C4 28 C3 F2 0F 59 C9 33 C0 F2 0F 11 0A 48 83 C4 28 C3 33 C0 48 83 C4 28 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_371_0_0 {
	meta:
		name = "__common_dcos_cout_rare"
		size = 128
		refs = "0045 _vmldCosHATab"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 89 44 24 20 48 C1 E8 38 44 0F B7 41 06 41 81 E0 F0 7F 00 00 83 E0 7F F2 0F 10 09 41 81 F8 F0 7F 00 00 75 3E 83 7C 24 20 00 75 28 88 44 24 27 81 7C 24 24 00 00 F0 7F 75 1A F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 59 C8 F2 0F 11 0A 48 83 C4 28 C3 F2 0F 59 C9 33 C0 F2 0F 11 0A 48 83 C4 28 C3 33 C0 48 83 C4 28 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_190_0_0 {
	meta:
		name = "__sse4_floorf4"
		size = 16
	strings:
		$1 = { 66 0F 3A 08 C0 01 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_192_0_0 {
	meta:
		name = "??_N@YAXPEAX_K1P6AX0@Z2@Z"
		size = 116
		refs = "003a _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 48 89 48 08 57 41 56 41 57 48 83 EC 30 4D 8B F9 4D 8B F0 48 8B F2 48 8B F9 33 DB 48 89 58 E0 88 58 D8 49 3B DE 74 25 49 8B CF E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF 41 FF D7 48 03 FE 48 89 7C 24 50 48 FF C3 48 89 5C 24 28 EB D6 C6 44 24 20 01 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_194_0_0 {
	meta:
		name = "__chkstk"
		size = 81
	strings:
		$1 = { 48 83 EC 10 4C 89 14 24 4C 89 5C 24 08 4D 33 DB 4C 8D 54 24 18 4C 2B D0 4D 0F 42 D3 65 4C 8B 1C 25 10 00 00 00 4D 3B D3 F2 73 17 66 41 81 E2 00 F0 4D 8D 9B 00 F0 FF FF 41 C6 03 00 4D 3B D3 F2 75 EF 4C 8B 14 24 4C 8B 5C 24 08 48 83 C4 10 F2 C3 }
	condition:
		$1
}

rule file_197_0_0 {
	meta:
		name = "??2@YAPEAX_K@Z"
		size = 60
		refs = "000f _callnewh 001e ?__scrt_throw_std_bad_array_new_length@@YAXXZ 0025 ?__scrt_throw_std_bad_alloc@@YAXXZ 002d malloc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 EB 21 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 12 48 83 FB FF 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 D5 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_199_0_0 {
	meta:
		name = "__dyn_tls_init"
		size = 82
		refs = "0012 __xd_a 001e __xd_z 0033 _guard_check_icall 0042 terminate"
	strings:
		$1 = { 83 FA 02 75 4C 48 89 5C 24 08 57 48 83 EC 30 48 8D 1D ?? ?? ?? ?? 48 89 5C 24 20 48 8D 05 ?? ?? ?? ?? 48 3B D8 74 18 48 8B 3B 48 85 FF 74 0A 48 8B CF E8 ?? ?? ?? ?? FF D7 48 83 C3 08 EB D7 EB 06 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_199_1_0 {
	meta:
		name = "__dyn_tls_init$filt$0"
		size = 27
		refs = "000f dyntls_init_exception_filter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 8B 08 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_201_0_0 {
	meta:
		name = "__avx_tanf8"
		size = 3696
		refs = "007d __common_stan_data 0234 __common_stan_cout_rare 02f3 __common_stan_reduction_data"
	strings:
		$1 = { 53 55 48 81 EC C8 02 00 00 33 DB C5 7C 11 BC 24 A0 02 00 00 C5 F1 EF C9 C5 7C 11 B4 24 80 02 00 00 C5 7C 11 AC 24 60 02 00 00 C5 7C 11 A4 24 40 02 00 00 C5 7C 11 9C 24 C0 01 00 00 C5 7C 11 94 24 80 01 00 00 C5 7C 11 8C 24 E0 01 00 00 C5 7C 11 84 24 00 02 00 00 C5 FC 11 BC 24 A0 01 00 00 C5 FC 11 B4 24 20 02 00 00 4C 89 AC 24 D8 00 00 00 4C 8D AC 24 1F 01 00 00 C5 FC 10 2D ?? ?? ?? ?? 49 83 E5 C0 C5 7C 54 C5 C5 BC C2 15 ?? ?? ?? ?? 1E C5 D4 55 E8 C4 E3 7D 19 D3 01 C5 E9 6B E3 C5 D9 63 D1 C5 F9 D7 C2 84 C0 0F 85 8A 01 00 00 C5 FC 10 3D ?? ?? ?? ?? C5 BC 59 35 ?? ?? ?? ?? C5 CC 58 E7 C5 5C 5C EF C5 14 59 0D ?? ?? ?? ?? C5 14 59 15 ?? ?? ?? ?? C5 14 59 25 ?? ?? ?? ?? C5 14 59 3D ?? ?? ?? ?? C4 41 3C 5C C1 C4 41 3C 5C DA C4 41 24 5C F4 C4 C1 0C 5C DF C5 E4 59 D3 C5 6C 59 15 ?? ?? ?? ?? C5 6C 59 0D ?? ?? ?? ?? C5 2C 58 25 ?? ?? ?? ?? C5 34 58 1D ?? ?? ?? ?? C5 9C 59 D2 C5 24 59 F3 C5 EC 58 15 ?? ?? ?? ?? C5 F1 72 F4 1F C4 C3 7D 19 E0 01 C4 C1 49 72 F0 1F C4 E3 75 18 FE 01 C5 C4 57 CD C5 D1 72 F4 1E C4 C1 59 72 F0 1E C5 C4 57 FF C4 E3 55 18 F4 01 C5 4C C2 FF 0C C4 C1 04 55 DE C5 04 54 EA C4 41 04 54 F6 C5 04 55 FA C4 C1 64 56 DD C4 C1 0C 56 E7 C5 E4 5E EC C5 D4 57 C9 84 DB 75 70 C5 FC 10 B4 24 20 02 00 00 C5 FC 10 BC 24 A0 01 00 00 C5 7C 10 84 24 00 02 00 00 C5 7C 10 8C 24 E0 01 00 00 C5 7C 10 94 24 80 01 00 00 C5 7C 10 9C 24 C0 01 00 00 C5 7C 10 A4 24 40 02 00 00 C5 7C 10 AC 24 60 02 00 00 C5 7C 10 B4 24 80 02 00 00 C5 7C 10 BC 24 A0 02 00 00 4C 8B AC 24 D8 00 00 00 C5 FC 28 C1 48 81 C4 C8 02 00 00 5D 5B C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 DB 74 80 33 ED 0F A3 EB 72 12 FF C5 83 FD 20 7C F4 C4 C1 7C 10 4D 40 E9 67 FF FF FF C5 F8 77 49 8D 4C AD 00 49 8D 54 AD 40 E8 ?? ?? ?? ?? EB DA 41 BB 00 00 80 7F C4 C1 7C 11 45 00 C4 41 79 6E CB C4 41 79 70 D1 00 C4 43 2D 18 F2 01 C4 C1 7C 54 EE C4 41 54 C2 FE 00 C5 29 DB E0 C4 E3 7D 19 C6 01 C4 C1 11 72 D4 17 C5 A9 DB E6 C4 C1 21 72 F5 01 C5 89 72 D4 17 C4 41 21 FE CD C4 C1 51 72 F6 01 C4 C1 61 72 F1 02 C4 C1 79 7E DA C5 F8 11 44 24 20 C5 F8 11 74 24 30 C4 C3 79 16 D9 01 C4 C3 79 16 D8 02 C4 E3 79 16 DD 03 C4 43 7D 19 F8 01 C4 C1 01 6B D0 C4 41 51 FE FE C4 C1 11 72 F7 02 C5 E9 63 C9 C5 79 7E E9 C5 F9 D7 D9 C4 63 79 16 EA 01 C4 63 79 16 E8 02 C4 43 79 16 EB 03 89 9C 24 D0 00 00 00 48 8D 1D ?? ?? ?? ?? C4 41 79 6E 04 1A C4 C1 79 6E 3C 19 C4 C1 79 6E 14 18 C5 F9 6E 4C 1D 00 C5 79 6E 0C 19 C5 79 6E 14 1A C5 F9 6E 2C 18 C4 41 79 6E 34 1B C5 39 6C E7 C5 E9 6C E1 C4 41 31 6C FA C4 C1 51 6C DE C4 41 79 6E 74 1B 04 C4 41 79 6E 44 1A 04 C4 C1 79 6E 7C 19 04 C4 C1 79 6E 54 18 04 C5 F9 6E 4C 1D 04 C5 79 6E 4C 19 04 C5 79 6E 54 1A 04 C5 F9 6E 6C 18 04 C5 18 C6 DC 88 C5 00 C6 E3 88 C5 B9 6C E7 C5 69 6C E9 C4 41 31 6C FA C4 C1 51 6C DE C4 41 58 C6 ED 88 C5 80 C6 E3 88 C5 79 6E 7C 18 08 B8 FF FF 7F 00 C5 79 6E 74 1A 08 BA 00 00 80 00 C5 F9 6E 6C 19 08 B9 FF FF 00 00 C4 41 79 6E 44 1A 08 41 BA FF 00 00 00 C4 C1 79 6E 7C 19 08 41 B9 00 00 40 47 C4 C1 79 6E 54 18 08 41 B8 00 00 80 3F C5 F9 6E 4C 1D 08 BD 00 00 00 80 C5 39 6C CF C5 69 6C D1 C5 F9 6E D0 C4 C1 30 C6 CA 88 C5 79 6E CA C5 79 70 D2 00 C5 F9 6E D1 C4 41 51 6C C6 C5 A9 DB C0 C4 C1 79 6E 5C 1B 08 48 8D 1D ?? ?? ?? ?? C5 A9 DB F6 C4 C1 79 70 E9 00 BA FF FF 03 00 C5 81 6C FB C5 79 FE F5 C5 79 70 FA 00 C5 C9 FE F5 C5 B8 C6 DF 88 C4 C1 21 DB FF C5 E9 72 D1 10 C4 C1 29 72 D6 10 C4 41 09 DB CF C4 C1 11 DB EF C5 78 11 5C 24 40 C4 C1 21 72 D5 10 C5 FA 7F 7C 24 60 C5 91 72 D6 10 C4 41 49 DB F7 C5 B9 72 D4 10 C4 E2 31 40 F7 C4 C1 59 DB C7 C4 E2 29 40 FA C4 C1 71 DB CF C4 E2 31 40 D2 C5 D9 72 D3 10 C5 78 11 64 24 50 C4 41 19 DB E7 C5 FA 7F B4 24 B0 00 00 00 C5 E9 72 D2 10 C4 E2 31 40 F5 C5 C1 FE FA C5 7A 7F 64 24 70 C4 C1 61 DB DF C4 42 09 40 E4 B8 00 00 80 28 C5 7A 7F 84 24 90 00 00 00 B9 00 00 00 34 C5 FA 7F 84 24 A0 00 00 00 41 BB 00 F0 FF FF C5 7A 7F A4 24 C0 00 00 00 C4 42 09 40 E0 C4 62 09 40 C0 C4 E2 29 40 C1 C4 C1 49 DB CF C5 F9 72 D0 10 C5 F1 FE D7 C5 F9 FE FA C4 C1 39 DB C7 C4 E2 11 40 D3 C5 C9 72 D6 10 C4 E2 11 40 DC C5 E9 72 D2 10 C4 E2 09 40 E4 C4 C1 39 72 D0 10 C5 F1 72 D4 10 C5 E1 FE E1 C5 F1 72 D7 10 C5 7A 7F 9C 24 80 00 00 00 C5 F9 FE C4 C4 42 31 40 DB C5 E9 FE E0 C4 E2 29 40 ED C4 C1 21 DB D7 C5 D1 FE DE C4 C1 19 DB C7 C5 E9 FE D3 C4 C1 21 72 D3 10 C5 F1 FE F2 C5 E9 72 D4 10 C4 E2 11 40 8C 24 A0 00 00 00 C4 C1 19 72 D4 10 C4 C1 71 FE C8 C5 FA 6F 9C 24 B0 00 00 00 C5 F9 FE E9 C4 62 29 40 84 24 80 00 00 00 C5 E9 FE D5 C4 C1 61 DB EF C4 C1 39 FE CB C5 F9 72 D6 10 C5 51 FE D9 C4 C1 79 FE EB C5 B9 72 D2 10 C5 7A 6F 9C 24 C0 00 00 00 C5 E9 72 F2 10 C4 E2 11 40 84 24 90 00 00 00 C4 C1 21 DB CF C4 C1 79 FE C4 C5 99 72 D5 10 C5 F1 FE C8 C4 C1 51 DB EF C5 B9 FE C1 C5 C9 72 F6 10 C5 78 10 44 24 40 C4 C1 71 72 D0 10 C4 62 31 40 C9 C4 62 29 40 54 24 60 C4 C1 31 DB CF C5 B1 72 D3 10 C4 41 29 FE D1 C5 B1 72 D0 10 C4 C1 71 FE CA C4 C1 79 DB C7 C5 78 10 44 24 50 C5 19 FE E1 C4 C1 61 72 F4 10 C4 C1 19 72 D0 10 C4 62 11 40 6C 24 70 C5 E1 FE CD C4 42 09 40 F4 C4 C1 19 72 D3 10 C4 41 09 DB D7 C4 41 11 FE DC C4 41 41 DB F7 C4 41 59 DB FF C4 41 29 FE EB C4 41 69 FE D7 C5 F9 6E D5 C4 41 31 FE CD C4 C1 49 FE FE C4 C1 79 6E E0 C5 F9 70 F2 00 C4 C1 51 72 F1 10 C5 49 DB 64 24 20 C5 D1 FE C0 C5 F9 70 D4 00 C5 E1 72 D1 09 C5 49 DB 7C 24 30 C5 19 EF C2 C4 41 79 6E C9 C5 D9 72 D0 09 C5 01 EF DA C4 C1 61 EB F0 C4 C1 79 70 E9 00 C4 41 59 EB EB BD FF 01 00 00 41 B8 DB 0F C9 40 C4 C1 79 6E E2 41 B9 00 10 C9 40 41 BA 7A 77 95 B7 C5 F9 70 E4 00 C4 C3 4D 18 DD 01 C5 79 6E E8 C4 63 55 18 F5 01 B8 FF FF FF 7F C5 0C 58 DB C4 C1 79 70 ED 00 C4 41 24 5C C6 C5 79 6E F2 C4 41 79 70 F6 00 C5 09 DB EF C5 C1 72 D7 12 C4 41 64 5C C8 C5 19 EF C5 C5 81 EF DD C4 C1 09 DB EA C4 C1 11 72 F5 05 C5 89 72 F5 05 C4 41 11 EB E8 C5 89 EB EB C4 C1 29 72 D2 12 BA 00 00 80 35 C4 63 15 18 ED 01 C5 F9 6E E9 C5 79 70 F5 00 B9 7F 00 00 00 C4 C1 19 EF EE C4 41 01 EF E6 C5 79 6E FD C4 E3 3D 18 DB 01 C4 41 79 70 C7 00 C5 B9 DB C9 C5 B9 DB C0 C5 F1 72 F1 0E C5 F9 72 F0 0E C5 F1 EB CF C4 C1 79 EB C2 C5 F1 EB CD C4 41 79 EB D4 C5 14 5C EB C4 C1 79 6E FA C5 79 70 C7 00 C4 C3 75 18 CA 01 C4 41 79 6E D1 C4 43 55 18 E4 01 C4 C1 74 5C CC C4 41 79 70 FA 00 C5 B4 58 D9 C5 B4 5C C3 C5 74 58 E0 C4 C1 79 6E CB C5 F9 70 C1 00 C4 C1 1C 58 ED C4 41 79 6E E8 C4 41 79 70 CD 00 C4 E3 7D 18 C8 01 C5 64 54 E1 C4 C1 64 5C DC C4 43 35 18 F1 01 C4 43 05 18 FF 01 C4 43 3D 18 D0 01 C5 79 6E C2 C4 41 04 59 CC C5 84 59 C3 C4 41 2C 59 E4 C5 8C 59 ED C5 2C 59 F3 C4 41 79 70 D0 00 C4 C1 7C 58 C4 C4 41 54 58 E6 C5 F9 6E E8 C5 F9 70 FD 00 C4 C1 7C 58 DC C4 C1 7C 10 45 00 C5 34 58 EB C4 41 34 5C CD C5 34 58 E3 C4 63 45 18 F7 01 C4 41 7C 54 FE C4 C3 2D 18 DA 01 C5 84 C2 FB 1E C5 04 C2 FB 12 C4 41 44 54 C4 C5 79 6E E1 C4 C1 79 70 DC 00 C5 84 54 E8 C4 41 44 54 ED C4 C1 54 56 ED C4 41 54 58 E0 C4 63 7D 19 DE 01 C5 21 DB DC C5 A1 DB FB C5 C9 DB E4 C5 D9 DB DB C5 C9 72 F7 02 C5 C9 FE EF C5 C9 72 F3 02 C5 C9 FE E3 C5 B9 72 F5 03 C5 E1 72 F4 03 C5 79 7E C0 C4 C1 79 7E D8 C4 63 79 16 C2 01 C4 63 79 16 C1 02 C4 63 79 16 C5 03 C4 C3 79 16 D9 01 C4 C3 79 16 DA 02 C4 C3 79 16 DB 03 C5 79 6E 8C 18 40 04 00 00 C5 79 6E 94 1A 40 04 00 00 C5 79 6E 9C 19 40 04 00 00 C5 79 6E AC 1D 40 04 00 00 C4 C1 79 6E A4 18 40 04 00 00 C4 C1 79 6E AC 19 40 04 00 00 C4 C1 79 6E B4 1A 40 04 00 00 C4 C1 79 6E BC 1B 40 04 00 00 C4 41 31 6C F2 C4 41 21 6C FD C5 59 6C CD C5 49 6C D7 C4 41 08 C6 C7 88 C4 41 30 C6 DA 88 C5 F9 6E A4 18 44 04 00 00 C5 F9 6E AC 1A 44 04 00 00 8B 9C 24 D0 00 00 00 C4 C3 3D 18 DB 01 89 9C 24 D0 00 00 00 48 8D 1D ?? ?? ?? ?? C5 D9 6C FD C4 C1 7C 11 45 00 C5 79 6E AC 19 44 04 00 00 C5 F9 6E B4 1D 44 04 00 00 C5 91 6C EE C4 41 79 6E AC 18 44 04 00 00 C4 41 79 6E 8C 19 44 04 00 00 C4 41 79 6E 94 1A 44 04 00 00 C4 41 79 6E 84 1B 44 04 00 00 C4 41 11 6C D9 C4 C1 29 6C F0 C5 C0 C6 C5 88 C5 A0 C6 FE 88 C5 F9 6E AC 18 48 04 00 00 C5 79 6E B4 1A 48 04 00 00 C5 79 6E BC 19 48 04 00 00 C5 F9 6E A4 1D 48 04 00 00 C4 41 79 6E 84 18 48 04 00 00 C4 41 79 6E 9C 19 48 04 00 00 C4 C1 79 6E B4 1A 48 04 00 00 C4 41 51 6C EE C5 01 6C CC C4 C1 39 6C EB C4 41 10 C6 D1 88 C5 F9 6E A4 18 4C 04 00 00 C5 79 6E AC 1A 4C 04 00 00 C5 79 6E 8C 19 4C 04 00 00 C4 41 59 6C C5 C4 C1 79 6E A4 1B 4C 04 00 00 C4 E3 7D 18 C7 01 C4 C1 79 6E BC 1B 48 04 00 00 C5 49 6C F7 C4 41 50 C6 FE 88 C4 C1 79 6E BC 18 4C 04 00 00 C4 41 79 6E B4 19 4C 04 00 00 C4 41 41 6C EE C5 F9 6E BC 19 50 04 00 00 C5 79 6E B4 1D 50 04 00 00 C4 C3 2D 18 EF 01 C5 79 6E 94 1D 4C 04 00 00 C4 41 79 6E BC 1A 4C 04 00 00 C4 41 31 6C DA C5 01 6C CC C4 C1 38 C6 F3 88 C4 41 10 C6 D1 88 C5 79 6E 84 18 50 04 00 00 C5 79 6E 9C 1A 50 04 00 00 C4 41 39 6C FB C4 41 79 6E 8C 18 50 04 00 00 C4 41 79 6E 84 1A 50 04 00 00 C4 41 79 6E 9C 1B 50 04 00 00 C4 C1 41 6C E6 C4 41 39 6C F3 C5 00 C6 EC 88 C5 F9 6E A4 18 54 04 00 00 C5 79 6E 84 1D 54 04 00 00 C4 C3 4D 18 F2 01 C4 41 79 6E 94 19 50 04 00 00 C4 C1 31 6C FA C4 41 40 C6 FE 88 C5 79 6E 8C 1A 54 04 00 00 C5 79 6E 94 19 54 04 00 00 C4 41 59 6C D9 C4 C1 29 6C F8 C4 C1 79 6E A4 19 54 04 00 00 C4 41 79 6E 8C 1A 54 04 00 00 C4 41 79 6E 94 1B 54 04 00 00 C5 20 C6 F7 88 C4 41 31 6C DA C5 79 6E 8C 19 58 04 00 00 C5 79 6E 94 1D 58 04 00 00 C4 43 15 18 EF 01 C4 41 79 6E BC 18 54 04 00 00 C5 01 6C C4 C4 C1 38 C6 FB 88 C5 79 6E BC 18 58 04 00 00 C5 F9 6E A4 1A 58 04 00 00 C5 01 6C C4 C4 41 31 6C DA C4 41 79 6E BC 19 58 04 00 00 C4 C1 79 6E A4 1A 58 04 00 00 C4 41 79 6E 8C 1B 58 04 00 00 C4 41 38 C6 C3 88 C4 41 59 6C D9 C5 F9 6E A4 1A 5C 04 00 00 C5 79 6E 8C 19 5C 04 00 00 C4 E3 0D 18 FF 01 C4 41 79 6E B4 18 58 04 00 00 C4 41 09 6C D7 C4 41 28 C6 F3 88 C5 79 6E BC 18 5C 04 00 00 C5 79 6E 94 1D 5C 04 00 00 C5 01 6C DC C4 41 79 6E BC 18 5C 04 00 00 C4 C1 79 6E A4 19 5C 04 00 00 C4 C1 44 59 FC C4 43 3D 18 C6 01 C4 41 31 6C F2 C4 41 79 6E 8C 1A 5C 04 00 00 C4 41 79 6E 94 1B 5C 04 00 00 C4 41 20 C6 DE 88 C5 01 6C F4 C4 41 31 6C FA C4 C1 08 C6 E7 88 C5 79 6E 8C 18 60 04 00 00 C5 79 6E 94 1A 60 04 00 00 C5 79 6E B4 19 60 04 00 00 C5 79 6E BC 1D 60 04 00 00 C4 63 25 18 DC 01 C4 C1 31 6C E2 C4 41 09 6C CF C4 41 58 C6 C9 88 C4 41 79 6E 94 18 60 04 00 00 C4 41 79 6E B4 19 60 04 00 00 C4 41 79 6E BC 1A 60 04 00 00 C4 C1 79 6E A4 1B 60 04 00 00 C4 41 29 6C D6 C5 01 6C F4 C4 41 28 C6 FE 88 C5 F9 6E A4 18 64 04 00 00 C5 79 6E 94 1A 64 04 00 00 C5 79 6E B4 19 64 04 00 00 C4 C1 59 6C E2 C4 41 24 59 DC C4 41 24 58 D8 C4 43 35 18 CF 01 C5 79 6E BC 1D 64 04 00 00 C4 41 09 6C D7 C4 41 79 6E B4 18 64 04 00 00 C4 41 79 6E BC 19 64 04 00 00 C4 C1 58 C6 E2 88 C4 41 09 6C D7 C4 41 79 6E B4 1A 64 04 00 00 C4 41 79 6E BC 1B 64 04 00 00 C4 41 09 6C F7 C4 41 64 5C FC C4 41 28 C6 D6 88 C4 C1 64 5C DF C4 41 64 5C F4 8B 9C 24 D0 00 00 00 C4 43 5D 18 D2 01 C5 84 54 E1 C5 04 5C FC C4 41 2C 59 D4 C5 84 58 D8 C5 FC 53 C4 C5 8C 58 DB C4 41 2C 58 C1 C4 41 1C 59 CC C5 FC 54 C9 C5 5C 59 F1 C4 41 34 59 C0 C4 E3 6D 18 D2 01 C4 41 6C 5C FE C4 C1 74 59 C7 C4 C1 04 59 E7 C5 7C 58 F1 C5 DC 58 D2 C5 F4 59 CD C5 0C 59 F2 C4 C1 64 59 C6 C5 FC 59 D8 C4 C1 7C 5C E7 C5 64 5C FC C5 CC 58 DF C4 C1 04 59 D6 C5 CC 5C F3 C5 EC 59 C5 C5 E4 58 D1 C5 CC 58 EF C5 F4 5C CA C5 D4 58 C0 C5 F4 58 CB C5 FC 58 E1 C4 C1 3C 58 C3 C5 14 58 EC C4 41 7C 59 E4 C4 C1 1C 58 C5 C5 EC 58 C8 C4 C1 7C 10 45 00 E9 1C F3 FF FF 0F 1F 00 }
	condition:
		$1
}

rule file_209_0_0 {
	meta:
		name = "__common_stanh_cout_rare"
		size = 80
		refs = "0003 _imlsTanhHATab"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 8A 41 03 24 80 C0 E8 07 44 0F B6 C8 44 0F B7 51 02 41 81 E2 80 7F 00 00 41 81 FA 80 7F 00 00 43 8B 04 88 74 05 89 02 33 C0 C3 F7 01 FF FF 7F 00 74 F3 F3 0F 10 01 F3 0F 58 C0 F3 0F 11 02 EB E7 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_215_0_0 {
	meta:
		name = "__avx_expf8"
		size = 528
		refs = "002d __common_sexp_data 0200 __common_sexp_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 84 24 D0 01 00 00 C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 6F 01 00 00 C5 FC 10 25 ?? ?? ?? ?? 49 83 E5 C0 C5 FC 59 0D ?? ?? ?? ?? C5 F8 10 15 ?? ?? ?? ?? C5 F8 10 35 ?? ?? ?? ?? C5 F8 10 1D ?? ?? ?? ?? C5 74 58 C4 C5 BC 5C CC C5 F8 54 E2 C4 E3 7D 19 C5 01 C5 D9 66 E6 C5 D0 54 EA C5 D1 66 D6 C5 D9 6B E2 C5 D1 EF ED C5 D9 63 F5 C5 F4 59 2D ?? ?? ?? ?? C5 F4 59 0D ?? ?? ?? ?? C5 F9 D7 D6 C5 FC 5C F5 C5 B9 FE D3 C4 63 7D 19 C4 01 C5 B9 72 F2 17 C5 CC 5C D1 C5 D9 FE DB C5 E1 72 F3 17 C5 EC 59 0D ?? ?? ?? ?? C5 F4 58 25 ?? ?? ?? ?? C5 DC 59 EA C5 D4 58 35 ?? ?? ?? ?? C4 E3 3D 18 DB 01 C5 4C 59 C2 C5 BC 58 0D ?? ?? ?? ?? C5 F4 59 E2 C5 DC 58 2D ?? ?? ?? ?? C5 D4 59 D2 C5 EC 58 0D ?? ?? ?? ?? C5 E4 59 C9 84 D2 75 26 C5 FC 10 B4 24 F0 01 00 00 C5 7C 10 84 24 D0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 CA 33 C0 C5 FC 11 BC 24 00 01 00 00 C5 7C 11 8C 24 E0 00 00 00 C5 7C 11 94 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 28 01 00 00 8B D8 48 89 B4 24 20 01 00 00 8B F2 0F A3 DE 72 61 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 00 01 00 00 C5 7C 10 8C 24 E0 00 00 00 C5 7C 10 94 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 28 01 00 00 48 8B B4 24 20 01 00 00 E9 0F FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 8B 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_219_0_0 {
	meta:
		name = "__sse2_atan2f4"
		size = 1328
		refs = "0014 s_dwAbsMask 003d s_dwMaxNormal 0045 s_dwMinBound 0053 s_dwSignMask 0062 s_fOne 00ae s_fPi2 00be s_fPi 00d1 s_fA8 00db s_fA7 00e5 s_fA6 00ec s_fA5 00f9 s_fA4 0100 s_fA3 010d s_fA2 0114 s_fA1 0121 s_fA0 0155 INFP 015f INFN 016a NEGZERO 02b1 _2il0floatpacket_16 02db pi_or_zero 02f2 _2il0floatpacket_11 02fe _2il0floatpacket_10 0307 _2il0floatpacket_14 0317 _2il0floatpacket_9 032b _2il0floatpacket_8 033e _2il0floatpacket_7 034a _2il0floatpacket_15 035c _2il0floatpacket_13 0371 _2il0floatpacket_12 03f5 _2il0floatpacket_17 0400 _2il0floatpacket_18 041f _2il0floatpacket_20 0427 _2il0floatpacket_19 043b _2il0floatpacket_21 0449 _2il0floatpacket_22 047e _2il0floatpacket_23 048c _2il0floatpacket_24"
	strings:
		$1 = { 48 81 EC C8 00 00 00 0F 29 7C 24 60 0F 29 74 24 70 0F 28 15 ?? ?? ?? ?? 0F 28 EA 0F 11 84 24 80 00 00 00 66 0F DB E9 66 0F DB D0 0F 11 8C 24 90 00 00 00 0F 28 FD 0F 28 F2 66 0F 66 35 ?? ?? ?? ?? 66 0F 66 3D ?? ?? ?? ?? 66 0F DF F7 0F 50 C6 0F 28 35 ?? ?? ?? ?? 66 0F DB C6 0F 28 FE 66 0F EB 05 ?? ?? ?? ?? 0F 28 DD 66 0F DB F9 0F 11 44 24 50 66 0F EB 3D ?? ?? ?? ?? 0F C2 DA 01 0F 28 E3 66 0F DB E5 0F 28 C3 66 0F DF C2 66 0F EB E0 66 0F DB D3 0F 28 C3 66 0F DF C5 66 0F EB D0 0F 5E E2 66 0F DB F3 66 0F EF ED 66 0F DB 1D ?? ?? ?? ?? 0F C2 CD 01 66 0F EB E6 66 0F DB 0D ?? ?? ?? ?? 0F 28 C4 0F 59 C4 0F 28 D0 0F 59 D0 0F 28 35 ?? ?? ?? ?? 0F 59 F2 0F 28 2D ?? ?? ?? ?? 0F 59 EA 0F 58 35 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 F2 0F 59 EA 0F 58 35 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 F2 0F 59 EA 0F 58 35 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 F2 0F 59 C5 0F 58 35 ?? ?? ?? ?? 0F 58 C6 0F 59 C4 0F 28 6C 24 50 0F 58 C3 0F 59 C7 89 84 24 B0 00 00 00 0F 58 C1 0F 59 C5 83 BC 24 B0 00 00 00 0F 0F 84 8D 02 00 00 F3 0F 10 1D ?? ?? ?? ?? 33 C9 F3 0F 10 15 ?? ?? ?? ?? 0F 57 C0 F3 0F 10 0D ?? ?? ?? ?? 33 D2 44 0F 29 44 24 40 B8 00 00 80 3F 44 0F 29 4C 24 30 44 0F 29 54 24 20 44 8B 8C 8C 90 00 00 00 45 8B C1 44 8B 94 8C 80 00 00 00 45 8B DA 41 81 E3 00 00 00 80 44 89 8C 24 C4 00 00 00 41 81 E1 FF FF FF 7F 41 81 E0 00 00 00 80 F3 44 0F 10 8C 8C 80 00 00 00 41 81 F9 00 00 80 7F F3 0F 10 A4 8C 90 00 00 00 89 94 24 B4 00 00 00 89 94 24 B8 00 00 00 89 84 24 BC 00 00 00 44 89 94 24 C0 00 00 00 7F 10 41 81 E2 FF FF FF 7F 41 81 FA 00 00 80 7F 7E 0A F3 44 0F 58 CC E9 A0 01 00 00 44 0F 2E C8 7A 06 0F 84 A0 02 00 00 0F 2E E0 7A 06 0F 84 71 02 00 00 0F 2E E3 7A 06 0F 84 23 02 00 00 0F 2E E2 7A 06 0F 84 CC 01 00 00 44 0F 2E CB 7A 06 0F 84 B5 01 00 00 44 0F 2E CA 7A 06 0F 84 9E 01 00 00 44 8B 8C 24 C0 00 00 00 41 81 CB 00 00 80 3F 44 8B 94 24 C4 00 00 00 41 81 E1 FF FF FF 7F 41 81 E2 FF FF FF 7F 44 89 8C 24 B4 00 00 00 44 89 94 24 B8 00 00 00 F3 44 0F 10 84 24 B4 00 00 00 F3 0F 10 A4 24 B8 00 00 00 44 89 9C 24 BC 00 00 00 44 0F 2F C4 76 1E 44 0F 28 D0 F2 44 0F 10 0D ?? ?? ?? ?? F3 44 0F 5C D4 F3 45 0F 5E D0 F3 45 0F 5A C2 EB 0E F3 44 0F 5E C4 F3 45 0F 5A C0 45 0F 57 C9 41 0F 28 F0 4C 8D 0D ?? ?? ?? ?? F2 41 0F 59 F0 4D 8B D1 0F 28 FE F2 0F 59 FE F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EF F2 0F 10 25 ?? ?? ?? ?? F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 58 EC F2 0F 59 EF F2 0F 10 25 ?? ?? ?? ?? 41 C1 F8 1F F2 0F 58 EC F2 0F 59 EF F2 0F 10 25 ?? ?? ?? ?? 4D 63 C0 F2 0F 58 EC F2 0F 59 EF F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 EC F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E7 F2 41 0F 58 E2 F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 59 E7 F2 41 0F 58 E2 F2 0F 59 E7 F2 0F 10 3D ?? ?? ?? ?? F2 0F 58 E7 F2 0F 59 F4 F2 0F 58 EE F2 44 0F 59 C5 F2 45 0F 58 C8 F3 44 0F 5A 84 24 BC 00 00 00 F2 47 0F 59 4C C1 18 F2 47 0F 58 4C C2 08 F2 45 0F 59 C8 F2 45 0F 5A C9 F3 44 0F 11 8C 8C A0 00 00 00 48 FF C1 48 83 F9 04 0F 8C C3 FD FF FF 44 0F 28 44 24 40 44 0F 28 4C 24 30 44 0F 28 54 24 20 0F 28 84 24 A0 00 00 00 0F 28 74 24 70 0F 28 7C 24 60 48 81 C4 C8 00 00 00 C3 F3 44 0F 10 0D ?? ?? ?? ?? EB B2 F3 44 0F 10 0D ?? ?? ?? ?? EB A7 44 0F 2E CB 7A 02 74 36 44 0F 2E CA 7A 02 74 20 44 0F 2F C8 F3 44 0F 10 0D ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? 77 80 44 0F 28 CC E9 77 FF FF FF F3 44 0F 10 0D ?? ?? ?? ?? E9 69 FF FF FF F3 44 0F 10 0D ?? ?? ?? ?? E9 5B FF FF FF 44 0F 2E CB 7A 02 74 2D 44 0F 2E CA 7A 02 74 17 41 0F 2F C1 44 0F 28 C9 0F 87 3D FF FF FF 44 0F 28 C8 E9 34 FF FF FF F3 44 0F 10 0D ?? ?? ?? ?? E9 26 FF FF FF F3 44 0F 10 0D ?? ?? ?? ?? E9 18 FF FF FF 44 0F 2F C8 F3 44 0F 10 0D ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? 0F 87 FD FE FF FF 44 0F 28 CC E9 F4 FE FF FF 45 85 DB 74 36 0F 2F E0 0F 87 E6 FE FF FF 0F 2F C4 76 0E F3 44 0F 10 0D ?? ?? ?? ?? E9 D3 FE FF FF 45 85 C0 F3 0F 10 25 ?? ?? ?? ?? 0F 84 C2 FE FF FF 44 0F 28 CC E9 B9 FE FF FF 0F 2F E0 0F 87 B0 FE FF FF 0F 2F C4 76 0E F3 44 0F 10 0D ?? ?? ?? ?? E9 9D FE FF FF 45 85 C0 F3 0F 10 25 ?? ?? ?? ?? 0F 84 8C FE FF FF 44 0F 28 CC E9 83 FE FF FF 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_226_0_0 {
	meta:
		name = "__GSHandlerCheck_SEH_noexcept"
		size = 45
		refs = "000a __GSHandlerCheck_SEH 0028 terminate"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? F6 43 04 66 75 0D 81 3B 63 73 6D E0 75 05 83 F8 01 74 06 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_30_0_3 {
	meta:
		name = "__C_specific_handler_noexcept"
		size = 45
		refs = "000a __C_specific_handler 0028 terminate"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? F6 43 04 66 75 0D 81 3B 63 73 6D E0 75 05 83 F8 01 74 06 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_227_0_0 {
	meta:
		name = "__common_dlog10_cout_rare"
		size = 736
		refs = "003e _vmldLgHATab 006b _2il0floatpacket_78 0287 _2il0floatpacket_79"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 41 81 F8 F0 7F 00 00 0F 84 79 02 00 00 F2 0F 10 11 45 33 C0 48 8B 09 48 89 4C 24 30 48 C1 E9 30 F7 C1 F0 7F 00 00 75 18 F2 0F 10 05 ?? ?? ?? ?? 41 B8 C4 FF FF FF F2 0F 59 D0 F2 0F 11 54 24 30 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D0 0F 86 F9 01 00 00 0F 28 DA F2 0F 5C 1D ?? ?? ?? ?? F2 0F 11 5C 24 28 80 64 24 2F 7F F2 0F 10 44 24 28 66 0F 2F 05 ?? ?? ?? ?? 0F 86 56 01 00 00 F2 0F 11 54 24 28 44 0F B7 4C 24 2E 41 81 E1 0F 80 FF FF 41 81 C9 F0 3F FF FF 66 44 89 4C 24 2E F2 0F 10 64 24 28 0F 28 D4 0F 28 DC 0F B7 4C 24 36 81 E1 F0 7F 00 00 F2 0F 58 15 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? C1 E9 04 F2 0F 11 54 24 20 44 8B 54 24 20 41 83 E2 7F F2 0F 11 5C 24 20 45 8D 84 08 01 FC FF FF F2 0F 10 5C 24 20 48 8D 0D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 4C 8B C9 F2 0F 10 2D ?? ?? ?? ?? 47 8D 1C 52 F2 0F 10 15 ?? ?? ?? ?? F2 41 0F 2A C0 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 5C E3 F2 0F 59 C5 4C 8B C1 F2 42 0F 10 2C D9 F2 0F 59 DD F2 43 0F 58 44 D9 10 F2 43 0F 58 4C D8 08 F2 0F 59 EC F2 0F 5C 1D ?? ?? ?? ?? 0F 28 E3 F2 0F 58 CB F2 0F 58 E5 F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D4 0F 28 E5 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 E2 F2 0F 59 DA F2 0F 58 C4 F2 0F 58 E8 F2 0F 58 EB F2 0F 58 CD F2 0F 11 0A 48 83 C4 38 C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 D8 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 D9 F2 0F 11 1A 48 83 C4 38 C3 66 0F 2E D0 7A 02 74 12 F2 0F 5E C0 F2 0F 11 02 B8 01 00 00 00 48 83 C4 38 C3 F2 0F 10 0D ?? ?? ?? ?? B8 02 00 00 00 0F 57 0D ?? ?? ?? ?? F2 0F 5E C8 F2 0F 11 0A 48 83 C4 38 C3 44 8A 41 07 41 80 E0 80 41 80 F8 80 74 11 F2 0F 10 01 F2 0F 59 C0 F2 0F 11 02 48 83 C4 38 C3 F7 41 04 FF FF 0F 00 75 E6 83 39 00 75 E1 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E C0 F2 0F 11 02 48 83 C4 38 C3 90 }
	condition:
		$1
}

rule file_228_0_0 {
	meta:
		name = "__avx_acosf8"
		size = 576
		refs = "0036 __common_sacos_data 022b __common_sacos_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 B0 01 00 00 C5 7C 11 B4 24 F0 01 00 00 C5 FC 11 B4 24 D0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 4F 01 00 00 C5 FC 10 25 ?? ?? ?? ?? 49 83 E5 C0 C5 FC 10 0D ?? ?? ?? ?? C5 DC 56 E8 C5 D4 59 D9 C5 54 59 FD C5 54 C2 35 ?? ?? ?? ?? 12 C5 E4 58 D1 C5 84 5D CA C4 41 01 EF FF C5 DC 54 E0 C4 63 7D 19 F3 01 C5 89 6B F3 C4 41 49 63 F7 C5 FC 52 F2 C5 F4 C2 DA 15 C5 EC 58 D2 C4 C1 79 D7 D6 C5 4C 59 FE C5 6C 59 F6 C4 C1 6C 59 D7 C5 6C 5C 3D ?? ?? ?? ?? C5 84 59 35 ?? ?? ?? ?? C5 CC 58 15 ?? ?? ?? ?? C4 C1 0C 59 F7 C5 6C 59 FE C4 C1 0C 5C D7 C5 74 59 35 ?? ?? ?? ?? C4 E3 55 4A EA 30 C5 0C 58 3D ?? ?? ?? ?? C5 74 59 35 ?? ?? ?? ?? C5 8C 58 35 ?? ?? ?? ?? C5 74 59 F1 C4 41 04 59 FE C5 84 58 F6 C5 4C 59 F9 C5 04 58 35 ?? ?? ?? ?? C5 7C C2 F9 11 C5 0C 59 F1 C5 E4 54 0D ?? ?? ?? ?? C4 C1 74 54 F7 C5 E4 55 0D ?? ?? ?? ?? C5 74 58 FE C5 D4 57 CC C5 0C 59 F1 C5 8C 58 D1 C5 84 58 CA 84 D2 75 2F C5 FC 10 B4 24 D0 01 00 00 C5 7C 10 B4 24 F0 01 00 00 C5 7C 10 BC 24 B0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 C1 33 C0 C5 FC 11 BC 24 E0 00 00 00 C5 7C 11 84 24 C0 00 00 00 C5 7C 11 8C 24 A0 00 00 00 C5 7C 11 94 24 80 00 00 00 C5 7C 11 5C 24 60 C5 7C 11 64 24 40 C5 7C 11 6C 24 20 48 89 9C 24 08 01 00 00 8B D8 48 89 B4 24 00 01 00 00 8B F2 0F A3 DE 72 58 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 E0 00 00 00 C5 7C 10 84 24 C0 00 00 00 C5 7C 10 8C 24 A0 00 00 00 C5 7C 10 94 24 80 00 00 00 C5 7C 10 5C 24 60 C5 7C 10 64 24 40 C5 7C 10 6C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 08 01 00 00 48 8B B4 24 00 01 00 00 E9 18 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 94 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_229_0_0 {
	meta:
		name = "__vdecl_fmodf4"
		size = 107
		refs = "0011 fmodf"
	strings:
		$1 = { 48 83 EC 48 F3 0F 7F 44 24 20 F3 0F 7F 4C 24 30 E8 ?? ?? ?? ?? 66 0F 7E 44 24 20 66 0F 6E 44 24 24 66 0F 6E 4C 24 34 E8 ?? ?? ?? ?? 66 0F 7E 44 24 24 66 0F 6E 44 24 28 66 0F 6E 4C 24 38 E8 ?? ?? ?? ?? 66 0F 7E 44 24 28 66 0F 6E 44 24 2C 66 0F 6E 4C 24 3C E8 ?? ?? ?? ?? 66 0F 7E 44 24 2C F3 0F 6F 44 24 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_231_0_0 {
	meta:
		name = "__common_dpow_cout_rare"
		size = 2896
		refs = "01a0 _vmldPowHATab"
	strings:
		$1 = { 53 56 57 41 54 41 55 41 56 41 57 55 48 81 EC C8 00 00 00 33 C0 4C 8B 31 4D 8B EE 48 8B 1A 4D 8B E6 F2 0F 10 12 48 8B D3 48 89 5C 24 68 4D 8B CE 48 C1 EB 38 49 C1 ED 30 48 C1 EA 30 49 C1 EC 38 41 81 E5 F0 7F 00 00 49 C1 E9 20 81 E2 F0 7F 00 00 41 81 E4 80 00 00 00 80 E3 80 41 C1 ED 04 C1 EA 04 41 C1 EC 07 C0 EB 07 44 0F 29 BC 24 80 00 00 00 44 0F 29 74 24 70 44 0F 29 A4 24 90 00 00 00 44 0F 29 8C 24 A0 00 00 00 0F 29 BC 24 B0 00 00 00 F2 0F 10 09 41 8B CE 41 F7 C1 FF FF 0F 00 75 0F 85 C9 75 0B 41 BA 01 00 00 00 45 8B DA EB 09 45 33 D2 41 BB 01 00 00 00 8B 4C 24 6C 8B 7C 24 68 81 E1 FF FF 0F 00 75 09 85 FF 75 05 45 8B CB EB 03 45 33 C9 8B F2 33 ED 81 FA FF 07 00 00 41 0F 45 EB C1 E6 14 0B F1 8B CF 0B CE 74 6A 81 FA FF 03 00 00 8D 8A 01 FC FF FF 7C 18 85 ED 74 14 83 F9 14 7F 2A 44 8B FE 41 D3 E7 41 C1 E7 0C 44 0B FF 74 04 33 F6 EB 45 8D 8A 0C FC FF FF D3 E6 F7 D6 81 E6 00 00 00 80 C1 EE 1F FF C6 EB 2E 83 F9 35 7D 24 8D 8A 0C FC FF FF D3 E7 F7 C7 FF FF FF 7F 74 04 33 F6 EB 15 F7 D7 81 E7 00 00 00 80 C1 EF 1F 8D 77 01 EB 05 BE 02 00 00 00 45 85 E4 75 0D 41 81 FD FF 03 00 00 0F 84 CB 09 00 00 85 D2 75 09 45 85 C9 0F 85 DC 03 00 00 33 FF 41 81 FD FF 07 00 00 41 0F 45 FB 44 0B D7 0F 84 BD 03 00 00 44 0B CD 0F 84 B4 03 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 66 0F 2E C8 7A 06 0F 84 41 09 00 00 66 0F 2E 0D ?? ?? ?? ?? 7A 06 0F 84 0D 09 00 00 85 FF 0F 84 2E 03 00 00 85 ED 0F 84 26 03 00 00 66 0F 2F C8 77 08 85 F6 0F 84 EF 02 00 00 41 23 F4 48 8D 0D ?? ?? ?? ?? 4C 89 74 24 30 49 C1 EE 38 41 83 E6 7F F2 0F 10 84 F1 A8 1A 00 00 33 C9 44 88 74 24 37 45 85 ED 75 1B F2 0F 10 4C 24 30 B9 38 FF FF FF F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 4C 24 30 EB 06 F2 0F 10 4C 24 30 0F B7 6C 24 36 4C 8D 0D ?? ?? ?? ?? 81 E5 F0 7F 00 00 4D 8B D1 C1 ED 04 4D 8B E9 8B 7C 24 34 4D 8B F9 C1 E5 14 81 E7 FF FF 0F 00 F2 0F 11 4C 24 40 0B EF 0F B7 74 24 46 81 C5 00 40 18 C0 81 E6 0F 80 FF FF 4D 8B E1 81 CE F0 3F FF FF 49 8B F9 66 89 74 24 46 49 8B F1 C1 FD 14 03 E9 8B 4C 24 44 81 E1 00 C0 0F 00 81 C1 00 40 00 00 C1 E9 0F F2 0F 10 54 24 40 0F 28 DA F2 0F 2A FD F2 41 0F 10 2C C9 03 C9 44 0F 28 E5 49 8B E9 F2 44 0F 59 E2 F2 44 0F 11 64 24 48 44 8B 5C 24 4C 41 81 E3 00 FC 00 00 41 81 C3 00 04 00 00 41 C1 EB 0B F2 43 0F 10 8C DA 18 03 00 00 45 03 DB F2 44 0F 59 E1 F2 41 0F 58 BC CF 08 01 00 00 F2 0F 59 E9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 D9 F2 44 0F 11 64 24 50 44 8B 74 24 54 41 81 E6 F0 0F 00 00 F2 0F 11 5C 24 58 41 83 C6 10 F2 0F 10 64 24 58 41 C1 EE 05 F2 0F 5C 64 24 40 F2 0F 11 64 24 60 F2 0F 10 5C 24 58 F2 47 0F 10 BC F5 30 06 00 00 45 03 F6 F2 45 0F 59 E7 F2 41 0F 59 EF F2 42 0F 58 BC DD 20 04 00 00 F2 44 0F 10 7C 24 60 45 0F 28 F4 F2 41 0F 5C DF F2 44 0F 5C 35 ?? ?? ?? ?? F2 43 0F 58 BC F7 38 0A 00 00 F2 0F 11 5C 24 58 F2 0F 10 64 24 58 F2 47 0F 10 8C DC 28 04 00 00 F2 0F 5C D4 F2 46 0F 58 8C F6 40 0A 00 00 F2 0F 11 54 24 60 0F 28 D5 F2 0F 59 D1 F2 44 0F 58 8C CF 10 01 00 00 F2 0F 10 5C 24 58 F2 0F 10 64 24 60 F2 0F 11 54 24 58 F2 44 0F 10 7C 24 58 F2 44 0F 5C FD F2 44 0F 11 7C 24 60 F2 44 0F 10 7C 24 58 F2 0F 10 54 24 60 F2 44 0F 5C FA F2 44 0F 11 7C 24 58 F2 0F 10 54 24 58 F2 0F 5C EA 0F 28 D3 F2 0F 11 6C 24 60 F2 0F 10 6C 24 58 F2 0F 59 D5 F2 0F 59 EC F2 41 0F 5C D4 44 0F 28 E7 F2 0F 58 D5 F2 45 0F 58 E6 F2 44 0F 10 7C 24 60 F2 41 0F 59 DF F2 41 0F 59 E7 F2 0F 58 D3 F2 44 0F 11 64 24 58 F2 0F 58 D4 F2 0F 10 5C 24 58 F2 0F 5C FB F2 41 0F 58 FE F2 0F 11 7C 24 60 F2 0F 10 64 24 58 F2 0F 11 64 24 38 0F B7 4C 24 3E 81 E1 F0 7F 00 00 C1 E9 04 03 D1 F2 0F 10 5C 24 60 81 FA 09 08 00 00 0F 8D 0C 06 00 00 81 FA C0 07 00 00 0F 8F 30 01 00 00 48 8B 15 ?? ?? ?? ?? 48 89 54 24 58 F2 0F 10 4C 24 58 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 4C 24 58 F2 0F 10 54 24 58 F2 0F 59 C2 E9 BF 00 00 00 48 89 4C 24 58 41 8B C3 F2 0F 10 4C 24 58 F2 0F 10 44 24 58 F2 0F 5E C8 F2 0F 11 4C 24 58 F2 0F 10 44 24 58 E9 96 00 00 00 41 81 FD FF 03 00 00 7D 11 84 DB 0F 84 85 00 00 00 0F 28 C2 F2 0F 59 C2 EB 7C 84 DB 74 15 41 23 F4 48 8D 15 ?? ?? ?? ?? F2 0F 59 84 F2 A8 1A 00 00 EB 63 F2 0F 59 C9 41 23 F4 F2 0F 59 D1 48 8D 15 ?? ?? ?? ?? 0F 28 C2 F2 0F 59 84 F2 A8 1A 00 00 EB 43 0F 28 C1 F2 0F 58 C2 EB 3A 48 8B 15 ?? ?? ?? ?? F2 0F 58 CA F2 0F 11 4C 24 58 48 89 54 24 60 8A 4C 24 5F 8A 5C 24 67 80 E1 80 80 E3 7F 0A D9 88 5C 24 67 F2 0F 10 44 24 60 F2 0F 10 4C 24 60 F2 0F 59 C1 0F 28 BC 24 B0 00 00 00 44 0F 28 8C 24 A0 00 00 00 44 0F 28 A4 24 90 00 00 00 44 0F 28 74 24 70 44 0F 28 BC 24 80 00 00 00 F2 41 0F 11 00 48 81 C4 C8 00 00 00 5D 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 F2 44 0F 10 25 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 44 0F 10 7C 24 38 48 8B D9 F2 44 0F 58 F2 F2 0F 58 D3 F2 45 0F 59 E6 F2 44 0F 58 CA F2 44 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 E6 41 0F 28 F9 F2 44 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 E6 F2 44 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 E6 F2 41 0F 58 E4 F2 0F 11 64 24 58 F2 44 0F 10 74 24 58 F2 45 0F 5C FE F2 45 0F 58 FC F2 44 0F 11 7C 24 60 F2 0F 10 5C 24 58 F2 0F 10 64 24 60 F2 0F 58 FB F2 0F 11 7C 24 58 F2 0F 10 54 24 58 F2 0F 5C DA F2 41 0F 58 D9 44 0F 28 C9 F2 0F 11 5C 24 60 F2 44 0F 10 64 24 58 F2 45 0F 59 CC F2 0F 10 7C 24 60 F2 44 0F 11 4C 24 58 F2 0F 58 FC F2 0F 10 54 24 58 F2 0F 59 7C 24 68 F2 41 0F 5C D4 F2 0F 11 54 24 60 F2 0F 10 64 24 58 F2 0F 10 5C 24 60 F2 0F 5C E3 F2 0F 11 64 24 58 F2 0F 10 6C 24 58 F2 44 0F 5C E5 F2 44 0F 11 64 24 60 F2 44 0F 10 64 24 68 45 0F 28 F4 F2 44 0F 59 35 ?? ?? ?? ?? F2 0F 10 64 24 58 F2 0F 10 6C 24 60 F2 44 0F 11 74 24 58 F2 44 0F 10 7C 24 58 F2 44 0F 5C 7C 24 68 F2 44 0F 11 7C 24 60 F2 0F 10 54 24 58 F2 44 0F 10 4C 24 60 F2 41 0F 5C D1 F2 0F 11 54 24 58 F2 0F 10 5C 24 58 F2 44 0F 5C E3 F2 44 0F 11 64 24 60 F2 44 0F 10 74 24 58 F2 44 0F 10 4C 24 60 41 0F 28 D6 41 0F 28 D9 F2 0F 59 DD F2 44 0F 59 F5 F2 0F 59 D4 F2 41 0F 59 E1 F2 41 0F 58 DE F2 0F 58 DC F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 E2 F2 0F 58 FB F2 0F 11 64 24 58 F2 0F 10 6C 24 58 8B 54 24 58 8B F2 83 E2 7F F2 0F 5C 2D ?? ?? ?? ?? F2 0F 11 6C 24 20 03 D2 F2 44 0F 10 7C 24 20 F2 41 0F 5C D7 F2 0F 11 54 24 28 F2 0F 10 54 24 28 F2 0F 10 A4 D1 48 12 00 00 F2 0F 58 FA F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D7 C1 FE 07 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D7 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D7 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D7 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D7 F2 0F 59 D4 F2 0F 58 94 D3 50 12 00 00 0F 28 DA F2 0F 58 DC F2 0F 11 5C 24 30 0F B7 54 24 36 8B EA 81 E5 F0 7F 00 00 C1 ED 04 8D 8C 2E 01 FC FF FF 81 F9 00 04 00 00 0F 8D 23 02 00 00 81 F9 02 FC FF FF 7C 31 81 C1 FF 03 00 00 81 E2 0F 80 FF FF 81 E1 FF 07 00 00 C1 E1 04 0B D1 66 89 54 24 36 F2 0F 10 4C 24 30 F2 0F 59 C1 F2 0F 11 44 24 30 E9 0F FD FF FF 81 F9 F8 FB FF FF 0F 8C 22 01 00 00 F2 0F 11 5C 24 58 81 C6 C8 00 00 00 F2 0F 10 5C 24 58 81 C6 FF 03 00 00 48 8B 15 ?? ?? ?? ?? 81 E6 FF 07 00 00 48 89 54 24 38 F2 0F 5C E3 48 C1 EA 30 F2 0F 58 E2 F2 0F 11 64 24 60 81 E2 0F 80 FF FF F2 44 0F 10 4C 24 58 F2 41 0F 59 C9 F2 0F 10 54 24 60 F2 0F 11 4C 24 58 F2 0F 10 4C 24 58 C1 E6 04 F2 41 0F 5C C9 F2 0F 11 4C 24 60 0B D6 F2 0F 10 6C 24 58 F2 0F 10 64 24 60 66 89 54 24 3E F2 0F 5C EC F2 0F 11 6C 24 58 F2 0F 10 7C 24 58 F2 44 0F 10 7C 24 38 F2 44 0F 5C CF F2 44 0F 11 4C 24 60 F2 0F 10 4C 24 58 F2 44 0F 10 64 24 60 F2 44 0F 10 35 ?? ?? ?? ?? F2 41 0F 58 D4 F2 41 0F 59 C6 F2 41 0F 59 CF F2 41 0F 59 D7 F2 0F 59 C8 F2 0F 59 C2 F2 0F 11 44 24 58 48 8B 0D ?? ?? ?? ?? F2 0F 10 44 24 58 48 89 4C 24 58 F2 0F 58 C8 F2 0F 10 54 24 58 F2 0F 10 44 24 58 F2 0F 59 D0 F2 0F 11 54 24 58 F2 44 0F 10 64 24 58 F2 41 0F 58 CC 0F 28 C1 F2 0F 11 44 24 30 E9 E1 FB FF FF 81 F9 C4 FB FF FF 7C 7D 48 8B 15 ?? ?? ?? ?? 81 C6 C7 04 00 00 48 89 54 24 38 81 E6 FF 07 00 00 48 C1 EA 30 C1 E6 04 81 E2 0F 80 FF FF 0B D6 66 89 54 24 3E F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 54 24 38 F2 0F 59 C1 F2 0F 59 DA 48 8B 0D ?? ?? ?? ?? 48 89 4C 24 58 F2 0F 59 C3 F2 0F 10 5C 24 58 F2 0F 10 64 24 58 F2 0F 59 E3 F2 0F 11 64 24 58 F2 0F 10 6C 24 58 F2 0F 58 C5 F2 0F 11 44 24 30 E9 5C FB FF FF 48 8B 15 ?? ?? ?? ?? 48 89 54 24 58 F2 0F 10 4C 24 58 F2 0F 10 54 24 58 F2 0F 59 D1 F2 0F 11 54 24 58 F2 0F 10 5C 24 58 F2 0F 59 C3 F2 0F 11 44 24 30 E9 25 FB FF FF 48 8B 15 ?? ?? ?? ?? 48 89 54 24 58 F2 0F 10 54 24 58 F2 0F 10 4C 24 58 F2 0F 59 D1 F2 0F 11 54 24 58 F2 0F 10 5C 24 58 F2 0F 59 C3 F2 0F 11 44 24 30 E9 EE FA FF FF 8A 54 24 3F 48 8D 0D ?? ?? ?? ?? 80 E2 80 C0 EA 07 32 DA 0F B6 DB F2 0F 10 8C D9 90 1A 00 00 F2 0F 59 C9 F2 0F 59 C8 0F 28 C1 E9 BF FA FF FF 85 F6 75 08 85 ED 0F 85 E7 F6 FF FF 83 E6 01 48 8D 15 ?? ?? ?? ?? F2 0F 10 84 F2 A8 1A 00 00 E9 9B FA FF FF F2 0F 59 C9 84 DB 74 1F 41 23 F4 48 8D 05 ?? ?? ?? ?? F2 0F 10 84 F0 A8 1A 00 00 41 8B C3 F2 0F 5E C1 E9 74 FA FF FF 41 23 F4 48 8D 15 ?? ?? ?? ?? F2 0F 10 84 F2 A8 1A 00 00 F2 0F 59 C1 E9 58 FA FF FF 45 85 D2 0F 84 2C F6 FF FF E9 10 FA FF FF 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_232_0_0 {
	meta:
		name = "__common_dasin_cout_rare"
		size = 2752
		refs = "0070 _vmldASinHATab"
	strings:
		$1 = { 56 48 81 EC D0 00 00 00 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 F2 0F 10 01 41 81 F8 F0 7F 00 00 48 8B 31 44 0F 29 BC 24 A0 00 00 00 44 0F 29 B4 24 B0 00 00 00 44 0F 29 5C 24 60 44 0F 29 54 24 70 44 0F 29 8C 24 80 00 00 00 44 0F 29 84 24 90 00 00 00 0F 29 BC 24 C0 00 00 00 0F 84 3E 0A 00 00 48 89 74 24 38 48 C1 EE 38 F2 44 0F 10 1D ?? ?? ?? ?? 83 E6 7F 40 88 74 24 3F F2 44 0F 10 4C 24 38 4C 8B 0D ?? ?? ?? ?? 66 45 0F 2F D9 0F 82 B9 09 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C1 0F 86 1A 04 00 00 66 44 0F 2F 0D ?? ?? ?? ?? 0F 86 7C 03 00 00 F2 44 0F 10 35 ?? ?? ?? ?? 41 0F 28 E1 F2 41 0F 59 E6 45 0F 28 C1 F2 0F 11 64 24 28 45 0F 28 D1 F2 44 0F 10 5C 24 28 41 0F 28 DE F2 44 0F 5C 5C 24 38 F2 44 0F 11 5C 24 20 F2 0F 10 7C 24 28 F2 0F 10 4C 24 20 F2 0F 5C F9 F2 0F 11 7C 24 28 F2 0F 10 54 24 28 F2 44 0F 5C C2 F2 44 0F 11 44 24 20 F2 0F 10 6C 24 28 0F 28 D5 F2 44 0F 58 D5 F2 0F 59 D5 F2 44 0F 10 7C 24 20 0F 28 C2 F2 45 0F 59 D7 F2 0F 59 DA F2 41 0F 58 C2 F2 44 0F 10 05 ?? ?? ?? ?? F2 44 0F 59 C0 F2 0F 11 5C 24 28 F2 0F 10 64 24 28 F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 5C E2 F2 44 0F 59 C0 F2 0F 11 64 24 20 F2 0F 10 4C 24 28 F2 44 0F 10 5C 24 20 F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 5C CB F2 44 0F 59 C0 F2 0F 11 4C 24 28 F2 0F 10 7C 24 28 F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 5C D7 F2 44 0F 59 C0 F2 0F 11 54 24 20 41 0F 28 F9 F2 0F 10 64 24 28 F2 0F 10 5C 24 20 F2 44 0F 59 FC F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 58 D3 F2 0F 59 EC F2 44 0F 59 C0 F2 41 0F 59 FA F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 58 FF F2 44 0F 59 C0 45 0F 28 FE F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 59 FD F2 44 0F 59 C0 F2 44 0F 11 7C 24 28 F2 44 0F 10 5C 24 28 F2 44 0F 5C DD F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 11 5C 24 20 44 0F 28 DD F2 0F 10 54 24 28 F2 0F 58 EF F2 44 0F 59 C0 F2 44 0F 59 D5 F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 10 4C 24 20 F2 44 0F 59 C0 F2 0F 5C D1 F2 0F 11 54 24 28 F2 0F 10 5C 24 28 F2 44 0F 5C DB 0F 28 DC F2 44 0F 58 05 ?? ?? ?? ?? F2 44 0F 11 5C 24 20 F2 0F 10 4C 24 28 F2 0F 10 54 24 20 44 0F 28 FA F2 0F 59 D9 F2 44 0F 58 FF F2 44 0F 59 C0 F2 41 0F 59 E7 F2 44 0F 59 F3 F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 58 E2 F2 44 0F 59 C0 F2 44 0F 11 74 24 28 44 0F 28 DB F2 44 0F 10 54 24 28 F2 44 0F 5C D3 F2 0F 58 DC F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 59 C3 F2 44 0F 11 54 24 20 F2 44 0F 10 54 24 28 F2 44 0F 10 74 24 20 F2 44 0F 59 C0 F2 45 0F 5C D6 F2 44 0F 11 54 24 28 F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 59 D5 F2 0F 59 C3 F2 0F 10 2D ?? ?? ?? ?? F2 44 0F 58 D0 F2 0F 59 CD F2 0F 59 FD F2 0F 59 D5 F2 45 0F 58 D0 F2 44 0F 10 74 24 28 41 0F 28 C1 F2 45 0F 5C DE F2 0F 58 C1 F2 44 0F 58 D7 F2 44 0F 11 5C 24 20 F2 44 0F 58 D2 F2 44 0F 10 74 24 28 F2 44 0F 10 5C 24 20 F2 0F 11 44 24 28 F2 0F 10 54 24 28 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 5C CA F2 0F 59 E0 F2 44 0F 59 F0 F2 41 0F 59 C3 F2 44 0F 58 C9 F2 44 0F 11 4C 24 20 F2 0F 10 4C 24 28 F2 44 0F 10 4C 24 20 F2 45 0F 58 D1 F2 44 0F 58 D4 0F 28 E1 F2 41 0F 58 E6 F2 44 0F 58 D0 F2 0F 11 64 24 28 F2 44 0F 10 4C 24 28 F2 41 0F 5C C9 F2 41 0F 58 CE F2 0F 11 4C 24 20 F2 0F 10 5C 24 28 F2 0F 10 54 24 20 8A 49 07 F2 44 0F 58 D2 80 E1 80 F2 44 0F 58 D3 F2 44 0F 11 54 24 30 40 8A 74 24 37 40 80 E6 7F 40 0A F1 40 88 74 24 37 4C 8B 44 24 30 4C 89 02 E9 2C 06 00 00 66 44 0F 2F 0D ?? ?? ?? ?? 72 42 F2 45 0F 58 CB F2 44 0F 11 4C 24 28 F2 0F 10 44 24 28 F2 0F 59 44 24 38 F2 0F 11 44 24 30 40 8A 74 24 37 8A 49 07 40 80 E6 7F 80 E1 80 40 0A F1 40 88 74 24 37 4C 8B 44 24 30 4C 89 02 E9 DF 05 00 00 F2 45 0F 59 C9 F2 44 0F 11 4C 24 28 F2 0F 10 44 24 28 8A 49 07 80 E1 80 F2 0F 58 44 24 38 F2 0F 11 44 24 30 40 8A 74 24 37 40 80 E6 7F 40 0A F1 40 88 74 24 37 4C 8B 44 24 30 4C 89 02 E9 9D 05 00 00 4D 8B D1 F2 45 0F 5C D9 F2 41 0F 59 C3 F2 0F 11 44 24 38 44 0F B7 44 24 3E 41 81 E0 F0 7F 00 00 41 C1 E8 04 41 81 C0 01 FC FF FF 45 8B D8 41 8B F0 41 F7 DB 41 81 C3 FF 03 00 00 49 C1 EA 30 41 81 E3 FF 07 00 00 41 C1 E3 04 41 81 E2 0F 80 FF FF 4C 89 4C 24 40 45 0B D3 66 44 89 54 24 46 83 E6 01 F2 0F 10 7C 24 40 44 8B DE F2 0F 59 C7 0F 28 E8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 E8 F2 44 0F 10 0D ?? ?? ?? ?? 75 03 0F 28 E8 F2 44 0F 59 CD F2 0F 58 C2 F2 0F 11 44 24 48 45 0F 28 C1 44 8B 54 24 48 44 2B C6 41 C1 E3 08 41 81 E2 FF 01 00 00 45 03 D3 F2 44 0F 5C C5 4C 8D 1D ?? ?? ?? ?? F2 44 0F 11 44 24 20 44 0F 28 C5 F2 0F 10 5C 24 20 F2 0F 10 3D ?? ?? ?? ?? F2 44 0F 5C CB F2 43 0F 10 04 D3 41 0F 28 C9 0F 28 E0 F2 45 0F 5C C1 F2 0F 59 E0 F2 44 0F 59 C8 F2 0F 59 CC F2 41 0F 59 E0 F2 0F 5C 0D ?? ?? ?? ?? 41 D1 E8 F2 0F 58 CC F2 0F 59 F9 41 81 C0 FF 03 00 00 4C 89 4C 24 50 41 81 E0 FF 07 00 00 49 C1 E9 30 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 41 81 E1 0F 80 FF FF 41 C1 E0 04 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 45 0B C8 66 44 89 4C 24 56 F2 0F 10 5C 24 50 F2 44 0F 59 CB F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 44 0F 10 35 ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 35 ?? ?? ?? ?? F2 0F 59 F9 F2 45 0F 59 F3 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 F8 F2 41 0F 59 C0 F2 0F 59 FD 44 0F 28 C1 F2 0F 58 F8 F2 45 0F 59 C1 F2 0F 59 FB F2 44 0F 11 44 24 28 F2 44 0F 10 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 0F 10 54 24 28 F2 0F 10 1D ?? ?? ?? ?? F2 41 0F 5C D1 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 0F 11 54 24 20 0F 28 D3 F2 0F 10 6C 24 28 F2 0F 10 64 24 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C EC F2 44 0F 58 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 C3 F2 41 0F 58 D6 F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 59 D3 F2 45 0F 59 C3 F2 0F 11 6C 24 28 0F 28 E9 F2 44 0F 10 54 24 28 0F 28 E0 F2 41 0F 59 EB F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 5C CA F2 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 C3 F2 0F 58 E2 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 44 0F 11 4C 24 20 F2 44 0F 10 4C 24 28 F2 44 0F 10 7C 24 20 F2 0F 11 6C 24 28 F2 41 0F 58 FF F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 44 0F 10 54 24 28 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 5C D3 F2 45 0F 59 C3 F2 44 0F 11 54 24 20 44 0F 28 D1 F2 0F 10 54 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 58 05 ?? ?? ?? ?? F2 41 0F 5C D7 F2 45 0F 59 C3 F2 0F 11 54 24 28 F2 44 0F 10 74 24 28 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 44 0F 58 05 ?? ?? ?? ?? F2 45 0F 59 C3 F2 45 0F 59 C3 F2 45 0F 59 C3 F2 41 0F 58 E0 F2 0F 59 FC 41 0F 28 E3 F2 41 0F 5C E6 F2 0F 11 64 24 20 F2 44 0F 10 74 24 28 41 0F 28 EE 41 0F 28 E6 F2 41 0F 59 EE F2 41 0F 58 E3 F2 44 0F 59 F3 F2 44 0F 59 D5 F2 0F 10 54 24 20 F2 44 0F 11 54 24 28 F2 44 0F 10 7C 24 28 F2 0F 59 E2 F2 44 0F 5C FD F2 0F 59 DA F2 44 0F 11 7C 24 20 F2 44 0F 10 7C 24 28 F2 44 0F 10 54 24 20 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C FA F2 41 0F 59 D3 F2 44 0F 11 7C 24 28 45 0F 28 FE F2 44 0F 10 54 24 28 F2 41 0F 5C EA F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 6C 24 20 F2 44 0F 10 54 24 28 F2 44 0F 59 15 ?? ?? ?? ?? F2 41 0F 59 D3 F2 45 0F 58 FA F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 6C 24 20 F2 41 0F 58 D0 F2 0F 58 EC F2 41 0F 59 D1 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 28 F2 44 0F 11 54 24 48 F2 45 0F 5C F7 F2 45 0F 58 F2 F2 44 0F 11 74 24 20 44 0F 28 F0 F2 44 0F 10 7C 24 28 F2 44 0F 10 54 24 20 F2 45 0F 58 F7 F2 44 0F 11 74 24 28 F2 44 0F 10 74 24 28 F2 41 0F 5C C6 F2 41 0F 58 C7 F2 0F 11 44 24 20 F2 44 0F 10 74 24 28 F2 41 0F 59 CE F2 44 0F 10 7C 24 20 F2 0F 11 4C 24 28 F2 0F 10 4C 24 28 F2 41 0F 5C CE F2 0F 11 4C 24 20 F2 0F 10 4C 24 28 F2 0F 10 44 24 20 F2 0F 5C C8 F2 0F 11 4C 24 28 F2 0F 10 44 24 28 F2 44 0F 5C F0 F2 44 0F 11 74 24 20 F2 0F 10 44 24 28 F2 44 0F 10 74 24 20 F2 45 0F 58 F2 F2 45 0F 58 F7 F2 44 0F 58 F3 F2 44 0F 58 F5 F2 45 0F 59 F1 F2 44 0F 59 C8 F2 41 0F 58 FE F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 FA 44 0F 28 D8 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C D9 F2 0F 5C D7 F2 44 0F 11 5C 24 28 F2 44 0F 10 5C 24 28 F2 41 0F 5C C3 F2 41 0F 5C C1 F2 0F 11 44 24 20 F2 0F 10 5C 24 28 F2 0F 10 4C 24 20 8A 49 07 F2 0F 58 D1 80 E1 80 F2 0F 58 DA F2 0F 11 5C 24 30 40 8A 74 24 37 40 80 E6 7F 40 0A F1 40 88 74 24 37 48 8B 4C 24 30 48 89 0A EB 11 B8 01 00 00 00 F2 0F 5C C0 F2 0F 5E C0 F2 0F 11 02 0F 28 BC 24 C0 00 00 00 44 0F 28 84 24 90 00 00 00 44 0F 28 8C 24 80 00 00 00 44 0F 28 54 24 70 44 0F 28 5C 24 60 44 0F 28 B4 24 B0 00 00 00 44 0F 28 BC 24 A0 00 00 00 48 81 C4 D0 00 00 00 5E C3 F2 0F 5E C0 F2 0F 11 02 F7 41 04 FF FF 0F 00 75 AE BA 01 00 00 00 33 C0 83 39 00 0F 44 C2 EB 9F }
	condition:
		$1
}

rule file_233_0_0 {
	meta:
		name = "__avx_asinf8"
		size = 544
		refs = "0036 __common_sasin_data 0214 __common_sasin_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 BC 24 F0 01 00 00 C5 7C 11 84 24 D0 01 00 00 C5 FC 11 B4 24 B0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 4F 01 00 00 C5 FC 10 15 ?? ?? ?? ?? 49 83 E5 C0 C5 FC 10 25 ?? ?? ?? ?? C5 EC 54 C8 C5 F4 59 DC C5 F4 59 E9 C5 74 C2 3D ?? ?? ?? ?? 1D C5 5C 5C C3 C5 F4 C2 E4 15 C4 C1 54 5D D8 C5 EC 55 D0 C4 63 7D 19 FD 01 C5 81 6B F5 C5 D1 EF ED C5 49 63 FD C4 C1 7C 52 F0 C4 41 3C 58 C0 C4 C1 79 D7 D7 C5 CC 59 EE C5 BC 59 F6 C5 3C 59 C5 C5 3C 5C 05 ?? ?? ?? ?? C5 3C 59 3D ?? ?? ?? ?? C5 84 58 2D ?? ?? ?? ?? C4 41 4C 59 F8 C4 41 54 59 C7 C5 E4 59 2D ?? ?? ?? ?? C5 3C 5C C6 C5 D4 58 2D ?? ?? ?? ?? C5 E4 59 35 ?? ?? ?? ?? C5 4C 58 3D ?? ?? ?? ?? C5 E4 59 F3 C5 04 59 FE C5 84 58 ED C5 D4 59 F3 C4 C3 75 4A E8 40 C5 4C 58 3D ?? ?? ?? ?? C5 84 59 DB C5 E4 59 CD C5 F4 58 CD C5 DC 54 1D ?? ?? ?? ?? C5 F4 58 E3 C5 DC 57 CA 84 D2 75 2F C5 FC 10 B4 24 B0 01 00 00 C5 7C 10 84 24 D0 01 00 00 C5 7C 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 C1 33 C0 C5 FC 11 BC 24 E0 00 00 00 C5 7C 11 8C 24 C0 00 00 00 C5 7C 11 94 24 A0 00 00 00 C5 7C 11 9C 24 80 00 00 00 C5 7C 11 64 24 60 C5 7C 11 6C 24 40 C5 7C 11 74 24 20 48 89 9C 24 08 01 00 00 8B D8 48 89 B4 24 00 01 00 00 8B F2 0F A3 DE 72 58 FF C3 83 FB 20 7C F4 C5 FC 10 BC 24 E0 00 00 00 C5 7C 10 8C 24 C0 00 00 00 C5 7C 10 94 24 A0 00 00 00 C5 7C 10 9C 24 80 00 00 00 C5 7C 10 64 24 60 C5 7C 10 6C 24 40 C5 7C 10 74 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 08 01 00 00 48 8B B4 24 00 01 00 00 E9 18 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 94 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_235_0_0 {
	meta:
		name = "__sse4_exp2"
		size = 720
		refs = "0012 s_dwInvLn 001a s_dwNegRS 002b s_dwLnHi 0033 s_dwBias 0062 s_dwLnLo 0076 s_dwExp2 0094 s_dwA4 00b3 s_dwA5 00d6 s_dwA3 00de s_dwA2 00f6 s_dwOne 01a2 iAbsMask 01ae dbB1 01c7 dbB2 024a dbInf"
	strings:
		$1 = { 48 83 EC 48 0F 29 7C 24 20 0F 29 74 24 30 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D8 66 0F C5 C8 03 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 58 D3 66 0F 3A 09 DB 00 66 0F 28 E8 66 0F 7E D0 81 E1 FF 7F 00 00 66 0F 59 E3 66 0F C5 D2 04 81 F9 86 40 00 00 66 0F 59 1D ?? ?? ?? ?? 66 0F FE CA 66 0F C5 C8 07 66 0F 5C C4 4C 8D 05 ?? ?? ?? ?? 0F 8D A0 00 00 00 81 E1 FF 7F 00 00 83 E0 3F 83 E2 3F 66 0F 5C C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 73 D1 06 F3 41 0F 7E 24 C0 81 F9 86 40 00 00 0F 8D 91 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 E8 66 0F 59 C0 66 0F 73 F1 34 66 41 0F 16 24 D0 66 0F 59 D0 66 0F 59 D8 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 59 C3 66 0F 59 D5 66 0F 58 C5 66 0F 58 15 ?? ?? ?? ?? 66 0F EB CC 66 0F 58 C2 66 0F 59 C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 66 66 66 0F 1F 84 00 00 00 00 00 83 E0 3F 83 E2 3F 66 0F 5C C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 73 D1 06 F3 41 0F 7E 24 C0 0F 1F 00 4C 8D 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 F8 66 0F 59 C0 66 0F 73 F1 34 66 41 0F 16 24 D0 66 0F 59 F0 66 0F 59 D8 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 F0 66 0F 59 C3 66 0F 59 F7 66 0F 58 C7 66 0F 58 35 ?? ?? ?? ?? 66 0F EB CC 66 0F 58 C6 66 0F 59 C8 66 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 66 0F C2 1D ?? ?? ?? ?? 01 66 0F DB CB 66 0F 28 35 ?? ?? ?? ?? 66 0F DB F5 66 0F C2 35 ?? ?? ?? ?? 01 66 0F DF DE 66 0F DB C3 66 0F DB D3 66 0F DB E3 66 0F C5 C5 03 66 0F C5 D5 07 C1 E8 0F C1 EA 0F 66 0F FE 15 ?? ?? ?? ?? 66 0F 73 D2 06 F3 41 0F 7E BC C0 00 02 00 00 66 41 0F 16 BC D0 00 02 00 00 66 0F FE D7 66 0F 73 F2 34 66 0F EB D4 66 0F 59 C2 F3 41 0F 7E BC C0 10 02 00 00 66 41 0F 16 BC D0 10 02 00 00 66 0F 59 C7 66 0F EB C1 66 0F 28 3D ?? ?? ?? ?? 66 0F DB FD 66 0F C2 3D ?? ?? ?? ?? 01 66 0F DF F7 F3 41 0F 7E 8C C0 20 02 00 00 66 41 0F 16 8C D0 20 02 00 00 66 0F DB CE 66 0F 28 35 ?? ?? ?? ?? 66 0F DB F5 66 0F C2 35 ?? ?? ?? ?? 00 F3 41 0F 7E BC C0 30 02 00 00 66 41 0F 16 BC D0 30 02 00 00 66 0F DB F7 66 0F EB CE 66 0F 28 35 ?? ?? ?? ?? 66 0F C2 F5 03 66 0F DB EE 66 0F EB CD 66 0F 59 C9 66 0F EB C1 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 48 C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_236_0_0 {
	meta:
		name = "__sse2_expf4"
		size = 640
		refs = "0003 s_dwExp2_Table 000a s_dwInvLn 0011 s_dwNegRS 001b s_dwLnHi 0022 s_dwBias 0030 flAbsMask 003c flBound1 0060 s_dwLnLo 00ab flTwo 0172 flBound2 01ff flInf 0263 flOne"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 0F 28 15 ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 0F 59 D0 0F 28 25 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 5C 15 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 66 0F DB E8 66 0F 66 2D ?? ?? ?? ?? 0F 50 CD 23 C9 0F 85 85 00 00 00 0F 28 E8 0F 58 DA 66 0F 7E D0 0F 59 E3 66 0F C5 D2 02 0F 59 1D ?? ?? ?? ?? 83 E0 3F 83 E2 3F 66 0F FE CA 0F 5C C4 F3 41 0F 7E 24 C0 66 0F C5 C2 04 41 0F 16 24 D0 66 0F C5 D2 06 0F 5C C3 83 E0 3F 83 E2 3F 66 0F 72 D1 06 F3 41 0F 7E 14 C0 41 0F 16 14 D0 0F 28 D8 0F 58 C0 0F 59 DB 0F 58 05 ?? ?? ?? ?? 0F C6 E2 88 66 0F 72 F1 17 0F 58 C3 66 0F EB CC 0F 59 C1 C3 66 66 66 66 66 0F 1F 84 00 00 00 00 00 0F 28 E8 0F 58 DA 66 0F 7E D1 0F 59 E3 66 44 0F C5 CA 02 0F 59 1D ?? ?? ?? ?? 83 E1 3F 41 83 E1 3F 66 0F FE CA 0F 5C C4 F3 41 0F 7E 24 C8 66 44 0F C5 D2 04 43 0F 16 24 C8 66 44 0F C5 DA 06 0F 5C C3 41 83 E2 3F 41 83 E3 3F 66 0F 72 D1 06 F3 43 0F 7E 1C D0 43 0F 16 1C D8 0F C6 E3 88 0F 28 D8 0F 58 C0 0F 59 DB 0F 58 05 ?? ?? ?? ?? 66 0F 72 F1 17 0F 58 C3 66 0F EB CC 0F 59 C8 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 0F C2 1D ?? ?? ?? ?? 01 66 0F DB CB 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 01 66 0F DF DA 66 0F DB C3 0F 50 D5 B8 03 00 00 00 23 C2 83 E2 0C 03 C0 0F 28 15 ?? ?? ?? ?? 0F 59 D5 0F 5C 15 ?? ?? ?? ?? 66 0F DB D3 66 0F DB E3 66 0F FE 15 ?? ?? ?? ?? 66 0F 72 D2 06 41 0F 28 9C C0 40 02 00 00 41 0F C6 9C 90 40 02 00 00 88 66 0F FE D3 66 0F 72 F2 17 66 0F EB D4 0F 59 C2 41 0F 28 9C C0 00 02 00 00 41 0F C6 9C 90 00 02 00 00 88 0F 59 C3 66 0F EB C1 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 0F C2 1D ?? ?? ?? ?? 01 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 01 66 0F DF D3 41 0F 28 8C C0 80 02 00 00 41 0F C6 8C 90 80 02 00 00 88 66 0F DB CA 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 00 41 0F 28 9C C0 C0 02 00 00 41 0F C6 9C 90 C0 02 00 00 88 66 0F DB D3 66 0F EB CA 0F 28 15 ?? ?? ?? ?? 0F C2 D5 03 66 0F DB EA 66 0F EB CD 0F 59 C9 66 0F EB C1 C3 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_237_0_0 {
	meta:
		name = "?GetPdbDll@@YAPEAUHINSTANCE__@@XZ"
		size = 24
		refs = "0002 ?alreadyTried@?1??GetPdbDll@@YAPEAUHINSTANCE__@@XZ@4_NA 0014 ?GetPdbDllFromInstallPath@@YAPEAUHINSTANCE__@@XZ"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 03 33 C0 C3 C6 05 ?? ?? ?? ?? 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_237_1_0 {
	meta:
		name = "?GetPdbDllFromInstallPath@@YAPEAUHINSTANCE__@@XZ"
		size = 645
		refs = "0025 __security_cookie 003b ??_C@_1EI@MLPKHBGE@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AAw?$AAi?$AAn?$AA?9?$AAc?$AAo?$AAr?$AAe?$AA?9?$AAr?$AAe?$AAg?$AAi?$AAs?$AAt?$AAr?$AAy?$AA?9?$AAl?$AA1?$AA?9?$AA1?$AA?9?$AA0?$AA?4@ 0045 __vcrt_LoadLibraryExW 005a ??_C@_1BK@JHLNAEJL@?$AAa?$AAd?$AAv?$AAa?$AAp?$AAi?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 006f __imp_GetLastError 009b ??_C@_0O@COHOBMLB@RegOpenKeyExW?$AA@ 00a4 __imp_GetProcAddress 00b3 ??_C@_0BB@GLNAEDBD@RegQueryValueExW?$AA@ 00cb ??_C@_0M@HLOHPNFA@RegCloseKey?$AA@ 00e4 _guard_check_icall 00fe ??_C@_1HE@EBEAGLFB@?$AAS?$AAO?$AAF?$AAT?$AAW?$AAA?$AAR?$AAE?$AA?2?$AAW?$AAo?$AAw?$AA6?$AA4?$AA3?$AA2?$AAN?$AAo?$AAd?$AAe?$AA?2?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?2?$AAV@ 0114 __imp_FreeLibrary 014c ??_C@_1BG@EABPBLLF@?$AAP?$AAr?$AAo?$AAd?$AAu?$AAc?$AAt?$AAD?$AAi?$AAr?$AA?$AA@ 01e5 ?mspdbName@@3QB_WB 0264 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 56 41 57 48 8D A8 88 FE FF FF 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 01 00 00 BB 00 08 00 00 48 8D 0D ?? ?? ?? ?? 44 8B C3 33 D2 E8 ?? ?? ?? ?? 45 33 FF 48 8B F8 48 85 C0 75 44 44 8B C3 48 8D 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 2B FF 15 ?? ?? ?? ?? 83 F8 57 75 19 45 33 C0 48 8D 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 07 33 C0 E9 C1 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 E1 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 C9 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 B1 48 8B CB E8 ?? ?? ?? ?? 48 8D 44 24 38 41 B9 01 00 00 00 45 33 C0 48 89 44 24 20 48 8D 15 ?? ?? ?? ?? 48 C7 C1 02 00 00 80 FF D3 85 C0 74 0E 48 8B CF FF 15 ?? ?? ?? ?? E9 74 FF FF FF 48 8B CE C7 44 24 30 08 02 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 38 48 8D 44 24 30 48 89 44 24 28 4C 8D 4C 24 34 48 8D 44 24 40 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 89 44 24 20 FF D6 49 8B CE 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 38 41 FF D6 48 8B CF FF 15 ?? ?? ?? ?? 85 DB 0F 85 17 FF FF FF 83 7C 24 34 01 0F 85 0C FF FF FF 8B 54 24 30 F6 C2 01 0F 85 FF FE FF FF D1 EA 44 8B CA 83 FA 02 0F 82 F1 FE FF FF FF CA 66 44 39 7C 54 40 0F 85 E3 FE FF FF 8D 4A FF 8D 43 5C 66 39 44 4C 40 74 08 66 89 44 54 40 41 8B D1 8B C2 F7 D0 83 F8 18 0F 82 C1 FE FF FF 8B CA 48 8D 41 17 48 3D 04 01 00 00 0F 87 AF FE FF FF 0F 10 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 33 D2 0F 10 0D ?? ?? ?? ?? 41 B8 00 09 00 00 0F 11 44 4C 40 F2 0F 10 05 ?? ?? ?? ?? 0F 11 4C 4C 50 F2 0F 11 44 4C 60 89 44 4C 68 0F B7 05 ?? ?? ?? ?? 66 89 44 4C 6C 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 1E FF 15 ?? ?? ?? ?? 83 F8 57 75 13 33 D2 44 8D 43 08 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 8D 50 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_237_2_0 {
	meta:
		name = "?_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z"
		size = 1068
		refs = "0043 __imp_VirtualQuery 0060 __vcrt_GetModuleFileNameW 00d8 ?PDBOK@?1??_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z@4_NA 00e1 ?mspdb@@3PEAUHINSTANCE__@@EA 00ee ?alreadyTried@?1??GetPdbDll@@YAPEAUHINSTANCE__@@XZ@4_NA 0108 ?GetPdbDllFromInstallPath@@YAPEAUHINSTANCE__@@XZ 012f ??_C@_0BB@KCIACLNC@PDBOpenValidate5?$AA@ 0138 __imp_GetProcAddress 014c _guard_check_icall 01c0 ??_C@_01KDCPPGHE@r?$AA@ 02d4 __imp_GetProcessHeap 02e2 __imp_HeapAlloc 03b0 __imp_HeapFree"
	strings:
		$1 = { 44 89 44 24 18 48 89 54 24 10 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC B8 00 00 00 33 F6 48 8B D9 41 89 31 4D 8B E9 66 89 32 48 8D 55 CF 8D 7E 01 48 2B DF 44 8D 46 30 48 8B CB FF 15 ?? ?? ?? ?? 48 85 C0 75 07 33 C0 E9 C5 03 00 00 44 8B 45 7F 48 8B 55 77 48 8B 4D D7 E8 ?? ?? ?? ?? 85 C0 74 E4 48 8B 55 D7 B8 4D 5A 00 00 66 39 02 75 D6 39 72 3C 7E D1 48 63 4A 3C 48 03 CA 81 39 50 45 00 00 75 C2 44 0F B7 49 14 2B DA 44 0F B7 41 06 4C 03 C9 44 8B FE 44 8B F6 45 85 C0 74 25 41 8B C6 48 8D 0C 80 41 3B 5C C9 24 72 0F 44 8B FB 45 2B 7C C9 24 41 3B 5C C9 20 72 08 44 03 F7 45 3B F0 72 DB 45 3B F0 0F 84 7A FF FF FF 44 03 F7 40 38 35 ?? ?? ?? ?? 75 47 48 39 35 ?? ?? ?? ?? 0F 85 61 FF FF FF 40 38 35 ?? ?? ?? ?? 74 0C 48 89 35 ?? ?? ?? ?? E9 4C FF FF FF 40 88 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 0F 84 30 FF FF FF 40 88 3D ?? ?? ?? ?? EB 07 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 04 FF FF FF 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4D 77 48 8D 45 B7 48 89 44 24 38 45 33 C9 48 89 74 24 30 48 8D 45 C7 48 89 74 24 28 45 33 C0 33 D2 48 89 44 24 20 FF D3 85 C0 0F 84 CA FE FF FF 48 8B 7D B7 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 3D 41 91 32 01 0F 85 5A 02 00 00 48 8B 7D B7 48 8B 07 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D BF 33 D2 4C 8D 05 ?? ?? ?? ?? 48 8B CF FF D3 85 C0 0F 84 2D 02 00 00 48 8B 7D BF 48 8B 07 48 8B 58 40 48 8B CB E8 ?? ?? ?? ?? 48 89 74 24 30 4C 8D 4D AF 48 89 74 24 28 45 8B C7 41 0F B7 D6 48 89 74 24 20 48 8B CF FF D3 85 C0 0F 84 DB 01 00 00 48 8B 7D AF 48 89 75 97 48 8B 07 48 8B 98 D0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8D 55 97 48 8B CF FF D3 84 C0 0F 84 95 01 00 00 48 8B 7D 97 48 85 FF 0F 84 88 01 00 00 4C 8B E6 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 85 C0 0F 84 3E 01 00 00 48 8B 7D 97 48 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8D 45 6F 48 89 74 24 30 48 89 44 24 28 4C 8D 4D 57 48 8D 45 A3 33 D2 4C 8D 45 9F 48 89 44 24 20 48 8B CF FF D3 84 C0 0F 84 11 01 00 00 0F B7 45 57 41 3B C6 75 10 8B 4D 9F 41 3B CF 77 08 03 4D A3 44 3B F9 72 06 48 8B 7D 97 EB 84 39 75 6F 0F 84 E9 00 00 00 8B 5D 6F 48 C1 E3 03 FF 15 ?? ?? ?? ?? 4C 8B C3 33 D2 48 8B C8 FF 15 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 C2 00 00 00 48 8B 7D 97 48 8B 17 48 8B 5A 18 48 8B CB E8 ?? ?? ?? ?? 48 8D 45 6F 4C 89 64 24 30 48 89 44 24 28 48 8D 55 A7 45 33 C9 48 89 74 24 20 45 33 C0 48 8B CF FF D3 84 C0 74 75 44 2B 7D 9F 45 3B 3C 24 72 6B 41 BE 01 00 00 00 41 8B CE 44 39 75 6F 76 10 8B C1 45 3B 3C C4 72 08 41 03 CE 3B 4D 6F 72 F0 48 8B 7D AF 8D 41 FF 41 8B 44 C4 04 25 FF FF FF 00 41 89 45 00 48 8B 07 48 8B 98 E0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 45 5F 4C 8D 4D 67 8B 55 A7 48 8B CF 48 89 74 24 30 48 89 74 24 28 48 89 74 24 20 FF D3 84 C0 41 0F 45 F6 FF 15 ?? ?? ?? ?? 4D 8B C4 33 D2 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B 7D 97 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 7D AF 48 8B 07 48 8B 98 80 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 7D BF 48 8B 07 48 8B 58 70 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 7D B7 48 8B 17 48 8B 5A 58 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 8B C6 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_240_0_0 {
	meta:
		name = "__sse2_exp2"
		size = 752
		refs = "0012 s_dwInvLn 001a s_dwNegRS 0026 s_dwLnHi 002e s_dwBias 0064 s_dwLnLo 0078 s_dwExp2 0096 s_dwA4 00b5 s_dwA5 00d8 s_dwA3 00e0 s_dwA2 00f8 s_dwOne 01c2 iAbsMask 01ce dbB1 01e7 dbB2 026a dbInf"
	strings:
		$1 = { 48 83 EC 68 0F 29 7C 24 40 0F 29 74 24 50 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 5C 15 ?? ?? ?? ?? 66 0F C5 C8 03 66 0F 28 E8 66 0F 58 DA 66 0F 7E D0 81 E1 FF 7F 00 00 66 0F 59 E3 66 0F C5 D2 04 81 F9 86 40 00 00 66 0F 59 1D ?? ?? ?? ?? 66 0F FE CA 66 0F C5 C8 07 66 0F 5C C4 4C 8D 05 ?? ?? ?? ?? 0F 8D 9E 00 00 00 81 E1 FF 7F 00 00 83 E0 3F 83 E2 3F 66 0F 5C C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 73 D1 06 F3 41 0F 7E 24 C0 81 F9 86 40 00 00 0F 8D 8F 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 E8 66 0F 59 C0 66 0F 73 F1 34 66 41 0F 16 24 D0 66 0F 59 D0 66 0F 59 D8 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 59 C3 66 0F 59 D5 66 0F 58 C5 66 0F 58 15 ?? ?? ?? ?? 66 0F EB CC 66 0F 58 C2 66 0F 59 C1 0F 28 74 24 50 0F 28 7C 24 40 48 83 C4 68 C3 66 0F 1F 84 00 00 00 00 00 83 E0 3F 83 E2 3F 66 0F 5C C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 73 D1 06 F3 41 0F 7E 24 C0 0F 1F 00 89 44 24 20 89 54 24 24 8B 44 24 20 8B 54 24 24 89 44 24 28 89 54 24 30 8B 44 24 28 8B 54 24 30 4C 8D 05 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 F8 66 0F 59 C0 66 0F 73 F1 34 66 41 0F 16 24 D0 66 0F 59 F0 66 0F 59 D8 66 0F 58 35 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 F0 66 0F 59 C3 66 0F 59 F7 66 0F 58 C7 66 0F 58 35 ?? ?? ?? ?? 66 0F EB CC 66 0F 58 C6 66 0F 59 C8 66 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 66 0F C2 1D ?? ?? ?? ?? 01 66 0F DB CB 66 0F 28 35 ?? ?? ?? ?? 66 0F DB F5 66 0F C2 35 ?? ?? ?? ?? 01 66 0F DF DE 66 0F DB C3 66 0F DB D3 66 0F DB E3 66 0F C5 C5 03 66 0F C5 D5 07 C1 E8 0F C1 EA 0F 66 0F FE 15 ?? ?? ?? ?? 66 0F 73 D2 06 F3 41 0F 7E BC C0 00 02 00 00 66 41 0F 16 BC D0 00 02 00 00 66 0F FE D7 66 0F 73 F2 34 66 0F EB D4 66 0F 59 C2 F3 41 0F 7E BC C0 10 02 00 00 66 41 0F 16 BC D0 10 02 00 00 66 0F 59 C7 66 0F EB C1 66 0F 28 3D ?? ?? ?? ?? 66 0F DB FD 66 0F C2 3D ?? ?? ?? ?? 01 66 0F DF F7 F3 41 0F 7E 8C C0 20 02 00 00 66 41 0F 16 8C D0 20 02 00 00 66 0F DB CE 66 0F 28 35 ?? ?? ?? ?? 66 0F DB F5 66 0F C2 35 ?? ?? ?? ?? 00 F3 41 0F 7E BC C0 30 02 00 00 66 41 0F 16 BC D0 30 02 00 00 66 0F DB F7 66 0F EB CE 66 0F 28 35 ?? ?? ?? ?? 66 0F C2 F5 03 66 0F DB EE 66 0F EB CD 66 0F 59 C9 66 0F EB C1 0F 28 74 24 50 0F 28 7C 24 40 48 83 C4 68 C3 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_244_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 187
		refs = "000c _set_app_type 0011 _get_startup_file_mode 0018 _set_fmode 001d __p__commode 0025 _get_startup_commit_mode 0031 __scrt_initialize_onexit_tables 003a _RTC_Initialize 0041 _RTC_Terminate 0046 atexit 004b _get_startup_argv_mode 0052 _configure_narrow_argv 005b ?__scrt_initialize_type_info@@YAXXZ 0060 __scrt_is_user_matherr_present 006b _matherr 0070 __setusermatherr 0075 _initialize_invalid_parameter_handler 007a _initialize_denormal_control 007f _get_startup_thread_locale_mode 0086 _configthreadlocale 008b _should_initialize_environment 0094 _initialize_narrow_environment 0099 __scrt_initialize_winrt 00ab __scrt_fastfail"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? B9 01 00 00 00 89 03 E8 ?? ?? ?? ?? 84 C0 74 6C E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 75 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_302_0_0 {
	meta:
		name = "?pre_c_initialization@@YAHXZ"
		size = 187
		refs = "000c _set_app_type 0011 _get_startup_file_mode 0018 _set_fmode 001d __p__commode 0025 _get_startup_commit_mode 0031 __scrt_initialize_onexit_tables 003a _RTC_Initialize 0041 _RTC_Terminate 0046 atexit 004b _get_startup_argv_mode 0052 _configure_wide_argv 005b ?__scrt_initialize_type_info@@YAXXZ 0060 __scrt_is_user_matherr_present 006b _matherr 0070 __setusermatherr 0075 _initialize_invalid_parameter_handler 007a _initialize_denormal_control 007f _get_startup_thread_locale_mode 0086 _configthreadlocale 008b _should_initialize_environment 0094 _initialize_wide_environment 0099 __scrt_initialize_winrt 00ab __scrt_fastfail"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? B9 01 00 00 00 89 03 E8 ?? ?? ?? ?? 84 C0 74 6C E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 75 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_244_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 375
		refs = "0015 __scrt_initialize_crt 0023 __scrt_fastfail 0031 __scrt_acquire_startup_lock 0039 __scrt_current_native_startup_state 005d __xi_z 0064 __xi_a 0069 _initterm_e 007e __xc_z 0085 __xc_a 008a _initterm 00a5 __scrt_release_startup_lock 00aa __scrt_get_dyn_tls_init_callback 00bb __scrt_is_nonwritable_in_current_image 00ca _guard_check_icall 00da __scrt_get_dyn_tls_dtor_callback 00f7 _register_thread_local_exe_atexit_callback 00fc __p___argv 0104 __p___argc 010c _get_initial_narrow_environment 0119 main 0120 __scrt_is_managed_app 012b exit 0135 _cexit 013e __scrt_uninitialize_crt 0154 _exit 0161 _c_exit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0B B9 07 00 00 00 E8 ?? ?? ?? ?? CC 40 32 F6 40 88 74 24 20 E8 ?? ?? ?? ?? 8A D8 8B 0D ?? ?? ?? ?? 83 F9 01 75 0A B9 07 00 00 00 E8 ?? ?? ?? ?? 85 C9 75 4A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A B8 FF 00 00 00 E9 EC 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 EB 08 40 B6 01 40 88 74 24 20 8A CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 22 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 16 48 8B 1B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 02 33 C9 FF D3 E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 14 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 08 48 8B 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 4C 8B C0 48 8B 17 8B 0B E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 84 C0 75 07 8B CB E8 ?? ?? ?? ?? 40 84 F6 75 05 E8 ?? ?? ?? ?? 33 D2 B1 01 E8 ?? ?? ?? ?? 8B C3 EB 21 8B D8 E8 ?? ?? ?? ?? 84 C0 75 08 8B CB E8 ?? ?? ?? ?? CC 80 7C 24 20 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_302_4_0 {
	meta:
		name = "?__scrt_common_main_seh@@YAHXZ"
		size = 375
		refs = "0015 __scrt_initialize_crt 0023 __scrt_fastfail 0031 __scrt_acquire_startup_lock 0039 __scrt_current_native_startup_state 005d __xi_z 0064 __xi_a 0069 _initterm_e 007e __xc_z 0085 __xc_a 008a _initterm 00a5 __scrt_release_startup_lock 00aa __scrt_get_dyn_tls_init_callback 00bb __scrt_is_nonwritable_in_current_image 00ca _guard_check_icall 00da __scrt_get_dyn_tls_dtor_callback 00f7 _register_thread_local_exe_atexit_callback 00fc __p___wargv 0104 __p___argc 010c _get_initial_wide_environment 0119 wmain 0120 __scrt_is_managed_app 012b exit 0135 _cexit 013e __scrt_uninitialize_crt 0154 _exit 0161 _c_exit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0B B9 07 00 00 00 E8 ?? ?? ?? ?? CC 40 32 F6 40 88 74 24 20 E8 ?? ?? ?? ?? 8A D8 8B 0D ?? ?? ?? ?? 83 F9 01 75 0A B9 07 00 00 00 E8 ?? ?? ?? ?? 85 C9 75 4A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A B8 FF 00 00 00 E9 EC 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 EB 08 40 B6 01 40 88 74 24 20 8A CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 22 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 16 48 8B 1B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 02 33 C9 FF D3 E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 14 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 08 48 8B 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 4C 8B C0 48 8B 17 8B 0B E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 84 C0 75 07 8B CB E8 ?? ?? ?? ?? 40 84 F6 75 05 E8 ?? ?? ?? ?? 33 D2 B1 01 E8 ?? ?? ?? ?? 8B C3 EB 21 8B D8 E8 ?? ?? ?? ?? 84 C0 75 08 8B CB E8 ?? ?? ?? ?? CC 80 7C 24 20 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_244_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 54
		refs = "000b __p___argv 0013 __p___argc 001b _get_initial_narrow_environment 0032 main"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8B 17 4C 8B C0 8B 0B 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_302_9_0 {
	meta:
		name = "?invoke_main@@YAHXZ"
		size = 54
		refs = "000b __p___wargv 0013 __p___argc 001b _get_initial_wide_environment 0032 wmain"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8B 17 4C 8B C0 8B 0B 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_245_2_0 {
	meta:
		name = "_RTC_GetErrDesc"
		size = 23
		refs = "000b ?_RTC_errlist@@3QBQEBDB"
	strings:
		$1 = { 83 F9 04 77 0F 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_245_4_0 {
	meta:
		name = "_RTC_SetErrorFunc"
		size = 23
		refs = "0003 ?_RTC_ErrorReportFunc@@3P6AHHPEBDH00ZZEA 000a ?_RTC_ErrorReportFuncW@@3P6AHHPEB_WH00ZZEA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_245_5_0 {
	meta:
		name = "_RTC_SetErrorFuncW"
		size = 23
		refs = "0003 ?_RTC_ErrorReportFuncW@@3P6AHHPEB_WH00ZZEA 000a ?_RTC_ErrorReportFunc@@3P6AHHPEBDH00ZZEA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_245_6_0 {
	meta:
		name = "_RTC_SetErrorType"
		size = 28
		refs = "000b ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 83 F9 04 77 13 48 63 C9 4C 8D 05 ?? ?? ?? ?? 41 8B 04 88 41 89 14 88 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_248_0_0 {
	meta:
		name = "??2@YAPEAX_KAEBUnothrow_t@std@@@Z"
		size = 29
		refs = "000e ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF E8 ?? ?? ?? ?? 90 EB 02 33 C0 48 83 C4 38 C3 CC }
	condition:
		$1
}

rule file_249_0_0 {
	meta:
		name = "__sse2_tanf4"
		size = 2576
		refs = "001a MMSRSHIFT 002a MMSINVPI 0031 MMSPI1 0041 MMSPI2 0049 MMIABSMASK 0051 MMIHUGE 0063 MMSPI3 006a MMSPI4 0084 MMSP1 008e MMSQ2 00b9 MMSP0 00c0 MMSQ1 00cd MMSQ0 0117 MMISIGNMASK 0128 flAllOnes 014a flTwoPow30 01c0 dbInvPio4 01d5 dbiOne 01dd MSK_LOW_BIT 01e5 dbRS 0202 PI04C_0 020e PI04C_1 021e PI04C_2 024f PI04C_3 027b PI04C_4 07e5 __spec_table"
	strings:
		$1 = { 48 81 EC 28 01 00 00 0F 29 BC 24 00 01 00 00 0F 29 B4 24 10 01 00 00 0F 28 2D ?? ?? ?? ?? 0F 28 F8 0F 28 F0 0F 28 D0 0F 59 05 ?? ?? ?? ?? 0F 28 25 ?? ?? ?? ?? 0F 58 C5 0F 28 D8 0F 5C C5 0F 28 2D ?? ?? ?? ?? 66 0F DB 3D ?? ?? ?? ?? 66 0F 66 3D ?? ?? ?? ?? 0F 50 C7 0B C0 0F 85 B4 00 00 00 0F 28 35 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 66 0F 6F C3 0F 5C D4 0F 28 25 ?? ?? ?? ?? 0F 5C D5 0F 28 2D ?? ?? ?? ?? 0F 5C D6 66 0F 72 F3 1E 66 0F EF C9 0F C2 D9 04 0F 28 CA 0F 5C CF 0F 59 D2 66 0F 72 F0 1F 0F 59 E2 0F 59 EA 0F 58 25 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 E1 0F 59 EA 0F 58 2D ?? ?? ?? ?? 0F 28 CB 0F 28 D3 66 0F DB CC 66 0F DF D5 66 0F EB CA 0F 28 F3 0F 28 FB 66 0F DF F4 66 0F DB FD 66 0F EB F7 0F 5E F1 66 0F EF C6 0F 28 B4 24 10 01 00 00 0F 28 BC 24 00 01 00 00 48 81 C4 28 01 00 00 C3 0F 28 0D ?? ?? ?? ?? 0F 29 7C 24 40 66 0F DB CE 66 0F EF 3D ?? ?? ?? ?? 0F 29 54 24 50 66 0F DB 35 ?? ?? ?? ?? 0F 29 7C 24 60 0F 28 FE 0F 29 74 24 70 66 0F 66 35 ?? ?? ?? ?? 66 0F DB 4C 24 40 0F 29 8C 24 80 00 00 00 0F 50 D6 85 D2 0F 85 70 05 00 00 83 F8 0F 0F 84 DA 02 00 00 0F 28 35 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 5C D4 0F 5C D5 0F 5C D6 0F 5C D7 66 0F DB 5C 24 60 66 0F DB 54 24 60 0F 29 9C 24 90 00 00 00 0F 29 94 24 A0 00 00 00 0F 5A 44 24 70 0F 5A 4C 24 78 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D8 66 0F E6 DB 66 0F 70 DB DC 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 29 8C 24 B0 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 72 E3 01 66 0F 5C F0 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C CA 66 0F 28 EB 66 0F 28 9C 24 B0 00 00 00 66 0F 59 1D ?? ?? ?? ?? 66 0F E6 DB 66 0F 58 C8 66 0F 28 84 24 B0 00 00 00 66 0F 70 ED 88 66 0F 70 DB DC 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 29 8C 24 C0 00 00 00 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F D6 AC 24 D0 00 00 00 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 72 E3 01 66 0F 5C F0 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C CA 66 0F 28 EB 66 0F 58 C1 66 0F 5A 94 24 C0 00 00 00 66 0F 70 ED 88 66 0F 5A D8 66 0F 14 D3 F3 0F 7E 9C 24 D0 00 00 00 66 0F 14 DD 66 0F DB 5C 24 40 66 0F DB 54 24 40 66 0F EB 9C 24 90 00 00 00 66 0F EB 94 24 A0 00 00 00 0F 28 C3 66 0F 72 F0 1F 66 0F EF 84 24 80 00 00 00 66 0F 72 F3 1E 66 0F EF C9 0F C2 D9 04 0F 28 25 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 CA 0F 59 D2 0F 59 E2 0F 59 EA 0F 58 25 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 E1 0F 59 EA 0F 58 2D ?? ?? ?? ?? 0F 28 CB 0F 28 D3 66 0F DB CC 66 0F DF D5 66 0F EB CA 0F 28 F3 0F 28 FB 66 0F DF F4 66 0F DB FD 66 0F EB F7 0F 5E F1 66 0F EF C6 E9 7B 03 00 00 0F 5A C7 66 0F 70 FF EE 0F 5A FF 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 F7 66 0F E6 DB 66 0F E6 F6 66 0F 70 DB DC 66 0F 70 F6 DC 66 0F FE 1D ?? ?? ?? ?? 66 0F FE 35 ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F DB 35 ?? ?? ?? ?? 66 0F 29 B4 24 E0 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 72 E3 01 66 0F 5C F0 66 0F 29 BC 24 B0 00 00 00 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C CA 66 0F 28 EB 66 0F 58 C8 66 0F 28 84 24 B0 00 00 00 66 0F 70 ED 88 66 0F 6F 9C 24 E0 00 00 00 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 94 24 E0 00 00 00 66 0F 29 8C 24 C0 00 00 00 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F D6 AC 24 D0 00 00 00 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 72 E3 01 66 0F 5C F0 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C CA 66 0F 28 EB 66 0F 58 C1 66 0F 5A 94 24 C0 00 00 00 66 0F 70 ED 88 66 0F 5A D8 66 0F 14 D3 F3 0F 7E 9C 24 D0 00 00 00 66 0F 14 DD 0F 28 C3 66 0F 72 F0 1F 66 0F EF 84 24 80 00 00 00 66 0F 72 F3 1E 66 0F EF C9 0F C2 D9 04 0F 28 25 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 CA 0F 59 D2 0F 59 E2 0F 59 EA 0F 58 25 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 E1 0F 59 EA 0F 58 2D ?? ?? ?? ?? 0F 28 CB 0F 28 D3 66 0F DB CC 66 0F DF D5 66 0F EB CA 0F 28 F3 0F 28 FB 66 0F DF F4 66 0F DB FD 66 0F EB F7 0F 5E F1 66 0F EF C6 E9 EE 00 00 00 83 F8 0F 0F 84 BB 00 00 00 0F 28 35 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 CA 0F 5C CF 66 0F EF FF 0F 59 D2 0F 29 8C 24 F0 00 00 00 0F 28 C3 66 0F 72 F0 1F 66 0F EF C7 66 0F 72 F3 1E 66 0F EF C9 0F C2 D9 04 0F 28 25 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 8C 24 F0 00 00 00 0F 59 E2 0F 59 EA 0F 58 25 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 0F 59 E1 0F 59 EA 0F 58 2D ?? ?? ?? ?? 0F 28 CB 0F 28 D3 66 0F DB CC 66 0F DF D5 66 0F EB CA 0F 28 F3 0F 28 FB 66 0F DF F4 66 0F DB FD 66 0F EB F7 0F 5E F1 66 0F EF C6 0F 29 84 24 F0 00 00 00 89 44 24 20 8B 44 24 20 85 C0 74 16 45 33 C9 A8 01 75 2F 49 FF C1 D1 F8 89 44 24 20 49 83 F9 04 7C ED 0F 28 84 24 F0 00 00 00 0F 28 B4 24 10 01 00 00 0F 28 BC 24 00 01 00 00 48 81 C4 28 01 00 00 C3 42 8B 44 8C 50 48 8D 15 ?? ?? ?? ?? 89 44 24 28 48 89 54 24 30 F3 0F 10 44 24 28 4C 8B 44 24 30 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 0F 84 DF 01 00 00 0F C6 C8 00 66 0F 7E C1 0F 5A C9 0F 5A C8 81 E1 FF FF FF 7F 81 E9 00 00 80 39 C1 E9 17 83 E9 1B 81 E1 F8 FF 00 00 F2 41 0F 10 9C 48 00 09 00 00 F2 41 0F 10 AC 48 08 09 00 00 F2 41 0F 10 90 B0 0A 00 00 66 0F 57 E4 BA C8 43 00 00 66 0F C4 E2 03 66 0F 54 D3 66 0F 73 F3 28 F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 CD 66 0F 28 C2 F2 0F 58 D3 66 0F 28 EA F2 0F 5C C2 F2 0F 58 D4 F2 0F 58 C3 F2 41 0F 10 B0 A0 0A 00 00 F2 0F 5C D4 F2 0F 58 C1 F2 0F 5C EA F2 0F 58 C5 F2 0F 59 C6 F2 0F 5A D0 F3 41 0F 10 88 60 0A 00 00 F3 0F 59 CA 41 0F 28 B8 F0 09 00 00 F3 0F 2D D1 66 0F DB FA F2 41 0F 10 A0 70 0A 00 00 F3 0F 58 E1 F3 41 0F 58 88 90 0A 00 00 F3 41 0F 5C A0 70 0A 00 00 F3 41 0F 5C 88 90 0A 00 00 66 0F 28 EF 66 0F 73 F7 20 66 0F 73 F5 1D 66 0F 57 FD 81 C2 00 76 1C 00 83 E2 1F F2 41 0F 10 A8 30 0A 00 00 66 0F 57 EF F2 41 0F 10 90 10 0A 00 00 66 0F 57 D7 F2 41 0F 10 B0 20 0A 00 00 66 0F 57 F7 F2 41 0F 10 98 00 0A 00 00 66 0F 57 DF 49 8D 00 C1 E2 03 48 03 C2 C1 E2 03 48 03 C2 66 0F 73 F4 1D 66 0F 73 F1 1D F2 0F 59 EC F2 0F 59 D1 F2 0F 59 F4 F2 0F 59 D9 F2 0F 58 E8 F2 0F 58 D0 F2 0F 58 EE F2 0F 58 D3 F2 41 0F 10 B8 40 0A 00 00 F2 0F 5E FD F2 0F 59 78 40 F2 0F 10 58 38 F2 0F 59 DA F2 0F 10 60 18 F2 0F 59 E2 F2 0F 10 68 28 F2 0F 59 EA F2 0F 10 70 08 F2 0F 59 F2 F2 0F 59 D2 F2 0F 58 58 30 F2 0F 58 60 10 F2 0F 58 68 20 F2 0F 58 30 F2 0F 59 DA F2 0F 59 E2 F2 0F 59 D2 F2 0F 58 DD F2 0F 58 E6 F2 0F 59 DA F2 0F 58 DC F2 0F 5C DF F2 0F 5A C3 EB 04 F3 0F 5C C0 F3 0F 11 44 24 24 8B 44 24 24 42 89 84 8C F0 00 00 00 8B 44 24 20 E9 9F FD FF FF 90 }
	condition:
		$1
}

rule file_256_0_0 {
	meta:
		name = "__avx_log10f8"
		size = 576
		refs = "0024 __common_slog10_data 0236 __common_slog10_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 84 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 8F 01 00 00 C5 78 10 05 ?? ?? ?? ?? 49 83 E5 C0 C5 F8 10 2D ?? ?? ?? ?? C4 C1 79 FA C8 C4 E3 7D 19 C2 01 C4 C1 69 FA E0 C5 E9 72 E1 17 C5 E1 72 E4 17 C5 F1 DB CD C5 D9 DB E5 C5 FC C2 2D ?? ?? ?? ?? 11 C4 E3 6D 18 D3 01 C4 C1 71 FE D8 C4 C1 59 FE C8 C5 FC 5B D2 C4 E3 65 18 C9 01 C5 FC C2 1D ?? ?? ?? ?? 16 C5 F4 5C 0D ?? ?? ?? ?? C5 D4 56 E3 C5 E1 EF DB C4 C3 7D 19 E0 01 C4 C1 59 6B E8 C5 74 59 05 ?? ?? ?? ?? C5 D1 63 E3 C5 F4 59 D9 C5 F4 59 2D ?? ?? ?? ?? C5 3C 58 05 ?? ?? ?? ?? C5 F9 D7 D4 C5 D4 58 2D ?? ?? ?? ?? C5 3C 59 C3 C5 F4 59 25 ?? ?? ?? ?? C5 3C 58 C5 C5 DC 58 25 ?? ?? ?? ?? C5 F4 59 2D ?? ?? ?? ?? C5 3C 59 C3 C5 D4 58 2D ?? ?? ?? ?? C5 BC 58 E4 C5 6C 59 05 ?? ?? ?? ?? C5 EC 59 15 ?? ?? ?? ?? C5 DC 59 DB C5 E4 58 DD C5 E4 59 E1 C5 DC 58 2D ?? ?? ?? ?? C5 D4 59 C9 C4 C1 74 58 C8 C5 EC 58 C9 84 D2 75 1D C5 7C 10 84 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 D3 33 C0 C5 FC 11 B4 24 20 01 00 00 C5 FC 11 BC 24 00 01 00 00 C5 7C 11 8C 24 E0 00 00 00 C5 7C 11 94 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 48 01 00 00 8B D8 48 89 B4 24 40 01 00 00 8B F2 0F A3 DE 72 6A FF C3 83 FB 20 7C F4 C5 FC 10 B4 24 20 01 00 00 C5 FC 10 BC 24 00 01 00 00 C5 7C 10 8C 24 E0 00 00 00 C5 7C 10 94 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 48 01 00 00 48 8B B4 24 40 01 00 00 E9 06 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 82 0F 1F 40 00 }
	condition:
		$1
}

rule file_260_0_0 {
	meta:
		name = "__sse2_tanh2"
		size = 640
		refs = "001b s_dwAbsMsk 0027 s_dwInvLn 0032 s_dwExp2 003a s_dwRS 004a s_dwLnHi 0056 s_dwLnLo 007d s_dwExpbOvfBoundHi 00aa s_dwBias 00f5 s_dwExpbMask 014b s_dwA5 0165 s_dwA4 0188 s_dwA3 0194 s_dwA2 01fa s_dwSignMask 0223 s_dwLoSpecMask 022d s_dwHiSpecMask 0253 s_dwOne"
	strings:
		$1 = { 48 81 EC A8 00 00 00 0F 29 B4 24 90 00 00 00 0F 29 BC 24 80 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 28 C8 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C7 4C 8D 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 54 F9 66 0F 28 25 ?? ?? ?? ?? 66 0F 58 D3 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 F2 66 0F 29 4C 24 20 66 0F 5C D3 48 8D 44 24 20 66 0F 28 CE 66 0F 59 E2 66 0F 57 DB 66 0F C2 3D ?? ?? ?? ?? 05 66 0F 73 F6 04 66 0F 29 4C 24 30 66 0F 59 EA 66 0F FB D9 66 0F 5C C4 66 41 0F 7E F0 66 0F 5C C5 66 0F 50 CF 66 0F FE 0D ?? ?? ?? ?? 41 81 E0 F0 03 00 00 66 0F 15 F6 66 0F FE 1D ?? ?? ?? ?? 66 0F 73 F1 2E 66 0F 7E F2 66 43 0F 28 3C 10 81 E2 F0 03 00 00 66 0F 73 F3 2E 66 0F 29 44 24 40 41 F7 D8 66 42 0F 28 34 12 41 81 C0 00 04 00 00 66 0F DB 0D ?? ?? ?? ?? 66 0F 28 EF F7 DA 66 0F DB 1D ?? ?? ?? ?? 66 0F C6 EE 00 81 C2 00 04 00 00 66 43 0F 28 24 10 66 0F C6 FE 03 66 42 0F 28 14 12 66 0F 59 E9 66 0F 28 F4 66 0F 59 F9 66 0F C6 E2 00 66 0F 29 6C 24 50 66 0F 28 C8 66 0F C6 F2 03 66 0F 59 E3 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C0 66 0F 29 64 24 60 66 0F 59 F3 66 0F 58 EF 66 0F 28 1D ?? ?? ?? ?? 83 F9 03 66 0F 59 D0 66 0F 58 E6 0F 84 B9 00 00 00 66 0F 29 7C 24 70 66 0F 59 D8 66 0F 58 15 ?? ?? ?? ?? 66 0F 28 FD 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 D0 66 0F 58 EC 66 0F 59 C3 66 0F 5C FC 66 0F 59 D1 66 0F 28 D8 66 0F 58 D1 66 0F 59 DD 66 0F 28 CA 66 0F 59 D7 66 0F 28 20 66 0F 59 C7 66 0F 58 DA 66 0F 59 CD 66 0F 28 7C 24 70 66 0F 58 DE 66 0F 28 6C 24 60 66 0F 58 DF 66 0F 5C F7 66 0F 28 54 24 50 66 0F 58 DD 66 0F 5C C6 66 0F 54 25 ?? ?? ?? ?? 66 0F 58 DA 66 0F 5C EA 66 0F 58 C1 66 0F 5C C5 66 0F 5E C3 83 F9 01 66 0F 56 C4 7D 02 EB 4B 7F 0A 66 0F 28 3D ?? ?? ?? ?? EB 0E 66 0F 28 3D ?? ?? ?? ?? EB 04 66 0F 57 FF 66 0F 28 08 66 0F 54 C7 66 0F 28 15 ?? ?? ?? ?? 66 0F 57 DB 66 0F 54 D1 66 0F 55 3D ?? ?? ?? ?? 66 0F C2 D9 03 66 0F 56 C7 66 0F 56 C2 66 0F 56 C3 0F 28 B4 24 90 00 00 00 0F 28 BC 24 80 00 00 00 48 81 C4 A8 00 00 00 C3 }
	condition:
		$1
}

rule file_263_0_0 {
	meta:
		name = "__common_dacos_cout_rare"
		size = 2720
		refs = "006b _vmldACosHATab 0a02 _2il0floatpacket_190"
	strings:
		$1 = { 55 48 81 EC D0 00 00 00 48 8D 6C 24 20 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 48 89 BD A0 00 00 00 41 81 F8 F0 7F 00 00 44 0F 29 7D 60 44 0F 29 75 70 44 0F 29 AD 80 00 00 00 44 0F 29 A5 90 00 00 00 44 0F 29 5D 30 44 0F 29 55 40 0F 29 75 50 F2 0F 10 01 48 8B 39 0F 84 1C 0A 00 00 48 89 7D 18 48 C1 EF 38 F2 44 0F 10 2D ?? ?? ?? ?? 83 E7 7F 40 88 7D 1F F2 44 0F 10 5D 18 4C 8B 0D ?? ?? ?? ?? 66 45 0F 2F EB 0F 86 67 09 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C3 0F 86 10 04 00 00 66 44 0F 2F 1D ?? ?? ?? ?? 0F 86 B4 03 00 00 F2 44 0F 10 2D ?? ?? ?? ?? 41 0F 28 C3 F2 41 0F 59 C5 41 0F 28 D3 F2 0F 11 45 10 45 0F 28 FB F2 0F 10 65 10 41 0F 28 DD F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 5C 65 18 F2 0F 11 65 08 F2 0F 10 4D 10 F2 44 0F 10 65 08 F2 41 0F 5C CC F2 0F 11 4D 10 F2 0F 10 75 10 F2 0F 5C D6 F2 0F 11 55 08 F2 0F 10 6D 10 0F 28 D5 F2 44 0F 58 FD F2 0F 59 D5 F2 44 0F 10 75 08 0F 28 C2 F2 45 0F 59 FE F2 0F 59 DA F2 41 0F 58 C7 F2 44 0F 59 D0 F2 0F 11 5D 10 F2 0F 10 65 10 F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 5C E2 F2 44 0F 59 D0 F2 0F 11 65 08 F2 0F 10 4D 10 F2 44 0F 10 65 08 F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 5C CC F2 44 0F 59 D0 F2 0F 11 4D 10 F2 0F 10 75 10 F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 5C D6 F2 44 0F 59 D0 F2 0F 11 55 08 41 0F 28 F3 F2 0F 10 65 10 F2 0F 10 5D 08 F2 44 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 58 FB F2 0F 59 EC F2 44 0F 59 D0 F2 41 0F 59 F7 F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 58 F6 F2 44 0F 59 D0 45 0F 28 F5 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 59 F5 F2 44 0F 59 D0 F2 44 0F 11 75 10 F2 44 0F 10 65 10 F2 44 0F 5C E5 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 11 65 08 44 0F 28 E5 F2 0F 10 55 10 F2 0F 58 EE F2 44 0F 59 D0 F2 44 0F 59 FD F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 10 4D 08 F2 44 0F 59 D0 F2 0F 5C D1 F2 0F 11 55 10 F2 0F 10 5D 10 F2 44 0F 5C E3 0F 28 DC F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 11 65 08 F2 0F 10 4D 10 F2 0F 10 55 08 44 0F 28 F2 F2 0F 59 D9 F2 44 0F 58 F6 F2 44 0F 59 D0 F2 41 0F 59 E6 F2 44 0F 59 EB F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 58 E7 F2 44 0F 59 D0 F2 44 0F 11 6D 10 44 0F 28 F3 F2 44 0F 10 6D 10 F2 44 0F 5C EB F2 0F 58 DC F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 59 C3 F2 44 0F 59 D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 C5 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EB F2 44 0F 11 6D 08 F2 0F 58 C5 F2 44 0F 10 6D 10 F2 41 0F 58 C2 F2 44 0F 10 15 ?? ?? ?? ?? F2 41 0F 59 F2 F2 41 0F 59 D2 F2 41 0F 59 CA F2 0F 58 C6 F2 44 0F 10 7D 08 F2 0F 58 C2 F2 45 0F 5C EF F2 44 0F 11 6D 10 41 0F 28 D3 F2 44 0F 10 65 10 F2 0F 58 D1 F2 45 0F 5C F4 F2 44 0F 11 75 08 F2 44 0F 10 6D 10 F2 44 0F 10 65 08 F2 0F 11 55 10 F2 0F 10 5D 10 F2 0F 11 4D 00 F2 44 0F 5C DB F2 44 0F 58 D9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 E1 F2 44 0F 59 E9 F2 41 0F 59 CC F2 44 0F 11 5D 08 F2 0F 10 55 10 F2 44 0F 10 5D 08 F2 41 0F 58 C3 F2 0F 58 C4 0F 28 E2 F2 41 0F 58 E5 F2 0F 58 C1 F2 0F 11 65 10 F2 44 0F 10 5D 10 F2 41 0F 5C D3 F2 41 0F 58 D5 F2 0F 11 55 08 F2 0F 10 65 10 F2 0F 10 29 F2 0F 10 5D 08 66 0F 2F 2D ?? ?? ?? ?? F2 0F 58 C3 76 42 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CB F2 0F 5C CC F2 0F 11 4D 10 F2 0F 10 55 10 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C DA F2 0F 5C C8 F2 0F 5C DC F2 0F 11 5D 08 F2 0F 10 55 10 F2 0F 10 65 08 F2 0F 58 CC EB 40 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CC F2 0F 58 CB F2 0F 11 4D 10 F2 0F 10 55 10 F2 0F 5C DA F2 0F 58 DC F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 C4 F2 0F 11 5D 08 F2 0F 10 55 10 F2 0F 10 4D 08 F2 0F 58 C8 F2 0F 58 D1 F2 0F 11 12 E9 BC 05 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 45 0F 58 EB F2 44 0F 11 6D 10 F2 0F 10 45 10 F2 0F 59 45 18 F2 0F 11 45 00 40 8A 7D 07 8A 49 07 40 80 E7 7F 80 E1 80 40 0A F9 40 88 7D 07 F2 0F 5C 4D 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 0A E9 6F 05 00 00 4D 8B D1 F2 45 0F 5C EB F2 41 0F 59 C5 F2 0F 11 45 00 44 0F B7 45 06 41 81 E0 F0 7F 00 00 41 C1 E8 04 41 81 C0 01 FC FF FF 45 8B D8 41 8B F8 41 F7 DB 41 81 C3 FF 03 00 00 49 C1 EA 30 41 81 E3 FF 07 00 00 41 C1 E3 04 41 81 E2 0F 80 FF FF 4C 89 4D 18 45 0B D3 66 44 89 55 1E 83 E7 01 F2 0F 10 75 18 44 8B DF F2 0F 59 C6 0F 28 E8 F2 44 0F 10 1D ?? ?? ?? ?? F2 0F 58 E8 75 03 0F 28 E8 F2 44 0F 59 DD 44 2B C7 F2 0F 10 1D ?? ?? ?? ?? 45 0F 28 D3 41 C1 E3 08 44 0F 28 E5 41 D1 E8 F2 0F 58 C3 F2 44 0F 5C D5 F2 0F 11 45 20 41 81 C0 FF 03 00 00 44 8B 55 20 41 81 E0 FF 07 00 00 41 81 E2 FF 01 00 00 F2 44 0F 11 55 08 45 03 D3 F2 0F 10 75 08 4C 8D 1D ?? ?? ?? ?? F2 44 0F 5C DE F2 47 0F 10 3C D3 41 0F 28 E3 4C 89 4D 28 41 0F 28 D7 49 C1 E9 30 F2 45 0F 5C E3 F2 45 0F 59 DF F2 41 0F 59 D7 41 C1 E0 04 41 81 E1 0F 80 FF FF 45 0B C8 66 44 89 4D 2E F2 44 0F 10 75 28 F2 45 0F 59 DE F2 0F 59 E2 F2 41 0F 59 D4 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 E2 0F 28 C1 F2 41 0F 59 C3 F2 0F 11 45 10 F2 44 0F 10 55 10 F2 0F 10 35 ?? ?? ?? ?? F2 45 0F 5C D3 F2 0F 59 F4 F2 44 0F 11 55 08 F2 44 0F 10 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 41 0F 59 F7 F2 45 0F 59 FC F2 44 0F 58 15 ?? ?? ?? ?? F2 0F 59 F5 F2 45 0F 59 D5 F2 41 0F 58 F7 F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 59 F6 F2 45 0F 59 D5 F2 0F 10 55 10 F2 0F 10 5D 08 F2 44 0F 10 25 ?? ?? ?? ?? F2 0F 5C D3 F2 44 0F 58 15 ?? ?? ?? ?? F2 44 0F 58 25 ?? ?? ?? ?? F2 45 0F 59 D5 F2 45 0F 59 E5 F2 44 0F 58 15 ?? ?? ?? ?? F2 45 0F 59 D5 F2 0F 11 55 10 0F 28 D1 F2 0F 10 65 10 F2 0F 10 1D ?? ?? ?? ?? F2 44 0F 5C DC F2 41 0F 59 D5 F2 44 0F 58 15 ?? ?? ?? ?? 44 0F 28 FB F2 44 0F 11 5D 08 F2 44 0F 10 5D 10 F2 0F 10 6D 08 F2 0F 11 55 10 F2 0F 58 F5 F2 45 0F 59 D5 F2 44 0F 58 3D ?? ?? ?? ?? F2 0F 10 65 10 F2 45 0F 58 FC F2 45 0F 59 D5 F2 41 0F 5C E5 F2 45 0F 59 FD F2 45 0F 59 D5 F2 0F 10 05 ?? ?? ?? ?? 45 0F 28 E5 44 0F 28 F0 F2 0F 11 65 08 F2 0F 10 6D 10 F2 0F 10 55 08 F2 44 0F 58 35 ?? ?? ?? ?? F2 0F 5C EA F2 45 0F 58 F7 F2 0F 11 6D 10 44 0F 28 F9 F2 0F 10 65 10 F2 45 0F 58 F2 F2 44 0F 5C E4 F2 41 0F 59 F6 F2 44 0F 11 65 08 F2 44 0F 10 75 10 41 0F 28 EE 41 0F 28 E6 F2 41 0F 59 EE F2 41 0F 58 E5 F2 44 0F 59 F3 F2 44 0F 59 FD F2 0F 10 55 08 F2 44 0F 11 7D 10 F2 44 0F 10 65 10 F2 0F 59 E2 F2 44 0F 5C E5 F2 0F 59 DA F2 44 0F 11 65 08 F2 44 0F 10 65 10 F2 44 0F 10 7D 08 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C E7 F2 41 0F 59 D5 F2 44 0F 11 65 10 F2 44 0F 10 7D 10 F2 41 0F 5C EF 45 0F 28 FE F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 6D 08 F2 44 0F 10 65 10 F2 44 0F 59 25 ?? ?? ?? ?? F2 41 0F 59 D5 F2 45 0F 58 FC F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 6D 08 F2 41 0F 58 D2 F2 0F 58 EC F2 41 0F 59 D3 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 11 7D 10 F2 44 0F 10 7D 10 F2 44 0F 11 65 20 F2 45 0F 5C F7 F2 45 0F 58 F4 F2 44 0F 11 75 08 44 0F 28 F0 F2 44 0F 10 7D 10 F2 44 0F 10 65 08 F2 45 0F 58 F7 F2 44 0F 11 75 10 F2 44 0F 10 75 10 F2 41 0F 5C C6 F2 41 0F 58 C7 F2 0F 11 45 08 F2 44 0F 10 75 10 F2 41 0F 59 CE F2 44 0F 10 7D 08 F2 0F 11 4D 10 F2 0F 10 4D 10 F2 41 0F 5C CE F2 0F 11 4D 08 F2 0F 10 4D 10 F2 0F 10 45 08 F2 0F 5C C8 F2 0F 11 4D 10 F2 0F 10 45 10 F2 44 0F 5C F0 F2 44 0F 11 75 08 F2 0F 10 45 10 F2 44 0F 10 75 08 F2 44 0F 10 29 F2 45 0F 58 F4 66 44 0F 2F 2D ?? ?? ?? ?? F2 45 0F 58 F7 F2 44 0F 58 F3 F2 44 0F 58 F5 F2 45 0F 59 F3 F2 44 0F 59 D8 F2 41 0F 58 F6 F2 0F 58 F2 77 4C F2 0F 10 15 ?? ?? ?? ?? 0F 28 C2 F2 0F 10 25 ?? ?? ?? ?? F2 41 0F 5C C3 F2 0F 5C E6 F2 0F 11 45 10 F2 0F 10 4D 10 F2 44 0F 11 5D 00 F2 0F 5C D1 F2 41 0F 5C D3 F2 0F 11 55 08 F2 44 0F 10 5D 10 F2 0F 10 5D 08 0F 28 F3 F2 0F 58 F4 F2 44 0F 58 DE F2 44 0F 11 1A EB 2B 66 41 0F 2E C5 7A 02 74 70 44 0F 57 2D ?? ?? ?? ?? 66 41 0F 2E C5 7A 02 74 49 B8 01 00 00 00 F2 0F 5C C0 F2 0F 5E C0 F2 0F 11 02 0F 28 75 50 44 0F 28 55 40 44 0F 28 5D 30 44 0F 28 A5 90 00 00 00 44 0F 28 AD 80 00 00 00 44 0F 28 75 70 44 0F 28 7D 60 48 8B BD A0 00 00 00 48 8D A5 B0 00 00 00 5D C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 02 EB B2 48 8B 0D ?? ?? ?? ?? 48 89 0A EB A6 F2 0F 5E C0 F2 0F 11 02 F7 41 04 FF FF 0F 00 75 95 BA 01 00 00 00 33 C0 83 39 00 0F 44 C2 EB 86 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_264_0_0 {
	meta:
		name = "__common_dtanh_cout_rare"
		size = 128
		refs = "0003 _imldTanhHATab"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 8A 41 07 24 80 C0 E8 07 44 0F B6 C8 0F B7 41 06 25 F0 7F 00 00 C1 E8 04 4F 8B 04 C8 3D FF 07 00 00 74 27 3D FE 07 00 00 75 05 4C 89 02 EB 18 F2 0F 10 09 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 59 C8 F2 0F 11 0A 33 C0 C3 F7 41 04 FF FF 0F 00 75 0A 83 39 00 75 05 4C 89 02 EB EA F2 0F 10 01 F2 0F 58 C0 F2 0F 11 02 EB DC 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_267_0_0 {
	meta:
		name = "__avx_coshf8"
		size = 576
		refs = "0036 __common_scosh_data 0232 __common_scosh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 C5 7C 11 A4 24 D0 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 F0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 4F 01 00 00 C5 FC 10 0D ?? ?? ?? ?? 49 83 E5 C0 C5 FC 10 1D ?? ?? ?? ?? C5 F8 10 15 ?? ?? ?? ?? C5 F8 10 35 ?? ?? ?? ?? C5 F4 55 E0 C5 5C 59 25 ?? ?? ?? ?? C5 9C 58 EB C5 59 66 E2 C4 E3 7D 19 E1 01 C5 D9 76 FA C5 99 EB FF C5 71 66 E2 C5 F1 76 D2 C5 99 EB CA C5 41 6B E1 C5 C1 EF FF C5 99 63 D7 C5 54 5C E3 C5 F9 D7 D2 C5 9C 59 1D ?? ?? ?? ?? C5 DC 5C FB C5 9C 59 25 ?? ?? ?? ?? C5 44 5C E4 C5 E9 72 F5 17 C4 E3 7D 19 EF 01 C5 C9 FE EA C5 E1 72 F7 17 C5 C9 FA CA C4 C1 1C 59 FC C5 C9 FE E3 C5 C9 FA F3 C5 C4 59 15 ?? ?? ?? ?? C5 EC 58 1D ?? ?? ?? ?? C4 E3 75 18 F6 01 C5 E4 59 CF C5 C4 59 1D ?? ?? ?? ?? C4 C1 74 59 D4 C4 41 6C 58 E4 C4 E3 55 18 E4 01 C5 DC 5C EE C5 DC 58 F6 C5 E4 58 25 ?? ?? ?? ?? C4 41 54 59 E4 C5 DC 59 CF C5 F4 58 15 ?? ?? ?? ?? C5 EC 59 FF C5 C4 59 CE C5 9C 58 D1 C5 EC 58 CE 84 D2 75 2F C5 FC 10 B4 24 F0 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 A4 24 D0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FC 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7C 11 45 00 C4 C1 7C 11 4D 40 85 D2 74 C1 33 C0 C5 7C 11 84 24 E0 00 00 00 C5 7C 11 8C 24 C0 00 00 00 C5 7C 11 94 24 A0 00 00 00 C5 7C 11 9C 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 08 01 00 00 8B D8 48 89 B4 24 00 01 00 00 8B F2 0F A3 DE 72 58 FF C3 83 FB 20 7C F4 C5 7C 10 84 24 E0 00 00 00 C5 7C 10 8C 24 C0 00 00 00 C5 7C 10 94 24 A0 00 00 00 C5 7C 10 9C 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7C 10 4D 40 48 8B 9C 24 08 01 00 00 48 8B B4 24 00 01 00 00 E9 18 FF FF FF C5 F8 77 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB 94 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_278_0_0 {
	meta:
		name = "__avx_sin4"
		size = 2224
		refs = "000a __common_dsin_reduction_data 007f __common_dsin_data 0236 __common_dsin_cout_rare 0240 __common_dsin_data_ha 02a7 _2il0floatpacket_264 02fa _2il0floatpacket_265 0353 _2il0floatpacket_266 05b8 _2il0floatpacket_267 05de _2il0floatpacket_270 05f1 _2il0floatpacket_269 05fa _2il0floatpacket_268 0624 _2il0floatpacket_271 0681 _2il0floatpacket_272 0689 _2il0floatpacket_273 06e7 _2il0floatpacket_277 06fa _2il0floatpacket_274 0703 _2il0floatpacket_275 070c _2il0floatpacket_276 0767 _2il0floatpacket_278 0775 _2il0floatpacket_279"
	strings:
		$1 = { 48 81 EC B8 02 00 00 4C 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 70 01 00 00 45 33 DB C5 7C 11 B4 24 B0 01 00 00 C5 7C 11 AC 24 50 02 00 00 C5 7C 11 A4 24 90 01 00 00 C5 7C 11 9C 24 10 02 00 00 C5 7C 11 94 24 F0 01 00 00 C5 7C 11 8C 24 D0 01 00 00 C5 7C 11 84 24 90 02 00 00 C5 FC 11 BC 24 70 02 00 00 C5 FC 11 B4 24 30 02 00 00 4C 89 AC 24 B0 02 00 00 4C 8D AC 24 0F 01 00 00 C5 FD 10 0D ?? ?? ?? ?? 49 83 E5 C0 C5 7D 54 E9 C5 95 C2 15 ?? ?? ?? ?? 1E C5 F5 55 E0 C4 E3 7D 19 D3 01 C5 E8 C6 EB DD C5 F8 50 C5 85 C0 0F 85 8D 01 00 00 C5 FD 10 35 ?? ?? ?? ?? C5 95 59 2D ?? ?? ?? ?? C5 D5 58 FE C5 C5 5C DE C5 65 59 1D ?? ?? ?? ?? C5 65 59 25 ?? ?? ?? ?? C5 65 59 3D ?? ?? ?? ?? C5 E5 59 15 ?? ?? ?? ?? C4 41 15 5C EB C4 41 15 5C F4 C4 C1 0D 5C CF C5 F5 5C DA C5 E5 59 D3 C5 ED 59 35 ?? ?? ?? ?? C5 B9 73 F7 3F C4 C3 7D 19 F9 01 C5 CD 58 3D ?? ?? ?? ?? C4 C1 29 73 F1 3F C4 C3 3D 18 EA 01 C5 45 59 C2 C5 3D 58 0D ?? ?? ?? ?? C5 35 59 D2 C5 2D 58 1D ?? ?? ?? ?? C5 25 59 E2 C5 1D 58 2D ?? ?? ?? ?? C5 15 59 F2 C5 0D 58 3D ?? ?? ?? ?? C5 E5 57 CD C5 85 59 DA C5 E5 58 2D ?? ?? ?? ?? C5 D5 59 D2 C5 ED 59 F1 C5 CD 58 C9 C5 F5 57 CC 45 85 DB 75 6E C5 FC 10 B4 24 30 02 00 00 C5 FC 10 BC 24 70 02 00 00 C5 7C 10 84 24 90 02 00 00 C5 7C 10 8C 24 D0 01 00 00 C5 7C 10 94 24 F0 01 00 00 C5 7C 10 9C 24 10 02 00 00 C5 7C 10 A4 24 90 01 00 00 C5 7C 10 AC 24 50 02 00 00 C5 7C 10 B4 24 B0 01 00 00 C5 7C 10 BC 24 70 01 00 00 4C 8B AC 24 B0 02 00 00 C5 FD 28 C1 48 81 C4 B8 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 84 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 41 8B F3 0F A3 DE 72 1C FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 4D 40 E9 52 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D0 C5 7D 10 15 ?? ?? ?? ?? BA 00 00 F0 7F C4 41 7D 11 6D 00 C4 C1 7D 11 65 20 C4 C1 7D 11 45 40 C5 79 6E C2 C4 C1 79 70 E0 11 C4 41 2D 54 DD C4 C1 25 C2 D2 00 C4 C3 7D 19 D1 01 C4 41 68 C6 F9 DD C4 41 78 50 DF C4 C1 59 DB FD C4 43 7D 19 EF 01 C5 89 73 D7 34 C4 C1 59 DB CF C5 E1 73 D1 34 C5 79 7E F0 C5 F9 7E D9 C5 FA 6F 25 ?? ?? ?? ?? C5 78 11 6C 24 20 C4 41 59 DB ED C4 43 79 16 F0 02 44 8D 0C 40 C4 E3 79 16 DA 02 8D 0C 49 41 C1 E1 03 C1 E1 03 47 8D 04 40 41 C1 E0 03 8D 04 52 C1 E0 03 C5 78 11 7C 24 30 C4 41 59 DB FF C4 01 F9 6E 1C 11 C4 A1 F9 6E 7C 11 10 C5 7A 6F 35 ?? ?? ?? ?? C4 A1 F9 6E 04 11 C4 21 F9 6E 64 11 08 C4 81 F9 6E 74 11 08 C4 81 21 16 14 10 C4 A1 41 16 5C 10 10 C4 41 11 D4 DE C4 C1 01 D4 FE C4 21 79 16 14 10 C5 D9 73 D3 20 C4 21 19 16 4C 10 08 C4 01 49 16 44 10 08 C4 81 F9 6E 6C 11 10 C4 C1 19 73 D0 20 C5 7A 6F 2D ?? ?? ?? ?? C4 81 51 16 4C 10 10 4C 8D 15 ?? ?? ?? ?? C4 41 29 DB F5 C4 C1 51 73 D1 20 C4 C1 39 DB F5 C4 C1 31 DB C5 C4 C1 31 73 D3 20 C4 41 21 DB C5 C4 41 41 DB DD C5 79 11 54 24 50 C5 A9 73 D7 20 C4 C1 21 F4 FE C4 41 69 DB FD C5 F9 11 54 24 40 C5 E9 73 D1 20 C4 C1 71 DB CD C4 C1 61 DB DD C5 FA 7F 84 24 A0 00 00 00 41 B8 00 00 00 80 C5 FA 7F BC 24 C0 00 00 00 C5 7A 7F 74 24 70 C5 FA 7F AC 24 90 00 00 00 C5 A1 F4 F8 C5 B1 F4 C1 C5 B1 F4 CA C5 B9 F4 D2 C5 21 F4 F5 C5 B9 F4 EE C5 B1 F4 F6 C5 7A 7F 7C 24 60 C5 E9 73 D2 20 C4 41 39 F4 FF C5 F1 D4 CA C5 7A 7F BC 24 B0 00 00 00 C5 81 73 D0 20 C4 C1 51 DB C5 C5 D1 73 D5 20 C5 F9 D4 C1 C5 81 D4 D0 C5 29 F4 FB C5 A9 F4 DC C5 A1 F4 E4 C5 D9 73 D4 20 C4 C1 41 DB C5 C5 E1 D4 CC C5 7A 7F A4 24 80 00 00 00 C4 C1 01 73 D7 20 C4 41 39 F4 E4 C5 C1 73 D7 20 C5 F9 D4 D9 C5 81 D4 E3 C5 C9 D4 DD C4 41 19 DB FD C5 F1 73 D2 20 C5 01 D4 FB C4 41 71 D4 FF C5 A9 F4 8C 24 A0 00 00 00 C5 F1 D4 F7 C5 B1 F4 8C 24 80 00 00 00 C5 31 F4 4C 24 60 C4 C1 09 DB C5 C5 E1 73 D4 20 C5 F9 D4 EE C4 C1 19 73 D4 20 C4 C1 49 73 D7 20 C5 E1 D4 FD C4 C1 71 D4 CC C5 FA 6F 9C 24 B0 00 00 00 C4 C1 09 73 D6 20 C4 C1 61 DB C5 C5 D1 73 D7 20 C5 F9 D4 C1 C5 A9 F4 8C 24 90 00 00 00 C5 29 F4 54 24 70 C5 C9 D4 F0 C4 C1 71 D4 CE C5 FA 6F 84 24 C0 00 00 00 C5 E1 73 D3 20 C4 41 79 DB E5 C5 89 73 D6 20 C5 19 D4 E1 C5 31 D4 CB C4 C1 51 D4 CC C5 F9 10 6C 24 40 C4 C1 01 73 F7 20 C5 99 73 D5 20 C4 C1 69 DB D5 C4 41 39 F4 C4 C4 C1 49 DB F5 C4 41 39 DB C5 C5 C1 73 F7 20 C4 41 39 D4 C1 C5 F9 10 6C 24 50 C5 B1 73 D1 20 C4 41 09 D4 F0 C5 B9 73 D5 20 C4 C1 19 73 F6 20 C4 41 21 F4 D8 C5 B9 73 D0 20 C4 41 29 D4 D0 C5 99 D4 F6 C4 41 21 DB F5 C4 C1 71 DB CD C4 41 09 D4 DA C5 01 D4 D2 C4 41 31 D4 CB C4 C1 79 6E D0 C4 C1 61 73 F1 20 C5 79 70 CA 11 C4 41 59 DB ED C5 61 D4 C1 C4 C1 41 D4 E5 C5 B1 DB 7C 24 20 C5 91 73 D6 0C C5 7A 6F 1D ?? ?? ?? ?? C4 C1 61 73 D0 0C C5 31 DB 7C 24 30 C4 C1 41 EF CB C4 C1 01 EF C3 C5 11 EB F1 C5 61 EB E0 C5 7A 6F 1D ?? ?? ?? ?? C4 C3 0D 18 D4 01 C4 41 01 EF E3 C5 78 10 35 ?? ?? ?? ?? C4 E2 7D 1A 2D ?? ?? ?? ?? C5 55 58 EA C5 15 5C CD C4 C1 41 EF EB C4 C1 6D 5C D1 C4 63 7D 19 E9 01 C4 41 11 DB EE C4 41 70 54 CE C5 7A 6F 35 ?? ?? ?? ?? C4 C1 09 DB DA C5 09 DB DC C5 F9 73 F3 1C C4 C1 61 73 F3 1C C5 F9 EB CD C4 C1 61 EB C4 C5 D9 73 D4 18 C5 79 7E EA C4 41 79 7E C9 C1 E2 05 C4 63 79 16 E8 02 41 C1 E1 05 C4 63 79 16 C9 02 C1 E0 05 C1 E1 05 C4 E3 75 18 C8 01 C4 43 55 18 E4 01 C4 41 75 5C F4 C5 FA 6F 0D ?? ?? ?? ?? C5 FA 6F 05 ?? ?? ?? ?? C5 01 EF D9 C5 79 DB FE C5 C1 EF D9 C4 C1 41 73 F7 28 C4 C1 49 73 D2 18 C4 41 79 DB C0 C5 41 EB D6 C4 C1 41 73 F0 28 C5 29 EB FB C5 41 EB D4 C4 41 29 EB C3 C4 C3 05 18 F8 01 C4 C3 65 18 E3 01 C5 C5 5C CC C5 ED 58 E9 C5 ED 5C D5 C5 F5 58 C2 C4 41 7D 58 D6 C4 62 7D 1A 35 ?? ?? ?? ?? C4 41 55 54 DE C4 41 55 5C FB C4 62 7D 1A 25 ?? ?? ?? ?? C4 E2 7D 1A 35 ?? ?? ?? ?? C4 E2 7D 1A 15 ?? ?? ?? ?? C4 41 4D 59 C7 C4 C1 6D 59 FB C4 C1 1D 59 E2 C4 C1 6D 59 C7 C4 C1 4D 59 CB C4 C1 7D 10 55 00 C5 BD 58 DF C5 DD 58 E8 C5 E5 58 F5 C4 81 F9 6E 5C 11 10 C4 A1 61 16 6C 11 10 C5 75 58 FE C4 C1 75 5C CF C5 F5 58 C6 C4 A1 F9 6E 0C 12 C4 21 71 16 2C 10 C4 62 7D 1A 1D ?? ?? ?? ?? C4 41 6D 54 E3 C4 62 7D 1A 35 ?? ?? ?? ?? C4 41 1D C2 D6 12 C4 C1 1D C2 E6 1E C5 2D 54 C2 C4 01 F9 6E 14 11 C4 C1 5D 54 FF C4 21 29 16 0C 11 C4 21 F9 6E 54 12 08 C5 3D 56 FF C4 01 F9 6E 44 11 08 C5 DD 54 D0 C4 A1 F9 6E 44 12 10 C4 A1 79 16 4C 10 10 C4 C3 15 18 F9 01 C4 21 29 16 4C 10 08 C4 21 39 16 6C 11 08 C4 C3 35 18 E5 01 C5 05 59 DC C4 41 45 59 CF C4 63 75 18 C5 01 C4 41 3D 58 E3 C4 41 35 58 D4 C4 C1 3D 5C F4 C4 41 1D 5C F2 C4 C1 4D 58 C3 C4 41 0D 58 E9 C5 45 58 CC C5 15 58 D8 C4 41 05 59 EF C5 95 59 0D ?? ?? ?? ?? C5 95 59 3D ?? ?? ?? ?? C5 F5 58 1D ?? ?? ?? ?? C5 45 58 25 ?? ?? ?? ?? C4 C1 65 59 ED C4 41 1D 59 F5 C4 C1 55 59 F7 C4 41 05 59 F8 C5 8D 58 3D ?? ?? ?? ?? C4 C1 4D 59 E1 C4 41 45 59 ED C4 C1 5D 58 CB C4 C1 15 59 C0 C4 21 F9 6E 44 12 18 C5 FD 58 E1 C4 C1 35 5C CF C4 01 F9 6E 7C 11 18 C4 21 39 16 4C 10 18 C5 ED 59 D1 C4 A1 01 16 44 11 18 C4 E3 35 18 D8 01 C5 ED 58 C3 C5 DD 58 C8 C4 C1 7D 10 45 40 C5 AD 58 D1 C4 C1 6D 57 4D 20 E9 C7 F8 FF FF 66 90 }
	condition:
		$1
}

rule file_282_0_0 {
	meta:
		name = "__sse2_sinhf4"
		size = 432
		refs = "003f __common_ssinh_data 01a2 __common_ssinh_cout_rare"
	strings:
		$1 = { 48 81 EC 08 01 00 00 44 0F 29 AC 24 F0 00 00 00 44 0F 29 9C 24 C0 00 00 00 44 0F 29 94 24 D0 00 00 00 44 0F 29 8C 24 E0 00 00 00 44 0F 28 C8 4C 89 AC 24 00 01 00 00 4C 8D 6C 24 6F 0F 28 05 ?? ?? ?? ?? 49 83 E5 C0 41 0F 54 C1 44 0F 28 E8 0F 28 25 ?? ?? ?? ?? 66 45 0F EF E9 41 0F 59 E5 41 0F 28 CD 44 0F 28 15 ?? ?? ?? ?? 66 0F 66 0D ?? ?? ?? ?? 41 0F 58 E2 0F 50 D1 0F 28 CC 66 0F 72 F4 17 44 0F 28 1D ?? ?? ?? ?? 85 D2 0F 28 2D ?? ?? ?? ?? 41 0F 5C CA 44 0F 59 D9 44 0F 28 15 ?? ?? ?? ?? 45 0F 5C EB 44 0F 59 D1 0F 28 1D ?? ?? ?? ?? 45 0F 5C EA 41 0F 28 CD 41 0F 59 CD 0F 59 E9 0F 59 D9 0F 58 2D ?? ?? ?? ?? 0F 58 1D ?? ?? ?? ?? 0F 59 E9 0F 59 D9 41 0F 59 ED 0F 58 1D ?? ?? ?? ?? 41 0F 58 ED 0F 59 D9 66 0F 6F 15 ?? ?? ?? ?? 66 44 0F 6F D2 66 0F FA D4 66 44 0F FE D4 66 41 0F 6F E2 44 0F 5C D2 0F 58 E2 41 0F 59 DA 0F 59 E5 0F 58 E3 41 0F 58 E2 0F 56 C4 75 34 44 0F 28 8C 24 E0 00 00 00 44 0F 28 94 24 D0 00 00 00 44 0F 28 9C 24 C0 00 00 00 44 0F 28 AC 24 F0 00 00 00 4C 8B AC 24 00 01 00 00 48 81 C4 08 01 00 00 C3 45 0F 29 4D 00 41 0F 29 45 40 74 C0 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 45 40 EB 88 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB D7 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_284_0_0 {
	meta:
		name = "__GSHandlerCheck_SEH"
		size = 133
		refs = "003e __GSHandlerCheckCommon 0066 __C_specific_handler"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 4D 8B 51 38 48 8B F2 4D 8B F0 48 8B E9 49 8B D1 48 8B CE 49 8B F9 41 8B 1A 48 C1 E3 04 49 03 DA 4C 8D 43 04 E8 ?? ?? ?? ?? 8B 45 04 24 66 F6 D8 B8 01 00 00 00 1B D2 F7 DA 03 D0 85 53 04 74 11 4C 8B CF 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_287_0_0 {
	meta:
		name = "__sse2_sinf4"
		size = 2240
		refs = "0023 MMIABSMASK 002e MMSINVPI 0035 MMIHUGE 003f MMSPI1 004a MMSPI2 0063 MMSPI4 006d MMSPI3 0085 MMSA9 0095 MMSA5 009c MMSA3 00af MMSA7 00e7 MMISIGNMASK 010c flTwoPow30 0132 flAllOnes 016f dbInvPio2 018a dbiOne 0195 MSK_LOW_BIT 01a0 dbRS 01b4 PI02C_0 01c9 PI02C_1 01e1 PI02C_2 0237 PI02C_3 0268 PI02C_4 0278 dbSignMask 0745 __spec_table"
	strings:
		$1 = { 48 81 EC 38 01 00 00 0F 29 BC 24 10 01 00 00 0F 29 B4 24 20 01 00 00 0F 28 F0 0F 28 D0 0F 28 F8 0F 28 0D ?? ?? ?? ?? 66 0F DB F9 0F 28 25 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 59 C4 0F 28 25 ?? ?? ?? ?? 66 0F 66 FD 0F 28 2D ?? ?? ?? ?? 0F 50 C7 0B C0 0F 85 8B 00 00 00 66 0F 5B C0 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 35 ?? ?? ?? ?? 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 28 05 ?? ?? ?? ?? 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 CA 0F 5C CF 0F 59 D2 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 0F 28 B4 24 20 01 00 00 0F 28 BC 24 10 01 00 00 48 81 C4 38 01 00 00 C3 0F 28 1D ?? ?? ?? ?? 66 0F DB DE 0F 29 74 24 40 66 0F 5B C0 66 0F DB 35 ?? ?? ?? ?? 0F 28 CE 0F 29 74 24 50 66 0F 66 35 ?? ?? ?? ?? 0F 29 5C 24 60 0F 50 D6 85 D2 0F 85 4A 05 00 00 83 F8 0F 0F 84 E6 02 00 00 0F 29 7C 24 70 66 0F EF 3D ?? ?? ?? ?? 0F 28 D8 0F 29 BC 24 80 00 00 00 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 35 ?? ?? ?? ?? 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 5C D4 0F 5A 64 24 50 0F 59 F0 0F 5C D5 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EC 66 0F E6 ED 66 0F 70 ED DC 0F 59 F8 0F 5C D6 66 0F FE 2D ?? ?? ?? ?? 0F 28 CA 66 0F DB 2D ?? ?? ?? ?? 0F 5C CF 66 0F 28 3D ?? ?? ?? ?? 66 0F 56 FD 66 0F 5C 3D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C7 66 0F DB 9C 24 80 00 00 00 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 F7 66 0F 5C E0 0F 29 9C 24 90 00 00 00 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DF 66 0F 28 C4 66 0F 5C E6 66 0F DB 8C 24 80 00 00 00 66 0F 5C C4 0F 29 8C 24 A0 00 00 00 0F 59 D2 66 0F 28 CC 66 0F 5C C6 66 0F 5C E3 66 0F DB 94 24 80 00 00 00 66 0F 73 F5 3E 66 0F 5C CC 0F 29 94 24 B0 00 00 00 66 0F 28 D4 66 0F 28 35 ?? ?? ?? ?? 66 0F 5C CB 66 0F 58 C1 0F 5A 4C 24 58 66 0F 58 E0 66 0F 59 F7 66 0F 5C D4 66 0F 28 DC 66 0F 5C E6 66 0F 58 C2 66 0F 5C DC 66 0F 59 3D ?? ?? ?? ?? 66 0F 5C DE 66 0F 58 C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C C7 66 0F DB DD 66 0F 28 E9 66 0F 59 2D ?? ?? ?? ?? 66 0F E6 ED 66 0F 58 C4 66 0F 28 E1 66 0F 70 DB DD 66 0F 70 ED DC 66 0F FE 2D ?? ?? ?? ?? 66 0F DB 2D ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 56 FD 66 0F 29 84 24 C0 00 00 00 66 0F 5C 3D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C7 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 F7 66 0F D6 9C 24 D0 00 00 00 66 0F 5C E0 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DF 66 0F 28 C4 66 0F 5C E6 66 0F 5C C4 66 0F 28 CC 66 0F 5C C6 66 0F 5C E3 66 0F 73 F5 3E 66 0F 5C CC 66 0F 28 D4 66 0F 28 35 ?? ?? ?? ?? 66 0F 5C CB 66 0F 58 C1 66 0F 58 E0 66 0F 59 F7 66 0F 5C D4 66 0F 28 DC 66 0F 5C E6 66 0F 58 C2 66 0F 5C DC 66 0F 59 3D ?? ?? ?? ?? 66 0F 5C DE 66 0F 58 C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C C7 66 0F 5A BC 24 C0 00 00 00 66 0F DB DD 66 0F 58 C4 66 0F 5A E8 66 0F 14 FD 0F 28 05 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 28 E7 0F 59 FF 66 0F DB 7C 24 70 66 0F EB BC 24 B0 00 00 00 0F 59 C7 66 0F 70 DB DD 0F 58 05 ?? ?? ?? ?? F3 0F 7E AC 24 D0 00 00 00 0F 59 C7 66 0F 14 EB 0F 58 05 ?? ?? ?? ?? 66 0F EF 6C 24 60 0F 59 C7 66 0F DB 64 24 70 0F 58 C1 66 0F EB A4 24 A0 00 00 00 0F 59 C7 66 0F DB 6C 24 70 0F 59 C4 66 0F EB AC 24 90 00 00 00 0F 58 C4 66 0F EF C5 E9 16 03 00 00 66 0F 70 C1 EE 0F 5A E1 0F 5A C0 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 EC 66 0F 59 F0 66 0F E6 ED 66 0F E6 F6 66 0F 70 ED DC 66 0F 70 F6 DC 66 0F FE 2D ?? ?? ?? ?? 66 0F FE 35 ?? ?? ?? ?? 66 0F DB 2D ?? ?? ?? ?? 66 0F DB 35 ?? ?? ?? ?? 66 0F 29 B4 24 E0 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 56 FD 66 0F 5C 3D ?? ?? ?? ?? 66 0F 29 84 24 F0 00 00 00 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C7 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 F7 66 0F 5C E0 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DF 66 0F 28 C4 66 0F 5C E6 66 0F 5C C4 66 0F 28 CC 66 0F 5C C6 66 0F 5C E3 66 0F 73 F5 3E 66 0F 5C CC 66 0F 28 D4 66 0F 28 35 ?? ?? ?? ?? 66 0F 5C CB 66 0F 58 C1 66 0F 58 E0 66 0F 59 F7 66 0F 5C D4 66 0F 28 DC 66 0F 5C E6 66 0F 58 C2 66 0F 5C DC 66 0F 59 3D ?? ?? ?? ?? 66 0F 5C DE 66 0F 58 C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C C7 66 0F DB DD 66 0F 58 C4 66 0F 28 A4 24 F0 00 00 00 66 0F 70 DB DD 66 0F 28 AC 24 E0 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 56 FD 66 0F 29 84 24 C0 00 00 00 66 0F 5C 3D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 C7 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 F7 66 0F D6 9C 24 D0 00 00 00 66 0F 5C E0 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DF 66 0F 28 C4 66 0F 5C E6 66 0F 5C C4 66 0F 28 CC 66 0F 5C C6 66 0F 5C E3 66 0F 73 F5 3E 66 0F 5C CC 66 0F 28 D4 66 0F 28 35 ?? ?? ?? ?? 66 0F 5C CB 66 0F 58 C1 66 0F 58 E0 66 0F 59 F7 66 0F 5C D4 66 0F 28 DC 66 0F 5C E6 66 0F 58 C2 66 0F 5C DC 66 0F 59 3D ?? ?? ?? ?? 66 0F 5C DE 66 0F 58 C3 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C C7 66 0F 5A BC 24 C0 00 00 00 66 0F DB DD 66 0F 58 C4 66 0F 5A E8 66 0F 14 FD 0F 28 05 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 0F 28 E7 0F 59 FF 0F 59 C7 0F 58 05 ?? ?? ?? ?? 0F 59 C7 0F 58 05 ?? ?? ?? ?? 0F 59 C7 66 0F 70 DB DD 0F 58 C1 F3 0F 7E AC 24 D0 00 00 00 0F 59 C7 66 0F 14 EB 0F 59 C4 66 0F EF 6C 24 60 0F 58 C4 66 0F EF C5 E9 BB 00 00 00 83 F8 0F 0F 84 8C 00 00 00 0F 28 D8 0F 28 3D ?? ?? ?? ?? 0F 5B C0 0F 28 35 ?? ?? ?? ?? 66 0F 72 F3 1F 0F 59 E0 0F 59 E8 0F 59 F0 0F 59 F8 0F 28 05 ?? ?? ?? ?? 0F 5C D4 0F 5C D5 0F 5C D6 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 28 CA 0F 5C CF 0F 59 D2 0F 28 05 ?? ?? ?? ?? 0F 28 2D ?? ?? ?? ?? 0F 28 35 ?? ?? ?? ?? 0F 59 C2 0F 58 05 ?? ?? ?? ?? 0F 59 C2 0F 58 C5 0F 59 C2 0F 58 C6 0F 59 C2 0F 59 C1 0F 58 C1 66 0F EF C3 0F 29 84 24 00 01 00 00 89 44 24 20 8B 44 24 20 45 33 C9 A8 01 75 2F 49 FF C1 D1 F8 89 44 24 20 49 83 F9 04 7C ED 0F 28 84 24 00 01 00 00 0F 28 B4 24 20 01 00 00 0F 28 BC 24 10 01 00 00 48 81 C4 38 01 00 00 C3 42 8B 44 8C 40 48 8D 15 ?? ?? ?? ?? 89 44 24 28 48 89 54 24 30 F3 0F 10 44 24 28 4C 8B 44 24 30 F3 0F 10 C8 66 0F 7E C1 0F 5A C8 F2 41 0F 10 90 10 05 00 00 81 E1 FF FF FF 7F 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 0F 84 0F 01 00 00 C1 E9 17 81 E9 8E 00 00 00 81 E1 F8 FF 00 00 F2 41 0F 10 9C 48 10 04 00 00 F2 41 0F 10 AC 48 18 04 00 00 F2 41 0F 10 90 50 05 00 00 66 0F 57 E4 B8 38 43 00 00 66 0F C4 E0 03 66 0F 54 D3 66 0F 73 F3 28 F2 0F 59 D1 F2 0F 59 D9 F2 0F 59 CD 66 0F 28 C2 F2 0F 58 D3 66 0F 28 EA F2 0F 5C C2 F2 0F 58 D4 F2 0F 58 D8 66 0F 7E D1 F2 0F 5C D4 F2 0F 58 CB B8 80 01 00 00 F2 41 0F 10 A0 40 05 00 00 F2 0F 5C EA 03 C9 8B D1 C1 E1 18 C1 F9 1F 23 C2 03 D1 33 D1 F2 0F 58 CD 81 E2 FE 00 00 00 F2 41 0F 10 1C D0 F2 41 0F 10 80 48 05 00 00 66 0F 70 D1 44 F2 0F 59 C9 F2 41 0F 10 6C D0 08 8B C8 81 C1 80 00 00 00 81 E1 00 01 00 00 C1 E1 17 F2 0F 59 DA 66 0F 6E D1 F2 0F 5C C1 25 00 01 00 00 C1 E0 17 F2 0F 5C E1 66 0F 73 F2 20 66 0F 6E C8 66 0F 57 E2 F2 0F 59 C5 F2 0F 59 DC 66 0F 73 F1 20 66 0F 57 C1 F2 0F 58 C3 66 0F 5A C0 EB 04 F3 0F 5C C0 F3 0F 11 44 24 24 8B 44 24 24 42 89 84 8C 00 01 00 00 8B 44 24 20 E9 55 FE FF FF 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_289_0_0 {
	meta:
		name = "__avx_sinh4"
		size = 672
		refs = "000a __common_dsinh_data 0292 __common_dsinh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 F0 01 00 00 C5 7C 11 B4 24 D0 01 00 00 C5 7C 11 AC 24 70 01 00 00 C5 7C 11 A4 24 50 01 00 00 C5 FC 11 BC 24 B0 01 00 00 C5 FC 11 B4 24 90 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 EF 00 00 00 C5 7D 54 35 ?? ?? ?? ?? 49 83 E5 C0 C5 8D 57 F0 C5 7D 10 2D ?? ?? ?? ?? C5 CD 59 15 ?? ?? ?? ?? C5 F9 10 1D ?? ?? ?? ?? C4 C1 6D 58 E5 C4 E3 7D 19 F1 01 C5 C8 C6 E9 DD C5 D1 66 15 ?? ?? ?? ?? C5 78 50 C2 C5 59 DB FB C4 C1 5D 5C CD C5 79 7E F9 C5 75 59 2D ?? ?? ?? ?? C5 F5 59 0D ?? ?? ?? ?? C4 C1 4D 5C D5 C4 E3 7D 19 E5 01 C4 C1 59 EF E7 C5 D0 54 DB C4 C1 79 7E D9 C5 ED 5C D1 C1 E1 04 C4 63 79 16 F8 02 C5 81 73 F4 2D 41 C1 E1 04 C4 C3 79 16 DA 02 C5 D0 57 DB C5 D1 73 F3 2D C1 E0 04 41 C1 E2 04 C5 ED 59 CA C4 61 F9 6E 64 11 08 C4 C1 F9 6E 7C 11 08 C4 E1 F9 6E 34 11 C5 19 16 6C 10 08 C4 41 41 16 64 12 08 C5 C9 16 3C 10 C4 C1 41 D4 FF C4 C1 11 D4 DF C4 41 11 FB EF C5 99 D4 E5 C5 19 FB E5 C5 75 59 3D ?? ?? ?? ?? C4 C1 F9 6E 34 11 C4 C1 49 16 34 12 C5 C9 D4 F5 C4 E3 45 18 F6 01 C4 E3 65 18 FC 01 C5 85 58 1D ?? ?? ?? ?? C5 E5 59 E1 C4 C3 15 18 EC 01 C5 45 58 ED C5 45 5C E5 C5 F5 59 3D ?? ?? ?? ?? C5 DD 59 EA C4 C1 4D 58 DC C5 45 58 3D ?? ?? ?? ?? C5 D5 58 D2 C4 C1 4D 58 F5 C5 85 59 C9 C5 ED 59 D6 C5 F5 59 CB C5 ED 58 D1 C5 ED 58 E3 C5 8D 56 CC 45 85 C0 75 4A C5 FC 10 B4 24 90 01 00 00 C5 FC 10 BC 24 B0 01 00 00 C5 7C 10 A4 24 50 01 00 00 C5 7C 10 AC 24 70 01 00 00 C5 7C 10 B4 24 D0 01 00 00 C5 7C 10 BC 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 A8 33 C0 C5 7C 11 84 24 80 00 00 00 C5 7C 11 4C 24 60 C5 7C 11 54 24 40 C5 7C 11 5C 24 20 48 89 9C 24 A8 00 00 00 8B D8 48 89 B4 24 A0 00 00 00 41 8B F0 0F A3 DE 72 3D FF C3 83 FB 20 7C F4 C5 7C 10 84 24 80 00 00 00 C5 7C 10 4C 24 60 C5 7C 10 54 24 40 C5 7C 10 5C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 A8 00 00 00 48 8B B4 24 A0 00 00 00 E9 34 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB AF 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_292_0_0 {
	meta:
		name = "__common_dtan_cout_rare"
		size = 128
		refs = "004e _vmldTanHATab"
	strings:
		$1 = { 48 83 EC 28 33 C0 4C 8B 01 4C 89 44 24 20 49 C1 E8 38 44 0F B7 49 06 41 81 E1 F0 7F 00 00 41 83 E0 7F F2 0F 10 09 41 81 F9 F0 7F 00 00 44 88 44 24 27 74 05 48 83 C4 28 C3 83 7C 24 20 00 75 24 81 7C 24 24 00 00 F0 7F 75 1A F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 59 C8 F2 0F 11 0A 48 83 C4 28 C3 F2 0F 59 C9 F2 0F 11 0A 48 83 C4 28 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_295_0_0 {
	meta:
		name = "__avx_cos4"
		size = 2192
		refs = "000a __common_dcos_reduction_data 007f __common_dcos_data 023a __common_dcos_cout_rare 0244 __common_dcos_data_ha 029b _2il0floatpacket_267 02db _2il0floatpacket_268 0331 _2il0floatpacket_269 05ac _2il0floatpacket_270 05ce _2il0floatpacket_272 05d6 _2il0floatpacket_273 05e5 _2il0floatpacket_271 0611 _2il0floatpacket_274 0636 _2il0floatpacket_276 066c _2il0floatpacket_275 06d3 _2il0floatpacket_280 06e6 _2il0floatpacket_277 06ef _2il0floatpacket_278 06f8 _2il0floatpacket_279 0755 _2il0floatpacket_281 0763 _2il0floatpacket_282"
	strings:
		$1 = { 48 81 EC B8 02 00 00 4C 8D 15 ?? ?? ?? ?? C5 7C 11 BC 24 90 02 00 00 45 33 DB C5 7C 11 B4 24 70 02 00 00 C5 7C 11 AC 24 50 02 00 00 C5 7C 11 A4 24 30 02 00 00 C5 7C 11 9C 24 10 02 00 00 C5 7C 11 94 24 F0 01 00 00 C5 7C 11 8C 24 D0 01 00 00 C5 7C 11 84 24 B0 01 00 00 C5 FC 11 BC 24 90 01 00 00 C5 FC 11 B4 24 70 01 00 00 4C 89 AC 24 B0 02 00 00 4C 8D AC 24 0F 01 00 00 C5 FD 58 25 ?? ?? ?? ?? 49 83 E5 C0 C5 DD 54 2D ?? ?? ?? ?? C5 D5 C2 0D ?? ?? ?? ?? 1E C4 E3 7D 19 CA 01 C5 F0 C6 DA DD C5 F8 50 C3 85 C0 0F 85 91 01 00 00 C5 FD 10 1D ?? ?? ?? ?? C5 DD 59 25 ?? ?? ?? ?? C5 DD 58 F3 C5 CD 5C EB C5 55 5C 3D ?? ?? ?? ?? C5 05 59 15 ?? ?? ?? ?? C5 05 59 25 ?? ?? ?? ?? C5 05 59 35 ?? ?? ?? ?? C5 85 59 1D ?? ?? ?? ?? C4 41 7D 5C DA C4 41 25 5C EC C4 C1 15 5C CE C5 F5 5C CB C5 F5 59 D9 C5 E5 59 25 ?? ?? ?? ?? C5 DD 58 2D ?? ?? ?? ?? C5 C1 73 F6 3F C4 C3 7D 19 F0 01 C5 D5 59 F3 C4 C1 31 73 F0 3F C4 C3 45 18 D1 01 C5 CD 58 3D ?? ?? ?? ?? C5 45 59 C3 C5 3D 58 0D ?? ?? ?? ?? C5 35 59 D3 C5 2D 58 1D ?? ?? ?? ?? C5 25 59 E3 C5 1D 58 2D ?? ?? ?? ?? C5 15 59 F3 C5 0D 58 3D ?? ?? ?? ?? C5 85 59 E3 C5 DD 59 E9 C5 D5 58 C9 C5 F5 57 CA 45 85 DB 75 6E C5 FC 10 B4 24 70 01 00 00 C5 FC 10 BC 24 90 01 00 00 C5 7C 10 84 24 B0 01 00 00 C5 7C 10 8C 24 D0 01 00 00 C5 7C 10 94 24 F0 01 00 00 C5 7C 10 9C 24 10 02 00 00 C5 7C 10 A4 24 30 02 00 00 C5 7C 10 AC 24 50 02 00 00 C5 7C 10 B4 24 70 02 00 00 C5 7C 10 BC 24 90 02 00 00 4C 8B AC 24 B0 02 00 00 C5 FD 28 C1 48 81 C4 B8 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 84 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 41 8B F3 0F A3 DE 72 1C FF C3 83 FB 20 7C F4 48 8B 5C 24 28 48 8B 74 24 20 C4 C1 7D 10 4D 40 E9 52 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D0 C5 FD 10 25 ?? ?? ?? ?? BA 00 00 F0 7F C4 C1 7D 11 45 00 C5 F9 6E CA C5 79 70 C1 11 C5 5D 54 DD C5 25 C2 CC 00 C4 43 7D 19 CF 01 C4 41 30 C6 EF DD C4 41 78 50 DD C5 B9 DB F8 C4 C3 7D 19 C5 01 C5 A9 73 D7 34 C4 C1 39 DB D5 C5 E1 73 D2 34 C5 F9 7E D9 C5 79 7E D0 C5 7A 6F 05 ?? ?? ?? ?? C5 F8 11 44 24 20 C5 B9 DB C0 C4 E3 79 16 DA 02 8D 0C 49 C4 43 79 16 D0 02 44 8D 0C 40 C1 E1 03 41 C1 E1 03 8D 04 52 C1 E0 03 47 8D 04 40 41 C1 E0 03 C4 21 F9 6E 1C 11 C5 FA 6F 15 ?? ?? ?? ?? C4 21 21 16 14 10 C4 A1 F9 6E 7C 11 10 C5 79 D4 DA C4 C1 39 DB C5 C4 01 F9 6E 24 11 C4 81 F9 6E 74 11 08 C4 A1 41 16 5C 10 10 C5 F9 D4 FA C5 78 11 6C 24 30 C4 01 19 16 34 10 C4 01 49 16 4C 10 08 C4 01 F9 6E 7C 11 10 C4 C1 19 73 D1 20 C5 7A 6F 2D ?? ?? ?? ?? C4 A1 F9 6E 6C 11 08 C4 C1 31 DB F5 C5 79 11 74 24 40 C4 C1 31 73 D3 20 C4 81 01 16 4C 10 10 C4 41 09 DB FD C4 41 29 DB F5 C4 41 21 DB C5 C4 41 41 DB DD C5 E9 73 D1 20 C4 A1 51 16 64 10 08 4C 8D 15 ?? ?? ?? ?? C4 C1 71 DB CD C5 7A 7F 74 24 70 C4 C1 59 DB C5 C4 41 21 F4 F6 C5 D1 73 D4 20 C5 79 11 54 24 50 C5 A9 73 D7 20 C5 FA 7F 84 24 A0 00 00 00 C5 D9 73 D3 20 C5 A1 F4 F8 C4 C1 61 DB DD C5 B1 F4 C1 C5 B1 F4 CA C5 B9 F4 D2 C5 FA 7F AC 24 90 00 00 00 C5 E9 73 D2 20 C5 7A 7F B4 24 C0 00 00 00 41 B8 00 00 00 80 C5 7A 7F 7C 24 60 C5 F1 D4 CA C5 21 F4 F5 C5 B9 F4 EE C4 41 39 F4 FF C5 B1 F4 F6 C5 7A 7F BC 24 B0 00 00 00 C5 81 73 D0 20 C4 C1 51 DB C5 C5 D1 73 D5 20 C5 F9 D4 C1 C5 81 D4 D0 C5 A9 F4 C3 C5 81 73 D0 20 C4 C1 41 DB DD C5 A9 F4 C4 C5 C1 73 D7 20 C5 A1 F4 E4 C5 D9 73 D4 20 C5 7A 7F A4 24 80 00 00 00 C4 41 39 F4 E4 C5 F9 D4 C4 C5 E1 D4 C8 C5 C9 D4 C5 C5 81 D4 E1 C4 41 19 DB FD C5 F1 73 D2 20 C5 01 D4 F8 C4 41 71 D4 FF C5 A9 F4 8C 24 A0 00 00 00 C5 F1 D4 EF C5 B1 F4 8C 24 80 00 00 00 C5 31 F4 4C 24 60 C4 C1 09 DB F5 C5 E1 73 D4 20 C5 C9 D4 C5 C5 A9 F4 AC 24 90 00 00 00 C5 29 F4 54 24 70 C5 E1 D4 F8 C4 C1 19 73 D4 20 C4 C1 49 73 D7 20 C5 FA 6F 9C 24 B0 00 00 00 C4 C1 09 73 D6 20 C4 C1 71 D4 CC C4 41 51 D4 F6 C4 C1 61 DB C5 C5 E1 73 D3 20 C5 F9 D4 C1 C5 31 D4 CB C5 C9 D4 F0 C5 FA 6F 84 24 C0 00 00 00 C5 99 73 D7 20 C5 F9 10 6C 24 40 C4 C1 79 DB CD C4 C1 71 D4 CE C5 89 73 D5 20 C5 F9 73 D0 20 C4 41 39 F4 C6 C4 C1 01 73 F7 20 C5 99 D4 C9 C5 29 D4 D0 C4 41 39 DB C5 C5 99 73 D6 20 C4 41 39 D4 C1 C5 F9 10 6C 24 50 C5 B1 73 D1 20 C4 41 19 D4 E0 C5 B9 73 D5 20 C4 C1 09 73 F4 20 C4 41 21 F4 D8 C4 C1 79 6E C0 C4 41 21 DB C5 C4 C1 49 DB F5 C4 41 39 D4 E2 C5 89 D4 F6 C4 41 31 D4 CC C4 C1 61 73 F1 20 C4 C1 71 DB CD C4 C1 69 DB D5 C5 C1 73 F7 20 C4 41 59 DB ED C5 B1 73 D6 0C C5 F9 70 E0 11 C5 61 D4 C1 C5 01 D4 D2 C4 C1 41 D4 D5 C5 D9 DB 7C 24 20 C4 C1 61 73 D0 0C C5 7A 6F 25 ?? ?? ?? ?? C5 D9 DB 4C 24 30 C4 41 41 EF FC C4 41 71 EF F4 C4 41 31 EB EF C4 41 61 EB DE C5 F8 10 1D ?? ?? ?? ?? C5 7A 6F 35 ?? ?? ?? ?? C4 C3 15 18 C3 01 C4 E2 7D 1A 2D ?? ?? ?? ?? C5 55 58 C8 C5 B5 5C E5 C4 C1 71 EF EE C5 7D 5C FC C4 C1 41 EF E6 C5 31 DB EB C4 43 7D 19 CC 01 C5 18 54 CB C5 FA 6F 1D ?? ?? ?? ?? C4 41 61 DB DA C5 61 DB F2 C4 C1 79 73 F3 1C C4 C1 21 73 F6 1C C5 79 EB E4 C5 A1 EB C5 C5 7A 6F 1D ?? ?? ?? ?? C5 79 7E EA C4 41 79 7E C9 C1 E2 05 C4 63 79 16 E8 02 41 C1 E1 05 C4 63 79 16 C9 02 C1 E0 05 C1 E1 05 C4 E3 1D 18 D8 01 C4 E3 5D 18 ED 01 C5 FA 6F 05 ?? ?? ?? ?? C5 65 5C E5 C5 F1 EF D8 C5 A1 DB CE C5 41 EF F0 C5 C1 73 F1 28 C4 C1 49 73 D2 18 C4 C1 21 DB C8 C5 C1 EB C6 C5 C1 73 F1 28 C5 B9 73 D2 18 C4 C1 41 EB D0 C4 C1 79 EB E6 C5 69 EB D3 C4 C3 5D 18 EA 01 C4 E3 0D 18 DB 01 C5 D5 5C F3 C5 85 58 C6 C5 05 5C F8 C4 41 4D 58 DF C4 C1 25 58 FC C4 62 7D 1A 25 ?? ?? ?? ?? C4 41 7D 54 FC C4 C1 7D 5C D7 C4 E2 7D 1A 0D ?? ?? ?? ?? C4 E2 7D 1A 25 ?? ?? ?? ?? C4 62 7D 1A 05 ?? ?? ?? ?? C5 5D 59 D2 C4 C1 3D 59 DF C5 F5 59 EF C5 BD 59 F2 C4 C1 5D 59 C7 C5 2D 58 DB C5 55 58 E6 C4 C1 25 58 E4 C4 21 F9 6E 1C 12 C4 21 21 16 2C 10 C5 FD 58 D4 C5 7D 5C F2 C4 C1 7D 10 45 00 C5 8D 58 F4 C4 81 F9 6E 24 11 C4 21 59 16 0C 11 C4 A1 F9 6E 64 12 10 C4 62 7D 1A 3D ?? ?? ?? ?? C4 C1 7D 54 CF C4 E2 7D 1A 3D ?? ?? ?? ?? C5 F5 C2 EF 1E C5 75 C2 C7 12 C5 3D 54 D0 C5 D5 54 DA C4 21 F9 6E 44 12 08 C5 AD 56 CB C4 81 F9 6E 5C 11 08 C4 21 39 16 54 10 08 C5 55 54 FE C4 A1 61 16 6C 11 08 C4 63 2D 18 D5 01 C4 41 75 59 DA C4 C3 15 18 D1 01 C4 01 F9 6E 6C 11 10 C4 21 59 16 4C 10 10 C4 A1 11 16 7C 11 10 C4 E3 35 18 FF 01 C5 6D 59 C9 C4 41 45 58 E3 C4 C1 35 58 E4 C4 C1 45 5C F4 C5 1D 5C F4 C4 41 4D 58 C3 C4 41 0D 58 E9 C4 41 15 58 E0 C4 41 6D 58 EA C5 75 59 C1 C5 BD 59 1D ?? ?? ?? ?? C5 3D 59 0D ?? ?? ?? ?? C5 E5 58 2D ?? ?? ?? ?? C4 C1 55 59 F0 C5 4D 59 D9 C5 F5 59 CF C4 C1 25 59 D5 C4 41 6D 58 D4 C5 B5 58 15 ?? ?? ?? ?? C4 C1 6D 59 D8 C5 E5 58 2D ?? ?? ?? ?? C4 81 F9 6E 5C 11 18 C4 41 55 59 C0 C4 A1 61 16 6C 11 18 C5 BD 59 F7 C4 41 4D 58 CA C5 95 5C F1 C4 A1 F9 6E 4C 12 18 C4 A1 71 16 54 10 18 C5 05 59 FE C4 E3 6D 18 FD 01 C5 85 58 CF C5 B5 58 D1 C5 DD 58 CA E9 F4 F8 FF FF 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_296_0_0 {
	meta:
		name = "__isa_available_init"
		size = 454
		refs = "001c __isa_enabled 002b __isa_available 005d __favor 009e __memcpy_nt_iters"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 20 83 65 E8 00 33 C9 33 C0 C7 05 ?? ?? ?? ?? 02 00 00 00 0F A2 44 8B C1 C7 05 ?? ?? ?? ?? 01 00 00 00 81 F1 63 41 4D 44 44 8B CA 44 8B D2 41 81 F1 65 6E 74 69 41 81 F2 69 6E 65 49 41 81 F0 6E 74 65 6C 45 0B D0 44 8B DB 44 8B 05 ?? ?? ?? ?? 41 81 F3 41 75 74 68 45 0B D9 8B D3 44 0B D9 81 F2 47 65 6E 75 33 C9 8B F8 44 0B D2 B8 01 00 00 00 0F A2 89 45 F0 44 8B C9 44 89 4D F8 8B C8 89 5D F4 89 55 FC 45 85 D2 75 52 48 83 0D ?? ?? ?? ?? FF 41 83 C8 04 25 F0 3F FF 0F 44 89 05 ?? ?? ?? ?? 3D C0 06 01 00 74 28 3D 60 06 02 00 74 21 3D 70 06 02 00 74 1A 05 B0 F9 FC FF 83 F8 20 77 1B 48 BB 01 00 01 00 01 00 00 00 48 0F A3 C3 73 0B 41 83 C8 01 44 89 05 ?? ?? ?? ?? 45 85 DB 75 19 81 E1 00 0F F0 0F 81 F9 00 0F 60 00 72 0B 41 83 C8 04 44 89 05 ?? ?? ?? ?? B8 07 00 00 00 89 55 E0 44 89 4D E4 3B F8 7C 24 33 C9 0F A2 89 45 F0 89 5D F4 89 4D F8 89 55 FC 89 5D E8 0F BA E3 09 73 0B 41 83 C8 02 44 89 05 ?? ?? ?? ?? 41 0F BA E1 14 73 6E C7 05 ?? ?? ?? ?? 02 00 00 00 C7 05 ?? ?? ?? ?? 06 00 00 00 41 0F BA E1 1B 73 53 41 0F BA E1 1C 73 4C 33 C9 0F 01 D0 48 C1 E2 20 48 0B D0 48 89 55 10 48 8B 45 10 24 06 3C 06 75 32 8B 05 ?? ?? ?? ?? 83 C8 08 C7 05 ?? ?? ?? ?? 03 00 00 00 F6 45 E8 20 89 05 ?? ?? ?? ?? 74 13 83 C8 20 C7 05 ?? ?? ?? ?? 05 00 00 00 89 05 ?? ?? ?? ?? 48 8B 5C 24 38 33 C0 48 8B 7C 24 40 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_299_0_0 {
	meta:
		name = "__common_trig_reduction"
		size = 1328
		refs = "003b _zero_none 006b _PI02_INV 0072 _PIO2_21x5 00c0 _PI04_INV 00c7 _PI04_21x5 017e _PIO2_25x2 0185 _DDP 01ad _PI04_25x2 01b4 _DP 02ba _2il0floatpacket_3 044b _TWO_26H 04ec _PI04 04f9 _PI02"
	strings:
		$1 = { 41 55 41 56 41 57 48 83 EC 50 4C 8B EA F2 0F 11 44 24 70 0F B7 44 24 76 8B C8 81 E1 F0 7F 00 00 C1 E9 04 44 0F 29 4C 24 30 81 F9 FF 07 00 00 44 0F 29 44 24 40 7C 19 F2 0F 10 0D ?? ?? ?? ?? 33 C0 F2 0F 59 C1 F2 41 0F 11 45 00 E9 BB 04 00 00 81 F9 1D 04 00 00 0F 8D 17 01 00 00 F2 0F 10 54 24 70 45 85 C0 75 25 F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 2C C0 FF C0 83 E0 FE F2 0F 2A C8 C1 E0 1E EB 52 41 83 F8 01 75 2A F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 2C C0 83 C8 01 F2 0F 2A C8 C1 E0 1E F7 D0 25 00 00 00 80 EB 22 F2 0F 10 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 2C C0 FF C0 83 E0 FE F2 0F 2A C8 D1 F8 F2 0F 10 19 F2 0F 59 D9 F2 0F 10 61 08 F2 0F 5C D3 F2 0F 59 E1 44 0F 28 C2 F2 0F 10 69 10 F2 44 0F 5C C4 F2 0F 59 E9 F2 41 0F 5C D0 41 0F 28 C0 F2 0F 5C D4 F2 0F 5C C5 44 0F 28 C8 F2 44 0F 5C C0 F2 44 0F 5C C5 F2 41 0F 58 D0 F2 44 0F 58 CA 41 0F 28 D9 F2 41 0F 5C C1 F2 0F 58 C2 F2 0F 10 51 18 F2 0F 59 D1 F2 0F 5C DA F2 44 0F 5C CB F2 44 0F 5C CA F2 0F 10 51 20 F2 0F 59 CA F2 41 0F 58 C1 F2 0F 5C C1 F2 0F 58 D8 F2 41 0F 11 5D 00 E9 98 03 00 00 45 85 C0 75 13 45 33 DB 4C 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? EB 2D 41 83 F8 01 75 16 41 BB 01 00 00 00 4C 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? EB 11 45 33 DB 4C 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 25 0F 80 FF FF 44 8D B1 38 FF FF FF 41 81 E6 FF 07 00 00 44 8D B9 E4 FB FF FF 41 C1 E6 04 41 0B C6 66 89 44 24 76 B8 1F 85 EB 51 41 F7 EF 41 C1 FF 1F C1 FA 03 41 2B D7 6B C2 E7 F2 44 0F 10 44 24 70 81 64 24 70 00 00 00 F8 8D 8C 01 E4 FB FF FF F2 0F 10 6C 24 70 83 F9 11 F2 44 0F 5C C5 7C 4B 48 63 D2 F2 45 0F 10 4C D1 08 F2 41 0F 10 04 D1 FF C2 F2 44 0F 59 CD F2 41 0F 59 C0 41 0F 28 D1 F2 0F 58 D0 F2 0F 5C C2 F2 44 0F 58 C8 41 0F 28 C9 F2 0F 58 CA F2 0F 11 4C 24 20 81 64 24 20 00 00 F0 FF F2 0F 5C 54 24 20 EB 0D F2 44 0F 10 0D ?? ?? ?? ?? 41 0F 28 D1 48 63 D2 0F 28 DA F2 41 0F 10 0C D1 F2 41 0F 59 C8 F2 0F 58 D9 0F 28 C3 F2 0F 5C D3 F2 0F 58 CA F2 41 0F 10 54 D1 08 F2 44 0F 58 C9 0F 28 CD F2 0F 59 CA F2 41 0F 59 D0 F2 0F 58 C1 0F 28 E0 F2 0F 5C E3 0F 28 DD 0F 57 25 ?? ?? ?? ?? F2 0F 58 CC F2 41 0F 10 64 D1 10 F2 0F 59 DC F2 41 0F 59 E0 F2 44 0F 58 C9 0F 28 C8 F2 41 0F 58 C9 F2 0F 58 CA F2 0F 58 CB F2 0F 11 4C 24 20 0F B7 44 24 26 25 F0 7F 00 00 C1 E8 04 F7 D8 66 49 0F 7E CF 41 0F 28 C9 8D 88 33 04 00 00 05 F4 03 00 00 C1 F8 1F 48 63 C0 4C 8B F0 49 F7 D6 4D 0B FE 49 D3 FF 45 8B F7 4C 23 F8 49 D3 E7 4C 89 7C 24 20 4C 8D 3D ?? ?? ?? ?? F2 0F 5C 44 24 20 F2 0F 58 C8 43 8D 0C 1E 83 E1 01 43 8D 44 1E 01 41 83 F8 01 F2 0F 5C C1 F2 44 0F 58 C8 F2 41 0F 10 04 CF F2 0F 58 C8 0F 28 C1 F2 0F 58 C2 F2 0F 5C C8 F2 0F 58 D1 0F 28 C8 F2 0F 58 CB F2 44 0F 58 CA F2 0F 5C C1 0F 28 D1 F2 0F 58 D8 F2 0F 58 D4 F2 44 0F 58 CB F2 0F 5C CA F2 41 0F 10 44 D1 18 0F 28 DD F2 0F 59 D8 F2 0F 58 E1 F2 41 0F 59 C0 F2 44 0F 58 CC 0F 28 E2 F2 0F 58 E3 0F 28 CC F2 0F 5C D4 F2 0F 58 C8 F2 0F 58 DA F2 0F 5C E1 F2 44 0F 58 CB F2 0F 58 C4 0F 28 D5 0F 28 E1 F2 44 0F 58 C8 F2 41 0F 10 44 D1 20 F2 0F 59 D0 F2 41 0F 59 C0 F2 0F 58 E2 0F 28 DC F2 0F 5C CC F2 0F 58 D1 0F 28 CD F2 44 0F 58 CA F2 41 0F 10 54 D1 28 F2 0F 59 CA F2 41 0F 59 D0 F2 0F 58 C1 F2 0F 58 D8 F2 0F 5C E3 F2 0F 58 C4 0F 28 E5 F2 44 0F 58 C8 F2 41 0F 10 44 D1 30 F2 0F 59 E0 F2 44 0F 59 C0 F2 0F 58 D4 0F 28 E3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 E2 F2 0F 5C DC F2 0F 58 D3 F2 44 0F 58 CA F2 41 0F 10 54 D1 38 F2 0F 59 EA F2 44 0F 58 C5 41 0F 28 E8 F2 0F 58 EC F2 0F 59 C5 F2 0F 58 E8 F2 0F 11 6C 24 28 F2 0F 10 4C 24 28 F2 0F 5C C8 F2 0F 5C E1 F2 44 0F 58 C4 F2 45 0F 58 C8 F2 45 0F 10 02 41 0F 28 C0 F2 41 0F 59 C1 F2 44 0F 58 C9 F2 41 0F 59 C8 F2 45 0F 59 4A 08 F2 41 0F 58 C1 0F 28 D0 F2 0F 58 D1 F2 0F 5C CA F2 0F 58 C8 F2 0F 58 D1 7F 10 C1 E0 1E F2 41 0F 11 55 00 25 00 00 00 80 EB 25 D1 F8 66 0F 2F 15 ?? ?? ?? ?? 76 13 83 C0 FD F2 0F 5C 15 ?? ?? ?? ?? F2 41 0F 11 55 00 EB 06 F2 41 0F 11 55 00 44 0F 28 44 24 40 44 0F 28 4C 24 30 48 83 C4 50 41 5F 41 5E 41 5D C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_300_0_0 {
	meta:
		name = "_FindPESection"
		size = 68
	strings:
		$1 = { 4C 63 41 3C 45 33 C9 4C 03 C1 4C 8B D2 41 0F B7 40 14 45 0F B7 58 06 48 83 C0 18 49 03 C0 45 85 DB 74 1E 8B 50 0C 4C 3B D2 72 0A 8B 48 08 03 CA 4C 3B D1 72 0E 41 FF C1 48 83 C0 28 45 3B CB 72 E2 33 C0 C3 }
	condition:
		$1
}

rule file_300_1_0 {
	meta:
		name = "_IsNonwritableInCurrentImage"
		size = 77
		refs = "0010 __ImageBase 0018 _ValidateImageBase 002a _FindPESection"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8D 3D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 22 48 2B DF 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 0F 8B 40 24 C1 E8 1F F7 D0 83 E0 01 EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_300_2_0 {
	meta:
		name = "_IsNonwritableInCurrentImage$filt$0"
		size = 32
		altNames = "__RTCastToVoid$filt$0 __RTtypeid$filt$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 33 C9 81 38 05 00 00 C0 0F 94 C1 8B C1 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_300_3_0 {
	meta:
		name = "_ValidateImageBase"
		size = 46
	strings:
		$1 = { 48 8B C1 B9 4D 5A 00 00 66 39 08 74 03 33 C0 C3 48 63 48 3C 48 03 C8 33 C0 81 39 50 45 00 00 75 0C BA 0B 02 00 00 66 39 51 18 0F 94 C0 C3 }
	condition:
		$1
}

rule file_313_0_0 {
	meta:
		name = "__GSHandlerCheck"
		size = 29
		refs = "000f __GSHandlerCheckCommon"
	strings:
		$1 = { 48 83 EC 28 4D 8B 41 38 48 8B CA 49 8B D1 E8 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_313_1_0 {
	meta:
		name = "__GSHandlerCheckCommon"
		size = 89
		refs = "0055 __security_check_cookie"
	strings:
		$1 = { 40 53 45 8B 18 48 8B DA 41 83 E3 F8 4C 8B C9 41 F6 00 04 4C 8B D1 74 13 41 8B 40 08 4D 63 50 04 F7 D8 4C 03 D1 48 63 C8 4C 23 D1 49 63 C3 4A 8B 14 10 48 8B 43 10 8B 48 08 48 03 4B 08 F6 41 03 0F 74 0A 0F B6 41 03 83 E0 F0 4C 03 C8 4C 33 CA 49 8B C9 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_314_0_0 {
	meta:
		name = "??__C@YAXPEAX0_K1P6AX00@ZP6AX0@Z@Z"
		size = 117
		refs = "0039 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 4D 8B F9 4D 8B F0 48 8B F2 48 8B F9 33 DB 48 89 58 D0 88 58 C8 49 3B DF 74 34 48 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8B D6 48 8B CF FF 94 24 80 00 00 00 49 03 FE 48 89 7C 24 60 49 03 F6 48 89 74 24 68 48 FF C3 48 89 5C 24 28 EB C7 C6 44 24 20 01 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_317_0_0 {
	meta:
		name = "__sse2_floor2"
		size = 80
		refs = "0006 _2il0floatpacket_4 0010 _2il0floatpacket_5 0038 _2il0floatpacket_6"
	strings:
		$1 = { 0F 28 E0 0F 28 1D ?? ?? ?? ?? 0F 28 E8 0F 28 0D ?? ?? ?? ?? 0F 28 D3 0F 54 E1 0F 55 C8 66 0F C2 D1 01 66 0F 58 CB 66 0F 5C CB 0F 56 CC 0F 28 DA 66 0F C2 E9 01 0F 54 2D ?? ?? ?? ?? 0F 54 C2 66 0F 5C CD 0F 55 D9 0F 56 C3 C3 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_329_0_0 {
	meta:
		name = "__common_sacos_cout_rare"
		size = 2672
		refs = "0072 _vmldACosHATab 09d7 _2il0floatpacket_192"
	strings:
		$1 = { 55 48 81 EC D0 00 00 00 48 8D 6C 24 20 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 F3 0F 10 09 41 81 F8 80 7F 00 00 44 0F 29 7D 60 44 0F 29 75 70 44 0F 29 A5 80 00 00 00 44 0F 29 95 90 00 00 00 44 0F 29 45 30 0F 29 7D 40 0F 29 75 50 48 89 9D A0 00 00 00 0F 84 FA 09 00 00 F3 0F 5A C1 F2 0F 11 45 18 80 65 1F 7F F2 44 0F 10 45 18 F2 44 0F 10 25 ?? ?? ?? ?? 4C 8B 0D ?? ?? ?? ?? 66 45 0F 2F E0 0F 86 42 09 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C0 0F 86 F7 03 00 00 66 44 0F 2F 05 ?? ?? ?? ?? 0F 86 9B 03 00 00 F2 44 0F 10 25 ?? ?? ?? ?? 41 0F 28 C0 F2 41 0F 59 C4 41 0F 28 D0 F2 0F 11 45 10 45 0F 28 F8 F2 0F 10 65 10 41 0F 28 DC F2 0F 10 3D ?? ?? ?? ?? F2 0F 5C 65 18 F2 0F 11 65 08 F2 0F 10 4D 10 F2 44 0F 10 55 08 F2 41 0F 5C CA F2 0F 11 4D 10 F2 0F 10 75 10 F2 0F 5C D6 F2 0F 11 55 08 F2 0F 10 6D 10 0F 28 D5 F2 44 0F 58 FD F2 0F 59 D5 F2 44 0F 10 75 08 0F 28 C2 F2 45 0F 59 FE F2 0F 59 DA F2 41 0F 58 C7 F2 0F 59 F8 F2 0F 11 5D 10 F2 0F 10 65 10 F2 0F 58 3D ?? ?? ?? ?? F2 0F 5C E2 F2 0F 59 F8 F2 0F 11 65 08 F2 0F 10 4D 10 F2 44 0F 10 55 08 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 5C CA F2 0F 59 F8 F2 0F 11 4D 10 F2 0F 10 75 10 F2 0F 58 3D ?? ?? ?? ?? F2 0F 5C D6 F2 0F 59 F8 F2 0F 11 55 08 41 0F 28 F0 F2 0F 10 65 10 F2 0F 10 5D 08 F2 44 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 FB F2 0F 59 EC F2 0F 59 F8 F2 41 0F 59 F7 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 58 F6 F2 0F 59 F8 45 0F 28 F4 F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F5 F2 0F 59 F8 F2 44 0F 11 75 10 F2 44 0F 10 55 10 F2 44 0F 5C D5 F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 11 55 08 44 0F 28 D5 F2 0F 10 55 10 F2 0F 58 EE F2 0F 59 F8 F2 44 0F 59 FD F2 0F 58 3D ?? ?? ?? ?? F2 0F 10 4D 08 F2 0F 59 F8 F2 0F 5C D1 F2 0F 11 55 10 F2 0F 10 5D 10 F2 44 0F 5C D3 0F 28 DC F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 11 55 08 F2 0F 10 4D 10 F2 0F 10 55 08 44 0F 28 F2 F2 0F 59 D9 F2 44 0F 58 F6 F2 0F 59 F8 F2 41 0F 59 E6 F2 44 0F 59 E3 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 58 E7 F2 0F 59 F8 F2 44 0F 11 65 10 44 0F 28 F3 F2 44 0F 10 65 10 F2 44 0F 5C E3 F2 0F 58 DC F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 C3 F2 0F 59 F8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 C5 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EB F2 44 0F 11 65 08 F2 0F 58 C5 F2 44 0F 10 65 10 F2 0F 58 C7 F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 F7 F2 0F 59 D7 F2 0F 59 CF F2 0F 58 C6 F2 44 0F 10 7D 08 F2 0F 58 C2 F2 45 0F 5C E7 F2 44 0F 11 65 10 41 0F 28 D0 F2 44 0F 10 55 10 F2 0F 58 D1 F2 45 0F 5C F2 F2 44 0F 11 75 08 F2 44 0F 10 65 10 F2 44 0F 10 55 08 F2 0F 11 55 10 F2 0F 10 5D 10 F2 0F 11 4D 00 F2 44 0F 5C C3 F2 44 0F 58 C1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 E1 F2 44 0F 59 E1 F2 41 0F 59 CA F2 44 0F 11 45 08 F2 0F 10 55 10 F2 44 0F 10 45 08 F2 41 0F 58 C0 F2 0F 58 C4 0F 28 E2 F2 41 0F 58 E4 F2 0F 58 C1 F2 0F 11 65 10 F2 44 0F 10 45 10 F2 41 0F 5C D0 F2 41 0F 58 D4 F2 0F 11 55 08 F3 0F 5A 29 F2 0F 10 65 10 F2 0F 10 5D 08 66 0F 2F 2D ?? ?? ?? ?? F2 0F 58 C3 76 42 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CB F2 0F 5C CC F2 0F 11 4D 10 F2 0F 10 55 10 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C DA F2 0F 5C C8 F2 0F 5C DC F2 0F 11 5D 08 F2 0F 10 55 10 F2 0F 10 65 08 F2 0F 58 CC EB 40 F2 0F 10 1D ?? ?? ?? ?? 0F 28 CC F2 0F 58 CB F2 0F 11 4D 10 F2 0F 10 55 10 F2 0F 5C DA F2 0F 58 DC F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 C4 F2 0F 11 5D 08 F2 0F 10 55 10 F2 0F 10 4D 08 F2 0F 58 C8 F2 0F 58 D1 F2 0F 5A D2 F3 0F 11 12 E9 B0 05 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 45 0F 58 E0 F2 44 0F 11 65 10 F2 0F 10 45 10 F2 0F 59 45 18 F2 0F 11 45 00 8A 5D 07 8A 49 03 80 E3 7F 80 E1 80 0A D9 88 5D 07 F2 0F 5C 4D 00 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5A C9 F3 0F 11 0A E9 63 05 00 00 4D 8B D1 F2 45 0F 5C E0 F2 41 0F 59 C4 F2 0F 11 45 00 44 0F B7 45 06 41 81 E0 F0 7F 00 00 41 C1 E8 04 41 81 C0 01 FC FF FF 45 8B D8 41 8B D8 41 F7 DB 41 81 C3 FF 03 00 00 49 C1 EA 30 41 81 E3 FF 07 00 00 41 C1 E3 04 41 81 E2 0F 80 FF FF 4C 89 4D 18 45 0B D3 66 44 89 55 1E 83 E3 01 F2 0F 10 75 18 44 8B DB F2 0F 59 C6 0F 28 E8 F2 44 0F 10 05 ?? ?? ?? ?? F2 0F 58 E8 75 03 0F 28 E8 F2 44 0F 59 C5 44 2B C3 F2 0F 10 1D ?? ?? ?? ?? 41 0F 28 F8 41 C1 E3 08 44 0F 28 D5 41 D1 E8 F2 0F 58 C3 F2 0F 5C FD F2 0F 11 45 20 41 81 C0 FF 03 00 00 44 8B 55 20 41 81 E0 FF 07 00 00 41 81 E2 FF 01 00 00 F2 0F 11 7D 08 45 03 D3 F2 0F 10 75 08 4C 8D 1D ?? ?? ?? ?? F2 44 0F 5C C6 F2 47 0F 10 3C D3 41 0F 28 E0 4C 89 4D 28 41 0F 28 D7 49 C1 E9 30 F2 45 0F 5C D0 F2 45 0F 59 C7 F2 41 0F 59 D7 41 C1 E0 04 41 81 E1 0F 80 FF FF 45 0B C8 66 44 89 4D 2E F2 44 0F 10 75 28 F2 45 0F 59 C6 F2 0F 59 E2 F2 41 0F 59 D2 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 E2 0F 28 C1 F2 41 0F 59 C0 F2 0F 11 45 10 F2 0F 10 7D 10 F2 0F 10 35 ?? ?? ?? ?? F2 41 0F 5C F8 F2 0F 59 F4 F2 0F 11 7D 08 F2 0F 10 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 F4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 41 0F 59 F7 F2 45 0F 59 FA F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F5 F2 41 0F 59 FC F2 41 0F 58 F7 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 F6 F2 41 0F 59 FC F2 0F 10 55 10 F2 0F 10 5D 08 F2 44 0F 10 15 ?? ?? ?? ?? F2 0F 5C D3 F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 15 ?? ?? ?? ?? F2 41 0F 59 FC F2 45 0F 59 D4 F2 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 FC F2 0F 11 55 10 0F 28 D1 F2 0F 10 65 10 F2 0F 10 1D ?? ?? ?? ?? F2 44 0F 5C C4 F2 41 0F 59 D4 F2 0F 58 3D ?? ?? ?? ?? 44 0F 28 FB F2 44 0F 11 45 08 F2 44 0F 10 45 10 F2 0F 10 6D 08 F2 0F 11 55 10 F2 0F 58 F5 F2 41 0F 59 FC F2 44 0F 58 3D ?? ?? ?? ?? F2 0F 10 65 10 F2 45 0F 58 FA F2 41 0F 59 FC F2 41 0F 5C E4 F2 45 0F 59 FC F2 41 0F 59 FC F2 0F 10 05 ?? ?? ?? ?? 45 0F 28 D4 44 0F 28 F0 F2 0F 11 65 08 F2 0F 10 6D 10 F2 0F 10 55 08 F2 44 0F 58 35 ?? ?? ?? ?? F2 0F 5C EA F2 45 0F 58 F7 F2 0F 11 6D 10 44 0F 28 F9 F2 0F 10 65 10 F2 44 0F 58 F7 F2 44 0F 5C D4 F2 41 0F 59 F6 F2 44 0F 11 55 08 F2 44 0F 10 75 10 41 0F 28 EE 41 0F 28 E6 F2 41 0F 59 EE F2 41 0F 58 E4 F2 44 0F 59 F3 F2 44 0F 59 FD F2 0F 10 55 08 F2 44 0F 11 7D 10 F2 44 0F 10 55 10 F2 0F 59 E2 F2 44 0F 5C D5 F2 0F 59 DA F2 44 0F 11 55 08 F2 44 0F 10 55 10 F2 44 0F 10 7D 08 F2 0F 10 15 ?? ?? ?? ?? F2 45 0F 5C D7 F2 41 0F 59 D4 F2 44 0F 11 55 10 F2 44 0F 10 7D 10 F2 41 0F 5C EF 45 0F 28 FE F2 0F 58 15 ?? ?? ?? ?? F2 0F 11 6D 08 F2 44 0F 10 55 10 F2 44 0F 59 15 ?? ?? ?? ?? F2 41 0F 59 D4 F2 45 0F 58 FA F2 0F 58 15 ?? ?? ?? ?? F2 0F 10 6D 08 F2 0F 58 D7 F2 0F 58 EC F2 41 0F 59 D0 F2 0F 59 2D ?? ?? ?? ?? F2 44 0F 11 7D 10 F2 44 0F 10 7D 10 F2 44 0F 11 55 20 F2 45 0F 5C F7 F2 45 0F 58 F2 F2 44 0F 11 75 08 44 0F 28 F0 F2 44 0F 10 7D 10 F2 44 0F 10 55 08 F2 45 0F 58 F7 F2 44 0F 11 75 10 F2 44 0F 10 75 10 F2 41 0F 5C C6 F2 41 0F 58 C7 F2 0F 11 45 08 F2 44 0F 10 75 10 F2 41 0F 59 CE F2 44 0F 10 7D 08 F2 0F 11 4D 10 F2 0F 10 4D 10 F2 41 0F 5C CE F2 0F 11 4D 08 F2 0F 10 4D 10 F2 0F 10 45 08 F2 0F 5C C8 F2 0F 11 4D 10 F2 0F 10 45 10 F2 44 0F 5C F0 F2 44 0F 11 75 08 F2 0F 10 45 10 F2 44 0F 10 75 08 F3 44 0F 5A 21 F2 45 0F 58 F2 66 44 0F 2F 25 ?? ?? ?? ?? F2 45 0F 58 F7 F2 44 0F 58 F3 F2 44 0F 58 F5 F2 45 0F 59 F0 F2 44 0F 59 C0 F2 41 0F 58 F6 F2 0F 58 F2 77 4C F2 0F 10 15 ?? ?? ?? ?? 0F 28 C2 F2 0F 10 25 ?? ?? ?? ?? F2 41 0F 5C C0 F2 0F 5C E6 F2 0F 11 45 10 F2 0F 10 4D 10 F2 44 0F 11 45 00 F2 0F 5C D1 F2 41 0F 5C D0 F2 0F 11 55 08 F2 44 0F 10 45 10 F2 0F 10 5D 08 0F 28 F3 F2 0F 58 F4 F2 44 0F 58 C6 F2 45 0F 5A C0 F3 44 0F 11 02 EB 2B 66 41 0F 2E C4 7A 02 74 73 44 0F 57 25 ?? ?? ?? ?? 66 41 0F 2E C4 7A 02 74 48 B8 01 00 00 00 F3 0F 5C C9 F3 0F 5E C9 F3 0F 11 0A 0F 28 75 50 0F 28 7D 40 44 0F 28 45 30 44 0F 28 95 90 00 00 00 44 0F 28 A5 80 00 00 00 44 0F 28 75 70 44 0F 28 7D 60 48 8B 9D A0 00 00 00 48 8D A5 B0 00 00 00 5D C3 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 5A C0 F3 0F 11 02 EB AF F2 0F 5A 05 ?? ?? ?? ?? F3 0F 11 02 EB A1 F3 0F 5E C9 F3 0F 11 0A BA 01 00 00 00 33 C0 F7 01 FF FF 7F 00 0F 44 C2 EB 87 66 90 }
	condition:
		$1
}

rule file_330_0_0 {
	meta:
		name = "__common_satan2_cout_rare"
		size = 4656
		refs = "010c _vmldAtanHATab"
	strings:
		$1 = { 56 41 55 48 81 EC B8 00 00 00 F3 0F 10 19 F3 0F 10 12 F3 0F 5A C3 F3 0F 5A CA F2 0F 11 44 24 38 F2 0F 11 4C 24 40 0F B7 41 02 25 80 7F 00 00 44 8A 52 03 44 0F B7 4C 24 3E 41 80 E2 80 0F B7 74 24 46 41 81 E1 F0 7F 00 00 81 E6 F0 7F 00 00 C1 E8 07 44 8A 59 03 41 C0 EB 07 41 C0 EA 07 44 0F 29 BC 24 90 00 00 00 44 0F 29 B4 24 A0 00 00 00 44 0F 29 6C 24 70 44 0F 29 A4 24 80 00 00 00 41 C1 E9 04 C1 EE 04 3D FF 00 00 00 0F 84 65 10 00 00 44 0F B7 6A 02 41 81 E5 80 7F 00 00 41 81 FD 80 7F 00 00 0F 84 4C 10 00 00 45 85 C9 75 0C F7 01 FF FF 7F 00 0F 84 8F 0F 00 00 85 F6 75 0C F7 02 FF FF 7F 00 0F 84 3E 0F 00 00 F7 DE F2 0F 11 44 24 38 41 03 F1 F2 0F 11 4C 24 40 8A 54 24 3F 8A 44 24 47 80 E2 7F 24 7F 83 FE CA 0F 8E 42 0E 00 00 83 FE 36 0F 8D EB 0D 00 00 88 44 24 47 45 84 D2 88 54 24 3F 75 0D F2 0F 10 0D ?? ?? ?? ?? 0F 28 D1 EB 10 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 64 24 38 45 85 C9 F2 0F 10 44 24 40 0F 28 EC F2 0F 5E E8 48 8B 44 24 38 F2 0F 11 6C 24 58 0F 8E 8D 0F 00 00 41 81 F9 FE 07 00 00 7D 21 48 89 44 24 38 41 81 C1 01 FC FF FF 48 C1 E8 30 25 0F 80 FF FF 0D F0 3F FF FF 66 89 44 24 3E EB 18 F2 0F 10 1D ?? ?? ?? ?? 41 B9 FE 03 00 00 F2 0F 59 E3 F2 0F 11 64 24 38 41 F7 D9 48 8B 05 ?? ?? ?? ?? 41 81 C1 FF 03 00 00 48 89 44 24 40 41 81 E1 FF 07 00 00 48 C1 E8 30 41 C1 E1 04 25 0F 80 FF FF 41 0B C1 66 89 44 24 46 F2 0F 10 5C 24 40 F2 0F 59 C3 66 0F 2F 2D ?? ?? ?? ?? 0F 82 40 08 00 00 F2 44 0F 10 2D ?? ?? ?? ?? 0F 28 D8 F2 41 0F 59 DD 44 0F 28 F0 F2 0F 11 5C 24 20 F2 44 0F 10 7C 24 20 F2 0F 11 6C 24 40 F2 44 0F 5C F8 F2 44 0F 11 7C 24 28 F2 0F 10 6C 24 20 F2 0F 10 64 24 28 8B 4C 24 44 8B F1 81 E1 00 00 08 00 81 E6 00 00 F0 FF 81 C9 00 00 04 00 F2 0F 5C EC F2 0F 11 6C 24 20 0B F1 F2 0F 10 5C 24 20 C7 44 24 40 00 00 00 00 F2 44 0F 5C F3 89 74 24 44 F2 44 0F 11 74 24 28 F2 0F 10 6C 24 20 F2 0F 10 64 24 40 F2 44 0F 10 74 24 28 F2 0F 59 EC F2 44 0F 59 F4 F2 44 0F 10 25 ?? ?? ?? ?? F2 41 0F 59 EC F2 45 0F 59 F4 44 0F 28 FD 0F B7 54 24 5E F2 45 0F 58 FE F2 44 0F 11 7C 24 20 81 E2 F0 7F 00 00 F2 0F 10 5C 24 20 C1 EA 04 F2 0F 5C EB F2 0F 10 5C 24 38 F2 41 0F 58 EE F2 0F 11 6C 24 28 44 0F 28 FB F2 44 0F 10 64 24 20 F2 44 0F 10 74 24 28 F2 45 0F 58 FC F2 44 0F 11 7C 24 20 44 0F 28 FB F2 0F 10 6C 24 20 8B 44 24 5C F2 44 0F 5C FD F2 44 0F 11 7C 24 28 25 FF FF 0F 00 F2 44 0F 10 7C 24 20 F2 0F 10 6C 24 28 C1 E2 14 F2 44 0F 58 FD F2 44 0F 11 7C 24 30 44 0F 28 FB F2 0F 10 6C 24 28 0B D0 81 C2 00 00 40 C0 B8 71 00 00 00 C1 FA 13 F2 44 0F 58 E5 F2 44 0F 11 64 24 28 83 FA 71 F2 44 0F 10 64 24 30 0F 4C C2 48 8D 15 ?? ?? ?? ?? 03 C0 48 8B CA 48 63 C0 F2 45 0F 5C FC F2 44 0F 11 7C 24 30 F2 0F 10 6C 24 28 F2 44 0F 10 64 24 30 F2 41 0F 58 EC F2 0F 11 6C 24 30 F2 0F 10 6C 24 20 F2 44 0F 10 64 24 30 F2 45 0F 58 E6 44 0F 28 F5 F2 45 0F 59 F5 F2 44 0F 11 74 24 20 F2 44 0F 10 7C 24 20 F2 44 0F 5C FD F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 74 24 28 F2 45 0F 5C FE F2 44 0F 11 7C 24 20 44 0F 28 FB F2 44 0F 10 74 24 20 F2 44 0F 59 3D ?? ?? ?? ?? F2 41 0F 5C EE F2 0F 11 6C 24 28 F2 0F 10 6C 24 20 F2 44 0F 10 74 24 28 F2 44 0F 11 7C 24 20 F2 45 0F 58 E6 F2 44 0F 10 74 24 20 F2 44 0F 5C 74 24 38 F2 44 0F 11 74 24 28 F2 44 0F 10 74 24 20 F2 44 0F 10 7C 24 28 F2 45 0F 5C F7 F2 44 0F 11 74 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C DF F2 0F 11 5C 24 28 F2 0F 10 5C 24 20 F2 44 0F 10 74 24 28 F2 0F 59 DC F2 44 0F 59 F4 0F 28 E3 F2 41 0F 58 E6 F2 0F 11 64 24 20 F2 44 0F 10 7C 24 20 F2 41 0F 5C DF F2 41 0F 58 DE F2 0F 11 5C 24 28 0F 28 D8 F2 44 0F 10 74 24 20 F2 44 0F 10 7C 24 28 F2 41 0F 58 DE F2 0F 11 5C 24 20 0F 28 D8 F2 0F 10 64 24 20 F2 0F 5C DC F2 0F 11 5C 24 28 F2 0F 10 5C 24 20 F2 0F 10 64 24 28 F2 0F 58 DC F2 0F 11 5C 24 30 F2 0F 10 64 24 28 F2 44 0F 58 F4 F2 44 0F 11 74 24 28 F2 44 0F 10 74 24 30 F2 41 0F 5C C6 F2 0F 11 44 24 30 F2 0F 10 5C 24 28 F2 0F 10 44 24 30 F2 0F 58 D8 F2 0F 11 5C 24 30 F2 0F 10 5C 24 20 F2 0F 10 44 24 30 F2 41 0F 58 C7 44 0F 28 FB F2 45 0F 59 FD F2 44 0F 11 7C 24 20 F2 0F 10 64 24 20 F2 0F 5C E3 F2 0F 11 64 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 74 24 28 F2 45 0F 5C FE F2 44 0F 11 7C 24 20 F2 44 0F 10 74 24 20 F2 41 0F 5C DE F2 44 0F 10 35 ?? ?? ?? ?? F2 0F 11 5C 24 28 F2 44 0F 10 7C 24 20 F2 0F 10 5C 24 28 F2 0F 58 C3 41 0F 28 DE F2 41 0F 5E DF 0F 28 E3 F2 41 0F 59 E5 F2 0F 11 64 24 28 F2 0F 10 64 24 28 F2 0F 5C E3 F2 0F 11 64 24 30 F2 0F 10 64 24 28 F2 0F 10 5C 24 30 F2 0F 5C E3 F2 0F 11 64 24 30 F2 0F 10 5C 24 30 F2 44 0F 59 FB F2 45 0F 5C F7 F2 44 0F 10 7C 24 30 F2 41 0F 59 C7 F2 0F 11 44 24 28 F2 0F 10 44 24 28 F2 44 0F 5C F0 F2 44 0F 11 74 24 28 F2 0F 10 64 24 28 4C 8B 4C 24 30 F2 0F 10 5C 24 28 F2 44 0F 10 74 24 30 4C 89 4C 24 48 F2 44 0F 10 7C 24 48 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 E3 41 0F 28 DF F2 0F 59 DD F2 41 0F 59 E6 44 0F 28 F4 F2 45 0F 59 F4 F2 0F 59 EC F2 45 0F 59 E7 F2 44 0F 58 F5 F2 44 0F 10 3D ?? ?? ?? ?? F2 45 0F 58 F4 F2 44 0F 11 74 24 20 44 0F 28 E3 F2 44 0F 10 74 24 20 F2 45 0F 58 E6 F2 44 0F 11 64 24 20 F2 0F 10 6C 24 20 F2 0F 5C DD F2 41 0F 58 DE F2 0F 11 5C 24 28 F2 0F 10 6C 24 20 0F 28 C5 0F 28 E5 F2 0F 59 C5 F2 41 0F 59 E5 F2 44 0F 59 F8 F2 0F 10 5C 24 28 F2 0F 11 64 24 20 F2 44 0F 10 74 24 20 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 5C F5 F2 44 0F 59 F8 F2 44 0F 11 74 24 28 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 41 0F 59 C7 F2 44 0F 10 7C 24 20 F2 44 0F 10 64 24 28 F2 44 0F 59 E8 F2 45 0F 5C FC F2 44 0F 11 7C 24 20 F2 44 0F 10 74 24 20 F2 41 0F 5C EE F2 0F 11 6C 24 28 F2 44 0F 10 64 24 20 F2 0F 10 6C 24 28 F2 44 0F 11 6C 24 20 F2 0F 58 DD F2 44 0F 10 6C 24 20 F2 44 0F 5C E8 F2 44 0F 11 6C 24 28 F2 44 0F 10 7C 24 20 F2 44 0F 10 74 24 28 F2 45 0F 5C FE F2 44 0F 11 7C 24 20 F2 0F 10 64 24 20 F2 0F 5C C4 F2 0F 11 44 24 28 F2 0F 10 44 24 20 F2 0F 10 6C 24 28 44 0F 28 F0 44 0F 28 FD F2 44 0F 59 FB F2 0F 59 C3 F2 41 0F 59 EC F2 45 0F 59 F4 F2 44 0F 58 F8 41 0F 28 C6 41 0F 28 E6 F2 44 0F 58 FD F2 41 0F 58 C4 F2 44 0F 11 7C 24 20 F2 44 0F 10 7C 24 20 F2 0F 11 44 24 20 F2 44 0F 10 6C 24 20 F2 41 0F 5C E5 F2 0F 11 64 24 28 F2 0F 10 6C 24 20 F2 0F 10 44 24 28 F2 0F 58 E8 F2 0F 11 6C 24 30 F2 44 0F 10 6C 24 28 F2 45 0F 58 E5 F2 44 0F 11 64 24 28 F2 44 0F 10 64 24 30 F2 45 0F 5C F4 F2 44 0F 11 74 24 30 F2 0F 10 44 24 28 F2 44 0F 10 74 24 30 F2 41 0F 58 C6 F2 0F 11 44 24 30 4C 8B 6C 24 20 4C 89 6C 24 48 F2 44 0F 10 74 24 48 41 0F 28 EE 45 0F 28 EE F2 0F 10 64 24 30 F2 0F 58 2C C2 F2 0F 58 DC F2 0F 11 6C 24 20 F2 41 0F 58 DF F2 44 0F 10 64 24 20 F2 0F 11 5C 24 50 F2 45 0F 5C EC F2 44 0F 11 6C 24 28 F2 0F 10 44 24 20 F2 44 0F 10 7C 24 28 F2 41 0F 58 C7 F2 0F 11 44 24 30 F2 0F 10 64 24 28 F2 0F 58 24 C1 F2 0F 11 64 24 28 F2 0F 10 6C 24 30 F2 44 0F 5C F5 F2 44 0F 11 74 24 30 F2 44 0F 10 6C 24 28 F2 44 0F 10 64 24 30 F2 45 0F 58 EC F2 44 0F 11 6C 24 30 48 8B 4C 24 20 F2 0F 10 44 24 30 48 89 4C 24 48 48 8D 15 ?? ?? ?? ?? F2 0F 58 D8 41 C0 E3 07 0F 28 C1 F2 0F 58 5C C2 08 41 8A C2 C0 E0 07 F2 0F 11 5C 24 50 48 C1 E9 38 40 8A 74 24 57 44 8A CE 40 C0 EE 07 41 80 E1 7F 80 E1 7F 44 32 D6 0A C8 88 4C 24 4F F2 44 0F 10 74 24 48 41 0F 28 E6 F2 41 0F 58 C6 41 C0 E2 07 F2 0F 11 44 24 20 F2 0F 10 5C 24 20 F2 0F 5C E3 F2 0F 11 64 24 28 45 0A CA F2 44 0F 10 64 24 20 F2 0F 10 6C 24 28 44 88 4C 24 57 F2 44 0F 58 E5 F2 44 0F 11 64 24 30 F2 44 0F 10 6C 24 28 F2 41 0F 58 CD F2 0F 11 4C 24 28 F2 0F 10 4C 24 30 F2 44 0F 5C F1 F2 44 0F 11 74 24 30 F2 0F 10 44 24 28 F2 44 0F 10 7C 24 30 F2 41 0F 58 C7 F2 0F 11 44 24 30 4C 8B 54 24 20 F2 0F 10 4C 24 30 4C 89 54 24 48 F2 0F 58 4C 24 50 F2 0F 58 CA F2 0F 10 54 24 48 F2 0F 11 4C 24 50 F2 0F 58 D1 F2 0F 11 54 24 68 44 8A 6C 24 6F 41 80 E5 7F 45 0A EB 44 88 6C 24 6F F2 0F 5A 44 24 68 F3 41 0F 11 00 E9 93 06 00 00 F2 44 0F 10 6C 24 38 41 8A CA 41 0F 28 ED F2 0F 59 2D ?? ?? ?? ?? C0 E1 07 41 C0 E3 07 F2 0F 11 6C 24 20 F2 0F 10 64 24 20 F2 0F 10 2D ?? ?? ?? ?? F2 0F 5C 64 24 38 F2 0F 11 64 24 28 F2 0F 10 5C 24 20 F2 44 0F 10 7C 24 28 F2 41 0F 5C DF F2 0F 11 5C 24 20 F2 44 0F 10 64 24 20 F2 45 0F 5C EC 44 0F 28 E0 F2 44 0F 59 E5 F2 44 0F 11 6C 24 28 F2 0F 10 5C 24 20 F2 0F 10 64 24 28 F2 44 0F 11 64 24 20 F2 44 0F 10 7C 24 20 F2 44 0F 5C F8 F2 44 0F 11 7C 24 28 F2 44 0F 10 64 24 20 F2 44 0F 10 74 24 28 F2 45 0F 5C E6 F2 44 0F 11 64 24 20 F2 44 0F 10 6C 24 20 F2 41 0F 5C C5 F2 0F 11 44 24 28 F2 0F 10 05 ?? ?? ?? ?? F2 44 0F 10 74 24 20 44 0F 28 E8 F2 45 0F 5E EE 45 0F 28 FD F2 44 0F 59 FD F2 44 0F 10 64 24 28 F2 44 0F 11 7C 24 28 F2 44 0F 10 7C 24 28 F2 45 0F 5C FD F2 44 0F 11 7C 24 30 F2 44 0F 10 7C 24 28 F2 44 0F 10 6C 24 30 F2 45 0F 5C FD F2 44 0F 11 7C 24 30 F2 44 0F 10 6C 24 30 F2 45 0F 59 F5 F2 41 0F 5C C6 F2 44 0F 10 74 24 30 F2 45 0F 59 E6 F2 44 0F 11 64 24 28 F2 44 0F 10 64 24 28 F2 41 0F 5C C4 F2 0F 11 44 24 28 F2 44 0F 10 64 24 28 48 8B 44 24 30 F2 0F 10 44 24 28 48 89 44 24 48 F2 44 0F 10 6C 24 48 F2 44 0F 58 25 ?? ?? ?? ?? F2 44 0F 59 E0 F2 0F 10 44 24 30 F2 44 0F 59 E0 41 0F 28 C5 F2 0F 59 C3 F2 44 0F 59 EC F2 41 0F 59 DC 45 0F 28 FC F2 44 0F 59 FC F2 44 0F 58 FB 0F 28 D8 F2 45 0F 58 FD F2 44 0F 11 7C 24 20 F2 44 0F 10 64 24 20 F2 44 0F 10 3D ?? ?? ?? ?? F2 41 0F 58 DC F2 0F 11 5C 24 20 F2 0F 10 64 24 20 F2 0F 5C C4 F2 41 0F 58 C4 F2 0F 11 44 24 28 F2 0F 10 44 24 58 F2 0F 59 C0 F2 44 0F 59 F8 F2 44 0F 10 74 24 20 45 0F 28 EE F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 ED F2 44 0F 59 F8 F2 0F 10 5C 24 28 F2 44 0F 11 6C 24 20 F2 0F 10 64 24 20 F2 44 0F 58 3D ?? ?? ?? ?? F2 41 0F 5C E6 F2 44 0F 59 F8 F2 0F 11 64 24 28 F2 44 0F 10 64 24 20 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 44 0F 58 3D ?? ?? ?? ?? F2 44 0F 59 F8 F2 0F 10 44 24 28 F2 41 0F 59 EF F2 44 0F 5C E0 F2 44 0F 11 64 24 20 F2 44 0F 10 6C 24 20 F2 45 0F 5C F5 F2 44 0F 11 74 24 28 F2 44 0F 10 6C 24 20 F2 44 0F 10 74 24 28 F2 0F 11 6C 24 20 F2 41 0F 58 DE F2 0F 10 6C 24 20 F2 41 0F 5C EF F2 0F 11 6C 24 28 F2 44 0F 10 64 24 20 F2 0F 10 44 24 28 F2 44 0F 5C E0 F2 44 0F 11 64 24 20 F2 0F 10 64 24 20 F2 44 0F 5C FC F2 44 0F 11 7C 24 28 F2 44 0F 10 74 24 20 F2 44 0F 10 7C 24 28 45 0F 28 E6 41 0F 28 C7 F2 0F 59 C3 F2 44 0F 59 F3 F2 45 0F 59 FD F2 45 0F 59 E5 F2 41 0F 58 C6 41 0F 28 E4 45 0F 28 F4 F2 41 0F 58 C7 F2 41 0F 58 E5 F2 0F 11 44 24 20 F2 0F 10 44 24 20 F2 0F 11 64 24 20 F2 0F 10 6C 24 20 F2 44 0F 5C F5 F2 44 0F 11 74 24 28 F2 0F 10 6C 24 20 F2 0F 10 64 24 28 F2 0F 58 EC F2 0F 11 6C 24 30 F2 44 0F 10 7C 24 28 F2 45 0F 58 EF F2 44 0F 11 6C 24 28 F2 44 0F 10 6C 24 30 F2 45 0F 5C E5 F2 44 0F 11 64 24 30 F2 0F 10 6C 24 28 F2 0F 10 64 24 30 F2 0F 58 EC F2 0F 11 6C 24 30 48 8B 54 24 20 F2 44 0F 10 64 24 30 48 89 54 24 48 F2 41 0F 58 DC 48 C1 EA 38 F2 0F 58 D8 80 E2 7F 0A D1 88 54 24 4F F2 0F 11 5C 24 50 0F 28 D9 F2 44 0F 10 6C 24 48 41 0F 28 C5 F2 41 0F 58 DD F2 0F 11 5C 24 20 F2 0F 10 5C 24 20 40 8A 74 24 57 44 8A CE 40 C0 EE 07 F2 0F 5C C3 F2 0F 11 44 24 28 F2 0F 10 6C 24 20 F2 0F 10 64 24 28 44 32 D6 41 80 E1 7F 41 C0 E2 07 F2 0F 58 EC F2 0F 11 6C 24 30 F2 44 0F 10 64 24 28 F2 41 0F 58 CC F2 0F 11 4C 24 28 45 0A CA F2 0F 10 4C 24 30 44 88 4C 24 57 F2 44 0F 5C E9 F2 44 0F 11 6C 24 30 F2 0F 10 5C 24 28 F2 0F 10 44 24 30 F2 0F 58 D8 F2 0F 11 5C 24 30 4C 8B 54 24 20 F2 0F 10 64 24 30 4C 89 54 24 48 F2 0F 58 64 24 50 F2 0F 58 E2 F2 0F 10 54 24 48 F2 0F 11 64 24 50 F2 0F 58 D4 F2 0F 11 54 24 68 44 8A 6C 24 6F 41 80 E5 7F 45 0A EB 44 88 6C 24 6F F2 0F 5A 44 24 68 F3 41 0F 11 00 E9 C5 01 00 00 83 FE 4A 0F 8D 27 01 00 00 88 54 24 3F F2 0F 5E 4C 24 38 F2 0F 10 05 ?? ?? ?? ?? 41 C0 E3 07 F2 0F 5C C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 11 44 24 68 8A 44 24 6F 24 7F 41 0A C3 88 44 24 6F F2 0F 5A 4C 24 68 F3 41 0F 11 08 E9 77 01 00 00 45 84 D2 0F 85 3C 01 00 00 88 54 24 3F 88 44 24 47 F2 0F 10 54 24 38 F2 0F 5E 54 24 40 F2 0F 5A C2 F3 0F 11 44 24 60 0F B7 44 24 62 A9 80 7F 00 00 F2 0F 11 54 24 68 74 43 F2 0F 10 05 ?? ?? ?? ?? 41 C0 E3 07 F2 0F 58 C2 F2 0F 11 44 24 20 F2 0F 10 4C 24 20 F2 0F 59 D1 F2 0F 11 54 24 68 8A 44 24 6F 24 7F 41 0A C3 88 44 24 6F F2 0F 5A 54 24 68 F3 41 0F 11 10 E9 FB 00 00 00 F2 0F 5A 44 24 68 41 C0 E3 07 F3 0F 11 44 24 60 F3 0F 10 54 24 60 F3 0F 10 4C 24 60 F3 0F 59 D1 F3 0F 11 54 24 60 F3 0F 10 5C 24 60 F3 0F 5A DB F2 0F 58 5C 24 68 F2 0F 11 5C 24 68 8A 44 24 6F 24 7F 41 0A C3 88 44 24 6F F2 0F 5A 64 24 68 F3 }
	condition:
		$1
}

rule file_345_0_0 {
	meta:
		name = "__avx_atan24"
		size = 768
		refs = "0063 __common_datan2_data 02f4 __common_datan2_cout_rare"
	strings:
		$1 = { 48 81 EC 58 02 00 00 C5 7C 11 AC 24 70 01 00 00 C5 7C 11 A4 24 D0 01 00 00 C5 7C 11 9C 24 B0 01 00 00 C5 7C 11 94 24 10 02 00 00 C5 7C 11 8C 24 F0 01 00 00 C5 7C 11 84 24 90 01 00 00 C5 FC 11 BC 24 50 01 00 00 C5 FC 11 B4 24 30 02 00 00 4C 89 AC 24 50 02 00 00 4C 8D AC 24 AF 00 00 00 C5 FD 10 25 ?? ?? ?? ?? 49 83 E5 C0 C5 7D 10 15 ?? ?? ?? ?? C5 F5 54 D4 C5 FD 54 EC C5 D5 C2 DA 15 C4 41 6D 56 EA C4 C3 55 4B E5 30 C4 63 6D 4B C5 30 C4 41 5D 5E E8 C5 F8 10 25 ?? ?? ?? ?? C5 65 54 25 ?? ?? ?? ?? C4 41 75 54 DA C4 41 7D 54 CA C5 78 10 15 ?? ?? ?? ?? C4 E3 7D 19 D6 01 C4 E3 7D 19 EF 01 C5 E8 C6 DE DD C5 D0 C6 EF DD C5 61 FA C4 C5 D1 FA FC C4 C1 39 66 D2 C5 F5 C2 25 ?? ?? ?? ?? 12 C4 C1 39 76 F2 C4 C1 41 66 EA C4 41 41 76 D2 C5 E9 EB DE C4 41 51 EB D2 C4 C1 61 EB EA C5 5D 54 15 ?? ?? ?? ?? C4 C1 15 59 E5 C5 F8 50 D5 C5 DD 59 EC C5 D5 59 DD C5 65 59 05 ?? ?? ?? ?? C5 E5 59 3D ?? ?? ?? ?? C5 E5 59 15 ?? ?? ?? ?? C5 BD 58 35 ?? ?? ?? ?? C5 45 58 05 ?? ?? ?? ?? C5 ED 58 15 ?? ?? ?? ?? C5 CD 59 F3 C5 E5 59 3D ?? ?? ?? ?? C5 ED 59 D3 C5 3D 59 C3 C5 CD 58 35 ?? ?? ?? ?? C5 C5 58 3D ?? ?? ?? ?? C5 ED 58 15 ?? ?? ?? ?? C5 3D 58 05 ?? ?? ?? ?? C5 CD 59 F3 C5 C5 59 FB C5 ED 59 D3 C5 3D 59 C3 C5 CD 58 35 ?? ?? ?? ?? C5 C5 58 3D ?? ?? ?? ?? C5 ED 58 15 ?? ?? ?? ?? C5 3D 58 05 ?? ?? ?? ?? C5 CD 59 F3 C5 C5 59 FB C5 ED 59 D3 C5 3D 59 C3 C5 CD 58 35 ?? ?? ?? ?? C5 C5 58 3D ?? ?? ?? ?? C5 ED 58 15 ?? ?? ?? ?? C5 3D 58 05 ?? ?? ?? ?? C5 CD 59 F4 C5 C5 59 DB C5 BD 59 E4 C5 CD 58 FA C5 E5 58 1D ?? ?? ?? ?? C5 C5 59 ED C5 DD 58 D3 C5 D5 58 DA C4 41 65 59 ED C4 41 15 58 E4 C4 41 1D 56 DB C4 C1 25 58 D2 C4 C1 6D 56 D1 85 D2 75 5C C5 FC 10 B4 24 30 02 00 00 C5 FC 10 BC 24 50 01 00 00 C5 7C 10 84 24 90 01 00 00 C5 7C 10 8C 24 F0 01 00 00 C5 7C 10 94 24 10 02 00 00 C5 7C 10 9C 24 B0 01 00 00 C5 7C 10 A4 24 D0 01 00 00 C5 7C 10 AC 24 70 01 00 00 4C 8B AC 24 50 02 00 00 C5 FD 28 C2 48 81 C4 58 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 C4 C1 7D 11 95 80 00 00 00 74 8D 33 C0 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 5C 24 68 8B D8 48 89 74 24 60 8B F2 0F A3 DE 72 2B FF C3 83 FB 20 7C F4 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 95 80 00 00 00 48 8B 5C 24 68 48 8B 74 24 60 E9 41 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 4D 8D 84 DD 80 00 00 00 E8 ?? ?? ?? ?? EB B9 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_350_0_0 {
	meta:
		name = "__common_dcosh_cout_rare"
		size = 1056
		refs = "0030 _vmldCoshHATab"
	strings:
		$1 = { 48 81 EC 88 00 00 00 33 C0 44 0F B7 41 06 41 81 E0 F0 7F 00 00 44 0F 29 74 24 70 41 81 F8 F0 7F 00 00 44 0F 29 5C 24 50 0F 29 7C 24 60 4C 8B 0D ?? ?? ?? ?? 0F 84 CE 03 00 00 48 8B 09 48 89 4C 24 40 48 C1 E9 38 83 E1 7F 88 4C 24 47 44 0F B7 44 24 46 41 81 E0 F0 7F 00 00 41 81 F8 90 3C 00 00 0F 8E 76 03 00 00 F2 44 0F 10 74 24 40 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C6 0F 86 45 03 00 00 F2 0F 10 15 ?? ?? ?? ?? 4C 89 4C 24 40 F2 41 0F 59 D6 66 44 0F 2F 35 ?? ?? ?? ?? 0F 82 4A 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 11 54 24 20 F2 0F 10 4C 24 20 44 8B 44 24 20 41 8B C8 83 E1 3F F2 0F 5C 0D ?? ?? ?? ?? F2 0F 11 4C 24 28 44 8D 14 09 F2 0F 10 54 24 28 8D 4C 09 01 F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 5C 24 28 F2 44 0F 5C F2 F2 0F 59 1D ?? ?? ?? ?? F2 44 0F 5C F3 F2 41 0F 59 E6 F2 43 0F 10 0C D3 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E6 41 C1 E8 06 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E6 41 81 C0 FF 03 00 00 41 FF C8 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E6 41 81 E0 FF 07 00 00 41 81 F8 FE 07 00 00 F2 0F 58 25 ?? ?? ?? ?? F2 41 0F 59 E6 F2 41 0F 59 E6 F2 41 0F 58 E6 F2 0F 59 E1 F2 41 0F 58 24 CB F2 0F 58 CC 77 2B 49 C1 E9 30 41 C1 E0 04 41 81 E1 0F 80 FF FF 45 0B C8 66 44 89 4C 24 46 F2 0F 10 44 24 40 F2 0F 59 C1 F2 0F 11 02 E9 3F 02 00 00 41 FF C8 41 81 E0 FF 07 00 00 0F B7 4C 24 46 41 C1 E0 04 81 E1 0F 80 FF FF 41 0B C8 66 89 4C 24 46 F2 0F 10 44 24 40 F2 0F 59 C8 F2 0F 59 0D ?? ?? ?? ?? F2 0F 11 0A E9 03 02 00 00 F2 0F 10 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 44 0F B7 4C 24 46 F2 0F 58 D1 F2 0F 11 54 24 20 41 81 E1 0F 80 FF FF F2 0F 10 7C 24 20 44 8B 5C 24 20 45 8B D3 41 C1 EA 06 41 83 E3 3F 41 81 C2 FF 03 00 00 F2 0F 5C 3D ?? ?? ?? ?? F2 0F 11 7C 24 28 41 8D 4A FF F2 44 0F 10 5C 24 28 81 E1 FF 07 00 00 F2 44 0F 59 1D ?? ?? ?? ?? 41 F7 DA F2 0F 10 64 24 28 41 83 C2 FC F2 0F 59 25 ?? ?? ?? ?? F2 45 0F 5C F3 F2 44 0F 10 1D ?? ?? ?? ?? 41 81 E2 FF 07 00 00 C1 E1 04 F2 44 0F 5C F4 41 0F 28 EE 44 0B C9 F2 41 0F 59 EE 43 8D 0C 1B F2 44 0F 59 DD F2 44 0F 58 1D ?? ?? ?? ?? F2 41 0F 10 24 C8 F7 D9 F2 0F 10 3D ?? ?? ?? ?? 47 8D 44 1B 01 66 44 89 4C 24 46 41 81 E1 0F 80 FF FF 41 C1 E2 04 4C 8D 1D ?? ?? ?? ?? F2 0F 59 FD 45 0B CA F2 44 0F 59 DD F2 0F 58 3D ?? ?? ?? ?? F2 44 0F 58 1D ?? ?? ?? ?? F2 0F 59 FD F2 44 0F 59 DD F2 41 0F 59 FE F2 0F 10 4C 24 40 4D 8B D3 66 44 89 4C 24 46 44 8D 89 80 00 00 00 81 C1 81 00 00 00 F2 0F 10 44 24 40 F2 43 0F 10 2C C3 4D 8B C3 F2 0F 59 E1 F2 0F 59 E9 F2 43 0F 10 14 CA 0F 28 CC F2 0F 59 D0 F2 41 0F 10 1C C8 F2 0F 58 CA F2 0F 59 D8 F2 0F 11 4C 24 30 0F 28 CC F2 0F 10 44 24 30 F2 0F 5C E2 F2 0F 5C C8 F2 0F 59 FC F2 0F 58 CA 0F 28 D5 F2 0F 11 4C 24 38 F2 0F 5C D3 F2 41 0F 59 D6 F2 44 0F 59 F4 F2 0F 58 D3 F2 0F 10 4C 24 30 F2 0F 58 D5 F2 44 0F 59 D9 F2 0F 10 44 24 38 F2 0F 58 D0 F2 0F 58 D7 F2 41 0F 58 D3 F2 41 0F 58 D6 F2 0F 11 54 24 30 F2 44 0F 10 74 24 30 F2 41 0F 58 CE F2 0F 11 0A EB 29 F2 0F 10 05 ?? ?? ?? ?? B8 03 00 00 00 F2 0F 59 C0 F2 0F 11 02 EB 12 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 44 24 40 F2 0F 11 02 0F 28 7C 24 60 44 0F 28 5C 24 50 44 0F 28 74 24 70 48 81 C4 88 00 00 00 C3 F2 0F 10 01 F2 0F 59 C0 F2 0F 11 02 EB D9 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_353_0_0 {
	meta:
		name = "??0bad_alloc@std@@AEAA@QEBD@Z"
		size = 24
		refs = "0009 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_17_0_3 {
	meta:
		name = "??0__non_rtti_object@std@@AEAA@QEBDH@Z"
		size = 24
		refs = "0009 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_17_2_3 {
	meta:
		name = "??0bad_cast@std@@AEAA@QEBDH@Z"
		size = 24
		refs = "0009 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_17_4_3 {
	meta:
		name = "??0bad_typeid@std@@AEAA@QEBDH@Z"
		size = 24
		refs = "0009 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_17_22_3 {
	meta:
		name = "?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QEBD@Z"
		size = 24
		refs = "0009 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_17_23_3 {
	meta:
		name = "?__construct_from_string_literal@bad_cast@std@@SA?AV12@QEBD@Z"
		size = 24
		refs = "0009 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_17_24_3 {
	meta:
		name = "?__construct_from_string_literal@bad_typeid@std@@SA?AV12@QEBD@Z"
		size = 24
		refs = "0009 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_353_1_0 {
	meta:
		name = "??0bad_alloc@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_1_3 {
	meta:
		name = "??0__non_rtti_object@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_95_3_6 {
	meta:
		name = "??0bad_array_new_length@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7bad_array_new_length@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_109_86_1 {
	meta:
		name = "??0bad_cast@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_3_1_3 {
	meta:
		name = "??0bad_exception@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_23_2_2 {
	meta:
		name = "??0bad_function_call@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7bad_function_call@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_5_3 {
	meta:
		name = "??0bad_typeid@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_23_8_2 {
	meta:
		name = "??0invalid_argument@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_104_10_1 {
	meta:
		name = "??0length_error@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7length_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_32_5_1 {
	meta:
		name = "??0logic_error@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7logic_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_104_14_1 {
	meta:
		name = "??0out_of_range@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_104_16_1 {
	meta:
		name = "??0overflow_error@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7overflow_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_71_83_2 {
	meta:
		name = "??0runtime_error@std@@QEAA@AEBV01@@Z"
		size = 63
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy 002f ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_353_2_0 {
	meta:
		name = "??0bad_alloc@std@@QEAA@XZ"
		size = 31
		refs = "0009 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0014 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_95_4_6 {
	meta:
		name = "??0bad_array_new_length@std@@QEAA@XZ"
		size = 31
		refs = "0009 ??_C@_0BF@KINCDENJ@bad?5array?5new?5length?$AA@ 0014 ??_7bad_array_new_length@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_108_67_2 {
	meta:
		name = "??0bad_cast@std@@QEAA@XZ"
		size = 31
		refs = "0009 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 0014 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_99_49_1 {
	meta:
		name = "??0bad_exception@std@@QEAA@XZ"
		size = 31
		refs = "0009 ??_C@_0O@DPKOEFFH@bad?5exception?$AA@ 0014 ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_353_5_0 {
	meta:
		name = "??0exception@std@@QEAA@AEBV01@@Z"
		size = 53
		refs = "000f ??_7exception@std@@6B@ 0028 __std_exception_copy"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 48 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_353_6_0 {
	meta:
		name = "??0exception@std@@QEAA@QEBDH@Z"
		size = 24
		refs = "0003 ??_7exception@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 8B C1 48 89 51 08 C3 }
	condition:
		$1
}

rule file_353_7_0 {
	meta:
		name = "??1bad_alloc@std@@UEAA@XZ"
		size = 19
		refs = "0003 ??_7exception@std@@6B@ 000f __std_exception_destroy"
		altNames = "??1_System_error@std@@UEAA@XZ ??1__non_rtti_object@std@@UEAA@XZ ??1bad_array_new_length@std@@UEAA@XZ ??1bad_cast@std@@UEAA@XZ ??1bad_exception@std@@UEAA@XZ ??1bad_function_call@std@@UEAA@XZ ??1bad_typeid@std@@UEAA@XZ ??1exception@std@@UEAA@XZ ??1failure@ios_base@std@@UEAA@XZ ??1future_error@std@@UEAA@XZ ??1invalid_argument@std@@UEAA@XZ ??1length_error@std@@UEAA@XZ ??1logic_error@std@@UEAA@XZ ??1out_of_range@std@@UEAA@XZ ??1overflow_error@std@@UEAA@XZ ??1regex_error@std@@UEAA@XZ ??1runtime_error@std@@UEAA@XZ ??1system_error@std@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_353_10_0 {
	meta:
		name = "??_Gbad_alloc@std@@UEAAPEAXI@Z"
		size = 66
		refs = "000d ??_7exception@std@@6B@ 001e __std_exception_destroy 0030 ??3@YAXPEAX_K@Z"
		altNames = "??_G__non_rtti_object@std@@UEAAPEAXI@Z ??_Gbad_array_new_length@std@@UEAAPEAXI@Z ??_Gbad_cast@std@@UEAAPEAXI@Z ??_Gbad_exception@std@@UEAAPEAXI@Z ??_Gbad_function_call@std@@UEAAPEAXI@Z ??_Gbad_typeid@std@@UEAAPEAXI@Z ??_Gexception@std@@UEAAPEAXI@Z ??_Ginvalid_argument@std@@UEAAPEAXI@Z ??_Glength_error@std@@UEAAPEAXI@Z ??_Glogic_error@std@@UEAAPEAXI@Z ??_Gout_of_range@std@@UEAAPEAXI@Z ??_Goverflow_error@std@@UEAAPEAXI@Z ??_Gruntime_error@std@@UEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 83 C1 08 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA 18 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_353_13_0 {
	meta:
		name = "?__scrt_throw_std_bad_alloc@@YAXXZ"
		size = 32
		refs = "000a ??0bad_alloc@std@@QEAA@XZ 0011 _TI2?AVbad_alloc@std@@ 001b _CxxThrowException"
		altNames = "?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_104_44_1 {
	meta:
		name = "?_Xbad_function_call@std@@YAXXZ"
		size = 32
		refs = "000a ??0bad_function_call@std@@QEAA@XZ 0011 _TI2?AVbad_function_call@std@@ 001b _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_353_14_0 {
	meta:
		name = "?__scrt_throw_std_bad_array_new_length@@YAXXZ"
		size = 32
		refs = "000a ??0bad_array_new_length@std@@QEAA@XZ 0011 _TI3?AVbad_array_new_length@std@@ 001b _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_353_15_0 {
	meta:
		name = "?what@exception@std@@UEBAPEBDXZ"
		size = 18
		refs = "0008 ??_C@_0BC@EOODALEL@Unknown?5exception?$AA@"
	strings:
		$1 = { 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 0F 45 41 08 C3 }
	condition:
		$1
}

rule file_9_0_3 {
	meta:
		name = "?get_unexpected_or_default@@YAP6AXXZQEBU__vcrt_ptd@@@Z"
		size = 18
		refs = "0008 terminate"
	strings:
		$1 = { 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 0F 45 41 08 C3 }
	condition:
		$1
}

rule file_356_0_0 {
	meta:
		name = "__static_scalar_tan"
		size = 1408
		refs = "000c __spec_table"
	strings:
		$1 = { 53 56 57 41 54 48 83 EC 58 48 8D 05 ?? ?? ?? ?? F2 0F 11 84 24 80 00 00 00 48 89 44 24 40 0F 29 74 24 30 0F 29 7C 24 20 F2 0F 10 84 24 80 00 00 00 4C 8B 64 24 40 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 0F 84 0E 05 00 00 8B C8 81 E9 60 3F 00 00 C1 E9 07 81 E1 FC FF 00 00 4D 8D 9C 24 40 01 00 00 49 03 CB 66 48 0F 7E C0 44 8B 51 14 44 8B 41 18 8B D0 48 C1 E8 15 0D 00 00 00 80 C1 E8 0B 45 8B CA 4C 0F AF D2 4C 0F AF C8 4C 0F AF C0 8B 71 10 8B 79 0C 45 8B DA 49 C1 EA 20 4D 03 CA 4D 03 D8 45 8B C3 49 C1 EB 20 4D 03 CB 44 8B D6 48 0F AF F2 4C 0F AF D0 44 8B DF 48 0F AF FA 8B DE 48 C1 EE 20 4C 03 CB 41 8B D9 49 C1 E9 20 4C 03 D6 4D 03 D1 48 C1 E3 20 4C 0B C3 4C 0F AF D8 44 8B 49 08 8B 71 04 8B DF 48 C1 EF 20 4C 03 D3 41 8B DA 49 C1 EA 20 4C 03 DF 4D 03 DA 49 8B F9 4C 0F AF CA 48 0F AF F8 45 8B D1 49 C1 E9 20 4D 03 DA 45 8B D3 49 C1 EB 20 49 03 F9 49 03 FB 4C 8B CE 48 0F AF F2 4C 0F AF C8 49 C1 E2 20 4C 0B D3 8B 01 44 8B DE 48 C1 EE 20 49 03 FB 44 8B DF 48 C1 EF 20 4C 03 CE 4C 03 CF 48 0F AF D0 66 0F C5 D8 03 49 8D BC 24 40 01 00 00 48 2B CF 03 C9 03 C9 03 C9 83 C1 13 BE 00 80 00 00 23 F3 C1 EB 04 81 E3 FF 07 00 00 81 EB FF 03 00 00 2B CB 4C 03 CA 8B D1 83 C2 20 83 F9 00 0F 8C 16 03 00 00 F7 D9 83 C1 1D 41 D3 E1 41 8B F9 41 81 E1 FF FF FF 3F 41 F7 C1 00 00 00 20 0F 85 20 03 00 00 41 D3 E9 BB 00 00 00 00 49 C1 E1 20 4D 0B CB 49 83 F9 00 0F 84 89 02 00 00 4D 0F BD D9 B9 1D 00 00 00 41 2B CB 0F 8E A9 02 00 00 49 D3 E1 49 8B C2 49 D3 E2 03 D1 F7 D9 83 C1 40 48 D3 E8 49 D3 E8 4C 0B C8 4D 0B D0 F2 49 0F 2A C1 49 D1 EA F2 49 0F 2A DA 66 0F 57 E4 C1 E2 04 F7 DA 81 C2 F0 3F 00 00 0B D6 33 D3 66 0F C4 E2 03 F3 41 0F 7E 54 24 60 F3 41 0F 7E 7C 24 68 66 0F 57 ED 81 EA F0 03 00 00 66 0F C4 EA 03 F2 0F 59 C4 C1 E6 10 C1 FE 1F F2 0F 59 DD F3 0F 7E C8 F2 0F 59 C2 C1 EF 1E F2 0F 58 CB F2 0F 59 DA 03 FE 33 FE F2 0F 59 F9 8B C7 F2 0F 58 FB F3 0F 7E D0 F2 0F 58 C7 F2 0F 5C D0 F2 0F 58 FA 66 41 0F 28 0C 24 F2 0F 12 C0 66 0F 59 C8 F2 0F 12 FF F2 0F 2D D1 66 41 0F 28 54 24 10 66 0F 58 CA 66 41 0F 28 5C 24 20 66 0F 5C CA F3 41 0F 7E AC 24 80 00 00 00 C1 E0 04 81 C2 00 29 07 00 66 41 0F 28 64 24 30 66 0F 59 D9 03 D0 83 E2 1F F2 0F 59 E9 8B CA 66 0F 59 E1 D1 E1 66 0F 5C C3 66 41 0F 59 4C 24 40 03 D1 C1 E1 02 03 D1 F2 0F 58 E8 66 0F 28 D0 66 0F 5C C4 F3 41 0F 7E B4 24 90 00 00 00 C1 E2 04 49 8D 84 24 F0 01 00 00 66 41 0F 54 6C 24 50 66 0F 28 D8 48 03 C2 66 0F 5C D0 66 0F 15 C0 F2 0F 5E F5 66 0F 5C D4 F2 0F 5C DD 66 0F 5C D1 66 0F 28 48 30 66 0F 58 D7 66 0F 28 78 10 66 0F 59 F8 66 0F 28 60 60 66 0F 59 C8 66 0F 59 E0 F2 0F 58 D3 66 0F 28 D8 66 0F 59 C0 66 0F 58 38 66 0F 58 48 20 66 0F 59 C8 66 0F 58 60 50 66 0F 58 F9 66 0F 28 48 70 66 0F 59 C8 66 0F 59 C0 66 0F 58 E1 66 0F 28 48 40 66 0F 59 C8 66 0F 58 F9 66 0F 28 CB 66 0F 59 D8 F2 0F 59 C0 66 0F 59 88 90 00 00 00 66 0F 59 E3 F3 0F 7E D9 66 0F 58 FC F3 0F 7E E1 F2 0F 59 C7 66 0F 15 FF F2 0F 58 C7 66 0F 15 C9 F2 0F 58 D9 F2 0F 5C E3 F2 0F 58 CC F3 0F 7E E2 F3 0F 7E B8 90 00 00 00 66 0F 15 D2 F2 0F 58 B8 98 00 00 00 F2 0F 59 FA F2 0F 58 B8 88 00 00 00 F2 0F 58 F9 F2 0F 58 C7 F3 41 0F 7E BC 24 90 00 00 00 F2 0F 59 E6 F3 0F 7E 90 A8 00 00 00 66 0F 54 D6 F2 0F 59 EA F2 0F 59 B0 A0 00 00 00 F2 0F 5C FD F2 0F 5C 90 80 00 00 00 F2 0F 5C FC F2 0F 59 FE F3 0F 7E E3 F2 0F 5C DA F2 0F 58 D3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 5C C7 F2 0F 58 C3 E9 0B 01 00 00 83 C2 40 4D 8B CA 4D 8B D0 49 C7 C0 00 00 00 00 49 83 F9 00 0F 85 5D FD FF FF 83 C2 40 4D 8B CA 4D 8B D0 49 83 F9 00 0F 85 4A FD FF FF E9 73 FD FF FF 0F 84 6D FD FF FF F7 D9 49 D3 EA 49 8B C1 49 D3 E9 2B D1 F7 D9 83 C1 40 48 D3 E0 4C 0B D0 E9 50 FD FF FF F7 D1 49 C1 E1 20 4D 0B CB 49 D3 E1 49 8B F9 41 F7 C1 00 00 00 80 75 56 41 D3 E9 BB 00 00 00 00 48 C1 EF 02 E9 EF FC FF FF 41 D3 E9 BB 00 00 00 40 D3 EB 49 C1 E1 20 4D 0B CB 48 C1 E3 20 81 C7 00 00 00 40 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 E9 AA FC FF FF 41 D3 E9 48 BB 00 00 00 00 01 00 00 00 48 D3 EB 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 48 C1 EF 02 81 C7 00 00 00 40 E9 66 FC FF FF F2 0F 5C C0 F2 0F 11 44 24 48 0F 28 74 24 30 0F 28 7C 24 20 F2 0F 10 44 24 48 48 83 C4 58 41 5C 5F 5E 5B C3 0F 1F 00 }
	condition:
		$1
}

rule file_356_1_0 {
	meta:
		name = "__sse2_tan2"
		size = 1712
		refs = "001b MMDRSHIFT 002b MMDPI1 0033 MMDPI2 003b MMIABSMASK 0043 MMDINVPI2 0057 MMDPI3 006b MMDHUGE 007f MMDPI4 00ba MMDP3 00c2 MMDQ3 00ca MMDP0 00d2 MMDQ0 00de MMDP2 00ea MMDQ2 00f6 MMDP1 0102 MMDQ1 016e MMISIGNMASK 0193 TWO_POW_30 01a5 flAllOnes 020f THE_PI04_INV 0224 MMI_ONE 022c MSK_LOW_BIT 0234 RS 0248 PI04C_0 0254 PI04C_1 0264 PI04C_2 0295 PI04C_3 02c1 PI04C_4"
	strings:
		$1 = { 48 81 EC D8 00 00 00 0F 29 BC 24 C0 00 00 00 0F 29 B4 24 B0 00 00 00 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 D0 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? 66 0F 59 05 ?? ?? ?? ?? 66 0F 58 C6 66 0F 28 D8 66 0F 5C C6 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 E0 66 0F 59 E8 66 0F 59 F0 66 0F 66 3D ?? ?? ?? ?? 66 0F 50 C7 0B C0 0F 85 E7 00 00 00 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 F8 66 0F 28 C3 66 0F 73 F3 3E 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 57 C9 66 0F C2 D9 04 66 0F 73 F0 3F 66 0F 28 CA 66 0F 59 D2 66 0F 5C CF 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 E6 66 0F 59 EA 66 0F 58 EF 66 0F 59 E1 66 0F 28 CB 66 0F 54 CC 66 0F 28 D3 66 0F 55 D5 66 0F 56 CA 66 0F 28 F3 66 0F 55 F4 66 0F 28 FB 66 0F 54 FD 66 0F 56 F7 66 0F 5E F1 66 0F 57 C6 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 C7 44 24 20 00 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F DB CA 66 0F 29 54 24 30 66 0F 70 FF F5 66 0F DB 15 ?? ?? ?? ?? 66 0F 29 4C 24 40 66 0F 28 0D ?? ?? ?? ?? 66 0F 66 CA 66 0F 29 7C 24 50 66 0F 57 3D ?? ?? ?? ?? 66 0F 50 D1 66 0F 29 54 24 60 66 0F 29 7C 24 70 66 0F 28 3D ?? ?? ?? ?? 83 F2 03 0F 85 6C 03 00 00 83 F8 03 74 3C 66 0F 59 F8 66 0F 5C D4 66 0F 5C D5 66 0F 5C D6 66 0F 57 C9 66 0F 5C D7 66 0F 54 5C 24 70 66 0F 54 54 24 70 66 0F 29 9C 24 80 00 00 00 66 0F 29 94 24 90 00 00 00 66 0F 28 54 24 60 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DA 66 0F E6 DB 66 0F 70 DB 10 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 56 C3 66 0F 5C 05 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E0 66 0F 5C D1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 CA 66 0F 5C D4 66 0F 5C CA 66 0F 28 F2 66 0F 5C CC 66 0F 5C D5 66 0F 72 E3 01 66 0F 5C F2 66 0F 28 FA 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 D1 66 0F 59 E0 66 0F 5C FA 66 0F 28 EA 66 0F 5C D4 66 0F 58 CF 66 0F 5C EA 66 0F 59 05 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C C8 66 0F 58 D1 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 F2 66 0F 59 D2 83 F8 03 74 1E 66 0F 54 5C 24 50 66 0F 54 4C 24 50 66 0F 56 9C 24 80 00 00 00 66 0F 56 8C 24 90 00 00 00 66 0F 28 C3 66 0F 73 F3 3E 66 0F 73 F0 3F 66 0F 59 E2 66 0F 59 EA 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F EF 44 24 40 66 0F 59 E2 66 0F 59 EA 66 0F EF C9 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 59 EA 66 0F C2 D9 04 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E6 66 0F 28 CB 66 0F 54 CC 66 0F 28 D3 66 0F 55 D5 66 0F 56 CA 66 0F 28 F3 66 0F 55 F4 66 0F 28 FB 66 0F 54 FD 66 0F 56 F7 66 0F 5E F1 66 0F 57 C6 E9 A6 02 00 00 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DA 66 0F E6 DB 66 0F 70 DB 10 66 0F FE 1D ?? ?? ?? ?? 66 0F DB 1D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 56 C3 66 0F 5C 05 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E0 66 0F 5C D1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 CA 66 0F 5C D4 66 0F 5C CA 66 0F 28 F2 66 0F 5C CC 66 0F 5C D5 66 0F 72 E3 01 66 0F 5C F2 66 0F 28 FA 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 D1 66 0F 59 E0 66 0F 5C FA 66 0F 28 EA 66 0F 5C D4 66 0F 58 CF 66 0F 5C EA 66 0F 59 05 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 5C C8 66 0F 58 D1 66 0F 28 C3 66 0F 73 F0 3F 66 0F EF 44 24 40 66 0F 73 F3 3E 66 0F EF C9 66 0F C2 D9 04 66 0F 28 CA 66 0F 59 D2 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 E6 66 0F 59 EA 66 0F 58 EF 66 0F 59 E1 66 0F 28 CB 66 0F 54 CC 66 0F 28 D3 66 0F 55 D5 66 0F 56 CA 66 0F 28 F3 66 0F 55 F4 66 0F 28 FB 66 0F 54 FD 66 0F 56 F7 66 0F 5E F1 66 0F 57 C6 E9 1E 01 00 00 89 44 24 20 83 F8 03 0F 84 F4 00 00 00 66 0F 28 54 24 30 66 0F 59 F8 66 0F 5C D4 66 0F EF E4 66 0F 5C D5 66 0F 5C D6 66 0F 57 C9 66 0F 28 CA 66 0F 59 D2 66 0F 5C CF 66 0F 29 8C 24 A0 00 00 00 66 0F 28 C3 66 0F 73 F0 3F 66 0F EF C4 66 0F 73 F3 3E 66 0F EF C9 66 0F C2 D9 04 66 0F 28 8C 24 A0 00 00 00 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 EA 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 E2 66 0F 58 E6 66 0F 59 EA 66 0F 58 EF 66 0F 59 E1 66 0F 28 CB 66 0F 54 CC 66 0F 28 D3 66 0F 55 D5 66 0F 56 CA 66 0F 28 F3 66 0F 55 F4 66 0F 28 FB 66 0F 54 FD 66 0F 56 F7 66 0F 5E F1 66 0F 57 C6 66 0F 29 84 24 A0 00 00 00 8B 44 24 20 A8 01 75 4B D1 F8 A8 01 75 27 D1 F8 89 44 24 20 66 0F 28 84 24 A0 00 00 00 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 F2 0F 10 44 24 38 89 44 24 20 E8 05 F4 FF FF F2 0F 11 84 24 A8 00 00 00 8B 44 24 20 EB BB F2 0F 10 44 24 30 E8 EB F3 FF FF F2 0F 11 84 24 A0 00 00 00 8B 44 24 20 EB 9B 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_357_0_0 {
	meta:
		name = "__common_slog10_cout_rare"
		size = 720
		refs = "003b _2il0floatpacket_77 005f _2il0floatpacket_93 0077 _2il0floatpacket_78 00b7 _vmldLgHATab 00d3 _2il0floatpacket_79 00db _2il0floatpacket_80 00e3 _2il0floatpacket_82 00ef _2il0floatpacket_81 0145 _2il0floatpacket_83 0158 _2il0floatpacket_84 0164 _2il0floatpacket_85 0170 _2il0floatpacket_86 017c _2il0floatpacket_87 0188 _2il0floatpacket_88 0194 _2il0floatpacket_89 01a0 _2il0floatpacket_90 01af _2il0floatpacket_91 026a _2il0floatpacket_92"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 41 81 F8 80 7F 00 00 0F 84 61 02 00 00 F3 0F 10 01 45 33 C0 8B 09 89 4C 24 28 C1 E9 10 F7 C1 80 7F 00 00 75 14 F3 0F 59 05 ?? ?? ?? ?? 41 B8 D8 FF FF FF F3 0F 11 44 24 28 66 0F EF C9 0F 2F C1 0F 86 F5 01 00 00 0F 28 D0 F3 0F 5C 15 ?? ?? ?? ?? F3 0F 11 54 24 24 80 64 24 27 7F F3 0F 10 4C 24 24 0F 2F 0D ?? ?? ?? ?? 0F 86 53 01 00 00 0F B7 4C 24 2A 81 E1 80 7F 00 00 C1 E9 07 F3 0F 11 44 24 24 44 0F B7 4C 24 26 41 81 E1 7F 80 FF FF 41 81 C9 80 3F FF FF 45 8D 44 08 81 66 44 89 4C 24 26 48 8D 0D ?? ?? ?? ?? F3 41 0F 2A D8 F3 0F 10 64 24 24 4C 8B C9 0F 28 C4 4C 8B C1 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 2D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 D9 0F 28 CC F3 0F 11 44 24 20 F3 0F 58 CD 44 8B 54 24 20 41 83 E2 7F F3 0F 11 4C 24 20 F3 0F 10 4C 24 20 F3 0F 5C CD 47 8D 1C 52 F3 0F 5C E1 F3 43 0F 58 5C 99 08 F3 43 0F 58 54 98 04 F3 42 0F 10 04 99 F3 0F 59 C8 F3 0F 59 C4 F3 0F 5C 0D ?? ?? ?? ?? 0F 28 E9 F3 0F 58 D1 F3 0F 58 E8 F3 0F 10 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 E5 0F 28 E8 F3 0F 58 25 ?? ?? ?? ?? F3 0F 59 EC F3 0F 59 CC F3 0F 58 DD F3 0F 58 C3 F3 0F 58 C1 F3 0F 58 D0 F3 0F 11 12 48 83 C4 38 C3 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 D0 F3 0F 10 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 D1 F3 0F 11 12 48 83 C4 38 C3 0F 2E C1 7A 02 74 12 F3 0F 5E C9 F3 0F 11 0A B8 01 00 00 00 48 83 C4 38 C3 F3 0F 10 05 ?? ?? ?? ?? B8 02 00 00 00 F3 0F 5E C1 F3 0F 11 02 48 83 C4 38 C3 44 8A 41 03 41 80 E0 80 41 80 F8 80 74 11 F3 0F 10 01 F3 0F 59 C0 F3 0F 11 02 48 83 C4 38 C3 F7 01 FF FF 7F 00 75 E7 B8 01 00 00 00 66 0F EF C9 66 0F EF C0 F3 0F 5E C8 F3 0F 11 0A 48 83 C4 38 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_361_0_0 {
	meta:
		name = "__static_scalar_cos"
		size = 1280
		refs = "000c __spec_table"
	strings:
		$1 = { 53 56 57 41 54 48 83 EC 58 48 8D 05 ?? ?? ?? ?? F2 0F 11 84 24 80 00 00 00 48 89 44 24 40 0F 29 74 24 30 0F 29 7C 24 20 F2 0F 10 84 24 80 00 00 00 4C 8B 64 24 40 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 0F 84 82 04 00 00 8B C8 81 E9 60 3F 00 00 C1 E9 07 81 E1 FC FF 00 00 4D 8D 9C 24 D0 00 00 00 49 03 CB 66 48 0F 7E C0 44 8B 51 14 44 8B 41 18 8B D0 48 C1 E8 15 0D 00 00 00 80 C1 E8 0B 45 8B CA 4C 0F AF D2 4C 0F AF C8 4C 0F AF C0 8B 71 10 8B 79 0C 45 8B DA 49 C1 EA 20 4D 03 CA 4D 03 D8 45 8B C3 49 C1 EB 20 4D 03 CB 44 8B D6 48 0F AF F2 4C 0F AF D0 44 8B DF 48 0F AF FA 8B DE 48 C1 EE 20 4C 03 CB 41 8B D9 49 C1 E9 20 4C 03 D6 4D 03 D1 48 C1 E3 20 4C 0B C3 4C 0F AF D8 44 8B 49 08 8B 71 04 8B DF 48 C1 EF 20 4C 03 D3 41 8B DA 49 C1 EA 20 4C 03 DF 4D 03 DA 49 8B F9 4C 0F AF CA 48 0F AF F8 45 8B D1 49 C1 E9 20 4D 03 DA 45 8B D3 49 C1 EB 20 49 03 F9 49 03 FB 4C 8B CE 48 0F AF F2 4C 0F AF C8 49 C1 E2 20 4C 0B D3 8B 01 44 8B DE 48 C1 EE 20 49 03 FB 44 8B DF 48 C1 EF 20 4C 03 CE 4C 03 CF 48 0F AF D0 66 0F C5 D8 03 49 8D BC 24 D0 00 00 00 48 2B CF 03 C9 03 C9 03 C9 83 C1 13 BE 00 80 00 00 23 F3 C1 EB 04 81 E3 FF 07 00 00 81 EB FF 03 00 00 2B CB 4C 03 CA 8B D1 83 C2 20 83 F9 01 0F 8C 8A 02 00 00 F7 D9 83 C1 1D 41 D3 E1 41 8B F9 41 81 E1 FF FF FF 1F 41 F7 C1 00 00 00 10 0F 85 94 02 00 00 41 D3 E9 BB 00 00 00 00 49 C1 E1 20 4D 0B CB 49 83 F9 00 0F 84 F5 01 00 00 4D 0F BD D9 B9 1D 00 00 00 41 2B CB 0F 8E 1D 02 00 00 49 D3 E1 49 8B C2 49 D3 E2 03 D1 F7 D9 83 C1 40 48 D3 E8 49 D3 E8 4C 0B C8 4D 0B D0 F2 49 0F 2A C1 49 D1 EA F2 49 0F 2A DA 66 0F 57 E4 C1 E2 04 F7 DA 81 C2 F0 3F 00 00 0B D6 33 D3 66 0F C4 E2 03 F3 41 0F 7E 94 24 C0 00 00 00 F3 41 0F 7E B4 24 C8 00 00 00 66 0F 57 ED 81 EA F0 03 00 00 66 0F C4 EA 03 F2 0F 59 C4 C1 E6 10 C1 FE 1F F2 0F 59 DD F3 0F 7E C8 F2 0F 59 C2 C1 EF 1D F2 0F 58 CB F2 0F 59 DA 03 FE 33 FE F2 0F 59 F1 8B C7 F2 0F 58 F3 F3 0F 7E D0 F2 0F 58 C6 F2 0F 5C D0 F2 0F 58 F2 F3 41 0F 7E 4C 24 70 F2 0F 59 C8 F3 41 0F 7E 94 24 80 00 00 00 F2 48 0F 2D D1 F2 0F 58 CA F3 41 0F 7E 5C 24 50 F2 0F 5C CA 66 41 0F 28 54 24 40 F2 0F 59 D9 66 0F 14 C9 C1 E0 03 81 C2 10 76 1C 00 F3 0F 7E E0 03 D0 83 E2 3F 66 41 0F 28 6C 24 30 49 8D 84 24 80 01 00 00 C1 E2 05 48 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 41 0F 59 4C 24 60 F2 0F 5C E3 F3 0F 7E 78 08 66 0F 14 C0 F3 0F 7E DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB F3 0F 7E 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 5C CE 66 41 0F 28 74 24 10 F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 41 0F 58 6C 24 20 F2 0F 59 20 66 41 0F 58 34 24 66 0F 59 E8 F3 0F 7E C3 F2 0F 58 58 08 66 0F 59 CF F3 0F 7E FC F2 0F 58 E3 66 0F 58 F5 F3 0F 7E 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F3 0F 7E C4 F2 0F 58 CE F2 0F 58 C1 E9 13 01 00 00 83 C2 40 4D 8B CA 4D 8B D0 49 C7 C0 00 00 00 00 49 83 F9 00 0F 85 F1 FD FF FF 83 C2 40 4D 8B CA 4D 8B D0 49 83 F9 00 0F 85 DE FD FF FF 66 0F 57 C0 66 0F 57 F6 E9 86 FE FF FF 0F 84 F9 FD FF FF F7 D9 49 D3 EA 49 8B C1 49 D3 E9 2B D1 F7 D9 83 C1 40 48 D3 E0 4C 0B D0 E9 DC FD FF FF F7 D9 49 C1 E1 20 4D 0B CB 49 D3 E1 49 8B F9 41 F7 C1 00 00 00 80 75 56 41 D3 E9 BB 00 00 00 00 48 C1 EF 03 E9 7B FD FF FF 41 D3 E9 BB 00 00 00 20 D3 EB 49 C1 E1 20 4D 0B CB 48 C1 E3 20 81 C7 00 00 00 20 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 E9 36 FD FF FF 41 D3 E9 48 BB 00 00 00 00 01 00 00 00 48 D3 EB 48 C7 C1 00 00 00 00 49 C7 C3 00 00 00 00 49 2B C8 4D 1B DA 49 1B D9 4C 8B C1 4D 8B D3 4C 8B CB BB 00 80 00 00 48 C1 EF 03 81 C7 00 00 00 20 E9 F2 FC FF FF F2 0F 5C C0 F2 0F 11 44 24 48 0F 28 74 24 30 0F 28 7C 24 20 F2 0F 10 44 24 48 48 83 C4 58 41 5C 5F 5E 5B C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_361_1_0 {
	meta:
		name = "__sse2_cos2"
		size = 1184
		refs = "001b iABSMASK 0023 dbPio2 0033 dbNegRS 003b dbPi1 0043 dbInvPi 004b dbPi2 005f dbHUGE 0071 db05 008d dbPi3 00a1 dbPi4 00ad dbA8 00b5 dbA7 00dd dbA6 00e5 dbA5 00f5 dbA4 00fd dbA3 010d dbA2 0115 dbA1 0162 TWO_POW_30 0170 flAllOnes 01f1 THE_PI02_INV 0206 MMI_ONE 020e RS 0222 PI02C_0 022e PI02C_1 023e PI02C_2 026f PI02C_3 029b PI02C_4 02ab MMISIGNMASK"
	strings:
		$1 = { 48 81 EC D8 00 00 00 0F 29 BC 24 C0 00 00 00 0F 29 B4 24 B0 00 00 00 66 0F 54 05 ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 C8 66 0F 58 D0 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 54 0D ?? ?? ?? ?? 66 0F 5C D5 66 0F C2 0D ?? ?? ?? ?? 06 66 0F 58 EA 66 0F 73 F2 3F 66 0F 5C 2D ?? ?? ?? ?? 66 0F 50 C1 66 0F 59 E5 66 0F 59 DD 0B C0 0F 85 BC 00 00 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CD 66 0F 5C C4 66 0F 5C C3 66 0F 59 2D ?? ?? ?? ?? 66 0F 5C C1 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 58 E8 66 0F 59 C0 66 0F 57 EA 66 0F 28 E0 66 0F 59 C0 66 0F 59 E5 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 C3 66 0F 59 CC 66 0F 59 C5 66 0F 58 CD 66 0F 58 C1 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 C7 44 24 20 00 00 00 00 66 0F 70 C9 F5 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 F0 66 0F 28 3D ?? ?? ?? ?? 66 0F 29 4C 24 30 66 0F 57 0D ?? ?? ?? ?? 66 0F 66 FE 66 0F 29 74 24 40 66 0F 50 D7 66 0F 29 4C 24 50 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CD 83 F2 03 0F 85 D7 01 00 00 83 F8 03 74 47 66 0F 5C C4 66 0F 5C C3 66 0F 59 2D ?? ?? ?? ?? 66 0F 5C C1 66 0F 58 E8 66 0F 59 C0 66 0F EF EA 66 0F 54 54 24 50 66 0F 54 6C 24 50 66 0F 54 44 24 50 66 0F 29 54 24 60 66 0F 29 6C 24 70 66 0F 29 84 24 80 00 00 00 66 0F 28 C6 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 DE 66 0F E6 DB 66 0F 70 DB DC 66 0F EB 1D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 56 D3 66 0F 5C 15 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 CA 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 E2 66 0F 5C C1 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EA 66 0F 28 C8 66 0F 5C C4 66 0F 5C C8 66 0F 28 F0 66 0F 5C CC 66 0F 5C C5 66 0F 73 F3 3E 66 0F 5C F0 66 0F 28 F8 66 0F 28 25 ?? ?? ?? ?? 66 0F 5C F5 66 0F 58 CE 66 0F 58 C1 66 0F 59 E2 66 0F 5C F8 66 0F 28 E8 66 0F 5C C4 66 0F 58 CF 66 0F 5C E8 66 0F 59 15 ?? ?? ?? ?? 66 0F 5C EC 66 0F 58 CD 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C CA 66 0F DB EB 66 0F 58 C1 66 0F EF 2D ?? ?? ?? ?? 66 0F EF E8 66 0F 59 C0 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 83 F8 03 74 27 66 0F 54 54 24 30 66 0F 54 6C 24 30 66 0F 54 44 24 30 66 0F 56 54 24 60 66 0F 56 6C 24 70 66 0F 56 84 24 80 00 00 00 66 0F 28 E0 66 0F 59 C0 66 0F 59 E5 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 C3 66 0F 59 CC 66 0F 59 C5 66 0F 58 CD 66 0F 58 C1 E9 D4 00 00 00 66 0F 29 84 24 90 00 00 00 89 44 24 20 83 F8 03 0F 84 A1 00 00 00 66 0F 5C C4 66 0F 5C C3 66 0F 59 2D ?? ?? ?? ?? 66 0F 5C C1 66 0F 58 E8 66 0F 59 C0 66 0F EF EA 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 E0 66 0F 59 C0 66 0F 59 E5 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 D8 66 0F 59 C8 66 0F 58 1D ?? ?? ?? ?? 66 0F 58 0D ?? ?? ?? ?? 66 0F 59 C3 66 0F 59 CC 66 0F 59 C5 66 0F 58 CD 66 0F 58 C1 66 0F 29 84 24 A0 00 00 00 8B 44 24 20 A8 01 75 4E D1 F8 A8 01 75 27 D1 F8 89 44 24 20 66 0F 28 84 24 A0 00 00 00 0F 28 B4 24 B0 00 00 00 0F 28 BC 24 C0 00 00 00 48 81 C4 D8 00 00 00 C3 F2 0F 10 84 24 98 00 00 00 89 44 24 20 E8 8E F6 FF FF F2 0F 11 84 24 A8 00 00 00 8B 44 24 20 EB B8 F2 0F 10 84 24 90 00 00 00 E8 71 F6 FF FF F2 0F 11 84 24 A0 00 00 00 8B 44 24 20 EB 95 66 90 }
	condition:
		$1
}

rule file_362_0_0 {
	meta:
		name = "__sse2_atan2"
		size = 400
		refs = "000c iAbsMask 0014 dbOne 0039 iSignMask 0041 dbPio2hi 007f dbA19 0087 dbA17 008f dbA18 0097 dbA16 00af dbA15 00b7 dbA13 00bf dbA14 00c7 dbA12 00df dbA11 00e7 dbA09 00ef dbA10 00f7 dbA08 010f dbA07 0117 dbA05 011f dbA06 0127 dbA04 013f dbA03 0147 dbA01 014f dbA02 0163 dbA00"
	strings:
		$1 = { 48 83 EC 58 66 0F 28 E8 66 0F DB 05 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 5F D8 66 0F 28 E0 66 0F 5D 05 ?? ?? ?? ?? 66 0F 5E C3 66 0F C2 25 ?? ?? ?? ?? 06 66 0F DB 2D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F DB D4 66 0F DB 25 ?? ?? ?? ?? 66 0F EF D5 66 0F EF E5 66 0F EF E0 66 0F 59 C0 66 0F 29 44 24 20 66 0F 59 C0 66 0F 29 44 24 30 66 0F 59 C0 66 0F 29 64 24 40 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 E8 66 0F 59 E0 66 0F 59 D8 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 E8 66 0F 59 E0 66 0F 59 D8 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 E8 66 0F 59 E0 66 0F 59 D8 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 E8 66 0F 59 E0 66 0F 59 C3 66 0F 58 0D ?? ?? ?? ?? 66 0F 58 2D ?? ?? ?? ?? 66 0F 58 25 ?? ?? ?? ?? 66 0F 59 4C 24 30 66 0F 59 6C 24 20 66 0F 58 05 ?? ?? ?? ?? 66 0F 59 4C 24 20 66 0F 59 64 24 30 66 0F 58 C5 66 0F 58 CC 66 0F 58 C1 66 0F 59 44 24 40 66 0F 58 C2 48 83 C4 58 C3 66 90 }
	condition:
		$1
}

rule file_363_0_0 {
	meta:
		name = "__sse2_logf4"
		size = 672
		refs = "0012 flMantissaMask 001a s_dwPosInf 0022 s_dwSqrt2Addition 002d s_fOne 003d s_dwSqrt2Mask 0068 s_dwExpBias 009e s_fB2 00b0 s_fB1 00b7 s_fB0 00c4 s_fLn2 0112 s_dwAbsMask 011e s_dwPosZero 0126 s_dwNegInf 0146 s_dwSpecial1 014e s_dwSpecial2 0178 s_fDenoAdd"
	strings:
		$1 = { 48 83 EC 78 0F 29 7C 24 50 0F 29 74 24 60 66 0F 6F 25 ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 15 ?? ?? ?? ?? 66 0F DB E0 0F 28 2D ?? ?? ?? ?? 66 0F FE D4 66 0F 6F C8 66 0F DB 15 ?? ?? ?? ?? 66 0F EF EA 66 0F 72 E2 17 66 0F EB E5 66 0F 72 E0 17 0F 28 2D ?? ?? ?? ?? 0F 58 EC 0F 5C 25 ?? ?? ?? ?? 66 0F FA 05 ?? ?? ?? ?? 66 0F FE C2 0F 28 D4 0F 5E E5 0F 29 4C 24 40 66 0F 66 D9 66 0F 66 0D ?? ?? ?? ?? 0F 28 EC 0F 59 E4 66 0F DB D9 0F 28 CC 0F 59 E4 66 0F D7 D3 0F 28 1D ?? ?? ?? ?? 81 FA FF FF 00 00 75 3C 0F 59 DC 0F 59 25 ?? ?? ?? ?? 0F 58 1D ?? ?? ?? ?? 0F 5B C0 0F 59 D9 0F 59 05 ?? ?? ?? ?? 0F 58 DC 0F 5C DA 0F 59 DD 0F 58 DA 0F 58 C3 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 78 C3 0F 28 54 24 40 0F 28 F2 66 0F EF FF 66 0F 6F C6 66 0F 76 05 ?? ?? ?? ?? 66 0F DB 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 6F C6 66 0F DB 05 ?? ?? ?? ?? 66 0F 6F C8 66 0F 76 05 ?? ?? ?? ?? 66 0F DB 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 66 0D ?? ?? ?? ?? 66 0F DB CE 66 0F EB F9 66 0F 6F C6 66 0F FE 05 ?? ?? ?? ?? 66 0F 66 05 ?? ?? ?? ?? 66 0F EB F8 66 0F 7F 7C 24 20 66 0F 6F C6 66 0F FE 05 ?? ?? ?? ?? 66 0F 66 05 ?? ?? ?? ?? 66 0F 6F C8 66 0F DB 0D ?? ?? ?? ?? 66 0F 7F 4C 24 30 66 0F 6F C8 66 0F 6F D6 66 0F EB 15 ?? ?? ?? ?? 0F 5C 15 ?? ?? ?? ?? 66 0F DB C2 66 0F 76 3D ?? ?? ?? ?? 66 0F DB F7 66 0F DF 3D ?? ?? ?? ?? 66 0F EB FE 66 0F DF CF 66 0F EB C1 66 0F 6F 25 ?? ?? ?? ?? 66 0F 6F 1D ?? ?? ?? ?? 66 0F 6F 15 ?? ?? ?? ?? 66 0F DB E0 0F 28 2D ?? ?? ?? ?? 66 0F FE D4 66 0F 6F C8 66 0F DB 15 ?? ?? ?? ?? 66 0F EF EA 66 0F 72 E2 17 66 0F EB E5 66 0F 72 E0 17 0F 28 3D ?? ?? ?? ?? 0F 58 FC 0F 5C 25 ?? ?? ?? ?? 66 0F FA 05 ?? ?? ?? ?? 0F 28 EC 0F 5E E7 66 0F FE C2 0F 28 D1 66 0F 66 D9 66 0F 66 0D ?? ?? ?? ?? 0F 28 FC 0F 59 E4 66 0F DB D9 0F 28 CC 0F 59 E4 66 0F D7 D3 0F 28 1D ?? ?? ?? ?? 0F 28 15 ?? ?? ?? ?? 0F 59 DC 0F 59 D4 0F 58 1D ?? ?? ?? ?? 0F 5B C0 0F 59 D9 0F 59 05 ?? ?? ?? ?? 0F 58 DA 0F 5C DD 0F 59 DF 0F 58 DD 0F 58 C3 66 0F EB 44 24 20 0F 58 44 24 30 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 78 C3 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_368_0_0 {
	meta:
		name = "__avx_exp4"
		size = 560
		refs = "000a __common_dexp_data 0229 __common_dexp_cout_rare"
	strings:
		$1 = { 48 81 EC 18 02 00 00 48 8D 05 ?? ?? ?? ?? C5 7C 11 94 24 F0 01 00 00 C5 7C 11 84 24 D0 01 00 00 4C 89 AC 24 10 02 00 00 4C 8D AC 24 6F 01 00 00 C5 FD 10 0D ?? ?? ?? ?? 49 83 E5 C0 C5 FD 59 15 ?? ?? ?? ?? C5 F9 10 25 ?? ?? ?? ?? C5 ED 58 D9 C5 E5 5C C9 C4 E3 7D 19 C5 01 C5 F8 C6 D5 DD C5 68 54 05 ?? ?? ?? ?? C5 39 66 15 ?? ?? ?? ?? C4 C1 78 50 D2 C5 E0 54 EC C4 E3 7D 19 DA 01 C5 D9 DF DB C5 F9 7E E9 C5 68 54 C4 C4 41 79 7E C1 C5 D9 DF E2 C5 E9 73 F4 2A C1 E1 03 C4 C3 79 16 E8 02 41 C1 E0 03 41 C1 E1 03 C4 43 79 16 C2 02 41 C1 E2 03 C4 61 F9 6E 14 01 C4 C1 29 16 2C 00 C4 41 F9 6E 14 01 C4 41 29 16 04 02 C4 43 55 18 C0 01 C5 F5 59 2D ?? ?? ?? ?? C5 F5 59 0D ?? ?? ?? ?? C5 7D 5C D5 C5 2D 5C D1 C5 AD 58 2D ?? ?? ?? ?? C4 C1 55 59 CA C5 F5 58 2D ?? ?? ?? ?? C5 F1 73 F3 2A C4 41 55 59 D2 C5 AD 58 2D ?? ?? ?? ?? C5 3D 59 C5 C4 63 7D 19 C5 01 C5 B9 D4 D9 C5 D1 D4 CA C4 E3 65 18 C9 01 85 D2 75 26 C5 7C 10 84 24 D0 01 00 00 C5 7C 10 94 24 F0 01 00 00 4C 8B AC 24 10 02 00 00 C5 FD 28 C1 48 81 C4 18 02 00 00 C3 C4 C1 7D 11 45 00 C4 C1 7D 11 4D 40 74 CC 33 C0 C5 FC 11 B4 24 00 01 00 00 C5 FC 11 BC 24 E0 00 00 00 C5 7C 11 8C 24 C0 00 00 00 C5 7C 11 9C 24 A0 00 00 00 C5 7C 11 A4 24 80 00 00 00 C5 7C 11 6C 24 60 C5 7C 11 74 24 40 C5 7C 11 7C 24 20 48 89 9C 24 28 01 00 00 8B D8 48 89 B4 24 20 01 00 00 8B F2 0F A3 DE 72 61 FF C3 83 FB 20 7C F4 C5 FC 10 B4 24 00 01 00 00 C5 FC 10 BC 24 E0 00 00 00 C5 7C 10 8C 24 C0 00 00 00 C5 7C 10 9C 24 A0 00 00 00 C5 7C 10 A4 24 80 00 00 00 C5 7C 10 6C 24 60 C5 7C 10 74 24 40 C5 7C 10 7C 24 20 C4 C1 7D 10 4D 40 48 8B 9C 24 28 01 00 00 48 8B B4 24 20 01 00 00 E9 11 FF FF FF C5 F8 77 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB 8B 90 }
	condition:
		$1
}

rule file_369_0_0 {
	meta:
		name = "__vdecl_fmodf8"
		size = 199
		refs = "0011 fmodf"
	strings:
		$1 = { 48 83 EC 68 C5 FE 7F 44 24 20 C5 FE 7F 4C 24 40 E8 ?? ?? ?? ?? 66 0F 7E 44 24 20 66 0F 6E 44 24 24 66 0F 6E 4C 24 44 E8 ?? ?? ?? ?? 66 0F 7E 44 24 24 66 0F 6E 44 24 28 66 0F 6E 4C 24 48 E8 ?? ?? ?? ?? 66 0F 7E 44 24 28 66 0F 6E 44 24 2C 66 0F 6E 4C 24 4C E8 ?? ?? ?? ?? 66 0F 7E 44 24 2C 66 0F 6E 44 24 30 66 0F 6E 4C 24 50 E8 ?? ?? ?? ?? 66 0F 7E 44 24 30 66 0F 6E 44 24 34 66 0F 6E 4C 24 54 E8 ?? ?? ?? ?? 66 0F 7E 44 24 34 66 0F 6E 44 24 38 66 0F 6E 4C 24 58 E8 ?? ?? ?? ?? 66 0F 7E 44 24 38 66 0F 6E 44 24 3C 66 0F 6E 4C 24 5C E8 ?? ?? ?? ?? 66 0F 7E 44 24 3C C5 FE 6F 44 24 20 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_372_0_0 {
	meta:
		name = "?dllmain_crt_dispatch@@YAHQEAUHINSTANCE__@@KQEAX@Z"
		size = 80
		refs = "0022 __scrt_dllmain_crt_thread_detach 0029 __scrt_dllmain_crt_thread_attach 003d ?dllmain_crt_process_attach@@YAHQEAUHINSTANCE__@@QEAX@Z 004c ?dllmain_crt_process_detach@@YAH_N@Z"
	strings:
		$1 = { 48 83 EC 28 85 D2 74 39 83 EA 01 74 28 83 EA 01 74 16 83 FA 01 74 0A B8 01 00 00 00 48 83 C4 28 C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 0F B6 C0 48 83 C4 28 C3 49 8B D0 48 83 C4 28 E9 ?? ?? ?? ?? 4D 85 C0 0F 95 C1 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_372_1_0 {
	meta:
		name = "?dllmain_crt_process_attach@@YAHQEAUHINSTANCE__@@QEAX@Z"
		size = 299
		refs = "001e __scrt_initialize_crt 002e __scrt_acquire_startup_lock 003d __scrt_current_native_startup_state 004a __scrt_fastfail 0059 __scrt_dllmain_before_initialize_c 0062 _RTC_Initialize 0069 _RTC_Terminate 006e atexit 0073 ?__scrt_initialize_type_info@@YAXXZ 007a ?__scrt_uninitialize_type_info@@YAXXZ 0084 __scrt_initialize_default_local_stdio_options 008b __xi_z 0092 __xi_a 0097 _initterm_e 00a0 __scrt_dllmain_after_initialize_c 00ab __xc_z 00b2 __xc_a 00b7 _initterm 00cb __scrt_release_startup_lock 00d9 __scrt_get_dyn_tls_init_callback 00ea __scrt_is_nonwritable_in_current_image 00f9 _guard_check_icall 010c ?__proc_attached@@3HA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 20 41 56 48 83 EC 20 48 8B F2 4C 8B F1 33 C9 E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 E8 00 00 00 E8 ?? ?? ?? ?? 8A D8 88 44 24 40 40 B7 01 83 3D ?? ?? ?? ?? 00 74 0A B9 07 00 00 00 E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 67 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 29 E8 ?? ?? ?? ?? 84 C0 74 20 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 40 32 FF 8A CB E8 ?? ?? ?? ?? 40 84 FF 0F 85 4E FF FF FF E8 ?? ?? ?? ?? 48 8B D8 48 83 38 00 74 24 48 8B C8 E8 ?? ?? ?? ?? 84 C0 74 18 48 8B 1B 48 8B CB E8 ?? ?? ?? ?? 4C 8B C6 BA 02 00 00 00 49 8B CE FF D3 FF 05 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_372_2_0 {
	meta:
		name = "?fin$0@?0??dllmain_crt_process_attach@@YAHQEAUHINSTANCE__@@QEAX@Z@4HA"
		size = 23
		refs = "0012 __scrt_release_startup_lock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8A 4D 40 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_372_3_0 {
	meta:
		name = "?dllmain_crt_process_detach@@YAH_N@Z"
		size = 130
		refs = "0014 ?__proc_attached@@3HA 002b __scrt_acquire_startup_lock 0038 __scrt_current_native_startup_state 0045 __scrt_fastfail 004a __scrt_dllmain_uninitialize_c 0055 __scrt_dllmain_uninitialize_critical 005d __scrt_release_startup_lock 0067 __scrt_uninitialize_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 20 40 8A F1 8B 05 ?? ?? ?? ?? 33 DB 85 C0 7F 04 33 C0 EB 50 FF C8 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 8A F8 88 44 24 38 83 3D ?? ?? ?? ?? 02 74 0A B9 07 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 8A CF E8 ?? ?? ?? ?? 33 D2 40 8A CE E8 ?? ?? ?? ?? 84 C0 0F 95 C3 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_372_4_0 {
	meta:
		name = "?fin$0@?0??dllmain_crt_process_detach@@YAH_N@Z@4HA"
		size = 28
		refs = "000a __scrt_dllmain_uninitialize_critical 0017 __scrt_release_startup_lock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 8A 4D 38 48 83 C4 20 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_372_5_0 {
	meta:
		name = "?dllmain_dispatch@@YAHQEAUHINSTANCE__@@KQEAX@Z"
		size = 245
		refs = "0028 ?__proc_attached@@3HA 003e ?dllmain_raw@@YAHQEAUHINSTANCE__@@KQEAX@Z 0059 ?dllmain_crt_dispatch@@YAHQEAUHINSTANCE__@@KQEAX@Z 0070 DllMain"
	strings:
		$1 = { 48 8B C4 48 89 58 20 4C 89 40 18 89 50 10 48 89 48 08 56 57 41 56 48 83 EC 40 49 8B F0 8B FA 4C 8B F1 85 D2 75 0F 39 15 ?? ?? ?? ?? 7F 07 33 C0 E9 B2 00 00 00 8D 42 FF 83 F8 01 77 2A E8 ?? ?? ?? ?? 8B D8 89 44 24 30 85 C0 0F 84 8D 00 00 00 4C 8B C6 8B D7 49 8B CE E8 ?? ?? ?? ?? 8B D8 89 44 24 30 85 C0 74 76 4C 8B C6 8B D7 49 8B CE E8 ?? ?? ?? ?? 8B D8 89 44 24 30 83 FF 01 75 2B 85 C0 75 27 4C 8B C6 33 D2 49 8B CE E8 ?? ?? ?? ?? 4C 8B C6 33 D2 49 8B CE E8 ?? ?? ?? ?? 4C 8B C6 33 D2 49 8B CE E8 ?? ?? ?? ?? 85 FF 74 05 83 FF 03 75 2A 4C 8B C6 8B D7 49 8B CE E8 ?? ?? ?? ?? 8B D8 89 44 24 30 85 C0 74 13 4C 8B C6 8B D7 49 8B CE E8 ?? ?? ?? ?? 8B D8 89 44 24 30 EB 06 33 DB 89 5C 24 30 8B C3 48 8B 5C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_372_6_0 {
	meta:
		name = "?filt$0@?0??dllmain_dispatch@@YAHQEAUHINSTANCE__@@KQEAX@Z@4HA"
		size = 54
		refs = "001a ?dllmain_crt_dispatch@@YAHQEAUHINSTANCE__@@KQEAX@Z 002a __scrt_dllmain_exception_filter"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 48 8B 01 8B 10 48 89 4C 24 28 89 54 24 20 4C 8D 0D ?? ?? ?? ?? 4C 8B 45 70 8B 55 68 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_372_7_0 {
	meta:
		name = "?dllmain_raw@@YAHQEAUHINSTANCE__@@KQEAX@Z"
		size = 84
		refs = "0017 _pRawDllMain 0031 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 49 8B F8 8B F2 48 8B E9 48 85 DB 75 05 8D 43 01 EB 12 48 8B CB E8 ?? ?? ?? ?? 4C 8B C7 8B D6 48 8B CD FF D3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_372_9_0 {
	meta:
		name = "_DllMainCRTStartup"
		size = 61
		refs = "001d __security_init_cookie 0039 ?dllmain_dispatch@@YAHQEAUHINSTANCE__@@KQEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 8B DA 48 8B F1 83 FA 01 75 05 E8 ?? ?? ?? ?? 4C 8B C7 8B D3 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_374_0_0 {
	meta:
		name = "__sse2_coshf4"
		size = 416
		refs = "0032 __common_scosh_data 0193 __common_scosh_cout_rare"
	strings:
		$1 = { 48 81 EC F8 00 00 00 44 0F 29 AC 24 E0 00 00 00 44 0F 29 94 24 C0 00 00 00 44 0F 29 8C 24 D0 00 00 00 4C 89 AC 24 F0 00 00 00 4C 8D 6C 24 6F 0F 28 1D ?? ?? ?? ?? 49 83 E5 C0 0F 28 15 ?? ?? ?? ?? 0F 55 D8 0F 59 D3 44 0F 28 CB 44 0F 28 2D ?? ?? ?? ?? 66 0F 6F 0D ?? ?? ?? ?? 41 0F 58 D5 66 44 0F 66 C9 66 0F 76 CB 66 44 0F EB C9 0F 28 CA 41 0F 50 D1 66 0F 72 F2 17 44 0F 28 0D ?? ?? ?? ?? 41 0F 5C CD 44 0F 28 2D ?? ?? ?? ?? 85 D2 44 0F 59 E9 44 0F 59 C9 41 0F 5C DD 44 0F 28 15 ?? ?? ?? ?? 41 0F 5C D9 0F 28 CB 0F 59 CB 0F 28 2D ?? ?? ?? ?? 44 0F 59 D1 0F 59 E9 44 0F 58 15 ?? ?? ?? ?? 0F 58 2D ?? ?? ?? ?? 44 0F 59 D1 0F 59 E9 44 0F 59 D3 0F 58 2D ?? ?? ?? ?? 44 0F 58 D3 0F 59 E9 66 0F 6F 25 ?? ?? ?? ?? 66 44 0F 6F CC 66 0F FA E2 66 44 0F FE CA 66 41 0F 6F D1 44 0F 58 CC 0F 5C D4 41 0F 59 E9 41 0F 59 D2 0F 58 D5 41 0F 58 D1 75 2E 44 0F 28 8C 24 D0 00 00 00 0F 28 C2 44 0F 28 94 24 C0 00 00 00 44 0F 28 AC 24 E0 00 00 00 4C 8B AC 24 F0 00 00 00 48 81 C4 F8 00 00 00 C3 41 0F 29 45 00 41 0F 29 55 40 74 C6 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 55 40 EB 8E 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB D7 0F 1F 80 00 00 00 00 }
	condition:
		$1
}

rule file_381_0_0 {
	meta:
		name = "__sse2_asin2"
		size = 656
		refs = "0049 __common_dasin_data 027c __common_dasin_cout_rare"
	strings:
		$1 = { 48 81 EC 18 01 00 00 44 0F 29 BC 24 E0 00 00 00 44 0F 29 B4 24 00 01 00 00 44 0F 29 9C 24 D0 00 00 00 44 0F 29 8C 24 C0 00 00 00 44 0F 29 84 24 F0 00 00 00 44 0F 28 C0 4C 89 AC 24 10 01 00 00 4C 8D 6C 24 6F 44 0F 28 1D ?? ?? ?? ?? 49 83 E5 C0 0F 28 0D ?? ?? ?? ?? 45 0F 28 F3 45 0F 54 F0 0F 28 E9 66 41 0F 59 EE 0F 28 E1 45 0F 28 FE 66 0F 5C E5 66 45 0F 59 FE 66 0F 5A D4 66 44 0F 5D FC 66 0F 58 E4 0F 16 D2 41 0F 28 EE 44 0F 52 CA 66 0F C2 E9 05 41 0F 5A D1 0F 28 1D ?? ?? ?? ?? 45 0F 55 D8 66 41 0F C2 DE 02 66 0F 50 D3 0F 28 DA 0F 28 05 ?? ?? ?? ?? 44 0F 28 0D ?? ?? ?? ?? 66 0F 59 DA 66 0F 59 D4 66 0F 59 E3 66 41 0F 59 C7 66 0F 5C 25 ?? ?? ?? ?? 66 0F 58 05 ?? ?? ?? ?? 66 45 0F 59 CF 0F 28 1D ?? ?? ?? ?? 0F 28 CC 66 0F 59 DC 66 0F 59 CA 66 0F 58 1D ?? ?? ?? ?? 66 44 0F 58 0D ?? ?? ?? ?? 66 0F 59 DC 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 DC 66 0F 58 1D ?? ?? ?? ?? 66 0F 59 D9 41 0F 28 CF 85 D2 66 41 0F 59 CF 66 0F 5C DA 66 0F 59 C1 0F 28 25 ?? ?? ?? ?? 0F 54 DD 66 41 0F 59 E7 0F 28 15 ?? ?? ?? ?? 66 41 0F 59 D7 66 0F 58 25 ?? ?? ?? ?? 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 C4 66 0F 59 D1 0F 28 E1 66 0F 59 E1 66 41 0F 58 D1 66 0F 59 C4 44 0F 28 0D ?? ?? ?? ?? 66 45 0F 59 CF 66 0F 58 C2 66 44 0F 58 0D ?? ?? ?? ?? 66 0F 59 C1 0F 28 15 ?? ?? ?? ?? 66 41 0F 58 C1 66 41 0F 59 D7 66 0F 59 C1 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 C2 66 41 0F 59 C7 44 0F 28 FD 45 0F 55 FE 44 0F 56 FB 66 41 0F 59 C7 66 41 0F 58 C7 44 0F 28 35 ?? ?? ?? ?? 44 0F 54 F5 66 41 0F 58 C6 66 41 0F EF C3 75 3D 44 0F 28 84 24 F0 00 00 00 44 0F 28 8C 24 C0 00 00 00 44 0F 28 9C 24 D0 00 00 00 44 0F 28 B4 24 00 01 00 00 44 0F 28 BC 24 E0 00 00 00 4C 8B AC 24 10 01 00 00 48 81 C4 18 01 00 00 C3 45 0F 29 45 00 41 0F 29 45 40 74 B7 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 1B FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 45 40 E9 7C FF FF FF 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D4 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_382_0_0 {
	meta:
		name = "__avx_floorf8"
		size = 16
	strings:
		$1 = { C4 E3 7D 08 C0 01 C3 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_384_0_0 {
	meta:
		name = "__sse4_expf4"
		size = 624
		refs = "0003 s_dwExp2_Table 000a s_dwInvLn 0014 s_dwLnHi 001b s_dwBias 0026 flAbsMask 0032 flBound1 0059 s_dwLnLo 00a4 flTwo 0165 flBound2 018e s_dwNegRS 01f2 flInf 0256 flOne"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 0F 28 1D ?? ?? ?? ?? 0F 59 D8 0F 28 25 ?? ?? ?? ?? 0F 28 0D ?? ?? ?? ?? 66 0F 5B D3 0F 28 2D ?? ?? ?? ?? 66 0F DB E8 66 0F 66 2D ?? ?? ?? ?? 0F 50 CD 23 C9 0F 85 7F 00 00 00 0F 28 E8 66 0F 3A 08 DB 00 66 0F 7E D0 0F 59 E3 66 0F C5 D2 02 0F 59 1D ?? ?? ?? ?? 83 E0 3F 83 E2 3F 66 0F FE CA 0F 5C C4 F3 41 0F 7E 24 C0 66 0F C5 C2 04 41 0F 16 24 D0 66 0F C5 D2 06 0F 5C C3 83 E0 3F 83 E2 3F 66 0F 72 D1 06 F3 41 0F 7E 14 C0 41 0F 16 14 D0 0F 28 D8 0F 58 C0 0F 59 DB 0F 58 05 ?? ?? ?? ?? 0F C6 E2 88 66 0F 72 F1 17 0F 58 C3 66 0F EB CC 0F 59 C1 C3 0F 1F 40 00 0F 28 E8 66 0F 3A 08 DB 00 66 0F 7E D1 0F 59 E3 66 44 0F C5 CA 02 0F 59 1D ?? ?? ?? ?? 83 E1 3F 41 83 E1 3F 66 0F FE CA 0F 5C C4 F3 41 0F 7E 24 C8 66 44 0F C5 D2 04 43 0F 16 24 C8 66 44 0F C5 DA 06 0F 5C C3 41 83 E2 3F 41 83 E3 3F 66 0F 72 D1 06 F3 43 0F 7E 1C D0 43 0F 16 1C D8 0F C6 E3 88 0F 28 D8 0F 58 C0 0F 59 DB 0F 58 05 ?? ?? ?? ?? 66 0F 72 F1 17 0F 58 C3 66 0F EB CC 0F 59 C8 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 0F C2 1D ?? ?? ?? ?? 01 66 0F DB CB 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 01 66 0F DF DA 66 0F DB C3 0F 50 D5 B8 03 00 00 00 23 C2 83 E2 0C 03 C0 0F 28 15 ?? ?? ?? ?? 0F 59 D5 0F 5C 15 ?? ?? ?? ?? 66 0F DB D3 66 0F DB E3 66 0F FE 15 ?? ?? ?? ?? 66 0F 72 D2 06 41 0F 28 9C C0 40 02 00 00 41 0F C6 9C 90 40 02 00 00 88 66 0F FE D3 66 0F 72 F2 17 66 0F EB D4 0F 59 C2 41 0F 28 9C C0 00 02 00 00 41 0F C6 9C 90 00 02 00 00 88 0F 59 C3 66 0F EB C1 0F 28 1D ?? ?? ?? ?? 66 0F DB DD 0F C2 1D ?? ?? ?? ?? 01 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 01 66 0F DF D3 41 0F 28 8C C0 80 02 00 00 41 0F C6 8C 90 80 02 00 00 88 66 0F DB CA 0F 28 15 ?? ?? ?? ?? 66 0F DB D5 0F C2 15 ?? ?? ?? ?? 00 41 0F 28 9C C0 C0 02 00 00 41 0F C6 9C 90 C0 02 00 00 88 66 0F DB D3 66 0F EB CA 0F 28 15 ?? ?? ?? ?? 0F C2 D5 03 66 0F DB EA 66 0F EB CD 0F 59 C9 66 0F EB C1 C3 66 90 }
	condition:
		$1
}

rule file_388_0_0 {
	meta:
		name = "__security_init_cookie"
		size = 172
		refs = "001f __security_cookie 002e __imp_GetSystemTimeAsFileTime 003c __imp_GetCurrentThreadId 0048 __imp_GetCurrentProcessId 0058 __imp_QueryPerformanceCounter 00a2 __security_cookie_complement"
	strings:
		$1 = { 48 89 5C 24 20 55 48 8B EC 48 83 EC 20 48 83 65 18 00 48 BB 32 A2 DF 2D 99 2B 00 00 48 8B 05 ?? ?? ?? ?? 48 3B C3 75 6F 48 8D 4D 18 FF 15 ?? ?? ?? ?? 48 8B 45 18 48 89 45 10 FF 15 ?? ?? ?? ?? 8B C0 48 31 45 10 FF 15 ?? ?? ?? ?? 8B C0 48 8D 4D 20 48 31 45 10 FF 15 ?? ?? ?? ?? 8B 45 20 48 8D 4D 10 48 C1 E0 20 48 33 45 20 48 33 45 10 48 33 C1 48 B9 FF FF FF FF FF FF 00 00 48 23 C1 48 B9 33 A2 DF 2D 99 2B 00 00 48 3B C3 48 0F 44 C1 48 89 05 ?? ?? ?? ?? 48 8B 5C 24 48 48 F7 D0 48 89 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_393_0_0 {
	meta:
		name = "__common_slog_cout_rare"
		size = 720
		refs = "003d _imlsLnHATab 0063 _2il0floatpacket_72 026a _2il0floatpacket_73"
	strings:
		$1 = { 48 83 EC 38 33 C0 44 0F B7 41 02 41 81 E0 80 7F 00 00 41 81 F8 80 7F 00 00 0F 84 60 02 00 00 F3 0F 5A 19 F2 0F 11 5C 24 30 45 33 C0 0F B7 4C 24 36 F7 C1 F0 7F 00 00 75 14 F2 0F 59 1D ?? ?? ?? ?? 41 B8 C4 FF FF FF F2 0F 11 5C 24 30 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F D8 0F 86 DD 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 0F 28 D3 F2 0F 5C D0 F2 0F 11 54 24 28 80 64 24 2F 7F F2 0F 10 4C 24 28 66 0F 2F 0D ?? ?? ?? ?? 0F 86 43 01 00 00 F2 0F 11 5C 24 28 44 0F B7 4C 24 2E 41 81 E1 0F 80 FF FF 41 81 C9 F0 3F FF FF 66 44 89 4C 24 2E F2 0F 10 6C 24 28 0F 28 DD 0F B7 4C 24 36 81 E1 F0 7F 00 00 F2 0F 58 1D ?? ?? ?? ?? C1 E9 04 F2 0F 11 5C 24 20 0F 28 DD 44 8B 54 24 20 41 83 E2 7F F2 0F 58 1D ?? ?? ?? ?? F2 0F 11 5C 24 20 45 8D 84 08 01 FC FF FF F2 41 0F 2A C8 F2 0F 10 5C 24 20 47 8D 1C 52 48 8D 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 4C 8B C9 F2 0F 10 25 ?? ?? ?? ?? 4C 8B C1 F2 0F 59 D1 F2 0F 5C 1D ?? ?? ?? ?? F2 0F 59 CC F2 0F 5C EB F2 43 0F 58 54 D8 08 F2 43 0F 58 4C D9 10 F2 42 0F 10 24 D9 F2 0F 59 DC F2 0F 59 E5 F2 0F 5C D8 0F 28 C3 F2 0F 58 DA F2 0F 58 C4 F2 0F 58 E1 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 59 C0 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 58 E5 F2 0F 58 DC F2 0F 5A DB F3 0F 11 1A 48 83 C4 38 C3 F2 0F 10 0D ?? ?? ?? ?? 0F 28 C2 F2 0F 59 CA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 D1 F2 0F 5A D2 F3 0F 11 12 48 83 C4 38 C3 66 0F 2E D8 7A 02 74 16 F2 0F 5E C0 F2 0F 5A C0 F3 0F 11 02 B8 01 00 00 00 48 83 C4 38 C3 F2 0F 10 0D ?? ?? ?? ?? B8 02 00 00 00 0F 57 0D ?? ?? ?? ?? F2 0F 5E C8 F2 0F 5A C9 F3 0F 11 0A 48 83 C4 38 C3 44 8A 41 03 41 80 E0 80 41 80 F8 80 74 11 F3 0F 10 01 F3 0F 59 C0 F3 0F 11 02 48 83 C4 38 C3 F7 01 FF FF 7F 00 75 E7 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E C0 F2 0F 5A C0 F3 0F 11 02 48 83 C4 38 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_396_0_0 {
	meta:
		name = "__sse2_acosf4"
		size = 416
		refs = "0031 __common_sacos_data 019a __common_sacos_cout_rare"
	strings:
		$1 = { 48 81 EC F8 00 00 00 44 0F 29 84 24 C0 00 00 00 0F 29 BC 24 D0 00 00 00 0F 29 B4 24 E0 00 00 00 4C 89 AC 24 F0 00 00 00 4C 8D 6C 24 6F 44 0F 28 05 ?? ?? ?? ?? 49 83 E5 C0 41 0F 28 F8 44 0F 54 C0 0F 56 F8 0F 28 15 ?? ?? ?? ?? 0F 28 EF 0F 59 EA 0F 28 E7 0F 59 E7 0F 58 EA 0F 52 D5 0F 5D E5 0F 28 DF 0F 28 CA 0F C2 1D ?? ?? ?? ?? 02 0F 59 CA 0F 50 D3 0F 28 DC 0F 28 35 ?? ?? ?? ?? 0F C2 DD 05 0F 58 ED 0F 59 D5 85 D2 0F 59 E9 0F 28 0D ?? ?? ?? ?? 0F 59 CC 0F 5C 2D ?? ?? ?? ?? 0F 59 F5 0F 58 0D ?? ?? ?? ?? 0F 59 EA 0F 58 35 ?? ?? ?? ?? 0F 59 F5 0F 28 EC 0F 59 EC 0F 5C D6 0F 59 CD 0F 28 35 ?? ?? ?? ?? 0F 28 E8 0F 59 F4 0F 54 D3 0F C2 EC 01 0F 58 35 ?? ?? ?? ?? 0F 58 CE 0F 28 F3 0F 59 CC 0F 55 35 ?? ?? ?? ?? 0F 58 0D ?? ?? ?? ?? 0F 59 CC 0F 28 25 ?? ?? ?? ?? 0F 54 E3 0F 54 E5 0F 28 EB 0F 55 EF 0F 58 F4 0F 56 EA 66 41 0F EF E8 0F 59 CD 0F 58 CD 0F 58 F1 75 2C 0F 28 BC 24 D0 00 00 00 0F 28 C6 0F 28 B4 24 E0 00 00 00 44 0F 28 84 24 C0 00 00 00 4C 8B AC 24 F0 00 00 00 48 81 C4 F8 00 00 00 C3 41 0F 29 45 00 41 0F 29 75 40 74 C8 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 75 40 EB 90 49 8D 4C 9D 00 49 8D 54 9D 40 E8 ?? ?? ?? ?? EB D7 }
	condition:
		$1
}

rule file_398_0_0 {
	meta:
		name = "_RTC_AllocaHelper"
		size = 53
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 48 85 C9 74 22 48 85 D2 74 1D 4D 85 C0 74 18 48 8B F9 B0 CC 48 8B CA F3 AA 49 8B 00 49 89 41 04 49 89 51 0C 4D 89 08 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_398_1_0 {
	meta:
		name = "_RTC_CheckStackVars"
		size = 115
		refs = "0050 ?_RTC_StackFailure@@YAXPEAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 DB 48 8B F2 48 8B E9 39 1A 7E 3E 8B FB 48 8B 56 08 48 63 0C 17 81 7C 29 FC CC CC CC CC 75 11 48 63 44 17 04 48 03 C1 81 3C 28 CC CC CC CC 74 0F 48 8B 4C 24 28 48 8B 54 17 08 E8 ?? ?? ?? ?? FF C3 48 83 C7 10 3B 1E 7C C4 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_398_2_0 {
	meta:
		name = "_RTC_CheckStackVars2"
		size = 231
		refs = "005c ?_RTC_StackFailure@@YAXPEAXPEBD@Z 00a4 ?_RTC_AllocaFailure@@YAXPEAXPEAU_RTC_ALLOCA_NODE@@H@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 49 8B D8 48 8B F2 4C 8B F1 41 BF CC CC CC CC 48 85 D2 74 3E 33 ED 39 2A 7E 38 33 FF 48 8B 56 08 48 63 0C 17 46 39 7C 31 FC 75 0E 48 63 44 17 04 48 03 C1 46 39 3C 30 74 0F 48 8B 4C 24 38 48 8B 54 17 08 E8 ?? ?? ?? ?? FF C5 48 83 C7 10 3B 2E 7C CA 33 FF 48 8B C3 48 85 DB 74 5A 48 8B 40 04 FF C7 48 85 C0 75 F5 EB 48 44 39 3B 75 12 44 39 7B 14 75 0C 44 39 7B 18 75 06 44 39 7B 1C 74 10 48 8B 4C 24 38 44 8B C7 48 8B D3 E8 ?? ?? ?? ?? 48 8B 43 0C 44 39 7C 18 FC 74 10 48 8B 4C 24 38 44 8B C7 48 8B D3 E8 ?? ?? ?? ?? 48 8B 5B 04 FF CF 48 85 DB 75 B3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_401_0_0 {
	meta:
		name = "__sse2_cosh2"
		size = 576
		refs = "000a __common_dcosh_data 022b __common_dcosh_cout_rare"
	strings:
		$1 = { 48 81 EC 18 01 00 00 48 8D 05 ?? ?? ?? ?? 44 0F 29 9C 24 00 01 00 00 44 0F 29 94 24 E0 00 00 00 44 0F 29 84 24 C0 00 00 00 0F 29 BC 24 D0 00 00 00 0F 29 B4 24 F0 00 00 00 0F 28 F0 4C 89 AC 24 10 01 00 00 4C 8D 6C 24 6F 0F 28 15 ?? ?? ?? ?? 49 83 E5 C0 0F 28 CA 66 0F 73 D2 0B 0F 28 1D ?? ?? ?? ?? 0F 55 CE 66 0F 59 D9 0F 28 25 ?? ?? ?? ?? 66 0F 58 DC F3 44 0F 7E 05 ?? ?? ?? ?? 66 44 0F 70 D1 DD F3 0F 7E 3D ?? ?? ?? ?? 66 45 0F 66 D0 66 44 0F 70 C3 88 F3 44 0F 7E 1D ?? ?? ?? ?? 66 44 0F DB C7 66 45 0F FA D8 66 41 0F 6F F8 66 41 0F 72 F3 03 66 0F 72 F7 03 66 45 0F 7E D9 66 45 0F 70 DB 01 0F 28 05 ?? ?? ?? ?? 66 45 0F 7E DA 44 0F 28 DB 41 0F 50 D2 66 0F 73 F3 2C 66 44 0F 70 D7 01 0F 28 2D ?? ?? ?? ?? 66 44 0F 5C DC 66 0F 7E F9 66 45 0F 7E D0 0F 28 25 ?? ?? ?? ?? 0F 28 3D ?? ?? ?? ?? 66 41 0F 59 E3 66 41 0F 59 FB 66 0F 5C CC 66 0F 5C CF 44 0F 28 D9 83 E2 03 66 44 0F 59 D9 66 41 0F 59 EB 66 41 0F 59 C3 66 0F 59 E9 66 0F 58 05 ?? ?? ?? ?? 66 0F 58 E9 66 41 0F 59 C3 4D 63 C9 48 63 C9 4D 63 D2 4D 63 C0 F2 45 0F 10 14 01 F2 44 0F 10 04 01 66 45 0F 16 14 02 66 0F DB 1D ?? ?? ?? ?? 66 45 0F 16 04 00 66 44 0F FB D3 66 44 0F D4 C3 66 44 0F FB D2 41 0F 28 D0 66 41 0F 5C D2 66 45 0F 58 C2 66 0F 59 EA 66 41 0F 59 C0 66 0F 58 C5 66 41 0F 58 C0 75 3B 0F 28 B4 24 F0 00 00 00 0F 28 BC 24 D0 00 00 00 44 0F 28 84 24 C0 00 00 00 44 0F 28 94 24 E0 00 00 00 44 0F 28 9C 24 00 01 00 00 4C 8B AC 24 10 01 00 00 48 81 C4 18 01 00 00 C3 41 0F 29 75 00 41 0F 29 45 40 74 B9 33 C0 48 89 5C 24 28 8B D8 48 89 74 24 20 8B F2 8B CB 41 B8 01 00 00 00 41 D3 E0 41 85 F0 75 18 FF C3 83 FB 20 7C E9 48 8B 5C 24 28 48 8B 74 24 20 41 0F 28 45 40 EB 81 49 8D 4C DD 00 49 8D 54 DD 40 E8 ?? ?? ?? ?? EB D7 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_402_0_0 {
	meta:
		name = "__sse2_log2"
		size = 1040
		refs = "0014 BT_Tbl 001c iExpMask 0061 dbOne 0069 dbLog2Hi 0071 iHi43Bits 008f iBias 00a7 dbLog2Lo 0107 dbZero 0138 dbP5 0140 dbP4 0150 dbP3 0158 dbP2 0168 dbP1 01b7 i00100000 01de i001fffff 0382 s_db1022xLn2Lo 038a s_db1022xLn2 03bc dwInf"
	strings:
		$1 = { 48 81 EC 88 00 00 00 0F 29 74 24 70 0F 29 7C 24 60 4C 8D 15 ?? ?? ?? ?? 66 0F 28 3D ?? ?? ?? ?? 66 0F 70 E8 B1 66 0F 28 C8 66 0F DB F8 66 0F 70 C0 5F 66 0F 7E E8 8B C8 66 0F 7E C2 25 00 F8 0F 00 81 E2 00 F8 0F 00 05 00 08 00 00 81 C2 00 08 00 00 25 00 F0 1F 00 81 E2 00 F0 1F 00 66 0F EB 3D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 C9 0D C1 E8 07 C1 EA 07 66 0F 72 D1 14 81 E9 00 00 10 00 66 0F FA 0D ?? ?? ?? ?? F3 0F E6 C9 66 0F DB DF 66 0F 5C FB 66 0F 59 D1 66 0F 59 0D ?? ?? ?? ?? F3 41 0F 7E 24 02 66 41 0F 16 24 12 81 F9 00 00 E0 7F 66 0F 7E C1 0F 83 BE 00 00 00 81 E9 00 00 10 00 81 F9 00 00 E0 7F 0F 83 AC 00 00 00 66 0F 59 DC 66 0F 59 FC 66 41 0F 28 44 02 10 66 0F 28 E8 66 41 0F 28 74 12 10 66 0F 14 C6 66 0F 15 EE 66 0F 58 C2 66 0F 28 E0 66 0F C2 05 ?? ?? ?? ?? 00 66 0F 58 E9 66 0F 5C 1D ?? ?? ?? ?? 66 0F DB C7 66 0F 58 E3 66 0F 58 E0 66 0F DF C7 66 0F 58 FB 66 0F 28 CF 66 0F 59 FF 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 D7 66 0F 59 F7 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 D7 66 0F 59 F1 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 F2 66 0F 59 FE 66 0F 58 FD 66 0F 58 C7 66 0F 58 C4 E9 73 02 00 00 66 0F 70 F5 B1 66 0F 6F EE 66 0F 73 F6 20 66 0F 6F CE 66 0F 72 F6 10 66 0F 6F DD 66 0F EB F1 66 0F 29 5C 24 20 66 0F 72 D6 10 66 0F EB EE 66 0F 6F 0D ?? ?? ?? ?? 66 0F 70 ED F5 66 0F FE CD 66 0F 6F E3 66 0F 6F C1 66 0F 66 0D ?? ?? ?? ?? 66 0F 7F 6C 24 30 66 0F 66 05 ?? ?? ?? ?? 66 0F 6F 35 ?? ?? ?? ?? 66 0F 7F 4C 24 40 66 0F EF C8 66 0F 54 E0 66 0F 55 C6 66 0F 7F 4C 24 50 66 0F 54 F1 66 0F 54 CB 66 0F 56 C1 66 0F 5C C6 66 0F 56 C4 66 0F 28 3D ?? ?? ?? ?? 66 0F 70 E8 B1 66 0F 28 C8 66 0F DB F8 66 0F 70 C0 5F 66 0F 7E E8 8B C8 66 0F 7E C2 25 00 F8 0F 00 81 E2 00 F8 0F 00 05 00 08 00 00 81 C2 00 08 00 00 25 00 F0 1F 00 81 E2 00 F0 1F 00 66 0F EB 3D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 C9 0D C1 E8 07 C1 EA 07 66 0F 72 D1 14 81 E9 00 00 10 00 66 0F FA 0D ?? ?? ?? ?? F3 0F E6 C9 66 0F DB DF 66 0F 5C FB 66 0F 59 D1 66 0F 59 0D ?? ?? ?? ?? F3 41 0F 7E 24 02 66 41 0F 16 24 12 81 F9 00 00 E0 7F 66 0F 7E C1 0F 83 C0 FE FF FF 81 E9 00 00 10 00 81 F9 00 00 E0 7F 0F 83 AE FE FF FF 66 0F 59 DC 66 0F 59 FC 66 41 0F 28 44 02 10 66 0F 28 E8 66 41 0F 28 74 12 10 66 0F 14 C6 66 0F 15 EE 66 0F 58 C2 66 0F 28 E0 66 0F C2 05 ?? ?? ?? ?? 00 66 0F 58 E9 66 0F 5C 1D ?? ?? ?? ?? 66 0F DB C7 66 0F 58 E3 66 0F 58 E0 66 0F DF C7 66 0F 58 FB 66 0F 28 CF 66 0F 59 FF 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 D7 66 0F 59 F7 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 D7 66 0F 59 F1 66 0F 58 15 ?? ?? ?? ?? 66 0F 58 F2 66 0F 59 FE 66 0F 58 FD 66 0F 58 C7 66 0F 58 C4 66 0F 28 3D ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? 66 0F 6F 54 24 40 66 0F 6F 5C 24 30 66 0F 6F 64 24 50 66 0F EF ED 66 0F 54 FC 66 0F 54 CC 66 0F 76 ED 66 0F 58 C7 66 0F 58 C1 66 0F 6F 25 ?? ?? ?? ?? 66 0F 54 C2 66 0F EF D5 66 0F 76 E3 66 0F EF C9 66 0F EF D4 66 0F 72 F3 01 66 0F DB 64 24 20 66 0F 76 D9 66 0F EF D3 66 0F 73 F3 34 66 0F EB D4 66 0F EB D3 66 0F 58 C2 0F 28 74 24 70 0F 28 7C 24 60 48 81 C4 88 00 00 00 C3 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_1_1_1 {
	meta:
		name = "_Stoldx"
		size = 600
		refs = "001a __security_cookie 003c _Stopfx 0075 _Stoflt 007d __real@41cdcd6500000000 0090 _LXp_setw 00af _LXp_setn 00d5 _LXp_mulx 00fb _LXp_addx 0113 _LDtento 013e _Stoxflt 0146 __real@41b0000000000000 01ec _LDscale 01fb _LInf 020e _LNan 0228 _LPmsw 0242 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 D9 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 48 8B F1 48 89 4C 24 38 48 8D 4C 24 38 4D 8B F1 41 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 4D 85 F6 74 04 41 83 26 00 83 E0 F7 83 F8 01 0F 85 C0 00 00 00 48 8B 54 24 38 4C 8D 4C 24 40 4C 8B C3 C7 44 24 20 03 00 00 00 48 8B CE E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 4D 97 BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 50 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 5B 44 8B 44 24 44 E8 ?? ?? ?? ?? 4C 8B FE BE 01 00 00 00 EB 42 48 8D 45 D7 44 8B CB 4C 8D 45 97 48 89 44 24 20 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 8B 44 B4 44 48 8D 4D B7 48 FF C6 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 B7 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 3B F7 7C B9 03 7C 24 40 48 8D 4C 24 50 8B D7 4D 8B C6 E8 ?? ?? ?? ?? E9 FB 00 00 00 83 F8 02 0F 85 CD 00 00 00 48 8B 54 24 38 4C 8D 4C 24 40 4C 8B C3 C7 44 24 20 03 00 00 00 48 8B CE E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 4D B7 BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 50 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 5B 44 8B 44 24 44 E8 ?? ?? ?? ?? 4C 8B FE BE 01 00 00 00 EB 42 48 8D 45 D7 44 8B CB 4C 8D 45 B7 48 89 44 24 20 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 8B 44 B4 44 48 8D 4D 97 48 FF C6 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 97 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 3B F7 7C B9 4D 8B C6 48 8D 4C 24 50 8B D7 E8 ?? ?? ?? ?? 8B 54 24 40 48 8D 4C 24 30 F2 0F 11 44 24 30 E8 ?? ?? ?? ?? EB 2B 83 F8 03 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 16 BB 04 00 00 00 3B C3 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F2 0F 11 44 24 30 45 85 E4 74 12 48 8D 4C 24 30 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F2 0F 10 44 24 30 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_66_1_1 {
	meta:
		name = "_Stodx"
		size = 600
		refs = "001a __security_cookie 003c _Stopfx 0075 _Stoflt 007d __real@41cdcd6500000000 0090 _Xp_setw 00af _Xp_setn 00d5 _Xp_mulx 00fb _Xp_addx 0113 _Dtento 013e _Stoxflt 0146 __real@41b0000000000000 01ec _Dscale 01fb _Inf 020e _Nan 0228 _Pmsw 0242 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 D9 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 48 8B F1 48 89 4C 24 38 48 8D 4C 24 38 4D 8B F1 41 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 4D 85 F6 74 04 41 83 26 00 83 E0 F7 83 F8 01 0F 85 C0 00 00 00 48 8B 54 24 38 4C 8D 4C 24 40 4C 8B C3 C7 44 24 20 03 00 00 00 48 8B CE E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 4D 97 BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 50 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 5B 44 8B 44 24 44 E8 ?? ?? ?? ?? 4C 8B FE BE 01 00 00 00 EB 42 48 8D 45 D7 44 8B CB 4C 8D 45 97 48 89 44 24 20 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 8B 44 B4 44 48 8D 4D B7 48 FF C6 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 B7 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 3B F7 7C B9 03 7C 24 40 48 8D 4C 24 50 8B D7 4D 8B C6 E8 ?? ?? ?? ?? E9 FB 00 00 00 83 F8 02 0F 85 CD 00 00 00 48 8B 54 24 38 4C 8D 4C 24 40 4C 8B C3 C7 44 24 20 03 00 00 00 48 8B CE E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 4D B7 BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 50 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 5B 44 8B 44 24 44 E8 ?? ?? ?? ?? 4C 8B FE BE 01 00 00 00 EB 42 48 8D 45 D7 44 8B CB 4C 8D 45 B7 48 89 44 24 20 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 8B 44 B4 44 48 8D 4D 97 48 FF C6 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 97 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 3B F7 7C B9 4D 8B C6 48 8D 4C 24 50 8B D7 E8 ?? ?? ?? ?? 8B 54 24 40 48 8D 4C 24 30 F2 0F 11 44 24 30 E8 ?? ?? ?? ?? EB 2B 83 F8 03 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 16 BB 04 00 00 00 3B C3 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F2 0F 11 44 24 30 45 85 E4 74 12 48 8D 4C 24 30 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F2 0F 10 44 24 30 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_101_1_1 {
	meta:
		name = "_WStodx"
		size = 600
		refs = "001a __security_cookie 003c _WStopfx 0075 _WStoflt 007d __real@41cdcd6500000000 0090 _Xp_setw 00af _Xp_setn 00d5 _Xp_mulx 00fb _Xp_addx 0113 _Dtento 013e _WStoxflt 0146 __real@41b0000000000000 01ec _Dscale 01fb _Inf 020e _Nan 0228 _Pmsw 0242 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 D9 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 48 8B F1 48 89 4C 24 38 48 8D 4C 24 38 4D 8B F1 41 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 4D 85 F6 74 04 41 83 26 00 83 E0 F7 83 F8 01 0F 85 C0 00 00 00 48 8B 54 24 38 4C 8D 4C 24 40 4C 8B C3 C7 44 24 20 03 00 00 00 48 8B CE E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 4D 97 BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 50 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 5B 44 8B 44 24 44 E8 ?? ?? ?? ?? 4C 8B FE BE 01 00 00 00 EB 42 48 8D 45 D7 44 8B CB 4C 8D 45 97 48 89 44 24 20 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 8B 44 B4 44 48 8D 4D B7 48 FF C6 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 B7 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 3B F7 7C B9 03 7C 24 40 48 8D 4C 24 50 8B D7 4D 8B C6 E8 ?? ?? ?? ?? E9 FB 00 00 00 83 F8 02 0F 85 CD 00 00 00 48 8B 54 24 38 4C 8D 4C 24 40 4C 8B C3 C7 44 24 20 03 00 00 00 48 8B CE E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 4D B7 BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 50 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 5B 44 8B 44 24 44 E8 ?? ?? ?? ?? 4C 8B FE BE 01 00 00 00 EB 42 48 8D 45 D7 44 8B CB 4C 8D 45 B7 48 89 44 24 20 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 8B 44 B4 44 48 8D 4D 97 48 FF C6 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 97 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 3B F7 7C B9 4D 8B C6 48 8D 4C 24 50 8B D7 E8 ?? ?? ?? ?? 8B 54 24 40 48 8D 4C 24 30 F2 0F 11 44 24 30 E8 ?? ?? ?? ?? EB 2B 83 F8 03 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 16 BB 04 00 00 00 3B C3 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F2 0F 11 44 24 30 45 85 E4 74 12 48 8D 4C 24 30 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F2 0F 10 44 24 30 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_79_1_1 {
	meta:
		name = "_WStoldx"
		size = 600
		refs = "001a __security_cookie 003c _WStopfx 0075 _WStoflt 007d __real@41cdcd6500000000 0090 _LXp_setw 00af _LXp_setn 00d5 _LXp_mulx 00fb _LXp_addx 0113 _LDtento 013e _WStoxflt 0146 __real@41b0000000000000 01ec _LDscale 01fb _LInf 020e _LNan 0228 _LPmsw 0242 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D 6C 24 D9 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 48 8B F1 48 89 4C 24 38 48 8D 4C 24 38 4D 8B F1 41 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 4D 85 F6 74 04 41 83 26 00 83 E0 F7 83 F8 01 0F 85 C0 00 00 00 48 8B 54 24 38 4C 8D 4C 24 40 4C 8B C3 C7 44 24 20 03 00 00 00 48 8B CE E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 4D 97 BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 50 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 5B 44 8B 44 24 44 E8 ?? ?? ?? ?? 4C 8B FE BE 01 00 00 00 EB 42 48 8D 45 D7 44 8B CB 4C 8D 45 97 48 89 44 24 20 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 8B 44 B4 44 48 8D 4D B7 48 FF C6 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 B7 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 3B F7 7C B9 03 7C 24 40 48 8D 4C 24 50 8B D7 4D 8B C6 E8 ?? ?? ?? ?? E9 FB 00 00 00 83 F8 02 0F 85 CD 00 00 00 48 8B 54 24 38 4C 8D 4C 24 40 4C 8B C3 C7 44 24 20 03 00 00 00 48 8B CE E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 4D B7 BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 50 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 5B 44 8B 44 24 44 E8 ?? ?? ?? ?? 4C 8B FE BE 01 00 00 00 EB 42 48 8D 45 D7 44 8B CB 4C 8D 45 B7 48 89 44 24 20 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 8B 44 B4 44 48 8D 4D 97 48 FF C6 8B D3 E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 97 8B D3 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 3B F7 7C B9 4D 8B C6 48 8D 4C 24 50 8B D7 E8 ?? ?? ?? ?? 8B 54 24 40 48 8D 4C 24 30 F2 0F 11 44 24 30 E8 ?? ?? ?? ?? EB 2B 83 F8 03 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 16 BB 04 00 00 00 3B C3 75 0A F2 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F2 0F 11 44 24 30 45 85 E4 74 12 48 8D 4C 24 30 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F2 0F 10 44 24 30 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 00 01 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_2_0_1 {
	meta:
		name = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QEAA@U_Zero_then_variadic_args_t@1@@Z"
		size = 17
		altNames = "??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QEAA@U_Zero_then_variadic_args_t@1@@Z ??$?0$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QEAA@U_Zero_then_variadic_args_t@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@D@std@@@std@@V?$_String_val@U?$_Simple_types@D@std@@@2@$00@std@@QEAA@U_One_then_variadic_args_t@1@$$QEAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@G@std@@@std@@V?$_String_val@U?$_Simple_types@G@std@@@2@$00@std@@QEAA@U_One_then_variadic_args_t@1@$$QEAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@V?$_String_val@U?$_Simple_types@_W@std@@@2@$00@std@@QEAA@U_One_then_variadic_args_t@1@$$QEAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z ??0?$_String_val@U?$_Simple_types@D@std@@@std@@QEAA@XZ ??0?$_String_val@U?$_Simple_types@G@std@@@std@@QEAA@XZ ??0?$_String_val@U?$_Simple_types@_W@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_4_1 {
	meta:
		name = "??$?0U?$_Wrap_alloc@V?$allocator@D@std@@@std@@X@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAA@$$QEAU?$_Wrap_alloc@V?$allocator@D@std@@@1@@Z"
		size = 69
		refs = "0023 ?_Allocate@std@@YAPEAX_K0_N@Z"
		altNames = "??$?0U?$_Wrap_alloc@V?$allocator@G@std@@@std@@X@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAA@$$QEAU?$_Wrap_alloc@V?$allocator@G@std@@@1@@Z ??$?0U?$_Wrap_alloc@V?$allocator@_W@std@@@std@@X@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAA@$$QEAU?$_Wrap_alloc@V?$allocator@_W@std@@@1@@Z ??0?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAA@XZ ??0?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAA@XZ ??0?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 BA 10 00 00 00 48 83 61 18 00 48 8B D9 48 83 61 20 00 41 B0 01 8D 4A F1 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_6_1 {
	meta:
		name = "??$_Fgetc@D@std@@YA_NAEADPEAU_iobuf@@@Z"
		size = 36
		refs = "000d fgetc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 83 F8 FF 75 04 32 C0 EB 04 88 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_7_1 {
	meta:
		name = "??$_Fputc@D@std@@YA_NDPEAU_iobuf@@@Z"
		size = 23
		refs = "0008 fputc"
	strings:
		$1 = { 48 83 EC 28 0F BE C9 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_8_1 {
	meta:
		name = "??$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@0@XZ"
		size = 72
		refs = "0006 ??_B?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@0@XZ@51 0014 ??__F_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@0@XZ@YAXXZ 0021 ??_7_Iostream_error_category@std@@6B@ 0028 ?_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@1@XZ@4U?$_Immortalizer@V_Iostream_error_category@std@@@1@A 0038 atexit"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? A8 01 75 2E 83 C8 01 48 8D 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 C7 05 ?? ?? ?? ?? 05 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_12_1 {
	meta:
		name = "??$_Ungetc@D@std@@YA_NAEBDPEAU_iobuf@@@Z"
		size = 23
		refs = "0008 ungetc"
	strings:
		$1 = { 48 83 EC 28 0F B6 09 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_35_1 {
	meta:
		name = "??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$codecvt@DDU_Mbstatet@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$codecvt@DDU_Mbstatet@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_139_1 {
	meta:
		name = "??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$codecvt@GDU_Mbstatet@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$codecvt@GDU_Mbstatet@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_95_35_1 {
	meta:
		name = "??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$codecvt@_WDU_Mbstatet@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_60_1 {
	meta:
		name = "??$use_facet@V?$collate@D@std@@@std@@YAAEBV?$collate@D@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$collate@D@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$collate@D@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_143_1 {
	meta:
		name = "??$use_facet@V?$collate@G@std@@@std@@YAAEBV?$collate@G@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$collate@G@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$collate@G@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_127_2 {
	meta:
		name = "??$use_facet@V?$collate@_W@std@@@std@@YAAEBV?$collate@_W@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$collate@_W@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$collate@_W@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_24_2 {
	meta:
		name = "??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$ctype@D@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$ctype@D@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$ctype@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_50_37_1 {
	meta:
		name = "??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$ctype@G@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$ctype@G@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$ctype@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_149_1 {
	meta:
		name = "??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$ctype@_W@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$ctype@_W@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$ctype@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_64_1 {
	meta:
		name = "??$use_facet@V?$messages@D@std@@@std@@YAAEBV?$messages@D@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$messages@D@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$messages@D@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$messages@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_133_2 {
	meta:
		name = "??$use_facet@V?$messages@G@std@@@std@@YAAEBV?$messages@G@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$messages@G@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$messages@G@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$messages@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_135_2 {
	meta:
		name = "??$use_facet@V?$messages@_W@std@@@std@@YAAEBV?$messages@_W@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$messages@_W@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$messages@_W@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$messages@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_54_2 {
	meta:
		name = "??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_155_1 {
	meta:
		name = "??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_139_2 {
	meta:
		name = "??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_68_1 {
	meta:
		name = "??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_141_2 {
	meta:
		name = "??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_161_1 {
	meta:
		name = "??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_70_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@D$00@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@D$00@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_72_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@D$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_163_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@G$00@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_147_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@G$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_149_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@_W$00@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_169_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@_W$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_42_1 {
	meta:
		name = "??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_153_2 {
	meta:
		name = "??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_155_2 {
	meta:
		name = "??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_44_1 {
	meta:
		name = "??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_157_2 {
	meta:
		name = "??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_177_1 {
	meta:
		name = "??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_34_2 {
	meta:
		name = "??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$numpunct@D@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$numpunct@D@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_179_1 {
	meta:
		name = "??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$numpunct@G@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$numpunct@G@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_163_2 {
	meta:
		name = "??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$numpunct@_W@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$numpunct@_W@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_74_1 {
	meta:
		name = "??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_183_1 {
	meta:
		name = "??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_185_1 {
	meta:
		name = "??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_76_1 {
	meta:
		name = "??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_169_2 {
	meta:
		name = "??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_171_2 {
	meta:
		name = "??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 312
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a1 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00cf ?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00df ??0bad_cast@std@@QEAA@XZ 00e6 _TI2?AVbad_cast@std@@ 00f0 _CxxThrowException 010c _guard_check_icall 0119 ?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B 4D 08 48 3B 59 18 73 0A 48 8B 41 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 0F 85 84 00 00 00 40 38 79 24 74 17 E8 ?? ?? ?? ?? 48 3B 58 18 73 0A 48 8B 40 10 48 8B 3C D8 EB 02 33 FF 48 85 FF 75 62 48 85 F6 74 05 48 8B FE EB 58 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 7C 24 70 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_2_39_1 {
	meta:
		name = "??0?$_Immortalizer@V_Iostream_error_category@std@@@std@@QEAA@XZ"
		size = 27
		refs = "0008 ??_7_Iostream_error_category@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 12 48 8D 05 ?? ?? ?? ?? 48 C7 41 08 05 00 00 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_42_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@PEBDPEBU_Container_base12@1@@Z"
		size = 28
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@PEBGPEBU_Container_base12@1@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@PEB_WPEBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@PEADPEBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@PEAGPEBU_Container_base12@1@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@PEA_WPEBU_Container_base12@1@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 48 89 51 10 4D 85 C0 74 06 49 8B 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_51_1 {
	meta:
		name = "??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 59
		refs = "0011 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 0018 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0029 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 45 33 C0 48 8B D3 48 89 07 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_53_1 {
	meta:
		name = "??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 199
		refs = "002f ??_8?$basic_ostream@DU?$char_traits@D@std@@@std@@7B@ 0039 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 0053 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0077 ?_Init@ios_base@std@@IEAAXXZ 008a ?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QEBADD@Z 00a5 ?clear@ios_base@std@@QEAAXH_N@Z 00b2 ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 41 8A F0 48 8B EA 48 8B D9 83 60 18 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 60 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 F0 89 54 19 FC 48 8B 03 48 63 78 04 48 03 FB 48 8B CF E8 ?? ?? ?? ?? 48 89 6F 48 48 83 67 50 00 B2 20 48 8B CF E8 ?? ?? ?? ?? 88 47 58 48 83 7F 48 00 75 11 8B 57 10 83 CA 04 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 09 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_2_54_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 60 83 E0 01 85 C0 74 11 83 65 60 FE 48 8B 4D 50 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_2_55_1 {
	meta:
		name = "??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ"
		size = 174
		refs = "001a ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 0027 ??2@YAPEAX_K@Z 0036 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0D B1 01 E8 ?? ?? ?? ?? 48 89 47 08 EB 02 33 FF 48 89 7B 60 48 8D 43 08 48 89 43 18 48 8D 4B 10 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_14_55_1 {
	meta:
		name = "??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAA@XZ"
		size = 174
		refs = "001a ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 0027 ??2@YAPEAX_K@Z 0036 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0D B1 01 E8 ?? ?? ?? ?? 48 89 47 08 EB 02 33 FF 48 89 7B 60 48 8D 43 08 48 89 43 18 48 8D 4B 10 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_95_55_1 {
	meta:
		name = "??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAA@XZ"
		size = 174
		refs = "001a ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 0027 ??2@YAPEAX_K@Z 0036 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0D B1 01 E8 ?? ?? ?? ?? 48 89 47 08 EB 02 33 FF 48 89 7B 60 48 8D 43 08 48 89 43 18 48 8D 4B 10 48 89 4B 20 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_56_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z"
		size = 137
		refs = "0034 ?_Allocate@std@@YAPEAX_K0_N@Z 0076 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 48 8B D9 48 83 21 00 48 83 61 18 00 48 83 61 20 00 41 B0 01 BA 10 00 00 00 8D 4A F1 E8 ?? ?? ?? ?? 90 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 83 63 18 00 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_57_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
		size = 147
		refs = "0038 ?_Allocate@std@@YAPEAX_K0_N@Z 0080 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B FA 48 8B D9 48 83 21 00 48 83 61 18 00 48 83 61 20 00 41 B0 01 BA 10 00 00 00 8D 4A F1 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 83 63 18 00 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 49 83 C9 FF 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_59_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		size = 169
		refs = "0039 ?_Allocate@std@@YAPEAX_K0_N@Z 0091 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B D9 33 FF 48 89 39 48 89 79 18 48 89 79 20 41 B0 01 8D 57 10 8D 4F 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 89 7B 18 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 40 88 38 40 38 3E 74 10 48 83 C8 FF 48 FF C0 40 38 3C 06 75 F7 48 8B F8 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_61_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 112
		refs = "002c ?_Allocate@std@@YAPEAX_K0_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 21 00 48 83 61 18 00 48 83 61 20 00 41 B0 01 BA 10 00 00 00 8D 4A F1 E8 ?? ?? ?? ?? 90 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 83 63 18 00 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_62_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z"
		size = 155
		refs = "003f ?_Allocate@std@@YAPEAX_K0_N@Z 0083 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 41 8A F8 48 8B F2 48 8B D9 48 83 21 00 48 83 61 18 00 48 83 61 20 00 41 B0 01 BA 10 00 00 00 8D 4A F1 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 83 63 18 00 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 44 8A C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_64_1 {
	meta:
		name = "??0?$codecvt@DDU_Mbstatet@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$codecvt@DDU_Mbstatet@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_11_87_2 {
	meta:
		name = "??0?$messages@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@D@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_265_1 {
	meta:
		name = "??0?$messages@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@G@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_266_1 {
	meta:
		name = "??0?$messages@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@_W@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_11_88_2 {
	meta:
		name = "??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_267_1 {
	meta:
		name = "??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_40_228_2 {
	meta:
		name = "??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_11_89_2 {
	meta:
		name = "??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_40_229_2 {
	meta:
		name = "??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_40_230_2 {
	meta:
		name = "??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_17_48_2 {
	meta:
		name = "??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_40_239_2 {
	meta:
		name = "??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_40_240_2 {
	meta:
		name = "??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_24_63_1 {
	meta:
		name = "??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_281_1 {
	meta:
		name = "??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_282_1 {
	meta:
		name = "??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_65_1 {
	meta:
		name = "??0?$ctype@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 57
		refs = "0009 ??_7?$ctype@D@std@@6B@ 001d _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 48 8B C3 0F 11 4B 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_2_66_1 {
	meta:
		name = "??0?$fpos@U_Mbstatet@@@std@@QEAA@U_Mbstatet@@_J@Z"
		size = 16
	strings:
		$1 = { 48 83 21 00 48 8B C1 4C 89 41 08 48 89 51 10 C3 }
	condition:
		$1
}

rule file_2_67_1 {
	meta:
		name = "??0?$fpos@U_Mbstatet@@@std@@QEAA@_J@Z"
		size = 18
	strings:
		$1 = { 48 83 61 08 00 33 C0 48 89 11 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_72_1 {
	meta:
		name = "??0_Generic_error_category@std@@QEAA@XZ"
		size = 22
		refs = "0003 ??_7_Generic_error_category@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 C7 41 08 03 00 00 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_73_1 {
	meta:
		name = "??0_Init_cout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 000a ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0033 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0052 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 4C 8B D1 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_86_73_1 {
	meta:
		name = "??0_Init_ushcout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 000a ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0033 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0052 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 4C 8B D1 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_95_73_1 {
	meta:
		name = "??0_Init_wcout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 000a ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0033 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0052 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 4C 8B D1 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_2_74_1 {
	meta:
		name = "??0_Iostream_error_category@std@@QEAA@XZ"
		size = 22
		refs = "0003 ??_7_Iostream_error_category@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 C7 41 08 05 00 00 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_76_1 {
	meta:
		name = "??0_Locinfo@std@@QEAA@PEBD@Z"
		size = 150
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 005c ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@ 0066 ??0runtime_error@std@@QEAA@PEBD@Z 006d _TI2?AVruntime_error@std@@ 0077 _CxxThrowException 0083 ?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@PEBD@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 8B FA 48 8B D9 33 D2 E8 ?? ?? ?? ?? 90 33 C0 48 89 43 08 88 43 10 48 89 43 18 88 43 20 48 89 43 28 66 89 43 30 48 89 43 38 66 89 43 40 48 89 43 48 88 43 50 48 89 43 58 88 43 60 48 85 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_2_78_1 {
	meta:
		name = "?dtor$1@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_79_1 {
	meta:
		name = "?dtor$2@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_80_1 {
	meta:
		name = "?dtor$3@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@_W@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_81_1 {
	meta:
		name = "?dtor$4@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@_W@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_82_1 {
	meta:
		name = "?dtor$5@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_83_1 {
	meta:
		name = "?dtor$6@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_84_1 {
	meta:
		name = "??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 235
		refs = "0010 __security_cookie 002e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z 0049 ?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z 006a ??_7exception@std@@6B@ 0085 __std_exception_copy 008c ??_7runtime_error@std@@6B@ 009e ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 00b1 ?_Deallocate@std@@YAXPEAX_K1@Z 00b8 ??_7_System_error@std@@6B@ 00d6 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 00 00 00 48 8B FA 48 8B D9 49 8B D0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 10 07 4C 8B C0 48 8D 54 24 20 48 8D 4C 24 58 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 83 78 20 10 72 06 48 8B 40 08 EB 04 48 83 C0 08 48 8D 53 08 48 89 44 24 20 48 8D 0D ?? ?? ?? ?? C6 44 24 28 01 48 89 0B 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 45 33 C0 B2 01 48 89 03 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B 4C 24 58 BA 01 00 00 00 44 8D 42 0F E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 0F 10 07 F3 0F 7F 43 18 48 8B 8C 24 80 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F C3 }
	condition:
		$1
}

rule file_2_85_1 {
	meta:
		name = "??0_System_error@std@@QEAA@AEBV01@@Z"
		size = 81
		refs = "0010 ??_7exception@std@@6B@ 002c __std_exception_copy 0033 ??_7_System_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 51 08 33 C0 48 8B F9 48 89 02 48 8D 4B 08 48 89 42 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 0F 10 43 18 48 8B 5C 24 30 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_32_3_1 {
	meta:
		name = "??0future_error@std@@QEAA@AEBV01@@Z"
		size = 81
		refs = "0010 ??_7exception@std@@6B@ 002c __std_exception_copy 0033 ??_7future_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 51 08 33 C0 48 8B F9 48 89 02 48 8D 4B 08 48 89 42 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 0F 10 43 18 48 8B 5C 24 30 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_88_1 {
	meta:
		name = "??0codecvt_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7codecvt_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_111_89_1 {
	meta:
		name = "??0ctype_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7ctype_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_108_76_2 {
	meta:
		name = "??0facet@locale@std@@IEAA@_K@Z"
		size = 17
		refs = "0003 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_40_276_2 {
	meta:
		name = "??0messages_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7messages_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_68_144_1 {
	meta:
		name = "??0money_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7money_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_68_147_1 {
	meta:
		name = "??0time_base@std@@QEAA@_K@Z"
		size = 17
		refs = "0003 ??_7time_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_60_3_2 {
	meta:
		name = "?resetiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?rsfun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_60_6_2 {
	meta:
		name = "?setbase@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?sbfun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_60_8_2 {
	meta:
		name = "?setiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?sifun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_90_1 {
	meta:
		name = "??0error_category@std@@QEAA@XZ"
		size = 18
		refs = "0003 ??_7error_category@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 49 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_94_1 {
	meta:
		name = "??0exception@std@@QEAA@QEBD@Z"
		size = 64
		refs = "0014 ??_7exception@std@@6B@ 0033 __std_exception_copy"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 C6 44 24 28 01 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_97_1 {
	meta:
		name = "??0failure@ios_base@std@@QEAA@AEBV012@@Z"
		size = 91
		refs = "0010 ??_7exception@std@@6B@ 002c __std_exception_copy 0033 ??_7_System_error@std@@6B@ 003d ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 51 08 33 C0 48 8B F9 48 89 02 48 8D 4B 08 48 89 42 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 0F 10 43 18 48 8B 5C 24 30 48 89 07 48 8B C7 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_71_86_2 {
	meta:
		name = "??0system_error@std@@QEAA@AEBV01@@Z"
		size = 91
		refs = "0010 ??_7exception@std@@6B@ 002c __std_exception_copy 0033 ??_7_System_error@std@@6B@ 003d ??_7system_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 51 08 33 C0 48 8B F9 48 89 02 48 8D 4B 08 48 89 42 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 0F 10 43 18 48 8B 5C 24 30 48 89 07 48 8B C7 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_98_1 {
	meta:
		name = "??0failure@ios_base@std@@QEAA@PEBDAEBVerror_code@2@@Z"
		size = 51
		refs = "001c ??0system_error@std@@QEAA@Verror_code@1@PEBD@Z 0023 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 41 0F 10 00 4C 8B C2 48 8B D9 48 8D 54 24 20 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_101_1 {
	meta:
		name = "??0locale@std@@QEAA@AEBV01@@Z"
		size = 77
		refs = "002f _guard_check_icall"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 48 8B F1 48 8B 7A 08 48 89 79 08 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF FF D3 90 48 8B C6 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_102_1 {
	meta:
		name = "??0locale@std@@QEAA@XZ"
		size = 39
		refs = "0015 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B1 01 E8 ?? ?? ?? ?? 90 48 89 43 08 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_104_1 {
	meta:
		name = "??0runtime_error@std@@QEAA@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 88
		refs = "0026 ??_7exception@std@@6B@ 0041 __std_exception_copy 0048 ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 83 7A 20 10 48 8B D9 72 06 48 8B 42 08 EB 04 48 8D 42 08 48 8D 53 08 48 89 44 24 20 48 8D 0D ?? ?? ?? ?? C6 44 24 28 01 48 89 0B 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_105_1 {
	meta:
		name = "??0runtime_error@std@@QEAA@PEBD@Z"
		size = 74
		refs = "0014 ??_7exception@std@@6B@ 0033 __std_exception_copy 003a ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 C6 44 24 28 01 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_104_9_1 {
	meta:
		name = "??0invalid_argument@std@@QEAA@PEBD@Z"
		size = 74
		refs = "0014 ??_7exception@std@@6B@ 0033 __std_exception_copy 003a ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 C6 44 24 28 01 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_104_11_1 {
	meta:
		name = "??0length_error@std@@QEAA@PEBD@Z"
		size = 74
		refs = "0014 ??_7exception@std@@6B@ 0033 __std_exception_copy 003a ??_7length_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 C6 44 24 28 01 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_32_6_1 {
	meta:
		name = "??0logic_error@std@@QEAA@PEBD@Z"
		size = 74
		refs = "0014 ??_7exception@std@@6B@ 0033 __std_exception_copy 003a ??_7logic_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 C6 44 24 28 01 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_104_15_1 {
	meta:
		name = "??0out_of_range@std@@QEAA@PEBD@Z"
		size = 74
		refs = "0014 ??_7exception@std@@6B@ 0033 __std_exception_copy 003a ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 C6 44 24 28 01 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_104_17_1 {
	meta:
		name = "??0overflow_error@std@@QEAA@PEBD@Z"
		size = 74
		refs = "0014 ??_7exception@std@@6B@ 0033 __std_exception_copy 003a ??_7overflow_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 C6 44 24 28 01 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 89 44 24 20 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_107_1 {
	meta:
		name = "??0system_error@std@@QEAA@Verror_code@1@PEBD@Z"
		size = 156
		refs = "0017 __security_cookie 0031 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 004d ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 005d ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0070 ?_Deallocate@std@@YAXPEAX_K1@Z 0077 ??_7system_error@std@@6B@ 008a __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 48 8B DA 48 8B F9 49 8B D0 49 8D 4B C8 E8 ?? ?? ?? ?? 90 0F 10 03 F3 0F 7F 44 24 30 4C 8D 44 24 40 48 8D 54 24 30 48 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4C 24 40 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_2_112_1 {
	meta:
		name = "??1?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAA@XZ"
		size = 36
		refs = "0016 ?_Deallocate@std@@YAXPEAX_K1@Z"
		altNames = "??1?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAA@XZ ??1?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAA@XZ ?_Free_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAAXXZ ?_Free_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAAXXZ ?_Free_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 01 00 00 00 48 8B D9 48 8B 09 44 8D 42 0F E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_116_1 {
	meta:
		name = "??1?$_Yarn@D@std@@QEAA@XZ"
		size = 32
		refs = "0012 free"
		altNames = "??1?$_Yarn@_W@std@@QEAA@XZ ?_Tidy@?$_Yarn@D@std@@AEAAXXZ ?_Tidy@?$_Yarn@_W@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_118_1 {
	meta:
		name = "??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 172
		refs = "0015 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0067 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0074 fclose 0083 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 008b ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 00a1 ??_Glocale@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 B9 80 00 00 00 00 74 2D 4C 8B 41 18 48 8D 41 70 49 39 00 75 20 48 8B 91 90 00 00 00 48 8B 89 88 00 00 00 49 89 08 48 8B 43 38 48 89 08 2B D1 48 8B 43 50 89 10 80 7B 7C 00 74 2F 48 83 BB 80 00 00 00 00 74 16 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 8B 80 00 00 00 E8 ?? ?? ?? ?? 90 33 D2 44 8D 42 02 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 4B 60 48 85 C9 74 0B BA 01 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_119_1 {
	meta:
		name = "??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 34
		refs = "0010 ??_7ios_base@std@@6B@ 0018 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
		altNames = "??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ ??1ios_base@std@@UEAA@XZ"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_2_120_1 {
	meta:
		name = "??1?$basic_ostream@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC C3 }
	condition:
		$1
}

rule file_14_119_1 {
	meta:
		name = "??1?$basic_ostream@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC C3 }
	condition:
		$1
}

rule file_95_119_1 {
	meta:
		name = "??1?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC C3 }
	condition:
		$1
}

rule file_2_121_1 {
	meta:
		name = "??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 38
		refs = "0007 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 001d ??_Glocale@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 60 48 85 C9 74 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_14_120_1 {
	meta:
		name = "??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 38
		refs = "0007 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 001d ??_Glocale@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 60 48 85 C9 74 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_95_120_1 {
	meta:
		name = "??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 38
		refs = "0007 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 001d ??_Glocale@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 60 48 85 C9 74 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_122_1 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 46
		refs = "000f ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0020 ?_Deallocate@std@@YAXPEAX_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 B2 01 48 8B D9 E8 ?? ?? ?? ?? 48 8B 0B BA 01 00 00 00 44 8D 42 0F E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_345_1 {
	meta:
		name = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 46
		refs = "000f ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0020 ?_Deallocate@std@@YAXPEAX_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 B2 01 48 8B D9 E8 ?? ?? ?? ?? 48 8B 0B BA 01 00 00 00 44 8D 42 0F E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_346_1 {
	meta:
		name = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
		size = 46
		refs = "000f ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0020 ?_Deallocate@std@@YAXPEAX_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 B2 01 48 8B D9 E8 ?? ?? ?? ?? 48 8B 0B BA 01 00 00 00 44 8D 42 0F E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_124_1 {
	meta:
		name = "??1?$ctype@D@std@@MEAA@XZ"
		size = 73
		refs = "0009 ??_7?$ctype@D@std@@6B@ 001f free 002c ??_V@YAXPEAX@Z 003c ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 8B 41 20 85 C0 7E 0B 48 8B 49 18 E8 ?? ?? ?? ?? EB 0B 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_131_1 {
	meta:
		name = "??1_Locinfo@std@@QEAA@XZ"
		size = 157
		refs = "0013 ?_Locinfo_dtor@_Locinfo@std@@SAXPEAV12@@Z 0022 free 0099 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 E8 ?? ?? ?? ?? 90 48 8B 4B 58 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 63 58 00 48 8B 4B 48 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 63 48 00 48 8B 4B 38 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 63 38 00 48 8B 4B 28 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 63 28 00 48 8B 4B 18 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 63 18 00 48 8B 4B 08 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 63 08 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_141_1 {
	meta:
		name = "??1locale@std@@QEAA@XZ"
		size = 96
		refs = "0028 _guard_check_icall"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B 79 08 48 85 FF 74 38 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF FF D3 90 48 8B F8 48 85 C0 74 1A 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? 90 BA 01 00 00 00 48 8B CF FF D3 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_146_1 {
	meta:
		name = "??8std@@YA_NAEBVerror_condition@0@0@Z"
		size = 33
	strings:
		$1 = { 48 8B 42 08 4C 8B 49 08 4C 8B 40 08 4D 39 41 08 75 0C 8B 02 39 01 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_2_148_1 {
	meta:
		name = "??Bid@locale@std@@QEAA_KXZ"
		size = 71
		refs = "0017 ??0_Lockit@std@@QEAA@H@Z 0023 ?_Id_cnt@id@locale@std@@0HA 003a ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 39 00 48 8B D9 75 2F 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 3B 00 75 13 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 03 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_149_1 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ"
		size = 86
		refs = "0045 _invalid_parameter_noinfo_noreturn"
		altNames = "??D?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEADXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 10 48 85 C0 74 37 48 8B 09 48 85 C9 74 3B 48 8B 09 48 85 C9 74 33 48 83 79 20 10 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 3B D0 77 17 48 8B 49 18 48 03 D1 48 3B C2 73 0B 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_151_1 {
	meta:
		name = "??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
		size = 75
		refs = "001c ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0039 ??_7ios_base@std@@6B@ 0041 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 83 C1 10 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_14_150_1 {
	meta:
		name = "??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
		size = 75
		refs = "001c ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0039 ??_7ios_base@std@@6B@ 0041 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 83 C1 10 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_95_150_1 {
	meta:
		name = "??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
		size = 75
		refs = "001c ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0039 ??_7ios_base@std@@6B@ 0041 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 83 C1 10 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8B 41 F0 48 63 50 04 44 8D 42 F0 44 89 44 0A EC 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_2_153_1 {
	meta:
		name = "??_G?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 52
		refs = "0010 ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAA@XZ 0022 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA 98 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_152_1 {
	meta:
		name = "??_G?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 52
		refs = "0010 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAA@XZ 0022 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA 98 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_95_152_1 {
	meta:
		name = "??_G?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 52
		refs = "0010 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ 0022 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA 98 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_154_1 {
	meta:
		name = "??_G?$basic_ios@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 74
		refs = "001c ??_7ios_base@std@@6B@ 0024 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0037 ??3@YAXPEAX_K@Z"
		altNames = "??_G?$basic_ios@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z ??_G?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 F6 C3 01 74 0E BA 60 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_155_1 {
	meta:
		name = "??_G?$basic_ostream@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 110
		refs = "0024 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0048 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 005b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8D 79 F0 48 8B 07 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8B 07 4C 63 40 04 45 8D 48 F0 45 89 4C 08 EC 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 F6 C3 01 74 0E BA 70 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_14_154_1 {
	meta:
		name = "??_G?$basic_ostream@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 110
		refs = "0024 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0048 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 005b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8D 79 F0 48 8B 07 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8B 07 4C 63 40 04 45 8D 48 F0 45 89 4C 08 EC 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 F6 C3 01 74 0E BA 70 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_95_154_1 {
	meta:
		name = "??_G?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 110
		refs = "0024 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0048 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 005b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8D 79 F0 48 8B 07 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8B 07 4C 63 40 04 45 8D 48 F0 45 89 4C 08 EC 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 F6 C3 01 74 0E BA 70 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_156_1 {
	meta:
		name = "??_G?$basic_streambuf@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 77
		refs = "000d ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 0028 ??_Glocale@std@@QEAAPEAXI@Z 003b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 8B FA 48 8B 49 60 48 85 C9 74 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 40 F6 C7 01 74 0D BA 68 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_155_1 {
	meta:
		name = "??_G?$basic_streambuf@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 77
		refs = "000d ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 0028 ??_Glocale@std@@QEAAPEAXI@Z 003b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 8B FA 48 8B 49 60 48 85 C9 74 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 40 F6 C7 01 74 0D BA 68 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_95_155_1 {
	meta:
		name = "??_G?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 77
		refs = "000d ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 0028 ??_Glocale@std@@QEAAPEAXI@Z 003b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 8B FA 48 8B 49 60 48 85 C9 74 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 40 F6 C7 01 74 0D BA 68 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_157_1 {
	meta:
		name = "??_G?$codecvt@DDU_Mbstatet@@@std@@MEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7_Facet_base@std@@6B@ 001e ??3@YAXPEAX_K@Z"
		altNames = "??_G?$messages@D@std@@MEAAPEAXI@Z ??_G?$messages@G@std@@MEAAPEAXI@Z ??_G?$messages@_W@std@@MEAAPEAXI@Z ??_G?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z ??_G?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z ??_Gcodecvt_base@std@@UEAAPEAXI@Z ??_Gctype_base@std@@UEAAPEAXI@Z ??_Gfacet@locale@std@@MEAAPEAXI@Z ??_Gmessages_base@std@@UEAAPEAXI@Z ??_Gmoney_base@std@@UEAAPEAXI@Z ??_Gtime_base@std@@UEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 10 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_111_159_1 {
	meta:
		name = "??_G_Generic_error_category@std@@UEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7error_category@std@@6B@ 001e ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 10 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_135_2 {
	meta:
		name = "??_G_Iostream_error_category@std@@UEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7error_category@std@@6B@ 001e ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 10 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_69_2 {
	meta:
		name = "??_G_Ref_count_base@std@@UEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7_Ref_count_base@std@@6B@ 001e ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 10 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_92_98_1 {
	meta:
		name = "??_G_System_error_category@std@@UEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7error_category@std@@6B@ 001e ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 10 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_14_165_1 {
	meta:
		name = "??_Gerror_category@std@@UEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7error_category@std@@6B@ 001e ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 10 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_158_1 {
	meta:
		name = "??_G?$ctype@D@std@@MEAAPEAXI@Z"
		size = 106
		refs = "000d ??_7?$ctype@D@std@@6B@ 0025 free 0032 ??_V@YAXPEAX@Z 0042 ??_7_Facet_base@std@@6B@ 0058 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B FA 48 89 01 48 8B D9 8B 41 20 85 C0 7E 0B 48 8B 49 18 E8 ?? ?? ?? ?? EB 0B 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 0D BA 30 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_159_1 {
	meta:
		name = "??_G_Facet_base@std@@UEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7_Facet_base@std@@6B@ 001e ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_162_1 {
	meta:
		name = "??_G_System_error@std@@UEAAPEAXI@Z"
		size = 66
		refs = "000d ??_7exception@std@@6B@ 001e __std_exception_destroy 0030 ??3@YAXPEAX_K@Z"
		altNames = "??_Gfailure@ios_base@std@@UEAAPEAXI@Z ??_Gfuture_error@std@@UEAAPEAXI@Z ??_Gsystem_error@std@@UEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 83 C1 08 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA 28 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_170_1 {
	meta:
		name = "??_Gios_base@std@@UEAAPEAXI@Z"
		size = 74
		refs = "001c ??_7ios_base@std@@6B@ 0024 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0037 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 F6 C3 01 74 0E BA 48 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_171_1 {
	meta:
		name = "??_Glocale@std@@QEAAPEAXI@Z"
		size = 142
		refs = "0035 _guard_check_icall 0071 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 8B EA 48 8B F9 48 8B 71 08 48 85 F6 74 38 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CE FF D3 90 48 8B F0 48 85 C0 74 1A 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? 90 BA 01 00 00 00 48 8B CE FF D3 90 40 F6 C5 01 74 0E BA 10 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_174_1 {
	meta:
		name = "??__Ecout@std@@YAXXZ"
		size = 48
		refs = "000d ?fout@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A 0017 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 001c ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0023 ??__Fcout@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_174_1 {
	meta:
		name = "??__Ecerr@std@@YAXXZ"
		size = 48
		refs = "000d ?ferr@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A 0017 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 001c ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0023 ??__Fcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_149_2 {
	meta:
		name = "??__Ecin@std@@YAXXZ"
		size = 48
		refs = "000d ?fin@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A 0017 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 001c ??0?$basic_istream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0023 ??__Fcin@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_174_1 {
	meta:
		name = "??__Eclog@std@@YAXXZ"
		size = 48
		refs = "000d ?flog@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A 0017 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 001c ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0023 ??__Fclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_175_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 48
		refs = "000d ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0017 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_150_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 48
		refs = "000d ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0017 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_150_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 48
		refs = "000d ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0017 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_175_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 48
		refs = "000d ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0017 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcerr@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_175_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 48
		refs = "000d ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0017 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcin@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_150_2 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 48
		refs = "000d ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0017 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcin@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_175_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 48
		refs = "000d ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0017 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_175_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 48
		refs = "000d ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0017 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_22_150_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 48
		refs = "000d ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0017 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_150_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 48
		refs = "000d ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0017 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwclog@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_150_2 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 48
		refs = "000d ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0017 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcout@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_150_2 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 48
		refs = "000d ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0017 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcout@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_175_1 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 48
		refs = "000d ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0017 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 001c ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0023 ??__Fwcout@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_86_175_1 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 48
		refs = "000d ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0017 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 001c ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0023 ??__Fwcout@std@@YAXXZ 002c atexit"
	strings:
		$1 = { 48 83 EC 28 41 B9 01 00 00 00 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_175_1 {
	meta:
		name = "??__Efout@std@@YAXXZ"
		size = 80
		refs = "000c __acrt_iob_func 0013 ?fout@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A 001b ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 0022 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 003b ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 0042 ??__Ffout@std@@YAXXZ 004c atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 45 33 C0 48 8B D3 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_177_1 {
	meta:
		name = "??__Einitlocks@@YAXXZ"
		size = 32
		refs = "0007 ?initlocks@@3V_Init_locks@std@@A 000c ??0_Init_locks@std@@QEAA@XZ 0013 ??__Finitlocks@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_74_1 {
	meta:
		name = "??__E?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ"
		size = 32
		refs = "0007 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A 000c ?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 0013 ??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_2_1 {
	meta:
		name = "??__Einitlocks@std@@YAXXZ"
		size = 32
		refs = "0007 ?initlocks@std@@3V_Init_locks@1@A 000c ??0_Init_locks@std@@QEAA@XZ 0013 ??__Finitlocks@std@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_179_1 {
	meta:
		name = "??__Fcout@std@@YAXXZ"
		size = 93
		refs = "0010 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0022 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_81_179_1 {
	meta:
		name = "??__Fcerr@std@@YAXXZ"
		size = 93
		refs = "0010 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0022 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_11_179_1 {
	meta:
		name = "??__Fclog@std@@YAXXZ"
		size = 93
		refs = "0010 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0022 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_14_179_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0022 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_113_179_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0022 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_9_154_2 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0022 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_108_154_2 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0022 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_114_179_1 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 93
		refs = "0010 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0022 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_118_179_1 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 93
		refs = "0010 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0022 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_22_154_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 93
		refs = "0010 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0022 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_98_154_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 93
		refs = "0010 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0022 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_86_179_1 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0022 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_95_179_1 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0022 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_24_154_2 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0022 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 F0 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_2_183_1 {
	meta:
		name = "?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAAXXZ"
		size = 52
		refs = "0015 ?_Allocate@std@@YAPEAX_K0_N@Z"
		altNames = "?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAAXXZ ?_Alloc_proxy@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 10 00 00 00 48 8B D9 41 B0 01 8D 4A F1 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_184_1 {
	meta:
		name = "?_Allocate@std@@YAPEAX_K0_N@Z"
		size = 126
		refs = "0040 ??2@YAPEAX_K@Z 0067 ?_Xbad_alloc@std@@YAXXZ 0073 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 4C 8B CA 48 85 C9 75 07 33 C0 48 83 C4 28 C3 33 D2 48 83 C8 FF 49 F7 F1 48 3B C1 72 45 49 0F AF C9 45 84 C0 74 30 48 81 F9 00 10 00 00 72 27 48 8D 41 27 48 3B C1 76 30 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 26 48 83 C0 27 48 83 E0 E0 48 89 48 F8 EB B4 E8 ?? ?? ?? ?? 48 85 C0 75 AA EB 12 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_185_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
		size = 126
		refs = "002a memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 7A 20 10 48 8B DA 48 8B F9 73 19 4C 8B 42 18 49 83 C0 01 74 21 48 83 C1 08 48 83 C2 08 E8 ?? ?? ?? ?? EB 12 48 83 C1 08 74 07 48 8B 42 08 48 89 01 48 83 62 08 00 48 8B 43 18 48 89 47 18 48 8B 43 20 48 89 47 20 48 C7 43 20 0F 00 00 00 48 83 63 18 00 48 83 7B 20 10 72 06 48 8B 5B 08 EB 04 48 83 C3 08 C6 03 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_187_1 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0D@Z"
		size = 60
		refs = "0038 memset"
	strings:
		$1 = { 48 8B C2 49 83 F8 01 75 16 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 44 88 0C 11 C3 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 41 0F BE D1 48 03 C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_188_1 {
	meta:
		name = "?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAX_K@Z"
		size = 21
		refs = "0010 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 18 72 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_510_1 {
	meta:
		name = "?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAX_K@Z"
		size = 21
		refs = "0010 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 18 72 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_511_1 {
	meta:
		name = "?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAX_K@Z"
		size = 21
		refs = "0010 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 18 72 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_190_1 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z"
		size = 248
		refs = "007c ?_Allocate@std@@YAPEAX_K0_N@Z 00bb memcpy 00c8 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 48 83 EC 38 48 C7 40 C8 FE FF FF FF 49 8B F0 48 8B F9 48 8B DA 48 83 CB 0F 49 C7 C1 FE FF FF FF 49 3B D9 76 05 48 8B DA EB 31 4C 8B 41 20 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E3 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 1C 01 76 03 49 8B D9 48 8D 4B 01 41 B0 01 BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B F0 EB 14 48 8B 7C 24 60 48 8B 74 24 70 48 8B 5C 24 68 4C 8B 74 24 78 48 85 F6 74 21 48 83 7F 20 10 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 85 F6 74 0B 4C 8B C6 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 B2 01 48 8B CF E8 ?? ?? ?? ?? 48 8D 47 08 48 85 C0 74 03 4C 89 30 48 89 5F 20 48 89 77 18 48 83 7F 20 10 72 03 48 8B 00 C6 04 30 00 48 83 C4 38 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_2_192_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z$0"
		size = 42
		refs = "0014 ?_Allocate@std@@YAPEAX_K0_N@Z 001f $LN19"
	strings:
		$1 = { 48 8B 4D 68 48 89 4D 68 48 FF C1 41 B0 01 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 89 45 78 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_2_194_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z$1"
		size = 24
		refs = "000a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0013 _CxxThrowException"
	strings:
		$1 = { 45 33 C0 B2 01 48 8B 4D 60 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_41_526_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z$1"
		size = 24
		refs = "000a ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0013 _CxxThrowException"
	strings:
		$1 = { 45 33 C0 B2 01 48 8B 4D 60 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_41_531_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z$1"
		size = 24
		refs = "000a ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0013 _CxxThrowException"
	strings:
		$1 = { 45 33 C0 B2 01 48 8B 4D 60 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_2_195_1 {
	meta:
		name = "?_Deallocate@std@@YAXPEAX_K1@Z"
		size = 105
		refs = "0047 ??3@YAXPEAX@Z 004c _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 4C 8B CA 48 83 C8 FF 33 D2 49 F7 F0 4C 3B C8 77 36 4D 0F AF C8 49 81 F9 00 10 00 00 72 20 F6 C1 1F 75 2A 48 8B 41 F8 48 3B C1 73 27 48 2B C8 48 83 F9 08 72 24 48 83 F9 27 77 24 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_197_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ"
		size = 838
		refs = "002e __security_cookie 0065 _guard_check_icall 0089 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0097 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0260 fwrite 0297 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 02a8 _invalid_parameter_noinfo_noreturn 02c6 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 02d8 ?_Deallocate@std@@YAXPEAX_K1@Z 0321 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 4C 8B E1 45 33 FF 45 8B EF 44 89 7D A7 4C 39 79 68 0F 84 C7 02 00 00 44 38 79 71 0F 84 BD 02 00 00 48 8B 01 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 83 CA FF 49 8B CC FF D3 83 F8 FF 75 07 32 C0 E9 9C 02 00 00 45 33 C0 41 8D 50 08 48 8D 4D 07 E8 ?? ?? ?? ?? 90 48 8D 55 BF 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B 58 10 48 85 DB 0F 84 69 02 00 00 48 8B 00 48 85 C0 0F 84 57 02 00 00 48 8B 00 48 85 C0 0F 84 4B 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 2B 02 00 00 48 8B 40 18 48 03 C8 48 3B D9 0F 83 1B 02 00 00 48 8D 55 EF 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B 50 10 48 89 55 A7 48 85 D2 0F 84 F7 01 00 00 48 8B 00 48 85 C0 0F 84 E5 01 00 00 48 8B 00 48 85 C0 0F 84 D9 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 B9 01 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 A9 01 00 00 4D 8B 74 24 68 49 8B 16 48 03 5D 1F 48 8B 72 40 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 AF 48 89 44 24 20 4C 8B CB 4C 8B 45 A7 49 8D 54 24 74 49 8B CE FF D6 8B C8 85 C0 74 0B 83 E9 01 0F 85 15 01 00 00 EB 05 45 88 7C 24 71 48 8D 55 D7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 0F 84 41 01 00 00 48 8B 00 48 85 C0 0F 84 2F 01 00 00 48 8B 00 48 85 C0 0F 84 23 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 03 01 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 F3 00 00 00 48 8B 5D AF 48 2B DA 74 74 41 83 CD 01 48 8D 55 D7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B 48 10 48 85 C9 0F 84 9E 00 00 00 48 8B 00 48 85 C0 0F 84 8C 00 00 00 48 8B 00 48 85 C0 0F 84 80 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 3B D1 77 64 48 8B 40 18 48 03 D0 48 3B CA 73 58 4D 8B 8C 24 80 00 00 00 4C 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 B0 01 75 03 41 8A C7 41 F6 C5 01 74 04 41 83 E5 FE 84 C0 75 40 45 38 7C 24 71 74 36 48 85 DB 0F 85 02 FE FF FF 45 33 C0 8D 53 08 48 8D 4D 07 E8 ?? ?? ?? ?? E9 EE FD FF FF 83 F9 02 75 17 EB 12 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 B7 01 45 33 C0 B2 01 48 8D 4D 07 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D 07 E8 ?? ?? ?? ?? 41 8A C7 EB 38 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 B0 01 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_2_199_1 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 26
	strings:
		$1 = { 48 83 79 20 10 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 11 00 C3 }
	condition:
		$1
}

rule file_2_209_1 {
	meta:
		name = "?_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$codecvt@DDU_Mbstatet@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_2_210_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$codecvt@DDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$0@?0??_Getcat@?$messages@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$messages@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$messages@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 10 00 00 00 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_2_211_1 {
	meta:
		name = "?_Getcat@?$ctype@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 227
		refs = "0045 ??2@YAPEAX_K@Z 0065 ??_C@_00CNPNBAHC@?$AA@ 007e ??0_Locinfo@std@@QEAA@PEBD@Z 008e ??_7?$ctype@D@std@@6B@ 009b _Getctype 00c1 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC B0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 C0 00 00 00 48 85 C9 0F 84 8D 00 00 00 48 39 31 0F 85 84 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 57 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 48 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 48 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 B0 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_2_212_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$ctype@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$0@?0??_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 30 00 00 00 48 8B 8D C0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_2_214_1 {
	meta:
		name = "?_Getctype@_Locinfo@std@@QEBA?AU_Ctypevec@@XZ"
		size = 42
		refs = "000f _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 0F 10 00 0F 10 48 10 48 8B C3 0F 11 03 0F 11 4B 10 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_2_215_1 {
	meta:
		name = "?_Getfacet@locale@std@@QEBAPEBVfacet@12@_K@Z"
		size = 81
		refs = "0031 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 33 DB 48 8B 51 08 48 3B 7A 18 73 0A 48 8B 42 10 48 8B 04 F8 EB 03 48 8B C3 48 85 C0 75 1B 38 5A 24 74 16 E8 ?? ?? ?? ?? 48 3B 78 18 73 08 48 8B 40 10 48 8B 1C F8 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_216_1 {
	meta:
		name = "?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEBA_JXZ"
		size = 21
		altNames = "?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBA_JXZ ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBA_JXZ"
	strings:
		$1 = { 48 8B 41 38 33 D2 48 39 10 74 06 48 8B 41 50 8B 10 48 63 C2 C3 }
	condition:
		$1
}

rule file_2_217_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 20
	strings:
		$1 = { 48 8B 41 50 FF 00 48 8B 51 38 48 8B 02 48 FF C8 48 89 02 C3 }
	condition:
		$1
}

rule file_2_218_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 21
	strings:
		$1 = { 48 8B 41 50 FF 08 48 8B 51 38 48 8B 02 48 8D 48 01 48 89 0A C3 }
	condition:
		$1
}

rule file_2_219_1 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z"
		size = 110
		refs = "001a ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 0039 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0069 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 83 FA FE 77 59 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 3C 45 84 C0 74 1A 48 83 FB 10 73 14 4C 8B 41 18 B2 01 49 3B D8 4C 0F 42 C3 E8 ?? ?? ?? ?? EB 1D 48 85 DB 75 1B 48 21 59 18 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 01 00 48 85 DB 0F 95 C0 48 83 C4 20 5B C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_221_1 {
	meta:
		name = "?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 235
		refs = "009e _get_stream_buffer_pointers 00d3 ?_Stinit@?1??_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 4C 8B DC 49 89 5B 18 57 48 83 EC 20 C6 41 71 00 41 83 F8 01 4C 8D 41 10 48 8B FA 0F 94 C0 4C 89 41 20 88 41 7C 48 8B D9 48 8D 41 08 48 89 41 18 48 8D 41 28 48 89 41 38 48 8D 41 30 48 89 41 40 48 8D 41 48 48 89 41 50 48 8D 41 4C 48 89 41 58 49 83 20 00 48 8B 41 40 48 83 20 00 48 8B 41 58 83 20 00 48 8B 41 18 48 83 20 00 48 8B 41 38 48 83 20 00 48 8B 41 50 83 20 00 48 85 D2 74 4A 49 83 63 08 00 4D 8D 4B 20 49 83 63 10 00 4D 8D 43 10 49 83 63 20 00 49 8D 53 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 44 24 30 48 89 43 18 48 89 43 20 48 8B 44 24 38 48 89 43 38 48 89 43 40 48 8B 44 24 48 48 89 43 50 48 89 43 58 48 89 BB 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 83 63 68 00 48 89 43 74 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_222_1 {
	meta:
		name = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAPEAD0PEAH001@Z"
		size = 40
		altNames = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAPEAG0PEAH001@Z ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAPEA_W0PEAH001@Z"
	strings:
		$1 = { 48 8B 44 24 28 48 89 41 20 48 8B 44 24 30 48 89 41 40 48 8B 44 24 38 48 89 41 58 48 89 51 18 4C 89 41 38 4C 89 49 50 C3 }
	condition:
		$1
}

rule file_2_223_1 {
	meta:
		name = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXXZ"
		size = 90
		altNames = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXXZ ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXXZ"
	strings:
		$1 = { 45 33 C0 48 8D 41 08 48 89 41 18 48 8D 51 10 48 89 51 20 48 8D 41 28 48 89 41 38 48 8D 41 30 48 89 41 40 48 8D 41 48 48 89 41 50 48 8D 41 4C 48 89 41 58 4C 89 02 48 8B 41 40 4C 89 00 48 8B 41 58 44 89 00 48 8B 41 18 4C 89 00 48 8B 41 38 4C 89 00 48 8B 41 50 44 89 00 C3 }
	condition:
		$1
}

rule file_2_225_1 {
	meta:
		name = "?_Init@?$ctype@D@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 40
		refs = "000f _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_2_226_1 {
	meta:
		name = "?_Init@ios_base@std@@IEAAXXZ"
		size = 125
		refs = "0049 ?clear@ios_base@std@@QEAAXH_N@Z 0053 ??2@YAPEAX_K@Z 0062 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B D9 48 83 61 40 00 48 83 61 08 00 83 61 14 00 C7 41 18 01 02 00 00 48 C7 41 20 06 00 00 00 48 83 61 28 00 48 83 61 30 00 48 83 61 38 00 45 33 C0 33 D2 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0D B1 01 E8 ?? ?? ?? ?? 48 89 47 08 EB 02 33 FF 48 89 7B 40 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_228_1 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEBV?$codecvt@DDU_Mbstatet@@@2@@Z"
		size = 157
		refs = "0020 _guard_check_icall"
		altNames = "?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEBV?$codecvt@GDU_Mbstatet@@@2@@Z ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEBV?$codecvt@_WDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 02 48 8B F9 48 8B F2 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 33 D2 84 C0 74 06 48 89 57 68 EB 58 48 89 77 68 48 8D 47 08 48 89 47 18 48 8D 4F 10 48 89 4F 20 48 8D 47 28 48 89 47 38 48 8D 47 30 48 89 47 40 48 8D 47 48 48 89 47 50 48 8D 47 4C 48 89 47 58 48 89 11 48 8B 47 40 48 89 10 48 8B 47 58 89 10 48 8B 47 18 48 89 10 48 8B 47 38 48 89 10 48 8B 47 50 89 10 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_229_1 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_NPEBD@Z"
		size = 58
	strings:
		$1 = { 48 85 D2 74 32 48 83 79 20 10 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B D0 72 1A 48 83 79 20 10 72 03 4D 8B 00 48 8B 41 18 49 8D 0C 00 48 3B CA 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_2_230_1 {
	meta:
		name = "?_Lock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _lock_file"
		altNames = "?_Lock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAXXZ ?_Lock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 80 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_11_253_1 {
	meta:
		name = "?_Unlock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 80 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_86_254_1 {
	meta:
		name = "?_Unlock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 80 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_73_223_2 {
	meta:
		name = "?_Unlock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 80 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_232_1 {
	meta:
		name = "?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z"
		size = 215
		refs = "0014 __security_cookie 0043 ??_C@_02LMMGGCAJ@?3?5?$AA@ 004b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0058 ?message@error_code@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 006b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 007b ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0090 ?_Deallocate@std@@YAXPEAX_K1@Z 009b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 00cb __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 70 48 C7 44 24 28 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 49 8B D8 48 8B F2 48 8B F9 48 89 5C 24 30 83 64 24 20 00 49 83 78 18 00 74 15 41 B8 02 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 38 48 8B CE E8 ?? ?? ?? ?? 90 49 83 C9 FF 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4C 24 38 E8 ?? ?? ?? ?? BE 10 00 00 00 44 8B C6 8D 56 F1 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8B CB E8 ?? ?? ?? ?? 44 8B C6 8D 56 F1 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 8B C7 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule file_2_236_1 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAAPEADXZ"
		size = 17
		altNames = "?_Myptr@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEBAPEBDXZ ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QEAAPEADXZ ?_Myptr@?$_String_val@U?$_Simple_types@D@std@@@std@@QEBAPEBDXZ ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAPEBDXZ"
	strings:
		$1 = { 48 83 79 20 10 72 05 48 8B 41 08 C3 48 8D 41 08 C3 }
	condition:
		$1
}

rule file_2_245_1 {
	meta:
		name = "?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEBA_JXZ"
		size = 21
		altNames = "?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBA_JXZ ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBA_JXZ"
	strings:
		$1 = { 48 8B 41 40 33 D2 48 39 10 74 06 48 8B 41 58 8B 10 48 63 C2 C3 }
	condition:
		$1
}

rule file_2_246_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 21
	strings:
		$1 = { 48 8B 41 58 FF 08 48 8B 51 40 48 8B 02 48 8D 48 01 48 89 0A C3 }
	condition:
		$1
}

rule file_2_247_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 48
	strings:
		$1 = { 4C 8B 49 18 48 8D 41 70 49 39 01 75 22 48 8B 91 88 00 00 00 4C 8B 81 90 00 00 00 49 89 11 44 2B C2 48 8B 41 38 48 89 10 48 8B 41 50 44 89 00 C3 }
	condition:
		$1
}

rule file_2_248_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 73
	strings:
		$1 = { 4C 8B C1 48 8B 49 18 48 8B 01 4D 8D 48 70 49 3B C1 74 1C 49 89 80 88 00 00 00 49 8B 40 50 48 63 10 49 8B 40 38 48 03 10 49 89 90 90 00 00 00 4C 89 09 41 8B C8 49 8B 40 38 41 2B C9 83 C1 71 4C 89 08 49 8B 40 50 89 08 C3 }
	condition:
		$1
}

rule file_2_251_1 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z"
		size = 122
		refs = "0030 memcpy 0045 ?_Deallocate@std@@YAXPEAX_K1@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B D9 84 D2 74 30 48 83 79 20 10 72 29 48 83 C1 08 48 8B 31 4D 85 C0 74 08 48 8B D6 E8 ?? ?? ?? ?? 48 8B 53 20 41 B8 01 00 00 00 49 03 D0 48 8B CE E8 ?? ?? ?? ?? 48 C7 43 20 0F 00 00 00 48 83 7B 20 10 48 89 7B 18 72 06 48 8B 5B 08 EB 04 48 83 C3 08 48 8B 74 24 38 C6 04 3B 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_252_1 {
	meta:
		name = "?_Tidy@?$ctype@D@std@@IEAAXXZ"
		size = 52
		refs = "0015 free 0022 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 41 20 48 8B D9 85 C0 7E 0B 48 8B 49 18 E8 ?? ?? ?? ?? EB 0B 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_255_1 {
	meta:
		name = "?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 000c ?_Xlength_error@std@@YAXPEBD@Z"
		altNames = "?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_53_225_2 {
	meta:
		name = "?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_817_2 {
	meta:
		name = "?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_818_2 {
	meta:
		name = "?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_259_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QEAAPEAD_K@Z"
		size = 16
		refs = "000c ?_Allocate@std@@YAPEAX_K0_N@Z"
		altNames = "?allocate@?$allocator@D@std@@QEAAPEAD_K@Z"
	strings:
		$1 = { 48 8B CA 41 B0 01 BA 01 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_260_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QEAAPEAU_Container_proxy@2@_K@Z"
		size = 16
		refs = "000c ?_Allocate@std@@YAPEAX_K0_N@Z"
		altNames = "?allocate@?$allocator@U_Container_proxy@std@@@std@@QEAAPEAU_Container_proxy@2@_K@Z"
	strings:
		$1 = { 48 8B CA 41 B0 01 BA 10 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_263_1 {
	meta:
		name = "?always_noconv@codecvt_base@std@@QEBA_NXZ"
		size = 47
		refs = "0018 _guard_check_icall"
		altNames = "?date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AW4dateorder@time_base@2@XZ ?date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AW4dateorder@time_base@2@XZ ?date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AW4dateorder@time_base@2@XZ ?decimal_point@?$_Mpunct@D@std@@QEBADXZ ?decimal_point@?$_Mpunct@G@std@@QEBAGXZ ?decimal_point@?$_Mpunct@_W@std@@QEBA_WXZ ?decimal_point@?$numpunct@D@std@@QEBADXZ ?decimal_point@?$numpunct@G@std@@QEBAGXZ ?decimal_point@?$numpunct@_W@std@@QEBA_WXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_2_265_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 278
		refs = "0070 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00cd memcpy 0105 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 010b ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 42 18 49 8B E9 4D 8B F0 48 8B FA 48 8B D9 49 3B C0 0F 82 CF 00 00 00 49 2B C0 4C 8B 41 18 4C 3B C8 48 0F 47 E8 49 8B C0 48 F7 D0 48 3B C5 0F 86 BB 00 00 00 49 8D 34 28 48 85 ED 0F 84 87 00 00 00 48 83 FE FE 0F 87 AA 00 00 00 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1D 48 85 F6 75 1D 48 21 71 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 F6 74 4B 48 83 7F 20 10 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 85 ED 74 10 48 03 4B 18 4A 8D 14 30 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8B CF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_266_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD@Z"
		size = 29
		refs = "0019 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 45 33 C0 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_137_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD@Z"
		size = 29
		refs = "0019 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 45 33 C0 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_267_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 318
		refs = "0071 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00ad ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00f8 memcpy 0130 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 4D 8B F0 48 8B EA 48 8B D9 48 85 D2 74 53 48 83 79 20 10 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B E8 72 3B 48 83 79 20 10 72 05 49 8B 09 EB 03 49 8B C9 48 03 4B 18 48 3B CD 76 23 48 83 7B 20 10 72 03 4D 8B 09 49 2B E9 48 8B D3 4C 8B C5 4D 8B CE 48 8B CB E8 ?? ?? ?? ?? E9 97 00 00 00 4C 8B 43 18 49 8B C0 48 F7 D0 49 3B C6 0F 86 9F 00 00 00 4B 8D 3C 30 4D 85 F6 74 78 48 83 FF FE 0F 87 95 00 00 00 48 39 7B 20 73 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 21 7B 18 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 48 85 FF 74 39 48 83 7B 20 10 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 4D 85 F6 74 0F 48 03 4B 18 4D 8B C6 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_268_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 251
		refs = "0056 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00bb memset 00f0 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 45 8A F0 48 8B EA 4C 8B 41 18 48 8B D9 49 8B C0 48 F7 D0 48 3B C2 0F 86 BA 00 00 00 49 8D 34 10 48 85 D2 0F 84 8F 00 00 00 48 83 FE FE 0F 87 A9 00 00 00 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1D 48 85 F6 75 1D 48 21 71 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 F6 74 53 48 8B 4B 18 48 8D 7B 08 48 83 FD 01 75 15 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 44 88 34 08 EB 1E 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 41 0F BE D6 48 03 C8 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_269_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 296
		refs = "006a ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 008b ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00e4 memcpy 0117 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 0123 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B 42 18 49 8B F9 4D 8B F0 48 8B F2 48 8B D9 49 3B C0 0F 82 E5 00 00 00 49 2B C0 4C 3B C8 48 0F 47 F8 48 3B CA 75 36 49 8D 04 38 48 39 41 18 0F 82 D1 00 00 00 48 89 41 18 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 01 00 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 87 00 00 00 48 83 FF FE 0F 87 A5 00 00 00 48 39 79 20 73 0E 4C 8B 41 18 48 8B D7 E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 21 79 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 FF 74 47 48 83 7E 20 10 72 06 48 8B 46 08 EB 04 48 8D 46 08 48 83 7B 20 10 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0C 4A 8D 14 30 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 8B 7C 24 40 48 83 C4 20 41 5E C3 48 8B CE E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_271_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 267
		refs = "006c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 008d ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00d4 memcpy 0106 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F8 48 8B EA 48 8B D9 48 85 D2 74 50 48 83 79 20 10 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B E8 72 38 48 83 79 20 10 72 05 49 8B 08 EB 03 49 8B C8 48 03 4B 18 48 3B CD 76 20 48 83 7B 20 10 72 03 4D 8B 00 49 2B E8 4C 8B CF 4C 8B C5 48 8B D3 48 8B CB E8 ?? ?? ?? ?? EB 7B 48 83 FF FE 0F 87 86 00 00 00 48 39 7B 20 73 11 4C 8B 43 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 21 7B 18 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 48 85 FF 74 35 48 83 7B 20 10 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0B 4C 8B C7 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_272_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 211
		refs = "003c ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 0099 memset 00c8 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8A E8 48 8B FA 48 8B D9 48 83 FA FF 0F 84 A0 00 00 00 48 83 FA FE 0F 87 9C 00 00 00 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 21 79 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 FF 74 4B 48 8D 73 08 48 83 FF 01 75 14 48 83 7B 20 10 72 05 48 8B 06 EB 03 48 8B C6 40 88 28 EB 1B 48 83 7B 20 10 72 05 48 8B 0E EB 03 48 8B CE 40 0F BE D5 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_273_1 {
	meta:
		name = "?assign@?$char_traits@D@std@@SAPEADPEAD_KD@Z"
		size = 33
		refs = "0014 memset"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B D9 41 0F BE D0 4C 8B C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_275_1 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 36
	strings:
		$1 = { 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 48 83 62 08 00 48 89 42 10 48 8B 01 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_2_278_1 {
	meta:
		name = "?c_str@locale@std@@QEBAPEBDXZ"
		size = 31
		refs = "000c ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 48 8B 51 08 48 85 D2 75 08 48 8D 05 ?? ?? ?? ?? C3 48 8B 42 28 48 85 C0 75 04 48 8D 42 30 C3 }
	condition:
		$1
}

rule file_2_281_1 {
	meta:
		name = "?clear@?$basic_ios@DU?$char_traits@D@std@@@std@@QEAAXH_N@Z"
		size = 18
		refs = "000e ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?clear@?$basic_ios@GU?$char_traits@G@std@@@std@@QEAAXH_N@Z ?clear@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEAAXH_N@Z"
	strings:
		$1 = { 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_283_1 {
	meta:
		name = "?clear@ios_base@std@@QEAAXH_N@Z"
		size = 186
		refs = "0034 _CxxThrowException 003a ?make_error_code@std@@YA?AVerror_code@1@W4io_errc@1@@Z 0044 ??_C@_0BF@PHHKMMFD@ios_base?3?3badbit?5set?$AA@ 004e ??0failure@ios_base@std@@QEAA@PEBDAEBVerror_code@2@@Z 0055 _TI5?AVfailure@ios_base@std@@ 006f ??_C@_0BG@FMKFHCIL@ios_base?3?3failbit?5set?$AA@ 009a ??_C@_0BF@OOHOMBOF@ios_base?3?3eofbit?5set?$AA@"
	strings:
		$1 = { 48 83 EC 68 8B 41 14 83 E2 17 89 51 10 23 C2 74 19 45 84 C0 75 19 48 8D 4C 24 20 BA 01 00 00 00 A8 04 75 15 A8 02 75 3C EB 65 48 83 C4 68 C3 33 D2 33 C9 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_284_1 {
	meta:
		name = "?close@?$basic_filebuf@DU?$char_traits@D@std@@@std@@QEAAPEAV12@XZ"
		size = 96
		refs = "001e ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0032 fclose 0049 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B F9 48 39 B1 80 00 00 00 74 22 E8 ?? ?? ?? ?? 48 8B 8F 80 00 00 00 F6 D8 48 1B DB 48 23 DF E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B F3 33 D2 48 8B CF 44 8D 42 02 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_285_1 {
	meta:
		name = "?copy@?$char_traits@D@std@@SAPEADPEADPEBD_K@Z"
		size = 28
		refs = "000f memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4D 85 C0 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_286_1 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@D@std@@@std@@QEAAXPEAD_K@Z"
		size = 20
		refs = "0010 ?_Deallocate@std@@YAXPEAX_K1@Z"
		altNames = "?deallocate@?$allocator@D@std@@QEAAXPEAD_K@Z"
	strings:
		$1 = { 49 8B C0 48 8B CA 48 8B D0 41 B8 01 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_287_1 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@U_Container_proxy@std@@@std@@@std@@QEAAXPEAU_Container_proxy@2@_K@Z"
		size = 20
		refs = "0010 ?_Deallocate@std@@YAXPEAX_K1@Z"
		altNames = "?deallocate@?$allocator@U_Container_proxy@std@@@std@@QEAAXPEAU_Container_proxy@2@_K@Z"
	strings:
		$1 = { 49 8B C0 48 8B CA 48 8B D0 41 B8 10 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_294_1 {
	meta:
		name = "?do_in@?$codecvt@DDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEBD1AEAPEBDPEAD3AEAPEAD@Z"
		size = 27
		altNames = "?do_out@?$codecvt@DDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEBD1AEAPEBDPEAD3AEAPEAD@Z"
	strings:
		$1 = { 48 8B 44 24 28 48 8B 4C 24 40 4C 89 00 48 8B 44 24 30 48 89 01 B8 03 00 00 00 C3 }
	condition:
		$1
}

rule file_2_295_1 {
	meta:
		name = "?do_length@?$codecvt@DDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEBD1_K@Z"
		size = 18
	strings:
		$1 = { 4D 2B C8 4C 39 4C 24 28 4C 0F 42 4C 24 28 41 8B C1 C3 }
	condition:
		$1
}

rule file_2_298_1 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MEBAPEBDPEBD0DPEAD@Z"
		size = 31
		refs = "0012 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 4C 24 50 49 8B D8 4C 2B C2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_301_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MEBAPEBDPEADPEBD@Z"
		size = 95
		refs = "0036 _Tolower"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B F0 48 2B F2 48 8B DA 49 3B D0 48 0F 47 F7 48 85 F6 74 1C 48 8D 69 10 0F B6 0B 48 8B D5 E8 ?? ?? ?? ?? 88 03 48 FF C7 48 FF C3 48 3B FE 75 E8 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_303_1 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MEBAPEBDPEADPEBD@Z"
		size = 95
		refs = "0036 _Toupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B F0 48 2B F2 48 8B DA 49 3B D0 48 0F 47 F7 48 85 F6 74 1C 48 8D 69 10 0F B6 0B 48 8B D5 E8 ?? ?? ?? ?? 88 03 48 FF C7 48 FF C3 48 3B FE 75 E8 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_306_1 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MEBAPEBDPEBD0PEAD@Z"
		size = 29
		refs = "0010 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B D8 49 8B C9 4C 2B C2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_313_1 {
	meta:
		name = "?equivalent@error_category@std@@UEBA_NAEBVerror_code@2@H@Z"
		size = 28
	strings:
		$1 = { 48 8B 42 08 4C 8B 48 08 4C 39 49 08 75 0B 44 39 02 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_2_314_1 {
	meta:
		name = "?equivalent@error_category@std@@UEBA_NHAEBVerror_condition@2@@Z"
		size = 110
		refs = "0028 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 30 48 8B 01 48 8B F1 4D 8B F0 8B FA 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 44 8B C7 48 8D 54 24 20 48 8B CE FF D3 49 8B 4E 08 4C 8B 48 08 48 8B 51 08 49 39 51 08 75 0B 41 8B 0E 39 08 75 04 B0 01 EB 02 32 C0 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_2_315_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z"
		size = 159
		refs = "0070 memmove 009a ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 71 18 48 8B D9 48 3B F2 72 7E 48 8B C6 48 2B C2 49 3B C0 77 1B 48 89 51 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 04 10 00 EB 45 4D 85 C0 74 40 48 83 79 20 10 48 8D 79 08 72 05 48 8B 07 EB 03 48 8B C7 49 2B F0 48 8D 0C 10 48 8B C6 48 2B C2 74 0C 4A 8D 14 01 4C 8B C0 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_316_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K@Z"
		size = 49
		refs = "002c ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 18 72 21 48 89 51 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 04 10 00 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_2_317_1 {
	meta:
		name = "?gbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXH@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 50 29 10 48 8B 49 38 48 63 C2 48 01 01 C3 }
	condition:
		$1
}

rule file_2_318_1 {
	meta:
		name = "?getloc@ios_base@std@@QEBA?AVlocale@2@XZ"
		size = 85
		refs = "0038 _guard_check_icall"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 48 8B F2 83 64 24 20 00 48 8B 41 40 48 8B 78 08 48 89 7A 08 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 90 48 8B C6 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_320_1 {
	meta:
		name = "?imbue@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEBV?$codecvt@DDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_328_1 {
	meta:
		name = "?imbue@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEBV?$codecvt@GDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_328_1 {
	meta:
		name = "?imbue@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEBV?$codecvt@_WDU_Mbstatet@@@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_322_1 {
	meta:
		name = "?in@?$codecvt@DDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEBD1AEAPEBDPEAD3AEAPEAD@Z"
		size = 96
		refs = "0030 _guard_check_icall"
		altNames = "?in@?$codecvt@GDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEBD1AEAPEBDPEAG3AEAPEAG@Z ?in@?$codecvt@_WDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEBD1AEAPEBDPEA_W3AEAPEA_W@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 48 8B 01 4C 8B F1 49 8B F9 49 8B F0 48 8B EA 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 4C 8B CF 4C 8B C6 48 8B D5 49 8B CE 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_2_323_1 {
	meta:
		name = "?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
		size = 104
		refs = "0019 ?_Init@ios_base@std@@IEAAXXZ 002c ?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QEBADD@Z 0047 ?clear@ios_base@std@@QEAAXH_N@Z 0054 ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 83 67 50 00 B2 20 48 8B CF 48 89 5F 48 E8 ?? ?? ?? ?? 48 83 7F 48 00 88 47 58 75 11 8B 57 10 45 33 C0 83 CA 04 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_324_1 {
	meta:
		name = "?iostream_category@std@@YAAEBVerror_category@1@XZ"
		size = 72
		refs = "0006 ??_B?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@0@XZ@51 0014 ?_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@1@XZ@4U?$_Immortalizer@V_Iostream_error_category@std@@@1@A 0025 ??__F_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@0@XZ@YAXXZ 002c ??_7_Iostream_error_category@std@@6B@ 0038 atexit"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? A8 01 75 2E 83 C8 01 48 C7 05 ?? ?? ?? ?? 05 00 00 00 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_325_1 {
	meta:
		name = "?length@?$char_traits@D@std@@SA_KPEBD@Z"
		size = 25
	strings:
		$1 = { 33 C0 48 8B D1 38 01 74 0F 48 83 C9 FF 48 FF C1 38 04 0A 75 F8 48 8B C1 C3 }
	condition:
		$1
}

rule file_2_326_1 {
	meta:
		name = "?make_error_code@std@@YA?AVerror_code@1@W4io_errc@1@@Z"
		size = 98
		refs = "000c ??_B?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@0@XZ@51 001f ?_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@1@XZ@4U?$_Immortalizer@V_Iostream_error_category@std@@@1@A 0030 ??__F_Static@?1???$_Immortalize@V_Iostream_error_category@std@@@std@@YAAEAV_Iostream_error_category@0@XZ@YAXXZ 0037 ??_7_Iostream_error_category@std@@6B@ 0043 atexit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 05 ?? ?? ?? ?? 8B FA 48 8B D9 A8 01 75 2E 83 C8 01 48 C7 05 ?? ?? ?? ?? 05 00 00 00 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 89 3B 48 89 43 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_331_1 {
	meta:
		name = "?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 42
		refs = "0012 ?_Syserror_map@std@@YAPEBDH@Z 001d ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 41 8B C8 48 8B DA E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_332_1 {
	meta:
		name = "?message@_Iostream_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 51
		refs = "0017 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@ 001f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 0026 ?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 41 83 F8 01 75 11 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_2_333_1 {
	meta:
		name = "?message@error_code@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 85
		refs = "002e _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B 79 08 48 8B F1 83 64 24 20 00 48 8B EA 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 44 8B 06 48 8B D5 48 8B CF FF D3 48 8B 5C 24 40 48 8B C5 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_2_334_1 {
	meta:
		name = "?move@?$char_traits@D@std@@SAPEADPEADPEBD_K@Z"
		size = 25
		refs = "000a memmove"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 74 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_338_1 {
	meta:
		name = "?out@?$codecvt@DDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEBD1AEAPEBDPEAD3AEAPEAD@Z"
		size = 96
		refs = "0030 _guard_check_icall"
		altNames = "?out@?$codecvt@GDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEBG1AEAPEBGPEAD3AEAPEAD@Z ?out@?$codecvt@_WDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEB_W1AEAPEB_WPEAD3AEAPEAD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 48 8B 01 4C 8B F1 49 8B F9 49 8B F0 48 8B EA 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8B CF 4C 8B C6 48 8B D5 49 8B CE 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_2_339_1 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 1022
		refs = "0028 __security_cookie 00e4 fputc 0101 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 010f ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 01d5 _guard_check_icall 02f1 fwrite 033b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0345 _invalid_parameter_noinfo_noreturn 0398 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 03aa ?_Deallocate@std@@YAXPEAX_K1@Z 03df __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC F0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 8B DA 89 54 24 48 4C 8B E9 45 33 FF 44 89 7C 24 44 41 83 CC FF 41 3B D4 75 0F 41 3B D4 44 0F 45 FA 41 8B C7 E9 7B 03 00 00 48 8B 41 40 4C 39 38 74 30 48 8B 51 58 4C 63 02 49 8B C8 48 03 08 48 39 08 73 1E 41 8D 48 FF 89 0A 49 8B 55 40 4C 8B 02 49 8D 48 01 48 89 0A 41 88 18 8B C3 E9 42 03 00 00 4D 39 BD 80 00 00 00 75 08 41 8B C4 E9 31 03 00 00 4D 8B 45 18 49 8D 45 70 49 39 00 75 20 49 8B 95 90 00 00 00 49 8B 8D 88 00 00 00 49 89 08 49 8B 45 38 48 89 08 2B D1 49 8B 45 50 89 10 4D 39 7D 68 75 18 0F BE CB 49 8B 95 80 00 00 00 E8 ?? ?? ?? ?? 41 3B C4 44 0F 45 E3 EB AD 88 5C 24 40 45 33 C0 41 8D 50 08 48 8D 4D EF E8 ?? ?? ?? ?? 90 48 8D 55 A7 48 8D 4D EF E8 ?? ?? ?? ?? 48 8B 58 10 48 85 DB 0F 84 B1 02 00 00 48 8B 00 48 85 C0 0F 84 9F 02 00 00 48 8B 00 48 85 C0 0F 84 93 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 73 02 00 00 48 8B 40 18 48 03 C8 48 3B D9 0F 83 63 02 00 00 48 8D 55 D7 48 8D 4D EF E8 ?? ?? ?? ?? 48 8B 50 10 48 89 55 87 48 85 D2 0F 84 3F 02 00 00 48 8B 00 48 85 C0 0F 84 2D 02 00 00 48 8B 00 48 85 C0 0F 84 21 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 01 02 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 F1 01 00 00 4D 8B 75 68 4D 8B 06 48 03 5D 07 49 8B 70 38 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 8F 48 89 44 24 38 48 89 5C 24 30 48 8B 45 87 48 89 44 24 28 48 8D 45 97 48 89 44 24 20 4C 8D 4C 24 41 4C 8D 44 24 40 49 8D 55 74 49 8B CE FF D6 85 C0 0F 88 7A 01 00 00 83 F8 01 0F 8F 52 01 00 00 48 8D 55 BF 48 8D 4D EF E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 0F 84 32 01 00 00 48 8B 00 48 85 C0 0F 84 20 01 00 00 48 8B 00 48 85 C0 0F 84 14 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 F4 00 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 E4 00 00 00 48 8B 5D 8F 48 2B DA 8B 7C 24 44 74 76 83 CF 01 89 7C 24 44 48 8D 55 BF 48 8D 4D EF E8 ?? ?? ?? ?? 48 8B 48 10 48 85 C9 0F 84 A9 00 00 00 48 8B 00 48 85 C0 0F 84 97 00 00 00 48 8B 00 48 85 C0 0F 84 8B 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 3B D1 77 6F 48 8B 40 18 48 03 D0 48 3B CA 73 63 4D 8B 8D 80 00 00 00 4C 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 B0 01 75 03 41 8A C7 40 F6 C7 01 74 07 83 E7 FE 89 7C 24 44 84 C0 75 7E 41 C6 45 71 01 48 8D 44 24 40 48 39 45 97 75 36 48 85 DB 0F 85 DD FD FF FF 48 83 7D 07 20 73 5E 45 33 C0 8D 53 08 48 8D 4D EF E8 ?? ?? ?? ?? E9 C2 FD FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 44 8B 64 24 48 EB 31 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 83 F8 03 75 1A 0F BE 4C 24 40 49 8B 95 80 00 00 00 E8 ?? ?? ?? ?? 41 3B C4 44 0F 45 64 24 48 45 33 C0 B2 01 48 8D 4D EF E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D EF E8 ?? ?? ?? ?? E9 EB FC FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_2_342_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 206
		refs = "0066 ungetc"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 38 8B FA 48 8B D9 33 C9 48 8B 10 48 85 D2 74 2D 48 8B 43 18 48 39 10 73 24 83 FF FF 74 08 0F B6 42 FF 3B C7 75 17 48 8B 43 50 FF 00 48 8B 43 38 48 FF 08 83 FF FF 0F 45 CF 8B C1 EB 79 48 8B 93 80 00 00 00 48 85 D2 74 6A 83 FF FF 74 65 48 39 4B 68 75 12 40 0F B6 CF E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C7 EB 50 4C 8B 43 38 48 8D 53 70 49 39 10 74 40 4C 8B 4B 18 40 88 3A 49 8B 01 48 3B C2 74 18 48 89 83 88 00 00 00 48 8B 43 50 48 63 08 49 03 08 48 89 8B 90 00 00 00 49 89 11 8B CB 48 8B 43 38 2B CA 83 C1 71 48 89 10 48 8B 43 50 89 08 EB AF 83 C8 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_344_1 {
	meta:
		name = "?pbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXH@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 58 29 10 48 8B 49 40 48 63 C2 48 01 01 C3 }
	condition:
		$1
}

rule file_2_349_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 234
		refs = "0046 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0066 _fseeki64 007b fgetpos 00c2 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 48 8B 41 38 4C 8D 71 70 41 8B E9 49 8B F0 48 8B FA 48 8B D9 4C 39 30 75 10 41 83 F9 01 75 0A 48 83 79 68 00 75 03 48 FF CE 48 83 B9 80 00 00 00 00 74 7A E8 ?? ?? ?? ?? 84 C0 74 71 48 85 F6 75 05 83 FD 01 74 16 48 8B 8B 80 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 51 48 8B 8B 80 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 3C 48 8B 43 18 4C 39 30 75 20 48 8B 8B 88 00 00 00 48 8B 93 90 00 00 00 48 89 08 2B D1 48 8B 43 38 48 89 08 48 8B 43 50 89 10 48 8B 43 74 48 8B 4C 24 40 48 83 27 00 48 89 4F 08 EB 11 48 8B 05 ?? ?? ?? ?? 48 83 67 08 00 48 89 07 33 C0 48 8B 5C 24 48 48 8B 6C 24 50 48 89 47 10 48 8B C7 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_2_350_1 {
	meta:
		name = "?seekoff@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 25
		refs = "0003 ?_BADOFF@std@@3_JB"
		altNames = "?seekoff@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z ?seekoff@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z ?seekpos@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z ?seekpos@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z ?seekpos@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 62 08 00 48 89 02 33 C0 48 89 42 10 48 8B C2 C3 }
	condition:
		$1
}

rule file_2_351_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 256
		refs = "0038 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0051 fsetpos 006d _fseeki64 0082 fgetpos 00d5 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 20 48 83 B9 80 00 00 00 00 4D 8B F0 49 8B 40 08 48 8B FA 49 8B 30 48 8B D9 49 89 43 08 0F 84 9B 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 48 8B 8B 80 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 79 48 85 F6 74 17 48 8B 8B 80 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 5D 48 8B 8B 80 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 48 49 8B 46 10 4C 8B 43 18 48 89 43 74 48 8D 43 70 49 39 00 75 20 48 8B 8B 88 00 00 00 48 8B 93 90 00 00 00 49 89 08 2B D1 48 8B 43 38 48 89 08 48 8B 43 50 89 10 48 8B 43 74 48 8B 4C 24 30 48 83 27 00 48 89 4F 08 EB 11 48 8B 05 ?? ?? ?? ?? 48 83 67 08 00 48 89 07 33 C0 48 8B 5C 24 38 48 8B 74 24 40 48 89 47 10 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_2_356_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@PEAD_J@Z"
		size = 84
		refs = "002c setvbuf 0043 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4D 8B C8 48 8B 89 80 00 00 00 48 85 C9 74 34 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 E8 ?? ?? ?? ?? 85 C0 75 18 48 8B 93 80 00 00 00 44 8D 40 01 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_2_358_1 {
	meta:
		name = "?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAD00@Z"
		size = 25
	strings:
		$1 = { 48 8B 41 18 45 2B C8 48 89 10 48 8B 41 38 4C 89 00 48 8B 41 50 44 89 08 C3 }
	condition:
		$1
}

rule file_2_359_1 {
	meta:
		name = "?setp@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAD0@Z"
		size = 25
	strings:
		$1 = { 48 8B 41 20 44 2B C2 48 89 10 48 8B 41 40 48 89 10 48 8B 41 58 44 89 00 C3 }
	condition:
		$1
}

rule file_2_360_1 {
	meta:
		name = "?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QEAAXH_N@Z"
		size = 38
		refs = "001d ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QEAAXH_N@Z ?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEAAXH_N@Z"
	strings:
		$1 = { 48 83 EC 28 8B C2 85 D2 74 17 8B 51 10 0B D0 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_364_1 {
	meta:
		name = "?sync@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 93
		refs = "0027 _guard_check_icall 0041 fflush"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 B9 80 00 00 00 00 48 8B F9 74 2D 48 8B 01 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 83 CE FF 48 8B CF 8B D6 FF D3 3B C6 74 10 48 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 78 02 33 F6 48 8B 5C 24 30 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_369_1 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 1081
		refs = "002e __security_cookie 00c2 fgetc 00e1 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 010c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0119 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 01db _guard_check_icall 02ad ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 02d9 _invalid_parameter_noinfo_noreturn 03a3 ungetc 03f3 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0405 ?_Deallocate@std@@YAXPEAX_K1@Z 0414 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 4C 8B F9 48 8B 41 38 48 8B 08 48 85 C9 74 2C 49 8B 57 50 4C 63 02 4A 8D 04 01 48 3B C8 73 1C 41 8D 40 FF 89 02 49 8B 4F 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 E9 98 03 00 00 49 83 BF 80 00 00 00 00 75 08 83 C8 FF E9 86 03 00 00 4D 8B 47 18 49 8D 47 70 49 39 00 75 20 49 8B 97 90 00 00 00 49 8B 8F 88 00 00 00 49 89 08 49 8B 47 38 48 89 08 2B D1 49 8B 47 50 89 10 49 83 7F 68 00 75 22 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 41 83 CC FF 41 3B C4 0F 84 36 03 00 00 44 0F B6 E0 E9 2D 03 00 00 48 8D 4D FF E8 ?? ?? ?? ?? 90 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 41 83 CC FF 41 3B C4 0F 84 EA 02 00 00 44 8A C0 BA 01 00 00 00 48 8D 4D FF E8 ?? ?? ?? ?? 48 8D 55 CF 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B 58 10 48 85 DB 0F 84 B9 02 00 00 48 8B 00 48 85 C0 0F 84 A7 02 00 00 48 8B 00 48 85 C0 0F 84 9B 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 7B 02 00 00 48 8B 40 18 48 03 C8 48 3B D9 0F 83 6B 02 00 00 48 8D 55 E7 48 8D 4D FF E8 ?? ?? ?? ?? 4C 8B 68 10 4D 85 ED 0F 84 4B 02 00 00 48 8B 00 48 85 C0 0F 84 39 02 00 00 48 8B 00 48 85 C0 0F 84 2D 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 49 3B CD 0F 87 0D 02 00 00 48 8B 40 18 48 03 C8 4C 3B E9 0F 83 FD 01 00 00 4D 8B 77 68 49 8B 0E 48 03 5D 17 48 8B 71 30 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 A7 48 89 44 24 38 48 8D 45 98 48 89 44 24 30 48 8D 45 97 48 89 44 24 28 48 8D 45 9F 48 89 44 24 20 4C 8B CB 4D 8B C5 49 8D 57 74 49 8B CE FF D6 85 C0 0F 88 CF 01 00 00 83 F8 01 7E 16 83 F8 03 0F 85 C1 01 00 00 48 83 7D 17 01 0F 83 8F 00 00 00 EB 7C 48 8D 45 97 48 8D 55 B7 48 8D 4D FF 48 39 45 A7 0F 85 F1 00 00 00 E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 0F 84 D9 00 00 00 48 8B 00 48 85 C0 0F 84 C7 00 00 00 48 8B 00 48 85 C0 0F 84 BB 00 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 9B 00 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 8B 00 00 00 4C 8B 45 9F 4C 2B C2 33 D2 48 8D 4D FF E8 ?? ?? ?? ?? 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? E9 34 FE FF FF 48 8D 55 B7 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 75 06 E8 ?? ?? ?? ?? CC 48 8B 00 48 85 C0 74 3E 48 8B 00 48 85 C0 74 36 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 77 1A 48 8B 40 18 48 03 C8 48 3B D1 73 0E 0F B6 02 88 45 97 44 8B E0 E9 CB 00 00 00 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 75 06 E8 ?? ?? ?? ?? CC 48 8B 00 48 85 C0 74 67 48 8B 00 48 85 C0 74 5F 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 77 43 48 8B 40 18 48 03 C8 48 3B D1 73 37 8B 45 17 48 8B 4D 9F 2B C1 03 C2 48 63 D8 85 C0 7E 1E 48 FF CB 0F BE 0C 0B 49 8B 97 80 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 7E 06 48 8B 4D 9F EB E2 44 0F B6 65 97 EB 30 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D FF E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D FF E8 ?? ?? ?? ?? 41 8B C4 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_2_371_1 {
	meta:
		name = "?uflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 76
		refs = "0018 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 CA FF 3B C2 74 17 48 8B 47 50 01 10 48 8B 4F 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 12 8B C2 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_372_1 {
	meta:
		name = "?underflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 120
		refs = "003e _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 38 48 8B F9 4C 8B 00 4D 85 C0 74 15 48 8B 41 50 48 63 10 49 03 D0 4C 3B C2 73 06 41 0F B6 00 EB 35 48 8B 01 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 8B F0 83 C8 FF 3B F0 74 18 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 8B D6 48 8B CF FF D3 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_2_374_1 {
	meta:
		name = "?unshift@?$codecvt@DDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEAD1AEAPEAD@Z"
		size = 96
		refs = "0030 _guard_check_icall"
		altNames = "?unshift@?$codecvt@GDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEAD1AEAPEAD@Z ?unshift@?$codecvt@_WDU_Mbstatet@@@std@@QEBAHAEAU_Mbstatet@@PEAD1AEAPEAD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 48 8B 01 4C 8B F1 49 8B F9 49 8B F0 48 8B EA 48 8B 58 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B CF 4C 8B C6 48 8B D5 49 8B CE 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_2_378_1 {
	meta:
		name = "?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QEBADD@Z"
		size = 159
		refs = "0024 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 002d ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0049 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 40 8A EA 48 8D 50 E0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7C 24 30 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8B 06 48 8B 58 40 48 8B CB E8 ?? ?? ?? ?? 40 8A D5 48 8B CE FF D3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_2_380_1 {
	meta:
		name = "?widen@?$ctype@D@std@@QEBADD@Z"
		size = 63
		refs = "0020 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 01 48 8B F1 40 8A FA 48 8B 58 40 48 8B CB E8 ?? ?? ?? ?? 40 8A D7 48 8B CE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_2_381_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA_JPEAD_J@Z"
		size = 191
		refs = "0059 memcpy 0083 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 49 8B F8 48 8B F2 4C 8B F1 4D 85 C0 7E 78 49 8B 46 38 48 8B 10 48 85 D2 74 08 49 8B 46 50 8B 08 EB 02 33 C9 48 63 D9 85 C9 7E 32 48 3B FB 48 0F 4C DF 48 85 DB 74 0B 4C 8B C3 48 8B CE E8 ?? ?? ?? ?? 49 8B 46 50 48 03 F3 48 03 EB 48 2B FB 29 18 49 8B 4E 38 48 63 C3 48 01 01 EB 24 49 8B 06 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 83 F8 FF 74 10 88 06 48 FF C5 48 FF C6 48 FF CF 48 85 FF 7F 88 48 8B 5C 24 30 48 8B C5 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_2_382_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA_JPEBD_J@Z"
		size = 195
		refs = "005b memcpy 0089 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 ED 49 8B F0 4C 8B F2 4C 8B F9 4D 85 C0 7E 7F 49 8B 47 40 4C 8B 08 4D 85 C9 74 08 49 8B 47 58 8B 08 EB 02 33 C9 48 63 D9 85 C9 7E 35 48 3B F3 48 0F 4C DE 48 85 DB 74 0E 4C 8B C3 49 8B D6 49 8B C9 E8 ?? ?? ?? ?? 49 8B 47 58 4C 03 F3 48 03 EB 48 2B F3 29 18 49 8B 4F 40 48 63 C3 48 01 01 EB 28 49 8B 07 41 0F B6 1E 48 8B 78 18 48 8B CF E8 ?? ?? ?? ?? 8B D3 49 8B CF FF D7 83 F8 FF 74 0E 49 FF C6 48 FF C5 48 FF CE 48 85 F6 7F 81 48 8B 5C 24 40 48 8B C5 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_2_383_1 {
	meta:
		name = "memcpy_s"
		size = 135
		refs = "0027 _errno 0033 _invalid_parameter_noinfo 004c memcpy 0058 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D9 49 8B F0 48 8B FA 4D 85 C9 75 04 33 C0 EB 56 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 3C 48 85 F6 74 12 48 3B FB 72 0D 4C 8B C3 48 8B D6 E8 ?? ?? ?? ?? EB CB 4C 8B C7 33 D2 E8 ?? ?? ?? ?? 48 85 F6 74 C5 48 3B FB 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB BE B8 16 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_0_1 {
	meta:
		name = "??1_Init_atexit@@QEAA@XZ"
		size = 84
		refs = "0014 ?atfuns_cdecl@@3PAP6AXXZA 0022 ?atcount_cdecl@@3_KA 0028 __imp_DecodePointer 0039 _guard_check_icall"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF EB 30 48 8D 0D ?? ?? ?? ?? 48 8B 0C C1 48 FF C0 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 90 48 8B D8 48 85 C0 74 0C 48 8B C8 E8 ?? ?? ?? ?? 90 FF D3 90 48 8B 05 ?? ?? ?? ?? 48 83 F8 0A 72 C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_4_3_1 {
	meta:
		name = "??__Finit_atexit@@YAXXZ"
		size = 81
		refs = "0014 ?atfuns_cdecl@@3PAP6AXXZA 0022 ?atcount_cdecl@@3_KA 0028 __imp_DecodePointer 0038 _guard_check_icall"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF EB 2D 48 8D 0D ?? ?? ?? ?? 48 8B 0C C1 48 FF C0 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0A 48 8B C8 E8 ?? ?? ?? ?? FF D3 48 8B 05 ?? ?? ?? ?? 48 83 F8 0A 72 C6 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_4_5_1 {
	meta:
		name = "?_Atexit@@YAXP6AXXZ@Z"
		size = 61
		refs = "0007 ?atcount_cdecl@@3_KA 001c __imp_EncodePointer 002a ?atfuns_cdecl@@3PAP6AXXZA 0038 abort"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 27 48 FF C8 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 04 CA 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_6_1_1 {
	meta:
		name = "_Stoulx"
		size = 462
		refs = "003e isspace 00ce tolower 00d7 digits 00df memchr 0156 ndigs 018e _errno"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 38 4D 8B F9 41 8B F8 48 8B F2 4C 8B F1 4D 85 C9 74 04 41 83 21 00 0F B6 09 49 8B DE EB 06 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 44 8A 23 41 8D 44 24 D5 A8 FD 74 05 41 B4 2B EB 03 48 FF C3 85 FF 74 0C 8D 47 FE 83 F8 22 0F 87 DD 00 00 00 B1 30 85 FF 7E 14 83 FF 10 75 33 38 0B 75 2F 8A 43 01 2C 58 A8 DF 75 26 EB 20 38 0B 74 07 BF 0A 00 00 00 EB 19 8A 43 01 2C 58 A8 DF 74 07 BF 08 00 00 00 EB 09 BF 10 00 00 00 48 83 C3 02 48 89 9C 24 98 00 00 00 EB 03 48 FF C3 38 0B 74 F9 0F BE 0B 33 ED 21 AC 24 90 00 00 00 48 89 5C 24 20 4C 63 EF E8 ?? ?? ?? ?? 8B D0 48 8D 0D ?? ?? ?? ?? 4D 8B C5 E8 ?? ?? ?? ?? 48 85 C0 74 4D 4C 63 F7 48 8D 35 ?? ?? ?? ?? 89 AC 24 90 00 00 00 40 2A C6 44 0F BE E8 48 FF C3 0F AF EF 0F BE 0B 41 03 ED E8 ?? ?? ?? ?? 8B D0 4D 8B C6 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 CF 48 8B B4 24 88 00 00 00 4C 8B B4 24 80 00 00 00 EB 08 44 8A AC 24 90 00 00 00 48 39 9C 24 98 00 00 00 75 0C 48 85 F6 74 03 4C 89 36 33 C0 EB 6A 48 8D 0D ?? ?? ?? ?? 48 63 C7 48 0F BE 04 08 48 8B CB 48 2B C8 48 2B 4C 24 20 78 3B 48 85 C9 7F 19 41 0F BE CD 8B C5 2B C1 3B E8 72 0D 33 D2 F7 F7 3B 84 24 90 00 00 00 74 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 FF 74 07 41 C7 07 01 00 00 00 83 CD FF 41 B4 2B 8B C5 F7 D8 41 80 FC 2D 0F 45 C5 48 85 F6 74 03 48 89 1E 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_7_2_1 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@_W@@QEAA@XZ"
		size = 34
		refs = "0019 _free_base"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_7_6_1 {
	meta:
		name = "__crtCompareStringA"
		size = 864
		refs = "0017 __security_cookie 0044 __strncnt 00bf __imp_GetCPInfo 0146 __imp_MultiByteToWideChar 01a3 __chkstk 01ca _malloc_base 0309 __crtCompareStringEx 0325 _free_base 034d __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 48 83 EC 60 48 8D 6C 24 30 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 28 4C 8B AD 90 00 00 00 33 FF 49 63 D9 4D 8B F0 89 55 00 48 89 4D 08 45 85 C9 7E 29 48 8B D3 49 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 63 B5 98 00 00 00 85 F6 7E 1C 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 8B F0 EB 11 83 FB FF 7D E0 33 C0 E9 D3 02 00 00 83 FE FF 7C F4 41 BC 01 00 00 00 85 DB 74 08 85 F6 0F 85 A1 00 00 00 3B DE 75 0A B8 02 00 00 00 E9 AE 02 00 00 41 3B F4 7E 08 41 8B C4 E9 A1 02 00 00 41 3B DC 7E 0A B8 03 00 00 00 E9 92 02 00 00 8B 8D A0 00 00 00 48 8D 55 10 FF 15 ?? ?? ?? ?? 85 C0 74 A4 85 DB 7E 2B 83 7D 10 02 72 D8 40 38 7D 16 48 8D 45 16 74 CE 40 38 78 01 74 C8 41 8A 0E 3A 08 72 05 3A 48 01 76 A0 48 83 C0 02 40 38 38 EB E3 85 F6 7E 30 83 7D 10 02 72 9C 40 38 7D 16 48 8D 45 16 74 92 40 38 78 01 74 8C 41 8A 4D 00 3A 08 72 09 3A 48 01 0F 86 6C FF FF FF 48 83 C0 02 40 38 38 EB DE 8B 8D A0 00 00 00 44 8B CB 89 7C 24 28 4D 8B C6 BA 09 00 00 00 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 4C 63 E0 85 C0 0F 84 16 FF FF FF 49 8B CC 49 B8 F0 FF FF FF FF FF FF 0F 48 03 C9 48 8D 51 10 48 3B CA 48 1B C0 48 85 C2 74 6C 48 3B CA 48 1B C0 48 23 C2 48 3D 00 04 00 00 48 8D 41 10 77 37 48 3B C8 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 03 49 8B C0 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 0F 84 73 01 00 00 C7 07 CC CC 00 00 EB 1C 48 3B C8 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0A C7 00 DD DD 00 00 48 83 C7 10 48 85 FF 0F 84 42 01 00 00 8B 8D A0 00 00 00 44 8B CB 44 89 64 24 28 4D 8B C6 BA 01 00 00 00 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 19 01 00 00 83 64 24 28 00 44 8B CE 8B 8D A0 00 00 00 4D 8B C5 48 83 64 24 20 00 BA 09 00 00 00 FF 15 ?? ?? ?? ?? 4C 63 F0 85 C0 0F 84 EC 00 00 00 49 8B D6 48 03 D2 4C 8D 42 10 49 3B D0 48 1B C9 49 85 C8 74 71 49 3B D0 48 1B C0 49 23 C0 48 3D 00 04 00 00 48 8D 42 10 77 3A 48 3B D0 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 30 48 85 DB 74 76 C7 03 CC CC 00 00 EB 1C 48 3B D0 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 45 8B 8D A0 00 00 00 44 8B CE 44 89 74 24 28 4D 8B C5 BA 01 00 00 00 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 20 8B 55 00 45 8B CC 48 8B 4D 08 4C 8B C7 44 89 74 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 48 85 DB 74 15 48 8D 4B F0 81 39 DD DD 00 00 75 09 E8 ?? ?? ?? ?? EB 02 33 F6 48 85 FF 74 11 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C6 48 8B 4D 28 48 33 CD E8 ?? ?? ?? ?? 48 8D 65 30 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_7_7_1 {
	meta:
		name = "_freea_crt"
		size = 31
		refs = "0016 _free_base"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_8_7_1 {
	meta:
		name = "__crtLCMapStringA"
		size = 748
		refs = "0022 __security_cookie 0045 __strncnt 0072 __imp_MultiByteToWideChar 00cf __chkstk 00f6 _malloc_base 0157 __crtLCMapStringEx 028a __imp_WideCharToMultiByte 02a6 _free_base 02ce __security_check_cookie"
	strings:
		$1 = { 40 55 41 56 41 57 48 83 EC 50 48 8D 6C 24 40 48 89 5D 30 48 89 75 38 48 89 7D 40 4C 89 6D 48 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 49 63 D9 49 8B F8 44 8B FA 4C 8B E9 45 85 C9 7E 14 48 8B D3 49 8B C8 E8 ?? ?? ?? ?? 3B C3 8D 58 01 7C 02 8B D8 F7 5D 68 44 8B CB 8B 4D 60 4C 8B C7 1B D2 83 64 24 28 00 48 83 64 24 20 00 83 E2 08 FF C2 FF 15 ?? ?? ?? ?? 4C 63 F0 85 C0 0F 84 45 02 00 00 49 8B CE 49 B8 F0 FF FF FF FF FF FF 0F 48 03 C9 48 8D 51 10 48 3B CA 48 1B C0 48 85 C2 74 6E 48 3B CA 48 1B C0 48 23 C2 48 3D 00 04 00 00 48 8D 41 10 77 37 48 3B C8 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 03 49 8B C0 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 74 24 40 48 85 F6 0F 84 C8 01 00 00 C7 06 CC CC 00 00 EB 1C 48 3B C8 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C6 10 EB 02 33 F6 48 85 F6 0F 84 93 01 00 00 8B 4D 60 44 8B CB 44 89 74 24 28 4C 8B C7 BA 01 00 00 00 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 6D 01 00 00 83 64 24 28 00 45 8B CE 48 83 64 24 20 00 4C 8B C6 41 8B D7 49 8B CD E8 ?? ?? ?? ?? 48 63 D8 85 C0 0F 84 46 01 00 00 41 B8 00 04 00 00 45 85 F8 74 36 8B 45 58 85 C0 0F 84 32 01 00 00 3B D8 0F 8F 2A 01 00 00 89 44 24 28 45 8B CE 48 8B 45 50 4C 8B C6 41 8B D7 48 89 44 24 20 49 8B CD E8 ?? ?? ?? ?? E9 07 01 00 00 48 8B CB 48 03 C9 48 8D 51 10 48 3B CA 48 1B C0 48 85 C2 74 72 48 3B CA 48 1B C0 48 23 C2 49 3B C0 48 8D 41 10 77 3E 48 3B C8 48 1B C9 48 23 C8 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 40 48 85 FF 0F 84 AA 00 00 00 C7 07 CC CC 00 00 EB 1C 48 3B C8 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C7 10 EB 02 33 FF 48 85 FF 74 79 89 5C 24 28 45 8B CE 4C 8B C6 48 89 7C 24 20 41 8B D7 49 8B CD E8 ?? ?? ?? ?? 85 C0 74 41 48 83 64 24 38 00 33 D2 48 21 54 24 30 44 8B CB 8B 45 58 4C 8B C7 8B 4D 60 85 C0 75 0B 21 54 24 28 48 21 54 24 20 EB 0D 89 44 24 28 48 8B 45 50 48 89 44 24 20 FF 15 ?? ?? ?? ?? 8B D8 85 C0 75 05 48 85 FF 74 15 48 8D 4F F0 81 39 DD DD 00 00 75 09 E8 ?? ?? ?? ?? EB 02 33 DB 48 85 F6 74 11 48 8D 4E F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 4C 8B 6D 48 48 8D 65 10 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_9_0_1 {
	meta:
		name = "_Towlower"
		size = 115
		refs = "005a __crtLCMapStringW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B C2 66 89 4C 24 50 BA FF FF 00 00 66 3B CA 74 50 48 83 78 18 00 BA 00 01 00 00 75 14 66 3B CA 73 0F 8D 41 BF 66 83 F8 19 77 36 66 83 C1 20 EB 30 41 B9 01 00 00 00 48 8D 4C 24 50 44 89 4C 24 28 4C 8D 44 24 40 48 89 4C 24 20 48 8B 48 18 E8 ?? ?? ?? ?? 0F B7 4C 24 50 85 C0 66 0F 44 4C 24 40 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_11_73_1 {
	meta:
		name = "??0_Init_clog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_109_73_1 {
	meta:
		name = "??0_Init_cin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_50_73_1 {
	meta:
		name = "??0_Init_ushcin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_118_73_1 {
	meta:
		name = "??0_Init_ushclog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_111_73_1 {
	meta:
		name = "??0_Init_wcin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_114_73_1 {
	meta:
		name = "??0_Init_wclog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_11_175_1 {
	meta:
		name = "??__Eflog@std@@YAXXZ"
		size = 80
		refs = "000c __acrt_iob_func 0013 ?flog@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A 001b ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 0022 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 003b ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 0042 ??__Fflog@std@@YAXXZ 004c atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 45 33 C0 48 8B D3 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_175_1 {
	meta:
		name = "??__Eferr@std@@YAXXZ"
		size = 80
		refs = "000c __acrt_iob_func 0013 ?ferr@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A 001b ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 0022 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 003b ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 0042 ??__Fferr@std@@YAXXZ 004c atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 45 33 C0 48 8B D3 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_176_1 {
	meta:
		name = "??__Einit_clog@std@@YAXXZ"
		size = 38
		refs = "0003 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_109_176_1 {
	meta:
		name = "??__Einit_cin@std@@YAXXZ"
		size = 38
		refs = "0003 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_50_173_1 {
	meta:
		name = "??__Einit_ushcin@std@@YAXXZ"
		size = 38
		refs = "0003 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_118_173_1 {
	meta:
		name = "??__Einit_ushclog@std@@YAXXZ"
		size = 38
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_111_173_1 {
	meta:
		name = "??__Einit_wcin@std@@YAXXZ"
		size = 38
		refs = "0003 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_114_173_1 {
	meta:
		name = "??__Einit_wclog@std@@YAXXZ"
		size = 38
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_12_0_1 {
	meta:
		name = "_Stoflt"
		size = 713
		refs = "0017 __security_cookie 0078 isdigit 00c3 localeconv 02ad __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 8B 84 24 D0 00 00 00 49 8B F1 48 89 4C 24 30 48 8B DA 33 C9 4C 89 44 24 28 49 89 09 8B E9 44 8D 2C C0 89 4C 24 24 44 8B F9 8D 41 2D 44 3B E8 44 8D 71 01 44 0F 4F E8 80 3A 30 44 89 6C 24 20 75 0B 45 8B FE 49 03 DE 80 3B 30 74 F8 8B F9 4D 63 E5 0F B6 0B E8 ?? ?? ?? ?? 85 C0 74 42 45 33 F6 45 8D 6E 01 45 8B FD 4D 3B F4 7D 11 8A 03 41 03 FD 2C 30 42 88 44 34 38 4D 03 F5 EB 0A 44 01 2E 80 3B 30 41 0F 45 ED 49 03 DD 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 D1 44 8B 6C 24 20 44 8D 70 01 E8 ?? ?? ?? ?? 48 8D 53 01 48 8B 08 8A 03 3A 01 48 0F 45 D3 48 8B DA 85 FF 75 12 80 3A 30 75 0D 45 8B FE FF 0E 49 03 DE 80 3B 30 74 F6 0F B6 0B E8 ?? ?? ?? ?? 85 C0 74 3F 41 BD 01 00 00 00 4C 63 F7 45 8B FD 4D 3B F4 7D 13 8A 03 41 03 FD 2C 30 42 88 44 34 38 4D 03 F5 FF 0E EB 07 80 3B 30 41 0F 45 ED 49 03 DD 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 D2 44 8B 6C 24 20 41 BE 01 00 00 00 85 ED 74 0C 41 8D 45 FF 48 63 C8 44 00 74 0C 38 48 63 C7 85 FF 7E 1E 48 8D 4C 24 38 49 2B CE 80 3C 01 00 75 0E 44 01 36 41 2B FE 49 2B C6 48 85 C0 7F EC 85 FF 75 08 41 8B FE C6 44 24 38 00 45 85 FF 0F 84 F4 00 00 00 BD 39 8E E3 38 4C 63 DF 45 33 ED 8B C5 F7 EF D1 FA 8B C2 FF C2 C1 E8 1F 03 C2 44 8D 14 C0 8B C5 44 2B D7 41 F7 EA D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 D2 44 3B D0 41 0F 95 C5 85 FF 7E 49 45 33 C0 45 8B CD 8B C5 41 F7 EA D1 FA 8B C2 C1 E8 1F 03 D0 8D 0C D2 44 3B D1 75 0E 42 0F BE 44 04 38 45 03 EE 4D 03 CE EB 10 42 8B 04 8E 42 0F BE 54 04 38 8D 0C 80 8D 04 4A 45 03 D6 42 89 04 8E 4D 03 C6 4D 3B C3 7C BD 8A 03 2C 45 A8 DF 75 6B 4C 8B E3 40 B5 2B 49 03 DE 8A 03 40 2A C5 A8 FD 75 06 40 8A 2B 49 03 DE 0F B6 0B 45 33 F6 33 FF E8 ?? ?? ?? ?? 85 C0 74 27 44 8D 77 01 81 FF 00 E1 F5 05 7D 0C 0F B6 03 8D 3C BF 8D 7F E8 8D 3C 78 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 DD 8B C7 F7 D8 40 80 FD 2D 0F 45 C7 01 06 45 85 F6 49 0F 44 DC EB 05 44 8B 6C 24 24 48 8B 54 24 28 41 8B C7 F7 D8 1B C0 41 23 C5 48 85 D2 74 0F 48 8B 4C 24 30 45 85 FF 48 0F 45 CB 48 89 0A 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_13_0_1 {
	meta:
		name = "_WStopfx"
		size = 483
		refs = "0031 iswctype"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 48 8B 19 33 F6 4C 8B FA 4C 8B E1 0F B7 0B 8D 6E 08 8B D5 E8 ?? ?? ?? ?? 8D 7E 02 EB 0D 48 03 DF 8B D5 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 EF 66 83 3B 2D 75 04 8B F5 EB 06 66 83 3B 2B 75 03 48 03 DF 0F B7 03 66 41 B8 4E 00 66 41 2B C0 BA DF FF 00 00 66 85 C2 0F 84 E0 00 00 00 0F B7 03 66 83 E8 49 66 85 C2 74 4C 66 83 3B 30 75 3E 0F B7 43 02 66 83 E8 58 66 85 C2 75 31 48 8D 6B 04 BA 80 00 00 00 66 83 7D 00 2E 48 8D 45 02 48 0F 45 C5 0F B7 08 E8 ?? ?? ?? ?? 85 C0 75 05 8D 78 01 EB 03 48 8B DD 0B F7 E9 F6 00 00 00 83 CE 01 E9 EE 00 00 00 48 03 DF 0F B7 03 66 41 2B C0 66 85 C2 0F 85 CD 00 00 00 48 03 DF 0F B7 03 66 83 E8 46 66 85 C2 0F 85 BA 00 00 00 48 03 DF 83 CE 03 0F B7 03 66 83 E8 49 66 85 C2 0F 85 AA 00 00 00 48 8D 4B 02 0F B7 01 66 41 2B C0 66 85 C2 0F 85 96 00 00 00 48 03 CF 0F B7 01 66 83 E8 49 66 85 C2 0F 85 83 00 00 00 48 03 CF 0F B7 01 66 83 E8 54 66 85 C2 75 74 0F B7 04 39 66 83 E8 59 66 85 C2 75 67 48 8D 5F 02 48 03 D9 EB 5E 48 03 DF 0F B7 03 66 83 E8 41 66 85 C2 75 49 48 03 DF 0F B7 03 66 41 2B C0 66 85 C2 75 3A 48 03 DF BE 04 00 00 00 4C 8B F3 66 83 3B 28 75 2F 4C 03 F7 BA 07 01 00 00 41 0F B7 0E E8 ?? ?? ?? ?? 85 C0 75 EB 66 41 83 3E 5F 74 E4 66 41 83 3E 29 75 0C 49 8D 5E 02 EB 06 49 8B 1C 24 33 F6 4D 85 FF 74 03 49 89 1F 48 8B 6C 24 48 8B C6 48 8B 74 24 50 48 8B 7C 24 58 49 89 1C 24 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_14_6_1 {
	meta:
		name = "??$_Fgetc@G@std@@YA_NAEAGPEAU_iobuf@@@Z"
		size = 42
		refs = "000d fgetwc"
		altNames = "??$_Fgetc@_W@std@@YA_NAEA_WPEAU_iobuf@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 04 32 C0 EB 05 66 89 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_14_7_1 {
	meta:
		name = "??$_Fputc@G@std@@YA_NGPEAU_iobuf@@@Z"
		size = 25
		refs = "0005 fputwc"
		altNames = "??$_Fputc@_W@std@@YA_N_WPEAU_iobuf@@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? BA FF FF 00 00 66 3B C2 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_14_12_1 {
	meta:
		name = "??$_Ungetc@G@std@@YA_NAEBGPEAU_iobuf@@@Z"
		size = 28
		refs = "0008 ungetwc"
		altNames = "??$_Ungetc@_W@std@@YA_NAEB_WPEAU_iobuf@@@Z"
	strings:
		$1 = { 48 83 EC 28 0F B7 09 E8 ?? ?? ?? ?? BA FF FF 00 00 66 3B C2 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_14_51_1 {
	meta:
		name = "??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 159
		refs = "0011 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAA@XZ 001a ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0085 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 33 C9 48 8D 05 ?? ?? ?? ?? 48 89 07 4C 8D 47 10 88 4F 7C 48 8D 47 08 48 89 47 18 48 8D 47 28 48 89 47 38 48 8D 47 30 48 89 47 40 48 8D 47 48 48 89 47 50 48 8D 47 4C 48 89 47 58 88 4F 72 4C 89 47 20 49 89 08 48 8B 47 40 48 89 08 48 8B 47 58 89 08 48 8B 47 18 48 89 08 48 8B 47 38 48 89 08 48 8B 47 50 89 08 48 89 9F 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 89 47 74 48 8B C7 48 89 4F 68 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_95_51_1 {
	meta:
		name = "??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 159
		refs = "0011 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAA@XZ 001a ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0085 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 33 C9 48 8D 05 ?? ?? ?? ?? 48 89 07 4C 8D 47 10 88 4F 7C 48 8D 47 08 48 89 47 18 48 8D 47 28 48 89 47 38 48 8D 47 30 48 89 47 40 48 8D 47 48 48 89 47 50 48 8D 47 4C 48 89 47 58 88 4F 72 4C 89 47 20 49 89 08 48 8B 47 40 48 89 08 48 8B 47 58 89 08 48 8B 47 18 48 89 08 48 8B 47 38 48 89 08 48 8B 47 50 89 08 48 89 9F 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 89 47 74 48 8B C7 48 89 4F 68 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_53_1 {
	meta:
		name = "??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 124
		refs = "0026 ??_8?$basic_ostream@GU?$char_traits@G@std@@@std@@7B@ 0030 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 004a ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 006e ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 F0 89 54 19 FC 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_95_53_1 {
	meta:
		name = "??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 124
		refs = "0026 ??_8?$basic_ostream@_WU?$char_traits@_W@std@@@std@@7B@ 0030 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 004a ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 006e ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 F0 89 54 19 FC 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_14_54_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_95_54_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_14_64_1 {
	meta:
		name = "??0?$codecvt@GDU_Mbstatet@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 73
		refs = "0009 ??_7?$codecvt@GDU_Mbstatet@@@std@@6B@ 001d _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_41_260_1 {
	meta:
		name = "??0?$codecvt@_WDU_Mbstatet@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 73
		refs = "0009 ??_7?$codecvt@_WDU_Mbstatet@@@std@@6B@ 001d _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_14_65_1 {
	meta:
		name = "??0?$ctype@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 98
		refs = "0009 ??_7?$ctype@G@std@@6B@ 001d _Getctype 0036 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_41_264_1 {
	meta:
		name = "??0?$ctype@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 98
		refs = "0009 ??_7?$ctype@_W@std@@6B@ 001d _Getctype 0036 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_14_73_1 {
	meta:
		name = "??0_Init_ushcerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_81_73_1 {
	meta:
		name = "??0_Init_cerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_113_73_1 {
	meta:
		name = "??0_Init_wcerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_14_117_1 {
	meta:
		name = "??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 139
		refs = "0015 ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0062 ?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAAPEAV12@XZ 006a ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 0080 ??_Glocale@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 B9 80 00 00 00 00 74 32 48 8B 49 18 48 8D 43 70 48 39 01 75 25 4C 8B 83 90 00 00 00 48 8B 93 88 00 00 00 48 89 11 48 8B 43 38 48 89 10 4C 2B C2 49 D1 F8 48 8B 43 50 44 89 00 80 7B 7C 00 74 09 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 4B 60 48 85 C9 74 0B BA 01 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_95_117_1 {
	meta:
		name = "??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 139
		refs = "0015 ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0062 ?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAAPEAV12@XZ 006a ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 0080 ??_Glocale@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 B9 80 00 00 00 00 74 32 48 8B 49 18 48 8D 43 70 48 39 01 75 25 4C 8B 83 90 00 00 00 48 8B 93 88 00 00 00 48 89 11 48 8B 43 38 48 89 10 4C 2B C2 49 D1 F8 48 8B 43 50 44 89 00 80 7B 7C 00 74 09 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 4B 60 48 85 C9 74 0B BA 01 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_14_123_1 {
	meta:
		name = "??1?$ctype@G@std@@MEAA@XZ"
		size = 59
		refs = "000d ??_7?$ctype@G@std@@6B@ 001e free 002e ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B D9 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_352_1 {
	meta:
		name = "??1?$ctype@_W@std@@MEAA@XZ"
		size = 59
		refs = "000d ??_7?$ctype@_W@std@@6B@ 001e free 002e ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B D9 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_14_156_1 {
	meta:
		name = "??_G?$codecvt@GDU_Mbstatet@@@std@@MEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7_Facet_base@std@@6B@ 001e ??3@YAXPEAX_K@Z"
		altNames = "??_G?$codecvt@_WDU_Mbstatet@@@std@@MEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA 40 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_14_157_1 {
	meta:
		name = "??_G?$ctype@G@std@@MEAAPEAXI@Z"
		size = 92
		refs = "0011 ??_7?$ctype@G@std@@6B@ 0024 free 0034 ??_7_Facet_base@std@@6B@ 004a ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 48 89 01 8B FA 48 8B D9 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 0D BA 60 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_461_1 {
	meta:
		name = "??_G?$ctype@_W@std@@MEAAPEAXI@Z"
		size = 92
		refs = "0011 ??_7?$ctype@_W@std@@6B@ 0024 free 0034 ??_7_Facet_base@std@@6B@ 004a ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 48 89 01 8B FA 48 8B D9 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 0D BA 60 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_173_1 {
	meta:
		name = "??__Einit_ushcerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_81_176_1 {
	meta:
		name = "??__Einit_cerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_113_173_1 {
	meta:
		name = "??__Einit_wcerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_14_176_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 45
		refs = "000a __acrt_iob_func 0014 ?wferr@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0019 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 0020 ??__Fwferr@std@@YAXXZ 0029 atexit"
	strings:
		$1 = { 48 83 EC 28 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_113_176_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 45
		refs = "000a __acrt_iob_func 0014 ?wferr@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0019 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 0020 ??__Fwferr@std@@YAXXZ 0029 atexit"
	strings:
		$1 = { 48 83 EC 28 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_114_176_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 45
		refs = "000a __acrt_iob_func 0014 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0019 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 0020 ??__Fwflog@std@@YAXXZ 0029 atexit"
	strings:
		$1 = { 48 83 EC 28 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_118_176_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 45
		refs = "000a __acrt_iob_func 0014 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0019 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 0020 ??__Fwflog@std@@YAXXZ 0029 atexit"
	strings:
		$1 = { 48 83 EC 28 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_22_151_2 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 45
		refs = "000a __acrt_iob_func 0014 ?wflog@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0019 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 0020 ??__Fwflog@std@@YAXXZ 0029 atexit"
	strings:
		$1 = { 48 83 EC 28 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_98_151_2 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 45
		refs = "000a __acrt_iob_func 0014 ?wflog@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0019 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 0020 ??__Fwflog@std@@YAXXZ 0029 atexit"
	strings:
		$1 = { 48 83 EC 28 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_196_1 {
	meta:
		name = "?_Donarrow@?$ctype@G@std@@IEBADGD@Z"
		size = 83
		refs = "0009 __security_cookie 002f _Wcrtomb 0049 __security_check_cookie"
		altNames = "?_Donarrow@?$ctype@_W@std@@IEBAD_WD@Z ?do_narrow@?$ctype@G@std@@MEBADGD@Z ?do_narrow@?$ctype@_W@std@@MEBAD_WD@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 41 0F B6 D8 4C 8D 49 30 33 C0 4C 8D 44 24 20 48 8D 4C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 0F B6 54 24 28 83 F8 01 0F 45 D3 8A C2 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_14_197_1 {
	meta:
		name = "?_Dowiden@?$ctype@G@std@@IEBAGD@Z"
		size = 72
		refs = "002c _Mbrtowc"
		altNames = "?_Dowiden@?$ctype@_W@std@@IEBA_WD@Z"
	strings:
		$1 = { 88 54 24 10 4C 8B DC 48 83 EC 38 33 C0 4D 8D 4B 18 49 89 43 18 49 8D 53 10 48 8D 41 30 41 B8 01 00 00 00 49 8D 4B 08 49 89 43 E8 E8 ?? ?? ?? ?? 0F B7 4C 24 40 85 C0 BA FF FF 00 00 66 0F 48 CA 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_14_198_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ"
		size = 843
		refs = "002e __security_cookie 006a _guard_check_icall 008e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 009c ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0265 fwrite 029c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 02ad _invalid_parameter_noinfo_noreturn 02cb ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 02dd ?_Deallocate@std@@YAXPEAX_K1@Z 0326 __security_check_cookie"
		altNames = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 4C 8B E1 45 33 FF 45 8B EF 44 89 7D A7 4C 39 79 68 0F 84 CC 02 00 00 44 38 79 72 0F 84 C2 02 00 00 48 8B 01 BF FF FF 00 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 0F B7 D7 49 8B CC FF D3 66 3B F8 75 07 32 C0 E9 9C 02 00 00 45 33 C0 41 8D 50 08 48 8D 4D 07 E8 ?? ?? ?? ?? 90 48 8D 55 BF 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B 58 10 48 85 DB 0F 84 69 02 00 00 48 8B 00 48 85 C0 0F 84 57 02 00 00 48 8B 00 48 85 C0 0F 84 4B 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 2B 02 00 00 48 8B 40 18 48 03 C8 48 3B D9 0F 83 1B 02 00 00 48 8D 55 EF 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B 50 10 48 89 55 A7 48 85 D2 0F 84 F7 01 00 00 48 8B 00 48 85 C0 0F 84 E5 01 00 00 48 8B 00 48 85 C0 0F 84 D9 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 B9 01 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 A9 01 00 00 4D 8B 74 24 68 49 8B 16 48 03 5D 1F 48 8B 72 40 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 AF 48 89 44 24 20 4C 8B CB 4C 8B 45 A7 49 8D 54 24 74 49 8B CE FF D6 8B C8 85 C0 74 0B 83 E9 01 0F 85 15 01 00 00 EB 05 45 88 7C 24 72 48 8D 55 D7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 0F 84 41 01 00 00 48 8B 00 48 85 C0 0F 84 2F 01 00 00 48 8B 00 48 85 C0 0F 84 23 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 03 01 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 F3 00 00 00 48 8B 5D AF 48 2B DA 74 74 41 83 CD 01 48 8D 55 D7 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8B 48 10 48 85 C9 0F 84 9E 00 00 00 48 8B 00 48 85 C0 0F 84 8C 00 00 00 48 8B 00 48 85 C0 0F 84 80 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 3B D1 77 64 48 8B 40 18 48 03 D0 48 3B CA 73 58 4D 8B 8C 24 80 00 00 00 4C 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 B0 01 75 03 41 8A C7 41 F6 C5 01 74 04 41 83 E5 FE 84 C0 75 40 45 38 7C 24 72 74 36 48 85 DB 0F 85 02 FE FF FF 45 33 C0 8D 53 08 48 8D 4D 07 E8 ?? ?? ?? ?? E9 EE FD FF FF 83 F9 02 75 17 EB 12 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 B7 01 45 33 C0 B2 01 48 8D 4D 07 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D 07 E8 ?? ?? ?? ?? 41 8A C7 EB 38 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 B0 01 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_14_210_1 {
	meta:
		name = "?_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 243
		refs = "0045 ??2@YAPEAX_K@Z 0065 ??_C@_00CNPNBAHC@?$AA@ 007e ??0_Locinfo@std@@QEAA@PEBD@Z 008e ??_7?$codecvt@GDU_Mbstatet@@@std@@6B@ 009b _Getcvt 00d1 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC C0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 D0 00 00 00 48 85 C9 0F 84 9D 00 00 00 48 39 31 0F 85 94 00 00 00 8D 4E 40 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 D0 00 00 00 48 85 C0 74 67 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 58 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 58 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 C0 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_588_1 {
	meta:
		name = "?_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 243
		refs = "0045 ??2@YAPEAX_K@Z 0065 ??_C@_00CNPNBAHC@?$AA@ 007e ??0_Locinfo@std@@QEAA@PEBD@Z 008e ??_7?$codecvt@_WDU_Mbstatet@@@std@@6B@ 009b _Getcvt 00d1 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC C0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 D0 00 00 00 48 85 C9 0F 84 9D 00 00 00 48 39 31 0F 85 94 00 00 00 8D 4E 40 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 D0 00 00 00 48 85 C0 74 67 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 58 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 58 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 C0 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_14_211_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$codecvt@GDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$0@?0??_Getcat@?$codecvt@_WDU_Mbstatet@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 40 00 00 00 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_14_212_1 {
	meta:
		name = "?_Getcat@?$ctype@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 272
		refs = "0045 ??2@YAPEAX_K@Z 0069 ??_C@_00CNPNBAHC@?$AA@ 0082 ??0_Locinfo@std@@QEAA@PEBD@Z 0092 ??_7?$ctype@G@std@@6B@ 009f _Getctype 00b8 _Getcvt 00ee ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC E0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 F0 00 00 00 48 85 C9 0F 84 BA 00 00 00 48 39 31 0F 85 B1 00 00 00 8D 4E 60 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 F0 00 00 00 48 85 C0 0F 84 80 00 00 00 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 78 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 48 8D 4C 24 48 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 78 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 E0 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_598_1 {
	meta:
		name = "?_Getcat@?$ctype@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 272
		refs = "0045 ??2@YAPEAX_K@Z 0069 ??_C@_00CNPNBAHC@?$AA@ 0082 ??0_Locinfo@std@@QEAA@PEBD@Z 0092 ??_7?$ctype@_W@std@@6B@ 009f _Getctype 00b8 _Getcvt 00ee ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC E0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 F0 00 00 00 48 85 C9 0F 84 BA 00 00 00 48 39 31 0F 85 B1 00 00 00 8D 4E 60 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 F0 00 00 00 48 85 C0 0F 84 80 00 00 00 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 78 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 48 8D 4C 24 48 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 78 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 E0 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_14_213_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$ctype@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$0@?0??_Getcat@?$ctype@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 60 00 00 00 48 8B 8D F0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_14_216_1 {
	meta:
		name = "?_Getcvt@_Locinfo@std@@QEBA?AU_Cvtvec@@XZ"
		size = 58
		refs = "000f _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 0F 10 00 0F 10 48 10 0F 11 03 F2 0F 10 40 20 8B 40 28 0F 11 4B 10 F2 0F 11 43 20 89 43 28 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_14_219_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
		size = 21
		altNames = "?_Gndec@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 50 FF 00 48 8B 51 38 48 8B 02 48 83 C0 FE 48 89 02 C3 }
	condition:
		$1
}

rule file_14_220_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
		size = 21
		altNames = "?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 50 FF 08 48 8B 51 38 48 8B 02 48 8D 48 02 48 89 0A C3 }
	condition:
		$1
}

rule file_14_223_1 {
	meta:
		name = "?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 126
		refs = "0071 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 41 83 F8 01 4C 8D 41 10 4C 89 41 20 0F 94 C0 45 33 C9 88 41 7C 48 8D 41 08 48 89 41 18 48 8D 41 28 48 89 41 38 48 8D 41 30 48 89 41 40 48 8D 41 48 48 89 41 50 48 8D 41 4C 48 89 41 58 44 88 49 72 4D 89 08 48 8B 41 40 4C 89 08 48 8B 41 58 44 89 08 48 8B 41 18 4C 89 08 48 8B 41 38 4C 89 08 48 8B 41 50 44 89 08 48 89 91 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 89 41 74 4C 89 49 68 C3 }
	condition:
		$1
}

rule file_95_223_1 {
	meta:
		name = "?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 126
		refs = "0071 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 41 83 F8 01 4C 8D 41 10 4C 89 41 20 0F 94 C0 45 33 C9 88 41 7C 48 8D 41 08 48 89 41 18 48 8D 41 28 48 89 41 38 48 8D 41 30 48 89 41 40 48 8D 41 48 48 89 41 50 48 8D 41 4C 48 89 41 58 44 88 49 72 4D 89 08 48 8B 41 40 4C 89 08 48 8B 41 58 44 89 08 48 8B 41 18 4C 89 08 48 8B 41 38 4C 89 08 48 8B 41 50 44 89 08 48 89 91 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 89 41 74 4C 89 49 68 C3 }
	condition:
		$1
}

rule file_14_226_1 {
	meta:
		name = "?_Init@?$codecvt@GDU_Mbstatet@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 56
		refs = "000f _Getcvt"
		altNames = "?_Init@?$codecvt@_WDU_Mbstatet@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 F2 0F 10 40 20 F2 0F 11 43 30 8B 40 28 89 43 38 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_14_227_1 {
	meta:
		name = "?_Init@?$ctype@G@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 81
		refs = "000f _Getctype 0028 _Getcvt"
		altNames = "?_Init@?$ctype@_W@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 30 0F 10 48 10 0F 11 4B 40 F2 0F 10 40 20 F2 0F 11 43 50 8B 40 28 89 43 58 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_14_248_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
		size = 21
		altNames = "?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 58 FF 08 48 8B 51 40 48 8B 02 48 8D 48 02 48 89 0A C3 }
	condition:
		$1
}

rule file_14_249_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AEAAXXZ"
		size = 51
		altNames = "?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B 49 18 48 8D 41 70 49 39 01 75 25 48 8B 91 88 00 00 00 4C 8B 81 90 00 00 00 49 89 11 4C 2B C2 48 8B 41 38 49 D1 F8 48 89 10 48 8B 41 50 44 89 00 C3 }
	condition:
		$1
}

rule file_14_250_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AEAAXXZ"
		size = 81
		altNames = "?_Set_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B C9 48 8B 49 18 48 8B 01 4D 8D 51 70 49 3B C2 74 20 49 89 81 88 00 00 00 49 8B 41 50 4C 63 00 49 8B 41 38 48 8B 10 4A 8D 04 42 49 89 81 90 00 00 00 4C 89 11 49 8B C9 49 8B 41 38 49 2B CA 48 83 C1 72 48 D1 F9 4C 89 10 49 8B 41 50 89 08 C3 }
	condition:
		$1
}

rule file_14_285_1 {
	meta:
		name = "?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAAPEAV12@XZ"
		size = 197
		refs = "0022 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 0036 fclose 00a9 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 80 00 00 00 75 04 8B FE EB 1F E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 F6 D8 48 1B FF 48 23 FB E8 ?? ?? ?? ?? 85 C0 48 0F 45 FE 40 88 73 7C 48 8D 4B 10 48 89 4B 20 48 8D 43 08 48 89 43 18 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 8B C7 40 88 73 72 48 89 31 48 8B 4B 40 48 89 31 48 8B 4B 58 89 31 48 8B 4B 18 48 89 31 48 8B 4B 38 48 89 31 48 8B 4B 50 89 31 48 89 B3 80 00 00 00 48 8B 0D ?? ?? ?? ?? 48 89 73 68 48 8B 74 24 38 48 89 4B 74 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_95_285_1 {
	meta:
		name = "?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAAPEAV12@XZ"
		size = 197
		refs = "0022 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 0036 fclose 00a9 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 80 00 00 00 75 04 8B FE EB 1F E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 F6 D8 48 1B FF 48 23 FB E8 ?? ?? ?? ?? 85 C0 48 0F 45 FE 40 88 73 7C 48 8D 4B 10 48 89 4B 20 48 8D 43 08 48 89 43 18 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 48 8B C7 40 88 73 72 48 89 31 48 8B 4B 40 48 89 31 48 8B 4B 58 89 31 48 8B 4B 18 48 89 31 48 8B 4B 38 48 89 31 48 8B 4B 50 89 31 48 89 B3 80 00 00 00 48 8B 0D ?? ?? ?? ?? 48 89 73 68 48 8B 74 24 38 48 89 4B 74 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_287_1 {
	meta:
		name = "?copy@?$char_traits@G@std@@SAPEAGPEAGPEBG_K@Z"
		size = 31
		refs = "0012 memcpy"
		altNames = "?copy@?$char_traits@_W@std@@SAPEA_WPEA_WPEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4D 85 C0 74 08 4D 03 C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_14_297_1 {
	meta:
		name = "?do_in@?$codecvt@GDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEBD1AEAPEBDPEAG3AEAPEAG@Z"
		size = 239
		refs = "007b _Mbrtowc"
		altNames = "?do_in@?$codecvt@_WDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEBD1AEAPEBDPEA_W3AEAPEA_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B 9C 24 80 00 00 00 45 33 E4 48 8B B4 24 98 00 00 00 41 8B FC 48 8B 84 24 88 00 00 00 49 8B E9 4C 8B FA 4C 8B E9 4C 89 03 48 89 06 4C 39 0B 40 0F 95 C7 4C 39 0B 74 7B 4C 8B B4 24 90 00 00 00 4C 39 36 74 6E 48 8B 13 49 8D 45 10 48 8B 0E 4C 8B C5 4C 2B 03 4D 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 8B C8 83 F8 FE 74 47 83 F8 FF 74 3B 85 C0 75 1B 48 8B 06 66 44 39 20 75 12 48 8B 03 48 83 C9 FF 48 FF C1 44 38 24 08 75 F7 FF C1 83 F9 FD 41 8B C4 41 8B FC 0F 45 C1 48 98 48 01 03 48 83 06 02 48 39 2B 75 99 EB 0A B8 02 00 00 00 EB 05 48 89 2B 8B C7 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_14_298_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MEBAPEBGPEBG0PEAF@Z"
		size = 27
		refs = "0017 _Getwctypes"
		altNames = "?do_is@?$ctype@_W@std@@MEBAPEB_WPEB_W0PEAF@Z"
	strings:
		$1 = { 49 8B C1 4D 8B D0 4C 8B DA 4C 8D 49 10 4C 8B C0 49 8B D2 49 8B CB E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_299_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MEBA_NFG@Z"
		size = 34
		refs = "0012 _Getwctype"
		altNames = "?do_is@?$ctype@_W@std@@MEBA_NF_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 DA 48 8D 51 10 41 0F B7 C8 E8 ?? ?? ?? ?? 66 85 C3 0F 95 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_14_300_1 {
	meta:
		name = "?do_length@?$codecvt@GDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEBD1_K@Z"
		size = 174
		refs = "0053 _Mbrtowc"
		altNames = "?do_length@?$codecvt@_WDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEBD1_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 57 41 56 41 57 48 83 EC 30 48 8B 02 45 33 FF 49 8B F1 49 8B F8 4C 8B F1 48 89 44 24 60 41 8B DF 4C 39 7C 24 70 76 67 48 3B FE 74 62 49 8D 46 10 4C 8B C6 4C 2B C7 48 89 44 24 20 4C 8D 4C 24 60 48 8B D7 48 8D 4C 24 58 E8 ?? ?? ?? ?? 8B C8 83 F8 FE 74 3A 83 F8 FF 74 35 85 C0 75 17 66 44 39 7C 24 58 75 0F 48 83 C9 FF 48 FF C1 44 38 3C 0F 75 F7 FF C1 83 F9 FD 41 8B C7 0F 45 C1 FF C3 48 98 48 03 F8 48 63 C3 48 3B 44 24 70 72 99 48 8B 74 24 68 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_14_304_1 {
	meta:
		name = "?do_narrow@?$ctype@G@std@@MEBAPEBGPEBG0DPEAD@Z"
		size = 172
		refs = "0013 __security_cookie 0063 _Wcrtomb 0094 __security_check_cookie"
		altNames = "?do_narrow@?$ctype@_W@std@@MEBAPEB_WPEB_W0DPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 4C 8B B4 24 90 00 00 00 33 F6 49 8B F8 45 8A F9 48 2B FA 48 8B DA 48 FF C7 48 D1 EF 49 3B D0 48 0F 47 FE 48 85 FF 74 41 48 8D 69 30 0F B7 13 4C 8D 44 24 20 33 C0 48 8D 4C 24 28 4C 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? 0F B6 54 24 28 83 F8 01 41 0F B6 CF 0F 45 D1 48 83 C3 02 41 88 16 48 FF C6 49 FF C6 48 3B F7 75 C3 48 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_14_305_1 {
	meta:
		name = "?do_out@?$codecvt@GDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEBG1AEAPEBGPEAD3AEAPEAD@Z"
		size = 272
		refs = "0017 __security_cookie 0081 _Wcrtomb 00c0 memcpy 00f4 __security_check_cookie"
		altNames = "?do_out@?$codecvt@_WDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEB_W1AEAPEB_WPEAD3AEAPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B BC 24 A0 00 00 00 33 ED 48 8B B4 24 B8 00 00 00 4D 8B E1 48 8B 84 24 A8 00 00 00 4C 8B EA 48 89 4C 24 20 4C 89 07 48 89 06 4C 39 0F 0F 84 8B 00 00 00 4C 8B B4 24 B0 00 00 00 4C 39 36 74 7E 49 8B C6 4C 8D 49 10 48 2B 06 4D 8B C5 48 83 F8 05 48 8B 07 0F B7 10 7C 17 48 8B 0E E8 ?? ?? ?? ?? 85 C0 78 4E 48 83 07 02 48 98 48 01 06 EB 37 49 8B 5D 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 85 C0 78 31 4C 63 F8 49 8B C6 48 2B 06 49 3B C7 7C 2A 48 8B 0E 48 8D 54 24 28 4D 8B C7 E8 ?? ?? ?? ?? 48 83 07 02 4C 01 3E 4C 39 27 74 15 48 8B 4C 24 20 EB 88 B8 02 00 00 00 EB 0D 49 89 5D 00 4C 39 27 40 0F 95 C5 8B C5 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_14_306_1 {
	meta:
		name = "?do_scan_is@?$ctype@G@std@@MEBAPEBGFPEBG0@Z"
		size = 114
		refs = "0038 _guard_check_icall"
		altNames = "?do_scan_is@?$ctype@_W@std@@MEBAPEB_WFPEB_W0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 49 8B E9 49 8B F0 44 0F B7 FA 4C 8B F1 4D 3B C1 74 2C 49 8B 06 0F B7 1E 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CE FF D7 84 C0 75 09 48 83 C6 02 48 3B F5 75 D4 48 8B 5C 24 40 48 8B C6 48 8B 74 24 50 48 8B 6C 24 48 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_14_307_1 {
	meta:
		name = "?do_scan_not@?$ctype@G@std@@MEBAPEBGFPEBG0@Z"
		size = 114
		refs = "0038 _guard_check_icall"
		altNames = "?do_scan_not@?$ctype@_W@std@@MEBAPEB_WFPEB_W0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 49 8B E9 49 8B F0 44 0F B7 FA 4C 8B F1 4D 3B C1 74 2C 49 8B 06 0F B7 1E 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CE FF D7 84 C0 74 09 48 83 C6 02 48 3B F5 75 D4 48 8B 5C 24 40 48 8B C6 48 8B 74 24 50 48 8B 6C 24 48 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_14_309_1 {
	meta:
		name = "?do_tolower@?$ctype@G@std@@MEBAPEBGPEAGPEBG@Z"
		size = 103
		refs = "003c _Towlower"
		altNames = "?do_tolower@?$ctype@_W@std@@MEBAPEB_WPEA_WPEB_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 49 8B F8 48 2B FA 48 8B DA 48 FF C7 48 D1 EF 49 3B D0 48 0F 47 FE 48 85 FF 74 1E 48 8D 69 10 0F B7 0B 48 8B D5 E8 ?? ?? ?? ?? 66 89 03 48 FF C6 48 83 C3 02 48 3B F7 75 E6 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1140_1 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MEBAPEBGPEAGPEBG@Z"
		size = 103
		refs = "003c _Towupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 49 8B F8 48 2B FA 48 8B DA 48 FF C7 48 D1 EF 49 3B D0 48 0F 47 FE 48 85 FF 74 1E 48 8D 69 10 0F B7 0B 48 8B D5 E8 ?? ?? ?? ?? 66 89 03 48 FF C6 48 83 C3 02 48 3B F7 75 E6 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_108_274_2 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MEBAPEB_WPEA_WPEB_W@Z"
		size = 103
		refs = "003c _Towupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 49 8B F8 48 2B FA 48 8B DA 48 FF C7 48 D1 EF 49 3B D0 48 0F 47 FE 48 85 FF 74 1E 48 8D 69 10 0F B7 0B 48 8B D5 E8 ?? ?? ?? ?? 66 89 03 48 FF C6 48 83 C3 02 48 3B F7 75 E6 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_312_1 {
	meta:
		name = "?do_unshift@?$codecvt@GDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEAD1AEAPEAD@Z"
		size = 161
		refs = "0013 __security_cookie 0044 _Wcrtomb 007a memcpy 008c __security_check_cookie"
		altNames = "?do_unshift@?$codecvt@_WDU_Mbstatet@@@std@@MEBAHAEAU_Mbstatet@@PEAD1AEAPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 56 41 57 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 4C 8B B4 24 80 00 00 00 4C 8B FA 49 8B E9 33 FF 4C 8D 49 10 48 8D 4C 24 20 4D 89 06 4D 8B C7 48 8B 1A 33 D2 E8 ?? ?? ?? ?? 85 C0 7F 07 BF 02 00 00 00 EB 2E 49 2B 2E FF C8 48 63 F0 48 3B EE 7D 0A 49 89 1F BF 01 00 00 00 EB 17 85 C0 7E 13 49 8B 0E 48 8D 54 24 20 4C 8B C6 E8 ?? ?? ?? ?? 49 01 36 8B C7 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_14_313_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MEBAGD@Z"
		size = 72
		refs = "002c _Mbrtowc"
		altNames = "?do_widen@?$ctype@_W@std@@MEBA_WD@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 38 33 C0 88 54 24 48 49 89 43 18 4D 8D 4B 18 48 8D 41 30 41 B8 01 00 00 00 49 8D 4B 08 49 89 43 E8 49 8D 53 10 E8 ?? ?? ?? ?? 0F B7 4C 24 40 85 C0 BA FF FF 00 00 66 0F 48 CA 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_14_314_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MEBAPEBDPEBD0PEAG@Z"
		size = 153
		refs = "005b _Mbrtowc"
		altNames = "?do_widen@?$ctype@_W@std@@MEBAPEBDPEBD0PEA_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 56 41 57 48 83 EC 40 45 33 FF 49 8B F8 48 2B FA 4D 8B F1 49 3B D0 48 8B DA 41 8B EF 49 0F 47 FF 48 85 FF 74 57 48 8D 71 30 8A 03 4C 8D 4C 24 30 88 44 24 78 48 8D 54 24 78 33 C0 48 89 74 24 20 48 8D 8C 24 80 00 00 00 48 89 44 24 30 44 8D 40 01 E8 ?? ?? ?? ?? 0F B7 8C 24 80 00 00 00 85 C0 BA FF FF 00 00 66 0F 48 CA 48 FF C3 48 FF C5 66 41 89 0E 4D 8D 76 02 48 3B EF 75 AD 48 8B C3 48 8B 5C 24 70 48 83 C4 40 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_14_316_1 {
	meta:
		name = "?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBAPEAGXZ"
		size = 19
		altNames = "?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 50 48 63 10 48 8B 41 38 48 8B 08 48 8D 04 51 C3 }
	condition:
		$1
}

rule file_14_319_1 {
	meta:
		name = "?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBAPEAGXZ"
		size = 19
		altNames = "?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 58 48 63 10 48 8B 41 40 48 8B 08 48 8D 04 51 C3 }
	condition:
		$1
}

rule file_14_325_1 {
	meta:
		name = "?gbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXH@Z"
		size = 20
		altNames = "?gbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXH@Z"
	strings:
		$1 = { 48 8B 41 50 29 10 48 8B 49 38 48 63 C2 48 03 C0 48 01 01 C3 }
	condition:
		$1
}

rule file_14_331_1 {
	meta:
		name = "?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
		size = 105
		refs = "0019 ?_Init@ios_base@std@@IEAAXXZ 002c ?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QEBAGD@Z 0048 ?clear@ios_base@std@@QEAAXH_N@Z 0055 ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 83 67 50 00 B2 20 48 8B CF 48 89 5F 48 E8 ?? ?? ?? ?? 48 83 7F 48 00 66 89 47 58 75 11 8B 57 10 45 33 C0 83 CA 04 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_95_331_1 {
	meta:
		name = "?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
		size = 105
		refs = "0019 ?_Init@ios_base@std@@IEAAXXZ 002c ?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEBA_WD@Z 0048 ?clear@ios_base@std@@QEAAXH_N@Z 0055 ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 83 67 50 00 B2 20 48 8B CF 48 89 5F 48 E8 ?? ?? ?? ?? 48 83 7F 48 00 66 89 47 58 75 11 8B 57 10 45 33 C0 83 CA 04 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_333_1 {
	meta:
		name = "?is@?$ctype@G@std@@QEBA_NFG@Z"
		size = 83
		refs = "002a _guard_check_icall"
		altNames = "?is@?$ctype@_W@std@@QEBA_NF_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B 01 4C 8B F1 41 0F B7 F8 0F B7 F2 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 44 0F B7 C7 0F B7 D6 49 8B CE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_14_346_1 {
	meta:
		name = "?not_eof@?$char_traits@G@std@@SAGAEBG@Z"
		size = 17
		altNames = "?not_eof@?$char_traits@_W@std@@SAGAEBG@Z"
	strings:
		$1 = { B8 FF FF 00 00 66 39 01 74 04 0F B7 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_14_348_1 {
	meta:
		name = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
		size = 1028
		refs = "0028 __security_cookie 00ec fputwc 010d ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 011b ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 01e1 _guard_check_icall 02fb fwrite 0343 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 034d _invalid_parameter_noinfo_noreturn 039e ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 03b0 ?_Deallocate@std@@YAXPEAX_K1@Z 03e5 __security_check_cookie"
		altNames = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 44 0F B7 E2 4C 8B E9 33 F6 89 75 8B 41 BF FF FF 00 00 66 44 3B FA 75 12 66 41 3B D7 66 44 0F 44 E6 41 0F B7 C4 E9 80 03 00 00 48 8B 41 40 48 8B 10 48 85 D2 74 2E 4C 8B 41 58 4D 63 08 49 8B C1 4A 8D 0C 4A 48 3B D1 73 1B 41 8D 41 FF 41 89 00 49 8B 4D 40 48 8B 11 48 8D 42 02 48 89 01 66 44 89 22 EB BD 49 39 B5 80 00 00 00 75 09 41 0F B7 C7 E9 34 03 00 00 4D 8B 45 18 49 8D 45 70 49 39 00 75 24 49 8B 95 90 00 00 00 49 8B 8D 88 00 00 00 49 89 08 49 8B 45 38 48 89 08 48 2B D1 48 D1 FA 49 8B 45 50 89 10 49 39 75 68 75 1C 49 8B 95 80 00 00 00 41 0F B7 CC E8 ?? ?? ?? ?? 66 41 3B C7 74 AA 45 0F B7 FC EB A4 66 44 89 65 87 45 33 C0 41 8D 50 08 48 8D 4D F7 E8 ?? ?? ?? ?? 90 48 8D 55 AF 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B 58 10 48 85 DB 0F 84 AB 02 00 00 48 8B 00 48 85 C0 0F 84 99 02 00 00 48 8B 00 48 85 C0 0F 84 8D 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 6D 02 00 00 48 8B 40 18 48 03 C8 48 3B D9 0F 83 5D 02 00 00 48 8D 55 DF 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B 50 10 48 89 55 8F 48 85 D2 0F 84 39 02 00 00 48 8B 00 48 85 C0 0F 84 27 02 00 00 48 8B 00 48 85 C0 0F 84 1B 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 FB 01 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 EB 01 00 00 4D 8B 75 68 4D 8B 06 48 03 5D 0F 49 8B 70 38 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 97 48 89 44 24 38 48 89 5C 24 30 48 8B 45 8F 48 89 44 24 28 48 8D 45 9F 48 89 44 24 20 4C 8D 4D 89 4C 8D 45 87 49 8D 55 74 49 8B CE FF D6 33 F6 85 C0 0F 88 74 01 00 00 83 F8 01 0F 8F 4C 01 00 00 48 8D 55 C7 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 0F 84 2C 01 00 00 48 8B 00 48 85 C0 0F 84 1A 01 00 00 48 8B 00 48 85 C0 0F 84 0E 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 EE 00 00 00 48 8B 40 18 48 03 C8 48 3B D1 0F 83 DE 00 00 00 48 8B 5D 97 48 2B DA 8B 7D 8B 74 75 83 CF 01 89 7D 8B 48 8D 55 C7 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B 48 10 48 85 C9 0F 84 A7 00 00 00 48 8B 00 48 85 C0 0F 84 95 00 00 00 48 8B 00 48 85 C0 0F 84 89 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 3B D1 77 6D 48 8B 40 18 48 03 D0 48 3B CA 73 61 4D 8B 8D 80 00 00 00 4C 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 B0 01 75 03 40 8A C6 40 F6 C7 01 74 06 83 E7 FE 89 7D 8B 84 C0 75 45 41 C6 45 72 01 48 8D 45 87 48 39 45 9F 75 68 48 85 DB 0F 85 E1 FD FF FF 48 83 7D 0F 20 73 5C 45 33 C0 8D 53 08 48 8D 4D F7 E8 ?? ?? ?? ?? E9 C6 FD FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 45 8B E7 EB 2D E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 83 F8 03 75 1A 49 8B 95 80 00 00 00 0F B7 4D 87 E8 ?? ?? ?? ?? 66 41 3B C7 74 04 45 0F B7 FC 45 33 C0 B2 01 48 8D 4D F7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D F7 E8 ?? ?? ?? ?? E9 E7 FC FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_14_351_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
		size = 230
		refs = "0073 ungetwc"
		altNames = "?pbackfail@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 38 48 8B D9 45 33 C0 0F B7 FA BE FF FF 00 00 48 8B 08 48 85 C9 74 2F 48 8B 43 18 48 39 08 73 26 66 3B F2 74 06 66 39 51 FE 75 1B 48 8B 43 50 FF 00 48 8B 43 38 48 83 00 FE 66 3B FE 66 41 0F 44 F8 0F B7 C7 EB 7E 48 8B 93 80 00 00 00 48 85 D2 74 6F 66 3B F7 74 6A 4C 39 43 68 75 0D 0F B7 CF E8 ?? ?? ?? ?? 66 3B C6 75 D7 4C 8B 43 38 48 8D 53 70 49 39 10 74 4A 4C 8B 4B 18 66 89 3A 49 8B 01 48 3B C2 74 1C 48 89 83 88 00 00 00 48 8B 43 50 48 63 08 49 8B 00 48 8D 0C 48 48 89 8B 90 00 00 00 49 89 11 48 8B CB 48 8B 43 38 48 2B CA 48 83 C1 72 48 D1 F9 48 89 10 48 8B 43 50 89 08 EB 80 0F B7 C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_353_1 {
	meta:
		name = "?pbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXH@Z"
		size = 20
		altNames = "?pbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXH@Z"
	strings:
		$1 = { 48 8B 41 58 29 10 48 8B 49 40 48 63 C2 48 03 C0 48 01 01 C3 }
	condition:
		$1
}

rule file_14_358_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 239
		refs = "0047 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 0067 _fseeki64 007c fgetpos 00c7 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 48 8B 41 38 4C 8D 71 70 41 8B E9 49 8B F0 48 8B DA 48 8B F9 4C 39 30 75 11 41 83 F9 01 75 0B 48 83 79 68 00 75 04 48 83 EE 02 48 83 B9 80 00 00 00 00 74 7E E8 ?? ?? ?? ?? 84 C0 74 75 48 85 F6 75 05 83 FD 01 74 16 48 8B 8F 80 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 55 48 8B 8F 80 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 40 48 8B 47 18 4C 39 30 75 24 48 8B 8F 88 00 00 00 48 8B 97 90 00 00 00 48 89 08 48 2B D1 48 8B 47 38 48 D1 FA 48 89 08 48 8B 47 50 89 10 48 8B 47 74 48 8B 4C 24 40 48 83 23 00 48 89 4B 08 EB 11 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 48 89 03 33 C0 48 8B 6C 24 50 48 89 43 10 48 8B C3 48 8B 5C 24 48 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_95_358_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@_JHH@Z"
		size = 239
		refs = "0047 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 0067 _fseeki64 007c fgetpos 00c7 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 56 48 83 EC 20 48 8B 41 38 4C 8D 71 70 41 8B E9 49 8B F0 48 8B DA 48 8B F9 4C 39 30 75 11 41 83 F9 01 75 0B 48 83 79 68 00 75 04 48 83 EE 02 48 83 B9 80 00 00 00 00 74 7E E8 ?? ?? ?? ?? 84 C0 74 75 48 85 F6 75 05 83 FD 01 74 16 48 8B 8F 80 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 55 48 8B 8F 80 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 40 48 8B 47 18 4C 39 30 75 24 48 8B 8F 88 00 00 00 48 8B 97 90 00 00 00 48 89 08 48 2B D1 48 8B 47 38 48 D1 FA 48 89 08 48 8B 47 50 89 10 48 8B 47 74 48 8B 4C 24 40 48 83 23 00 48 89 4B 08 EB 11 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 48 89 03 33 C0 48 8B 6C 24 50 48 89 43 10 48 8B C3 48 8B 5C 24 48 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_14_360_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 260
		refs = "0038 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 0051 fsetpos 006d _fseeki64 0082 fgetpos 00d9 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 20 48 83 B9 80 00 00 00 00 4D 8B F0 49 8B 40 08 48 8B FA 49 8B 30 48 8B D9 49 89 43 08 0F 84 9F 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 48 8B 8B 80 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 7D 48 85 F6 74 17 48 8B 8B 80 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 61 48 8B 8B 80 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 4C 49 8B 46 10 4C 8B 43 18 48 89 43 74 48 8D 43 70 49 39 00 75 24 48 8B 8B 88 00 00 00 48 8B 93 90 00 00 00 49 89 08 48 2B D1 48 8B 43 38 48 D1 FA 48 89 08 48 8B 43 50 89 10 48 8B 43 74 48 8B 4C 24 30 48 83 27 00 48 89 4F 08 EB 11 48 8B 05 ?? ?? ?? ?? 48 83 67 08 00 48 89 07 33 C0 48 8B 5C 24 38 48 8B 74 24 40 48 89 47 10 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_95_360_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@U_Mbstatet@@@2@V32@H@Z"
		size = 260
		refs = "0038 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 0051 fsetpos 006d _fseeki64 0082 fgetpos 00d9 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 49 89 7B 20 41 56 48 83 EC 20 48 83 B9 80 00 00 00 00 4D 8B F0 49 8B 40 08 48 8B FA 49 8B 30 48 8B D9 49 89 43 08 0F 84 9F 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 48 8B 8B 80 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 7D 48 85 F6 74 17 48 8B 8B 80 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 61 48 8B 8B 80 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 4C 49 8B 46 10 4C 8B 43 18 48 89 43 74 48 8D 43 70 49 39 00 75 24 48 8B 8B 88 00 00 00 48 8B 93 90 00 00 00 49 89 08 48 2B D1 48 8B 43 38 48 D1 FA 48 89 08 48 8B 43 50 89 10 48 8B 43 74 48 8B 4C 24 30 48 83 27 00 48 89 4F 08 EB 11 48 8B 05 ?? ?? ?? ?? 48 83 67 08 00 48 89 07 33 C0 48 8B 5C 24 38 48 8B 74 24 40 48 89 47 10 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_14_365_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@PEAG_J@Z"
		size = 203
		refs = "0033 setvbuf 00b1 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4D 8B C8 48 8B 89 80 00 00 00 48 85 C9 0F 84 A7 00 00 00 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 4D 03 C9 E8 ?? ?? ?? ?? 85 C0 0F 85 84 00 00 00 48 8B 93 80 00 00 00 48 8D 4B 10 88 43 72 48 8D 43 08 48 89 43 18 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 C6 43 7C 01 48 89 4B 20 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 89 93 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 83 63 68 00 48 89 43 74 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_95_365_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@PEA_W_J@Z"
		size = 203
		refs = "0033 setvbuf 00b1 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4U_Mbstatet@@A"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4D 8B C8 48 8B 89 80 00 00 00 48 85 C9 0F 84 A7 00 00 00 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 4D 03 C9 E8 ?? ?? ?? ?? 85 C0 0F 85 84 00 00 00 48 8B 93 80 00 00 00 48 8D 4B 10 88 43 72 48 8D 43 08 48 89 43 18 48 8D 43 28 48 89 43 38 48 8D 43 30 48 89 43 40 48 8D 43 48 48 89 43 50 48 8D 43 4C 48 89 43 58 C6 43 7C 01 48 89 4B 20 48 83 21 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B 43 18 48 83 20 00 48 8B 43 38 48 83 20 00 48 8B 43 50 83 20 00 48 89 93 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 83 63 68 00 48 89 43 74 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_14_368_1 {
	meta:
		name = "?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAG00@Z"
		size = 28
		altNames = "?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEA_W00@Z"
	strings:
		$1 = { 48 8B 41 18 4D 2B C8 49 D1 F9 48 89 10 48 8B 41 38 4C 89 00 48 8B 41 50 44 89 08 C3 }
	condition:
		$1
}

rule file_14_369_1 {
	meta:
		name = "?setp@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAG0@Z"
		size = 28
		altNames = "?setp@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEA_W0@Z"
	strings:
		$1 = { 48 8B 41 20 4C 2B C2 49 D1 F8 48 89 10 48 8B 41 40 48 89 10 48 8B 41 58 44 89 00 C3 }
	condition:
		$1
}

rule file_14_374_1 {
	meta:
		name = "?sync@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAHXZ"
		size = 109
		refs = "0032 _guard_check_icall 004b fflush"
		altNames = "?sync@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 48 8B F1 48 39 B9 80 00 00 00 74 34 48 8B 01 BD FF FF 00 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 0F B7 D5 48 8B CE FF D3 66 3B E8 74 13 48 8B 8E 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 79 03 83 CF FF 48 8B 5C 24 30 8B C7 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_379_1 {
	meta:
		name = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
		size = 1066
		refs = "0029 __security_cookie 00c7 fgetwc 00e6 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 00f3 fgetc 010d ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011a ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 01dc _guard_check_icall 02ad ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 02cd _invalid_parameter_noinfo_noreturn 0395 ungetc 03e9 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 03fb ?_Deallocate@std@@YAXPEAX_K1@Z 040a __security_check_cookie"
		altNames = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 4C 8B F9 48 8B 41 38 48 8B 10 48 85 D2 74 30 4C 8B 41 50 4D 63 08 49 8B C1 4A 8D 0C 4A 48 3B D1 73 1D 41 8D 41 FF 41 89 00 49 8B 57 38 48 8B 02 48 8D 48 02 48 89 0A 0F B7 00 E9 8F 03 00 00 49 83 BF 80 00 00 00 00 75 0A B8 FF FF 00 00 E9 7B 03 00 00 4D 8B 47 18 49 8D 47 70 49 39 00 75 24 49 8B 97 90 00 00 00 49 8B 8F 88 00 00 00 49 89 08 49 8B 47 38 48 89 08 48 2B D1 48 D1 FA 49 8B 47 50 89 10 49 83 7F 68 00 75 22 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? BB FF FF 00 00 66 3B C3 0F 84 26 03 00 00 0F B7 D8 E9 1E 03 00 00 48 8D 4D FF E8 ?? ?? ?? ?? 90 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 DA 02 00 00 44 8A C0 BA 01 00 00 00 48 8D 4D FF E8 ?? ?? ?? ?? 48 8D 55 CF 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B 58 10 48 85 DB 0F 84 A9 02 00 00 48 8B 00 48 85 C0 0F 84 97 02 00 00 48 8B 00 48 85 C0 0F 84 8B 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 6B 02 00 00 48 8B 40 18 48 03 C8 48 3B D9 0F 83 5B 02 00 00 48 8D 55 E7 48 8D 4D FF E8 ?? ?? ?? ?? 4C 8B 60 10 4D 85 E4 0F 84 3B 02 00 00 48 8B 00 48 85 C0 0F 84 29 02 00 00 48 8B 00 48 85 C0 0F 84 1D 02 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 49 3B CC 0F 87 FD 01 00 00 48 8B 40 18 48 03 C8 4C 3B E1 0F 83 ED 01 00 00 4D 8B 77 68 49 8B 0E 48 03 5D 17 48 8B 71 30 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 A7 48 89 44 24 38 48 8D 45 99 48 89 44 24 30 48 8D 45 97 48 89 44 24 28 48 8D 45 9F 48 89 44 24 20 4C 8B CB 4D 8B C4 49 8D 57 74 49 8B CE FF D6 85 C0 0F 88 BF 01 00 00 83 F8 01 7E 19 83 F8 03 0F 85 B1 01 00 00 48 83 7D 17 02 0F 83 82 00 00 00 E9 B2 FE FF FF 48 8D 45 97 48 8D 55 B7 48 8D 4D FF 48 39 45 A7 0F 85 DF 00 00 00 E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 0F 84 C7 00 00 00 48 8B 00 48 85 C0 0F 84 B5 00 00 00 48 8B 00 48 85 C0 0F 84 A9 00 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 0F 87 89 00 00 00 48 8B 40 18 48 03 C8 48 3B D1 73 7D 4C 8B 45 9F 4C 2B C2 33 D2 48 8D 4D FF E8 ?? ?? ?? ?? E9 35 FE FF FF 48 8D 55 B7 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 75 06 E8 ?? ?? ?? ?? CC 48 8B 00 48 85 C0 74 3C 48 8B 00 48 85 C0 74 34 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 77 18 48 8B 40 18 48 03 C8 48 3B D1 73 0C 0F B7 1A 66 89 5D 97 E9 CF 00 00 00 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 48 8B 50 10 48 85 D2 75 06 E8 ?? ?? ?? ?? CC 48 8B 00 48 85 C0 74 66 48 8B 00 48 85 C0 74 5E 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CA 77 42 48 8B 40 18 48 03 C8 48 3B D1 73 36 8B 45 17 48 8B 4D 9F 2B C1 03 C2 48 63 D8 85 C0 7E 1E 48 FF CB 0F BE 0C 0B 49 8B 97 80 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 7E 06 48 8B 4D 9F EB E2 0F B7 5D 97 EB 35 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC BB FF FF 00 00 45 33 C0 B2 01 48 8D 4D FF E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D FF E8 ?? ?? ?? ?? 0F B7 C3 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_14_381_1 {
	meta:
		name = "?uflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
		size = 80
		refs = "0018 _guard_check_icall"
		altNames = "?uflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 BA FF FF 00 00 66 3B D0 74 17 48 8B 47 50 FF 08 48 8B 4F 38 48 8B 11 48 8D 42 02 48 89 01 0F B7 12 0F B7 C2 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_382_1 {
	meta:
		name = "?underflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
		size = 127
		refs = "003f _guard_check_icall"
		altNames = "?underflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 38 48 8B F9 4C 8B 08 4D 85 C9 74 16 48 8B 51 50 4C 63 02 4B 8D 14 41 4C 3B CA 73 06 41 0F B7 01 EB 3B 48 8B 01 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 0F B7 F0 B8 FF FF 00 00 66 3B C6 74 1A 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 0F B7 D6 48 8B CF FF D3 0F B7 C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_14_388_1 {
	meta:
		name = "?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QEBAGD@Z"
		size = 159
		refs = "0024 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 002d ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0049 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 40 8A EA 48 8D 50 E0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7C 24 30 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8B 06 48 8B 58 60 48 8B CB E8 ?? ?? ?? ?? 40 8A D5 48 8B CE FF D3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_95_387_1 {
	meta:
		name = "?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEBA_WD@Z"
		size = 159
		refs = "0024 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 002d ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0049 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 40 48 C7 40 D8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 40 8A EA 48 8D 50 E0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7C 24 30 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8B 06 48 8B 58 60 48 8B CB E8 ?? ?? ?? ?? 40 8A D5 48 8B CE FF D3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_14_390_1 {
	meta:
		name = "?widen@?$ctype@G@std@@QEBAGD@Z"
		size = 63
		refs = "0020 _guard_check_icall"
		altNames = "?widen@?$ctype@_W@std@@QEBA_WD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 01 48 8B F1 40 8A FA 48 8B 58 60 48 8B CB E8 ?? ?? ?? ?? 40 8A D7 48 8B CE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_14_391_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA_JPEAG_J@Z"
		size = 215
		refs = "005e memcpy 008b _guard_check_icall"
		altNames = "?xsgetn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA_JPEA_W_J@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 33 F6 49 8B F8 4C 8B FA 4C 8B F1 4D 85 C0 0F 8E 8C 00 00 00 49 8B 46 38 48 8B 10 48 85 D2 74 08 49 8B 46 50 8B 08 EB 02 33 C9 48 63 D9 85 C9 7E 36 48 3B FB 48 0F 4C DF 48 85 DB 74 0C 4C 8D 04 1B 49 8B CF E8 ?? ?? ?? ?? 49 8B 46 50 48 03 F3 48 2B FB 29 18 49 8B 4E 38 48 63 C3 48 03 C0 48 01 01 48 03 DB EB 2D 49 8B 06 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 B9 FF FF 00 00 66 3B C8 74 1B 48 FF C6 66 41 89 07 48 FF CF BB 02 00 00 00 4C 03 FB 48 85 FF 0F 8F 74 FF FF FF 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 }
	condition:
		$1
}

rule file_14_392_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA_JPEBG_J@Z"
		size = 218
		refs = "0060 memcpy 0091 _guard_check_icall"
		altNames = "?xsputn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA_JPEB_W_J@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 33 ED 49 8B F0 4C 8B FA 4C 8B F1 4D 85 C0 0F 8E 92 00 00 00 49 8B 46 40 4C 8B 08 4D 85 C9 74 08 49 8B 46 58 8B 08 EB 02 33 C9 48 63 D9 85 C9 7E 39 48 3B F3 48 0F 4C DE 48 85 DB 74 0F 4C 8D 04 1B 49 8B D7 49 8B C9 E8 ?? ?? ?? ?? 49 8B 46 58 48 03 EB 48 2B F3 29 18 49 8B 4E 40 48 63 C3 48 03 C0 48 01 01 48 03 DB EB 30 49 8B 06 41 0F B7 1F 48 8B 78 18 48 8B CF E8 ?? ?? ?? ?? 0F B7 D3 49 8B CE FF D7 B9 FF FF 00 00 66 3B C8 74 17 48 FF C5 BB 02 00 00 00 48 FF CE 4C 03 FB 48 85 F6 0F 8F 6E FF FF FF 48 8B 5C 24 40 48 8B C5 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_14_394_1 {
	meta:
		name = "wmemcpy"
		size = 26
		refs = "000d memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 4D 03 C0 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_0_1 {
	meta:
		name = "_Xp_addh"
		size = 883
		refs = "003d _Dunscale 0051 _Dtest 0068 _Pmsw 0095 _Feraise 009d _Nan 0228 _Dint 0235 _Dscale"
	strings:
		$1 = { F2 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 E4 F2 0F 11 55 60 0F 29 74 24 30 48 8B F9 4C 63 FA 85 D2 0F 84 26 03 00 00 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B E0 7D 7F 66 83 F8 02 74 6B 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 5E 66 83 F8 02 0F 84 F6 02 00 00 48 8B CF E8 ?? ?? ?? ?? BE 00 80 00 00 48 8D 4D 58 0F B7 18 66 23 DE E8 ?? ?? ?? ?? 0F B7 08 66 23 CE 66 3B CB 0F 84 CB 02 00 00 41 8D 4C 24 01 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 07 41 83 FF 01 0F 8E AB 02 00 00 4C 89 67 08 E9 A2 02 00 00 F2 0F 10 45 58 F2 0F 11 07 E9 94 02 00 00 66 85 C0 0F 89 8B 02 00 00 41 BD 00 08 00 00 45 8B F4 49 8B DF 45 85 FF 0F 8E 76 02 00 00 49 8B F4 0F 57 F6 4C 8D 67 F8 F2 0F 10 04 F7 48 8D 55 D8 48 8D 4D 50 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 33 C9 66 3B C8 0F 8C 4A 02 00 00 66 85 C0 0F 84 25 02 00 00 0F BF 55 50 0F BF 45 48 8B CA F2 0F 10 4D 58 2B C8 83 F9 E6 7F 61 66 0F 2E CE 7A 02 74 59 41 8B CE 48 8B C6 8B D1 48 FF C0 FF C1 48 3B C3 7D 0D F2 0F 10 04 C7 66 0F 2E C6 7A E9 75 E7 41 8D 47 FF 3B C8 7D 04 FF C1 EB 06 41 3B CF 0F 44 CA 48 63 D1 48 3B F2 7D 11 48 8B 44 D7 F8 48 89 04 D7 48 FF CA 48 3B D6 7F EF F2 0F 11 0C F7 F2 0F 11 75 58 E9 A3 01 00 00 B8 1A 00 00 00 3B C8 7C 13 66 0F 2E CE 7A 02 74 0B 44 8B EA 41 FF C6 E9 80 01 00 00 F2 0F 58 0C F7 66 0F 2E CE F2 0F 11 0C F7 7A 3A 75 38 48 8B C6 48 FF C0 48 3B C3 7D 13 F2 0F 10 04 C7 66 0F 2E C6 F2 0F 11 44 C7 F8 7A E7 75 E5 48 83 64 DF F8 00 F2 0F 10 04 F7 66 0F 2E C6 0F 28 C8 7A 06 0F 84 64 01 00 00 48 8D 55 58 F2 0F 11 4D 58 48 8D 4D 48 49 63 DE E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4D E6 3B CA 0F 8D 96 00 00 00 66 41 2B D5 48 8D 4D 58 66 83 C2 1A E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F2 0F 10 04 F7 49 8B DF F2 0F 5C 45 58 66 0F 2E C6 F2 0F 11 04 F7 7A 26 75 24 48 8B C6 48 FF C0 48 3B C3 7D 13 F2 0F 10 04 C7 66 0F 2E C6 F2 0F 11 44 C7 F8 7A E7 75 E5 4A 83 64 FF F8 00 48 FF CE 49 83 EC 08 41 83 EE 01 75 0B 41 BD 00 08 00 00 E9 A4 00 00 00 F2 41 0F 10 04 24 48 8D 55 60 48 8D 4D 50 F2 0F 11 45 60 E8 ?? ?? ?? ?? 44 0F BF 6D 50 E9 82 00 00 00 41 FF C6 45 3B F7 0F 84 9D 00 00 00 F2 0F 10 04 F7 48 8D 1C DF 48 8B D3 F2 0F 11 45 58 48 8D 4D 50 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 58 F2 0F 10 0C F7 44 0F BF 6D 50 F2 0F 5C C1 66 0F 2E C6 F2 0F 11 45 58 7A 09 75 07 F2 0F 11 4D 60 EB 05 F2 0F 11 45 60 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 49 8B DF 48 FF C6 49 83 C4 08 45 3B F7 0F 8C B2 FD FF FF EB 1C F2 0F 10 45 58 49 63 C6 41 FF C6 F2 0F 11 04 C7 45 3B F7 7D 07 49 63 C6 48 89 0C C7 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_27_0_1 {
	meta:
		name = "_LXp_addh"
		size = 883
		refs = "003d _LDunscale 0051 _LDtest 0068 _LPmsw 0095 _Feraise 009d _LNan 0228 _LDint 0235 _LDscale"
	strings:
		$1 = { F2 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 E4 F2 0F 11 55 60 0F 29 74 24 30 48 8B F9 4C 63 FA 85 D2 0F 84 26 03 00 00 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B E0 7D 7F 66 83 F8 02 74 6B 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 5E 66 83 F8 02 0F 84 F6 02 00 00 48 8B CF E8 ?? ?? ?? ?? BE 00 80 00 00 48 8D 4D 58 0F B7 18 66 23 DE E8 ?? ?? ?? ?? 0F B7 08 66 23 CE 66 3B CB 0F 84 CB 02 00 00 41 8D 4C 24 01 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 07 41 83 FF 01 0F 8E AB 02 00 00 4C 89 67 08 E9 A2 02 00 00 F2 0F 10 45 58 F2 0F 11 07 E9 94 02 00 00 66 85 C0 0F 89 8B 02 00 00 41 BD 00 08 00 00 45 8B F4 49 8B DF 45 85 FF 0F 8E 76 02 00 00 49 8B F4 0F 57 F6 4C 8D 67 F8 F2 0F 10 04 F7 48 8D 55 D8 48 8D 4D 50 F2 0F 11 45 D8 E8 ?? ?? ?? ?? 33 C9 66 3B C8 0F 8C 4A 02 00 00 66 85 C0 0F 84 25 02 00 00 0F BF 55 50 0F BF 45 48 8B CA F2 0F 10 4D 58 2B C8 83 F9 E6 7F 61 66 0F 2E CE 7A 02 74 59 41 8B CE 48 8B C6 8B D1 48 FF C0 FF C1 48 3B C3 7D 0D F2 0F 10 04 C7 66 0F 2E C6 7A E9 75 E7 41 8D 47 FF 3B C8 7D 04 FF C1 EB 06 41 3B CF 0F 44 CA 48 63 D1 48 3B F2 7D 11 48 8B 44 D7 F8 48 89 04 D7 48 FF CA 48 3B D6 7F EF F2 0F 11 0C F7 F2 0F 11 75 58 E9 A3 01 00 00 B8 1A 00 00 00 3B C8 7C 13 66 0F 2E CE 7A 02 74 0B 44 8B EA 41 FF C6 E9 80 01 00 00 F2 0F 58 0C F7 66 0F 2E CE F2 0F 11 0C F7 7A 3A 75 38 48 8B C6 48 FF C0 48 3B C3 7D 13 F2 0F 10 04 C7 66 0F 2E C6 F2 0F 11 44 C7 F8 7A E7 75 E5 48 83 64 DF F8 00 F2 0F 10 04 F7 66 0F 2E C6 0F 28 C8 7A 06 0F 84 64 01 00 00 48 8D 55 58 F2 0F 11 4D 58 48 8D 4D 48 49 63 DE E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4D E6 3B CA 0F 8D 96 00 00 00 66 41 2B D5 48 8D 4D 58 66 83 C2 1A E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F2 0F 10 04 F7 49 8B DF F2 0F 5C 45 58 66 0F 2E C6 F2 0F 11 04 F7 7A 26 75 24 48 8B C6 48 FF C0 48 3B C3 7D 13 F2 0F 10 04 C7 66 0F 2E C6 F2 0F 11 44 C7 F8 7A E7 75 E5 4A 83 64 FF F8 00 48 FF CE 49 83 EC 08 41 83 EE 01 75 0B 41 BD 00 08 00 00 E9 A4 00 00 00 F2 41 0F 10 04 24 48 8D 55 60 48 8D 4D 50 F2 0F 11 45 60 E8 ?? ?? ?? ?? 44 0F BF 6D 50 E9 82 00 00 00 41 FF C6 45 3B F7 0F 84 9D 00 00 00 F2 0F 10 04 F7 48 8D 1C DF 48 8B D3 F2 0F 11 45 58 48 8D 4D 50 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 58 F2 0F 10 0C F7 44 0F BF 6D 50 F2 0F 5C C1 66 0F 2E C6 F2 0F 11 45 58 7A 09 75 07 F2 0F 11 4D 60 EB 05 F2 0F 11 45 60 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 49 8B DF 48 FF C6 49 83 C4 08 45 3B F7 0F 8C B2 FD FF FF EB 1C F2 0F 10 45 58 49 63 C6 41 FF C6 F2 0F 11 04 C7 45 3B F7 7D 07 49 63 C6 48 89 0C C7 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_16_1_1 {
	meta:
		name = "_Xp_addx"
		size = 111
		refs = "0034 __real@0000000000000000 0043 _Xp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 25 F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C DB 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_27_1_1 {
	meta:
		name = "_LXp_addx"
		size = 111
		refs = "0034 __real@0000000000000000 0043 _LXp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 25 F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C DB 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_16_2_1 {
	meta:
		name = "_Xp_getw"
		size = 113
		altNames = "_LXp_getw"
	strings:
		$1 = { 85 D2 75 04 0F 57 C0 C3 83 FA 01 74 5F F2 0F 10 19 0F 57 C9 66 0F 2E D9 7A 02 74 50 F2 0F 10 41 08 66 0F 2E C1 7A 02 74 43 83 FA 02 74 39 F2 0F 10 51 10 66 0F 2E D1 7A 02 74 2C 0F 28 E0 F2 0F 58 E3 83 FA 04 7C 05 F2 0F 58 51 18 0F 28 CC F2 0F 5C CB 66 0F 2E C8 7A 0A 75 08 F2 0F 58 D4 0F 28 C2 C3 F2 0F 58 C2 F2 0F 58 C3 C3 F2 0F 10 01 C3 }
	condition:
		$1
}

rule file_16_3_1 {
	meta:
		name = "_Xp_invx"
		size = 330
		refs = "0035 _Dtest 005b _Inf 0085 memcpy 008d __real@bff0000000000000 0097 _Xp_mulh 00ad __real@3ff0000000000000 00bb _Xp_setw 00e2 _Xp_mulx 00f4 _Xp_addh 0119 _Xp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 48 63 FA 4D 8B F8 48 8B D9 85 D2 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 2A 8D 75 01 66 3B C6 75 08 48 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 BB 00 00 00 F2 0F 10 33 4C 8B F7 49 C1 E6 03 48 8B D3 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F2 0F 58 73 08 F2 0F 10 15 ?? ?? ?? ?? 8B D7 F2 0F 5E D6 48 8B CB E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C5 8B D7 49 8B CF E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C3 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_27_3_1 {
	meta:
		name = "_LXp_invx"
		size = 330
		refs = "0035 _LDtest 005b _LInf 0085 memcpy 008d __real@bff0000000000000 0097 _LXp_mulh 00ad __real@3ff0000000000000 00bb _LXp_setw 00e2 _LXp_mulx 00f4 _LXp_addh 0119 _LXp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 48 63 FA 4D 8B F8 48 8B D9 85 D2 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 2A 8D 75 01 66 3B C6 75 08 48 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 BB 00 00 00 F2 0F 10 33 4C 8B F7 49 C1 E6 03 48 8B D3 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F2 0F 58 73 08 F2 0F 10 15 ?? ?? ?? ?? 8B D7 F2 0F 5E D6 48 8B CB E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C5 8B D7 49 8B CF E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C3 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_16_4_1 {
	meta:
		name = "_Xp_ldexpx"
		size = 110
		refs = "0032 ldexp 003a __real@0000000000000000"
		altNames = "_LXp_ldexpx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 45 8B F0 8B EA 48 8B F1 85 D2 7E 29 48 8B F9 F2 0F 10 07 41 8B D6 E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? F2 0F 11 07 7A 02 74 0A FF C3 48 83 C7 08 3B DD 7C DA 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_16_5_1 {
	meta:
		name = "_Xp_movx"
		size = 36
		refs = "0017 memcpy"
		altNames = "_LXp_movx"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 48 8B D9 4C 63 C2 48 8B D0 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_6_1 {
	meta:
		name = "_Xp_mulh"
		size = 492
		refs = "0027 __security_cookie 0053 _Dtest 006e _Feraise 0132 _Dunscale 0140 _Dint 014d _Dscale 015d _Xp_addh 01c3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 0F 29 74 24 70 0F 29 7C 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D0 45 33 E4 4C 63 FA 0F 28 FA 48 8B F9 85 D2 7E 58 0F 28 C2 F2 0F 59 01 48 8D 4D B0 F2 0F 11 45 B0 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 B0 F2 0F 11 07 66 44 3B E6 0F 8D 33 01 00 00 44 3B FB 0F 8E 2A 01 00 00 4C 89 67 08 E9 21 01 00 00 4C 89 27 BB 01 00 00 00 41 8B C4 89 45 A4 44 8B F3 45 85 FF 0F 8E 07 01 00 00 4D 8B EC 8B F3 4C 8D 65 B0 0F 57 F6 4C 2B E7 48 83 FE 04 7D 4D 42 8D 14 30 4A 8D 04 2E 48 8D 0C C7 41 3B D7 7D 2E F2 0F 10 01 66 0F 2E C6 7A 02 74 22 48 83 21 00 44 03 F3 F2 0F 59 C7 03 D3 48 03 F3 F2 41 0F 11 04 0C 48 83 C1 08 48 83 FE 04 7C CF EB 0E 48 83 64 F5 B0 00 BE 08 00 00 00 44 8B F6 F2 0F 10 45 B0 66 0F 2E C6 7A 06 0F 84 94 00 00 00 48 8D 55 A8 F2 0F 11 45 A8 48 8D 4D A0 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8D 4D A8 E8 ?? ?? ?? ?? 0F BF 55 A0 48 8D 4D A8 E8 ?? ?? ?? ?? F2 0F 10 55 A8 41 8B D7 48 8B CF E8 ?? ?? ?? ?? F2 0F 10 55 B0 41 8B D7 F2 0F 5C 55 A8 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 1C F2 0F 10 44 C5 B0 66 0F 2E C6 F2 0F 11 44 C5 A8 7A 02 74 08 48 03 C3 48 3B C6 7C E4 8B 45 A4 4C 03 EB 03 C3 49 83 EC 08 44 2B F3 89 45 A4 48 2B F3 4D 3B EF 0F 8C 08 FF FF FF 48 8B C7 48 8B 4D D0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 0F 28 74 24 70 0F 28 7C 24 60 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_27_6_1 {
	meta:
		name = "_LXp_mulh"
		size = 492
		refs = "0027 __security_cookie 0053 _LDtest 006e _Feraise 0132 _LDunscale 0140 _LDint 014d _LDscale 015d _LXp_addh 01c3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 0F 29 74 24 70 0F 29 7C 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D0 45 33 E4 4C 63 FA 0F 28 FA 48 8B F9 85 D2 7E 58 0F 28 C2 F2 0F 59 01 48 8D 4D B0 F2 0F 11 45 B0 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 B0 F2 0F 11 07 66 44 3B E6 0F 8D 33 01 00 00 44 3B FB 0F 8E 2A 01 00 00 4C 89 67 08 E9 21 01 00 00 4C 89 27 BB 01 00 00 00 41 8B C4 89 45 A4 44 8B F3 45 85 FF 0F 8E 07 01 00 00 4D 8B EC 8B F3 4C 8D 65 B0 0F 57 F6 4C 2B E7 48 83 FE 04 7D 4D 42 8D 14 30 4A 8D 04 2E 48 8D 0C C7 41 3B D7 7D 2E F2 0F 10 01 66 0F 2E C6 7A 02 74 22 48 83 21 00 44 03 F3 F2 0F 59 C7 03 D3 48 03 F3 F2 41 0F 11 04 0C 48 83 C1 08 48 83 FE 04 7C CF EB 0E 48 83 64 F5 B0 00 BE 08 00 00 00 44 8B F6 F2 0F 10 45 B0 66 0F 2E C6 7A 06 0F 84 94 00 00 00 48 8D 55 A8 F2 0F 11 45 A8 48 8D 4D A0 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8D 4D A8 E8 ?? ?? ?? ?? 0F BF 55 A0 48 8D 4D A8 E8 ?? ?? ?? ?? F2 0F 10 55 A8 41 8B D7 48 8B CF E8 ?? ?? ?? ?? F2 0F 10 55 B0 41 8B D7 F2 0F 5C 55 A8 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 1C F2 0F 10 44 C5 B0 66 0F 2E C6 F2 0F 11 44 C5 A8 7A 02 74 08 48 03 C3 48 3B C6 7C E4 8B 45 A4 4C 03 EB 03 C3 49 83 EC 08 44 2B F3 89 45 A4 48 2B F3 4D 3B EF 0F 8C 08 FF FF FF 48 8B C7 48 8B 4D D0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 0F 28 74 24 70 0F 28 7C 24 60 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_16_7_1 {
	meta:
		name = "_Xp_mulx"
		size = 257
		refs = "0042 __real@0000000000000000 005f _Xp_mulh 007f memcpy 00d5 _Xp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 B1 00 00 00 45 85 C9 0F 84 A8 00 00 00 F2 41 0F 10 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 12 F2 41 0F 10 40 08 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7C 4C 8B 7C 24 70 4C 8B F7 49 C1 E6 03 48 8B D6 4D 8B C6 49 8B CF 4F 8D 24 3E E8 ?? ?? ?? ?? F2 0F 10 13 8B D7 48 8B CE E8 ?? ?? ?? ?? 4C 8B ED BD 01 00 00 00 EB 41 F2 0F 10 04 EB 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 35 4D 8B C6 49 8B D7 49 8B CC E8 ?? ?? ?? ?? F2 0F 10 14 EB 8B D7 49 8B CC E8 ?? ?? ?? ?? 44 8B CF 4D 8B C4 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 FF C5 49 3B ED 7C BA 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_27_7_1 {
	meta:
		name = "_LXp_mulx"
		size = 257
		refs = "0042 __real@0000000000000000 005f _LXp_mulh 007f memcpy 00d5 _LXp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 B1 00 00 00 45 85 C9 0F 84 A8 00 00 00 F2 41 0F 10 10 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 12 F2 41 0F 10 40 08 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7C 4C 8B 7C 24 70 4C 8B F7 49 C1 E6 03 48 8B D6 4D 8B C6 49 8B CF 4F 8D 24 3E E8 ?? ?? ?? ?? F2 0F 10 13 8B D7 48 8B CE E8 ?? ?? ?? ?? 4C 8B ED BD 01 00 00 00 EB 41 F2 0F 10 04 EB 66 0F 2E 05 ?? ?? ?? ?? 7A 02 74 35 4D 8B C6 49 8B D7 49 8B CC E8 ?? ?? ?? ?? F2 0F 10 14 EB 8B D7 49 8B CC E8 ?? ?? ?? ?? 44 8B CF 4D 8B C4 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 FF C5 49 3B ED 7C BA 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_16_8_1 {
	meta:
		name = "_Xp_setn"
		size = 32
		refs = "0013 _Xp_setw"
	strings:
		$1 = { 40 53 48 83 EC 20 66 41 0F 6E D0 48 8B D9 F3 0F E6 D2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_27_8_1 {
	meta:
		name = "_LXp_setn"
		size = 32
		refs = "0013 _LXp_setw"
	strings:
		$1 = { 40 53 48 83 EC 20 66 41 0F 6E D0 48 8B D9 F3 0F E6 D2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_9_1 {
	meta:
		name = "_Xp_setw"
		size = 273
		refs = "003b _Dunscale 006b _Dint 007a _Dscale 009d __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 83 EC 30 33 ED 0F 29 70 D8 F2 0F 11 50 08 0F 28 F2 8B FA 48 8B D9 85 D2 0F 8E D3 00 00 00 83 FA 01 0F 84 C6 00 00 00 48 8D 50 08 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AA 00 00 00 66 3B E8 7D 13 F2 0F 10 44 24 50 F2 0F 11 03 48 89 6B 08 E9 9C 00 00 00 BA 1A 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 48 8D 73 08 F2 0F 11 03 F2 0F 5C F0 F2 0F 11 36 83 FF 02 7E 63 66 0F 2E 35 ?? ?? ?? ?? 7A 08 75 06 48 89 6B 10 EB 51 48 8B D6 48 8D 4C 24 58 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CE E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8B CE E8 ?? ?? ?? ?? F2 0F 5C 36 F2 0F 11 73 10 83 FF 03 7E 1C 66 0F 2E 35 ?? ?? ?? ?? 7A 02 74 10 48 89 6B 18 EB 0A F2 0F 10 74 24 50 F2 0F 11 33 0F 28 74 24 20 48 8B C3 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_27_9_1 {
	meta:
		name = "_LXp_setw"
		size = 273
		refs = "003b _LDunscale 006b _LDint 007a _LDscale 009d __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 18 55 56 57 48 83 EC 30 33 ED 0F 29 70 D8 F2 0F 11 50 08 0F 28 F2 8B FA 48 8B D9 85 D2 0F 8E D3 00 00 00 83 FA 01 0F 84 C6 00 00 00 48 8D 50 08 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AA 00 00 00 66 3B E8 7D 13 F2 0F 10 44 24 50 F2 0F 11 03 48 89 6B 08 E9 9C 00 00 00 BA 1A 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8D 4C 24 50 E8 ?? ?? ?? ?? F2 0F 10 44 24 50 48 8D 73 08 F2 0F 11 03 F2 0F 5C F0 F2 0F 11 36 83 FF 02 7E 63 66 0F 2E 35 ?? ?? ?? ?? 7A 08 75 06 48 89 6B 10 EB 51 48 8B D6 48 8D 4C 24 58 E8 ?? ?? ?? ?? BA 1A 00 00 00 48 8B CE E8 ?? ?? ?? ?? 0F BF 54 24 58 48 8B CE E8 ?? ?? ?? ?? F2 0F 5C 36 F2 0F 11 73 10 83 FF 03 7E 1C 66 0F 2E 35 ?? ?? ?? ?? 7A 02 74 10 48 89 6B 18 EB 0A F2 0F 10 74 24 50 F2 0F 11 33 0F 28 74 24 20 48 8B C3 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_16_10_1 {
	meta:
		name = "_Xp_sqrtx"
		size = 351
		refs = "0031 _Dtest 006c sqrt 0074 __real@3ff0000000000000 0082 _Xp_setw 009b memcpy 00a3 __real@bfe0000000000000 00ad _Xp_mulh 00c2 _Xp_mulx 00df __real@3ff8000000000000 00e9 _Xp_addh 012d _Feraise 0135 _Nan"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 48 63 FA 49 8B E8 48 8B D9 85 D2 0F 84 0D 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E0 00 00 00 F2 0F 10 0B 66 0F 2F C1 0F 87 D8 00 00 00 4C 8B F7 49 C1 E6 03 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F2 0F 58 4B 08 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 F2 0F 5E D0 48 8B CE E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C3 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CD E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1C 66 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 48 8B 6C 24 58 48 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_27_10_1 {
	meta:
		name = "_LXp_sqrtx"
		size = 351
		refs = "0031 _LDtest 006c sqrt 0074 __real@3ff0000000000000 0082 _LXp_setw 009b memcpy 00a3 __real@bfe0000000000000 00ad _LXp_mulh 00c2 _LXp_mulx 00df __real@3ff8000000000000 00e9 _LXp_addh 012d _Feraise 0135 _LNan"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 48 63 FA 49 8B E8 48 8B D9 85 D2 0F 84 0D 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E0 00 00 00 F2 0F 10 0B 66 0F 2F C1 0F 87 D8 00 00 00 4C 8B F7 49 C1 E6 03 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F2 0F 58 4B 08 0F 28 C1 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 F2 0F 5E D0 48 8B CE E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C3 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CD E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1C 66 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 48 8B 6C 24 58 48 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_16_11_1 {
	meta:
		name = "_Xp_subx"
		size = 118
		refs = "0034 __real@0000000000000000 003f __xmm@80000000000000008000000000000000 004a _Xp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2C F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C D4 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_27_11_1 {
	meta:
		name = "_LXp_subx"
		size = 118
		refs = "0034 __real@0000000000000000 003f __xmm@80000000000000008000000000000000 004a _LXp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2C F2 0F 10 16 66 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B FD 7C D4 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_17_0_1 {
	meta:
		name = "_Query_perf_counter"
		size = 25
		refs = "000b __imp_QueryPerformanceCounter"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 48 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_17_1_1 {
	meta:
		name = "_Query_perf_frequency"
		size = 25
		refs = "000b __imp_QueryPerformanceFrequency"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 48 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_17_2_1 {
	meta:
		name = "_Xtime_diff_to_millis"
		size = 71
		refs = "0009 __security_cookie 0023 xtime_get 0030 _Xtime_diff_to_millis2 003d __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 BA 01 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_17_3_1 {
	meta:
		name = "_Xtime_diff_to_millis2"
		size = 203
	strings:
		$1 = { 48 83 EC 18 0F 10 01 4C 8B DA 0F 11 04 24 4C 8B 0C 24 66 0F 73 D8 08 66 41 0F 7E C0 45 85 C0 79 24 83 C9 FF B8 83 BE E0 12 41 2B C8 F7 E1 2B CA D1 E9 03 CA C1 E9 1D FF C1 69 C1 00 CA 9A 3B 44 03 C0 4C 2B C9 41 BA 00 CA 9A 3B 45 3B C2 7C 22 B8 83 BE E0 12 41 F7 E0 41 8B C0 2B C2 D1 E8 03 C2 C1 E8 1D 8B C8 69 C0 00 36 65 C4 44 03 C0 4C 03 C9 45 3B 43 08 7D 13 45 2B 53 08 48 83 C8 FF 49 2B 03 4C 03 C8 45 03 C2 EB 07 4D 2B 0B 45 2B 43 08 4D 85 C9 78 07 75 0B 45 85 C0 7F 06 45 33 C9 45 33 C0 41 8D 88 3F 42 0F 00 B8 83 DE 1B 43 F7 E9 49 69 C9 E8 03 00 00 C1 FA 12 8B C2 C1 E8 1F 03 C2 48 03 C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_17_4_1 {
	meta:
		name = "_Xtime_get_ticks"
		size = 47
		refs = "000a __crtGetSystemTimePreciseAsFileTime"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B 44 24 34 48 BA 00 80 C1 2A 21 4E 62 FE 8B 4C 24 30 48 C1 E0 20 48 03 C2 48 03 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_17_5_1 {
	meta:
		name = "sys_get_time"
		size = 59
		refs = "000a _Xtime_get_ticks"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8B C0 48 B8 BD 42 7A E5 D5 94 BF D6 49 F7 E0 48 C1 EA 17 48 89 13 69 D2 80 96 98 00 44 2B C2 41 6B C0 64 89 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_6_1 {
	meta:
		name = "xtime_diff"
		size = 132
	strings:
		$1 = { 0F 10 02 45 33 C9 41 BA 00 CA 9A 3B F3 0F 7F 01 8B 51 08 85 D2 79 11 48 8B 01 48 FF C8 41 03 D2 78 F8 89 51 08 48 89 01 8B 41 08 41 3B C2 7C 14 48 8B 11 48 FF C2 41 2B C2 41 3B C2 7D F5 89 41 08 48 89 11 8B 51 08 41 3B 50 08 7D 13 41 2B 50 08 48 83 C8 FF 49 2B 00 48 01 01 41 03 D2 EB 0A 49 8B 00 48 29 01 41 2B 50 08 89 51 08 4C 39 09 7C 07 75 0C 41 3B D1 7F 07 4C 89 09 44 89 49 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_17_7_1 {
	meta:
		name = "xtime_get"
		size = 86
		refs = "001a _Xtime_get_ticks"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 83 FA 01 75 33 48 85 C9 74 2E E8 ?? ?? ?? ?? 4C 8B C0 48 B8 BD 42 7A E5 D5 94 BF D6 49 F7 E0 48 C1 EA 17 69 CA 80 96 98 00 48 89 17 44 2B C1 41 6B C0 64 89 47 08 EB 02 33 DB 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_8_1 {
	meta:
		name = "xtime_normalize"
		size = 59
	strings:
		$1 = { 8B 41 08 41 B8 00 CA 9A 3B 85 C0 79 11 48 8B 11 48 FF CA 41 03 C0 78 F8 89 41 08 48 89 11 8B 41 08 41 3B C0 7C 14 48 8B 11 48 FF C2 41 2B C0 41 3B C0 7D F5 89 41 08 48 89 11 C3 }
	condition:
		$1
}

rule file_18_0_1 {
	meta:
		name = "_Stolx"
		size = 222
		refs = "003b isspace 0060 _Stoulx 0096 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 56 41 57 48 83 EC 20 48 85 D2 48 8D 70 08 48 8B E9 48 8B F9 0F B6 09 48 0F 45 F2 4D 8B F1 45 8B F8 EB 06 48 FF C7 0F B6 0F E8 ?? ?? ?? ?? 85 C0 75 F1 8A 1F 8D 43 D5 A8 FD 74 04 B3 2B EB 03 48 FF C7 4D 8B CE 45 8B C7 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 8B C8 48 3B 3E 75 03 48 89 2E BF FF FF FF 7F 41 B7 2D 48 3B 2E 75 04 85 C9 75 16 80 FB 2B 75 04 3B CF 77 0D 41 3A DF 75 2E 81 F9 00 00 00 80 76 26 E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 F6 74 07 41 C7 06 01 00 00 00 B8 00 00 00 80 41 3A DF 0F 44 F8 8B C7 EB 0A F7 D8 41 3A DF 0F 44 C8 8B C1 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_20_0_1 {
	meta:
		name = "?_Release_chore@details@Concurrency@@YAXPEAU_Threadpool_chore@12@@Z"
		size = 48
		refs = "0014 __encodedKERNEL32Functions 001b __security_cookie 0022 __crtCloseThreadpoolWork"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 19 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_20_1_1 {
	meta:
		name = "?_Reschedule_chore@details@Concurrency@@YAHPEBU_Threadpool_chore@12@@Z"
		size = 19
		refs = "0008 __crtSubmitThreadpoolWork"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_20_2_1 {
	meta:
		name = "?_Schedule_chore@details@Concurrency@@YAHPEAU_Threadpool_chore@12@@Z"
		size = 108
		refs = "0009 __encodedKERNEL32Functions 0013 __security_cookie 0022 ?task_scheduler_callback@?A0xd39a122b@details@Concurrency@@YAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_WORK@@@Z 0027 __crtCreateThreadpoolWork 0037 __crtSubmitThreadpoolWork 004b __imp_GetLastError 0058 ?task_scheduler_callback_xp@?A0xd39a122b@details@Concurrency@@YAKPEAX@Z 005e __imp_QueueUserWorkItem"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 48 33 05 ?? ?? ?? ?? 48 8B D1 74 33 45 33 C0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 10 48 8B C8 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 89 19 45 33 C0 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 D5 48 83 23 00 EB D7 }
	condition:
		$1
}

rule file_20_3_1 {
	meta:
		name = "?is_vista_threadpool_supported@?A0xd39a122b@details@Concurrency@@YA_NXZ"
		size = 18
		refs = "0003 __encodedKERNEL32Functions 000a __security_cookie"
		altNames = "?are_vista_sync_apis_available@details@Concurrency@@YA_NXZ ?are_win7_sync_apis_available@details@Concurrency@@YA_NXZ"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 0F 95 C0 C3 }
	condition:
		$1
}

rule file_20_4_1 {
	meta:
		name = "?task_scheduler_callback@?A0xd39a122b@details@Concurrency@@YAXPEAU_TP_CALLBACK_INSTANCE@@PEAXPEAU_TP_WORK@@@Z"
		size = 45
		refs = "0015 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 5A 08 48 8B FA 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 10 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_20_5_1 {
	meta:
		name = "?task_scheduler_callback_xp@?A0xd39a122b@details@Concurrency@@YAKPEAX@Z"
		size = 44
		refs = "0015 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 08 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 10 FF D3 48 8B 5C 24 30 33 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_21_47_1 {
	meta:
		name = "??0_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@AEAV12@@Z"
		size = 77
		refs = "0031 _guard_check_icall"
		altNames = "??0_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@AEAV12@@Z ??0_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@AEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 89 11 48 8B F9 48 8B 02 4C 63 40 04 49 8B 74 10 48 48 85 F6 74 14 48 8B 06 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B 5C 24 30 48 8B C7 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_21_50_1 {
	meta:
		name = "??0_Winit@std@@QEAA@XZ"
		size = 34
		refs = "0002 ?_Init_cnt@_Winit@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 0A FF C0 89 05 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_33_50_1 {
	meta:
		name = "??0_UShinit@std@@QEAA@XZ"
		size = 34
		refs = "0002 ?_Init_cnt@_UShinit@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 0A FF C0 89 05 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_21_60_1 {
	meta:
		name = "??0sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@AEAV12@@Z"
		size = 157
		refs = "0046 _guard_check_icall 006e ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAAEAV12@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B FA 48 8B F1 48 89 11 48 8B 02 4C 63 40 04 4D 8B 74 10 48 4D 85 F6 74 15 49 8B 06 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 90 48 8B 07 48 63 48 04 83 7C 39 10 00 75 14 48 8B 4C 39 50 48 85 C9 74 0A 48 3B CF 74 05 E8 ?? ?? ?? ?? 48 8B 07 48 63 48 04 83 7C 39 10 00 0F 94 C0 88 46 08 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_115_59_1 {
	meta:
		name = "??0sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@AEAV12@@Z"
		size = 157
		refs = "0046 _guard_check_icall 006e ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAAEAV12@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B FA 48 8B F1 48 89 11 48 8B 02 4C 63 40 04 4D 8B 74 10 48 4D 85 F6 74 15 49 8B 06 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 90 48 8B 07 48 63 48 04 83 7C 39 10 00 75 14 48 8B 4C 39 50 48 85 C9 74 0A 48 3B CF 74 05 E8 ?? ?? ?? ?? 48 8B 07 48 63 48 04 83 7C 39 10 00 0F 94 C0 88 46 08 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_33_60_1 {
	meta:
		name = "??0sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@AEAV12@@Z"
		size = 157
		refs = "0046 _guard_check_icall 006e ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAAEAV12@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B FA 48 8B F1 48 89 11 48 8B 02 4C 63 40 04 4D 8B 74 10 48 4D 85 F6 74 15 49 8B 06 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 90 48 8B 07 48 63 48 04 83 7C 39 10 00 75 14 48 8B 4C 39 50 48 85 C9 74 0A 48 3B CF 74 05 E8 ?? ?? ?? ?? 48 8B 07 48 63 48 04 83 7C 39 10 00 0F 94 C0 88 46 08 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_21_74_1 {
	meta:
		name = "??1_Sentry_base@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@XZ"
		size = 73
		refs = "0033 _guard_check_icall"
		altNames = "??1_Sentry_base@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@XZ ??1_Sentry_base@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B 11 48 8B 02 48 63 48 04 48 8B 7C 11 48 48 85 FF 74 16 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF FF D3 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_21_76_1 {
	meta:
		name = "??1_Winit@std@@QEAA@XZ"
		size = 81
		refs = "000f ?_Init_cnt@_Winit@std@@0HA 0019 ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0023 ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAAEAV12@XZ 002b ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 003d ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 2D ?? ?? ?? ?? 01 75 36 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_33_76_1 {
	meta:
		name = "??1_UShinit@std@@QEAA@XZ"
		size = 81
		refs = "000f ?_Init_cnt@_UShinit@std@@0HA 0019 ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0023 ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAAEAV12@XZ 002b ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 003d ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 2D ?? ?? ?? ?? 01 75 36 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_21_81_1 {
	meta:
		name = "??1sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@XZ"
		size = 95
		refs = "0018 ?uncaught_exception@std@@YA_NXZ 0025 ?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ 0049 _guard_check_icall"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B D9 E8 ?? ?? ?? ?? 90 84 C0 75 09 48 8B 0B E8 ?? ?? ?? ?? 90 48 8B 13 48 8B 02 48 63 48 04 48 8B 7C 11 48 48 85 FF 74 16 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF FF D3 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_115_79_1 {
	meta:
		name = "??1sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@XZ"
		size = 95
		refs = "0018 ?uncaught_exception@std@@YA_NXZ 0025 ?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ 0049 _guard_check_icall"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B D9 E8 ?? ?? ?? ?? 90 84 C0 75 09 48 8B 0B E8 ?? ?? ?? ?? 90 48 8B 13 48 8B 02 48 63 48 04 48 8B 7C 11 48 48 85 FF 74 16 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF FF D3 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_33_81_1 {
	meta:
		name = "??1sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@XZ"
		size = 95
		refs = "0018 ?uncaught_exception@std@@YA_NXZ 0025 ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ 0049 _guard_check_icall"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B D9 E8 ?? ?? ?? ?? 90 84 C0 75 09 48 8B 0B E8 ?? ?? ?? ?? 90 48 8B 13 48 8B 02 48 63 48 04 48 8B 7C 11 48 48 85 FF 74 16 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF FF D3 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_21_133_1 {
	meta:
		name = "?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
		size = 133
		refs = "0041 _guard_check_icall 0070 ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 48 8B F1 48 8B 01 48 63 78 04 83 7C 0F 10 00 75 4B F6 44 0F 18 02 74 44 48 8B 7C 0F 48 48 8B 07 48 8B 58 68 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 F8 FF 75 26 48 8B 06 48 63 48 04 48 03 CE 8B 51 10 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 83 CA 04 45 33 C0 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_21_169_1 {
	meta:
		name = "?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAAEAV12@XZ"
		size = 223
		refs = "0036 ??0sentry@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@AEAV12@@Z 0059 _guard_check_icall 0088 ?clear@ios_base@std@@QEAAXH_N@Z 008e ?uncaught_exception@std@@YA_NXZ 009c ?_Osfx@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 40 49 C7 43 D8 FE FF FF FF 49 89 5B 08 49 89 73 10 48 8B F1 48 8B 01 48 63 50 04 48 83 7C 0A 48 00 0F 84 9E 00 00 00 48 8B D1 49 8D 4B E0 E8 ?? ?? ?? ?? 90 80 7C 24 30 00 74 4B 48 8B 06 48 63 48 04 48 8B 7C 31 48 48 8B 07 48 8B 58 68 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 F8 FF 75 26 48 8B 06 48 63 48 04 48 03 CE 8B 51 10 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 83 CA 04 45 33 C0 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 84 C0 75 0B 48 8B 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 54 24 28 48 8B 02 48 63 48 04 48 8B 7C 11 48 48 85 FF 74 15 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 90 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_115_170_1 {
	meta:
		name = "?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAAEAV12@XZ"
		size = 223
		refs = "0036 ??0sentry@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@AEAV12@@Z 0059 _guard_check_icall 0088 ?clear@ios_base@std@@QEAAXH_N@Z 008e ?uncaught_exception@std@@YA_NXZ 009c ?_Osfx@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 40 49 C7 43 D8 FE FF FF FF 49 89 5B 08 49 89 73 10 48 8B F1 48 8B 01 48 63 50 04 48 83 7C 0A 48 00 0F 84 9E 00 00 00 48 8B D1 49 8D 4B E0 E8 ?? ?? ?? ?? 90 80 7C 24 30 00 74 4B 48 8B 06 48 63 48 04 48 8B 7C 31 48 48 8B 07 48 8B 58 68 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 F8 FF 75 26 48 8B 06 48 63 48 04 48 03 CE 8B 51 10 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 83 CA 04 45 33 C0 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 84 C0 75 0B 48 8B 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 54 24 28 48 8B 02 48 63 48 04 48 8B 7C 11 48 48 85 FF 74 15 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 90 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_33_169_1 {
	meta:
		name = "?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAAEAV12@XZ"
		size = 223
		refs = "0036 ??0sentry@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@AEAV12@@Z 0059 _guard_check_icall 0088 ?clear@ios_base@std@@QEAAXH_N@Z 008e ?uncaught_exception@std@@YA_NXZ 009c ?_Osfx@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 40 49 C7 43 D8 FE FF FF FF 49 89 5B 08 49 89 73 10 48 8B F1 48 8B 01 48 63 50 04 48 83 7C 0A 48 00 0F 84 9E 00 00 00 48 8B D1 49 8D 4B E0 E8 ?? ?? ?? ?? 90 80 7C 24 30 00 74 4B 48 8B 06 48 63 48 04 48 8B 7C 31 48 48 8B 07 48 8B 58 68 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 F8 FF 75 26 48 8B 06 48 63 48 04 48 03 CE 8B 51 10 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 83 CA 04 45 33 C0 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 84 C0 75 0B 48 8B 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 54 24 28 48 8B 02 48 63 48 04 48 8B 7C 11 48 48 85 FF 74 15 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 90 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_21_186_1 {
	meta:
		name = "?pubsync@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAHXZ"
		size = 47
		refs = "0018 _guard_check_icall"
		altNames = "?pubsync@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHXZ ?pubsync@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 68 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_22_0_1 {
	meta:
		name = "_FDunscale"
		size = 138
		refs = "004d _FDnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 42 02 48 8B F1 66 C1 E8 07 B9 FF 00 00 00 66 23 C1 33 DB 48 8B FA 66 3B C1 75 18 66 89 1E F6 42 02 7F 75 08 8D 43 01 66 39 1A 74 3D B8 02 00 00 00 EB 36 66 3B D8 72 15 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 08 66 89 1E 0F B7 C3 EB 1C B9 7F BF 00 00 66 83 E8 7E 66 21 4F 02 B9 00 3F 00 00 66 09 4F 02 66 89 06 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_4_1 {
	meta:
		name = "??$?8DU?$char_traits@D@std@@@std@@YA_NAEBV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 86
		refs = "001d ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ"
		altNames = "?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 38 59 08 75 05 E8 ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 39 1E 75 07 48 39 1F 74 07 EB 0A 48 39 1F 74 05 BB 01 00 00 00 48 8B 74 24 38 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_19_1 {
	meta:
		name = "??$?8GU?$char_traits@G@std@@@std@@YA_NAEBV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 86
		refs = "001d ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 38 59 08 75 05 E8 ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 39 1E 75 07 48 39 1F 74 07 EB 0A 48 39 1F 74 05 BB 01 00 00 00 48 8B 74 24 38 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_22_1 {
	meta:
		name = "??$?8_WU?$char_traits@_W@std@@@std@@YA_NAEBV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 86
		refs = "001d ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 38 59 08 75 05 E8 ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 39 1E 75 07 48 39 1F 74 07 EB 0A 48 39 1F 74 05 BB 01 00 00 00 48 8B 74 24 38 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1163_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z"
		size = 86
		refs = "001d ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 38 59 08 75 05 E8 ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 39 1E 75 07 48 39 1F 74 07 EB 0A 48 39 1F 74 05 BB 01 00 00 00 48 8B 74 24 38 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1164_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z"
		size = 86
		refs = "001d ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 38 59 08 75 05 E8 ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 39 1E 75 07 48 39 1F 74 07 EB 0A 48 39 1F 74 05 BB 01 00 00 00 48 8B 74 24 38 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_7_1 {
	meta:
		name = "??$?9DU?$char_traits@D@std@@@std@@YA_NAEBV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 91
		refs = "001d ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 38 59 08 75 05 E8 ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 39 1E 75 1C 48 39 1F 74 1C 8B C3 48 8B 5C 24 30 84 C0 48 8B 74 24 38 0F 94 C0 48 83 C4 20 5F C3 48 39 1F 74 E4 B8 01 00 00 00 EB DF }
	condition:
		$1
}

rule file_41_25_1 {
	meta:
		name = "??$?9GU?$char_traits@G@std@@@std@@YA_NAEBV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 91
		refs = "001d ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 38 59 08 75 05 E8 ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 39 1E 75 1C 48 39 1F 74 1C 8B C3 48 8B 5C 24 30 84 C0 48 8B 74 24 38 0F 94 C0 48 83 C4 20 5F C3 48 39 1F 74 E4 B8 01 00 00 00 EB DF }
	condition:
		$1
}

rule file_41_28_1 {
	meta:
		name = "??$?9_WU?$char_traits@_W@std@@@std@@YA_NAEBV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 91
		refs = "001d ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 38 59 08 75 05 E8 ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 39 1E 75 1C 48 39 1F 74 1C 8B C3 48 8B 5C 24 30 84 C0 48 8B 74 24 38 0F 94 C0 48 83 C4 20 5F C3 48 39 1F 74 E4 B8 01 00 00 00 EB DF }
	condition:
		$1
}

rule file_24_9_1 {
	meta:
		name = "??$_Find_elem@D@std@@YA_KPEADD@Z"
		size = 28
	strings:
		$1 = { 44 8A 01 48 8B C1 EB 0B 44 3A C2 74 0B 48 FF C0 44 8A 00 45 84 C0 75 F0 48 2B C1 C3 }
	condition:
		$1
}

rule file_24_10_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
		size = 525
		refs = "0024 __security_cookie 0069 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 00f2 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 01ad ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01bb _invalid_parameter_noinfo_noreturn 01d0 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 01e2 ?_Deallocate@std@@YAXPEAX_K1@Z 01f1 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E8 4C 8B F2 48 8B D9 41 80 39 00 74 1D 41 8A 11 49 8B C9 49 8D 45 01 41 3A 11 49 0F 45 C5 4C 8B E8 48 FF C1 8A 11 84 D2 75 E9 45 33 C0 49 8B D5 48 8D 4D D0 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 BC 01 00 00 00 32 C9 88 4D C0 33 F6 33 FF 4D 85 ED 0F 84 39 01 00 00 EB 08 41 3A 07 74 0B 48 FF C6 42 8A 04 3E 84 C0 75 F0 48 3B 7D E8 0F 87 17 01 00 00 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 80 3C 38 00 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 38 48 03 F0 E9 8A 00 00 00 49 03 F4 42 8A 04 3E 41 3A 07 74 5B 84 C0 74 57 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 49 83 3E 00 74 26 EB 06 49 83 3E 00 75 1E 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 8A 43 09 42 38 04 3E 75 07 B1 01 88 4D C0 EB 2E 48 3B 7D E8 77 7D EB 03 89 7D C4 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B E1 41 0F B6 C4 0F 42 C8 88 0C 3A 8A 4D C0 48 FF C7 49 3B FD 0F 82 26 FF FF FF 84 C9 74 51 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 49 83 3E 00 74 28 EB 06 49 83 3E 00 75 20 49 FF C4 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF E9 C1 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D0 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D D0 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_12_1 {
	meta:
		name = "??$_Getvals@D@?$numpunct@D@std@@IEAAXDPEBUlconv@@U_Cvtvec@@@Z"
		size = 18
	strings:
		$1 = { 49 8B 00 8A 10 88 51 18 49 8B 40 08 8A 10 88 51 19 C3 }
	condition:
		$1
}

rule file_24_14_1 {
	meta:
		name = "??$_Maklocstr@D@std@@YAPEADPEBDPEADAEBU_Cvtvec@@@Z"
		size = 95
		refs = "0026 calloc 005a ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 83 CB FF 48 FF C3 80 3C 19 00 75 F7 48 FF C3 BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 27 48 85 DB 74 14 48 8B C8 48 2B CF 8A 07 88 04 39 48 FF C7 48 83 EB 01 75 F2 48 8B C2 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_64_1 {
	meta:
		name = "??0?$numpunct@D@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@D@std@@6B@ 0028 ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_283_1 {
	meta:
		name = "??0?$numpunct@G@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@G@std@@6B@ 0028 ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_285_1 {
	meta:
		name = "??0?$numpunct@_W@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@_W@std@@6B@ 0028 ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_24_101_1 {
	meta:
		name = "??1?$numpunct@D@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@D@std@@6B@ 0018 free 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_367_1 {
	meta:
		name = "??1?$numpunct@G@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@G@std@@6B@ 0018 free 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_368_1 {
	meta:
		name = "??1?$numpunct@_W@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@_W@std@@6B@ 0018 free 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_114_1 {
	meta:
		name = "??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
		size = 118
		refs = "0023 free 0048 malloc 005f memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B FA 48 8B 09 48 3B CA 74 46 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 26 00 48 85 FF 74 33 80 3F 00 48 8B DF 74 08 48 FF C3 80 3B 00 75 F8 48 2B DF 48 8D 4B 01 E8 ?? ?? ?? ?? 48 89 06 48 85 C0 74 0F 4C 8D 43 01 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_115_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 35
		refs = "0016 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 3B CA 74 0C 49 83 C9 FF 45 33 C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_401_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 35
		refs = "0016 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 3B CA 74 0C 49 83 C9 FF 45 33 C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_403_1 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 35
		refs = "0016 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 3B CA 74 0C 49 83 C9 FF 45 33 C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_116_1 {
	meta:
		name = "??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QEAAAEAV01@D@Z"
		size = 40
		refs = "0013 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 48 85 C9 74 0A E8 ?? ?? ?? ?? 83 F8 FF 75 03 C6 03 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_117_1 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAD_K@Z"
		size = 42
		refs = "0025 _invalid_parameter_noinfo_noreturn"
		altNames = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBD_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 3B 51 18 77 1A 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 04 11 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_120_1 {
	meta:
		name = "??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBADXZ"
		size = 29
		refs = "0010 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 8A 43 09 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_122_1 {
	meta:
		name = "??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_32_2_1 {
	meta:
		name = "??0exception_ptr@std@@QEAA@AEBV01@@Z"
		size = 23
		refs = "000a ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_429_1 {
	meta:
		name = "??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_430_1 {
	meta:
		name = "??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_209_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_445_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_446_1 {
	meta:
		name = "??Y?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_79_3 {
	meta:
		name = "?getECSUName@UnDecorator@@CA?AVDName@@XZ"
		size = 23
		refs = "000a ?getScopedName@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_100_3 {
	meta:
		name = "?getReferenceType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
		size = 23
		refs = "000a ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_124_3 {
	meta:
		name = "?getVbTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 23
		refs = "000a ?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_130_1 {
	meta:
		name = "??_G?$numpunct@D@std@@MEAAPEAXI@Z"
		size = 94
		refs = "000d ??_7?$numpunct@D@std@@6B@ 001e free 0037 ??_7_Facet_base@std@@6B@ 004c ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 30 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_476_1 {
	meta:
		name = "??_G?$numpunct@G@std@@MEAAPEAXI@Z"
		size = 94
		refs = "000d ??_7?$numpunct@G@std@@6B@ 001e free 0037 ??_7_Facet_base@std@@6B@ 004c ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 30 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_477_1 {
	meta:
		name = "??_G?$numpunct@_W@std@@MEAAPEAXI@Z"
		size = 94
		refs = "000d ??_7?$numpunct@_W@std@@6B@ 001e free 0037 ??_7_Facet_base@std@@6B@ 004c ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 30 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_152_1 {
	meta:
		name = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAAXAEBU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z"
		size = 73
		refs = "0016 ?_Deallocate@std@@YAXPEAX_K1@Z 002a ?_Allocate@std@@YAPEAX_K0_N@Z"
		altNames = "?_Copy_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAAXAEBU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z ?_Copy_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAAXAEBU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z ?_Move_alloc@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAAXAEAU?$_Wrap_alloc@V?$allocator@D@std@@@2@@Z ?_Move_alloc@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAAXAEAU?$_Wrap_alloc@V?$allocator@G@std@@@2@@Z ?_Move_alloc@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAAXAEAU?$_Wrap_alloc@V?$allocator@_W@std@@@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 01 00 00 00 48 8B D9 48 8B 09 44 8D 42 0F E8 ?? ?? ?? ?? 48 83 23 00 BA 10 00 00 00 41 B0 01 8D 4A F1 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_24_156_1 {
	meta:
		name = "?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z"
		size = 156
		altNames = "?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z"
	strings:
		$1 = { C6 02 25 4C 8B DA 4C 8D 52 01 41 F6 C1 20 74 07 41 C6 02 2B 49 FF C2 41 F6 C1 10 74 07 41 C6 02 23 49 FF C2 66 41 C7 02 2E 2A 49 83 C2 02 45 84 C0 74 06 45 88 02 49 FF C2 41 8B D1 41 B8 00 30 00 00 41 23 D0 41 F6 C1 04 74 18 B8 47 00 00 00 81 FA 00 10 00 00 8D 48 FE 0F 44 C1 B9 41 00 00 00 EB 16 B8 67 00 00 00 81 FA 00 10 00 00 8D 48 FE 0F 44 C1 B9 61 00 00 00 41 3B D0 0F 44 C1 81 FA 00 20 00 00 0F B6 C8 B8 66 00 00 00 0F 44 C8 49 8B C3 41 88 0A 41 C6 42 01 00 C3 }
	condition:
		$1
}

rule file_24_157_1 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K@Z"
		size = 1351
		refs = "0028 __security_cookie 0081 ??_C@_02MDKMJEGG@eE?$AA@ 008a ??_C@_02OOPEBDOJ@pP?$AA@ 00af strcspn 00c3 localeconv 00e8 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00f1 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 010e _guard_check_icall 0143 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0191 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 01de ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0220 _invalid_parameter_noinfo_noreturn 027b ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 02f2 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 04e4 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 04f5 ?_Deallocate@std@@YAXPEAX_K1@Z 0528 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC E0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 48 89 5C 24 48 4D 8B E0 48 89 55 8F 8A 45 6F 88 44 24 20 4C 8B 6D 77 48 8B 7D 7F 48 89 7D 87 48 85 FF 74 12 41 8A 45 00 2C 2B A8 FD 75 08 41 BE 01 00 00 00 EB 03 45 33 F6 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 24 48 8D 15 ?? ?? ?? ?? 49 8D 4E 02 48 3B CF 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 49 8B CD E8 ?? ?? ?? ?? 48 89 44 24 30 B8 2E 00 00 00 66 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 40 48 8D 54 24 40 49 8B CD E8 ?? ?? ?? ?? 4C 8B F8 48 8D 55 97 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 50 48 8B 75 9F 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 45 33 C0 48 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 75 B7 48 83 7D CF 10 48 0F 43 75 B7 48 8B 44 24 50 48 8B 00 4A 8D 1C 2F 48 8B 78 38 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4C 24 50 FF D7 48 8D 55 97 48 8B 4C 24 48 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 9F 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 44 8A E8 48 8B 7D 87 4C 3B FF 74 37 48 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 8A C8 4C 3B 7D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 42 88 0C 38 4C 3B FF 4C 0F 44 7C 24 30 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 80 3B 7F 74 3F 80 3B 00 7E 3A 48 0F BE 0B 49 8B C7 49 2B C6 48 3B C8 73 2B 4C 2B F9 45 8A CD 41 B8 01 00 00 00 49 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4E C3 48 8B D8 80 38 7F 75 C1 48 8B 75 C7 4C 8B 6C 24 48 49 8B 5D 28 48 85 DB 7E 0A 48 3B DE 76 05 48 2B DE EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 41 0F 10 04 24 0F 29 44 24 30 83 F8 40 0F 84 1C 01 00 00 3D 00 01 00 00 0F 84 87 00 00 00 48 85 DB 74 2F 48 8B 7C 24 38 44 8A 7C 24 20 48 85 FF 74 10 41 8A D7 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 E0 0F 28 44 24 30 F3 41 0F 7F 04 24 33 DB 0F 29 44 24 30 48 8D 7D B7 48 83 7D CF 10 48 0F 43 7D B7 4D 8B FE 4D 85 F6 0F 84 FD 00 00 00 4C 8B 6C 24 38 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EF 01 75 DE E9 C7 00 00 00 48 8D 7D B7 48 83 7D CF 10 48 0F 43 7D B7 4D 8B FE 4D 85 F6 74 31 4C 8B 6C 24 38 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EF 01 75 DE 0F 28 44 24 30 4C 8B 6C 24 48 F3 41 0F 7F 04 24 0F 29 44 24 30 48 85 DB 74 2F 48 8B 7C 24 38 44 8A 7C 24 20 48 85 FF 74 10 41 8A D7 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 E0 0F 28 44 24 30 33 DB EB 47 48 8D 7D B7 48 83 7D CF 10 48 0F 43 7D B7 4D 8B FE 4D 85 F6 74 31 4C 8B 6C 24 38 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EF 01 75 DE 0F 28 44 24 30 4C 8B 6C 24 48 F3 41 0F 7F 04 24 0F 29 44 24 30 4C 3B 75 C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 7D B7 41 BF 10 00 00 00 4C 39 7D CF 48 0F 43 7D B7 49 03 FE 49 2B F6 74 2C 4C 8B 74 24 38 4D 85 F6 74 0F 8A 17 49 8B CE E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 48 83 EE 01 75 DE 0F 28 44 24 30 F3 41 0F 7F 04 24 49 83 65 28 00 41 0F 10 04 24 0F 29 44 24 30 48 85 DB 74 2B 48 8B 7C 24 38 48 85 FF 74 11 8A 54 24 20 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 DF 0F 28 44 24 30 48 8B 5D 8F F3 0F 7F 03 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? 4D 8B C7 BA 01 00 00 00 48 8B 4D D7 E8 ?? ?? ?? ?? 48 83 65 D7 00 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 4D 8B C7 BA 01 00 00 00 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_175_1 {
	meta:
		name = "?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_628_1 {
	meta:
		name = "?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_630_1 {
	meta:
		name = "?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_24_177_1 {
	meta:
		name = "?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_632_1 {
	meta:
		name = "?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_634_1 {
	meta:
		name = "?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_24_179_1 {
	meta:
		name = "?_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 209
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$numpunct@D@std@@6B@ 009d ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 00b5 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8B 00 00 00 48 39 31 0F 85 82 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 55 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_636_1 {
	meta:
		name = "?_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 209
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$numpunct@G@std@@6B@ 009d ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 00b5 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8B 00 00 00 48 39 31 0F 85 82 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 55 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_640_1 {
	meta:
		name = "?_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 209
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$numpunct@_W@std@@6B@ 009d ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 00b5 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8B 00 00 00 48 39 31 0F 85 82 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 55 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_181_1 {
	meta:
		name = "?dtor$1@?0??_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 44
		refs = "0022 ??1_Locinfo@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 85 B0 00 00 00 83 E0 01 85 C0 74 10 83 A5 B0 00 00 00 FE 48 8D 4D 28 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_24_187_1 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2429
		refs = "0028 __security_cookie 006f ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 0080 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0089 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00a9 _guard_check_icall 00db ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0100 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 015d ?_Src@?1??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0178 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 01d9 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0260 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0395 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03aa _invalid_parameter_noinfo_noreturn 0453 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0465 ?_Deallocate@std@@YAXPEAX_K1@Z 0591 localeconv 095e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC F0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 55 87 48 8B 7D 77 48 8B 55 7F 48 89 54 24 48 8B 47 18 41 B8 00 30 00 00 41 23 C0 41 3B C0 75 1A 48 89 54 24 28 48 89 7C 24 20 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? E9 DE 08 00 00 48 8D 55 97 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 40 4C 8B 7D 9F 4D 85 FF 74 35 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 90 48 8D 55 CF 49 8B CC E8 ?? ?? ?? ?? 90 4D 8B FD C6 44 24 31 00 32 C0 89 44 24 38 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 7C 24 58 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 04 24 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D F7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CC FF D3 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 49 EB 05 49 39 1E 75 42 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 02 75 07 41 C6 45 00 2B EB 1A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 01 75 11 41 C6 45 00 2D 4D 8D 7D 01 48 8B CE E8 ?? ?? ?? ?? 4C 89 7C 24 50 41 C6 07 30 BA 01 00 00 00 4C 03 FA 88 5C 24 30 44 8B EB 8B FB 89 5C 24 34 8D 5A 23 B9 00 03 00 00 48 8B 44 24 48 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 3C 4C 8D 65 D7 48 83 7D EF 10 4C 0F 43 65 D7 41 8A 04 24 2A C2 3C 7D 0F 87 40 02 00 00 48 39 7D E7 74 21 48 8B 7C 24 40 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 40 8A F8 BA 01 00 00 00 45 33 C0 48 8D 4D A7 E8 ?? ?? ?? ?? 90 33 DB 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 21 01 00 00 EB 0A 49 83 3E 00 0F 85 15 01 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 F7 8A 4D F7 EB 0A 3A 4E 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D F7 48 2B C1 48 83 F8 0A 73 6F BA 01 00 00 00 88 54 24 30 44 39 6C 24 3C 7F 11 01 54 24 34 48 85 C0 74 25 8A C2 89 44 24 38 EB 1D 48 85 C0 75 05 45 85 ED 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 4C 03 FA 44 03 EA 48 3B 5D BF 0F 87 8F 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 80 3C 18 7F 74 6E 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 00 14 18 EB 5B 48 8B 55 BF 48 3B DA 77 65 48 8D 45 AF 4C 8B 45 AF 4C 8B 4D C7 49 83 F9 10 49 0F 43 C0 80 3C 18 00 74 5D 40 84 FF 74 58 80 7E 08 00 75 14 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D C7 48 8B 55 BF 4C 8B 45 AF 40 38 7E 09 75 38 45 33 C0 41 8D 50 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? E9 BE FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D C7 48 8B 55 BF 4C 8B 45 AF 48 85 DB 74 27 48 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 AF 49 83 F9 10 49 0F 43 C0 BF 01 00 00 00 80 3C 18 00 7E 5B 48 03 DF EB 05 BF 01 00 00 00 48 85 DB 74 51 41 8A 0C 24 80 F9 7F 74 48 48 2B DF 74 16 48 3B DA 77 33 48 8D 45 AF 49 83 F9 10 49 0F 43 C0 3A 0C 18 75 28 48 85 DB 75 10 48 8D 45 AF 49 83 F9 10 49 0F 43 C0 3A 08 7C 13 41 80 7C 24 01 00 7E BA 49 FF C4 EB B5 E8 ?? ?? ?? ?? CC 40 88 7C 24 31 45 33 C0 40 8A D7 48 8D 4D A7 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 4D A7 E8 ?? ?? ?? ?? 45 33 E4 E9 C1 00 00 00 45 33 E4 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 0B 4D 39 26 0F 84 90 00 00 00 EB 09 4D 39 26 0F 85 85 00 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D F7 8A 45 F7 EB 0A 3A 46 09 74 09 48 FF C1 8A 01 84 C0 75 F2 48 8D 45 F7 48 2B C8 48 83 F9 0A 73 53 41 3B DD 7F 14 BA 01 00 00 00 03 FA 48 85 C9 74 31 8A C2 89 44 24 38 EB 29 48 85 C9 75 05 45 85 ED 74 1A 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 BA 01 00 00 00 4C 03 FA 44 03 EA EB 05 BA 01 00 00 00 88 54 24 30 48 8B CE E8 ?? ?? ?? ?? E9 46 FF FF FF 89 7C 24 34 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 5D EB 05 4D 39 26 75 56 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 40 8A 7E 09 4C 8B 64 24 40 49 8B 04 24 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 40 3A F8 75 22 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 BF 01 00 00 00 4C 03 FF 48 8B CE E8 ?? ?? ?? ?? 45 33 E4 EB 08 45 33 E4 BF 01 00 00 00 48 8B 44 24 48 81 38 00 CA 9A 3B 74 72 45 85 ED 75 6D 8B 5C 24 34 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 2E EB 05 4D 39 26 75 27 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 F7 75 11 2B DF 40 88 7C 24 30 48 8B CE E8 ?? ?? ?? ?? EB AC 89 5C 24 34 85 DB 79 0D 41 C6 07 30 4C 03 FF 03 DF 89 5C 24 34 40 8A 7C 24 30 BB 01 00 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 76 EB 05 4D 39 26 75 6F 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D F7 8A 45 F7 EB 0A 3A 46 09 74 09 48 03 CB 8A 01 84 C0 75 F2 48 8D 45 F7 48 2B C8 48 83 F9 0A 73 3D 44 3B 6C 24 3C 7D 15 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 4C 03 FB 44 03 EB EB 11 8B 44 24 38 0F B6 C0 48 85 C9 0F 45 C3 89 44 24 38 40 8A FB 48 8B CE E8 ?? ?? ?? ?? E9 64 FF FF FF 8B 44 24 38 45 33 ED 84 C0 74 51 49 8D 5F FF 4C 8B 64 24 50 49 3B DC 74 27 E8 ?? ?? ?? ?? 8A 0B 48 8B 00 3A 08 74 08 80 F9 39 75 08 C6 03 30 48 FF CB EB E0 B8 01 00 00 00 00 03 49 3B DC 75 17 C6 03 31 44 8B 64 24 34 BB 01 00 00 00 44 03 E3 44 89 64 24 34 EB 0A BB 01 00 00 00 44 8B 64 24 34 40 84 FF 0F 84 D6 01 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 0B 4D 39 2E 0F 84 AC 01 00 00 EB 09 4D 39 2E 0F 85 A1 01 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 04 74 1A 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 03 0F 85 71 01 00 00 41 C6 07 65 4C 03 FB 48 8B CE E8 ?? ?? ?? ?? 41 8A FD 41 8B DD 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 48 EB 05 4D 39 2E 75 41 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 02 75 06 41 C6 07 2B EB 1A 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 01 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 41 BC 01 00 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 2A EB 05 4D 39 2E 75 23 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 F7 75 0D 41 8A FC 48 8B CE E8 ?? ?? ?? ?? EB B0 40 84 FF 74 07 41 C6 07 30 49 FF C7 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 61 EB 05 4D 39 2E 75 5A 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 F7 8A 4D F7 EB 0A 3A 4E 09 74 09 49 03 C4 8A 08 84 C9 75 F2 48 8D 4D F7 48 2B C1 48 83 F8 0A 73 28 83 FB 08 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 4D 03 FC 41 03 DC 41 8A FC 48 8B CE E8 ?? ?? ?? ?? E9 79 FF FF FF 44 8B 64 24 34 44 38 6C 24 31 75 05 40 84 FF 75 04 4C 8B 7D 87 45 88 2F 45 33 C0 41 8D 58 01 8A D3 48 8D 4D CF E8 ?? ?? ?? ?? 44 8D 43 0F 8B D3 48 8B 4D CF E8 ?? ?? ?? ?? 41 8B C4 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_192_1 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2395
		refs = "0029 __security_cookie 0058 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0061 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0082 _guard_check_icall 00b4 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ca ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0128 ?_Src@?1??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 014a ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 01ad ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 02ec ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0412 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0427 _invalid_parameter_noinfo_noreturn 04c6 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 04d8 ?_Deallocate@std@@YAXPEAX_K1@Z 05f9 localeconv 093c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC F0 00 00 00 48 C7 44 24 48 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 40 4C 8B 7D 77 48 8B 45 7F 48 89 44 24 38 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 48 8B 7C 24 58 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 BF 49 8B CC E8 ?? ?? ?? ?? 90 48 8D 55 87 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 7D 8F 45 33 E4 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? 41 8D 54 24 01 48 8B CF FF D3 90 49 8B 07 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF D3 4D 8B FD 44 88 64 24 21 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 4B EB 05 4D 39 26 75 44 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FE 75 07 41 C6 45 00 2B EB 1B 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FD 75 11 41 C6 45 00 2D 4D 8D 7D 01 48 8B CE E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 44 88 64 24 20 45 8B EC 41 8B FC 44 89 64 24 24 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 0B 4D 39 26 0F 84 91 00 00 00 EB 09 4D 39 26 0F 85 86 00 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 E7 75 70 48 8B CE E8 ?? ?? ?? ?? 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 3D EB 05 4D 39 26 75 36 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 00 74 16 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FF 75 0A 48 8B CE E8 ?? ?? ?? ?? EB 05 C6 44 24 20 01 BB 24 00 00 00 B9 00 03 00 00 48 8B 44 24 38 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 28 4C 8D 65 C7 48 83 7D DF 10 4C 0F 43 65 C7 41 8A 04 24 FE C8 3C 7D 0F 87 23 02 00 00 48 39 7D D7 74 1C 48 8B 7C 24 30 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 40 8A F8 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 90 33 DB 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 12 01 00 00 EB 0A 49 83 3E 00 0F 85 06 01 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 8A 4D E7 EB 0A 3A 4E 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 60 C6 44 24 20 01 44 39 6C 24 28 7F 06 FF 44 24 24 EB 1D 48 85 C0 75 05 45 85 ED 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C5 48 3B 5D AF 0F 87 8F 00 00 00 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F 80 3C 18 7F 74 6E 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F FE 04 18 EB 5B 48 8B 55 AF 48 3B DA 77 65 48 8D 45 9F 4C 8B 45 9F 4C 8B 4D B7 49 83 F9 10 49 0F 43 C0 80 3C 18 00 74 5D 40 84 FF 74 58 80 7E 08 00 75 14 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D B7 48 8B 55 AF 4C 8B 45 9F 40 38 7E 09 75 38 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? E9 CD FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D B7 48 8B 55 AF 4C 8B 45 9F 48 85 DB 74 79 48 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 80 3C 18 00 7E 57 48 FF C3 48 85 DB 74 54 41 8A 0C 24 80 F9 7F 74 4B 48 83 EB 01 74 16 48 3B DA 77 35 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 3A 0C 18 75 2A 48 85 DB 75 10 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 3A 08 7C 15 49 8D 44 24 01 80 38 00 7E B7 4C 8B E0 EB B2 E8 ?? ?? ?? ?? CC C6 44 24 21 01 45 33 C0 B2 01 48 8D 4D 97 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D 97 E8 ?? ?? ?? ?? E9 9F 00 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 72 EB 06 49 83 3E 00 75 6A 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D E7 8A 45 E7 EB 0A 3A 46 09 74 09 48 FF C1 8A 01 84 C0 75 F2 48 8D 45 E7 48 2B C8 48 83 F9 16 73 38 41 3B DD 7F 04 FF C7 EB 1D 48 85 C9 75 05 45 85 ED 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C5 C6 44 24 20 01 48 8B CE E8 ?? ?? ?? ?? E9 65 FF FF FF 89 7C 24 24 40 8A 7C 24 20 40 84 FF 74 0C 45 85 ED 75 07 41 C6 07 30 49 FF C7 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 56 EB 06 49 83 3E 00 75 4E 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 40 8A 7E 09 4C 8B 64 24 30 49 8B 04 24 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 40 3A F8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 40 8A 7C 24 20 45 85 ED 75 75 44 8B 64 24 24 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 2E EB 06 49 83 3E 00 75 26 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 E7 75 10 41 FF CC 40 B7 01 48 8B CE E8 ?? ?? ?? ?? EB A9 44 89 64 24 24 45 85 E4 79 0F 41 C6 07 30 49 FF C7 41 FF C4 44 89 64 24 24 4C 8D 25 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 5E EB 06 49 83 3E 00 75 56 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D E7 8A 45 E7 EB 0A 3A 46 09 74 09 48 FF C1 8A 01 84 C0 75 F2 48 8D 45 E7 48 2B C8 48 83 F9 16 73 24 44 3B 6C 24 28 7D 0D 42 8A 04 21 41 88 07 49 FF C7 41 FF C5 40 B7 01 48 8B CE E8 ?? ?? ?? ?? E9 79 FF FF FF 40 84 FF 44 8B 64 24 24 0F 84 CA 01 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 9D 01 00 00 EB 0A 49 83 3E 00 0F 85 91 01 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 02 74 1A 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 01 0F 85 61 01 00 00 41 C6 07 70 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 ED 41 8A FD 41 8B DD 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 48 EB 05 4D 39 2E 75 41 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FE 75 06 41 C6 07 2B EB 1A 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FD 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 21 EB 05 49 39 1E 75 1A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 E7 75 05 40 B7 01 EB B2 40 84 FF 74 07 41 C6 07 30 49 FF C7 4C 8D 25 ?? ?? ?? ?? 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 57 EB 05 4D 39 2E 75 50 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 8A 4D E7 EB 0A 3A 4E 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 1E 83 FB 08 7D 0C 42 8A 04 20 41 88 07 49 FF C7 FF C3 40 B7 01 48 8B CE E8 ?? ?? ?? ?? EB 83 44 8B 64 24 24 80 7C 24 21 00 75 05 40 84 FF 75 05 4C 8B 7C 24 40 41 C6 07 00 48 8B 44 24 38 44 89 20 45 33 C0 B2 01 48 8D 4D BF E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D BF E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_197_1 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z"
		size = 1258
		refs = "0028 __security_cookie 0048 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0057 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0077 _guard_check_icall 0088 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00a5 ?_Src@?1??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00c2 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0126 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 027c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 03a6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03bb _invalid_parameter_noinfo_noreturn 0486 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0497 ?_Deallocate@std@@YAXPEAX_K1@Z 04cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC C0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B E2 48 89 55 87 4C 8B 7D 7F 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 BF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D D7 75 07 44 88 6C 24 20 EB 18 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 88 44 24 20 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8B 08 48 8B 59 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF D3 49 8B FC 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 4C EB 05 4D 39 2E 75 45 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FE 75 07 41 C6 04 24 2B EB 1B 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FD 75 12 41 C6 04 24 2D 49 8D 7C 24 01 48 8B CE E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B FF BB 0A 00 00 00 48 89 5C 24 28 44 23 FB 8D 43 06 81 F9 00 08 00 00 44 0F 44 F8 8D 43 FE 81 F9 00 04 00 00 44 0F 44 F8 32 C0 88 44 24 21 38 46 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 BC 00 00 00 EB 0A 49 83 3E 00 0F 85 B0 00 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 E7 0F 85 96 00 00 00 41 B5 01 48 8B CE E8 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 54 EB 06 49 83 3E 00 75 4C 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 00 74 16 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FF 75 20 41 F7 C7 EF FF FF FF 75 17 41 BF 10 00 00 00 45 32 ED 48 8B CE E8 ?? ?? ?? ?? 41 8D 4F F8 EB 1D 45 85 FF B9 08 00 00 00 44 0F 44 F9 EB 05 B9 08 00 00 00 45 85 FF 74 16 44 3B FB 74 11 B8 16 00 00 00 44 3B F9 48 0F 44 C1 48 89 44 24 28 45 8A C5 BA 01 00 00 00 48 8D 4D 97 E8 ?? ?? ?? ?? 90 33 DB 49 83 C4 1F 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 12 01 00 00 EB 0A 49 83 3E 00 0F 85 06 01 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 8A 4D E7 EB 0A 3A 4E 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 3B 44 24 28 73 59 48 8D 0D ?? ?? ?? ?? 8A 0C 08 88 0F 80 7C 24 21 00 75 05 80 F9 30 74 0D 49 3B FC 73 08 48 FF C7 C6 44 24 21 01 41 B5 01 48 3B 5D AF 0F 87 95 00 00 00 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F 80 3C 18 7F 74 74 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F FE 04 18 EB 61 4C 8B 55 AF 49 3B DA 77 6B 48 8D 45 9F 4C 8B 45 9F 4C 8B 4D B7 49 83 F9 10 49 0F 43 C0 80 3C 18 00 74 63 8A 44 24 20 84 C0 74 5B 80 7E 08 00 75 18 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D B7 4C 8B 55 AF 4C 8B 45 9F 8A 44 24 20 38 46 09 75 38 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? E9 CD FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D B7 4C 8B 55 AF 4C 8B 45 9F 48 85 DB 74 2B 49 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 9F BE 10 00 00 00 4C 3B CE 49 0F 43 C0 80 3C 18 00 7E 05 48 FF C3 EB 0A 45 32 ED EB 05 BE 10 00 00 00 48 8D 4D C7 48 39 75 DF 48 0F 43 4D C7 45 84 ED 74 5C 48 85 DB 74 47 8A 11 80 FA 7F 74 40 48 83 EB 01 74 15 49 3B DA 77 2F 48 8D 45 9F 4C 3B CE 49 0F 43 C0 3A 14 18 75 35 48 85 DB 75 0F 48 8D 45 9F 4C 3B CE 49 0F 43 C0 3A 10 7C 21 80 79 01 00 7E BF 48 FF C1 EB BA E8 ?? ?? ?? ?? CC 8A 44 24 21 84 C0 75 0C C6 07 30 48 FF C7 EB 04 48 8B 7D 87 C6 07 00 45 33 C0 B2 01 48 8D 4D 97 E8 ?? ?? ?? ?? 4C 8B C6 BA 01 00 00 00 48 8B 4D 97 E8 ?? ?? ?? ?? 45 33 ED 4C 89 6D 97 45 33 C0 B2 01 48 8D 4D BF E8 ?? ?? ?? ?? 4C 8B C6 41 8D 55 01 48 8B 4D BF E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_206_1 {
	meta:
		name = "?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z"
		size = 118
		altNames = "?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z"
	strings:
		$1 = { C6 02 25 48 8D 42 01 41 F6 C1 20 74 06 C6 00 2B 48 FF C0 41 F6 C1 08 74 06 C6 00 23 48 FF C0 41 8A 08 80 F9 4C 74 04 88 08 EB 0C 66 C7 00 49 36 48 83 C0 02 C6 00 34 41 8B C9 81 E1 00 0E 00 00 81 F9 00 04 00 00 75 05 41 B1 6F EB 1D 81 F9 00 08 00 00 74 06 45 8A 48 01 EB 0F 41 C0 E1 03 41 F6 D1 41 80 E1 20 41 80 C9 58 44 88 48 01 C6 40 02 00 48 8B C2 C3 }
	condition:
		$1
}

rule file_24_207_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 130
		refs = "0056 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 31 48 8B F9 48 85 F6 74 50 48 8B 46 38 48 83 38 00 74 08 48 8B 46 50 8B 08 EB 02 33 C9 85 C9 7E 19 48 8B 46 50 FF 08 48 8B 4E 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 EB 14 48 8B 06 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 83 F8 FF 74 06 C6 47 08 00 EB 08 48 83 27 00 C6 47 08 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_213_1 {
	meta:
		name = "?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 349
		refs = "002c localeconv 0039 _Getcvt 0052 ??_C@_00CNPNBAHC@?$AA@ 0083 calloc 0090 ?_Xbad_alloc@std@@YAXXZ 00b3 ??_C@_05LAPONLG@false?$AA@ 00ed ??_C@_04LOAJBDKD@true?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 55 41 56 41 57 48 83 EC 60 48 C7 40 A8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 45 8A F8 48 8B D9 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 20 00 48 83 63 28 00 45 84 FF 48 8D 35 ?? ?? ?? ?? 75 04 49 8B 76 10 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 83 CF FF 48 FF C7 80 3C 3E 00 75 F7 41 BD 01 00 00 00 49 03 FD 41 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 85 FF 74 13 48 8B CA 48 2B CE 8A 06 88 04 31 49 03 F5 49 2B FD 75 F3 48 89 53 10 48 8D 3D ?? ?? ?? ?? BE 06 00 00 00 49 8B D5 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 8B CA 48 2B CF 8A 07 88 04 39 49 03 FD 49 2B F5 75 F3 48 89 53 20 48 8D 3D ?? ?? ?? ?? BE 05 00 00 00 49 8B D5 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 8B CA 48 2B CF 8A 07 88 04 39 49 03 FD 49 2B F5 75 F3 48 89 53 28 45 84 FF 74 08 66 C7 43 18 2E 2C EB 11 49 8B 06 8A 08 88 4B 18 49 8B 46 08 8A 08 88 4B 19 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_24_215_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 22
		refs = "0008 ?_Tidy@?$numpunct@D@std@@AEAAXXZ 0011 _CxxThrowException"
	strings:
		$1 = { 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_24_218_1 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z"
		size = 1193
		refs = "0028 __security_cookie 009e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a7 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00c4 _guard_check_icall 00f6 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0146 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0193 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01f1 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0261 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 03a7 _invalid_parameter_noinfo_noreturn 0446 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0457 ?_Deallocate@std@@YAXPEAX_K1@Z 048a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC C0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4C 89 4D 8F 4D 8B F8 48 89 55 97 8A 45 6F 88 44 24 20 4C 8B 6D 77 4C 8B 65 7F BE 01 00 00 00 4D 85 E4 74 0F 41 8A 45 00 2C 2B A8 FD 75 05 44 8B F6 EB 03 45 33 F6 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1D 49 8D 4E 02 49 3B CC 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 30 48 8B 7D A7 48 85 FF 74 32 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 48 8B CF FF D3 90 45 33 C0 49 8B D4 48 8D 4D B7 E8 ?? ?? ?? ?? 90 48 8D 75 BF 48 83 7D D7 10 48 0F 43 75 BF 48 8B 44 24 30 48 8B 00 4B 8D 1C 2C 48 8B 78 38 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4C 24 30 FF D7 48 8D 55 9F 4C 8B 6D 8F 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D A7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 DF 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 7D E7 48 83 7D FF 10 48 0F 43 7D E7 8A 07 FE C8 3C 7D 77 5A 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 8A D8 80 3F 7F 74 3F 80 3F 00 7E 3A 48 0F BE 0F 49 8B C4 49 2B C6 48 3B C8 73 2B 4C 2B E1 44 8A CB 41 B8 01 00 00 00 49 8B D4 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4E C7 48 8B F8 80 38 7F 75 C1 48 8B 75 CF 49 8B 5D 28 48 85 DB 7E 0A 48 3B DE 76 05 48 2B DE EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 41 0F 10 07 0F 29 44 24 30 83 F8 40 0F 84 15 01 00 00 3D 00 01 00 00 0F 84 84 00 00 00 48 85 DB 74 2E 48 8B 7D 87 44 8A 64 24 20 48 85 FF 74 10 41 8A D4 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 E0 0F 28 44 24 30 F3 41 0F 7F 07 33 DB 0F 29 44 24 30 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 4D 8B E6 4D 85 F6 0F 84 F6 00 00 00 4C 8B 6D 87 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EC 01 75 DE E9 C2 00 00 00 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 4D 8B E6 4D 85 F6 74 2F 4C 8B 6D 87 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EC 01 75 DE 0F 28 44 24 30 4C 8B 6D 8F F3 41 0F 7F 07 0F 29 44 24 30 48 85 DB 74 2E 48 8B 7D 87 44 8A 64 24 20 48 85 FF 74 10 41 8A D4 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 E0 0F 28 44 24 30 33 DB EB 45 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 4D 8B E6 4D 85 F6 74 2F 4C 8B 6D 87 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EC 01 75 DE 0F 28 44 24 30 4C 8B 6D 8F F3 41 0F 7F 07 0F 29 44 24 30 4C 3B 75 CF 76 06 E8 ?? ?? ?? ?? CC 48 8D 7D BF 41 BC 10 00 00 00 4C 39 65 D7 48 0F 43 7D BF 49 03 FE 49 2B F6 74 2B 4C 8B 75 87 4D 85 F6 74 0F 8A 17 49 8B CE E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 48 83 EE 01 75 DE 0F 28 44 24 30 F3 41 0F 7F 07 49 83 65 28 00 41 0F 10 07 0F 29 44 24 30 48 85 DB 74 2A 48 8B 7D 87 48 85 FF 74 11 8A 54 24 20 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 DF 0F 28 44 24 30 48 8B 5D 97 F3 0F 7F 03 45 33 C0 B2 01 48 8D 4D DF E8 ?? ?? ?? ?? 4D 8B C4 BA 01 00 00 00 48 8B 4D DF E8 ?? ?? ?? ?? 48 83 65 DF 00 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 4D 8B C4 BA 01 00 00 00 48 8B 4D B7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_223_1 {
	meta:
		name = "?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z"
		size = 250
		refs = "002c ??0_Lockit@std@@QEAA@H@Z 0053 _realloc_base 005d ?_Xbad_alloc@std@@YAXXZ 008a _guard_check_icall 00e2 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 41 56 41 57 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F0 4C 8B FA 48 8B F9 33 D2 48 8D 48 08 E8 ?? ?? ?? ?? 90 48 39 77 18 77 48 48 8D 5E 01 B8 28 00 00 00 48 3B D8 48 0F 42 D8 48 8B D3 48 C1 E2 03 48 8B 4F 10 E8 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 89 47 10 EB 11 48 8B 4F 18 48 8B 47 10 48 83 24 C8 00 48 FF 47 18 48 39 5F 18 72 E9 49 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 48 8B 47 10 4C 8B 34 F0 4D 85 F6 74 34 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 18 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CE FF D3 48 8B 47 10 4C 89 3C F0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_24_225_1 {
	meta:
		name = "?_Locimp_ctor@_Locimp@locale@std@@CAXPEAV123@AEBV123@@Z"
		size = 238
		refs = "0028 ?_Clocptr@_Locimp@locale@std@@0PEAV123@EA 0031 ??_C@_01GFHCPBMG@C?$AA@ 003b ??0_Locinfo@std@@QEAA@PEBD@Z 0050 ?_Makeloc@_Locimp@locale@std@@CAPEAV123@AEBV_Locinfo@3@HPEAV123@PEBV23@@Z 005b ??1_Locinfo@std@@QEAA@XZ 006c ??0_Lockit@std@@QEAA@H@Z 007f _malloc_base 008d ?_Xbad_alloc@std@@YAXXZ 00bb _guard_check_icall 00d2 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 56 57 41 56 48 81 EC A0 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 68 18 48 8B EA 48 8B F1 48 3B 15 ?? ?? ?? ?? 75 33 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 90 45 33 C9 4C 8B C6 41 8D 51 3F 48 8D 4C 24 30 E8 ?? ?? ?? ?? 90 48 8D 4C 24 30 E8 ?? ?? ?? ?? EB 75 33 D2 48 8D 8C 24 C8 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 4E 18 48 85 C9 74 4F 48 C1 E1 03 E8 ?? ?? ?? ?? 48 89 46 10 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 48 8B 7E 18 EB 2C 48 FF CF 48 8B 45 10 4C 8B 34 F8 48 8B 46 10 4C 89 34 F8 4D 85 F6 74 14 49 8B 06 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 48 85 FF 75 CF 48 8D 8C 24 C8 00 00 00 E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 20 49 8B 6B 30 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_24_228_1 {
	meta:
		name = "?_Locinfo_Addcats@_Locinfo@std@@SAAEAV12@PEAV12@HPEBD@Z"
		size = 202
		refs = "0054 setlocale 0074 ??_C@_01NBENCBCI@?$CK?$AA@ 00a1 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 00c0 ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@ 00c5 ?_Xruntime_error@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B D8 8B F2 48 8B E9 4D 85 C0 0F 84 98 00 00 00 41 80 38 2A 75 07 41 80 78 01 00 74 3F 85 F6 75 04 33 D2 EB 28 83 FE 3F 74 20 33 FF 8B CF B8 01 00 00 00 D3 E0 D1 F8 85 C6 74 08 48 8B D3 E8 ?? ?? ?? ?? FF C7 83 FF 05 7E E2 48 8B D3 33 C9 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 22 48 8B 4D 58 48 85 C9 75 04 48 8D 4D 60 8A 01 3A 05 ?? ?? ?? ?? 75 0B 8A 41 01 3A 05 ?? ?? ?? ?? 74 09 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C5 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_229_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@HPEBD@Z"
		size = 86
		refs = "001c setlocale 0026 ??_C@_00CNPNBAHC@?$AA@ 0036 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0052 ?_Locinfo_Addcats@_Locinfo@std@@SAAEAV12@PEAV12@HPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B F1 33 D2 33 C9 49 8B D8 E8 ?? ?? ?? ?? 48 85 C0 48 8D 0D ?? ?? ?? ?? 48 0F 44 C1 48 8D 4E 48 48 8B D0 E8 ?? ?? ?? ?? 4C 8B C3 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_230_1 {
	meta:
		name = "?_Makeloc@_Locimp@locale@std@@CAPEAV123@AEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 1330
		refs = "004f ??2@YAPEAX_K@Z 0066 ??_7?$ctype@D@std@@6B@ 0072 _Getctype 008d ?id@?$ctype@D@std@@2V0locale@2@A 009d ??0_Lockit@std@@QEAA@H@Z 00ac ?_Id_cnt@id@locale@std@@0HA 00c6 ??1_Lockit@std@@QEAA@XZ 0121 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 012f ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0163 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0171 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 01de ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 01ec ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0284 ??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 02e1 ??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0323 ??_7?$numpunct@D@std@@6B@ 0334 ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0341 ?id@?$numpunct@D@std@@2V0locale@2@A 03dd ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0415 ??_7?$codecvt@DDU_Mbstatet@@@std@@6B@ 0424 ?id@?$codecvt@DDU_Mbstatet@@@std@@2V0locale@2@A 04b8 ??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z 04d7 ?_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 04e8 ?_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 04f9 ?_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 0513 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 C7 45 D0 FE FF FF FF 48 89 58 18 49 8B F1 49 8B F8 44 8B E2 4C 8B E9 45 33 F6 44 89 75 48 44 8B FA 41 83 E7 02 0F 84 F2 00 00 00 4D 85 C9 0F 85 8C 00 00 00 41 8D 49 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 40 48 85 C0 74 28 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D D8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 43 10 0F 10 48 10 0F 11 4B 20 EB 03 49 8B DE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 8B F4 41 83 E6 08 0F 84 B3 01 00 00 48 85 F6 0F 85 F0 00 00 00 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 40 48 85 C0 74 0F 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 40 48 85 C0 74 10 83 60 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 E9 B2 00 00 00 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 F6 0F 84 ED 00 00 00 45 33 F6 48 85 F6 0F 85 8A 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 40 48 85 C0 74 1F 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 45 33 C0 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 49 8B DE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 5A 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 EB 9F 45 33 F6 45 85 FF 0F 84 D5 00 00 00 48 85 F6 75 73 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 40 48 85 C0 74 10 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D4 49 8B CD E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D4 49 8B CD E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D4 49 8B CD E8 ?? ?? ?? ?? 44 09 67 20 49 8B 55 58 48 85 D2 75 04 49 8D 55 60 48 8D 4F 28 E8 ?? ?? ?? ?? 48 8B C7 48 8B 9C 24 A0 00 00 00 48 83 C4 50 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_24_231_1 {
	meta:
		name = "?dtor$3@?0??_Makeloc@_Locimp@locale@std@@CAPEAV123@AEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 30 00 00 00 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_24_243_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ"
		size = 114
		refs = "0044 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 31 48 8B F9 48 85 F6 74 3D 48 8B 46 38 48 8B 10 48 85 D2 74 08 48 8B 46 50 8B 08 EB 02 33 C9 85 C9 7E 05 0F B6 02 EB 14 48 8B 06 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 8A 47 09 48 8B 5C 24 30 48 8B 74 24 38 C6 47 08 01 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_246_1 {
	meta:
		name = "?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z"
		size = 104
		refs = "0033 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 5C 24 50 49 8B F1 49 8B F8 48 8B EA 48 85 DB 74 21 48 8B 4F 08 48 85 C9 74 0C 8A 16 E8 ?? ?? ?? ?? 83 F8 FF 75 03 C6 07 01 48 FF C6 48 83 EB 01 75 DF 0F 10 07 48 8B 5C 24 30 48 8B C5 48 8B 74 24 40 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_247_1 {
	meta:
		name = "?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z"
		size = 101
		refs = "0034 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7C 24 50 41 8A E9 49 8B D8 48 8B F2 48 85 FF 74 1F 48 8B 4B 08 48 85 C9 74 0D 40 8A D5 E8 ?? ?? ?? ?? 83 F8 FF 75 03 C6 03 01 48 83 EF 01 75 E1 0F 10 03 48 8B 5C 24 30 48 8B C6 48 8B 6C 24 38 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_248_1 {
	meta:
		name = "?_Stodx_v2@std@@YANPEBDPEAPEADHPEAH@Z"
		size = 138
		refs = "0029 _errno 003c strtod 0054 __real@4024000000000000 0061 pow"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 56 41 57 48 83 EC 30 0F 29 70 D8 4D 8B F9 41 8B E8 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B F0 8B 30 83 20 00 E8 ?? ?? ?? ?? 41 8B 0E 0F 28 F0 41 89 0F 41 89 36 85 ED 74 19 F2 0F 10 05 ?? ?? ?? ?? 66 0F 6E CD F3 0F E6 C9 E8 ?? ?? ?? ?? F2 0F 59 F0 48 8B 5C 24 50 0F 28 C6 0F 28 74 24 20 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_24_249_1 {
	meta:
		name = "?_Stofx_v2@std@@YAMPEBDPEAPEADHPEAH@Z"
		size = 137
		refs = "0029 _errno 003c strtof 0054 __real@41200000 0060 powf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 56 41 57 48 83 EC 30 0F 29 70 D8 4D 8B F9 41 8B E8 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B F0 8B 30 83 20 00 E8 ?? ?? ?? ?? 41 8B 0E 0F 28 F0 41 89 0F 41 89 36 85 ED 74 18 F3 0F 10 05 ?? ?? ?? ?? 66 0F 6E CD 0F 5B C9 E8 ?? ?? ?? ?? F3 0F 59 F0 48 8B 5C 24 50 0F 28 C6 0F 28 74 24 20 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_24_254_1 {
	meta:
		name = "?_Tidy@?$numpunct@D@std@@AEAAXXZ"
		size = 41
		refs = "000e free"
		altNames = "?_Tidy@?$numpunct@G@std@@AEAAXXZ ?_Tidy@?$numpunct@_W@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_265_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 68
		refs = "0025 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0031 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
		altNames = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 48 8B D9 48 3B CA 74 17 45 33 C0 B2 01 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_400_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 68
		refs = "0025 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0031 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 48 8B D9 48 3B CA 74 17 45 33 C0 B2 01 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_402_1 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 68
		refs = "0025 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0031 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 48 8B D9 48 3B CA 74 17 45 33 C0 B2 01 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_912_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 68
		refs = "0025 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0031 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 48 8B D9 48 3B CA 74 17 45 33 C0 B2 01 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_918_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 68
		refs = "0025 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0031 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 48 8B D9 48 3B CA 74 17 45 33 C0 B2 01 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_24_286_1 {
	meta:
		name = "?do_falsename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		altNames = "?do_curr_symbol@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_963_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_964_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_974_1 {
	meta:
		name = "?do_falsename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_975_1 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_24_287_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 368
		refs = "0024 __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0093 _guard_check_icall 00dc _Stoulx 00ef ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0158 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 98 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B F8 4C 8B E2 48 8B F9 48 8B 5D 6F 48 8B 75 77 48 8B 45 7F 48 89 45 AF 83 65 9F 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CE 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 44 8B E8 48 8B 7D C7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D 9F 45 8B C5 48 8D 55 A7 48 8B CF E8 ?? ?? ?? ?? 8B D8 45 33 ED 45 38 6F 08 75 08 49 8B CF E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4D 39 2F 75 07 4D 39 2E 74 07 EB 08 4D 39 2E 74 03 83 0E 01 48 39 7D A7 74 25 44 39 6D 9F 75 1F 81 FB FF FF 00 00 77 17 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 48 8B 45 AF 66 89 18 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 04 24 49 8B C4 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_988_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 368
		refs = "0024 __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0093 _guard_check_icall 00dc _Stoulx 00ef ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0158 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 98 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B F8 4C 8B E2 48 8B F9 48 8B 5D 6F 48 8B 75 77 48 8B 45 7F 48 89 45 AF 83 65 9F 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CE 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 44 8B E8 48 8B 7D C7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D 9F 45 8B C5 48 8D 55 A7 48 8B CF E8 ?? ?? ?? ?? 8B D8 45 33 ED 45 38 6F 08 75 08 49 8B CF E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4D 39 2F 75 07 4D 39 2E 74 07 EB 08 4D 39 2E 74 03 83 0E 01 48 39 7D A7 74 25 44 39 6D 9F 75 1F 81 FB FF FF 00 00 77 17 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 48 8B 45 AF 66 89 18 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 04 24 49 8B C4 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1011_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 368
		refs = "0024 __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0093 _guard_check_icall 00dc _Stoulx 00ef ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0158 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 98 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B F8 4C 8B E2 48 8B F9 48 8B 5D 6F 48 8B 75 77 48 8B 45 7F 48 89 45 AF 83 65 9F 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CE 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 44 8B E8 48 8B 7D C7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D 9F 45 8B C5 48 8D 55 A7 48 8B CF E8 ?? ?? ?? ?? 8B D8 45 33 ED 45 38 6F 08 75 08 49 8B CF E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4D 39 2F 75 07 4D 39 2E 74 07 EB 08 4D 39 2E 74 03 83 0E 01 48 39 7D A7 74 25 44 39 6D 9F 75 1F 81 FB FF FF 00 00 77 17 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 48 8B 45 AF 66 89 18 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 04 24 49 8B C4 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_289_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 356
		refs = "0024 __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0093 _guard_check_icall 00dc _Stoulx 00ef ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 014c __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 98 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B F8 4C 8B E2 48 8B F9 48 8B 5D 6F 48 8B 75 77 48 8B 45 7F 48 89 45 AF 83 65 9F 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CE 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 44 8B E8 48 8B 7D C7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D 9F 45 8B C5 48 8D 55 A7 48 8B CF E8 ?? ?? ?? ?? 8B D8 45 33 ED 45 38 6F 08 75 08 49 8B CF E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4D 39 2F 75 07 4D 39 2E 74 07 EB 08 4D 39 2E 74 03 83 0E 01 48 39 7D A7 74 19 44 39 6D 9F 75 13 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 48 8B 45 AF 89 18 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 04 24 49 8B C4 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_990_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 356
		refs = "0024 __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0093 _guard_check_icall 00dc _Stoulx 00ef ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 014c __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 98 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B F8 4C 8B E2 48 8B F9 48 8B 5D 6F 48 8B 75 77 48 8B 45 7F 48 89 45 AF 83 65 9F 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CE 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 44 8B E8 48 8B 7D C7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D 9F 45 8B C5 48 8D 55 A7 48 8B CF E8 ?? ?? ?? ?? 8B D8 45 33 ED 45 38 6F 08 75 08 49 8B CF E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4D 39 2F 75 07 4D 39 2E 74 07 EB 08 4D 39 2E 74 03 83 0E 01 48 39 7D A7 74 19 44 39 6D 9F 75 13 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 48 8B 45 AF 89 18 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 04 24 49 8B C4 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1013_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 356
		refs = "0024 __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0093 _guard_check_icall 00dc _Stoulx 00ef ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 014c __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 98 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B F8 4C 8B E2 48 8B F9 48 8B 5D 6F 48 8B 75 77 48 8B 45 7F 48 89 45 AF 83 65 9F 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CE 4D 8B C7 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 44 8B E8 48 8B 7D C7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D 9F 45 8B C5 48 8D 55 A7 48 8B CF E8 ?? ?? ?? ?? 8B D8 45 33 ED 45 38 6F 08 75 08 49 8B CF E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4D 39 2F 75 07 4D 39 2E 74 07 EB 08 4D 39 2E 74 03 83 0E 01 48 39 7D A7 74 19 44 39 6D 9F 75 13 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 48 8B 45 AF 89 18 EB 03 83 0E 02 41 0F 10 07 F3 41 0F 7F 04 24 49 8B C4 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_291_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0097 _Stolx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 44 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 45 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_24_293_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0097 _Stoulx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 44 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 45 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_992_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0097 _Stolx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 44 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 45 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_994_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0097 _Stoulx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 44 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 45 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_1015_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0097 _Stolx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 44 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 45 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_1017_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0097 _Stoulx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 44 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 45 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_24_295_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 308
		refs = "0020 __security_cookie 006e ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 0085 ?_Stofx_v2@std@@YAMPEBDPEAPEADHPEAH@Z 00a7 ldexp 00bc ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0118 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 88 03 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 48 8B 85 E0 02 00 00 4C 8B F2 48 8B 9D E8 02 00 00 48 8D 54 24 30 4C 8B BD F0 02 00 00 49 8B F9 83 64 24 34 00 49 8B F0 48 89 54 24 28 48 8D 54 24 40 C7 44 24 30 00 CA 9A 3B 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 34 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 54 24 30 0F 28 F0 81 FA 00 CA 9A 3B 74 1A 85 D2 74 16 0F 57 C0 C1 E2 02 F3 0F 5A C6 E8 ?? ?? ?? ?? 0F 57 F6 F2 0F 5A F0 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 83 3E 00 75 08 48 83 3F 00 74 08 EB 09 48 83 3F 00 74 03 83 0B 01 48 8D 44 24 40 48 39 44 24 38 74 0E 83 7C 24 34 00 75 07 F3 41 0F 11 37 EB 03 83 0B 02 0F 10 06 49 8B C6 F3 41 0F 7F 06 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 70 03 00 00 48 81 C4 88 03 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_996_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 308
		refs = "0020 __security_cookie 006e ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 0085 ?_Stofx_v2@std@@YAMPEBDPEAPEADHPEAH@Z 00a7 ldexp 00bc ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0118 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 88 03 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 48 8B 85 E0 02 00 00 4C 8B F2 48 8B 9D E8 02 00 00 48 8D 54 24 30 4C 8B BD F0 02 00 00 49 8B F9 83 64 24 34 00 49 8B F0 48 89 54 24 28 48 8D 54 24 40 C7 44 24 30 00 CA 9A 3B 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 34 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 54 24 30 0F 28 F0 81 FA 00 CA 9A 3B 74 1A 85 D2 74 16 0F 57 C0 C1 E2 02 F3 0F 5A C6 E8 ?? ?? ?? ?? 0F 57 F6 F2 0F 5A F0 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 83 3E 00 75 08 48 83 3F 00 74 08 EB 09 48 83 3F 00 74 03 83 0B 01 48 8D 44 24 40 48 39 44 24 38 74 0E 83 7C 24 34 00 75 07 F3 41 0F 11 37 EB 03 83 0B 02 0F 10 06 49 8B C6 F3 41 0F 7F 06 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 70 03 00 00 48 81 C4 88 03 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1019_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 308
		refs = "0020 __security_cookie 006e ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 0085 ?_Stofx_v2@std@@YAMPEBDPEAPEADHPEAH@Z 00a7 ldexp 00bc ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0118 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 88 03 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 48 8B 85 E0 02 00 00 4C 8B F2 48 8B 9D E8 02 00 00 48 8D 54 24 30 4C 8B BD F0 02 00 00 49 8B F9 83 64 24 34 00 49 8B F0 48 89 54 24 28 48 8D 54 24 40 C7 44 24 30 00 CA 9A 3B 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 34 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 54 24 30 0F 28 F0 81 FA 00 CA 9A 3B 74 1A 85 D2 74 16 0F 57 C0 C1 E2 02 F3 0F 5A C6 E8 ?? ?? ?? ?? 0F 57 F6 F2 0F 5A F0 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 83 3E 00 75 08 48 83 3F 00 74 08 EB 09 48 83 3F 00 74 03 83 0B 01 48 8D 44 24 40 48 39 44 24 38 74 0E 83 7C 24 34 00 75 07 F3 41 0F 11 37 EB 03 83 0B 02 0F 10 06 49 8B C6 F3 41 0F 7F 06 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 70 03 00 00 48 81 C4 88 03 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_296_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 297
		refs = "0020 __security_cookie 006e ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 0085 ?_Stodx_v2@std@@YANPEBDPEAPEADHPEAH@Z 00a0 ldexp 00b1 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 010d __security_check_cookie"
		altNames = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 88 03 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 48 8B 85 E0 02 00 00 4C 8B F2 48 8B 9D E8 02 00 00 48 8D 54 24 30 4C 8B BD F0 02 00 00 49 8B F9 83 64 24 34 00 49 8B F0 48 89 54 24 28 48 8D 54 24 40 C7 44 24 30 00 CA 9A 3B 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 34 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 54 24 30 0F 28 F0 81 FA 00 CA 9A 3B 74 0F 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 83 3E 00 75 08 48 83 3F 00 74 08 EB 09 48 83 3F 00 74 03 83 0B 01 48 8D 44 24 40 48 39 44 24 38 74 0E 83 7C 24 34 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 49 8B C6 F3 41 0F 7F 06 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 70 03 00 00 48 81 C4 88 03 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_997_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 297
		refs = "0020 __security_cookie 006e ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 0085 ?_Stodx_v2@std@@YANPEBDPEAPEADHPEAH@Z 00a0 ldexp 00b1 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 010d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 88 03 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 48 8B 85 E0 02 00 00 4C 8B F2 48 8B 9D E8 02 00 00 48 8D 54 24 30 4C 8B BD F0 02 00 00 49 8B F9 83 64 24 34 00 49 8B F0 48 89 54 24 28 48 8D 54 24 40 C7 44 24 30 00 CA 9A 3B 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 34 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 54 24 30 0F 28 F0 81 FA 00 CA 9A 3B 74 0F 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 83 3E 00 75 08 48 83 3F 00 74 08 EB 09 48 83 3F 00 74 03 83 0B 01 48 8D 44 24 40 48 39 44 24 38 74 0E 83 7C 24 34 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 49 8B C6 F3 41 0F 7F 06 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 70 03 00 00 48 81 C4 88 03 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_998_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
		size = 297
		refs = "0020 __security_cookie 006e ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 0085 ?_Stodx_v2@std@@YANPEBDPEAPEADHPEAH@Z 00a0 ldexp 00b1 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 010d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 88 03 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 48 8B 85 E0 02 00 00 4C 8B F2 48 8B 9D E8 02 00 00 48 8D 54 24 30 4C 8B BD F0 02 00 00 49 8B F9 83 64 24 34 00 49 8B F0 48 89 54 24 28 48 8D 54 24 40 C7 44 24 30 00 CA 9A 3B 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 34 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 54 24 30 0F 28 F0 81 FA 00 CA 9A 3B 74 0F 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 83 3E 00 75 08 48 83 3F 00 74 08 EB 09 48 83 3F 00 74 03 83 0B 01 48 8D 44 24 40 48 39 44 24 38 74 0E 83 7C 24 34 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 49 8B C6 F3 41 0F 7F 06 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 70 03 00 00 48 81 C4 88 03 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1020_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 297
		refs = "0020 __security_cookie 006e ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 0085 ?_Stodx_v2@std@@YANPEBDPEAPEADHPEAH@Z 00a0 ldexp 00b1 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 010d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 88 03 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 48 8B 85 E0 02 00 00 4C 8B F2 48 8B 9D E8 02 00 00 48 8D 54 24 30 4C 8B BD F0 02 00 00 49 8B F9 83 64 24 34 00 49 8B F0 48 89 54 24 28 48 8D 54 24 40 C7 44 24 30 00 CA 9A 3B 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 34 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 54 24 30 0F 28 F0 81 FA 00 CA 9A 3B 74 0F 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 83 3E 00 75 08 48 83 3F 00 74 08 EB 09 48 83 3F 00 74 03 83 0B 01 48 8D 44 24 40 48 39 44 24 38 74 0E 83 7C 24 34 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 49 8B C6 F3 41 0F 7F 06 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 70 03 00 00 48 81 C4 88 03 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1021_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
		size = 297
		refs = "0020 __security_cookie 006e ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 0085 ?_Stodx_v2@std@@YANPEBDPEAPEADHPEAH@Z 00a0 ldexp 00b1 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 010d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 88 03 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 48 8B 85 E0 02 00 00 4C 8B F2 48 8B 9D E8 02 00 00 48 8D 54 24 30 4C 8B BD F0 02 00 00 49 8B F9 83 64 24 34 00 49 8B F0 48 89 54 24 28 48 8D 54 24 40 C7 44 24 30 00 CA 9A 3B 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 34 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 54 24 30 0F 28 F0 81 FA 00 CA 9A 3B 74 0F 85 D2 74 0B C1 E2 02 E8 ?? ?? ?? ?? 0F 28 F0 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 83 3E 00 75 08 48 83 3F 00 74 08 EB 09 48 83 3F 00 74 03 83 0B 01 48 8D 44 24 40 48 39 44 24 38 74 0E 83 7C 24 34 00 75 07 F2 41 0F 11 37 EB 03 83 0B 02 0F 10 06 49 8B C6 F3 41 0F 7F 06 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 70 03 00 00 48 81 C4 88 03 00 00 41 5F 41 5E 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_298_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 345
		refs = "0020 __security_cookie 005b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007c ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0098 _guard_check_icall 00d5 _Stoullx 00e9 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B F1 49 8B E8 4C 8B FA 48 8B D9 48 8B 8C 24 F0 00 00 00 48 8B BC 24 F8 00 00 00 4C 8B AC 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4C 8B CE 4C 8B C5 48 8D 54 24 58 48 8B CB E8 ?? ?? ?? ?? 44 8B E0 4C 8B 74 24 50 4D 85 F6 74 35 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CE FF D3 90 4C 8D 4C 24 30 45 8B C4 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B D8 45 33 F6 44 38 75 08 75 08 48 8B CD E8 ?? ?? ?? ?? 44 38 76 08 75 08 48 8B CE E8 ?? ?? ?? ?? 4C 39 75 00 75 07 4C 39 36 74 07 EB 08 4C 39 36 74 03 83 0F 01 48 8D 44 24 58 48 39 44 24 38 74 0D 44 39 74 24 30 75 06 49 89 5D 00 EB 03 83 0F 02 0F 10 45 00 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_999_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 345
		refs = "0020 __security_cookie 005b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007c ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0098 _guard_check_icall 00d5 _Stoullx 00e9 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B F1 49 8B E8 4C 8B FA 48 8B D9 48 8B 8C 24 F0 00 00 00 48 8B BC 24 F8 00 00 00 4C 8B AC 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4C 8B CE 4C 8B C5 48 8D 54 24 58 48 8B CB E8 ?? ?? ?? ?? 44 8B E0 4C 8B 74 24 50 4D 85 F6 74 35 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CE FF D3 90 4C 8D 4C 24 30 45 8B C4 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B D8 45 33 F6 44 38 75 08 75 08 48 8B CD E8 ?? ?? ?? ?? 44 38 76 08 75 08 48 8B CE E8 ?? ?? ?? ?? 4C 39 75 00 75 07 4C 39 36 74 07 EB 08 4C 39 36 74 03 83 0F 01 48 8D 44 24 58 48 39 44 24 38 74 0D 44 39 74 24 30 75 06 49 89 5D 00 EB 03 83 0F 02 0F 10 45 00 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_1022_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 345
		refs = "0020 __security_cookie 005b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007c ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0098 _guard_check_icall 00d5 _Stoullx 00e9 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B F1 49 8B E8 4C 8B FA 48 8B D9 48 8B 8C 24 F0 00 00 00 48 8B BC 24 F8 00 00 00 4C 8B AC 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4C 8B CE 4C 8B C5 48 8D 54 24 58 48 8B CB E8 ?? ?? ?? ?? 44 8B E0 4C 8B 74 24 50 4D 85 F6 74 35 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CE FF D3 90 4C 8D 4C 24 30 45 8B C4 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B D8 45 33 F6 44 38 75 08 75 08 48 8B CD E8 ?? ?? ?? ?? 44 38 76 08 75 08 48 8B CE E8 ?? ?? ?? ?? 4C 39 75 00 75 07 4C 39 36 74 07 EB 08 4C 39 36 74 03 83 0F 01 48 8D 44 24 58 48 39 44 24 38 74 0D 44 39 74 24 30 75 06 49 89 5D 00 EB 03 83 0F 02 0F 10 45 00 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_24_300_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0097 _Stollx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 4D 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_24_302_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0097 _Stoullx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 4D 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_1001_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0097 _Stollx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 4D 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_1003_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0097 _Stoullx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 4D 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_1024_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0097 _Stollx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 4D 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_1026_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 345
		refs = "0020 __security_cookie 005e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0080 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0097 _Stoullx 00b3 _guard_check_icall 00e9 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0141 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 88 00 00 00 48 C7 44 24 40 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 49 8B E9 4D 8B F0 4C 8B FA 48 8B F9 48 8B 9C 24 F0 00 00 00 48 8B B4 24 F8 00 00 00 4C 8B A4 24 00 01 00 00 83 64 24 30 00 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4C 8B CD 4D 8B C6 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 58 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 50 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 33 FF 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 49 39 3E 75 08 48 39 7D 00 74 08 EB 09 48 39 7D 00 74 03 83 0E 01 48 8D 44 24 58 48 39 44 24 38 74 0C 39 7C 24 30 75 06 4D 89 2C 24 EB 03 83 0E 02 41 0F 10 06 F3 41 0F 7F 07 49 8B C7 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_24_304_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 722
		refs = "0023 __security_cookie 0067 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0070 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0092 _guard_check_icall 00cb ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 00da ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ed ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00fd ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 010f ?_Deallocate@std@@YAXPEAX_K1@Z 011e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 012c ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 017f ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 01d4 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 01ea _Stoulx 0263 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 02bb __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC 00 01 00 00 48 C7 45 87 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4D 8B F8 48 89 54 24 60 4C 8B F1 48 8B 5D 6F 4C 8B 6D 77 48 8B 45 7F 48 89 44 24 58 48 83 CE FF 48 8B CB F7 43 18 00 40 00 00 0F 84 47 01 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 30 44 8D 76 02 48 8B 44 24 48 48 85 C0 74 39 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 48 FF D3 48 89 44 24 38 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 38 FF D3 90 45 33 C0 49 8B D6 48 8D 4D 8F E8 ?? ?? ?? ?? 90 48 8D 55 B7 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D B7 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 49 8B D6 48 8B 4D B7 E8 ?? ?? ?? ?? 45 33 C0 49 8B D6 48 8D 4D 8F E8 ?? ?? ?? ?? 48 8D 55 B7 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D B7 E8 ?? ?? ?? ?? BB 10 00 00 00 44 8B C3 49 8B D6 48 8B 4D B7 E8 ?? ?? ?? ?? 4C 8D 4D 97 48 39 5D AF 4C 0F 43 4D 97 44 8D 43 F2 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 8B F0 45 33 C0 41 8A D6 48 8D 4D 8F E8 ?? ?? ?? ?? 44 8B C3 49 8B D6 48 8B 4D 8F E8 ?? ?? ?? ?? E9 B0 00 00 00 83 64 24 38 00 48 8D 54 24 68 E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 DF 49 8B CE E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D DF E8 ?? ?? ?? ?? 8B C8 89 44 24 30 41 BE 01 00 00 00 48 8B 44 24 70 48 85 C0 74 3C 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 70 FF D3 48 89 44 24 50 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 50 FF D3 8B 4C 24 30 48 8D 45 DF 48 39 44 24 40 74 0D 83 7C 24 38 00 75 06 41 3B CE 0F 46 F1 41 80 7F 08 00 75 08 49 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 49 83 3F 00 75 09 49 83 3C 24 00 74 09 EB 0B 49 83 3C 24 00 74 04 45 09 75 00 85 F6 79 07 41 83 4D 00 02 EB 0A 0F 95 C1 48 8B 44 24 58 88 08 41 0F 10 07 48 8B 44 24 60 F3 0F 7F 00 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_310_1 {
	meta:
		name = "?do_grouping@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		altNames = "?do_grouping@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 10 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_24_317_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DJ@Z"
		size = 173
		refs = "000e __security_cookie 0027 ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 8A 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_24_318_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DK@Z"
		size = 173
		refs = "000e __security_cookie 0027 ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 8A 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_24_319_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DN@Z"
		size = 434
		refs = "0029 __security_cookie 0045 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 007c __xmm@7fffffffffffffff7fffffffffffffff 0084 __real@4202a05f20000000 0092 frexp 00e9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010e ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z 0125 sprintf_s 0162 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K@Z 0171 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0183 ?_Deallocate@std@@YAXPEAX_K1@Z 0192 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B8 00 00 00 48 C7 45 9F FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E7 4D 8B F1 4D 8B E8 4C 8B E2 4C 8B F9 48 8D 4D B7 E8 ?? ?? ?? ?? 90 41 8B 46 18 25 00 30 00 00 49 8B 76 20 B9 00 20 00 00 48 85 F6 7F 09 3B C1 74 05 BE 06 00 00 00 48 8B D6 F2 0F 10 75 7F 3B C1 75 45 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 31 48 8D 55 97 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 97 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 48 83 C2 32 48 3B 55 CF 77 18 48 89 55 CF 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF C6 04 10 00 EB 10 48 2B 55 CF 45 33 C0 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B 5D CF 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 45 8B 4E 18 45 33 C0 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 A7 48 8D 55 BF 48 83 7D D7 10 48 0F 43 55 BF 48 98 48 89 44 24 30 48 89 54 24 28 8A 45 77 88 44 24 20 4D 8B CE 4C 8D 45 A7 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D E7 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 A0 00 00 00 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_321_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DO@Z"
		size = 434
		refs = "0029 __security_cookie 0045 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 007c __xmm@7fffffffffffffff7fffffffffffffff 0084 __real@4202a05f20000000 0092 frexp 00e9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010e ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z 0125 sprintf_s 0162 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K@Z 0171 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0183 ?_Deallocate@std@@YAXPEAX_K1@Z 0192 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B8 00 00 00 48 C7 45 9F FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E7 4D 8B F1 4D 8B E8 4C 8B E2 4C 8B F9 48 8D 4D B7 E8 ?? ?? ?? ?? 90 41 8B 46 18 25 00 30 00 00 49 8B 76 20 B9 00 20 00 00 48 85 F6 7F 09 3B C1 74 05 BE 06 00 00 00 48 8B D6 F2 0F 10 75 7F 3B C1 75 45 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 31 48 8D 55 97 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 97 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 48 83 C2 32 48 3B 55 CF 77 18 48 89 55 CF 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF C6 04 10 00 EB 10 48 2B 55 CF 45 33 C0 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B 5D CF 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 45 8B 4E 18 41 B0 4C 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 A7 48 8D 55 BF 48 83 7D D7 10 48 0F 43 55 BF 48 98 48 89 44 24 30 48 89 54 24 28 8A 45 77 88 44 24 20 4D 8B CE 4C 8D 45 A7 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D E7 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 A0 00 00 00 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_323_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBX@Z"
		size = 156
		refs = "000e __security_cookie 0027 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007a ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 008d __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 4C 8B 8C 24 E8 00 00 00 48 8B F2 48 8B D9 BA 40 00 00 00 48 8D 4C 24 50 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 48 63 C8 4C 8D 44 24 40 48 89 4C 24 30 48 8D 44 24 50 8A 8C 24 E0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B D6 88 4C 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_24_324_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_J@Z"
		size = 173
		refs = "000e __security_cookie 0027 ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 8A 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_24_325_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_K@Z"
		size = 173
		refs = "000e __security_cookie 0027 ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 8A 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_24_326_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z"
		size = 699
		refs = "0024 __security_cookie 006a _guard_check_icall 0093 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 009c ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00e6 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 00f9 ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0113 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 011f ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 0127 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0172 ?_Deallocate@std@@YAXPEAX_K1@Z 01c0 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 02a3 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC C8 00 00 00 48 C7 45 9F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E9 4D 8B E0 4C 8B F2 48 89 55 97 48 8B F1 44 8A 7D 77 44 88 7C 24 30 41 F7 41 18 00 40 00 00 75 39 41 0F 10 00 F3 0F 7F 45 87 48 8B 11 0F B6 5D 7F 48 8B 7A 48 48 8B CF E8 ?? ?? ?? ?? 89 5C 24 28 44 88 7C 24 20 4D 8B CD 4C 8D 45 87 49 8B D6 48 8B CE FF D7 E9 0D 02 00 00 48 8D 55 87 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 8F 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 4D A7 E8 ?? ?? ?? ?? 90 48 8D 55 CF 48 8B CE 80 7D 7F 00 74 2E E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 A7 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D A7 E8 ?? ?? ?? ?? 90 EB 2C E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 A7 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D A7 E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D CF E8 ?? ?? ?? ?? 41 BF 10 00 00 00 45 8B C7 41 8D 57 F1 48 8B 4D CF E8 ?? ?? ?? ?? 49 8B 5D 28 48 8B 7D BF 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 83 F8 40 74 46 41 0F 10 04 24 0F 29 45 87 48 85 DB 74 30 48 8B 7D 8F 40 8A 74 24 30 48 85 FF 74 10 40 8A D6 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 87 01 48 83 EB 01 75 E1 48 8B 7D BF 0F 28 45 87 F3 41 0F 7F 04 24 33 DB 41 0F 10 04 24 0F 29 45 87 48 8D 75 AF 4C 39 7D C7 48 0F 43 75 AF 48 85 FF 74 2D 4C 8B 75 8F 4D 85 F6 74 0F 8A 16 49 8B CE E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 87 01 48 FF C6 48 83 EF 01 75 DF 0F 28 45 87 4C 8B 75 97 F3 41 0F 7F 04 24 49 83 65 28 00 41 0F 10 04 24 0F 29 45 87 48 85 DB 74 30 48 8B 7D 8F 44 8A 74 24 30 48 85 FF 74 10 41 8A D6 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 87 01 48 83 EB 01 75 E1 0F 28 45 87 4C 8B 75 97 F3 41 0F 7F 06 45 33 C0 B2 01 48 8D 4D A7 E8 ?? ?? ?? ?? 4D 8B C7 BA 01 00 00 00 48 8B 4D A7 E8 ?? ?? ?? ?? 49 8B C6 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_24_334_1 {
	meta:
		name = "?do_truename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		altNames = "?do_positive_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_1085_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_1086_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_1147_1 {
	meta:
		name = "?do_truename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_1148_1 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 28 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_24_343_1 {
	meta:
		name = "?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 68
		refs = "0025 _guard_check_icall"
		altNames = "?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B 01 48 8B F9 83 64 24 20 00 48 8B F2 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8B CF FF D3 48 8B 5C 24 40 48 8B C6 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_24_347_1 {
	meta:
		name = "?global@locale@std@@SA?AV12@AEBV12@@Z"
		size = 272
		refs = "0027 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z 003f ??0_Lockit@std@@QEAA@H@Z 0045 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 0061 _guard_check_icall 0092 ?_Setgloballocale@locale@std@@CAXPEAX@Z 00c5 setlocale 00fb ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 E0 FE FF FF FF 48 89 58 18 48 8B F2 48 8B E9 83 60 D8 00 B1 01 E8 ?? ?? ?? ?? 48 89 45 08 C7 44 24 20 01 00 00 00 33 D2 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B F8 48 3B 46 08 0F 84 9F 00 00 00 48 8B 08 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 18 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 48 8B 7E 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 8B 77 20 83 E6 3F 83 FE 3F 75 16 48 8B 57 28 48 85 D2 75 04 48 8D 57 30 33 C9 E8 ?? ?? ?? ?? EB 2A 33 DB 8B CB B8 01 00 00 00 D3 E0 D1 F8 85 C6 74 12 48 8B 57 28 48 85 D2 75 04 48 8D 57 30 E8 ?? ?? ?? ?? FF C3 83 FB 05 7E D8 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B C5 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_24_348_1 {
	meta:
		name = "?dtor$0@?0??global@locale@std@@SA?AV12@AEBV12@@Z@4HA"
		size = 38
		refs = "001c ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_24_351_1 {
	meta:
		name = "?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 68
		refs = "0025 _guard_check_icall"
		altNames = "?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B 01 48 8B F9 83 64 24 20 00 48 8B F2 48 8B 58 28 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8B CF FF D3 48 8B 5C 24 40 48 8B C6 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_24_352_1 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z"
		size = 322
		refs = "0061 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00c4 memmove 00fe memset 0131 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 0137 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 49 8B E8 45 8A F9 4C 8B 41 18 4C 8B F2 48 8B D9 4C 3B C2 0F 82 FF 00 00 00 49 8B C0 48 F7 D0 48 3B C5 0F 86 F6 00 00 00 49 8D 34 28 48 85 ED 0F 84 C7 00 00 00 48 83 FE FE 0F 87 E5 00 00 00 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1D 48 85 F6 75 21 48 21 71 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 F6 0F 84 87 00 00 00 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 4C 8B 43 18 4D 2B C6 74 10 4A 8D 14 31 4A 8D 0C 30 48 03 CD E8 ?? ?? ?? ?? 48 83 FD 01 75 15 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 46 88 3C 30 EB 1F 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 41 0F BE D7 4A 8D 0C 30 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_24_361_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 44
		refs = "0028 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 18 77 1A 48 89 51 18 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 11 00 C3 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_362_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_KD@Z"
		size = 41
		refs = "0025 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 18 77 1A 48 89 51 18 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 11 00 C3 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_363_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHXZ"
		size = 93
		refs = "0049 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 38 48 8B F9 48 83 38 00 74 08 48 8B 41 50 8B 08 EB 02 33 C9 85 C9 7E 19 48 8B 47 50 FF 08 48 8B 4F 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 EB 14 48 8B 07 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_364_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHXZ"
		size = 75
		refs = "0037 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 38 48 8B F9 48 8B 10 48 85 D2 74 08 48 8B 41 50 8B 08 EB 02 33 C9 85 C9 7E 05 0F B6 02 EB 14 48 8B 07 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_366_1 {
	meta:
		name = "?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
		size = 116
		refs = "0059 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 40 44 8A C2 48 8B F1 48 83 38 00 74 08 48 8B 41 58 8B 08 EB 02 33 C9 85 C9 7E 1D 48 8B 46 58 FF 08 48 8B 4E 40 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 1A 48 8B 06 41 0F B6 D8 48 8B 78 18 48 8B CF E8 ?? ?? ?? ?? 8B D3 48 8B CE FF D7 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_24_367_1 {
	meta:
		name = "?thousands_sep@?$numpunct@D@std@@QEBADXZ"
		size = 47
		refs = "0018 _guard_check_icall"
		altNames = "?thousands_sep@?$_Mpunct@D@std@@QEBADXZ ?thousands_sep@?$_Mpunct@G@std@@QEBAGXZ ?thousands_sep@?$_Mpunct@_W@std@@QEBA_WXZ ?thousands_sep@?$numpunct@G@std@@QEBAGXZ ?thousands_sep@?$numpunct@_W@std@@QEBA_WXZ _Cnd_destroy_in_situ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_24_370_1 {
	meta:
		name = "?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 68
		refs = "0025 _guard_check_icall"
		altNames = "?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B 01 48 8B F9 83 64 24 20 00 48 8B F2 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8B CF FF D3 48 8B 5C 24 40 48 8B C6 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_24_372_1 {
	meta:
		name = "?widen@?$ctype@D@std@@QEBAPEBDPEBD0PEAD@Z"
		size = 96
		refs = "0030 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 01 4C 8B F1 49 8B F9 49 8B F0 48 8B EA 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8B CF 4C 8B C6 48 8B D5 49 8B CE 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_24_379_1 {
	meta:
		name = "ldexpf"
		size = 22
		refs = "0009 ldexp"
	strings:
		$1 = { 48 83 EC 28 F3 0F 5A C0 E8 ?? ?? ?? ?? F2 0F 5A C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_25_0_1 {
	meta:
		name = "_LSinh"
		size = 410
		refs = "0028 _LDtest 0074 __xmm@80000000000000008000000000000000 008b _LRteps 0099 __real@3ff0000000000000 00aa p 00bb _LPoly 00d6 _LXbig 00ec _LExp 00f9 __real@3fd0000000000000 012c _Feraise 0151 __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F2 0F 11 40 08 55 48 8B EC 48 83 EC 40 0F 29 70 E8 48 8D 4D 10 0F 29 78 D8 0F 28 F9 E8 ?? ?? ?? ?? 0F BF C8 33 FF 85 C9 0F 84 3E 01 00 00 83 E9 01 0F 84 0B 01 00 00 83 F9 01 0F 84 FB 00 00 00 0F 57 C0 66 0F 2E F8 7A 12 75 10 66 0F 2F 45 10 0F 86 11 01 00 00 E9 FE 00 00 00 F2 0F 10 4D 10 66 0F 2F C1 76 13 0F 57 0D ?? ?? ?? ?? BB 01 00 00 00 F2 0F 11 4D 10 EB 03 0F B7 DF F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 77 70 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D1 76 2F F2 0F 59 C9 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 0F 28 C1 0F 28 F1 E8 ?? ?? ?? ?? F2 0F 59 75 10 0F 28 C8 F2 0F 59 CE F2 0F 58 4D 10 EB 33 F2 0F 10 05 ?? ?? ?? ?? 48 8D 4D 10 41 83 C8 FF 66 0F 2F C1 76 23 0F 28 CA E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C1 F2 0F 5C C8 F2 0F 59 CF EB 2A 0F 28 CF E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4D 10 66 85 DB 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 3A F2 0F 10 45 10 EB 33 66 0F 2E 3D ?? ?? ?? ?? 7A 16 75 14 B8 00 80 00 00 66 85 45 16 74 0E 0F 57 3D ?? ?? ?? ?? EB 05 F2 0F 10 7D 10 0F 28 C7 EB 09 F2 0F 10 45 10 F2 0F 59 C7 48 8B 5C 24 58 48 8B 7C 24 60 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_26_0_1 {
	meta:
		name = "?_Rng_abort@std@@YAXPEBD@Z"
		size = 59
		refs = "000f __acrt_iob_func 001a fputs 0031 fputc 0036 abort"
		altNames = "_Thrd_abort"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 B9 0A 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_28_0_1 {
	meta:
		name = "_Dtest"
		size = 97
	strings:
		$1 = { 0F B7 51 06 B8 F0 7F 00 00 66 23 D0 66 3B D0 75 24 F6 41 06 0F 75 18 33 C0 66 39 41 04 75 10 66 39 41 02 75 0A 66 39 01 B8 01 00 00 00 74 31 B8 02 00 00 00 C3 0F B7 41 06 A9 FF 7F FF FF 75 13 33 C0 66 39 41 04 75 0B 66 39 41 02 75 05 66 39 01 74 0D 66 F7 DA 66 1B C0 66 F7 D8 66 83 C0 FE C3 }
	condition:
		$1
}

rule file_29_1_1 {
	meta:
		name = "_Stofx"
		size = 582
		refs = "001c __security_cookie 003c _Stopfx 0076 _Stoflt 007e __real@4e6e6b28 0090 _FXp_setw 00ad _FXp_setn 00d3 _FXp_mulx 00f8 _FXp_addx 010e _FDtento 0134 _Stoxflt 013c __real@4d800000 01db _FDscale 01ea _FInf 01fd _FNan 0215 _FPmsw 022e __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E1 48 81 EC A8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 48 8B F1 48 89 4D B7 48 8D 4D B7 4D 8B F1 41 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 4D 85 F6 74 04 41 83 26 00 83 E0 F7 41 BD 01 00 00 00 41 3B C5 0F 85 B5 00 00 00 48 8B 55 B7 4C 8D 4D AF 4C 8B C3 44 89 6C 24 20 48 8B CE E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 41 8D 5D 03 8B D3 48 63 F0 48 8D 4D CF E8 ?? ?? ?? ?? 48 8D 4D BF 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 59 44 8B 45 B3 E8 ?? ?? ?? ?? 4C 8B FE 49 8B F5 4D 3B EF 7D 45 48 8D 45 EF 44 8B CB 4C 8D 45 CF 48 89 44 24 20 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 49 03 F5 48 8D 4D DF 8B D3 44 8B 44 B5 AF E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 DF 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 49 3B F7 7C BB 03 7D AF 48 8D 4D BF 8B D7 4D 8B C6 E8 ?? ?? ?? ?? E9 EF 00 00 00 83 F8 02 0F 85 C1 00 00 00 48 8B 55 B7 4C 8D 4D AF 4C 8B C3 44 89 6C 24 20 48 8B CE E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 48 8D 4D DF BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4D BF 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 59 44 8B 45 B3 E8 ?? ?? ?? ?? 4C 8B FE 49 8B F5 4D 3B EF 7D 45 48 8D 45 EF 44 8B CB 4C 8D 45 DF 48 89 44 24 20 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 49 03 F5 48 8D 4D CF 8B D3 44 8B 44 B5 AF E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 CF 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 49 3B F7 7C BB 4D 8B C6 48 8D 4D BF 8B D7 E8 ?? ?? ?? ?? 8B 55 AF 48 8D 4D A7 F3 0F 11 45 A7 E8 ?? ?? ?? ?? EB 2A 83 F8 03 75 0A F3 0F 10 05 ?? ?? ?? ?? EB 16 BB 04 00 00 00 3B C3 75 0A F3 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F3 0F 11 45 A7 45 85 E4 74 11 48 8D 4D A7 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F3 0F 10 45 A7 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_108_1_1 {
	meta:
		name = "_WStofx"
		size = 582
		refs = "001c __security_cookie 003c _WStopfx 0076 _WStoflt 007e __real@4e6e6b28 0090 _FXp_setw 00ad _FXp_setn 00d3 _FXp_mulx 00f8 _FXp_addx 010e _FDtento 0134 _WStoxflt 013c __real@4d800000 01db _FDscale 01ea _FInf 01fd _FNan 0215 _FPmsw 022e __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E1 48 81 EC A8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 48 8B F1 48 89 4D B7 48 8D 4D B7 4D 8B F1 41 8B F8 48 8B DA E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 08 4D 85 F6 74 04 41 83 26 00 83 E0 F7 41 BD 01 00 00 00 41 3B C5 0F 85 B5 00 00 00 48 8B 55 B7 4C 8D 4D AF 4C 8B C3 44 89 6C 24 20 48 8B CE E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 41 8D 5D 03 8B D3 48 63 F0 48 8D 4D CF E8 ?? ?? ?? ?? 48 8D 4D BF 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 59 44 8B 45 B3 E8 ?? ?? ?? ?? 4C 8B FE 49 8B F5 4D 3B EF 7D 45 48 8D 45 EF 44 8B CB 4C 8D 45 CF 48 89 44 24 20 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 49 03 F5 48 8D 4D DF 8B D3 44 8B 44 B5 AF E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 DF 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 49 3B F7 7C BB 03 7D AF 48 8D 4D BF 8B D7 4D 8B C6 E8 ?? ?? ?? ?? E9 EF 00 00 00 83 F8 02 0F 85 C1 00 00 00 48 8B 55 B7 4C 8D 4D AF 4C 8B C3 44 89 6C 24 20 48 8B CE E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 48 8D 4D DF BB 04 00 00 00 48 63 F0 8B D3 E8 ?? ?? ?? ?? 48 8D 4D BF 8B D3 85 F6 75 0A 0F 57 D2 E8 ?? ?? ?? ?? EB 59 44 8B 45 B3 E8 ?? ?? ?? ?? 4C 8B FE 49 8B F5 4D 3B EF 7D 45 48 8D 45 EF 44 8B CB 4C 8D 45 DF 48 89 44 24 20 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 49 03 F5 48 8D 4D CF 8B D3 44 8B 44 B5 AF E8 ?? ?? ?? ?? 44 8B CB 4C 8D 45 CF 8B D3 48 8D 4D BF E8 ?? ?? ?? ?? 49 3B F7 7C BB 4D 8B C6 48 8D 4D BF 8B D7 E8 ?? ?? ?? ?? 8B 55 AF 48 8D 4D A7 F3 0F 11 45 A7 E8 ?? ?? ?? ?? EB 2A 83 F8 03 75 0A F3 0F 10 05 ?? ?? ?? ?? EB 16 BB 04 00 00 00 3B C3 75 0A F3 0F 10 05 ?? ?? ?? ?? EB 03 0F 57 C0 F3 0F 11 45 A7 45 85 E4 74 11 48 8D 4D A7 E8 ?? ?? ?? ?? B9 00 80 00 00 66 31 08 F3 0F 10 45 A7 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_30_0_1 {
	meta:
		name = "_FXp_addh"
		size = 869
		refs = "003d _FDunscale 0051 _FDtest 0068 _FPmsw 0095 _Feraise 009d _FNan 021e _FDint 022b _FDscale"
	strings:
		$1 = { F3 0F 11 54 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 48 45 33 E4 F3 0F 11 55 60 0F 29 74 24 30 48 8B F9 4C 63 FA 85 D2 0F 84 18 03 00 00 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 66 44 3B E0 7D 7F 66 83 F8 02 74 6B 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 5E 66 83 F8 02 0F 84 E8 02 00 00 48 8B CF E8 ?? ?? ?? ?? BE 00 80 00 00 48 8D 4D 58 0F B7 18 66 23 DE E8 ?? ?? ?? ?? 0F B7 08 66 23 CE 66 3B CB 0F 84 BD 02 00 00 41 8D 4C 24 01 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 07 41 83 FF 01 0F 8E 9D 02 00 00 44 89 67 04 E9 94 02 00 00 F3 0F 10 45 58 F3 0F 11 07 E9 86 02 00 00 66 85 C0 0F 89 7D 02 00 00 41 BD 00 01 00 00 45 8B F4 49 8B DF 45 85 FF 0F 8E 68 02 00 00 49 8B F4 0F 57 F6 4C 8D 67 FC F3 0F 10 04 B7 48 8D 55 D8 48 8D 4D 50 F3 0F 11 45 D8 E8 ?? ?? ?? ?? 33 C9 66 3B C8 0F 8C 3C 02 00 00 66 85 C0 0F 84 18 02 00 00 0F BF 55 50 0F BF 45 48 8B CA F3 0F 10 4D 58 2B C8 83 F9 F4 7F 5C 0F 2E CE 7A 02 74 55 41 8B CE 48 8B C6 8B D1 48 FF C0 FF C1 48 3B C3 7D 0C F3 0F 10 04 87 0F 2E C6 7A EA 75 E8 41 8D 47 FF 3B C8 7D 04 FF C1 EB 06 41 3B CF 0F 44 CA 48 63 D1 48 3B F2 7D 0F 8B 44 97 FC 89 04 97 48 FF CA 48 3B D6 7F F1 83 65 58 00 F3 0F 11 0C B7 E9 9B 01 00 00 B8 0C 00 00 00 3B C8 7C 12 0F 2E CE 7A 02 74 0B 44 8B EA 41 FF C6 E9 79 01 00 00 F3 0F 58 0C B7 0F 2E CE F3 0F 11 0C B7 7A 37 75 35 48 8B C6 48 FF C0 48 3B C3 7D 12 F3 0F 10 04 87 0F 2E C6 F3 0F 11 44 87 FC 7A E8 75 E6 83 64 9F FC 00 F3 0F 10 04 B7 0F 2E C6 0F 28 C8 7A 06 0F 84 60 01 00 00 48 8D 55 58 F3 0F 11 4D 58 48 8D 4D 48 49 63 DE E8 ?? ?? ?? ?? 0F BF 55 48 41 8D 4D F4 3B CA 0F 8D 94 00 00 00 66 41 2B D5 48 8D 4D 58 66 83 C2 0C E8 ?? ?? ?? ?? 0F BF 55 48 48 8D 4D 58 E8 ?? ?? ?? ?? F3 0F 10 04 B7 49 8B DF F3 0F 5C 45 58 0F 2E C6 F3 0F 11 04 B7 7A 25 75 23 48 8B C6 48 FF C0 48 3B C3 7D 12 F3 0F 10 04 87 0F 2E C6 F3 0F 11 44 87 FC 7A E8 75 E6 42 83 64 BF FC 00 48 FF CE 49 83 EC 04 41 83 EE 01 75 0B 41 BD 00 01 00 00 E9 A3 00 00 00 F3 41 0F 10 04 24 48 8D 55 60 48 8D 4D 50 F3 0F 11 45 60 E8 ?? ?? ?? ?? 44 0F BF 6D 50 E9 81 00 00 00 41 FF C6 45 3B F7 0F 84 9B 00 00 00 F3 0F 10 04 B7 48 8D 1C 9F 48 8B D3 F3 0F 11 45 58 48 8D 4D 50 E8 ?? ?? ?? ?? BA 0C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 0F BF 55 50 48 8B CB E8 ?? ?? ?? ?? F3 0F 10 45 58 F3 0F 10 0C B7 44 0F BF 6D 50 F3 0F 5C C1 0F 2E C6 F3 0F 11 45 58 7A 09 75 07 F3 0F 11 4D 60 EB 05 F3 0F 11 45 60 48 8D 55 60 48 8D 4D 48 E8 ?? ?? ?? ?? 49 8B DF 48 FF C6 49 83 C4 04 45 3B F7 0F 8C BF FD FF FF EB 1B F3 0F 10 45 58 49 63 C6 41 FF C6 F3 0F 11 04 87 45 3B F7 7D 06 49 63 C6 89 0C 87 48 8B C7 0F 28 74 24 30 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_30_1_1 {
	meta:
		name = "_FXp_addx"
		size = 110
		refs = "0033 __real@00000000 0042 _FXp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 24 F3 0F 10 16 0F 2E 15 ?? ?? ?? ?? 7A 02 74 15 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 04 3B FD 7C DC 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_30_2_1 {
	meta:
		name = "_FXp_getw"
		size = 109
	strings:
		$1 = { 85 D2 75 04 0F 57 C0 C3 83 FA 01 74 5B F3 0F 10 19 0F 57 C9 0F 2E D9 7A 02 74 4D F3 0F 10 41 04 0F 2E C1 7A 02 74 41 83 FA 02 74 37 F3 0F 10 51 08 0F 2E D1 7A 02 74 2B 0F 28 E0 F3 0F 58 E3 83 FA 04 7C 05 F3 0F 58 51 0C 0F 28 CC F3 0F 5C CB 0F 2E C8 7A 0A 75 08 F3 0F 58 D4 0F 28 C2 C3 F3 0F 58 C2 F3 0F 58 C3 C3 F3 0F 10 01 C3 }
	condition:
		$1
}

rule file_30_3_1 {
	meta:
		name = "_FXp_invx"
		size = 329
		refs = "0035 _FDtest 005a _FInf 0084 memcpy 008c __real@bf800000 0096 _FXp_mulh 00ac __real@3f800000 00ba _FXp_setw 00e1 _FXp_mulx 00f3 _FXp_addh 0118 _FXp_addx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 33 ED 0F 29 70 D8 48 63 FA 4D 8B F8 48 8B D9 85 D2 0F 84 EE 00 00 00 E8 ?? ?? ?? ?? 66 3B E8 7F 29 8D 75 01 66 3B C6 75 07 89 2B E9 D5 00 00 00 66 85 C0 0F 85 CC 00 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 03 E9 BB 00 00 00 F3 0F 10 33 4C 8B F7 49 C1 E6 02 48 8B D3 4D 8B C6 4B 8D 2C 3E 48 8B CD 4D 8D 24 2E E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? BE 01 00 00 00 3B FE 7E 05 F3 0F 58 73 04 F3 0F 10 15 ?? ?? ?? ?? 8B D7 F3 0F 5E D6 48 8B CB E8 ?? ?? ?? ?? 3B FE 7E 60 4D 8B C6 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C5 8B D7 49 8B CF E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4C 89 64 24 20 4C 8B C3 8B D7 49 8B CF E8 ?? ?? ?? ?? 44 8B CF 4D 8B C7 8B D7 48 8B CB E8 ?? ?? ?? ?? 03 F6 3B F7 7C A0 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 0F 28 74 24 30 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_30_4_1 {
	meta:
		name = "_FXp_ldexpx"
		size = 119
		refs = "0035 ldexp 0043 __real@00000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 DB 45 8B F0 8B EA 48 8B F1 85 D2 7E 32 48 8B F9 F3 0F 10 07 41 8B D6 0F 5A C0 E8 ?? ?? ?? ?? 0F 57 C9 F2 0F 5A C8 0F 2E 0D ?? ?? ?? ?? F3 0F 11 0F 7A 02 74 0A FF C3 48 83 C7 04 3B DD 7C D1 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_30_5_1 {
	meta:
		name = "_FXp_movx"
		size = 36
		refs = "0017 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 48 8B D9 4C 63 C2 48 8B D0 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_30_6_1 {
	meta:
		name = "_FXp_mulh"
		size = 481
		refs = "0024 __security_cookie 0050 _FDtest 006b _Feraise 012b _FDunscale 0139 _FDint 0146 _FDscale 0156 _FXp_addh 01bb __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 0F 29 74 24 60 0F 29 7C 24 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 D0 45 33 E4 4C 63 FA 0F 28 FA 48 8B F9 85 D2 7E 58 0F 28 C2 F3 0F 59 01 48 8D 4D C0 F3 0F 11 45 C0 E8 ?? ?? ?? ?? 0F B7 F0 66 44 3B E0 7F 37 41 8D 5C 24 01 66 83 F8 02 75 07 8B CB E8 ?? ?? ?? ?? F3 0F 10 45 C0 F3 0F 11 07 66 44 3B E6 0F 8D 2E 01 00 00 44 3B FB 0F 8E 25 01 00 00 44 89 67 04 E9 1C 01 00 00 44 89 27 BB 01 00 00 00 41 8B C4 89 45 B8 44 8B F3 45 85 FF 0F 8E 02 01 00 00 4D 8B EC 8B F3 4C 8D 65 C0 0F 57 F6 4C 2B E7 48 83 FE 04 7D 4A 42 8D 14 30 4A 8D 04 2E 48 8D 0C 87 41 3B D7 7D 2C F3 0F 10 01 0F 2E C6 7A 02 74 21 83 21 00 44 03 F3 F3 0F 59 C7 03 D3 48 03 F3 F3 41 0F 11 04 0C 48 83 C1 04 48 83 FE 04 7C D1 EB 0D 83 64 B5 C0 00 BE 08 00 00 00 44 8B F6 F3 0F 10 45 C0 0F 2E C6 7A 06 0F 84 93 00 00 00 48 8D 55 B0 F3 0F 11 45 B0 48 8D 4D B4 E8 ?? ?? ?? ?? BA 0C 00 00 00 48 8D 4D B0 E8 ?? ?? ?? ?? 0F BF 55 B4 48 8D 4D B0 E8 ?? ?? ?? ?? F3 0F 10 55 B0 41 8B D7 48 8B CF E8 ?? ?? ?? ?? F3 0F 10 55 C0 41 8B D7 F3 0F 5C 55 B0 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 3B DE 7D 1B F3 0F 10 44 85 C0 0F 2E C6 F3 0F 11 44 85 BC 7A 02 74 08 48 03 C3 48 3B C6 7C E5 8B 45 B8 4C 03 EB 03 C3 49 83 EC 04 44 2B F3 89 45 B8 48 2B F3 4D 3B EF 0F 8C 0D FF FF FF 48 8B C7 48 8B 4D D0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_30_7_1 {
	meta:
		name = "_FXp_mulx"
		size = 254
		refs = "0041 __real@00000000 005d _FXp_mulh 007d memcpy 00d2 _FXp_addx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 E9 49 8B D8 48 63 FA 48 8B F1 85 D2 0F 84 AE 00 00 00 45 85 C9 0F 84 A5 00 00 00 F3 41 0F 10 10 0F 2E 15 ?? ?? ?? ?? 7A 02 74 11 F3 41 0F 10 40 04 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 8B D7 E8 ?? ?? ?? ?? EB 7B 4C 8B 7C 24 70 4C 8B F7 49 C1 E6 02 48 8B D6 4D 8B C6 49 8B CF 4F 8D 24 3E E8 ?? ?? ?? ?? F3 0F 10 13 8B D7 48 8B CE E8 ?? ?? ?? ?? 4C 8B ED BD 01 00 00 00 EB 40 F3 0F 10 04 AB 0F 2E 05 ?? ?? ?? ?? 7A 02 74 35 4D 8B C6 49 8B D7 49 8B CC E8 ?? ?? ?? ?? F3 0F 10 14 AB 8B D7 49 8B CC E8 ?? ?? ?? ?? 44 8B CF 4D 8B C4 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 FF C5 49 3B ED 7C BB 48 8B 5C 24 50 48 8B C6 48 8B 74 24 60 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_30_8_1 {
	meta:
		name = "_FXp_setn"
		size = 129
		refs = "003a _FXp_setw 0042 __real@461c4000 004c _FXp_mulh 0065 _FXp_addh"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B F2 B8 AD 8B DB 68 41 F7 E8 41 8B F8 48 8B E9 8B DA 8B D6 C1 FB 0C 8B C3 C1 E8 1F 03 D8 66 0F 6E D3 0F 5B D2 E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D6 48 8B CD E8 ?? ?? ?? ?? 69 C3 10 27 00 00 8B D6 48 8B CD 2B F8 66 0F 6E D7 0F 5B D2 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C5 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_30_9_1 {
	meta:
		name = "_FXp_setw"
		size = 175
		refs = "0035 _FDunscale 005d _FDint 006c _FDscale"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 20 57 48 83 EC 30 0F 29 70 E8 33 F6 0F 28 F2 8B FA F3 0F 11 70 18 48 8B D9 85 D2 7E 70 83 FA 01 74 67 48 8D 50 18 48 8D 48 10 E8 ?? ?? ?? ?? 66 85 C0 74 4F 66 3B F0 7D 0F F3 0F 10 44 24 50 F3 0F 11 03 89 73 04 EB 45 BA 0C 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F BF 54 24 48 48 8D 4C 24 50 E8 ?? ?? ?? ?? F3 0F 10 44 24 50 F3 0F 11 03 F3 0F 5C F0 F3 0F 11 73 04 83 FF 02 7E 0F 89 73 08 EB 0A F3 0F 10 74 24 50 F3 0F 11 33 48 8B 74 24 58 48 8B C3 48 8B 5C 24 40 0F 28 74 24 20 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_30_10_1 {
	meta:
		name = "_FXp_sqrtx"
		size = 353
		refs = "0031 _FDtest 006b sqrt 0073 __real@3ff0000000000000 0085 _FXp_setw 009e memcpy 00a6 __real@bf000000 00b0 _FXp_mulh 00c5 _FXp_mulx 00e2 __real@3fc00000 00ec _FXp_addh 012f _Feraise 0137 _FNan"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 33 F6 48 63 FA 49 8B E8 48 8B D9 85 D2 0F 84 0F 01 00 00 E8 ?? ?? ?? ?? 0F 57 C0 66 3B F0 0F 8E E3 00 00 00 F3 0F 10 0B 0F 2F C1 0F 87 DB 00 00 00 4C 8B F7 49 C1 E6 02 49 8D 34 2E 4D 8D 3C 36 83 FF 01 7E 05 F3 0F 58 4B 04 0F 5A C1 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 8B D7 F2 0F 5E C8 48 8B CE 66 0F 5A D1 E8 ?? ?? ?? ?? 41 BC 02 00 00 00 41 3B FC 7E 79 4D 8B C6 48 8B D6 48 8B CD E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C3 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CD E8 ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 8B D7 48 8B CD E8 ?? ?? ?? ?? 44 8B CF 4C 89 7C 24 20 4C 8B C5 8B D7 48 8B CE E8 ?? ?? ?? ?? 45 03 E4 44 3B E7 7C 87 44 8B CF 4C 89 7C 24 20 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 0F 2F 03 76 16 B9 01 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 11 03 48 8B 6C 24 58 48 8B C3 48 8B 5C 24 50 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_30_11_1 {
	meta:
		name = "_FXp_subx"
		size = 117
		refs = "0033 __real@00000000 003e __xmm@80000000800000008000000080000000 0049 _FXp_addh"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 FF 41 8B E9 49 8B F0 44 8B F2 48 8B D9 45 85 C9 7E 2B F3 0F 10 16 0F 2E 15 ?? ?? ?? ?? 7A 02 74 1C 0F 57 15 ?? ?? ?? ?? 41 8B D6 48 8B CB E8 ?? ?? ?? ?? FF C7 48 83 C6 04 3B FD 7C D5 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_31_0_1 {
	meta:
		name = "_Getwctype"
		size = 52
		refs = "001d __imp_GetStringTypeW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 28 B9 01 00 00 00 4C 8D 4C 24 40 44 8B C1 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 0F BF 54 24 40 F7 D8 1B C9 23 CA 0F B7 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_31_1_1 {
	meta:
		name = "_Getwctypes"
		size = 47
		refs = "0022 __imp_GetStringTypeW"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B DA 48 2B C1 4D 8B C8 48 D1 F8 48 8B D1 44 8B C0 B9 01 00 00 00 FF 15 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_32_4_1 {
	meta:
		name = "??0future_error@std@@QEAA@Verror_code@1@@Z"
		size = 98
		refs = "000d ??_7exception@std@@6B@ 0034 ??_C@_00CNPNBAHC@?$AA@ 003e __std_exception_copy 0045 ??_7future_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8D 05 ?? ?? ?? ?? C6 44 24 28 01 48 89 01 48 8B DA 33 C0 48 8D 51 08 48 89 02 48 8B F9 48 89 42 08 48 8D 4C 24 20 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 0F 10 03 48 8B 5C 24 40 F3 0F 7F 47 18 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_32_14_1 {
	meta:
		name = "?_Future_error_map@std@@YAPEBDH@Z"
		size = 55
		refs = "001a ??_C@_08CCNMMIE@no?5state?$AA@ 0022 ??_C@_0BK@JNDAEPJA@promise?5already?5satisfied?$AA@ 002a ??_C@_0BJ@JOKOCMFN@future?5already?5retrieved?$AA@ 0032 ??_C@_0P@JCDOJLHG@broken?5promise?$AA@"
	strings:
		$1 = { 83 E9 01 74 2A 83 E9 01 74 1D 83 E9 01 74 10 83 F9 01 74 03 33 C0 C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_32_16_1 {
	meta:
		name = "?_Rethrow_future_exception@std@@YAXVexception_ptr@1@@Z"
		size = 40
		refs = "001b ??0exception_ptr@std@@QEAA@AEBV01@@Z 0023 ?rethrow_exception@std@@YAXVexception_ptr@1@@Z"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_32_18_1 {
	meta:
		name = "?_Throw_future_error@std@@YAXAEBVerror_code@1@@Z"
		size = 46
		refs = "0018 ??0future_error@std@@QEAA@Verror_code@1@@Z 001f _TI3?AVfuture_error@std@@ 0029 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 68 0F 10 01 48 8D 54 24 20 48 8D 4C 24 30 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_32_19_1 {
	meta:
		name = "?rethrow_exception@std@@YAXVexception_ptr@1@@Z"
		size = 24
		refs = "0013 ?_RethrowException@exception_ptr@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 48 C7 44 24 20 FE FF FF FF E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_32_23_1 {
	meta:
		name = "?what@future_error@std@@UEBAPEBDXZ"
		size = 58
		refs = "001d ??_C@_08CCNMMIE@no?5state?$AA@ 0025 ??_C@_0BK@JNDAEPJA@promise?5already?5satisfied?$AA@ 002d ??_C@_0BJ@JOKOCMFN@future?5already?5retrieved?$AA@ 0035 ??_C@_0P@JCDOJLHG@broken?5promise?$AA@"
	strings:
		$1 = { 8B 51 18 83 EA 01 74 2A 83 EA 01 74 1D 83 EA 01 74 10 83 FA 01 74 03 33 C0 C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_34_0_1 {
	meta:
		name = "_FExp"
		size = 269
		refs = "000b __real@c3650000 0029 __real@43650000 0033 _FInf 004c __real@3fb8aa3b 0059 __real@bf000000 0063 __real@3f000000 006b _FEps 0088 __real@35bfbe8e 0090 __real@3f317200 009e __xmm@80000000800000008000000080000000 00c7 __real@41403e28 00cf __real@42705d55 00d7 __real@42f05d55 0104 _FDscale"
	strings:
		$1 = { F3 0F 10 19 0F 28 E1 F3 0F 10 05 ?? ?? ?? ?? 0F 2F C3 0F 87 F0 00 00 00 0F 57 C9 0F 2E E1 7A 06 0F 84 E2 00 00 00 0F 2F 1D ?? ?? ?? ?? 76 16 F3 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F3 0F 11 01 E9 C7 00 00 00 0F 28 C3 F3 0F 59 05 ?? ?? ?? ?? 0F 2F C8 76 0A F3 0F 10 0D ?? ?? ?? ?? EB 08 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? F3 0F 58 C8 F3 0F 2C D1 0F BF C2 66 0F 6E C8 0F 5B C9 0F 28 C1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C D8 0F 28 C2 0F 57 05 ?? ?? ?? ?? F3 0F 5C D9 0F 2F D8 76 0B 0F 2F D3 76 06 F3 0F 11 21 EB 44 0F 28 C3 66 FF CA F3 0F 59 C3 0F 28 D0 F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 05 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D8 0F 28 CA F3 0F 58 CB F3 0F 5C D3 F3 0F 5E CA F3 0F 58 C9 F3 0F 59 CC F3 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 89 01 C3 }
	condition:
		$1
}

rule file_35_0_1 {
	meta:
		name = "_FSinh"
		size = 399
		refs = "0024 _FDtest 006d __xmm@80000000800000008000000080000000 0084 _FRteps 0091 __real@3f800000 00a8 __real@3955e8d5 00b0 __real@3c0879d7 00bc __real@3e2aaada 00d5 _FXbig 00e7 _FExp 00f4 __real@3e800000 0127 _Feraise 014b __real@00000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F3 0F 11 40 08 55 48 8B EC 48 83 EC 30 0F 29 70 E8 48 8D 4D 10 0F 28 F1 E8 ?? ?? ?? ?? 0F BF C8 33 FF 85 C9 0F 84 3C 01 00 00 83 E9 01 0F 84 0A 01 00 00 83 F9 01 0F 84 FA 00 00 00 0F 57 C0 0F 2E F0 7A 11 75 0F 0F 2F 45 10 0F 86 11 01 00 00 E9 FE 00 00 00 F3 0F 10 55 10 0F 2F C2 76 13 0F 57 15 ?? ?? ?? ?? BB 01 00 00 00 F3 0F 11 55 10 EB 03 0F B7 DF F3 0F 10 05 ?? ?? ?? ?? 0F 2F C2 77 73 F3 0F 10 0D ?? ?? ?? ?? 0F 2F CA 76 37 0F 28 C2 F3 0F 59 C2 0F 28 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 59 CA F3 0F 58 CA 0F 28 D1 EB 2F F3 0F 10 05 ?? ?? ?? ?? 48 8D 4D 10 41 83 C8 FF 0F 2F C2 76 20 E8 ?? ?? ?? ?? F3 0F 10 55 10 F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E C2 F3 0F 5C D0 F3 0F 59 D6 EB 2A 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 55 10 66 85 DB 74 07 0F 57 15 ?? ?? ?? ?? 0F 28 C2 EB 39 F3 0F 10 45 10 EB 32 0F 2E 35 ?? ?? ?? ?? 7A 16 75 14 B8 00 80 00 00 66 85 45 12 74 0E 0F 57 35 ?? ?? ?? ?? EB 05 F3 0F 10 75 10 0F 28 C6 EB 09 F3 0F 10 45 10 F3 0F 59 C6 48 8B 5C 24 48 48 8B 7C 24 50 0F 28 74 24 20 48 83 C4 30 5D C3 }
	condition:
		$1
}

rule file_36_0_1 {
	meta:
		name = "?initialize_pointers@@YAHXZ"
		size = 1230
		refs = "0009 ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 000f __imp_GetModuleHandleW 0019 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 0022 __imp_GetProcAddress 0029 __security_cookie 0030 ??_C@_07PEJMOBNF@FlsFree?$AA@ 003a __encodedKERNEL32Functions 004e ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 006c ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 008a ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 00a8 ??_C@_0BE@GPLMMCMH@InitOnceExecuteOnce?$AA@ 00c6 ??_C@_0P@DLHPPCNH@CreateEventExW?$AA@ 00e4 ??_C@_0BB@MEFPJLHN@CreateSemaphoreW?$AA@ 0102 ??_C@_0BD@KIEEOEEH@CreateSemaphoreExW?$AA@ 0120 ??_C@_0BG@OGFAJCKC@CreateThreadpoolTimer?$AA@ 013e ??_C@_0BD@LPLEMMDI@SetThreadpoolTimer?$AA@ 015c ??_C@_0CA@FMNJENH@WaitForThreadpoolTimerCallbacks?$AA@ 017a ??_C@_0BF@DCFCCNOC@CloseThreadpoolTimer?$AA@ 0198 ??_C@_0BF@FLABGKKM@CreateThreadpoolWait?$AA@ 01b6 ??_C@_0BC@MGCOHNA@SetThreadpoolWait?$AA@ 01d4 ??_C@_0BE@OCIOMIMP@CloseThreadpoolWait?$AA@ 01f2 ??_C@_0BJ@LKGHFHBO@FlushProcessWriteBuffers?$AA@ 0210 ??_C@_0BP@KALKKPMO@FreeLibraryWhenCallbackReturns?$AA@ 022e ??_C@_0BK@DFNBACLA@GetCurrentProcessorNumber?$AA@ 024c ??_C@_0BE@FKKLLFLM@CreateSymbolicLinkW?$AA@ 026a ??_C@_0BE@JOGNEJCI@GetCurrentPackageId?$AA@ 0288 ??_C@_0P@CDHHOHKP@GetTickCount64?$AA@ 02a6 ??_C@_0BN@NEEHBBPO@GetFileInformationByHandleEx?$AA@ 02c4 ??_C@_0BL@KBBHGKCM@SetFileInformationByHandle?$AA@ 02e2 ??_C@_0BP@FPNJPEJC@GetSystemTimePreciseAsFileTime?$AA@ 0300 ??_C@_0BM@HLJJNPAH@InitializeConditionVariable?$AA@ 031e ??_C@_0BG@BFNILBLN@WakeConditionVariable?$AA@ 033c ??_C@_0BJ@PGPPEPCC@WakeAllConditionVariable?$AA@ 035a ??_C@_0BJ@JEBJOJFJ@SleepConditionVariableCS?$AA@ 0378 ??_C@_0BC@MMLHEBPB@InitializeSRWLock?$AA@ 0396 ??_C@_0BI@OMNLIJDB@AcquireSRWLockExclusive?$AA@ 03b4 ??_C@_0BL@OGHFEMNA@TryAcquireSRWLockExclusive?$AA@ 03d2 ??_C@_0BI@HMIEPCNJ@ReleaseSRWLockExclusive?$AA@ 03f0 ??_C@_0BK@LGACAGIC@SleepConditionVariableSRW?$AA@ 040e ??_C@_0BF@GGPHFPJA@CreateThreadpoolWork?$AA@ 042c ??_C@_0BF@NHDAIMMO@SubmitThreadpoolWork?$AA@ 044a ??_C@_0BE@NPHIPNPD@CloseThreadpoolWork?$AA@ 0468 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 0486 ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 04a4 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 48 8D 15 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 33 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_36_1_1 {
	meta:
		name = "__crtAcquireSRWLockExclusive"
		size = 54
		refs = "000d __encodedKERNEL32Functions 0017 __security_cookie 001f _guard_check_icall"
		altNames = "__crtCloseThreadpoolWork __crtInitializeConditionVariable __crtInitializeSRWLock __crtReleaseSRWLockExclusive __crtSubmitThreadpoolWork __crtTryAcquireSRWLockExclusive __crtWakeAllConditionVariable __crtWakeConditionVariable"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B F9 48 33 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_36_2_1 {
	meta:
		name = "__crtCloseThreadpoolTimer"
		size = 53
		refs = "000d __encodedKERNEL32Functions 0017 __security_cookie 0021 _guard_check_icall"
		altNames = "__crtCloseThreadpoolWait"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B F9 48 33 1D ?? ?? ?? ?? 74 0D 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_5_1 {
	meta:
		name = "__crtCreateEventExW"
		size = 122
		refs = "001c __encodedKERNEL32Functions 0026 __security_cookie 0039 _guard_check_icall 005b __imp_CreateEventW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 3D ?? ?? ?? ?? 45 8B F1 48 33 3D ?? ?? ?? ?? 41 8B D8 48 8B F2 48 8B E9 74 18 48 8B CF E8 ?? ?? ?? ?? 45 8B CE 44 8B C3 48 8B D6 48 8B CD FF D7 EB 12 83 E3 01 41 83 E0 02 8B D3 4C 8B CE FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_36_6_1 {
	meta:
		name = "__crtCreateSemaphoreExW"
		size = 158
		refs = "001c __encodedKERNEL32Functions 0026 __security_cookie 003b _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 48 8B 1D ?? ?? ?? ?? 49 8B F9 48 8B 05 ?? ?? ?? ?? 41 8B F0 48 33 D8 8B EA 4C 8B F1 74 27 48 8B CB E8 ?? ?? ?? ?? 8B 44 24 68 4C 8B CF 89 44 24 28 44 8B C6 8B 44 24 60 8B D5 49 8B CE 89 44 24 20 FF D3 EB 25 48 8B 1D ?? ?? ?? ?? 48 33 D8 74 17 48 8B CB E8 ?? ?? ?? ?? 4C 8B CF 44 8B C6 8B D5 49 8B CE FF D3 EB 02 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_36_7_1 {
	meta:
		name = "__crtCreateSymbolicLinkW"
		size = 100
		refs = "0017 __encodedKERNEL32Functions 0021 __security_cookie 0031 _guard_check_icall 0049 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 41 8B F8 48 33 1D ?? ?? ?? ?? 48 8B F2 48 8B E9 74 15 48 8B CB E8 ?? ?? ?? ?? 44 8B C7 48 8B D6 48 8B CD FF D3 EB 0D B9 78 00 00 00 FF 15 ?? ?? ?? ?? 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_8_1 {
	meta:
		name = "__crtCreateThreadpoolTimer"
		size = 89
		refs = "0017 __encodedKERNEL32Functions 0021 __security_cookie 0031 _guard_check_icall"
		altNames = "__crtCreateThreadpoolWait"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 49 8B F8 48 33 1D ?? ?? ?? ?? 48 8B F2 48 8B E9 74 15 48 8B CB E8 ?? ?? ?? ?? 4C 8B C7 48 8B D6 48 8B CD FF D3 EB 02 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_10_1 {
	meta:
		name = "__crtCreateThreadpoolWork"
		size = 86
		refs = "0017 __encodedKERNEL32Functions 0021 __security_cookie 002f _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B E9 48 33 1D ?? ?? ?? ?? 49 8B F8 48 8B CB 48 8B F2 E8 ?? ?? ?? ?? 4C 8B C7 48 8B D6 48 8B CD 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_36_11_1 {
	meta:
		name = "__crtFlsAlloc"
		size = 61
		refs = "000d __encodedKERNEL32Functions 0017 __security_cookie 0021 _guard_check_icall 002e __imp_TlsAlloc"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B F9 48 33 1D ?? ?? ?? ?? 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 EB 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_19_1 {
	meta:
		name = "__crtGetSystemTimePreciseAsFileTime"
		size = 61
		refs = "000d __encodedKERNEL32Functions 0017 __security_cookie 0021 _guard_check_icall 002e __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B F9 48 33 1D ?? ?? ?? ?? 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 EB 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_12_1 {
	meta:
		name = "__crtFlsFree"
		size = 59
		refs = "000d __encodedKERNEL32Functions 0016 __security_cookie 0020 _guard_check_icall 002c __imp_TlsFree"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 8B F9 48 33 1D ?? ?? ?? ?? 74 0E 48 8B CB E8 ?? ?? ?? ?? 8B CF FF D3 EB 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_13_1 {
	meta:
		name = "__crtFlsGetValue"
		size = 59
		refs = "000d __encodedKERNEL32Functions 0016 __security_cookie 0020 _guard_check_icall 002c __imp_TlsGetValue"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 8B F9 48 33 1D ?? ?? ?? ?? 74 0E 48 8B CB E8 ?? ?? ?? ?? 8B CF FF D3 EB 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_14_1 {
	meta:
		name = "__crtFlsSetValue"
		size = 75
		refs = "0012 __encodedKERNEL32Functions 001c __security_cookie 0028 _guard_check_icall 0037 __imp_TlsSetValue"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B FA 48 33 1D ?? ?? ?? ?? 8B F1 74 11 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 8B CE FF D3 EB 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_15_1 {
	meta:
		name = "__crtFlushProcessWriteBuffers"
		size = 38
		refs = "0009 __encodedKERNEL32Functions 0010 __security_cookie 001a _guard_check_icall"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 33 1D ?? ?? ?? ?? 74 0A 48 8B CB E8 ?? ?? ?? ?? FF D3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_36_16_1 {
	meta:
		name = "__crtFreeLibraryWhenCallbackReturns"
		size = 69
		refs = "0012 __encodedKERNEL32Functions 001c __security_cookie 0029 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B FA 48 33 1D ?? ?? ?? ?? 48 8B F1 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B CE FF D3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_17_1 {
	meta:
		name = "__crtGetCurrentProcessorNumber"
		size = 49
		refs = "0009 __encodedKERNEL32Functions 0010 __security_cookie 001a _guard_check_icall"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 33 1D ?? ?? ?? ?? 74 13 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B 48 FF E0 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_36_18_1 {
	meta:
		name = "__crtGetFileInformationByHandleEx"
		size = 115
		refs = "001c __encodedKERNEL32Functions 0026 __security_cookie 0038 _guard_check_icall 0052 __imp_SetLastError"
		altNames = "__crtSetFileInformationByHandle"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 41 8B F9 48 33 1D ?? ?? ?? ?? 49 8B F0 8B EA 4C 8B F1 74 17 48 8B CB E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D5 49 8B CE FF D3 EB 0D B9 78 00 00 00 FF 15 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_36_20_1 {
	meta:
		name = "__crtGetTickCount64"
		size = 55
		refs = "0009 __encodedKERNEL32Functions 0010 __security_cookie 001a _guard_check_icall 002b __imp_GetTickCount"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 33 1D ?? ?? ?? ?? 74 13 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B 48 FF E0 FF 15 ?? ?? ?? ?? 8B C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_36_21_1 {
	meta:
		name = "__crtInitOnceExecuteOnce"
		size = 220
		refs = "0020 __encodedKERNEL32Functions 002a __security_cookie 003d _guard_check_icall 0071 __imp_Sleep 00d4 __imp_SetLastError"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 48 8B 3D ?? ?? ?? ?? 4D 8B F1 48 33 3D ?? ?? ?? ?? 4D 8B F8 48 8B EA 48 8B D9 74 18 48 8B CF E8 ?? ?? ?? ?? 4D 8B CE 4D 8B C7 48 8B D5 48 8B CB FF D7 EB 33 33 C0 44 8D 60 01 F0 4C 0F B1 21 41 8D 7C 24 01 EB 19 48 85 C0 74 3B 49 3B C4 75 60 33 C9 FF 15 ?? ?? ?? ?? 33 C0 F0 4C 0F B1 23 48 3B C7 75 E2 41 8B C4 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 48 8B CD 41 8B F4 E8 ?? ?? ?? ?? 4D 8B C6 49 8B D7 48 8B CB FF D5 85 C0 75 04 33 FF 33 F6 48 87 3B 49 3B FC 75 04 8B C6 EB B7 B9 0D 00 00 00 FF 15 ?? ?? ?? ?? 33 C0 EB A8 }
	condition:
		$1
}

rule file_36_23_1 {
	meta:
		name = "__crtInitializeCriticalSectionEx"
		size = 96
		refs = "0017 __encodedKERNEL32Functions 0021 __security_cookie 0030 _guard_check_icall 0042 __imp_InitializeCriticalSectionAndSpinCount"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 41 8B E8 48 33 1D ?? ?? ?? ?? 8B FA 48 8B F1 74 14 48 8B CB E8 ?? ?? ?? ?? 44 8B C5 8B D7 48 8B CE FF D3 EB 0B FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_25_1 {
	meta:
		name = "__crtIsPackagedApp"
		size = 42
		refs = "0008 ?isPackaged@?1??__crtIsPackagedApp@@9@4HA 0013 __crt_IsPackagedAppHelper"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB 85 C0 79 0D E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 85 C0 0F 9F C3 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_36_28_1 {
	meta:
		name = "__crtSetThreadpoolTimer"
		size = 102
		refs = "001c __encodedKERNEL32Functions 0026 __security_cookie 0039 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 41 8B F9 48 33 1D ?? ?? ?? ?? 41 8B F0 48 8B EA 4C 8B F1 74 16 48 8B CB E8 ?? ?? ?? ?? 44 8B CF 44 8B C6 48 8B D5 49 8B CE FF D3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_36_29_1 {
	meta:
		name = "__crtSetThreadpoolWait"
		size = 85
		refs = "0017 __encodedKERNEL32Functions 0021 __security_cookie 0031 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 49 8B F8 48 33 1D ?? ?? ?? ?? 48 8B F2 48 8B E9 74 13 48 8B CB E8 ?? ?? ?? ?? 4C 8B C7 48 8B D6 48 8B CD FF D3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_30_1 {
	meta:
		name = "__crtSleepConditionVariableCS"
		size = 86
		refs = "0017 __encodedKERNEL32Functions 0021 __security_cookie 002f _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B E9 48 33 1D ?? ?? ?? ?? 41 8B F8 48 8B CB 48 8B F2 E8 ?? ?? ?? ?? 44 8B C7 48 8B D6 48 8B CD 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_36_31_1 {
	meta:
		name = "__crtSleepConditionVariableSRW"
		size = 103
		refs = "001c __encodedKERNEL32Functions 0026 __security_cookie 0037 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 4C 8B F1 48 33 1D ?? ?? ?? ?? 41 8B F9 48 8B CB 41 8B F0 48 8B EA E8 ?? ?? ?? ?? 44 8B CF 44 8B C6 48 8B D5 49 8B CE 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_36_34_1 {
	meta:
		name = "__crtWaitForThreadpoolTimerCallbacks"
		size = 67
		refs = "0012 __encodedKERNEL32Functions 001b __security_cookie 0028 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 8B FA 48 33 1D ?? ?? ?? ?? 48 8B F1 74 0F 48 8B CB E8 ?? ?? ?? ?? 8B D7 48 8B CE FF D3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_37_1 {
	meta:
		name = "__crt_IsPackagedAppHelper"
		size = 64
		refs = "000e __encodedKERNEL32Functions 0015 __security_cookie 001f _guard_check_icall"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 30 00 48 8B 1D ?? ?? ?? ?? 48 33 1D ?? ?? ?? ?? 74 1D 48 8B CB E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 30 FF D3 83 F8 7A 75 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_37_0_1 {
	meta:
		name = "_LPoly"
		size = 28
		altNames = "_Poly"
	strings:
		$1 = { 0F 28 C8 F2 0F 10 02 EB 0C F2 0F 59 C1 48 83 C2 08 F2 0F 58 02 41 83 E8 01 79 EE C3 }
	condition:
		$1
}

rule file_38_2_1 {
	meta:
		name = "?_Addstd@ios_base@std@@SAXPEAV12@@Z"
		size = 110
		refs = "0014 ??0_Lockit@std@@QEAA@H@Z 001b __ImageBase 002f ?stdstr@std@@3PAPEAVios_base@1@A 0057 ?stdopens@std@@3PADA 0064 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 BA 02 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 C7 43 08 01 00 00 00 48 8B 4B 08 48 8B 84 CA ?? ?? ?? ?? 48 85 C0 74 13 48 3B C3 74 0E 48 8D 41 01 48 89 43 08 48 83 F8 08 72 DC 48 8B 43 08 48 8D 4C 24 30 FE 84 10 ?? ?? ?? ?? 48 89 9C C2 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_38_3_1 {
	meta:
		name = "?_Callfns@ios_base@std@@AEAAXW4event@12@@Z"
		size = 83
		refs = "0027 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 79 38 8B EA 48 8B F1 EB 1A 48 8B 5F 10 48 8B CB E8 ?? ?? ?? ?? 44 8B 47 08 48 8B D6 8B CD FF D3 48 8B 3F 48 85 FF 75 E1 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_38_4_1 {
	meta:
		name = "?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
		size = 67
		refs = "0015 ?stdopens@std@@3PADA 0026 ?_Tidy@ios_base@std@@AEAAXXZ 0039 ??_Glocale@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 08 48 8B D9 48 85 C0 74 10 48 8D 0D ?? ?? ?? ?? FE 0C 08 80 3C 08 00 7F 1B 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 40 48 85 C9 74 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_38_5_1 {
	meta:
		name = "?_Tidy@ios_base@std@@AEAAXXZ"
		size = 142
		refs = "0020 _guard_check_icall 004c ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 71 38 48 8B F9 EB 1A 48 8B 5E 10 48 8B CB E8 ?? ?? ?? ?? 44 8B 46 08 48 8B D7 33 C9 FF D3 48 8B 36 48 85 F6 75 E1 48 8B 4F 30 BE 18 00 00 00 48 85 C9 74 13 48 8B 19 48 8B D6 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 ED 48 83 67 30 00 48 8B 4F 38 48 85 C9 74 13 48 8B 19 48 8B D6 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 ED 48 83 67 38 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_39_0_1 {
	meta:
		name = "_Dnorm"
		size = 412
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 0F B7 41 06 41 BE 01 00 00 00 48 8B D1 0F B7 F8 B9 00 80 00 00 45 33 DB 66 23 F9 45 0F B7 CE 41 8D 6E 0E 23 C5 66 89 42 06 66 85 C0 75 53 66 44 39 5A 04 75 11 66 44 39 5A 02 75 0A 66 44 39 1A 0F 84 22 01 00 00 66 85 C0 75 36 0F B7 42 04 0F B7 4A 02 44 0F B7 12 44 0F B7 C0 66 41 83 C1 F0 0F B7 C1 41 0F B7 CA 45 8B D3 66 45 85 C0 74 E7 66 44 89 42 06 66 89 42 04 66 89 4A 02 66 44 89 1A 44 0F B7 5A 06 66 41 83 FB 10 73 5F 0F B7 4A 04 44 0F B7 42 02 0F B7 1A 0F B7 C1 45 0F B7 D3 66 C1 E8 0F 66 45 03 D2 66 44 0B D0 66 03 C9 41 0F B7 C0 66 41 FF C9 66 C1 E8 0F 66 45 03 C0 66 0B C8 45 0F B7 DA 0F B7 C3 66 03 DB 66 C1 E8 0F 66 44 0B C0 66 41 83 FA 10 72 BE 66 44 89 52 06 66 89 4A 04 66 44 89 42 02 66 89 1A 44 0F B7 42 06 BE 20 00 00 00 66 41 3B F0 77 68 44 0F B7 5A 04 44 0F B7 52 02 0F B7 1A 41 0F B7 CA 0F B7 C3 66 D1 E8 66 45 03 CE 66 C1 E1 0F 0F B7 D9 66 41 D1 EA 66 0B D8 41 0F B7 C8 41 0F B7 C3 66 C1 E1 0F 66 C1 E0 0F 66 44 0B D0 66 41 D1 E8 41 0F B7 C3 44 0F B7 D9 66 D1 E8 66 44 0B D8 66 41 3B F0 76 B7 66 44 89 42 06 66 44 89 5A 04 66 44 89 52 02 66 89 1A 66 21 6A 06 66 09 7A 06 41 0F B7 C1 48 8B 7C 24 28 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 41 5E C3 }
	condition:
		$1
}

rule file_40_0_1 {
	meta:
		name = "?_Random_device@std@@YAIXZ"
		size = 40
		refs = "000a rand_s 001e ??_C@_0BM@EEBBMCOD@invalid?5random_device?5value?$AA@ 0023 ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 75 09 8B 44 24 30 48 83 C4 28 C3 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_30_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 74
		refs = "002b ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 41 0F 10 01 49 8B D9 48 8B F9 33 C0 4C 8D 4C 24 30 48 8D 4C 24 40 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 10 4C 24 40 48 8B C7 F3 0F 7F 0B 48 8B 5C 24 60 F3 0F 7F 0F 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_68_12_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 74
		refs = "002b ??$_Copy_unchecked1@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 41 0F 10 01 49 8B D9 48 8B F9 33 C0 4C 8D 4C 24 30 48 8D 4C 24 40 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 10 4C 24 40 48 8B C7 F3 0F 7F 0B 48 8B 5C 24 60 F3 0F 7F 0F 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_41_31_1 {
	meta:
		name = "??$_Copy_no_deprecate1@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@Uinput_iterator_tag@0@U_Any_tag@0@@Z"
		size = 74
		refs = "002b ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 41 0F 10 01 49 8B D9 48 8B F9 33 C0 4C 8D 4C 24 30 48 8D 4C 24 40 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 10 4C 24 40 48 8B C7 F3 0F 7F 0B 48 8B 5C 24 60 F3 0F 7F 0F 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_41_32_1 {
	meta:
		name = "??$_Copy_no_deprecate@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@@Z"
		size = 58
		refs = "0024 ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
		altNames = "??$copy@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 41 0F 10 01 48 8B D9 4C 8D 4C 24 30 33 C0 48 8D 4C 24 40 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 40 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_68_13_1 {
	meta:
		name = "??$_Copy_no_deprecate@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@@Z"
		size = 58
		refs = "0024 ??$_Copy_unchecked1@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 41 0F 10 01 48 8B D9 4C 8D 4C 24 30 33 C0 48 8D 4C 24 40 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 40 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_41_33_1 {
	meta:
		name = "??$_Copy_no_deprecate@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@@Z"
		size = 58
		refs = "0024 ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 41 0F 10 01 48 8B D9 4C 8D 4C 24 30 33 C0 48 8D 4C 24 40 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 40 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_68_46_1 {
	meta:
		name = "??$copy@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@@Z"
		size = 58
		refs = "0024 ??$_Copy_unchecked1@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 41 0F 10 01 48 8B D9 4C 8D 4C 24 30 33 C0 48 8D 4C 24 40 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 40 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_41_108_1 {
	meta:
		name = "??$copy@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@@Z"
		size = 58
		refs = "0024 ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 41 0F 10 01 48 8B D9 4C 8D 4C 24 30 33 C0 48 8D 4C 24 40 F3 0F 7F 44 24 30 88 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 40 48 8B C3 F3 0F 7F 03 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_41_34_1 {
	meta:
		name = "??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 141
		refs = "004c ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 33 FF 49 8B F8 48 2B FA 49 8B F1 48 FF C7 48 8B DA 48 D1 EF 4C 8B F1 49 3B D0 41 8B EF 49 0F 47 FF 48 85 FF 74 2A 48 8B 4E 08 48 85 C9 74 12 0F B7 13 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 06 01 48 83 C3 02 48 FF C5 48 3B EF 75 D6 0F 10 06 48 8B 5C 24 40 49 8B C6 48 8B 6C 24 48 48 8B 74 24 50 F3 41 0F 7F 06 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_41_35_1 {
	meta:
		name = "??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 141
		refs = "004c ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 33 FF 49 8B F8 48 2B FA 49 8B F1 48 FF C7 48 8B DA 48 D1 EF 4C 8B F1 49 3B D0 41 8B EF 49 0F 47 FF 48 85 FF 74 2A 48 8B 4E 08 48 85 C9 74 12 0F B7 13 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 06 01 48 83 C3 02 48 FF C5 48 3B EF 75 D6 0F 10 06 48 8B 5C 24 40 49 8B C6 48 8B 6C 24 48 48 8B 74 24 50 F3 41 0F 7F 06 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_41_36_1 {
	meta:
		name = "??$_Copy_unchecked@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@@Z"
		size = 44
		refs = "001f ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 33 C0 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_68_15_1 {
	meta:
		name = "??$_Copy_unchecked@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@@Z"
		size = 44
		refs = "001f ??$_Copy_unchecked1@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 33 C0 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_41_37_1 {
	meta:
		name = "??$_Copy_unchecked@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@@Z"
		size = 44
		refs = "001f ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 41 0F 10 01 33 C0 4C 8D 4C 24 30 48 8B D9 88 44 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_41_38_1 {
	meta:
		name = "??$_Find_elem@G@std@@YA_KPEAGG@Z"
		size = 36
		altNames = "??$_Find_elem@_W@std@@YA_KPEA_W_W@Z"
	strings:
		$1 = { 44 0F B7 01 48 8B C1 EB 0E 66 44 3B C2 74 0E 48 83 C0 02 44 0F B7 00 66 45 85 C0 75 EC 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_41_40_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z"
		size = 529
		refs = "0024 __security_cookie 0069 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 00f2 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01b1 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01bf _invalid_parameter_noinfo_noreturn 01d4 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 01e6 ?_Deallocate@std@@YAXPEAX_K1@Z 01f5 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E8 4C 8B F2 48 8B D9 41 80 39 00 74 1D 41 8A 11 49 8B C9 49 8D 45 01 41 3A 11 49 0F 45 C5 4C 8B E8 48 FF C1 8A 11 84 D2 75 E9 45 33 C0 49 8B D5 48 8D 4D D0 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 BC 01 00 00 00 32 C9 88 4D C0 33 F6 33 FF 4D 85 ED 0F 84 3D 01 00 00 EB 08 41 3A 07 74 0B 48 FF C6 42 8A 04 3E 84 C0 75 F0 48 3B 7D E8 0F 87 1B 01 00 00 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 80 3C 38 00 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 38 48 03 F0 E9 8E 00 00 00 49 03 F4 42 8A 04 3E 41 3A 07 74 5F 84 C0 74 5B 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 49 83 3E 00 74 2A EB 06 49 83 3E 00 75 22 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 42 0F BE 0C 3E 0F B7 43 0A 3B C8 75 07 B1 01 88 4D C0 EB 2E 48 3B 7D E8 77 7D EB 03 89 7D C4 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B E1 41 0F B6 C4 0F 42 C8 88 0C 3A 8A 4D C0 48 FF C7 49 3B FD 0F 82 22 FF FF FF 84 C9 74 51 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 49 83 3E 00 74 28 EB 06 49 83 3E 00 75 20 49 FF C4 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF E9 BD FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D0 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D D0 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_42_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z"
		size = 529
		refs = "0024 __security_cookie 0069 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 00f2 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01b1 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01bf _invalid_parameter_noinfo_noreturn 01d4 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 01e6 ?_Deallocate@std@@YAXPEAX_K1@Z 01f5 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E8 4C 8B F2 48 8B D9 41 80 39 00 74 1D 41 8A 11 49 8B C9 49 8D 45 01 41 3A 11 49 0F 45 C5 4C 8B E8 48 FF C1 8A 11 84 D2 75 E9 45 33 C0 49 8B D5 48 8D 4D D0 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 BC 01 00 00 00 32 C9 88 4D C0 33 F6 33 FF 4D 85 ED 0F 84 3D 01 00 00 EB 08 41 3A 07 74 0B 48 FF C6 42 8A 04 3E 84 C0 75 F0 48 3B 7D E8 0F 87 1B 01 00 00 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 80 3C 38 00 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 38 48 03 F0 E9 8E 00 00 00 49 03 F4 42 8A 04 3E 41 3A 07 74 5F 84 C0 74 5B 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 49 83 3E 00 74 2A EB 06 49 83 3E 00 75 22 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 42 0F BE 0C 3E 0F B7 43 0A 3B C8 75 07 B1 01 88 4D C0 EB 2E 48 3B 7D E8 77 7D EB 03 89 7D C4 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B E1 41 0F B6 C4 0F 42 C8 88 0C 3A 8A 4D C0 48 FF C7 49 3B FD 0F 82 22 FF FF FF 84 C9 74 51 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 49 83 3E 00 74 28 EB 06 49 83 3E 00 75 20 49 FF C4 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF E9 BD FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D0 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D D0 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_44_1 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
		size = 552
		refs = "0024 __security_cookie 006f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0104 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01c8 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01d6 _invalid_parameter_noinfo_noreturn 01eb ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 01fd ?_Deallocate@std@@YAXPEAX_K1@Z 020c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E8 4C 8B F2 48 8B D9 45 33 C0 41 8B D0 66 45 39 01 74 20 41 0F B7 09 49 8D 45 01 66 41 3B 09 49 0F 45 C5 4C 8B E8 48 FF C2 41 0F B7 0C 51 66 85 C9 75 E4 49 8B D5 48 8D 4D D0 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 BC 01 00 00 00 45 33 C0 41 8A C8 88 4D C0 41 8B F0 41 8B F8 4D 85 ED 0F 84 48 01 00 00 EB 09 66 41 3B 07 74 0D 48 FF C6 41 0F B7 04 77 66 85 C0 75 ED 48 3B 7D E8 0F 87 23 01 00 00 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 44 38 04 38 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 38 48 03 F0 E9 94 00 00 00 49 03 F4 41 0F B7 04 77 66 41 3B 07 74 63 66 85 C0 74 5E 44 38 43 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 03 75 07 4D 39 06 74 2A EB 05 4D 39 06 75 23 44 38 43 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 0F B7 43 0A 66 41 39 04 77 75 07 B1 01 88 4D C0 EB 2E 48 3B 7D E8 77 7F EB 03 89 7D C4 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B E1 41 0F B6 C4 0F 42 C8 88 0C 3A 8A 4D C0 48 FF C7 49 3B FD 0F 82 1A FF FF FF 84 C9 74 53 44 38 43 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 03 75 07 4D 39 06 74 27 EB 05 4D 39 06 75 20 49 FF C4 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF E9 AC FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D0 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D D0 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_46_1 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
		size = 552
		refs = "0024 __security_cookie 006f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0104 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01c8 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01d6 _invalid_parameter_noinfo_noreturn 01eb ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 01fd ?_Deallocate@std@@YAXPEAX_K1@Z 020c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E8 4C 8B F2 48 8B D9 45 33 C0 41 8B D0 66 45 39 01 74 20 41 0F B7 09 49 8D 45 01 66 41 3B 09 49 0F 45 C5 4C 8B E8 48 FF C2 41 0F B7 0C 51 66 85 C9 75 E4 49 8B D5 48 8D 4D D0 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 BC 01 00 00 00 45 33 C0 41 8A C8 88 4D C0 41 8B F0 41 8B F8 4D 85 ED 0F 84 48 01 00 00 EB 09 66 41 3B 07 74 0D 48 FF C6 41 0F B7 04 77 66 85 C0 75 ED 48 3B 7D E8 0F 87 23 01 00 00 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 44 38 04 38 74 1B 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 48 0F BE 04 38 48 03 F0 E9 94 00 00 00 49 03 F4 41 0F B7 04 77 66 41 3B 07 74 63 66 85 C0 74 5E 44 38 43 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 03 75 07 4D 39 06 74 2A EB 05 4D 39 06 75 23 44 38 43 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 0F B7 43 0A 66 41 39 04 77 75 07 B1 01 88 4D C0 EB 2E 48 3B 7D E8 77 7F EB 03 89 7D C4 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 B9 7F 00 00 00 4C 3B E1 41 0F B6 C4 0F 42 C8 88 0C 3A 8A 4D C0 48 FF C7 49 3B FD 0F 82 1A FF FF FF 84 C9 74 53 44 38 43 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 03 75 07 4D 39 06 74 27 EB 05 4D 39 06 75 20 49 FF C4 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF E9 AC FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D0 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D D0 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_48_1 {
	meta:
		name = "??$_Getvals@G@?$_Mpunct@G@std@@IEAAXGPEBUlconv@@@Z"
		size = 238
		refs = "0031 ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 003c ??_C@_00CNPNBAHC@?$AA@ 005b ??_C@_01JOAMLHOP@?9?$AA@ 00a1 _Mbrtowc"
	strings:
		$1 = { 40 55 53 56 57 41 57 48 8B EC 48 83 EC 30 45 33 FF 49 8B D8 48 8B F9 44 38 79 44 74 06 49 8B 48 18 EB 04 49 8B 48 20 48 8D 77 48 33 D2 4C 8B C6 E8 ?? ?? ?? ?? 48 89 47 20 48 8D 0D ?? ?? ?? ?? 80 7B 56 04 77 04 48 8B 4B 40 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 47 28 48 8D 0D ?? ?? ?? ?? 80 7B 57 04 77 04 48 8B 4B 48 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 47 30 4C 8D 4D 48 48 8B 43 28 48 8D 55 30 66 44 89 7D 40 48 89 74 24 20 8A 08 33 C0 88 4D 30 48 8D 4D 40 48 89 45 48 44 8D 40 01 E8 ?? ?? ?? ?? 0F B7 45 40 4C 8D 4D 48 66 89 47 18 48 8D 55 30 48 8B 43 30 66 44 89 7D 40 48 89 74 24 20 8A 08 33 C0 88 4D 30 48 8D 4D 40 48 89 45 48 44 8D 40 01 E8 ?? ?? ?? ?? 0F B7 45 40 66 89 47 1A 48 83 C4 30 41 5F 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_49_1 {
	meta:
		name = "??$_Getvals@G@?$numpunct@G@std@@IEAAXGPEBUlconv@@U_Cvtvec@@@Z"
		size = 144
		refs = "0043 _Mbrtowc"
	strings:
		$1 = { 40 55 53 56 57 41 57 48 8B EC 48 83 EC 50 49 8B 00 45 33 FF 49 8B F9 4C 89 4C 24 20 49 8B D8 66 44 89 7D E8 48 8B F1 4C 8D 4D F0 8A 10 45 8D 47 01 88 55 E0 48 8D 4D E8 33 C0 48 8D 55 E0 48 89 45 F0 E8 ?? ?? ?? ?? 0F B7 45 E8 4C 8D 4D F0 66 89 46 18 45 8D 47 01 48 8B 43 08 48 8D 55 E0 66 44 89 7D E8 48 89 7C 24 20 8A 08 33 C0 88 4D E0 48 8D 4D E8 48 89 45 F0 E8 ?? ?? ?? ?? 0F B7 45 E8 66 89 46 1A 48 83 C4 50 41 5F 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_50_1 {
	meta:
		name = "??$_Getvals@G@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXGAEBV_Locinfo@1@@Z"
		size = 263
		refs = "001f _Getcvt 0046 _Getdays 005a ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0062 free 007f ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@ 0089 ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 0092 _Getmonths 00cb ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@ 00e5 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 8B E9 49 8B D8 48 8D 48 C8 E8 ?? ?? ?? ?? 48 8D 75 2C 0F 10 00 0F 11 06 0F 10 48 10 0F 11 4E 10 F2 0F 10 40 20 F2 0F 11 46 20 8B 40 28 89 46 28 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 08 00 74 0F 48 8B 4B 08 48 85 C9 75 0D 48 8D 4B 10 EB 07 48 8D 0D ?? ?? ?? ?? 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 45 10 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 18 00 74 0F 48 8B 4B 18 48 85 C9 75 0D 48 8D 4B 20 EB 07 48 8D 0D ?? ?? ?? ?? 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 4C 8B C6 48 89 45 18 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 70 48 89 45 20 48 8B 6C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_41_51_1 {
	meta:
		name = "??$_Getvals@_W@?$_Mpunct@_W@std@@IEAAX_WPEBUlconv@@@Z"
		size = 135
		refs = "0021 ?_Maklocwcs@std@@YAPEA_WPEB_W@Z 002c ??_C@_11LOCGONAA@?$AA?$AA@ 0049 ??_C@_13IMODFHAA@?$AA?9?$AA?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 80 79 44 00 49 8B D8 48 8B F9 74 06 49 8B 48 68 EB 04 49 8B 48 70 E8 ?? ?? ?? ?? 48 89 47 20 48 8D 0D ?? ?? ?? ?? 80 7B 56 04 77 07 48 8B 8B 88 00 00 00 E8 ?? ?? ?? ?? 48 89 47 28 48 8D 0D ?? ?? ?? ?? 80 7B 57 04 77 07 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? 48 89 47 30 48 8B 43 78 0F B7 08 66 89 4F 18 48 8B 83 80 00 00 00 48 8B 5C 24 30 0F B7 08 66 89 4F 1A 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_52_1 {
	meta:
		name = "??$_Getvals@_W@?$numpunct@_W@std@@IEAAX_WPEBUlconv@@U_Cvtvec@@@Z"
		size = 23
	strings:
		$1 = { 49 8B 40 58 0F B7 10 66 89 51 18 49 8B 40 60 0F B7 10 66 89 51 1A C3 }
	condition:
		$1
}

rule file_41_53_1 {
	meta:
		name = "??$_Getvals@_W@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAX_WAEBV_Locinfo@1@@Z"
		size = 236
		refs = "001b _Getcvt 003f _W_Getdays 0053 ??4?$_Yarn@_W@std@@QEAAAEAV01@PEB_W@Z 005b free 0078 ??_C@_1KM@LPDIELBN@?$AA?3?$AAS?$AAu?$AAn?$AA?3?$AAS?$AAu?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAM?$AAo?$AAn?$AA?3?$AAM?$AAo?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAT?$AAu?$AAe?$AA?3?$AAT?$AAu?$AAe?$AAs?$AAd@ 007d ?_Maklocwcs@std@@YAPEA_WPEB_W@Z 0086 _W_Getmonths 00bf ??_C@_1BAO@JIKOGLKA@?$AA?3?$AAJ?$AAa?$AAn?$AA?3?$AAJ?$AAa?$AAn?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAF?$AAe?$AAb?$AA?3?$AAF?$AAe?$AAb?$AAr?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAM?$AAa?$AAr?$AA?3?$AAM?$AAa@ 00cb ??_C@_1BK@MHIKGOKE@?$AA?3?$AAA?$AAM?$AA?3?$AAa?$AAm?$AA?3?$AAP?$AAM?$AA?3?$AAp?$AAm?$AA?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B F1 49 8B D8 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 2C 0F 10 48 10 0F 11 4E 3C F2 0F 10 40 20 F2 0F 11 46 4C 8B 40 28 89 46 54 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 28 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 28 00 74 0F 48 8B 4B 28 48 85 C9 75 0D 48 8D 4B 30 EB 07 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 46 10 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 38 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 38 00 74 0F 48 8B 4B 38 48 85 C9 75 0D 48 8D 4B 40 EB 07 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 46 18 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 89 46 20 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_41_56_1 {
	meta:
		name = "??$_LStrcoll@G@std@@YAHPEBG000PEBU_Collvec@@@Z"
		size = 62
	strings:
		$1 = { EB 1B 4D 3B C1 74 1B 41 0F B7 00 66 39 01 72 2A 66 3B 01 72 1F 48 83 C1 02 49 83 C0 02 48 3B CA 75 E0 33 C0 48 3B CA 0F 95 C0 83 C9 FF 4D 3B C1 0F 45 C1 C3 B8 01 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_41_58_1 {
	meta:
		name = "??$_LStrxfrm@G@std@@YA_KPEAG0PEBG1PEBU_Collvec@@@Z"
		size = 47
		refs = "0022 memcpy_s"
	strings:
		$1 = { 40 53 48 83 EC 20 48 2B D1 49 8B D9 49 2B D8 48 D1 FA 48 D1 FB 48 3B DA 77 0C 4C 8D 0C 1B 48 03 D2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_60_1 {
	meta:
		name = "??$_Maklocchr@G@std@@YAGDPEAGAEBU_Cvtvec@@@Z"
		size = 57
		refs = "002b _Mbrtowc"
		altNames = "??$_Maklocchr@_W@std@@YA_WDPEA_WAEBU_Cvtvec@@@Z"
	strings:
		$1 = { 88 4C 24 08 4C 8B DC 48 83 EC 48 33 C0 4D 89 43 D8 4D 8D 4B E8 66 89 44 24 68 49 8D 53 08 49 89 43 E8 49 8D 4B 20 44 8D 40 01 E8 ?? ?? ?? ?? 0F B7 44 24 68 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_41_63_1 {
	meta:
		name = "??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z"
		size = 232
		refs = "005b _Mbrtowc 007c calloc 00e3 ?_Xbad_alloc@std@@YAXXZ"
		altNames = "??$_Maklocstr@_W@std@@YAPEA_WPEBDPEA_WAEBU_Cvtvec@@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 56 57 41 54 41 56 41 57 48 83 EC 40 33 C0 48 83 CF FF 49 89 43 20 45 33 E4 4D 8B F8 48 8B E9 48 FF C7 44 38 24 0F 75 F7 48 83 C7 01 49 8B DC 48 8B F7 4C 8B F1 74 2E 4C 8D 8C 24 88 00 00 00 4C 89 7C 24 20 4C 8B C6 48 8D 4C 24 70 49 8B D6 E8 ?? ?? ?? ?? 85 C0 7E 0D 48 98 48 FF C3 4C 03 F0 48 2B F0 75 D2 48 FF C3 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 5A 48 8B F0 33 C0 48 89 44 24 30 48 85 DB 74 2B 4C 8D 4C 24 30 4C 89 7C 24 20 4C 8B C7 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 85 C0 7E 0F 48 98 48 83 C6 02 48 03 E8 48 83 EB 01 75 D5 4C 8D 5C 24 40 66 44 89 26 49 8B 5B 38 49 8B C6 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_93_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z"
		size = 241
		refs = "0065 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0098 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 00dc ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D 6C 24 A9 48 81 EC C0 00 00 00 49 8B 00 0F 57 C0 48 8B D9 F3 0F 7F 45 C7 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 C7 49 8B 40 10 48 89 45 D7 48 8B 02 F3 0F 7F 45 DF 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 DF 48 8B 42 10 48 8D 55 27 48 89 45 EF E8 ?? ?? ?? ?? 0F 57 C0 F3 0F 7F 45 F7 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D F7 48 8B 40 10 48 8D 55 3F 48 8B CB 48 89 45 07 E8 ?? ?? ?? ?? 0F 57 C0 F3 0F 7F 45 0F 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D 0F 48 8B 40 10 4C 8D 4D DF 48 89 45 1F 4C 8D 45 F7 48 8D 45 C7 48 8B CB 48 8D 55 0F 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 C0 00 00 00 5D C3 }
	condition:
		$1
}

rule file_68_39_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z"
		size = 241
		refs = "0065 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0098 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00dc ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D 6C 24 A9 48 81 EC C0 00 00 00 49 8B 00 0F 57 C0 48 8B D9 F3 0F 7F 45 C7 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 C7 49 8B 40 10 48 89 45 D7 48 8B 02 F3 0F 7F 45 DF 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 DF 48 8B 42 10 48 8D 55 27 48 89 45 EF E8 ?? ?? ?? ?? 0F 57 C0 F3 0F 7F 45 F7 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D F7 48 8B 40 10 48 8D 55 3F 48 8B CB 48 89 45 07 E8 ?? ?? ?? ?? 0F 57 C0 F3 0F 7F 45 0F 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D 0F 48 8B 40 10 4C 8D 4D DF 48 89 45 1F 4C 8D 45 F7 48 8D 45 C7 48 8B CB 48 8D 55 0F 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 C0 00 00 00 5D C3 }
	condition:
		$1
}

rule file_41_94_1 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z"
		size = 241
		refs = "0065 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0098 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00dc ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D 6C 24 A9 48 81 EC C0 00 00 00 49 8B 00 0F 57 C0 48 8B D9 F3 0F 7F 45 C7 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 C7 49 8B 40 10 48 89 45 D7 48 8B 02 F3 0F 7F 45 DF 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 DF 48 8B 42 10 48 8D 55 27 48 89 45 EF E8 ?? ?? ?? ?? 0F 57 C0 F3 0F 7F 45 F7 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D F7 48 8B 40 10 48 8D 55 3F 48 8B CB 48 89 45 07 E8 ?? ?? ?? ?? 0F 57 C0 F3 0F 7F 45 0F 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 48 8B 09 48 89 4D 0F 48 8B 40 10 4C 8D 4D DF 48 89 45 1F 4C 8D 45 F7 48 8D 45 C7 48 8B CB 48 8D 55 0F 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 C0 00 00 00 5D C3 }
	condition:
		$1
}

rule file_41_191_1 {
	meta:
		name = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@G_JPEBGAEBGU_Iterator_base12@2@@std@@QEAA@$$QEAU01@@Z"
		size = 35
		altNames = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@D_JPEBDAEBDU_Iterator_base12@2@@std@@QEAA@$$QEAU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@D_JPEBDAEBDU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@G_JPEBGAEBGU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_W_JPEB_WAEB_WU_Iterator_base12@2@@std@@QEAA@$$QEAU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_W_JPEB_WAEB_WU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z ??0_Iterator_base12@std@@QEAA@AEBU01@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 48 8B 02 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_197_1 {
	meta:
		name = "??0?$_Mpunct@G@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002e ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_81_1 {
	meta:
		name = "??0?$_Mpunct@D@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002e ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_199_1 {
	meta:
		name = "??0?$_Mpunct@_W@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002e ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_204_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@$$QEAV01@@Z"
		size = 43
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@$$QEAV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@$$QEAV01@@Z ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 48 8B 02 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B 42 10 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_207_1 {
	meta:
		name = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAA@XZ"
		size = 17
		altNames = "??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAA@XZ ??0?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_239_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@$$QEAV01@@Z"
		size = 143
		refs = "0036 ?_Allocate@std@@YAPEAX_K0_N@Z 0077 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 48 8B FA 48 8B D9 33 F6 48 89 31 48 89 71 18 48 89 71 20 41 B0 01 8D 56 10 8D 4E 01 E8 ?? ?? ?? ?? 90 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 73 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 30 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_249_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@$$QEAV01@@Z"
		size = 143
		refs = "0036 ?_Allocate@std@@YAPEAX_K0_N@Z 0077 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 48 8B FA 48 8B D9 33 F6 48 89 31 48 89 71 18 48 89 71 20 41 B0 01 8D 56 10 8D 4E 01 E8 ?? ?? ?? ?? 90 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 73 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 30 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_240_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z"
		size = 152
		refs = "0039 ?_Allocate@std@@YAPEAX_K0_N@Z 0080 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B FA 48 8B D9 33 F6 48 89 31 48 89 71 18 48 89 71 20 41 B0 01 8D 56 10 8D 4E 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 73 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 30 49 83 C9 FF 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_250_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
		size = 152
		refs = "0039 ?_Allocate@std@@YAPEAX_K0_N@Z 0080 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B FA 48 8B D9 33 F6 48 89 31 48 89 71 18 48 89 71 20 41 B0 01 8D 56 10 8D 4E 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 73 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 30 49 83 C9 FF 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_242_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
		size = 169
		refs = "0039 ?_Allocate@std@@YAPEAX_K0_N@Z 0091 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B D9 33 FF 48 89 39 48 89 79 18 48 89 79 20 41 B0 01 8D 57 10 8D 4F 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 7B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 38 66 39 3E 74 10 48 83 C8 FF 48 FF C0 66 39 3C 46 75 F7 48 8B F8 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_252_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
		size = 169
		refs = "0039 ?_Allocate@std@@YAPEAX_K0_N@Z 0091 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B F2 48 8B D9 33 FF 48 89 39 48 89 79 18 48 89 79 20 41 B0 01 8D 57 10 8D 4F 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 7B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 38 66 39 3E 74 10 48 83 C8 FF 48 FF C0 66 39 3C 46 75 F7 48 8B F8 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_244_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG_K@Z"
		size = 160
		refs = "0040 ?_Allocate@std@@YAPEAX_K0_N@Z 0083 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 49 8B F8 48 8B F2 48 8B D9 33 ED 48 89 29 48 89 69 18 48 89 69 20 41 B0 01 8D 55 10 8D 4D 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 6B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 28 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_254_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W_K@Z"
		size = 160
		refs = "0040 ?_Allocate@std@@YAPEAX_K0_N@Z 0083 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 49 8B F8 48 8B F2 48 8B D9 33 ED 48 89 29 48 89 69 18 48 89 69 20 41 B0 01 8D 55 10 8D 4D 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 6B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 28 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_246_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 118
		refs = "002e ?_Allocate@std@@YAPEAX_K0_N@Z"
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B D9 33 FF 48 89 39 48 89 79 18 48 89 79 20 41 B0 01 8D 57 10 8D 4F 01 E8 ?? ?? ?? ?? 90 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 7B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 38 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_247_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z"
		size = 162
		refs = "0041 ?_Allocate@std@@YAPEAX_K0_N@Z 0085 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 0F B7 F8 48 8B F2 48 8B D9 33 ED 48 89 29 48 89 69 18 48 89 69 20 41 B0 01 8D 55 10 8D 4D 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 6B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 28 44 0F B7 C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_257_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z"
		size = 162
		refs = "0041 ?_Allocate@std@@YAPEAX_K0_N@Z 0085 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 0F B7 F8 48 8B F2 48 8B D9 33 ED 48 89 29 48 89 69 18 48 89 69 20 41 B0 01 8D 55 10 8D 4D 01 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 07 00 00 00 48 89 6B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 89 28 44 0F B7 C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_261_1 {
	meta:
		name = "??0?$collate@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 50
		refs = "0009 ??_7?$collate@G@std@@6B@ 001d _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 43 10 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_107_1 {
	meta:
		name = "??0?$collate@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 50
		refs = "0009 ??_7?$collate@D@std@@6B@ 001d _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 43 10 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_262_1 {
	meta:
		name = "??0?$collate@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 50
		refs = "0009 ??_7?$collate@_W@std@@6B@ 001d _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 05 ?? ?? ?? ?? 44 89 41 08 48 89 01 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 43 10 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_271_1 {
	meta:
		name = "??0?$moneypunct@G$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002c ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@G$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_112_1 {
	meta:
		name = "??0?$moneypunct@D$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002c ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@D$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_275_1 {
	meta:
		name = "??0?$moneypunct@_W$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002c ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@_W$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_273_1 {
	meta:
		name = "??0?$moneypunct@G$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002c ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@G$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_114_1 {
	meta:
		name = "??0?$moneypunct@D$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002c ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@D$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_277_1 {
	meta:
		name = "??0?$moneypunct@_W$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002c ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@_W$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_287_1 {
	meta:
		name = "??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_116_1 {
	meta:
		name = "??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_289_1 {
	meta:
		name = "??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 44 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_291_1 {
	meta:
		name = "??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 78
		refs = "0017 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 002c ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0041 free"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 20 48 8B D9 44 89 41 08 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 8D 54 24 30 48 89 0B 48 8B C8 48 83 63 10 00 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_118_1 {
	meta:
		name = "??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 78
		refs = "0017 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 002c ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0041 free"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 20 48 8B D9 44 89 41 08 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 8D 54 24 30 48 89 0B 48 8B C8 48 83 63 10 00 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_292_1 {
	meta:
		name = "??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 78
		refs = "0017 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 002c ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0041 free"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 20 48 8B D9 44 89 41 08 48 8B C2 48 8D 0D ?? ?? ?? ?? 48 8D 54 24 30 48 89 0B 48 8B C8 48 83 63 10 00 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_330_1 {
	meta:
		name = "??1?$_Mpunct@G@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@G@std@@6B@ 0018 free 003a ??_7_Facet_base@std@@6B@"
		altNames = "??1?$moneypunct@G$00@std@@MEAA@XZ ??1?$moneypunct@G$0A@@std@@MEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_150_1 {
	meta:
		name = "??1?$_Mpunct@D@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@D@std@@6B@ 0018 free 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_331_1 {
	meta:
		name = "??1?$_Mpunct@_W@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 free 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_163_1 {
	meta:
		name = "??1?$moneypunct@D$00@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@D@std@@6B@ 0018 free 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_164_1 {
	meta:
		name = "??1?$moneypunct@D$0A@@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@D@std@@6B@ 0018 free 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_361_1 {
	meta:
		name = "??1?$moneypunct@_W$00@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 free 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_362_1 {
	meta:
		name = "??1?$moneypunct@_W$0A@@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 free 003a ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_349_1 {
	meta:
		name = "??1?$collate@G@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$collate@G@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_158_1 {
	meta:
		name = "??1?$collate@D@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$collate@D@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_350_1 {
	meta:
		name = "??1?$collate@_W@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$collate@_W@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_369_1 {
	meta:
		name = "??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 free 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_165_1 {
	meta:
		name = "??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 free 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_370_1 {
	meta:
		name = "??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 free 0031 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_371_1 {
	meta:
		name = "??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_166_1 {
	meta:
		name = "??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_372_1 {
	meta:
		name = "??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 free 001f ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_392_1 {
	meta:
		name = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@G_JPEBGAEBGU_Iterator_base12@2@@std@@QEAAAEAU01@$$QEAU01@@Z"
		size = 31
		altNames = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@D_JPEBDAEBDU_Iterator_base12@2@@std@@QEAAAEAU01@$$QEAU01@@Z ??4?$_Iterator012@Urandom_access_iterator_tag@std@@_W_JPEB_WAEB_WU_Iterator_base12@2@@std@@QEAAAEAU01@$$QEAU01@@Z ??4_Iterator_base12@std@@QEAAAEAU01@AEBU01@@Z"
	strings:
		$1 = { 48 8B 02 48 39 01 74 13 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_394_1 {
	meta:
		name = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 39
		altNames = "??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@$$QEAV01@@Z ??4?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@$$QEAV01@@Z"
	strings:
		$1 = { 48 8B 02 48 39 01 74 13 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B 42 10 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_399_1 {
	meta:
		name = "??4?$_Yarn@_W@std@@QEAAAEAV01@PEB_W@Z"
		size = 130
		refs = "002a free 004f malloc 0066 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 8B FA 48 8B 09 48 3B CA 74 48 33 ED 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 89 2E 48 85 FF 74 34 48 8B DF 66 39 2F 74 09 48 83 C3 02 66 39 2B 75 F7 48 2B DF 48 8D 4B 02 E8 ?? ?? ?? ?? 48 89 06 48 85 C0 74 0F 4C 8D 43 02 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_404_1 {
	meta:
		name = "??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
		size = 45
		refs = "0013 ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 48 85 C9 74 0F E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 03 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_405_1 {
	meta:
		name = "??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
		size = 45
		refs = "0013 ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 48 85 C9 74 0F E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 03 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_408_1 {
	meta:
		name = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_NAEBV01@@Z"
		size = 63
		refs = "003a _invalid_parameter_noinfo_noreturn"
		altNames = "??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_NAEBV01@@Z ??8?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_NAEBV01@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4C 8B C9 4D 85 C0 75 05 44 8B C0 EB 03 4D 8B 00 48 8B 0A 48 85 C9 74 03 48 8B 01 4C 3B C0 75 10 48 8B 42 10 49 39 41 10 0F 94 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_410_1 {
	meta:
		name = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_NAEBV01@@Z"
		size = 63
		refs = "003a _invalid_parameter_noinfo_noreturn"
		altNames = "??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_NAEBV01@@Z ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_NAEBV01@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4C 8B C9 4D 85 C0 75 05 44 8B C0 EB 03 4D 8B 00 48 8B 0A 48 85 C9 74 03 48 8B 01 4C 3B C0 75 10 48 8B 42 10 49 39 41 10 0F 95 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_414_1 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAG_K@Z"
		size = 42
		refs = "0025 _invalid_parameter_noinfo_noreturn"
		altNames = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAAEBG_K@Z ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEA_W_K@Z ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAAEB_W_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 3B 51 18 77 1A 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 04 51 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_419_1 {
	meta:
		name = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAAEBGXZ"
		size = 87
		refs = "0046 _invalid_parameter_noinfo_noreturn"
		altNames = "??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAAEAGXZ ??D?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEA_WXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 10 48 85 C0 74 38 48 8B 09 48 85 C9 74 3C 48 8B 09 48 85 C9 74 34 48 83 79 20 08 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 3B D0 77 18 48 8B 49 18 48 8D 14 4A 48 3B C2 73 0B 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_423_1 {
	meta:
		name = "??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBAGXZ"
		size = 30
		refs = "0010 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 0F B7 43 0A 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_424_1 {
	meta:
		name = "??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_WXZ"
		size = 30
		refs = "0010 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 0F B7 43 0A 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_427_1 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@XZ"
		size = 96
		refs = "004f _invalid_parameter_noinfo_noreturn"
		altNames = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@XZ"
	strings:
		$1 = { 48 83 EC 28 4C 8B 41 10 48 8B D1 4D 85 C0 74 3E 48 8B 01 48 85 C0 74 42 48 8B 00 48 85 C0 74 3A 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 4C 3B C1 73 16 49 8D 40 02 48 89 42 10 48 8B C2 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_435_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_JAEBV01@@Z"
		size = 63
		refs = "003a _invalid_parameter_noinfo_noreturn"
		altNames = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_JAEBV01@@Z ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_JAEBV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@@Z ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_JAEBV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4C 8B C9 4D 85 C0 75 05 44 8B C0 EB 03 4D 8B 00 48 8B 0A 48 85 C9 74 03 48 8B 01 4C 3B C0 75 10 49 8B 41 10 48 2B 42 10 48 D1 F8 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_437_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 49 8B D0 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_68_205_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 49 8B D0 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_41_439_1 {
	meta:
		name = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 49 8B D0 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_41_441_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 115
		refs = "003c ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 8B D0 48 8D 4C 24 20 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_68_207_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 115
		refs = "003c ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 8B D0 48 8D 4C 24 20 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_41_442_1 {
	meta:
		name = "??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z"
		size = 115
		refs = "003c ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 0F 57 C0 48 8B DA F3 0F 7F 44 24 20 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 8B D0 48 8D 4C 24 20 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_41_443_1 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 110
		refs = "005d _invalid_parameter_noinfo_noreturn"
		altNames = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B C1 48 85 D2 74 40 4C 8B 49 10 4D 85 C9 74 47 48 8B 01 48 85 C0 74 4B 48 8B 00 48 85 C0 74 43 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 4D 8D 14 51 49 3B CA 77 23 48 8B 40 18 48 8D 0C 41 4C 3B D1 77 16 48 8D 04 12 49 01 40 10 49 8B C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_452_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_211_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_453_1 {
	meta:
		name = "??Z?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_454_1 {
	meta:
		name = "??_G?$_Mpunct@G@std@@MEAAPEAXI@Z"
		size = 103
		refs = "000d ??_7?$_Mpunct@G@std@@6B@ 001e free 0040 ??_7_Facet_base@std@@6B@ 0055 ??3@YAXPEAX_K@Z"
		altNames = "??_G?$moneypunct@G$00@std@@MEAAPEAXI@Z ??_G?$moneypunct@G$0A@@std@@MEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_212_1 {
	meta:
		name = "??_G?$_Mpunct@D@std@@MEAAPEAXI@Z"
		size = 103
		refs = "000d ??_7?$_Mpunct@D@std@@6B@ 001e free 0040 ??_7_Facet_base@std@@6B@ 0055 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_455_1 {
	meta:
		name = "??_G?$_Mpunct@_W@std@@MEAAPEAXI@Z"
		size = 103
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e free 0040 ??_7_Facet_base@std@@6B@ 0055 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_218_1 {
	meta:
		name = "??_G?$moneypunct@D$00@std@@MEAAPEAXI@Z"
		size = 103
		refs = "000d ??_7?$_Mpunct@D@std@@6B@ 001e free 0040 ??_7_Facet_base@std@@6B@ 0055 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_219_1 {
	meta:
		name = "??_G?$moneypunct@D$0A@@std@@MEAAPEAXI@Z"
		size = 103
		refs = "000d ??_7?$_Mpunct@D@std@@6B@ 001e free 0040 ??_7_Facet_base@std@@6B@ 0055 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_470_1 {
	meta:
		name = "??_G?$moneypunct@_W$00@std@@MEAAPEAXI@Z"
		size = 103
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e free 0040 ??_7_Facet_base@std@@6B@ 0055 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_471_1 {
	meta:
		name = "??_G?$moneypunct@_W$0A@@std@@MEAAPEAXI@Z"
		size = 103
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e free 0040 ??_7_Facet_base@std@@6B@ 0055 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_458_1 {
	meta:
		name = "??_G?$collate@G@std@@MEAAPEAXI@Z"
		size = 76
		refs = "000d ??_7?$collate@G@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 003a ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 20 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_213_1 {
	meta:
		name = "??_G?$collate@D@std@@MEAAPEAXI@Z"
		size = 76
		refs = "000d ??_7?$collate@D@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 003a ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 20 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_459_1 {
	meta:
		name = "??_G?$collate@_W@std@@MEAAPEAXI@Z"
		size = 76
		refs = "000d ??_7?$collate@_W@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 003a ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 20 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_478_1 {
	meta:
		name = "??_G?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 94
		refs = "000d ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 001e free 0037 ??_7_Facet_base@std@@6B@ 004c ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 58 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_220_1 {
	meta:
		name = "??_G?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 94
		refs = "000d ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 001e free 0037 ??_7_Facet_base@std@@6B@ 004c ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 58 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_479_1 {
	meta:
		name = "??_G?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 94
		refs = "000d ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 001e free 0037 ??_7_Facet_base@std@@6B@ 004c ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 58 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_480_1 {
	meta:
		name = "??_G?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 76
		refs = "000d ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 003a ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 18 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_221_1 {
	meta:
		name = "??_G?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 76
		refs = "000d ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 003a ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 18 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_481_1 {
	meta:
		name = "??_G?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 76
		refs = "000d ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 001e free 0025 ??_7_Facet_base@std@@6B@ 003a ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 8B 49 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 0D BA 18 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_499_1 {
	meta:
		name = "?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
		size = 139
		refs = "0034 memmove"
		altNames = "?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B DA 48 83 7A 20 08 48 8B F9 73 1C 4C 8B 42 18 49 83 C0 01 74 23 48 83 C1 08 4D 03 C0 48 83 C2 08 E8 ?? ?? ?? ?? EB 11 48 83 C1 08 74 07 48 8B 42 08 48 89 01 48 89 72 08 48 8B 43 18 48 89 47 18 48 8B 43 20 48 89 47 20 48 C7 43 20 07 00 00 00 48 83 7B 20 08 48 89 73 18 72 06 48 8B 5B 08 EB 04 48 83 C3 08 66 89 33 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_507_1 {
	meta:
		name = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0G@Z"
		size = 77
		altNames = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0_W@Z"
	strings:
		$1 = { 48 89 7C 24 08 49 83 F8 01 75 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 66 44 89 0C 51 EB 24 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 3C 51 4D 85 C0 74 0A 41 0F B7 C1 49 8B C8 66 F3 AB 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_41_515_1 {
	meta:
		name = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAXAEBV12@@Z"
		size = 48
		refs = "002b _invalid_parameter_noinfo_noreturn"
		altNames = "?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAXAEBV12@@Z ?_Compat@?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAXAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 33 C0 48 85 C9 75 04 8B C8 EB 03 48 8B 09 48 8B 12 48 85 D2 74 03 48 8B 02 48 3B C8 75 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_522_1 {
	meta:
		name = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
		size = 260
		refs = "0081 ?_Allocate@std@@YAPEAX_K0_N@Z 00c4 memcpy 00d1 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 48 C7 40 C8 FE FF FF FF 49 8B F0 48 8B F9 48 8B DA 48 83 CB 07 49 B9 FE FF FF FF FF FF FF 7F 49 3B D9 76 05 48 8B DA EB 31 4C 8B 41 20 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E3 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 1C 01 76 03 49 8B D9 48 8D 4B 01 41 B0 01 BA 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B F0 EB 14 48 8B 7C 24 60 48 8B 74 24 70 48 8B 5C 24 68 4C 8B 74 24 78 45 33 FF 48 85 F6 74 22 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 85 F6 74 0C 4C 8D 04 36 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 B2 01 48 8B CF E8 ?? ?? ?? ?? 48 8D 47 08 48 85 C0 74 03 4C 89 30 48 89 5F 20 48 89 77 18 48 83 7F 20 08 72 03 48 8B 00 66 44 89 3C 70 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_527_1 {
	meta:
		name = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
		size = 260
		refs = "0081 ?_Allocate@std@@YAPEAX_K0_N@Z 00c4 memcpy 00d1 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 48 C7 40 C8 FE FF FF FF 49 8B F0 48 8B F9 48 8B DA 48 83 CB 07 49 B9 FE FF FF FF FF FF FF 7F 49 3B D9 76 05 48 8B DA EB 31 4C 8B 41 20 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E3 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 1C 01 76 03 49 8B D9 48 8D 4B 01 41 B0 01 BA 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B F0 EB 14 48 8B 7C 24 60 48 8B 74 24 70 48 8B 5C 24 68 4C 8B 74 24 78 45 33 FF 48 85 F6 74 22 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 85 F6 74 0C 4C 8D 04 36 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 B2 01 48 8B CF E8 ?? ?? ?? ?? 48 8D 47 08 48 85 C0 74 03 4C 89 30 48 89 5F 20 48 89 77 18 48 83 7F 20 08 72 03 48 8B 00 66 44 89 3C 70 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_524_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z$0"
		size = 42
		refs = "0014 ?_Allocate@std@@YAPEAX_K0_N@Z 001f $LN19"
		altNames = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z$0"
	strings:
		$1 = { 48 8B 4D 68 48 89 4D 68 48 FF C1 41 B0 01 BA 02 00 00 00 E8 ?? ?? ?? ?? 48 89 45 78 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_41_545_1 {
	meta:
		name = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
		size = 28
		altNames = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
	strings:
		$1 = { 48 83 79 20 08 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 }
	condition:
		$1
}

rule file_41_549_1 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K@Z"
		size = 1365
		refs = "0028 __security_cookie 0083 ??_C@_02MDKMJEGG@eE?$AA@ 008c ??_C@_02OOPEBDOJ@pP?$AA@ 00b1 strcspn 00c5 localeconv 00ea ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00f3 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0110 _guard_check_icall 0145 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z 0193 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 01e0 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0224 _invalid_parameter_noinfo_noreturn 0281 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 02fe ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 04f1 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0505 ?_Deallocate@std@@YAXPEAX_K1@Z 0518 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0536 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 48 89 5C 24 38 4D 8B E0 48 89 55 8F 0F B7 45 6F 66 89 44 24 30 4C 8B 6D 77 48 8B 7D 7F 48 89 7D 87 48 85 FF 74 12 41 8A 45 00 2C 2B A8 FD 75 08 41 BE 01 00 00 00 EB 03 45 33 F6 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 24 48 8D 15 ?? ?? ?? ?? 49 8D 4E 02 48 3B CF 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 49 8B CD E8 ?? ?? ?? ?? 48 89 44 24 20 B8 2E 00 00 00 66 89 44 24 34 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 34 48 8D 54 24 34 49 8B CD E8 ?? ?? ?? ?? 4C 8B F8 48 8D 55 97 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 40 48 8B 75 9F 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 45 33 C0 48 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 8B 44 24 40 48 8B 00 4A 8D 1C 2F 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4C 24 40 FF D7 48 8D 55 97 48 8B 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 9F 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 44 0F B7 E8 48 8B 7D 87 4C 3B FF 74 39 48 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 0F B7 C8 4C 3B 7D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 66 42 89 0C 78 4C 3B FF 4C 0F 44 7C 24 20 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 80 3B 7F 74 40 80 3B 00 7E 3B 48 0F BE 0B 49 8B C7 49 2B C6 48 3B C8 73 2C 4C 2B F9 45 0F B7 CD 41 B8 01 00 00 00 49 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4E C3 48 8B D8 80 38 7F 75 C0 4C 8B 7D C7 48 8B 44 24 38 48 8B 58 28 48 85 DB 7E 0A 49 3B DF 76 05 49 2B DF EB 02 33 DB 8B 40 18 25 C0 01 00 00 41 0F 10 04 24 BE FF FF 00 00 0F 29 44 24 20 83 F8 40 0F 84 1E 01 00 00 3D 00 01 00 00 0F 84 8A 00 00 00 48 85 DB 74 31 48 8B 7C 24 28 44 0F B7 6C 24 30 48 85 FF 74 11 41 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DF 0F 28 44 24 20 F3 41 0F 7F 04 24 33 DB 0F 29 44 24 20 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B EE 4D 85 F6 0F 84 FA 00 00 00 48 39 5C 24 28 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 ED 01 75 D8 E9 C8 00 00 00 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B EE 4D 85 F6 74 2E 48 83 7C 24 28 00 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 ED 01 75 D7 0F 28 44 24 20 F3 41 0F 7F 04 24 0F 29 44 24 20 48 85 DB 74 31 48 8B 7C 24 28 44 0F B7 6C 24 30 48 85 FF 74 11 41 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DF 0F 28 44 24 20 33 DB EB 44 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B EE 4D 85 F6 74 2E 48 83 7C 24 28 00 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 ED 01 75 D7 0F 28 44 24 20 F3 41 0F 7F 04 24 0F 29 44 24 20 4C 3B 75 C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 4A 8D 3C 70 4D 2B FE 74 2E 4C 8B 74 24 28 4D 85 F6 74 10 0F B7 17 49 8B CE E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 EF 01 75 DC 0F 28 44 24 20 F3 41 0F 7F 04 24 48 8B 44 24 38 48 83 60 28 00 41 0F 10 04 24 0F 29 44 24 20 48 85 DB 74 2C 48 8B 7C 24 28 48 85 FF 74 12 0F B7 54 24 30 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DE 0F 28 44 24 20 48 8B 5D 8F F3 0F 7F 03 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? BF 10 00 00 00 44 8B C7 8D 57 F1 48 8B 4D D7 E8 ?? ?? ?? ?? 48 83 65 D7 00 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 44 8B C7 8D 57 F1 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_554_1 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K@Z"
		size = 1365
		refs = "0028 __security_cookie 0083 ??_C@_02MDKMJEGG@eE?$AA@ 008c ??_C@_02OOPEBDOJ@pP?$AA@ 00b1 strcspn 00c5 localeconv 00ea ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00f3 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0110 _guard_check_icall 0145 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 0193 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 01e0 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0224 _invalid_parameter_noinfo_noreturn 0281 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 02fe ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 04f1 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0505 ?_Deallocate@std@@YAXPEAX_K1@Z 0518 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0536 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 48 89 5C 24 38 4D 8B E0 48 89 55 8F 0F B7 45 6F 66 89 44 24 30 4C 8B 6D 77 48 8B 7D 7F 48 89 7D 87 48 85 FF 74 12 41 8A 45 00 2C 2B A8 FD 75 08 41 BE 01 00 00 00 EB 03 45 33 F6 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 24 48 8D 15 ?? ?? ?? ?? 49 8D 4E 02 48 3B CF 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 49 8B CD E8 ?? ?? ?? ?? 48 89 44 24 20 B8 2E 00 00 00 66 89 44 24 34 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 34 48 8D 54 24 34 49 8B CD E8 ?? ?? ?? ?? 4C 8B F8 48 8D 55 97 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 40 48 8B 75 9F 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 45 33 C0 48 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 8B 44 24 40 48 8B 00 4A 8D 1C 2F 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4C 24 40 FF D7 48 8D 55 97 48 8B 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 9F 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 44 0F B7 E8 48 8B 7D 87 4C 3B FF 74 39 48 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 0F B7 C8 4C 3B 7D C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 66 42 89 0C 78 4C 3B FF 4C 0F 44 7C 24 20 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 80 3B 7F 74 40 80 3B 00 7E 3B 48 0F BE 0B 49 8B C7 49 2B C6 48 3B C8 73 2C 4C 2B F9 45 0F B7 CD 41 B8 01 00 00 00 49 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4E C3 48 8B D8 80 38 7F 75 C0 4C 8B 7D C7 48 8B 44 24 38 48 8B 58 28 48 85 DB 7E 0A 49 3B DF 76 05 49 2B DF EB 02 33 DB 8B 40 18 25 C0 01 00 00 41 0F 10 04 24 BE FF FF 00 00 0F 29 44 24 20 83 F8 40 0F 84 1E 01 00 00 3D 00 01 00 00 0F 84 8A 00 00 00 48 85 DB 74 31 48 8B 7C 24 28 44 0F B7 6C 24 30 48 85 FF 74 11 41 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DF 0F 28 44 24 20 F3 41 0F 7F 04 24 33 DB 0F 29 44 24 20 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B EE 4D 85 F6 0F 84 FA 00 00 00 48 39 5C 24 28 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 ED 01 75 D8 E9 C8 00 00 00 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B EE 4D 85 F6 74 2E 48 83 7C 24 28 00 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 ED 01 75 D7 0F 28 44 24 20 F3 41 0F 7F 04 24 0F 29 44 24 20 48 85 DB 74 31 48 8B 7C 24 28 44 0F B7 6C 24 30 48 85 FF 74 11 41 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DF 0F 28 44 24 20 33 DB EB 44 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B EE 4D 85 F6 74 2E 48 83 7C 24 28 00 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 ED 01 75 D7 0F 28 44 24 20 F3 41 0F 7F 04 24 0F 29 44 24 20 4C 3B 75 C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 4A 8D 3C 70 4D 2B FE 74 2E 4C 8B 74 24 28 4D 85 F6 74 10 0F B7 17 49 8B CE E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 EF 01 75 DC 0F 28 44 24 20 F3 41 0F 7F 04 24 48 8B 44 24 38 48 83 60 28 00 41 0F 10 04 24 0F 29 44 24 20 48 85 DB 74 2C 48 8B 7C 24 28 48 85 FF 74 12 0F B7 54 24 30 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DE 0F 28 44 24 20 48 8B 5D 8F F3 0F 7F 03 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? BF 10 00 00 00 44 8B C7 8D 57 F1 48 8B 4D D7 E8 ?? ?? ?? ?? 48 83 65 D7 00 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 44 8B C7 8D 57 F1 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_590_1 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 295
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008f ??0_Locinfo@std@@QEAA@PEBD@Z 009f ??_7?$collate@G@std@@6B@ 00ac _Getcoll 00cd ??1_Locinfo@std@@QEAA@XZ 00e5 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 00fb ?_Deallocate@std@@YAXPEAX_K1@Z 0110 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC E0 00 00 00 48 C7 44 24 28 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 D0 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 BE 00 00 00 48 39 19 0F 85 B5 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 30 48 85 C0 74 5B 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 28 45 33 C0 B2 01 48 8D 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 D0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 E0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_261_1 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 295
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008f ??0_Locinfo@std@@QEAA@PEBD@Z 009f ??_7?$collate@D@std@@6B@ 00ac _Getcoll 00cd ??1_Locinfo@std@@QEAA@XZ 00e5 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 00fb ?_Deallocate@std@@YAXPEAX_K1@Z 0110 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC E0 00 00 00 48 C7 44 24 28 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 D0 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 BE 00 00 00 48 39 19 0F 85 B5 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 30 48 85 C0 74 5B 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 28 45 33 C0 B2 01 48 8D 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 D0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 E0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_593_1 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 295
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008f ??0_Locinfo@std@@QEAA@PEBD@Z 009f ??_7?$collate@_W@std@@6B@ 00ac _Getcoll 00cd ??1_Locinfo@std@@QEAA@XZ 00e5 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 00fb ?_Deallocate@std@@YAXPEAX_K1@Z 0110 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC E0 00 00 00 48 C7 44 24 28 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 D0 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 BE 00 00 00 48 39 19 0F 85 B5 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 30 48 85 C0 74 5B 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 28 45 33 C0 B2 01 48 8D 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 D0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 E0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_591_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 29
		refs = "0013 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$0@?0??_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 20 00 00 00 48 8B 4D 30 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_592_1 {
	meta:
		name = "?dtor$1@?0??_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 10 83 65 20 FE 48 8D 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_600_1 {
	meta:
		name = "?_Getcat@?$messages@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$messages@G@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_68_266_1 {
	meta:
		name = "?_Getcat@?$messages@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$messages@D@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_602_1 {
	meta:
		name = "?_Getcat@?$messages@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$messages@_W@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_604_1 {
	meta:
		name = "?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_68_268_1 {
	meta:
		name = "?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_606_1 {
	meta:
		name = "?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_68_270_1 {
	meta:
		name = "?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_608_1 {
	meta:
		name = "?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_610_1 {
	meta:
		name = "?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 193
		refs = "003c ??2@YAPEAX_K@Z 005c ??_C@_00CNPNBAHC@?$AA@ 0075 ??0_Locinfo@std@@QEAA@PEBD@Z 0085 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 009f ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 74 70 48 39 31 75 6B 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 3E 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_612_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 223
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@G@std@@6B@ 00a1 ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@G$00@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 99 00 00 00 48 39 31 0F 85 90 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 63 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_272_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 223
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@D@std@@6B@ 00a1 ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@D$00@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 99 00 00 00 48 39 31 0F 85 90 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 63 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_620_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 223
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@_W@std@@6B@ 00a1 ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@_W$00@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 99 00 00 00 48 39 31 0F 85 90 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 63 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_613_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$0@?0??_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 78 00 00 00 48 8B 8D C0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_616_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 223
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@G@std@@6B@ 00a1 ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@G$0A@@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 99 00 00 00 48 39 31 0F 85 90 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 63 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_276_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 223
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@D@std@@6B@ 00a1 ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@D$0A@@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 99 00 00 00 48 39 31 0F 85 90 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 63 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_624_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 223
		refs = "003b ??2@YAPEAX_K@Z 005b ??_C@_00CNPNBAHC@?$AA@ 0074 ??0_Locinfo@std@@QEAA@PEBD@Z 008c ??_7?$_Mpunct@_W@std@@6B@ 00a1 ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 00a9 ??_7?$moneypunct@_W$0A@@std@@6B@ 00c3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 99 00 00 00 48 39 31 0F 85 90 00 00 00 8D 4E 78 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 63 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_644_1 {
	meta:
		name = "?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 202
		refs = "0037 ??2@YAPEAX_K@Z 0057 ??_C@_00CNPNBAHC@?$AA@ 0070 ??0_Locinfo@std@@QEAA@PEBD@Z 0088 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0096 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 00ae ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 84 00 00 00 48 39 31 75 7F 8D 4E 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 52 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_280_1 {
	meta:
		name = "?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 202
		refs = "0037 ??2@YAPEAX_K@Z 0057 ??_C@_00CNPNBAHC@?$AA@ 0070 ??0_Locinfo@std@@QEAA@PEBD@Z 0088 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0096 ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 00ae ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 84 00 00 00 48 39 31 75 7F 8D 4E 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 52 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_648_1 {
	meta:
		name = "?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 202
		refs = "0037 ??2@YAPEAX_K@Z 0057 ??_C@_00CNPNBAHC@?$AA@ 0070 ??0_Locinfo@std@@QEAA@PEBD@Z 0088 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0096 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 00ae ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 84 00 00 00 48 39 31 75 7F 8D 4E 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 C0 00 00 00 48 85 C0 74 52 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 B0 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 B8 00 00 00 48 81 C4 90 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_645_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$0@?0??_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 58 00 00 00 48 8B 8D C0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_652_1 {
	meta:
		name = "?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 246
		refs = "0044 ??2@YAPEAX_K@Z 0064 ??_C@_00CNPNBAHC@?$AA@ 007d ??0_Locinfo@std@@QEAA@PEBD@Z 008d ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 00a5 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00bd free 00d4 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 A1 00 00 00 48 39 31 0F 85 98 00 00 00 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 6B 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 83 63 10 00 48 8D 94 24 A0 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 83 20 00 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_68_284_1 {
	meta:
		name = "?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 246
		refs = "0044 ??2@YAPEAX_K@Z 0064 ??_C@_00CNPNBAHC@?$AA@ 007d ??0_Locinfo@std@@QEAA@PEBD@Z 008d ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 00a5 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00bd free 00d4 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 A1 00 00 00 48 39 31 0F 85 98 00 00 00 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 6B 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 83 63 10 00 48 8D 94 24 A0 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 83 20 00 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_654_1 {
	meta:
		name = "?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 246
		refs = "0044 ??2@YAPEAX_K@Z 0064 ??_C@_00CNPNBAHC@?$AA@ 007d ??0_Locinfo@std@@QEAA@PEBD@Z 008d ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 00a5 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00bd free 00d4 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 A1 00 00 00 48 39 31 0F 85 98 00 00 00 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 6B 48 8B 45 08 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 0D 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 83 63 10 00 48 8D 94 24 A0 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 83 20 00 48 8B 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_41_653_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$0@?0??_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 18 00 00 00 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_656_1 {
	meta:
		name = "?_Getcoll@_Locinfo@std@@QEBA?AU_Collvec@@XZ"
		size = 35
		refs = "000f _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 0F 10 00 48 8B C3 F3 0F 7F 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_661_1 {
	meta:
		name = "?_Getdays@_Locinfo@std@@QEBAPEBDXZ"
		size = 86
		refs = "000e _Getdays 0022 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 002a free 0047 ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 08 00 74 0F 48 8B 43 08 48 85 C0 75 0D 48 8D 43 10 EB 07 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_664_1 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2508
		refs = "0029 __security_cookie 0071 ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 0082 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008b ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00ad _guard_check_icall 00e2 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0106 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0162 ?_Src@?1??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 017d ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01e2 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 026b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 03b5 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03cd _invalid_parameter_noinfo_noreturn 0473 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0485 ?_Deallocate@std@@YAXPEAX_K1@Z 05b9 localeconv 09ad __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC 00 01 00 00 48 C7 44 24 68 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 60 48 8B 7D 77 48 8B 55 7F 48 89 54 24 48 8B 47 18 41 B8 00 30 00 00 41 23 C0 41 3B C0 75 1A 48 89 54 24 28 48 89 7C 24 20 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? E9 2B 09 00 00 48 8D 55 87 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 40 4C 8B 7D 8F 33 DB 4D 85 FF 74 38 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 33 DB 48 85 C0 74 1A 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 33 DB 48 8D 55 BF 49 8B CC E8 ?? ?? ?? ?? 90 4D 8B E5 88 5C 24 31 8A C3 89 44 24 38 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 7C 24 58 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF D3 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 4D EB 05 49 39 1E 75 46 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 07 41 C6 45 00 2B EB 1C 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 11 41 C6 45 00 2D 4D 8D 65 01 48 8B CE E8 ?? ?? ?? ?? 4C 89 64 24 50 41 C6 04 24 30 BA 01 00 00 00 4C 03 E2 88 5C 24 30 44 8B EB 8B FB 89 5C 24 34 8D 5A 23 B9 00 03 00 00 48 8B 44 24 48 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 3C 4C 8D 7D C7 48 83 7D DF 10 4C 0F 43 7D C7 41 8A 07 2A C2 3C 7D 0F 87 57 02 00 00 33 C0 48 39 45 D7 74 21 48 8B 7C 24 40 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 0F B7 F8 BA 01 00 00 00 45 33 C0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 45 33 D2 41 8B DA 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 0B 4D 39 16 0F 84 32 01 00 00 EB 09 4D 39 16 0F 85 27 01 00 00 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 70 BA 01 00 00 00 88 54 24 30 44 39 6C 24 3C 7F 11 01 54 24 34 48 85 C0 74 26 8A C2 89 44 24 38 EB 1E 48 85 C0 75 05 45 85 ED 74 14 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4C 03 E2 44 03 EA 48 3B 5D AF 0F 87 95 00 00 00 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F 80 3C 18 7F 74 71 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F 00 14 18 EB 5E 48 8B 55 AF 48 3B DA 77 6B 48 8D 45 9F 4C 8B 45 9F 4C 8B 4D B7 49 83 F9 10 49 0F 43 C0 44 38 14 18 74 63 66 85 FF 74 5E 44 38 56 08 75 17 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D B7 48 8B 55 AF 4C 8B 45 9F 45 33 D2 66 39 7E 0A 75 3B 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 E9 AA FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D B7 48 8B 55 AF 4C 8B 45 9F 48 85 DB 74 27 48 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 BF 01 00 00 00 44 38 14 18 7E 58 48 03 DF EB 05 BF 01 00 00 00 48 85 DB 74 4E 41 8A 0F 80 F9 7F 74 46 48 2B DF 74 16 48 3B DA 77 31 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 3A 0C 18 75 26 48 85 DB 75 10 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 3A 08 7C 11 45 38 57 01 7E BD 49 FF C7 EB B8 E8 ?? ?? ?? ?? CC 40 88 7C 24 31 45 33 C0 40 8A D7 48 8D 4D 97 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 4D 97 E8 ?? ?? ?? ?? 45 33 FF E9 CA 00 00 00 45 33 FF 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 0B 4D 39 3E 0F 84 99 00 00 00 EB 09 4D 39 3E 0F 85 8E 00 00 00 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 54 41 3B DD 7F 14 B9 01 00 00 00 03 F9 48 85 C0 74 32 8A C1 89 44 24 38 EB 2A 48 85 C0 75 05 45 85 ED 74 1B 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 B9 01 00 00 00 4C 03 E1 44 03 E9 EB 05 B9 01 00 00 00 88 4C 24 30 48 8B CE E8 ?? ?? ?? ?? E9 3D FF FF FF 89 7C 24 34 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 5D EB 05 4D 39 3E 75 56 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 7E 0A 4C 8B 7C 24 40 49 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 66 3B F8 75 23 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 04 24 BF 01 00 00 00 4C 03 E7 48 8B CE E8 ?? ?? ?? ?? 45 33 FF EB 08 45 33 FF BF 01 00 00 00 48 8B 44 24 48 81 38 00 CA 9A 3B 74 75 45 85 ED 75 70 8B 5C 24 34 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 30 EB 05 4D 39 3E 75 29 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 E7 75 11 2B DF 40 88 7C 24 30 48 8B CE E8 ?? ?? ?? ?? EB AA 89 5C 24 34 85 DB 79 0E 41 C6 04 24 30 4C 03 E7 03 DF 89 5C 24 34 40 8A 7C 24 30 BB 01 00 00 00 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 7F EB 05 4D 39 3E 75 78 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 3E 44 3B 6C 24 3C 7D 16 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4C 03 E3 44 03 EB EB 11 8B 4C 24 38 0F B6 C9 48 85 C0 0F 45 CB 89 4C 24 38 40 8A FB 48 8B CE E8 ?? ?? ?? ?? E9 5B FF FF FF 8B 44 24 38 45 33 ED 84 C0 74 52 49 8D 5C 24 FF 4C 8B 7C 24 50 49 3B DF 74 27 E8 ?? ?? ?? ?? 8A 0B 48 8B 00 3A 08 74 08 80 F9 39 75 08 C6 03 30 48 FF CB EB E0 B8 01 00 00 00 00 03 49 3B DF 75 17 C6 03 31 44 8B 7C 24 34 BB 01 00 00 00 44 03 FB 44 89 7C 24 34 EB 0A BB 01 00 00 00 44 8B 7C 24 34 40 84 FF 0F 84 ED 01 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 0B 4D 39 2E 0F 84 C3 01 00 00 EB 09 4D 39 2E 0F 85 B8 01 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 01 74 1C 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FF 0F 85 84 01 00 00 41 C6 04 24 65 4C 03 E3 48 8B CE E8 ?? ?? ?? ?? 41 8A FD 41 8B DD 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 4E EB 05 4D 39 2E 75 47 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 07 41 C6 04 24 2B EB 1D 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 10 41 C6 04 24 2D 49 FF C4 48 8B CE E8 ?? ?? ?? ?? 41 BF 01 00 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 2C EB 05 4D 39 2E 75 25 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 E7 75 0D 41 8A FF 48 8B CE E8 ?? ?? ?? ?? EB AE 40 84 FF 74 08 41 C6 04 24 30 49 FF C4 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 6A EB 05 4D 39 2E 75 63 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 29 83 FB 08 7D 14 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4D 03 E7 41 03 DF 41 8A FF 48 8B CE E8 ?? ?? ?? ?? E9 70 FF FF FF 44 8B 7C 24 34 44 38 6C 24 31 75 05 40 84 FF 75 05 4C 8B 64 24 60 45 88 2C 24 45 33 C0 41 8D 58 01 8A D3 48 8D 4D BF E8 ?? ?? ?? ?? 44 8D 43 0F 8B D3 48 8B 4D BF E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_669_1 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2508
		refs = "0029 __security_cookie 0071 ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 0082 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008b ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00ad _guard_check_icall 00e2 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0106 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0162 ?_Src@?1??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 017d ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01e2 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 026b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 03b5 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03cd _invalid_parameter_noinfo_noreturn 0473 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0485 ?_Deallocate@std@@YAXPEAX_K1@Z 05b9 localeconv 09ad __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC 00 01 00 00 48 C7 44 24 68 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 60 48 8B 7D 77 48 8B 55 7F 48 89 54 24 48 8B 47 18 41 B8 00 30 00 00 41 23 C0 41 3B C0 75 1A 48 89 54 24 28 48 89 7C 24 20 4C 8B C6 49 8B D5 E8 ?? ?? ?? ?? E9 2B 09 00 00 48 8D 55 87 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 40 4C 8B 7D 8F 33 DB 4D 85 FF 74 38 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 33 DB 48 85 C0 74 1A 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 33 DB 48 8D 55 BF 49 8B CC E8 ?? ?? ?? ?? 90 4D 8B E5 88 5C 24 31 8A C3 89 44 24 38 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 7C 24 58 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF D3 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 4D EB 05 49 39 1E 75 46 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 07 41 C6 45 00 2B EB 1C 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 11 41 C6 45 00 2D 4D 8D 65 01 48 8B CE E8 ?? ?? ?? ?? 4C 89 64 24 50 41 C6 04 24 30 BA 01 00 00 00 4C 03 E2 88 5C 24 30 44 8B EB 8B FB 89 5C 24 34 8D 5A 23 B9 00 03 00 00 48 8B 44 24 48 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 3C 4C 8D 7D C7 48 83 7D DF 10 4C 0F 43 7D C7 41 8A 07 2A C2 3C 7D 0F 87 57 02 00 00 33 C0 48 39 45 D7 74 21 48 8B 7C 24 40 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 0F B7 F8 BA 01 00 00 00 45 33 C0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 45 33 D2 41 8B DA 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 0B 4D 39 16 0F 84 32 01 00 00 EB 09 4D 39 16 0F 85 27 01 00 00 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 70 BA 01 00 00 00 88 54 24 30 44 39 6C 24 3C 7F 11 01 54 24 34 48 85 C0 74 26 8A C2 89 44 24 38 EB 1E 48 85 C0 75 05 45 85 ED 74 14 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4C 03 E2 44 03 EA 48 3B 5D AF 0F 87 95 00 00 00 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F 80 3C 18 7F 74 71 48 8D 45 9F 48 83 7D B7 10 48 0F 43 45 9F 00 14 18 EB 5E 48 8B 55 AF 48 3B DA 77 6B 48 8D 45 9F 4C 8B 45 9F 4C 8B 4D B7 49 83 F9 10 49 0F 43 C0 44 38 14 18 74 63 66 85 FF 74 5E 44 38 56 08 75 17 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D B7 48 8B 55 AF 4C 8B 45 9F 45 33 D2 66 39 7E 0A 75 3B 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 E9 AA FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D B7 48 8B 55 AF 4C 8B 45 9F 48 85 DB 74 27 48 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 BF 01 00 00 00 44 38 14 18 7E 58 48 03 DF EB 05 BF 01 00 00 00 48 85 DB 74 4E 41 8A 0F 80 F9 7F 74 46 48 2B DF 74 16 48 3B DA 77 31 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 3A 0C 18 75 26 48 85 DB 75 10 48 8D 45 9F 49 83 F9 10 49 0F 43 C0 3A 08 7C 11 45 38 57 01 7E BD 49 FF C7 EB B8 E8 ?? ?? ?? ?? CC 40 88 7C 24 31 45 33 C0 40 8A D7 48 8D 4D 97 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 4D 97 E8 ?? ?? ?? ?? 45 33 FF E9 CA 00 00 00 45 33 FF 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 0B 4D 39 3E 0F 84 99 00 00 00 EB 09 4D 39 3E 0F 85 8E 00 00 00 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 54 41 3B DD 7F 14 B9 01 00 00 00 03 F9 48 85 C0 74 32 8A C1 89 44 24 38 EB 2A 48 85 C0 75 05 45 85 ED 74 1B 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 B9 01 00 00 00 4C 03 E1 44 03 E9 EB 05 B9 01 00 00 00 88 4C 24 30 48 8B CE E8 ?? ?? ?? ?? E9 3D FF FF FF 89 7C 24 34 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 5D EB 05 4D 39 3E 75 56 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 7E 0A 4C 8B 7C 24 40 49 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 66 3B F8 75 23 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 04 24 BF 01 00 00 00 4C 03 E7 48 8B CE E8 ?? ?? ?? ?? 45 33 FF EB 08 45 33 FF BF 01 00 00 00 48 8B 44 24 48 81 38 00 CA 9A 3B 74 75 45 85 ED 75 70 8B 5C 24 34 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 30 EB 05 4D 39 3E 75 29 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 E7 75 11 2B DF 40 88 7C 24 30 48 8B CE E8 ?? ?? ?? ?? EB AA 89 5C 24 34 85 DB 79 0E 41 C6 04 24 30 4C 03 E7 03 DF 89 5C 24 34 40 8A 7C 24 30 BB 01 00 00 00 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 7F EB 05 4D 39 3E 75 78 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 3E 44 3B 6C 24 3C 7D 16 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4C 03 E3 44 03 EB EB 11 8B 4C 24 38 0F B6 C9 48 85 C0 0F 45 CB 89 4C 24 38 40 8A FB 48 8B CE E8 ?? ?? ?? ?? E9 5B FF FF FF 8B 44 24 38 45 33 ED 84 C0 74 52 49 8D 5C 24 FF 4C 8B 7C 24 50 49 3B DF 74 27 E8 ?? ?? ?? ?? 8A 0B 48 8B 00 3A 08 74 08 80 F9 39 75 08 C6 03 30 48 FF CB EB E0 B8 01 00 00 00 00 03 49 3B DF 75 17 C6 03 31 44 8B 7C 24 34 BB 01 00 00 00 44 03 FB 44 89 7C 24 34 EB 0A BB 01 00 00 00 44 8B 7C 24 34 40 84 FF 0F 84 ED 01 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 0B 4D 39 2E 0F 84 C3 01 00 00 EB 09 4D 39 2E 0F 85 B8 01 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 01 74 1C 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FF 0F 85 84 01 00 00 41 C6 04 24 65 4C 03 E3 48 8B CE E8 ?? ?? ?? ?? 41 8A FD 41 8B DD 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 4E EB 05 4D 39 2E 75 47 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 07 41 C6 04 24 2B EB 1D 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 10 41 C6 04 24 2D 49 FF C4 48 8B CE E8 ?? ?? ?? ?? 41 BF 01 00 00 00 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 2C EB 05 4D 39 2E 75 25 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 E7 75 0D 41 8A FF 48 8B CE E8 ?? ?? ?? ?? EB AE 40 84 FF 74 08 41 C6 04 24 30 49 FF C4 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 6A EB 05 4D 39 2E 75 63 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 29 83 FB 08 7D 14 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4D 03 E7 41 03 DF 41 8A FF 48 8B CE E8 ?? ?? ?? ?? E9 70 FF FF FF 44 8B 7C 24 34 44 38 6C 24 31 75 05 40 84 FF 75 05 4C 8B 64 24 60 45 88 2C 24 45 33 C0 41 8D 58 01 8A D3 48 8D 4D BF E8 ?? ?? ?? ?? 44 8D 43 0F 8B D3 48 8B 4D BF E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_674_1 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2507
		refs = "0029 __security_cookie 0058 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0061 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0082 _guard_check_icall 00b4 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00cb ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 012a ?_Src@?1??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 014c ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01b3 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 02fb ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 043d ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0455 _invalid_parameter_noinfo_noreturn 04f9 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 050c ?_Deallocate@std@@YAXPEAX_K1@Z 0637 localeconv 09ac __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 44 24 48 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 40 4C 8B 7D 70 48 8B 45 78 48 89 44 24 38 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 48 8B 7C 24 58 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 98 49 8B CC E8 ?? ?? ?? ?? 90 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 7C 24 68 45 33 E4 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? 41 8D 54 24 01 48 8B CF FF D3 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D C0 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF D3 4D 8B FD 44 88 64 24 21 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 4F EB 05 4D 39 26 75 48 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 EE 75 07 41 C6 45 00 2B EB 1D 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 EC 75 11 41 C6 45 00 2D 4D 8D 7D 01 48 8B CE E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 44 88 64 24 20 45 8B EC 41 8B FC 44 89 64 24 24 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 0B 4D 39 26 0F 84 97 00 00 00 EB 09 4D 39 26 0F 85 8C 00 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 C0 75 74 48 8B CE E8 ?? ?? ?? ?? 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 41 EB 05 4D 39 26 75 3A 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F2 74 18 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F0 75 0A 48 8B CE E8 ?? ?? ?? ?? EB 05 C6 44 24 20 01 BB 24 00 00 00 B9 00 03 00 00 48 8B 44 24 38 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 28 4C 8D 65 A0 48 83 7D B8 10 4C 0F 43 65 A0 41 8A 04 24 FE C8 3C 7D 0F 87 4D 02 00 00 33 C0 48 39 45 B0 74 1C 48 8B 7C 24 30 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 0F B7 F8 45 33 C0 41 8D 50 01 48 8D 4C 24 70 E8 ?? ?? ?? ?? 90 45 33 D2 41 8B DA 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 0B 4D 39 16 0F 84 2A 01 00 00 EB 09 4D 39 16 0F 85 1F 01 00 00 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 48 8D 45 C0 0F B7 4D C0 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D C0 48 2B C1 48 D1 F8 48 83 F8 16 73 64 C6 44 24 20 01 44 39 6C 24 28 7F 06 FF 44 24 24 EB 1D 48 85 C0 75 05 45 85 ED 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C5 48 3B 5D 88 0F 87 9D 00 00 00 48 8D 44 24 78 48 83 7D 90 10 48 0F 43 44 24 78 80 3C 18 7F 74 77 48 8D 44 24 78 48 83 7D 90 10 48 0F 43 44 24 78 FE 04 18 EB 62 48 8B 55 88 48 3B DA 77 6F 48 8D 44 24 78 4C 8B 44 24 78 4C 8B 4D 90 49 83 F9 10 49 0F 43 C0 44 38 14 18 74 66 66 85 FF 74 61 44 38 56 08 75 18 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D 90 48 8B 55 88 4C 8B 44 24 78 45 33 D2 66 39 7E 0A 75 3D 45 33 C0 41 8D 50 01 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 E9 B2 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D 90 48 8B 55 88 4C 8B 44 24 78 48 85 DB 74 7C 48 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 44 24 78 49 83 F9 10 49 0F 43 C0 44 38 14 18 7E 59 48 FF C3 48 85 DB 74 56 41 8A 0C 24 80 F9 7F 74 4D 48 83 EB 01 74 17 48 3B DA 77 37 48 8D 44 24 78 49 83 F9 10 49 0F 43 C0 3A 0C 18 75 2B 48 85 DB 75 11 48 8D 44 24 78 49 83 F9 10 49 0F 43 C0 3A 08 7C 15 49 8D 44 24 01 44 38 10 7E B5 4C 8B E0 EB B0 E8 ?? ?? ?? ?? CC C6 44 24 21 01 45 33 C0 B2 01 48 8D 4C 24 70 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 70 E8 ?? ?? ?? ?? 33 D2 E9 A9 00 00 00 33 D2 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 7A EB 05 49 39 16 75 73 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 48 8D 4D C0 0F B7 45 C0 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C0 48 2B C8 48 D1 F9 48 83 F9 16 73 38 41 3B DD 7F 04 FF C7 EB 1D 48 85 C9 75 05 45 85 ED 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C5 C6 44 24 20 01 48 8B CE E8 ?? ?? ?? ?? E9 5B FF FF FF 89 7C 24 24 40 8A 7C 24 20 40 84 FF 74 0C 45 85 ED 75 07 41 C6 07 30 49 FF C7 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 56 EB 05 49 39 16 75 4F 38 56 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 7E 0A 4C 8B 64 24 30 49 8B 04 24 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 66 3B F8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 33 D2 40 8A 7C 24 20 45 85 ED 75 79 44 8B 64 24 24 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 32 EB 05 49 39 16 75 2B 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 0F B7 46 0A 66 3B 45 C0 75 12 41 FF CC 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 33 D2 EB A5 44 89 64 24 24 45 85 E4 79 0F 41 C6 07 30 49 FF C7 41 FF C4 44 89 64 24 24 4C 8D 25 ?? ?? ?? ?? 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 68 EB 05 49 39 16 75 61 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 48 8D 4D C0 0F B7 45 C0 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C0 48 2B C8 48 D1 F9 48 83 F9 16 73 26 44 3B 6C 24 28 7D 0D 42 8A 04 21 41 88 07 49 FF C7 41 FF C5 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 33 D2 E9 6F FF FF FF 40 84 FF 44 8B 64 24 24 0F 84 EE 01 00 00 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 0B 49 39 16 0F 84 C1 01 00 00 EB 09 49 39 16 0F 85 B6 01 00 00 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 0F B7 46 0A 66 3B 45 F6 74 1D 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 0F B7 46 0A 66 3B 45 F4 0F 85 80 01 00 00 41 C6 07 70 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 ED 41 8A FD 41 8B DD 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 4C EB 05 4D 39 2E 75 45 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 EE 75 06 41 C6 07 2B EB 1C 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 EC 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 33 D2 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 25 EB 05 49 39 16 75 1E 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 0F B7 46 0A 66 3B 45 C0 75 05 40 B7 01 EB A8 40 84 FF 74 07 41 C6 07 30 49 FF C7 4C 8D 25 ?? ?? ?? ?? 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 65 EB 05 49 39 16 75 5E 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 48 8D 45 C0 0F B7 4D C0 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D C0 48 2B C1 48 D1 F8 48 83 F8 16 73 23 83 FB 08 7D 0C 42 8A 04 20 41 88 07 49 FF C7 FF C3 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 33 D2 E9 72 FF FF FF 44 8B 64 24 24 38 54 24 21 75 05 40 84 FF 75 05 4C 8B 7C 24 40 41 88 17 48 8B 44 24 38 44 89 20 45 33 C0 B2 01 48 8D 4D 98 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D 98 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_679_1 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2507
		refs = "0029 __security_cookie 0058 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0061 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0082 _guard_check_icall 00b4 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00cb ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 012a ?_Src@?1??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 014c ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01b3 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 02fb ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 043d ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0455 _invalid_parameter_noinfo_noreturn 04f9 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 050c ?_Deallocate@std@@YAXPEAX_K1@Z 0637 localeconv 09ac __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 44 24 48 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 40 4C 8B 7D 70 48 8B 45 78 48 89 44 24 38 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 48 8B 7C 24 58 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 98 49 8B CC E8 ?? ?? ?? ?? 90 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 7C 24 68 45 33 E4 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? 41 8D 54 24 01 48 8B CF FF D3 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D C0 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF D3 4D 8B FD 44 88 64 24 21 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 4F EB 05 4D 39 26 75 48 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 EE 75 07 41 C6 45 00 2B EB 1D 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 EC 75 11 41 C6 45 00 2D 4D 8D 7D 01 48 8B CE E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 44 88 64 24 20 45 8B EC 41 8B FC 44 89 64 24 24 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 0B 4D 39 26 0F 84 97 00 00 00 EB 09 4D 39 26 0F 85 8C 00 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 C0 75 74 48 8B CE E8 ?? ?? ?? ?? 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 41 EB 05 4D 39 26 75 3A 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F2 74 18 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F0 75 0A 48 8B CE E8 ?? ?? ?? ?? EB 05 C6 44 24 20 01 BB 24 00 00 00 B9 00 03 00 00 48 8B 44 24 38 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 28 4C 8D 65 A0 48 83 7D B8 10 4C 0F 43 65 A0 41 8A 04 24 FE C8 3C 7D 0F 87 4D 02 00 00 33 C0 48 39 45 B0 74 1C 48 8B 7C 24 30 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 0F B7 F8 45 33 C0 41 8D 50 01 48 8D 4C 24 70 E8 ?? ?? ?? ?? 90 45 33 D2 41 8B DA 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 0B 4D 39 16 0F 84 2A 01 00 00 EB 09 4D 39 16 0F 85 1F 01 00 00 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 48 8D 45 C0 0F B7 4D C0 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D C0 48 2B C1 48 D1 F8 48 83 F8 16 73 64 C6 44 24 20 01 44 39 6C 24 28 7F 06 FF 44 24 24 EB 1D 48 85 C0 75 05 45 85 ED 74 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 49 FF C7 41 FF C5 48 3B 5D 88 0F 87 9D 00 00 00 48 8D 44 24 78 48 83 7D 90 10 48 0F 43 44 24 78 80 3C 18 7F 74 77 48 8D 44 24 78 48 83 7D 90 10 48 0F 43 44 24 78 FE 04 18 EB 62 48 8B 55 88 48 3B DA 77 6F 48 8D 44 24 78 4C 8B 44 24 78 4C 8B 4D 90 49 83 F9 10 49 0F 43 C0 44 38 14 18 74 66 66 85 FF 74 61 44 38 56 08 75 18 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D 90 48 8B 55 88 4C 8B 44 24 78 45 33 D2 66 39 7E 0A 75 3D 45 33 C0 41 8D 50 01 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 E9 B2 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D 90 48 8B 55 88 4C 8B 44 24 78 48 85 DB 74 7C 48 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 44 24 78 49 83 F9 10 49 0F 43 C0 44 38 14 18 7E 59 48 FF C3 48 85 DB 74 56 41 8A 0C 24 80 F9 7F 74 4D 48 83 EB 01 74 17 48 3B DA 77 37 48 8D 44 24 78 49 83 F9 10 49 0F 43 C0 3A 0C 18 75 2B 48 85 DB 75 11 48 8D 44 24 78 49 83 F9 10 49 0F 43 C0 3A 08 7C 15 49 8D 44 24 01 44 38 10 7E B5 4C 8B E0 EB B0 E8 ?? ?? ?? ?? CC C6 44 24 21 01 45 33 C0 B2 01 48 8D 4C 24 70 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 70 E8 ?? ?? ?? ?? 33 D2 E9 A9 00 00 00 33 D2 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 7A EB 05 49 39 16 75 73 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 48 8D 4D C0 0F B7 45 C0 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C0 48 2B C8 48 D1 F9 48 83 F9 16 73 38 41 3B DD 7F 04 FF C7 EB 1D 48 85 C9 75 05 45 85 ED 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C5 C6 44 24 20 01 48 8B CE E8 ?? ?? ?? ?? E9 5B FF FF FF 89 7C 24 24 40 8A 7C 24 20 40 84 FF 74 0C 45 85 ED 75 07 41 C6 07 30 49 FF C7 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 56 EB 05 49 39 16 75 4F 38 56 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 7E 0A 4C 8B 64 24 30 49 8B 04 24 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 66 3B F8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 33 D2 40 8A 7C 24 20 45 85 ED 75 79 44 8B 64 24 24 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 32 EB 05 49 39 16 75 2B 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 0F B7 46 0A 66 3B 45 C0 75 12 41 FF CC 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 33 D2 EB A5 44 89 64 24 24 45 85 E4 79 0F 41 C6 07 30 49 FF C7 41 FF C4 44 89 64 24 24 4C 8D 25 ?? ?? ?? ?? 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 68 EB 05 49 39 16 75 61 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 48 8D 4D C0 0F B7 45 C0 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C0 48 2B C8 48 D1 F9 48 83 F9 16 73 26 44 3B 6C 24 28 7D 0D 42 8A 04 21 41 88 07 49 FF C7 41 FF C5 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 33 D2 E9 6F FF FF FF 40 84 FF 44 8B 64 24 24 0F 84 EE 01 00 00 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 0B 49 39 16 0F 84 C1 01 00 00 EB 09 49 39 16 0F 85 B6 01 00 00 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 0F B7 46 0A 66 3B 45 F6 74 1D 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 0F B7 46 0A 66 3B 45 F4 0F 85 80 01 00 00 41 C6 07 70 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 ED 41 8A FD 41 8B DD 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 4C EB 05 4D 39 2E 75 45 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 EE 75 06 41 C6 07 2B EB 1C 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 EC 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 33 D2 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 25 EB 05 49 39 16 75 1E 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 0F B7 46 0A 66 3B 45 C0 75 05 40 B7 01 EB A8 40 84 FF 74 07 41 C6 07 30 49 FF C7 4C 8D 25 ?? ?? ?? ?? 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 41 38 56 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 39 16 75 07 49 39 16 74 65 EB 05 49 39 16 75 5E 38 56 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 D2 48 8D 45 C0 0F B7 4D C0 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D C0 48 2B C1 48 D1 F8 48 83 F8 16 73 23 83 FB 08 7D 0C 42 8A 04 20 41 88 07 49 FF C7 FF C3 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 33 D2 E9 72 FF FF FF 44 8B 64 24 24 38 54 24 21 75 05 40 84 FF 75 05 4C 8B 7C 24 40 41 88 17 48 8B 44 24 38 44 89 20 45 33 C0 B2 01 48 8D 4D 98 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D 98 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_684_1 {
	meta:
		name = "?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 612
		refs = "0044 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 004d ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0069 _guard_check_icall 0141 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01a4 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 49 8B E9 49 8B F0 4C 8B E2 48 8B D9 48 8D 50 90 48 8B 8C 24 F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 60 48 85 FF 74 3C 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 18 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 48 8B 9C 24 D0 00 00 00 4C 8B BC 24 08 01 00 00 4C 8B B4 24 F8 00 00 00 33 FF E9 40 01 00 00 3C 25 75 7E 49 FF C7 0F 10 45 00 F3 0F 7F 44 24 70 0F 10 0E F3 0F 7F 8C 24 80 00 00 00 48 8B 03 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 40 88 7C 24 40 41 8A 07 88 44 24 38 48 8B 84 24 00 01 00 00 48 89 44 24 30 4C 89 74 24 28 48 8B 84 24 F0 00 00 00 48 89 44 24 20 4C 8D 4C 24 70 4C 8D 84 24 80 00 00 00 48 8D 94 24 90 00 00 00 48 8B 8C 24 D0 00 00 00 FF D3 0F 10 00 F3 0F 7F 06 E9 B3 00 00 00 3C 20 75 73 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 48 39 3E 75 0C 48 39 7D 00 0F 84 84 00 00 00 EB 06 48 39 7D 00 75 7C 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 45 00 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 BA 48 00 00 00 49 8B CD FF D7 33 FF 84 C0 74 46 48 8B CE E8 ?? ?? ?? ?? EB 8D 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 45 00 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CD FF D7 41 3A 07 75 22 48 8B CE E8 ?? ?? ?? ?? 33 FF 49 FF C7 48 8B 9C 24 D0 00 00 00 41 8A 07 84 C0 0F 85 B5 FE FF FF EB 06 41 83 0E 02 33 FF 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 48 39 3E 75 08 48 39 7D 00 74 08 EB 0A 48 39 7D 00 74 04 41 83 0E 01 0F 10 06 F3 41 0F 7F 04 24 49 8B C4 4C 8D 9C 24 A0 00 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_41_686_1 {
	meta:
		name = "?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 612
		refs = "0044 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 004d ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0069 _guard_check_icall 0141 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01a4 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 49 8B E9 49 8B F0 4C 8B E2 48 8B D9 48 8D 50 90 48 8B 8C 24 F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 60 48 85 FF 74 3C 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 18 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 48 8B 9C 24 D0 00 00 00 4C 8B BC 24 08 01 00 00 4C 8B B4 24 F8 00 00 00 33 FF E9 40 01 00 00 3C 25 75 7E 49 FF C7 0F 10 45 00 F3 0F 7F 44 24 70 0F 10 0E F3 0F 7F 8C 24 80 00 00 00 48 8B 03 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 40 88 7C 24 40 41 8A 07 88 44 24 38 48 8B 84 24 00 01 00 00 48 89 44 24 30 4C 89 74 24 28 48 8B 84 24 F0 00 00 00 48 89 44 24 20 4C 8D 4C 24 70 4C 8D 84 24 80 00 00 00 48 8D 94 24 90 00 00 00 48 8B 8C 24 D0 00 00 00 FF D3 0F 10 00 F3 0F 7F 06 E9 B3 00 00 00 3C 20 75 73 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 48 39 3E 75 0C 48 39 7D 00 0F 84 84 00 00 00 EB 06 48 39 7D 00 75 7C 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 45 00 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 BA 48 00 00 00 49 8B CD FF D7 33 FF 84 C0 74 46 48 8B CE E8 ?? ?? ?? ?? EB 8D 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 45 00 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CD FF D7 41 3A 07 75 22 48 8B CE E8 ?? ?? ?? ?? 33 FF 49 FF C7 48 8B 9C 24 D0 00 00 00 41 8A 07 84 C0 0F 85 B5 FE FF FF EB 06 41 83 0E 02 33 FF 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 48 39 3E 75 08 48 39 7D 00 74 08 EB 0A 48 39 7D 00 74 04 41 83 0E 01 0F 10 06 F3 41 0F 7F 04 24 49 8B C4 4C 8D 9C 24 A0 00 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_41_688_1 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z"
		size = 1302
		refs = "0029 __security_cookie 004a ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0059 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 007a _guard_check_icall 008c ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00a9 ?_Src@?1??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00c6 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 012e ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 028c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 03ce ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03e6 _invalid_parameter_noinfo_noreturn 04b2 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 04c3 ?_Deallocate@std@@YAXPEAX_K1@Z 04f7 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B F1 49 8B F0 4C 8B E2 48 89 54 24 30 4C 8B 7D 7F 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 AF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D C7 75 08 66 44 89 6C 24 22 EB 19 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 66 89 44 24 22 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8B 08 48 8B 59 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D D7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF D3 49 8B FC 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 50 EB 05 4D 39 2E 75 49 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 05 75 07 41 C6 04 24 2B EB 1D 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 03 75 12 41 C6 04 24 2D 49 8D 7C 24 01 48 8B CE E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B FF BB 0A 00 00 00 48 89 5C 24 28 44 23 FB 8D 43 06 81 F9 00 08 00 00 44 0F 44 F8 8D 43 FE 81 F9 00 04 00 00 44 0F 44 F8 33 C9 88 4C 24 20 38 4E 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 C9 41 38 4E 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 C9 48 39 0E 75 0B 49 39 0E 0F 84 C3 00 00 00 EB 09 49 39 0E 0F 85 B8 00 00 00 38 4E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 D7 0F 85 9D 00 00 00 41 B5 01 48 8B CE E8 ?? ?? ?? ?? 33 C9 38 4E 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 C9 41 38 4E 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 C9 48 39 0E 75 07 49 39 0E 74 59 EB 05 49 39 0E 75 52 38 4E 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 C9 0F B7 46 0A 66 3B 45 09 74 19 38 4E 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 C9 0F B7 46 0A 66 3B 45 07 75 20 41 F7 C7 EF FF FF FF 75 17 41 BF 10 00 00 00 44 8A E9 48 8B CE E8 ?? ?? ?? ?? 41 8D 57 F8 EB 1D 45 85 FF BA 08 00 00 00 44 0F 44 FA EB 05 BA 08 00 00 00 45 85 FF 74 16 44 3B FB 74 11 B8 16 00 00 00 44 3B FA 48 0F 44 C2 48 89 44 24 28 45 8A C5 BA 01 00 00 00 48 8D 4D 87 E8 ?? ?? ?? ?? 90 45 33 DB 41 8B DB 49 83 C4 1F 44 38 5E 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 DB 45 38 5E 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 DB 4C 39 1E 75 0B 4D 39 1E 0F 84 26 01 00 00 EB 09 4D 39 1E 0F 85 1B 01 00 00 44 38 5E 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 DB 48 8D 45 D7 0F B7 4D D7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D D7 48 2B C1 48 D1 F8 48 3B 44 24 28 73 59 48 8D 0D ?? ?? ?? ?? 8A 0C 08 88 0F 44 38 5C 24 20 75 05 80 F9 30 74 0D 49 3B FC 73 08 48 FF C7 C6 44 24 20 01 41 B5 01 48 3B 5D 9F 0F 87 9F 00 00 00 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F 80 3C 18 7F 74 7B 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F FE 04 18 EB 68 4C 8B 55 9F 49 3B DA 77 75 48 8D 45 8F 4C 8B 45 8F 4C 8B 4D A7 49 83 F9 10 49 0F 43 C0 44 38 1C 18 74 6D 0F B7 44 24 22 66 85 C0 74 63 44 38 5E 08 75 1C 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D A7 4C 8B 55 9F 4C 8B 45 8F 0F B7 44 24 22 45 33 DB 66 39 46 0A 75 3B 45 33 C0 41 8D 50 01 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? 45 33 DB E9 B6 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D A7 4C 8B 55 9F 4C 8B 45 8F 48 85 DB 74 2B 49 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 8F BE 10 00 00 00 4C 3B CE 49 0F 43 C0 44 38 1C 18 7E 05 48 FF C3 EB 0A 45 8A EB EB 05 BE 10 00 00 00 48 8D 4D B7 48 39 75 CF 48 0F 43 4D B7 45 84 ED 74 5C 48 85 DB 74 47 8A 11 80 FA 7F 74 40 48 83 EB 01 74 15 49 3B DA 77 2F 48 8D 45 8F 4C 3B CE 49 0F 43 C0 3A 14 18 75 35 48 85 DB 75 0F 48 8D 45 8F 4C 3B CE 49 0F 43 C0 3A 10 7C 21 44 38 59 01 7E BF 48 FF C1 EB BA E8 ?? ?? ?? ?? CC 8A 44 24 20 84 C0 75 0D C6 07 30 48 FF C7 EB 05 48 8B 7C 24 30 44 88 1F 45 33 C0 B2 01 48 8D 4D 87 E8 ?? ?? ?? ?? 4C 8B C6 BA 01 00 00 00 48 8B 4D 87 E8 ?? ?? ?? ?? 45 33 ED 4C 89 6D 87 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 4C 8B C6 41 8D 55 01 48 8B 4D AF E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_691_1 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z"
		size = 1302
		refs = "0029 __security_cookie 004a ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0059 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 007a _guard_check_icall 008c ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00a9 ?_Src@?1??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00c6 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 012e ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 028c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 03ce ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03e6 _invalid_parameter_noinfo_noreturn 04b2 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 04c3 ?_Deallocate@std@@YAXPEAX_K1@Z 04f7 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 44 24 38 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B F1 49 8B F0 4C 8B E2 48 89 54 24 30 4C 8B 7D 7F 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 AF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 ED 4C 39 6D C7 75 08 66 44 89 6C 24 22 EB 19 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 66 89 44 24 22 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8B 08 48 8B 59 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D D7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF D3 49 8B FC 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 6E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 2E 75 07 4D 39 2E 74 50 EB 05 4D 39 2E 75 49 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 05 75 07 41 C6 04 24 2B EB 1D 44 38 6E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 03 75 12 41 C6 04 24 2D 49 8D 7C 24 01 48 8B CE E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B FF BB 0A 00 00 00 48 89 5C 24 28 44 23 FB 8D 43 06 81 F9 00 08 00 00 44 0F 44 F8 8D 43 FE 81 F9 00 04 00 00 44 0F 44 F8 33 C9 88 4C 24 20 38 4E 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 C9 41 38 4E 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 C9 48 39 0E 75 0B 49 39 0E 0F 84 C3 00 00 00 EB 09 49 39 0E 0F 85 B8 00 00 00 38 4E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 D7 0F 85 9D 00 00 00 41 B5 01 48 8B CE E8 ?? ?? ?? ?? 33 C9 38 4E 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 C9 41 38 4E 08 75 0A 49 8B CE E8 ?? ?? ?? ?? 33 C9 48 39 0E 75 07 49 39 0E 74 59 EB 05 49 39 0E 75 52 38 4E 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 C9 0F B7 46 0A 66 3B 45 09 74 19 38 4E 08 75 0A 48 8B CE E8 ?? ?? ?? ?? 33 C9 0F B7 46 0A 66 3B 45 07 75 20 41 F7 C7 EF FF FF FF 75 17 41 BF 10 00 00 00 44 8A E9 48 8B CE E8 ?? ?? ?? ?? 41 8D 57 F8 EB 1D 45 85 FF BA 08 00 00 00 44 0F 44 FA EB 05 BA 08 00 00 00 45 85 FF 74 16 44 3B FB 74 11 B8 16 00 00 00 44 3B FA 48 0F 44 C2 48 89 44 24 28 45 8A C5 BA 01 00 00 00 48 8D 4D 87 E8 ?? ?? ?? ?? 90 45 33 DB 41 8B DB 49 83 C4 1F 44 38 5E 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 DB 45 38 5E 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 DB 4C 39 1E 75 0B 4D 39 1E 0F 84 26 01 00 00 EB 09 4D 39 1E 0F 85 1B 01 00 00 44 38 5E 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 DB 48 8D 45 D7 0F B7 4D D7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D D7 48 2B C1 48 D1 F8 48 3B 44 24 28 73 59 48 8D 0D ?? ?? ?? ?? 8A 0C 08 88 0F 44 38 5C 24 20 75 05 80 F9 30 74 0D 49 3B FC 73 08 48 FF C7 C6 44 24 20 01 41 B5 01 48 3B 5D 9F 0F 87 9F 00 00 00 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F 80 3C 18 7F 74 7B 48 8D 45 8F 48 83 7D A7 10 48 0F 43 45 8F FE 04 18 EB 68 4C 8B 55 9F 49 3B DA 77 75 48 8D 45 8F 4C 8B 45 8F 4C 8B 4D A7 49 83 F9 10 49 0F 43 C0 44 38 1C 18 74 6D 0F B7 44 24 22 66 85 C0 74 63 44 38 5E 08 75 1C 48 8B CE E8 ?? ?? ?? ?? 4C 8B 4D A7 4C 8B 55 9F 4C 8B 45 8F 0F B7 44 24 22 45 33 DB 66 39 46 0A 75 3B 45 33 C0 41 8D 50 01 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF C3 48 8B CE E8 ?? ?? ?? ?? 45 33 DB E9 B6 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 4C 8B 4D A7 4C 8B 55 9F 4C 8B 45 8F 48 85 DB 74 2B 49 3B DA 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 8F BE 10 00 00 00 4C 3B CE 49 0F 43 C0 44 38 1C 18 7E 05 48 FF C3 EB 0A 45 8A EB EB 05 BE 10 00 00 00 48 8D 4D B7 48 39 75 CF 48 0F 43 4D B7 45 84 ED 74 5C 48 85 DB 74 47 8A 11 80 FA 7F 74 40 48 83 EB 01 74 15 49 3B DA 77 2F 48 8D 45 8F 4C 3B CE 49 0F 43 C0 3A 14 18 75 35 48 85 DB 75 0F 48 8D 45 8F 4C 3B CE 49 0F 43 C0 3A 10 7C 21 44 38 59 01 7E BF 48 FF C1 EB BA E8 ?? ?? ?? ?? CC 8A 44 24 20 84 C0 75 0D C6 07 30 48 FF C7 EB 05 48 8B 7C 24 30 44 88 1F 45 33 C0 B2 01 48 8D 4D 87 E8 ?? ?? ?? ?? 4C 8B C6 BA 01 00 00 00 48 8B 4D 87 E8 ?? ?? ?? ?? 45 33 ED 4C 89 6D 87 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 4C 8B C6 41 8D 55 01 48 8B 4D AF E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_694_1 {
	meta:
		name = "?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z"
		size = 613
		refs = "001a __security_cookie 004a ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 008a _guard_check_icall 00b1 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01df _Stolx 0249 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B 45 68 4C 8D 7D D8 4C 8B 6D 70 33 DB 4D 8B F0 44 89 4D C4 48 8B F2 48 89 45 D0 38 5A 08 75 08 48 8B CA E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 51 EB 05 49 39 1E 75 4A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 0F B7 5E 0A 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CD FF D7 3C 2B 75 05 88 45 D8 EB 07 3C 2D 75 0F 88 45 D8 48 8B CE 4C 8D 7D D9 E8 ?? ?? ?? ?? 33 DB 44 8A E3 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 48 EB 05 49 39 1E 75 41 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 0F B7 5E 0A 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CD FF D7 3C 30 75 0F 48 8B CE 41 B4 01 E8 ?? ?? ?? ?? 33 DB EB 95 33 DB 45 84 E4 74 07 41 C6 07 30 49 FF C7 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 64 EB 05 49 39 1E 75 5D 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 0F B7 5E 0A 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CD FF D7 8D 48 D0 80 F9 09 77 27 48 8B CE 41 88 07 41 B4 01 E8 ?? ?? ?? ?? 49 8D 47 01 48 8D 4D F7 4C 3B F9 49 0F 43 C7 33 DB 4C 8B F8 E9 79 FF FF FF 33 DB 45 84 E4 89 5D C0 48 8D 45 D8 41 B8 0A 00 00 00 49 0F 45 C7 4C 8D 4D C0 48 8D 55 C8 48 8D 4D D8 88 18 E8 ?? ?? ?? ?? 45 33 FF 8B F8 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 07 EB 0A 4D 39 3E 74 05 BB 01 00 00 00 48 8D 45 D8 48 39 45 C8 74 18 44 39 7D C0 75 12 3B 7D C4 7C 0D 39 7D 60 7C 08 48 8B 45 D0 89 38 EB 03 83 CB 02 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_695_1 {
	meta:
		name = "?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z"
		size = 613
		refs = "001a __security_cookie 004a ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 008a _guard_check_icall 00b1 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01df _Stolx 0249 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B 45 68 4C 8D 7D D8 4C 8B 6D 70 33 DB 4D 8B F0 44 89 4D C4 48 8B F2 48 89 45 D0 38 5A 08 75 08 48 8B CA E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 51 EB 05 49 39 1E 75 4A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 0F B7 5E 0A 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CD FF D7 3C 2B 75 05 88 45 D8 EB 07 3C 2D 75 0F 88 45 D8 48 8B CE 4C 8D 7D D9 E8 ?? ?? ?? ?? 33 DB 44 8A E3 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 48 EB 05 49 39 1E 75 41 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 0F B7 5E 0A 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CD FF D7 3C 30 75 0F 48 8B CE 41 B4 01 E8 ?? ?? ?? ?? 33 DB EB 95 33 DB 45 84 E4 74 07 41 C6 07 30 49 FF C7 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 64 EB 05 49 39 1E 75 5D 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 0F B7 5E 0A 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CD FF D7 8D 48 D0 80 F9 09 77 27 48 8B CE 41 88 07 41 B4 01 E8 ?? ?? ?? ?? 49 8D 47 01 48 8D 4D F7 4C 3B F9 49 0F 43 C7 33 DB 4C 8B F8 E9 79 FF FF FF 33 DB 45 84 E4 89 5D C0 48 8D 45 D8 41 B8 0A 00 00 00 49 0F 45 C7 4C 8D 4D C0 48 8D 55 C8 48 8D 4D D8 88 18 E8 ?? ?? ?? ?? 45 33 FF 8B F8 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 07 EB 0A 4D 39 3E 74 05 BB 01 00 00 00 48 8D 45 D8 48 39 45 C8 74 18 44 39 7D C0 75 12 3B 7D C4 7C 0D 39 7D 60 7C 08 48 8B 45 D0 89 38 EB 03 83 CB 02 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_697_1 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z"
		size = 3822
		refs = "0029 __security_cookie 0076 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007f ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00a2 _guard_check_icall 00dc ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 0138 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ 015a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 017c ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 01dc ?_Src@?1??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAEAVios_base@3@PEAG@Z@4QBDB 025b ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02b1 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 02bf ??$?9GU?$char_traits@G@std@@@std@@YA_NAEBV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 02d8 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 031e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03ae ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 047a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 048c ?_Deallocate@std@@YAXPEAX_K1@Z 0717 ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0786 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 080c ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 0846 ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 09fe ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0ae3 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0b56 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0cd9 ?is@?$ctype@G@std@@QEBA_NFG@Z 0d41 _invalid_parameter_noinfo_noreturn 0deb ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEAAAEAV01@XZ 0df6 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA_NAEBV01@@Z 0e25 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBAAEBGXZ 0e9d ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0ece __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 A0 48 81 EC 60 01 00 00 48 C7 45 98 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 58 4D 8B E1 4C 89 4C 24 48 49 8B F8 4C 8B EA 48 89 54 24 40 48 89 55 A0 48 8B 8D C8 00 00 00 48 89 4C 24 78 48 8B 85 D0 00 00 00 48 89 44 24 68 33 DB 89 5C 24 28 38 9D C0 00 00 00 74 5D 48 8D 55 A8 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 50 8D 73 01 4C 8B 75 B0 4D 85 F6 74 35 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 33 DB 48 85 C0 74 17 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 33 DB EB 5D 48 8D 55 B8 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 50 BE 01 00 00 00 4C 8B 75 C0 4D 85 F6 74 35 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 33 DB 48 85 C0 74 17 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 33 DB 88 5C 24 20 88 5C 24 24 48 8D 4D 30 E8 ?? ?? ?? ?? 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 60 49 8B CF FF D3 49 8B CD E8 ?? ?? ?? ?? 44 8B FE 89 74 24 30 89 74 24 28 48 8D 55 80 48 8B 4C 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 38 4C 8B 75 88 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 90 4C 8B 74 24 38 49 8B 06 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 68 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 33 DB 8B C3 48 89 5C 24 58 48 83 F8 04 0F 83 89 0B 00 00 8A 44 04 60 3C 20 0F 84 A9 0A 00 00 3C 24 0F 84 E1 07 00 00 3C 2B 0F 84 B8 04 00 00 3C 76 74 0D 3C 78 0F 84 8D 0A 00 00 E9 F9 0A 00 00 44 8B EB 89 5C 24 74 4C 8B 74 24 50 49 8B 06 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 8B E0 89 44 24 70 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 33 DB 48 39 5D F8 0F 84 88 02 00 00 49 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 0F B7 F0 33 DB 66 85 C0 0F 84 65 02 00 00 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 80 39 7F 0F 83 4E 02 00 00 45 33 C0 48 8B D6 48 8D 4D 08 E8 ?? ?? ?? ?? 90 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 84 C0 0F 84 31 01 00 00 44 38 57 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 48 8B 54 24 68 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 4A 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 48 8B D6 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 3B 5D 20 0F 87 14 0A 00 00 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 80 3C 03 7F 74 6A 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 40 00 34 03 EB 56 48 3B 5D 20 0F 87 EE 09 00 00 48 8D 45 10 4C 8B 45 10 4C 8B 4D 28 49 83 F9 10 49 0F 43 C0 44 38 14 03 74 5A 44 38 57 08 75 13 48 8B CF E8 ?? ?? ?? ?? 4C 8B 4D 28 4C 8B 45 10 45 33 D2 66 44 39 77 0A 75 3A 45 33 C0 48 8B D6 48 8D 4D 08 E8 ?? ?? ?? ?? 48 03 DE 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 84 C0 0F 85 04 FF FF FF 4C 8B 4D 28 4C 8B 45 10 48 85 DB 74 30 48 3B 5D 20 0F 87 65 09 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C0 44 38 14 03 7E 05 48 03 DE EB 0F 40 88 74 24 20 EB 08 4C 8B 4D 28 4C 8B 45 10 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 44 38 54 24 20 75 7E 48 85 DB 74 4E 8A 11 80 FA 7F 74 47 48 2B DE 74 1B 48 3B 5D 20 0F 87 1B 09 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C0 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 10 49 83 F9 10 49 0F 43 C0 3A 10 7C 0B 44 38 51 01 7E B9 48 FF C1 EB B4 40 88 74 24 20 EB 2B 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 4C 8B 74 24 48 E9 E9 00 00 00 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 33 DB 48 89 5D 08 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 44 8D 43 10 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 4C 8B 6C 24 40 4C 8B 64 24 48 4C 8B 74 24 38 E9 31 08 00 00 4C 8B 74 24 48 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 7B 4C 8B 64 24 40 4C 8B 6C 24 68 4C 8D 3D ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 49 8B C5 41 0F B7 4D 00 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 49 2B C5 48 D1 F8 48 83 F8 0A 73 26 46 8A 04 38 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 A5 44 8B 7C 24 30 44 8B 64 24 70 44 8B 6C 24 74 48 8B 44 24 50 48 8B 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 50 FF D3 0F B7 D8 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 0F 84 B9 00 00 00 66 85 DB 0F 84 B0 00 00 00 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 66 39 5F 0A 0F 85 99 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 DB EB 6B 45 3B EC 7D 7F 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 68 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 32 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 48 8B D6 48 8B 4C 24 40 E8 ?? ?? ?? ?? 44 03 EE 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 91 8B 44 24 20 0F B6 C0 45 3B EC 0F 4C C6 89 44 24 20 EB 02 33 DB 48 8B 44 24 40 48 39 58 18 75 07 40 88 74 24 20 EB 25 45 3B EC 7D 20 45 2B E5 41 8B DC 4C 8B 6C 24 40 41 B0 30 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 2B DE 75 ED EB 05 4C 8B 6C 24 40 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? E9 12 FE FF FF 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 48 39 1F 75 0C 49 39 1C 24 0F 84 27 06 00 00 EB 0A 49 39 1C 24 0F 85 1B 06 00 00 48 8D 55 08 4C 8B 74 24 50 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 04 44 89 7C 24 28 48 39 58 18 76 46 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 08 44 89 7C 24 28 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 33 C0 38 47 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 39 03 75 05 40 8A DE EB 02 33 DB 41 F6 C7 08 74 2B 41 83 E7 F7 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 33 C0 48 89 45 E0 41 83 E7 FB 44 89 7C 24 30 44 89 7C 24 28 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 84 DB 74 69 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 1C 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 4C 8B 74 24 38 33 DB E9 E7 04 00 00 48 8D 55 08 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 10 44 89 7C 24 28 33 C9 48 39 48 18 76 44 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 20 44 89 7C 24 28 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 33 C0 38 47 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 39 03 75 05 40 8A DE EB 04 33 C0 8A D8 41 F6 C7 20 74 2B 41 83 E7 DF 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 33 C0 48 89 45 E0 41 83 E7 EF 44 89 7C 24 30 44 89 7C 24 28 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 84 DB 74 67 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 1C 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 40 88 74 24 24 E9 C3 FE FF FF 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B 58 18 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 48 85 DB 0F 84 89 FE FF FF 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B 58 18 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 8B 44 24 20 4C 8B 74 24 38 48 85 DB 75 05 40 88 74 24 24 33 DB E9 35 03 00 00 48 8D 55 E0 48 8B 4C 24 50 E8 ?? ?? ?? ?? 90 4C 8B F3 48 8B 44 24 78 F6 40 18 08 75 53 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 48 39 1F 75 08 49 39 1C 24 74 2C EB 06 49 39 1C 24 75 24 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 4F 0A 48 8D 45 E8 48 83 7D 00 08 48 0F 43 45 E8 66 3B 08 75 61 48 83 7C 24 58 03 75 6E 48 39 75 48 77 68 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 48 39 1F 75 08 49 39 1C 24 74 2C EB 06 49 39 1C 24 75 24 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 4F 0A 48 8D 45 E8 48 83 7D 00 08 48 0F 43 45 E8 66 3B 08 74 15 48 8D 45 E8 48 83 7D 00 08 48 89 5D F8 48 0F 43 45 E8 66 89 18 48 8D 55 C8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 0B 48 8B 09 48 85 C9 74 03 4C 8B 31 48 8B 58 10 45 33 C0 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 45 38 44 24 08 75 0B 49 8B CC E8 ?? ?? ?? ?? 45 33 C0 4C 39 07 75 0C 4D 39 04 24 0F 84 C3 00 00 00 EB 0A 4D 39 04 24 0F 85 B7 00 00 00 41 83 CF 02 44 89 7C 24 30 44 89 7C 24 28 48 8D 55 08 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B D0 45 33 C0 4D 85 F6 41 8B C8 74 03 49 8B 0E 48 8B 00 48 85 C0 75 05 49 8B C0 EB 03 48 8B 00 48 3B C8 0F 85 E6 01 00 00 48 3B 5A 10 0F 94 C0 40 32 C6 74 66 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 57 0A 48 85 DB 0F 84 B6 01 00 00 4D 85 F6 0F 84 A7 01 00 00 49 8B 06 48 85 C0 0F 84 9B 01 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 7B 01 00 00 48 8B 40 18 48 8D 0C 41 48 3B D9 0F 83 6A 01 00 00 66 3B 13 40 8A C6 74 03 41 8A C0 41 F6 C7 02 74 0E 41 83 E7 FD 44 89 7C 24 30 44 89 7C 24 28 84 C0 74 51 48 85 DB 0F 84 62 01 00 00 4D 85 F6 0F 84 53 01 00 00 49 8B 06 48 85 C0 0F 84 47 01 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D9 0F 83 1F 01 00 00 48 83 C3 02 48 8B CF E8 ?? ?? ?? ?? E9 9C FE FF FF 48 8D 55 08 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B D0 45 33 C0 4D 85 F6 41 8B C8 74 03 49 8B 0E 48 8B 00 48 85 C0 75 05 49 8B C0 EB 03 48 8B 00 48 3B C8 0F 85 E9 00 00 00 48 3B 5A 10 0F 94 C0 40 32 C6 0F B6 44 24 20 0F 45 C6 88 44 24 20 E9 5D FB FF FF 48 83 7C 24 58 03 74 69 EB 2E 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? BA 48 00 00 00 44 0F B7 47 0A 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 1C 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 75 C1 48 8B 44 24 58 80 7C 04 60 20 75 13 0F B6 44 24 20 84 DB 0F 44 C6 89 44 24 20 E9 D1 FC FF FF 8B 44 24 20 E9 C8 FC FF FF 8B 44 24 20 48 01 74 24 58 84 C0 0F 85 3A 01 00 00 48 8B 44 24 58 E9 B5 F4 FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 39 75 48 0F 86 F7 00 00 00 0F 57 C0 F3 0F 7F 45 80 48 89 5D 90 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B C8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 80 48 8B 41 10 48 89 45 90 41 83 CF 40 44 89 7C 24 28 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 80 E8 ?? ?? ?? ?? 48 8B C8 48 8B D3 E8 ?? ?? ?? ?? 33 DB 84 C0 74 37 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 28 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 5F 0A 48 8D 4D 80 E8 ?? ?? ?? ?? 66 3B 18 75 07 40 8A C6 33 DB EB 04 33 DB 8A C3 41 83 E7 BF 44 89 7C 24 28 84 C0 74 0D 48 8B CF E8 ?? ?? ?? ?? E9 7A FF FF FF 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D 80 E8 ?? ?? ?? ?? 84 C0 74 19 49 89 5D 18 49 83 7D 20 10 72 06 49 8B 45 08 EB 04 49 8D 45 08 88 18 EB 19 8A 44 24 24 84 C0 74 11 41 B1 2D 4C 8B C6 33 D2 49 8B CD E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 30 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 58 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 01 00 00 48 81 C4 60 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_41_710_1 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z"
		size = 3822
		refs = "0029 __security_cookie 0076 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007f ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00a2 _guard_check_icall 00dc ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 0138 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ 015a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 017c ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 01dc ?_Src@?1??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAEAVios_base@3@PEA_W@Z@4QBDB 025b ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02b1 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 02bf ??$?9_WU?$char_traits@_W@std@@@std@@YA_NAEBV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 02d8 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 031e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03ae ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 047a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 048c ?_Deallocate@std@@YAXPEAX_K1@Z 0717 ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0786 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 080c ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 0846 ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 09fe ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0ae3 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0b56 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0cd9 ?is@?$ctype@_W@std@@QEBA_NF_W@Z 0d41 _invalid_parameter_noinfo_noreturn 0deb ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEAAAEAV01@XZ 0df6 ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA_NAEBV01@@Z 0e25 ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBAAEB_WXZ 0e9d ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0ece __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 A0 48 81 EC 60 01 00 00 48 C7 45 98 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 58 4D 8B E1 4C 89 4C 24 48 49 8B F8 4C 8B EA 48 89 54 24 40 48 89 55 A0 48 8B 8D C8 00 00 00 48 89 4C 24 78 48 8B 85 D0 00 00 00 48 89 44 24 68 33 DB 89 5C 24 28 38 9D C0 00 00 00 74 5D 48 8D 55 A8 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 50 8D 73 01 4C 8B 75 B0 4D 85 F6 74 35 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 33 DB 48 85 C0 74 17 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 33 DB EB 5D 48 8D 55 B8 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 50 BE 01 00 00 00 4C 8B 75 C0 4D 85 F6 74 35 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 33 DB 48 85 C0 74 17 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 33 DB 88 5C 24 20 88 5C 24 24 48 8D 4D 30 E8 ?? ?? ?? ?? 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 60 49 8B CF FF D3 49 8B CD E8 ?? ?? ?? ?? 44 8B FE 89 74 24 30 89 74 24 28 48 8D 55 80 48 8B 4C 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 38 4C 8B 75 88 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 90 4C 8B 74 24 38 49 8B 06 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 68 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 33 DB 8B C3 48 89 5C 24 58 48 83 F8 04 0F 83 89 0B 00 00 8A 44 04 60 3C 20 0F 84 A9 0A 00 00 3C 24 0F 84 E1 07 00 00 3C 2B 0F 84 B8 04 00 00 3C 76 74 0D 3C 78 0F 84 8D 0A 00 00 E9 F9 0A 00 00 44 8B EB 89 5C 24 74 4C 8B 74 24 50 49 8B 06 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 8B E0 89 44 24 70 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 33 DB 48 39 5D F8 0F 84 88 02 00 00 49 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 0F B7 F0 33 DB 66 85 C0 0F 84 65 02 00 00 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 80 39 7F 0F 83 4E 02 00 00 45 33 C0 48 8B D6 48 8D 4D 08 E8 ?? ?? ?? ?? 90 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 84 C0 0F 84 31 01 00 00 44 38 57 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 48 8B 54 24 68 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 4A 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 48 8B D6 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 3B 5D 20 0F 87 14 0A 00 00 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 80 3C 03 7F 74 6A 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 40 00 34 03 EB 56 48 3B 5D 20 0F 87 EE 09 00 00 48 8D 45 10 4C 8B 45 10 4C 8B 4D 28 49 83 F9 10 49 0F 43 C0 44 38 14 03 74 5A 44 38 57 08 75 13 48 8B CF E8 ?? ?? ?? ?? 4C 8B 4D 28 4C 8B 45 10 45 33 D2 66 44 39 77 0A 75 3A 45 33 C0 48 8B D6 48 8D 4D 08 E8 ?? ?? ?? ?? 48 03 DE 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 84 C0 0F 85 04 FF FF FF 4C 8B 4D 28 4C 8B 45 10 48 85 DB 74 30 48 3B 5D 20 0F 87 65 09 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C0 44 38 14 03 7E 05 48 03 DE EB 0F 40 88 74 24 20 EB 08 4C 8B 4D 28 4C 8B 45 10 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 44 38 54 24 20 75 7E 48 85 DB 74 4E 8A 11 80 FA 7F 74 47 48 2B DE 74 1B 48 3B 5D 20 0F 87 1B 09 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C0 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 10 49 83 F9 10 49 0F 43 C0 3A 10 7C 0B 44 38 51 01 7E B9 48 FF C1 EB B4 40 88 74 24 20 EB 2B 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 4C 8B 74 24 48 E9 E9 00 00 00 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 33 DB 48 89 5D 08 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 44 8D 43 10 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 4C 8B 6C 24 40 4C 8B 64 24 48 4C 8B 74 24 38 E9 31 08 00 00 4C 8B 74 24 48 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 7B 4C 8B 64 24 40 4C 8B 6C 24 68 4C 8D 3D ?? ?? ?? ?? 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 49 8B C5 41 0F B7 4D 00 EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 49 2B C5 48 D1 F8 48 83 F8 0A 73 26 46 8A 04 38 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 A5 44 8B 7C 24 30 44 8B 64 24 70 44 8B 6C 24 74 48 8B 44 24 50 48 8B 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 50 FF D3 0F B7 D8 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 0F 84 B9 00 00 00 66 85 DB 0F 84 B0 00 00 00 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 66 39 5F 0A 0F 85 99 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 DB EB 6B 45 3B EC 7D 7F 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 68 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 32 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 48 8B D6 48 8B 4C 24 40 E8 ?? ?? ?? ?? 44 03 EE 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 91 8B 44 24 20 0F B6 C0 45 3B EC 0F 4C C6 89 44 24 20 EB 02 33 DB 48 8B 44 24 40 48 39 58 18 75 07 40 88 74 24 20 EB 25 45 3B EC 7D 20 45 2B E5 41 8B DC 4C 8B 6C 24 40 41 B0 30 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 2B DE 75 ED EB 05 4C 8B 6C 24 40 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? E9 12 FE FF FF 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 48 39 1F 75 0C 49 39 1C 24 0F 84 27 06 00 00 EB 0A 49 39 1C 24 0F 85 1B 06 00 00 48 8D 55 08 4C 8B 74 24 50 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 04 44 89 7C 24 28 48 39 58 18 76 46 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 08 44 89 7C 24 28 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 33 C0 38 47 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 39 03 75 05 40 8A DE EB 02 33 DB 41 F6 C7 08 74 2B 41 83 E7 F7 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 33 C0 48 89 45 E0 41 83 E7 FB 44 89 7C 24 30 44 89 7C 24 28 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 84 DB 74 69 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 1C 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 4C 8B 74 24 38 33 DB E9 E7 04 00 00 48 8D 55 08 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 10 44 89 7C 24 28 33 C9 48 39 48 18 76 44 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 20 44 89 7C 24 28 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 33 C0 38 47 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 39 03 75 05 40 8A DE EB 04 33 C0 8A D8 41 F6 C7 20 74 2B 41 83 E7 DF 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 33 C0 48 89 45 E0 41 83 E7 EF 44 89 7C 24 30 44 89 7C 24 28 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 84 DB 74 67 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 1C 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 40 88 74 24 24 E9 C3 FE FF FF 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B 58 18 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 48 85 DB 0F 84 89 FE FF FF 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B 58 18 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 8B 44 24 20 4C 8B 74 24 38 48 85 DB 75 05 40 88 74 24 24 33 DB E9 35 03 00 00 48 8D 55 E0 48 8B 4C 24 50 E8 ?? ?? ?? ?? 90 4C 8B F3 48 8B 44 24 78 F6 40 18 08 75 53 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 48 39 1F 75 08 49 39 1C 24 74 2C EB 06 49 39 1C 24 75 24 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 4F 0A 48 8D 45 E8 48 83 7D 00 08 48 0F 43 45 E8 66 3B 08 75 61 48 83 7C 24 58 03 75 6E 48 39 75 48 77 68 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 48 39 1F 75 08 49 39 1C 24 74 2C EB 06 49 39 1C 24 75 24 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 4F 0A 48 8D 45 E8 48 83 7D 00 08 48 0F 43 45 E8 66 3B 08 74 15 48 8D 45 E8 48 83 7D 00 08 48 89 5D F8 48 0F 43 45 E8 66 89 18 48 8D 55 C8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 0B 48 8B 09 48 85 C9 74 03 4C 8B 31 48 8B 58 10 45 33 C0 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 45 38 44 24 08 75 0B 49 8B CC E8 ?? ?? ?? ?? 45 33 C0 4C 39 07 75 0C 4D 39 04 24 0F 84 C3 00 00 00 EB 0A 4D 39 04 24 0F 85 B7 00 00 00 41 83 CF 02 44 89 7C 24 30 44 89 7C 24 28 48 8D 55 08 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B D0 45 33 C0 4D 85 F6 41 8B C8 74 03 49 8B 0E 48 8B 00 48 85 C0 75 05 49 8B C0 EB 03 48 8B 00 48 3B C8 0F 85 E6 01 00 00 48 3B 5A 10 0F 94 C0 40 32 C6 74 66 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 57 0A 48 85 DB 0F 84 B6 01 00 00 4D 85 F6 0F 84 A7 01 00 00 49 8B 06 48 85 C0 0F 84 9B 01 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 7B 01 00 00 48 8B 40 18 48 8D 0C 41 48 3B D9 0F 83 6A 01 00 00 66 3B 13 40 8A C6 74 03 41 8A C0 41 F6 C7 02 74 0E 41 83 E7 FD 44 89 7C 24 30 44 89 7C 24 28 84 C0 74 51 48 85 DB 0F 84 62 01 00 00 4D 85 F6 0F 84 53 01 00 00 49 8B 06 48 85 C0 0F 84 47 01 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D9 0F 83 1F 01 00 00 48 83 C3 02 48 8B CF E8 ?? ?? ?? ?? E9 9C FE FF FF 48 8D 55 08 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B D0 45 33 C0 4D 85 F6 41 8B C8 74 03 49 8B 0E 48 8B 00 48 85 C0 75 05 49 8B C0 EB 03 48 8B 00 48 3B C8 0F 85 E9 00 00 00 48 3B 5A 10 0F 94 C0 40 32 C6 0F B6 44 24 20 0F 45 C6 88 44 24 20 E9 5D FB FF FF 48 83 7C 24 58 03 74 69 EB 2E 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? BA 48 00 00 00 44 0F B7 47 0A 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 1C 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 75 C1 48 8B 44 24 58 80 7C 04 60 20 75 13 0F B6 44 24 20 84 DB 0F 44 C6 89 44 24 20 E9 D1 FC FF FF 8B 44 24 20 E9 C8 FC FF FF 8B 44 24 20 48 01 74 24 58 84 C0 0F 85 3A 01 00 00 48 8B 44 24 58 E9 B5 F4 FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 39 75 48 0F 86 F7 00 00 00 0F 57 C0 F3 0F 7F 45 80 48 89 5D 90 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B C8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 80 48 8B 41 10 48 89 45 90 41 83 CF 40 44 89 7C 24 28 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 80 E8 ?? ?? ?? ?? 48 8B C8 48 8B D3 E8 ?? ?? ?? ?? 33 DB 84 C0 74 37 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 28 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 5F 0A 48 8D 4D 80 E8 ?? ?? ?? ?? 66 3B 18 75 07 40 8A C6 33 DB EB 04 33 DB 8A C3 41 83 E7 BF 44 89 7C 24 28 84 C0 74 0D 48 8B CF E8 ?? ?? ?? ?? E9 7A FF FF FF 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D 80 E8 ?? ?? ?? ?? 84 C0 74 19 49 89 5D 18 49 83 7D 20 10 72 06 49 8B 45 08 EB 04 49 8D 45 08 88 18 EB 19 8A 44 24 24 84 C0 74 11 41 B1 2D 4C 8B C6 33 D2 49 8B CD E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 30 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 58 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 01 00 00 48 81 C4 60 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_41_701_1 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$3@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA ?dtor$3@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 01 85 C0 74 10 83 65 28 FE 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_704_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_68_304_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_717_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_705_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_68_305_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_718_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_706_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_68_306_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_719_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_707_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 20 85 C0 74 10 83 65 28 DF 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_68_307_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 20 85 C0 74 10 83 65 28 DF 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_720_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 20 85 C0 74 10 83 65 28 DF 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_723_1 {
	meta:
		name = "?_Getmonths@_Locinfo@std@@QEBAPEBDXZ"
		size = 86
		refs = "000e _Getmonths 0022 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 002a free 0047 ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 18 00 74 0F 48 8B 43 18 48 85 C0 75 0D 48 8D 43 20 EB 07 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_731_1 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z"
		size = 130
		refs = "0029 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 0048 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 007d ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B DA 48 3B D0 77 60 33 FF 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 3C 45 84 C0 74 1A 48 83 FB 08 73 14 4C 8B 41 18 B2 01 49 3B D8 4C 0F 42 C3 E8 ?? ?? ?? ?? EB 1D 48 85 DB 75 1B 48 83 79 20 08 48 89 79 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 66 89 39 48 85 DB 0F 95 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_732_1 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z"
		size = 130
		refs = "0029 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 0048 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 007d ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B DA 48 3B D0 77 60 33 FF 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 3C 45 84 C0 74 1A 48 83 FB 08 73 14 4C 8B 41 18 B2 01 49 3B D8 4C 0F 42 C3 E8 ?? ?? ?? ?? EB 1D 48 85 DB 75 1B 48 83 79 20 08 48 89 79 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 66 89 39 48 85 DB 0F 95 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_733_1 {
	meta:
		name = "?_Hash_seq@std@@YA_KPEBE_K@Z"
		size = 52
	strings:
		$1 = { 45 33 C9 49 B8 25 23 22 84 E4 9C F2 CB 48 85 D2 74 1E 41 0F B6 04 09 49 BA B3 01 00 00 00 01 00 00 4C 33 C0 49 FF C1 4D 0F AF C2 4C 3B CA 72 E2 49 8B C0 C3 }
	condition:
		$1
}

rule file_41_736_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
		size = 135
		refs = "0056 _guard_check_icall"
		altNames = "?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 39 48 8B F1 48 85 FF 74 55 48 8B 47 38 48 83 38 00 74 08 48 8B 47 50 8B 08 EB 02 33 C9 85 C9 7E 19 48 8B 47 50 FF 08 48 8B 4F 38 48 8B 11 48 8D 42 02 48 89 01 0F B7 02 EB 14 48 8B 07 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 B9 FF FF 00 00 66 3B C8 74 06 C6 46 08 00 EB 08 48 83 26 00 C6 46 08 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_739_1 {
	meta:
		name = "?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 477
		refs = "002f _Getcvt 0053 localeconv 008e calloc 009b ?_Xbad_alloc@std@@YAXXZ 00c6 ??$_Getvals@G@?$_Mpunct@G@std@@IEAAXGPEBUlconv@@@Z 0117 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0121 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 0151 _errno 015c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 98 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A E0 48 8B F9 48 8D 48 A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 47 48 0F 10 48 10 0F 11 4F 58 F2 0F 10 40 20 F2 0F 11 47 68 8B 40 28 89 47 70 E8 ?? ?? ?? ?? 48 8B F0 45 33 ED 4C 89 6F 10 4C 89 6F 20 4C 89 6F 28 4C 89 6F 30 4C 8B 70 38 48 83 CB FF 48 FF C3 45 38 2C 1E 75 F7 41 BF 01 00 00 00 49 03 DF 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 85 DB 74 15 48 8B CA 49 2B CE 41 8A 06 42 88 04 31 4D 03 F7 49 2B DF 75 F1 48 89 57 10 33 D2 4C 8B C6 48 8B CF E8 ?? ?? ?? ?? 90 8A 4F 44 84 C9 74 05 8A 46 50 EB 03 8A 46 51 0F BE C0 83 F8 7E 41 0F 47 C5 89 47 38 44 0F BE 46 56 0F BE 46 52 0F BE 56 53 84 C9 75 2F 83 FA 02 77 2A 41 3B C7 77 25 41 83 F8 04 77 1F 8D 0C 50 41 8D 04 88 03 C1 C1 E0 02 4C 8D 3D ?? ?? ?? ?? 49 03 C7 48 8D 1D ?? ?? ?? ?? EB 11 48 8D 1D ?? ?? ?? ?? 48 8B C3 4C 8D 3D ?? ?? ?? ?? 4C 8D 77 3C 4D 85 F6 74 0F 48 85 C0 74 07 8B 00 41 89 06 EB 13 41 89 06 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F BE 46 57 0F BE 4E 54 0F BE 56 55 44 38 6F 44 75 1D 83 FA 02 77 18 83 F9 01 77 13 83 F8 04 77 0E 8D 0C 51 8D 1C 88 03 D9 C1 E3 02 49 03 DF 48 83 C7 40 74 0F 48 85 DB 74 06 8B 03 89 07 EB 14 33 C0 89 07 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 84 E4 74 0A B8 24 2B 78 76 41 89 06 89 07 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_41_742_1 {
	meta:
		name = "?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 477
		refs = "002f _Getcvt 0053 localeconv 008e calloc 009b ?_Xbad_alloc@std@@YAXXZ 00c6 ??$_Getvals@_W@?$_Mpunct@_W@std@@IEAAX_WPEBUlconv@@@Z 0117 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0121 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 0151 _errno 015c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 98 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A E0 48 8B F9 48 8D 48 A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 47 48 0F 10 48 10 0F 11 4F 58 F2 0F 10 40 20 F2 0F 11 47 68 8B 40 28 89 47 70 E8 ?? ?? ?? ?? 48 8B F0 45 33 ED 4C 89 6F 10 4C 89 6F 20 4C 89 6F 28 4C 89 6F 30 4C 8B 70 38 48 83 CB FF 48 FF C3 45 38 2C 1E 75 F7 41 BF 01 00 00 00 49 03 DF 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 85 DB 74 15 48 8B CA 49 2B CE 41 8A 06 42 88 04 31 4D 03 F7 49 2B DF 75 F1 48 89 57 10 33 D2 4C 8B C6 48 8B CF E8 ?? ?? ?? ?? 90 8A 4F 44 84 C9 74 05 8A 46 50 EB 03 8A 46 51 0F BE C0 83 F8 7E 41 0F 47 C5 89 47 38 44 0F BE 46 56 0F BE 46 52 0F BE 56 53 84 C9 75 2F 83 FA 02 77 2A 41 3B C7 77 25 41 83 F8 04 77 1F 8D 0C 50 41 8D 04 88 03 C1 C1 E0 02 4C 8D 3D ?? ?? ?? ?? 49 03 C7 48 8D 1D ?? ?? ?? ?? EB 11 48 8D 1D ?? ?? ?? ?? 48 8B C3 4C 8D 3D ?? ?? ?? ?? 4C 8D 77 3C 4D 85 F6 74 0F 48 85 C0 74 07 8B 00 41 89 06 EB 13 41 89 06 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F BE 46 57 0F BE 4E 54 0F BE 56 55 44 38 6F 44 75 1D 83 FA 02 77 18 83 F9 01 77 13 83 F8 04 77 0E 8D 0C 51 8D 1C 88 03 D9 C1 E3 02 49 03 DF 48 83 C7 40 74 0F 48 85 DB 74 06 8B 03 89 07 EB 14 33 C0 89 07 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 84 E4 74 0A B8 24 2B 78 76 41 89 06 89 07 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_41_741_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 22
		refs = "0008 ?_Tidy@?$_Mpunct@G@std@@AEAAXXZ 0011 _CxxThrowException"
	strings:
		$1 = { 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_68_321_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 22
		refs = "0008 ?_Tidy@?$_Mpunct@D@std@@AEAAXXZ 0011 _CxxThrowException"
	strings:
		$1 = { 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_41_744_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 22
		refs = "0008 ?_Tidy@?$_Mpunct@_W@std@@AEAAXXZ 0011 _CxxThrowException"
	strings:
		$1 = { 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_41_747_1 {
	meta:
		name = "?_Init@?$collate@G@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 33
		refs = "000f _Getcoll"
		altNames = "?_Init@?$collate@D@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$collate@_W@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 43 10 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_761_1 {
	meta:
		name = "?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 548
		refs = "0026 __security_cookie 0041 localeconv 004e _Getcvt 0096 ??_C@_00CNPNBAHC@?$AA@ 00c7 calloc 00d4 ?_Xbad_alloc@std@@YAXXZ 0101 ??_C@_05LAPONLG@false?$AA@ 0106 ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 011b ??_C@_04LOAJBDKD@true?$AA@ 0163 _Mbrtowc 01f3 ??$_Getvals@G@?$numpunct@G@std@@IEAAXGPEBUlconv@@U_Cvtvec@@@Z 0203 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 41 56 41 57 48 81 EC C0 00 00 00 48 C7 40 98 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B8 00 00 00 45 8A F0 48 8B F1 48 89 4C 24 40 E8 ?? ?? ?? ?? 4C 8B F8 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 0F 11 84 24 88 00 00 00 0F 10 48 10 0F 11 8C 24 98 00 00 00 F2 0F 10 40 20 F2 0F 11 84 24 A8 00 00 00 8B 48 28 89 8C 24 B0 00 00 00 45 33 E4 4C 89 66 10 4C 89 66 20 4C 89 66 28 45 84 F6 48 8D 3D ?? ?? ?? ?? 75 04 49 8B 7F 10 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 83 CB FF 48 FF C3 44 38 24 1F 75 F7 41 BD 01 00 00 00 49 03 DD 41 8B D5 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 85 DB 74 13 48 8B CA 48 2B CF 8A 07 88 04 39 49 03 FD 49 2B DD 75 F3 48 89 56 10 4C 8D 84 24 88 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 46 20 4C 8D 84 24 88 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 46 28 45 84 F6 0F 84 80 00 00 00 C6 44 24 30 2E 66 44 89 64 24 38 33 C0 48 89 44 24 40 48 8D 84 24 88 00 00 00 48 89 44 24 20 4C 8D 4C 24 40 4D 8B C5 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 44 24 38 66 89 46 18 C6 44 24 30 2C 66 44 89 64 24 38 33 C0 48 89 44 24 40 48 8D 84 24 88 00 00 00 48 89 44 24 20 4C 8D 4C 24 40 4D 8B C5 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 44 24 38 66 89 46 1A EB 46 0F 10 84 24 88 00 00 00 0F 29 44 24 50 0F 10 8C 24 98 00 00 00 0F 29 4C 24 60 F2 0F 10 84 24 A8 00 00 00 F2 0F 11 44 24 70 8B 84 24 B0 00 00 00 89 44 24 78 33 D2 4C 8D 4C 24 50 4D 8B C7 48 8B CE E8 ?? ?? ?? ?? 48 8B 8C 24 B8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_41_763_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 19
		refs = "0005 ?_Tidy@?$numpunct@G@std@@AEAAXXZ 000e _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 40 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_41_766_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 19
		refs = "0005 ?_Tidy@?$numpunct@_W@std@@AEAAXXZ 000e _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 40 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_68_329_1 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0"
		size = 19
		refs = "0005 ?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEAAXXZ 000e _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 40 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_41_769_1 {
	meta:
		name = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0"
		size = 19
		refs = "0005 ?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEAAXXZ 000e _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 40 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_41_772_1 {
	meta:
		name = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0"
		size = 19
		refs = "0005 ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEAAXXZ 000e _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 40 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_41_764_1 {
	meta:
		name = "?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 501
		refs = "0027 __security_cookie 0042 localeconv 004f _Getcvt 0097 ??_C@_00CNPNBAHC@?$AA@ 00c8 calloc 00d5 ?_Xbad_alloc@std@@YAXXZ 0102 ??_C@_05LAPONLG@false?$AA@ 0107 ??$_Maklocstr@_W@std@@YAPEA_WPEBDPEA_WAEBU_Cvtvec@@@Z 011c ??_C@_04LOAJBDKD@true?$AA@ 0164 _Mbrtowc 01d4 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 41 56 41 57 48 81 EC C0 00 00 00 48 C7 44 24 48 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 00 00 00 45 8A F8 48 8B F1 48 89 4C 24 40 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 0F 11 84 24 80 00 00 00 0F 10 48 10 0F 11 8C 24 90 00 00 00 F2 0F 10 40 20 F2 0F 11 84 24 A0 00 00 00 8B 48 28 89 8C 24 A8 00 00 00 45 33 E4 4C 89 66 10 4C 89 66 20 4C 89 66 28 45 84 FF 48 8D 3D ?? ?? ?? ?? 75 04 49 8B 7E 10 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 83 CB FF 48 FF C3 44 38 24 1F 75 F7 41 BD 01 00 00 00 49 03 DD 41 8B D5 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 85 DB 74 13 48 8B CA 48 2B CF 8A 07 88 04 39 49 03 FD 49 2B DD 75 F3 48 89 56 10 4C 8D 84 24 80 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 46 20 4C 8D 84 24 80 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 46 28 45 84 FF 0F 84 80 00 00 00 C6 44 24 30 2E 66 44 89 64 24 38 33 C0 48 89 44 24 40 48 8D 84 24 80 00 00 00 48 89 44 24 20 4C 8D 4C 24 40 4D 8B C5 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 44 24 38 66 89 46 18 C6 44 24 30 2C 66 44 89 64 24 38 33 C0 48 89 44 24 40 48 8D 84 24 80 00 00 00 48 89 44 24 20 4C 8D 4C 24 40 4D 8B C5 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 44 24 38 66 89 46 1A EB 16 49 8B 46 58 0F B7 08 66 89 4E 18 49 8B 46 60 0F B7 08 66 89 4E 1A 48 8B 8C 24 B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_41_767_1 {
	meta:
		name = "?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 60
		refs = "002a ??$_Getvals@G@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXGAEBV_Locinfo@1@@Z 002f _Getdateorder"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B C2 48 8B D9 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_770_1 {
	meta:
		name = "?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 60
		refs = "002a ??$_Getvals@_W@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAX_WAEBV_Locinfo@1@@Z 002f _Getdateorder"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B C2 48 8B D9 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_773_1 {
	meta:
		name = "?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 52
		refs = "0015 ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 002a free"
		altNames = "?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B D9 48 8B C8 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_330_1 {
	meta:
		name = "?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 52
		refs = "0015 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 002a free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B D9 48 8B C8 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_41_777_1 {
	meta:
		name = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_NPEBG@Z"
		size = 58
		altNames = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_NPEB_W@Z"
	strings:
		$1 = { 48 85 D2 74 32 48 83 79 20 08 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B D0 72 1A 48 83 79 20 08 72 03 4D 8B 00 48 8B 41 18 49 8D 0C 40 48 3B CA 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_41_779_1 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z"
		size = 1214
		refs = "0028 __security_cookie 00a0 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a9 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00c6 _guard_check_icall 00f8 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z 0145 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0192 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01f2 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 026d ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 03b6 _invalid_parameter_noinfo_noreturn 045a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 046e ?_Deallocate@std@@YAXPEAX_K1@Z 0481 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 049f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC C0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 89 4D 87 4D 8B F8 48 89 55 8F 0F B7 45 6F 66 89 44 24 30 4C 8B 6D 77 4C 8B 65 7F BE 01 00 00 00 4D 85 E4 74 0F 41 8A 45 00 2C 2B A8 FD 75 05 44 8B F6 EB 03 45 33 F6 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1D 49 8D 4E 02 49 3B CC 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 48 8D 55 97 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 20 48 8B 7D 9F 48 85 FF 74 32 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 48 8B CF FF D3 90 45 33 C0 49 8B D4 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 8B 44 24 20 48 8B 00 4B 8D 1C 2C 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4C 24 20 FF D7 48 8D 55 97 48 8B 4D 87 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 9F 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 7D DF 48 83 7D F7 10 48 0F 43 7D DF 8A 07 FE C8 3C 7D 77 5C 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 0F B7 D8 80 3F 7F 74 40 80 3F 00 7E 3B 48 0F BE 0F 49 8B C4 49 2B C6 48 3B C8 73 2C 4C 2B E1 44 0F B7 CB 41 B8 01 00 00 00 49 8B D4 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4E C7 48 8B F8 80 38 7F 75 C0 4C 8B 6D C7 48 8B 45 87 48 8B 58 28 48 85 DB 7E 0A 49 3B DD 76 05 49 2B DD EB 02 33 DB 8B 40 18 25 C0 01 00 00 41 0F 10 07 BE FF FF 00 00 0F 29 44 24 20 83 F8 40 0F 84 1C 01 00 00 3D 00 01 00 00 0F 84 89 00 00 00 48 85 DB 74 31 48 8B 7C 24 28 44 0F B7 64 24 30 48 85 FF 74 11 41 0F B7 D4 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DF 0F 28 44 24 20 F3 41 0F 7F 07 33 DB 0F 29 44 24 20 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B E6 4D 85 F6 0F 84 F9 00 00 00 48 39 5C 24 28 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 EC 01 75 D8 E9 C7 00 00 00 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B E6 4D 85 F6 74 2E 48 83 7C 24 28 00 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 EC 01 75 D7 0F 28 44 24 20 F3 41 0F 7F 07 0F 29 44 24 20 48 85 DB 74 31 48 8B 7C 24 28 44 0F B7 64 24 30 48 85 FF 74 11 41 0F B7 D4 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DF 0F 28 44 24 20 33 DB EB 44 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B E6 4D 85 F6 74 2E 48 83 7C 24 28 00 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 EC 01 75 D7 0F 28 44 24 20 F3 41 0F 7F 07 0F 29 44 24 20 4C 3B 75 C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 4A 8D 3C 70 4D 2B EE 74 2E 4C 8B 74 24 28 4D 85 F6 74 10 0F B7 17 49 8B CE E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 ED 01 75 DC 0F 28 44 24 20 F3 41 0F 7F 07 48 8B 45 87 48 83 60 28 00 41 0F 10 07 0F 29 44 24 20 48 85 DB 74 2C 48 8B 7C 24 28 48 85 FF 74 12 0F B7 54 24 30 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DE 0F 28 44 24 20 48 8B 5D 8F F3 0F 7F 03 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? BF 10 00 00 00 44 8B C7 8D 57 F1 48 8B 4D D7 E8 ?? ?? ?? ?? 48 83 65 D7 00 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 44 8B C7 8D 57 F1 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_784_1 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z"
		size = 1214
		refs = "0028 __security_cookie 00a0 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a9 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00c6 _guard_check_icall 00f8 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 0145 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0192 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01f2 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 026d ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 03b6 _invalid_parameter_noinfo_noreturn 045a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 046e ?_Deallocate@std@@YAXPEAX_K1@Z 0481 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 049f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC C0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 89 4D 87 4D 8B F8 48 89 55 8F 0F B7 45 6F 66 89 44 24 30 4C 8B 6D 77 4C 8B 65 7F BE 01 00 00 00 4D 85 E4 74 0F 41 8A 45 00 2C 2B A8 FD 75 05 44 8B F6 EB 03 45 33 F6 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1D 49 8D 4E 02 49 3B CC 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 48 8D 55 97 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 20 48 8B 7D 9F 48 85 FF 74 32 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 48 8B CF FF D3 90 45 33 C0 49 8B D4 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 8B 44 24 20 48 8B 00 4B 8D 1C 2C 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4C 24 20 FF D7 48 8D 55 97 48 8B 4D 87 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 9F 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 7D DF 48 83 7D F7 10 48 0F 43 7D DF 8A 07 FE C8 3C 7D 77 5C 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 0F B7 D8 80 3F 7F 74 40 80 3F 00 7E 3B 48 0F BE 0F 49 8B C4 49 2B C6 48 3B C8 73 2C 4C 2B E1 44 0F B7 CB 41 B8 01 00 00 00 49 8B D4 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4E C7 48 8B F8 80 38 7F 75 C0 4C 8B 6D C7 48 8B 45 87 48 8B 58 28 48 85 DB 7E 0A 49 3B DD 76 05 49 2B DD EB 02 33 DB 8B 40 18 25 C0 01 00 00 41 0F 10 07 BE FF FF 00 00 0F 29 44 24 20 83 F8 40 0F 84 1C 01 00 00 3D 00 01 00 00 0F 84 89 00 00 00 48 85 DB 74 31 48 8B 7C 24 28 44 0F B7 64 24 30 48 85 FF 74 11 41 0F B7 D4 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DF 0F 28 44 24 20 F3 41 0F 7F 07 33 DB 0F 29 44 24 20 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B E6 4D 85 F6 0F 84 F9 00 00 00 48 39 5C 24 28 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 EC 01 75 D8 E9 C7 00 00 00 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B E6 4D 85 F6 74 2E 48 83 7C 24 28 00 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 EC 01 75 D7 0F 28 44 24 20 F3 41 0F 7F 07 0F 29 44 24 20 48 85 DB 74 31 48 8B 7C 24 28 44 0F B7 64 24 30 48 85 FF 74 11 41 0F B7 D4 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DF 0F 28 44 24 20 33 DB EB 44 48 8D 7D B7 48 83 7D CF 08 48 0F 43 7D B7 4D 8B E6 4D 85 F6 74 2E 48 83 7C 24 28 00 74 12 0F B7 17 48 8B 4C 24 28 E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 EC 01 75 D7 0F 28 44 24 20 F3 41 0F 7F 07 0F 29 44 24 20 4C 3B 75 C7 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 48 83 7D CF 08 48 0F 43 45 B7 4A 8D 3C 70 4D 2B EE 74 2E 4C 8B 74 24 28 4D 85 F6 74 10 0F B7 17 49 8B CE E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 C7 02 49 83 ED 01 75 DC 0F 28 44 24 20 F3 41 0F 7F 07 48 8B 45 87 48 83 60 28 00 41 0F 10 07 0F 29 44 24 20 48 85 DB 74 2C 48 8B 7C 24 28 48 85 FF 74 12 0F B7 54 24 30 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 05 C6 44 24 20 01 48 83 EB 01 75 DE 0F 28 44 24 20 48 8B 5D 8F F3 0F 7F 03 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? BF 10 00 00 00 44 8B C7 8D 57 F1 48 8B 4D D7 E8 ?? ?? ?? ?? 48 83 65 D7 00 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 44 8B C7 8D 57 F1 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_789_1 {
	meta:
		name = "?_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 3294
		refs = "0058 ??2@YAPEAX_K@Z 006f ??_7?$ctype@G@std@@6B@ 007b _Getctype 0093 _Getcvt 00be ?id@?$ctype@G@std@@2V0locale@2@A 00ce ??0_Lockit@std@@QEAA@H@Z 00dd ?_Id_cnt@id@locale@std@@0HA 00f7 ??1_Lockit@std@@QEAA@XZ 0152 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0160 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0194 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 01a2 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 020f ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 021d ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 02b5 ??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0312 ??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0354 ??_7?$numpunct@G@std@@6B@ 0365 ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0372 ?id@?$numpunct@G@std@@2V0locale@2@A 040e ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0422 ?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 045f ??_7?$collate@G@std@@6B@ 046b _Getcoll 047f ?id@?$collate@G@std@@2V0locale@2@A 0513 ??$use_facet@V?$collate@G@std@@@std@@YAAEBV?$collate@G@0@AEBVlocale@0@@Z 054f ??_7?$messages@G@std@@6B@ 055e ?id@?$messages@G@std@@2V0locale@2@A 05f2 ??$use_facet@V?$messages@G@std@@@std@@YAAEBV?$messages@G@0@AEBVlocale@0@@Z 0634 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0642 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 06af ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 06bd ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0755 ??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 07b2 ??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 07eb ??_7?$_Mpunct@G@std@@6B@ 0809 ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0811 ??_7?$moneypunct@G$0A@@std@@6B@ 0820 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 08a9 ??_7?$moneypunct@G$00@std@@6B@ 08b8 ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0957 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 09b4 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 09f4 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0a02 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 0a0f ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0a7b ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0a8e ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0aa1 free 0aad ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0b44 ??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0ba1 ??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0be0 ??_7?$codecvt@GDU_Mbstatet@@@std@@6B@ 0c17 ?id@?$codecvt@GDU_Mbstatet@@@std@@2V0locale@2@A 0cab ??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 49 8B F9 49 8B D8 44 8B FA 4C 8B E1 45 33 F6 44 89 75 38 44 8B EA 41 83 E5 02 0F 84 1A 01 00 00 4D 85 C9 0F 85 B4 00 00 00 41 8D 49 60 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 50 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 10 0F 10 48 10 0F 11 4E 20 48 8D 4D C8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 30 0F 10 48 10 0F 11 4E 40 F2 0F 10 40 20 F2 0F 11 46 50 8B 40 28 89 46 58 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 08 0F 84 B3 01 00 00 48 85 FF 0F 85 F0 00 00 00 8D 4F 10 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 0F 21 78 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 10 83 60 08 00 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 E9 B2 00 00 00 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 85 F6 0F 84 ED 00 00 00 45 33 F6 48 85 FF 0F 85 8A 00 00 00 8D 4F 30 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 1F 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 5A 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 EB 9F 45 33 F6 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 B8 01 00 00 00 D3 E0 D1 F8 41 85 C7 0F 84 EA 00 00 00 48 85 FF 0F 85 84 00 00 00 8D 4F 20 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 21 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 46 10 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 41 F6 C7 20 0F 84 D5 00 00 00 48 85 FF 75 73 8D 4F 10 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 10 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 04 0F 84 B3 01 00 00 48 85 FF 0F 85 F0 00 00 00 8D 4F 10 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 0F 21 78 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 10 83 60 08 00 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 E9 B2 00 00 00 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 85 F6 0F 84 F6 01 00 00 45 33 F6 48 85 FF 0F 85 33 01 00 00 8D 4F 78 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 8D 05 ?? ?? ?? ?? 48 85 F6 74 26 44 89 76 08 48 89 06 44 88 76 44 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? B9 78 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 2D 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 C6 46 44 01 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? E9 BA 00 00 00 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 E9 3C FF FF FF 45 33 F6 41 F6 C7 10 0F 84 E3 01 00 00 48 85 FF 0F 85 20 01 00 00 8D 4F 58 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 1C 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 33 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 4C 89 76 10 48 8D 55 A0 49 8B CC E8 ?? ?? ?? ?? 48 8B 08 48 89 4E 10 4C 89 30 48 8B 4D A0 E8 ?? ?? ?? ?? EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 E9 B2 00 00 00 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 85 ED 0F 84 01 01 00 00 48 85 FF 0F 85 9B 00 00 00 8D 4F 40 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 A0 48 85 C0 74 38 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4D C8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 47 10 0F 10 48 10 0F 11 4F 20 F2 0F 10 40 20 F2 0F 11 47 30 8B 40 28 89 47 38 EB 03 49 8B FE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D7 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_41_798_1 {
	meta:
		name = "?_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 3294
		refs = "0058 ??2@YAPEAX_K@Z 006f ??_7?$ctype@_W@std@@6B@ 007b _Getctype 0093 _Getcvt 00be ?id@?$ctype@_W@std@@2V0locale@2@A 00ce ??0_Lockit@std@@QEAA@H@Z 00dd ?_Id_cnt@id@locale@std@@0HA 00f7 ??1_Lockit@std@@QEAA@XZ 0152 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0160 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0194 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 01a2 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 020f ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 021d ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 02b5 ??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0312 ??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0354 ??_7?$numpunct@_W@std@@6B@ 0365 ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0372 ?id@?$numpunct@_W@std@@2V0locale@2@A 040e ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0422 ?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 045f ??_7?$collate@_W@std@@6B@ 046b _Getcoll 047f ?id@?$collate@_W@std@@2V0locale@2@A 0513 ??$use_facet@V?$collate@_W@std@@@std@@YAAEBV?$collate@_W@0@AEBVlocale@0@@Z 054f ??_7?$messages@_W@std@@6B@ 055e ?id@?$messages@_W@std@@2V0locale@2@A 05f2 ??$use_facet@V?$messages@_W@std@@@std@@YAAEBV?$messages@_W@0@AEBVlocale@0@@Z 0634 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0642 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 06af ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 06bd ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0755 ??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 07b2 ??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 07eb ??_7?$_Mpunct@_W@std@@6B@ 0809 ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0811 ??_7?$moneypunct@_W$0A@@std@@6B@ 0820 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 08a9 ??_7?$moneypunct@_W$00@std@@6B@ 08b8 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0957 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 09b4 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 09f4 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0a02 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 0a0f ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0a7b ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0a8e ?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0aa1 free 0aad ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0b44 ??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0ba1 ??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0be0 ??_7?$codecvt@_WDU_Mbstatet@@@std@@6B@ 0c17 ?id@?$codecvt@_WDU_Mbstatet@@@std@@2V0locale@2@A 0cab ??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@YAAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 49 8B F9 49 8B D8 44 8B FA 4C 8B E1 45 33 F6 44 89 75 38 44 8B EA 41 83 E5 02 0F 84 1A 01 00 00 4D 85 C9 0F 85 B4 00 00 00 41 8D 49 60 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 50 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 10 0F 10 48 10 0F 11 4E 20 48 8D 4D C8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 46 30 0F 10 48 10 0F 11 4E 40 F2 0F 10 40 20 F2 0F 11 46 50 8B 40 28 89 46 58 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 08 0F 84 B3 01 00 00 48 85 FF 0F 85 F0 00 00 00 8D 4F 10 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 0F 21 78 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 10 83 60 08 00 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 E9 B2 00 00 00 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 85 F6 0F 84 ED 00 00 00 45 33 F6 48 85 FF 0F 85 8A 00 00 00 8D 4F 30 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 1F 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 5A 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 EB 9F 45 33 F6 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 B8 01 00 00 00 D3 E0 D1 F8 41 85 C7 0F 84 EA 00 00 00 48 85 FF 0F 85 84 00 00 00 8D 4F 20 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 21 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 46 10 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 41 F6 C7 20 0F 84 D5 00 00 00 48 85 FF 75 73 8D 4F 10 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 10 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 04 0F 84 B3 01 00 00 48 85 FF 0F 85 F0 00 00 00 8D 4F 10 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 0F 21 78 08 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 10 83 60 08 00 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 02 33 F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 E9 B2 00 00 00 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 85 F6 0F 84 F6 01 00 00 45 33 F6 48 85 FF 0F 85 33 01 00 00 8D 4F 78 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 8D 05 ?? ?? ?? ?? 48 85 F6 74 26 44 89 76 08 48 89 06 44 88 76 44 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? B9 78 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 2D 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 C6 46 44 01 45 33 C0 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? E9 BA 00 00 00 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 E9 3C FF FF FF 45 33 F6 41 F6 C7 10 0F 84 E3 01 00 00 48 85 FF 0F 85 20 01 00 00 8D 4F 58 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 1C 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 90 EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 48 8B CB E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 A0 48 85 C0 74 33 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 06 4C 89 76 10 48 8D 55 A0 49 8B CC E8 ?? ?? ?? ?? 48 8B 08 48 89 4E 10 4C 89 30 48 8B 4D A0 E8 ?? ?? ?? ?? EB 03 49 8B F6 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D6 E9 B2 00 00 00 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 45 85 ED 0F 84 01 01 00 00 48 85 FF 0F 85 9B 00 00 00 8D 4F 40 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 A0 48 85 C0 74 38 44 89 70 08 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4D C8 E8 ?? ?? ?? ?? 0F 10 00 0F 11 47 10 0F 10 48 10 0F 11 4F 20 F2 0F 10 40 20 F2 0F 11 47 30 8B 40 28 89 47 38 EB 03 49 8B FE 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D7 EB 55 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 35 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_41_790_1 {
	meta:
		name = "?dtor$3@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 29
		refs = "0013 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$3@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 30 00 00 00 48 8B 4D 20 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_792_1 {
	meta:
		name = "?dtor$8@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 29
		refs = "0013 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$4@?0??_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$5@?0??_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$8@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$9@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$9@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 78 00 00 00 48 8B 4D 20 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_796_1 {
	meta:
		name = "?dtor$10@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 29
		refs = "0013 ??3@YAXPEAX_K@Z"
		altNames = "?dtor$10@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$6@?0??_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 58 00 00 00 48 8B 4D 20 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_807_1 {
	meta:
		name = "?_Maklocwcs@std@@YAPEA_WPEB_W@Z"
		size = 107
		refs = "0032 calloc 0049 memcpy 0066 ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 83 CB FF 48 8B F1 33 ED 48 FF C3 66 39 2C 59 75 F7 48 FF C3 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 27 4C 8D 04 1B 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_808_1 {
	meta:
		name = "?_Makpat@?$_Mpunct@G@std@@AEAAXAEAUpattern@money_base@2@III@Z"
		size = 103
		refs = "002b ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 003a ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 0054 _errno 0063 _invalid_parameter_noinfo"
		altNames = "?_Makpat@?$_Mpunct@D@std@@AEAAXAEAUpattern@money_base@2@III@Z ?_Makpat@?$_Mpunct@_W@std@@AEAAXAEAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 48 83 EC 28 80 79 44 00 75 2D 41 83 F8 02 77 27 41 83 F9 01 77 21 8B 44 24 50 83 F8 04 77 18 43 8D 0C 41 8D 04 88 03 C1 48 8D 0D ?? ?? ?? ?? C1 E0 02 48 03 C1 EB 07 48 8D 05 ?? ?? ?? ?? 48 85 D2 74 10 48 85 C0 74 09 8B 00 89 02 48 83 C4 28 C3 89 02 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_817_1 {
	meta:
		name = "?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEAAPEAGXZ"
		size = 17
		altNames = "?_Myptr@?$_String_alloc@U?$_String_base_types@GV?$allocator@G@std@@@std@@@std@@QEBAPEBGXZ ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEAAPEA_WXZ ?_Myptr@?$_String_alloc@U?$_String_base_types@_WV?$allocator@_W@std@@@std@@@std@@QEBAPEB_WXZ ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QEAAPEAGXZ ?_Myptr@?$_String_val@U?$_Simple_types@G@std@@@std@@QEBAPEBGXZ ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QEAAPEA_WXZ ?_Myptr@?$_String_val@U?$_Simple_types@_W@std@@@std@@QEBAPEB_WXZ ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAPEBGXZ ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAPEB_WXZ"
	strings:
		$1 = { 48 83 79 20 08 72 05 48 8B 41 08 C3 48 8D 41 08 C3 }
	condition:
		$1
}

rule file_41_840_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ"
		size = 121
		refs = "0044 _guard_check_icall"
		altNames = "?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 31 48 8B F9 48 85 F6 74 43 48 8B 46 38 48 8B 10 48 85 D2 74 08 48 8B 46 50 8B 08 EB 02 33 C9 85 C9 7E 05 0F B7 02 EB 14 48 8B 06 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 0F B7 47 0A 48 8B 5C 24 30 48 8B 74 24 38 C6 47 08 01 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_846_1 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@_K@Z"
		size = 294
		refs = "0087 ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 0103 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 48 8B F2 48 8B E9 4D 85 C9 0F 84 B9 00 00 00 4C 8B 4B 10 4D 85 C9 0F 84 EA 00 00 00 48 8B 03 48 85 C0 0F 84 D8 00 00 00 48 8B 00 48 85 C0 0F 84 CC 00 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 49 3B C9 0F 87 AC 00 00 00 48 8B 40 18 48 8D 0C 41 4C 3B C9 0F 83 9B 00 00 00 48 8B 4E 08 48 85 C9 74 13 41 0F B7 11 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 06 01 48 8B 53 10 48 FF CF 48 85 D2 74 6A 48 8B 03 48 85 C0 74 5C 48 8B 00 48 85 C0 74 54 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D1 73 30 48 8D 42 02 48 85 FF 48 89 43 10 E9 41 FF FF FF 0F 10 06 48 8B 5C 24 30 48 8B C5 48 8B 74 24 40 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_847_1 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@_K@Z"
		size = 294
		refs = "0087 ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 0103 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 48 8B F2 48 8B E9 4D 85 C9 0F 84 B9 00 00 00 4C 8B 4B 10 4D 85 C9 0F 84 EA 00 00 00 48 8B 03 48 85 C0 0F 84 D8 00 00 00 48 8B 00 48 85 C0 0F 84 CC 00 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 49 3B C9 0F 87 AC 00 00 00 48 8B 40 18 48 8D 0C 41 4C 3B C9 0F 83 9B 00 00 00 48 8B 4E 08 48 85 C9 74 13 41 0F B7 11 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 06 01 48 8B 53 10 48 FF CF 48 85 D2 74 6A 48 8B 03 48 85 C0 74 5C 48 8B 00 48 85 C0 74 54 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D1 73 30 48 8D 42 02 48 85 FF 48 89 43 10 E9 41 FF FF FF 0F 10 06 48 8B 5C 24 30 48 8B C5 48 8B 74 24 40 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_848_1 {
	meta:
		name = "?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBG_K@Z"
		size = 111
		refs = "0034 ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 5C 24 50 49 8B F1 49 8B F8 48 8B EA 48 85 DB 74 28 48 8B 4F 08 48 85 C9 74 12 0F B7 16 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 07 01 48 83 C6 02 48 83 EB 01 75 D8 0F 10 07 48 8B 5C 24 30 48 8B C5 48 8B 74 24 40 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_849_1 {
	meta:
		name = "?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEB_W_K@Z"
		size = 111
		refs = "0034 ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 5C 24 50 49 8B F1 49 8B F8 48 8B EA 48 85 DB 74 28 48 8B 4F 08 48 85 C9 74 12 0F B7 16 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 07 01 48 83 C6 02 48 83 EB 01 75 D8 0F 10 07 48 8B 5C 24 30 48 8B C5 48 8B 74 24 40 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_850_1 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 2666
		refs = "002f __security_cookie 0087 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0090 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00b4 _guard_check_icall 00eb ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 0141 ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0188 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 025a ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ 0296 ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 02b1 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 02bd ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 02ed ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 033c ?_Deallocate@std@@YAXPEAX_K1@Z 0360 ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0497 ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 050f ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 055c ?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@_K@Z 070a ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 0721 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA?AV01@_J@Z 08e5 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@QEBA?AV01@_J@Z 09fc ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0a46 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 B8 FE FF FF 48 81 EC 10 02 00 00 48 C7 45 D8 FE FF FF FF 48 89 58 08 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 F8 00 00 00 49 8B F0 4C 89 45 88 48 89 55 A0 4C 8B A5 70 01 00 00 4C 89 65 90 0F B7 85 78 01 00 00 66 89 44 24 20 4C 8B BD 88 01 00 00 4C 89 7D 98 4C 89 7D 50 0F B7 85 90 01 00 00 66 89 44 24 22 49 8B CC 45 84 C9 74 5B 48 8D 55 E0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 80 BF 01 00 00 00 4C 8B 75 E8 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 49 8B CE FF D3 90 EB 59 48 8D 55 B0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 80 BF 01 00 00 00 4C 8B 75 B8 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 49 8B CE FF D3 90 48 8D 95 A8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 49 8B 45 00 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 99 33 C2 2B C2 89 44 24 78 44 8B F0 4C 89 74 24 70 4D 39 77 18 77 1F 45 8B C6 4D 2B 47 18 4C 03 C7 44 0F B7 4C 24 22 33 D2 49 8B CF E8 ?? ?? ?? ?? E9 C4 00 00 00 48 8D 85 B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 85 B0 00 00 00 80 38 7F 0F 84 A4 00 00 00 48 8D 85 B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 85 B0 00 00 00 33 D2 38 10 0F 8E 83 00 00 00 49 8B 45 00 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 44 0F B7 E0 48 8D 9D B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 9D B0 00 00 00 4D 8B 77 18 4C 2B 74 24 70 80 3B 7F 74 3C 33 F6 40 38 33 7E 31 48 0F BE 03 49 3B C6 73 28 4C 2B F0 45 0F B7 CC 4C 8B C7 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 48 8D 43 01 40 38 30 48 0F 4E C3 48 8B D8 80 38 7F 75 CA 48 8B 75 88 4C 8B 65 90 4C 8B 74 24 70 48 8D 4D 58 E8 ?? ?? ?? ?? 90 33 C0 38 85 80 01 00 00 49 8B 45 00 74 57 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CD FF D3 8B 44 24 24 89 44 24 58 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 58 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 58 E8 ?? ?? ?? ?? 90 EB 55 48 8B 58 50 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CD FF D3 8B 44 24 24 89 44 24 58 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 58 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 58 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 90 41 F6 44 24 18 08 74 67 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 85 D0 00 00 00 48 3B C3 74 22 45 33 C0 40 8A D7 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8B D3 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A C2 41 8B C2 41 8B D2 44 8B 4C 24 78 8A 4C 14 58 80 F9 20 74 46 80 F9 24 74 38 80 F9 2B 74 2D 80 F9 76 74 07 80 F9 78 74 35 EB 3F 4D 39 77 18 77 0C 49 8B CE 49 2B 4F 18 48 03 CF EB 03 49 8B CA 45 3B D1 49 13 4F 18 48 03 C1 EB 1E 48 03 45 70 EB 18 48 03 85 E8 00 00 00 EB 0F 48 03 C7 45 0F B6 C0 48 83 FA 03 44 0F 45 C7 48 03 D7 48 83 FA 04 72 99 4D 8B 74 24 28 4D 85 F6 7E 0A 4C 3B F0 76 05 4C 2B F0 EB 03 4D 8B F2 41 8B 5C 24 18 81 E3 C0 01 00 00 89 5C 24 24 83 FB 40 74 66 81 FB 00 01 00 00 75 05 45 84 C0 75 59 0F 10 06 0F 29 44 24 60 4D 85 F6 74 45 48 8B 5C 24 68 44 0F B7 64 24 20 41 BD FF FF 00 00 48 85 DB 74 12 41 0F B7 D4 48 8B CB E8 ?? ?? ?? ?? 66 44 3B E8 75 05 40 88 7C 24 60 4C 2B F7 41 BA 00 00 00 00 75 D9 0F 28 44 24 60 4C 8B 6D 80 8B 5C 24 24 F3 0F 7F 06 4D 8B F2 4D 8B E2 4C 89 54 24 60 EB 03 45 33 D2 42 8A 44 24 58 3C 20 0F 84 2E 03 00 00 3C 24 0F 84 D2 02 00 00 3C 2B 0F 84 73 02 00 00 3C 76 74 0D 3C 78 0F 84 52 03 00 00 E9 AE 03 00 00 44 39 54 24 78 75 61 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 48 8D 4D 00 4D 8B 4F 18 48 89 44 24 50 4C 8D 44 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F 10 00 E9 42 03 00 00 48 8B 5C 24 70 49 39 5F 18 0F 87 F5 00 00 00 48 8B 4E 08 48 85 C9 74 14 0F B7 54 24 22 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 40 88 3E 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 48 8B 4E 08 48 85 C9 74 12 0F B7 D0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 40 88 3E 0F 10 36 0F 29 74 24 30 48 8B 5C 24 70 49 2B 5F 18 74 48 4C 8B 64 24 38 44 0F B7 7C 24 22 41 BD FF FF 00 00 4D 85 E4 74 12 41 0F B7 D7 49 8B CC E8 ?? ?? ?? ?? 66 44 3B E8 75 05 40 88 7C 24 30 48 2B DF 75 DF 0F 28 74 24 30 48 8B 75 88 4C 8B 7D 98 4C 8B 6D 80 4C 8B 64 24 60 F3 0F 7F 36 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 66 0F 7F 74 24 30 48 8D 4D 10 E9 DC FE FF FF 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 48 89 44 24 50 0F 10 06 F3 0F 7F 44 24 30 4D 8B 4F 18 4C 2B CB 4C 8D 44 24 40 48 8D 54 24 30 48 8D 4D 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 48 8B 4E 08 48 85 C9 74 12 0F B7 D0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 40 88 3E 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 48 8B 5C 24 70 4C 8B C3 48 8D 95 80 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B CB 48 8D 4D 30 E9 EA FD FF FF 4C 39 55 70 0F 86 42 01 00 00 48 8D 95 80 00 00 00 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B CF 48 8D 4D 40 E9 93 FD FF FF 48 8D 95 80 00 00 00 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B 8D E8 00 00 00 48 8D 4D F0 E9 3F FD FF FF 0F 10 36 0F 29 74 24 30 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 14 0F B7 54 24 20 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 0A 40 88 7C 24 30 0F 28 74 24 30 F3 0F 7F 36 45 33 D2 81 FB 00 01 00 00 75 59 0F 10 06 0F 29 44 24 30 4D 85 F6 74 45 48 8B 5C 24 38 44 0F B7 64 24 20 BE FF FF 00 00 48 85 DB 74 11 41 0F B7 D4 48 8B CB E8 ?? ?? ?? ?? 66 3B F0 75 05 40 88 7C 24 30 4C 2B F7 75 E0 0F 28 44 24 30 48 8B 75 88 4C 8B 7D 98 4C 8B 64 24 60 45 33 D2 4D 8B F2 F3 0F 7F 06 4C 03 E7 4C 89 64 24 60 49 83 FC 04 8B 5C 24 24 0F 82 0B FC FF FF 48 39 7D 70 76 79 48 8D 95 80 00 00 00 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B C8 4C 8B C7 48 8D 55 C0 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 45 33 E4 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 48 89 44 24 50 0F 10 06 F3 0F 7F 45 B0 4C 8B 4D 70 49 FF C9 4C 8D 44 24 40 48 8D 55 B0 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 EB 03 45 33 E4 48 8B 45 90 4C 89 60 28 0F 10 06 0F 29 44 24 30 4D 85 F6 74 39 48 8B 5C 24 38 44 0F B7 7C 24 20 48 85 DB 74 16 41 0F B7 D7 48 8B CB E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 05 40 88 7C 24 30 4C 2B F7 75 DB 0F 28 44 24 30 4C 8B 7D 98 48 8B 5D A0 F3 0F 7F 03 45 33 C0 40 8A D7 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? BE 10 00 00 00 44 8B C6 48 8B D7 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 4C 89 A5 D0 00 00 00 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 48 8B 4D 58 E8 ?? ?? ?? ?? 4C 89 65 58 45 33 C0 40 8A D7 48 8D 8D A8 00 00 00 E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 4C 89 A5 A8 00 00 00 45 33 C0 40 8A D7 49 8B CF E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 49 8B 0F E8 ?? ?? ?? ?? 4D 89 27 48 8B C3 48 8B 8D F8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 10 02 00 00 49 8B 5B 40 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_857_1 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 2666
		refs = "002f __security_cookie 0087 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0090 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00b4 _guard_check_icall 00eb ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 0141 ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0188 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 025a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ 0296 ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 02b1 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 02bd ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 02ed ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 033c ?_Deallocate@std@@YAXPEAX_K1@Z 0360 ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0497 ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 050f ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 055c ?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@_K@Z 070a ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 0721 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z 08e5 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z 09fc ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0a46 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 B8 FE FF FF 48 81 EC 10 02 00 00 48 C7 45 D8 FE FF FF FF 48 89 58 08 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 F8 00 00 00 49 8B F0 4C 89 45 88 48 89 55 A0 4C 8B A5 70 01 00 00 4C 89 65 90 0F B7 85 78 01 00 00 66 89 44 24 20 4C 8B BD 88 01 00 00 4C 89 7D 98 4C 89 7D 50 0F B7 85 90 01 00 00 66 89 44 24 22 49 8B CC 45 84 C9 74 5B 48 8D 55 E0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 80 BF 01 00 00 00 4C 8B 75 E8 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 49 8B CE FF D3 90 EB 59 48 8D 55 B0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 45 80 BF 01 00 00 00 4C 8B 75 B8 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 49 8B CE FF D3 90 48 8D 95 A8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 49 8B 45 00 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 99 33 C2 2B C2 89 44 24 78 44 8B F0 4C 89 74 24 70 4D 39 77 18 77 1F 45 8B C6 4D 2B 47 18 4C 03 C7 44 0F B7 4C 24 22 33 D2 49 8B CF E8 ?? ?? ?? ?? E9 C4 00 00 00 48 8D 85 B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 85 B0 00 00 00 80 38 7F 0F 84 A4 00 00 00 48 8D 85 B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 85 B0 00 00 00 33 D2 38 10 0F 8E 83 00 00 00 49 8B 45 00 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 44 0F B7 E0 48 8D 9D B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 9D B0 00 00 00 4D 8B 77 18 4C 2B 74 24 70 80 3B 7F 74 3C 33 F6 40 38 33 7E 31 48 0F BE 03 49 3B C6 73 28 4C 2B F0 45 0F B7 CC 4C 8B C7 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 48 8D 43 01 40 38 30 48 0F 4E C3 48 8B D8 80 38 7F 75 CA 48 8B 75 88 4C 8B 65 90 4C 8B 74 24 70 48 8D 4D 58 E8 ?? ?? ?? ?? 90 33 C0 38 85 80 01 00 00 49 8B 45 00 74 57 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CD FF D3 8B 44 24 24 89 44 24 58 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 58 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 58 E8 ?? ?? ?? ?? 90 EB 55 48 8B 58 50 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CD FF D3 8B 44 24 24 89 44 24 58 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 58 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 58 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 90 41 F6 44 24 18 08 74 67 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 85 D0 00 00 00 48 3B C3 74 22 45 33 C0 40 8A D7 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8B D3 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A C2 41 8B C2 41 8B D2 44 8B 4C 24 78 8A 4C 14 58 80 F9 20 74 46 80 F9 24 74 38 80 F9 2B 74 2D 80 F9 76 74 07 80 F9 78 74 35 EB 3F 4D 39 77 18 77 0C 49 8B CE 49 2B 4F 18 48 03 CF EB 03 49 8B CA 45 3B D1 49 13 4F 18 48 03 C1 EB 1E 48 03 45 70 EB 18 48 03 85 E8 00 00 00 EB 0F 48 03 C7 45 0F B6 C0 48 83 FA 03 44 0F 45 C7 48 03 D7 48 83 FA 04 72 99 4D 8B 74 24 28 4D 85 F6 7E 0A 4C 3B F0 76 05 4C 2B F0 EB 03 4D 8B F2 41 8B 5C 24 18 81 E3 C0 01 00 00 89 5C 24 24 83 FB 40 74 66 81 FB 00 01 00 00 75 05 45 84 C0 75 59 0F 10 06 0F 29 44 24 60 4D 85 F6 74 45 48 8B 5C 24 68 44 0F B7 64 24 20 41 BD FF FF 00 00 48 85 DB 74 12 41 0F B7 D4 48 8B CB E8 ?? ?? ?? ?? 66 44 3B E8 75 05 40 88 7C 24 60 4C 2B F7 41 BA 00 00 00 00 75 D9 0F 28 44 24 60 4C 8B 6D 80 8B 5C 24 24 F3 0F 7F 06 4D 8B F2 4D 8B E2 4C 89 54 24 60 EB 03 45 33 D2 42 8A 44 24 58 3C 20 0F 84 2E 03 00 00 3C 24 0F 84 D2 02 00 00 3C 2B 0F 84 73 02 00 00 3C 76 74 0D 3C 78 0F 84 52 03 00 00 E9 AE 03 00 00 44 39 54 24 78 75 61 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 48 8D 4D 00 4D 8B 4F 18 48 89 44 24 50 4C 8D 44 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F 10 00 E9 42 03 00 00 48 8B 5C 24 70 49 39 5F 18 0F 87 F5 00 00 00 48 8B 4E 08 48 85 C9 74 14 0F B7 54 24 22 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 40 88 3E 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 48 8B 4E 08 48 85 C9 74 12 0F B7 D0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 40 88 3E 0F 10 36 0F 29 74 24 30 48 8B 5C 24 70 49 2B 5F 18 74 48 4C 8B 64 24 38 44 0F B7 7C 24 22 41 BD FF FF 00 00 4D 85 E4 74 12 41 0F B7 D7 49 8B CC E8 ?? ?? ?? ?? 66 44 3B E8 75 05 40 88 7C 24 30 48 2B DF 75 DF 0F 28 74 24 30 48 8B 75 88 4C 8B 7D 98 4C 8B 6D 80 4C 8B 64 24 60 F3 0F 7F 36 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 66 0F 7F 74 24 30 48 8D 4D 10 E9 DC FE FF FF 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 48 89 44 24 50 0F 10 06 F3 0F 7F 44 24 30 4D 8B 4F 18 4C 2B CB 4C 8D 44 24 40 48 8D 54 24 30 48 8D 4D 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 48 8B 4E 08 48 85 C9 74 12 0F B7 D0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 40 88 3E 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 48 8B 5C 24 70 4C 8B C3 48 8D 95 80 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B CB 48 8D 4D 30 E9 EA FD FF FF 4C 39 55 70 0F 86 42 01 00 00 48 8D 95 80 00 00 00 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B CF 48 8D 4D 40 E9 93 FD FF FF 48 8D 95 80 00 00 00 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B 8D E8 00 00 00 48 8D 4D F0 E9 3F FD FF FF 0F 10 36 0F 29 74 24 30 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 14 0F B7 54 24 20 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 0A 40 88 7C 24 30 0F 28 74 24 30 F3 0F 7F 36 45 33 D2 81 FB 00 01 00 00 75 59 0F 10 06 0F 29 44 24 30 4D 85 F6 74 45 48 8B 5C 24 38 44 0F B7 64 24 20 BE FF FF 00 00 48 85 DB 74 11 41 0F B7 D4 48 8B CB E8 ?? ?? ?? ?? 66 3B F0 75 05 40 88 7C 24 30 4C 2B F7 75 E0 0F 28 44 24 30 48 8B 75 88 4C 8B 7D 98 4C 8B 64 24 60 45 33 D2 4D 8B F2 F3 0F 7F 06 4C 03 E7 4C 89 64 24 60 49 83 FC 04 8B 5C 24 24 0F 82 0B FC FF FF 48 39 7D 70 76 79 48 8D 95 80 00 00 00 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B C8 4C 8B C7 48 8D 55 C0 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 45 33 E4 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 48 89 44 24 50 0F 10 06 F3 0F 7F 45 B0 4C 8B 4D 70 49 FF C9 4C 8D 44 24 40 48 8D 55 B0 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 EB 03 45 33 E4 48 8B 45 90 4C 89 60 28 0F 10 06 0F 29 44 24 30 4D 85 F6 74 39 48 8B 5C 24 38 44 0F B7 7C 24 20 48 85 DB 74 16 41 0F B7 D7 48 8B CB E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 05 40 88 7C 24 30 4C 2B F7 75 DB 0F 28 44 24 30 4C 8B 7D 98 48 8B 5D A0 F3 0F 7F 03 45 33 C0 40 8A D7 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? BE 10 00 00 00 44 8B C6 48 8B D7 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 4C 89 A5 D0 00 00 00 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 48 8B 4D 58 E8 ?? ?? ?? ?? 4C 89 65 58 45 33 C0 40 8A D7 48 8D 8D A8 00 00 00 E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 4C 89 A5 A8 00 00 00 45 33 C0 40 8A D7 49 8B CF E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 49 8B 0F E8 ?? ?? ?? ?? 4D 89 27 48 8B C3 48 8B 8D F8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 10 02 00 00 49 8B 5B 40 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_864_1 {
	meta:
		name = "?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@G_K@Z"
		size = 105
		refs = "0033 ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 41 0F B7 E8 48 8B DA 48 8B F1 4D 85 C9 74 24 48 8B 4B 08 48 85 C9 74 12 0F B7 D5 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 03 01 48 83 EF 01 75 DC 0F 10 03 48 8B 5C 24 30 48 8B C6 48 8B 6C 24 38 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_865_1 {
	meta:
		name = "?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_W_K@Z"
		size = 105
		refs = "0033 ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 41 0F B7 E8 48 8B DA 48 8B F1 4D 85 C9 74 24 48 8B 4B 08 48 85 C9 74 12 0F B7 D5 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 03 01 48 83 EF 01 75 DC 0F 10 03 48 8B 5C 24 30 48 8B C6 48 8B 6C 24 38 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_866_1 {
	meta:
		name = "?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@G_K@Z"
		size = 107
		refs = "0035 ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7C 24 50 41 0F B7 E9 49 8B D8 48 8B F2 48 85 FF 74 24 48 8B 4B 08 48 85 C9 74 12 0F B7 D5 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 03 01 48 83 EF 01 75 DC 0F 10 03 48 8B 5C 24 30 48 8B C6 48 8B 6C 24 38 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_867_1 {
	meta:
		name = "?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_W_K@Z"
		size = 107
		refs = "0035 ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7C 24 50 41 0F B7 E9 49 8B D8 48 8B F2 48 85 FF 74 24 48 8B 4B 08 48 85 C9 74 12 0F B7 D5 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 03 C6 03 01 48 83 EF 01 75 DC 0F 10 03 48 8B 5C 24 30 48 8B C6 48 8B 6C 24 38 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_870_1 {
	meta:
		name = "?_Tidy@?$_Mpunct@G@std@@AEAAXXZ"
		size = 50
		refs = "000e free"
		altNames = "?_Tidy@?$_Mpunct@D@std@@AEAAXXZ ?_Tidy@?$_Mpunct@_W@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_875_1 {
	meta:
		name = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z"
		size = 137
		refs = "003a memcpy 004f ?_Deallocate@std@@YAXPEAX_K1@Z"
		altNames = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F8 48 8B D9 84 D2 74 33 48 83 79 20 08 72 2C 48 83 C1 08 48 8B 31 4D 85 C0 74 0B 4D 03 C0 48 8B D6 E8 ?? ?? ?? ?? 48 8B 53 20 41 B8 02 00 00 00 48 FF C2 48 8B CE E8 ?? ?? ?? ?? 48 C7 43 20 07 00 00 00 48 83 7B 20 08 48 89 7B 18 72 06 48 8B 5B 08 EB 04 48 83 C3 08 48 8B 74 24 40 66 89 2C 7B 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_879_1 {
	meta:
		name = "?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEAAXXZ"
		size = 41
		refs = "000e free"
		altNames = "?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEAAXXZ ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_881_1 {
	meta:
		name = "?_W_Getdays@_Locinfo@std@@QEBAPEBGXZ"
		size = 86
		refs = "000e _W_Getdays 0022 ??4?$_Yarn@_W@std@@QEAAAEAV01@PEB_W@Z 002a free 0047 ??_C@_1KM@LPDIELBN@?$AA?3?$AAS?$AAu?$AAn?$AA?3?$AAS?$AAu?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAM?$AAo?$AAn?$AA?3?$AAM?$AAo?$AAn?$AAd?$AAa?$AAy?$AA?3?$AAT?$AAu?$AAe?$AA?3?$AAT?$AAu?$AAe?$AAs?$AAd@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 28 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 28 00 74 0F 48 8B 43 28 48 85 C0 75 0D 48 8D 43 30 EB 07 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_882_1 {
	meta:
		name = "?_W_Getmonths@_Locinfo@std@@QEBAPEBGXZ"
		size = 86
		refs = "000e _W_Getmonths 0022 ??4?$_Yarn@_W@std@@QEAAAEAV01@PEB_W@Z 002a free 0047 ??_C@_1BAO@JIKOGLKA@?$AA?3?$AAJ?$AAa?$AAn?$AA?3?$AAJ?$AAa?$AAn?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAF?$AAe?$AAb?$AA?3?$AAF?$AAe?$AAb?$AAr?$AAu?$AAa?$AAr?$AAy?$AA?3?$AAM?$AAa?$AAr?$AA?3?$AAM?$AAa@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4B 38 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 83 7B 38 00 74 0F 48 8B 43 38 48 85 C0 75 0D 48 8D 43 40 EB 07 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_883_1 {
	meta:
		name = "?_W_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ"
		size = 31
		refs = "000f _W_Gettnames"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_312_1 {
	meta:
		name = "?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ"
		size = 31
		refs = "000f _Gettnames"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_894_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QEAAPEAG_K@Z"
		size = 16
		refs = "000c ?_Allocate@std@@YAPEAX_K0_N@Z"
		altNames = "?allocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QEAAPEA_W_K@Z ?allocate@?$allocator@G@std@@QEAAPEAG_K@Z ?allocate@?$allocator@_W@std@@QEAAPEA_W_K@Z"
	strings:
		$1 = { 48 8B CA 41 B0 01 BA 02 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_903_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 294
		refs = "007b ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00de memcpy 0115 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 011b ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 18 4D 8B F1 49 8B E8 48 8B FA 48 8B D9 49 3B C0 0F 82 E0 00 00 00 49 2B C0 4C 8B 41 18 4C 3B C8 4C 0F 47 F0 49 8B C0 48 F7 D0 49 3B C6 0F 86 CC 00 00 00 45 33 FF 4B 8D 34 30 4D 85 F6 0F 84 97 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 AF 00 00 00 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 4C 89 79 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 38 48 85 F6 74 51 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4D 85 F6 74 15 48 8D 14 68 48 8B 43 18 4F 8D 04 36 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 44 89 3C 77 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8B CF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_906_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 294
		refs = "007b ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00de memcpy 0115 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 011b ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 18 4D 8B F1 49 8B E8 48 8B FA 48 8B D9 49 3B C0 0F 82 E0 00 00 00 49 2B C0 4C 8B 41 18 4C 3B C8 4C 0F 47 F0 49 8B C0 48 F7 D0 49 3B C6 0F 86 CC 00 00 00 45 33 FF 4B 8D 34 30 4D 85 F6 0F 84 97 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 AF 00 00 00 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 4C 89 79 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 38 48 85 F6 74 51 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4D 85 F6 74 15 48 8D 14 68 48 8B 43 18 4F 8D 04 36 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 44 89 3C 77 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8B CF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_904_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 263
		refs = "0062 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00fc ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 0F B7 F0 48 8B EA 4C 8B 41 18 48 8B D9 49 8B C0 48 F7 D0 48 3B C2 0F 86 C6 00 00 00 45 33 FF 49 8D 34 10 48 85 D2 0F 84 9A 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 A9 00 00 00 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 4C 89 79 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 38 48 85 F6 74 54 48 8B 4B 18 48 8D 53 08 48 83 FD 01 75 16 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 44 89 34 48 EB 1D 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 48 8D 3C 48 41 0F B7 C6 48 8B CD 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 3C 72 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_907_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 263
		refs = "0062 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00fc ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 0F B7 F0 48 8B EA 4C 8B 41 18 48 8B D9 49 8B C0 48 F7 D0 48 3B C2 0F 86 C6 00 00 00 45 33 FF 49 8D 34 10 48 85 D2 0F 84 9A 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 A9 00 00 00 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 4C 89 79 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 38 48 85 F6 74 54 48 8B 4B 18 48 8D 53 08 48 83 FD 01 75 16 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 44 89 34 48 EB 1D 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 48 8D 3C 48 41 0F B7 C6 48 8B CD 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 3C 72 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_914_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 324
		refs = "006f ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 009b ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00fc memcpy 0133 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 013f ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 18 49 8B F9 4D 8B F8 48 8B EA 48 8B D9 49 3B C0 0F 82 FE 00 00 00 49 2B C0 4C 3B C8 48 0F 47 F8 48 3B CA 75 38 49 8D 04 38 48 39 41 18 0F 82 EA 00 00 00 48 89 41 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 F6 33 D2 66 89 34 41 48 8B CB E8 ?? ?? ?? ?? E9 9B 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 B3 00 00 00 33 F6 48 39 79 20 73 0E 4C 8B 41 18 48 8B D7 E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 83 79 20 08 48 89 71 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 89 30 48 85 FF 74 50 48 83 7D 20 08 72 06 48 8B 6D 08 EB 04 48 83 C5 08 48 83 7B 20 08 4C 8D 73 08 72 05 49 8B 0E EB 03 49 8B CE 48 85 FF 74 14 4A 8D 14 7D 00 00 00 00 48 03 D5 4C 8D 04 3F E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 7B 18 72 03 4D 8B 36 66 41 89 34 7E 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8B CD E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_920_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 324
		refs = "006f ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 009b ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00fc memcpy 0133 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 013f ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 18 49 8B F9 4D 8B F8 48 8B EA 48 8B D9 49 3B C0 0F 82 FE 00 00 00 49 2B C0 4C 3B C8 48 0F 47 F8 48 3B CA 75 38 49 8D 04 38 48 39 41 18 0F 82 EA 00 00 00 48 89 41 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 F6 33 D2 66 89 34 41 48 8B CB E8 ?? ?? ?? ?? E9 9B 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 B3 00 00 00 33 F6 48 39 79 20 73 0E 4C 8B 41 18 48 8B D7 E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 83 79 20 08 48 89 71 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 89 30 48 85 FF 74 50 48 83 7D 20 08 72 06 48 8B 6D 08 EB 04 48 83 C5 08 48 83 7B 20 08 4C 8D 73 08 72 05 49 8B 0E EB 03 49 8B CE 48 85 FF 74 14 4A 8D 14 7D 00 00 00 00 48 03 D5 4C 8D 04 3F E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 7B 18 72 03 4D 8B 36 66 41 89 34 7E 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8B CD E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_915_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG@Z"
		size = 31
		refs = "001b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 45 33 C0 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_111_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W@Z"
		size = 31
		refs = "001b ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 45 33 C0 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_921_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W@Z"
		size = 31
		refs = "001b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 45 33 C0 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_916_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		size = 303
		refs = "007b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a8 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00f1 memcpy 012a ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 45 33 F6 49 8B F8 48 8B EA 48 8B D9 48 85 D2 74 5A 48 83 79 20 08 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B E8 72 42 48 83 79 20 08 72 05 49 8B 08 EB 03 49 8B C8 48 8B 43 18 48 8D 0C 41 48 3B CD 76 26 48 83 7B 20 08 72 03 4D 8B 00 49 2B E8 4C 8B CF 48 D1 FD 48 8B D3 4C 8B C5 48 8B CB E8 ?? ?? ?? ?? E9 87 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 8F 00 00 00 48 39 7B 20 73 11 4C 8B 43 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1E 48 85 FF 75 1E 48 83 7B 20 08 4C 89 73 18 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 44 89 30 48 85 FF 74 37 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0C 4C 8D 04 3F 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 7B 18 72 03 48 8B 36 66 44 89 34 7E 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_922_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 303
		refs = "007b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a8 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00f1 memcpy 012a ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 45 33 F6 49 8B F8 48 8B EA 48 8B D9 48 85 D2 74 5A 48 83 79 20 08 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B E8 72 42 48 83 79 20 08 72 05 49 8B 08 EB 03 49 8B C8 48 8B 43 18 48 8D 0C 41 48 3B CD 76 26 48 83 7B 20 08 72 03 4D 8B 00 49 2B E8 4C 8B CF 48 D1 FD 48 8B D3 4C 8B C5 48 8B CB E8 ?? ?? ?? ?? E9 87 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 8F 00 00 00 48 39 7B 20 73 11 4C 8B 43 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1E 48 85 FF 75 1E 48 83 7B 20 08 4C 89 73 18 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 44 89 30 48 85 FF 74 37 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 85 FF 74 0C 4C 8D 04 3F 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 7B 18 72 03 48 8B 36 66 44 89 34 7E 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_917_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 234
		refs = "004e ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00df ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 0F 84 B1 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B D0 0F 87 A4 00 00 00 45 33 F6 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 48 83 79 20 08 4C 89 71 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 30 48 85 F6 74 49 48 8D 53 08 48 83 FE 01 75 14 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 89 28 EB 18 48 83 7B 20 08 72 05 48 8B 3A EB 03 48 8B FA 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 34 72 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_923_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 234
		refs = "004e ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00df ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 0F 84 B1 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B D0 0F 87 A4 00 00 00 45 33 F6 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 48 83 79 20 08 4C 89 71 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 30 48 85 F6 74 49 48 8D 53 08 48 83 FE 01 75 14 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 89 28 EB 18 48 83 7B 20 08 72 05 48 8B 3A EB 03 48 8B FA 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 34 72 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_926_1 {
	meta:
		name = "?assign@?$char_traits@G@std@@SAPEAGPEAG_KG@Z"
		size = 35
		altNames = "?assign@?$char_traits@_W@std@@SAPEA_WPEA_W_K_W@Z"
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 48 85 D2 74 0D 48 8B F9 41 0F B7 C0 48 8B CA 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_41_930_1 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 36
		altNames = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 48 83 62 08 00 48 89 42 10 48 8B 01 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_41_945_1 {
	meta:
		name = "?deallocate@?$_Wrap_alloc@V?$allocator@G@std@@@std@@QEAAXPEAG_K@Z"
		size = 20
		refs = "0010 ?_Deallocate@std@@YAXPEAX_K1@Z"
		altNames = "?deallocate@?$_Wrap_alloc@V?$allocator@_W@std@@@std@@QEAAXPEA_W_K@Z ?deallocate@?$allocator@G@std@@QEAAXPEAG_K@Z ?deallocate@?$allocator@_W@std@@QEAAXPEA_W_K@Z"
	strings:
		$1 = { 49 8B C0 48 8B CA 48 8B D0 41 B8 02 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_961_1 {
	meta:
		name = "?do_compare@?$collate@G@std@@MEBAHPEBG000@Z"
		size = 83
	strings:
		$1 = { 41 83 CA FF EB 1D 4C 3B 4C 24 28 74 1B 41 0F B7 01 66 39 02 72 38 66 3B 02 72 2C 48 83 C2 02 49 83 C1 02 49 3B D0 75 DE 33 C9 49 3B D0 0F 95 C1 4C 3B 4C 24 28 41 0F 45 CA 33 C0 85 C9 0F 95 C0 85 C9 41 0F 48 C2 C3 B9 01 00 00 00 EB EB 41 8B CA EB E6 }
	condition:
		$1
}

rule file_41_962_1 {
	meta:
		name = "?do_compare@?$collate@_W@std@@MEBAHPEB_W000@Z"
		size = 66
		refs = "0027 _Wcscoll"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D1 48 8D 41 10 4C 8B 4C 24 60 4D 8B D8 48 8B DA 48 89 44 24 20 4D 8B C2 49 8B D3 48 8B CB E8 ?? ?? ?? ?? 8B C8 33 C0 85 C9 0F 95 C0 83 CA FF 85 C9 0F 48 C2 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_399_1 {
	meta:
		name = "?do_compare@?$collate@D@std@@MEBAHPEBD000@Z"
		size = 66
		refs = "0027 _Strcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D1 48 8D 41 10 4C 8B 4C 24 60 4D 8B D8 48 8B DA 48 89 44 24 20 4D 8B C2 49 8B D3 48 8B CB E8 ?? ?? ?? ?? 8B C8 33 C0 85 C9 0F 95 C0 83 CA FF 85 C9 0F 48 C2 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_978_1 {
	meta:
		name = "?do_get@?$messages@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHAEBV32@@Z"
		size = 36
		refs = "0017 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_404_1 {
	meta:
		name = "?do_get@?$messages@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHAEBV32@@Z"
		size = 36
		refs = "0017 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_979_1 {
	meta:
		name = "?do_get@?$messages@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHAEBV32@@Z"
		size = 36
		refs = "0017 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_980_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 326
		refs = "001e __security_cookie 006e ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z 007e ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 00c2 _errno 00d7 strtod 010a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 011d ?_Deallocate@std@@YAXPEAX_K1@Z 0130 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC A0 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 49 8B D9 4D 8B F0 4C 8B FA 48 8B 84 24 08 01 00 00 48 8B AC 24 10 01 00 00 4C 8B A4 24 18 01 00 00 48 8D 54 24 78 48 89 54 24 30 48 89 44 24 28 8A 84 24 00 01 00 00 88 44 24 20 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 49 83 3E 00 75 08 48 83 3B 00 74 08 EB 0A 48 83 3B 00 74 04 83 4D 00 01 48 83 7C 24 68 00 74 42 48 8D 74 24 58 48 83 7C 24 70 10 48 0F 43 74 24 58 E8 ?? ?? ?? ?? 48 8B F8 8B 18 83 20 00 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 8B 07 89 1F 48 39 74 24 40 74 0C 85 C0 75 08 F2 41 0F 11 04 24 EB 04 83 4D 00 02 41 0F 10 06 F3 41 0F 7F 07 45 33 C0 B2 01 48 8D 4C 24 50 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 50 E8 ?? ?? ?? ?? 49 8B C7 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_984_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 326
		refs = "001e __security_cookie 006e ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z 007e ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 00c2 _errno 00d7 strtod 010a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 011d ?_Deallocate@std@@YAXPEAX_K1@Z 0130 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC A0 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 49 8B D9 4D 8B F0 4C 8B FA 48 8B 84 24 08 01 00 00 48 8B AC 24 10 01 00 00 4C 8B A4 24 18 01 00 00 48 8D 54 24 78 48 89 54 24 30 48 89 44 24 28 8A 84 24 00 01 00 00 88 44 24 20 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 49 83 3E 00 75 08 48 83 3B 00 74 08 EB 0A 48 83 3B 00 74 04 83 4D 00 01 48 83 7C 24 68 00 74 42 48 8D 74 24 58 48 83 7C 24 70 10 48 0F 43 74 24 58 E8 ?? ?? ?? ?? 48 8B F8 8B 18 83 20 00 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 8B 07 89 1F 48 39 74 24 40 74 0C 85 C0 75 08 F2 41 0F 11 04 24 EB 04 83 4D 00 02 41 0F 10 06 F3 41 0F 7F 07 45 33 C0 B2 01 48 8D 4C 24 50 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 50 E8 ?? ?? ?? ?? 49 8B C7 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_41_982_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 443
		refs = "0028 __security_cookie 0062 ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z 0078 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 00dd ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 015b _invalid_parameter_noinfo_noreturn 017b ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 018d ?_Deallocate@std@@YAXPEAX_K1@Z 019c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F1 4D 8B E0 4C 8B EA 48 8B 45 6F 4C 8B 7D 77 48 8B 7D 7F 48 8D 55 E7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 D7 33 DB 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 49 39 1C 24 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 48 85 F6 75 09 41 83 0F 02 E9 B8 00 00 00 48 3B 77 18 77 1B 48 89 77 18 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 66 89 1C 70 EB 12 45 33 C0 48 8B D6 48 2B 57 18 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 80 38 2D 75 5F 48 83 7F 20 08 72 06 48 8B 4F 08 EB 04 48 8D 4F 08 0F B7 45 FB 66 89 01 BB 01 00 00 00 EB 40 48 3B 5D D7 77 47 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 48 3B 5F 18 77 2D 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 0F BE 04 18 83 E8 30 48 98 0F B7 4C 45 E7 66 89 0C 5A 48 FF C3 48 3B DE 72 BB EB 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 0F 10 04 24 F3 41 0F 7F 45 00 45 33 C0 B2 01 48 8D 4D BF E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_986_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 443
		refs = "0028 __security_cookie 0062 ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z 0078 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 00dd ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 015b _invalid_parameter_noinfo_noreturn 017b ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 018d ?_Deallocate@std@@YAXPEAX_K1@Z 019c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F1 4D 8B E0 4C 8B EA 48 8B 45 6F 4C 8B 7D 77 48 8B 7D 7F 48 8D 55 E7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 D7 33 DB 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 49 39 1C 24 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 48 85 F6 75 09 41 83 0F 02 E9 B8 00 00 00 48 3B 77 18 77 1B 48 89 77 18 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 66 89 1C 70 EB 12 45 33 C0 48 8B D6 48 2B 57 18 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 80 38 2D 75 5F 48 83 7F 20 08 72 06 48 8B 4F 08 EB 04 48 8D 4F 08 0F B7 45 FB 66 89 01 BB 01 00 00 00 EB 40 48 3B 5D D7 77 47 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 48 3B 5F 18 77 2D 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 0F BE 04 18 83 E8 30 48 98 0F B7 4C 45 E7 66 89 0C 5A 48 FF C3 48 3B DE 72 BB EB 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 0F 10 04 24 F3 41 0F 7F 45 00 45 33 C0 B2 01 48 8D 4D BF E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1005_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 723
		refs = "0023 __security_cookie 0067 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0070 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0092 _guard_check_icall 00cb ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z 00da ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ed ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00fd ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 010f ?_Deallocate@std@@YAXPEAX_K1@Z 011e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 012c ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0180 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z 01d5 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 01eb _Stoulx 0264 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 02bc __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC 00 01 00 00 48 C7 45 87 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4D 8B F8 48 89 54 24 60 4C 8B F1 48 8B 5D 6F 4C 8B 6D 77 48 8B 45 7F 48 89 44 24 58 48 83 CE FF 48 8B CB F7 43 18 00 40 00 00 0F 84 48 01 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 30 44 8D 76 02 48 8B 44 24 48 48 85 C0 74 39 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 48 FF D3 48 89 44 24 38 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 38 FF D3 90 45 33 C0 49 8B D6 48 8D 4D 8F E8 ?? ?? ?? ?? 90 48 8D 55 B7 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D B7 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 49 8B D6 48 8B 4D B7 E8 ?? ?? ?? ?? 45 33 C0 49 8B D6 48 8D 4D 8F E8 ?? ?? ?? ?? 48 8D 55 B7 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D B7 E8 ?? ?? ?? ?? BB 10 00 00 00 44 8B C3 49 8B D6 48 8B 4D B7 E8 ?? ?? ?? ?? 4C 8D 4D 97 48 83 7D AF 08 4C 0F 43 4D 97 44 8D 43 F2 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 8B F0 45 33 C0 41 8A D6 48 8D 4D 8F E8 ?? ?? ?? ?? 44 8B C3 49 8B D6 48 8B 4D 8F E8 ?? ?? ?? ?? E9 B0 00 00 00 83 64 24 38 00 48 8D 54 24 68 E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 DF 49 8B CE E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D DF E8 ?? ?? ?? ?? 8B C8 89 44 24 30 41 BE 01 00 00 00 48 8B 44 24 70 48 85 C0 74 3C 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 70 FF D3 48 89 44 24 50 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 50 FF D3 8B 4C 24 30 48 8D 45 DF 48 39 44 24 40 74 0D 83 7C 24 38 00 75 06 41 3B CE 0F 46 F1 41 80 7F 08 00 75 08 49 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 49 83 3F 00 75 09 49 83 3C 24 00 74 09 EB 0B 49 83 3C 24 00 74 04 45 09 75 00 85 F6 79 07 41 83 4D 00 02 EB 0A 0F 95 C1 48 8B 44 24 58 88 08 41 0F 10 07 48 8B 44 24 60 F3 0F 7F 00 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1028_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 723
		refs = "0023 __security_cookie 0067 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0070 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0092 _guard_check_icall 00cb ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 00da ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ed ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00fd ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 010f ?_Deallocate@std@@YAXPEAX_K1@Z 011e ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 012c ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0180 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z 01d5 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 01eb _Stoulx 0264 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 02bc __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC 00 01 00 00 48 C7 45 87 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4D 8B F8 48 89 54 24 60 4C 8B F1 48 8B 5D 6F 4C 8B 6D 77 48 8B 45 7F 48 89 44 24 58 48 83 CE FF 48 8B CB F7 43 18 00 40 00 00 0F 84 48 01 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 30 44 8D 76 02 48 8B 44 24 48 48 85 C0 74 39 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 48 FF D3 48 89 44 24 38 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 38 FF D3 90 45 33 C0 49 8B D6 48 8D 4D 8F E8 ?? ?? ?? ?? 90 48 8D 55 B7 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D B7 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 49 8B D6 48 8B 4D B7 E8 ?? ?? ?? ?? 45 33 C0 49 8B D6 48 8D 4D 8F E8 ?? ?? ?? ?? 48 8D 55 B7 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D B7 E8 ?? ?? ?? ?? BB 10 00 00 00 44 8B C3 49 8B D6 48 8B 4D B7 E8 ?? ?? ?? ?? 4C 8D 4D 97 48 83 7D AF 08 4C 0F 43 4D 97 44 8D 43 F2 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 8B F0 45 33 C0 41 8A D6 48 8D 4D 8F E8 ?? ?? ?? ?? 44 8B C3 49 8B D6 48 8B 4D 8F E8 ?? ?? ?? ?? E9 B0 00 00 00 83 64 24 38 00 48 8D 54 24 68 E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 DF 49 8B CE E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D DF E8 ?? ?? ?? ?? 8B C8 89 44 24 30 41 BE 01 00 00 00 48 8B 44 24 70 48 85 C0 74 3C 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 70 FF D3 48 89 44 24 50 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 50 FF D3 8B 4C 24 30 48 8D 45 DF 48 39 44 24 40 74 0D 83 7C 24 38 00 75 06 41 3B CE 0F 46 F1 41 80 7F 08 00 75 08 49 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 49 83 3F 00 75 09 49 83 3C 24 00 74 09 EB 0B 49 83 3C 24 00 74 04 45 09 75 00 85 F6 79 07 41 83 4D 00 02 EB 0A 0F 95 C1 48 8B 44 24 58 88 08 41 0F 10 07 48 8B 44 24 60 F3 0F 7F 00 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1034_1 {
	meta:
		name = "?do_get@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1394
		refs = "003d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0046 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0061 _guard_check_icall 0134 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z 018f ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 01eb ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 024d ?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0275 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 02cc ?get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 03b8 ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 03f4 ?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 0430 ?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 04b1 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 04dc ??_C@_01CLKCMJKC@?5?$AA@ 04e8 ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 04f4 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0502 ??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z 0526 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 08 49 8B F1 49 8B F8 4C 8B F1 48 8D 55 D0 4C 8B 6D 60 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 4C 8B 7D D8 4D 85 FF 74 35 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 90 45 33 FF 44 89 7D 50 48 8B 5D 68 44 89 3B 0F BE 4D 78 83 F9 61 0F 8F 36 02 00 00 0F 84 ED 01 00 00 83 F9 52 0F 8F 3F 01 00 00 0F 84 2D 01 00 00 83 E9 41 0F 84 D5 01 00 00 83 E9 01 0F 84 30 03 00 00 83 E9 01 0F 84 CA 00 00 00 83 E9 01 0F 84 9D 00 00 00 83 E9 04 74 76 83 E9 01 74 25 83 F9 04 0F 85 71 03 00 00 48 8B 45 70 48 83 C0 04 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 66 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 0C 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 D8 03 00 00 8B 4D 50 83 F9 0C 41 0F 44 CF 48 8B 45 70 89 48 08 E9 C2 03 00 00 48 8B 45 70 48 83 C0 08 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 24 02 00 00 0F 10 06 F3 0F 7F 45 D0 0F 10 0F F3 0F 7F 4D E0 48 8D 05 ?? ?? ?? ?? 4C 8D 4D D0 4C 8D 45 E0 E9 34 02 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 49 03 00 00 8B 45 50 83 C0 ED 6B C8 64 48 8B 45 70 89 48 14 E9 34 03 00 00 48 8D 05 ?? ?? ?? ?? E9 C8 01 00 00 83 E9 53 0F 84 81 00 00 00 83 E9 01 74 70 83 E9 01 74 4C 83 E9 02 74 47 83 E9 01 74 61 83 F9 01 0F 85 49 02 00 00 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? EB 7D 48 8B 45 70 48 83 C0 1C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 02 FF FF FF 48 8D 05 ?? ?? ?? ?? E9 3E 01 00 00 4C 89 64 24 30 48 8B 45 70 48 89 44 24 28 C7 44 24 20 3C 00 00 00 E9 DB FE FF FF 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 E9 40 02 00 00 83 F9 6E 0F 8F 54 01 00 00 0F 84 EE 01 00 00 83 F9 62 0F 84 09 01 00 00 83 F9 63 0F 84 B8 00 00 00 0F 8E 60 01 00 00 83 F9 65 7E 78 83 F9 68 0F 84 EC 00 00 00 83 F9 6A 74 4E 83 F9 6D 0F 85 44 01 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 0C 00 00 00 44 8D 49 94 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 C9 01 00 00 8B 4D 50 FF C9 48 8B 45 70 89 48 10 E9 B8 01 00 00 48 8B 45 70 48 83 C0 1C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 1A 48 8B 45 70 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 09 03 E9 67 01 00 00 48 8D 05 ?? ?? ?? ?? 0F 10 0F 0F 10 06 F3 0F 7F 4D D0 F3 0F 7F 45 E0 4C 8D 4D E0 4C 8D 45 D0 48 89 44 24 38 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? E9 D3 FE FF FF 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? E9 97 FE FF FF 83 E9 70 0F 84 AF 00 00 00 83 E9 02 0F 84 9A 00 00 00 83 E9 02 0F 84 85 00 00 00 83 E9 03 74 61 83 E9 01 74 50 83 F9 01 74 0B C7 03 02 00 00 00 E9 AE 00 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 75 7F 8B 4D 50 8D 41 64 83 F9 45 0F 4C C8 E9 2E FD FF FF 48 8D 05 ?? ?? ?? ?? E9 02 FF FF FF 48 8B 45 70 48 83 C0 18 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 9B FC FF FF 48 8D 05 ?? ?? ?? ?? E9 D7 FE FF FF 48 8D 05 ?? ?? ?? ?? E9 CB FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 0D 83 F8 01 7E 08 48 8B 45 70 83 40 08 0C 44 38 7F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 4C 39 3F 75 07 4C 39 3E 74 07 EB 08 4C 39 3E 74 03 83 0B 01 0F 10 07 48 8B 45 48 F3 0F 7F 00 48 8B 9C 24 C0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_409_1 {
	meta:
		name = "?do_get@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1394
		refs = "003d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0046 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0061 _guard_check_icall 0134 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z 018f ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 01eb ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 024d ?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0275 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 02cc ?get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 03b8 ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 03f4 ?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 0430 ?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 04b1 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 04dc ??_C@_01CLKCMJKC@?5?$AA@ 04e8 ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 04f4 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0502 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 0526 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 08 49 8B F1 49 8B F8 4C 8B F1 48 8D 55 D0 4C 8B 6D 60 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 4C 8B 7D D8 4D 85 FF 74 35 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 90 45 33 FF 44 89 7D 50 48 8B 5D 68 44 89 3B 0F BE 4D 78 83 F9 61 0F 8F 36 02 00 00 0F 84 ED 01 00 00 83 F9 52 0F 8F 3F 01 00 00 0F 84 2D 01 00 00 83 E9 41 0F 84 D5 01 00 00 83 E9 01 0F 84 30 03 00 00 83 E9 01 0F 84 CA 00 00 00 83 E9 01 0F 84 9D 00 00 00 83 E9 04 74 76 83 E9 01 74 25 83 F9 04 0F 85 71 03 00 00 48 8B 45 70 48 83 C0 04 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 66 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 0C 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 D8 03 00 00 8B 4D 50 83 F9 0C 41 0F 44 CF 48 8B 45 70 89 48 08 E9 C2 03 00 00 48 8B 45 70 48 83 C0 08 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 24 02 00 00 0F 10 06 F3 0F 7F 45 D0 0F 10 0F F3 0F 7F 4D E0 48 8D 05 ?? ?? ?? ?? 4C 8D 4D D0 4C 8D 45 E0 E9 34 02 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 49 03 00 00 8B 45 50 83 C0 ED 6B C8 64 48 8B 45 70 89 48 14 E9 34 03 00 00 48 8D 05 ?? ?? ?? ?? E9 C8 01 00 00 83 E9 53 0F 84 81 00 00 00 83 E9 01 74 70 83 E9 01 74 4C 83 E9 02 74 47 83 E9 01 74 61 83 F9 01 0F 85 49 02 00 00 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? EB 7D 48 8B 45 70 48 83 C0 1C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 02 FF FF FF 48 8D 05 ?? ?? ?? ?? E9 3E 01 00 00 4C 89 64 24 30 48 8B 45 70 48 89 44 24 28 C7 44 24 20 3C 00 00 00 E9 DB FE FF FF 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 E9 40 02 00 00 83 F9 6E 0F 8F 54 01 00 00 0F 84 EE 01 00 00 83 F9 62 0F 84 09 01 00 00 83 F9 63 0F 84 B8 00 00 00 0F 8E 60 01 00 00 83 F9 65 7E 78 83 F9 68 0F 84 EC 00 00 00 83 F9 6A 74 4E 83 F9 6D 0F 85 44 01 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 0C 00 00 00 44 8D 49 94 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 C9 01 00 00 8B 4D 50 FF C9 48 8B 45 70 89 48 10 E9 B8 01 00 00 48 8B 45 70 48 83 C0 1C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 1A 48 8B 45 70 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 09 03 E9 67 01 00 00 48 8D 05 ?? ?? ?? ?? 0F 10 0F 0F 10 06 F3 0F 7F 4D D0 F3 0F 7F 45 E0 4C 8D 4D E0 4C 8D 45 D0 48 89 44 24 38 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? E9 D3 FE FF FF 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? E9 97 FE FF FF 83 E9 70 0F 84 AF 00 00 00 83 E9 02 0F 84 9A 00 00 00 83 E9 02 0F 84 85 00 00 00 83 E9 03 74 61 83 E9 01 74 50 83 F9 01 74 0B C7 03 02 00 00 00 E9 AE 00 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 75 7F 8B 4D 50 8D 41 64 83 F9 45 0F 4C C8 E9 2E FD FF FF 48 8D 05 ?? ?? ?? ?? E9 02 FF FF FF 48 8B 45 70 48 83 C0 18 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 9B FC FF FF 48 8D 05 ?? ?? ?? ?? E9 D7 FE FF FF 48 8D 05 ?? ?? ?? ?? E9 CB FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 0D 83 F8 01 7E 08 48 8B 45 70 83 40 08 0C 44 38 7F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 4C 39 3F 75 07 4C 39 3E 74 07 EB 08 4C 39 3E 74 03 83 0B 01 0F 10 07 48 8B 45 48 F3 0F 7F 00 48 8B 9C 24 C0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1036_1 {
	meta:
		name = "?do_get@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1394
		refs = "003d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0046 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0061 _guard_check_icall 0134 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z 018f ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 01eb ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 024d ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0275 ??_C@_0N@GEFMGHCI@?$CFH?5?3?5?$CFM?5?3?5?$CFS?$AA@ 02cc ?get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 03b8 ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 03f4 ?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 0430 ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 04b1 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 04dc ??_C@_01CLKCMJKC@?5?$AA@ 04e8 ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 04f4 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 0502 ??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z 0526 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 08 49 8B F1 49 8B F8 4C 8B F1 48 8D 55 D0 4C 8B 6D 60 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 4C 8B 7D D8 4D 85 FF 74 35 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 90 45 33 FF 44 89 7D 50 48 8B 5D 68 44 89 3B 0F BE 4D 78 83 F9 61 0F 8F 36 02 00 00 0F 84 ED 01 00 00 83 F9 52 0F 8F 3F 01 00 00 0F 84 2D 01 00 00 83 E9 41 0F 84 D5 01 00 00 83 E9 01 0F 84 30 03 00 00 83 E9 01 0F 84 CA 00 00 00 83 E9 01 0F 84 9D 00 00 00 83 E9 04 74 76 83 E9 01 74 25 83 F9 04 0F 85 71 03 00 00 48 8B 45 70 48 83 C0 04 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 66 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 0C 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 D8 03 00 00 8B 4D 50 83 F9 0C 41 0F 44 CF 48 8B 45 70 89 48 08 E9 C2 03 00 00 48 8B 45 70 48 83 C0 08 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 24 02 00 00 0F 10 06 F3 0F 7F 45 D0 0F 10 0F F3 0F 7F 4D E0 48 8D 05 ?? ?? ?? ?? 4C 8D 4D D0 4C 8D 45 E0 E9 34 02 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 49 03 00 00 8B 45 50 83 C0 ED 6B C8 64 48 8B 45 70 89 48 14 E9 34 03 00 00 48 8D 05 ?? ?? ?? ?? E9 C8 01 00 00 83 E9 53 0F 84 81 00 00 00 83 E9 01 74 70 83 E9 01 74 4C 83 E9 02 74 47 83 E9 01 74 61 83 F9 01 0F 85 49 02 00 00 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? EB 7D 48 8B 45 70 48 83 C0 1C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 02 FF FF FF 48 8D 05 ?? ?? ?? ?? E9 3E 01 00 00 4C 89 64 24 30 48 8B 45 70 48 89 44 24 28 C7 44 24 20 3C 00 00 00 E9 DB FE FF FF 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 E9 40 02 00 00 83 F9 6E 0F 8F 54 01 00 00 0F 84 EE 01 00 00 83 F9 62 0F 84 09 01 00 00 83 F9 63 0F 84 B8 00 00 00 0F 8E 60 01 00 00 83 F9 65 7E 78 83 F9 68 0F 84 EC 00 00 00 83 F9 6A 74 4E 83 F9 6D 0F 85 44 01 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 0C 00 00 00 44 8D 49 94 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 0F 85 C9 01 00 00 8B 4D 50 FF C9 48 8B 45 70 89 48 10 E9 B8 01 00 00 48 8B 45 70 48 83 C0 1C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 1A 48 8B 45 70 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 09 03 E9 67 01 00 00 48 8D 05 ?? ?? ?? ?? 0F 10 0F 0F 10 06 F3 0F 7F 4D D0 F3 0F 7F 45 E0 4C 8D 4D E0 4C 8D 45 D0 48 89 44 24 38 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? E9 D3 FE FF FF 0F 10 06 F3 0F 7F 45 E0 0F 10 0F F3 0F 7F 4D D0 48 8B 45 70 48 89 44 24 30 48 89 5C 24 28 4C 89 6C 24 20 4C 8D 4D E0 4C 8D 45 D0 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? E9 97 FE FF FF 83 E9 70 0F 84 AF 00 00 00 83 E9 02 0F 84 9A 00 00 00 83 E9 02 0F 84 85 00 00 00 83 E9 03 74 61 83 E9 01 74 50 83 F9 01 74 0B C7 03 02 00 00 00 E9 AE 00 00 00 4C 89 64 24 30 48 8D 45 50 48 89 44 24 28 C7 44 24 20 63 00 00 00 45 33 C9 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 0B 03 89 03 A8 02 75 7F 8B 4D 50 8D 41 64 83 F9 45 0F 4C C8 E9 2E FD FF FF 48 8D 05 ?? ?? ?? ?? E9 02 FF FF FF 48 8B 45 70 48 83 C0 18 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 9B FC FF FF 48 8D 05 ?? ?? ?? ?? E9 D7 FE FF FF 48 8D 05 ?? ?? ?? ?? E9 CB FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 0D 83 F8 01 7E 08 48 8B 45 70 83 40 08 0C 44 38 7F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 4C 39 3F 75 07 4C 39 3E 74 07 EB 08 4C 39 3E 74 03 83 0B 01 0F 10 07 48 8B 45 48 F3 0F 7F 00 48 8B 9C 24 C0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1038_1 {
	meta:
		name = "?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 1942
		refs = "003f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0048 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0063 _guard_check_icall 00bb ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0158 ?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0190 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z 0201 ?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0276 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 90 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 18 4D 8B F1 49 8B F0 4C 8B F9 48 8D 55 C7 48 8B 4D 6F E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 7D CF 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 44 8B E8 B8 02 00 00 00 33 DB 45 85 ED 44 0F 44 E8 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 8B 7D 77 48 39 1E 75 0B 49 39 1E 0F 84 2D 01 00 00 EB 09 49 39 1E 0F 85 22 01 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 BA 04 00 00 00 49 8B CC FF D7 33 DB 48 8B 4D 4F 84 C0 75 42 41 0F 10 06 F3 0F 7F 45 DF 0F 10 0E F3 0F 7F 4D EF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D DF 4C 8D 45 EF 48 8D 55 FF E8 ?? ?? ?? ?? 44 8D 6B 02 E9 A0 00 00 00 41 83 FD 02 75 32 48 8B 5D 7F 48 83 C3 10 4C 89 64 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 45 8D 4D FF 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB EB 6F 48 8B 45 7F 41 83 FD 01 75 29 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8B CD 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 EB 3C 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 41 BF 48 00 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 45 EB 05 49 39 1E 75 3E 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CC FF D7 33 DB 84 C0 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 96 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 51 EB 05 49 39 1E 75 4A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CC FF D7 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CE E8 ?? ?? ?? ?? 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 45 EB 05 49 39 1E 75 3E 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CC FF D7 33 DB 84 C0 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 96 38 5E 08 4C 8B 7D 77 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 0B 49 39 1E 0F 84 02 01 00 00 EB 09 49 39 1E 0F 85 F7 00 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 BA 04 00 00 00 49 8B CC FF D7 33 DB 84 C0 75 62 41 83 FD 02 75 08 45 09 2F E9 B4 00 00 00 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF 48 8B 4D 4F E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 B8 04 00 00 00 44 3B E8 75 66 44 8D 68 FF EB 60 41 8D 45 FF 4C 89 64 24 30 41 B9 01 00 00 00 4D 8B C6 48 8B D6 48 8B 4D 4F A9 FD FF FF FF 74 1F 48 8B 45 7F 48 83 C0 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 41 09 07 EB 21 48 8B 5D 7F 48 83 C3 10 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB 41 BF 48 00 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 45 EB 05 49 39 1E 75 3E 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CC FF D7 33 DB 84 C0 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 96 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 51 EB 05 49 39 1E 75 4A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CC FF D7 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CE E8 ?? ?? ?? ?? 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 45 EB 05 49 39 1E 75 3E 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CC FF D7 33 DB 84 C0 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 96 38 5E 08 4C 8B 7D 77 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 07 EB 0E 49 39 1E 74 09 41 83 0F 02 E9 2C 01 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 BA 04 00 00 00 49 8B CC FF D7 33 DB 84 C0 8D 43 04 75 47 44 3B E8 75 BA 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF 48 8B 4D 4F E8 ?? ?? ?? ?? E9 A6 00 00 00 48 8B 4D 4F 44 3B E8 75 34 48 8B 5D 7F 48 83 C3 10 4C 89 64 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 41 B9 01 00 00 00 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB EB 70 48 8B 45 7F 41 83 FD 03 75 2A 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8D 4D FE 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 EB 3C 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 0F 10 06 48 8B 45 57 F3 0F 7F 00 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1040_1 {
	meta:
		name = "?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 1942
		refs = "003f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0048 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0063 _guard_check_icall 00bb ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0158 ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0190 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z 0201 ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0276 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 90 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 18 4D 8B F1 49 8B F0 4C 8B F9 48 8D 55 C7 48 8B 4D 6F E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 7D CF 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 44 8B E8 B8 02 00 00 00 33 DB 45 85 ED 44 0F 44 E8 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 8B 7D 77 48 39 1E 75 0B 49 39 1E 0F 84 2D 01 00 00 EB 09 49 39 1E 0F 85 22 01 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 BA 04 00 00 00 49 8B CC FF D7 33 DB 48 8B 4D 4F 84 C0 75 42 41 0F 10 06 F3 0F 7F 45 DF 0F 10 0E F3 0F 7F 4D EF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D DF 4C 8D 45 EF 48 8D 55 FF E8 ?? ?? ?? ?? 44 8D 6B 02 E9 A0 00 00 00 41 83 FD 02 75 32 48 8B 5D 7F 48 83 C3 10 4C 89 64 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 45 8D 4D FF 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB EB 6F 48 8B 45 7F 41 83 FD 01 75 29 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8B CD 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 EB 3C 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 41 BF 48 00 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 45 EB 05 49 39 1E 75 3E 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CC FF D7 33 DB 84 C0 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 96 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 51 EB 05 49 39 1E 75 4A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CC FF D7 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CE E8 ?? ?? ?? ?? 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 45 EB 05 49 39 1E 75 3E 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CC FF D7 33 DB 84 C0 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 96 38 5E 08 4C 8B 7D 77 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 0B 49 39 1E 0F 84 02 01 00 00 EB 09 49 39 1E 0F 85 F7 00 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 BA 04 00 00 00 49 8B CC FF D7 33 DB 84 C0 75 62 41 83 FD 02 75 08 45 09 2F E9 B4 00 00 00 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF 48 8B 4D 4F E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 B8 04 00 00 00 44 3B E8 75 66 44 8D 68 FF EB 60 41 8D 45 FF 4C 89 64 24 30 41 B9 01 00 00 00 4D 8B C6 48 8B D6 48 8B 4D 4F A9 FD FF FF FF 74 1F 48 8B 45 7F 48 83 C0 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 41 09 07 EB 21 48 8B 5D 7F 48 83 C3 10 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB 41 BF 48 00 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 45 EB 05 49 39 1E 75 3E 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CC FF D7 33 DB 84 C0 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 96 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 51 EB 05 49 39 1E 75 4A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CC FF D7 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CE E8 ?? ?? ?? ?? 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 45 EB 05 49 39 1E 75 3E 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 41 0F B7 D7 49 8B CC FF D7 33 DB 84 C0 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 96 38 5E 08 4C 8B 7D 77 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 07 EB 0E 49 39 1E 74 09 41 83 0F 02 E9 2C 01 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 04 24 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 C3 BA 04 00 00 00 49 8B CC FF D7 33 DB 84 C0 8D 43 04 75 47 44 3B E8 75 BA 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF 48 8B 4D 4F E8 ?? ?? ?? ?? E9 A6 00 00 00 48 8B 4D 4F 44 3B E8 75 34 48 8B 5D 7F 48 83 C3 10 4C 89 64 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 41 B9 01 00 00 00 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB EB 70 48 8B 45 7F 41 83 FD 03 75 2A 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8D 4D FE 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 EB 3C 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 0F 10 06 48 8B 45 57 F3 0F 7F 00 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1042_1 {
	meta:
		name = "?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 49 8B F8 4C 8B 49 18 48 8B DA 48 8B D0 48 8B CF 45 33 C0 E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_413_1 {
	meta:
		name = "?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 49 8B F8 4C 8B 49 18 48 8B DA 48 8B D0 48 8B CF 45 33 C0 E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1043_1 {
	meta:
		name = "?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 49 8B F8 4C 8B 49 18 48 8B DA 48 8B D0 48 8B CF 45 33 C0 E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1044_1 {
	meta:
		name = "?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 465
		refs = "0041 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 004a ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0066 _guard_check_icall 00bb ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z 00d6 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0100 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 4D 8B E1 49 8B F0 4C 8B FA 48 8B E9 48 8D 50 C0 48 8B 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 7C 24 50 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 4C 8B AC 24 C0 00 00 00 49 8D 45 08 4C 89 74 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B AC 24 B8 00 00 00 09 45 00 75 69 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 06 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CE FF D7 3C 3A 75 39 48 8B CE E8 ?? ?? ?? ?? 49 8D 45 04 4C 89 74 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 09 45 00 EB 04 83 4D 00 02 83 7D 00 00 75 65 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 06 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CE FF D7 3C 3A 75 35 48 8B CE E8 ?? ?? ?? ?? 4C 89 74 24 30 4C 89 6C 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 09 45 00 EB 04 83 4D 00 02 0F 10 06 F3 41 0F 7F 07 49 8B C7 4C 8D 5C 24 60 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_41_1046_1 {
	meta:
		name = "?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 465
		refs = "0041 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 004a ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0066 _guard_check_icall 00bb ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z 00d6 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0100 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 4D 8B E1 49 8B F0 4C 8B FA 48 8B E9 48 8D 50 C0 48 8B 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 7C 24 50 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 4C 8B AC 24 C0 00 00 00 49 8D 45 08 4C 89 74 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B AC 24 B8 00 00 00 09 45 00 75 69 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 06 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CE FF D7 3C 3A 75 39 48 8B CE E8 ?? ?? ?? ?? 49 8D 45 04 4C 89 74 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 09 45 00 EB 04 83 4D 00 02 83 7D 00 00 75 65 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 5E 0A 49 8B 06 48 8B 78 70 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 0F B7 D3 49 8B CE FF D7 3C 3A 75 35 48 8B CE E8 ?? ?? ?? ?? 4C 89 74 24 30 4C 89 6C 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 09 45 00 EB 04 83 4D 00 02 0F 10 06 F3 41 0F 7F 07 49 8B C7 4C 8D 5C 24 60 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_41_1048_1 {
	meta:
		name = "?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 49 8B F8 4C 8B 49 10 48 8B DA 48 8B D0 48 8B CF 45 33 C0 E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_416_1 {
	meta:
		name = "?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 49 8B F8 4C 8B 49 10 48 8B DA 48 8B D0 48 8B CF 45 33 C0 E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1049_1 {
	meta:
		name = "?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 84
		refs = "0021 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 49 8B F8 4C 8B 49 10 48 8B DA 48 8B D0 48 8B CF 45 33 C0 E8 ?? ?? ?? ?? 8B C8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0A 48 8B 44 24 60 D1 F9 89 48 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1050_1 {
	meta:
		name = "?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 275
		refs = "0038 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0041 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 005d _guard_check_icall 00b6 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAHAEBV?$ctype@G@2@@Z"
	strings:
		$1 = { 48 8B C4 56 57 41 54 41 56 41 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 68 18 4D 8B F1 49 8B E8 48 8B FA 4C 8B F9 48 8D 50 C0 48 8B 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 74 24 50 48 85 F6 74 35 48 8B 16 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 83 A4 24 98 00 00 00 00 4C 89 64 24 30 48 8D 84 24 98 00 00 00 48 89 44 24 28 C7 44 24 20 0F 27 00 00 45 33 C9 4D 8B C6 48 8B D5 49 8B CF E8 ?? ?? ?? ?? 48 8B 8C 24 B8 00 00 00 09 01 A8 02 75 27 8B 8C 24 98 00 00 00 83 F9 45 7D 05 83 C1 64 EB 0B 83 F9 64 7C 06 81 C1 94 F8 FF FF 48 8B 84 24 C0 00 00 00 89 48 14 0F 10 45 00 F3 0F 7F 07 48 8B C7 4C 8D 5C 24 60 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_68_417_1 {
	meta:
		name = "?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 275
		refs = "0038 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0041 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 005d _guard_check_icall 00b6 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z"
	strings:
		$1 = { 48 8B C4 56 57 41 54 41 56 41 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 68 18 4D 8B F1 49 8B E8 48 8B FA 4C 8B F9 48 8D 50 C0 48 8B 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 74 24 50 48 85 F6 74 35 48 8B 16 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 83 A4 24 98 00 00 00 00 4C 89 64 24 30 48 8D 84 24 98 00 00 00 48 89 44 24 28 C7 44 24 20 0F 27 00 00 45 33 C9 4D 8B C6 48 8B D5 49 8B CF E8 ?? ?? ?? ?? 48 8B 8C 24 B8 00 00 00 09 01 A8 02 75 27 8B 8C 24 98 00 00 00 83 F9 45 7D 05 83 C1 64 EB 0B 83 F9 64 7C 06 81 C1 94 F8 FF FF 48 8B 84 24 C0 00 00 00 89 48 14 0F 10 45 00 F3 0F 7F 07 48 8B C7 4C 8D 5C 24 60 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_41_1052_1 {
	meta:
		name = "?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 275
		refs = "0038 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0041 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 005d _guard_check_icall 00b6 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAHAEBV?$ctype@_W@2@@Z"
	strings:
		$1 = { 48 8B C4 56 57 41 54 41 56 41 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 08 48 89 68 18 4D 8B F1 49 8B E8 48 8B FA 4C 8B F9 48 8D 50 C0 48 8B 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 74 24 50 48 85 F6 74 35 48 8B 16 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 83 A4 24 98 00 00 00 00 4C 89 64 24 30 48 8D 84 24 98 00 00 00 48 89 44 24 28 C7 44 24 20 0F 27 00 00 45 33 C9 4D 8B C6 48 8B D5 49 8B CF E8 ?? ?? ?? ?? 48 8B 8C 24 B8 00 00 00 09 01 A8 02 75 27 8B 8C 24 98 00 00 00 83 F9 45 7D 05 83 C1 64 EB 0B 83 F9 64 7C 06 81 C1 94 F8 FF FF 48 8B 84 24 C0 00 00 00 89 48 14 0F 10 45 00 F3 0F 7F 07 48 8B C7 4C 8D 5C 24 60 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_41_1058_1 {
	meta:
		name = "?do_hash@?$collate@G@std@@MEBAJPEBG0@Z"
		size = 60
		altNames = "?do_hash@?$collate@_W@std@@MEBAJPEB_W0@Z"
	strings:
		$1 = { 4C 2B C2 48 B9 25 23 22 84 E4 9C F2 CB 49 D1 F8 41 B9 00 00 00 00 4D 03 C0 74 1E 41 0F B6 04 11 49 BA B3 01 00 00 00 01 00 00 48 33 C8 49 FF C1 49 0F AF CA 4D 3B C8 72 E2 8B C1 C3 }
	condition:
		$1
}

rule file_41_1077_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 30 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_424_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 30 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_1078_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 35
		refs = "0016 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B DA 48 8B 51 30 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_41_1087_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 579
		refs = "0028 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005c ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0077 _guard_check_icall 00b7 ?_Src@?1??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@3@V43@_NAEAVios_base@3@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@3@@Z@4QBDB 015b _invalid_parameter_noinfo_noreturn 0188 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG_K@Z 01a2 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 01af ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z 01f4 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0203 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0215 ?_Deallocate@std@@YAXPEAX_K1@Z 0224 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC F0 00 00 00 48 C7 45 97 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4C 24 50 4D 8B E8 4C 8B E2 48 89 4D 8F 4C 8B 7D 6F 48 8B 7D 7F 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 75 87 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 49 8B 06 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 45 33 F6 41 8A F6 41 8B CE 4C 8B 4F 18 4D 85 C9 74 22 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 0F B7 45 03 66 39 02 75 08 40 B6 01 B9 01 00 00 00 4C 8B C1 49 3B C9 73 60 0F B7 5D EF 49 3B C9 77 4E 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 8D 45 EF 66 85 DB 74 1A 46 0F B7 14 42 0F B7 D3 66 41 3B D2 74 0C 48 83 C0 02 0F B7 10 66 85 D2 75 EE 48 8D 55 EF 48 2B C2 48 D1 F8 48 83 F8 0A 73 10 49 FF C0 4D 3B C1 72 B4 EB 06 E8 ?? ?? ?? ?? CC 49 3B C9 76 06 E8 ?? ?? ?? ?? CC 48 83 7F 20 08 72 06 48 8B 7F 08 EB 04 48 83 C7 08 48 8D 14 4F 4C 2B C1 48 8D 4D C7 E8 ?? ?? ?? ?? 90 4C 39 75 DF 75 13 44 0F B7 45 EF BA 01 00 00 00 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8B D0 41 0F 10 45 00 F3 0F 7F 44 24 60 0F B7 45 EF 66 89 44 24 40 48 89 54 24 38 40 88 74 24 30 0F B7 45 77 66 89 44 24 28 4C 89 7C 24 20 44 8A 4C 24 50 4C 8D 44 24 60 49 8B D4 48 8B 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D C7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1093_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 579
		refs = "0028 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005c ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0077 _guard_check_icall 00b7 ?_Src@?1??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@3@V43@_NAEAVios_base@3@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@3@@Z@4QBDB 015b _invalid_parameter_noinfo_noreturn 0188 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W_K@Z 01a2 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 01af ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z 01f4 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0203 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0215 ?_Deallocate@std@@YAXPEAX_K1@Z 0224 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC F0 00 00 00 48 C7 45 97 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4C 24 50 4D 8B E8 4C 8B E2 48 89 4D 8F 4C 8B 7D 6F 48 8B 7D 7F 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 75 87 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 49 8B 06 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 45 33 F6 41 8A F6 41 8B CE 4C 8B 4F 18 4D 85 C9 74 22 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 0F B7 45 03 66 39 02 75 08 40 B6 01 B9 01 00 00 00 4C 8B C1 49 3B C9 73 60 0F B7 5D EF 49 3B C9 77 4E 48 83 7F 20 08 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 8D 45 EF 66 85 DB 74 1A 46 0F B7 14 42 0F B7 D3 66 41 3B D2 74 0C 48 83 C0 02 0F B7 10 66 85 D2 75 EE 48 8D 55 EF 48 2B C2 48 D1 F8 48 83 F8 0A 73 10 49 FF C0 4D 3B C1 72 B4 EB 06 E8 ?? ?? ?? ?? CC 49 3B C9 76 06 E8 ?? ?? ?? ?? CC 48 83 7F 20 08 72 06 48 8B 7F 08 EB 04 48 83 C7 08 48 8D 14 4F 4C 2B C1 48 8D 4D C7 E8 ?? ?? ?? ?? 90 4C 39 75 DF 75 13 44 0F B7 45 EF BA 01 00 00 00 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8B D0 41 0F 10 45 00 F3 0F 7F 44 24 60 0F B7 45 EF 66 89 44 24 40 48 89 54 24 38 40 88 74 24 30 0F B7 45 77 66 89 44 24 28 4C 89 7C 24 20 44 8A 4C 24 50 4C 8D 44 24 60 49 8B D4 48 8B 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D C7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1090_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GO@Z"
		size = 571
		refs = "0028 __security_cookie 006a __xmm@80000000000000008000000000000000 0075 __real@4733426172c74d82 0088 __real@4202a05f20000000 009e ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00ac sprintf_s 00d0 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00d9 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00fa _guard_check_icall 014c ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z 0197 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 01a4 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z 01ec ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 01fb ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 020d ?_Deallocate@std@@YAXPEAX_K1@Z 021c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 44 88 4C 24 51 4D 8B E8 4C 8B E2 48 89 4C 24 68 48 8B 5D 70 48 89 5C 24 60 C6 44 24 50 00 0F 57 C0 F2 0F 10 9D 80 00 00 00 66 0F 2F C3 76 0C C6 44 24 50 01 0F 57 1D ?? ?? ?? ?? 45 33 FF F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FF 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C7 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D8 E8 ?? ?? ?? ?? 48 63 F0 85 C0 79 10 41 0F 10 45 00 F3 41 0F 7F 04 24 E9 4A 01 00 00 48 8D 54 24 70 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 58 48 8B 7C 24 78 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 06 48 8B 58 60 48 8B CB E8 ?? ?? ?? ?? B2 30 49 8B CE FF D3 44 0F B7 F0 48 8B DE 45 33 C0 48 8B D6 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 75 B8 48 83 7D D0 08 48 0F 43 75 B8 48 8B 4C 24 58 48 8B 09 48 8D 45 D8 48 03 D8 48 8B 79 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 48 8D 55 D8 48 8B 4C 24 58 FF D7 45 0F B7 C6 49 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D 88 E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 44 24 70 66 44 89 74 24 40 48 89 44 24 38 8A 44 24 50 88 44 24 30 0F B7 45 78 66 89 44 24 28 48 8B 44 24 60 48 89 44 24 20 44 8A 4C 24 51 4C 8D 44 24 70 49 8B D4 48 8B 4C 24 68 E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B0 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B0 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1096_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WO@Z"
		size = 571
		refs = "0028 __security_cookie 006a __xmm@80000000000000008000000000000000 0075 __real@4733426172c74d82 0088 __real@4202a05f20000000 009e ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00ac sprintf_s 00d0 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00d9 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00fa _guard_check_icall 014c ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 0197 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 01a4 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z 01ec ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 01fb ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 020d ?_Deallocate@std@@YAXPEAX_K1@Z 021c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 44 88 4C 24 51 4D 8B E8 4C 8B E2 48 89 4C 24 68 48 8B 5D 70 48 89 5C 24 60 C6 44 24 50 00 0F 57 C0 F2 0F 10 9D 80 00 00 00 66 0F 2F C3 76 0C C6 44 24 50 01 0F 57 1D ?? ?? ?? ?? 45 33 FF F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FF 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C7 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D8 E8 ?? ?? ?? ?? 48 63 F0 85 C0 79 10 41 0F 10 45 00 F3 41 0F 7F 04 24 E9 4A 01 00 00 48 8D 54 24 70 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 58 48 8B 7C 24 78 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 06 48 8B 58 60 48 8B CB E8 ?? ?? ?? ?? B2 30 49 8B CE FF D3 44 0F B7 F0 48 8B DE 45 33 C0 48 8B D6 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 75 B8 48 83 7D D0 08 48 0F 43 75 B8 48 8B 4C 24 58 48 8B 09 48 8D 45 D8 48 03 D8 48 8B 79 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 48 8D 55 D8 48 8B 4C 24 58 FF D7 45 0F B7 C6 49 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D 88 E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 44 24 70 66 44 89 74 24 40 48 89 44 24 38 8A 44 24 50 88 44 24 30 0F B7 45 78 66 89 44 24 28 48 8B 44 24 60 48 89 44 24 20 44 8A 4C 24 51 4C 8D 44 24 70 49 8B D4 48 8B 4C 24 68 E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B0 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B0 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1099_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GJ@Z"
		size = 175
		refs = "000e __security_cookie 0027 ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 0F B7 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1100_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GK@Z"
		size = 175
		refs = "000e __security_cookie 0027 ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 0F B7 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1111_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WJ@Z"
		size = 175
		refs = "000e __security_cookie 0027 ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 0F B7 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1112_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WK@Z"
		size = 175
		refs = "000e __security_cookie 0027 ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 0F B7 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1101_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GN@Z"
		size = 436
		refs = "0029 __security_cookie 0045 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 007c __xmm@7fffffffffffffff7fffffffffffffff 0084 __real@4202a05f20000000 0092 frexp 00e9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010e ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z 0125 sprintf_s 0164 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K@Z 0173 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0185 ?_Deallocate@std@@YAXPEAX_K1@Z 0194 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B8 00 00 00 48 C7 45 9F FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E7 4D 8B F1 4D 8B E8 4C 8B E2 4C 8B F9 48 8D 4D B7 E8 ?? ?? ?? ?? 90 41 8B 46 18 25 00 30 00 00 49 8B 76 20 B9 00 20 00 00 48 85 F6 7F 09 3B C1 74 05 BE 06 00 00 00 48 8B D6 F2 0F 10 75 7F 3B C1 75 45 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 31 48 8D 55 97 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 97 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 48 83 C2 32 48 3B 55 CF 77 18 48 89 55 CF 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF C6 04 10 00 EB 10 48 2B 55 CF 45 33 C0 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B 5D CF 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 45 8B 4E 18 45 33 C0 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 A7 48 8D 55 BF 48 83 7D D7 10 48 0F 43 55 BF 48 98 48 89 44 24 30 48 89 54 24 28 0F B7 45 77 66 89 44 24 20 4D 8B CE 4C 8D 45 A7 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D E7 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 A0 00 00 00 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1113_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WN@Z"
		size = 436
		refs = "0029 __security_cookie 0045 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 007c __xmm@7fffffffffffffff7fffffffffffffff 0084 __real@4202a05f20000000 0092 frexp 00e9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010e ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z 0125 sprintf_s 0164 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K@Z 0173 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0185 ?_Deallocate@std@@YAXPEAX_K1@Z 0194 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B8 00 00 00 48 C7 45 9F FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E7 4D 8B F1 4D 8B E8 4C 8B E2 4C 8B F9 48 8D 4D B7 E8 ?? ?? ?? ?? 90 41 8B 46 18 25 00 30 00 00 49 8B 76 20 B9 00 20 00 00 48 85 F6 7F 09 3B C1 74 05 BE 06 00 00 00 48 8B D6 F2 0F 10 75 7F 3B C1 75 45 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 31 48 8D 55 97 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 97 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 48 83 C2 32 48 3B 55 CF 77 18 48 89 55 CF 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF C6 04 10 00 EB 10 48 2B 55 CF 45 33 C0 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B 5D CF 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 45 8B 4E 18 45 33 C0 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 A7 48 8D 55 BF 48 83 7D D7 10 48 0F 43 55 BF 48 98 48 89 44 24 30 48 89 54 24 28 0F B7 45 77 66 89 44 24 20 4D 8B CE 4C 8D 45 A7 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D E7 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 A0 00 00 00 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1103_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GO@Z"
		size = 436
		refs = "0029 __security_cookie 0045 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 007c __xmm@7fffffffffffffff7fffffffffffffff 0084 __real@4202a05f20000000 0092 frexp 00e9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010e ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z 0125 sprintf_s 0164 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K@Z 0173 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0185 ?_Deallocate@std@@YAXPEAX_K1@Z 0194 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B8 00 00 00 48 C7 45 9F FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E7 4D 8B F1 4D 8B E8 4C 8B E2 4C 8B F9 48 8D 4D B7 E8 ?? ?? ?? ?? 90 41 8B 46 18 25 00 30 00 00 49 8B 76 20 B9 00 20 00 00 48 85 F6 7F 09 3B C1 74 05 BE 06 00 00 00 48 8B D6 F2 0F 10 75 7F 3B C1 75 45 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 31 48 8D 55 97 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 97 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 48 83 C2 32 48 3B 55 CF 77 18 48 89 55 CF 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF C6 04 10 00 EB 10 48 2B 55 CF 45 33 C0 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B 5D CF 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 45 8B 4E 18 41 B0 4C 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 A7 48 8D 55 BF 48 83 7D D7 10 48 0F 43 55 BF 48 98 48 89 44 24 30 48 89 54 24 28 0F B7 45 77 66 89 44 24 20 4D 8B CE 4C 8D 45 A7 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D E7 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 A0 00 00 00 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1115_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WO@Z"
		size = 436
		refs = "0029 __security_cookie 0045 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 007c __xmm@7fffffffffffffff7fffffffffffffff 0084 __real@4202a05f20000000 0092 frexp 00e9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010e ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z 0125 sprintf_s 0164 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K@Z 0173 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0185 ?_Deallocate@std@@YAXPEAX_K1@Z 0194 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B8 00 00 00 48 C7 45 9F FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E7 4D 8B F1 4D 8B E8 4C 8B E2 4C 8B F9 48 8D 4D B7 E8 ?? ?? ?? ?? 90 41 8B 46 18 25 00 30 00 00 49 8B 76 20 B9 00 20 00 00 48 85 F6 7F 09 3B C1 74 05 BE 06 00 00 00 48 8B D6 F2 0F 10 75 7F 3B C1 75 45 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 31 48 8D 55 97 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 97 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 48 83 C2 32 48 3B 55 CF 77 18 48 89 55 CF 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF C6 04 10 00 EB 10 48 2B 55 CF 45 33 C0 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B 5D CF 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 45 8B 4E 18 41 B0 4C 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 A7 48 8D 55 BF 48 83 7D D7 10 48 0F 43 55 BF 48 98 48 89 44 24 30 48 89 54 24 28 0F B7 45 77 66 89 44 24 20 4D 8B CE 4C 8D 45 A7 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D E7 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 A0 00 00 00 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1105_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBX@Z"
		size = 158
		refs = "000e __security_cookie 0027 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007c ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 008f __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 4C 8B 8C 24 E8 00 00 00 48 8B F2 48 8B D9 BA 40 00 00 00 48 8D 4C 24 50 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 48 63 C8 4C 8D 44 24 40 48 89 4C 24 30 48 8D 44 24 50 0F B7 8C 24 E0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B D6 66 89 4C 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1117_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBX@Z"
		size = 158
		refs = "000e __security_cookie 0027 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007c ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 008f __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 4C 8B 8C 24 E8 00 00 00 48 8B F2 48 8B D9 BA 40 00 00 00 48 8D 4C 24 50 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 48 63 C8 4C 8D 44 24 40 48 89 4C 24 30 48 8D 44 24 50 0F B7 8C 24 E0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B D6 66 89 4C 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1106_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_J@Z"
		size = 175
		refs = "000e __security_cookie 0027 ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 0F B7 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1107_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_K@Z"
		size = 175
		refs = "000e __security_cookie 0027 ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 0F B7 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1118_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_J@Z"
		size = 175
		refs = "000e __security_cookie 0027 ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 0F B7 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1119_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_K@Z"
		size = 175
		refs = "000e __security_cookie 0027 ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 4C 8D 05 ?? ?? ?? ?? 45 8B 49 18 48 8B F2 48 8D 54 24 50 48 8B D9 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 63 D0 4C 8D 44 24 40 48 89 54 24 30 48 8D 44 24 60 0F B7 94 24 F0 00 00 00 4C 8B CF 48 89 44 24 28 48 8B CB 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_41_1108_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z"
		size = 740
		refs = "0024 __security_cookie 0070 _guard_check_icall 009a ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a3 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00ed ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ 0100 ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 011a ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0126 ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 012e ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 017a ?_Deallocate@std@@YAXPEAX_K1@Z 01cd ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 02cc __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC C8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E9 4C 89 4D 9F 4D 8B F8 4C 8B F2 48 89 55 97 48 8B F1 44 0F B7 65 77 66 44 89 64 24 30 41 F7 41 18 00 40 00 00 75 3A 41 0F 10 00 F3 0F 7F 45 87 48 8B 11 0F B6 5D 7F 48 8B 7A 48 48 8B CF E8 ?? ?? ?? ?? 89 5C 24 28 66 44 89 64 24 20 4D 8B CD 4C 8D 45 87 49 8B D6 48 8B CE FF D7 E9 2F 02 00 00 48 8D 55 87 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 8F 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 55 D7 48 8B CE 80 7D 7F 00 74 2E E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 AF 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 90 EB 2C E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 AF 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? 41 BC 10 00 00 00 45 8B C4 41 8D 54 24 F1 48 8B 4D D7 E8 ?? ?? ?? ?? 49 8B 5D 28 48 8B 7D C7 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 83 F8 40 74 4F 41 0F 10 07 0F 29 45 87 48 85 DB 74 3B 48 8B 7D 8F 0F B7 74 24 30 41 BE FF FF 00 00 48 85 FF 74 11 0F B7 D6 48 8B CF E8 ?? ?? ?? ?? 66 44 3B F0 75 04 C6 45 87 01 48 83 EB 01 75 E0 48 8B 7D C7 0F 28 45 87 4C 8B 75 97 F3 41 0F 7F 07 33 DB 41 0F 10 07 0F 29 45 87 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 85 FF 74 3A 4C 8B 75 8F 41 BD FF FF 00 00 4D 85 F6 74 11 0F B7 16 49 8B CE E8 ?? ?? ?? ?? 66 44 3B E8 75 04 C6 45 87 01 48 83 C6 02 48 83 EF 01 75 DC 0F 28 45 87 4C 8B 6D 9F 4C 8B 75 97 F3 41 0F 7F 07 49 83 65 28 00 41 0F 10 07 0F 29 45 87 48 85 DB 74 3D 48 8B 7D 8F 44 0F B7 74 24 30 41 BC FF FF 00 00 48 85 FF 74 12 41 0F B7 D6 48 8B CF E8 ?? ?? ?? ?? 66 44 3B E0 75 04 C6 45 87 01 48 83 EB 01 75 DF 0F 28 45 87 44 8D 63 10 4C 8B 75 97 F3 41 0F 7F 06 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 4D 8B C4 BA 01 00 00 00 48 8B 4D AF E8 ?? ?? ?? ?? 49 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1120_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z"
		size = 740
		refs = "0024 __security_cookie 0070 _guard_check_icall 009a ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a3 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00ed ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ 0100 ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 011a ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0126 ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 012e ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 017a ?_Deallocate@std@@YAXPEAX_K1@Z 01cd ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 02cc __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC C8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E9 4C 89 4D 9F 4D 8B F8 4C 8B F2 48 89 55 97 48 8B F1 44 0F B7 65 77 66 44 89 64 24 30 41 F7 41 18 00 40 00 00 75 3A 41 0F 10 00 F3 0F 7F 45 87 48 8B 11 0F B6 5D 7F 48 8B 7A 48 48 8B CF E8 ?? ?? ?? ?? 89 5C 24 28 66 44 89 64 24 20 4D 8B CD 4C 8D 45 87 49 8B D6 48 8B CE FF D7 E9 2F 02 00 00 48 8D 55 87 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 8F 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 8D 55 D7 48 8B CE 80 7D 7F 00 74 2E E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 AF 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 90 EB 2C E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 AF 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? 41 BC 10 00 00 00 45 8B C4 41 8D 54 24 F1 48 8B 4D D7 E8 ?? ?? ?? ?? 49 8B 5D 28 48 8B 7D C7 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 83 F8 40 74 4F 41 0F 10 07 0F 29 45 87 48 85 DB 74 3B 48 8B 7D 8F 0F B7 74 24 30 41 BE FF FF 00 00 48 85 FF 74 11 0F B7 D6 48 8B CF E8 ?? ?? ?? ?? 66 44 3B F0 75 04 C6 45 87 01 48 83 EB 01 75 E0 48 8B 7D C7 0F 28 45 87 4C 8B 75 97 F3 41 0F 7F 07 33 DB 41 0F 10 07 0F 29 45 87 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 85 FF 74 3A 4C 8B 75 8F 41 BD FF FF 00 00 4D 85 F6 74 11 0F B7 16 49 8B CE E8 ?? ?? ?? ?? 66 44 3B E8 75 04 C6 45 87 01 48 83 C6 02 48 83 EF 01 75 DC 0F 28 45 87 4C 8B 6D 9F 4C 8B 75 97 F3 41 0F 7F 07 49 83 65 28 00 41 0F 10 07 0F 29 45 87 48 85 DB 74 3D 48 8B 7D 8F 44 0F B7 74 24 30 41 BC FF FF 00 00 48 85 FF 74 12 41 0F B7 D6 48 8B CF E8 ?? ?? ?? ?? 66 44 3B E0 75 04 C6 45 87 01 48 83 EB 01 75 DF 0F 28 45 87 44 8D 63 10 4C 8B 75 97 F3 41 0F 7F 06 45 33 C0 B2 01 48 8D 4D AF E8 ?? ?? ?? ?? 4D 8B C4 BA 01 00 00 00 48 8B 4D AF E8 ?? ?? ?? ?? 49 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_41_1123_1 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBUtm@@DD@Z"
		size = 485
		refs = "0028 __security_cookie 0044 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 005d ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ 00e4 _Wcsftime 00fe ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 010f ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 012c _invalid_parameter_noinfo_noreturn 017b ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z 0192 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 01a3 ?_Deallocate@std@@YAXPEAX_K1@Z 01c6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E0 4C 8B FA 48 8B F1 4C 8B 75 6F F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 45 EF 0F B7 05 ?? ?? ?? ?? 66 89 45 F7 48 8D 4D C7 E8 ?? ?? ?? ?? 90 8A 45 7F 84 C0 75 0A 0F BE 45 77 66 89 45 F3 EB 0F 0F BE C0 66 89 45 F3 0F BE 45 77 66 89 45 F5 41 BD 10 00 00 00 41 8B DD 41 8B D5 EB 66 48 8B 00 48 85 C0 0F 84 16 01 00 00 48 8B 00 48 85 C0 0F 84 0A 01 00 00 48 83 78 20 08 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 3B D1 0F 87 EA 00 00 00 48 8B 40 18 48 8D 14 42 48 3B CA 0F 83 D9 00 00 00 48 89 7C 24 20 4D 8B CE 4C 8D 45 EF 48 8B 55 DF E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 35 48 03 DB 48 8B D3 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 7E 10 48 8D 55 97 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 48 10 48 85 C9 0F 85 70 FF FF FF E9 93 00 00 00 48 3B 4D DF 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 CF 48 83 7D E7 08 48 0F 43 45 CF 4C 8D 04 48 48 83 7D DF 01 73 06 E8 ?? ?? ?? ?? CC 48 8D 55 CF 48 83 7D E7 08 48 0F 43 55 CF 48 83 C2 02 33 C0 41 0F 10 04 24 F3 0F 7F 45 B7 88 44 24 20 4C 8D 4D B7 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 45 97 F3 41 0F 7F 07 45 33 C0 B2 01 48 8D 4D C7 E8 ?? ?? ?? ?? 4D 8B C5 BA 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 EB 12 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1125_1 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBUtm@@DD@Z"
		size = 485
		refs = "0028 __security_cookie 0044 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 005d ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ 00e4 _Wcsftime 00fe ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 010f ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 012c _invalid_parameter_noinfo_noreturn 017b ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z 0192 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 01a3 ?_Deallocate@std@@YAXPEAX_K1@Z 01c6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E0 4C 8B FA 48 8B F1 4C 8B 75 6F F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 45 EF 0F B7 05 ?? ?? ?? ?? 66 89 45 F7 48 8D 4D C7 E8 ?? ?? ?? ?? 90 8A 45 7F 84 C0 75 0A 0F BE 45 77 66 89 45 F3 EB 0F 0F BE C0 66 89 45 F3 0F BE 45 77 66 89 45 F5 41 BD 10 00 00 00 41 8B DD 41 8B D5 EB 66 48 8B 00 48 85 C0 0F 84 16 01 00 00 48 8B 00 48 85 C0 0F 84 0A 01 00 00 48 83 78 20 08 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 3B D1 0F 87 EA 00 00 00 48 8B 40 18 48 8D 14 42 48 3B CA 0F 83 D9 00 00 00 48 89 7C 24 20 4D 8B CE 4C 8D 45 EF 48 8B 55 DF E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 35 48 03 DB 48 8B D3 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 7E 10 48 8D 55 97 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 48 10 48 85 C9 0F 85 70 FF FF FF E9 93 00 00 00 48 3B 4D DF 76 06 E8 ?? ?? ?? ?? CC 48 8D 45 CF 48 83 7D E7 08 48 0F 43 45 CF 4C 8D 04 48 48 83 7D DF 01 73 06 E8 ?? ?? ?? ?? CC 48 8D 55 CF 48 83 7D E7 08 48 0F 43 55 CF 48 83 C2 02 33 C0 41 0F 10 04 24 F3 0F 7F 45 B7 88 44 24 20 4C 8D 4D B7 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 45 97 F3 41 0F 7F 07 45 33 C0 B2 01 48 8D 4D C7 E8 ?? ?? ?? ?? 4D 8B C5 BA 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 EB 12 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_41_1143_1 {
	meta:
		name = "?do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z"
		size = 487
		refs = "003c ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ 008a ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0097 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 015b memcpy_s 016e _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 A0 FE FF FF FF 48 89 58 08 48 89 68 18 48 89 70 20 4D 8B F9 4D 8B E0 48 8B DA 45 33 ED 44 89 68 98 48 8B CA E8 ?? ?? ?? ?? C7 44 24 20 01 00 00 00 4D 2B FC 49 D1 FF 49 8B FF 49 8B F7 0F 84 37 01 00 00 48 3B 7B 18 77 1C 48 89 7B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 44 89 2C 78 EB 12 45 33 C0 48 2B 7B 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 68 10 48 85 ED 0F 84 E3 00 00 00 48 8B 00 48 85 C0 0F 84 D1 00 00 00 48 8B 00 48 85 C0 0F 84 C5 00 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CD 0F 87 A5 00 00 00 48 8B 40 18 48 8D 0C 41 48 3B E9 0F 83 94 00 00 00 4C 8B 73 18 48 8D 54 24 48 48 8B CB E8 ?? ?? ?? ?? 4C 8B 50 10 4D 85 D2 74 74 48 8B 00 48 85 C0 74 66 48 8B 00 48 85 C0 74 5E 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 49 3B CA 77 42 48 8B 40 18 48 8D 0C 41 4C 3B D1 73 35 49 8B FF 4B 8D 14 36 49 2B D2 48 03 D5 48 D1 FA 4C 3B FA 77 12 4F 8D 0C 3F 48 03 D2 4D 8B C4 49 8B CA E8 ?? ?? ?? ?? 4C 3B 7B 18 76 2C 4D 85 FF E9 E7 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 48 3B 73 18 77 1C 48 89 73 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 46 89 2C 78 EB 12 45 33 C0 48 2B 73 18 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 4C 8D 5C 24 60 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 CC }
	condition:
		$1
}

rule file_41_1144_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 10 83 65 20 FE 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_1145_1 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z"
		size = 465
		refs = "003a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ 0085 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0092 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 014a _Wcsxfrm 015d _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 8B C4 48 89 50 10 56 57 41 54 41 56 41 57 48 83 EC 70 48 C7 40 A0 FE FF FF FF 48 89 58 08 48 89 68 18 49 8B E9 4D 8B F0 48 8B DA 4C 8B F9 45 33 E4 44 89 60 98 48 8B CA E8 ?? ?? ?? ?? C7 44 24 30 01 00 00 00 48 8B C5 49 2B C6 48 D1 F8 0F 84 2B 01 00 00 48 3B 43 18 77 1C 48 89 43 18 48 83 7B 20 08 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 66 44 89 24 41 EB 12 45 33 C0 48 2B 43 18 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B 78 10 48 85 FF 0F 84 D7 00 00 00 48 8B 00 48 85 C0 0F 84 C5 00 00 00 48 8B 00 48 85 C0 0F 84 B9 00 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CF 0F 87 99 00 00 00 48 8B 40 18 48 8D 0C 41 48 3B F9 0F 83 88 00 00 00 48 8B 73 18 48 8D 54 24 58 48 8B CB E8 ?? ?? ?? ?? 4C 8B 50 10 4D 85 D2 74 68 48 8B 00 48 85 C0 74 5A 48 8B 00 48 85 C0 74 52 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 49 3B CA 77 36 48 8B 40 18 48 8D 14 41 4C 3B D2 73 29 49 8D 47 10 48 8D 14 77 48 89 44 24 20 4C 8B CD 4D 8B C6 49 8B CA E8 ?? ?? ?? ?? 48 3B 43 18 76 32 48 85 C0 E9 F3 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 48 3B 43 18 77 1C 48 89 43 18 48 83 7B 20 08 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 66 44 89 24 41 EB 12 45 33 C0 48 2B 43 18 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 4C 8D 5C 24 70 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 CC }
	condition:
		$1
}

rule file_41_1146_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 10 83 65 30 FE 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_1157_1 {
	meta:
		name = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 47
		altNames = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 83 79 20 08 4C 8B C1 72 06 48 8B 49 08 EB 04 48 83 C1 08 49 8B 40 18 48 83 62 08 00 48 8D 0C 41 49 8B 00 48 89 02 48 8B C2 48 89 4A 10 C3 }
	condition:
		$1
}

rule file_41_1167_1 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z"
		size = 180
		refs = "0080 memmove 00af ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 71 18 4D 8B C8 48 8B D9 48 3B F2 0F 82 87 00 00 00 48 8B C6 48 2B C2 49 3B C0 77 1D 48 89 51 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 33 ED 66 89 2C 50 EB 47 33 ED 4D 85 C9 74 40 48 83 79 20 08 48 8D 79 08 72 05 48 8B 07 EB 03 48 8B C7 49 2B F1 48 8D 0C 50 4C 8B C6 4C 2B C2 74 0C 4D 03 C0 4A 8D 14 49 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 89 2C 77 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1169_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z"
		size = 180
		refs = "0080 memmove 00af ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 71 18 4D 8B C8 48 8B D9 48 3B F2 0F 82 87 00 00 00 48 8B C6 48 2B C2 49 3B C0 77 1D 48 89 51 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 33 ED 66 89 2C 50 EB 47 33 ED 4D 85 C9 74 40 48 83 79 20 08 48 8D 79 08 72 05 48 8B 07 EB 03 48 8B C7 49 2B F1 48 8D 0C 50 4C 8B C6 4C 2B C2 74 0C 4D 03 C0 4A 8D 14 49 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 89 2C 77 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1168_1 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K@Z"
		size = 53
		refs = "0030 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 18 72 25 48 89 51 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 45 33 C0 66 44 89 04 50 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1170_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K@Z"
		size = 53
		refs = "0030 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 18 72 25 48 89 51 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 45 33 C0 66 44 89 04 50 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1174_1 {
	meta:
		name = "?frac_digits@?$_Mpunct@G@std@@QEBAHXZ"
		size = 47
		refs = "0018 _guard_check_icall"
		altNames = "?frac_digits@?$_Mpunct@D@std@@QEBAHXZ ?frac_digits@?$_Mpunct@_W@std@@QEBAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_41_1178_1 {
	meta:
		name = "?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 131
		refs = "0033 _guard_check_icall"
		altNames = "?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 60 41 0F 10 01 48 8B F9 48 8B F2 41 0F 10 08 F3 0F 7F 40 D8 F3 0F 7F 48 E8 48 8B 01 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 48 8B 84 24 A0 00 00 00 4C 8D 4C 24 40 48 89 44 24 30 4C 8D 44 24 50 48 8B 84 24 98 00 00 00 48 8B D6 48 89 44 24 28 48 8B CF 48 8B 84 24 90 00 00 00 48 89 44 24 20 FF D3 48 8B 5C 24 70 48 8B C6 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_41_1180_1 {
	meta:
		name = "?get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 131
		refs = "0033 _guard_check_icall"
		altNames = "?get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 60 41 0F 10 01 48 8B F9 48 8B F2 41 0F 10 08 F3 0F 7F 40 D8 F3 0F 7F 48 E8 48 8B 01 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 84 24 A0 00 00 00 4C 8D 4C 24 40 48 89 44 24 30 4C 8D 44 24 50 48 8B 84 24 98 00 00 00 48 8B D6 48 89 44 24 28 48 8B CF 48 8B 84 24 90 00 00 00 48 89 44 24 20 FF D3 48 8B 5C 24 70 48 8B C6 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_41_1182_1 {
	meta:
		name = "?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 131
		refs = "0033 _guard_check_icall"
		altNames = "?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 60 41 0F 10 01 48 8B F9 48 8B F2 41 0F 10 08 F3 0F 7F 40 D8 F3 0F 7F 48 E8 48 8B 01 48 8B 58 40 48 8B CB E8 ?? ?? ?? ?? 48 8B 84 24 A0 00 00 00 4C 8D 4C 24 40 48 89 44 24 30 4C 8D 44 24 50 48 8B 84 24 98 00 00 00 48 8B D6 48 89 44 24 28 48 8B CF 48 8B 84 24 90 00 00 00 48 89 44 24 20 FF D3 48 8B 5C 24 70 48 8B C6 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_41_1192_1 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z"
		size = 351
		refs = "0073 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00db memmove 014e ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 0154 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4D 8B F0 45 0F B7 F9 4C 8B 41 18 48 8B FA 48 8B D9 4C 3B C2 0F 82 16 01 00 00 49 8B C0 48 F7 D0 49 3B C6 0F 86 0D 01 00 00 45 33 E4 4B 8D 2C 30 4D 85 F6 0F 84 D5 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B E8 0F 87 F0 00 00 00 48 39 69 20 73 0A 48 8B D5 E8 ?? ?? ?? ?? EB 1E 48 85 ED 75 22 4C 89 61 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 20 48 85 ED 0F 84 8B 00 00 00 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 06 EB 03 48 8B C6 48 83 7B 20 08 72 05 48 8B 0E EB 03 48 8B CE 4C 8B 43 18 4C 2B C7 74 14 48 8D 14 78 4D 03 C0 4A 8D 04 37 48 8D 0C 41 E8 ?? ?? ?? ?? 49 83 FE 01 75 16 48 83 7B 20 08 72 05 48 8B 06 EB 03 48 8B C6 66 44 89 3C 78 EB 1D 48 83 7B 20 08 72 05 48 8B 06 EB 03 48 8B C6 48 8D 3C 78 49 8B CE 41 0F B7 C7 66 F3 AB 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 36 66 44 89 24 6E 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1193_1 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z"
		size = 351
		refs = "0073 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00db memmove 014e ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 0154 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 4D 8B F0 45 0F B7 F9 4C 8B 41 18 48 8B FA 48 8B D9 4C 3B C2 0F 82 16 01 00 00 49 8B C0 48 F7 D0 49 3B C6 0F 86 0D 01 00 00 45 33 E4 4B 8D 2C 30 4D 85 F6 0F 84 D5 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B E8 0F 87 F0 00 00 00 48 39 69 20 73 0A 48 8B D5 E8 ?? ?? ?? ?? EB 1E 48 85 ED 75 22 4C 89 61 18 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 20 48 85 ED 0F 84 8B 00 00 00 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 06 EB 03 48 8B C6 48 83 7B 20 08 72 05 48 8B 0E EB 03 48 8B CE 4C 8B 43 18 4C 2B C7 74 14 48 8D 14 78 4D 03 C0 4A 8D 04 37 48 8D 0C 41 E8 ?? ?? ?? ?? 49 83 FE 01 75 16 48 83 7B 20 08 72 05 48 8B 06 EB 03 48 8B C6 66 44 89 3C 78 EB 1D 48 83 7B 20 08 72 05 48 8B 06 EB 03 48 8B C6 48 8D 3C 78 49 8B CE 41 0F B7 C7 66 F3 AB 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 36 66 44 89 24 6E 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1197_1 {
	meta:
		name = "?length@?$char_traits@G@std@@SA_KPEBG@Z"
		size = 27
		altNames = "?length@?$char_traits@_W@std@@SA_KPEB_W@Z"
	strings:
		$1 = { 33 C0 48 8B D1 66 39 01 74 10 48 83 C9 FF 48 FF C1 66 39 04 4A 75 F7 48 8B C1 C3 }
	condition:
		$1
}

rule file_41_1212_1 {
	meta:
		name = "?move@?$char_traits@G@std@@SAPEAGPEAGPEBG_K@Z"
		size = 28
		refs = "000d memmove"
		altNames = "?move@?$char_traits@_W@std@@SAPEA_WPEA_WPEB_W_K@Z"
	strings:
		$1 = { 48 83 EC 28 4D 85 C0 74 0B 4D 03 C0 E8 ?? ?? ?? ?? 48 8B C8 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_41_1214_1 {
	meta:
		name = "?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 240
		refs = "001a __security_cookie 003f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 005e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 006e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 0088 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 009b ?_Deallocate@std@@YAXPEAX_K1@Z 00db __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 57 48 81 EC 90 00 00 00 49 C7 43 90 FE FF FF FF 49 89 5B 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 00 00 00 48 8B FA 83 64 24 20 00 48 8B 41 08 48 85 C0 75 11 49 8D 4B C0 E8 ?? ?? ?? ?? 90 BB 01 00 00 00 EB 1C 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? BB 02 00 00 00 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 83 CB 04 F6 C3 02 74 2B 83 E3 FD 45 33 C0 B2 01 48 8D 4C 24 30 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 83 64 24 30 00 F6 C3 01 74 22 45 33 C0 B2 01 48 8D 4C 24 58 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B C7 48 8B 8C 24 80 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 81 C4 90 00 00 00 5F C3 }
	condition:
		$1
}

rule file_41_1215_1 {
	meta:
		name = "?dtor$0@?0??name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ@4HA"
		size = 38
		refs = "001c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8D 4D 58 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_41_1216_1 {
	meta:
		name = "?narrow@?$ctype@G@std@@QEBADGD@Z"
		size = 81
		refs = "0029 _guard_check_icall"
		altNames = "?narrow@?$ctype@_W@std@@QEBAD_WD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B 01 4C 8B F1 41 8A F8 0F B7 F2 48 8B 58 70 48 8B CB E8 ?? ?? ?? ?? 44 8A C7 0F B7 D6 49 8B CE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_41_1218_1 {
	meta:
		name = "?neg_format@?$_Mpunct@G@std@@QEBA?AUpattern@money_base@2@XZ"
		size = 63
		refs = "0020 _guard_check_icall"
		altNames = "?neg_format@?$_Mpunct@D@std@@QEBA?AUpattern@money_base@2@XZ ?neg_format@?$_Mpunct@_W@std@@QEBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B F2 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8B CF FF D3 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1220_1 {
	meta:
		name = "?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 68
		refs = "0025 _guard_check_icall"
		altNames = "?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B 01 48 8B F9 83 64 24 20 00 48 8B F2 48 8B 58 40 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8B CF FF D3 48 8B 5C 24 40 48 8B C6 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_41_1225_1 {
	meta:
		name = "?pos_format@?$_Mpunct@G@std@@QEBA?AUpattern@money_base@2@XZ"
		size = 63
		refs = "0020 _guard_check_icall"
		altNames = "?pos_format@?$_Mpunct@D@std@@QEBA?AUpattern@money_base@2@XZ ?pos_format@?$_Mpunct@_W@std@@QEBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B F2 48 8B 58 50 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8B CF FF D3 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1230_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
		size = 542
		refs = "009d ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ 00d4 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 01c2 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z 01e9 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 49 8B 01 33 DB 4C 8B DA 4C 8B E1 44 8B D3 48 85 C0 74 03 4C 8B 10 4C 8B B4 24 90 00 00 00 48 8B D3 49 8B 0E 48 85 C9 74 03 48 8B 11 4C 3B D2 0F 85 96 01 00 00 49 8B 69 10 4D 8B 76 10 49 3B EE 75 7E 49 8B 00 48 85 C0 75 05 48 8B C3 EB 03 48 8B 00 49 8B 33 48 8B CB 48 85 F6 74 03 48 8B 0E 48 3B C1 0F 85 68 01 00 00 49 8B 7B 10 48 8D 54 24 30 49 8B 68 10 49 8B CC 48 2B EF 48 D1 FD E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 85 F6 74 03 48 8B 0E 48 8B 00 48 85 C0 74 03 48 8B 18 48 3B CB 0F 85 31 01 00 00 48 2B 7A 10 4C 8B C5 48 D1 FF 49 8B CC 48 8B D7 E8 ?? ?? ?? ?? E9 E9 00 00 00 48 8B D3 48 85 C9 74 03 48 8B 11 48 8B CB 48 85 C0 74 03 48 8B 08 48 3B D1 0F 85 FE 00 00 00 4C 2B F5 49 D1 FE 48 85 ED 0F 84 F5 00 00 00 48 85 C0 0F 84 04 01 00 00 48 8B 00 48 85 C0 0F 84 F8 00 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CD 0F 87 D8 00 00 00 48 8B 40 18 48 8D 0C 41 48 3B E9 0F 83 C7 00 00 00 49 8B 00 48 8B CB 48 85 C0 74 03 48 8B 08 49 8B 3B 48 8B C3 48 85 FF 74 03 48 8B 07 48 3B C8 0F 85 96 00 00 00 49 8B 73 10 48 8D 54 24 30 4D 8B 78 10 49 8B CC 4C 2B FE 49 D1 FF E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 85 FF 74 03 48 8B 0F 48 8B 00 48 85 C0 74 03 48 8B 18 48 3B CB 75 63 48 2B 72 10 4C 8B CD 48 D1 FE 4D 8B C7 48 8B D6 4C 89 74 24 20 49 8B CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B C4 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1233_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
		size = 542
		refs = "009d ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 00d4 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 01c2 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z 01e9 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 49 8B 01 33 DB 4C 8B DA 4C 8B E1 44 8B D3 48 85 C0 74 03 4C 8B 10 4C 8B B4 24 90 00 00 00 48 8B D3 49 8B 0E 48 85 C9 74 03 48 8B 11 4C 3B D2 0F 85 96 01 00 00 49 8B 69 10 4D 8B 76 10 49 3B EE 75 7E 49 8B 00 48 85 C0 75 05 48 8B C3 EB 03 48 8B 00 49 8B 33 48 8B CB 48 85 F6 74 03 48 8B 0E 48 3B C1 0F 85 68 01 00 00 49 8B 7B 10 48 8D 54 24 30 49 8B 68 10 49 8B CC 48 2B EF 48 D1 FD E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 85 F6 74 03 48 8B 0E 48 8B 00 48 85 C0 74 03 48 8B 18 48 3B CB 0F 85 31 01 00 00 48 2B 7A 10 4C 8B C5 48 D1 FF 49 8B CC 48 8B D7 E8 ?? ?? ?? ?? E9 E9 00 00 00 48 8B D3 48 85 C9 74 03 48 8B 11 48 8B CB 48 85 C0 74 03 48 8B 08 48 3B D1 0F 85 FE 00 00 00 4C 2B F5 49 D1 FE 48 85 ED 0F 84 F5 00 00 00 48 85 C0 0F 84 04 01 00 00 48 8B 00 48 85 C0 0F 84 F8 00 00 00 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CD 0F 87 D8 00 00 00 48 8B 40 18 48 8D 0C 41 48 3B E9 0F 83 C7 00 00 00 49 8B 00 48 8B CB 48 85 C0 74 03 48 8B 08 49 8B 3B 48 8B C3 48 85 FF 74 03 48 8B 07 48 3B C8 0F 85 96 00 00 00 49 8B 73 10 48 8D 54 24 30 4D 8B 78 10 49 8B CC 4C 2B FE 49 D1 FF E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 85 FF 74 03 48 8B 0F 48 8B 00 48 85 C0 74 03 48 8B 18 48 3B CB 75 63 48 2B 72 10 4C 8B CD 48 D1 FE 4D 8B C7 48 8B D6 4C 89 74 24 20 49 8B CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B C4 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1231_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 1013
		refs = "00ac ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 0154 memmove 018e memcpy 03d5 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 03e7 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 8B E8 49 8B F1 4C 8B 41 18 4C 8B FA 48 8B F9 4C 3B C2 0F 82 9F 03 00 00 49 8B 41 18 4C 8B 6C 24 70 49 3B C5 0F 82 93 03 00 00 4C 8B 74 24 78 4D 8B E0 4C 2B E2 49 8B C8 49 3B EC 49 0F 47 EC 49 2B C5 4C 3B F0 4C 0F 47 F0 48 2B CD 49 8B C6 48 F7 D0 48 3B C1 0F 86 6B 03 00 00 4A 8D 04 31 4C 2B E5 45 33 C9 48 89 44 24 50 4C 3B C0 73 44 48 B9 FE FF FF FF FF FF FF 7F 48 3B C1 0F 87 4D 03 00 00 48 39 47 20 73 0D 48 8B D0 48 8B CF E8 ?? ?? ?? ?? EB 1E 48 85 C0 75 19 4C 89 4F 18 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 66 44 89 08 4C 3B F5 75 3E 48 83 7E 20 08 72 06 48 8B 76 08 EB 04 48 83 C6 08 48 83 7F 20 08 48 8D 5F 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 99 02 00 00 4A 8D 14 6E 4F 8D 04 36 4A 8D 0C 78 E9 83 02 00 00 48 8D 5F 08 48 3B FE 74 7B 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 19 49 8D 04 2F 48 8D 14 42 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E8 ?? ?? ?? ?? 48 83 7E 20 08 72 06 48 8B 76 08 EB 04 48 83 C6 08 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 1A 02 00 00 4F 8D 04 36 4A 8D 14 6E 4A 8D 0C 78 E8 ?? ?? ?? ?? E9 04 02 00 00 4C 3B F5 73 74 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 74 11 4A 8D 14 69 4A 8D 0C 78 4F 8D 04 36 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 0F 84 A4 01 00 00 49 8D 04 2F 48 8D 14 42 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E9 86 01 00 00 4D 3B EF 77 6C 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 19 49 8D 04 2F 48 8D 14 42 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 23 01 00 00 4A 8D 14 69 E9 85 FE FF FF 49 8D 34 2F 49 3B F5 77 67 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 15 48 8D 14 70 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 B2 00 00 00 4C 2B ED 4D 03 EE EB 87 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 15 4A 8D 14 69 4A 8D 0C 78 4C 8D 04 6D 00 00 00 00 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 15 48 8D 14 70 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 8B C6 4C 2B C5 74 14 4B 8D 04 2E 4D 03 C0 48 8D 14 42 48 8D 0C 71 E8 ?? ?? ?? ?? 48 83 7F 20 08 48 8B 44 24 50 48 89 47 18 72 03 48 8B 1B 48 8B 6C 24 60 33 C9 48 8B 74 24 68 66 89 0C 43 48 8B C7 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? CC 48 8B CE E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1234_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 1013
		refs = "00ac ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 0154 memmove 018e memcpy 03d5 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 03e7 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 8B E8 49 8B F1 4C 8B 41 18 4C 8B FA 48 8B F9 4C 3B C2 0F 82 9F 03 00 00 49 8B 41 18 4C 8B 6C 24 70 49 3B C5 0F 82 93 03 00 00 4C 8B 74 24 78 4D 8B E0 4C 2B E2 49 8B C8 49 3B EC 49 0F 47 EC 49 2B C5 4C 3B F0 4C 0F 47 F0 48 2B CD 49 8B C6 48 F7 D0 48 3B C1 0F 86 6B 03 00 00 4A 8D 04 31 4C 2B E5 45 33 C9 48 89 44 24 50 4C 3B C0 73 44 48 B9 FE FF FF FF FF FF FF 7F 48 3B C1 0F 87 4D 03 00 00 48 39 47 20 73 0D 48 8B D0 48 8B CF E8 ?? ?? ?? ?? EB 1E 48 85 C0 75 19 4C 89 4F 18 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 66 44 89 08 4C 3B F5 75 3E 48 83 7E 20 08 72 06 48 8B 76 08 EB 04 48 83 C6 08 48 83 7F 20 08 48 8D 5F 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 99 02 00 00 4A 8D 14 6E 4F 8D 04 36 4A 8D 0C 78 E9 83 02 00 00 48 8D 5F 08 48 3B FE 74 7B 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 19 49 8D 04 2F 48 8D 14 42 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E8 ?? ?? ?? ?? 48 83 7E 20 08 72 06 48 8B 76 08 EB 04 48 83 C6 08 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 1A 02 00 00 4F 8D 04 36 4A 8D 14 6E 4A 8D 0C 78 E8 ?? ?? ?? ?? E9 04 02 00 00 4C 3B F5 73 74 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 74 11 4A 8D 14 69 4A 8D 0C 78 4F 8D 04 36 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 0F 84 A4 01 00 00 49 8D 04 2F 48 8D 14 42 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E9 86 01 00 00 4D 3B EF 77 6C 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 19 49 8D 04 2F 48 8D 14 42 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 23 01 00 00 4A 8D 14 69 E9 85 FE FF FF 49 8D 34 2F 49 3B F5 77 67 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 15 48 8D 14 70 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 0F 84 B2 00 00 00 4C 2B ED 4D 03 EE EB 87 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 15 4A 8D 14 69 4A 8D 0C 78 4C 8D 04 6D 00 00 00 00 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 E4 74 15 48 8D 14 70 4B 8D 04 37 48 8D 0C 41 4F 8D 04 24 E8 ?? ?? ?? ?? 48 83 7F 20 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 08 72 05 48 8B 0B EB 03 48 8B CB 4D 8B C6 4C 2B C5 74 14 4B 8D 04 2E 4D 03 C0 48 8D 14 42 48 8D 0C 71 E8 ?? ?? ?? ?? 48 83 7F 20 08 48 8B 44 24 50 48 89 47 18 72 03 48 8B 1B 48 8B 6C 24 60 33 C9 48 8B 74 24 68 66 89 0C 43 48 8B C7 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? CC 48 8B CE E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1232_1 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z"
		size = 564
		refs = "008b ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 0104 memmove 0146 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 01dd memcpy 021d ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 0226 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 49 8B E9 49 8B F0 45 33 C9 4C 8B E2 48 8B D9 48 85 ED 74 63 48 83 79 20 08 4C 8D 51 08 72 05 49 8B 02 EB 03 49 8B C2 48 3B E8 72 4B 48 83 79 20 08 72 05 49 8B 0A EB 03 49 8B CA 48 8B 43 18 48 8D 0C 41 48 3B CD 76 2F 48 83 7B 20 08 72 03 4D 8B 12 48 8B 44 24 70 49 2B EA 48 D1 FD 4C 8B CB 48 89 44 24 28 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? E9 66 01 00 00 48 8B 4B 18 49 3B CC 0F 82 78 01 00 00 4C 8B 7C 24 70 4C 8B F1 4D 2B F4 49 8B C7 49 3B F6 48 F7 D0 49 0F 47 F6 48 2B CE 48 3B C1 0F 86 5D 01 00 00 4C 2B F6 4C 3B FE 73 3E 48 83 7B 20 08 48 8D 4B 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 7B 20 08 72 03 48 8B 09 4D 85 F6 74 1C 49 8D 04 34 48 8D 14 42 4B 8D 04 3C 48 8D 0C 41 4F 8D 04 36 E8 ?? ?? ?? ?? 45 33 C9 4C 8B 43 18 49 8B F8 48 2B FE 49 03 FF 4D 85 FF 75 09 48 85 F6 0F 84 D1 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 F2 00 00 00 48 39 7B 20 73 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 EB 1E 48 85 FF 75 22 4C 89 4B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 44 89 08 48 85 FF 0F 84 81 00 00 00 49 3B F7 73 3E 48 83 7B 20 08 48 8D 4B 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 7B 20 08 72 03 48 8B 09 4D 85 F6 74 1C 49 8D 04 34 48 8D 14 42 4B 8D 04 3C 48 8D 0C 41 4F 8D 04 36 E8 ?? ?? ?? ?? 45 33 C9 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 06 EB 03 48 8B C6 4D 85 FF 74 13 4F 8D 04 3F 48 8B D5 4A 8D 0C 60 E8 ?? ?? ?? ?? 45 33 C9 48 83 7B 20 08 48 89 7B 18 72 03 48 8B 36 66 44 89 0C 7E 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1235_1 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z"
		size = 564
		refs = "008b ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 0104 memmove 0146 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 01dd memcpy 021d ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 0226 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 49 8B E9 49 8B F0 45 33 C9 4C 8B E2 48 8B D9 48 85 ED 74 63 48 83 79 20 08 4C 8D 51 08 72 05 49 8B 02 EB 03 49 8B C2 48 3B E8 72 4B 48 83 79 20 08 72 05 49 8B 0A EB 03 49 8B CA 48 8B 43 18 48 8D 0C 41 48 3B CD 76 2F 48 83 7B 20 08 72 03 4D 8B 12 48 8B 44 24 70 49 2B EA 48 D1 FD 4C 8B CB 48 89 44 24 28 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? E9 66 01 00 00 48 8B 4B 18 49 3B CC 0F 82 78 01 00 00 4C 8B 7C 24 70 4C 8B F1 4D 2B F4 49 8B C7 49 3B F6 48 F7 D0 49 0F 47 F6 48 2B CE 48 3B C1 0F 86 5D 01 00 00 4C 2B F6 4C 3B FE 73 3E 48 83 7B 20 08 48 8D 4B 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 7B 20 08 72 03 48 8B 09 4D 85 F6 74 1C 49 8D 04 34 48 8D 14 42 4B 8D 04 3C 48 8D 0C 41 4F 8D 04 36 E8 ?? ?? ?? ?? 45 33 C9 4C 8B 43 18 49 8B F8 48 2B FE 49 03 FF 4D 85 FF 75 09 48 85 F6 0F 84 D1 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 F2 00 00 00 48 39 7B 20 73 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 EB 1E 48 85 FF 75 22 4C 89 4B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 44 89 08 48 85 FF 0F 84 81 00 00 00 49 3B F7 73 3E 48 83 7B 20 08 48 8D 4B 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 7B 20 08 72 03 48 8B 09 4D 85 F6 74 1C 49 8D 04 34 48 8D 14 42 4B 8D 04 3C 48 8D 0C 41 4F 8D 04 36 E8 ?? ?? ?? ?? 45 33 C9 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 06 EB 03 48 8B C6 4D 85 FF 74 13 4F 8D 04 3F 48 8B D5 4A 8D 0C 60 E8 ?? ?? ?? ?? 45 33 C9 48 83 7B 20 08 48 89 7B 18 72 03 48 8B 36 66 44 89 0C 7E 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_41_1238_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
		size = 46
		refs = "002a ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 18 77 1C 48 89 51 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_1240_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 46
		refs = "002a ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 18 77 1C 48 89 51 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_1239_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_KG@Z"
		size = 43
		refs = "0027 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 18 77 1C 48 89 51 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_1241_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K_W@Z"
		size = 43
		refs = "0027 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 18 77 1C 48 89 51 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_1242_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGXZ"
		size = 93
		refs = "0049 _guard_check_icall"
		altNames = "?sbumpc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 38 48 8B F9 48 83 38 00 74 08 48 8B 41 50 8B 08 EB 02 33 C9 85 C9 7E 19 48 8B 47 50 FF 08 48 8B 4F 38 48 8B 11 48 8D 42 02 48 89 01 0F B7 02 EB 14 48 8B 07 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1248_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGXZ"
		size = 75
		refs = "0037 _guard_check_icall"
		altNames = "?sgetc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 38 48 8B F9 48 8B 10 48 85 D2 74 08 48 8B 41 50 8B 08 EB 02 33 C9 85 C9 7E 05 0F B7 02 EB 14 48 8B 07 48 8B 58 30 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1253_1 {
	meta:
		name = "?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
		size = 115
		refs = "0051 _guard_check_icall"
		altNames = "?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 40 0F B7 F2 48 8B F9 48 83 38 00 74 08 48 8B 41 58 8B 08 EB 02 33 C9 85 C9 7E 19 48 8B 47 58 FF 08 48 8B 4F 40 48 8B 11 48 8D 42 02 48 89 01 66 89 32 EB 1A 48 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 0F B7 D6 48 8B CF FF D3 0F B7 F0 48 8B 5C 24 30 0F B7 C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_41_1267_1 {
	meta:
		name = "?widen@?$ctype@G@std@@QEBAPEBDPEBD0PEAG@Z"
		size = 96
		refs = "0030 _guard_check_icall"
		altNames = "?widen@?$ctype@_W@std@@QEBAPEBDPEBD0PEA_W@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 01 4C 8B F1 49 8B F9 49 8B F0 48 8B EA 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8B CF 4C 8B C6 48 8B D5 49 8B CE 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_41_1282_1 {
	meta:
		name = "wmemset"
		size = 34
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 4D 85 C0 74 0C 48 8B F9 0F B7 C2 49 8B C8 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_42_0_1 {
	meta:
		name = "__crtCompareStringW"
		size = 165
		refs = "0030 wcsnlen 006d __crtCompareStringEx"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 49 63 D9 49 8B F0 8B EA 4C 8B F1 45 85 C9 7E 0E 48 8B D3 49 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 63 44 24 68 48 8B 7C 24 60 85 C0 7E 0B 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 1F 85 C0 74 1B 89 44 24 28 44 8B CB 4C 8B C6 48 89 7C 24 20 8B D5 49 8B CE E8 ?? ?? ?? ?? EB 17 2B D8 B9 02 00 00 00 8B C3 C1 F8 1F 83 E0 FE 83 C0 03 85 DB 0F 44 C1 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_43_0_1 {
	meta:
		name = "_Getdateorder"
		size = 93
		refs = "0011 ___lc_locale_name_func 0028 __crtGetLocaleInfoEx"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 FF 89 7C 24 30 E8 ?? ?? ?? ?? 8D 5F 02 44 8B CB 4C 8D 44 24 30 8D 57 22 48 8B 48 28 E8 ?? ?? ?? ?? 0F B7 44 24 30 66 83 F8 30 74 19 66 83 F8 31 75 05 8D 5F 01 EB 0E 66 83 F8 32 8B DF B9 03 00 00 00 0F 44 D9 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_44_0_1 {
	meta:
		name = "?_XLgamma@std@@YAMM@Z"
		size = 157
		refs = "0010 __real@40b00000 0020 logf 002a ?coeff@?1??_XLgamma@std@@YAMM@Z@4QBMB 0032 __real@3f000000 0045 __real@3f800000 006c __real@3ff0000000000000 007d __real@40206c99"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 0F 28 F0 F3 0F 58 35 ?? ?? ?? ?? 0F 29 7C 24 20 0F 28 F8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 CF 48 8D 05 ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? 0F 28 D7 F3 0F 59 C1 F3 0F 5C F0 F3 0F 10 05 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 08 48 8D 0D ?? ?? ?? ?? F3 0F 5E CA 48 83 C0 04 F3 0F 5A D2 F3 0F 58 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5A D2 48 3B C1 7C D4 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F3 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_44_1_1 {
	meta:
		name = "?_XLgamma@std@@YANN@Z"
		size = 153
		refs = "0010 __real@4016000000000000 0020 log 0028 __real@3ff0000000000000 002f ?coeff@?1??_XLgamma@std@@YANN@Z@4QBNB 003d __real@3fe0000000000000 0051 __real@3ff00000000d0ec7 0079 __real@40040d931ff62706"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 0F 28 F0 F2 0F 58 35 ?? ?? ?? ?? 0F 29 7C 24 20 0F 28 F8 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 0F 28 CF 0F 28 D7 F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 D3 F2 0F 59 C1 F2 0F 5C F0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 08 48 8D 0D ?? ?? ?? ?? F2 0F 5E CA 48 83 C0 08 F2 0F 58 D3 F2 0F 58 C1 48 3B C1 7C E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F2 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_44_2_1 {
	meta:
		name = "?_XLgamma@std@@YAOO@Z"
		size = 153
		refs = "0010 __real@4016000000000000 0020 log 0028 __real@3ff0000000000000 002f ?coeff@?1??_XLgamma@std@@YAOO@Z@4QBOB 003d __real@3fe0000000000000 0051 __real@3ff00000000d0ec7 0079 __real@40040d931ff62706"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 0F 28 F0 F2 0F 58 35 ?? ?? ?? ?? 0F 29 7C 24 20 0F 28 F8 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 0F 28 CF 0F 28 D7 F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 D3 F2 0F 59 C1 F2 0F 5C F0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 08 48 8D 0D ?? ?? ?? ?? F2 0F 5E CA 48 83 C0 08 F2 0F 58 D3 F2 0F 58 C1 48 3B C1 7C E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F2 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_45_0_1 {
	meta:
		name = "??0stl_critical_section_concrt@details@Concurrency@@QEAA@XZ"
		size = 37
		refs = "0009 ??_7stl_critical_section_concrt@details@Concurrency@@6B@ 0018 ??0critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_102_0_1 {
	meta:
		name = "??0stl_condition_variable_concrt@details@Concurrency@@QEAA@XZ"
		size = 37
		refs = "0009 ??_7stl_condition_variable_concrt@details@Concurrency@@6B@ 0018 ??0_Condition_variable@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_102_2_1 {
	meta:
		name = "??0stl_condition_variable_vista@details@Concurrency@@QEAA@XZ"
		size = 37
		refs = "0009 ??_7stl_condition_variable_vista@details@Concurrency@@6B@ 0018 __crtInitializeConditionVariable"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_102_3_1 {
	meta:
		name = "??0stl_condition_variable_win7@details@Concurrency@@QEAA@XZ"
		size = 37
		refs = "0009 ??_7stl_condition_variable_win7@details@Concurrency@@6B@ 0018 __crtInitializeConditionVariable"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_45_3_1 {
	meta:
		name = "??0stl_critical_section_win7@details@Concurrency@@QEAA@XZ"
		size = 37
		refs = "0009 ??_7stl_critical_section_win7@details@Concurrency@@6B@ 0018 __crtInitializeSRWLock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_45_2_1 {
	meta:
		name = "??0stl_critical_section_vista@details@Concurrency@@QEAA@XZ"
		size = 45
		refs = "0009 ??_7stl_critical_section_vista@details@Concurrency@@6B@ 0020 __crtInitializeCriticalSectionEx"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 45 33 C0 48 83 C1 08 BA A0 0F 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_45_7_1 {
	meta:
		name = "??_EGlobalCore@details@Concurrency@@QEAAPEAXI@Z"
		size = 149
		refs = "002a ??1GlobalCore@details@Concurrency@@QEAA@XZ 0037 ??_M@YAXPEAX_K1P6AX0@Z@Z 0055 ??_V@YAXPEAX_K@Z 0069 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 8B F2 48 8B D9 F6 C2 02 74 3C 48 8D 79 F8 4C 8D 0D ?? ?? ?? ?? 4C 8B 07 BA 30 00 00 00 E8 ?? ?? ?? ?? 90 40 F6 C6 01 74 18 48 8B 0F 48 8D 14 49 48 C1 E2 04 48 83 C2 08 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 EB 26 BA 10 00 00 00 48 8B 49 28 E8 ?? ?? ?? ?? 90 40 F6 C6 01 74 0E BA 30 00 00 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_45_8_1 {
	meta:
		name = "??_Gcritical_section@Concurrency@@QEAAPEAXI@Z"
		size = 52
		refs = "0010 ??1critical_section@Concurrency@@QEAA@XZ 0022 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA 38 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_45_9_1 {
	meta:
		name = "??_H@YAXPEAX_K1P6APEAX0@Z@Z"
		size = 80
		refs = "0029 _guard_check_icall"
	strings:
		$1 = { 4D 85 C0 74 4A 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F1 49 8B D8 48 8B EA 48 8B F9 48 8B CE E8 ?? ?? ?? ?? 48 8B CF FF D6 48 03 FD 48 83 EB 01 75 EA 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_45_15_1 {
	meta:
		name = "?create_stl_critical_section@details@Concurrency@@YAXPEAVstl_critical_section_interface@12@@Z"
		size = 166
		refs = "0014 ?__stl_sync_api_impl_mode@@3W4__stl_sync_api_modes_enum@@A 001f __security_cookie 0032 __encodedKERNEL32Functions 0043 ??_7stl_critical_section_win7@details@Concurrency@@6B@ 004f __crtInitializeSRWLock 0069 ??_7stl_critical_section_vista@details@Concurrency@@6B@ 007d __crtInitializeCriticalSectionEx 0090 ??_7stl_critical_section_concrt@details@Concurrency@@6B@ 009c ??0critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 8B 05 ?? ?? ?? ?? 85 C0 78 67 48 8B 15 ?? ?? ?? ?? 83 F8 01 7E 07 83 F8 02 74 28 EB 54 48 8B 05 ?? ?? ?? ?? 48 33 C2 74 1A 48 85 C9 74 61 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? EB 4C 48 8B 05 ?? ?? ?? ?? 48 33 C2 74 22 48 85 C9 74 3B 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 45 33 C0 BA A0 0F 00 00 E8 ?? ?? ?? ?? EB 1E 48 89 4C 24 48 48 85 C9 74 14 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_45_16_1 {
	meta:
		name = "?dtor$2@?0??create_stl_critical_section@details@Concurrency@@YAXPEAVstl_critical_section_interface@12@@Z@4HA"
		size = 28
		refs = "0012 ??3@YAXPEAX0@Z"
		altNames = "?dtor$2@?0??create_stl_condition_variable@details@Concurrency@@YAXPEAVstl_condition_variable_interface@12@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_45_23_1 {
	meta:
		name = "?mtx_do_lock@@YAHPEAU_Mtx_internal_imp_t@@PEBUxtime@@@Z"
		size = 403
		refs = "0016 __security_cookie 0035 __imp_GetCurrentThreadId 004a _guard_check_icall 00af xtime_get 00e6 _Xtime_diff_to_millis2 017b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 8B 01 4C 8B FA 0F BA F0 08 4C 8B F1 83 F8 01 75 34 FF 15 ?? ?? ?? ?? 41 39 46 48 74 1F 49 8B 46 08 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 49 8D 4E 08 FF D3 FF 15 ?? ?? ?? ?? 41 89 46 48 41 FF 46 4C E9 09 01 00 00 4D 85 FF 75 2A FF 15 ?? ?? ?? ?? 41 39 46 48 0F 84 AE 00 00 00 49 8B 46 08 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 49 8D 4E 08 FF D3 E9 94 00 00 00 48 83 3A 00 7C 68 75 06 83 7A 08 00 7E 60 BA 01 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 49 3B 07 7C 10 0F 85 83 00 00 00 41 8B 47 08 39 44 24 28 7D 79 FF 15 ?? ?? ?? ?? 41 39 46 48 74 51 49 8B 7E 08 48 8D 54 24 20 49 8B CF E8 ?? ?? ?? ?? 48 8B 4F 10 8B D8 E8 ?? ?? ?? ?? 8B D3 49 8D 4E 08 FF 57 10 84 C0 75 28 EB A0 FF 15 ?? ?? ?? ?? 41 39 46 48 74 1A 49 8B 46 08 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 49 8D 4E 08 FF D3 84 C0 74 1C 41 FF 46 4C 41 8B 46 4C 83 F8 01 7E 2F 41 F7 06 00 01 00 00 75 30 FF C8 41 89 46 4C 4D 85 FF 74 14 49 83 3F 00 75 07 41 83 7F 08 00 74 07 B8 02 00 00 00 EB 13 B8 03 00 00 00 EB 0C FF 15 ?? ?? ?? ?? 41 89 46 48 33 C0 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 40 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_45_25_1 {
	meta:
		name = "?try_lock@stl_critical_section_vista@details@Concurrency@@UEAA_NXZ"
		size = 24
		refs = "000a __imp_TryEnterCriticalSection"
		altNames = "?try_lock_for@stl_critical_section_vista@details@Concurrency@@UEAA_NI@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 C1 08 FF 15 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_45_26_1 {
	meta:
		name = "?try_lock@stl_critical_section_win7@details@Concurrency@@UEAA_NXZ"
		size = 23
		refs = "0009 __crtTryAcquireSRWLockExclusive"
		altNames = "?try_lock_for@stl_critical_section_win7@details@Concurrency@@UEAA_NI@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 C1 08 E8 ?? ?? ?? ?? 84 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_45_34_1 {
	meta:
		name = "_Mtx_current_owns"
		size = 49
		refs = "0016 __imp_GetCurrentThreadId"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 39 59 4C 74 10 FF 15 ?? ?? ?? ?? 39 47 48 75 05 BB 01 00 00 00 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_45_35_1 {
	meta:
		name = "_Mtx_destroy"
		size = 32
		refs = "000e _Mtx_destroy_in_situ 0016 _free_base"
	strings:
		$1 = { 48 85 C9 74 1A 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_102_38_1 {
	meta:
		name = "_Cnd_destroy"
		size = 32
		refs = "000e _Cnd_destroy_in_situ 0016 _free_base"
	strings:
		$1 = { 48 85 C9 74 1A 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_45_36_1 {
	meta:
		name = "_Mtx_destroy_in_situ"
		size = 48
		refs = "0019 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 08 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_45_38_1 {
	meta:
		name = "_Mtx_init"
		size = 81
		refs = "0021 _calloc_base 0038 _Mtx_init_in_situ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 21 00 8B F2 BA 50 00 00 00 48 8B F9 8D 4A B1 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 05 8D 43 01 EB 0F 8B D6 48 8B CB E8 ?? ?? ?? ?? 33 C0 48 89 1F 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_45_39_1 {
	meta:
		name = "_Mtx_init_in_situ"
		size = 45
		refs = "0014 ?create_stl_critical_section@details@Concurrency@@YAXPEAVstl_critical_section_interface@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 8B DA 48 83 C1 08 E8 ?? ?? ?? ?? 83 4F 48 FF 83 67 4C 00 89 1F 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_45_41_1 {
	meta:
		name = "_Mtx_reset_owner"
		size = 27
		refs = "000b __imp_GetCurrentThreadId"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? FF 43 4C 89 43 48 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_45_42_1 {
	meta:
		name = "_Mtx_timedlock"
		size = 25
		refs = "0005 ?mtx_do_lock@@YAHPEAU_Mtx_internal_imp_t@@PEBUxtime@@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 F8 03 B9 02 00 00 00 0F 44 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_45_43_1 {
	meta:
		name = "_Mtx_trylock"
		size = 58
		refs = "0007 __security_cookie 0024 ?mtx_do_lock@@YAHPEAU_Mtx_internal_imp_t@@PEBUxtime@@@Z 0031 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 48 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 83 64 24 28 00 48 8D 54 24 20 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_45_44_1 {
	meta:
		name = "_Mtx_unlock"
		size = 57
		refs = "0023 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 69 4C 01 75 1C 83 49 48 FF 48 8D 79 08 48 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_0_1 {
	meta:
		name = "__crtLCMapStringW"
		size = 92
		refs = "002b wcsnlen 0058 __crtLCMapStringEx"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 63 D9 49 8B F8 8B F2 48 8B E9 45 85 C9 7E 14 48 8B D3 49 8B C8 E8 ?? ?? ?? ?? 3B C3 8D 58 01 7C 02 8B D8 44 8B CB 4C 8B C7 8B D6 48 8B CD 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_0_1 {
	meta:
		name = "_Cosh"
		size = 216
		refs = "0018 _Dtest 0055 __xmm@80000000000000008000000000000000 0063 _Xbig 007a __real@3ff0000000000000 007f _Exp 0087 __real@3fd0000000000000 00c2 _Feraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 0F 29 74 24 20 48 8D 4C 24 40 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 A6 00 00 00 FF C8 83 F8 01 77 0B F2 0F 10 44 24 40 E9 97 00 00 00 0F 57 C0 66 0F 2E F0 7A 06 0F 84 85 00 00 00 F2 0F 10 4C 24 40 66 0F 2F C1 76 0D 0F 57 0D ?? ?? ?? ?? F2 0F 11 4C 24 40 F2 0F 10 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 83 C8 FF 66 0F 2F C1 76 27 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 44 24 40 F2 0F 58 44 24 40 F2 0F 59 C6 EB 31 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 10 83 F9 01 0F 85 77 FF FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 61 FF FF FF 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_53_0_1 {
	meta:
		name = "_LCosh"
		size = 216
		refs = "0018 _LDtest 0055 __xmm@80000000000000008000000000000000 0063 _LXbig 007a __real@3ff0000000000000 007f _LExp 0087 __real@3fd0000000000000 00c2 _Feraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 0F 29 74 24 20 48 8D 4C 24 40 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 A6 00 00 00 FF C8 83 F8 01 77 0B F2 0F 10 44 24 40 E9 97 00 00 00 0F 57 C0 66 0F 2E F0 7A 06 0F 84 85 00 00 00 F2 0F 10 4C 24 40 66 0F 2F C1 76 0D 0F 57 0D ?? ?? ?? ?? F2 0F 11 4C 24 40 F2 0F 10 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 83 C8 FF 66 0F 2F C1 76 27 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 44 24 40 F2 0F 58 44 24 40 F2 0F 59 C6 EB 31 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 10 83 F9 01 0F 85 77 FF FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 61 FF FF FF 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_49_0_1 {
	meta:
		name = "_FDtest"
		size = 73
	strings:
		$1 = { 0F B7 51 02 B8 80 7F 00 00 66 23 D0 66 3B D0 75 18 F6 41 02 7F 75 0C 33 C0 66 39 01 B8 01 00 00 00 74 25 B8 02 00 00 00 C3 0F B7 41 02 A9 FF 7F FF FF 75 07 33 C0 66 39 01 74 0D 66 F7 DA 66 1B C0 66 F7 D8 66 83 C0 FE C3 }
	condition:
		$1
}

rule file_50_53_1 {
	meta:
		name = "??0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 129
		refs = "0026 ??_8?$basic_istream@GU?$char_traits@G@std@@@std@@7B@ 0030 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 004a ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0073 ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 18 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 E8 89 54 19 FC 48 83 63 08 00 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_111_53_1 {
	meta:
		name = "??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 129
		refs = "0026 ??_8?$basic_istream@_WU?$char_traits@_W@std@@@std@@7B@ 0030 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 004a ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0073 ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 4C 8B D2 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 18 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 E8 89 54 19 FC 48 83 63 08 00 48 8B 03 48 63 48 04 48 03 CB 49 8B D2 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_50_54_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_111_54_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_50_119_1 {
	meta:
		name = "??1?$basic_istream@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 C3 }
	condition:
		$1
}

rule file_109_120_1 {
	meta:
		name = "??1?$basic_istream@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 C3 }
	condition:
		$1
}

rule file_111_119_1 {
	meta:
		name = "??1?$basic_istream@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 38
		refs = "000b ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 C3 }
	condition:
		$1
}

rule file_50_150_1 {
	meta:
		name = "??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
		size = 75
		refs = "001c ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0039 ??_7ios_base@std@@6B@ 0041 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 83 C1 18 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_109_151_1 {
	meta:
		name = "??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
		size = 75
		refs = "001c ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0039 ??_7ios_base@std@@6B@ 0041 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 83 C1 18 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_111_150_1 {
	meta:
		name = "??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
		size = 75
		refs = "001c ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0039 ??_7ios_base@std@@6B@ 0041 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 83 C1 18 48 8B 41 E8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A E8 48 8B 41 E8 48 63 50 04 44 8D 42 E8 44 89 44 0A E4 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_50_154_1 {
	meta:
		name = "??_G?$basic_istream@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 110
		refs = "0024 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0048 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 005b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8D 79 E8 48 8B 07 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 E8 48 8B 07 4C 63 40 04 45 8D 48 E8 45 89 4C 08 E4 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 F6 C3 01 74 0E BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_109_155_1 {
	meta:
		name = "??_G?$basic_istream@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 110
		refs = "0024 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0048 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 005b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8D 79 E8 48 8B 07 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 E8 48 8B 07 4C 63 40 04 45 8D 48 E8 45 89 4C 08 E4 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 F6 C3 01 74 0E BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_111_154_1 {
	meta:
		name = "??_G?$basic_istream@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 110
		refs = "0024 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0048 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 005b ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B DA 48 8D 79 E8 48 8B 07 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 E8 48 8B 07 4C 63 40 04 45 8D 48 E8 45 89 4C 08 E4 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 F6 C3 01 74 0E BA 78 00 00 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_50_176_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 42
		refs = "0007 __acrt_iob_func 0011 ?wfin@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0016 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001d ??__Fwfin@std@@YAXXZ 0026 atexit"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_176_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 42
		refs = "0007 __acrt_iob_func 0011 ?wfin@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0016 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001d ??__Fwfin@std@@YAXXZ 0026 atexit"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_179_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0022 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 E8 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_109_179_1 {
	meta:
		name = "??__Fcin@std@@YAXXZ"
		size = 93
		refs = "0010 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0022 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 E8 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_111_179_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 93
		refs = "0010 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0022 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0040 ??_7ios_base@std@@6B@ 0053 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 63 48 04 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4A 89 04 01 48 8B 05 ?? ?? ?? ?? 48 63 48 04 8D 51 E8 42 89 54 01 FC 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_51_6_1 {
	meta:
		name = "??$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@0@XZ"
		size = 72
		refs = "0006 ??_B?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@0@XZ@51 0014 ??__F_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@0@XZ@YAXXZ 0021 ??_7_Generic_error_category@std@@6B@ 0028 ?_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@1@XZ@4U?$_Immortalizer@V_Generic_error_category@std@@@1@A 0038 atexit"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? A8 01 75 2E 83 C8 01 48 8D 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 C7 05 ?? ?? ?? ?? 03 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_51_30_1 {
	meta:
		name = "??0?$_Immortalizer@V_Generic_error_category@std@@@std@@QEAA@XZ"
		size = 27
		refs = "0008 ??_7_Generic_error_category@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 12 48 8D 05 ?? ?? ?? ?? 48 C7 41 08 03 00 00 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_51_56_1 {
	meta:
		name = "??0system_error@std@@QEAA@HAEBVerror_category@1@PEBD@Z"
		size = 177
		refs = "001b __security_cookie 0037 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 005e ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 006e ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0081 ?_Deallocate@std@@YAXPEAX_K1@Z 0088 ??_7system_error@std@@6B@ 009b __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 B8 FE FF FF FF 49 89 5B 10 49 89 73 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 49 8B F8 8B DA 48 8B F1 49 8B D1 49 8D 4B C0 E8 ?? ?? ?? ?? 90 89 5C 24 20 48 89 7C 24 28 0F 28 44 24 20 66 0F 7F 44 24 20 4C 8D 44 24 38 48 8D 54 24 20 48 8B CE E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4C 24 38 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8B C6 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_51_118_1 {
	meta:
		name = "?_Throw_C_error@std@@YAXH@Z"
		size = 58
		refs = "0022 ?_Throw_Cpp_error@std@@YAXH@Z"
	strings:
		$1 = { 48 83 EC 28 85 C9 7E 0F 83 F9 02 7E 22 83 F9 03 74 15 83 F9 04 74 05 48 83 C4 28 C3 B9 01 00 00 00 E8 ?? ?? ?? ?? CC 33 C9 E8 ?? ?? ?? ?? CC B9 06 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_51_119_1 {
	meta:
		name = "?_Throw_Cpp_error@std@@YAXH@Z"
		size = 71
		refs = "0010 __ImageBase 0015 ?generic_category@std@@YAAEBVerror_category@1@XZ 001d ?msgs@@3QBQEBDB 0029 ?codes@@3QBHB 0031 ??0system_error@std@@QEAA@HAEBVerror_category@1@PEBD@Z 0038 _TI4?AVsystem_error@std@@ 0042 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 63 D9 48 8D 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B 8C DF ?? ?? ?? ?? 48 8D 4C 24 20 8B 94 9F ?? ?? ?? ?? 4C 8B C0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_51_150_1 {
	meta:
		name = "?generic_category@std@@YAAEBVerror_category@1@XZ"
		size = 72
		refs = "0006 ??_B?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@0@XZ@51 0014 ?_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@1@XZ@4U?$_Immortalizer@V_Generic_error_category@std@@@1@A 0025 ??__F_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@0@XZ@YAXXZ 002c ??_7_Generic_error_category@std@@6B@ 0038 atexit"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? A8 01 75 2E 83 C8 01 48 C7 05 ?? ?? ?? ?? 03 00 00 00 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_75_1 {
	meta:
		name = "?_FilesysOpenFile@v1@filesystem@experimental@std@@YAPEAXPEB_WKK@Z"
		size = 41
		refs = "0020 __imp_CreateFileW"
	strings:
		$1 = { 48 83 EC 48 48 83 64 24 30 00 45 33 C9 44 89 44 24 28 C7 44 24 20 03 00 00 00 45 8D 41 07 FF 15 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_52_76_1 {
	meta:
		name = "?_Filesys_code_page@v1@filesystem@experimental@std@@YAIXZ"
		size = 24
		refs = "0006 __imp_AreFileApisANSI"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 33 C9 85 C0 0F 94 C1 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_89_1 {
	meta:
		name = "?_Map_mode@v1@filesystem@experimental@std@@YA?AW4file_type@1234@H@Z"
		size = 28
	strings:
		$1 = { F6 C1 10 74 06 B8 02 00 00 00 C3 81 E1 A7 7B 00 00 F7 D9 1B C0 83 E0 F9 83 C0 08 C3 }
	condition:
		$1
}

rule file_52_100_1 {
	meta:
		name = "?_Strcpy@v1@filesystem@experimental@std@@YAPEA_WAEAY0BAE@_WPEB_W@Z"
		size = 31
		refs = "0012 wcscpy_s"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 8B D9 BA 04 01 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_52_112_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 345
		refs = "007a ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00c3 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 0114 memcpy 014b ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 33 FF 4D 8B F0 48 8B EA 48 8B D9 48 85 D2 74 5A 48 83 79 20 08 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B E8 72 42 48 83 79 20 08 72 05 49 8B 09 EB 03 49 8B C9 48 8B 43 18 48 8D 0C 41 48 3B CD 76 26 48 83 7B 20 08 72 03 4D 8B 09 49 2B E9 48 8B D3 48 D1 FD 4D 8B CE 4C 8B C5 48 8B CB E8 ?? ?? ?? ?? E9 AB 00 00 00 4C 8B 43 18 49 8B C0 48 F7 D0 49 3B C6 0F 86 B1 00 00 00 4B 8D 34 30 4D 85 F6 0F 84 88 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 9A 00 00 00 48 39 73 20 73 0D 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 4C 89 7B 18 48 83 7B 20 08 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 44 89 38 48 85 F6 74 3F 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4D 85 F6 74 14 48 8B 43 18 4F 8D 04 36 48 8B D5 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 44 89 3C 77 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_52_117_1 {
	meta:
		name = "?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEA_WXZ"
		size = 119
		refs = "000a ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ 001d ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@QEBA?AV01@_J@Z 0066 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 58 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8B C8 48 8D 54 24 38 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B 40 10 4D 85 C0 74 3B 48 8B 08 48 85 C9 74 3F 48 8B 09 48 85 C9 74 37 48 83 79 20 08 72 06 48 8B 41 08 EB 04 48 8D 41 08 49 3B C0 77 1B 48 8B 49 18 48 8D 14 48 4C 3B C2 73 0E 49 8B C0 48 83 C4 58 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_52_136_1 {
	meta:
		name = "_Chmod"
		size = 121
		refs = "000d __security_cookie 0027 __imp_GetFileAttributesExW 0053 __imp_SetFileAttributesW 006a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 8B DA 4C 8D 44 24 20 33 D2 48 8B F9 FF 15 ?? ?? ?? ?? 33 C9 85 C0 75 05 83 C8 FF EB 2B 8B 44 24 20 83 E0 FE 8B D0 83 CA 01 80 E3 92 0F 45 D0 3B 54 24 20 74 11 48 8B CF FF 15 ?? ?? ?? ?? F7 D8 1B C9 F7 D9 FF C9 8B C1 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_52_138_1 {
	meta:
		name = "_Copy_file"
		size = 34
		refs = "0009 __imp_CopyFileW 0015 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 FF 15 ?? ?? ?? ?? 33 C9 85 C0 75 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_139_1 {
	meta:
		name = "_Current_get"
		size = 51
		refs = "0009 ??_C@_11LOCGONAA@?$AA?$AA@ 0016 wcscpy_s 0023 _wgetcwd"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B D9 E8 ?? ?? ?? ?? BA 04 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 0F 95 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_52_140_1 {
	meta:
		name = "_Current_set"
		size = 19
		refs = "0005 _wchdir"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_141_1 {
	meta:
		name = "_Equivalent"
		size = 358
		refs = "0018 __security_cookie 003d memset 007e __imp_CreateFileW 0095 __imp_GetFileInformationByHandle 00a4 __imp_CloseHandle 014a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 56 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 00 00 00 4C 8B F2 48 8B D9 BF 34 00 00 00 48 8D 4C 24 78 44 8B C7 33 D2 E8 ?? ?? ?? ?? 44 8B C7 48 8D 4C 24 40 33 D2 E8 ?? ?? ?? ?? 33 FF 45 33 C9 48 89 7C 24 30 BA 80 00 00 00 C7 44 24 28 00 00 00 02 48 8B CB 40 8A EF C7 44 24 20 03 00 00 00 44 8D 47 07 40 8A F7 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 1D 48 8D 54 24 78 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 48 8B CB 40 0F 95 C5 FF 15 ?? ?? ?? ?? 45 33 C9 48 89 7C 24 30 C7 44 24 28 00 00 00 02 BA 80 00 00 00 49 8B CE C7 44 24 20 03 00 00 00 45 8D 41 07 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 74 1D 48 8D 54 24 40 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 48 8B CB 40 0F 95 C6 FF 15 ?? ?? ?? ?? 40 84 ED 75 0A 40 84 F6 75 3A 83 C8 FF EB 37 40 84 F6 74 30 8B 44 24 5C 39 84 24 94 00 00 00 75 1F 8B 44 24 6C 39 84 24 A4 00 00 00 75 12 8B 44 24 70 39 84 24 A8 00 00 00 75 05 BF 01 00 00 00 8B C7 EB 02 33 C0 48 8B 8C 24 B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 30 49 8B 6B 38 49 8B E3 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_52_142_1 {
	meta:
		name = "_File_size"
		size = 75
		refs = "0007 __security_cookie 001c __imp_GetFileAttributesExW 0042 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 06 48 83 C8 FF EB 0F 8B 44 24 3C 8B 4C 24 40 48 C1 E0 20 48 0B C1 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_52_143_1 {
	meta:
		name = "_Hard_links"
		size = 181
		refs = "0015 __security_cookie 0045 __imp_CreateFileW 0058 memset 0072 __imp_GetFileInformationByHandle 0081 __imp_CloseHandle 009c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 48 83 64 24 30 00 45 33 C9 C7 44 24 28 00 00 00 02 BA 80 00 00 00 C7 44 24 20 03 00 00 00 45 8D 41 07 FF 15 ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 48 8B F8 44 8D 42 34 E8 ?? ?? ?? ?? 40 32 F6 48 83 CB FF 48 3B FB 74 1D 48 8D 54 24 40 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 48 8B CF 40 0F 95 C6 FF 15 ?? ?? ?? ?? 8B 4C 24 68 40 84 F6 48 0F 45 D9 48 8B C3 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_52_144_1 {
	meta:
		name = "_Last_write_time"
		size = 88
		refs = "0007 __security_cookie 001c __imp_GetFileAttributesExW 004f __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 06 48 83 C8 FF EB 1C 8B 4C 24 34 8B 44 24 38 48 C1 E0 20 48 0B C1 48 B9 00 80 3E D5 DE B1 9D 01 48 2B C1 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_52_145_1 {
	meta:
		name = "_Link"
		size = 43
		refs = "0012 __imp_CreateHardLinkW 001e __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 45 33 C0 48 8B D1 48 8B C8 FF 15 ?? ?? ?? ?? 33 C9 85 C0 75 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_147_1 {
	meta:
		name = "_Make_dir"
		size = 43
		refs = "0008 __imp_CreateDirectoryW 0019 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 33 D2 FF 15 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 0F FF 15 ?? ?? ?? ?? 2D B7 00 00 00 F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_148_1 {
	meta:
		name = "_Open_dir"
		size = 335
		refs = "001d __security_cookie 003a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z 0051 ??_C@_15PKPONJIK@?$AA?2?$AA?$CK?$AA?$AA@ 005b ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 0085 __imp_FindFirstFileExW 00c5 _Read_dir 00d3 __imp_FindClose 00e6 wcscpy_s 0114 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0127 ?_Deallocate@std@@YAXPEAX_K1@Z 0139 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D AC 24 40 FE FF FF 48 81 EC C0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 01 00 00 48 8B F1 4D 8B E1 48 8D 4C 24 30 4D 8B F8 E8 ?? ?? ?? ?? 33 DB 44 8D 73 02 48 39 5C 24 48 74 14 45 8B C6 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 7C 24 50 08 48 8D 4C 24 38 89 5C 24 28 4C 8D 44 24 60 48 0F 43 4C 24 38 45 33 C9 33 D2 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 0C 41 C7 07 A1 00 00 00 66 89 1E EB 6B 66 83 7D 8C 2E 41 89 1F 75 31 66 39 5D 8E 74 0D 66 83 7D 8E 2E 75 24 66 39 5D 90 75 1E 4D 8B C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 66 39 1E 75 38 48 8B CF FF 15 ?? ?? ?? ?? EB 30 4C 8D 45 8C BA 04 01 00 00 48 8B CE E8 ?? ?? ?? ?? 8B 44 24 60 A8 10 75 10 25 A7 7B 00 00 F7 D8 1B C0 83 E0 F9 44 8D 70 08 45 89 34 24 48 8B DF 45 33 C0 48 8D 4C 24 30 B2 01 E8 ?? ?? ?? ?? 48 8B 4C 24 30 BA 01 00 00 00 44 8D 42 0F E8 ?? ?? ?? ?? 48 8B C3 48 8B 8D B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C0 02 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_52_149_1 {
	meta:
		name = "_Read_dir"
		size = 212
		refs = "0012 __security_cookie 0034 __imp_FindNextFileW 0076 ??_C@_11LOCGONAA@?$AA?$AA@ 0083 wcscpy_s 0096 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 48 81 EC 80 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 02 00 00 48 8B F2 48 8B D9 48 8B CE 48 8D 54 24 20 49 8B F8 FF 15 ?? ?? ?? ?? 33 ED EB 2D 66 83 7C 24 4C 2E 75 69 0F B7 44 24 4E 66 85 C0 74 0D 66 83 F8 2E 75 59 66 39 6C 24 50 75 52 48 8D 54 24 20 48 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 CF C7 07 08 00 00 00 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 70 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 02 00 00 48 81 C4 80 02 00 00 5F 5E 5D C3 8B 44 24 20 A8 10 74 07 B8 02 00 00 00 EB 0F 25 A7 7B 00 00 F7 D8 1B C0 83 E0 F9 83 C0 08 89 07 4C 8D 44 24 4C EB A6 }
	condition:
		$1
}

rule file_52_150_1 {
	meta:
		name = "_Remove_dir"
		size = 20
		refs = "0005 _wrmdir"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_151_1 {
	meta:
		name = "_Rename"
		size = 30
		refs = "0005 _wrename 0011 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_161_1 {
	meta:
		name = "_Unlink"
		size = 30
		refs = "0005 _wremove 0011 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_152_1 {
	meta:
		name = "_Resize"
		size = 143
		refs = "0031 __imp_CreateFileW 004c __imp_SetFilePointerEx 0059 __imp_SetEndOfFile 006c __imp_CloseHandle 0077 __imp_GetLastError"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 40 33 DB 48 8B FA 48 89 58 E8 45 33 C9 89 58 E0 BA 16 01 12 00 C7 40 D8 03 00 00 00 44 8D 43 07 FF 15 ?? ?? ?? ?? 48 8B F0 48 83 F8 FF 74 37 45 33 C9 45 33 C0 48 8B D7 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 74 10 48 8B CE FF 15 ?? ?? ?? ?? 40 B7 01 85 C0 75 03 40 8A FB 48 8B CE FF 15 ?? ?? ?? ?? 40 84 FF 75 08 FF 15 ?? ?? ?? ?? 8B D8 48 8B 74 24 58 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_52_153_1 {
	meta:
		name = "_Set_last_write_time"
		size = 210
		refs = "0012 __security_cookie 0046 __imp_CreateFileW 0068 __crtGetFileInformationByHandleEx 0075 __imp_CloseHandle 009b __crtSetFileInformationByHandle 00bc __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 33 DB 48 8B F2 48 89 5C 24 30 45 33 C9 C7 44 24 28 00 00 00 02 BA 00 01 00 00 C7 44 24 20 03 00 00 00 44 8D 43 07 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 04 33 C0 EB 5C 41 B9 28 00 00 00 4C 8D 44 24 40 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 85 C0 75 08 FF 15 ?? ?? ?? ?? EB D8 48 B8 00 80 3E D5 DE B1 9D 01 4C 8D 44 24 40 48 03 C6 41 B9 28 00 00 00 33 D2 48 89 44 24 50 E8 ?? ?? ?? ?? 85 C0 74 05 BB 01 00 00 00 48 8B CF FF 15 ?? ?? ?? ?? 8B C3 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_52_154_1 {
	meta:
		name = "_Stat"
		size = 175
		refs = "0009 __security_cookie 0021 __imp_GetFileAttributesExW 0068 __imp_GetLastError 00a5 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B DA 4C 8D 44 24 20 33 D2 FF 15 ?? ?? ?? ?? 85 C0 74 3D 8B 54 24 20 48 85 DB 74 16 8B C2 24 01 F6 D8 1B C9 81 E1 6E FF FF FF 81 C1 FF 01 00 00 89 0B F6 C2 10 74 07 B8 02 00 00 00 EB 48 81 E2 A7 7B 00 00 F7 DA 1B C0 83 E0 F9 83 C0 08 EB 36 FF 15 ?? ?? ?? ?? 83 F8 35 77 10 48 BA 0C 80 00 00 00 00 20 00 48 0F A3 C2 72 18 3D A1 00 00 00 74 11 83 F8 7B 74 0C 83 F8 57 74 07 B8 08 00 00 00 EB 03 83 C8 FF 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_52_155_1 {
	meta:
		name = "_Statvfs"
		size = 258
		refs = "0013 __security_cookie 0036 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z 0046 ?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEA_WXZ 0068 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@ 0071 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 0091 __imp_GetDiskFreeSpaceExW 00cc ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 00de ?_Deallocate@std@@YAXPEAX_K1@Z 00ed __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 83 C8 FF 48 8B D9 48 8D 4D D0 48 89 45 A0 48 89 45 A8 48 89 45 B0 E8 ?? ?? ?? ?? 48 83 7D E8 00 74 1E 48 8D 4D D0 E8 ?? ?? ?? ?? 66 83 38 2F 74 25 48 8D 4D D0 E8 ?? ?? ?? ?? 66 83 38 5C 74 16 41 B8 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 83 7D F0 08 48 8D 4D D8 4C 8D 4D C0 48 0F 43 4D D8 4C 8D 45 B8 48 8D 55 C8 FF 15 ?? ?? ?? ?? 85 C0 74 18 48 8B 45 B8 48 89 45 A0 48 8B 45 C0 48 89 45 A8 48 8B 45 C8 48 89 45 B0 0F 10 45 A0 48 8D 4D D0 45 33 C0 F2 0F 10 4D B0 B2 01 0F 11 03 F2 0F 11 4B 10 E8 ?? ?? ?? ?? 48 8B 4D D0 BA 01 00 00 00 44 8D 42 0F E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 00 00 00 48 81 C4 80 00 00 00 5D C3 }
	condition:
		$1
}

rule file_52_156_1 {
	meta:
		name = "_Symlink"
		size = 42
		refs = "0011 __crtCreateSymbolicLinkW 001d __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 45 33 C0 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 33 C9 84 C0 75 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_158_1 {
	meta:
		name = "_Temp_get"
		size = 105
		refs = "000c __security_cookie 002a __imp_GetTempPathW 0031 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 0049 wcscpy_s 005c __security_check_cookie"
	strings:
		$1 = { 40 53 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8B D9 48 8D 54 24 20 B9 04 01 00 00 FF 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? BA 04 01 00 00 85 C0 4C 8D 44 24 20 4C 0F 44 C1 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5B C3 }
	condition:
		$1
}

rule file_52_159_1 {
	meta:
		name = "_To_byte"
		size = 80
		refs = "0012 __imp_AreFileApisANSI 0041 __imp_WideCharToMultiByte"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 FF 15 ?? ?? ?? ?? 33 C9 4C 8B C7 85 C0 0F 94 C1 48 83 64 24 38 00 48 83 64 24 30 00 41 83 C9 FF C7 44 24 28 04 01 00 00 33 D2 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_52_160_1 {
	meta:
		name = "_To_wide"
		size = 68
		refs = "0012 __imp_AreFileApisANSI 0035 __imp_MultiByteToWideChar"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B DA 48 8B F9 FF 15 ?? ?? ?? ?? 33 C9 C7 44 24 28 04 01 00 00 85 C0 48 89 5C 24 20 4C 8B C7 0F 94 C1 41 83 C9 FF 33 D2 FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_54_0_1 {
	meta:
		name = "_LExp"
		size = 316
		refs = "000b __real@c0dccc8000000000 002c __real@40dccc8000000000 0036 _LInf 004f __real@3ff71547652b82fe 005d __real@bfe0000000000000 0067 __real@3fe0000000000000 006f _LEps 008d __real@3eb7f7d1cf79abca 0095 __real@3fe62e4000000000 00a3 __xmm@80000000000000008000000000000000 00d1 __real@408a4957d1bed8ae 00d9 __real@404504fb21da2a7a 00e5 __real@40c3b82d3278cb75 00ed __real@40f27d2d585f86d1 00fd __real@411456b311a1fdee 0105 __real@412456b311a1fdee 0132 _LDscale"
	strings:
		$1 = { F2 0F 10 19 0F 28 E1 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 0F 87 1D 01 00 00 0F 57 C9 66 0F 2E E1 7A 06 0F 84 0E 01 00 00 66 0F 2F 1D ?? ?? ?? ?? 76 16 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 11 01 E9 F3 00 00 00 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F C8 76 0A F2 0F 10 0D ?? ?? ?? ?? EB 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C8 F2 0F 2C D1 0F BF C2 66 0F 6E C8 F3 0F E6 C9 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 0F 57 05 ?? ?? ?? ?? F2 0F 5C D9 66 0F 2F D8 76 0C 66 0F 2F D3 76 06 F2 0F 11 21 EB 6B 0F 28 CB 66 FF CA F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 59 D1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D8 0F 28 CA F2 0F 58 CB F2 0F 5C D3 F2 0F 5E CA F2 0F 58 C9 F2 0F 59 CC F2 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 48 89 01 C3 }
	condition:
		$1
}

rule file_55_0_1 {
	meta:
		name = "_Wcsxfrm"
		size = 270
		refs = "0048 ___lc_locale_name_func 006b memcpy 0078 _malloc_base 00a1 __crtLCMapStringW 00ea _free_base"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 4C 8B B4 24 80 00 00 00 49 8B F1 49 2B F0 4C 8B FA 4C 2B F9 48 D1 FE 49 D1 FF 48 83 CF FF 33 DB 4D 8B E0 4C 8B E9 4D 85 F6 75 0B E8 ?? ?? ?? ?? 4C 8B 70 08 EB 04 4D 8B 76 08 4D 85 F6 75 19 49 3B F7 77 0F 4C 8D 04 36 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 48 8B FE EB 7A 49 8B CF E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 74 6A 44 89 7C 24 28 44 8B CE 41 BF 00 04 00 00 48 89 44 24 20 41 8B D7 4D 8B C4 49 8B CE E8 ?? ?? ?? ?? 48 63 F8 85 C0 75 28 89 5C 24 28 44 8B CE 4D 8B C4 48 89 5C 24 20 41 8B D7 49 8B CE E8 ?? ?? ?? ?? 48 63 F8 85 C0 75 19 BF FF FF FF 7F EB 12 0F B6 0C 2B 66 41 89 4C 5D 00 48 FF C3 48 3B DF 72 EE 48 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_56_0_1 {
	meta:
		name = "_Getcvt"
		size = 143
		refs = "0020 memset 0025 ___lc_codepage_func 002c ___mb_cur_max_func 0034 ___lc_locale_name_func 004f _ismbblead"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 21 00 33 D2 48 8B F9 48 83 C1 04 44 8D 42 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 E8 ?? ?? ?? ?? 89 47 04 E8 ?? ?? ?? ?? 33 C9 48 39 48 10 0F 94 C1 89 4F 08 85 C9 75 34 33 DB 33 F6 8B CB E8 ?? ?? ?? ?? 85 C0 74 18 48 8B D6 8B C3 48 C1 FA 03 83 E0 07 0F B6 4C 3A 0C 0F AB C1 88 4C 3A 0C FF C3 48 FF C6 81 FB 00 01 00 00 7C D0 48 8B 5C 24 30 48 8B C7 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_56_1_1 {
	meta:
		name = "_Wcrtomb"
		size = 124
		refs = "005a __imp_WideCharToMultiByte 006a _errno"
	strings:
		$1 = { 48 83 EC 58 41 83 79 08 00 4D 8B D1 66 89 54 24 40 74 13 B8 FF 00 00 00 66 3B D0 77 4C 88 11 B8 01 00 00 00 EB 51 83 64 24 48 00 48 8D 44 24 48 48 89 44 24 38 4C 8D 44 24 40 41 8B 41 04 33 D2 48 83 64 24 30 00 41 B9 01 00 00 00 89 44 24 28 48 89 4C 24 20 41 8B 0A FF 15 ?? ?? ?? ?? 85 C0 74 07 83 7C 24 48 00 74 0E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_57_0_1 {
	meta:
		name = "_Stoxflt"
		size = 774
		refs = "0017 __security_cookie 006c ?digits@?1??_Stoxflt@@9@9 007a memchr 0097 ?vals@?1??_Stoxflt@@9@9 00dc localeconv 027b isdigit 02ea __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 6B AC 24 D0 00 00 00 07 45 33 ED 49 8B F9 4C 89 44 24 28 48 8B DA 48 89 4C 24 30 41 8D 45 23 3B E8 0F 4F E8 45 21 29 45 21 69 04 45 33 F6 80 3A 30 89 6C 24 20 75 0C 45 8D 75 01 48 FF C3 80 3B 30 74 F8 0F BE 13 4C 8D 3D ?? ?? ?? ?? 33 F6 49 8B CF 44 8D 46 16 E8 ?? ?? ?? ?? 4C 63 E5 48 85 C0 74 55 45 33 FF 44 8D 76 01 4C 8D 2D ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 4D 3B FC 7F 12 49 2B C5 FF C6 8A 04 28 42 88 44 3C 38 49 FF C7 EB 02 FF 07 48 FF C3 41 B8 16 00 00 00 49 8B CD 0F BE 13 E8 ?? ?? ?? ?? 48 85 C0 75 CE 8B 6C 24 20 4C 8D 3D ?? ?? ?? ?? 45 33 ED E8 ?? ?? ?? ?? 48 8D 53 01 48 8B 08 8A 03 3A 01 48 0F 45 D3 48 8B DA 85 F6 75 13 80 3A 30 75 0E 44 8D 76 01 FF 0F 48 FF C3 80 3B 30 74 F6 0F BE 13 41 B8 16 00 00 00 49 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 4E 4C 63 FE 4C 8D 2D ?? ?? ?? ?? 41 BE 01 00 00 00 48 8D 2D ?? ?? ?? ?? 4D 3B FC 7F 12 49 2B C5 FF C6 8A 04 28 42 88 44 3C 38 49 FF C7 FF 0F 48 FF C3 41 B8 16 00 00 00 49 8B CD 0F BE 13 E8 ?? ?? ?? ?? 48 85 C0 75 D0 8B 6C 24 20 45 33 ED 3B EE 7D 14 8B C5 80 7C 04 38 08 7C 07 8D 45 FF FE 44 04 38 FF 07 8B F5 48 63 C6 85 F6 7E 1A 48 8D 4C 24 38 80 7C 01 FF 00 75 0C FF 07 FF CE 48 FF C8 48 85 C0 7F ED 85 F6 75 0A BE 01 00 00 00 C6 44 24 38 00 C1 27 02 45 85 F6 0F 84 00 01 00 00 BD 93 24 49 92 4C 63 DE 45 33 ED 8B C5 F7 EE 03 D6 C1 FA 02 8B C2 FF C2 C1 E8 1F 03 C2 44 6B D0 07 8B C5 44 2B D6 41 F7 EA 41 03 D2 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 44 3B D0 41 0F 95 C5 85 F6 7E 50 45 33 C0 45 8B CD 8B C5 41 F7 EA 41 03 D2 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B CA 07 44 3B D1 75 12 42 0F BE 44 04 38 41 FF C5 49 FF C1 42 89 04 8F EB 13 42 8B 04 8F 42 0F BE 4C 04 38 C1 E0 04 03 C8 42 89 0C 8F 41 FF C2 49 FF C0 4D 3B C3 7C B6 8A 03 2C 50 A8 DF 75 64 4C 8B E3 40 B5 2B 48 FF C3 8A 03 40 2A C5 A8 FD 75 06 40 8A 2B 48 FF C3 0F B6 0B 45 33 FF 33 F6 E8 ?? ?? ?? ?? 85 C0 74 27 44 8D 7E 01 81 FE 00 E1 F5 05 7D 0C 0F B6 03 8D 34 B6 8D 76 E8 8D 34 70 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 DD 8B C6 F7 D8 40 80 FD 2D 0F 45 C6 01 07 45 85 FF 49 0F 44 DC 48 8B 54 24 28 41 8B C6 F7 D8 1B C0 41 23 C5 48 85 D2 74 0F 48 8B 4C 24 30 45 85 F6 48 0F 45 CB 48 89 0A 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_58_0_1 {
	meta:
		name = "_Dunscale"
		size = 154
		refs = "0059 _Dnorm"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 42 06 48 8B F1 66 C1 E8 04 B9 FF 07 00 00 66 23 C1 33 DB 48 8B FA 66 3B C1 75 24 66 89 1E F6 42 06 0F 75 14 66 39 5A 04 75 0E 66 39 5A 02 75 08 8D 43 01 66 39 1A 74 41 B8 02 00 00 00 EB 3A 66 3B D8 72 15 48 8B CF E8 ?? ?? ?? ?? 66 85 C0 7E 08 66 89 1E 0F B7 C3 EB 20 B9 EF BF 00 00 66 21 4F 06 B9 E0 3F 00 00 66 09 4F 06 B9 FE 03 00 00 66 2B C1 66 89 06 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_59_2_1 {
	meta:
		name = "??1?$_Func_class@X$$V@std@@QEAA@XZ"
		size = 86
		refs = "0031 _guard_check_icall"
		altNames = "??1?$function@$$A6AXXZ@std@@QEAA@XZ ?_Tidy@?$_Func_class@X$$V@std@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 71 38 48 8B E9 48 85 F6 74 21 48 8B 06 48 3B F1 0F 95 C3 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 8A D3 48 8B CE FF D7 48 83 65 38 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_59_5_1 {
	meta:
		name = "??R?$_Func_class@X$$V@std@@QEBAXXZ"
		size = 59
		refs = "001e _guard_check_icall 0036 ?_Xbad_function_call@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 38 48 85 FF 74 22 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_59_6_1 {
	meta:
		name = "?CaptureCallstack@platform@details@Concurrency@@YA_KPEAPEAX_K1@Z"
		size = 32
		refs = "0014 __imp_RtlCaptureStackBackTrace"
	strings:
		$1 = { 48 83 EC 28 49 8B C0 45 33 C9 4C 8B C1 8D 4A 01 8B D0 FF 15 ?? ?? ?? ?? 0F B7 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_59_8_1 {
	meta:
		name = "?GetNextAsyncId@platform@details@Concurrency@@YAIXZ"
		size = 16
		refs = "0009 ?s_asyncId@platform@details@Concurrency@@3IA"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_59_11_1 {
	meta:
		name = "?_CallInContext@_ContextCallback@details@Concurrency@@QEBAXV?$function@$$A6AXXZ@std@@_N@Z"
		size = 136
		refs = "002e ?_Xbad_function_call@std@@YAXXZ 003e _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 50 10 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 48 8B F2 48 8B 7A 38 48 85 FF 75 06 E8 ?? ?? ?? ?? CC 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 90 4C 8B 76 38 4D 85 F6 74 21 49 8B 06 4C 3B F6 0F 95 C3 48 8B 78 20 48 8B CF E8 ?? ?? ?? ?? 8A D3 49 8B CE FF D7 48 83 66 38 00 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_59_26_1 {
	meta:
		name = "?_ReportUnobservedException@details@Concurrency@@YAXXZ"
		size = 31
		refs = "000a IsProcessorFeaturePresent 001a terminate"
	strings:
		$1 = { 48 83 EC 28 B9 17 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B9 05 00 00 00 CD 29 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_60_0_1 {
	meta:
		name = "_WStoxflt"
		size = 770
		refs = "0017 __security_cookie 0073 ?digits@?1??_WStoxflt@@9@9 007a ?vals@?1??_WStoxflt@@9@9 00c7 localeconv 0271 iswctype 02e6 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 6B AC 24 C0 00 00 00 07 45 33 ED 4C 89 44 24 20 49 8B F9 48 8B DA 48 89 4C 24 28 41 8D 45 23 3B E8 45 8D 45 01 0F 4F E8 45 21 29 45 21 69 04 45 33 FF 66 83 3A 30 75 0D 45 8B F8 48 83 C3 02 66 83 3B 30 74 F6 33 F6 4C 63 E5 45 33 F6 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? 0F B7 13 B9 16 00 00 00 49 8B C1 66 39 10 74 0B 48 83 C0 02 49 2B C8 75 F2 33 C0 48 85 C0 74 28 4D 3B F4 7F 17 49 2B C1 41 03 F0 48 D1 F8 41 8A 04 42 42 88 44 34 30 4D 03 F0 EB 03 44 01 07 48 83 C3 02 45 8B F8 EB B8 E8 ?? ?? ?? ?? 48 8B 08 0F B7 03 0F BE 11 48 8D 4B 02 3B C2 48 0F 45 CB 48 8B D9 85 F6 75 16 66 83 39 30 75 10 44 8D 7E 01 FF 0F 48 83 C3 02 66 83 3B 30 74 F4 4C 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 0F B7 13 B9 16 00 00 00 49 8B C0 66 39 10 74 0C 48 83 C0 02 48 83 E9 01 75 F1 33 C0 48 85 C0 74 27 4D 3B F4 7F 16 49 2B C0 FF C6 48 D1 F8 41 8A 04 41 42 88 44 34 30 49 FF C6 FF 0F 48 83 C3 02 41 BF 01 00 00 00 EB B8 3B EE 7D 12 80 7C 2C 30 08 7C 07 8D 45 FF FE 44 04 30 FF 07 8B F5 48 63 C6 85 F6 7E 1A 48 8D 4C 24 30 44 38 6C 01 FF 75 0C FF 07 FF CE 48 FF C8 48 85 C0 7F ED 85 F6 75 0A BE 01 00 00 00 44 88 6C 24 30 C1 27 02 45 85 FF 0F 84 1A 01 00 00 BD 93 24 49 92 4C 63 DE 8B C5 F7 EE 03 D6 C1 FA 02 8B C2 FF C2 C1 E8 1F 03 C2 44 6B D0 07 8B C5 44 2B D6 41 F7 EA 41 03 D2 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B C2 07 44 3B D0 41 0F 95 C5 85 F6 7E 50 45 33 C0 45 8B CD 8B C5 41 F7 EA 41 03 D2 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B CA 07 44 3B D1 75 12 42 0F BE 44 04 30 41 FF C5 49 FF C1 42 89 04 8F EB 13 42 8B 04 8F 42 0F BE 4C 04 30 C1 E0 04 03 C8 42 89 0C 8F 41 FF C2 49 FF C0 4D 3B C3 7C B6 0F B7 03 B9 DF FF 00 00 66 83 E8 50 66 85 C1 75 78 4C 8B E3 BD 2B 00 00 00 48 83 C3 02 B9 FD FF 00 00 0F B7 03 66 2B C5 66 85 C1 75 07 0F B7 2B 48 83 C3 02 0F B7 0B 33 F6 45 33 F6 8D 56 04 E8 ?? ?? ?? ?? 85 C0 74 2D 44 8D 76 01 81 FE 00 E1 F5 05 7D 0C 0F B7 03 8D 34 B6 8D 76 E8 8D 34 70 48 83 C3 02 BA 04 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 D7 8B C6 F7 D8 66 83 FD 2D 0F 45 C6 01 07 45 85 F6 49 0F 44 DC 48 8B 54 24 20 41 8B C7 F7 D8 1B C0 41 23 C5 48 85 D2 74 0F 48 8B 4C 24 28 45 85 FF 48 0F 45 CB 48 89 0A 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_60_1_1 {
	meta:
		name = "wmemchr"
		size = 27
	strings:
		$1 = { 4D 85 C0 74 0F 66 39 11 74 0D 48 83 C1 02 49 83 E8 01 75 F1 33 C0 C3 48 8B C1 C3 }
	condition:
		$1
}

rule file_61_1_1 {
	meta:
		name = "_Stollx"
		size = 241
		refs = "003b isspace 0060 _Stoullx 00a5 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 56 41 57 48 83 EC 20 48 85 D2 48 8D 70 08 48 8B E9 48 8B F9 0F B6 09 48 0F 45 F2 4D 8B F1 45 8B F8 EB 06 48 FF C7 0F B6 0F E8 ?? ?? ?? ?? 85 C0 75 F1 8A 1F 8D 43 D5 A8 FD 74 04 B3 2B EB 03 48 FF C7 4D 8B CE 45 8B C7 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 48 3B 3E 75 03 48 89 2E 40 B7 2D 49 BF 00 00 00 00 00 00 00 80 48 3B 2E 75 05 48 85 C9 75 1E 80 FB 2B 75 0F 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 0A 40 3A DF 75 29 49 3B CF 76 24 E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 F6 74 07 41 C7 06 01 00 00 00 40 2A DF F6 DB 48 1B C0 49 03 C7 EB 10 48 8B C1 48 F7 D8 40 3A DF 48 0F 44 C8 48 8B C1 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_62_0_1 {
	meta:
		name = "_Sinh"
		size = 410
		refs = "0028 _Dtest 0074 __xmm@80000000000000008000000000000000 008b _Rteps 0099 __real@3ff0000000000000 00aa p 00bb _Poly 00d6 _Xbig 00ec _Exp 00f9 __real@3fd0000000000000 012c _Feraise 0151 __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F2 0F 11 40 08 55 48 8B EC 48 83 EC 40 0F 29 70 E8 48 8D 4D 10 0F 29 78 D8 0F 28 F9 E8 ?? ?? ?? ?? 0F BF C8 33 FF 85 C9 0F 84 3E 01 00 00 83 E9 01 0F 84 0B 01 00 00 83 F9 01 0F 84 FB 00 00 00 0F 57 C0 66 0F 2E F8 7A 12 75 10 66 0F 2F 45 10 0F 86 11 01 00 00 E9 FE 00 00 00 F2 0F 10 4D 10 66 0F 2F C1 76 13 0F 57 0D ?? ?? ?? ?? BB 01 00 00 00 F2 0F 11 4D 10 EB 03 0F B7 DF F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 77 70 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D1 76 2F F2 0F 59 C9 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 0F 28 C1 0F 28 F1 E8 ?? ?? ?? ?? F2 0F 59 75 10 0F 28 C8 F2 0F 59 CE F2 0F 58 4D 10 EB 33 F2 0F 10 05 ?? ?? ?? ?? 48 8D 4D 10 41 83 C8 FF 66 0F 2F C1 76 23 0F 28 CA E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C1 F2 0F 5C C8 F2 0F 59 CF EB 2A 0F 28 CF E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4D 10 66 85 DB 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 EB 3A F2 0F 10 45 10 EB 33 66 0F 2E 3D ?? ?? ?? ?? 7A 16 75 14 B8 00 80 00 00 66 85 45 16 74 0E 0F 57 3D ?? ?? ?? ?? EB 05 F2 0F 10 7D 10 0F 28 C7 EB 09 F2 0F 10 45 10 F2 0F 59 C7 48 8B 5C 24 58 48 8B 7C 24 60 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_63_0_1 {
	meta:
		name = "_Strxfrm"
		size = 253
		refs = "0041 ___lc_locale_name_func 004a ___lc_collate_cp_func 0073 memcpy 00a3 __crtLCMapStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 48 8B 84 24 80 00 00 00 49 8B D9 48 8B F2 49 2B D8 48 2B F1 48 83 CF FF 4D 8B F8 4C 8B E1 48 85 C0 75 13 E8 ?? ?? ?? ?? 48 8B 68 08 E8 ?? ?? ?? ?? 44 8B F0 EB 07 48 8B 68 08 44 8B 30 48 85 ED 75 1D 45 85 F6 75 18 48 3B DE 77 0E 4C 8B C3 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 48 8B FB EB 5F C7 44 24 38 01 00 00 00 44 8B CB 44 89 74 24 30 4D 8B C7 83 64 24 28 00 BA 00 04 00 00 48 83 64 24 20 00 48 8B CD E8 ?? ?? ?? ?? 85 C0 74 30 48 63 F8 3B C6 7F 29 C7 44 24 38 01 00 00 00 44 8B CB 44 89 74 24 30 4D 8B C7 89 74 24 28 BA 00 04 00 00 48 8B CD 4C 89 64 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 8B 7C 24 78 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_64_0_1 {
	meta:
		name = "GetTableIndexFromLcid"
		size = 67
		refs = "0017 ?LcidToLocaleNameTable@@3QBULcidToLocaleName@@B"
	strings:
		$1 = { 44 8B D1 45 33 C0 41 B9 E3 00 00 00 43 8D 04 01 41 8B CA 99 4C 8D 1D ?? ?? ?? ?? 2B C2 D1 F8 48 63 D0 48 C1 E2 04 42 2B 0C 1A 74 16 85 C9 79 06 44 8D 48 FF EB 04 44 8D 40 01 45 3B C1 7E CD 83 C8 FF C3 }
	condition:
		$1
}

rule file_64_1_1 {
	meta:
		name = "GetTableIndexFromLocaleName"
		size = 138
		refs = "001f ?LocaleNameToIndexTable@@3QBULocaleNameIndex@@B 0049 __wcsnicmp_ascii"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B E9 4C 8D 35 ?? ?? ?? ?? 33 FF BE E3 00 00 00 8D 04 3E 41 B8 55 00 00 00 99 48 8B CD 2B C2 D1 F8 48 63 D8 48 8B D3 48 03 D2 49 8B 14 D6 E8 ?? ?? ?? ?? 85 C0 74 13 79 05 8D 73 FF EB 03 8D 7B 01 3B FE 7E CB 83 C8 FF EB 0B 48 8B C3 48 03 C0 41 8B 44 C6 08 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_64_2_1 {
	meta:
		name = "__crtCompareStringEx"
		size = 188
		refs = "001c __encodedKERNEL32Functions 0026 __security_cookie 0038 _guard_check_icall 0075 __crtDownlevelLocaleNameToLCID 009d __imp_CompareStringW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 48 8B 1D ?? ?? ?? ?? 41 8B F9 48 33 1D ?? ?? ?? ?? 49 8B F0 8B EA 4C 8B F1 74 40 48 8B CB E8 ?? ?? ?? ?? 33 C0 44 8B CF 48 89 44 24 40 4C 8B C6 48 89 44 24 38 8B D5 48 89 44 24 30 49 8B CE 8B 84 24 88 00 00 00 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 FF D3 EB 2D E8 ?? ?? ?? ?? 8B C8 44 8B CF 8B 84 24 88 00 00 00 4C 8B C6 89 44 24 28 8B D5 48 8B 84 24 80 00 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_64_6_1 {
	meta:
		name = "__crtLCMapStringEx"
		size = 188
		refs = "001c __encodedKERNEL32Functions 0026 __security_cookie 0038 _guard_check_icall 0075 __crtDownlevelLocaleNameToLCID 009d __imp_LCMapStringW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 48 8B 1D ?? ?? ?? ?? 41 8B F9 48 33 1D ?? ?? ?? ?? 49 8B F0 8B EA 4C 8B F1 74 40 48 8B CB E8 ?? ?? ?? ?? 33 C0 44 8B CF 48 89 44 24 40 4C 8B C6 48 89 44 24 38 8B D5 48 89 44 24 30 49 8B CE 8B 84 24 88 00 00 00 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 FF D3 EB 2D E8 ?? ?? ?? ?? 8B C8 44 8B CF 8B 84 24 88 00 00 00 4C 8B C6 89 44 24 28 8B D5 48 8B 84 24 80 00 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 }
	condition:
		$1
}

rule file_64_3_1 {
	meta:
		name = "__crtDownlevelLCIDToLocaleName"
		size = 149
		refs = "003e GetTableIndexFromLcid 004b ?LcidToLocaleNameTable@@3QBULcidToLocaleName@@B 0060 wcsnlen 0079 wcscpy_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 63 D8 48 8B F2 F7 C1 FF F3 FF FF 75 08 81 F9 00 0C 00 00 75 0F 48 85 F6 75 05 45 85 C0 7F 05 45 85 C0 79 04 33 C0 EB 43 E8 ?? ?? ?? ?? 85 C0 78 F3 48 98 48 8D 2D ?? ?? ?? ?? 48 03 C0 BA 55 00 00 00 48 8B 6C C5 00 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 85 DB 7E 12 3B FB 7D CA 48 8B D3 4C 8B C5 48 8B CE E8 ?? ?? ?? ?? 8D 47 01 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_64_4_1 {
	meta:
		name = "__crtDownlevelLocaleNameToLCID"
		size = 49
		refs = "000a GetTableIndexFromLocaleName 001e ?LcidToLocaleNameTable@@3QBULcidToLocaleName@@B"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 21 E8 ?? ?? ?? ?? 85 C0 78 18 3D E4 00 00 00 73 11 48 98 48 8D 0D ?? ?? ?? ?? 48 03 C0 8B 04 C1 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_64_5_1 {
	meta:
		name = "__crtGetLocaleInfoEx"
		size = 123
		refs = "001c __encodedKERNEL32Functions 0026 __security_cookie 0038 _guard_check_icall 004c __crtDownlevelLocaleNameToLCID 005c __imp_GetLocaleInfoW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 41 8B F9 48 33 1D ?? ?? ?? ?? 49 8B F0 8B EA 4C 8B F1 74 17 48 8B CB E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D5 49 8B CE FF D3 EB 15 E8 ?? ?? ?? ?? 8B C8 44 8B CF 4C 8B C6 8B D5 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_64_7_1 {
	meta:
		name = "__wcsnicmp_ascii"
		size = 86
	strings:
		$1 = { 45 33 C9 4C 8B D2 4C 8B D9 4D 85 C0 74 44 4C 2B DA 43 0F B7 0C 13 8D 41 BF 66 83 F8 19 77 04 66 83 C1 20 41 0F B7 12 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 49 83 C2 02 49 83 E8 01 74 0A 66 85 C9 74 05 66 3B CA 74 C9 0F B7 C2 44 0F B7 C9 44 2B C8 41 8B C1 C3 }
	condition:
		$1
}

rule file_65_0_1 {
	meta:
		name = "_Feraise"
		size = 43
		refs = "000a _errno"
	strings:
		$1 = { 48 83 EC 28 F6 C1 05 74 0D E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 10 F6 C1 18 74 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_67_0_1 {
	meta:
		name = "_LDtento"
		size = 383
		refs = "0021 __security_cookie 0044 __real@0000000000000000 0063 __real@4024000000000000 0068 _LXp_setw 0071 tenth 0078 _LXp_movx 0088 _LXp_ldexpx 00a8 _LXp_mulx 00e0 __real@3ff0000000000000 0101 _LXp_getw 0118 _LInf 0127 __xmm@80000000000000008000000000000000 0134 _errno 015e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 20 55 57 41 56 48 8D 68 A1 48 81 EC D0 00 00 00 0F 29 70 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 4D 8B F0 8B FA 48 8B F1 85 D2 0F 84 10 01 00 00 F2 0F 10 01 66 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 FC 00 00 00 48 8D 4D A7 BB 04 00 00 00 8B D3 85 FF 7E 0F F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 4C 8D 05 ?? ?? ?? ?? F7 DF E8 ?? ?? ?? ?? 41 B8 68 00 00 00 8B D3 48 8B CE E8 ?? ?? ?? ?? 40 F6 C7 01 74 1A 48 8D 45 E7 44 8B CB 4C 8D 45 A7 48 89 44 24 20 8B D3 48 8B CE E8 ?? ?? ?? ?? D1 FF 74 2C 4C 8D 45 A7 8B D3 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 45 E7 44 8B CB 4C 8D 45 C7 48 89 44 24 20 8B D3 48 8D 4D A7 E8 ?? ?? ?? ?? EB B0 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F 45 A7 76 10 41 B8 98 FF FF FF 8B D3 48 8B CE E8 ?? ?? ?? ?? 8B D3 48 8B CE E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 0F 28 F0 7A 02 74 1F F2 0F 10 0D ?? ?? ?? ?? 66 0F 2E F1 7A 02 74 0F 0F 57 0D ?? ?? ?? ?? 66 0F 2E F1 7A 16 75 14 E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 F6 74 04 41 83 0E 01 0F 28 C6 EB 0A BA 04 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 00 00 00 49 8B 5B 28 49 8B 73 38 41 0F 28 73 F0 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_121_0_1 {
	meta:
		name = "_Dtento"
		size = 383
		refs = "0021 __security_cookie 0044 __real@0000000000000000 0063 __real@4024000000000000 0068 _Xp_setw 0071 tenth 0078 _Xp_movx 0088 _Xp_ldexpx 00a8 _Xp_mulx 00e0 __real@3ff0000000000000 0101 _Xp_getw 0118 _Inf 0127 __xmm@80000000000000008000000000000000 0134 _errno 015e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 20 55 57 41 56 48 8D 68 A1 48 81 EC D0 00 00 00 0F 29 70 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 4D 8B F0 8B FA 48 8B F1 85 D2 0F 84 10 01 00 00 F2 0F 10 01 66 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 FC 00 00 00 48 8D 4D A7 BB 04 00 00 00 8B D3 85 FF 7E 0F F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 4C 8D 05 ?? ?? ?? ?? F7 DF E8 ?? ?? ?? ?? 41 B8 68 00 00 00 8B D3 48 8B CE E8 ?? ?? ?? ?? 40 F6 C7 01 74 1A 48 8D 45 E7 44 8B CB 4C 8D 45 A7 48 89 44 24 20 8B D3 48 8B CE E8 ?? ?? ?? ?? D1 FF 74 2C 4C 8D 45 A7 8B D3 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 45 E7 44 8B CB 4C 8D 45 C7 48 89 44 24 20 8B D3 48 8D 4D A7 E8 ?? ?? ?? ?? EB B0 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F 45 A7 76 10 41 B8 98 FF FF FF 8B D3 48 8B CE E8 ?? ?? ?? ?? 8B D3 48 8B CE E8 ?? ?? ?? ?? 66 0F 2E 05 ?? ?? ?? ?? 0F 28 F0 7A 02 74 1F F2 0F 10 0D ?? ?? ?? ?? 66 0F 2E F1 7A 02 74 0F 0F 57 0D ?? ?? ?? ?? 66 0F 2E F1 7A 16 75 14 E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 F6 74 04 41 83 0E 01 0F 28 C6 EB 0A BA 04 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 D0 00 00 00 49 8B 5B 28 49 8B 73 38 41 0F 28 73 F0 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_68_14_1 {
	meta:
		name = "??$_Copy_unchecked1@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_General_ptr_iterator_tag@0@@Z"
		size = 128
		refs = "0045 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 33 FF 4D 8B F0 4C 2B F2 49 8B F9 49 3B D0 48 8B DA 48 8B E9 41 8B F7 4D 0F 47 F7 4D 85 F6 74 23 48 8B 4F 08 48 85 C9 74 0C 8A 13 E8 ?? ?? ?? ?? 83 F8 FF 75 03 C6 07 01 48 FF C3 48 FF C6 49 3B F6 75 DD 0F 10 07 48 8B 5C 24 40 48 8B C5 48 8B 74 24 50 F3 0F 7F 45 00 48 8B 6C 24 48 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_68_19_1 {
	meta:
		name = "??$_Getvals@D@?$_Mpunct@D@std@@IEAAXDPEBUlconv@@@Z"
		size = 348
		refs = "004f calloc 0080 ??_C@_00CNPNBAHC@?$AA@ 00d6 ??_C@_01JOAMLHOP@?9?$AA@ 014b ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 56 48 83 EC 20 80 79 44 00 49 8B F0 48 8B E9 74 06 4D 8B 70 18 EB 04 4D 8B 70 20 48 83 CF FF 48 8B DF 48 FF C3 41 80 3C 1E 00 75 F6 41 BC 01 00 00 00 49 03 DC 41 8B D4 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 0F 84 EB 00 00 00 48 85 DB 74 15 48 8B C8 49 2B CE 41 8A 06 42 88 04 31 4D 03 F4 49 2B DC 75 F1 48 89 55 20 4C 8D 35 ?? ?? ?? ?? 80 7E 56 04 77 04 4C 8B 76 40 48 8B DF 48 FF C3 41 80 3C 1E 00 75 F6 49 03 DC 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 0F 84 9B 00 00 00 48 85 DB 74 15 48 8B C8 49 2B CE 41 8A 06 42 88 04 31 4D 03 F4 49 2B DC 75 F1 48 89 55 28 48 8D 1D ?? ?? ?? ?? 80 7E 57 04 77 04 48 8B 5E 48 48 FF C7 80 3C 3B 00 75 F7 49 03 FC 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 53 48 85 FF 74 13 48 8B C8 48 2B CB 8A 03 88 04 19 49 03 DC 49 2B FC 75 F3 48 8B 5C 24 40 48 89 55 30 48 8B 46 28 8A 08 88 4D 18 48 8B 46 30 48 8B 74 24 50 8A 08 88 4D 19 48 8B 6C 24 48 48 83 C4 20 41 5E 41 5C 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_20_1 {
	meta:
		name = "??$_Getvals@D@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXDAEBV_Locinfo@1@@Z"
		size = 430
		refs = "0023 _Getcvt 004b _Getdays 005f ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0067 free 0084 ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@ 00a8 calloc 00d5 _Getmonths 010e ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@ 0150 ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 019d ?_Xbad_alloc@std@@YAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 56 48 83 EC 50 4C 8B F1 49 8B E8 48 8D 48 B8 E8 ?? ?? ?? ?? 0F 10 00 41 0F 11 46 2C 0F 10 48 10 41 0F 11 4E 3C F2 0F 10 40 20 F2 41 0F 11 46 4C 8B 40 28 41 89 46 54 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 8D 4D 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7D 08 00 74 0F 48 8B 5D 08 48 85 DB 75 0D 48 8D 5D 10 EB 07 48 8D 1D ?? ?? ?? ?? 48 83 CF FF 48 8B F7 48 FF C6 80 3C 33 00 75 F7 41 BC 01 00 00 00 49 03 F4 41 8B D4 48 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 0F 84 E4 00 00 00 48 85 F6 74 13 48 8B C8 48 2B CB 8A 03 88 04 19 49 03 DC 49 2B F4 75 F3 49 89 56 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 8D 4D 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7D 18 00 74 0F 48 8B 5D 18 48 85 DB 75 0D 48 8D 5D 20 EB 07 48 8D 1D ?? ?? ?? ?? 48 FF C7 80 3C 3B 00 75 F7 49 03 FC 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 71 48 85 FF 74 13 48 8B C8 48 2B CB 8A 03 88 04 19 49 03 DC 49 2B FC 75 F3 49 89 56 18 48 8D 1D ?? ?? ?? ?? BF 0D 00 00 00 49 8B D4 8B CF E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 3D 48 8B D0 48 2B D3 8A 03 88 04 1A 49 03 DC 49 2B FC 75 F3 4C 8D 5C 24 50 49 89 4E 20 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B E3 41 5E 41 5C 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_102_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD_K@Z"
		size = 155
		refs = "003f ?_Allocate@std@@YAPEAX_K0_N@Z 0083 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 48 8B F2 48 8B D9 48 83 21 00 48 83 61 18 00 48 83 61 20 00 41 B0 01 BA 10 00 00 00 8D 4A F1 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 07 0F 57 C0 F3 0F 7F 00 48 8B 03 48 89 18 48 C7 43 20 0F 00 00 00 48 83 63 18 00 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_68_200_1 {
	meta:
		name = "??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@XZ"
		size = 95
		refs = "004e _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 4C 8B 41 10 48 8B D1 4D 85 C0 74 3D 48 8B 01 48 85 C0 74 41 48 8B 00 48 85 C0 74 39 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 4C 3B C1 73 16 49 8D 40 01 48 89 42 10 48 8B C2 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_204_1 {
	meta:
		name = "??G?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_JAEBV01@@Z"
		size = 60
		refs = "0037 _invalid_parameter_noinfo_noreturn"
		altNames = "??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_JAEBV?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4C 8B C9 4D 85 C0 75 05 44 8B C0 EB 03 4D 8B 00 48 8B 0A 48 85 C9 74 03 48 8B 01 4C 3B C0 75 0D 49 8B 41 10 48 2B 42 10 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_208_1 {
	meta:
		name = "??Y?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@_J@Z"
		size = 105
		refs = "0058 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 4C 8B C1 48 85 D2 74 3F 4C 8B 49 10 4D 85 C9 74 42 48 8B 01 48 85 C0 74 46 48 8B 00 48 85 C0 74 3E 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 4D 8D 14 11 49 3B CA 77 1E 48 8B 40 18 48 03 C8 4C 3B D1 77 12 49 01 50 10 49 8B C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_293_1 {
	meta:
		name = "?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 580
		refs = "0044 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 004d ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0069 _guard_check_icall 0141 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0186 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 48 C7 40 88 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 49 8B E9 49 8B F0 4C 8B E2 48 8B D9 48 8D 50 90 48 8B 8C 24 F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 7C 24 60 48 85 FF 74 3C 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 18 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 48 8B 9C 24 D0 00 00 00 4C 8B BC 24 08 01 00 00 4C 8B B4 24 F8 00 00 00 33 FF E9 20 01 00 00 3C 25 75 7E 49 FF C7 0F 10 45 00 F3 0F 7F 44 24 70 0F 10 0E F3 0F 7F 8C 24 80 00 00 00 48 8B 03 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 40 88 7C 24 40 41 8A 07 88 44 24 38 48 8B 84 24 00 01 00 00 48 89 44 24 30 4C 89 74 24 28 48 8B 84 24 F0 00 00 00 48 89 44 24 20 4C 8D 4C 24 70 4C 8D 84 24 80 00 00 00 48 8D 94 24 90 00 00 00 48 8B 8C 24 D0 00 00 00 FF D3 0F 10 00 F3 0F 7F 06 E9 93 00 00 00 3C 20 75 55 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 48 39 3E 75 08 48 39 7D 00 74 68 EB 06 48 39 7D 00 75 60 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B6 4E 09 49 8B 45 18 F6 04 48 48 74 44 48 8B CE E8 ?? ?? ?? ?? EB AB 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 5E 09 49 8B 45 00 48 8B 78 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 8A D3 49 8B CD FF D7 41 3A 07 75 22 48 8B CE E8 ?? ?? ?? ?? 33 FF 49 FF C7 48 8B 9C 24 D0 00 00 00 41 8A 07 84 C0 0F 85 D5 FE FF FF EB 06 41 83 0E 02 33 FF 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 40 38 7D 08 75 08 48 8B CD E8 ?? ?? ?? ?? 48 39 3E 75 08 48 39 7D 00 74 08 EB 0A 48 39 7D 00 74 04 41 83 0E 01 0F 10 06 F3 41 0F 7F 04 24 49 8B C4 4C 8D 9C 24 A0 00 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_68_295_1 {
	meta:
		name = "?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z"
		size = 607
		refs = "001a __security_cookie 004a ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0089 _guard_check_icall 00af ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01d9 _Stolx 0243 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B 45 68 4C 8D 7D D8 4C 8B 6D 70 33 DB 4D 8B F0 44 89 4D C4 48 8B F2 48 89 45 D0 38 5A 08 75 08 48 8B CA E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 4F EB 05 49 39 1E 75 48 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 8A 5E 09 48 8B 78 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 8A D3 49 8B CD FF D7 3C 2B 75 05 88 45 D8 EB 07 3C 2D 75 0F 88 45 D8 48 8B CE 4C 8D 7D D9 E8 ?? ?? ?? ?? 33 DB 44 8A E3 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 46 EB 05 49 39 1E 75 3F 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 8A 5E 09 48 8B 78 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 8A D3 49 8B CD FF D7 3C 30 75 0F 48 8B CE 41 B4 01 E8 ?? ?? ?? ?? 33 DB EB 97 33 DB 45 84 E4 74 07 41 C6 07 30 49 FF C7 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 62 EB 05 49 39 1E 75 5B 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 49 8B 45 00 8A 5E 09 48 8B 78 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 8A D3 49 8B CD FF D7 8D 48 D0 80 F9 09 77 27 48 8B CE 41 88 07 41 B4 01 E8 ?? ?? ?? ?? 49 8D 47 01 48 8D 4D F7 4C 3B F9 49 0F 43 C7 33 DB 4C 8B F8 E9 7B FF FF FF 33 DB 45 84 E4 89 5D C0 48 8D 45 D8 41 B8 0A 00 00 00 49 0F 45 C7 4C 8D 4D C0 48 8D 55 C8 48 8D 4D D8 88 18 E8 ?? ?? ?? ?? 45 33 FF 8B F8 44 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 3E 75 07 4D 39 3E 74 07 EB 0A 4D 39 3E 74 05 BB 01 00 00 00 48 8D 45 D8 48 39 45 C8 74 18 44 39 7D C0 75 12 3B 7D C4 7C 0D 39 7D 60 7C 08 48 8B 45 D0 89 38 EB 03 83 CB 02 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_297_1 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z"
		size = 3693
		refs = "0029 __security_cookie 0076 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007f ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00a4 _guard_check_icall 00db ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 0137 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 017b ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 01db ?_Src@?1??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAEAVios_base@3@PEAD@Z@4QBDB 0259 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02a9 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 02b9 ??$?9DU?$char_traits@D@std@@@std@@YA_NAEBV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 02cf ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 030a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0396 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 045f ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0471 ?_Deallocate@std@@YAXPEAX_K1@Z 06d4 ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 07c6 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 07f9 ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 09ac ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0a91 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0aff ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0cc7 _invalid_parameter_noinfo_noreturn 0d72 ??E?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEAAAEAV01@XZ 0d7d ??9?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA_NAEBV01@@Z 0daa ??D?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBAAEBDXZ 0e1c ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0e4d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 A0 48 81 EC 60 01 00 00 48 C7 45 98 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 58 4D 8B E1 4C 89 4C 24 48 49 8B F8 4C 8B EA 48 89 54 24 40 48 89 55 A0 48 8B 8D C8 00 00 00 48 89 4C 24 78 48 8B 85 D0 00 00 00 48 89 44 24 68 83 64 24 28 00 80 BD C0 00 00 00 00 74 5C 48 8D 55 A8 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 50 BE 01 00 00 00 4C 8B 75 B0 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 90 EB 5A 48 8D 55 B8 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 50 BE 01 00 00 00 4C 8B 75 C0 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 90 C6 44 24 20 00 32 C0 88 44 24 24 48 8D 4D 30 E8 ?? ?? ?? ?? 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 60 49 8B CF FF D3 49 8B CD E8 ?? ?? ?? ?? 44 8B FE 89 74 24 30 89 74 24 28 48 8D 55 80 48 8B 4C 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 38 4C 8B 75 88 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 90 4C 8B 74 24 38 49 8B 06 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 68 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 33 C0 48 89 44 24 58 48 83 F8 04 0F 83 12 0B 00 00 8A 44 04 60 3C 20 0F 84 40 0A 00 00 3C 24 0F 84 92 07 00 00 3C 2B 0F 84 73 04 00 00 3C 76 74 0D 3C 78 0F 84 24 0A 00 00 E9 82 0A 00 00 45 33 ED 44 89 6C 24 74 4C 8B 74 24 50 49 8B 06 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 8B E0 89 44 24 70 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 4C 39 6D F8 0F 84 6D 02 00 00 49 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 8A F0 84 C0 0F 84 4E 02 00 00 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 80 39 7F 0F 83 37 02 00 00 45 33 C0 48 8B D6 48 8D 4D 08 E8 ?? ?? ?? ?? 90 33 DB 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 1F 01 00 00 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 68 48 8B C2 8A 0A EB 0A 3A 4F 09 74 09 48 03 C6 8A 08 84 C9 75 F2 48 2B C2 48 83 F8 0A 73 4A 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 48 8B D6 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 3B 5D 20 0F 87 AE 09 00 00 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 80 3C 03 7F 74 66 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 40 00 34 03 EB 52 48 3B 5D 20 0F 87 88 09 00 00 48 8D 45 10 4C 8B 45 10 4C 8B 4D 28 49 83 F9 10 49 0F 43 C0 80 3C 03 00 74 53 80 7F 08 00 75 10 48 8B CF E8 ?? ?? ?? ?? 4C 8B 4D 28 4C 8B 45 10 44 38 77 09 75 37 45 33 C0 48 8B D6 48 8D 4D 08 E8 ?? ?? ?? ?? 48 03 DE 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 16 FF FF FF 4C 8B 4D 28 4C 8B 45 10 48 85 DB 74 30 48 3B 5D 20 0F 87 06 09 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C0 80 3C 03 00 7E 05 48 03 DE EB 0F 40 88 74 24 20 EB 08 4C 8B 4D 28 4C 8B 45 10 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 80 7C 24 20 00 75 7E 48 85 DB 74 4E 8A 11 80 FA 7F 74 47 48 2B DE 74 1B 48 3B 5D 20 0F 87 BC 08 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C0 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 10 49 83 F9 10 49 0F 43 C0 3A 10 7C 0B 80 79 01 00 7E B9 48 FF C1 EB B4 40 88 74 24 20 EB 2B 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 4C 8B 74 24 48 E9 DE 00 00 00 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 48 83 65 08 00 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 4C 8B 64 24 48 4C 8B 6C 24 40 E9 D1 07 00 00 4C 8B 74 24 48 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 74 4C 8B 64 24 40 4C 8B 6C 24 68 4C 8D 3D ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 49 8B C5 41 8A 4D 00 EB 0A 3A 4F 09 74 09 48 03 C6 8A 08 84 C9 75 F2 49 2B C5 48 83 F8 0A 73 26 46 8A 04 38 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 AC 44 8B 7C 24 30 44 8B 64 24 70 44 8B 6C 24 74 48 8B 44 24 50 48 8B 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 50 FF D3 8A D8 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 96 00 00 00 84 DB 0F 84 8E 00 00 00 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 38 5F 09 75 7B EB 51 45 3B EC 7D 74 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 68 48 8B C2 8A 0A EB 0A 3A 4F 09 74 09 48 03 C6 8A 08 84 C9 75 F2 48 2B C2 48 83 F8 0A 73 32 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 48 8B D6 48 8B 4C 24 40 E8 ?? ?? ?? ?? 44 03 EE 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 98 8B 44 24 20 0F B6 C0 45 3B EC 0F 4C C6 89 44 24 20 48 8B 44 24 40 48 83 78 18 00 75 07 40 88 74 24 20 EB 25 45 3B EC 7D 20 45 2B E5 41 8B DC 4C 8B 6C 24 40 41 B0 30 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 2B DE 75 ED EB 05 4C 8B 6C 24 40 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 4C 8B 64 24 48 E9 1B 06 00 00 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 48 83 3F 00 75 0D 49 83 3C 24 00 0F 84 F1 05 00 00 EB 0B 49 83 3C 24 00 0F 85 E4 05 00 00 48 8D 55 08 4C 8B 74 24 50 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 04 44 89 7C 24 28 48 83 78 18 00 76 41 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 08 44 89 7C 24 28 48 83 78 20 10 72 06 48 8B 58 08 EB 04 48 8D 58 08 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 47 09 38 03 75 05 40 8A DE EB 02 32 DB 41 F6 C7 08 74 2A 41 83 E7 F7 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 48 83 65 E0 00 41 83 E7 FB 44 89 7C 24 30 44 89 7C 24 28 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 84 DB 74 62 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 1C 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? E9 B5 04 00 00 48 8D 55 08 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 10 44 89 7C 24 28 48 83 78 18 00 76 41 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 20 44 89 7C 24 28 48 83 78 20 10 72 06 48 8B 58 08 EB 04 48 8D 58 08 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 47 09 38 03 75 05 40 8A DE EB 02 32 DB 41 F6 C7 20 74 2A 41 83 E7 DF 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 48 83 65 E0 00 41 83 E7 EF 44 89 7C 24 30 44 89 7C 24 28 45 33 C0 40 8A D6 48 8D 4D 08 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 08 E8 ?? ?? ?? ?? 84 DB 74 67 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 30 48 3B C3 74 1C 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 30 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 40 88 74 24 24 E9 8B 03 00 00 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B 58 18 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 48 85 DB 0F 84 51 03 00 00 48 8D 55 E0 49 8B CE E8 ?? ?? ?? ?? 48 8B 58 18 45 33 C0 40 8A D6 48 8D 4D E0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D E0 E8 ?? ?? ?? ?? 8B 44 24 20 4C 8B 74 24 38 48 85 DB 0F 85 17 03 00 00 40 88 74 24 24 E9 0D 03 00 00 48 8D 55 E0 48 8B 4C 24 50 E8 ?? ?? ?? ?? 90 45 33 F6 48 8B 44 24 78 F6 40 18 08 75 53 44 38 77 08 75 08 48 8B CF E8 ?? ?? ?? ?? 45 38 74 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 4C 39 37 75 08 4D 39 34 24 74 2B EB 06 4D 39 34 24 75 23 44 38 77 08 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 4F 09 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 3A 08 75 61 48 83 7C 24 58 03 75 6E 48 39 75 48 77 68 44 38 77 08 75 08 48 8B CF E8 ?? ?? ?? ?? 45 38 74 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 4C 39 37 75 08 4D 39 34 24 74 2B EB 06 4D 39 34 24 75 23 44 38 77 08 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 4F 09 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 3A 08 74 15 4C 21 75 F8 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 44 88 30 48 8D 55 C8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 0B 48 8B 09 48 85 C9 74 03 4C 8B 31 48 8B 58 10 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 48 83 3F 00 75 0D 49 83 3C 24 00 0F 84 B9 00 00 00 EB 0B 49 83 3C 24 00 0F 85 AC 00 00 00 41 83 CF 02 44 89 7C 24 30 44 89 7C 24 28 48 8D 55 08 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B D0 4D 85 F6 75 04 33 C9 EB 03 49 8B 0E 48 8B 00 48 85 C0 74 03 48 8B 00 48 3B C8 0F 85 CA 01 00 00 48 3B 5A 10 0F 94 C0 40 32 C6 74 62 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 57 09 48 85 DB 0F 84 9E 01 00 00 4D 85 F6 0F 84 8F 01 00 00 49 8B 06 48 85 C0 0F 84 83 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CB 0F 87 63 01 00 00 48 8B 40 18 48 03 C8 48 3B D9 0F 83 53 01 00 00 3A 13 75 05 40 8A C6 EB 02 32 C0 41 F6 C7 02 74 0E 41 83 E7 FD 44 89 7C 24 30 44 89 7C 24 28 84 C0 74 4F 48 85 DB 0F 84 4B 01 00 00 4D 85 F6 0F 84 3C 01 00 00 49 8B 06 48 85 C0 0F 84 30 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 48 3B D9 0F 83 09 01 00 00 48 03 DE 48 8B CF E8 ?? ?? ?? ?? E9 AF FE FF FF 48 8D 55 08 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B D0 4D 85 F6 75 04 33 C9 EB 03 49 8B 0E 48 8B 00 48 85 C0 74 03 48 8B 00 48 3B C8 0F 85 DB 00 00 00 48 3B 5A 10 0F 94 C0 40 32 C6 0F B6 44 24 20 0F 45 C6 88 44 24 20 E9 83 FB FF FF 48 83 7C 24 58 03 74 5B 32 DB EB 27 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B6 4F 09 49 8B 46 18 F6 04 48 48 74 1A 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 CA 48 8B 44 24 58 80 7C 04 60 20 75 15 0F B6 44 24 20 84 DB 0F 44 C6 89 44 24 20 EB 09 4C 8B 74 24 38 8B 44 24 20 48 01 74 24 58 84 C0 0F 85 31 01 00 00 48 8B 44 24 58 E9 2C F5 FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 39 75 48 0F 86 F0 00 00 00 0F 57 C0 F3 0F 7F 45 80 48 83 65 90 00 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B C8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 80 48 8B 41 10 48 89 45 90 41 83 CF 40 44 89 7C 24 28 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 80 E8 ?? ?? ?? ?? 48 8B C8 48 8B D3 E8 ?? ?? ?? ?? 84 C0 74 32 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 23 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 5F 09 48 8D 4D 80 E8 ?? ?? ?? ?? 3A 18 75 05 40 8A C6 EB 02 32 C0 41 83 E7 BF 44 89 7C 24 28 84 C0 74 0A 48 8B CF E8 ?? ?? ?? ?? EB 84 48 8D 55 08 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D 80 E8 ?? ?? ?? ?? 84 C0 74 1B 49 83 65 18 00 49 83 7D 20 10 72 06 49 8B 45 08 EB 04 49 8D 45 08 C6 00 00 EB 19 8A 44 24 24 84 C0 74 11 41 B1 2D 4C 8B C6 33 D2 49 8B CD E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D6 48 8D 4D 30 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D6 48 8B 4D 30 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 58 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 01 00 00 48 81 C4 60 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_68_319_1 {
	meta:
		name = "?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 477
		refs = "002f _Getcvt 0053 localeconv 008e calloc 009b ?_Xbad_alloc@std@@YAXXZ 00c6 ??$_Getvals@D@?$_Mpunct@D@std@@IEAAXDPEBUlconv@@@Z 0117 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0121 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 0151 _errno 015c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 98 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A E0 48 8B F9 48 8D 48 A0 E8 ?? ?? ?? ?? 0F 10 00 0F 11 47 48 0F 10 48 10 0F 11 4F 58 F2 0F 10 40 20 F2 0F 11 47 68 8B 40 28 89 47 70 E8 ?? ?? ?? ?? 48 8B F0 45 33 ED 4C 89 6F 10 4C 89 6F 20 4C 89 6F 28 4C 89 6F 30 4C 8B 70 38 48 83 CB FF 48 FF C3 45 38 2C 1E 75 F7 41 BF 01 00 00 00 49 03 DF 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 85 DB 74 15 48 8B CA 49 2B CE 41 8A 06 42 88 04 31 4D 03 F7 49 2B DF 75 F1 48 89 57 10 4C 8B C6 33 D2 48 8B CF E8 ?? ?? ?? ?? 90 8A 4F 44 84 C9 74 05 8A 46 50 EB 03 8A 46 51 0F BE C0 83 F8 7E 41 0F 47 C5 89 47 38 44 0F BE 46 56 0F BE 46 52 0F BE 56 53 84 C9 75 2F 83 FA 02 77 2A 41 3B C7 77 25 41 83 F8 04 77 1F 8D 0C 50 41 8D 04 88 03 C1 C1 E0 02 4C 8D 3D ?? ?? ?? ?? 49 03 C7 48 8D 1D ?? ?? ?? ?? EB 11 48 8D 1D ?? ?? ?? ?? 48 8B C3 4C 8D 3D ?? ?? ?? ?? 4C 8D 77 3C 4D 85 F6 74 0F 48 85 C0 74 07 8B 00 41 89 06 EB 13 41 89 06 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F BE 46 57 0F BE 4E 54 0F BE 56 55 44 38 6F 44 75 1D 83 FA 02 77 18 83 F9 01 77 13 83 F8 04 77 0E 8D 0C 51 8D 1C 88 03 D9 C1 E3 02 49 03 DF 48 83 C7 40 74 0F 48 85 DB 74 06 8B 03 89 07 EB 14 33 C0 89 07 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 84 E4 74 0A B8 24 2B 78 76 41 89 06 89 07 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_68_327_1 {
	meta:
		name = "?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 60
		refs = "002a ??$_Getvals@D@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXDAEBV_Locinfo@1@@Z 002f _Getdateorder"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 4C 8B C2 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_68_333_1 {
	meta:
		name = "?_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 2028
		refs = "003f ?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 0067 ??2@YAPEAX_K@Z 007e ??_7?$collate@D@std@@6B@ 008a _Getcoll 009e ?id@?$collate@D@std@@2V0locale@2@A 00ae ??0_Lockit@std@@QEAA@H@Z 00bd ?_Id_cnt@id@locale@std@@0HA 00d8 ??1_Lockit@std@@QEAA@XZ 0134 ??$use_facet@V?$collate@D@std@@@std@@YAAEBV?$collate@D@0@AEBVlocale@0@@Z 0142 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0170 ??_7?$messages@D@std@@6B@ 017f ?id@?$messages@D@std@@2V0locale@2@A 0215 ??$use_facet@V?$messages@D@std@@@std@@YAAEBV?$messages@D@0@AEBVlocale@0@@Z 0258 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0267 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 02d3 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 02e2 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0379 ??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 03d6 ??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0410 ??_7?$_Mpunct@D@std@@6B@ 042e ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0436 ??_7?$moneypunct@D$0A@@std@@6B@ 0445 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 04cc ??_7?$moneypunct@D$00@std@@6B@ 04db ?id@?$moneypunct@D$00@std@@2V0locale@2@A 0572 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 05cf ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 060f ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 061d ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 062a ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0696 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 06a9 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 06bc free 06c8 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 075f ??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 07bc ??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 48 C7 45 F0 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 49 8B F9 49 8B F0 44 8B FA 4C 8B E1 45 33 ED 44 89 6D 38 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 45 8D 75 01 41 8B C6 D3 E0 D1 F8 41 85 C7 0F 84 EC 00 00 00 48 85 FF 0F 85 85 00 00 00 8D 4F 20 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 21 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 43 10 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 18 8B 05 ?? ?? ?? ?? 41 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 56 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 18 8B 05 ?? ?? ?? ?? 41 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 41 F6 C7 20 0F 84 D7 00 00 00 48 85 FF 75 74 8D 4F 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 10 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 18 8B 05 ?? ?? ?? ?? 41 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 56 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 18 8B 05 ?? ?? ?? ?? 41 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 45 8B F7 41 83 E6 04 0F 84 B4 01 00 00 48 85 FF 0F 85 F1 00 00 00 8D 4F 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 10 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 48 8B CE E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 10 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 E9 B2 00 00 00 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 45 85 F6 0F 84 F0 01 00 00 48 85 FF 0F 85 2D 01 00 00 44 8D 77 78 41 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 8D 05 ?? ?? ?? ?? 48 85 DB 74 26 44 89 6B 08 48 89 03 44 88 6B 44 45 33 C0 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 2D 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 C6 43 44 01 45 33 C0 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 E9 B2 00 00 00 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 41 F6 C7 10 0F 84 E3 01 00 00 48 85 FF 0F 85 20 01 00 00 8D 4F 58 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 1C 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 48 8B CE E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 E0 48 85 C0 74 33 44 89 68 08 48 8D 05 ?? ?? ?? ?? 48 89 03 4C 89 6B 10 48 8D 55 E0 49 8B CC E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 4C 89 28 48 8B 4D E0 E8 ?? ?? ?? ?? EB 03 49 8B DD 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 E9 B2 00 00 00 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 2D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CE E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_68_355_1 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@_K@Z"
		size = 286
		refs = "0085 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 00fb _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 48 8B F2 48 8B E9 4D 85 C9 0F 84 B1 00 00 00 4C 8B 4B 10 4D 85 C9 0F 84 E2 00 00 00 48 8B 03 48 85 C0 0F 84 D0 00 00 00 48 8B 00 48 85 C0 0F 84 C4 00 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 49 3B C9 0F 87 A4 00 00 00 48 8B 40 18 48 03 C8 4C 3B C9 0F 83 94 00 00 00 48 8B 4E 08 48 85 C9 74 0D 41 8A 11 E8 ?? ?? ?? ?? 83 F8 FF 75 03 C6 06 01 48 8B 53 10 48 FF CF 48 85 D2 74 69 48 8B 03 48 85 C0 74 5B 48 8B 00 48 85 C0 74 53 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 48 3B D1 73 30 48 8D 42 01 48 85 FF 48 89 43 10 E9 49 FF FF FF 0F 10 06 48 8B 5C 24 30 48 8B C5 48 8B 74 24 40 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_356_1 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 2580
		refs = "002f __security_cookie 0083 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008c ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00ac _guard_check_icall 00e3 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 0135 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 017a ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 024a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 0286 ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02a1 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 02ad ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 02dd ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 032c ?_Deallocate@std@@YAXPEAX_K1@Z 0350 ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 047e ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 04f0 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 053d ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@_K@Z 06cc ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 06e3 ??G?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA?AV01@_J@Z 0896 ??H?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@QEBA?AV01@_J@Z 09f0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 B8 FE FF FF 48 81 EC 10 02 00 00 48 C7 45 D8 FE FF FF FF 48 89 58 08 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 F8 00 00 00 49 8B F0 4C 89 45 98 48 89 55 A0 4C 8B A5 70 01 00 00 4C 89 65 88 8A 85 78 01 00 00 88 44 24 20 4C 8B BD 88 01 00 00 4C 89 7D 90 4C 89 7D 50 8A 85 90 01 00 00 88 44 24 21 49 8B CC 45 84 C9 74 57 48 8D 55 E0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 BF 01 00 00 00 4C 8B 75 E8 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 49 8B CE FF D3 90 EB 55 48 8D 55 B0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 BF 01 00 00 00 4C 8B 75 B8 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 49 8B CE FF D3 90 48 8D 95 A8 00 00 00 49 8B CD E8 ?? ?? ?? ?? 90 49 8B 45 00 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 99 33 C2 2B C2 89 45 80 44 8B F0 4C 89 74 24 60 4D 39 77 18 77 1E 45 8B C6 4D 2B 47 18 4C 03 C7 44 8A 4C 24 21 33 D2 49 8B CF E8 ?? ?? ?? ?? E9 C2 00 00 00 48 8D 85 B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 85 B0 00 00 00 80 38 7F 0F 84 A2 00 00 00 48 8D 85 B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 85 B0 00 00 00 33 D2 38 10 0F 8E 81 00 00 00 49 8B 45 00 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 44 8A E0 48 8D 9D B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 9D B0 00 00 00 4D 8B 77 18 4C 2B 74 24 60 80 3B 7F 74 3B 33 F6 40 38 33 7E 30 48 0F BE 03 49 3B C6 73 27 4C 2B F0 45 8A CC 4C 8B C7 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 48 8D 43 01 40 38 30 48 0F 4E C3 48 8B D8 80 38 7F 75 CB 48 8B 75 98 4C 8B 65 88 4C 8B 74 24 60 48 8D 4D 58 E8 ?? ?? ?? ?? 90 33 C0 38 85 80 01 00 00 49 8B 45 00 74 57 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CD FF D3 8B 44 24 24 89 44 24 58 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 58 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 58 E8 ?? ?? ?? ?? 90 EB 55 48 8B 58 50 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CD FF D3 8B 44 24 24 89 44 24 58 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 58 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 58 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 90 41 F6 44 24 18 08 74 67 48 8D 95 80 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8D 85 D0 00 00 00 48 3B C3 74 22 45 33 C0 40 8A D7 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8B D3 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8B D7 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A C2 41 8B C2 41 8B D2 44 8B 4D 80 8A 4C 14 58 80 F9 20 74 46 80 F9 24 74 38 80 F9 2B 74 2D 80 F9 76 74 07 80 F9 78 74 35 EB 3F 4D 39 77 18 77 0C 49 8B CE 49 2B 4F 18 48 03 CF EB 03 49 8B CA 45 3B D1 49 13 4F 18 48 03 C1 EB 1E 48 03 45 70 EB 18 48 03 85 E8 00 00 00 EB 0F 48 03 C7 45 0F B6 C0 48 83 FA 03 44 0F 45 C7 48 03 D7 48 83 FA 04 72 99 4D 8B 74 24 28 4D 85 F6 7E 0A 4C 3B F0 76 05 4C 2B F0 EB 03 4D 8B F2 41 8B 5C 24 18 81 E3 C0 01 00 00 89 5C 24 24 83 FB 40 74 59 81 FB 00 01 00 00 75 05 45 84 C0 75 4C 0F 10 06 0F 29 44 24 70 4D 85 F6 74 38 48 8B 5C 24 78 44 8A 64 24 20 48 85 DB 74 10 41 8A D4 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 05 40 88 7C 24 70 4C 2B F7 41 BA 00 00 00 00 75 DB 0F 28 44 24 70 8B 5C 24 24 F3 0F 7F 06 4D 8B F2 4D 8B E2 4C 89 54 24 70 EB 03 45 33 D2 42 8A 44 24 58 3C 20 0F 84 0E 03 00 00 3C 24 0F 84 B2 02 00 00 3C 2B 0F 84 53 02 00 00 3C 76 74 0D 3C 78 0F 84 2C 03 00 00 E9 7D 03 00 00 44 39 55 80 75 61 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 48 8D 4D 00 4D 8B 4F 18 48 89 44 24 50 4C 8D 44 24 40 48 8D 54 24 30 E8 ?? ?? ?? ?? 0F 10 00 E9 12 03 00 00 48 8B 5C 24 60 49 39 5F 18 0F 87 DC 00 00 00 48 8B 4E 08 48 85 C9 74 0E 8A 54 24 21 E8 ?? ?? ?? ?? 83 F8 FF 75 03 40 88 3E 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 48 8B 4E 08 48 85 C9 74 0C 8A D0 E8 ?? ?? ?? ?? 83 F8 FF 75 03 40 88 3E 0F 10 36 0F 29 74 24 30 48 8B 5C 24 60 49 2B 5F 18 74 3B 4C 8B 64 24 38 44 8A 7C 24 21 4D 85 E4 74 10 41 8A D7 49 8B CC E8 ?? ?? ?? ?? 83 F8 FF 75 05 40 88 7C 24 30 48 2B DF 75 E1 0F 28 74 24 30 48 8B 75 98 4C 8B 7D 90 4C 8B 64 24 70 F3 0F 7F 36 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 66 0F 7F 74 24 30 48 8D 4D 10 E9 F5 FE FF FF 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 48 89 44 24 50 0F 10 06 F3 0F 7F 44 24 30 4D 8B 4F 18 4C 2B CB 4C 8D 44 24 40 48 8D 54 24 30 48 8D 4D 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 48 8B 4E 08 48 85 C9 74 0C 8A D0 E8 ?? ?? ?? ?? 83 F8 FF 75 03 40 88 3E 48 8D 55 C0 49 8B CF E8 ?? ?? ?? ?? 48 8B C8 48 8B 5C 24 60 4C 8B C3 48 8D 95 80 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B CB 48 8D 4D 30 E9 09 FE FF FF 4C 39 55 70 0F 86 31 01 00 00 48 8D 95 80 00 00 00 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B CF 48 8D 4D 40 E9 B2 FD FF FF 48 8D 95 80 00 00 00 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 0F 10 06 F3 0F 7F 44 24 30 4C 8B 8D E8 00 00 00 48 8D 4D F0 E9 5E FD FF FF 0F 10 36 0F 29 74 24 30 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 0E 8A 54 24 20 E8 ?? ?? ?? ?? 83 F8 FF 75 0A 40 88 7C 24 30 0F 28 74 24 30 F3 0F 7F 36 45 33 D2 81 FB 00 01 00 00 75 4E 0F 10 06 0F 29 44 24 30 4D 85 F6 74 3A 48 8B 5C 24 38 44 8A 64 24 20 48 85 DB 74 10 41 8A D4 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 05 40 88 7C 24 30 4C 2B F7 75 E1 0F 28 44 24 30 4C 8B 7D 90 4C 8B 64 24 70 45 33 D2 4D 8B F2 F3 0F 7F 06 4C 03 E7 4C 89 64 24 70 49 83 FC 04 8B 5C 24 24 0F 82 3C FC FF FF 48 39 7D 70 76 79 48 8D 95 80 00 00 00 48 8D 4D 58 E8 ?? ?? ?? ?? 48 8B C8 4C 8B C7 48 8D 55 C0 E8 ?? ?? ?? ?? 48 8B C8 0F 57 C0 F3 0F 7F 44 24 40 48 8B 00 45 33 E4 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 40 48 8B 41 10 48 89 44 24 50 0F 10 06 F3 0F 7F 45 B0 4C 8B 4D 70 49 FF C9 4C 8D 44 24 40 48 8D 55 B0 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 EB 03 45 33 E4 48 8B 45 88 4C 89 60 28 0F 10 06 0F 29 44 24 30 4D 85 F6 74 32 48 8B 5C 24 38 44 8A 7C 24 20 48 85 DB 74 10 41 8A D7 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 05 40 88 7C 24 30 4C 2B F7 75 E1 0F 28 44 24 30 4C 8B 7D 90 48 8B 5D A0 F3 0F 7F 03 45 33 C0 40 8A D7 48 8D 8D D0 00 00 00 E8 ?? ?? ?? ?? BE 10 00 00 00 44 8B C6 48 8B D7 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 4C 89 A5 D0 00 00 00 45 33 C0 40 8A D7 48 8D 4D 58 E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 48 8B 4D 58 E8 ?? ?? ?? ?? 4C 89 65 58 45 33 C0 40 8A D7 48 8D 8D A8 00 00 00 E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 4C 89 A5 A8 00 00 00 45 33 C0 40 8A D7 49 8B CF E8 ?? ?? ?? ?? 44 8B C6 48 8B D7 49 8B 0F E8 ?? ?? ?? ?? 4D 89 27 48 8B C3 48 8B 8D F8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 10 02 00 00 49 8B 5B 40 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_363_1 {
	meta:
		name = "?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z"
		size = 99
		refs = "0032 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 41 8A E8 48 8B DA 48 8B F1 4D 85 C9 74 1F 48 8B 4B 08 48 85 C9 74 0D 40 8A D5 E8 ?? ?? ?? ?? 83 F8 FF 75 03 C6 03 01 48 83 EF 01 75 E1 0F 10 03 48 8B 5C 24 30 48 8B C6 48 8B 6C 24 38 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_68_405_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 326
		refs = "001e __security_cookie 006e ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z 007e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 00c2 _errno 00d7 strtod 010a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 011d ?_Deallocate@std@@YAXPEAX_K1@Z 0130 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 90 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 88 00 00 00 49 8B D9 4D 8B F0 4C 8B FA 48 8B 84 24 F8 00 00 00 48 8B AC 24 00 01 00 00 4C 8B A4 24 08 01 00 00 48 8D 54 24 78 48 89 54 24 30 48 89 44 24 28 8A 84 24 F0 00 00 00 88 44 24 20 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 49 83 3E 00 75 08 48 83 3B 00 74 08 EB 0A 48 83 3B 00 74 04 83 4D 00 01 48 83 7C 24 68 00 74 42 48 8D 74 24 58 48 83 7C 24 70 10 48 0F 43 74 24 58 E8 ?? ?? ?? ?? 48 8B F8 8B 18 83 20 00 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 8B 07 89 1F 48 39 74 24 40 74 0C 85 C0 75 08 F2 41 0F 11 04 24 EB 04 83 4D 00 02 41 0F 10 06 F3 41 0F 7F 07 45 33 C0 B2 01 48 8D 4C 24 50 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 50 E8 ?? ?? ?? ?? 49 8B C7 48 8B 8C 24 88 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_68_407_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 438
		refs = "0028 __security_cookie 0062 ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z 0078 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 00e1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0157 _invalid_parameter_noinfo_noreturn 0177 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0188 ?_Deallocate@std@@YAXPEAX_K1@Z 0197 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B F1 4D 8B E0 4C 8B EA 48 8B 45 6F 4C 8B 7D 77 48 8B 7D 7F 48 8D 55 E7 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 D7 33 DB 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 49 39 1C 24 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 41 BE 10 00 00 00 48 85 F6 75 09 41 83 0F 02 E9 AE 00 00 00 48 3B 77 18 77 19 48 89 77 18 4C 39 77 20 72 06 48 8B 47 08 EB 04 48 8D 47 08 88 1C 30 EB 12 48 8B D6 48 2B 57 18 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C7 4C 39 75 DF 48 0F 43 45 C7 80 38 2D 75 58 4C 39 77 20 72 06 48 8B 4F 08 EB 04 48 8D 4F 08 8A 45 F1 88 01 BB 01 00 00 00 EB 3C 48 3B 5D D7 77 43 48 8D 45 C7 4C 39 75 DF 48 0F 43 45 C7 48 3B 5F 18 77 2A 4C 39 77 20 72 06 48 8B 57 08 EB 04 48 8D 57 08 0F BE 04 18 83 E8 30 48 98 8A 4C 05 E7 88 0C 1A 48 FF C3 48 3B DE 72 BF EB 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 0F 10 04 24 F3 41 0F 7F 45 00 45 33 C0 B2 01 48 8D 4D BF E8 ?? ?? ?? ?? 4D 8B C6 BA 01 00 00 00 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_411_1 {
	meta:
		name = "?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 1776
		refs = "003c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0045 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0060 _guard_check_icall 00bc ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0149 ?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0185 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z 01fb ?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z 0252 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 90 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 18 4D 8B F1 49 8B F0 48 8D 55 C7 48 8B 4D 6F E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 7D CF 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8B 7D 4F 48 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 44 8B E8 B8 02 00 00 00 33 DB 45 85 ED 44 0F 44 E8 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 8B 7D 77 48 39 1E 75 0B 49 39 1E 0F 84 26 01 00 00 EB 09 49 39 1E 0F 85 1B 01 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B6 4E 09 49 8B 44 24 18 0F BF 14 48 C1 EA 02 B9 01 00 00 00 84 D1 75 47 41 0F 10 06 F3 0F 7F 45 DF 0F 10 0E F3 0F 7F 4D EF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D DF 4C 8D 45 EF 48 8D 55 FF 48 8B CF E8 ?? ?? ?? ?? 41 BD 02 00 00 00 E9 A7 00 00 00 41 83 FD 02 75 34 48 8B 5D 7F 48 83 C3 10 4C 89 64 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 44 8B C9 4D 8B C6 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB EB 74 48 8B 45 7F 44 3B E9 75 2C 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 44 8B C9 4D 8B C6 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 41 09 07 EB 3F 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF 48 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 2D EB 05 49 39 1E 75 26 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B6 4E 09 49 8B 44 24 18 F6 04 48 48 74 0A 48 8B CE E8 ?? ?? ?? ?? EB AE 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 53 EB 05 49 39 1E 75 4C 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 5E 09 49 8B 04 24 48 8B 78 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 8A D3 49 8B CC FF D7 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CE E8 ?? ?? ?? ?? 48 8B 7D 4F 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 2D EB 05 49 39 1E 75 26 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B6 4E 09 49 8B 44 24 18 F6 04 48 48 74 0A 48 8B CE E8 ?? ?? ?? ?? EB AE 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 0B 49 39 1E 0F 84 EC 00 00 00 EB 09 49 39 1E 0F 85 E1 00 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B6 4E 09 49 8B 44 24 18 0F BF 14 48 C1 EA 02 B9 01 00 00 00 84 D1 75 5F 41 83 FD 02 75 08 45 09 2F E9 AD 00 00 00 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF 48 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 41 83 FD 04 75 64 41 BD 03 00 00 00 EB 5C 41 8D 45 FF 4C 89 64 24 30 44 8B C9 4D 8B C6 48 8B D6 48 8B CF A9 FD FF FF FF 74 1F 48 8B 45 7F 48 83 C0 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 41 09 07 EB 21 48 8B 5D 7F 48 83 C3 10 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 2D EB 05 49 39 1E 75 26 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B6 4E 09 49 8B 44 24 18 F6 04 48 48 74 0A 48 8B CE E8 ?? ?? ?? ?? EB AE 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 4F EB 05 49 39 1E 75 48 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 5E 09 49 8B 04 24 48 8B 78 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 8A D3 49 8B CC FF D7 3C 3A 77 18 48 B9 00 00 00 00 00 90 00 04 48 0F A3 C1 73 08 48 8B CE E8 ?? ?? ?? ?? 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 2D EB 05 49 39 1E 75 26 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B6 4E 09 49 8B 44 24 18 F6 04 48 48 74 0A 48 8B CE E8 ?? ?? ?? ?? EB AE 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 07 EB 0E 49 39 1E 74 09 41 83 0F 02 E9 16 01 00 00 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B6 4E 09 49 8B 44 24 18 0F BF 14 48 C1 EA 02 F6 C2 01 75 48 41 83 FD 04 75 CF 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 8B 45 7F 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF 48 8B 4D 4F E8 ?? ?? ?? ?? E9 A5 00 00 00 48 8B 4D 4F 41 83 FD 04 75 32 48 8B 5D 7F 48 83 C3 10 4C 89 64 24 30 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 45 8D 4D FD 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 FF 0B 33 DB EB 70 48 8B 45 7F 41 83 FD 03 75 2A 48 83 C0 0C 4C 89 64 24 30 48 89 44 24 28 C7 44 24 20 1F 00 00 00 45 8D 4D FE 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 41 09 07 EB 3C 41 0F 10 06 F3 0F 7F 45 EF 0F 10 0E F3 0F 7F 4D DF 48 89 44 24 30 4C 89 7C 24 28 48 8B 45 6F 48 89 44 24 20 4C 8D 4D EF 4C 8D 45 DF 48 8D 55 FF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 0F 10 06 48 8B 45 57 F3 0F 7F 00 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_414_1 {
	meta:
		name = "?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 461
		refs = "0041 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 004a ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0066 _guard_check_icall 00bb ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAHAEBV?$ctype@D@2@@Z 00d6 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 00fe ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 60 48 C7 40 B8 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 4D 8B E1 49 8B F0 4C 8B FA 48 8B E9 48 8D 50 C0 48 8B 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 7C 24 50 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 4C 8B AC 24 C0 00 00 00 49 8D 45 08 4C 89 74 24 30 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B AC 24 B8 00 00 00 09 45 00 75 67 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 5E 09 49 8B 06 48 8B 78 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 8A D3 49 8B CE FF D7 3C 3A 75 39 48 8B CE E8 ?? ?? ?? ?? 49 8D 45 04 4C 89 74 24 30 48 89 44 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 09 45 00 EB 04 83 4D 00 02 83 7D 00 00 75 63 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 5E 09 49 8B 06 48 8B 78 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 8A D3 49 8B CE FF D7 3C 3A 75 35 48 8B CE E8 ?? ?? ?? ?? 4C 89 74 24 30 4C 89 6C 24 28 C7 44 24 20 3B 00 00 00 45 33 C9 4D 8B C4 48 8B D6 48 8B 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 09 45 00 EB 04 83 4D 00 02 0F 10 06 F3 41 0F 7F 07 49 8B C7 4C 8D 5C 24 60 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_68_420_1 {
	meta:
		name = "?do_hash@?$collate@D@std@@MEBAJPEBD0@Z"
		size = 54
	strings:
		$1 = { 48 B9 25 23 22 84 E4 9C F2 CB 41 B9 00 00 00 00 4C 2B C2 74 1E 41 0F B6 04 11 49 BA B3 01 00 00 00 01 00 00 48 33 C8 49 FF C1 49 0F AF CA 4D 3B C8 72 E2 8B C1 C3 }
	condition:
		$1
}

rule file_68_428_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 558
		refs = "0028 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005c ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0077 _guard_check_icall 00b7 ?_Src@?1??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@3@V43@_NAEAVios_base@3@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@@Z@4QBDB 014c _invalid_parameter_noinfo_noreturn 0178 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD_K@Z 0192 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 019f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z 01e0 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 01ef ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0200 ?_Deallocate@std@@YAXPEAX_K1@Z 020f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC F0 00 00 00 48 C7 45 97 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 50 4D 8B E8 4C 8B E2 48 89 4D 8F 4C 8B 7D 6F 48 8B 7D 7F 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 75 87 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 49 8B 06 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 40 32 F6 33 C9 4C 8B 4F 18 44 8D 71 10 4D 85 C9 74 1F 4C 39 77 20 72 06 48 8B 57 08 EB 04 48 8D 57 08 8A 45 F9 38 02 75 08 40 B6 01 B9 01 00 00 00 4C 8B C1 49 3B C9 73 54 8A 5D EF 49 3B C9 77 43 4C 39 77 20 72 06 48 8B 57 08 EB 04 48 8D 57 08 48 8D 45 EF 84 DB 74 14 46 8A 14 02 8A D3 41 3A D2 74 09 48 FF C0 8A 10 84 D2 75 F2 48 8D 55 EF 48 2B C2 48 83 F8 0A 73 10 49 FF C0 4D 3B C1 72 BF EB 06 E8 ?? ?? ?? ?? CC 49 3B C9 76 06 E8 ?? ?? ?? ?? CC 4C 39 77 20 72 06 48 8B 7F 08 EB 04 48 83 C7 08 48 8D 14 0F 4C 2B C1 48 8D 4D C7 E8 ?? ?? ?? ?? 90 48 83 7D DF 00 75 12 44 8A 45 EF BA 01 00 00 00 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 55 C7 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8B D0 41 0F 10 45 00 F3 0F 7F 44 24 60 8A 45 EF 88 44 24 40 48 89 54 24 38 40 88 74 24 30 8A 45 77 88 44 24 28 4C 89 7C 24 20 44 8A 4C 24 50 4C 8D 44 24 60 49 8B D4 48 8B 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D C7 E8 ?? ?? ?? ?? 4D 8B C6 BA 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_431_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DO@Z"
		size = 566
		refs = "0028 __security_cookie 006a __xmm@80000000000000008000000000000000 0075 __real@4733426172c74d82 0088 __real@4202a05f20000000 009e ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00ac sprintf_s 00d0 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00d9 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00fa _guard_check_icall 014b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 0195 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01a2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z 01e7 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 01f6 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0208 ?_Deallocate@std@@YAXPEAX_K1@Z 0217 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 44 88 4C 24 51 4D 8B E8 4C 8B E2 48 89 4C 24 68 48 8B 5D 70 48 89 5C 24 60 C6 44 24 50 00 0F 57 C0 F2 0F 10 9D 80 00 00 00 66 0F 2F C3 76 0C C6 44 24 50 01 0F 57 1D ?? ?? ?? ?? 45 33 FF F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FF 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C7 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D8 E8 ?? ?? ?? ?? 48 63 F0 85 C0 79 10 41 0F 10 45 00 F3 41 0F 7F 04 24 E9 45 01 00 00 48 8D 54 24 70 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 58 48 8B 7C 24 78 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 06 48 8B 58 40 48 8B CB E8 ?? ?? ?? ?? B2 30 49 8B CE FF D3 44 8A F0 48 8B DE 45 33 C0 48 8B D6 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 75 B8 48 83 7D D0 10 48 0F 43 75 B8 48 8B 4C 24 58 48 8B 09 48 8D 45 D8 48 03 D8 48 8B 79 38 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 48 8D 55 D8 48 8B 4C 24 58 FF D7 45 8A C6 49 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D 88 E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 44 24 70 44 88 74 24 40 48 89 44 24 38 8A 44 24 50 88 44 24 30 8A 45 78 88 44 24 28 48 8B 44 24 60 48 89 44 24 20 44 8A 4C 24 51 4C 8D 44 24 70 49 8B D4 48 8B 4C 24 68 E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B0 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4D B0 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_434_1 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBUtm@@DD@Z"
		size = 462
		refs = "0028 __security_cookie 0042 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0057 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 00d4 _Strftime 00eb ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00fc ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0119 _invalid_parameter_noinfo_noreturn 0164 ??$_Copy_unchecked1@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_General_ptr_iterator_tag@0@@Z 017b ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 018c ?_Deallocate@std@@YAXPEAX_K1@Z 01af __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E0 4C 8B FA 48 8B F1 4C 8B 75 6F 8B 05 ?? ?? ?? ?? 89 45 EF 8A 05 ?? ?? ?? ?? 88 45 F3 48 8D 4D C7 E8 ?? ?? ?? ?? 90 8A 45 7F 84 C0 75 08 8A 45 77 88 45 F1 EB 09 88 45 F1 8A 45 77 88 45 F2 41 BD 10 00 00 00 41 8B DD 41 8B D5 EB 61 48 8B 00 48 85 C0 0F 84 0D 01 00 00 48 8B 00 48 85 C0 0F 84 01 01 00 00 4C 39 68 20 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 3B D1 0F 87 E2 00 00 00 48 8B 40 18 48 03 D0 48 3B CA 0F 83 D2 00 00 00 48 89 7C 24 20 4D 8B CE 4C 8D 45 EF 48 8B 55 DF E8 ?? ?? ?? ?? 48 85 C0 75 35 48 03 DB 48 8B D3 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 7E 10 48 8D 55 97 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 48 10 48 85 C9 0F 85 75 FF FF FF E9 8F 00 00 00 48 3B 45 DF 76 06 E8 ?? ?? ?? ?? CC 4C 8D 45 CF 4C 39 6D E7 4C 0F 43 45 CF 4C 03 C0 48 83 7D DF 01 73 06 E8 ?? ?? ?? ?? CC 48 8D 55 CF 4C 39 6D E7 48 0F 43 55 CF 48 FF C2 33 C0 41 0F 10 04 24 F3 0F 7F 45 B7 88 44 24 20 4C 8D 4D B7 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 45 97 F3 41 0F 7F 07 45 33 C0 B2 01 48 8D 4D C7 E8 ?? ?? ?? ?? 4D 8B C5 BA 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 EB 12 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_68_441_1 {
	meta:
		name = "?do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z"
		size = 457
		refs = "0038 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 007f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 008c ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 0142 _Strxfrm 0155 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 41 56 41 57 48 83 EC 70 48 C7 40 B0 FE FF FF FF 48 89 58 08 48 89 68 18 48 89 70 20 49 8B E9 4D 8B F0 48 8B DA 4C 8B F9 83 60 A8 00 48 8B CA E8 ?? ?? ?? ?? C7 44 24 30 01 00 00 00 48 8B C5 49 2B C6 0F 84 28 01 00 00 48 3B 43 18 77 1B 48 89 43 18 48 83 7B 20 10 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 C6 04 01 00 EB 12 48 2B 43 18 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 48 8B 78 10 48 85 FF 0F 84 D5 00 00 00 48 8B 00 48 85 C0 0F 84 C3 00 00 00 48 8B 00 48 85 C0 0F 84 B7 00 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CF 0F 87 97 00 00 00 48 8B 40 18 48 03 C8 48 3B F9 0F 83 87 00 00 00 48 8B 73 18 48 8D 54 24 58 48 8B CB E8 ?? ?? ?? ?? 4C 8B 50 10 4D 85 D2 74 67 48 8B 00 48 85 C0 74 59 48 8B 00 48 85 C0 74 51 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 49 3B CA 77 35 48 8B 50 18 48 03 D1 4C 3B D2 73 29 49 8D 47 10 48 8D 14 3E 48 89 44 24 20 4C 8B CD 4D 8B C6 49 8B CA E8 ?? ?? ?? ?? 48 3B 43 18 76 32 48 85 C0 E9 F6 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 48 3B 43 18 77 1B 48 89 43 18 48 83 7B 20 10 72 06 48 8B 4B 08 EB 04 48 8D 4B 08 C6 04 01 00 EB 12 48 2B 43 18 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 4C 8D 5C 24 70 49 8B 5B 20 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5F 41 5E 5F C3 CC }
	condition:
		$1
}

rule file_68_442_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 10 83 65 30 FE 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_68_446_1 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 43
	strings:
		$1 = { 48 83 79 20 10 4C 8B C1 72 06 48 8B 49 08 EB 04 48 83 C1 08 49 8B 00 49 03 48 18 48 83 62 08 00 48 89 02 48 8B C2 48 89 4A 10 C3 }
	condition:
		$1
}

rule file_68_461_1 {
	meta:
		name = "?is@?$ctype@D@std@@QEBA_NFD@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 18 45 0F B6 C0 66 42 85 14 40 0F 95 C0 C3 }
	condition:
		$1
}

rule file_68_470_1 {
	meta:
		name = "?narrow@?$ctype@D@std@@QEBADDD@Z"
		size = 81
		refs = "0029 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B 01 4C 8B F1 41 8A F8 40 8A F2 48 8B 58 50 48 8B CB E8 ?? ?? ?? ?? 44 8A C7 40 8A D6 49 8B CE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E 48 FF E0 }
	condition:
		$1
}

rule file_68_477_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
		size = 531
		refs = "009e ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ 00d2 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 01b7 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z 01de _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 50 49 8B 01 33 DB 4D 8B F0 48 8B EA 4C 8B E1 44 8B D3 48 85 C0 74 03 4C 8B 10 4C 8B 84 24 90 00 00 00 48 8B D3 49 8B 08 48 85 C9 74 03 48 8B 11 4C 3B D2 0F 85 88 01 00 00 49 8B 71 10 4D 8B 78 10 49 3B F7 75 79 49 8B 06 48 85 C0 75 05 48 8B C3 EB 03 48 8B 00 48 8B 7D 00 48 8B CB 48 85 FF 74 03 48 8B 0F 48 3B C1 0F 85 59 01 00 00 48 8B 75 10 48 8D 54 24 30 49 8B 6E 10 49 8B CC 48 2B EE E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 85 FF 74 03 48 8B 0F 48 8B 00 48 85 C0 74 03 48 8B 18 48 3B CB 0F 85 25 01 00 00 48 2B 72 10 4C 8B C5 48 8B D6 49 8B CC E8 ?? ?? ?? ?? E9 E0 00 00 00 48 8B D3 48 85 C9 74 03 48 8B 11 48 8B CB 48 85 C0 74 03 48 8B 08 48 3B D1 0F 85 F5 00 00 00 4C 2B FE 48 85 F6 0F 84 EF 00 00 00 48 85 C0 0F 84 FE 00 00 00 48 8B 00 48 85 C0 0F 84 F2 00 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 3B CE 0F 87 D2 00 00 00 48 8B 40 18 48 03 C8 48 3B F1 0F 83 C2 00 00 00 49 8B 06 48 8B CB 48 85 C0 74 03 48 8B 08 48 8B 7D 00 48 8B C3 48 85 FF 74 03 48 8B 07 48 3B C8 0F 85 90 00 00 00 48 8B 6D 10 48 8D 54 24 30 4D 8B 76 10 49 8B CC 4C 2B F5 E8 ?? ?? ?? ?? 48 8B D0 48 8B CB 48 85 FF 74 03 48 8B 0F 48 8B 00 48 85 C0 74 03 48 8B 18 48 3B CB 75 60 48 2B 6A 10 4C 8B CE 48 8B D5 4C 89 7C 24 20 4D 8B C6 49 8B CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B C4 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_478_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 988
		refs = "00a0 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 0143 memmove 017c memcpy 03bc ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 03ce ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 4D 8B F8 49 8B F1 4C 8B 41 18 4C 8B F2 48 8B F9 4C 3B C2 0F 82 86 03 00 00 49 8B 41 18 4C 8B 6C 24 70 49 3B C5 0F 82 7A 03 00 00 48 8B 6C 24 78 4D 8B E0 4C 2B E2 49 8B C8 4D 3B FC 4D 0F 47 FC 49 2B C5 48 3B E8 48 0F 47 E8 49 2B CF 48 8B C5 48 F7 D0 48 3B C1 0F 86 52 03 00 00 48 8D 04 29 4D 2B E7 48 89 44 24 50 4C 3B C0 73 3A 48 83 F8 FE 0F 87 40 03 00 00 48 39 47 20 73 0D 48 8B D0 48 8B CF E8 ?? ?? ?? ?? EB 1D 48 85 C0 75 18 48 21 47 18 48 83 7F 20 10 72 06 48 8B 47 08 EB 04 48 8D 47 08 C6 00 00 49 3B EF 75 3D 48 83 7E 20 10 72 06 48 8B 76 08 EB 04 48 83 C6 08 48 83 7F 20 10 48 8D 5F 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 0F 84 8F 02 00 00 4A 8D 14 2E 4A 8D 0C 30 4C 8B C5 E9 7A 02 00 00 48 8D 5F 08 48 3B FE 74 77 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 E4 74 16 4A 8D 14 31 4D 8B C4 4A 8D 0C 30 49 03 D7 48 03 CD E8 ?? ?? ?? ?? 48 83 7E 20 10 72 06 48 8B 76 08 EB 04 48 83 C6 08 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 0F 84 14 02 00 00 4A 8D 14 2E 4C 8B C5 4A 8D 0C 30 E8 ?? ?? ?? ?? E9 FF 01 00 00 49 3B EF 73 70 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 10 4A 8D 14 29 4C 8B C5 4A 8D 0C 30 E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 E4 0F 84 A0 01 00 00 4A 8D 14 31 4D 8B C4 49 03 D7 4A 8D 0C 30 48 03 CD E9 85 01 00 00 4D 3B EE 77 69 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 E4 74 16 4A 8D 14 31 4D 8B C4 4A 8D 0C 30 49 03 D7 48 03 CD E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 0F 84 25 01 00 00 4A 8D 14 29 E9 91 FE FF FF 4B 8D 04 3E 49 3B C5 77 6E 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 E4 74 16 4A 8D 14 31 4D 8B C4 4A 8D 0C 30 49 03 D7 48 03 CD E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 13 EB 03 48 8B D3 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 0F 84 B3 00 00 00 49 2B D7 49 03 D5 48 03 D5 E9 1A FE FF FF 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 10 4A 8D 14 29 4D 8B C7 4A 8D 0C 30 E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 E4 74 16 4A 8D 14 31 4D 8B C4 4A 8D 0C 30 49 03 D7 48 03 CD E8 ?? ?? ?? ?? 48 83 7F 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7F 20 10 72 05 48 8B 03 EB 03 48 8B C3 4C 8B C5 4D 2B C7 74 13 4A 8D 14 29 48 03 D5 4A 8D 0C 30 49 03 CF E8 ?? ?? ?? ?? 48 83 7F 20 10 48 8B 44 24 50 48 89 47 18 72 03 48 8B 1B 48 8B 6C 24 60 48 8B 74 24 68 C6 04 03 00 48 8B C7 48 8B 5C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? CC 48 8B CE E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_479_1 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z"
		size = 519
		refs = "0081 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 00f6 memmove 012c ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 01b4 memcpy 01f0 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 01f9 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 4D 8B F9 49 8B F0 4C 8B E2 48 8B D9 4D 85 C9 74 5C 48 83 79 20 10 4C 8D 51 08 72 05 49 8B 02 EB 03 49 8B C2 4C 3B F8 72 44 48 83 79 20 10 72 05 49 8B 0A EB 03 49 8B CA 48 03 4B 18 49 3B CF 76 2C 48 83 7B 20 10 72 03 4D 8B 12 48 8B 44 24 70 4D 2B FA 48 89 44 24 28 4C 8B CB 48 8B CB 4C 89 7C 24 20 E8 ?? ?? ?? ?? E9 43 01 00 00 48 8B 4B 18 49 3B CC 0F 82 55 01 00 00 4C 8B 74 24 70 48 8B E9 49 2B EC 49 8B C6 48 3B F5 48 F7 D0 48 0F 47 F5 48 2B CE 48 3B C1 0F 86 3A 01 00 00 48 2B EE 4C 3B F6 73 37 48 83 7B 20 10 48 8D 43 08 72 05 48 8B 08 EB 03 48 8B C8 48 83 7B 20 10 72 03 48 8B 00 48 85 ED 74 15 48 03 D1 4C 8B C5 4A 8D 0C 20 48 03 D6 49 03 CE E8 ?? ?? ?? ?? 4C 8B 43 18 49 8B F8 48 2B FE 49 03 FE 4D 85 F6 75 09 48 85 F6 0F 84 B5 00 00 00 48 83 FF FE 0F 87 DF 00 00 00 48 39 7B 20 73 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 21 7B 18 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 48 85 FF 74 76 49 3B F6 73 38 48 83 7B 20 10 48 8D 43 08 72 05 48 8B 08 EB 03 48 8B C8 48 83 7B 20 10 72 03 48 8B 00 48 85 ED 74 16 4A 8D 14 21 4C 8B C5 4A 8D 0C 20 48 03 D6 49 03 CE E8 ?? ?? ?? ?? 48 83 7B 20 10 48 8D 73 08 72 05 48 8B 06 EB 03 48 8B C6 4D 85 F6 74 0F 4A 8D 0C 20 4D 8B C6 49 8B D7 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_69_0_1 {
	meta:
		name = "??0_Init_locks@std@@QEAA@XZ"
		size = 76
		refs = "0015 ?init@std@@3JA 001e ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 002b _Mtxinit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 F0 FF 05 ?? ?? ?? ?? 75 1E 48 8D 1D ?? ?? ?? ?? BF 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 83 EF 01 75 EE 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_69_1_1 {
	meta:
		name = "??0_Lockit@std@@QEAA@H@Z"
		size = 59
		refs = "0010 _lock_locales 0025 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 002e _Mtxlock"
	strings:
		$1 = { 40 53 48 83 EC 20 89 11 48 8B D9 85 D2 75 07 E8 ?? ?? ?? ?? EB 1C 83 FA 08 7D 17 48 63 C2 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_69_2_1 {
	meta:
		name = "??0_Lockit@std@@QEAA@XZ"
		size = 26
		refs = "000d _lock_locales"
	strings:
		$1 = { 40 53 48 83 EC 20 83 21 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_69_3_1 {
	meta:
		name = "??1_Init_locks@std@@QEAA@XZ"
		size = 67
		refs = "0011 ?init@std@@3JA 001d ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 002a _Mtxdst"
		altNames = "?_Init_locks_dtor@_Init_locks@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 C8 FF F0 0F C1 05 ?? ?? ?? ?? 83 F8 01 79 1E 48 8D 1D ?? ?? ?? ?? BF 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 83 EF 01 75 EE 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_69_4_1 {
	meta:
		name = "??1_Lockit@std@@QEAA@XZ"
		size = 50
		refs = "0010 _unlock_locales 0020 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 0029 _Mtxunlock"
	strings:
		$1 = { 48 83 EC 28 48 63 01 85 C0 75 09 48 83 C4 28 E9 ?? ?? ?? ?? 83 F8 08 7D 14 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_69_7_1 {
	meta:
		name = "?_Init_locks_ctor@_Init_locks@std@@CAXPEAV12@@Z"
		size = 60
		refs = "000d ?init@std@@3JA 0016 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 0023 _Mtxinit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F0 FF 05 ?? ?? ?? ?? 75 1E 48 8D 1D ?? ?? ?? ?? BF 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 83 EF 01 75 EE 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_69_10_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPEAV12@H@Z"
		size = 36
		refs = "0004 _lock_locales 0017 ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 0020 _Mtxlock"
	strings:
		$1 = { 85 D2 0F 84 ?? ?? ?? ?? 83 E2 07 48 63 C2 89 11 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_69_11_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@SAXH@Z"
		size = 33
		refs = "0004 _lock_locales 000d ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 001d _Mtxlock"
	strings:
		$1 = { 85 C9 0F 84 ?? ?? ?? ?? 8B C1 48 8D 0D ?? ?? ?? ?? 83 E0 07 48 8D 04 80 48 8D 0C C1 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_69_13_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@SAXH@Z"
		size = 33
		refs = "0004 _unlock_locales 000d ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 001d _Mtxunlock"
	strings:
		$1 = { 85 C9 0F 84 ?? ?? ?? ?? 8B C1 48 8D 0D ?? ?? ?? ?? 83 E0 07 48 8D 04 80 48 8D 0C C1 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_69_12_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@CAXPEAV12@@Z"
		size = 23
		refs = "000a ?mtx@std@@3PAU_RTL_CRITICAL_SECTION@@A 0013 _Mtxunlock"
	strings:
		$1 = { 48 63 01 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_0_1 {
	meta:
		name = "_FDint"
		size = 215
		refs = "008e __ImageBase 009f ?mask@?3??_FDint@@9@9 00ab ?sub@?3??_FDint@@9@9"
	strings:
		$1 = { B8 FF 00 00 00 4C 8B C1 0F B7 49 02 44 0F B7 DA 44 0F B7 D1 66 41 C1 EA 07 66 44 23 D0 66 44 3B D0 75 1A F6 C1 7F 75 0F 33 D2 8D 42 01 66 41 39 10 0F 84 9F 00 00 00 B8 02 00 00 00 C3 0F B7 C1 33 D2 A9 FF 7F FF FF 75 0A 66 41 39 10 75 04 0F B7 C2 C3 41 B9 96 00 00 00 66 45 2B CA 66 45 2B CB 66 45 85 C9 7E E8 B8 18 00 00 00 66 41 3B C1 7F 15 B8 00 80 00 00 66 41 89 10 66 23 C8 66 41 89 48 02 83 C8 FF C3 49 0F BF C1 48 8D 0D ?? ?? ?? ?? 83 E0 0F 66 41 C1 F9 04 44 0F B7 94 41 ?? ?? ?? ?? 49 0F BF C1 48 8B 8C C1 ?? ?? ?? ?? 41 0F B7 04 48 66 44 23 D0 66 41 33 C2 66 41 89 04 48 66 41 3B D1 7D 08 66 45 0B 10 66 41 89 10 66 41 F7 DA 66 1B C0 C3 }
	condition:
		$1
}

rule file_72_0_1 {
	meta:
		name = "_Towupper"
		size = 120
		refs = "005f __crtLCMapStringW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B C2 66 89 4C 24 50 BA FF FF 00 00 66 3B CA 74 55 48 83 78 18 00 75 19 BA 00 01 00 00 66 3B CA 73 0F 8D 41 9F 66 83 F8 19 77 3B 66 83 E9 20 EB 35 41 B9 01 00 00 00 48 8D 4C 24 50 44 89 4C 24 28 4C 8D 44 24 40 48 89 4C 24 20 BA 00 02 00 00 48 8B 48 18 E8 ?? ?? ?? ?? 0F B7 4C 24 50 85 C0 66 0F 44 4C 24 40 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_73_0_1 {
	meta:
		name = "_FDscale"
		size = 461
		refs = "005c _FDnorm 007d _FInf 008a __xmm@80000000800000008000000080000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B D9 BD FF 00 00 00 0F B7 49 02 8B F2 66 C1 E9 07 66 23 CD 66 3B CD 75 1E F6 43 02 7F 75 0E 33 FF 8D 47 01 66 39 3B 0F 84 6B 01 00 00 B8 02 00 00 00 E9 61 01 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C 43 01 00 00 85 F6 7E 2C 0F BF C1 2B E8 3B EE 7F 23 F3 0F 10 05 ?? ?? ?? ?? 66 39 7B 02 7D 07 0F 57 05 ?? ?? ?? ?? F3 0F 11 03 B8 01 00 00 00 E9 16 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 23 66 03 F1 B8 7F 80 00 00 66 21 43 02 B8 80 00 00 00 0F B7 CE 0F AF C8 66 09 4B 02 83 C8 FF E9 E8 00 00 00 0F B7 4B 02 44 8D 56 FF 44 0F B7 D9 44 03 D2 66 83 E1 7F B8 80 00 00 00 66 0B C8 41 BE 00 80 00 00 66 45 23 DE 66 89 4B 02 41 8D 42 18 83 F8 17 0F 87 A7 00 00 00 0F B7 F7 BD 10 00 00 00 66 41 83 FA F0 7F 0E 0F B7 33 66 44 03 D5 66 89 0B 66 89 7B 02 66 41 F7 DA 74 45 44 0F B7 03 8B C7 45 0F BF CA 41 0F B7 D0 41 2B E9 8B CD 66 D3 E2 66 85 F6 0F B7 F2 0F B7 53 02 0F 95 C0 66 0B F0 0F B7 C2 66 D3 E0 41 0F B7 CA 66 41 D3 E8 41 8B C9 66 41 0B C0 66 D3 EA 66 89 53 02 66 89 03 66 44 09 5B 02 B8 01 00 00 00 0F B7 4B 02 66 44 3B F6 72 06 75 15 84 03 74 11 66 01 03 75 0C 66 03 C8 66 89 4B 02 E9 2F FF FF FF 66 41 3B CB 0F 85 25 FF FF FF 66 39 3B 74 0D E9 1B FF FF FF 66 44 89 5B 02 66 89 3B 0F B7 C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_74_5_1 {
	meta:
		name = "?sbfun@std@@YAXAEAVios_base@1@H@Z"
		size = 52
	strings:
		$1 = { 81 61 18 FF F1 FF FF 33 C0 83 FA 10 41 B8 00 08 00 00 41 0F 44 C0 83 FA 0A 41 B8 00 02 00 00 41 0F 44 C0 83 FA 08 41 B8 00 04 00 00 41 0F 44 C0 09 41 18 C3 }
	condition:
		$1
}

rule file_74_7_1 {
	meta:
		name = "?setf@ios_base@std@@QEAAHHH@Z"
		size = 26
	strings:
		$1 = { 8B 41 18 45 8B C8 41 F7 D1 41 23 D0 44 23 C8 0F B7 D2 44 0B CA 44 89 49 18 C3 }
	condition:
		$1
}

rule file_74_9_1 {
	meta:
		name = "?setprecision@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 18
		refs = "0003 ?spfun@std@@YAXAEAVios_base@1@_J@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_74_10_1 {
	meta:
		name = "?setw@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 18
		refs = "0003 ?swfun@std@@YAXAEAVios_base@1@_J@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_74_11_1 {
	meta:
		name = "?sifun@std@@YAXAEAVios_base@1@H@Z"
		size = 21
	strings:
		$1 = { 44 8B C2 0F B7 C2 41 F7 D0 44 23 41 18 44 0B C0 44 89 41 18 C3 }
	condition:
		$1
}

rule file_75_1_1 {
	meta:
		name = "_Thrd_create"
		size = 180
		refs = "0021 _Cnd_init 002f _Mtx_init 0058 _Mtx_lock 0066 run 006b _Thrd_start 0080 _Cnd_wait 008f _Mtx_unlock 0098 _Cnd_destroy 00a1 _Mtx_destroy"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 8B EC 48 83 EC 50 83 65 28 00 48 8B F1 48 8D 4D 38 49 8B F8 48 8B DA E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8B 4D 30 48 8D 45 38 48 89 45 E0 48 8D 45 30 48 89 45 E8 48 8D 45 28 48 89 45 F0 48 89 5D D0 48 89 7D D8 E8 ?? ?? ?? ?? 4C 8D 45 D0 48 8B CE 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 C0 75 15 EB 0D 48 8B 55 30 48 8B 4D 38 E8 ?? ?? ?? ?? 83 7D 28 00 74 ED 48 8B 4D 30 E8 ?? ?? ?? ?? 48 8B 4D 38 E8 ?? ?? ?? ?? 48 8B 4D 30 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 70 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_75_2_1 {
	meta:
		name = "_Thrd_current"
		size = 128
		refs = "0014 __imp_GetCurrentProcess 001d __imp_GetCurrentThread 004d __imp_DuplicateHandle 005a __imp_CloseHandle 0066 __imp_GetCurrentThreadId"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B F1 FF 15 ?? ?? ?? ?? 48 8B F8 FF 15 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 83 64 24 30 00 4C 8B CE 48 8B C8 C7 44 24 28 01 00 00 00 4C 8B C7 C7 44 24 20 02 00 00 00 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 74 0B 48 8B 0E FF 15 ?? ?? ?? ?? EB 04 48 83 26 00 FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 89 46 08 48 8B C6 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_75_3_1 {
	meta:
		name = "_Thrd_detach"
		size = 27
		refs = "0009 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D0 83 E0 04 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_75_6_1 {
	meta:
		name = "_Thrd_hardware_concurrency"
		size = 24
		refs = "000b __imp_GetNativeSystemInfo"
	strings:
		$1 = { 48 83 EC 58 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 8B 44 24 40 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_75_8_1 {
	meta:
		name = "_Thrd_join"
		size = 101
		refs = "001b __imp_WaitForSingleObjectEx 002e __imp_GetExitCodeThread 0046 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B DA 48 8B F9 48 8B 09 83 CA FF 45 33 C0 FF 15 ?? ?? ?? ?? 83 F8 FF 74 31 48 8B 0F 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 74 1F 48 85 DB 74 06 8B 44 24 30 89 03 48 8B 0F FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D0 83 E0 04 EB 05 B8 04 00 00 00 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_75_9_1 {
	meta:
		name = "_Thrd_sleep"
		size = 115
		refs = "0009 __security_cookie 0023 xtime_get 0030 _Xtime_diff_to_millis2 0038 __imp_Sleep 0069 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 BA 01 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? BA 01 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 3B 03 7C D2 75 09 8B 43 08 39 44 24 28 7C C7 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_75_10_1 {
	meta:
		name = "_Thrd_start"
		size = 57
		refs = "0022 _beginthreadex"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 41 08 4D 8B C8 4C 8B C2 48 89 44 24 28 83 64 24 20 00 48 8B D9 33 D2 33 C9 E8 ?? ?? ?? ?? 48 89 03 48 F7 D8 1B C0 F7 D0 83 E0 04 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_75_12_1 {
	meta:
		name = "run"
		size = 129
		refs = "0030 _Mtx_lock 0048 _Cnd_signal 0050 _Mtx_unlock 005d _guard_check_icall 0075 _Cnd_do_broadcast_at_thread_exit"
	strings:
		$1 = { 40 53 48 83 EC 70 0F 10 49 10 0F 10 01 0F 11 4C 24 30 66 0F 73 D9 08 66 48 0F 7E CB 0F 11 44 24 20 F2 0F 10 41 20 48 8B 0B F2 0F 11 44 24 60 E8 ?? ?? ?? ?? 48 8B 44 24 60 48 8B 4C 24 30 C7 00 01 00 00 00 48 8B 09 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 8B 5C 24 20 48 8B CB E8 ?? ?? ?? ?? 0F 10 44 24 20 66 0F 73 D8 08 66 48 0F 7E C1 FF D3 8B D8 E8 ?? ?? ?? ?? 8B C3 48 83 C4 70 5B C3 }
	condition:
		$1
}

rule file_76_0_1 {
	meta:
		name = "_Dint"
		size = 280
		refs = "00ae __ImageBase 00bf ?mask@?3??_Dint@@9@9 00cb ?sub@?3??_Dint@@9@9"
	strings:
		$1 = { B8 FF 07 00 00 4C 8B C1 0F B7 49 06 44 0F B7 DA 44 0F B7 C9 66 41 C1 E9 04 66 44 23 C8 66 44 3B C8 75 28 F6 C1 0F 75 1D 33 D2 66 41 39 50 04 75 14 66 41 39 50 02 75 0D 8D 42 01 66 41 39 10 0F 84 D2 00 00 00 B8 02 00 00 00 C3 0F B7 C1 33 D2 A9 FF 7F FF FF 75 18 66 41 39 50 04 75 11 66 41 39 50 02 75 0A 66 41 39 10 75 04 0F B7 C2 C3 41 BA 33 04 00 00 66 45 2B D1 66 45 2B D3 66 45 85 D2 7E E8 B8 35 00 00 00 66 41 3B C2 7F 19 B8 00 80 00 00 41 89 50 02 66 23 C8 66 41 89 10 66 41 89 48 06 83 C8 FF C3 49 0F BF C2 48 8D 0D ?? ?? ?? ?? 83 E0 0F 66 41 C1 FA 04 44 0F B7 8C 41 ?? ?? ?? ?? 49 0F BF C2 48 8B 8C C1 ?? ?? ?? ?? 41 0F B7 04 48 66 44 23 C8 66 41 33 C1 66 41 89 04 48 41 0F BF CA 83 E9 01 74 1E 83 E9 01 74 0F 83 F9 01 75 1C 66 45 0B 48 04 66 41 89 50 04 66 45 0B 48 02 66 41 89 50 02 66 45 0B 08 66 41 89 10 66 41 F7 D9 66 1B C0 C3 }
	condition:
		$1
}

rule file_77_0_1 {
	meta:
		name = "_Stopfx"
		size = 388
		refs = "0027 isspace 0091 isxdigit 013f isalnum"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 19 4C 8B F9 33 F6 4C 8B F2 0F B6 0B E8 ?? ?? ?? ?? 8D 7E 01 EB 0B 48 03 DF 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 80 3B 2D 75 05 8D 70 08 EB 05 80 3B 2B 75 03 48 03 DF 8A 03 41 B0 4E 41 2A C0 B2 DF 84 C2 0F 84 AD 00 00 00 8A 03 41 B1 49 41 2A C1 84 C2 74 39 80 3B 30 75 2D 8A 43 01 2C 58 84 C2 75 24 48 8D 6B 02 80 7D 00 2E 48 8D 45 01 48 0F 45 C5 0F B6 08 E8 ?? ?? ?? ?? 85 C0 74 08 48 8B DD BF 02 00 00 00 0B F7 E9 BE 00 00 00 48 03 DF 8A 03 41 2A C0 84 C2 0F 85 A1 00 00 00 48 03 DF 8A 03 2C 46 84 C2 0F 85 92 00 00 00 48 03 DF 83 CE 03 8A 03 41 2A C1 84 C2 0F 85 84 00 00 00 48 8D 4B 01 8A 01 41 2A C0 84 C2 75 77 48 03 CF 8A 01 41 2A C1 84 C2 75 6B 48 03 CF 8A 01 2C 54 84 C2 75 60 8A 04 39 2C 59 84 C2 75 57 48 8D 5F 01 48 03 D9 EB 4E 48 03 DF 8A 03 2C 41 84 C2 75 3E 48 03 DF 8A 03 41 2A C0 84 C2 75 32 48 03 DF BE 04 00 00 00 48 8B EB 80 3B 28 75 27 48 03 EF 0F B6 4D 00 E8 ?? ?? ?? ?? 85 C0 75 F0 80 7D 00 5F 74 EA 80 7D 00 29 75 0B 48 8D 5D 01 EB 05 49 8B 1F 33 F6 4D 85 F6 74 03 49 89 1E 48 8B 6C 24 48 8B C6 48 8B 74 24 50 49 89 1F 48 8B 5C 24 40 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_83_0_1 {
	meta:
		name = "_FCosh"
		size = 205
		refs = "0018 _FDtest 004f __xmm@80000000800000008000000080000000 005d _FXbig 0073 __real@3f800000 0078 _FExp 0080 __real@3e800000 00b7 _Feraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 0F 29 74 24 20 48 8D 4C 24 40 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 9B 00 00 00 FF C8 83 F8 01 77 0B F3 0F 10 44 24 40 E9 8C 00 00 00 0F 57 C0 0F 2E F0 7A 02 74 7F F3 0F 10 4C 24 40 0F 2F C1 76 0D 0F 57 0D ?? ?? ?? ?? F3 0F 11 4C 24 40 F3 0F 10 05 ?? ?? ?? ?? 48 8D 4C 24 40 41 83 C8 FF 0F 2F C1 76 27 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 44 24 40 F3 0F 58 44 24 40 F3 0F 59 C6 EB 2D 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0C 83 F9 01 75 82 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 6C FF FF FF 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_84_2_1 {
	meta:
		name = "_Smtx_try_lock_exclusive"
		size = 18
		refs = "0006 __imp_TryAcquireSRWLockExclusive"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 0F B6 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_84_3_1 {
	meta:
		name = "_Smtx_try_lock_shared"
		size = 18
		refs = "0006 __imp_TryAcquireSRWLockShared"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 0F B6 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_86_176_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 45
		refs = "000a __acrt_iob_func 0014 ?wfout@std@@3V?$basic_filebuf@GU?$char_traits@G@std@@@1@A 0019 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 0020 ??__Fwfout@std@@YAXXZ 0029 atexit"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_95_176_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 45
		refs = "000a __acrt_iob_func 0014 ?wfout@std@@3V?$basic_filebuf@_WU?$char_traits@_W@std@@@1@A 0019 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 0020 ??__Fwfout@std@@YAXXZ 0029 atexit"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_0_1 {
	meta:
		name = "_Toupper"
		size = 309
		refs = "001e ___lc_locale_name_func 0027 ___lc_codepage_func 0063 islower 007d __pctype_func 0102 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 20 56 57 41 56 48 83 EC 40 48 63 D9 48 8B FA 48 85 D2 75 13 E8 ?? ?? ?? ?? 48 8B 70 10 E8 ?? ?? ?? ?? 44 8B F0 EB 07 48 8B 72 18 44 8B 32 48 85 F6 75 12 8D 43 9F 83 F8 19 77 03 83 EB 20 8B C3 E9 D4 00 00 00 BD 02 00 00 00 81 FB 00 01 00 00 73 1C 48 85 FF 75 0D 8B CB E8 ?? ?? ?? ?? 85 C0 75 11 EB DA 48 8B 47 08 40 84 2C 58 74 D0 48 85 FF 75 19 E8 ?? ?? ?? ?? 8B CB C1 F9 08 0F B6 C9 0F B7 14 48 81 E2 00 80 00 00 EB 17 8B C3 48 C1 F8 08 0F B6 C8 48 8B 47 08 0F BF 14 48 C1 EA 0F 83 E2 01 85 D2 74 14 8B C3 88 5C 24 69 C1 F8 08 88 44 24 68 C6 44 24 6A 00 EB 0E 88 5C 24 68 BD 01 00 00 00 C6 44 24 69 00 C7 44 24 38 01 00 00 00 48 8D 44 24 70 44 89 74 24 30 4C 8D 44 24 68 C7 44 24 28 03 00 00 00 44 8B CD BA 00 02 00 00 48 89 44 24 20 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 39 FF FF FF 83 F8 01 0F B6 44 24 70 74 0A 0F B6 4C 24 71 C1 E0 08 0B C1 48 8B 5C 24 60 48 8B 6C 24 78 48 83 C4 40 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_88_0_1 {
	meta:
		name = "_Cnd_do_broadcast_at_thread_exit"
		size = 205
		refs = "0017 thread_exit_data 001c _Lock_at_thread_exit_mutex 0026 _Thrd_current 0062 _Thrd_equal 007d _Mtx_unlock 0086 _Cnd_broadcast 00c9 _Unlock_at_thread_exit_mutex"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 0F 29 74 24 40 48 8D 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 10 30 33 F6 39 B3 20 03 00 00 74 6D 48 8D 7B 10 48 83 FE 14 7D 63 48 83 3F 00 74 4D 0F 10 47 F0 48 8D 54 24 20 48 8D 4C 24 30 66 0F 7F 74 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 85 C0 74 2A 48 8B 47 10 48 85 C0 74 06 C7 00 01 00 00 00 48 8B 0F E8 ?? ?? ?? ?? 48 8B 4F 08 E8 ?? ?? ?? ?? 48 83 27 00 FF 8B 20 03 00 00 48 FF C6 48 83 C7 28 83 BB 20 03 00 00 00 75 97 48 8B 9B 28 03 00 00 48 85 DB 0F 85 79 FF FF FF 48 8B 5C 24 60 48 8B 74 24 68 0F 28 74 24 40 48 83 C4 50 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_1_1 {
	meta:
		name = "_Cnd_register_at_thread_exit"
		size = 204
		refs = "001f thread_exit_data 002a _Lock_at_thread_exit_mutex 004c calloc 0081 _Thrd_current 00c8 _Unlock_at_thread_exit_mutex"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 49 8B F0 48 8D 1D ?? ?? ?? ?? 48 8B EA 4C 8B F1 E8 ?? ?? ?? ?? 83 BB 20 03 00 00 14 75 29 48 83 BB 28 03 00 00 00 75 16 BA 30 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 89 83 28 03 00 00 48 8B 9B 28 03 00 00 EB 48 33 FF 48 8D 43 10 48 83 38 00 74 0F 48 FF C7 48 83 C0 28 48 83 FF 14 7C ED EB 2B 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 0C BF 0F 10 00 48 89 6C CB 10 4C 89 74 CB 18 F3 0F 7F 04 CB 48 89 74 CB 20 FF 83 20 03 00 00 33 DB 48 85 DB 75 81 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_2_1 {
	meta:
		name = "_Cnd_unregister_at_thread_exit"
		size = 104
		refs = "0010 thread_exit_data 0015 _Lock_at_thread_exit_mutex 0064 _Unlock_at_thread_exit_mutex"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8D 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 48 8B D1 39 8B 20 03 00 00 74 27 48 8D 43 10 48 83 FA 14 7D 1D 48 39 38 75 09 48 89 08 FF 8B 20 03 00 00 48 FF C2 48 83 C0 28 39 8B 20 03 00 00 75 DD 48 8B 9B 28 03 00 00 48 85 DB 75 C2 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_0_1 {
	meta:
		name = "_Getctype"
		size = 190
		refs = "000a ___lc_codepage_func 001b _calloc_base 0029 __pctype_func 009b ___lc_locale_name_func 00ad _wcsdup"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? BA 02 00 00 00 89 03 B9 00 01 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 85 C0 74 65 E8 ?? ?? ?? ?? 48 8B 4B 08 BA 04 00 00 00 44 8D 42 7C 0F 10 00 0F 11 01 0F 10 48 10 0F 11 49 10 0F 10 40 20 0F 11 41 20 0F 10 48 30 0F 11 49 30 0F 10 40 40 0F 11 41 40 0F 10 48 50 0F 11 49 50 0F 10 40 60 0F 11 41 60 49 03 C8 0F 10 48 70 49 03 C0 0F 11 49 F0 48 83 EA 01 75 B6 C7 43 10 01 00 00 00 EB 0D E8 ?? ?? ?? ?? 83 63 10 00 48 89 43 08 E8 ?? ?? ?? ?? 48 8B 48 08 48 89 4B 18 48 85 C9 74 09 E8 ?? ?? ?? ?? 48 89 43 18 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_89_1_1 {
	meta:
		name = "_Tolower"
		size = 293
		refs = "0018 ___lc_locale_name_func 0021 ___lc_codepage_func 0056 isupper 0070 __pctype_func 00f8 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 83 EC 40 48 63 D9 48 8B FA 48 85 D2 75 12 E8 ?? ?? ?? ?? 48 8B 70 10 E8 ?? ?? ?? ?? 8B E8 EB 06 48 8B 72 18 8B 2A 48 85 F6 75 12 8D 43 BF 83 F8 19 77 03 83 C3 20 8B C3 E9 D2 00 00 00 81 FB 00 01 00 00 73 1C 48 85 FF 75 0D 8B CB E8 ?? ?? ?? ?? 85 C0 75 11 EB DF 48 8B 47 08 F6 04 58 01 74 D5 48 85 FF 75 19 E8 ?? ?? ?? ?? 8B CB C1 F9 08 0F B6 C9 0F B7 14 48 81 E2 00 80 00 00 EB 17 8B C3 48 C1 F8 08 0F B6 C8 48 8B 47 08 0F BF 14 48 C1 EA 0F 83 E2 01 85 D2 74 1A 8B C3 88 5C 24 69 C1 F8 08 41 B9 02 00 00 00 88 44 24 68 C6 44 24 6A 00 EB 0F 88 5C 24 68 41 B9 01 00 00 00 C6 44 24 69 00 C7 44 24 38 01 00 00 00 48 8D 44 24 70 89 6C 24 30 4C 8D 44 24 68 C7 44 24 28 03 00 00 00 BA 00 01 00 00 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 3B FF FF FF 83 F8 01 0F B6 44 24 70 74 0A 0F B6 4C 24 71 C1 E0 08 0B C1 48 8B 5C 24 60 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_90_0_1 {
	meta:
		name = "_WStoflt"
		size = 713
		refs = "0017 __security_cookie 0073 iswctype 00af localeconv 00ba btowc 02ad __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 8B 84 24 D0 00 00 00 45 33 ED 49 8B F1 4C 89 44 24 20 48 8B DA 48 89 4C 24 28 8D 2C C0 41 8D 45 2D 3B E8 0F 4F E8 45 21 29 45 21 69 04 45 33 FF 66 83 3A 30 75 0E 45 8D 7D 01 48 83 C3 02 66 83 3B 30 74 F6 0F B7 0B 33 FF 4C 63 E5 8D 57 04 E8 ?? ?? ?? ?? 85 C0 74 33 45 33 F6 44 8D 7F 01 4D 3B F4 7F 10 8A 03 FF C7 2C 30 42 88 44 34 30 49 FF C6 EB 02 FF 06 48 83 C3 02 BA 04 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 D4 E8 ?? ?? ?? ?? 48 8B 08 0F BE 09 E8 ?? ?? ?? ?? 66 39 03 75 04 48 83 C3 02 85 FF 75 16 66 83 3B 30 75 10 44 8D 7F 01 FF 0E 48 83 C3 02 66 83 3B 30 74 F4 0F B7 0B BA 04 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 33 4C 63 F7 41 BF 01 00 00 00 4D 3B F4 7F 10 8A 03 FF C7 2C 30 42 88 44 34 30 49 FF C6 FF 0E 48 83 C3 02 BA 04 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 D6 3B EF 7D 12 80 7C 2C 30 05 7C 07 8D 45 FF FE 44 04 30 FF 06 8B FD 48 63 C7 85 FF 7E 1A 48 8D 4C 24 30 44 38 6C 01 FF 75 0C FF 06 FF CF 48 FF C8 48 85 C0 7F ED 85 FF 75 0A BF 01 00 00 00 44 88 6C 24 30 45 85 FF 0F 84 10 01 00 00 BD 39 8E E3 38 4C 63 DF 8B C5 F7 EF D1 FA 8B C2 FF C2 C1 E8 1F 03 C2 44 8D 14 C0 8B C5 44 2B D7 41 F7 EA D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 D2 44 3B D0 41 0F 95 C5 85 FF 7E 49 45 33 C0 45 8B CD 8B C5 41 F7 EA D1 FA 8B C2 C1 E8 1F 03 D0 8D 0C D2 44 3B D1 75 0E 42 0F BE 44 04 30 41 FF C5 49 FF C1 EB 10 42 8B 04 8E 42 0F BE 54 04 30 8D 0C 80 8D 04 4A 41 FF C2 42 89 04 8E 49 FF C0 4D 3B C3 7C BD 0F B7 03 B9 DF FF 00 00 66 83 E8 45 66 85 C1 75 7C 4C 8B E3 BD 2B 00 00 00 48 83 C3 02 B9 FD FF 00 00 0F B7 03 66 2B C5 66 85 C1 75 07 0F B7 2B 48 83 C3 02 0F B7 0B 33 FF 45 33 F6 8D 57 04 E8 ?? ?? ?? ?? 85 C0 74 2D 44 8D 77 01 81 FF 00 E1 F5 05 7D 0C 0F B7 03 8D 3C BF 8D 7F E8 8D 3C 78 48 83 C3 02 BA 04 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 D7 8B C7 B9 2D 00 00 00 F7 D8 66 3B E9 0F 45 C7 01 06 45 85 F6 49 0F 44 DC 48 8B 54 24 20 41 8B C7 F7 D8 1B C0 41 23 C5 48 85 D2 74 0F 48 8B 4C 24 28 45 85 FF 48 0F 45 CB 48 89 0A 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_91_0_1 {
	meta:
		name = "_FDnorm"
		size = 233
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 0F B7 41 02 BE 01 00 00 00 44 0F B7 D8 BA 00 80 00 00 66 44 23 DA 44 0F B7 CE 33 D2 8D 7E 7E 23 C7 66 89 41 02 66 85 C0 75 1C 66 39 11 0F 84 8E 00 00 00 66 85 C0 75 0E 0F B7 01 44 8D 4E F0 66 89 41 02 66 89 11 44 0F B7 51 02 BB 80 00 00 00 66 44 3B D3 73 2F 44 0F B7 01 41 0F B7 D2 41 0F B7 C0 66 03 D2 66 C1 E8 0F 66 0B D0 66 45 03 C0 66 41 FF C9 44 0F B7 D2 66 3B D3 72 DD 66 89 51 02 66 44 89 01 0F B7 51 02 41 BA 00 01 00 00 66 44 3B D2 77 28 44 0F B7 01 0F B7 C2 66 41 D1 E8 66 C1 E0 0F 66 44 03 CE 66 44 0B C0 66 D1 EA 66 44 3B D2 76 E4 66 89 51 02 66 44 89 01 66 21 79 02 66 44 09 59 02 41 0F B7 C1 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_92_10_1 {
	meta:
		name = "??$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@0@XZ"
		size = 72
		refs = "0006 ??_B?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@0@XZ@51 0014 ??__F_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@0@XZ@YAXXZ 0021 ??_7_System_error_category@std@@6B@ 0028 ?_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@1@XZ@4U?$_Immortalizer@V_System_error_category@std@@@1@A 0038 atexit"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? A8 01 75 2E 83 C8 01 48 8D 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 C7 05 ?? ?? ?? ?? 07 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_92_41_1 {
	meta:
		name = "??$swap@D$0BA@X@std@@YAXAEAY0BA@D0@Z"
		size = 66
	strings:
		$1 = { 4C 8B C1 48 3B CA 74 39 48 8D 41 10 48 3B C1 4D 1B C9 49 F7 D1 41 83 E1 10 48 3B C8 77 23 4C 8B D1 49 F7 DA 48 2B D1 42 8A 04 02 41 8A 08 41 88 00 42 88 0C 02 49 FF C0 4B 8D 04 02 49 3B C1 75 E6 C3 }
	condition:
		$1
}

rule file_92_46_1 {
	meta:
		name = "??0?$_Immortalizer@V_System_error_category@std@@@std@@QEAA@XZ"
		size = 27
		refs = "0008 ??_7_System_error_category@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 12 48 8D 05 ?? ?? ?? ?? 48 C7 41 08 07 00 00 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_92_66_1 {
	meta:
		name = "??0_System_error_category@std@@QEAA@XZ"
		size = 22
		refs = "0003 ??_7_System_error_category@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 C7 41 08 07 00 00 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_92_75_1 {
	meta:
		name = "??0system_error@std@@QEAA@Verror_code@1@@Z"
		size = 160
		refs = "0017 __security_cookie 002c ??_C@_00CNPNBAHC@?$AA@ 0035 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 0051 ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0061 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0074 ?_Deallocate@std@@YAXPEAX_K1@Z 007b ??_7system_error@std@@6B@ 008e __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 48 8B DA 48 8B F9 48 8D 15 ?? ?? ?? ?? 49 8D 4B C8 E8 ?? ?? ?? ?? 90 0F 10 03 F3 0F 7F 44 24 30 4C 8D 44 24 40 48 8D 54 24 30 48 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4C 24 40 E8 ?? ?? ?? ?? BA 01 00 00 00 44 8D 42 0F 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_92_145_1 {
	meta:
		name = "?_Swap_all@?$_String_alloc@U?$_String_base_types@DV?$allocator@D@std@@@std@@@std@@QEAAXAEAV12@@Z"
		size = 35
		altNames = "?_Swap_all@_Container_base12@std@@QEAAXAEAU12@@Z"
	strings:
		$1 = { 48 8B 02 4C 8B 01 48 89 01 4C 89 02 48 8B 01 48 85 C0 74 03 48 89 08 48 8B 02 48 85 C0 74 03 48 89 10 C3 }
	condition:
		$1
}

rule file_92_147_1 {
	meta:
		name = "?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXAEAV12@@Z"
		size = 209
		refs = "0049 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 20 10 48 8B DA 48 8B F9 72 41 48 83 7A 20 10 72 15 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 E9 93 00 00 00 4C 8B 42 18 48 83 C1 08 48 8B 39 49 83 C0 01 74 09 48 83 C2 08 E8 ?? ?? ?? ?? 48 83 C3 08 74 73 48 89 3B EB 6E 48 83 7A 20 10 73 44 48 83 C3 08 48 8D 51 08 48 3B D3 74 5A 48 8D 42 10 48 3B C2 4D 1B C0 49 F7 D0 41 83 E0 10 48 3B D0 77 44 4C 8B CA 49 F7 D9 48 2B DA 8A 04 13 8A 0A 88 02 88 0C 13 48 FF C2 49 8D 04 11 49 3B C0 75 EA EB 23 4C 8B 47 18 48 8D 4A 08 48 8B 19 49 83 C0 01 74 09 48 8D 57 08 E8 ?? ?? ?? ?? 48 83 C7 08 74 03 48 89 1F 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_92_149_1 {
	meta:
		name = "?_XGetLastError@std@@YAXXZ"
		size = 79
		refs = "0007 ?system_category@std@@YAAEBVerror_category@1@XZ 0010 __imp_GetLastError 001f ??0error_code@std@@QEAA@HAEBVerror_category@1@@Z 0039 ??0system_error@std@@QEAA@Verror_code@1@@Z 0040 _TI4?AVsystem_error@std@@ 004a _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 60 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 4C 8B C3 48 8D 4C 24 20 8B D0 E8 ?? ?? ?? ?? 0F 28 44 24 20 48 8D 54 24 20 48 8D 4C 24 30 66 0F 7F 44 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_92_177_1 {
	meta:
		name = "?default_error_condition@_System_error_category@std@@UEBA?AVerror_condition@2@H@Z"
		size = 204
		refs = "0023 ?_Winerror_map@std@@YAHH@Z 0030 ??_B?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@0@XZ@51 0045 ??_7_Generic_error_category@std@@6B@ 004c ?_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@1@XZ@4U?$_Immortalizer@V_Generic_error_category@std@@@1@A 005e ??__F_Static@?1???$_Immortalize@V_Generic_error_category@std@@@std@@YAAEAV_Generic_error_category@0@XZ@YAXXZ 0063 atexit 0075 ??_B?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@0@XZ@51 0089 ??_7_System_error_category@std@@6B@ 0090 ?_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@1@XZ@4U?$_Immortalizer@V_System_error_category@std@@@1@A 00a2 ??__F_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@0@XZ@YAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 41 8B F8 48 8B DA 41 8B C8 E8 ?? ?? ?? ?? 90 8B F0 85 C0 74 45 8B 0D ?? ?? ?? ?? F6 C1 01 75 2F 83 C9 01 89 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 C7 05 ?? ?? ?? ?? 03 00 00 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 89 33 48 8D 05 ?? ?? ?? ?? EB 42 8B 05 ?? ?? ?? ?? A8 01 75 2F 83 C8 01 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 C7 05 ?? ?? ?? ?? 07 00 00 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 89 3B 48 8D 05 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_92_191_1 {
	meta:
		name = "?message@_System_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 253
		refs = "001e __security_cookie 0040 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z 005c ?_Winerror_message@std@@YAKKPEADK@Z 0067 ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 006f ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z 00a1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00aa ?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXXZ 00b6 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z 00c5 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 00d8 ?_Deallocate@std@@YAXPEAX_K1@Z 00e7 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 08 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 41 8B D8 48 8B FA 83 65 C0 00 45 33 C0 BA FF 7F 00 00 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8D 55 D8 48 83 7D F0 10 48 0F 43 55 D8 41 B8 FF 7F 00 00 8B CB E8 ?? ?? ?? ?? 85 C0 75 11 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? EB 46 8B D0 48 3B 55 E8 77 18 48 89 55 E8 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 C6 04 10 00 EB 10 48 2B 55 E8 45 33 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8B CF E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D0 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 41 8D 50 F1 48 8B 4D D0 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 10 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_92_202_1 {
	meta:
		name = "?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXXZ"
		size = 206
		refs = "0010 __security_cookie 0038 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z 0073 ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXAEAV12@@Z 00a1 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 00b3 ?_Deallocate@std@@YAXPEAX_K1@Z 00bf __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B 41 18 48 8B D9 48 83 C8 0F 48 3B 41 20 0F 83 87 00 00 00 48 8B D1 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 45 D0 48 3B D8 74 52 48 8B 45 D0 48 8B 0B 48 89 03 48 89 4D D0 48 85 C0 74 07 48 89 18 48 8B 4D D0 48 85 C9 74 07 48 8D 45 D0 48 89 01 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 18 48 8B 45 E8 48 89 43 18 48 8B 45 F0 48 89 4D E8 48 8B 4B 20 48 89 43 20 48 89 4D F0 45 33 C0 48 8D 4D D0 B2 01 E8 ?? ?? ?? ?? 48 8B 4D D0 BA 01 00 00 00 44 8D 42 0F E8 ?? ?? ?? ?? 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_92_204_1 {
	meta:
		name = "?swap@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXAEAV12@@Z"
		size = 103
		refs = "0038 ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXAEAV12@@Z"
	strings:
		$1 = { 48 3B CA 74 61 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B DA 4C 8B 01 48 8B F9 48 89 01 4C 89 02 48 8B 01 48 85 C0 74 03 48 89 08 48 8B 02 48 85 C0 74 03 48 89 18 E8 ?? ?? ?? ?? 48 8B 43 18 48 8B 4F 18 48 89 47 18 48 89 4B 18 48 8B 43 20 48 8B 4F 20 48 89 47 20 48 89 4B 20 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_92_205_1 {
	meta:
		name = "?system_category@std@@YAAEBVerror_category@1@XZ"
		size = 72
		refs = "0006 ??_B?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@0@XZ@51 0014 ?_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@1@XZ@4U?$_Immortalizer@V_System_error_category@std@@@1@A 0025 ??__F_Static@?1???$_Immortalize@V_System_error_category@std@@@std@@YAAEAV_System_error_category@0@XZ@YAXXZ 002c ??_7_System_error_category@std@@6B@ 0038 atexit"
	strings:
		$1 = { 48 83 EC 28 8B 05 ?? ?? ?? ?? A8 01 75 2E 83 C8 01 48 C7 05 ?? ?? ?? ?? 07 00 00 00 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_94_0_1 {
	meta:
		name = "?_New_handler_interface@std@@YAH_K@Z"
		size = 34
		refs = "0009 ?_New_handler@std@@3P6AXXZEA 0011 _guard_check_icall"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? FF D3 B8 01 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_94_1_1 {
	meta:
		name = "?get_new_handler@std@@YAP6AXXZXZ"
		size = 58
		refs = "001a ??0_Lockit@std@@QEAA@H@Z 0022 ?_New_handler@std@@3P6AXXZEA 002c ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF BA 01 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 1D ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_94_2_1 {
	meta:
		name = "?set_new_handler@std@@YAP6AXXZP6AXXZ@Z"
		size = 100
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a ?_New_handler@std@@3P6AXXZEA 003e ?_New_handler_interface@std@@YAH_K@Z 0046 _set_new_handler 0051 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 BA 01 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 3D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 F7 DB 48 1B C9 48 8D 05 ?? ?? ?? ?? 48 23 C8 E8 ?? ?? ?? ?? 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_96_0_1 {
	meta:
		name = "_Getcoll"
		size = 52
		refs = "000a ___lc_collate_cp_func 0011 ___lc_locale_name_func 0023 _wcsdup"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? 48 8B 48 08 48 89 4B 08 48 85 C9 74 09 E8 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_96_1_1 {
	meta:
		name = "_Strcoll"
		size = 205
		refs = "0035 ___lc_locale_name_func 003e ___lc_collate_cp_func 0060 memcmp 0095 __crtCompareStringA 009e _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 40 48 8B 44 24 70 49 8B D9 48 8B FA 41 2B D8 2B F9 49 8B E8 4C 8B F1 48 85 C0 75 10 E8 ?? ?? ?? ?? 48 8B 70 08 E8 ?? ?? ?? ?? EB 06 48 8B 70 08 8B 00 48 85 F6 75 2A 8B C3 3B FB 48 8B D5 49 8B CE 0F 4C C7 4C 63 C0 E8 ?? ?? ?? ?? 85 C0 75 4A 3B FB 74 46 83 C9 FF 8D 46 01 3B FB 0F 4C C1 EB 39 89 44 24 30 44 8B CF 89 5C 24 28 4D 8B C6 BA 00 10 00 00 48 89 6C 24 20 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 E8 02 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_97_0_1 {
	meta:
		name = "_Exp"
		size = 304
		refs = "000b __real@c09cc80000000000 002c __real@409cc80000000000 0036 _Inf 004f __real@3ff71547652b82fe 005d __real@bfe0000000000000 0067 __real@3fe0000000000000 006f _Eps 008d __real@3eb7f7d1cf79abca 0095 __real@3fe62e4000000000 00a3 __xmm@80000000000000008000000000000000 00d1 __real@403e03de70809891 00d9 __real@407a44d67747f890 00e1 __real@40aa45716e3ca325 00f1 __real@40cd8e59b89ff950 00f9 __real@40dd8e59b89ff951 0126 _Dscale"
	strings:
		$1 = { F2 0F 10 19 0F 28 E1 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 0F 87 11 01 00 00 0F 57 C9 66 0F 2E E1 7A 06 0F 84 02 01 00 00 66 0F 2F 1D ?? ?? ?? ?? 76 16 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 11 01 E9 E7 00 00 00 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F C8 76 0A F2 0F 10 0D ?? ?? ?? ?? EB 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C8 F2 0F 2C D1 0F BF C2 66 0F 6E C8 F3 0F E6 C9 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 0F 28 C2 0F 57 05 ?? ?? ?? ?? F2 0F 5C D9 66 0F 2F D8 76 0C 66 0F 2F D3 76 06 F2 0F 11 21 EB 5F 0F 28 CB 66 FF CA F2 0F 59 CB 0F 28 D1 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 59 D1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D8 0F 28 CA F2 0F 58 CB F2 0F 5C D3 F2 0F 5E CA F2 0F 58 C9 F2 0F 59 CC F2 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 48 89 01 C3 }
	condition:
		$1
}

rule file_98_0_1 {
	meta:
		name = "_Dscale"
		size = 642
		refs = "006b _Dnorm 008c _Inf 0099 __xmm@80000000000000008000000000000000"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B D9 BD FF 07 00 00 0F B7 49 06 8B F2 66 C1 E9 04 66 23 CD 66 3B CD 75 2E F6 43 06 0F 75 19 33 FF 66 39 7B 04 75 11 66 39 7B 02 75 0B 66 39 3B 75 06 44 8D 57 01 EB 06 41 BA 02 00 00 00 41 0F B7 C2 E9 09 02 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C EB 01 00 00 85 F6 7E 2C 0F BF C1 2B E8 3B EE 7F 23 F2 0F 10 05 ?? ?? ?? ?? 66 39 7B 06 7D 07 0F 57 05 ?? ?? ?? ?? F2 0F 11 03 B8 01 00 00 00 E9 BE 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 1C 66 03 F1 B8 0F 80 00 00 66 21 43 06 66 C1 E6 04 66 09 73 06 83 C8 FF E9 97 01 00 00 0F B7 4B 06 44 8D 5E FF 0F B7 E9 44 03 DA 66 83 E1 0F 41 BF 00 80 00 00 41 BE 10 00 00 00 66 41 23 EF 66 41 0B CE 41 8D 43 35 66 89 4B 06 83 F8 34 0F 87 53 01 00 00 45 8D 56 F1 0F B7 F7 66 41 83 FB F0 7F 59 0F B7 53 02 B8 F0 FF 00 00 66 41 2B C3 44 0F B7 C9 0F B7 4B 04 66 C1 E8 04 66 41 03 C2 44 0F B7 C0 41 0F B7 C0 66 C1 E0 04 66 44 03 D8 66 85 F6 8B C7 0F 95 C0 0F B7 F0 66 0B 33 66 89 13 0F B7 D1 41 0F B7 C9 44 8B CF 4D 2B C2 75 E0 66 89 7B 06 66 89 4B 04 66 89 53 02 66 41 F7 DB 0F 84 85 00 00 00 44 0F B7 03 8B C7 41 0F B7 D0 45 0F BF CB 45 2B F1 41 8B CE 66 D3 E2 41 0F B7 CB 66 85 F6 0F B7 F2 0F B7 53 02 0F 95 C0 66 41 D3 E8 66 0B F0 41 8B CE 0F B7 C2 66 D3 E0 41 0F B7 CB 66 44 0B C0 66 D3 EA 66 44 89 03 41 8B CE 44 0F B7 43 04 41 0F B7 C0 66 D3 E0 41 0F B7 CB 66 0B D0 66 41 D3 E8 66 89 53 02 41 8B CE 0F B7 53 06 0F B7 C2 66 D3 E0 41 8B C9 66 44 0B C0 66 D3 EA 66 89 53 06 66 44 89 43 04 66 09 6B 06 0F B7 43 06 66 44 3B FE 72 07 75 26 44 84 13 74 21 66 44 01 13 75 1B 66 44 01 53 02 75 14 66 44 01 53 04 75 0D 66 41 03 C2 66 89 43 06 E9 95 FE FF FF 66 3B C5 0F 85 8C FE FF FF 66 39 7B 04 0F 85 82 FE FF FF 66 39 7B 02 0F 85 78 FE FF FF 66 39 3B 74 0F E9 6E FE FF FF 66 89 6B 06 89 7B 02 66 89 3B 0F B7 C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_99_0_1 {
	meta:
		name = "??$?0AEAPEAUEHExceptionRecord@@_N@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QEAA@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
		size = 75
		refs = "0024 ??_7?$_Ref_count_obj@V__ExceptionPtr@@@std@@6B@ 003d ??0__ExceptionPtr@@QEAA@PEBUEHExceptionRecord@@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B8 01 00 00 00 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 10 48 89 4C 24 58 74 0C 45 8A 00 48 8B 12 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_99_2_1 {
	meta:
		name = "?dtor$1@?0???$?0AEAPEAUEHExceptionRecord@@_N@?$_Ref_count_obj@V__ExceptionPtr@@@std@@QEAA@AEAPEAUEHExceptionRecord@@$$QEA_N@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 83 C2 10 48 8B 4D 58 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_99_3_1 {
	meta:
		name = "??$?0AEAPEAUEHExceptionRecord@@_N@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QEAA@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
		size = 128
		refs = "0036 ??_7?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@6B@ 004d memset 006a ??0__ExceptionPtr@@QEAA@PEBUEHExceptionRecord@@_N@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 56 57 41 56 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 18 49 8B F1 4D 8B F0 48 8B D9 B8 01 00 00 00 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 79 10 33 D2 41 B8 A0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 89 7C 24 58 48 89 7C 24 28 48 85 FF 74 0F 44 8A 06 49 8B 16 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 60 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_99_5_1 {
	meta:
		name = "?dtor$1@?0???$?0AEAPEAUEHExceptionRecord@@_N@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QEAA@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z@4HA"
		size = 28
		refs = "0012 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 58 48 8B 4D 28 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_99_7_1 {
	meta:
		name = "??$?0AEBU?$_StaticAllocator@H@@$$V@?$_Compressed_pair@U?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@T?$_Align_type@N$0KA@@2@$00@std@@QEAA@U_One_then_variadic_args_t@1@AEBU?$_StaticAllocator@H@@@Z"
		size = 31
		refs = "0012 memset"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 41 B8 A0 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_99_11_1 {
	meta:
		name = "??$_Construct1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXU?$integral_constant@_N$00@1@AEAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
		size = 61
		refs = "0033 ??$?0AEAPEAUEHExceptionRecord@@_N@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QEAA@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 4D 8B D1 49 8B C0 48 89 44 24 28 4D 85 C0 74 16 4C 8B 4C 24 68 4C 8B 44 24 60 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_99_12_1 {
	meta:
		name = "?dtor$0@?0???$_Construct1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXU?$integral_constant@_N$00@1@AEAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z@4HA"
		size = 28
		refs = "0012 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 50 48 8B 4D 28 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_99_13_1 {
	meta:
		name = "??$_Destroy1@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAEAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@U?$integral_constant@_N$00@1@@Z"
		size = 46
		refs = "0018 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B FA 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 33 D2 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_99_14_1 {
	meta:
		name = "??$_Reset@V__ExceptionPtr@@@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXAEBV01@@Z"
		size = 22
		refs = "0012 ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 4C 8B 42 08 48 8B 12 4D 85 C0 74 05 F0 41 FF 40 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_16_1 {
	meta:
		name = "??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
		size = 139
		refs = "0034 ?_StaticAlloc@@YAPEAX_K@Z 0057 ??$?0AEAPEAUEHExceptionRecord@@_N@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QEAA@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z 0070 ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 57 41 56 41 57 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 50 48 89 74 24 68 49 8B F1 4D 8B F0 4C 8B FA 48 8B F9 83 64 24 20 00 B9 B0 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 58 48 89 44 24 60 48 85 C0 74 12 4C 8B CE 4D 8B C6 49 8B D7 48 8B C8 E8 ?? ?? ?? ?? 90 48 83 27 00 48 83 67 08 00 48 8D 53 10 4C 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 5F C3 }
	condition:
		$1
}

rule file_99_17_1 {
	meta:
		name = "?dtor$11@?0???$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z@4HA"
		size = 28
		refs = "0012 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 58 48 8B 4D 60 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_99_20_1 {
	meta:
		name = "??$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QEAAXPEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
		size = 62
		refs = "0034 ??$?0AEAPEAUEHExceptionRecord@@_N@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@QEAA@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
		altNames = "??$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAEAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
	strings:
		$1 = { 48 89 54 24 10 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 4D 8B D1 4D 8B D8 48 8B C2 48 89 54 24 50 48 85 D2 74 14 4C 8B 4C 24 60 4D 8B C2 49 8B D3 48 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_99_21_1 {
	meta:
		name = "?dtor$6@?0???$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QEAAXPEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z@4HA"
		size = 28
		refs = "0012 ??3@YAXPEAX0@Z"
		altNames = "?dtor$3@?0???$construct@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAEAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 48 48 8B 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_99_24_1 {
	meta:
		name = "??$destroy@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QEAAXPEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@@Z"
		size = 49
		refs = "0018 _guard_check_icall"
		altNames = "??$destroy@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@?$allocator_traits@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@SAXAEAU?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@PEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@1@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B FA 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 33 D2 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_99_30_1 {
	meta:
		name = "??$make_shared@V__ExceptionPtr@@AEAPEAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
		size = 156
		refs = "002f ??2@YAPEAX_K@Z 004e ??_7?$_Ref_count_obj@V__ExceptionPtr@@@std@@6B@ 006a ??0__ExceptionPtr@@QEAA@PEBUEHExceptionRecord@@_N@Z 0087 ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 56 57 41 56 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 58 49 8B F0 4C 8B F2 48 8B F9 83 64 24 20 00 B9 B0 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 50 48 85 C0 74 31 B8 01 00 00 00 89 43 08 89 43 0C 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4B 10 48 89 4C 24 68 48 85 C9 74 0C 44 8A 06 49 8B 16 E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 83 27 00 48 83 67 08 00 48 8D 53 10 4C 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 58 48 83 C4 30 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_99_31_1 {
	meta:
		name = "?dtor$0@?0???$make_shared@V__ExceptionPtr@@AEAPEAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AEAPEAUEHExceptionRecord@@$$QEA_N@Z@4HA"
		size = 29
		refs = "0013 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA B0 00 00 00 48 8B 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_99_33_1 {
	meta:
		name = "?dtor$5@?0???$make_shared@V__ExceptionPtr@@AEAPEAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AEAPEAUEHExceptionRecord@@$$QEA_N@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 50 48 83 C2 10 48 8B 4D 68 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_99_39_1 {
	meta:
		name = "??0?$_Ptr_base@V__ExceptionPtr@@@std@@QEAA@$$QEAV01@@Z"
		size = 27
		altNames = "??0?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@$$QEAV01@@Z"
	strings:
		$1 = { 48 8B 02 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 48 83 22 00 48 83 62 08 00 C3 }
	condition:
		$1
}

rule file_99_42_1 {
	meta:
		name = "??0?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@AEBV01@@Z"
		size = 49
		refs = "0024 ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 8B D9 48 83 61 08 00 4C 8B 42 08 48 8B 12 4D 85 C0 74 05 F0 41 FF 40 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_99_44_1 {
	meta:
		name = "??0_Ref_count_base@std@@IEAA@XZ"
		size = 25
		refs = "0003 ??_7_Ref_count_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 01 00 00 00 89 41 08 89 41 0C 48 8B C1 C3 }
	condition:
		$1
}

rule file_99_45_1 {
	meta:
		name = "??0__ExceptionPtr@@QEAA@PEBUEHExceptionRecord@@_N@Z"
		size = 386
		refs = "007f memset 00f1 __imp_EncodePointer 0113 malloc 011a ?_StaticAlloc@@YAPEAX_K@Z 013a ?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z 0166 ??0bad_alloc@std@@QEAA@XZ 016d _TI2?AVbad_alloc@std@@ 0177 _CxxThrowException 017d terminate"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 50 44 88 81 98 00 00 00 48 8B FA 8B 02 45 8A F0 89 01 48 8B D9 8B 42 04 48 83 61 08 00 48 83 61 10 00 89 41 04 8B 42 18 33 D2 89 41 18 44 8D 42 0F 85 C0 74 16 41 3B D0 73 11 48 8B 44 D7 20 48 89 44 D1 20 FF C2 3B 51 18 72 EA 44 39 41 18 73 1A 8B 41 18 33 D2 44 2B 43 18 48 83 C0 04 49 C1 E0 03 48 8D 0C C1 E8 ?? ?? ?? ?? 81 3F 63 73 6D E0 0F 85 B3 00 00 00 83 7F 18 04 0F 85 A9 00 00 00 8B 4F 20 8D 81 E0 FA 6C E6 83 F8 02 76 0C 81 F9 00 40 99 01 0F 85 8F 00 00 00 48 83 63 28 00 48 83 7F 28 00 48 8B 77 30 0F 84 B5 00 00 00 48 85 F6 0F 84 AC 00 00 00 83 7E 0C 00 0F 84 A2 00 00 00 48 63 4E 0C 48 8B 43 38 83 3C 01 00 0F 8E 90 00 00 00 48 8B CE FF 15 ?? ?? ?? ?? 48 8B 4B 38 48 89 43 30 48 63 46 0C 48 63 6C 08 04 48 03 E9 48 63 4D 14 45 84 F6 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 3A 4C 63 4D 14 48 8B D0 4C 8B 47 28 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 89 73 28 48 8B 6C 24 68 48 8B C3 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5E C3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_99_54_1 {
	meta:
		name = "??1?$shared_ptr@V__ExceptionPtr@@@std@@QEAA@XZ"
		size = 95
		refs = "002a _guard_check_icall"
		altNames = "?_Decref@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 08 48 85 FF 74 41 83 C8 FF F0 0F C1 47 08 83 F8 01 75 34 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_99_56_1 {
	meta:
		name = "??1__ExceptionPtr@@QEAA@XZ"
		size = 219
		refs = "005b __imp_DecodePointer 0069 terminate 0095 ?_CallMemberFunction0@@YAXPEAXP6AX0@Z@Z 00b6 _guard_check_icall 00c6 free"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 48 8B F9 80 B9 98 00 00 00 00 0F 84 A2 00 00 00 81 39 63 73 6D E0 0F 85 96 00 00 00 83 79 18 04 0F 85 8C 00 00 00 8B 49 20 8D 81 E0 FA 6C E6 83 F8 02 76 08 81 F9 00 40 99 01 75 76 48 8B 4F 30 FF 15 ?? ?? ?? ?? 90 48 8B C8 48 85 C0 75 06 E8 ?? ?? ?? ?? 90 48 8B 77 28 48 85 F6 74 4A 4C 8B 47 38 48 63 40 0C 4A 63 54 00 04 83 79 04 00 74 12 48 63 51 04 49 03 D0 48 8B CE E8 ?? ?? ?? ?? 90 EB 25 42 F6 04 02 08 74 1E 48 8B 36 48 85 F6 74 16 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CE FF D3 90 48 8B 4F 28 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_99_62_1 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 156
		refs = "005a _guard_check_icall"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 57 48 83 EC 30 4C 8B 02 48 8B F1 48 8B 42 08 48 83 22 00 48 83 62 08 00 48 8B 51 08 48 89 41 08 4D 89 43 E8 49 89 43 08 49 89 53 F0 4C 89 01 48 85 D2 74 4A 83 C8 FF F0 0F C1 42 08 83 F8 01 75 3D 49 8B 7B F0 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 19 48 8B 7C 24 28 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 48 48 8B C6 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_99_63_1 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 184
		refs = "0032 ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z 0076 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 30 4C 8B 42 08 0F 57 C0 48 8B 12 48 8B F1 F3 0F 7F 44 24 20 4D 85 C0 74 05 F0 41 FF 40 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 48 8B 4E 08 48 89 46 08 48 89 44 24 40 48 8B 44 24 20 48 89 06 48 89 4C 24 28 48 85 C9 74 4B 83 C8 FF F0 0F C1 41 08 83 F8 01 75 3E 48 8B 7C 24 28 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 19 48 8B 7C 24 28 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 48 48 8B C6 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_99_66_1 {
	meta:
		name = "??_G?$_Ref_count_obj@V__ExceptionPtr@@@std@@UEAAPEAXI@Z"
		size = 43
		refs = "0009 ??_7_Ref_count_base@std@@6B@ 001e ??3@YAXPEAX_K@Z"
		altNames = "??_G?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@UEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 0A BA B0 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_99_68_1 {
	meta:
		name = "??_G?$shared_ptr@V__ExceptionPtr@@@std@@QEAAPEAXI@Z"
		size = 142
		refs = "0039 _guard_check_icall 0072 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 79 08 8B EA 48 8B F1 48 85 FF 74 41 83 C8 FF F0 0F C1 47 08 83 F8 01 75 34 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 40 F6 C5 01 74 0D BA 10 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 40 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_99_70_1 {
	meta:
		name = "??_G__ExceptionPtr@@QEAAPEAXI@Z"
		size = 52
		refs = "0010 ??1__ExceptionPtr@@QEAA@XZ 0022 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA A0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_99_75_1 {
	meta:
		name = "??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A@@YAXXZ"
		size = 98
		refs = "000d ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A 002d _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 41 83 C8 FF F0 0F C1 47 08 83 F8 01 75 34 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_99_77_1 {
	meta:
		name = "?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z"
		size = 234
		refs = "0063 __AdjustPointer 0077 ?_CallMemberFunction2@@YAXPEAXP6AX0@Z0H@Z 009e ?_CallMemberFunction1@@YAXPEAXP6AX0@Z0@Z 00af memcpy 00cb _guard_check_icall"
	strings:
		$1 = { 48 8B C4 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 49 8B F8 4C 8B F2 4C 8B C1 48 8B 74 24 60 F6 06 01 75 75 48 63 46 18 33 DB 85 C0 74 09 48 8B C8 49 03 48 38 EB 03 48 8B CB 48 85 C9 74 5A F6 06 04 74 2D 85 C0 74 07 48 8B D8 49 03 58 38 48 8D 56 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 41 B9 01 00 00 00 48 8B D3 49 8B CE E8 ?? ?? ?? ?? EB 26 85 C0 74 07 48 8B D8 49 03 58 38 48 8D 56 08 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 49 8B CE E8 ?? ?? ?? ?? 90 EB 2F 4D 8B C1 48 8B D7 49 8B CE E8 ?? ?? ?? ?? F6 06 08 74 1C 48 8B 3F 48 85 FF 74 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_99_83_1 {
	meta:
		name = "?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z"
		size = 280
		refs = "0082 __imp_RtlPcToFileHeader 00d4 ??$make_shared@V__ExceptionPtr@@AEAPEAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AEAPEAUEHExceptionRecord@@$$QEA_N@Z 00fb ??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 53 56 57 48 81 EC 80 00 00 00 49 C7 43 A0 FE FF FF FF 41 8A F1 49 8B F8 48 8B D9 83 64 24 20 00 49 8D 43 A8 49 89 43 90 C7 44 24 40 63 73 6D E0 C7 44 24 44 01 00 00 00 49 83 63 B0 00 49 83 63 B8 00 C7 44 24 58 04 00 00 00 C7 44 24 60 20 05 93 19 49 89 53 D0 4D 85 C0 74 11 41 F6 00 10 74 0B 48 8B 02 48 8B 40 F8 48 8B 78 30 48 89 7C 24 70 48 8D 54 24 30 48 8B CF FF 15 ?? ?? ?? ?? 48 8B D0 48 89 44 24 30 48 89 44 24 78 48 85 FF 74 1E B9 00 40 99 01 F6 07 08 74 06 89 4C 24 60 EB 0E 8B 44 24 60 48 85 D2 0F 44 C1 89 44 24 60 48 8B CB 40 84 F6 74 1F C6 84 24 B8 00 00 00 01 4C 8D 84 24 B8 00 00 00 48 8D 54 24 28 E8 ?? ?? ?? ?? 48 8B C3 EB 2F C6 84 24 A8 00 00 00 00 4C 8D 8C 24 A8 00 00 00 4C 8D 44 24 28 48 8D 94 24 B0 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 EB 08 48 8B 84 24 A0 00 00 00 48 81 C4 80 00 00 00 5F 5E 5B C3 CC }
	condition:
		$1
}

rule file_99_85_1 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z$0"
		size = 60
		refs = "0013 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A 0029 ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z 0031 $LN17"
	strings:
		$1 = { 48 8B 8D A0 00 00 00 48 83 21 00 48 83 61 08 00 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 4D 85 C0 74 05 F0 41 FF 40 08 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_99_88_1 {
	meta:
		name = "?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 137
		refs = "001c __current_exception 0027 __processing_throw 0066 ??$make_shared@V__ExceptionPtr@@AEAPEAUEHExceptionRecord@@_N@std@@YA?AV?$shared_ptr@V__ExceptionPtr@@@0@AEAPEAUEHExceptionRecord@@$$QEA_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 8B D9 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 38 00 74 49 E8 ?? ?? ?? ?? 83 38 00 75 3F E8 ?? ?? ?? ?? 48 8B 08 81 39 4D 4F 43 E0 74 2F E8 ?? ?? ?? ?? 48 8B 08 81 39 52 43 43 E0 74 1F C6 44 24 48 01 E8 ?? ?? ?? ?? 48 8B D0 4C 8D 44 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 EB 13 48 83 23 00 48 83 63 08 00 48 8B C3 EB 05 48 8B 44 24 40 48 83 C4 30 5B C3 CC }
	condition:
		$1
}

rule file_99_90_1 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$0"
		size = 57
		refs = "0010 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@std@@A 0026 ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z 002e $LN13"
	strings:
		$1 = { 48 8B 4D 40 48 83 21 00 48 83 61 08 00 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 4D 85 C0 74 05 F0 41 FF 40 08 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_99_94_1 {
	meta:
		name = "?_Decref@_Ref_count_base@std@@QEAAXXZ"
		size = 89
		refs = "0024 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 83 C8 FF F0 0F C1 41 08 83 F8 01 75 34 48 8B 01 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_99_95_1 {
	meta:
		name = "?_Decwref@_Ref_count_base@std@@QEAAXXZ"
		size = 57
		refs = "0025 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 83 C8 FF F0 0F C1 41 0C 83 F8 01 75 14 48 8B 01 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_99_96_1 {
	meta:
		name = "?_Delete_this@?$_Ref_count_obj@V__ExceptionPtr@@@std@@EEAAXXZ"
		size = 54
		refs = "001d _guard_check_icall"
	strings:
		$1 = { 48 85 C9 74 30 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_99_97_1 {
	meta:
		name = "?_Delete_this@?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@EEAAXXZ"
		size = 49
		refs = "0018 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 33 D2 48 8B CF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_99_109_1 {
	meta:
		name = "?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ"
		size = 103
		refs = "0021 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 002c ??_7bad_alloc@std@@6B@ 003a _TI2?AVbad_alloc@std@@ 0043 ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z 004b ??_7exception@std@@6B@ 005a __std_exception_destroy"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 49 C7 43 D0 FE FF FF FF 48 8B D9 83 64 24 20 00 33 C0 49 89 43 E8 48 8D 05 ?? ?? ?? ?? 49 89 43 E0 48 8D 05 ?? ?? ?? ?? 49 89 43 D8 45 33 C9 4C 8D 05 ?? ?? ?? ?? 49 8D 53 D8 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_99_112_1 {
	meta:
		name = "?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
		size = 142
		refs = "0042 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 79 08 49 8B E8 4C 8B F2 48 8B F1 48 85 FF 74 41 83 C8 FF F0 0F C1 47 08 83 F8 01 75 34 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 8B 7C 24 48 48 89 6E 08 48 8B 6C 24 38 4C 89 36 48 8B 74 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_99_114_1 {
	meta:
		name = "?_RethrowException@__ExceptionPtr@@QEBAXXZ"
		size = 458
		refs = "0026 __security_cookie 0041 ??0bad_exception@std@@QEAA@XZ 0048 _TI2?AVbad_exception@std@@ 0051 _CxxThrowException 00f2 __imp_DecodePointer 0154 __chkstk 016c ?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z 0193 __imp_RaiseException 01a2 __security_check_cookie 01c5 terminate"
	strings:
		$1 = { 40 55 48 81 EC 00 01 00 00 48 8D 6C 24 30 48 89 9D E8 00 00 00 48 89 B5 F0 00 00 00 48 89 BD F8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 85 C0 00 00 00 48 8B F9 48 85 C9 75 1A 48 8D 4D 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 00 E8 ?? ?? ?? ?? CC 0F 10 07 48 8D 4D 20 BA 80 00 00 00 0F 10 4F 10 0F 11 01 48 8B 44 17 10 8D 72 8F 0F 10 47 20 0F 11 49 10 0F 10 4F 30 0F 11 41 20 0F 10 47 40 0F 11 49 30 0F 10 4F 50 0F 11 41 40 0F 10 47 60 0F 11 49 50 0F 10 0C 17 0F 11 41 60 0F 10 47 70 0F 11 44 11 F0 0F 11 0C 11 48 89 44 11 10 44 8B 55 20 44 8B 45 38 41 81 FA 63 73 6D E0 0F 85 B4 00 00 00 41 83 F8 04 0F 85 AA 00 00 00 8B 4D 40 8D 81 E0 FA 6C E6 83 F8 02 76 0C 81 F9 00 40 99 01 0F 85 9B 00 00 00 48 8B 4D 50 FF 15 ?? ?? ?? ?? 4C 8B 45 48 4D 85 C0 0F 84 C1 00 00 00 48 85 C0 0F 84 B8 00 00 00 83 78 0C 00 0F 84 AE 00 00 00 48 8B 57 38 48 63 48 0C 83 3C 11 00 0F 8E 9C 00 00 00 48 89 45 50 48 63 40 0C 48 63 4C 10 04 48 03 CA 4C 63 49 14 4A 8D 04 0E 49 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 89 4C 24 20 48 8D 5C 24 30 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 44 8B 45 38 44 8B 55 20 48 89 5D 48 44 3B C6 44 0F 47 C6 44 89 45 38 8B 55 24 4C 8D 4D 40 41 8B CA FF 15 ?? ?? ?? ?? 48 8B 8D C0 00 00 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 9D E8 00 00 00 48 8B B5 F0 00 00 00 48 8B BD F8 00 00 00 48 8D A5 D0 00 00 00 5D C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_99_115_1 {
	meta:
		name = "?_StaticAlloc@@YAPEAX_K@Z"
		size = 103
		refs = "0007 ?_StaticAllocStorageLeft@@3_KA 000e ?_StaticAllocStorage@@3PADA 0062 terminate"
	strings:
		$1 = { 48 83 EC 28 48 8B 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 2B CA 41 B8 10 00 00 00 49 8B C1 83 E0 0F 4C 2B C0 48 85 C0 4C 0F 44 C0 49 3B D0 72 1B 48 8B C2 49 2B C0 48 3B C1 72 10 48 8B D0 48 89 05 ?? ?? ?? ?? 4B 8D 04 08 EB 02 33 C0 48 85 C0 74 0F 48 2B D1 48 89 15 ?? ?? ?? ?? 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_99_116_1 {
	meta:
		name = "?_Swap@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXAEAV12@@Z"
		size = 29
		altNames = "?__ExceptionPtrSwap@@YAXPEAX0@Z ?swap@?$shared_ptr@V__ExceptionPtr@@@std@@QEAAXAEAV12@@Z"
	strings:
		$1 = { 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 48 8B 02 4C 8B 01 48 89 01 4C 89 02 C3 }
	condition:
		$1
}

rule file_99_119_1 {
	meta:
		name = "?__ExceptionPtrCopy@@YAXPEAXPEBX@Z"
		size = 45
		refs = "0024 ?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 1F 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 4D 85 C0 74 05 F0 41 FF 40 08 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_99_120_1 {
	meta:
		name = "?__ExceptionPtrCopyException@@YAXPEAXPEBX1@Z"
		size = 123
		refs = "0016 ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z 0021 ??4?$shared_ptr@V__ExceptionPtr@@@std@@QEAAAEAV01@$$QEAV01@@Z 0046 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B D9 41 B1 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 7C 24 28 48 85 FF 74 41 83 C8 FF F0 0F C1 47 08 83 F8 01 75 34 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_99_122_1 {
	meta:
		name = "?__ExceptionPtrCurrentException@@YAXPEAX@Z"
		size = 132
		refs = "0013 ?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ 0020 ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z 004a _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 28 48 85 C9 74 4B 83 C8 FF F0 0F C1 41 08 83 F8 01 75 3E 48 8B 7C 24 28 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 83 C8 FF F0 0F C1 47 0C 83 F8 01 75 19 48 8B 7C 24 28 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_99_124_1 {
	meta:
		name = "?__ExceptionPtrRethrow@@YAXPEBX@Z"
		size = 18
		refs = "0005 ??C?$shared_ptr@V__ExceptionPtr@@@std@@QEBAPEAV__ExceptionPtr@@XZ 000d ?_RethrowException@__ExceptionPtr@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_99_127_1 {
	meta:
		name = "?align@std@@YAPEAX_K0AEAPEAXAEA_K@Z"
		size = 53
	strings:
		$1 = { 4D 8B 10 48 8D 41 FF 49 23 C2 48 2B C8 48 85 C0 48 0F 44 C8 49 8B 01 48 3B C1 72 16 48 2B C1 48 3B C2 72 0E 4A 8D 04 11 49 89 00 49 29 09 49 8B 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_99_128_1 {
	meta:
		name = "?allocate@?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@QEBAPEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@_K@Z"
		size = 53
		refs = "002b ?_StaticAlloc@@YAPEAX_K@Z 0030 terminate"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 75 07 33 C0 48 83 C4 28 C3 48 B8 5D 74 D1 45 17 5D 74 01 48 3B D0 77 10 48 69 CA B0 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_99_129_1 {
	meta:
		name = "?allocate@?$_Wrap_alloc@U?$_StaticAllocator@V?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@std@@@@@std@@QEAAPEAV?$_Ref_count_obj_alloc@V__ExceptionPtr@@U?$_StaticAllocator@H@@@2@_K@Z"
		size = 49
		refs = "0022 ?_StaticAlloc@@YAPEAX_K@Z 002c terminate"
	strings:
		$1 = { 48 83 EC 28 33 C0 48 85 D2 74 1B 48 B8 5D 74 D1 45 17 5D 74 01 48 3B D0 77 11 48 69 CA B0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_100_0_1 {
	meta:
		name = "?_MP_Add@std@@YAXQEA_K_K@Z"
		size = 45
		refs = "0024 ?add@std@@YAXPEA_KH0H@Z"
	strings:
		$1 = { 48 83 EC 38 8B C2 4C 8D 44 24 20 48 C1 EA 20 41 B9 02 00 00 00 48 89 54 24 28 48 89 44 24 20 41 8D 51 03 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_100_2_1 {
	meta:
		name = "?_MP_Mul@std@@YAXQEA_K_K1@Z"
		size = 168
		refs = "002f memset"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 40 8B C2 48 8B D9 48 C1 EA 20 49 89 53 F0 33 D2 49 89 43 E8 41 8B C0 49 C1 E8 20 4D 89 43 E0 44 8D 42 28 49 89 43 D8 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 33 C9 4C 2B CB 48 8D 44 24 20 48 2B D8 4C 8B 54 CC 20 48 8D 04 CB 4D 85 D2 75 07 4C 21 54 04 30 EB 3B 45 33 C0 48 8D 54 24 20 48 03 D0 45 8D 58 02 49 8B 04 11 49 0F AF C2 49 03 C0 48 01 02 4C 8B 02 83 62 04 00 48 8D 52 08 49 C1 E8 20 49 83 EB 01 75 DD 48 8D 04 CB 4C 89 44 04 30 48 FF C1 49 83 E9 08 48 83 F9 02 7C A3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_100_3_1 {
	meta:
		name = "?_MP_Rem@std@@YAXQEA_K_K@Z"
		size = 724
		refs = "025a ?add@std@@YAXPEA_KH0H@Z"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 48 8B C2 33 DB 48 C1 EA 20 41 BB 02 00 00 00 48 89 44 24 30 4C 8B F1 48 89 54 24 38 41 8B F3 48 85 D2 75 10 48 8D 44 24 38 FF CE 48 8D 40 F8 48 39 18 74 F5 41 BA 05 00 00 00 48 8D 41 20 41 8B FA EB 06 FF CF 48 8D 40 F8 48 39 18 74 F5 8D 46 FF 4C 63 E6 4C 63 C8 33 D2 48 B8 00 00 00 00 01 00 00 00 2B FE 4A 8B 4C CC 30 48 FF C1 48 F7 F1 48 89 44 24 28 48 8B E8 48 83 F8 01 74 53 48 8B D3 4D 8B C6 49 8B C2 49 8B 08 48 0F AF CD 48 03 D1 49 89 10 48 C1 EA 20 41 89 58 04 4D 8D 40 08 48 83 E8 01 75 E1 48 8B D3 48 8B CB 85 F6 7E 21 48 8B C5 48 0F AF 44 CC 30 48 03 D0 48 89 54 CC 30 89 5C CC 34 48 FF C1 48 C1 EA 20 49 3B CC 7C DF 85 FF 0F 88 B2 01 00 00 4E 8B 4C CC 30 8D 46 FE 48 98 4C 8D 6C 24 30 4C 63 D7 4D 8D 7C 24 FE 48 89 84 24 A8 00 00 00 4D 03 FA 49 8B C2 4C 89 8C 24 A0 00 00 00 48 C1 E0 03 4C 2B E8 4C 89 94 24 90 00 00 00 4D 2B EE 4F 8D 3C FE 4D 2B DC 4C 89 9C 24 98 00 00 00 4A 8D 2C 30 49 8B 4F 10 33 D2 49 8B 47 08 48 C1 E1 20 48 03 C1 49 F7 F1 4C 8B C0 48 85 C0 0F 84 1B 01 00 00 4C 8B 94 24 A8 00 00 00 48 B8 00 00 00 00 01 00 00 00 4C 3B C0 73 22 4A 8B 44 D4 30 48 8B CA 48 C1 E1 20 49 03 0F 49 0F AF C0 48 3B C1 76 15 48 B8 00 00 00 00 01 00 00 00 49 FF C8 49 03 D1 48 3B D0 72 CE 4C 8B 94 24 90 00 00 00 48 8B CB 4D 85 E4 0F 8E C3 00 00 00 4F 8D 0C DF 49 8B D4 49 BA 00 00 00 00 01 00 00 00 4B 8B 04 29 49 0F AF C0 48 03 C1 49 8B CA 49 29 01 49 8B 01 48 C1 E8 20 41 89 59 04 4D 8D 49 08 48 2B C8 48 85 C0 48 0F 44 C8 48 83 EA 01 75 D0 4C 8B 94 24 90 00 00 00 48 85 C9 74 65 4B 8D 04 22 45 8D 04 3C 49 BC 00 00 00 00 01 00 00 00 49 8D 14 C6 41 83 F8 05 7D 26 48 29 0A 49 8B CC 48 8B 02 48 C1 E8 20 48 2B C8 89 5A 04 48 85 C0 48 0F 44 C8 41 FF C0 48 83 C2 08 48 85 C9 75 D4 4C 63 E6 48 85 C9 74 1B 8D 56 01 44 8B CE 4C 8D 44 24 30 48 8B CD E8 ?? ?? ?? ?? 4C 8B 94 24 90 00 00 00 4C 8B 9C 24 98 00 00 00 4C 8B 8C 24 A0 00 00 00 49 FF CA 48 83 ED 08 49 83 EF 08 4C 89 94 24 90 00 00 00 49 83 C5 08 83 EF 01 0F 89 A5 FE FF FF 48 8B 6C 24 28 48 83 FD 01 74 22 B9 04 00 00 00 48 C1 E3 20 33 D2 49 03 1C CE 48 8B C3 48 F7 F5 49 89 04 CE 48 8B DA 48 83 E9 01 79 E3 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_100_4_1 {
	meta:
		name = "?add@std@@YAXPEA_KH0H@Z"
		size = 139
	strings:
		$1 = { 45 85 C9 0F 8E 81 00 00 00 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 48 8B F9 45 8B C9 49 2B F8 45 33 D2 8B F2 4C 2B C1 4C 8B D9 49 63 D1 48 8B D9 49 8D 0C 18 48 8B 01 49 03 C2 48 01 03 4C 8B 13 48 8D 5B 08 83 64 39 04 00 49 C1 EA 20 49 83 E9 01 75 DD 4D 85 D2 74 21 49 8D 0C D3 3B D6 7D 19 4C 01 11 FF C2 4C 8B 11 83 61 04 00 48 83 C1 08 49 C1 EA 20 4D 85 D2 75 E3 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_100_5_1 {
	meta:
		name = "?div@std@@YAXQEA_K_K@Z"
		size = 40
	strings:
		$1 = { 45 33 C0 4C 8B D2 45 8D 48 04 49 C1 E0 20 33 D2 4E 03 04 C9 49 8B C0 49 F7 F2 4A 89 04 C9 4C 8B C2 49 83 E9 01 79 E3 C3 }
	condition:
		$1
}

rule file_100_6_1 {
	meta:
		name = "?limit@std@@YAHPEA_KH@Z"
		size = 39
	strings:
		$1 = { 8D 42 FF 4C 63 C0 4A 83 3C C1 00 75 17 48 63 C2 48 8D 0C C1 48 83 C1 F8 FF CA 48 8D 49 F8 48 83 39 00 74 F4 8B C2 C3 }
	condition:
		$1
}

rule file_100_7_1 {
	meta:
		name = "?mul@std@@YAXPEA_KH_K@Z"
		size = 42
	strings:
		$1 = { 45 33 C9 85 D2 7E 22 44 8B D2 49 8B C0 48 0F AF 01 4C 03 C8 4C 89 09 83 61 04 00 48 8D 49 08 49 C1 E9 20 49 83 EA 01 75 E1 C3 }
	condition:
		$1
}

rule file_102_8_1 {
	meta:
		name = "??_G_Condition_variable@details@Concurrency@@QEAAPEAXI@Z"
		size = 52
		refs = "0010 ??1_Condition_variable@details@Concurrency@@QEAA@XZ 0022 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA 40 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_102_15_1 {
	meta:
		name = "?create_stl_condition_variable@details@Concurrency@@YAXPEAVstl_condition_variable_interface@12@@Z"
		size = 146
		refs = "0014 ?__stl_sync_api_impl_mode@@3W4__stl_sync_api_modes_enum@@A 001f __security_cookie 0032 __encodedKERNEL32Functions 0043 ??_7stl_condition_variable_win7@details@Concurrency@@6B@ 004f __crtInitializeConditionVariable 0069 ??_7stl_condition_variable_vista@details@Concurrency@@6B@ 007c ??_7stl_condition_variable_concrt@details@Concurrency@@6B@ 0088 ??0_Condition_variable@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 8B 05 ?? ?? ?? ?? 85 C0 78 53 48 8B 15 ?? ?? ?? ?? 83 F8 01 7E 07 83 F8 02 74 28 EB 40 48 8B 05 ?? ?? ?? ?? 48 33 C2 74 1A 48 85 C9 74 4D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? EB 38 48 8B 05 ?? ?? ?? ?? 48 33 C2 74 0E 48 85 C9 74 27 48 8D 05 ?? ?? ?? ?? EB D8 48 89 4C 24 48 48 85 C9 74 14 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_102_20_1 {
	meta:
		name = "?do_signal@@YAHPEAU_Cnd_internal_imp_t@@H@Z"
		size = 56
		refs = "0022 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 85 D2 74 06 48 8B 58 18 EB 04 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 33 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_102_21_1 {
	meta:
		name = "?do_wait@@YAHPEAU_Cnd_internal_imp_t@@PEAU_Mtx_internal_imp_t@@PEBUxtime@@@Z"
		size = 231
		refs = "0012 __security_cookie 002d _Mtx_getconcrtcs 003d _Mtx_clear_owner 004b _guard_check_icall 0064 xtime_get 007c _Xtime_diff_to_millis2 00c5 _Mtx_reset_owner 00d4 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 4C 8B F1 4D 8B F8 48 8B CA 48 8B EA 33 F6 E8 ?? ?? ?? ?? 4C 8B E0 4D 85 FF 75 20 48 8B CD E8 ?? ?? ?? ?? 49 8B 06 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 49 8B D4 49 8B CE FF D3 EB 68 BA 01 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 49 8B 3E 48 8D 54 24 20 49 8B CF E8 ?? ?? ?? ?? 48 8B 4F 08 8B D8 E8 ?? ?? ?? ?? 44 8B C3 49 8B D4 49 8B CE FF 57 08 84 C0 75 26 BA 01 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 49 8B CF E8 ?? ?? ?? ?? 85 C0 B9 02 00 00 00 0F 44 F1 48 8B CD E8 ?? ?? ?? ?? 8B C6 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_102_32_1 {
	meta:
		name = "?wait@stl_condition_variable_vista@details@Concurrency@@UEAAXPEAVstl_critical_section_interface@23@@Z"
		size = 36
		refs = "0011 __crtSleepConditionVariableCS 001f terminate"
	strings:
		$1 = { 48 83 EC 28 48 83 C2 08 48 83 C1 08 41 83 C8 FF E8 ?? ?? ?? ?? 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_102_33_1 {
	meta:
		name = "?wait@stl_condition_variable_win7@details@Concurrency@@UEAAXPEAVstl_critical_section_interface@23@@Z"
		size = 39
		refs = "0014 __crtSleepConditionVariableSRW 0022 terminate"
	strings:
		$1 = { 48 83 EC 28 48 83 C2 08 48 83 C1 08 45 33 C9 41 83 C8 FF E8 ?? ?? ?? ?? 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_102_35_1 {
	meta:
		name = "?wait_for@stl_condition_variable_vista@details@Concurrency@@UEAA_NPEAVstl_critical_section_interface@23@I@Z"
		size = 27
		refs = "000d __crtSleepConditionVariableCS"
	strings:
		$1 = { 48 83 EC 28 48 83 C2 08 48 83 C1 08 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_102_36_1 {
	meta:
		name = "?wait_for@stl_condition_variable_win7@details@Concurrency@@UEAA_NPEAVstl_critical_section_interface@23@I@Z"
		size = 30
		refs = "0010 __crtSleepConditionVariableSRW"
	strings:
		$1 = { 48 83 EC 28 48 83 C2 08 48 83 C1 08 45 33 C9 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_102_37_1 {
	meta:
		name = "_Cnd_broadcast"
		size = 46
		refs = "0018 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 33 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_102_40_1 {
	meta:
		name = "_Cnd_init"
		size = 67
		refs = "001a _calloc_base 002f ?create_stl_condition_variable@details@Concurrency@@YAXPEAVstl_condition_variable_interface@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 21 00 BA 48 00 00 00 48 8B F9 8D 4A B9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 05 8D 43 01 EB 0D 48 8B CB E8 ?? ?? ?? ?? 33 C0 48 89 1F 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_102_42_1 {
	meta:
		name = "_Cnd_signal"
		size = 46
		refs = "0018 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 48 8B F9 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 33 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_104_3_1 {
	meta:
		name = "??0bad_function_call@std@@QEAA@XZ"
		size = 24
		refs = "000d ??_7bad_function_call@std@@6B@"
	strings:
		$1 = { 33 C0 48 89 41 08 48 89 41 10 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_104_7_1 {
	meta:
		name = "??0exception@std@@QEAA@XZ"
		size = 24
		refs = "0003 ??_7exception@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 08 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_104_18_1 {
	meta:
		name = "??0regex_error@std@@QEAA@AEBV01@@Z"
		size = 78
		refs = "0010 ??_7exception@std@@6B@ 002c __std_exception_copy 0033 ??_7regex_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 51 08 33 C0 48 8B F9 48 89 02 48 8D 4B 08 48 89 42 08 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 8B 43 18 48 8B 5C 24 30 89 47 18 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_104_19_1 {
	meta:
		name = "??0regex_error@std@@QEAA@W4error_type@regex_constants@1@@Z"
		size = 103
		refs = "0012 ??_7exception@std@@6B@ 002b ?_Stringify@regex_error@std@@CAPEBDW4error_type@regex_constants@2@@Z 0043 __std_exception_copy 004f ??_7regex_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8D 05 ?? ?? ?? ?? 48 8B F1 48 89 01 8B FA 33 C0 48 89 41 08 48 89 41 10 8B CA E8 ?? ?? ?? ?? 48 8D 56 08 48 89 44 24 20 48 8D 4C 24 20 C6 44 24 28 01 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8B C6 89 7E 18 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_104_40_1 {
	meta:
		name = "??_Gregex_error@std@@UEAAPEAXI@Z"
		size = 66
		refs = "000d ??_7exception@std@@6B@ 001e __std_exception_destroy 0030 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 8B DA 48 83 C1 08 E8 ?? ?? ?? ?? F6 C3 01 74 0D BA 20 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_104_42_1 {
	meta:
		name = "?_Stringify@regex_error@std@@CAPEBDW4error_type@regex_constants@2@@Z"
		size = 204
		refs = "002c ??_C@_0EH@DICJJKLO@regex_error?$CIerror_brace?$CJ?3?5The?5ex@ 0034 ??_C@_0EH@CAGOJGLE@regex_error?$CIerror_paren?$CJ?3?5The?5ex@ 003c ??_C@_0EH@LGEANNAL@regex_error?$CIerror_brack?$CJ?3?5The?5ex@ 0044 ??_C@_0FA@HFMLPGNN@regex_error?$CIerror_backref?$CJ?3?5The?5@ 004c ??_C@_0GI@HEGGMMDL@regex_error?$CIerror_escape?$CJ?3?5The?5e@ 0054 ??_C@_0FE@LJMHKIOC@regex_error?$CIerror_ctype?$CJ?3?5The?5ex@ 005c ??_C@_0FI@CMNGHIFF@regex_error?$CIerror_collate?$CJ?3?5The?5@ 0064 ??_C@_0FM@BLDIHIBB@regex_error?$CIerror_badbrace?$CJ?3?5The@ 008f ??_C@_0M@KGKAAGCA@regex_error?$AA@ 0097 ??_C@_0BK@DFJCACNI@regex_error?$CIerror_syntax?$CJ?$AA@ 009f ??_C@_0BJ@CHBLKGNM@regex_error?$CIerror_parse?$CJ?$AA@ 00a7 ??_C@_0JC@HCDLJLGO@regex_error?$CIerror_stack?$CJ?3?5There?5@ 00af ??_C@_0HL@NEKOFBJA@regex_error?$CIerror_complexity?$CJ?3?5T@ 00b7 ??_C@_0FK@LCHHHEOA@regex_error?$CIerror_badrepeat?$CJ?3?5On@ 00bf ??_C@_0GP@PICOBCHA@regex_error?$CIerror_space?$CJ?3?5There?5@ 00c7 ??_C@_0HA@ICNJLCMC@regex_error?$CIerror_range?$CJ?3?5The?5ex@"
	strings:
		$1 = { 83 F9 07 7F 64 74 5A 85 C9 74 4E 83 E9 01 74 41 83 E9 01 74 34 83 E9 01 74 27 83 E9 01 74 1A 83 E9 01 74 0D 83 F9 01 75 63 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 83 E9 08 74 56 83 E9 01 74 49 83 E9 01 74 3C 83 E9 01 74 2F 83 E9 01 74 22 83 E9 01 74 15 83 F9 01 74 08 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_104_45_1 {
	meta:
		name = "?_Xinvalid_argument@std@@YAXPEBD@Z"
		size = 35
		refs = "000d ??0invalid_argument@std@@QEAA@PEBD@Z 0014 _TI3?AVinvalid_argument@std@@ 001e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_104_46_1 {
	meta:
		name = "?_Xlength_error@std@@YAXPEBD@Z"
		size = 35
		refs = "000d ??0length_error@std@@QEAA@PEBD@Z 0014 _TI3?AVlength_error@std@@ 001e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_104_47_1 {
	meta:
		name = "?_Xout_of_range@std@@YAXPEBD@Z"
		size = 35
		refs = "000d ??0out_of_range@std@@QEAA@PEBD@Z 0014 _TI3?AVout_of_range@std@@ 001e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_104_48_1 {
	meta:
		name = "?_Xoverflow_error@std@@YAXPEBD@Z"
		size = 35
		refs = "000d ??0overflow_error@std@@QEAA@PEBD@Z 0014 _TI3?AVoverflow_error@std@@ 001e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_104_50_1 {
	meta:
		name = "?_Xruntime_error@std@@YAXPEBD@Z"
		size = 35
		refs = "000d ??0runtime_error@std@@QEAA@PEBD@Z 0014 _TI2?AVruntime_error@std@@ 001e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_104_49_1 {
	meta:
		name = "?_Xregex_error@std@@YAXW4error_type@regex_constants@1@@Z"
		size = 34
		refs = "000c ??0regex_error@std@@QEAA@W4error_type@regex_constants@1@@Z 0013 _TI3?AVregex_error@std@@ 001d _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_105_67_1 {
	meta:
		name = "?_Syserror_map@std@@YAPEBDH@Z"
		size = 40
		refs = "0003 ?_Sys_errtab@std@@3QBU_Sys_errtab_t@1@B 001e ??_C@_0O@BFJCFAAK@unknown?5error?$AA@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 39 08 74 18 48 83 C0 10 48 8D 15 ?? ?? ?? ?? 48 3B C2 75 EC 48 8D 05 ?? ?? ?? ?? C3 48 8B 40 08 C3 }
	condition:
		$1
}

rule file_105_69_1 {
	meta:
		name = "?_Winerror_map@std@@YAHH@Z"
		size = 34
		refs = "0003 ?_Win_errtab@std@@3QBU_Win_errtab_t@1@B"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 39 08 74 13 48 83 C0 08 48 8D 15 ?? ?? ?? ?? 48 3B C2 75 EC 33 C0 C3 8B 40 04 C3 }
	condition:
		$1
}

rule file_105_70_1 {
	meta:
		name = "?_Winerror_message@std@@YAKKPEADK@Z"
		size = 228
		refs = "000f __security_cookie 002e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z 0062 __imp_FormatMessageW 0098 __imp_WideCharToMultiByte 00ae ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 00c1 ?_Deallocate@std@@YAXPEAX_K1@Z 00d0 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 41 8B F0 48 8B EA 8B D9 8B D6 45 33 C0 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 83 7C 24 60 08 48 8D 44 24 48 44 8B C3 B9 00 12 00 00 48 0F 43 44 24 48 33 FF 48 89 7C 24 30 45 33 C9 89 74 24 28 33 D2 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 39 48 83 7C 24 60 08 4C 8D 44 24 48 48 89 7C 24 38 4C 0F 43 44 24 48 41 83 C9 FF 48 89 7C 24 30 33 D2 33 C9 89 74 24 28 48 89 6C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 03 8D 78 FF 45 33 C0 48 8D 4C 24 40 B2 01 E8 ?? ?? ?? ?? 48 8B 4C 24 40 BA 01 00 00 00 44 8D 42 0F E8 ?? ?? ?? ?? 8B C7 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A8 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_106_0_1 {
	meta:
		name = "_Mbrtowc"
		size = 468
		refs = "0016 __security_cookie 0062 __security_check_cookie 0088 _Getcvt 0107 __imp_MultiByteToWideChar 011e _errno"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 56 41 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 48 8B 9C 24 F0 00 00 00 45 33 FF 49 8B F1 49 8B E8 4C 8B F2 48 8B F9 48 85 D2 74 13 4D 85 C0 74 0E 44 38 3A 75 32 48 85 C9 74 04 66 44 89 39 33 C0 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 5F 5E 5D C3 48 85 DB 75 38 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 5C 24 60 0F 10 00 0F 10 48 10 0F 11 44 24 60 F2 0F 10 40 20 8B 40 28 F2 0F 11 84 24 80 00 00 00 89 84 24 88 00 00 00 0F 11 4C 24 70 44 39 7B 08 74 13 48 85 FF 74 07 41 0F B6 06 66 89 07 B8 01 00 00 00 EB 83 44 39 3E 74 58 41 8A 06 88 46 01 83 7B 04 01 76 36 8B 0B 41 8B C7 41 B9 02 00 00 00 48 85 FF 4C 8B C6 0F 95 C0 89 44 24 28 41 8D 51 07 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 0B 44 89 3E 8B 43 04 E9 3C FF FF FF 44 89 3E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 26 FF FF FF 45 0F B6 06 BA 01 00 00 00 41 8B C0 41 8B C8 83 E1 07 48 C1 E8 03 D3 E2 84 54 18 0C 74 52 8B 4B 04 48 3B E9 73 0D 44 88 06 B8 FE FF FF FF E9 F3 FE FF FF 83 F9 01 76 29 41 8B C7 44 8B C9 8B 0B 48 85 FF 4D 8B C6 BA 09 00 00 00 0F 95 C0 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 81 45 38 7E 01 0F 85 77 FF FF FF E9 7A FF FF FF 8B 0B 41 8B C7 41 B9 01 00 00 00 48 85 FF 4D 8B C6 0F 95 C0 89 44 24 28 41 8D 51 08 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 85 FD FE FF FF E9 49 FF FF FF }
	condition:
		$1
}

rule file_107_0_1 {
	meta:
		name = "??0?$_Yarn@D@std@@QEAA@PEBD@Z"
		size = 31
		refs = "0012 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 8B D9 C6 41 08 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_107_3_1 {
	meta:
		name = "??0_Locimp@locale@std@@AEAA@AEBV012@@Z"
		size = 130
		refs = "0028 ??_7_Locimp@locale@std@@6B@ 0063 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 006f ?_Locimp_ctor@_Locimp@locale@std@@CAXPEAV123@AEBV123@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B FA 48 8B D9 C7 41 08 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 01 45 33 C0 4C 89 41 10 48 8B 42 18 48 89 41 18 8B 42 20 89 41 20 8A 42 24 88 41 24 48 8B 52 28 48 85 D2 75 04 48 8D 57 30 48 83 C1 28 4C 89 01 44 88 41 08 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_107_5_1 {
	meta:
		name = "?dtor$1@?0???0_Locimp@locale@std@@AEAA@AEBV012@@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_6_1 {
	meta:
		name = "??0_Locimp@locale@std@@AEAA@_N@Z"
		size = 73
		refs = "000c ??_7_Locimp@locale@std@@6B@ 0016 ??_C@_01NBENCBCI@?$CK?$AA@ 003c ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 88 51 24 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 15 ?? ?? ?? ?? 33 C0 C7 41 08 01 00 00 00 48 89 41 10 48 8B D9 48 89 41 18 89 41 20 48 83 C1 28 48 89 01 88 41 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_107_12_1 {
	meta:
		name = "??1_Fac_node@std@@QEAA@XZ"
		size = 91
		refs = "0023 _guard_check_icall"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B 79 08 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF FF D3 90 48 8B F8 48 85 C0 74 1A 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? 90 BA 01 00 00 00 48 8B CF FF D3 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_107_13_1 {
	meta:
		name = "??1_Fac_tidy_reg_t@std@@QEAA@XZ"
		size = 43
		refs = "0011 ?_Fac_head@std@@3PEAU_Fac_node@1@EA 0016 ??_G_Fac_node@std@@QEAAPEAXI@Z"
		altNames = "??__F_Fac_tidy_reg@std@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 EB 14 48 8B 01 BA 01 00 00 00 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 75 E0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_107_15_1 {
	meta:
		name = "??1_Locimp@locale@std@@MEAA@XZ"
		size = 70
		refs = "0015 ??_7_Locimp@locale@std@@6B@ 001d ?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z 002c free 0039 ??_7_Facet_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B 4B 28 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 63 28 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_107_21_1 {
	meta:
		name = "??_G_Fac_node@std@@QEAAPEAXI@Z"
		size = 137
		refs = "0030 _guard_check_icall 006c ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 8B EA 48 8B F1 48 8B 79 08 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF FF D3 90 48 8B F8 48 85 C0 74 1A 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? 90 BA 01 00 00 00 48 8B CF FF D3 90 40 F6 C5 01 74 0E BA 10 00 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_107_23_1 {
	meta:
		name = "??_G_Locimp@locale@std@@MEAAPEAXI@Z"
		size = 105
		refs = "001c ??_7_Locimp@locale@std@@6B@ 0024 ?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z 0033 free 0040 ??_7_Facet_base@std@@6B@ 0056 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B 4B 28 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 83 63 28 00 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 0E BA 38 00 00 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_107_28_1 {
	meta:
		name = "??__Fclassic_locale@std@@YAXXZ"
		size = 96
		refs = "0017 ?classic_locale@std@@3Vlocale@1@A 002b _guard_check_icall"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_107_32_1 {
	meta:
		name = "?_Facet_Register@std@@YAXPEAV_Facet_base@1@@Z"
		size = 56
		refs = "000f ??2@YAPEAX_K@Z 0020 ?_Fac_head@std@@3PEAU_Fac_node@1@EA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 38 48 85 C0 74 0E 48 8B 15 ?? ?? ?? ?? 48 89 10 48 89 58 08 48 89 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_107_35_1 {
	meta:
		name = "?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z"
		size = 188
		refs = "0022 ??0_Lockit@std@@QEAA@H@Z 002a global_locale 0036 ?_New_Locimp@_Locimp@locale@std@@CAPEAV123@_N@Z 0041 ?_Setgloballocale@locale@std@@CAXPEAX@Z 0053 ??_C@_01GFHCPBMG@C?$AA@ 0058 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 005f ?_Clocptr@_Locimp@locale@std@@0PEAV123@EA 006e _guard_check_icall 0081 ?classic_locale@std@@3Vlocale@1@A 00a5 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 18 48 89 70 20 40 8A F1 33 D2 48 8D 48 08 E8 ?? ?? ?? ?? 90 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 52 33 C9 E8 ?? ?? ?? ?? 48 8B F8 48 8B C8 E8 ?? ?? ?? ?? C7 47 20 3F 00 00 00 48 8D 4F 28 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 8B 0F 48 8B 59 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 40 84 F6 74 15 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_107_38_1 {
	meta:
		name = "?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z"
		size = 165
		refs = "0027 ??0_Lockit@std@@QEAA@H@Z 004d _guard_check_icall 0080 free 008b ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 41 56 48 83 EC 30 48 C7 40 E8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B F1 33 D2 48 8D 48 08 E8 ?? ?? ?? ?? 90 48 8B 7E 18 EB 44 48 FF CF 48 8B 46 10 4C 8B 34 F8 4D 85 F6 74 34 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 18 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CE FF D3 48 85 FF 75 B7 48 8B 4E 10 E8 ?? ?? ?? ?? 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_107_40_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@PEBD@Z"
		size = 105
		refs = "0015 setlocale 001f ??_C@_00CNPNBAHC@?$AA@ 002f ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 004b ??_C@_01NBENCBCI@?$CK?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 33 D2 33 C9 E8 ?? ?? ?? ?? 48 85 C0 48 8D 0D ?? ?? ?? ?? 48 0F 44 C1 48 8D 4F 48 48 8B D0 E8 ?? ?? ?? ?? 48 85 DB 74 0D 48 8B D3 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 85 DB 48 8D 05 ?? ?? ?? ?? 48 8D 4F 58 48 0F 44 D8 48 8B D3 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_41_1 {
	meta:
		name = "?_Locinfo_dtor@_Locinfo@std@@SAXPEAV12@@Z"
		size = 36
		refs = "001b setlocale"
	strings:
		$1 = { 48 83 EC 28 48 83 79 48 00 74 14 48 8B 51 48 48 85 D2 75 04 48 8D 51 50 33 C9 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_107_42_1 {
	meta:
		name = "?_New_Locimp@_Locimp@locale@std@@CAPEAV123@AEBV123@@Z"
		size = 58
		refs = "0018 ??2@YAPEAX_K@Z 002f ??0_Locimp@locale@std@@AEAA@AEBV012@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 38 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 09 48 8B D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_107_43_1 {
	meta:
		name = "?dtor$0@?0??_New_Locimp@_Locimp@locale@std@@CAPEAV123@AEBV123@@Z@4HA"
		size = 29
		refs = "0013 ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA BA 38 00 00 00 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_107_44_1 {
	meta:
		name = "?_New_Locimp@_Locimp@locale@std@@CAPEAV123@_N@Z"
		size = 111
		refs = "0013 ??2@YAPEAX_K@Z 0038 ??_7_Locimp@locale@std@@6B@ 0053 ??_C@_01NBENCBCI@?$CK?$AA@ 0058 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 40 8A F9 B9 38 00 00 00 E8 ?? ?? ?? ?? 33 D2 48 89 44 24 38 48 8B D8 48 85 C0 74 38 C7 40 08 01 00 00 00 48 8D 4B 28 48 89 53 10 48 8D 05 ?? ?? ?? ?? 48 89 53 18 89 53 20 48 89 03 40 88 7B 24 48 89 11 88 51 08 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 48 8B DA 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_107_45_1 {
	meta:
		name = "?_Setgloballocale@locale@std@@CAXPEAX@Z"
		size = 50
		refs = "0008 ?registered@?1??_Setgloballocale@locale@std@@CAXPEAX@Z@4_NA 0015 tidy_global 0021 ?_Atexit@@YAXP6AXXZ@Z 0028 global_locale"
	strings:
		$1 = { 40 53 48 83 EC 20 80 3D ?? ?? ?? ?? 00 48 8B D9 75 13 48 8D 0D ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_107_48_1 {
	meta:
		name = "?classic@locale@std@@SAAEBV12@XZ"
		size = 23
		refs = "0007 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z 000e ?classic_locale@std@@3Vlocale@1@A"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_107_49_1 {
	meta:
		name = "?empty@locale@std@@SA?AV12@XZ"
		size = 41
		refs = "0011 ?_Init@locale@std@@CAPEAV_Locimp@12@_N@Z 0018 ?_New_Locimp@_Locimp@locale@std@@CAPEAV123@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 64 24 20 00 48 8B D9 33 C9 E8 ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_107_50_1 {
	meta:
		name = "_Deletegloballocale"
		size = 81
		refs = "001d _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 39 48 85 FF 74 34 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 18 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_107_51_1 {
	meta:
		name = "tidy_global"
		size = 51
		refs = "000c ??0_Lockit@std@@QEAA@H@Z 0013 global_locale 0018 _Deletegloballocale 002a ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 83 EC 28 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_109_53_1 {
	meta:
		name = "??0?$basic_istream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 204
		refs = "002f ??_8?$basic_istream@DU?$char_traits@D@std@@@std@@7B@ 0039 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 0053 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 007c ?_Init@ios_base@std@@IEAAXXZ 008f ?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QEBADD@Z 00aa ?clear@ios_base@std@@QEAAXH_N@Z 00b7 ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 30 48 C7 40 D8 FE FF FF FF 48 89 58 10 41 8A F0 48 8B EA 48 8B D9 83 60 18 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 18 C7 44 24 60 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 8D 51 E8 89 54 19 FC 48 83 63 08 00 48 8B 03 48 63 78 04 48 03 FB 48 8B CF E8 ?? ?? ?? ?? 48 89 6F 48 48 83 67 50 00 B2 20 48 8B CF E8 ?? ?? ?? ?? 88 47 58 48 83 7F 48 00 75 11 8B 57 10 83 CA 04 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 09 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_109_54_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 60 83 E0 01 85 C0 74 11 83 65 60 FE 48 8B 4D 50 48 83 C1 18 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_109_175_1 {
	meta:
		name = "??__Efin@std@@YAXXZ"
		size = 77
		refs = "0009 __acrt_iob_func 0010 ?fin@std@@3V?$basic_filebuf@DU?$char_traits@D@std@@@1@A 0018 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001f ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0038 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003f ??__Ffin@std@@YAXXZ 0049 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C9 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 45 33 C0 48 8B D3 48 89 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_0_1 {
	meta:
		name = "_Wcscoll"
		size = 219
		refs = "0037 ___lc_locale_name_func 00a5 __crtCompareStringW 00b0 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 8B D9 48 8B FA 48 2B F9 49 2B D8 48 8B E9 48 D1 FF 48 8B 4C 24 60 49 8B F0 48 D1 FB 48 85 C9 75 0B E8 ?? ?? ?? ?? 48 8B 48 08 EB 04 48 8B 49 08 48 85 C9 75 46 3B FB 8B D3 B9 01 00 00 00 0F 4C D7 EB 13 0F B7 06 66 39 45 00 75 22 48 83 C5 02 48 83 C6 02 2B D1 85 D2 7F E9 33 C0 85 C0 75 17 3B FB 74 13 83 C8 FF 3B FB 0F 4C C8 EB 41 1B C0 83 E0 FE 03 C1 EB E5 8B C8 EB 34 89 5C 24 28 44 8B CF 4C 8B C5 48 89 74 24 20 BA 00 10 00 00 E8 ?? ?? ?? ?? 8B C8 85 C0 75 12 E8 ?? ?? ?? ?? B9 FF FF FF 7F C7 00 16 00 00 00 EB 03 83 E9 02 48 8B 5C 24 40 8B C1 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_112_1_1 {
	meta:
		name = "_Wmemcmp"
		size = 37
	strings:
		$1 = { EB 13 0F B7 02 66 39 01 75 13 48 83 C1 02 48 83 C2 02 41 FF C8 45 85 C0 7F E8 33 C0 C3 1B C0 83 E0 FE FF C0 C3 }
	condition:
		$1
}

rule file_115_118_1 {
	meta:
		name = "?_Init_ctor@Init@ios_base@std@@CAXPEAV123@@Z"
		size = 30
		refs = "0002 ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 09 FF C0 89 05 ?? ?? ?? ?? C3 C7 05 ?? ?? ?? ?? 01 00 00 00 C3 }
	condition:
		$1
}

rule file_115_119_1 {
	meta:
		name = "?_Init_dtor@Init@ios_base@std@@CAXPEAV123@@Z"
		size = 69
		refs = "0006 ?_Init_cnt@Init@ios_base@std@@0HA 0010 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001a ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAAEAV12@XZ 0021 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0032 ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 28 83 2D ?? ?? ?? ?? 01 75 33 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_116_0_1 {
	meta:
		name = "??$_Xfiopen@D@std@@YAPEAU_iobuf@@PEBDHH@Z"
		size = 263
		refs = "001f __ImageBase 0069 ?valid@?1???$_Xfiopen@D@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBHB 0095 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBQEBDB 00a0 _fsopen 00ad fclose 00dc fseek"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F1 4C 8D 35 ?? ?? ?? ?? 8B C2 8B EA 83 E5 04 44 8B D2 41 81 E2 80 00 00 00 44 8B CA 41 83 C9 01 41 8B F8 24 40 44 0F 44 CA 41 8B C1 41 8B C9 83 C9 02 24 08 41 0F 44 C9 33 D2 81 E1 3B FF FF FF 45 33 C0 8D 42 01 3B C1 74 11 43 8B 84 86 ?? ?? ?? ?? 49 FF C0 FF C2 85 C0 75 EB 48 63 DA 41 83 BC 9E ?? ?? ?? ?? 00 75 04 33 C0 EB 64 45 85 D2 74 26 F6 C1 0A 74 21 48 8B 15 ?? ?? ?? ?? 44 8B C7 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 74 0A 48 8B C8 E8 ?? ?? ?? ?? EB D1 49 8B 94 DE ?? ?? ?? ?? 44 8B C7 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 B6 85 ED 74 17 33 D2 48 8B C8 44 8D 42 02 E8 ?? ?? ?? ?? 85 C0 74 05 48 8B CB EB C3 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_116_1_1 {
	meta:
		name = "??$_Xfiopen@_W@std@@YAPEAU_iobuf@@PEB_WHH@Z"
		size = 263
		refs = "001f __ImageBase 0069 ?valid@?1???$_Xfiopen@_W@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBHB 0095 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBQEB_WB 00a0 _wfsopen 00ad fclose 00dc fseek"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B F1 4C 8D 35 ?? ?? ?? ?? 8B C2 8B EA 83 E5 04 44 8B D2 41 81 E2 80 00 00 00 44 8B CA 41 83 C9 01 41 8B F8 24 40 44 0F 44 CA 41 8B C1 41 8B C9 83 C9 02 24 08 41 0F 44 C9 33 D2 81 E1 3B FF FF FF 45 33 C0 8D 42 01 3B C1 74 11 43 8B 84 86 ?? ?? ?? ?? 49 FF C0 FF C2 85 C0 75 EB 48 63 DA 41 83 BC 9E ?? ?? ?? ?? 00 75 04 33 C0 EB 64 45 85 D2 74 26 F6 C1 0A 74 21 48 8B 15 ?? ?? ?? ?? 44 8B C7 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 74 0A 48 8B C8 E8 ?? ?? ?? ?? EB D1 49 8B 94 DE ?? ?? ?? ?? 44 8B C7 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 B6 85 ED 74 17 33 D2 48 8B C8 44 8D 42 02 E8 ?? ?? ?? ?? 85 C0 74 05 48 8B CB EB C3 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_116_5_1 {
	meta:
		name = "?_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z"
		size = 19
		refs = "0006 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBQEBDB 000f _fsopen"
	strings:
		$1 = { 48 63 D2 48 8D 05 ?? ?? ?? ?? 48 8B 14 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_6_1 {
	meta:
		name = "?_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z"
		size = 19
		refs = "0006 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBQEB_WB 000f _wfsopen"
	strings:
		$1 = { 48 63 D2 48 8D 05 ?? ?? ?? ?? 48 8B 14 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_1_1 {
	meta:
		name = "_Stoullx"
		size = 453
		refs = "003d isspace 00ce tolower 00d7 digits 00df memchr 0143 ndigs 017d _errno"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 4D 8B F9 41 8B F8 48 8B F2 4C 8B F1 4D 85 C9 74 04 41 83 21 00 0F B6 09 49 8B DE EB 06 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 44 8A 23 41 8D 44 24 D5 A8 FD 74 05 41 B4 2B EB 03 48 FF C3 85 FF 74 0C 8D 47 FE 83 F8 22 0F 87 CB 00 00 00 B1 30 85 FF 7E 14 83 FF 10 75 33 38 0B 75 2F 8A 43 01 2C 58 A8 DF 75 26 EB 20 38 0B 74 07 BF 0A 00 00 00 EB 19 8A 43 01 2C 58 A8 DF 74 07 BF 08 00 00 00 EB 09 BF 10 00 00 00 48 83 C3 02 48 89 5C 24 20 EB 03 48 FF C3 38 0B 74 F9 0F BE 0B 33 ED 48 21 AC 24 88 00 00 00 45 32 ED 48 89 5C 24 28 48 63 FF E8 ?? ?? ?? ?? 8B D0 48 8D 0D ?? ?? ?? ?? 4C 8B C7 E8 ?? ?? ?? ?? 48 85 C0 74 45 4C 8D 35 ?? ?? ?? ?? 44 8A E8 48 89 AC 24 88 00 00 00 48 8B CF 45 2A EE 48 0F AF CD 48 FF C3 49 0F BE ED 48 03 E9 0F BE 0B E8 ?? ?? ?? ?? 8B D0 4C 8B C7 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 C7 4C 8B 74 24 70 48 39 5C 24 20 75 0C 48 85 F6 74 03 4C 89 36 33 C0 EB 70 48 8D 05 ?? ?? ?? ?? 48 8B CB 48 0F BE 04 07 48 2B C8 48 2B 4C 24 28 78 41 48 85 C9 7F 1E 49 0F BE CD 48 8B C5 48 2B C1 48 3B E8 72 0F 33 D2 48 F7 F7 48 3B 84 24 88 00 00 00 74 1E E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 FF 74 07 41 C7 07 01 00 00 00 48 83 CD FF 41 B4 2B 48 8B C5 48 F7 D8 41 80 FC 2D 48 0F 45 C5 48 85 F6 74 03 48 89 1E 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_119_0_1 {
	meta:
		name = "_FDtento"
		size = 375
		refs = "0018 __security_cookie 003b __real@00000000 005b __real@41200000 0060 _FXp_setw 0069 tenth 0070 _FXp_movx 0080 _FXp_ldexpx 00a2 _FXp_mulx 00df __real@3f800000 0100 _FXp_getw 0116 _FInf 0124 __xmm@80000000800000008000000080000000 0130 _errno 015b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 81 EC 90 00 00 00 0F 29 70 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B E8 8B FA 48 8B F1 85 D2 0F 84 14 01 00 00 F3 0F 10 01 0F 2E 05 ?? ?? ?? ?? 7A 06 0F 84 01 01 00 00 48 8D 4C 24 30 BB 04 00 00 00 8B D3 85 FF 7E 0F F3 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 4C 8D 05 ?? ?? ?? ?? F7 DF E8 ?? ?? ?? ?? 41 B8 30 00 00 00 8B D3 48 8B CE E8 ?? ?? ?? ?? 40 F6 C7 01 74 1C 48 8D 44 24 50 44 8B CB 4C 8D 44 24 30 48 89 44 24 20 8B D3 48 8B CE E8 ?? ?? ?? ?? D1 FF 74 31 4C 8D 44 24 30 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 44 24 50 44 8B CB 4C 8D 44 24 40 48 89 44 24 20 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? EB A9 F3 0F 10 05 ?? ?? ?? ?? 0F 2F 44 24 30 76 10 41 B8 D0 FF FF FF 8B D3 48 8B CE E8 ?? ?? ?? ?? 8B D3 48 8B CE E8 ?? ?? ?? ?? 0F 28 F0 0F 2E 35 ?? ?? ?? ?? 7A 02 74 1D F3 0F 10 0D ?? ?? ?? ?? 0F 2E F1 7A 02 74 0E 0F 57 0D ?? ?? ?? ?? 0F 2E F1 7A 16 75 14 E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 85 ED 74 04 83 4D 00 01 0F 28 C6 EB 0A BA 04 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 28 41 0F 28 73 F0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_120_0_1 {
	meta:
		name = "?_Mtx_delete@threads@stdext@@YAXPEAX@Z"
		size = 33
		refs = "000b __imp_DeleteCriticalSection 001d ??3@YAXPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? BA 28 00 00 00 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_2_1 {
	meta:
		name = "?_Mtx_new@threads@stdext@@YAXAEAPEAX@Z"
		size = 43
		refs = "000f ??2@YAPEAX_K@Z 0027 __crtInitializeCriticalSectionEx"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 28 00 00 00 E8 ?? ?? ?? ?? 45 33 C0 48 89 03 BA A0 0F 00 00 48 8B C8 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_16_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_207_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@$$QEAV01@@Z"
		size = 40
		refs = "001b ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_210_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG_K@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_212_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_213_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@$$QEAV01@@Z"
		size = 40
		refs = "001b ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_216_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W_K@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1_27_2 {
	meta:
		name = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0_W@Z"
		size = 63
		altNames = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0G@Z"
	strings:
		$1 = { 48 89 7C 24 08 49 83 F8 01 75 11 48 83 79 18 08 72 03 48 8B 09 66 44 89 0C 51 EB 1D 48 83 79 18 08 72 03 48 8B 09 48 8D 3C 51 4D 85 C0 74 0A 41 0F B7 C1 49 8B C8 66 F3 AB 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_1_28_2 {
	meta:
		name = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
		size = 254
		refs = "0081 ?_Allocate@std@@YAPEAX_K0_N@Z 00c2 memcpy 00cf ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 48 C7 40 C8 FE FF FF FF 49 8B F0 48 8B D9 48 8B FA 48 83 CF 07 49 B9 FE FF FF FF FF FF FF 7F 49 3B F9 76 05 48 8B FA EB 31 4C 8B 41 18 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E7 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 3C 01 76 03 49 8B F9 48 8D 4F 01 41 B0 01 BA 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B F0 EB 14 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 68 4C 8B 74 24 78 45 33 FF 48 85 F6 74 20 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 85 F6 74 0C 4C 8D 04 36 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 B2 01 48 8B CB E8 ?? ?? ?? ?? 48 85 DB 74 03 4C 89 33 48 89 7B 18 48 89 73 10 48 83 7B 18 08 72 03 48 8B 1B 66 44 89 3C 73 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_40_462_2 {
	meta:
		name = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
		size = 254
		refs = "0081 ?_Allocate@std@@YAPEAX_K0_N@Z 00c2 memcpy 00cf ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 41 57 48 83 EC 30 48 C7 40 C8 FE FF FF FF 49 8B F0 48 8B D9 48 8B FA 48 83 CF 07 49 B9 FE FF FF FF FF FF FF 7F 49 3B F9 76 05 48 8B FA EB 31 4C 8B 41 18 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E7 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 3C 01 76 03 49 8B F9 48 8D 4F 01 41 B0 01 BA 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B F0 EB 14 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 68 4C 8B 74 24 78 45 33 FF 48 85 F6 74 20 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 85 F6 74 0C 4C 8D 04 36 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 B2 01 48 8B CB E8 ?? ?? ?? ?? 48 85 DB 74 03 4C 89 33 48 89 7B 18 48 89 73 10 48 83 7B 18 08 72 03 48 8B 1B 66 44 89 3C 73 48 83 C4 30 41 5F 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_1_34_2 {
	meta:
		name = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 21
		altNames = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
	strings:
		$1 = { 48 83 79 18 08 48 89 51 10 72 03 48 8B 09 33 C0 66 89 04 51 C3 }
	condition:
		$1
}

rule file_1_41_2 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z"
		size = 123
		refs = "0029 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 0048 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0076 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B DA 48 3B D0 77 59 33 FF 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 35 45 84 C0 74 1A 48 83 FB 08 73 14 4C 8B 41 10 B2 01 49 3B D8 4C 0F 42 C3 E8 ?? ?? ?? ?? EB 16 48 85 DB 75 14 48 83 79 18 08 48 89 79 10 72 03 48 8B 09 66 89 39 48 85 DB 0F 95 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_667_2 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z"
		size = 123
		refs = "0029 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 0048 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0076 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B DA 48 3B D0 77 59 33 FF 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 35 45 84 C0 74 1A 48 83 FB 08 73 14 4C 8B 41 10 B2 01 49 3B D8 4C 0F 42 C3 E8 ?? ?? ?? ?? EB 16 48 85 DB 75 14 48 83 79 18 08 48 89 79 10 72 03 48 8B 09 66 89 39 48 85 DB 0F 95 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_1_47_2 {
	meta:
		name = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
		size = 126
		refs = "0036 memcpy 004b ?_Deallocate@std@@YAXPEAX_K1@Z"
		altNames = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F8 48 8B D9 84 D2 74 2F 48 83 79 18 08 72 28 48 8B 31 4D 85 C0 74 0B 4D 03 C0 48 8B D6 E8 ?? ?? ?? ?? 48 8B 53 18 41 B8 02 00 00 00 48 FF C2 48 8B CE E8 ?? ?? ?? ?? 48 C7 43 18 07 00 00 00 48 83 7B 18 08 48 89 7B 10 72 03 48 8B 1B 48 8B 74 24 40 66 89 2C 7B 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_49_2 {
	meta:
		name = "?_Winerror_message@std@@YAKKPEADK@Z"
		size = 227
		refs = "0011 __security_cookie 0042 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0074 __imp_FormatMessageW 00aa __imp_WideCharToMultiByte 00c0 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 00cf __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 20 55 56 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 41 8B F0 33 FF 48 8B EA 49 89 7B C8 8B D9 49 C7 43 D0 07 00 00 00 8B D6 66 89 7C 24 40 45 33 C0 49 8D 4B B8 E8 ?? ?? ?? ?? 48 83 7C 24 58 08 48 8D 44 24 40 48 89 7C 24 30 44 8B C3 48 0F 43 44 24 40 B9 00 12 00 00 45 33 C9 89 74 24 28 33 D2 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 39 48 83 7C 24 58 08 4C 8D 44 24 40 48 89 7C 24 38 4C 0F 43 44 24 40 41 83 C9 FF 48 89 7C 24 30 33 D2 33 C9 89 74 24 28 48 89 6C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 03 8D 78 FF 45 33 C0 48 8D 4C 24 40 B2 01 E8 ?? ?? ?? ?? 8B C7 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A8 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_1_53_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 233
		refs = "004e ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00de ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 0F 84 B0 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B D0 0F 87 A3 00 00 00 45 33 F6 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 1C 48 83 79 18 08 4C 89 71 10 72 05 48 8B 01 EB 03 48 8B C3 66 44 89 30 48 85 F6 74 4A 48 83 FE 01 75 14 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 EB 18 48 83 7B 18 08 72 05 48 8B 3B EB 03 48 8B FB 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 70 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_843_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 233
		refs = "004e ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00de ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 0F 84 B0 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B D0 0F 87 A3 00 00 00 45 33 F6 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 1C 48 83 79 18 08 4C 89 71 10 72 05 48 8B 01 EB 03 48 8B C3 66 44 89 30 48 85 F6 74 4A 48 83 FE 01 75 14 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 EB 18 48 83 7B 18 08 72 05 48 8B 3B EB 03 48 8B FB 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 70 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_42_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z"
		size = 39
		refs = "001a ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 8B D9 48 C7 41 18 0F 00 00 00 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_11_82_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD_K@Z"
		size = 39
		refs = "001a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 8B D9 48 C7 41 18 0F 00 00 00 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_206_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z"
		size = 39
		refs = "001a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 8B D9 48 C7 41 18 0F 00 00 00 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_43_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
		size = 46
		refs = "0021 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 49 83 C9 FF 48 C7 41 18 0F 00 00 00 45 33 C0 C6 01 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_44_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		size = 62
		refs = "0031 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 C7 41 18 0F 00 00 00 4C 89 41 10 48 8B D9 44 88 01 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_45_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 20
	strings:
		$1 = { 48 83 61 10 00 48 8B C1 48 C7 41 18 0F 00 00 00 C6 01 00 C3 }
	condition:
		$1
}

rule file_7_64_2 {
	meta:
		name = "??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 230
		refs = "0011 __security_cookie 0045 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 005e ?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z 0077 ??_7exception@std@@6B@ 0090 __std_exception_copy 009b ??_7runtime_error@std@@6B@ 00b6 ?_Deallocate@std@@YAXPEAX_K1@Z 00bd ??_7_System_error@std@@6B@ 00d7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 83 65 C0 00 49 8B C0 48 8B FA 48 C7 45 C8 0F 00 00 00 48 8B D9 C6 45 B0 00 48 8B D0 48 8D 4D B0 49 83 C9 FF 45 33 C0 E8 ?? ?? ?? ?? 0F 10 07 4C 8D 45 B0 48 8D 55 A0 48 8D 4D D0 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 48 83 78 18 10 72 03 48 8B 00 48 8D 53 08 48 89 45 A0 48 8D 0D ?? ?? ?? ?? C6 45 A8 01 48 89 0B 33 C9 48 89 0A 48 89 4A 08 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8B 55 E8 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 FA 10 72 12 48 8B 4D D0 48 FF C2 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 0F 10 07 F3 0F 7F 43 18 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 5F 5B 5D C3 }
	condition:
		$1
}

rule file_7_83_2 {
	meta:
		name = "??0runtime_error@std@@QEAA@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 84
		refs = "0022 ??_7exception@std@@6B@ 003d __std_exception_copy 0044 ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 83 7A 18 10 48 8B C2 48 8B D9 72 03 48 8B 02 48 8D 53 08 48 89 44 24 20 48 8D 0D ?? ?? ?? ?? C6 44 24 28 01 48 89 0B 33 C9 48 89 0A 48 89 4A 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_7_86_2 {
	meta:
		name = "??0system_error@std@@QEAA@Verror_code@1@PEBD@Z"
		size = 196
		refs = "0017 __security_cookie 005d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0079 ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0098 ?_Deallocate@std@@YAXPEAX_K1@Z 009f ??_7system_error@std@@6B@ 00b2 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 4D 8B C8 48 8B FA 48 8B D9 49 C7 43 E0 0F 00 00 00 45 33 C0 4D 89 43 D8 45 88 43 C8 45 38 01 74 10 48 83 C8 FF 48 FF C0 45 38 04 01 75 F7 4C 8B C0 49 8B D1 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 0F 10 07 F3 0F 7F 44 24 30 4C 8D 44 24 40 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 54 24 58 48 83 FA 10 72 13 48 FF C2 41 B8 01 00 00 00 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_7_98_2 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 68
		refs = "0020 ?_Deallocate@std@@YAXPEAX_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 51 18 48 8B D9 48 83 FA 10 72 11 48 8B 09 48 FF C2 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 48 83 63 10 00 48 83 7B 18 10 72 03 48 8B 1B C6 03 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_158_2 {
	meta:
		name = "?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
		size = 108
		refs = "0022 memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 7A 18 10 48 8B DA 48 8B F9 73 11 4C 8B 42 10 49 83 C0 01 74 16 E8 ?? ?? ?? ?? EB 0F 48 85 FF 74 06 48 8B 02 48 89 01 48 83 22 00 48 8B 43 10 48 89 47 10 48 8B 43 18 48 89 47 18 48 C7 43 18 0F 00 00 00 48 83 63 10 00 48 83 7B 18 10 72 03 48 8B 1B C6 03 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_160_2 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0D@Z"
		size = 46
		refs = "002a memset"
	strings:
		$1 = { 48 8B C2 49 83 F8 01 75 0F 48 83 79 18 10 72 03 48 8B 09 44 88 0C 11 C3 48 83 79 18 10 72 03 48 8B 09 41 0F BE D1 48 03 C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_161_2 {
	meta:
		name = "?_Check_offset@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAX_K@Z"
		size = 21
		refs = "0010 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 10 72 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_450_2 {
	meta:
		name = "?_Check_offset@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAX_K@Z"
		size = 21
		refs = "0010 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 10 72 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_451_2 {
	meta:
		name = "?_Check_offset@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAX_K@Z"
		size = 21
		refs = "0010 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 10 72 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_163_2 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z"
		size = 282
		refs = "007c ?_Allocate@std@@YAPEAX_K0_N@Z 00b9 memcpy 00d4 ?_Deallocate@std@@YAXPEAX_K1@Z"
	strings:
		$1 = { 48 8B C4 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 56 48 83 EC 38 48 C7 40 C8 FE FF FF FF 49 8B F0 48 8B D9 48 8B FA 48 83 CF 0F 49 C7 C1 FE FF FF FF 49 3B F9 76 05 48 8B FA EB 31 4C 8B 41 18 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E7 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 3C 01 76 03 49 8B F9 48 8D 4F 01 41 B0 01 BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B F0 EB 14 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 68 4C 8B 74 24 78 48 85 F6 74 1F 48 83 7B 18 10 72 05 48 8B 13 EB 03 48 8B D3 48 85 F6 74 0B 4C 8B C6 49 8B CE E8 ?? ?? ?? ?? 48 8B 53 18 48 83 FA 10 72 11 48 FF C2 41 B8 01 00 00 00 48 8B 0B E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 48 83 63 10 00 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 4C 89 33 48 89 7B 18 48 89 73 10 48 83 7B 18 10 72 03 49 8B DE C6 04 33 00 48 83 C4 38 41 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule file_7_172_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ"
		size = 439
		refs = "002a __security_cookie 005f _guard_check_icall 0135 fwrite 0159 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0182 ?_Deallocate@std@@YAXPEAX_K1@Z 0195 __security_check_cookie"
		altNames = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4C 8B E1 45 33 FF 4C 39 79 68 0F 84 46 01 00 00 44 38 79 72 0F 84 3C 01 00 00 48 8B 01 BF FF FF 00 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 0F B7 D7 49 8B CC FF D3 66 3B F8 75 07 32 C0 E9 16 01 00 00 BA 0F 00 00 00 48 89 55 E8 33 C9 48 89 4D D0 48 C7 45 E0 08 00 00 00 48 8D 45 D0 48 83 FA 10 48 0F 43 C1 44 88 78 08 48 8D 4D D0 48 83 7D E8 10 48 0F 43 4D D0 4C 8D 75 D0 4C 0F 43 75 D0 49 8B 74 24 68 48 8B 16 48 8B 5D E0 48 03 D9 48 8B 7A 40 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C0 48 89 44 24 20 4C 8B CB 4D 8B C6 49 8D 54 24 74 48 8B CE FF D7 8B C8 85 C0 74 07 83 E9 01 75 6E EB 05 45 88 7C 24 72 48 8D 45 D0 4C 8B 45 D0 48 8B 55 E8 48 83 FA 10 49 0F 43 C0 48 8B 5D C0 48 2B D8 74 26 48 8D 4D D0 48 83 FA 10 49 0F 43 C8 4D 8B 8C 24 80 00 00 00 4C 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 2C 45 38 7C 24 72 74 22 48 85 DB 0F 85 50 FF FF FF 45 33 C0 8D 53 08 48 8D 4D D0 E8 ?? ?? ?? ?? E9 3C FF FF FF 83 F9 02 75 03 41 B7 01 48 8B 55 E8 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D D0 E8 ?? ?? ?? ?? 41 8A C7 EB 02 B0 01 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_7_174_2 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 19
	strings:
		$1 = { 48 83 79 18 10 48 89 51 10 72 03 48 8B 09 C6 04 11 00 C3 }
	condition:
		$1
}

rule file_7_193_2 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z"
		size = 205
		refs = "002f ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 0061 memcpy 0076 ?_Deallocate@std@@YAXPEAX_K1@Z 00c8 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B FA 48 8B D9 48 83 FA FE 0F 87 A3 00 00 00 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 77 45 84 C0 74 5C 48 83 FF 10 73 56 48 8B 71 10 48 3B FE 48 0F 42 F7 48 83 79 18 10 72 28 48 8B 29 48 85 F6 74 0B 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 48 8B 53 18 41 B8 01 00 00 00 49 03 D0 48 8B CD E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 48 83 7B 18 10 48 89 73 10 72 03 48 8B 1B C6 04 33 00 EB 16 48 85 FF 75 14 48 21 79 10 48 83 79 18 10 72 03 48 8B 19 C6 03 00 48 85 FF 48 8B 5C 24 30 0F 95 C0 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_203_2 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_NPEBD@Z"
		size = 62
	strings:
		$1 = { 4C 8B C2 48 85 D2 74 33 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 4C 3B C0 72 1F 48 83 79 18 10 72 05 48 8B 11 EB 03 48 8B D1 48 8B 41 10 48 8D 0C 02 49 3B C8 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_7_206_2 {
	meta:
		name = "?_Makestr@_System_error@std@@CA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@Verror_code@2@V32@@Z"
		size = 257
		refs = "0014 __security_cookie 0043 ??_C@_02LMMGGCAJ@?3?5?$AA@ 004b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0058 ?message@error_code@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 006b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 008a ?_Deallocate@std@@YAXPEAX_K1@Z 00b4 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 00f5 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 60 48 C7 44 24 28 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 49 8B D8 48 8B F2 48 8B F9 48 89 5C 24 30 83 64 24 20 00 49 83 78 10 00 74 15 41 B8 02 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 38 48 8B CE E8 ?? ?? ?? ?? 90 49 83 C9 FF 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 54 24 50 48 83 FA 10 72 13 48 FF C2 41 B8 01 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 77 18 48 83 67 10 00 48 83 FE 10 72 05 48 8B 07 EB 03 48 8B C7 C6 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B 53 18 48 83 FA 10 72 11 48 FF C2 41 B8 01 00 00 00 48 8B 0B E8 ?? ?? ?? ?? 48 89 73 18 48 83 63 10 00 48 83 FE 10 72 03 48 8B 1B C6 03 00 48 8B C7 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 60 5F 5E 5B C3 }
	condition:
		$1
}

rule file_7_222_2 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z"
		size = 111
		refs = "002c memcpy 0041 ?_Deallocate@std@@YAXPEAX_K1@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B D9 84 D2 74 2C 48 83 79 18 10 72 25 48 8B 31 4D 85 C0 74 08 48 8B D6 E8 ?? ?? ?? ?? 48 8B 53 18 41 B8 01 00 00 00 49 03 D0 48 8B CE E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 48 83 7B 18 10 48 89 7B 10 72 03 48 8B 1B 48 8B 74 24 38 C6 04 3B 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_232_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 266
		refs = "006c ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00bc memcpy 00f9 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 00ff ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 42 10 49 8B E9 4D 8B F0 48 8B F2 48 8B D9 49 3B C0 0F 82 C3 00 00 00 49 2B C0 4C 8B 41 10 4C 3B C8 48 0F 47 E8 49 8B C0 48 F7 D0 48 3B C5 0F 86 AF 00 00 00 49 8D 3C 28 48 85 ED 74 7F 48 83 FF FE 0F 87 A2 00 00 00 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 C6 00 00 48 85 FF 74 45 48 83 7E 18 10 72 03 48 8B 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 ED 74 10 48 03 4B 10 4A 8D 14 36 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8B CE E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_234_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 302
		refs = "0068 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a4 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00e9 memcpy 0120 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B E8 48 8B F2 48 8B D9 48 85 D2 74 4F 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 48 3B F0 72 3B 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 48 3B CE 76 28 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4C 8B CD 4C 8B C6 48 8B D3 48 8B CB E8 ?? ?? ?? ?? E9 96 00 00 00 4C 8B 43 10 49 8B C0 48 F7 D0 48 3B C5 0F 86 98 00 00 00 49 8D 3C 28 48 85 ED 74 77 48 83 FF FE 0F 87 8E 00 00 00 48 39 7B 18 73 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 7B 10 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 85 FF 74 3A 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 ED 74 0F 48 03 4B 10 4C 8B C5 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_235_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 239
		refs = "0051 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00b0 memset 00e4 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8A E8 48 8B F2 4C 8B 41 10 48 8B D9 49 8B C0 48 F7 D0 48 3B C2 0F 86 B3 00 00 00 49 8D 3C 10 48 85 D2 0F 84 8E 00 00 00 48 83 FF FE 0F 87 A2 00 00 00 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 C6 00 00 48 85 FF 74 54 48 8B 4B 10 48 83 FE 01 75 15 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 88 2C 08 EB 1E 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 0F BE D5 48 03 C8 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_236_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 278
		refs = "0063 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0081 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00cd memcpy 0105 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 0111 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B 42 10 49 8B F9 4D 8B F0 48 8B F2 48 8B D9 49 3B C0 0F 82 D3 00 00 00 49 2B C0 4C 3B C8 48 0F 47 F8 48 3B CA 75 2C 49 8D 04 38 48 39 41 10 0F 82 BF 00 00 00 48 89 41 10 48 83 79 18 10 72 03 48 8B 09 C6 04 01 00 33 D2 48 8B CB E8 ?? ?? ?? ?? EB 7F 48 83 FF FE 0F 87 9D 00 00 00 48 39 79 18 73 0E 4C 8B 41 10 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 C6 00 00 48 85 FF 74 41 48 83 7E 18 10 72 03 48 8B 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0C 4A 8D 14 36 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 8B 7C 24 40 48 83 C4 20 41 5E C3 48 8B CE E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_238_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 252
		refs = "0063 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0084 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00c5 memcpy 00f7 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B F2 48 8B D9 48 85 D2 74 4C 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 48 3B F0 72 38 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 48 3B CE 76 25 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4C 8B CF 4C 8B C6 48 8B D3 48 8B CB E8 ?? ?? ?? ?? EB 7A 48 83 FF FE 0F 87 80 00 00 00 48 39 7B 18 73 11 4C 8B 43 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 7B 10 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 85 FF 74 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0B 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_239_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 200
		refs = "0037 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 008e memset 00bd ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8A F0 48 8B FA 48 8B D9 48 83 FA FF 0F 84 9A 00 00 00 48 83 FA FE 0F 87 96 00 00 00 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 C6 00 00 48 85 FF 74 4C 48 83 FF 01 75 14 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 88 30 EB 1B 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 40 0F BE D6 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_242_2 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 17
	strings:
		$1 = { 48 83 79 18 10 72 03 48 8B 09 48 89 0A 48 8B C2 C3 }
	condition:
		$1
}

rule file_7_287_2 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z"
		size = 148
		refs = "0065 memmove 008f ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 10 48 8B D9 48 3B FA 72 78 48 8B C7 48 2B C2 49 3B C0 77 19 48 89 51 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 C6 04 10 00 EB 46 4D 85 C0 74 41 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 49 2B F8 48 8D 0C 10 48 8B C7 48 2B C2 74 0C 4A 8D 14 01 4C 8B C0 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_288_2 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K@Z"
		size = 47
		refs = "002a ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 10 72 1F 48 89 51 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 C6 04 10 00 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_304_2 {
	meta:
		name = "?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 88
		refs = "0017 ?_Syserror_map@std@@YAPEBDH@Z 0046 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 33 DB 41 8B C8 89 5C 24 20 48 8B FA E8 ?? ?? ?? ?? 48 C7 47 18 0F 00 00 00 48 8B D0 48 89 5F 10 88 1F 38 18 74 0F 48 83 C8 FF 48 FF C0 38 1C 02 75 F8 48 8B D8 4C 8B C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_7_305_2 {
	meta:
		name = "?message@_Iostream_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 70
		refs = "002d ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@ 0032 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0039 ?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 8B DA 89 44 24 20 41 83 F8 01 75 23 48 C7 42 18 0F 00 00 00 44 8D 40 15 48 89 42 10 48 8B CB 88 02 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_7_312_2 {
	meta:
		name = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
		size = 617
		refs = "0028 __security_cookie 00e3 fputwc 0150 _guard_check_icall 01c7 fwrite 01fa ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 023a ?_Deallocate@std@@YAXPEAX_K1@Z 024a __security_check_cookie"
		altNames = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 EF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 44 0F B7 E2 4C 8B E9 41 BF FF FF 00 00 66 44 3B FA 75 14 33 C0 66 41 3B D7 66 44 0F 44 E0 41 0F B7 C4 E9 E8 01 00 00 48 8B 41 40 4C 8B 08 45 33 C0 4D 85 C9 74 2A 48 8B 41 58 4C 63 10 4B 8D 14 51 4C 3B CA 73 1A 41 8D 4A FF 89 08 49 8B 55 40 4C 8B 02 49 8D 48 02 48 89 0A 66 45 89 20 EB BE 4C 39 81 80 00 00 00 0F 84 9E 01 00 00 4C 8B 49 18 48 8D 41 70 49 39 01 75 24 48 8B 91 90 00 00 00 48 8B 89 88 00 00 00 49 89 09 49 8B 45 38 48 89 08 48 2B D1 48 D1 FA 49 8B 45 50 89 10 4D 39 45 68 75 23 49 8B 95 80 00 00 00 41 0F B7 CC E8 ?? ?? ?? ?? 66 41 3B C7 0F 84 4D 01 00 00 45 0F B7 FC E9 44 01 00 00 66 44 89 65 D7 BA 0F 00 00 00 48 89 55 0F 33 C9 48 89 4D F7 48 C7 45 07 08 00 00 00 48 8D 45 F7 48 83 FA 10 48 0F 43 C1 44 88 40 08 48 8D 5D F7 48 83 7D 0F 10 48 0F 43 5D F7 48 8D 75 F7 48 0F 43 75 F7 4D 8B 75 68 49 8B 16 48 03 5D 07 48 8B 7A 38 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 DF 48 89 44 24 38 48 89 5C 24 30 48 89 74 24 28 48 8D 45 E7 48 89 44 24 20 4C 8D 4D D9 4C 8D 45 D7 49 8D 55 74 49 8B CE FF D7 85 C0 0F 88 99 00 00 00 83 F8 01 7F 75 48 8D 45 F7 4C 8B 4D F7 48 8B 55 0F 48 83 FA 10 49 0F 43 C1 48 8B 5D DF 48 2B D8 74 25 48 8D 4D F7 48 83 FA 10 49 0F 43 C9 4D 8B 8D 80 00 00 00 4C 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 52 41 C6 45 72 01 48 8D 45 D7 48 39 45 E7 75 3F 48 85 DB 0F 85 3E FF FF FF 48 83 7D 07 20 73 33 45 33 C0 8D 53 08 48 8D 4D F7 E8 ?? ?? ?? ?? E9 23 FF FF FF 83 F8 03 75 1A 49 8B 95 80 00 00 00 0F B7 4D D7 E8 ?? ?? ?? ?? 66 41 3B C7 74 04 45 0F B7 FC 48 8B 55 0F 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D F7 E8 ?? ?? ?? ?? 41 0F B7 C7 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_7_341_2 {
	meta:
		name = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
		size = 649
		refs = "0029 __security_cookie 00c7 fgetwc 00fa fgetc 0114 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0145 _guard_check_icall 01c4 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 01ee _errno 01f9 _invalid_parameter_noinfo 022e ungetc 025a ?_Deallocate@std@@YAXPEAX_K1@Z 0269 __security_check_cookie"
		altNames = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 FF FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 4C 8B F9 48 8B 41 38 48 8B 10 48 85 D2 74 30 4C 8B 41 50 4D 63 08 49 8B C1 4A 8D 0C 4A 48 3B D1 73 1D 41 8D 41 FF 41 89 00 49 8B 57 38 48 8B 02 48 8D 48 02 48 89 0A 0F B7 00 E9 EE 01 00 00 49 83 BF 80 00 00 00 00 75 0A B8 FF FF 00 00 E9 DA 01 00 00 4D 8B 47 18 49 8D 47 70 49 39 00 75 24 49 8B 97 90 00 00 00 49 8B 8F 88 00 00 00 49 89 08 49 8B 47 38 48 89 08 48 2B D1 48 D1 FA 49 8B 47 50 89 10 49 83 7F 68 00 75 22 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? BB FF FF 00 00 66 3B C3 0F 84 85 01 00 00 0F B7 D8 E9 7D 01 00 00 48 C7 45 1F 0F 00 00 00 48 83 65 17 00 C6 45 07 00 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 36 01 00 00 44 8A C0 BA 01 00 00 00 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 55 07 48 83 7D 1F 10 48 0F 43 55 07 4C 8D 75 07 4C 0F 43 75 07 49 8B 77 68 48 8B 0E 48 8B 5D 17 48 03 DA 48 8B 79 30 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 F7 48 89 44 24 38 48 8D 45 E9 48 89 44 24 30 48 8D 45 E7 48 89 44 24 28 48 8D 45 EF 48 89 44 24 20 4C 8B CB 4D 8B C6 49 8D 57 74 48 8B CE FF D7 85 C0 0F 88 B9 00 00 00 83 F8 01 7E 15 83 F8 03 0F 85 AB 00 00 00 48 83 7D 17 02 73 34 E9 54 FF FF FF 48 8D 45 E7 48 8D 4D 07 48 39 45 F7 75 57 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 4C 8B 45 EF 4C 2B C0 33 D2 E8 ?? ?? ?? ?? E9 25 FF FF FF 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 48 85 C0 74 09 0F B7 18 66 89 5D E7 EB 59 66 89 45 E7 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D E7 EB 3F 48 83 7D 1F 10 48 0F 43 4D 07 8B 45 17 48 8B 55 EF 2B C2 03 C1 48 63 D8 85 C0 7E DE 48 FF CB 0F BE 0C 13 49 8B 97 80 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 7E C6 48 8B 55 EF EB E2 BB FF FF 00 00 48 8B 55 1F 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D 07 E8 ?? ?? ?? ?? 0F B7 C3 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_11_15_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
		size = 544
		refs = "0024 __security_cookie 0079 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0102 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 01cf ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01f5 ?_Deallocate@std@@YAXPEAX_K1@Z 0204 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E0 48 8B F2 48 8B D9 45 33 C0 45 38 01 74 1E 41 8A 11 49 8B C9 49 8D 44 24 01 41 3A 11 49 0F 45 C4 4C 8B E0 48 FF C1 8A 11 84 D2 75 E8 48 C7 45 F0 0F 00 00 00 4C 89 45 E8 44 88 45 D8 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 B8 01 00 00 00 4C 89 45 C8 4C 8B 6D F0 32 C9 88 4D C0 33 FF 45 33 F6 4D 85 E4 0F 84 3A 01 00 00 EB 08 41 3A 07 74 0B 48 FF C7 42 8A 04 3F 84 C0 75 F0 48 8D 45 D8 49 83 FD 10 48 8B 4D D8 48 0F 43 C1 42 80 3C 30 00 74 19 48 8D 45 D8 49 83 FD 10 48 0F 43 C1 4A 0F BE 04 30 48 03 F8 E9 9C 00 00 00 49 03 F8 42 8A 04 3F 41 3A 07 74 69 84 C0 74 65 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 48 83 3E 00 74 2A EB 06 48 83 3E 00 75 22 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 8A 43 09 42 38 04 3F 75 0B B1 01 88 4D C0 4C 8B 45 C8 EB 3D 48 8D 55 D8 49 83 FD 10 48 0F 43 55 D8 4C 8B 45 C8 EB 10 48 8D 55 D8 49 83 FD 10 48 0F 43 D1 44 89 75 C4 B9 7F 00 00 00 4C 3B C1 41 0F B6 C0 0F 42 C8 42 88 0C 32 4C 8B 6D F0 8A 4D C0 49 FF C6 4D 3B F4 0F 82 1D FF FF FF 84 C9 74 49 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 48 83 3E 00 74 21 EB 06 48 83 3E 00 75 19 48 FF 45 C8 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF 4C 8B 45 C8 E9 B3 FE FF FF 49 83 FD 10 72 13 49 8D 55 01 41 B8 01 00 00 00 48 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_35_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@std@@@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@1@0@Z"
		size = 134
		refs = "0050 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0079 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 4D 8B C8 48 8B 49 18 48 83 F9 10 72 05 4C 8B 03 EB 03 4C 8B C3 4C 03 43 10 48 83 F9 10 72 05 48 8B 03 EB 03 48 8B C3 4C 2B C0 49 3B D1 75 1E 48 83 F9 10 72 05 48 8B 0B EB 03 48 8B CB 48 2B C1 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? EB 27 4C 2B CA 48 83 F9 10 72 05 48 8B 0B EB 03 48 8B CB 48 2B C1 4C 89 4C 24 20 4C 8B CA 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_11_154_2 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@$$QEAV01@@Z"
		size = 116
		refs = "0036 ?_Deallocate@std@@YAXPEAX_K1@Z 0061 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z"
		altNames = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 48 8B D9 48 3B CA 74 47 48 8B 51 18 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 09 E8 ?? ?? ?? ?? 90 48 C7 43 18 0F 00 00 00 48 83 63 10 00 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_11_225_2 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 287
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@D@std@@6B@ 00a8 _Getcoll 00c9 ??1_Locinfo@std@@QEAA@XZ 00f3 ?_Deallocate@std@@YAXPEAX_K1@Z 0108 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC D0 00 00 00 48 C7 44 24 28 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 B6 00 00 00 48 39 19 0F 85 AD 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 30 48 85 C0 74 57 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 24 48 8B 94 24 C0 00 00 00 48 83 FA 10 72 16 48 FF C2 41 B8 01 00 00 00 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 C8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 D0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_527_2 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 287
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@G@std@@6B@ 00a8 _Getcoll 00c9 ??1_Locinfo@std@@QEAA@XZ 00f3 ?_Deallocate@std@@YAXPEAX_K1@Z 0108 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC D0 00 00 00 48 C7 44 24 28 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 B6 00 00 00 48 39 19 0F 85 AD 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 30 48 85 C0 74 57 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 24 48 8B 94 24 C0 00 00 00 48 83 FA 10 72 16 48 FF C2 41 B8 01 00 00 00 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 C8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 D0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_530_2 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 287
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009b ??_7?$collate@_W@std@@6B@ 00a8 _Getcoll 00c9 ??1_Locinfo@std@@QEAA@XZ 00f3 ?_Deallocate@std@@YAXPEAX_K1@Z 0108 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC D0 00 00 00 48 C7 44 24 28 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 B6 00 00 00 48 39 19 0F 85 AD 00 00 00 8D 4B 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 30 48 85 C0 74 57 48 8D 94 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? BB 03 00 00 00 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 0E 83 E3 FD 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 F6 C3 01 74 24 48 8B 94 24 C0 00 00 00 48 83 FA 10 72 16 48 FF C2 41 B8 01 00 00 00 48 8B 8C 24 A8 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 C8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 D0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_260_2 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z"
		size = 3073
		refs = "0029 __security_cookie 0071 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007a ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 009f _guard_check_icall 00d6 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 0192 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 01f2 ?_Src@?1??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@0_NAEAVios_base@3@PEAD@Z@4QBDB 0281 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02e3 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 02f3 ??$?9DU?$char_traits@D@std@@@std@@YA_NAEBV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0311 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 034a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03b6 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0453 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 0647 ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 06b9 ?_Deallocate@std@@YAXPEAX_K1@Z 0715 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@$$QEAV01@@Z 0743 ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 08a9 ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0baf ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0be1 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A8 48 81 EC 20 01 00 00 48 C7 44 24 78 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 18 4D 8B E1 4C 89 4C 24 48 49 8B F8 4C 8B EA 48 89 55 80 48 8B 8D 88 00 00 00 48 89 4C 24 68 48 8B 85 90 00 00 00 48 89 44 24 60 83 64 24 28 00 80 BD 80 00 00 00 00 74 5C 48 8D 55 88 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 40 BE 01 00 00 00 4C 8B 75 90 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 90 EB 5A 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 40 BE 01 00 00 00 4C 8B 75 A0 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 90 C6 44 24 20 00 32 C0 88 44 24 24 41 BE 0F 00 00 00 4C 89 75 10 48 83 65 08 00 88 45 F8 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 58 49 8B CF FF D3 33 DB 4D 89 75 18 49 89 5D 10 49 83 7D 18 10 72 06 49 8B 45 00 EB 03 49 8B C5 88 18 44 8B FE 89 74 24 38 89 74 24 28 48 8D 55 A8 48 8B 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 70 4C 8B 75 B0 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 49 8B CE FF D3 90 4C 8B 74 24 70 49 8B 06 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 60 4C 8D 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8B D0 49 8B CE FF D3 48 83 64 24 30 00 8B 5C 24 20 4C 8B 74 24 30 49 83 FE 04 0F 83 E0 08 00 00 42 8A 44 34 58 3C 20 0F 84 49 08 00 00 3C 24 0F 84 6C 06 00 00 3C 2B 0F 84 C3 03 00 00 3C 76 74 0D 3C 78 0F 84 2D 08 00 00 E9 A2 08 00 00 45 33 FF 44 89 7C 24 54 4C 8B 74 24 40 49 8B 06 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 8B F0 89 44 24 50 48 8D 55 D8 48 8B 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 4C 39 7D E8 0F 84 F8 01 00 00 48 8B 03 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 40 FF D3 44 8A E0 84 C0 0F 84 D2 01 00 00 48 8D 4D D8 48 83 7D F0 10 48 0F 43 4D D8 80 39 7F 0F 83 BB 01 00 00 48 C7 45 D0 0F 00 00 00 4C 21 7D C8 44 88 7D B8 45 33 C0 48 8B D6 48 8D 4D B8 E8 ?? ?? ?? ?? 90 33 DB 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 4C 8B 75 D0 4C 8B 7D B8 84 C0 0F 84 E9 00 00 00 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 60 48 8B C2 8A 0A EB 0A 3A 4F 09 74 09 48 03 C6 8A 08 84 C9 75 F2 48 2B C2 48 83 F8 0A 73 3A 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 8D 45 B8 49 83 FE 10 49 0F 43 C7 80 3C 18 7F 74 52 48 8D 45 B8 49 83 FE 10 49 0F 43 C7 40 00 34 18 EB 38 48 8D 45 B8 49 83 FE 10 49 0F 43 C7 80 3C 18 00 74 4B 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 44 38 67 09 75 37 45 33 C0 48 8B D6 48 8D 4D B8 E8 ?? ?? ?? ?? 48 03 DE 4C 8B 7D B8 4C 8B 75 D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 38 FF FF FF 48 85 DB 74 1C 48 8D 45 B8 49 83 FE 10 49 0F 43 C7 80 3C 18 00 7E 05 48 03 DE EB 05 40 88 74 24 20 48 8D 4D D8 48 83 7D F0 10 48 0F 43 4D D8 80 7C 24 20 00 75 5C 48 85 DB 74 44 8A 11 80 FA 7F 74 3D 48 2B DE 74 11 48 8D 45 B8 49 83 FE 10 49 0F 43 C7 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 B8 49 83 FE 10 49 0F 43 C7 3A 10 7C 0B 80 79 01 00 7E C3 48 FF C1 EB BE 40 88 74 24 20 EB 13 48 8D 4D B8 E8 ?? ?? ?? ?? 4C 8B 64 24 48 E9 95 00 00 00 48 8D 4D B8 E8 ?? ?? ?? ?? 90 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8B 64 24 48 44 8B 7C 24 38 E9 62 06 00 00 4C 8B 64 24 48 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 69 4C 8B 74 24 60 4C 8D 3D ?? ?? ?? ?? 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 49 8B C6 41 8A 0E EB 0A 3A 4F 09 74 09 48 03 C6 8A 08 84 C9 75 F2 49 2B C6 48 83 F8 0A 73 26 46 8A 04 38 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 AD 44 8B 7C 24 54 44 8B 74 24 50 48 8B 44 24 40 48 8B 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 40 FF D3 8A D8 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 84 DB 0F 84 8C 00 00 00 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 38 5F 09 75 79 EB 4F 45 3B FE 7D 72 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 60 48 8B C2 8A 0A EB 0A 3A 4F 09 74 09 48 03 C6 8A 08 84 C9 75 F2 48 2B C2 48 83 F8 0A 73 30 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 44 03 FE 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 9A 8B 44 24 20 0F B6 C0 45 3B FE 0F 4C C6 89 44 24 20 49 83 7D 10 00 75 07 40 88 74 24 20 EB 1E 45 3B FE 7D 19 45 2B F7 41 8B DE 41 B0 30 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 48 2B DE 75 ED 48 8D 4D D8 E8 ?? ?? ?? ?? E9 7B FE FF FF 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 48 83 3F 00 75 0D 49 83 3C 24 00 0F 84 C1 04 00 00 EB 0B 49 83 3C 24 00 0F 85 B4 04 00 00 48 8D 55 B8 4C 8B 74 24 40 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 02 44 89 7C 24 28 48 83 78 10 00 76 3C 48 8D 55 D8 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CF 04 44 89 7C 24 28 48 83 78 18 10 72 03 48 8B 18 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 47 09 38 03 75 05 40 8A DE EB 02 32 DB 41 F6 C7 04 74 2E 41 83 E7 FB 48 8B 55 F0 48 83 FA 10 72 0F 48 FF C2 4C 8B C6 48 8B 4D D8 E8 ?? ?? ?? ?? 48 C7 45 F0 0F 00 00 00 48 83 65 E8 00 C6 45 D8 00 41 83 E7 FD 44 89 7C 24 38 44 89 7C 24 28 48 8B 55 D0 48 83 FA 10 72 0F 48 FF C2 4C 8B C6 48 8B 4D B8 E8 ?? ?? ?? ?? 84 DB 74 42 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 D8 49 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D F8 E8 ?? ?? ?? ?? 48 8B 55 F0 48 83 FA 10 0F 82 BE 03 00 00 48 FF C2 4C 8B C6 48 8B 4D D8 E8 ?? ?? ?? ?? E9 AA 03 00 00 48 8D 55 B8 49 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 08 44 89 7C 24 28 48 83 78 10 00 76 3C 48 8D 55 D8 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CF 10 44 89 7C 24 28 48 83 78 18 10 72 03 48 8B 18 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 47 09 38 03 75 05 40 8A DE EB 02 32 DB 41 F6 C7 10 74 2E 41 83 E7 EF 48 8B 55 F0 48 83 FA 10 72 0F 48 FF C2 4C 8B C6 48 8B 4D D8 E8 ?? ?? ?? ?? 48 C7 45 F0 0F 00 00 00 48 83 65 E8 00 C6 45 D8 00 41 83 E7 F7 44 89 7C 24 38 44 89 7C 24 28 48 8B 55 D0 48 83 FA 10 72 0F 48 FF C2 4C 8B C6 48 8B 4D B8 E8 ?? ?? ?? ?? 84 DB 74 43 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 D8 49 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D F8 E8 ?? ?? ?? ?? 48 8B 55 F0 48 83 FA 10 72 0F 48 FF C2 4C 8B C6 48 8B 4D D8 E8 ?? ?? ?? ?? 40 88 74 24 24 E9 AD 02 00 00 48 8D 55 D8 49 8B CE E8 ?? ?? ?? ?? 48 8B 58 10 48 8B 55 F0 48 83 FA 10 72 0F 48 FF C2 4C 8B C6 48 8B 4D D8 E8 ?? ?? ?? ?? 48 85 DB 0F 84 7B 02 00 00 48 8D 55 D8 49 8B CE E8 ?? ?? ?? ?? 48 8B 58 10 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8B 74 24 30 48 85 DB 8B 5C 24 20 0F 85 59 02 00 00 40 88 74 24 24 E9 4F 02 00 00 48 8D 55 B8 48 8B 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 44 24 68 F6 40 18 08 75 76 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 48 83 3F 00 75 09 49 83 3C 24 00 74 4B EB 07 49 83 3C 24 00 75 42 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 4F 09 48 8D 45 B8 4C 8B 4D B8 4C 8B 45 D0 49 83 F8 10 49 0F 43 C1 3A 08 74 19 48 83 65 C8 00 48 8D 45 B8 49 83 F8 10 49 0F 43 C1 C6 00 00 E9 80 00 00 00 48 83 7C 24 30 03 75 73 48 39 75 08 77 6D 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 48 83 3F 00 75 09 49 83 3C 24 00 74 2C EB 07 49 83 3C 24 00 75 23 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 4F 09 48 8D 45 B8 48 83 7D D0 10 48 0F 43 45 B8 3A 08 74 16 48 83 65 C8 00 48 8D 45 B8 48 83 7D D0 10 48 0F 43 45 B8 C6 00 00 4C 8B 74 24 30 48 8D 5D B8 48 83 7D D0 10 48 0F 43 5D B8 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 48 83 3F 00 75 09 49 83 3C 24 00 74 45 EB 07 49 83 3C 24 00 75 3C 48 8D 4D B8 48 83 7D D0 10 48 0F 43 4D B8 48 8B 45 C8 48 03 C1 48 3B D8 74 22 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 47 09 3A 03 75 0D 48 03 DE 48 8B CF E8 ?? ?? ?? ?? EB 90 48 8D 55 B8 4C 8B 4D B8 4C 8B 45 D0 49 83 F8 10 49 0F 43 D1 48 8B 45 C8 48 03 C2 0F B6 54 24 20 48 3B D8 0F 45 D6 8A DA 89 5C 24 20 49 83 F8 10 0F 82 8B 00 00 00 49 8D 50 01 4C 8B C6 49 8B C9 E8 ?? ?? ?? ?? EB 7A 49 83 FE 03 74 74 32 DB 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 40 4C 8B 7C 24 70 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B6 4F 09 49 8B 47 18 F6 04 48 48 74 1A 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 CA 44 8B 7C 24 38 42 80 7C 34 58 20 75 17 0F B6 44 24 20 84 DB 0F 44 C6 8A D8 89 5C 24 20 EB 09 4C 8B 74 24 30 8B 5C 24 20 4C 03 F6 4C 89 74 24 30 84 DB 0F 84 16 F7 FF FF 80 7C 24 20 00 0F 85 AC 00 00 00 48 8B 4D 08 48 3B CE 0F 86 85 00 00 00 48 8D 5D F8 48 8B 55 F8 4C 8B 45 10 49 83 F8 10 48 0F 43 DA 48 8D 45 F8 49 83 F8 10 48 0F 43 C2 48 03 C1 48 03 DE 48 3B D8 74 46 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 2B 80 7F 08 00 75 08 48 8B CF E8 ?? ?? ?? ?? 8A 47 09 3A 03 75 16 48 8B CF E8 ?? ?? ?? ?? 4C 8B 45 10 48 8B 4D 08 48 8B 55 F8 EB AF 4C 8B 45 10 48 8B 4D 08 48 8B 55 F8 48 8D 45 F8 49 83 F8 10 48 0F 43 C2 48 03 C1 48 3B D8 75 1A 8A 44 24 24 84 C0 74 2A 41 B1 2D 4C 8B C6 33 D2 49 8B CD E8 ?? ?? ?? ?? EB 18 49 83 65 10 00 49 83 7D 18 10 72 06 49 8B 45 00 EB 03 49 8B C5 C6 00 00 48 8D 4D F8 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 18 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 20 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_11_264_2 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 01 85 C0 74 10 83 65 28 FE 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_11_267_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D B8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_11_268_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D D8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_11_269_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D B8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_11_270_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D D8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_11_315_2 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@_K@Z"
		size = 104
		refs = "002f ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B D9 48 8B FA 48 8B F1 4D 85 C9 74 2C 48 8B 4F 08 41 8A 10 48 85 C9 74 0F E8 ?? ?? ?? ?? 4C 8B 44 24 40 83 F8 FF 75 03 C6 07 01 49 FF C0 4C 89 44 24 40 48 83 EB 01 75 D4 0F 10 07 48 8B 5C 24 30 48 8B C6 F3 0F 7F 06 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_11_316_2 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z"
		size = 2396
		refs = "002e __security_cookie 007e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0087 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00ac _guard_check_icall 00e3 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 0137 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 017c ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 026c ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0298 ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02a4 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@$$QEAV01@@Z 02bd ?_Deallocate@std@@YAXPEAX_K1@Z 02e3 ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 03df ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 0938 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 B0 48 81 EC 50 01 00 00 48 C7 44 24 78 FE FF FF FF 48 89 58 08 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 30 4D 8B E0 48 89 54 24 70 4C 8B AD B0 00 00 00 4C 89 6C 24 48 8A 85 B8 00 00 00 88 44 24 20 48 8B B5 C8 00 00 00 48 89 74 24 50 48 89 75 A0 8A 85 D0 00 00 00 88 44 24 21 49 8B CD 45 84 C9 74 5C 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 28 BF 01 00 00 00 4C 8B 75 88 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 49 8B CE FF D3 90 EB 5A 48 8D 55 90 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 28 BF 01 00 00 00 4C 8B 75 98 4D 85 F6 74 32 49 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 4C 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 49 8B CE FF D3 90 48 8D 55 F0 49 8B CF E8 ?? ?? ?? ?? 90 49 8B 07 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 99 33 C2 2B C2 89 44 24 40 44 8B F0 4C 89 74 24 38 4C 39 76 10 77 1E 45 8B C6 4C 2B 46 10 4C 03 C7 44 8A 4C 24 21 33 D2 48 8B CE E8 ?? ?? ?? ?? E9 A5 00 00 00 48 8D 45 F0 48 83 7D 08 10 48 0F 43 45 F0 80 38 7F 0F 84 8E 00 00 00 48 8D 45 F0 48 83 7D 08 10 48 0F 43 45 F0 33 D2 38 10 7E 7A 49 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 44 8A F8 48 8D 5D F0 48 83 7D 08 10 48 0F 43 5D F0 4C 8B 76 10 4C 2B 74 24 38 80 3B 7F 74 3D 45 33 ED 44 38 2B 7E 30 48 0F BE 03 49 3B C6 73 27 4C 2B F0 45 8A CF 4C 8B C7 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 48 8D 43 01 44 38 28 48 0F 4E C3 48 8B D8 80 38 7F 75 CB 4C 8B 6C 24 48 4C 8B 74 24 38 4C 8B 7C 24 28 48 C7 45 E8 0F 00 00 00 33 C0 48 89 45 E0 88 45 D0 38 85 C0 00 00 00 49 8B 07 74 2C 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CF FF D3 8B 44 24 24 89 44 24 30 48 8D 55 B0 49 8B CF E8 ?? ?? ?? ?? EB 2A 48 8B 58 50 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CF FF D3 8B 44 24 24 89 44 24 30 48 8D 55 B0 49 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 55 C8 48 83 FA 10 72 0F 4C 8B C7 48 FF C2 48 8B 4D B0 E8 ?? ?? ?? ?? 48 C7 45 28 0F 00 00 00 45 33 DB 4C 89 5D 20 44 88 5D 10 41 F6 45 18 08 74 34 48 8D 55 B0 49 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8B 55 C8 48 83 FA 10 72 0F 48 FF C2 4C 8B C7 48 8B 4D B0 E8 ?? ?? ?? ?? 45 33 DB 45 8A CB 49 8B CB 4D 8B C3 44 8B 54 24 40 42 8A 44 04 30 3C 20 74 42 3C 24 74 38 3C 2B 74 2E 3C 76 74 06 3C 78 74 35 EB 3F 4C 39 76 10 77 0C 49 8B D6 48 2B 56 10 48 03 D7 EB 03 49 8B D3 48 8B 46 10 45 3B DA 48 13 C2 48 03 C8 EB 1B 48 03 4D E0 EB 15 48 03 4D 20 EB 0F 48 03 CF 45 0F B6 C9 49 83 F8 03 44 0F 45 CF 4C 03 C7 49 83 F8 04 72 9D 4D 8B 6D 28 4D 85 ED 7E 0A 4C 3B E9 76 05 4C 2B E9 EB 03 4D 8B EB 48 8B 44 24 48 8B 58 18 81 E3 C0 01 00 00 89 5C 24 24 83 FB 40 74 62 81 FB 00 01 00 00 75 05 45 84 C9 75 55 41 0F 10 04 24 0F 29 44 24 60 4D 85 ED 74 3D 48 8B 5C 24 68 44 8A 7C 24 20 48 85 DB 74 10 41 8A D7 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 05 40 88 7C 24 60 4C 2B EF 41 BB 00 00 00 00 75 DB 0F 28 44 24 60 4C 8B 7C 24 28 8B 5C 24 24 F3 41 0F 7F 04 24 4D 8B EB 49 8B C3 48 89 44 24 60 EB 03 45 33 DB 8A 44 04 30 3C 20 0F 84 01 03 00 00 3C 24 0F 84 A9 02 00 00 3C 2B 0F 84 4E 02 00 00 3C 76 74 0D 3C 78 0F 84 20 03 00 00 E9 70 03 00 00 44 39 5C 24 40 75 5A 48 83 7E 18 10 72 05 48 8B 1E EB 03 48 8B DE 41 0F 10 04 24 0F 29 45 B0 4C 8B 76 10 4D 85 F6 0F 84 3E 03 00 00 4C 8B 7D B8 4D 85 FF 74 12 8A 13 49 8B CF E8 ?? ?? ?? ?? 45 33 DB 83 F8 FF 75 04 40 88 7D B0 48 03 DF 4C 2B F7 75 DD 0F 28 45 B0 4C 8B 7C 24 28 E9 09 03 00 00 4C 39 76 10 0F 87 E8 00 00 00 49 8B 4C 24 08 48 85 C9 74 0E 8A 54 24 21 E8 ?? ?? ?? ?? 83 F8 FF 75 04 41 88 3C 24 49 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 49 8B 4C 24 08 48 85 C9 74 0C 8A D0 E8 ?? ?? ?? ?? 83 F8 FF 75 04 41 88 3C 24 41 0F 10 04 24 0F 29 45 B0 49 8B DE 48 2B 5E 10 74 35 4C 8B 75 B8 44 8A 7C 24 21 4D 85 F6 74 10 41 8A D7 49 8B CE E8 ?? ?? ?? ?? 83 F8 FF 75 04 40 88 7D B0 48 2B DF 75 E2 0F 28 45 B0 48 8B 74 24 50 4C 8B 7C 24 28 F3 41 0F 7F 04 24 48 83 7E 18 10 72 05 48 8B 1E EB 03 48 8B DE 0F 29 45 B0 4C 8B 76 10 33 C0 4D 85 F6 0F 84 46 02 00 00 4C 8B 7D B8 4D 85 FF 74 11 8A 13 49 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 03 DF 4C 2B F7 75 DA E9 00 FF FF FF 48 83 7E 18 10 72 05 48 8B 1E EB 03 48 8B DE 41 0F 10 04 24 0F 29 45 B0 4C 8B 76 10 4C 2B 74 24 38 74 30 4C 8B 7D B8 4D 85 FF 74 12 8A 13 49 8B CF E8 ?? ?? ?? ?? 45 33 DB 83 F8 FF 75 04 40 88 7D B0 48 03 DF 4C 2B F7 75 DD 0F 28 45 B0 4C 8B 7C 24 28 F3 41 0F 7F 04 24 49 8B 07 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 49 8B 4C 24 08 48 85 C9 74 0C 8A D0 E8 ?? ?? ?? ?? 83 F8 FF 75 04 41 88 3C 24 48 83 7E 18 10 72 05 48 8B 0E EB 03 48 8B CE 48 8B 5E 10 48 03 D9 48 2B 5C 24 38 41 0F 10 04 24 0F 29 45 B0 4C 8B 74 24 38 33 C0 4D 85 F6 0F 84 5C 01 00 00 4C 8B 7D B8 4D 85 FF 74 11 8A 13 49 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 03 DF 4C 2B F7 75 DA E9 16 FE FF FF 4C 39 5D E0 0F 86 29 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 41 0F 10 34 24 0F 29 75 B0 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 0C 8A 10 E8 ?? ?? ?? ?? 83 F8 FF 75 08 40 88 7D B0 0F 28 75 B0 F3 41 0F 7F 34 24 E9 E0 00 00 00 48 8D 5D 10 48 83 7D 28 10 48 0F 43 5D 10 41 0F 10 04 24 0F 29 45 B0 4C 8B 75 20 4D 85 F6 0F 84 B6 00 00 00 4C 8B 7D B8 4D 85 FF 74 12 8A 13 49 8B CF E8 ?? ?? ?? ?? 45 33 DB 83 F8 FF 75 04 40 88 7D B0 48 03 DF 4C 2B F7 75 DD E9 73 FD FF FF 41 0F 10 34 24 0F 29 75 B0 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 0E 8A 54 24 20 E8 ?? ?? ?? ?? 83 F8 FF 75 08 40 88 7D B0 0F 28 75 B0 F3 41 0F 7F 34 24 45 33 DB 81 FB 00 01 00 00 75 4D 41 0F 10 04 24 0F 29 45 B0 4D 85 ED 74 36 48 8B 5D B8 40 8A 74 24 20 48 85 DB 74 10 40 8A D6 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 04 40 88 7D B0 4C 2B EF 41 BB 00 00 00 00 75 DC 0F 28 45 B0 48 8B 74 24 50 4D 8B EB F3 41 0F 7F 04 24 48 8B 44 24 60 48 03 C7 48 89 44 24 60 48 83 F8 04 8B 5C 24 24 4C 8B 74 24 38 0F 82 40 FC FF FF 4C 8B 75 E0 4C 3B F7 76 56 48 8D 5D D0 48 83 7D E8 10 48 0F 43 5D D0 48 FF C3 41 0F 10 04 24 0F 29 45 B0 33 C0 49 83 EE 01 74 2E 4C 8B 7D B8 4D 85 FF 74 11 8A 13 49 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 03 DF 4C 2B F7 75 DA 0F 28 45 B0 F3 41 0F 7F 04 24 48 8B 44 24 48 45 33 F6 4C 89 70 28 41 0F 10 04 24 0F 29 45 B0 4D 85 ED 74 30 48 8B 5D B8 40 8A 74 24 20 48 85 DB 74 10 40 8A D6 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 75 04 40 88 7D B0 4C 2B EF 75 E2 0F 28 45 B0 48 8B 74 24 50 48 8B 5C 24 70 F3 0F 7F 03 48 8B 55 28 48 83 FA 10 72 0F 48 FF C2 4C 8B C7 48 8B 4D 10 E8 ?? ?? ?? ?? 41 BF 0F 00 00 00 4C 89 7D 28 4C 89 75 20 44 88 75 10 48 8B 55 E8 48 83 FA 10 72 0F 48 FF C2 4C 8B C7 48 8B 4D D0 E8 ?? ?? ?? ?? 4C 89 7D E8 4C 89 75 E0 44 88 75 D0 48 8B 55 08 48 83 FA 10 72 0F 48 FF C2 4C 8B C7 48 8B 4D F0 E8 ?? ?? ?? ?? 4C 89 7D 08 4C 89 75 00 44 88 75 F0 48 8B 56 18 48 83 FA 10 72 0E 48 FF C2 4C 8B C7 48 8B 0E E8 ?? ?? ?? ?? 4C 89 7E 18 4C 89 76 10 48 83 7E 18 10 72 03 48 8B 36 44 88 36 48 8B C3 48 8B 4D 30 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 40 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_355_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 74
		refs = "003d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_falsename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 20 44 89 44 24 20 48 C7 43 18 0F 00 00 00 4C 89 43 10 44 88 03 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_11_359_2 {
	meta:
		name = "?do_get@?$messages@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHAEBV32@@Z"
		size = 58
		refs = "002d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 48 8B DA 88 02 49 83 C9 FF 48 8B 54 24 68 45 33 C0 48 8B CB 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_11_360_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 322
		refs = "001e __security_cookie 006e ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z 007e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 00c2 _errno 00d7 strtod 0119 ?_Deallocate@std@@YAXPEAX_K1@Z 012c __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 90 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 00 00 00 49 8B D9 4D 8B F0 4C 8B FA 48 8B 84 24 F8 00 00 00 48 8B AC 24 00 01 00 00 4C 8B A4 24 08 01 00 00 48 8D 54 24 70 48 89 54 24 30 48 89 44 24 28 8A 84 24 F0 00 00 00 88 44 24 20 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 49 83 3E 00 75 08 48 83 3B 00 74 08 EB 0A 48 83 3B 00 74 04 83 4D 00 01 48 83 7C 24 60 00 74 42 48 8D 74 24 50 48 83 7C 24 68 10 48 0F 43 74 24 50 E8 ?? ?? ?? ?? 48 8B F8 8B 18 83 20 00 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 8B 07 89 1F 48 39 74 24 40 74 0C 85 C0 75 08 F2 41 0F 11 04 24 EB 04 83 4D 00 02 41 0F 10 06 F3 41 0F 7F 07 48 8B 54 24 68 48 83 FA 10 72 13 48 FF C2 41 B8 01 00 00 00 48 8B 4C 24 50 E8 ?? ?? ?? ?? 49 8B C7 48 8B 8C 24 80 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_11_362_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 401
		refs = "0027 __security_cookie 0061 ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@PEAD@Z 0077 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 00d9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0163 ?_Deallocate@std@@YAXPEAX_K1@Z 0172 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 C0 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F1 4D 8B E0 4C 8B EA 48 8B 45 68 4C 8B 7D 70 48 8B 7D 78 48 8D 55 E8 48 89 54 24 30 48 89 44 24 28 8A 45 60 88 44 24 20 48 8D 55 C8 E8 ?? ?? ?? ?? 90 48 8B 75 D8 33 DB 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 49 39 1C 24 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 48 85 F6 75 09 41 83 0F 02 E9 93 00 00 00 48 3B 77 10 77 18 48 89 77 10 48 83 7F 18 10 72 05 48 8B 07 EB 03 48 8B C7 88 1C 30 EB 12 48 8B D6 48 2B 57 10 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 80 38 2D 75 4B 48 83 7F 18 10 72 05 48 8B 0F EB 03 48 8B CF 8A 45 F2 88 01 BB 01 00 00 00 EB 30 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 48 83 7F 18 10 72 05 48 8B 17 EB 03 48 8B D7 0F BE 04 18 83 E8 30 48 98 8A 4C 05 E8 88 0C 1A 48 FF C3 48 3B DE 72 CB 41 0F 10 04 24 F3 41 0F 7F 45 00 48 8B 55 E0 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C8 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C0 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_374_2 {
	meta:
		name = "?do_grouping@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 74
		refs = "003d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_grouping@?$_Mpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 10 44 89 44 24 20 48 C7 43 18 0F 00 00 00 4C 89 43 10 44 88 03 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_11_379_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 74
		refs = "003d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 30 44 89 44 24 20 48 C7 43 18 0F 00 00 00 4C 89 43 10 44 88 03 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_11_382_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 74
		refs = "003d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_truename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 28 44 89 44 24 20 48 C7 43 18 0F 00 00 00 4C 89 43 10 44 88 03 44 38 02 74 10 48 83 C8 FF 48 FF C0 44 38 04 02 75 F7 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_11_383_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 554
		refs = "0028 __security_cookie 0052 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005b ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0076 _guard_check_icall 00b6 ?_Src@?1??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@3@V43@_NAEAVios_base@3@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@@Z@4QBDB 0168 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0180 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01a0 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01df ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 01fc ?_Deallocate@std@@YAXPEAX_K1@Z 020b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC E0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 50 4D 8B E8 4C 8B FA 48 89 4D 9F 4C 8B 65 6F 48 8B 7D 7F 48 8D 55 8F 49 8B CC E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 75 97 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 49 8B 06 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 33 F6 40 8A DE 8B D6 4C 8B 5F 10 4D 85 DB 74 1D 48 83 7F 18 10 72 05 48 8B 0F EB 03 48 8B CF 8A 45 F9 38 01 75 07 B3 01 BA 01 00 00 00 4C 8B C2 49 3B D3 73 46 44 8A 55 EF 48 83 7F 18 10 72 05 48 8B 0F EB 03 48 8B CF 48 8D 45 EF 45 84 D2 74 15 46 8A 0C 01 41 8A CA 41 3A C9 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D EF 48 2B C1 48 83 F8 0A 73 08 49 FF C0 4D 3B C3 72 BE 48 83 7F 18 10 72 03 48 8B 3F 41 BE 0F 00 00 00 4C 89 75 E7 48 89 75 DF 40 88 75 CF 4C 2B C2 48 03 D7 48 8D 4D CF E8 ?? ?? ?? ?? 90 48 39 75 DF 75 11 44 8A 45 EF 41 8D 56 F2 48 8D 4D CF E8 ?? ?? ?? ?? 4C 89 75 BF 48 89 75 B7 40 88 75 A7 49 83 C9 FF 45 33 C0 48 8D 55 CF 48 8D 4D A7 E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 8F 8A 45 EF 88 44 24 40 48 8D 45 A7 48 89 44 24 38 88 5C 24 30 8A 45 77 88 44 24 28 4C 89 64 24 20 44 8A 4C 24 50 4C 8D 45 8F 49 8B D7 48 8B 4D 9F E8 ?? ?? ?? ?? 90 48 8B 55 E7 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D CF E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_386_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DO@Z"
		size = 602
		refs = "0028 __security_cookie 0067 __xmm@80000000000000008000000000000000 0072 __real@4733426172c74d82 0085 __real@4202a05f20000000 009b ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00a9 sprintf_s 00cc ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00d5 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00f5 _guard_check_icall 0157 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01a1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01c6 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 020f ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@D@Z 022c ?_Deallocate@std@@YAXPEAX_K1@Z 023b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 51 4D 8B E8 4C 8B FA 48 89 4C 24 68 48 8B 5D 6F 48 89 5C 24 60 C6 44 24 50 00 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0C C6 44 24 50 01 0F 57 1D ?? ?? ?? ?? 45 33 E4 F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FC 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C4 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D7 E8 ?? ?? ?? ?? 48 63 F0 85 C0 79 0F 41 0F 10 45 00 F3 41 0F 7F 07 E9 6D 01 00 00 48 8D 54 24 70 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 58 48 8B 7D 87 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 06 48 8B 58 40 48 8B CB E8 ?? ?? ?? ?? B2 30 49 8B CE FF D3 44 8A F0 48 C7 45 CF 0F 00 00 00 48 83 65 C7 00 C6 45 B7 00 48 8B DE 45 33 C0 48 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 90 48 8D 75 B7 48 83 7D CF 10 48 0F 43 75 B7 48 8B 44 24 58 48 8B 00 48 8D 4D D7 48 03 D9 48 8B 78 38 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 48 8D 55 D7 48 8B 4C 24 58 FF D7 45 8A C6 49 8B D4 48 8D 4D B7 E8 ?? ?? ?? ?? 48 C7 45 A7 0F 00 00 00 48 83 65 9F 00 C6 45 8F 00 49 83 C9 FF 45 33 C0 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 44 24 70 44 88 74 24 40 48 8D 45 8F 48 89 44 24 38 8A 44 24 50 88 44 24 30 8A 45 77 88 44 24 28 48 8B 44 24 60 48 89 44 24 20 44 8A 4C 24 51 4C 8D 44 24 70 49 8B D7 48 8B 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 55 CF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D B7 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_389_2 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBUtm@@DD@Z"
		size = 322
		refs = "0024 __security_cookie 003e ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0087 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00ae _Strftime 00f4 ??$_Copy_unchecked1@PEADV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PEAD0V10@U_General_ptr_iterator_tag@0@@Z 0118 ?_Deallocate@std@@YAXPEAX_K1@Z 0127 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B F8 48 8B FA 48 8B F1 4C 8B 75 6F 8B 05 ?? ?? ?? ?? 89 45 07 8A 05 ?? ?? ?? ?? 88 45 0B 48 C7 45 FF 0F 00 00 00 48 83 65 F7 00 C6 45 E7 00 8A 45 7F 84 C0 75 08 8A 45 77 88 45 09 EB 09 88 45 09 8A 45 77 88 45 0A BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B 46 10 48 8D 4D E7 48 83 7D FF 10 48 0F 43 4D E7 48 89 44 24 20 4D 8B CE 4C 8D 45 07 48 8B 55 F7 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 05 48 03 DB EB BD 48 8D 4D E7 48 83 7D FF 10 48 0F 43 4D E7 48 8D 55 E7 48 0F 43 55 E7 48 FF C2 33 C0 41 0F 10 07 F3 0F 7F 45 C7 4C 03 C1 88 44 24 20 4C 8D 4D C7 48 8D 4D D7 E8 ?? ?? ?? ?? 0F 10 45 D7 F3 0F 7F 07 48 8B 55 FF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D E7 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_396_2 {
	meta:
		name = "?do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z"
		size = 288
		refs = "0092 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00c7 _Strxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 40 48 C7 40 F0 FE FF FF FF 48 89 58 08 48 89 68 18 48 89 70 20 49 8B F9 49 8B F0 48 8B DA 83 60 E8 00 48 83 62 10 00 48 C7 42 18 0F 00 00 00 48 83 62 10 00 48 83 7A 18 10 72 05 48 8B 02 EB 03 48 8B C3 C6 00 00 C7 44 24 30 01 00 00 00 48 8B C7 48 2B C6 74 75 48 8D 69 10 48 3B 43 10 77 19 48 89 43 10 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB C6 04 01 00 EB 12 48 2B 43 10 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 03 D0 48 89 6C 24 20 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? 48 3B 43 10 76 0B 48 85 C0 75 8F 48 3B 43 10 77 19 48 89 43 10 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB C6 04 01 00 EB 12 48 2B 43 10 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 CC }
	condition:
		$1
}

rule file_11_397_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 0D 83 65 30 FE 48 8B 4D 58 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_11_401_2 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@XZ"
		size = 29
	strings:
		$1 = { 48 83 79 18 10 72 05 4C 8B 01 EB 03 4C 8B C1 48 8B 49 10 48 8B C2 49 03 C8 48 89 0A C3 }
	condition:
		$1
}

rule file_11_415_2 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z"
		size = 324
		refs = "0062 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00bf memmove 00f9 memset 0133 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 0139 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B F0 45 8A F1 4C 8B 41 10 48 8B EA 48 8B D9 4C 3B C2 0F 82 00 01 00 00 49 8B C0 48 F7 D0 48 3B C6 0F 86 F7 00 00 00 49 8D 3C 30 48 85 F6 0F 84 C6 00 00 00 48 83 FF FE 0F 87 E6 00 00 00 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1F 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 C6 00 00 48 85 FF 0F 84 88 00 00 00 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4C 8B 43 10 4C 2B C5 74 10 48 8D 14 29 48 8D 0C 28 48 03 CE E8 ?? ?? ?? ?? 48 83 FE 01 75 15 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 44 88 34 28 EB 1F 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 41 0F BE D6 48 8D 0C 28 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_11_423_2 {
	meta:
		name = "?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 309
		refs = "001f __security_cookie 008d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 00b8 ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 00e0 ?_Deallocate@std@@YAXPEAX_K1@Z 011e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 A8 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B DA 83 65 A0 00 48 8B 41 08 48 85 C0 75 17 8D 70 0F 48 89 75 E8 48 21 45 E0 88 45 D0 48 8D 55 D0 8D 78 01 EB 49 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 BE 0F 00 00 00 48 89 75 C8 48 83 65 C0 00 C6 45 B0 00 80 3A 00 75 05 45 33 C0 EB 0E 49 83 C8 FF 49 FF C0 42 80 3C 02 00 75 F6 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 55 B0 BF 02 00 00 00 48 89 73 18 48 83 63 10 00 48 83 FE 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 8B CB E8 ?? ?? ?? ?? 83 CF 04 40 F6 C7 02 74 2C 83 E7 FD 48 8B 55 C8 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D B0 E8 ?? ?? ?? ?? 48 89 75 C8 48 83 65 C0 00 C6 45 B0 00 40 F6 C7 01 74 1C 48 8B 55 E8 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D D0 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 81 C4 80 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_11_424_2 {
	meta:
		name = "?dtor$0@?0??name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ@4HA"
		size = 38
		refs = "001c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8D 4D 50 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_11_431_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@D@std@@@std@@@2@1@Z"
		size = 85
		refs = "0029 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0048 ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 44 24 60 4C 2B C2 48 8B D9 4C 3B C8 75 19 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 48 2B D0 E8 ?? ?? ?? ?? EB 1D 49 2B C1 48 83 79 18 10 72 03 48 8B 09 48 2B D1 48 89 44 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_11_432_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 960
		refs = "009b ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 012d memmove 015f memcpy 03a0 ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 03b2 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 8B E8 49 8B F9 4C 8B 41 10 4C 8B F2 48 8B D9 4C 3B C2 0F 82 6A 03 00 00 49 8B 41 10 4C 8B 64 24 70 49 3B C4 0F 82 5E 03 00 00 48 8B 74 24 78 4D 8B F8 4C 2B FA 49 8B C8 49 3B EF 49 0F 47 EF 49 2B C4 48 3B F0 48 0F 47 F0 48 2B CD 48 8B C6 48 F7 D0 48 3B C1 0F 86 36 03 00 00 4C 2B FD 4C 8D 2C 31 4D 3B C5 73 38 49 83 FD FE 0F 87 29 03 00 00 4C 39 6B 18 73 0D 49 8B D5 48 8B CB E8 ?? ?? ?? ?? EB 1B 4D 85 ED 75 16 4C 21 6B 10 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 3B F5 75 32 48 83 7F 18 10 72 03 48 8B 3F 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 84 02 00 00 4A 8D 14 27 4A 8D 0C 30 4C 8B C6 E9 6F 02 00 00 48 3B DF 74 70 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 16 4A 8D 14 31 4D 8B C7 4A 8D 0C 30 48 03 D5 48 03 CE E8 ?? ?? ?? ?? 48 83 7F 18 10 72 03 48 8B 3F 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 14 02 00 00 4A 8D 14 27 4C 8B C6 4A 8D 0C 30 E8 ?? ?? ?? ?? E9 FF 01 00 00 48 3B F5 73 70 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 74 10 4A 8D 14 21 4C 8B C6 4A 8D 0C 30 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 0F 84 A0 01 00 00 4A 8D 14 31 4D 8B C7 48 03 D5 4A 8D 0C 30 48 03 CE E9 85 01 00 00 4D 3B E6 77 69 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 16 4A 8D 14 31 4D 8B C7 4A 8D 0C 30 48 03 D5 48 03 CE E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 25 01 00 00 4A 8D 14 21 E9 9C FE FF FF 49 8D 04 2E 49 3B C4 77 6E 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 16 4A 8D 14 31 4D 8B C7 4A 8D 0C 30 48 03 D5 48 03 CE E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 B3 00 00 00 48 2B D5 49 03 D4 48 03 D6 E9 25 FE FF FF 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 10 4A 8D 14 21 4C 8B C5 4A 8D 0C 30 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 FF 74 16 4A 8D 14 31 4D 8B C7 4A 8D 0C 30 48 03 D5 48 03 CE E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4C 8B C6 4C 2B C5 74 13 4A 8D 14 21 48 03 D6 4A 8D 0C 30 48 03 CD E8 ?? ?? ?? ?? 48 83 7B 18 10 4C 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 6C 24 58 48 8B 74 24 60 42 C6 04 28 00 48 8B C3 48 8B 5C 24 50 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_11_433_2 {
	meta:
		name = "?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0PEBD0@Z"
		size = 516
		refs = "007d ?replace@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 00f3 memmove 0129 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 01ac memcpy 01ed ?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ 01f6 ?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 4D 8B F9 49 8B F0 4C 8B E2 48 8B D9 4D 85 C9 74 58 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C3 4C 3B F8 72 44 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 49 3B CF 76 31 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4C 2B F8 4C 8B CB 48 8B 44 24 70 48 8B CB 48 89 44 24 28 4C 89 7C 24 20 E8 ?? ?? ?? ?? E9 44 01 00 00 48 8B 4B 10 49 3B CC 0F 82 56 01 00 00 48 8B 6C 24 70 4C 8B F1 4D 2B F4 48 8B C5 49 3B F6 48 F7 D0 49 0F 47 F6 48 2B CE 48 3B C1 0F 86 3B 01 00 00 4C 2B F6 48 3B EE 73 38 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 74 15 48 03 D1 4D 8B C6 4A 8D 0C 20 48 03 D6 48 03 CD E8 ?? ?? ?? ?? 4C 8B 43 10 49 8B F8 48 2B FE 48 03 FD 48 85 ED 75 09 48 85 F6 0F 84 B5 00 00 00 48 83 FF FE 0F 87 DF 00 00 00 48 39 7B 18 73 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 7B 10 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 85 FF 74 78 48 3B F5 73 39 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 74 16 4A 8D 14 21 4D 8B C6 4A 8D 0C 20 48 03 D6 48 03 CD E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 0F 4A 8D 0C 20 4C 8B C5 49 8B D7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_11_434_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 37
		refs = "0021 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 10 77 13 48 89 51 10 48 83 79 18 10 72 03 48 8B 09 C6 04 11 00 C3 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_11_435_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_KD@Z"
		size = 34
		refs = "001e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 10 77 13 48 89 51 10 48 83 79 18 10 72 03 48 8B 09 C6 04 11 00 C3 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_171_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ"
		size = 434
		refs = "002a __security_cookie 005a _guard_check_icall 0130 fwrite 0154 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 017d ?_Deallocate@std@@YAXPEAX_K1@Z 0190 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C8 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4C 8B E1 45 33 FF 4C 39 79 68 0F 84 41 01 00 00 44 38 79 71 0F 84 37 01 00 00 48 8B 01 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 83 CA FF 49 8B CC FF D3 83 F8 FF 75 07 32 C0 E9 16 01 00 00 BA 0F 00 00 00 48 89 55 E8 33 C9 48 89 4D D0 48 C7 45 E0 08 00 00 00 48 8D 45 D0 48 83 FA 10 48 0F 43 C1 44 88 78 08 48 8D 4D D0 48 83 7D E8 10 48 0F 43 4D D0 4C 8D 75 D0 4C 0F 43 75 D0 49 8B 74 24 68 48 8B 16 48 8B 5D E0 48 03 D9 48 8B 7A 40 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 C0 48 89 44 24 20 4C 8B CB 4D 8B C6 49 8D 54 24 74 48 8B CE FF D7 8B C8 85 C0 74 07 83 E9 01 75 6E EB 05 45 88 7C 24 71 48 8D 45 D0 4C 8B 45 D0 48 8B 55 E8 48 83 FA 10 49 0F 43 C0 48 8B 5D C0 48 2B D8 74 26 48 8D 4D D0 48 83 FA 10 49 0F 43 C8 4D 8B 8C 24 80 00 00 00 4C 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 2C 45 38 7C 24 71 74 22 48 85 DB 0F 85 50 FF FF FF 45 33 C0 8D 53 08 48 8D 4D D0 E8 ?? ?? ?? ?? E9 3C FF FF FF 83 F9 02 75 03 41 B7 01 48 8B 55 E8 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D D0 E8 ?? ?? ?? ?? 41 8A C7 EB 02 B0 01 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_15_303_2 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 605
		refs = "0028 __security_cookie 00da fputc 0141 _guard_check_icall 01b8 fwrite 01eb ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 022f ?_Deallocate@std@@YAXPEAX_K1@Z 023e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 EF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 8B DA 89 55 DB 4C 8B E9 41 83 CF FF 45 33 E4 41 3B D7 75 0F 41 3B D7 44 0F 45 E2 41 8B C4 E9 E0 01 00 00 48 8B 41 40 4C 39 20 74 30 48 8B 51 58 4C 63 02 49 8B C8 48 03 08 48 39 08 73 1E 41 8D 48 FF 89 0A 49 8B 55 40 4C 8B 02 49 8D 48 01 48 89 0A 41 88 18 8B C3 E9 A7 01 00 00 4D 39 A5 80 00 00 00 0F 84 97 01 00 00 4D 8B 45 18 49 8D 45 70 49 39 00 75 20 49 8B 95 90 00 00 00 49 8B 8D 88 00 00 00 49 89 08 49 8B 45 38 48 89 08 2B D1 49 8B 45 50 89 10 4D 39 65 68 75 1B 0F BE CB 49 8B 95 80 00 00 00 E8 ?? ?? ?? ?? 41 3B C7 44 0F 45 FB E9 49 01 00 00 88 5D D7 BA 0F 00 00 00 48 89 55 0F 33 C9 48 89 4D F7 48 C7 45 07 08 00 00 00 48 8D 45 F7 48 83 FA 10 48 0F 43 C1 44 88 60 08 4C 8D 45 F7 48 83 7D 0F 10 4C 0F 43 45 F7 48 8D 75 F7 48 0F 43 75 F7 4D 8B 75 68 49 8B 16 48 8B 5D 07 49 03 D8 48 8B 7A 38 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 DF 48 89 44 24 38 48 89 5C 24 30 48 89 74 24 28 48 8D 45 E7 48 89 44 24 20 4C 8D 4D D8 4C 8D 45 D7 49 8D 55 74 49 8B CE FF D7 85 C0 0F 88 9D 00 00 00 83 F8 01 7F 7B 48 8D 45 F7 4C 8B 4D F7 48 8B 55 0F 48 83 FA 10 49 0F 43 C1 48 8B 5D DF 48 2B D8 74 25 48 8D 4D F7 48 83 FA 10 49 0F 43 C9 4D 8B 8D 80 00 00 00 4C 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B D8 75 56 41 C6 45 71 01 48 8D 45 D7 48 39 45 E7 75 24 48 85 DB 0F 85 3B FF FF FF 48 83 7D 07 20 73 37 45 33 C0 8D 53 08 48 8D 4D F7 E8 ?? ?? ?? ?? E9 20 FF FF FF 44 8B 7D DB EB 1D 83 F8 03 75 18 0F BE 4D D7 49 8B 95 80 00 00 00 E8 ?? ?? ?? ?? 41 3B C7 44 0F 45 7D DB 48 8B 55 0F 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D F7 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_15_332_2 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 662
		refs = "002e __security_cookie 00c3 fgetc 0113 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0144 _guard_check_icall 01c0 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 01f3 _errno 01fe _invalid_parameter_noinfo 0236 ungetc 0262 ?_Deallocate@std@@YAXPEAX_K1@Z 0271 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 FF FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 4C 8B F9 48 8B 41 38 48 8B 08 45 33 C9 48 85 C9 74 2C 49 8B 57 50 4C 63 02 4A 8D 04 01 48 3B C8 73 1C 41 8D 40 FF 89 02 49 8B 4F 38 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 E9 F2 01 00 00 4D 39 8F 80 00 00 00 75 08 83 C8 FF E9 E1 01 00 00 4D 8B 47 18 49 8D 47 70 49 39 00 75 20 49 8B 97 90 00 00 00 49 8B 8F 88 00 00 00 49 89 08 49 8B 47 38 48 89 08 2B D1 49 8B 47 50 89 10 4D 39 4F 68 75 22 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 41 83 CC FF 41 3B C4 0F 84 92 01 00 00 44 0F B6 E0 E9 89 01 00 00 48 C7 45 1F 0F 00 00 00 4C 89 4D 17 44 88 4D 07 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 41 83 CC FF 41 3B C4 0F 84 44 01 00 00 44 8A C0 BA 01 00 00 00 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 55 07 48 83 7D 1F 10 48 0F 43 55 07 4C 8D 75 07 4C 0F 43 75 07 49 8B 77 68 48 8B 0E 48 8B 5D 17 48 03 DA 48 8B 79 30 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 F7 48 89 44 24 38 48 8D 45 E8 48 89 44 24 30 48 8D 45 E7 48 89 44 24 28 48 8D 45 EF 48 89 44 24 20 4C 8B CB 4D 8B C6 49 8D 57 74 48 8B CE FF D7 85 C0 0F 88 C7 00 00 00 83 F8 01 7E 12 83 F8 03 0F 85 B9 00 00 00 48 83 7D 17 01 73 3D EB 2A 48 8D 45 E7 48 8D 4D 07 48 39 45 F7 75 63 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 4C 8B 45 EF 4C 2B C0 33 D2 E8 ?? ?? ?? ?? 49 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? E9 28 FF FF FF 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 48 85 C0 74 07 8A 08 88 4D E7 EB 16 88 45 E7 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8A 4D E7 44 0F B6 E1 EB 3F 48 83 7D 1F 10 48 0F 43 4D 07 8B 45 17 48 8B 55 EF 2B C2 03 C1 48 63 D8 85 C0 7E 1E 48 FF CB 0F BE 0C 13 49 8B 97 80 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 7E 06 48 8B 55 EF EB E2 44 0F B6 65 E7 48 8B 55 1F 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D 07 E8 ?? ?? ?? ?? 41 8B C4 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_17_139_2 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K@Z"
		size = 1338
		refs = "0028 __security_cookie 0080 ??_C@_02MDKMJEGG@eE?$AA@ 0089 ??_C@_02OOPEBDOJ@pP?$AA@ 00ae strcspn 00c2 localeconv 00e7 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00f0 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 010c _guard_check_icall 0152 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 019d ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 01ea ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 027b ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 02f1 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 04df ?_Deallocate@std@@YAXPEAX_K1@Z 051b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 48 89 5D 87 4D 8B E0 48 89 55 9F 8A 45 6F 88 44 24 20 4C 8B 6D 77 48 8B 7D 7F 48 89 7D 97 48 85 FF 74 12 41 8A 45 00 2C 2B A8 FD 75 08 41 BE 01 00 00 00 EB 03 45 33 F6 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 24 48 8D 15 ?? ?? ?? ?? 49 8D 4E 02 48 3B CF 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 49 8B CD E8 ?? ?? ?? ?? 48 89 44 24 30 B8 2E 00 00 00 66 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 40 48 8D 54 24 40 49 8B CD E8 ?? ?? ?? ?? 4C 8B F8 48 8D 55 A7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 8F 48 8B 75 AF 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 48 C7 45 D7 0F 00 00 00 48 83 65 CF 00 C6 45 BF 00 45 33 C0 48 8B D7 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 8D 75 BF 48 83 7D D7 10 48 0F 43 75 BF 48 8B 45 8F 48 8B 00 4A 8D 1C 2F 48 8B 78 38 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4D 8F FF D7 48 8D 55 A7 48 8B 4D 87 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D AF 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 DF 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 44 8A E8 48 8B 7D 97 4C 3B FF 74 2B 48 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 8A C8 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 42 88 0C 38 4C 3B FF 4C 0F 44 7C 24 30 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 80 3B 7F 74 3F 80 3B 00 7E 3A 48 0F BE 0B 49 8B C7 49 2B C6 48 3B C8 73 2B 4C 2B F9 45 8A CD 41 B8 01 00 00 00 49 8B D7 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 43 01 80 38 00 48 0F 4E C3 48 8B D8 80 38 7F 75 C1 48 8B 75 CF 4C 8B 6D 87 49 8B 5D 28 48 85 DB 7E 0A 48 3B DE 76 05 48 2B DE EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 41 0F 10 04 24 0F 29 44 24 30 83 F8 40 0F 84 1B 01 00 00 3D 00 01 00 00 0F 84 87 00 00 00 48 85 DB 74 2F 48 8B 7C 24 38 44 8A 7C 24 20 48 85 FF 74 10 41 8A D7 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 E0 0F 28 44 24 30 F3 41 0F 7F 04 24 33 DB 0F 29 44 24 30 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 4D 8B FE 4D 85 F6 0F 84 FB 00 00 00 4C 8B 6C 24 38 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EF 01 75 DE E9 C6 00 00 00 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 4D 8B FE 4D 85 F6 74 30 4C 8B 6C 24 38 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EF 01 75 DE 0F 28 44 24 30 4C 8B 6D 87 F3 41 0F 7F 04 24 0F 29 44 24 30 48 85 DB 74 2F 48 8B 7C 24 38 44 8A 7C 24 20 48 85 FF 74 10 41 8A D7 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 E0 0F 28 44 24 30 33 DB EB 46 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 4D 8B FE 4D 85 F6 74 30 4C 8B 6C 24 38 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 49 83 EF 01 75 DE 0F 28 44 24 30 4C 8B 6D 87 F3 41 0F 7F 04 24 0F 29 44 24 30 48 8D 7D BF 48 83 7D D7 10 48 0F 43 7D BF 49 2B F6 4A 8D 3C 37 74 2C 4C 8B 74 24 38 4D 85 F6 74 0F 8A 17 49 8B CE E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 FF C7 48 83 EE 01 75 DE 0F 28 44 24 30 F3 41 0F 7F 04 24 49 83 65 28 00 41 0F 10 04 24 0F 29 44 24 30 48 85 DB 74 2B 48 8B 7C 24 38 48 85 FF 74 11 8A 54 24 20 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 05 C6 44 24 30 01 48 83 EB 01 75 DF 0F 28 44 24 30 48 8B 5D 9F F3 0F 7F 03 48 8B 55 F7 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 48 83 65 EF 00 C6 45 DF 00 48 8B 55 D7 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D BF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_168_2 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2350
		refs = "0028 __security_cookie 0070 ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 0081 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008a ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00aa _guard_check_icall 00dc ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0100 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 015c ?_Src@?1??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0177 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 01de ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0386 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 041f ?_Deallocate@std@@YAXPEAX_K1@Z 0547 localeconv 090f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC F0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B E2 48 89 54 24 50 48 8B 7D 77 48 8B 55 7F 48 89 54 24 58 8B 47 18 41 B8 00 30 00 00 41 23 C0 41 3B C0 75 1A 48 89 54 24 28 48 89 7C 24 20 4C 8B C6 49 8B D4 E8 ?? ?? ?? ?? E9 8E 08 00 00 48 8D 55 A7 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 48 4C 8B 7D AF 4D 85 FF 74 35 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 90 48 8D 55 D7 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FC C6 44 24 31 00 32 C0 89 44 24 38 48 8D 55 8F 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 7D 97 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 04 24 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D F7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CC FF D3 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 4F EB 05 49 39 1E 75 48 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 02 75 0A 48 8B 44 24 50 C6 00 2B EB 1D 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 01 75 14 48 8B 44 24 50 C6 00 2D 4C 8D 78 01 48 8B CE E8 ?? ?? ?? ?? 4C 89 7D 8F 41 C6 07 30 BA 01 00 00 00 4C 03 FA 32 C0 88 44 24 30 45 33 E4 44 89 64 24 3C 33 FF 89 7C 24 34 8D 5A 23 B9 00 03 00 00 48 8B 44 24 58 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 40 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 48 89 45 87 8A 00 2A C2 3C 7D 0F 87 EA 01 00 00 48 39 7D E7 74 1B 49 8B 45 00 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 44 8A E0 8D 57 01 BF 0F 00 00 00 48 89 7D CF 66 83 65 B7 00 48 89 55 C7 33 DB 4C 8B 6D B7 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 FE 00 00 00 EB 0A 49 83 3E 00 0F 85 F2 00 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D F7 8A 45 F7 EB 0A 3A 46 09 74 09 48 FF C1 8A 01 84 C0 75 F2 48 8D 45 F7 48 2B C8 48 83 F9 0A 73 6B 41 B8 01 00 00 00 41 8A C0 88 44 24 30 8B 54 24 3C 39 54 24 40 7F 10 44 01 44 24 34 48 85 C9 74 26 89 44 24 38 EB 20 48 85 C9 75 04 85 D2 74 17 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 4D 03 F8 41 03 D0 89 54 24 3C 48 8D 45 B7 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 5A 48 8D 45 B7 48 83 FF 10 49 0F 43 C5 44 00 04 18 EB 40 48 8D 45 B7 48 83 FF 10 49 0F 43 C5 80 3C 18 00 74 43 45 84 E4 74 3E 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 44 38 66 09 75 2A 45 33 C0 41 8D 78 01 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 48 03 DF 4C 8B 6D B7 48 8B 7D CF 48 8B CE E8 ?? ?? ?? ?? E9 D5 FE FF FF 41 B8 01 00 00 00 48 85 DB 74 15 48 8D 45 B7 48 83 FF 10 49 0F 43 C5 80 3C 18 00 7E 49 49 03 D8 48 8B 55 87 48 85 DB 74 42 8A 0A 80 F9 7F 74 3B 49 2B D8 74 11 48 8D 45 B7 48 83 FF 10 49 0F 43 C5 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 B7 48 83 FF 10 49 0F 43 C5 3A 08 7C 0B 80 7A 01 00 7E C3 48 FF C2 EB BE 44 88 44 24 31 48 83 FF 10 0F 82 C8 00 00 00 48 8D 57 01 49 8B CD E8 ?? ?? ?? ?? E9 B7 00 00 00 4C 8B EA 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 81 00 00 00 EB 06 49 83 3E 00 75 79 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D F7 8A 45 F7 EB 0A 3A 46 09 74 09 49 03 CD 8A 01 84 C0 75 F2 48 8D 45 F7 48 2B C8 48 83 F9 0A 73 47 41 3B DC 7F 11 41 03 FD 48 85 C9 74 26 41 8A C5 89 44 24 38 EB 1D 48 85 C9 75 05 45 85 E4 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 4D 03 FD 45 03 E5 41 8A C5 88 44 24 30 48 8B CE E8 ?? ?? ?? ?? E9 52 FF FF FF 89 7C 24 34 EB 05 44 8B 64 24 3C 4C 8B 6C 24 48 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 53 EB 06 49 83 3E 00 75 4B 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 40 8A 7E 09 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 40 3A F8 75 1F E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 BB 01 00 00 00 4C 03 FB 48 8B CE E8 ?? ?? ?? ?? EB 05 BB 01 00 00 00 48 8B 44 24 58 81 38 00 CA 9A 3B 74 7D 45 85 E4 75 78 44 8B 6C 24 34 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 31 EB 06 49 83 3E 00 75 29 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 F7 75 13 44 2B EB 8A C3 88 5C 24 30 48 8B CE E8 ?? ?? ?? ?? EB A6 44 89 6C 24 34 45 85 ED 79 0F 41 C6 07 30 4C 03 FB 44 03 EB 44 89 6C 24 34 40 8A 7C 24 30 4C 8D 2D ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 71 EB 06 49 83 3E 00 75 69 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D F7 8A 45 F7 EB 0A 3A 46 09 74 09 48 03 CB 8A 01 84 C0 75 F2 48 8D 45 F7 48 2B C8 48 83 F9 0A 73 37 44 3B 64 24 40 7D 0F 42 8A 04 29 41 88 07 4C 03 FB 44 03 E3 EB 11 8B 44 24 38 0F B6 C0 48 85 C9 0F 45 C3 89 44 24 38 40 8A FB 48 8B CE E8 ?? ?? ?? ?? E9 66 FF FF FF 8B 44 24 38 84 C0 44 8B 6C 24 34 74 46 49 8D 5F FF 4C 8B 65 8F 49 3B DC 74 27 E8 ?? ?? ?? ?? 8A 0B 48 8B 00 3A 08 74 08 80 F9 39 75 08 C6 03 30 48 FF CB EB E0 B8 01 00 00 00 00 03 49 3B DC 75 12 C6 03 31 BB 01 00 00 00 44 03 EB 44 89 6C 24 34 EB 05 BB 01 00 00 00 45 33 E4 40 84 FF 0F 84 D6 01 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 0B 4D 39 26 0F 84 AC 01 00 00 EB 09 4D 39 26 0F 85 A1 01 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 04 74 1A 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 03 0F 85 71 01 00 00 41 C6 07 65 4C 03 FB 48 8B CE E8 ?? ?? ?? ?? 41 8A FC 41 8B DC 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 48 EB 05 4D 39 26 75 41 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 02 75 06 41 C6 07 2B EB 1A 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 01 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 41 BD 01 00 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 2A EB 05 4D 39 26 75 23 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 F7 75 0D 41 8A FD 48 8B CE E8 ?? ?? ?? ?? EB B0 40 84 FF 74 07 41 C6 07 30 49 FF C7 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 61 EB 05 4D 39 26 75 5A 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 F7 8A 4D F7 EB 0A 3A 4E 09 74 09 49 03 C5 8A 08 84 C9 75 F2 48 8D 4D F7 48 2B C1 48 83 F8 0A 73 28 83 FB 08 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 4D 03 FD 41 03 DD 41 8A FD 48 8B CE E8 ?? ?? ?? ?? E9 79 FF FF FF 44 8B 6C 24 34 44 38 64 24 31 75 05 40 84 FF 75 05 4C 8B 7C 24 50 45 88 27 48 8B 55 EF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D D7 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_173_2 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2327
		refs = "0028 __security_cookie 0055 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005e ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 007e _guard_check_icall 00b0 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00c7 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0123 ?_Src@?1??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0147 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 01aa ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 03fa ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0498 ?_Deallocate@std@@YAXPEAX_K1@Z 05c3 localeconv 08f8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC E0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 55 87 4C 8B 7D 77 48 8B 45 7F 48 89 44 24 38 48 8D 55 97 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 48 8B 7D 9F 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 C7 49 8B CC E8 ?? ?? ?? ?? 90 48 8D 54 24 40 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 7C 24 48 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 07 48 8B 58 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF D3 4D 8B FD 33 FF 40 88 7C 24 21 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 07 49 39 3E 74 4B EB 05 49 39 3E 75 44 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FE 75 07 41 C6 45 00 2B EB 1B 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FD 75 11 41 C6 45 00 2D 4D 8D 7D 01 48 8B CE E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 40 88 7C 24 20 44 8B E7 89 7C 24 28 8B DF 89 5C 24 24 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 0B 49 39 3E 0F 84 91 00 00 00 EB 09 49 39 3E 0F 85 86 00 00 00 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 E7 75 70 48 8B CE E8 ?? ?? ?? ?? 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 07 49 39 3E 74 3D EB 05 49 39 3E 75 36 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 00 74 16 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FF 75 0A 48 8B CE E8 ?? ?? ?? ?? EB 05 C6 44 24 20 01 B9 00 03 00 00 41 BD 24 00 00 00 48 8B 44 24 38 81 38 00 CA 9A 3B 44 0F 44 E9 44 89 6C 24 2C 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 48 89 44 24 40 8A 00 FE C8 3C 7D 0F 87 DE 01 00 00 48 39 5D D7 74 1C 48 8B 7C 24 30 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 44 8A E0 BF 0F 00 00 00 48 89 7D BF 66 83 65 A7 00 48 C7 45 B7 01 00 00 00 33 DB 4C 8B 6D A7 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 E8 00 00 00 EB 0A 49 83 3E 00 0F 85 DC 00 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D E7 8A 45 E7 EB 0A 3A 46 09 74 09 48 FF C1 8A 01 84 C0 75 F2 48 8D 45 E7 48 2B C8 48 83 F9 16 73 57 C6 44 24 20 01 8B 54 24 28 39 54 24 2C 7F 06 FF 44 24 24 EB 1F 48 85 C9 75 04 85 D2 74 16 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 FF C2 89 54 24 28 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 57 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 FE 04 18 EB 3E 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 80 3C 18 00 74 41 45 84 E4 74 3C 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 44 38 66 09 75 28 45 33 C0 41 8D 50 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF C3 4C 8B 6D A7 48 8B 7D BF 48 8B CE E8 ?? ?? ?? ?? E9 EB FE FF FF 48 85 DB 74 15 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 80 3C 18 00 7E 4E 48 FF C3 48 8B 54 24 40 48 85 DB 74 46 8A 0A 80 F9 7F 74 3F 48 83 EB 01 74 11 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 3A 0C 18 75 23 48 85 DB 75 10 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 3A 08 7C 0E 48 8D 42 01 80 38 00 7E BF 48 8B D0 EB BA C6 44 24 21 01 48 83 FF 10 0F 82 B5 00 00 00 48 8D 57 01 41 B8 01 00 00 00 49 8B CD E8 ?? ?? ?? ?? E9 9E 00 00 00 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 07 49 39 3E 74 72 EB 05 49 39 3E 75 6B 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D E7 8A 45 E7 EB 0A 3A 46 09 74 09 48 FF C1 8A 01 84 C0 75 F2 48 8D 45 E7 48 2B C8 48 83 F9 16 73 39 45 3B EC 7F 04 FF C3 EB 1D 48 85 C9 75 05 45 85 E4 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C4 B0 01 88 44 24 20 48 8B CE E8 ?? ?? ?? ?? E9 68 FF FF FF 89 5C 24 24 EB 0A 44 8B 6C 24 2C 44 8B 64 24 28 40 8A 7C 24 20 40 84 FF 74 0C 45 85 E4 75 07 41 C6 07 30 49 FF C7 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 57 EB 06 49 83 3E 00 75 4F 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 40 8A 7E 09 48 8B 44 24 30 48 8B 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 FF D3 40 3A F8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 40 8A 7C 24 20 45 85 E4 75 6F 8B 5C 24 24 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 2D EB 06 49 83 3E 00 75 25 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 E7 75 0F FF CB 40 B7 01 48 8B CE E8 ?? ?? ?? ?? EB AA 89 5C 24 24 85 DB 79 0D 41 C6 07 30 49 FF C7 FF C3 89 5C 24 24 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 62 EB 06 49 83 3E 00 75 5A 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D E7 8A 45 E7 EB 0A 3A 46 09 74 09 48 FF C1 8A 01 84 C0 75 F2 48 8D 45 E7 48 2B C8 48 83 F9 16 73 28 45 3B E5 7D 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C4 40 B7 01 48 8B CE E8 ?? ?? ?? ?? E9 75 FF FF FF 40 84 FF 0F 84 CC 01 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 9F 01 00 00 EB 0A 49 83 3E 00 0F 85 93 01 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 02 74 1A 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 01 0F 85 63 01 00 00 41 C6 07 70 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 E4 41 8A FC 41 8B DC 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 48 EB 05 4D 39 26 75 41 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FE 75 06 41 C6 07 2B EB 1A 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 FD 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 21 EB 05 49 39 1E 75 1A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 E7 75 05 40 B7 01 EB B2 40 84 FF 74 07 41 C6 07 30 49 FF C7 4C 8D 25 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 5B EB 06 49 83 3E 00 75 53 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 8A 4D E7 EB 0A 3A 4E 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D E7 48 2B C1 48 83 F8 16 73 21 83 FB 08 7D 0C 42 8A 04 20 41 88 07 49 FF C7 FF C3 40 B7 01 48 8B CE E8 ?? ?? ?? ?? E9 7C FF FF FF 80 7C 24 21 00 75 05 40 84 FF 75 04 4C 8B 7D 87 41 C6 07 00 8B 44 24 24 48 8B 4C 24 38 89 01 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_178_2 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z"
		size = 1193
		refs = "0028 __security_cookie 0048 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0057 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0074 _guard_check_icall 0084 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00a1 ?_Src@?1??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00bf ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 0120 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 038e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 045d ?_Deallocate@std@@YAXPEAX_K1@Z 048a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 4D 8B F1 49 8B F0 4C 8B EA 48 89 55 9F 4C 8B 7D 7F 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 CF 48 8B C8 E8 ?? ?? ?? ?? 90 48 83 7D DF 00 75 06 C6 45 88 00 EB 17 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 88 45 88 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8B 08 48 8B 59 38 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF D3 4D 8B E5 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 49 EB 05 49 39 1E 75 42 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 06 75 07 41 C6 45 00 2B EB 1A 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 05 75 11 41 C6 45 00 2D 4D 8D 65 01 48 8B CE E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B FF BF 0A 00 00 00 48 89 7D 8F 44 23 FF 8D 47 06 81 F9 00 08 00 00 44 0F 44 F8 8D 47 FE 81 F9 00 04 00 00 44 0F 44 F8 44 89 7D 8B 88 5D 87 88 5D 89 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 C8 00 00 00 EB 0A 49 83 3E 00 0F 85 BC 00 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 EF 0F 85 A2 00 00 00 B3 01 88 5D 87 48 8B CE E8 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 08 49 83 3E 00 74 5A EB 06 49 83 3E 00 75 52 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 08 74 16 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 8A 46 09 3A 45 07 75 26 41 F7 C7 EF FF FF FF 75 1D 41 BF 10 00 00 00 44 89 7D 8B 32 DB 88 5D 87 48 8B CE E8 ?? ?? ?? ?? 41 8D 4F F8 EB 21 45 85 FF B9 08 00 00 00 44 0F 44 F9 44 89 7D 8B EB 05 B9 08 00 00 00 45 85 FF 74 15 44 3B FF 74 10 B8 16 00 00 00 44 3B F9 48 0F 44 C1 48 89 45 8F BF 0F 00 00 00 48 89 7D C7 88 5D AF 48 C7 45 BF 01 00 00 00 C6 45 B0 00 33 DB 49 8D 45 1F 4C 8B 6D AF 4C 8B F8 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 48 83 3E 00 75 0C 49 83 3E 00 0F 84 E1 00 00 00 EB 0A 49 83 3E 00 0F 85 D5 00 00 00 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 EF 8A 4D EF EB 0A 3A 4E 09 74 09 48 FF C0 8A 08 84 C9 75 F2 48 8D 4D EF 48 2B C1 48 3B 45 8F 73 4C 48 8D 0D ?? ?? ?? ?? 8A 0C 08 41 88 0C 24 80 7D 89 00 75 05 80 F9 30 74 0C 4D 3B E7 73 07 49 FF C4 C6 45 89 01 C6 45 87 01 48 8D 45 AF 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 5B 48 8D 45 AF 48 83 FF 10 49 0F 43 C5 FE 04 18 EB 42 48 8D 45 AF 48 83 FF 10 49 0F 43 C5 80 3C 18 00 74 45 8A 45 88 84 C0 74 3E 80 7E 08 00 75 0B 48 8B CE E8 ?? ?? ?? ?? 8A 45 88 38 46 09 75 28 45 33 C0 41 8D 50 01 48 8D 4D AF E8 ?? ?? ?? ?? 48 FF C3 4C 8B 6D AF 48 8B 7D C7 48 8B CE E8 ?? ?? ?? ?? E9 F2 FE FF FF 48 85 DB 44 8B 7D 8B BE 10 00 00 00 74 1A 48 8D 45 AF 48 3B FE 49 0F 43 C5 80 3C 18 00 7E 05 48 FF C3 EB 04 32 C0 EB 03 8A 45 87 48 8D 4D CF 4C 8B 4D CF 48 8B 55 E7 48 3B D6 49 0F 43 C9 84 C0 74 55 48 85 DB 74 40 44 8A 01 41 80 F8 7F 74 37 48 83 EB 01 74 11 48 8D 45 AF 48 3B FE 49 0F 43 C5 44 3A 04 18 75 30 48 85 DB 75 10 48 8D 45 AF 48 3B FE 49 0F 43 C5 44 3A 00 7C 1B 80 79 01 00 7E C0 48 FF C1 EB BB 80 7D 89 00 75 0E 41 C6 04 24 30 49 FF C4 EB 04 4C 8B 65 9F 41 C6 04 24 00 48 3B FE 72 1A 48 8D 57 01 41 B8 01 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B 55 E7 4C 8B 4D CF 48 3B D6 72 11 48 FF C2 41 B8 01 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_199_2 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z"
		size = 1179
		refs = "0028 __security_cookie 009e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a7 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 00c3 _guard_check_icall 0106 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0154 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 01a1 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01ff ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 026e ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 0440 ?_Deallocate@std@@YAXPEAX_K1@Z 047c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC B0 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4C 89 4D 9F 4D 8B F8 48 89 55 A7 8A 45 6F 88 44 24 20 4C 8B 6D 77 4C 8B 65 7F BE 01 00 00 00 4D 85 E4 74 0F 41 8A 45 00 2C 2B A8 FD 75 05 44 8B F6 EB 03 45 33 F6 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1D 49 8D 4E 02 49 3B CC 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 48 8D 55 AF 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 8F 48 8B 7D B7 48 85 FF 74 32 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 48 8B CF FF D3 90 48 C7 45 DF 0F 00 00 00 48 83 65 D7 00 C6 45 C7 00 45 33 C0 49 8B D4 48 8D 4D C7 E8 ?? ?? ?? ?? 90 48 8D 75 C7 48 83 7D DF 10 48 0F 43 75 C7 48 8B 45 8F 48 8B 00 4B 8D 1C 2C 48 8B 78 38 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4D 8F FF D7 48 8D 55 AF 4C 8B 6D 9F 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D B7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 E7 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 7D E7 48 83 7D FF 10 48 0F 43 7D E7 8A 07 FE C8 3C 7D 77 5A 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 8A D8 80 3F 7F 74 3F 80 3F 00 7E 3A 48 0F BE 0F 49 8B C4 49 2B C6 48 3B C8 73 2B 4C 2B E1 44 8A CB 41 B8 01 00 00 00 49 8B D4 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4E C7 48 8B F8 80 38 7F 75 C1 48 8B 75 D7 49 8B 5D 28 48 85 DB 7E 0A 48 3B DE 76 05 48 2B DE EB 02 33 DB 41 8B 45 18 25 C0 01 00 00 41 0F 10 07 0F 29 45 8F 83 F8 40 0F 84 0C 01 00 00 3D 00 01 00 00 0F 84 80 00 00 00 48 85 DB 74 2C 48 8B 7D 97 44 8A 64 24 20 48 85 FF 74 10 41 8A D4 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 8F 01 48 83 EB 01 75 E1 0F 28 45 8F F3 41 0F 7F 07 33 DB 0F 29 45 8F 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 4D 8B E6 4D 85 F6 0F 84 EE 00 00 00 4C 8B 6D 97 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 8F 01 48 FF C7 49 83 EC 01 75 DF E9 BC 00 00 00 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 4D 8B E6 4D 85 F6 74 2D 4C 8B 6D 97 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 8F 01 48 FF C7 49 83 EC 01 75 DF 0F 28 45 8F 4C 8B 6D 9F F3 41 0F 7F 07 0F 29 45 8F 48 85 DB 74 2C 48 8B 7D 97 44 8A 64 24 20 48 85 FF 74 10 41 8A D4 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 8F 01 48 83 EB 01 75 E1 0F 28 45 8F 33 DB EB 43 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 4D 8B E6 4D 85 F6 74 2D 4C 8B 6D 97 4D 85 ED 74 0F 8A 17 49 8B CD E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 8F 01 48 FF C7 49 83 EC 01 75 DF 0F 28 45 8F 4C 8B 6D 9F F3 41 0F 7F 07 0F 29 45 8F 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 49 2B F6 4A 8D 3C 37 74 29 4C 8B 75 97 4D 85 F6 74 0F 8A 17 49 8B CE E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 8F 01 48 FF C7 48 83 EE 01 75 DF 0F 28 45 8F F3 41 0F 7F 07 49 83 65 28 00 41 0F 10 07 0F 29 45 8F 48 85 DB 74 28 48 8B 7D 97 48 85 FF 74 11 8A 54 24 20 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 8F 01 48 83 EB 01 75 E0 0F 28 45 8F 48 8B 5D A7 F3 0F 7F 03 48 8B 55 FF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 48 83 65 F7 00 C6 45 E7 00 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_277_2 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 700
		refs = "0023 __security_cookie 0065 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0090 _guard_check_icall 00db ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ee ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0108 ?_Deallocate@std@@YAXPEAX_K1@Z 0117 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0123 ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0172 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 01c3 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 01d9 _Stoulx 024e ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ 02a5 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC E0 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4D 8B F8 48 89 55 8F 48 8B F1 48 8B 5D 6F 4C 8B 6D 77 48 8B 45 7F 48 89 45 87 49 83 CE FF 48 8B CB F7 43 18 00 40 00 00 0F 84 39 01 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 30 41 8D 76 02 48 8B 44 24 48 48 85 C0 74 38 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 48 FF D3 48 89 44 24 38 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 48 8B 4C 24 38 FF D3 90 48 C7 45 B7 0F 00 00 00 66 83 65 9F 00 48 89 75 AF 48 8D 55 BF 48 8B 5C 24 30 48 8B CB E8 ?? ?? ?? ?? 90 4D 8B CE 45 33 C0 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 8B 55 D7 48 83 FA 10 72 0F 48 FF C2 4C 8B C6 48 8B 4D BF E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 90 4D 8B CE 45 33 C0 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 8B 55 D7 48 83 FA 10 72 0F 48 FF C2 4C 8B C6 48 8B 4D BF E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8B 5D B7 48 83 FB 10 4C 0F 43 4D 9F 41 B8 02 00 00 00 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 44 8B F0 48 83 FB 10 0F 82 C0 00 00 00 48 8D 53 01 4C 8B C6 48 8B 4D 9F E8 ?? ?? ?? ?? E9 AB 00 00 00 83 64 24 38 00 48 8D 55 9F E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 DF 48 8B CE E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D DF E8 ?? ?? ?? ?? 8B C8 89 44 24 30 BE 01 00 00 00 48 8B 45 A7 48 85 C0 74 3A 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4D A7 FF D3 48 89 44 24 50 48 85 C0 74 17 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D6 48 8B 4C 24 50 FF D3 8B 4C 24 30 48 8D 45 DF 48 39 44 24 40 74 0D 83 7C 24 38 00 75 06 3B CE 44 0F 46 F1 41 80 7F 08 00 75 08 49 8B CF E8 ?? ?? ?? ?? 41 80 7C 24 08 00 75 08 49 8B CC E8 ?? ?? ?? ?? 49 83 3F 00 75 09 49 83 3C 24 00 74 09 EB 0B 49 83 3C 24 00 74 04 41 09 75 00 45 85 F6 79 07 41 83 4D 00 02 EB 09 0F 95 C1 48 8B 45 87 88 08 41 0F 10 07 48 8B 45 8F F3 0F 7F 00 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_292_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DN@Z"
		size = 445
		refs = "0029 __security_cookie 0086 __xmm@7fffffffffffffff7fffffffffffffff 008e __real@4202a05f20000000 009c frexp 00f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011d ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z 0134 sprintf_s 0171 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K@Z 018e ?_Deallocate@std@@YAXPEAX_K1@Z 019d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC A8 00 00 00 48 C7 45 AF FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B E8 4C 8B FA 4C 8B E1 41 B9 0F 00 00 00 4C 89 4D DF 33 C9 48 89 4D D7 88 4D C7 41 8B 46 18 25 00 30 00 00 49 8B 76 20 41 B8 00 20 00 00 48 85 F6 7F 08 41 3B C0 74 03 8D 71 06 48 8B D6 F2 0F 10 75 7F 41 3B C0 75 4D 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 39 48 8D 55 A7 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 A7 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 4C 8B 4D DF 48 8B 4D D7 48 83 C2 32 48 3B D1 77 17 48 89 55 D7 48 8D 45 C7 49 83 F9 10 48 0F 43 45 C7 C6 04 10 00 EB 0F 48 2B D1 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 5D D7 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 45 8B 4E 18 45 33 C0 48 8D 55 E7 49 8B CC E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 B7 48 8D 55 C7 48 83 7D DF 10 48 0F 43 55 C7 48 98 48 89 44 24 30 48 89 54 24 28 8A 45 77 88 44 24 20 4D 8B CE 4C 8D 45 B7 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 90 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_294_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DO@Z"
		size = 445
		refs = "0029 __security_cookie 0086 __xmm@7fffffffffffffff7fffffffffffffff 008e __real@4202a05f20000000 009c frexp 00f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011d ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z 0134 sprintf_s 0171 ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K@Z 018e ?_Deallocate@std@@YAXPEAX_K1@Z 019d __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC A8 00 00 00 48 C7 45 AF FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B E8 4C 8B FA 4C 8B E1 41 B9 0F 00 00 00 4C 89 4D DF 33 C9 48 89 4D D7 88 4D C7 41 8B 46 18 25 00 30 00 00 49 8B 76 20 41 B8 00 20 00 00 48 85 F6 7F 08 41 3B C0 74 03 8D 71 06 48 8B D6 F2 0F 10 75 7F 41 3B C0 75 4D 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 39 48 8D 55 A7 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 A7 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 4C 8B 4D DF 48 8B 4D D7 48 83 C2 32 48 3B D1 77 17 48 89 55 D7 48 8D 45 C7 49 83 F9 10 48 0F 43 45 C7 C6 04 10 00 EB 0F 48 2B D1 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 5D D7 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 45 8B 4E 18 41 B0 4C 48 8D 55 E7 49 8B CC E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 B7 48 8D 55 C7 48 83 7D DF 10 48 0F 43 55 C7 48 98 48 89 44 24 30 48 89 54 24 28 8A 45 77 88 44 24 20 4D 8B CE 4C 8D 45 B7 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 90 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_299_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z"
		size = 619
		refs = "0024 __security_cookie 0065 _guard_check_icall 008e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0097 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 00fb ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0102 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 010e ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z 012a ?_Deallocate@std@@YAXPEAX_K1@Z 0173 ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z 0253 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC A8 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F9 4D 8B E0 4C 8B EA 48 8B F1 44 8A 75 77 44 88 75 97 41 F7 41 18 00 40 00 00 75 39 41 0F 10 00 F3 0F 7F 45 A7 48 8B 11 0F B6 5D 7F 48 8B 7A 48 48 8B CF E8 ?? ?? ?? ?? 89 5C 24 28 44 88 74 24 20 4D 8B CF 4C 8D 45 A7 49 8B D5 48 8B CE FF D7 E9 C2 01 00 00 48 8D 55 A7 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D AF 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 C7 45 D7 0F 00 00 00 48 83 65 CF 00 C6 45 BF 00 48 8D 55 DF 48 8B CE 80 7D 7F 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D BF E8 ?? ?? ?? ?? 48 8B 55 F7 48 83 FA 10 72 12 41 B8 01 00 00 00 48 FF C2 48 8B 4D DF E8 ?? ?? ?? ?? 49 8B 5F 28 48 8B 7D CF 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 02 33 DB 41 8B 47 18 25 C0 01 00 00 83 F8 40 74 41 41 0F 10 04 24 0F 29 45 A7 48 85 DB 74 2B 48 8B 7D AF 48 85 FF 74 10 41 8A D6 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 A7 01 48 83 EB 01 75 E1 48 8B 7D CF 0F 28 45 A7 F3 41 0F 7F 04 24 33 DB 41 0F 10 04 24 0F 29 45 A7 48 8D 75 BF 48 8B 55 D7 48 83 FA 10 48 0F 43 75 BF 48 85 FF 74 31 4C 8B 75 AF 4D 85 F6 74 0F 8A 16 49 8B CE E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 A7 01 48 FF C6 48 83 EF 01 75 DF 48 8B 55 D7 0F 28 45 A7 44 8A 75 97 F3 41 0F 7F 04 24 49 83 67 28 00 41 0F 10 04 24 0F 29 45 A7 48 85 DB 74 2B 48 8B 7D AF 48 85 FF 74 10 41 8A D6 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 C6 45 A7 01 48 83 EB 01 75 E1 48 8B 55 D7 0F 28 45 A7 F3 41 0F 7F 45 00 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_34_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z"
		size = 548
		refs = "0024 __security_cookie 0079 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0102 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01d3 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01f9 ?_Deallocate@std@@YAXPEAX_K1@Z 0208 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E0 48 8B F2 48 8B D9 45 33 C0 45 38 01 74 1E 41 8A 11 49 8B C9 49 8D 44 24 01 41 3A 11 49 0F 45 C4 4C 8B E0 48 FF C1 8A 11 84 D2 75 E8 48 C7 45 F0 0F 00 00 00 4C 89 45 E8 44 88 45 D8 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 B8 01 00 00 00 4C 89 45 C8 4C 8B 6D F0 32 C9 88 4D C0 33 FF 45 33 F6 4D 85 E4 0F 84 3E 01 00 00 EB 08 41 3A 07 74 0B 48 FF C7 42 8A 04 3F 84 C0 75 F0 48 8D 45 D8 49 83 FD 10 48 8B 4D D8 48 0F 43 C1 42 80 3C 30 00 74 19 48 8D 45 D8 49 83 FD 10 48 0F 43 C1 4A 0F BE 04 30 48 03 F8 E9 A0 00 00 00 49 03 F8 42 8A 04 3F 41 3A 07 74 6D 84 C0 74 69 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 48 83 3E 00 74 2E EB 06 48 83 3E 00 75 26 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 42 0F BE 0C 3F 0F B7 43 0A 3B C8 75 0B B1 01 88 4D C0 4C 8B 45 C8 EB 3D 48 8D 55 D8 49 83 FD 10 48 0F 43 55 D8 4C 8B 45 C8 EB 10 48 8D 55 D8 49 83 FD 10 48 0F 43 D1 44 89 75 C4 B9 7F 00 00 00 4C 3B C1 41 0F B6 C0 0F 42 C8 42 88 0C 32 4C 8B 6D F0 8A 4D C0 49 FF C6 4D 3B F4 0F 82 19 FF FF FF 84 C9 74 49 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 48 83 3E 00 74 21 EB 06 48 83 3E 00 75 19 48 FF 45 C8 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF 4C 8B 45 C8 E9 AF FE FF FF 49 83 FD 10 72 13 49 8D 55 01 41 B8 01 00 00 00 48 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_36_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z"
		size = 548
		refs = "0024 __security_cookie 0079 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0102 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01d3 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01f9 ?_Deallocate@std@@YAXPEAX_K1@Z 0208 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E0 48 8B F2 48 8B D9 45 33 C0 45 38 01 74 1E 41 8A 11 49 8B C9 49 8D 44 24 01 41 3A 11 49 0F 45 C4 4C 8B E0 48 FF C1 8A 11 84 D2 75 E8 48 C7 45 F0 0F 00 00 00 4C 89 45 E8 44 88 45 D8 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 B8 01 00 00 00 4C 89 45 C8 4C 8B 6D F0 32 C9 88 4D C0 33 FF 45 33 F6 4D 85 E4 0F 84 3E 01 00 00 EB 08 41 3A 07 74 0B 48 FF C7 42 8A 04 3F 84 C0 75 F0 48 8D 45 D8 49 83 FD 10 48 8B 4D D8 48 0F 43 C1 42 80 3C 30 00 74 19 48 8D 45 D8 49 83 FD 10 48 0F 43 C1 4A 0F BE 04 30 48 03 F8 E9 A0 00 00 00 49 03 F8 42 8A 04 3F 41 3A 07 74 6D 84 C0 74 69 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 48 83 3E 00 74 2E EB 06 48 83 3E 00 75 26 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 42 0F BE 0C 3F 0F B7 43 0A 3B C8 75 0B B1 01 88 4D C0 4C 8B 45 C8 EB 3D 48 8D 55 D8 49 83 FD 10 48 0F 43 55 D8 4C 8B 45 C8 EB 10 48 8D 55 D8 49 83 FD 10 48 0F 43 D1 44 89 75 C4 B9 7F 00 00 00 4C 3B C1 41 0F B6 C0 0F 42 C8 42 88 0C 32 4C 8B 6D F0 8A 4D C0 49 FF C6 4D 3B F4 0F 82 19 FF FF FF 84 C9 74 49 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 80 7E 08 00 75 08 48 8B CE E8 ?? ?? ?? ?? 48 83 3B 00 75 08 48 83 3E 00 74 21 EB 06 48 83 3E 00 75 19 48 FF 45 C8 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF 4C 8B 45 C8 E9 AF FE FF FF 49 83 FD 10 72 13 49 8D 55 01 41 B8 01 00 00 00 48 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_38_2 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
		size = 571
		refs = "0024 __security_cookie 0081 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0112 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01ea ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0210 ?_Deallocate@std@@YAXPEAX_K1@Z 021f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E0 48 8B F2 48 8B D9 33 D2 44 8B D2 66 41 39 11 74 21 41 0F B7 09 49 8D 44 24 01 66 41 3B 09 49 0F 45 C4 4C 8B E0 49 FF C2 43 0F B7 0C 51 66 85 C9 75 E3 48 C7 45 F0 0F 00 00 00 48 89 55 E8 88 55 D8 45 33 C0 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 B8 01 00 00 00 4C 89 45 C8 4C 8B 6D F0 45 33 C9 44 88 4D C0 41 8B F9 45 8B F1 4D 85 E4 0F 84 4A 01 00 00 EB 09 66 41 3B 07 74 0D 48 FF C7 41 0F B7 04 7F 66 85 C0 75 ED 48 8D 45 D8 49 83 FD 10 48 8B 4D D8 48 0F 43 C1 46 38 0C 30 74 19 48 8D 45 D8 49 83 FD 10 48 0F 43 C1 4A 0F BE 04 30 48 03 F8 E9 A7 00 00 00 49 03 F8 41 0F B7 04 7F 66 41 3B 07 74 72 66 85 C0 74 6D 44 38 4B 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 44 38 4E 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C9 4C 39 0B 75 07 4C 39 0E 74 2E EB 05 4C 39 0E 75 27 44 38 4B 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 0F B7 43 0A 66 41 39 04 7F 75 0B B1 01 88 4D C0 4C 8B 45 C8 EB 3D 48 8D 55 D8 49 83 FD 10 48 0F 43 55 D8 4C 8B 45 C8 EB 10 48 8D 55 D8 49 83 FD 10 48 0F 43 D1 44 89 75 C4 B9 7F 00 00 00 4C 3B C1 41 0F B6 C0 0F 42 C8 42 88 0C 32 4C 8B 6D F0 8A 4D C0 49 FF C6 4D 3B F4 0F 82 11 FF FF FF 84 C9 74 4C 44 38 4B 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 44 38 4E 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C9 4C 39 0B 75 07 4C 39 0E 74 20 EB 05 4C 39 0E 75 19 48 FF 45 C8 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF 4C 8B 45 C8 E9 A0 FE FF FF 49 83 FD 10 72 13 49 8D 55 01 41 B8 01 00 00 00 48 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_40_2 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
		size = 571
		refs = "0024 __security_cookie 0081 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0112 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01ea ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0210 ?_Deallocate@std@@YAXPEAX_K1@Z 021f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4D 8B E0 48 8B F2 48 8B D9 33 D2 44 8B D2 66 41 39 11 74 21 41 0F B7 09 49 8D 44 24 01 66 41 3B 09 49 0F 45 C4 4C 8B E0 49 FF C2 43 0F B7 0C 51 66 85 C9 75 E3 48 C7 45 F0 0F 00 00 00 48 89 55 E8 88 55 D8 45 33 C0 49 8B D4 48 8D 4D D8 E8 ?? ?? ?? ?? 90 C7 45 C4 FE FF FF FF 41 B8 01 00 00 00 4C 89 45 C8 4C 8B 6D F0 45 33 C9 44 88 4D C0 41 8B F9 45 8B F1 4D 85 E4 0F 84 4A 01 00 00 EB 09 66 41 3B 07 74 0D 48 FF C7 41 0F B7 04 7F 66 85 C0 75 ED 48 8D 45 D8 49 83 FD 10 48 8B 4D D8 48 0F 43 C1 46 38 0C 30 74 19 48 8D 45 D8 49 83 FD 10 48 0F 43 C1 4A 0F BE 04 30 48 03 F8 E9 A7 00 00 00 49 03 F8 41 0F B7 04 7F 66 41 3B 07 74 72 66 85 C0 74 6D 44 38 4B 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 44 38 4E 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C9 4C 39 0B 75 07 4C 39 0E 74 2E EB 05 4C 39 0E 75 27 44 38 4B 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 0F B7 43 0A 66 41 39 04 7F 75 0B B1 01 88 4D C0 4C 8B 45 C8 EB 3D 48 8D 55 D8 49 83 FD 10 48 0F 43 55 D8 4C 8B 45 C8 EB 10 48 8D 55 D8 49 83 FD 10 48 0F 43 D1 44 89 75 C4 B9 7F 00 00 00 4C 3B C1 41 0F B6 C0 0F 42 C8 42 88 0C 32 4C 8B 6D F0 8A 4D C0 49 FF C6 4D 3B F4 0F 82 11 FF FF FF 84 C9 74 4C 44 38 4B 08 75 0B 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 44 38 4E 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C9 4C 39 0B 75 07 4C 39 0E 74 20 EB 05 4C 39 0E 75 19 48 FF 45 C8 48 8B CB E8 ?? ?? ?? ?? 83 4D C4 FF 4C 8B 45 C8 E9 A0 FE FF FF 49 83 FD 10 72 13 49 8D 55 01 41 B8 01 00 00 00 48 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_85_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@std@@@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@1@0@Z"
		size = 150
		refs = "005a ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0089 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 4D 8B C8 48 8B 49 18 48 83 F9 08 72 05 4C 8B 03 EB 03 4C 8B C3 48 8B 43 10 4D 8D 04 40 48 83 F9 08 72 05 48 8B 03 EB 03 48 8B C3 4C 2B C0 49 D1 F8 49 3B D1 75 21 48 83 F9 08 72 05 48 8B 0B EB 03 48 8B CB 48 2B C1 48 8B CB 48 D1 F8 48 8B D0 E8 ?? ?? ?? ?? EB 2D 4C 2B CA 49 D1 F9 48 83 F9 08 72 05 48 8B 0B EB 03 48 8B CB 48 2B C1 4C 89 4C 24 20 48 D1 F8 4C 8B CA 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_86_2 {
	meta:
		name = "??$assign@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@std@@@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@1@0@Z"
		size = 150
		refs = "005a ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0089 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 4D 8B C8 48 8B 49 18 48 83 F9 08 72 05 4C 8B 03 EB 03 4C 8B C3 48 8B 43 10 4D 8D 04 40 48 83 F9 08 72 05 48 8B 03 EB 03 48 8B C3 4C 2B C0 49 D1 F8 49 3B D1 75 21 48 83 F9 08 72 05 48 8B 0B EB 03 48 8B CB 48 2B C1 48 8B CB 48 D1 F8 48 8B D0 E8 ?? ?? ?? ?? EB 2D 4C 2B CA 49 D1 F9 48 83 F9 08 72 05 48 8B 0B EB 03 48 8B CB 48 2B C1 4C 89 4C 24 20 48 D1 F8 4C 8B CA 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_208_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z"
		size = 47
		refs = "0022 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 49 83 C9 FF 45 33 C0 66 89 01 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_214_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
		size = 47
		refs = "0022 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 49 83 C9 FF 45 33 C0 66 89 01 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_209_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
		size = 65
		refs = "0034 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 C7 41 18 07 00 00 00 4C 89 41 10 48 8B D9 66 44 89 01 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_215_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
		size = 65
		refs = "0034 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 C7 41 18 07 00 00 00 4C 89 41 10 48 8B D9 66 44 89 01 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_211_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 21
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 66 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_40_439_2 {
	meta:
		name = "?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z"
		size = 121
		refs = "002c memmove"
		altNames = "?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B DA 48 83 7A 18 08 48 8B F9 73 14 4C 8B 42 10 49 83 C0 01 74 18 4D 03 C0 E8 ?? ?? ?? ?? EB 0E 48 85 FF 74 06 48 8B 02 48 89 01 48 89 32 48 8B 43 10 48 89 47 10 48 8B 43 18 48 89 47 18 48 C7 43 18 07 00 00 00 48 83 7B 18 08 48 89 73 10 72 03 48 8B 1B 66 89 33 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_40_489_2 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K@Z"
		size = 1385
		refs = "0028 __security_cookie 0081 ??_C@_02MDKMJEGG@eE?$AA@ 008a ??_C@_02OOPEBDOJ@pP?$AA@ 00af strcspn 00c3 localeconv 00e8 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00f1 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 010e _guard_check_icall 0155 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 01a3 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 01f2 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0289 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 030c ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 051c ?_Deallocate@std@@YAXPEAX_K1@Z 053b ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 054a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC E0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 48 89 5C 24 48 4D 8B E0 48 89 55 9F 0F B7 45 6F 66 89 44 24 20 4C 8B 6D 77 48 8B 7D 7F 48 89 7D 8F 33 C9 48 85 FF 74 0E 41 8A 45 00 2C 2B A8 FD 44 8D 71 01 74 03 4C 8B F1 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 24 48 8D 15 ?? ?? ?? ?? 49 8D 4E 02 48 3B CF 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 49 8B CD E8 ?? ?? ?? ?? 48 89 44 24 30 B8 2E 00 00 00 66 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 40 48 8D 54 24 40 49 8B CD E8 ?? ?? ?? ?? 4C 8B F8 48 8D 55 A7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 50 48 8B 75 AF 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 48 C7 45 D7 07 00 00 00 33 F6 48 89 75 CF 66 89 75 BF 45 33 C0 48 8B D7 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 48 8B 44 24 50 48 8B 00 4A 8D 1C 2F 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4C 24 50 FF D7 48 8D 55 A7 48 8B 4C 24 48 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D AF 45 33 ED 48 85 FF 74 34 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8D 55 01 48 8B CF FF D3 90 48 8D 55 DF 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 44 0F B7 E8 48 8B 7D 8F 4C 3B FF 74 2D 48 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 0F B7 C8 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 66 42 89 0C 78 4C 3B FF 4C 0F 44 7C 24 30 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 80 3B 7F 74 42 33 FF 40 38 3B 7E 3B 48 0F BE 0B 49 8B C7 49 2B C6 48 3B C8 73 2C 4C 2B F9 45 0F B7 CD 41 B8 01 00 00 00 49 8B D7 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 43 01 40 38 38 48 0F 4E C3 48 8B D8 80 38 7F 75 C0 4C 8B 7D CF 4C 89 7C 24 30 48 8B 44 24 48 48 8B 58 28 33 C9 48 85 DB 7E 0A 49 3B DF 76 05 49 2B DF EB 03 48 8B D9 8B 40 18 25 C0 01 00 00 41 0F 10 04 24 BF FF FF 00 00 83 F8 40 0F 84 35 01 00 00 3D 00 01 00 00 0F 84 95 00 00 00 0F 29 45 8F 48 85 DB 74 35 48 8B 75 97 44 0F B7 6C 24 20 48 85 F6 74 11 41 0F B7 D5 48 8B CE E8 ?? ?? ?? ?? 66 3B F8 75 04 C6 45 8F 01 48 83 EB 01 75 E0 0F 28 45 8F 4C 8B 7C 24 30 33 C9 F3 41 0F 7F 04 24 48 8B D9 0F 29 44 24 30 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 4D 8B EE 4D 85 F6 0F 84 0E 01 00 00 48 39 4C 24 38 74 14 0F B7 16 48 8B 4C 24 38 E8 ?? ?? ?? ?? 33 C9 66 3B F8 75 05 C6 44 24 30 01 48 83 C6 02 49 83 ED 01 75 D6 E9 DA 00 00 00 0F 29 44 24 30 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 4D 8B EE 4D 85 F6 74 2F 48 39 4C 24 38 74 14 0F B7 16 48 8B 4C 24 38 E8 ?? ?? ?? ?? 33 C9 66 3B F8 75 05 C6 44 24 30 01 48 83 C6 02 49 83 ED 01 75 D6 0F 28 44 24 30 F3 41 0F 7F 04 24 0F 29 44 24 30 48 85 DB 74 36 48 8B 74 24 38 44 0F B7 6C 24 20 48 85 F6 74 11 41 0F B7 D5 48 8B CE E8 ?? ?? ?? ?? 66 3B F8 75 05 C6 44 24 30 01 48 83 EB 01 B9 00 00 00 00 75 DA 0F 28 44 24 30 48 8B D9 EB 4A 0F 29 44 24 30 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 4D 8B EE 4D 85 F6 74 2F 48 39 4C 24 38 74 14 0F B7 16 48 8B 4C 24 38 E8 ?? ?? ?? ?? 33 C9 66 3B F8 75 05 C6 44 24 30 01 48 83 C6 02 49 83 ED 01 75 D6 0F 28 44 24 30 F3 41 0F 7F 04 24 0F 29 44 24 30 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 4D 2B FE 4A 8D 34 70 74 30 4C 8B 74 24 38 4D 85 F6 74 12 0F B7 16 49 8B CE E8 ?? ?? ?? ?? 33 C9 66 3B F8 75 05 C6 44 24 30 01 48 83 C6 02 49 83 EF 01 75 DA 0F 28 44 24 30 F3 41 0F 7F 04 24 48 8B 44 24 48 48 89 48 28 41 0F 10 04 24 0F 29 44 24 30 48 85 DB 74 2C 48 8B 74 24 38 48 85 F6 74 12 0F B7 54 24 20 48 8B CE E8 ?? ?? ?? ?? 66 3B F8 75 05 C6 44 24 30 01 48 83 EB 01 75 DE 0F 28 44 24 30 48 8B 5D 9F F3 0F 7F 03 48 8B 55 F7 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 33 C0 48 89 45 EF 88 45 DF 45 33 C0 B2 01 48 8D 4D BF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_494_2 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K@Z"
		size = 1385
		refs = "0028 __security_cookie 0081 ??_C@_02MDKMJEGG@eE?$AA@ 008a ??_C@_02OOPEBDOJ@pP?$AA@ 00af strcspn 00c3 localeconv 00e8 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00f1 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 010e _guard_check_icall 0155 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 01a3 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 01f2 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0289 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 030c ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 051c ?_Deallocate@std@@YAXPEAX_K1@Z 053b ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 054a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC E0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 48 89 5C 24 48 4D 8B E0 48 89 55 9F 0F B7 45 6F 66 89 44 24 20 4C 8B 6D 77 48 8B 7D 7F 48 89 7D 8F 33 C9 48 85 FF 74 0E 41 8A 45 00 2C 2B A8 FD 44 8D 71 01 74 03 4C 8B F1 41 8B 41 18 B9 00 30 00 00 23 C1 3B C1 74 09 48 8D 15 ?? ?? ?? ?? EB 24 48 8D 15 ?? ?? ?? ?? 49 8D 4E 02 48 3B CF 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 49 8B CD E8 ?? ?? ?? ?? 48 89 44 24 30 B8 2E 00 00 00 66 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 40 48 8D 54 24 40 49 8B CD E8 ?? ?? ?? ?? 4C 8B F8 48 8D 55 A7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 50 48 8B 75 AF 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 48 C7 45 D7 07 00 00 00 33 F6 48 89 75 CF 66 89 75 BF 45 33 C0 48 8B D7 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 48 8B 44 24 50 48 8B 00 4A 8D 1C 2F 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4C 24 50 FF D7 48 8D 55 A7 48 8B 4C 24 48 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D AF 45 33 ED 48 85 FF 74 34 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8D 55 01 48 8B CF FF D3 90 48 8D 55 DF 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 44 0F B7 E8 48 8B 7D 8F 4C 3B FF 74 2D 48 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 0F B7 C8 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 66 42 89 0C 78 4C 3B FF 4C 0F 44 7C 24 30 48 8D 5D DF 48 83 7D F7 10 48 0F 43 5D DF 80 3B 7F 74 42 33 FF 40 38 3B 7E 3B 48 0F BE 0B 49 8B C7 49 2B C6 48 3B C8 73 2C 4C 2B F9 45 0F B7 CD 41 B8 01 00 00 00 49 8B D7 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 43 01 40 38 38 48 0F 4E C3 48 8B D8 80 38 7F 75 C0 4C 8B 7D CF 4C 89 7C 24 30 48 8B 44 24 48 48 8B 58 28 33 C9 48 85 DB 7E 0A 49 3B DF 76 05 49 2B DF EB 03 48 8B D9 8B 40 18 25 C0 01 00 00 41 0F 10 04 24 BF FF FF 00 00 83 F8 40 0F 84 35 01 00 00 3D 00 01 00 00 0F 84 95 00 00 00 0F 29 45 8F 48 85 DB 74 35 48 8B 75 97 44 0F B7 6C 24 20 48 85 F6 74 11 41 0F B7 D5 48 8B CE E8 ?? ?? ?? ?? 66 3B F8 75 04 C6 45 8F 01 48 83 EB 01 75 E0 0F 28 45 8F 4C 8B 7C 24 30 33 C9 F3 41 0F 7F 04 24 48 8B D9 0F 29 44 24 30 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 4D 8B EE 4D 85 F6 0F 84 0E 01 00 00 48 39 4C 24 38 74 14 0F B7 16 48 8B 4C 24 38 E8 ?? ?? ?? ?? 33 C9 66 3B F8 75 05 C6 44 24 30 01 48 83 C6 02 49 83 ED 01 75 D6 E9 DA 00 00 00 0F 29 44 24 30 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 4D 8B EE 4D 85 F6 74 2F 48 39 4C 24 38 74 14 0F B7 16 48 8B 4C 24 38 E8 ?? ?? ?? ?? 33 C9 66 3B F8 75 05 C6 44 24 30 01 48 83 C6 02 49 83 ED 01 75 D6 0F 28 44 24 30 F3 41 0F 7F 04 24 0F 29 44 24 30 48 85 DB 74 36 48 8B 74 24 38 44 0F B7 6C 24 20 48 85 F6 74 11 41 0F B7 D5 48 8B CE E8 ?? ?? ?? ?? 66 3B F8 75 05 C6 44 24 30 01 48 83 EB 01 B9 00 00 00 00 75 DA 0F 28 44 24 30 48 8B D9 EB 4A 0F 29 44 24 30 48 8D 75 BF 48 83 7D D7 08 48 0F 43 75 BF 4D 8B EE 4D 85 F6 74 2F 48 39 4C 24 38 74 14 0F B7 16 48 8B 4C 24 38 E8 ?? ?? ?? ?? 33 C9 66 3B F8 75 05 C6 44 24 30 01 48 83 C6 02 49 83 ED 01 75 D6 0F 28 44 24 30 F3 41 0F 7F 04 24 0F 29 44 24 30 48 8D 45 BF 48 83 7D D7 08 48 0F 43 45 BF 4D 2B FE 4A 8D 34 70 74 30 4C 8B 74 24 38 4D 85 F6 74 12 0F B7 16 49 8B CE E8 ?? ?? ?? ?? 33 C9 66 3B F8 75 05 C6 44 24 30 01 48 83 C6 02 49 83 EF 01 75 DA 0F 28 44 24 30 F3 41 0F 7F 04 24 48 8B 44 24 48 48 89 48 28 41 0F 10 04 24 0F 29 44 24 30 48 85 DB 74 2C 48 8B 74 24 38 48 85 F6 74 12 0F B7 54 24 20 48 8B CE E8 ?? ?? ?? ?? 66 3B F8 75 05 C6 44 24 30 01 48 83 EB 01 75 DE 0F 28 44 24 30 48 8B 5D 9F F3 0F 7F 03 48 8B 55 F7 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 33 C0 48 89 45 EF 88 45 DF 45 33 C0 B2 01 48 8D 4D BF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_600_2 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2473
		refs = "0028 __security_cookie 0070 ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 0081 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008a ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00aa _guard_check_icall 00dc ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0101 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 015d ?_Src@?1??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0178 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01e3 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 03a9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0449 ?_Deallocate@std@@YAXPEAX_K1@Z 058a localeconv 098a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC 00 01 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B E2 48 89 54 24 50 48 8B 7D 77 48 8B 55 7F 48 89 54 24 58 8B 47 18 41 B8 00 30 00 00 41 23 C0 41 3B C0 75 1A 48 89 54 24 28 48 89 7C 24 20 4C 8B C6 49 8B D4 E8 ?? ?? ?? ?? E9 09 09 00 00 48 8D 55 97 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 48 4C 8B 7D 9F 4D 85 FF 74 35 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 90 48 8D 55 C7 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FC C6 44 24 31 00 32 C0 89 44 24 38 48 8D 54 24 68 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 7D 87 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 04 24 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CC FF D3 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 53 EB 05 49 39 1E 75 4C 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 0A 48 8B 44 24 50 C6 00 2B EB 1F 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 14 48 8B 44 24 50 C6 00 2D 4C 8D 78 01 48 8B CE E8 ?? ?? ?? ?? 4C 89 7C 24 68 41 C6 07 30 BA 01 00 00 00 4C 03 FA 45 33 C0 44 88 44 24 30 45 8B E0 44 89 44 24 3C 41 8B F8 44 89 44 24 34 8D 5A 23 B9 00 03 00 00 48 8B 44 24 58 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 40 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 48 89 44 24 60 8A 00 2A C2 3C 7D 0F 87 0C 02 00 00 4C 39 45 D7 74 20 49 8B 45 00 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 44 0F B7 E0 45 33 C0 41 8D 50 01 BF 0F 00 00 00 48 89 7D BF 66 83 65 A7 00 48 89 55 B7 49 8B D8 4C 8B 6D A7 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 0B 4D 39 06 0F 84 10 01 00 00 EB 09 4D 39 06 0F 85 05 01 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D E7 0F B7 45 E7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 E7 48 2B C8 48 D1 F9 48 83 F9 0A 73 6B 41 B9 01 00 00 00 41 8A C1 88 44 24 30 8B 54 24 3C 39 54 24 40 7F 10 44 01 4C 24 34 48 85 C9 74 26 89 44 24 38 EB 20 48 85 C9 75 04 85 D2 74 17 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 4D 03 F9 41 03 D1 89 54 24 3C 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 5F 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 44 00 0C 18 EB 45 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 44 38 04 18 74 4B 66 45 85 E4 74 45 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 66 44 39 66 0A 75 2D 45 33 C0 41 8D 78 01 8B D7 48 8D 4D A7 E8 ?? ?? ?? ?? 48 03 DF 4C 8B 6D A7 48 8B 7D BF 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 C0 FE FF FF 41 B9 01 00 00 00 48 85 DB 74 15 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 44 38 04 18 7E 4A 49 03 D9 48 8B 54 24 60 48 85 DB 74 42 8A 0A 80 F9 7F 74 3B 49 2B D9 74 11 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 3A 08 7C 0B 44 38 42 01 7E C3 48 FF C2 EB BE 44 88 4C 24 31 48 83 FF 10 0F 82 E2 00 00 00 48 8D 57 01 4D 8B C1 49 8B CD E8 ?? ?? ?? ?? 45 33 C0 E9 CB 00 00 00 4C 8B EA 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 0B 4D 39 06 0F 84 92 00 00 00 EB 09 4D 39 06 0F 85 87 00 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D E7 0F B7 45 E7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 E7 48 2B C8 48 D1 F9 48 83 F9 0A 73 4A 41 3B DC 7F 11 41 03 FD 48 85 C9 74 26 41 8A C5 89 44 24 38 EB 1D 48 85 C9 75 05 45 85 E4 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 4D 03 FD 45 03 E5 41 8A C5 88 44 24 30 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 3E FF FF FF 89 7C 24 34 EB 05 44 8B 64 24 3C 4C 8B 6C 24 48 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 58 EB 05 4D 39 06 75 51 44 38 46 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 7E 0A 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 66 3B F8 75 22 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 BB 01 00 00 00 4C 03 FB 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 EB 08 45 33 C0 BB 01 00 00 00 48 8B 44 24 58 81 38 00 CA 9A 3B 0F 84 8B 00 00 00 45 85 E4 0F 85 82 00 00 00 44 8B 6C 24 34 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 38 EB 05 4D 39 06 75 31 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 E7 75 16 44 2B EB 8A C3 88 5C 24 30 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 EB 9C 44 89 6C 24 34 45 85 ED 79 0F 41 C6 07 30 4C 03 FB 44 03 EB 44 89 6C 24 34 40 8A 7C 24 30 4C 8D 2D ?? ?? ?? ?? 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 7B EB 05 4D 39 06 75 74 44 38 46 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D E7 0F B7 45 E7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 E7 48 2B C8 48 D1 F9 48 83 F9 0A 73 3A 44 3B 64 24 40 7D 0F 42 8A 04 29 41 88 07 4C 03 FB 44 03 E3 EB 11 8B 44 24 38 0F B6 C0 48 85 C9 0F 45 C3 89 44 24 38 40 8A FB 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 59 FF FF FF 8B 44 24 38 84 C0 44 8B 6C 24 34 74 47 49 8D 5F FF 4C 8B 64 24 68 49 3B DC 74 27 E8 ?? ?? ?? ?? 8A 0B 48 8B 00 3A 08 74 08 80 F9 39 75 08 C6 03 30 48 FF CB EB E0 B8 01 00 00 00 00 03 49 3B DC 75 12 C6 03 31 BB 01 00 00 00 44 03 EB 44 89 6C 24 34 EB 05 BB 01 00 00 00 45 33 E4 40 84 FF 0F 84 E8 01 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 0B 4D 39 26 0F 84 BE 01 00 00 EB 09 4D 39 26 0F 85 B3 01 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 01 74 1C 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FF 0F 85 7F 01 00 00 41 C6 07 65 4C 03 FB 48 8B CE E8 ?? ?? ?? ?? 41 8A FC 41 8B DC 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 4C EB 05 4D 39 26 75 45 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 06 41 C6 07 2B EB 1C 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 41 BD 01 00 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 2C EB 05 4D 39 26 75 25 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 E7 75 0D 41 8A FD 48 8B CE E8 ?? ?? ?? ?? EB AE 40 84 FF 74 07 41 C6 07 30 49 FF C7 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 69 EB 05 4D 39 26 75 62 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 28 83 FB 08 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 4D 03 FD 41 03 DD 41 8A FD 48 8B CE E8 ?? ?? ?? ?? E9 71 FF FF FF 44 8B 6C 24 34 44 38 64 24 31 75 05 40 84 FF 75 05 4C 8B 7C 24 50 45 88 27 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_605_2 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2473
		refs = "0028 __security_cookie 0070 ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 0081 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008a ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00aa _guard_check_icall 00dc ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0101 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 015d ?_Src@?1??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 0178 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01e3 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 03a9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0449 ?_Deallocate@std@@YAXPEAX_K1@Z 058a localeconv 098a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC 00 01 00 00 48 C7 45 8F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B E2 48 89 54 24 50 48 8B 7D 77 48 8B 55 7F 48 89 54 24 58 8B 47 18 41 B8 00 30 00 00 41 23 C0 41 3B C0 75 1A 48 89 54 24 28 48 89 7C 24 20 4C 8B C6 49 8B D4 E8 ?? ?? ?? ?? E9 09 09 00 00 48 8D 55 97 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 48 4C 8B 7D 9F 4D 85 FF 74 35 49 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 49 8B CF FF D3 4C 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 49 8B CF FF D3 90 48 8D 55 C7 49 8B CD E8 ?? ?? ?? ?? 90 4D 8B FC C6 44 24 31 00 32 C0 89 44 24 38 48 8D 54 24 68 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 7D 87 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 04 24 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CC FF D3 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 53 EB 05 49 39 1E 75 4C 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 0A 48 8B 44 24 50 C6 00 2B EB 1F 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 14 48 8B 44 24 50 C6 00 2D 4C 8D 78 01 48 8B CE E8 ?? ?? ?? ?? 4C 89 7C 24 68 41 C6 07 30 BA 01 00 00 00 4C 03 FA 45 33 C0 44 88 44 24 30 45 8B E0 44 89 44 24 3C 41 8B F8 44 89 44 24 34 8D 5A 23 B9 00 03 00 00 48 8B 44 24 58 81 38 00 CA 9A 3B 0F 44 D9 89 5C 24 40 48 8D 45 C7 48 83 7D DF 10 48 0F 43 45 C7 48 89 44 24 60 8A 00 2A C2 3C 7D 0F 87 0C 02 00 00 4C 39 45 D7 74 20 49 8B 45 00 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 44 0F B7 E0 45 33 C0 41 8D 50 01 BF 0F 00 00 00 48 89 7D BF 66 83 65 A7 00 48 89 55 B7 49 8B D8 4C 8B 6D A7 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 0B 4D 39 06 0F 84 10 01 00 00 EB 09 4D 39 06 0F 85 05 01 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D E7 0F B7 45 E7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 E7 48 2B C8 48 D1 F9 48 83 F9 0A 73 6B 41 B9 01 00 00 00 41 8A C1 88 44 24 30 8B 54 24 3C 39 54 24 40 7F 10 44 01 4C 24 34 48 85 C9 74 26 89 44 24 38 EB 20 48 85 C9 75 04 85 D2 74 17 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 4D 03 F9 41 03 D1 89 54 24 3C 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 5F 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 44 00 0C 18 EB 45 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 44 38 04 18 74 4B 66 45 85 E4 74 45 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 66 44 39 66 0A 75 2D 45 33 C0 41 8D 78 01 8B D7 48 8D 4D A7 E8 ?? ?? ?? ?? 48 03 DF 4C 8B 6D A7 48 8B 7D BF 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 C0 FE FF FF 41 B9 01 00 00 00 48 85 DB 74 15 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 44 38 04 18 7E 4A 49 03 D9 48 8B 54 24 60 48 85 DB 74 42 8A 0A 80 F9 7F 74 3B 49 2B D9 74 11 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 A7 48 83 FF 10 49 0F 43 C5 3A 08 7C 0B 44 38 42 01 7E C3 48 FF C2 EB BE 44 88 4C 24 31 48 83 FF 10 0F 82 E2 00 00 00 48 8D 57 01 4D 8B C1 49 8B CD E8 ?? ?? ?? ?? 45 33 C0 E9 CB 00 00 00 4C 8B EA 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 0B 4D 39 06 0F 84 92 00 00 00 EB 09 4D 39 06 0F 85 87 00 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D E7 0F B7 45 E7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 E7 48 2B C8 48 D1 F9 48 83 F9 0A 73 4A 41 3B DC 7F 11 41 03 FD 48 85 C9 74 26 41 8A C5 89 44 24 38 EB 1D 48 85 C9 75 05 45 85 E4 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 4D 03 FD 45 03 E5 41 8A C5 88 44 24 30 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 3E FF FF FF 89 7C 24 34 EB 05 44 8B 64 24 3C 4C 8B 6C 24 48 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 58 EB 05 4D 39 06 75 51 44 38 46 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 7E 0A 49 8B 45 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CD FF D3 66 3B F8 75 22 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 BB 01 00 00 00 4C 03 FB 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 EB 08 45 33 C0 BB 01 00 00 00 48 8B 44 24 58 81 38 00 CA 9A 3B 0F 84 8B 00 00 00 45 85 E4 0F 85 82 00 00 00 44 8B 6C 24 34 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 38 EB 05 4D 39 06 75 31 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 E7 75 16 44 2B EB 8A C3 88 5C 24 30 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 EB 9C 44 89 6C 24 34 45 85 ED 79 0F 41 C6 07 30 4C 03 FB 44 03 EB 44 89 6C 24 34 40 8A 7C 24 30 4C 8D 2D ?? ?? ?? ?? 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 7B EB 05 4D 39 06 75 74 44 38 46 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 4D E7 0F B7 45 E7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 E7 48 2B C8 48 D1 F9 48 83 F9 0A 73 3A 44 3B 64 24 40 7D 0F 42 8A 04 29 41 88 07 4C 03 FB 44 03 E3 EB 11 8B 44 24 38 0F B6 C0 48 85 C9 0F 45 C3 89 44 24 38 40 8A FB 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 59 FF FF FF 8B 44 24 38 84 C0 44 8B 6C 24 34 74 47 49 8D 5F FF 4C 8B 64 24 68 49 3B DC 74 27 E8 ?? ?? ?? ?? 8A 0B 48 8B 00 3A 08 74 08 80 F9 39 75 08 C6 03 30 48 FF CB EB E0 B8 01 00 00 00 00 03 49 3B DC 75 12 C6 03 31 BB 01 00 00 00 44 03 EB 44 89 6C 24 34 EB 05 BB 01 00 00 00 45 33 E4 40 84 FF 0F 84 E8 01 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 0B 4D 39 26 0F 84 BE 01 00 00 EB 09 4D 39 26 0F 85 B3 01 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 01 74 1C 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FF 0F 85 7F 01 00 00 41 C6 07 65 4C 03 FB 48 8B CE E8 ?? ?? ?? ?? 41 8A FC 41 8B DC 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 4C EB 05 4D 39 26 75 45 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 06 41 C6 07 2B EB 1C 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 41 BD 01 00 00 00 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 2C EB 05 4D 39 26 75 25 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 E7 75 0D 41 8A FD 48 8B CE E8 ?? ?? ?? ?? EB AE 40 84 FF 74 07 41 C6 07 30 49 FF C7 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 69 EB 05 4D 39 26 75 62 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 45 E7 0F B7 4D E7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D E7 48 2B C1 48 D1 F8 48 83 F8 0A 73 28 83 FB 08 7D 13 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 07 4D 03 FD 41 03 DD 41 8A FD 48 8B CE E8 ?? ?? ?? ?? E9 71 FF FF FF 44 8B 6C 24 34 44 38 64 24 31 75 05 40 84 FF 75 05 4C 8B 7C 24 50 45 88 27 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 41 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_610_2 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2472
		refs = "0029 __security_cookie 0058 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0061 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0082 _guard_check_icall 00b4 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00cb ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0127 ?_Src@?1??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 014b ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 01b2 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0422 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 04c3 ?_Deallocate@std@@YAXPEAX_K1@Z 0607 localeconv 0989 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC 00 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 50 4C 8B 7D 77 48 8B 45 7F 48 89 44 24 38 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 48 8B 7C 24 68 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 A7 49 8B CC E8 ?? ?? ?? ?? 90 48 8D 54 24 40 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 7C 24 48 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D C7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF D3 4D 8B FD 33 FF 40 88 7C 24 21 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 07 49 39 3E 74 4F EB 05 49 39 3E 75 48 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F5 75 07 41 C6 45 00 2B EB 1D 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F3 75 11 41 C6 45 00 2D 4D 8D 7D 01 48 8B CE E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 40 88 7C 24 20 44 8B E7 89 7C 24 28 8B DF 89 5C 24 24 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 0B 49 39 3E 0F 84 97 00 00 00 EB 09 49 39 3E 0F 85 8C 00 00 00 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 C7 75 74 48 8B CE E8 ?? ?? ?? ?? 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 07 49 39 3E 74 41 EB 05 49 39 3E 75 3A 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F9 74 18 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F7 75 0A 48 8B CE E8 ?? ?? ?? ?? EB 05 C6 44 24 20 01 B9 00 03 00 00 41 BD 24 00 00 00 48 8B 44 24 38 81 38 00 CA 9A 3B 44 0F 44 E9 44 89 6C 24 2C 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 48 89 44 24 40 8A 00 FE C8 3C 7D 0F 87 FE 01 00 00 45 33 C0 4C 39 45 B7 74 20 48 8B 7C 24 30 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 44 0F B7 E0 45 33 C0 BF 0F 00 00 00 48 89 7D 9F 66 83 65 87 00 48 C7 45 97 01 00 00 00 49 8B D8 4C 8B 6D 87 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 0B 4D 39 06 0F 84 FA 00 00 00 EB 09 4D 39 06 0F 85 EF 00 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D C7 0F B7 45 C7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C7 48 2B C8 48 D1 F9 48 83 F9 16 73 57 C6 44 24 20 01 8B 54 24 28 39 54 24 2C 7F 06 FF 44 24 24 EB 1F 48 85 C9 75 04 85 D2 74 16 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 FF C2 89 54 24 28 48 8D 45 87 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 5C 48 8D 45 87 48 83 FF 10 49 0F 43 C5 FE 04 18 EB 43 48 8D 45 87 48 83 FF 10 49 0F 43 C5 44 38 04 18 74 49 66 45 85 E4 74 43 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 66 44 39 66 0A 75 2B 45 33 C0 41 8D 50 01 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF C3 4C 8B 6D 87 48 8B 7D 9F 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 D6 FE FF FF 48 85 DB 74 15 48 8D 45 87 48 83 FF 10 49 0F 43 C5 44 38 04 18 7E 4E 48 FF C3 48 8B 54 24 40 48 85 DB 74 46 8A 0A 80 F9 7F 74 3F 48 83 EB 01 74 11 48 8D 45 87 48 83 FF 10 49 0F 43 C5 3A 0C 18 75 23 48 85 DB 75 10 48 8D 45 87 48 83 FF 10 49 0F 43 C5 3A 08 7C 0E 48 8D 42 01 44 38 00 7E BF 48 8B D0 EB BA C6 44 24 21 01 48 83 FF 10 0F 82 CC 00 00 00 48 8D 57 01 41 B8 01 00 00 00 49 8B CD E8 ?? ?? ?? ?? 45 33 C0 E9 B2 00 00 00 45 33 C0 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 7D EB 05 4D 39 06 75 76 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D C7 0F B7 45 C7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C7 48 2B C8 48 D1 F9 48 83 F9 16 73 39 45 3B EC 7F 04 FF C3 EB 1D 48 85 C9 75 05 45 85 E4 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C4 B0 01 88 44 24 20 48 8B CE E8 ?? ?? ?? ?? E9 54 FF FF FF 89 5C 24 24 EB 0A 44 8B 6C 24 2C 44 8B 64 24 28 40 8A 7C 24 20 40 84 FF 74 0C 45 85 E4 75 07 41 C6 07 30 49 FF C7 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 59 EB 05 4D 39 06 75 52 44 38 46 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 7E 0A 48 8B 44 24 30 48 8B 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 FF D3 66 3B F8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 40 8A 7C 24 20 45 85 E4 75 79 8B 5C 24 24 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 34 EB 05 4D 39 06 75 2D 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 C7 75 12 FF CB 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 EB A0 89 5C 24 24 85 DB 79 0D 41 C6 07 30 49 FF C7 FF C3 89 5C 24 24 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 6F EB 05 4D 39 06 75 68 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D C7 0F B7 45 C7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C7 48 2B C8 48 D1 F9 48 83 F9 16 73 2B 45 3B E5 7D 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C4 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 65 FF FF FF 40 84 FF 0F 84 FC 01 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 0B 4D 39 06 0F 84 CC 01 00 00 EB 09 4D 39 06 0F 85 C1 01 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 FD 74 1F 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 FB 0F 85 87 01 00 00 41 C6 07 70 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 E4 41 8A FC 41 8B DC 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 4C EB 05 4D 39 26 75 45 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F5 75 06 41 C6 07 2B EB 1C 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F3 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 27 EB 05 4D 39 06 75 20 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 C7 75 05 40 B7 01 EB A2 40 84 FF 74 07 41 C6 07 30 49 FF C7 4C 8D 25 ?? ?? ?? ?? 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 68 EB 05 4D 39 06 75 61 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 45 C7 0F B7 4D C7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D C7 48 2B C1 48 D1 F8 48 83 F8 16 73 24 83 FB 08 7D 0C 42 8A 04 20 41 88 07 49 FF C7 FF C3 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 6C FF FF FF 44 38 44 24 21 75 05 40 84 FF 75 05 4C 8B 7C 24 50 45 88 07 8B 44 24 24 48 8B 4C 24 38 89 01 48 8B 55 BF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D A7 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_615_2 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 2472
		refs = "0029 __security_cookie 0058 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0061 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0082 _guard_check_icall 00b4 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00cb ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0127 ?_Src@?1??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1AEAVios_base@3@PEAH@Z@4QBDB 014b ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 01b2 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0422 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 04c3 ?_Deallocate@std@@YAXPEAX_K1@Z 0607 localeconv 0989 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC 00 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 50 4C 8B 7D 77 48 8B 45 7F 48 89 44 24 38 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 48 8B 7C 24 68 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 A7 49 8B CC E8 ?? ?? ?? ?? 90 48 8D 54 24 40 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 8B 7C 24 48 48 85 FF 74 35 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 07 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D C7 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CF FF D3 4D 8B FD 33 FF 40 88 7C 24 21 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 07 49 39 3E 74 4F EB 05 49 39 3E 75 48 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F5 75 07 41 C6 45 00 2B EB 1D 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F3 75 11 41 C6 45 00 2D 4D 8D 7D 01 48 8B CE E8 ?? ?? ?? ?? 66 41 C7 07 30 78 49 83 C7 02 40 88 7C 24 20 44 8B E7 89 7C 24 28 8B DF 89 5C 24 24 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 0B 49 39 3E 0F 84 97 00 00 00 EB 09 49 39 3E 0F 85 8C 00 00 00 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 C7 75 74 48 8B CE E8 ?? ?? ?? ?? 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 7E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 3E 75 07 49 39 3E 74 41 EB 05 49 39 3E 75 3A 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F9 74 18 40 38 7E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F7 75 0A 48 8B CE E8 ?? ?? ?? ?? EB 05 C6 44 24 20 01 B9 00 03 00 00 41 BD 24 00 00 00 48 8B 44 24 38 81 38 00 CA 9A 3B 44 0F 44 E9 44 89 6C 24 2C 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 48 89 44 24 40 8A 00 FE C8 3C 7D 0F 87 FE 01 00 00 45 33 C0 4C 39 45 B7 74 20 48 8B 7C 24 30 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 44 0F B7 E0 45 33 C0 BF 0F 00 00 00 48 89 7D 9F 66 83 65 87 00 48 C7 45 97 01 00 00 00 49 8B D8 4C 8B 6D 87 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 0B 4D 39 06 0F 84 FA 00 00 00 EB 09 4D 39 06 0F 85 EF 00 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D C7 0F B7 45 C7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C7 48 2B C8 48 D1 F9 48 83 F9 16 73 57 C6 44 24 20 01 8B 54 24 28 39 54 24 2C 7F 06 FF 44 24 24 EB 1F 48 85 C9 75 04 85 D2 74 16 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 FF C2 89 54 24 28 48 8D 45 87 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 5C 48 8D 45 87 48 83 FF 10 49 0F 43 C5 FE 04 18 EB 43 48 8D 45 87 48 83 FF 10 49 0F 43 C5 44 38 04 18 74 49 66 45 85 E4 74 43 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 66 44 39 66 0A 75 2B 45 33 C0 41 8D 50 01 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF C3 4C 8B 6D 87 48 8B 7D 9F 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 D6 FE FF FF 48 85 DB 74 15 48 8D 45 87 48 83 FF 10 49 0F 43 C5 44 38 04 18 7E 4E 48 FF C3 48 8B 54 24 40 48 85 DB 74 46 8A 0A 80 F9 7F 74 3F 48 83 EB 01 74 11 48 8D 45 87 48 83 FF 10 49 0F 43 C5 3A 0C 18 75 23 48 85 DB 75 10 48 8D 45 87 48 83 FF 10 49 0F 43 C5 3A 08 7C 0E 48 8D 42 01 44 38 00 7E BF 48 8B D0 EB BA C6 44 24 21 01 48 83 FF 10 0F 82 CC 00 00 00 48 8D 57 01 41 B8 01 00 00 00 49 8B CD E8 ?? ?? ?? ?? 45 33 C0 E9 B2 00 00 00 45 33 C0 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 7D EB 05 4D 39 06 75 76 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D C7 0F B7 45 C7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C7 48 2B C8 48 D1 F9 48 83 F9 16 73 39 45 3B EC 7F 04 FF C3 EB 1D 48 85 C9 75 05 45 85 E4 74 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C4 B0 01 88 44 24 20 48 8B CE E8 ?? ?? ?? ?? E9 54 FF FF FF 89 5C 24 24 EB 0A 44 8B 6C 24 2C 44 8B 64 24 28 40 8A 7C 24 20 40 84 FF 74 0C 45 85 E4 75 07 41 C6 07 30 49 FF C7 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 59 EB 05 4D 39 06 75 52 44 38 46 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 7E 0A 48 8B 44 24 30 48 8B 00 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 30 FF D3 66 3B F8 75 18 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 07 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 40 8A 7C 24 20 45 85 E4 75 79 8B 5C 24 24 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 34 EB 05 4D 39 06 75 2D 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 C7 75 12 FF CB 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 EB A0 89 5C 24 24 85 DB 79 0D 41 C6 07 30 49 FF C7 FF C3 89 5C 24 24 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 6F EB 05 4D 39 06 75 68 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D C7 0F B7 45 C7 EB 0D 66 3B 46 0A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8D 45 C7 48 2B C8 48 D1 F9 48 83 F9 16 73 2B 45 3B E5 7D 13 48 8D 05 ?? ?? ?? ?? 8A 04 01 41 88 07 49 FF C7 41 FF C4 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 65 FF FF FF 40 84 FF 0F 84 FC 01 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 0B 4D 39 06 0F 84 CC 01 00 00 EB 09 4D 39 06 0F 85 C1 01 00 00 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 FD 74 1F 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 FB 0F 85 87 01 00 00 41 C6 07 70 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 E4 41 8A FC 41 8B DC 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 45 38 66 08 75 08 49 8B CE E8 ?? ?? ?? ?? 4C 39 26 75 07 4D 39 26 74 4C EB 05 4D 39 26 75 45 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F5 75 06 41 C6 07 2B EB 1C 44 38 66 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 F3 75 0F 41 C6 07 2D 49 FF C7 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 27 EB 05 4D 39 06 75 20 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 0F B7 46 0A 66 3B 45 C7 75 05 40 B7 01 EB A2 40 84 FF 74 07 41 C6 07 30 49 FF C7 4C 8D 25 ?? ?? ?? ?? 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 45 38 46 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 C0 4C 39 06 75 07 4D 39 06 74 68 EB 05 4D 39 06 75 61 44 38 46 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 48 8D 45 C7 0F B7 4D C7 EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D C7 48 2B C1 48 D1 F8 48 83 F8 16 73 24 83 FB 08 7D 0C 42 8A 04 20 41 88 07 49 FF C7 FF C3 40 B7 01 48 8B CE E8 ?? ?? ?? ?? 45 33 C0 E9 6C FF FF FF 44 38 44 24 21 75 05 40 84 FF 75 05 4C 8B 7C 24 50 45 88 07 8B 44 24 24 48 8B 4C 24 38 89 01 48 8B 55 BF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D A7 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_624_2 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z"
		size = 1269
		refs = "0028 __security_cookie 0049 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0058 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0070 _guard_check_icall 0082 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 009f ?_Src@?1??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00bd ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0122 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 03d3 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 04a9 ?_Deallocate@std@@YAXPEAX_K1@Z 04d6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 45 87 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 38 4C 8B 7D 7F 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 AF 48 8B C8 E8 ?? ?? ?? ?? 90 33 C0 48 39 45 BF 74 14 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 66 89 44 24 22 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8B 08 48 8B 59 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D CF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF D3 4D 8B E5 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 4D EB 05 49 39 1E 75 46 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 07 41 C6 45 00 2B EB 1C 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 11 41 C6 45 00 2D 4D 8D 65 01 48 8B CE E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B FF BF 0A 00 00 00 48 89 7C 24 28 44 23 FF 8D 47 06 81 F9 00 08 00 00 44 0F 44 F8 8D 47 FE 81 F9 00 04 00 00 44 0F 44 F8 44 89 7C 24 24 45 33 D2 88 5C 24 20 44 88 54 24 21 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 0B 4D 39 16 0F 84 E3 00 00 00 EB 09 4D 39 16 0F 85 D8 00 00 00 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 0F B7 46 0A 66 3B 45 CF 0F 85 B9 00 00 00 B3 01 88 5C 24 20 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 07 4D 39 16 74 69 EB 05 4D 39 16 75 62 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 0F B7 46 0A 66 3B 45 01 74 1B 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 0F B7 46 0A 66 3B 45 FF 75 2C 41 F7 C7 EF FF FF FF 75 23 41 BF 10 00 00 00 44 89 7C 24 24 41 8A DA 88 5C 24 20 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 41 8D 4F F8 EB 22 45 85 FF B9 08 00 00 00 44 0F 44 F9 44 89 7C 24 24 EB 05 B9 08 00 00 00 45 85 FF 74 16 44 3B FF 74 11 B8 16 00 00 00 44 3B F9 48 0F 44 C1 48 89 44 24 28 BF 0F 00 00 00 48 89 7D A7 88 5D 8F 48 C7 45 9F 01 00 00 00 44 88 55 90 49 8B DA 49 8D 45 1F 4C 8B 6D 8F 4C 8B F8 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 0B 4D 39 16 0F 84 FB 00 00 00 EB 09 4D 39 16 0F 85 F0 00 00 00 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 3B 44 24 28 73 4F 48 8D 0D ?? ?? ?? ?? 8A 0C 08 41 88 0C 24 44 38 54 24 21 75 05 80 F9 30 74 0D 4D 3B E7 73 08 49 FF C4 C6 44 24 21 01 C6 44 24 20 01 48 8D 45 8F 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 64 48 8D 45 8F 48 83 FF 10 49 0F 43 C5 FE 04 03 EB 4B 48 8D 45 8F 48 83 FF 10 49 0F 43 C5 44 38 14 18 74 51 0F B7 44 24 22 66 85 C0 74 47 44 38 56 08 75 10 48 8B CE E8 ?? ?? ?? ?? 0F B7 44 24 22 45 33 D2 66 39 46 0A 75 2B 45 33 C0 41 8D 50 01 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF C3 4C 8B 6D 8F 48 8B 7D A7 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 E9 D5 FE FF FF 48 85 DB 44 8B 7C 24 24 BE 10 00 00 00 74 1B 48 8D 45 8F 48 3B FE 49 0F 43 C5 44 38 14 18 7E 05 48 FF C3 EB 05 41 8A C2 EB 04 8A 44 24 20 48 8D 4D AF 4C 8B 4D AF 48 8B 55 C7 48 3B D6 49 0F 43 C9 84 C0 74 56 48 85 DB 74 40 44 8A 01 41 80 F8 7F 74 37 48 83 EB 01 74 11 48 8D 45 8F 48 3B FE 49 0F 43 C5 44 3A 04 18 75 31 48 85 DB 75 10 48 8D 45 8F 48 3B FE 49 0F 43 C5 44 3A 00 7C 1C 44 38 51 01 7E C0 48 FF C1 EB BB 44 38 54 24 21 75 0F 41 C6 04 24 30 49 FF C4 EB 05 4C 8B 64 24 38 45 88 14 24 48 3B FE 72 1A 48 8D 57 01 41 B8 01 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B 55 C7 4C 8B 4D AF 48 3B D6 72 11 48 FF C2 41 B8 01 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_627_2 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z"
		size = 1269
		refs = "0028 __security_cookie 0049 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0058 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0070 _guard_check_icall 0082 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 009f ?_Src@?1??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@1HAEBVlocale@3@@Z@4QBDB 00bd ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0122 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 03d3 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 04a9 ?_Deallocate@std@@YAXPEAX_K1@Z 04d6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 45 87 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F1 49 8B F0 4C 8B EA 48 89 54 24 38 4C 8B 7D 7F 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 AF 48 8B C8 E8 ?? ?? ?? ?? 90 33 C0 48 39 45 BF 74 14 48 8B 07 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 66 89 44 24 22 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8B 08 48 8B 59 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D CF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF FF D3 4D 8B E5 33 DB 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 48 39 1E 75 07 49 39 1E 74 4D EB 05 49 39 1E 75 46 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FD 75 07 41 C6 45 00 2B EB 1C 38 5E 08 75 08 48 8B CE E8 ?? ?? ?? ?? 0F B7 46 0A 66 3B 45 FB 75 11 41 C6 45 00 2D 4D 8D 65 01 48 8B CE E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B FF BF 0A 00 00 00 48 89 7C 24 28 44 23 FF 8D 47 06 81 F9 00 08 00 00 44 0F 44 F8 8D 47 FE 81 F9 00 04 00 00 44 0F 44 F8 44 89 7C 24 24 45 33 D2 88 5C 24 20 44 88 54 24 21 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 0B 4D 39 16 0F 84 E3 00 00 00 EB 09 4D 39 16 0F 85 D8 00 00 00 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 0F B7 46 0A 66 3B 45 CF 0F 85 B9 00 00 00 B3 01 88 5C 24 20 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 07 4D 39 16 74 69 EB 05 4D 39 16 75 62 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 0F B7 46 0A 66 3B 45 01 74 1B 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 0F B7 46 0A 66 3B 45 FF 75 2C 41 F7 C7 EF FF FF FF 75 23 41 BF 10 00 00 00 44 89 7C 24 24 41 8A DA 88 5C 24 20 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 41 8D 4F F8 EB 22 45 85 FF B9 08 00 00 00 44 0F 44 F9 44 89 7C 24 24 EB 05 B9 08 00 00 00 45 85 FF 74 16 44 3B FF 74 11 B8 16 00 00 00 44 3B F9 48 0F 44 C1 48 89 44 24 28 BF 0F 00 00 00 48 89 7D A7 88 5D 8F 48 C7 45 9F 01 00 00 00 44 88 55 90 49 8B DA 49 8D 45 1F 4C 8B 6D 8F 4C 8B F8 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 45 38 56 08 75 0B 49 8B CE E8 ?? ?? ?? ?? 45 33 D2 4C 39 16 75 0B 4D 39 16 0F 84 FB 00 00 00 EB 09 4D 39 16 0F 85 F0 00 00 00 44 38 56 08 75 0B 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 48 8D 45 CF 0F B7 4D CF EB 0D 66 3B 4E 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D CF 48 2B C1 48 D1 F8 48 3B 44 24 28 73 4F 48 8D 0D ?? ?? ?? ?? 8A 0C 08 41 88 0C 24 44 38 54 24 21 75 05 80 F9 30 74 0D 4D 3B E7 73 08 49 FF C4 C6 44 24 21 01 C6 44 24 20 01 48 8D 45 8F 48 83 FF 10 49 0F 43 C5 80 3C 18 7F 74 64 48 8D 45 8F 48 83 FF 10 49 0F 43 C5 FE 04 03 EB 4B 48 8D 45 8F 48 83 FF 10 49 0F 43 C5 44 38 14 18 74 51 0F B7 44 24 22 66 85 C0 74 47 44 38 56 08 75 10 48 8B CE E8 ?? ?? ?? ?? 0F B7 44 24 22 45 33 D2 66 39 46 0A 75 2B 45 33 C0 41 8D 50 01 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF C3 4C 8B 6D 8F 48 8B 7D A7 48 8B CE E8 ?? ?? ?? ?? 45 33 D2 E9 D5 FE FF FF 48 85 DB 44 8B 7C 24 24 BE 10 00 00 00 74 1B 48 8D 45 8F 48 3B FE 49 0F 43 C5 44 38 14 18 7E 05 48 FF C3 EB 05 41 8A C2 EB 04 8A 44 24 20 48 8D 4D AF 4C 8B 4D AF 48 8B 55 C7 48 3B D6 49 0F 43 C9 84 C0 74 56 48 85 DB 74 40 44 8A 01 41 80 F8 7F 74 37 48 83 EB 01 74 11 48 8D 45 8F 48 3B FE 49 0F 43 C5 44 3A 04 18 75 31 48 85 DB 75 10 48 8D 45 8F 48 3B FE 49 0F 43 C5 44 3A 00 7C 1C 44 38 51 01 7E C0 48 FF C1 EB BB 44 38 54 24 21 75 0F 41 C6 04 24 30 49 FF C4 EB 05 4C 8B 64 24 38 45 88 14 24 48 3B FE 72 1A 48 8D 57 01 41 B8 01 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B 55 C7 4C 8B 4D AF 48 3B D6 72 11 48 FF C2 41 B8 01 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_633_2 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z"
		size = 3130
		refs = "0029 __security_cookie 0072 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007b ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 009f _guard_check_icall 00da ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 019c ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 01fd ?_Src@?1??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@3@0_NAEAVios_base@3@PEAG@Z@4QBDB 027c ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02ec ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 036f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03df ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 046f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 0488 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0568 ??$?9GU?$char_traits@G@std@@@std@@YA_NAEBV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 06b8 ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0722 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 077f ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 07a0 ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 08f2 ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0ac5 ?is@?$ctype@G@std@@QEBA_NFG@Z 0be3 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0c1a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A8 48 81 EC 20 01 00 00 48 C7 44 24 70 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 10 4D 8B E9 49 8B F8 4C 8B FA 48 89 54 24 50 48 89 54 24 78 48 8B 8D 88 00 00 00 48 89 4C 24 60 48 8B 85 90 00 00 00 48 89 44 24 58 33 DB 89 5C 24 28 38 9D 80 00 00 00 74 5F 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 44 8D 73 01 48 8B 75 88 48 85 F6 74 36 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 33 DB 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B CE FF D3 33 DB EB 5F 48 8D 55 90 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 41 BE 01 00 00 00 48 8B 75 98 48 85 F6 74 36 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 33 DB 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B CE FF D3 33 DB 88 5C 24 20 88 5C 24 24 48 C7 45 E8 07 00 00 00 48 89 5D E0 66 89 5D D0 49 8B 04 24 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 4C 49 8B CC FF D3 33 DB 49 C7 47 18 0F 00 00 00 49 89 5F 10 49 83 7F 18 10 72 05 49 8B 07 EB 03 49 8B C7 88 18 45 8B E6 44 89 74 24 3C 44 89 74 24 28 48 8D 55 A0 48 8B 4C 24 60 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 68 48 8B 75 A8 48 85 F6 74 33 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 17 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B CE FF D3 90 48 8B 74 24 68 48 8B 06 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 58 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE FF D3 33 DB 8B C3 48 89 5C 24 40 48 8B 74 24 30 48 83 F8 04 0F 83 08 09 00 00 8A 44 04 4C 3C 20 0F 84 57 08 00 00 3C 24 0F 84 B1 06 00 00 3C 2B 0F 84 34 04 00 00 3C 76 74 0D 3C 78 0F 84 3B 08 00 00 E9 C5 08 00 00 89 5C 24 38 4C 8B 64 24 30 49 8B 04 24 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 89 44 24 48 48 8D 55 F0 49 8B CC E8 ?? ?? ?? ?? 90 45 33 C0 4C 39 45 00 0F 84 1E 02 00 00 49 8B 04 24 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 44 0F B7 E0 45 33 C0 66 85 C0 0F 84 F9 01 00 00 48 8D 4D F0 48 83 7D 08 10 48 0F 43 4D F0 80 39 7F 0F 83 E2 01 00 00 41 8D 70 0F 48 89 75 C8 66 44 89 45 B0 4C 89 75 C0 41 8B D8 4C 8B 7D B0 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 45 38 45 08 75 0B 49 8B CD E8 ?? ?? ?? ?? 45 33 C0 4C 39 07 75 0C 4D 39 45 00 0F 84 D8 00 00 00 EB 0A 4D 39 45 00 0F 85 CC 00 00 00 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 48 8B 54 24 58 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 3C 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D6 48 8B 4C 24 50 E8 ?? ?? ?? ?? 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 80 3C 18 7F 74 56 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 44 00 34 18 EB 3C 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 44 38 04 18 74 42 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 66 44 39 67 0A 75 2A 45 33 C0 49 8B D6 48 8D 4D B0 E8 ?? ?? ?? ?? 49 03 DE 4C 8B 7D B0 48 8B 75 C8 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 E9 F7 FE FF FF 48 85 DB 74 1C 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 44 38 04 18 7E 05 49 03 DE EB 05 44 88 74 24 20 48 8D 4D F0 48 83 7D 08 10 48 0F 43 4D F0 44 38 44 24 20 75 5C 48 85 DB 74 44 8A 11 80 FA 7F 74 3D 49 2B DE 74 11 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 3A 10 7C 0B 44 38 41 01 7E C3 48 FF C1 EB BE 44 88 74 24 20 EB 13 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8B 7C 24 50 E9 C3 00 00 00 45 33 C0 41 8A D6 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 4D F0 E8 ?? ?? ?? ?? 4C 8B 7C 24 50 44 8B 64 24 3C 48 8B 74 24 30 33 DB E9 6B 06 00 00 48 8B 74 24 58 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 45 38 45 08 75 0B 49 8B CD E8 ?? ?? ?? ?? 45 33 C0 4C 39 07 75 08 4D 39 45 00 74 62 EB 06 4D 39 45 00 75 5A 44 38 47 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C6 0F B7 0E EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C6 48 D1 F8 48 83 F8 0A 73 26 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 E9 71 FF FF FF 8B 74 24 48 4C 8B 64 24 30 49 8B 04 24 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 0F B7 D8 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 E4 84 C0 0F 84 C4 00 00 00 66 85 DB 0F 84 BB 00 00 00 44 38 67 08 75 08 48 8B CF E8 ?? ?? ?? ?? 66 39 5F 0A 0F 85 A3 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 8B 5C 24 38 84 C0 74 6F 3B DE 0F 8D 84 00 00 00 44 38 67 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 58 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 2E 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 41 03 DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? EB 8D 44 8B 64 24 20 45 0F B6 E4 3B DE 45 0F 4C E6 44 89 64 24 20 45 33 E4 EB 04 8B 5C 24 38 4D 39 67 10 75 07 44 88 74 24 20 EB 1B 3B DE 7D 17 2B F3 8B DE 41 B0 30 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 49 2B DE 75 ED 48 8D 4D F0 E8 ?? ?? ?? ?? E9 26 FE FF FF 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5D 08 75 08 49 8B CD E8 ?? ?? ?? ?? 48 39 1F 75 0C 49 39 5D 00 0F 84 78 04 00 00 EB 0A 49 39 5D 00 0F 85 6C 04 00 00 48 8D 55 B0 48 8B 74 24 30 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CC 02 44 89 64 24 28 48 39 58 10 76 41 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 04 44 89 64 24 28 48 83 78 18 08 72 03 48 8B 18 33 C9 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 39 03 75 05 41 8A DE EB 02 33 DB 41 F6 C4 04 74 14 41 83 E4 FB 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 90 41 83 E4 FD 44 89 64 24 3C 44 89 64 24 28 45 33 C0 41 8A D6 48 8D 4D B0 E8 ?? ?? ?? ?? 84 DB 74 50 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 D0 48 3B C3 74 1C 45 33 C0 41 8A D6 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? E9 08 FD FF FF 48 8D 55 B0 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CC 08 44 89 64 24 28 33 C9 48 39 48 10 76 3F 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 10 44 89 64 24 28 48 83 78 18 08 72 03 48 8B 18 33 C0 38 47 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 39 03 75 05 41 8A DE EB 04 33 C0 8A D8 41 F6 C4 10 74 14 41 83 E4 EF 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 90 41 83 E4 F7 44 89 64 24 3C 44 89 64 24 28 45 33 C0 41 8A D6 48 8D 4D B0 E8 ?? ?? ?? ?? 84 DB 74 55 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 D0 48 3B C3 74 1C 45 33 C0 41 8A D6 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 44 88 74 24 24 E9 17 FC FF FF 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B 58 10 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 48 85 DB 0F 84 EF FB FF FF 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B 58 10 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B 74 24 30 8B 44 24 20 48 85 DB 75 05 44 88 74 24 24 33 DB E9 31 02 00 00 48 8D 55 B0 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 44 24 60 F6 40 18 08 75 52 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5D 08 75 08 49 8B CD E8 ?? ?? ?? ?? 48 39 1F 75 08 49 39 5D 00 74 2C EB 06 49 39 5D 00 75 24 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 4F 0A 48 8D 45 B0 48 83 7D C8 08 48 0F 43 45 B0 66 3B 08 75 60 48 83 7C 24 40 03 75 6D 4C 39 75 E0 77 67 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5D 08 75 08 49 8B CD E8 ?? ?? ?? ?? 48 39 1F 75 08 49 39 5D 00 74 2C EB 06 49 39 5D 00 75 24 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 4F 0A 48 8D 45 B0 48 83 7D C8 08 48 0F 43 45 B0 66 3B 08 74 15 48 8D 45 B0 48 83 7D C8 08 48 89 5D C0 48 0F 43 45 B0 66 89 18 48 8D 5D B0 48 83 7D C8 08 48 0F 43 5D B0 45 33 FF 44 38 7F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 45 38 7D 08 75 08 49 8B CD E8 ?? ?? ?? ?? 4C 39 3F 75 08 4D 39 7D 00 74 48 EB 06 4D 39 7D 00 75 40 48 8D 4D B0 48 83 7D C8 08 48 0F 43 4D B0 48 8B 45 C0 48 8D 04 41 48 3B D8 74 25 44 38 7F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 3B 03 75 0E 48 83 C3 02 48 8B CF E8 ?? ?? ?? ?? EB 91 48 8D 4D B0 48 83 7D C8 08 48 0F 43 4D B0 48 8B 45 C0 48 8D 04 41 0F B6 4C 24 20 48 3B D8 41 0F 45 CE 88 4C 24 20 45 33 C0 41 8A D6 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8B 7C 24 50 E9 1D FA FF FF 48 83 7C 24 40 03 0F 84 83 00 00 00 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 74 49 4C 8B 7C 24 68 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? BA 48 00 00 00 44 0F B7 47 0A 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 1C 41 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 75 C1 4C 8B 7C 24 50 48 8B 44 24 40 80 7C 04 4C 20 75 14 0F B6 44 24 20 84 DB 41 0F 44 C6 89 44 24 20 E9 D5 FD FF FF 8B 44 24 20 E9 CC FD FF FF 8B 44 24 20 4C 01 74 24 40 84 C0 48 8B 44 24 40 0F 84 EE F6 FF FF 38 5C 24 20 0F 85 B4 00 00 00 48 8B 4D E0 49 3B CE 0F 86 8B 00 00 00 48 8D 5D D0 48 8B 55 D0 4C 8B 45 E8 49 83 F8 08 48 0F 43 DA 48 8D 45 D0 49 83 F8 08 48 0F 43 C2 48 8D 04 48 48 83 C3 02 48 3B D8 74 49 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 74 2C 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 3B 03 75 16 48 8B CF E8 ?? ?? ?? ?? 4C 8B 45 E8 48 8B 4D E0 48 8B 55 D0 EB AA 4C 8B 45 E8 48 8B 4D E0 48 8B 55 D0 48 8D 45 D0 49 83 F8 08 48 0F 43 C2 48 8D 04 48 48 3B D8 75 1A 8A 44 24 24 84 C0 74 29 41 B1 2D 4D 8B C6 33 D2 49 8B CF E8 ?? ?? ?? ?? EB 17 33 DB 49 89 5F 10 49 83 7F 18 10 72 05 49 8B 07 EB 03 49 8B C7 88 18 45 33 C0 41 8A D6 48 8D 4D D0 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D 10 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 20 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_40_646_2 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z"
		size = 3130
		refs = "0029 __security_cookie 0072 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007b ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 009f _guard_check_icall 00da ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 019c ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 01fd ?_Src@?1??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@3@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@3@0_NAEAVios_base@3@PEA_W@Z@4QBDB 027c ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02ec ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 036f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03df ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 046f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ 0488 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z 0568 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NAEBV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 06b8 ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0722 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 077f ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 07a0 ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 08f2 ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0ac5 ?is@?$ctype@_W@std@@QEBA_NF_W@Z 0be3 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0c1a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A8 48 81 EC 20 01 00 00 48 C7 44 24 70 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 10 4D 8B E9 49 8B F8 4C 8B FA 48 89 54 24 50 48 89 54 24 78 48 8B 8D 88 00 00 00 48 89 4C 24 60 48 8B 85 90 00 00 00 48 89 44 24 58 33 DB 89 5C 24 28 38 9D 80 00 00 00 74 5F 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 44 8D 73 01 48 8B 75 88 48 85 F6 74 36 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 33 DB 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B CE FF D3 33 DB EB 5F 48 8D 55 90 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 30 41 BE 01 00 00 00 48 8B 75 98 48 85 F6 74 36 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 33 DB 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B CE FF D3 33 DB 88 5C 24 20 88 5C 24 24 48 C7 45 E8 07 00 00 00 48 89 5D E0 66 89 5D D0 49 8B 04 24 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 4C 49 8B CC FF D3 33 DB 49 C7 47 18 0F 00 00 00 49 89 5F 10 49 83 7F 18 10 72 05 49 8B 07 EB 03 49 8B C7 88 18 45 8B E6 44 89 74 24 3C 44 89 74 24 28 48 8D 55 A0 48 8B 4C 24 60 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 68 48 8B 75 A8 48 85 F6 74 33 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 17 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B CE FF D3 90 48 8B 74 24 68 48 8B 06 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 58 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE FF D3 33 DB 8B C3 48 89 5C 24 40 48 8B 74 24 30 48 83 F8 04 0F 83 08 09 00 00 8A 44 04 4C 3C 20 0F 84 57 08 00 00 3C 24 0F 84 B1 06 00 00 3C 2B 0F 84 34 04 00 00 3C 76 74 0D 3C 78 0F 84 3B 08 00 00 E9 C5 08 00 00 89 5C 24 38 4C 8B 64 24 30 49 8B 04 24 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 89 44 24 48 48 8D 55 F0 49 8B CC E8 ?? ?? ?? ?? 90 45 33 C0 4C 39 45 00 0F 84 1E 02 00 00 49 8B 04 24 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 44 0F B7 E0 45 33 C0 66 85 C0 0F 84 F9 01 00 00 48 8D 4D F0 48 83 7D 08 10 48 0F 43 4D F0 80 39 7F 0F 83 E2 01 00 00 41 8D 70 0F 48 89 75 C8 66 44 89 45 B0 4C 89 75 C0 41 8B D8 4C 8B 7D B0 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 45 38 45 08 75 0B 49 8B CD E8 ?? ?? ?? ?? 45 33 C0 4C 39 07 75 0C 4D 39 45 00 0F 84 D8 00 00 00 EB 0A 4D 39 45 00 0F 85 CC 00 00 00 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 48 8B 54 24 58 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 3C 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D6 48 8B 4C 24 50 E8 ?? ?? ?? ?? 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 80 3C 18 7F 74 56 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 44 00 34 18 EB 3C 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 44 38 04 18 74 42 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 66 44 39 67 0A 75 2A 45 33 C0 49 8B D6 48 8D 4D B0 E8 ?? ?? ?? ?? 49 03 DE 4C 8B 7D B0 48 8B 75 C8 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 E9 F7 FE FF FF 48 85 DB 74 1C 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 44 38 04 18 7E 05 49 03 DE EB 05 44 88 74 24 20 48 8D 4D F0 48 83 7D 08 10 48 0F 43 4D F0 44 38 44 24 20 75 5C 48 85 DB 74 44 8A 11 80 FA 7F 74 3D 49 2B DE 74 11 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 B0 48 83 FE 10 49 0F 43 C7 3A 10 7C 0B 44 38 41 01 7E C3 48 FF C1 EB BE 44 88 74 24 20 EB 13 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8B 7C 24 50 E9 C3 00 00 00 45 33 C0 41 8A D6 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 4D F0 E8 ?? ?? ?? ?? 4C 8B 7C 24 50 44 8B 64 24 3C 48 8B 74 24 30 33 DB E9 6B 06 00 00 48 8B 74 24 58 44 38 47 08 75 0B 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 45 38 45 08 75 0B 49 8B CD E8 ?? ?? ?? ?? 45 33 C0 4C 39 07 75 08 4D 39 45 00 74 62 EB 06 4D 39 45 00 75 5A 44 38 47 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C6 0F B7 0E EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C6 48 D1 F8 48 83 F8 0A 73 26 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 45 33 C0 E9 71 FF FF FF 8B 74 24 48 4C 8B 64 24 30 49 8B 04 24 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CC FF D3 0F B7 D8 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 E4 84 C0 0F 84 C4 00 00 00 66 85 DB 0F 84 BB 00 00 00 44 38 67 08 75 08 48 8B CF E8 ?? ?? ?? ?? 66 39 5F 0A 0F 85 A3 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 8B 5C 24 38 84 C0 74 6F 3B DE 0F 8D 84 00 00 00 44 38 67 08 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 58 48 8B C2 0F B7 0A EB 0D 66 3B 4F 0A 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 2B C2 48 D1 F8 48 83 F8 0A 73 2E 48 8D 0D ?? ?? ?? ?? 44 8A 04 08 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 41 03 DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? EB 8D 44 8B 64 24 20 45 0F B6 E4 3B DE 45 0F 4C E6 44 89 64 24 20 45 33 E4 EB 04 8B 5C 24 38 4D 39 67 10 75 07 44 88 74 24 20 EB 1B 3B DE 7D 17 2B F3 8B DE 41 B0 30 49 8B D6 49 8B CF E8 ?? ?? ?? ?? 49 2B DE 75 ED 48 8D 4D F0 E8 ?? ?? ?? ?? E9 26 FE FF FF 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5D 08 75 08 49 8B CD E8 ?? ?? ?? ?? 48 39 1F 75 0C 49 39 5D 00 0F 84 78 04 00 00 EB 0A 49 39 5D 00 0F 85 6C 04 00 00 48 8D 55 B0 48 8B 74 24 30 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CC 02 44 89 64 24 28 48 39 58 10 76 41 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 04 44 89 64 24 28 48 83 78 18 08 72 03 48 8B 18 33 C9 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 39 03 75 05 41 8A DE EB 02 33 DB 41 F6 C4 04 74 14 41 83 E4 FB 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 90 41 83 E4 FD 44 89 64 24 3C 44 89 64 24 28 45 33 C0 41 8A D6 48 8D 4D B0 E8 ?? ?? ?? ?? 84 DB 74 50 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 D0 48 3B C3 74 1C 45 33 C0 41 8A D6 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? E9 08 FD FF FF 48 8D 55 B0 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CC 08 44 89 64 24 28 33 C9 48 39 48 10 76 3F 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CC 10 44 89 64 24 28 48 83 78 18 08 72 03 48 8B 18 33 C0 38 47 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 39 03 75 05 41 8A DE EB 04 33 C0 8A D8 41 F6 C4 10 74 14 41 83 E4 EF 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 90 41 83 E4 F7 44 89 64 24 3C 44 89 64 24 28 45 33 C0 41 8A D6 48 8D 4D B0 E8 ?? ?? ?? ?? 84 DB 74 55 48 8B CF E8 ?? ?? ?? ?? 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 D0 48 3B C3 74 1C 45 33 C0 41 8A D6 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 44 88 74 24 24 E9 17 FC FF FF 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B 58 10 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 48 85 DB 0F 84 EF FB FF FF 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? 48 8B 58 10 45 33 C0 41 8A D6 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B 74 24 30 8B 44 24 20 48 85 DB 75 05 44 88 74 24 24 33 DB E9 31 02 00 00 48 8D 55 B0 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 44 24 60 F6 40 18 08 75 52 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5D 08 75 08 49 8B CD E8 ?? ?? ?? ?? 48 39 1F 75 08 49 39 5D 00 74 2C EB 06 49 39 5D 00 75 24 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 4F 0A 48 8D 45 B0 48 83 7D C8 08 48 0F 43 45 B0 66 3B 08 75 60 48 83 7C 24 40 03 75 6D 4C 39 75 E0 77 67 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 41 38 5D 08 75 08 49 8B CD E8 ?? ?? ?? ?? 48 39 1F 75 08 49 39 5D 00 74 2C EB 06 49 39 5D 00 75 24 38 5F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 4F 0A 48 8D 45 B0 48 83 7D C8 08 48 0F 43 45 B0 66 3B 08 74 15 48 8D 45 B0 48 83 7D C8 08 48 89 5D C0 48 0F 43 45 B0 66 89 18 48 8D 5D B0 48 83 7D C8 08 48 0F 43 5D B0 45 33 FF 44 38 7F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 45 38 7D 08 75 08 49 8B CD E8 ?? ?? ?? ?? 4C 39 3F 75 08 4D 39 7D 00 74 48 EB 06 4D 39 7D 00 75 40 48 8D 4D B0 48 83 7D C8 08 48 0F 43 4D B0 48 8B 45 C0 48 8D 04 41 48 3B D8 74 25 44 38 7F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 3B 03 75 0E 48 83 C3 02 48 8B CF E8 ?? ?? ?? ?? EB 91 48 8D 4D B0 48 83 7D C8 08 48 0F 43 4D B0 48 8B 45 C0 48 8D 04 41 0F B6 4C 24 20 48 3B D8 41 0F 45 CE 88 4C 24 20 45 33 C0 41 8A D6 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8B 7C 24 50 E9 1D FA FF FF 48 83 7C 24 40 03 0F 84 83 00 00 00 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 74 49 4C 8B 7C 24 68 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? BA 48 00 00 00 44 0F B7 47 0A 49 8B CF E8 ?? ?? ?? ?? 84 C0 74 1C 41 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 75 C1 4C 8B 7C 24 50 48 8B 44 24 40 80 7C 04 4C 20 75 14 0F B6 44 24 20 84 DB 41 0F 44 C6 89 44 24 20 E9 D5 FD FF FF 8B 44 24 20 E9 CC FD FF FF 8B 44 24 20 4C 01 74 24 40 84 C0 48 8B 44 24 40 0F 84 EE F6 FF FF 38 5C 24 20 0F 85 B4 00 00 00 48 8B 4D E0 49 3B CE 0F 86 8B 00 00 00 48 8D 5D D0 48 8B 55 D0 4C 8B 45 E8 49 83 F8 08 48 0F 43 DA 48 8D 45 D0 49 83 F8 08 48 0F 43 C2 48 8D 04 48 48 83 C3 02 48 3B D8 74 49 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 33 C9 84 C0 74 2C 38 4F 08 75 08 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 0A 66 3B 03 75 16 48 8B CF E8 ?? ?? ?? ?? 4C 8B 45 E8 48 8B 4D E0 48 8B 55 D0 EB AA 4C 8B 45 E8 48 8B 4D E0 48 8B 55 D0 48 8D 45 D0 49 83 F8 08 48 0F 43 C2 48 8D 04 48 48 3B D8 75 1A 8A 44 24 24 84 C0 74 29 41 B1 2D 4D 8B C6 33 D2 49 8B CF E8 ?? ?? ?? ?? EB 17 33 DB 49 89 5F 10 49 83 7F 18 10 72 05 49 8B 07 EB 03 49 8B C7 88 18 45 33 C0 41 8A D6 48 8D 4D D0 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D 10 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 20 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_40_637_2 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$3@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 01 85 C0 74 0D 83 65 28 FE 48 8B 4D 78 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_640_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D B0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_653_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D B0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_641_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D F0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_654_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D F0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_642_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D B0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_655_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D B0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_643_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D F0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_656_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D F0 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_713_2 {
	meta:
		name = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_NPEBG@Z"
		size = 62
		altNames = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_NPEB_W@Z"
	strings:
		$1 = { 4C 8B C2 48 85 D2 74 33 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 4C 3B C0 72 1F 48 83 79 18 08 72 05 48 8B 11 EB 03 48 8B D1 48 8B 41 10 48 8D 0C 42 49 3B C8 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_40_715_2 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z"
		size = 1210
		refs = "0028 __security_cookie 009c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a5 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00c1 _guard_check_icall 0106 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0154 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 01a1 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0201 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 027e ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 046d ?_Deallocate@std@@YAXPEAX_K1@Z 048c ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 049b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC B0 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4C 89 4D AF 4D 8B F8 48 89 55 B7 0F B7 45 6F 66 89 44 24 20 4C 8B 6D 77 4C 8B 65 7F 33 F6 4D 85 E4 74 0E 41 8A 45 00 2C 2B A8 FD 44 8D 76 01 74 03 4C 8B F6 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1D 49 8D 4E 02 49 3B CC 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 8F 48 8B 7D A7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 C7 45 DF 07 00 00 00 48 89 75 D7 66 89 75 C7 45 33 C0 49 8B D4 48 8D 4D C7 E8 ?? ?? ?? ?? 90 48 8D 75 C7 48 83 7D DF 08 48 0F 43 75 C7 48 8B 45 8F 48 8B 00 4B 8D 1C 2C 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4D 8F FF D7 48 8D 55 9F 4C 8B 6D AF 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D A7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 E7 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 7D E7 48 83 7D FF 10 48 0F 43 7D E7 8A 07 FE C8 3C 7D 77 5C 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 0F B7 D8 80 3F 7F 74 40 80 3F 00 7E 3B 48 0F BE 0F 49 8B C4 49 2B C6 48 3B C8 73 2C 4C 2B E1 44 0F B7 CB 41 B8 01 00 00 00 49 8B D4 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4E C7 48 8B F8 80 38 7F 75 C0 4C 8B 65 D7 4C 89 65 8F 49 8B 5D 28 33 C9 48 85 DB 7E 0A 49 3B DC 76 05 49 2B DC EB 03 48 8B D9 41 8B 45 18 25 C0 01 00 00 41 0F 10 07 BE FF FF 00 00 83 F8 40 0F 84 25 01 00 00 3D 00 01 00 00 0F 84 8F 00 00 00 0F 29 45 9F 48 85 DB 74 34 48 8B 7D A7 44 0F B7 6C 24 20 48 85 FF 74 11 41 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 04 C6 45 9F 01 48 83 EB 01 75 E0 0F 28 45 9F 4C 8B 65 8F 33 C9 F3 41 0F 7F 07 48 8B D9 0F 29 45 8F 48 8D 7D C7 48 83 7D DF 08 48 0F 43 7D C7 4D 8B EE 4D 85 F6 0F 84 FC 00 00 00 48 39 4D 97 74 13 0F B7 17 48 8B 4D 97 E8 ?? ?? ?? ?? 33 C9 66 3B F0 75 04 C6 45 8F 01 48 83 C7 02 49 83 ED 01 75 D9 E9 CC 00 00 00 0F 29 45 8F 48 8D 7D C7 48 83 7D DF 08 48 0F 43 7D C7 4D 8B EE 4D 85 F6 74 2B 48 39 4D 97 74 13 0F B7 17 48 8B 4D 97 E8 ?? ?? ?? ?? 33 C9 66 3B F0 75 04 C6 45 8F 01 48 83 C7 02 49 83 ED 01 75 D9 0F 28 45 8F F3 41 0F 7F 07 0F 29 45 9F 48 85 DB 74 33 48 8B 7D A7 44 0F B7 6C 24 20 48 85 FF 74 11 41 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 04 C6 45 9F 01 48 83 EB 01 B9 00 00 00 00 75 DB 0F 28 45 9F 48 8B D9 EB 45 0F 29 45 8F 48 8D 7D C7 48 83 7D DF 08 48 0F 43 7D C7 4D 8B EE 4D 85 F6 74 2B 48 39 4D 97 74 13 0F B7 17 48 8B 4D 97 E8 ?? ?? ?? ?? 33 C9 66 3B F0 75 04 C6 45 8F 01 48 83 C7 02 49 83 ED 01 75 D9 0F 28 45 8F F3 41 0F 7F 07 0F 29 45 9F 48 8D 45 C7 48 83 7D DF 08 48 0F 43 45 C7 4D 2B E6 4A 8D 3C 70 74 2D 4C 8B 75 A7 4D 85 F6 74 12 0F B7 17 49 8B CE E8 ?? ?? ?? ?? 33 C9 66 3B F0 75 04 C6 45 9F 01 48 83 C7 02 49 83 EC 01 75 DB 0F 28 45 9F F3 41 0F 7F 07 48 8B 45 AF 48 89 48 28 41 0F 10 07 0F 29 45 9F 48 85 DB 74 29 48 8B 7D A7 48 85 FF 74 12 0F B7 54 24 20 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 04 C6 45 9F 01 48 83 EB 01 75 DF 0F 28 45 9F 48 8B 5D B7 F3 0F 7F 03 48 8B 55 FF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 48 83 65 F7 00 C6 45 E7 00 45 33 C0 B2 01 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_720_2 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z"
		size = 1210
		refs = "0028 __security_cookie 009c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00a5 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00c1 _guard_check_icall 0106 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0154 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 01a1 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0201 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 027e ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 046d ?_Deallocate@std@@YAXPEAX_K1@Z 048c ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 049b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC B0 00 00 00 48 C7 45 BF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4C 89 4D AF 4D 8B F8 48 89 55 B7 0F B7 45 6F 66 89 44 24 20 4C 8B 6D 77 4C 8B 65 7F 33 F6 4D 85 E4 74 0E 41 8A 45 00 2C 2B A8 FD 44 8D 76 01 74 03 4C 8B F6 41 8B 41 18 25 00 0E 00 00 3D 00 08 00 00 75 1D 49 8D 4E 02 49 3B CC 77 14 43 80 3C 2E 30 75 0D 43 8A 44 2E 01 2C 58 A8 DF 4C 0F 44 F1 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 8F 48 8B 7D A7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 C7 45 DF 07 00 00 00 48 89 75 D7 66 89 75 C7 45 33 C0 49 8B D4 48 8D 4D C7 E8 ?? ?? ?? ?? 90 48 8D 75 C7 48 83 7D DF 08 48 0F 43 75 C7 48 8B 45 8F 48 8B 00 4B 8D 1C 2C 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 49 8B D5 48 8B 4D 8F FF D7 48 8D 55 9F 4C 8B 6D AF 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D A7 48 85 FF 74 35 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 48 8D 55 E7 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 7D E7 48 83 7D FF 10 48 0F 43 7D E7 8A 07 FE C8 3C 7D 77 5C 48 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 0F B7 D8 80 3F 7F 74 40 80 3F 00 7E 3B 48 0F BE 0F 49 8B C4 49 2B C6 48 3B C8 73 2C 4C 2B E1 44 0F B7 CB 41 B8 01 00 00 00 49 8B D4 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 47 01 80 38 00 48 0F 4E C7 48 8B F8 80 38 7F 75 C0 4C 8B 65 D7 4C 89 65 8F 49 8B 5D 28 33 C9 48 85 DB 7E 0A 49 3B DC 76 05 49 2B DC EB 03 48 8B D9 41 8B 45 18 25 C0 01 00 00 41 0F 10 07 BE FF FF 00 00 83 F8 40 0F 84 25 01 00 00 3D 00 01 00 00 0F 84 8F 00 00 00 0F 29 45 9F 48 85 DB 74 34 48 8B 7D A7 44 0F B7 6C 24 20 48 85 FF 74 11 41 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 04 C6 45 9F 01 48 83 EB 01 75 E0 0F 28 45 9F 4C 8B 65 8F 33 C9 F3 41 0F 7F 07 48 8B D9 0F 29 45 8F 48 8D 7D C7 48 83 7D DF 08 48 0F 43 7D C7 4D 8B EE 4D 85 F6 0F 84 FC 00 00 00 48 39 4D 97 74 13 0F B7 17 48 8B 4D 97 E8 ?? ?? ?? ?? 33 C9 66 3B F0 75 04 C6 45 8F 01 48 83 C7 02 49 83 ED 01 75 D9 E9 CC 00 00 00 0F 29 45 8F 48 8D 7D C7 48 83 7D DF 08 48 0F 43 7D C7 4D 8B EE 4D 85 F6 74 2B 48 39 4D 97 74 13 0F B7 17 48 8B 4D 97 E8 ?? ?? ?? ?? 33 C9 66 3B F0 75 04 C6 45 8F 01 48 83 C7 02 49 83 ED 01 75 D9 0F 28 45 8F F3 41 0F 7F 07 0F 29 45 9F 48 85 DB 74 33 48 8B 7D A7 44 0F B7 6C 24 20 48 85 FF 74 11 41 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 04 C6 45 9F 01 48 83 EB 01 B9 00 00 00 00 75 DB 0F 28 45 9F 48 8B D9 EB 45 0F 29 45 8F 48 8D 7D C7 48 83 7D DF 08 48 0F 43 7D C7 4D 8B EE 4D 85 F6 74 2B 48 39 4D 97 74 13 0F B7 17 48 8B 4D 97 E8 ?? ?? ?? ?? 33 C9 66 3B F0 75 04 C6 45 8F 01 48 83 C7 02 49 83 ED 01 75 D9 0F 28 45 8F F3 41 0F 7F 07 0F 29 45 9F 48 8D 45 C7 48 83 7D DF 08 48 0F 43 45 C7 4D 2B E6 4A 8D 3C 70 74 2D 4C 8B 75 A7 4D 85 F6 74 12 0F B7 17 49 8B CE E8 ?? ?? ?? ?? 33 C9 66 3B F0 75 04 C6 45 9F 01 48 83 C7 02 49 83 EC 01 75 DB 0F 28 45 9F F3 41 0F 7F 07 48 8B 45 AF 48 89 48 28 41 0F 10 07 0F 29 45 9F 48 85 DB 74 29 48 8B 7D A7 48 85 FF 74 12 0F B7 54 24 20 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 04 C6 45 9F 01 48 83 EB 01 75 DF 0F 28 45 9F 48 8B 5D B7 F3 0F 7F 03 48 8B 55 FF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 48 83 65 F7 00 C6 45 E7 00 45 33 C0 B2 01 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_775_2 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@_K@Z"
		size = 111
		refs = "0030 ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B D9 48 8B FA 48 8B F1 4D 85 C9 74 33 48 8B 4F 08 41 0F B7 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 4C 8B 44 24 40 B9 FF FF 00 00 66 3B C8 75 03 C6 07 01 49 83 C0 02 4C 89 44 24 40 48 83 EB 01 75 CD 0F 10 07 48 8B 5C 24 30 48 8B C6 F3 0F 7F 06 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_40_776_2 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@_K@Z"
		size = 111
		refs = "0030 ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B D9 48 8B FA 48 8B F1 4D 85 C9 74 33 48 8B 4F 08 41 0F B7 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 4C 8B 44 24 40 B9 FF FF 00 00 66 3B C8 75 03 C6 07 01 49 83 C0 02 4C 89 44 24 40 48 83 EB 01 75 CD 0F 10 07 48 8B 5C 24 30 48 8B C6 F3 0F 7F 06 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_40_779_2 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z"
		size = 2563
		refs = "002d __security_cookie 0086 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008f ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00b4 _guard_check_icall 00eb ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 013f ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0184 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 0277 ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0292 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 029e ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 02cb ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0329 ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 043f ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 09b2 ?_Deallocate@std@@YAXPEAX_K1@Z 09df __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 B0 48 81 EC 50 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 08 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 30 4D 8B E0 4C 89 44 24 70 48 89 54 24 78 4C 8B AD B0 00 00 00 4C 89 6C 24 50 0F B7 85 B8 00 00 00 66 89 44 24 20 4C 8B BD C8 00 00 00 4C 89 7C 24 30 4C 89 7D A8 0F B7 85 D0 00 00 00 66 89 44 24 22 49 8B CD 45 84 C9 74 5C 48 8D 55 88 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 28 BF 01 00 00 00 48 8B 75 90 48 85 F6 74 32 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 48 8B CE FF D3 90 EB 5A 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 28 BF 01 00 00 00 48 8B 75 A0 48 85 F6 74 32 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 48 8B CE FF D3 90 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? 90 49 8B 06 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 99 33 C2 2B C2 89 44 24 48 8B F0 48 89 74 24 40 49 39 77 10 77 1F 44 8B C6 4D 2B 47 10 4C 03 C7 44 0F B7 4C 24 22 33 D2 49 8B CF E8 ?? ?? ?? ?? E9 A7 00 00 00 48 8D 45 F0 48 83 7D 08 10 48 0F 43 45 F0 80 38 7F 0F 84 90 00 00 00 48 8D 45 F0 48 83 7D 08 10 48 0F 43 45 F0 33 D2 38 10 7E 7C 49 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 0F B7 F0 48 8D 5D F0 48 83 7D 08 10 48 0F 43 5D F0 49 8B 77 10 48 2B 74 24 40 80 3B 7F 74 3E 45 33 ED 44 38 2B 7E 31 48 0F BE 03 48 3B C6 73 28 48 2B F0 45 0F B7 CE 4C 8B C7 48 8B D6 49 8B CF E8 ?? ?? ?? ?? 48 8D 43 01 44 38 28 48 0F 4E C3 48 8B D8 80 38 7F 75 CA 4C 8B 6C 24 50 48 8B 74 24 40 4C 8B 74 24 28 48 C7 45 E8 07 00 00 00 33 C0 48 89 45 E0 66 89 45 D0 38 85 C0 00 00 00 49 8B 06 74 54 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CE FF D3 8B 44 24 24 89 44 24 38 48 8D 55 B0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 D0 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 E8 ?? ?? ?? ?? 90 EB 52 48 8B 58 50 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CE FF D3 8B 44 24 24 89 44 24 38 48 8D 55 B0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 D0 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 4D B0 E8 ?? ?? ?? ?? 48 C7 45 28 07 00 00 00 45 33 DB 4C 89 5D 20 66 44 89 5D 10 41 F6 45 18 08 74 46 48 8D 55 B0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 10 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 10 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 4D B0 E8 ?? ?? ?? ?? 45 33 DB 45 8A CB 49 8B CB 4D 8B C3 44 8B 54 24 48 42 8A 44 04 38 3C 20 74 42 3C 24 74 38 3C 2B 74 2E 3C 76 74 06 3C 78 74 35 EB 3F 49 39 77 10 77 0C 48 8B D6 49 2B 57 10 48 03 D7 EB 03 49 8B D3 49 8B 47 10 45 3B DA 48 13 C2 48 03 C8 EB 1B 48 03 4D E0 EB 15 48 03 4D 20 EB 0F 48 03 CF 45 0F B6 C9 49 83 F8 03 44 0F 45 CF 4C 03 C7 49 83 F8 04 72 9D 4D 8B 6D 28 4D 85 ED 7E 0A 4C 3B E9 76 05 4C 2B E9 EB 03 4D 8B EB 48 8B 44 24 50 8B 58 18 81 E3 C0 01 00 00 89 5C 24 24 83 FB 40 74 70 81 FB 00 01 00 00 75 05 45 84 C9 75 63 41 0F 10 04 24 0F 29 44 24 60 4D 85 ED 74 4B 48 8B 5C 24 68 44 0F B7 74 24 20 41 BF FF FF 00 00 48 85 DB 74 12 41 0F B7 D6 48 8B CB E8 ?? ?? ?? ?? 66 44 3B F8 75 05 40 88 7C 24 60 4C 2B EF 41 BB 00 00 00 00 75 D9 0F 28 44 24 60 4C 8B 7C 24 30 4C 8B 74 24 28 8B 5C 24 24 F3 41 0F 7F 04 24 4D 8B EB 49 8B C3 48 89 44 24 60 EB 03 45 33 DB 8A 44 04 38 3C 20 0F 84 64 03 00 00 3C 24 0F 84 03 03 00 00 3C 2B 0F 84 A2 02 00 00 3C 76 74 0D 3C 78 0F 84 89 03 00 00 E9 E7 03 00 00 44 39 5C 24 48 75 68 49 83 7F 18 08 72 05 49 8B 1F EB 03 49 8B DF 41 0F 10 04 24 0F 29 45 B0 49 8B 77 10 48 85 F6 0F 84 B5 03 00 00 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 14 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 45 33 DB 66 44 3B F8 75 04 40 88 7D B0 48 83 C3 02 48 2B F7 75 DA 0F 28 45 B0 4C 8B 7C 24 30 4C 8B 74 24 28 E9 72 03 00 00 49 39 77 10 0F 87 0B 01 00 00 49 8B 4C 24 08 48 85 C9 74 14 0F B7 54 24 22 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 04 41 88 3C 24 49 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 49 8B 4C 24 08 48 85 C9 74 12 0F B7 D0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 04 41 88 3C 24 41 0F 10 04 24 0F 29 45 B0 48 8B DE 49 2B 5F 10 74 43 48 8B 75 B8 44 0F B7 74 24 22 41 BC FF FF 00 00 48 85 F6 74 12 41 0F B7 D6 48 8B CE E8 ?? ?? ?? ?? 66 44 3B E0 75 04 40 88 7D B0 48 2B DF 75 E0 0F 28 45 B0 4C 8B 7C 24 30 4C 8B 64 24 70 4C 8B 74 24 28 F3 41 0F 7F 04 24 49 83 7F 18 08 72 05 49 8B 1F EB 03 49 8B DF 0F 29 45 B0 49 8B 77 10 33 C0 48 85 F6 0F 84 95 02 00 00 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 13 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 66 44 3B F8 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 83 C3 02 48 2B F7 75 D7 E9 D8 FE FF FF 49 83 7F 18 08 72 05 49 8B 1F EB 03 49 8B DF 41 0F 10 04 24 0F 29 45 B0 49 8B 77 10 48 2B 74 24 40 74 3E 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 14 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 45 33 DB 66 44 3B F8 75 04 40 88 7D B0 48 83 C3 02 48 2B F7 75 DA 0F 28 45 B0 4C 8B 7C 24 30 4C 8B 74 24 28 F3 41 0F 7F 04 24 49 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 49 8B 4C 24 08 48 85 C9 74 12 0F B7 D0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 04 41 88 3C 24 49 83 7F 18 08 72 05 49 8B 0F EB 03 49 8B CF 49 8B 47 10 48 8D 1C 41 48 8B 4C 24 40 48 8D 04 09 48 2B D8 41 0F 10 04 24 0F 29 45 B0 48 8B F1 33 C0 48 85 C9 0F 84 88 01 00 00 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 13 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 66 44 3B F8 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 83 C3 02 48 2B F7 75 D7 E9 CB FD FF FF 4C 39 5D E0 0F 86 4C 01 00 00 48 8D 45 D0 48 83 7D E8 08 48 0F 43 45 D0 41 0F 10 34 24 0F 29 75 B0 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 12 0F B7 10 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 08 40 88 7D B0 0F 28 75 B0 F3 41 0F 7F 34 24 E9 FD 00 00 00 48 8D 5D 10 48 83 7D 28 08 48 0F 43 5D 10 41 0F 10 04 24 0F 29 45 B0 48 8B 75 20 48 85 F6 0F 84 D3 00 00 00 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 14 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 45 33 DB 66 44 3B F8 75 04 40 88 7D B0 48 83 C3 02 48 2B F7 75 DA E9 19 FD FF FF 41 0F 10 34 24 0F 29 75 B0 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 14 0F B7 54 24 20 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 08 40 88 7D B0 0F 28 75 B0 F3 41 0F 7F 34 24 45 33 DB 81 FB 00 01 00 00 75 5B 41 0F 10 04 24 0F 29 45 B0 4D 85 ED 74 44 48 8B 5D B8 44 0F B7 7C 24 20 41 BE FF FF 00 00 48 85 DB 74 12 41 0F B7 D7 48 8B CB E8 ?? ?? ?? ?? 66 44 3B F0 75 04 40 88 7D B0 4C 2B EF 41 BB 00 00 00 00 75 DA 0F 28 45 B0 4C 8B 7C 24 30 4C 8B 74 24 28 4D 8B EB F3 41 0F 7F 04 24 48 8B 44 24 60 48 03 C7 48 89 44 24 60 48 83 F8 04 8B 5C 24 24 48 8B 74 24 40 0F 82 C9 FB FF FF 48 8B 75 E0 48 3B F7 76 65 48 8D 5D D0 48 83 7D E8 08 48 0F 43 5D D0 48 83 C3 02 41 0F 10 04 24 0F 29 45 B0 33 C0 48 83 EE 01 74 3C 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 13 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 66 44 3B F8 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 83 C3 02 48 2B F7 75 D7 0F 28 45 B0 4C 8B 7C 24 30 F3 41 0F 7F 04 24 48 8B 44 24 50 33 F6 48 89 70 28 41 0F 10 04 24 0F 29 45 B0 4D 85 ED 74 37 48 8B 5D B8 44 0F B7 7C 24 20 48 85 DB 74 16 41 0F B7 D7 48 8B CB E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 04 40 88 7D B0 4C 2B EF 75 DC 0F 28 45 B0 4C 8B 7C 24 30 48 8B 5C 24 78 F3 0F 7F 03 45 33 C0 40 8A D7 48 8D 4D 10 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8B 55 08 48 83 FA 10 72 0F 48 FF C2 4C 8B C7 48 8B 4D F0 E8 ?? ?? ?? ?? 48 C7 45 08 0F 00 00 00 48 89 75 00 40 88 75 F0 45 33 C0 40 8A D7 49 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 30 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 40 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_786_2 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z"
		size = 2563
		refs = "002d __security_cookie 0086 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008f ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00b4 _guard_check_icall 00eb ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 013f ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0184 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 0277 ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0292 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 029e ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 02cb ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0329 ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 043f ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 09b2 ?_Deallocate@std@@YAXPEAX_K1@Z 09df __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 B0 48 81 EC 50 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 08 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 30 4D 8B E0 4C 89 44 24 70 48 89 54 24 78 4C 8B AD B0 00 00 00 4C 89 6C 24 50 0F B7 85 B8 00 00 00 66 89 44 24 20 4C 8B BD C8 00 00 00 4C 89 7C 24 30 4C 89 7D A8 0F B7 85 D0 00 00 00 66 89 44 24 22 49 8B CD 45 84 C9 74 5C 48 8D 55 88 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 28 BF 01 00 00 00 48 8B 75 90 48 85 F6 74 32 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 48 8B CE FF D3 90 EB 5A 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 28 BF 01 00 00 00 48 8B 75 A0 48 85 F6 74 32 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 16 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 8B D7 48 8B CE FF D3 90 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? 90 49 8B 06 48 8B 58 48 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 99 33 C2 2B C2 89 44 24 48 8B F0 48 89 74 24 40 49 39 77 10 77 1F 44 8B C6 4D 2B 47 10 4C 03 C7 44 0F B7 4C 24 22 33 D2 49 8B CF E8 ?? ?? ?? ?? E9 A7 00 00 00 48 8D 45 F0 48 83 7D 08 10 48 0F 43 45 F0 80 38 7F 0F 84 90 00 00 00 48 8D 45 F0 48 83 7D 08 10 48 0F 43 45 F0 33 D2 38 10 7E 7C 49 8B 06 48 8B 58 20 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 44 0F B7 F0 48 8D 5D F0 48 83 7D 08 10 48 0F 43 5D F0 49 8B 77 10 48 2B 74 24 40 80 3B 7F 74 3E 45 33 ED 44 38 2B 7E 31 48 0F BE 03 48 3B C6 73 28 48 2B F0 45 0F B7 CE 4C 8B C7 48 8B D6 49 8B CF E8 ?? ?? ?? ?? 48 8D 43 01 44 38 28 48 0F 4E C3 48 8B D8 80 38 7F 75 CA 4C 8B 6C 24 50 48 8B 74 24 40 4C 8B 74 24 28 48 C7 45 E8 07 00 00 00 33 C0 48 89 45 E0 66 89 45 D0 38 85 C0 00 00 00 49 8B 06 74 54 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CE FF D3 8B 44 24 24 89 44 24 38 48 8D 55 B0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 D0 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 E8 ?? ?? ?? ?? 90 EB 52 48 8B 58 50 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 24 49 8B CE FF D3 8B 44 24 24 89 44 24 38 48 8D 55 B0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 D0 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 4D B0 E8 ?? ?? ?? ?? 48 C7 45 28 07 00 00 00 45 33 DB 4C 89 5D 20 66 44 89 5D 10 41 F6 45 18 08 74 46 48 8D 55 B0 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 10 48 3B C3 74 1C 45 33 C0 40 8A D7 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 10 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 4D B0 E8 ?? ?? ?? ?? 45 33 DB 45 8A CB 49 8B CB 4D 8B C3 44 8B 54 24 48 42 8A 44 04 38 3C 20 74 42 3C 24 74 38 3C 2B 74 2E 3C 76 74 06 3C 78 74 35 EB 3F 49 39 77 10 77 0C 48 8B D6 49 2B 57 10 48 03 D7 EB 03 49 8B D3 49 8B 47 10 45 3B DA 48 13 C2 48 03 C8 EB 1B 48 03 4D E0 EB 15 48 03 4D 20 EB 0F 48 03 CF 45 0F B6 C9 49 83 F8 03 44 0F 45 CF 4C 03 C7 49 83 F8 04 72 9D 4D 8B 6D 28 4D 85 ED 7E 0A 4C 3B E9 76 05 4C 2B E9 EB 03 4D 8B EB 48 8B 44 24 50 8B 58 18 81 E3 C0 01 00 00 89 5C 24 24 83 FB 40 74 70 81 FB 00 01 00 00 75 05 45 84 C9 75 63 41 0F 10 04 24 0F 29 44 24 60 4D 85 ED 74 4B 48 8B 5C 24 68 44 0F B7 74 24 20 41 BF FF FF 00 00 48 85 DB 74 12 41 0F B7 D6 48 8B CB E8 ?? ?? ?? ?? 66 44 3B F8 75 05 40 88 7C 24 60 4C 2B EF 41 BB 00 00 00 00 75 D9 0F 28 44 24 60 4C 8B 7C 24 30 4C 8B 74 24 28 8B 5C 24 24 F3 41 0F 7F 04 24 4D 8B EB 49 8B C3 48 89 44 24 60 EB 03 45 33 DB 8A 44 04 38 3C 20 0F 84 64 03 00 00 3C 24 0F 84 03 03 00 00 3C 2B 0F 84 A2 02 00 00 3C 76 74 0D 3C 78 0F 84 89 03 00 00 E9 E7 03 00 00 44 39 5C 24 48 75 68 49 83 7F 18 08 72 05 49 8B 1F EB 03 49 8B DF 41 0F 10 04 24 0F 29 45 B0 49 8B 77 10 48 85 F6 0F 84 B5 03 00 00 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 14 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 45 33 DB 66 44 3B F8 75 04 40 88 7D B0 48 83 C3 02 48 2B F7 75 DA 0F 28 45 B0 4C 8B 7C 24 30 4C 8B 74 24 28 E9 72 03 00 00 49 39 77 10 0F 87 0B 01 00 00 49 8B 4C 24 08 48 85 C9 74 14 0F B7 54 24 22 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 04 41 88 3C 24 49 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 49 8B 4C 24 08 48 85 C9 74 12 0F B7 D0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 04 41 88 3C 24 41 0F 10 04 24 0F 29 45 B0 48 8B DE 49 2B 5F 10 74 43 48 8B 75 B8 44 0F B7 74 24 22 41 BC FF FF 00 00 48 85 F6 74 12 41 0F B7 D6 48 8B CE E8 ?? ?? ?? ?? 66 44 3B E0 75 04 40 88 7D B0 48 2B DF 75 E0 0F 28 45 B0 4C 8B 7C 24 30 4C 8B 64 24 70 4C 8B 74 24 28 F3 41 0F 7F 04 24 49 83 7F 18 08 72 05 49 8B 1F EB 03 49 8B DF 0F 29 45 B0 49 8B 77 10 33 C0 48 85 F6 0F 84 95 02 00 00 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 13 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 66 44 3B F8 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 83 C3 02 48 2B F7 75 D7 E9 D8 FE FF FF 49 83 7F 18 08 72 05 49 8B 1F EB 03 49 8B DF 41 0F 10 04 24 0F 29 45 B0 49 8B 77 10 48 2B 74 24 40 74 3E 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 14 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 45 33 DB 66 44 3B F8 75 04 40 88 7D B0 48 83 C3 02 48 2B F7 75 DA 0F 28 45 B0 4C 8B 7C 24 30 4C 8B 74 24 28 F3 41 0F 7F 04 24 49 8B 06 48 8B 58 18 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 49 8B 4C 24 08 48 85 C9 74 12 0F B7 D0 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 04 41 88 3C 24 49 83 7F 18 08 72 05 49 8B 0F EB 03 49 8B CF 49 8B 47 10 48 8D 1C 41 48 8B 4C 24 40 48 8D 04 09 48 2B D8 41 0F 10 04 24 0F 29 45 B0 48 8B F1 33 C0 48 85 C9 0F 84 88 01 00 00 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 13 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 66 44 3B F8 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 83 C3 02 48 2B F7 75 D7 E9 CB FD FF FF 4C 39 5D E0 0F 86 4C 01 00 00 48 8D 45 D0 48 83 7D E8 08 48 0F 43 45 D0 41 0F 10 34 24 0F 29 75 B0 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 12 0F B7 10 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 08 40 88 7D B0 0F 28 75 B0 F3 41 0F 7F 34 24 E9 FD 00 00 00 48 8D 5D 10 48 83 7D 28 08 48 0F 43 5D 10 41 0F 10 04 24 0F 29 45 B0 48 8B 75 20 48 85 F6 0F 84 D3 00 00 00 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 14 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 45 33 DB 66 44 3B F8 75 04 40 88 7D B0 48 83 C3 02 48 2B F7 75 DA E9 19 FD FF FF 41 0F 10 34 24 0F 29 75 B0 66 0F 6F C6 66 0F 73 D8 08 66 48 0F 7E C1 48 85 C9 74 14 0F B7 54 24 20 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 08 40 88 7D B0 0F 28 75 B0 F3 41 0F 7F 34 24 45 33 DB 81 FB 00 01 00 00 75 5B 41 0F 10 04 24 0F 29 45 B0 4D 85 ED 74 44 48 8B 5D B8 44 0F B7 7C 24 20 41 BE FF FF 00 00 48 85 DB 74 12 41 0F B7 D7 48 8B CB E8 ?? ?? ?? ?? 66 44 3B F0 75 04 40 88 7D B0 4C 2B EF 41 BB 00 00 00 00 75 DA 0F 28 45 B0 4C 8B 7C 24 30 4C 8B 74 24 28 4D 8B EB F3 41 0F 7F 04 24 48 8B 44 24 60 48 03 C7 48 89 44 24 60 48 83 F8 04 8B 5C 24 24 48 8B 74 24 40 0F 82 C9 FB FF FF 48 8B 75 E0 48 3B F7 76 65 48 8D 5D D0 48 83 7D E8 08 48 0F 43 5D D0 48 83 C3 02 41 0F 10 04 24 0F 29 45 B0 33 C0 48 83 EE 01 74 3C 4C 8B 75 B8 41 BF FF FF 00 00 4D 85 F6 74 13 0F B7 13 49 8B CE E8 ?? ?? ?? ?? 66 44 3B F8 75 08 33 C0 40 88 7D B0 EB 02 33 C0 48 83 C3 02 48 2B F7 75 D7 0F 28 45 B0 4C 8B 7C 24 30 F3 41 0F 7F 04 24 48 8B 44 24 50 33 F6 48 89 70 28 41 0F 10 04 24 0F 29 45 B0 4D 85 ED 74 37 48 8B 5D B8 44 0F B7 7C 24 20 48 85 DB 74 16 41 0F B7 D7 48 8B CB E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C8 75 04 40 88 7D B0 4C 2B EF 75 DC 0F 28 45 B0 4C 8B 7C 24 30 48 8B 5C 24 78 F3 0F 7F 03 45 33 C0 40 8A D7 48 8D 4D 10 E8 ?? ?? ?? ?? 90 45 33 C0 40 8A D7 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8B 55 08 48 83 FA 10 72 0F 48 FF C2 4C 8B C7 48 8B 4D F0 E8 ?? ?? ?? ?? 48 C7 45 08 0F 00 00 00 48 89 75 00 40 88 75 F0 45 33 C0 40 8A D7 49 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 30 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 40 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_829_2 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 286
		refs = "007b ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00d1 memcpy 010d ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 0113 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 10 4D 8B F1 49 8B E8 48 8B F2 48 8B D9 49 3B C0 0F 82 D8 00 00 00 49 2B C0 4C 8B 41 10 4C 3B C8 4C 0F 47 F0 49 8B C0 48 F7 D0 49 3B C6 0F 86 C4 00 00 00 45 33 FF 4B 8D 3C 30 4D 85 F6 0F 84 8F 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 A7 00 00 00 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1C 48 85 FF 75 1C 4C 89 79 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 66 44 89 38 48 85 FF 74 4B 48 83 7E 18 08 72 03 48 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 F6 74 15 48 8B 43 10 4F 8D 04 36 48 8D 14 6E 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 78 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8B CE E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_832_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 286
		refs = "007b ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00d1 memcpy 010d ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 0113 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 48 8B 42 10 4D 8B F1 49 8B E8 48 8B F2 48 8B D9 49 3B C0 0F 82 D8 00 00 00 49 2B C0 4C 8B 41 10 4C 3B C8 4C 0F 47 F0 49 8B C0 48 F7 D0 49 3B C6 0F 86 C4 00 00 00 45 33 FF 4B 8D 3C 30 4D 85 F6 0F 84 8F 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 A7 00 00 00 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1C 48 85 FF 75 1C 4C 89 79 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 66 44 89 38 48 85 FF 74 4B 48 83 7E 18 08 72 03 48 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 F6 74 15 48 8B 43 10 4F 8D 04 36 48 8D 14 6E 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 78 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 48 8B CE E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_830_2 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 262
		refs = "0062 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00fb ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 0F B7 F0 48 8B EA 4C 8B 41 10 48 8B D9 49 8B C0 48 F7 D0 48 3B C2 0F 86 C5 00 00 00 45 33 FF 49 8D 34 10 48 85 D2 0F 84 99 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 A8 00 00 00 48 39 71 18 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 1C 4C 89 79 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 66 44 89 38 48 85 F6 74 55 48 8B 4B 10 48 83 FD 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 48 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 48 41 0F B7 C6 48 8B CD 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 70 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_833_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 262
		refs = "0062 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00fb ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 45 0F B7 F0 48 8B EA 4C 8B 41 10 48 8B D9 49 8B C0 48 F7 D0 48 3B C2 0F 86 C5 00 00 00 45 33 FF 49 8D 34 10 48 85 D2 0F 84 99 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 A8 00 00 00 48 39 71 18 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 1C 4C 89 79 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 66 44 89 38 48 85 F6 74 55 48 8B 4B 10 48 83 FD 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 48 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 48 41 0F B7 C6 48 8B CD 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 70 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_840_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 304
		refs = "0069 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0095 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00e2 memcpy 011f ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 012b ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 48 8B 42 10 49 8B F9 4D 8B F8 4C 8B F2 48 8B D9 49 3B C0 0F 82 E9 00 00 00 49 2B C0 4C 3B C8 48 0F 47 F8 48 3B CA 75 31 49 8D 04 38 48 39 41 10 0F 82 D5 00 00 00 48 89 41 10 48 83 79 18 08 72 03 48 8B 09 33 F6 33 D2 66 89 34 41 48 8B CB E8 ?? ?? ?? ?? E9 8B 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 A5 00 00 00 33 F6 48 39 79 18 73 0E 4C 8B 41 10 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 83 79 18 08 48 89 71 10 72 05 48 8B 01 EB 03 48 8B C3 66 89 30 48 85 FF 74 42 49 83 7E 18 08 72 03 4D 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0D 4C 8D 04 3F 4B 8D 14 7E E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 34 78 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 49 8B CE E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_846_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 304
		refs = "0069 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0095 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00e2 memcpy 011f ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 012b ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 41 57 48 83 EC 20 48 8B 42 10 49 8B F9 4D 8B F8 4C 8B F2 48 8B D9 49 3B C0 0F 82 E9 00 00 00 49 2B C0 4C 3B C8 48 0F 47 F8 48 3B CA 75 31 49 8D 04 38 48 39 41 10 0F 82 D5 00 00 00 48 89 41 10 48 83 79 18 08 72 03 48 8B 09 33 F6 33 D2 66 89 34 41 48 8B CB E8 ?? ?? ?? ?? E9 8B 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 A5 00 00 00 33 F6 48 39 79 18 73 0E 4C 8B 41 10 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 83 79 18 08 48 89 71 10 72 05 48 8B 01 EB 03 48 8B C3 66 89 30 48 85 FF 74 42 49 83 7E 18 08 72 03 4D 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0D 4C 8D 04 3F 4B 8D 14 7E E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 34 78 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 8B 7C 24 40 4C 8B 74 24 48 48 83 C4 20 41 5F C3 49 8B CE E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_842_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		size = 284
		refs = "0071 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 009e ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00e0 memcpy 0117 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F8 48 8B F2 48 8B D9 48 85 D2 74 56 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 48 3B F0 72 42 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CE 76 2B 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4C 8B CF 48 D1 FE 48 8B D3 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? E9 84 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 86 00 00 00 48 39 7B 18 73 11 4C 8B 43 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 48 85 FF 74 37 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0C 4C 8D 04 3F 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 2C 78 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_848_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 284
		refs = "0071 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 009e ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00e0 memcpy 0117 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F8 48 8B F2 48 8B D9 48 85 D2 74 56 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 48 3B F0 72 42 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CE 76 2B 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4C 8B CF 48 D1 FE 48 8B D3 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? E9 84 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 86 00 00 00 48 39 7B 18 73 11 4C 8B 43 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 83 7B 18 08 48 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 48 85 FF 74 37 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 85 FF 74 0C 4C 8D 04 3F 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 2C 78 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_856_2 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 17
		altNames = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 83 79 18 08 72 03 48 8B 09 48 89 0A 48 8B C2 C3 }
	condition:
		$1
}

rule file_40_887_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 77
		refs = "0040 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		altNames = "?do_falsename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 20 44 89 44 24 20 48 C7 43 18 07 00 00 00 4C 89 43 10 66 44 89 03 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_888_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 77
		refs = "0040 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 20 44 89 44 24 20 48 C7 43 18 07 00 00 00 4C 89 43 10 66 44 89 03 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_899_2 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 77
		refs = "0040 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 20 44 89 44 24 20 48 C7 43 18 07 00 00 00 4C 89 43 10 66 44 89 03 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_902_2 {
	meta:
		name = "?do_get@?$messages@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHAEBV32@@Z"
		size = 59
		refs = "002e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B DA 66 89 02 49 83 C9 FF 48 8B 54 24 68 45 33 C0 48 8B CB 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_903_2 {
	meta:
		name = "?do_get@?$messages@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHAEBV32@@Z"
		size = 59
		refs = "002e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B DA 66 89 02 49 83 C9 FF 48 8B 54 24 68 45 33 C0 48 8B CB 89 44 24 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_904_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 322
		refs = "001e __security_cookie 006e ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z 007e ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 00c2 _errno 00d7 strtod 0119 ?_Deallocate@std@@YAXPEAX_K1@Z 012c __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 90 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 88 00 00 00 49 8B D9 4D 8B F0 4C 8B FA 48 8B 84 24 F8 00 00 00 48 8B AC 24 00 01 00 00 4C 8B A4 24 08 01 00 00 48 8D 54 24 70 48 89 54 24 30 48 89 44 24 28 8A 84 24 F0 00 00 00 88 44 24 20 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 49 83 3E 00 75 08 48 83 3B 00 74 08 EB 0A 48 83 3B 00 74 04 83 4D 00 01 48 83 7C 24 60 00 74 42 48 8D 74 24 50 48 83 7C 24 68 10 48 0F 43 74 24 50 E8 ?? ?? ?? ?? 48 8B F8 8B 18 83 20 00 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 8B 07 89 1F 48 39 74 24 40 74 0C 85 C0 75 08 F2 41 0F 11 04 24 EB 04 83 4D 00 02 41 0F 10 06 F3 41 0F 7F 07 48 8B 54 24 68 48 83 FA 10 72 13 48 FF C2 41 B8 01 00 00 00 48 8B 4C 24 50 E8 ?? ?? ?? ?? 49 8B C7 48 8B 8C 24 88 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_40_908_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 322
		refs = "001e __security_cookie 006e ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z 007e ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 00c2 _errno 00d7 strtod 0119 ?_Deallocate@std@@YAXPEAX_K1@Z 012c __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 56 41 57 48 81 EC 90 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 88 00 00 00 49 8B D9 4D 8B F0 4C 8B FA 48 8B 84 24 F8 00 00 00 48 8B AC 24 00 01 00 00 4C 8B A4 24 08 01 00 00 48 8D 54 24 70 48 89 54 24 30 48 89 44 24 28 8A 84 24 F0 00 00 00 88 44 24 20 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 41 80 7E 08 00 75 08 49 8B CE E8 ?? ?? ?? ?? 80 7B 08 00 75 08 48 8B CB E8 ?? ?? ?? ?? 49 83 3E 00 75 08 48 83 3B 00 74 08 EB 0A 48 83 3B 00 74 04 83 4D 00 01 48 83 7C 24 60 00 74 42 48 8D 74 24 50 48 83 7C 24 68 10 48 0F 43 74 24 50 E8 ?? ?? ?? ?? 48 8B F8 8B 18 83 20 00 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 8B 07 89 1F 48 39 74 24 40 74 0C 85 C0 75 08 F2 41 0F 11 04 24 EB 04 83 4D 00 02 41 0F 10 06 F3 41 0F 7F 07 48 8B 54 24 68 48 83 FA 10 72 13 48 FF C2 41 B8 01 00 00 00 48 8B 4C 24 50 E8 ?? ?? ?? ?? 49 8B C7 48 8B 8C 24 88 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 90 00 00 00 41 5F 41 5E 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_40_906_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 407
		refs = "0028 __security_cookie 0062 ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@PEAG@Z 0078 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 00db ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0169 ?_Deallocate@std@@YAXPEAX_K1@Z 0178 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B F1 4D 8B E0 4C 8B EA 48 8B 45 6F 4C 8B 7D 77 48 8B 7D 7F 48 8D 55 DF 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 CF 33 DB 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 49 39 1C 24 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 48 85 F6 75 09 41 83 0F 02 E9 98 00 00 00 48 3B 77 10 77 19 48 89 77 10 48 83 7F 18 08 72 05 48 8B 07 EB 03 48 8B C7 66 89 1C 70 EB 12 45 33 C0 48 8B D6 48 2B 57 10 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 80 38 2D 75 4F 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 0F B7 45 F3 66 89 01 BB 01 00 00 00 EB 32 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 48 83 7F 18 08 72 05 48 8B 17 EB 03 48 8B D7 0F BE 04 18 83 E8 30 48 98 0F B7 4C 45 DF 66 89 0C 5A 48 FF C3 48 3B DE 72 C9 41 0F 10 04 24 F3 41 0F 7F 45 00 48 8B 55 D7 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_910_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 407
		refs = "0028 __security_cookie 0062 ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@PEA_W@Z 0078 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 00db ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0169 ?_Deallocate@std@@YAXPEAX_K1@Z 0178 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B F1 4D 8B E0 4C 8B EA 48 8B 45 6F 4C 8B 7D 77 48 8B 7D 7F 48 8D 55 DF 48 89 54 24 30 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 BF E8 ?? ?? ?? ?? 90 48 8B 75 CF 33 DB 41 38 5C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 41 38 5E 08 75 08 49 8B CE E8 ?? ?? ?? ?? 49 39 1C 24 75 07 49 39 1E 74 07 EB 09 49 39 1E 74 04 41 83 0F 01 48 85 F6 75 09 41 83 0F 02 E9 98 00 00 00 48 3B 77 10 77 19 48 89 77 10 48 83 7F 18 08 72 05 48 8B 07 EB 03 48 8B C7 66 89 1C 70 EB 12 45 33 C0 48 8B D6 48 2B 57 10 48 8B CF E8 ?? ?? ?? ?? 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 80 38 2D 75 4F 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 0F B7 45 F3 66 89 01 BB 01 00 00 00 EB 32 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 48 83 7F 18 08 72 05 48 8B 17 EB 03 48 8B D7 0F BE 04 18 83 E8 30 48 98 0F B7 4C 45 DF 66 89 0C 5A 48 FF C3 48 3B DE 72 C9 41 0F 10 04 24 F3 41 0F 7F 45 00 48 8B 55 D7 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D BF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_929_2 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 665
		refs = "0024 __security_cookie 0068 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0071 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0095 _guard_check_icall 00dc ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ef ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00ff ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 010e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 011c ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 015e ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z 01a4 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 01ba _Stoulx 022d ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ 0281 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC E8 00 00 00 48 C7 45 87 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B E1 4D 8B F8 48 89 54 24 60 4C 8B F1 48 8B 5D 6F 4C 8B 6D 77 48 8B 45 7F 48 89 44 24 58 48 83 CE FF 48 8B CB F7 43 18 00 40 00 00 0F 84 16 01 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 30 33 FF 44 8D 76 02 48 8B 44 24 48 48 85 C0 74 39 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 48 FF D3 48 89 44 24 38 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 38 FF D3 90 48 C7 45 A7 07 00 00 00 89 7D 8F 4C 89 75 9F 48 8D 55 AF 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D AF E8 ?? ?? ?? ?? 45 33 C0 49 8B D6 48 8D 4D 8F E8 ?? ?? ?? ?? 48 8D 55 AF 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D AF E8 ?? ?? ?? ?? 4C 8D 4D 8F 48 83 7D A7 08 4C 0F 43 4D 8F 41 B8 02 00 00 00 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 8B F0 45 33 C0 41 8A D6 48 8D 4D 8F E8 ?? ?? ?? ?? E9 AB 00 00 00 33 FF 89 7C 24 38 48 8D 55 8F E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 CF 49 8B CE E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D CF E8 ?? ?? ?? ?? 8B C8 89 44 24 30 44 8D 77 01 48 8B 45 97 48 85 C0 74 3B 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4D 97 FF D3 48 89 44 24 50 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 50 FF D3 8B 4C 24 30 48 8D 45 CF 48 39 44 24 40 74 0C 39 7C 24 38 75 06 41 3B CE 0F 46 F1 41 38 7F 08 75 08 49 8B CF E8 ?? ?? ?? ?? 41 38 7C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 49 39 3F 75 08 49 39 3C 24 74 08 EB 0A 49 39 3C 24 74 04 45 09 75 00 85 F6 79 07 41 83 4D 00 02 EB 0A 0F 95 C1 48 8B 44 24 58 88 08 41 0F 10 07 48 8B 44 24 60 F3 0F 7F 00 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 E8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_952_2 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 665
		refs = "0024 __security_cookie 0068 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0071 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0095 _guard_check_icall 00dc ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ef ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00ff ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 010e ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 011c ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 015e ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z 01a4 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 01ba _Stoulx 022d ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ 0281 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC E8 00 00 00 48 C7 45 87 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B E1 4D 8B F8 48 89 54 24 60 4C 8B F1 48 8B 5D 6F 4C 8B 6D 77 48 8B 45 7F 48 89 44 24 58 48 83 CE FF 48 8B CB F7 43 18 00 40 00 00 0F 84 16 01 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 44 24 30 33 FF 44 8D 76 02 48 8B 44 24 48 48 85 C0 74 39 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 48 FF D3 48 89 44 24 38 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 38 FF D3 90 48 C7 45 A7 07 00 00 00 89 7D 8F 4C 89 75 9F 48 8D 55 AF 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D AF E8 ?? ?? ?? ?? 45 33 C0 49 8B D6 48 8D 4D 8F E8 ?? ?? ?? ?? 48 8D 55 AF 48 8B 4C 24 30 E8 ?? ?? ?? ?? 90 4C 8B CE 45 33 C0 48 8B D0 48 8D 4D 8F E8 ?? ?? ?? ?? 90 45 33 C0 41 8A D6 48 8D 4D AF E8 ?? ?? ?? ?? 4C 8D 4D 8F 48 83 7D A7 08 4C 0F 43 4D 8F 41 B8 02 00 00 00 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 8B F0 45 33 C0 41 8A D6 48 8D 4D 8F E8 ?? ?? ?? ?? E9 AB 00 00 00 33 FF 89 7C 24 38 48 8D 55 8F E8 ?? ?? ?? ?? 48 8B D0 8B 43 18 48 89 54 24 28 89 44 24 20 4D 8B CC 4D 8B C7 48 8D 55 CF 49 8B CE E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D CF E8 ?? ?? ?? ?? 8B C8 89 44 24 30 44 8D 77 01 48 8B 45 97 48 85 C0 74 3B 48 8B 00 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4D 97 FF D3 48 89 44 24 50 48 85 C0 74 18 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 41 8B D6 48 8B 4C 24 50 FF D3 8B 4C 24 30 48 8D 45 CF 48 39 44 24 40 74 0C 39 7C 24 38 75 06 41 3B CE 0F 46 F1 41 38 7F 08 75 08 49 8B CF E8 ?? ?? ?? ?? 41 38 7C 24 08 75 08 49 8B CC E8 ?? ?? ?? ?? 49 39 3F 75 08 49 39 3C 24 74 08 EB 0A 49 39 3C 24 74 04 45 09 75 00 85 F6 79 07 41 83 4D 00 02 EB 0A 0F 95 C1 48 8B 44 24 58 88 08 41 0F 10 07 48 8B 44 24 60 F3 0F 7F 00 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 E8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_1001_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 77
		refs = "0040 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 30 44 89 44 24 20 48 C7 43 18 07 00 00 00 4C 89 43 10 66 44 89 03 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_1002_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 77
		refs = "0040 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 30 44 89 44 24 20 48 C7 43 18 07 00 00 00 4C 89 43 10 66 44 89 03 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_1009_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 77
		refs = "0040 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		altNames = "?do_truename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 28 44 89 44 24 20 48 C7 43 18 07 00 00 00 4C 89 43 10 66 44 89 03 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_1010_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 77
		refs = "0040 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 28 44 89 44 24 20 48 C7 43 18 07 00 00 00 4C 89 43 10 66 44 89 03 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_1072_2 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 77
		refs = "0040 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B DA 45 33 C0 48 8B 51 28 44 89 44 24 20 48 C7 43 18 07 00 00 00 4C 89 43 10 66 44 89 03 66 44 39 02 74 11 48 83 C8 FF 48 FF C0 66 44 39 04 42 75 F6 4C 8B C0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_1011_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 561
		refs = "0028 __security_cookie 0052 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005b ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0076 _guard_check_icall 00b6 ?_Src@?1??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@3@V43@_NAEAVios_base@3@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@3@@Z@4QBDB 0176 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z 018f ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 01af ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01f4 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0203 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0212 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC E0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4C 24 50 4D 8B E8 4C 8B E2 48 89 4D 9F 4C 8B 7D 6F 48 8B 7D 7F 48 8D 55 8F 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 75 97 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 49 8B 06 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 33 F6 40 8A DE 8B D6 4C 8B 5F 10 4D 85 DB 74 1F 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 0F B7 45 03 66 39 01 75 07 B3 01 BA 01 00 00 00 4C 8B C2 49 3B D3 73 51 44 0F B7 55 EF 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 48 8D 45 EF 66 45 85 D2 74 1B 46 0F B7 0C 41 41 0F B7 CA 66 41 3B C9 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 08 49 FF C0 4D 3B C3 72 B4 48 83 7F 18 08 72 03 48 8B 3F 41 BE 07 00 00 00 4C 89 75 E7 48 89 75 DF 66 89 75 CF 4C 2B C2 48 8D 14 57 48 8D 4D CF E8 ?? ?? ?? ?? 90 48 39 75 DF 75 12 44 0F B7 45 EF 41 8D 56 FA 48 8D 4D CF E8 ?? ?? ?? ?? 4C 89 75 BF 48 89 75 B7 66 89 75 A7 49 83 C9 FF 45 33 C0 48 8D 55 CF 48 8D 4D A7 E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 8F 0F B7 45 EF 66 89 44 24 40 48 8D 45 A7 48 89 44 24 38 88 5C 24 30 44 0F B7 45 77 66 44 89 44 24 28 4C 89 7C 24 20 44 8A 4C 24 50 4C 8D 45 8F 49 8B D4 48 8B 4D 9F E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D CF E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_1017_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 561
		refs = "0028 __security_cookie 0052 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005b ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0076 _guard_check_icall 00b6 ?_Src@?1??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@3@V43@_NAEAVios_base@3@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@3@@Z@4QBDB 0176 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 018f ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 01af ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01f4 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0203 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0212 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC E0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4C 24 50 4D 8B E8 4C 8B E2 48 89 4D 9F 4C 8B 7D 6F 48 8B 7D 7F 48 8D 55 8F 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8B 75 97 48 85 F6 74 35 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 48 8B F0 48 85 C0 74 19 48 8B 00 48 8B 18 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CE FF D3 90 49 8B 06 48 8B 58 58 48 8B CB E8 ?? ?? ?? ?? 4C 8D 4D EF 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 49 8B CE FF D3 33 F6 40 8A DE 8B D6 4C 8B 5F 10 4D 85 DB 74 1F 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 0F B7 45 03 66 39 01 75 07 B3 01 BA 01 00 00 00 4C 8B C2 49 3B D3 73 51 44 0F B7 55 EF 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 48 8D 45 EF 66 45 85 D2 74 1B 46 0F B7 0C 41 41 0F B7 CA 66 41 3B C9 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 EE 48 8D 4D EF 48 2B C1 48 D1 F8 48 83 F8 0A 73 08 49 FF C0 4D 3B C3 72 B4 48 83 7F 18 08 72 03 48 8B 3F 41 BE 07 00 00 00 4C 89 75 E7 48 89 75 DF 66 89 75 CF 4C 2B C2 48 8D 14 57 48 8D 4D CF E8 ?? ?? ?? ?? 90 48 39 75 DF 75 12 44 0F B7 45 EF 41 8D 56 FA 48 8D 4D CF E8 ?? ?? ?? ?? 4C 89 75 BF 48 89 75 B7 66 89 75 A7 49 83 C9 FF 45 33 C0 48 8D 55 CF 48 8D 4D A7 E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 8F 0F B7 45 EF 66 89 44 24 40 48 8D 45 A7 48 89 44 24 38 88 5C 24 30 44 0F B7 45 77 66 44 89 44 24 28 4C 89 7C 24 20 44 8A 4C 24 50 4C 8D 45 8F 49 8B D4 48 8B 4D 9F E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D CF E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 30 01 00 00 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_1014_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GO@Z"
		size = 598
		refs = "0028 __security_cookie 0069 __xmm@80000000000000008000000000000000 0074 __real@4733426172c74d82 0087 __real@4202a05f20000000 009d ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00ab sprintf_s 00cf ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00d8 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 00f8 _guard_check_icall 015c ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 01a7 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 01cd ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0219 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@G@Z 0228 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 0237 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 51 4D 8B E8 4C 8B E2 48 89 4C 24 68 48 8B 5D 6F 48 89 5C 24 60 33 FF 40 88 7C 24 50 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0C C6 44 24 50 01 0F 57 1D ?? ?? ?? ?? 4C 8B FF F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FF 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C7 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D7 E8 ?? ?? ?? ?? 48 63 F0 85 C0 79 10 41 0F 10 45 00 F3 41 0F 7F 04 24 E9 66 01 00 00 48 8D 54 24 70 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 58 48 8B 7D 87 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 06 48 8B 58 60 48 8B CB E8 ?? ?? ?? ?? B2 30 49 8B CE FF D3 44 0F B7 F0 48 C7 45 CF 07 00 00 00 33 C0 48 89 45 C7 66 89 45 B7 48 8B DE 45 33 C0 48 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 90 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 8B 44 24 58 48 8B 00 48 8D 4D D7 48 03 D9 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 48 8D 55 D7 48 8B 4C 24 58 FF D7 45 0F B7 C6 49 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 48 C7 45 A7 07 00 00 00 33 C0 48 89 45 9F 66 89 45 8F 49 83 C9 FF 45 33 C0 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 44 24 70 66 44 89 74 24 40 48 8D 45 8F 48 89 44 24 38 8A 44 24 50 88 44 24 30 0F B7 45 77 66 89 44 24 28 48 8B 44 24 60 48 89 44 24 20 44 8A 4C 24 51 4C 8D 44 24 70 49 8B D4 48 8B 4C 24 68 E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_1020_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WO@Z"
		size = 598
		refs = "0028 __security_cookie 0069 __xmm@80000000000000008000000000000000 0074 __real@4733426172c74d82 0087 __real@4202a05f20000000 009d ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00ab sprintf_s 00cf ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 00d8 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 00f8 _guard_check_icall 015c ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 01a7 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 01cd ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0219 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@3@Z 0228 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0237 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC 00 01 00 00 48 C7 45 AF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 51 4D 8B E8 4C 8B E2 48 89 4C 24 68 48 8B 5D 6F 48 89 5C 24 60 33 FF 40 88 7C 24 50 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0C C6 44 24 50 01 0F 57 1D ?? ?? ?? ?? 4C 8B FF F2 0F 10 05 ?? ?? ?? ?? EB 15 49 81 FF 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 49 83 C7 0A 66 0F 2F D8 73 E5 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D7 E8 ?? ?? ?? ?? 48 63 F0 85 C0 79 10 41 0F 10 45 00 F3 41 0F 7F 04 24 E9 66 01 00 00 48 8D 54 24 70 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 58 48 8B 7D 87 48 85 FF 74 35 48 8B 0F 48 8B 59 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 48 85 C0 74 19 48 8B 08 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 90 49 8B 06 48 8B 58 60 48 8B CB E8 ?? ?? ?? ?? B2 30 49 8B CE FF D3 44 0F B7 F0 48 C7 45 CF 07 00 00 00 33 C0 48 89 45 C7 66 89 45 B7 48 8B DE 45 33 C0 48 8B D6 48 8D 4D B7 E8 ?? ?? ?? ?? 90 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 8B 44 24 58 48 8B 00 48 8D 4D D7 48 03 D9 48 8B 78 58 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 48 8D 55 D7 48 8B 4C 24 58 FF D7 45 0F B7 C6 49 8B D7 48 8D 4D B7 E8 ?? ?? ?? ?? 48 C7 45 A7 07 00 00 00 33 C0 48 89 45 9F 66 89 45 8F 49 83 C9 FF 45 33 C0 48 8D 55 B7 48 8D 4D 8F E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 44 24 70 66 44 89 74 24 40 48 8D 45 8F 48 89 44 24 38 8A 44 24 50 88 44 24 30 0F B7 45 77 66 89 44 24 28 48 8B 44 24 60 48 89 44 24 20 44 8A 4C 24 51 4C 8D 44 24 70 49 8B D4 48 8B 4C 24 68 E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_40_1025_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GN@Z"
		size = 447
		refs = "0029 __security_cookie 0086 __xmm@7fffffffffffffff7fffffffffffffff 008e __real@4202a05f20000000 009c frexp 00f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011d ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z 0134 sprintf_s 0173 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K@Z 0190 ?_Deallocate@std@@YAXPEAX_K1@Z 019f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC A8 00 00 00 48 C7 45 AF FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B E8 4C 8B FA 4C 8B E1 41 B9 0F 00 00 00 4C 89 4D DF 33 C9 48 89 4D D7 88 4D C7 41 8B 46 18 25 00 30 00 00 49 8B 76 20 41 B8 00 20 00 00 48 85 F6 7F 08 41 3B C0 74 03 8D 71 06 48 8B D6 F2 0F 10 75 7F 41 3B C0 75 4D 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 39 48 8D 55 A7 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 A7 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 4C 8B 4D DF 48 8B 4D D7 48 83 C2 32 48 3B D1 77 17 48 89 55 D7 48 8D 45 C7 49 83 F9 10 48 0F 43 45 C7 C6 04 10 00 EB 0F 48 2B D1 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 5D D7 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 45 8B 4E 18 45 33 C0 48 8D 55 E7 49 8B CC E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 B7 48 8D 55 C7 48 83 7D DF 10 48 0F 43 55 C7 48 98 48 89 44 24 30 48 89 54 24 28 0F B7 45 77 66 89 44 24 20 4D 8B CE 4C 8D 45 B7 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 90 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_1037_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WN@Z"
		size = 447
		refs = "0029 __security_cookie 0086 __xmm@7fffffffffffffff7fffffffffffffff 008e __real@4202a05f20000000 009c frexp 00f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011d ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z 0134 sprintf_s 0173 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K@Z 0190 ?_Deallocate@std@@YAXPEAX_K1@Z 019f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC A8 00 00 00 48 C7 45 AF FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B E8 4C 8B FA 4C 8B E1 41 B9 0F 00 00 00 4C 89 4D DF 33 C9 48 89 4D D7 88 4D C7 41 8B 46 18 25 00 30 00 00 49 8B 76 20 41 B8 00 20 00 00 48 85 F6 7F 08 41 3B C0 74 03 8D 71 06 48 8B D6 F2 0F 10 75 7F 41 3B C0 75 4D 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 39 48 8D 55 A7 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 A7 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 4C 8B 4D DF 48 8B 4D D7 48 83 C2 32 48 3B D1 77 17 48 89 55 D7 48 8D 45 C7 49 83 F9 10 48 0F 43 45 C7 C6 04 10 00 EB 0F 48 2B D1 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 5D D7 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 45 8B 4E 18 45 33 C0 48 8D 55 E7 49 8B CC E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 B7 48 8D 55 C7 48 83 7D DF 10 48 0F 43 55 C7 48 98 48 89 44 24 30 48 89 54 24 28 0F B7 45 77 66 89 44 24 20 4D 8B CE 4C 8D 45 B7 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 90 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_1027_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GO@Z"
		size = 447
		refs = "0029 __security_cookie 0086 __xmm@7fffffffffffffff7fffffffffffffff 008e __real@4202a05f20000000 009c frexp 00f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011d ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z 0134 sprintf_s 0173 ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K@Z 0190 ?_Deallocate@std@@YAXPEAX_K1@Z 019f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC A8 00 00 00 48 C7 45 AF FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B E8 4C 8B FA 4C 8B E1 41 B9 0F 00 00 00 4C 89 4D DF 33 C9 48 89 4D D7 88 4D C7 41 8B 46 18 25 00 30 00 00 49 8B 76 20 41 B8 00 20 00 00 48 85 F6 7F 08 41 3B C0 74 03 8D 71 06 48 8B D6 F2 0F 10 75 7F 41 3B C0 75 4D 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 39 48 8D 55 A7 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 A7 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 4C 8B 4D DF 48 8B 4D D7 48 83 C2 32 48 3B D1 77 17 48 89 55 D7 48 8D 45 C7 49 83 F9 10 48 0F 43 45 C7 C6 04 10 00 EB 0F 48 2B D1 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 5D D7 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 45 8B 4E 18 41 B0 4C 48 8D 55 E7 49 8B CC E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 B7 48 8D 55 C7 48 83 7D DF 10 48 0F 43 55 C7 48 98 48 89 44 24 30 48 89 54 24 28 0F B7 45 77 66 89 44 24 20 4D 8B CE 4C 8D 45 B7 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 90 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_1039_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WO@Z"
		size = 447
		refs = "0029 __security_cookie 0086 __xmm@7fffffffffffffff7fffffffffffffff 008e __real@4202a05f20000000 009c frexp 00f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011d ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z 0134 sprintf_s 0173 ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K@Z 0190 ?_Deallocate@std@@YAXPEAX_K1@Z 019f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC A8 00 00 00 48 C7 45 AF FE FF FF FF 0F 29 70 A8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F1 4D 8B E8 4C 8B FA 4C 8B E1 41 B9 0F 00 00 00 4C 89 4D DF 33 C9 48 89 4D D7 88 4D C7 41 8B 46 18 25 00 30 00 00 49 8B 76 20 41 B8 00 20 00 00 48 85 F6 7F 08 41 3B C0 74 03 8D 71 06 48 8B D6 F2 0F 10 75 7F 41 3B C0 75 4D 0F 28 C6 0F 54 05 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 76 39 48 8D 55 A7 0F 28 C6 E8 ?? ?? ?? ?? 8B 45 A7 99 33 C2 2B C2 69 C8 97 75 00 00 B8 89 B5 F8 14 F7 E9 C1 FA 0D 8B C2 C1 E8 1F 03 D0 48 63 D2 48 03 D6 4C 8B 4D DF 48 8B 4D D7 48 83 C2 32 48 3B D1 77 17 48 89 55 D7 48 8D 45 C7 49 83 F9 10 48 0F 43 45 C7 C6 04 10 00 EB 0F 48 2B D1 45 33 C0 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B 5D D7 48 8D 7D C7 48 83 7D DF 10 48 0F 43 7D C7 45 8B 4E 18 41 B0 4C 48 8D 55 E7 49 8B CC E8 ?? ?? ?? ?? 4C 8B C0 F2 0F 11 74 24 20 44 8B CE 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 45 B7 48 8D 55 C7 48 83 7D DF 10 48 0F 43 55 C7 48 98 48 89 44 24 30 48 89 54 24 28 0F B7 45 77 66 89 44 24 20 4D 8B CE 4C 8D 45 B7 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 90 48 8B 55 DF 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C7 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_1032_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z"
		size = 698
		refs = "0024 __security_cookie 006b _guard_check_icall 0095 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 009e ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0105 ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 011f ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z 012b ?_Assign_rv@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX$$QEAV12@@Z 0133 ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01b9 ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z 02a2 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC B8 00 00 00 48 C7 45 AF FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E9 4D 8B F8 4C 8B E2 48 89 55 A7 48 8B F1 44 0F B7 75 77 66 44 89 75 87 41 F7 41 18 00 40 00 00 75 3A 41 0F 10 00 F3 0F 7F 45 97 48 8B 11 0F B6 5D 7F 48 8B 7A 48 48 8B CF E8 ?? ?? ?? ?? 89 5C 24 28 66 44 89 74 24 20 4D 8B CD 4C 8D 45 97 49 8B D4 48 8B CE FF D7 E9 0A 02 00 00 48 8D 55 97 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 9F 33 C0 48 85 FF 74 38 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 33 C0 48 85 FF 74 1A 48 8B 0F 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 33 C0 48 C7 45 CF 07 00 00 00 48 89 45 C7 66 89 45 B7 48 8D 55 D7 48 8B CE 38 45 7F 74 2E E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 B7 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 EB 2C E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 B7 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? 49 8B 5D 28 48 8B 7D C7 33 C9 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B D9 41 8B 45 18 25 C0 01 00 00 BE FF FF 00 00 83 F8 40 74 47 41 0F 10 07 0F 29 45 97 48 85 DB 74 32 48 8B 7D 9F 48 85 FF 74 11 41 0F B7 D6 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 04 C6 45 97 01 48 83 EB 01 75 E0 48 8B 7D C7 0F 28 45 97 4C 8B 65 A7 33 C9 F3 41 0F 7F 07 48 8B D9 41 0F 10 07 0F 29 45 97 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 85 FF 74 3D 4C 8B 75 9F 41 BC FF FF 00 00 4D 85 F6 74 13 0F B7 16 49 8B CE E8 ?? ?? ?? ?? 33 C9 66 44 3B E0 75 04 C6 45 97 01 48 83 C6 02 48 83 EF 01 75 DA 0F 28 45 97 4C 8B 65 A7 44 0F B7 75 87 F3 41 0F 7F 07 49 89 4D 28 41 0F 10 07 0F 29 45 97 48 85 DB 74 33 48 8B 7D 9F 41 BC FF FF 00 00 48 85 FF 74 12 41 0F B7 D6 48 8B CF E8 ?? ?? ?? ?? 66 44 3B E0 75 04 C6 45 97 01 48 83 EB 01 75 DF 0F 28 45 97 4C 8B 65 A7 F3 41 0F 7F 04 24 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_1044_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z"
		size = 698
		refs = "0024 __security_cookie 006b _guard_check_icall 0095 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 009e ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0105 ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 011f ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 012b ?_Assign_rv@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX$$QEAV12@@Z 0133 ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01b9 ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z 02a2 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC B8 00 00 00 48 C7 45 AF FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B E9 4D 8B F8 4C 8B E2 48 89 55 A7 48 8B F1 44 0F B7 75 77 66 44 89 75 87 41 F7 41 18 00 40 00 00 75 3A 41 0F 10 00 F3 0F 7F 45 97 48 8B 11 0F B6 5D 7F 48 8B 7A 48 48 8B CF E8 ?? ?? ?? ?? 89 5C 24 28 66 44 89 74 24 20 4D 8B CD 4C 8D 45 97 49 8B D4 48 8B CE FF D7 E9 0A 02 00 00 48 8D 55 97 49 8B CD E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 8B 7D 9F 33 C0 48 85 FF 74 38 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B F8 33 C0 48 85 FF 74 1A 48 8B 0F 48 8B 19 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF FF D3 33 C0 48 C7 45 CF 07 00 00 00 48 89 45 C7 66 89 45 B7 48 8D 55 D7 48 8B CE 38 45 7F 74 2E E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 B7 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 EB 2C E8 ?? ?? ?? ?? 48 8B D8 48 8D 45 B7 48 3B C3 74 1B 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 90 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? 49 8B 5D 28 48 8B 7D C7 33 C9 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B D9 41 8B 45 18 25 C0 01 00 00 BE FF FF 00 00 83 F8 40 74 47 41 0F 10 07 0F 29 45 97 48 85 DB 74 32 48 8B 7D 9F 48 85 FF 74 11 41 0F B7 D6 48 8B CF E8 ?? ?? ?? ?? 66 3B F0 75 04 C6 45 97 01 48 83 EB 01 75 E0 48 8B 7D C7 0F 28 45 97 4C 8B 65 A7 33 C9 F3 41 0F 7F 07 48 8B D9 41 0F 10 07 0F 29 45 97 48 8D 75 B7 48 83 7D CF 08 48 0F 43 75 B7 48 85 FF 74 3D 4C 8B 75 9F 41 BC FF FF 00 00 4D 85 F6 74 13 0F B7 16 49 8B CE E8 ?? ?? ?? ?? 33 C9 66 44 3B E0 75 04 C6 45 97 01 48 83 C6 02 48 83 EF 01 75 DA 0F 28 45 97 4C 8B 65 A7 44 0F B7 75 87 F3 41 0F 7F 07 49 89 4D 28 41 0F 10 07 0F 29 45 97 48 85 DB 74 33 48 8B 7D 9F 41 BC FF FF 00 00 48 85 FF 74 12 41 0F B7 D6 48 8B CF E8 ?? ?? ?? ?? 66 44 3B E0 75 04 C6 45 97 01 48 83 EB 01 75 DF 0F 28 45 97 4C 8B 65 A7 F3 41 0F 7F 04 24 45 33 C0 B2 01 48 8D 4D B7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_40_1047_2 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBUtm@@DD@Z"
		size = 338
		refs = "0029 __security_cookie 0045 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 009d ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00c4 _Wcsftime 010c ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z 0123 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0132 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F8 4C 8B F2 48 8B F9 48 8B 75 6F F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 45 F7 0F B7 05 ?? ?? ?? ?? 66 89 45 FF 48 C7 45 EF 07 00 00 00 45 33 E4 4C 89 65 E7 66 44 89 65 D7 8A 45 7F 84 C0 75 0A 0F BE 45 77 66 89 45 FB EB 0F 0F BE C0 66 89 45 FB 0F BE 45 77 66 89 45 FD BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D D7 E8 ?? ?? ?? ?? 48 8B 47 10 48 8D 4D D7 48 83 7D EF 08 48 0F 43 4D D7 48 89 44 24 20 4C 8B CE 4C 8D 45 F7 48 8B 55 E7 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 05 48 03 DB EB BD 48 8D 4D D7 48 83 7D EF 08 48 0F 43 4D D7 48 8D 55 D7 48 0F 43 55 D7 48 83 C2 02 33 C0 41 0F 10 07 F3 0F 7F 45 B7 4E 8D 04 41 88 44 24 20 4C 8D 4D B7 48 8D 4D C7 E8 ?? ?? ?? ?? 0F 10 45 C7 F3 41 0F 7F 06 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? 49 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_40_1049_2 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBUtm@@DD@Z"
		size = 338
		refs = "0029 __security_cookie 0045 ??_C@_19OKANBMPJ@?$AA?$CB?$AA?$CF?$AAx?$AA?$AA?$AA?$AA@ 009d ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00c4 _Wcsftime 010c ??$_Copy_unchecked1@PEA_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PEA_W0V10@U_General_ptr_iterator_tag@0@@Z 0123 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0132 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F8 4C 8B F2 48 8B F9 48 8B 75 6F F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 45 F7 0F B7 05 ?? ?? ?? ?? 66 89 45 FF 48 C7 45 EF 07 00 00 00 45 33 E4 4C 89 65 E7 66 44 89 65 D7 8A 45 7F 84 C0 75 0A 0F BE 45 77 66 89 45 FB EB 0F 0F BE C0 66 89 45 FB 0F BE 45 77 66 89 45 FD BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D D7 E8 ?? ?? ?? ?? 48 8B 47 10 48 8D 4D D7 48 83 7D EF 08 48 0F 43 4D D7 48 89 44 24 20 4C 8B CE 4C 8D 45 F7 48 8B 55 E7 E8 ?? ?? ?? ?? 4C 8B C0 48 85 C0 75 05 48 03 DB EB BD 48 8D 4D D7 48 83 7D EF 08 48 0F 43 4D D7 48 8D 55 D7 48 0F 43 55 D7 48 83 C2 02 33 C0 41 0F 10 07 F3 0F 7F 45 B7 4E 8D 04 41 88 44 24 20 4C 8D 4D B7 48 8D 4D C7 E8 ?? ?? ?? ?? 0F 10 45 C7 F3 41 0F 7F 06 45 33 C0 B2 01 48 8D 4D D7 E8 ?? ?? ?? ?? 49 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_40_1067_2 {
	meta:
		name = "?do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z"
		size = 305
		refs = "008e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 00d0 memcpy_s"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 40 F0 FE FF FF FF 48 89 58 08 48 89 68 18 48 89 70 20 49 8B F0 48 8B DA 33 ED 89 68 E8 48 C7 42 18 07 00 00 00 48 89 6A 10 48 83 7A 18 08 72 05 48 8B 02 EB 03 48 8B C3 66 89 28 C7 44 24 20 01 00 00 00 4C 2B CE 49 D1 F9 0F 84 89 00 00 00 49 8B F9 4C 3B 4B 10 77 1A 4C 89 4B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 42 89 2C 48 EB 12 45 33 C0 4C 2B 4B 10 49 8B D1 48 8B CB E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 03 D2 48 2B D1 48 03 D0 48 D1 FA 48 3B FA 77 0F 4C 8D 0C 3F 48 03 D2 4C 8B C6 E8 ?? ?? ?? ?? 4C 8B CF 48 3B 7B 10 76 09 48 85 FF 0F 85 7A FF FF FF 4C 3B 4B 10 77 1A 4C 89 4B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 42 89 2C 48 EB 12 45 33 C0 4C 2B 4B 10 49 8B D1 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 CC }
	condition:
		$1
}

rule file_40_1068_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 0D 83 65 20 FE 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_1069_2 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z"
		size = 289
		refs = "0093 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00c9 _Wcsxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 56 57 41 56 48 83 EC 40 48 C7 40 E0 FE FF FF FF 48 89 58 08 48 89 68 18 49 8B F9 49 8B F0 48 8B DA 45 33 F6 44 89 70 D8 48 C7 42 18 07 00 00 00 4C 89 72 10 48 83 7A 18 08 72 05 48 8B 02 EB 03 48 8B C3 66 44 89 30 C7 44 24 30 01 00 00 00 48 8B C7 48 2B C6 48 D1 F8 74 77 48 8D 69 10 48 3B 43 10 77 1A 48 89 43 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 66 44 89 34 41 EB 12 45 33 C0 48 2B 43 10 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 14 50 48 89 6C 24 20 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? 48 3B 43 10 76 0B 48 85 C0 75 8D 48 3B 43 10 77 1A 48 89 43 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 66 44 89 34 41 EB 12 45 33 C0 48 2B 43 10 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 70 48 83 C4 40 41 5E 5F 5E C3 CC }
	condition:
		$1
}

rule file_40_1070_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 0D 83 65 30 FE 48 8B 4D 68 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_40_1081_2 {
	meta:
		name = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@XZ"
		size = 30
		altNames = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@XZ"
	strings:
		$1 = { 48 83 79 18 08 72 05 4C 8B 01 EB 03 4C 8B C1 48 8B 41 10 49 8D 0C 40 48 8B C2 48 89 0A C3 }
	condition:
		$1
}

rule file_40_1091_2 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z"
		size = 169
		refs = "0075 memmove 00a4 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 10 4D 8B C8 48 8B D9 48 3B FA 0F 82 81 00 00 00 48 8B C7 48 2B C2 49 3B C0 77 1B 48 89 51 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 33 F6 66 89 34 50 EB 48 33 F6 4D 85 C9 74 41 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 49 2B F9 48 8D 0C 50 4C 8B C7 4C 2B C2 74 0C 4D 03 C0 4A 8D 14 49 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 34 78 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1093_2 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z"
		size = 169
		refs = "0075 memmove 00a4 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 10 4D 8B C8 48 8B D9 48 3B FA 0F 82 81 00 00 00 48 8B C7 48 2B C2 49 3B C0 77 1B 48 89 51 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 33 F6 66 89 34 50 EB 48 33 F6 4D 85 C9 74 41 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 49 2B F9 48 8D 0C 50 4C 8B C7 4C 2B C2 74 0C 4D 03 C0 4A 8D 14 49 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 34 78 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1092_2 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K@Z"
		size = 51
		refs = "002e ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 10 72 23 48 89 51 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 45 33 C0 66 44 89 04 50 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1094_2 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K@Z"
		size = 51
		refs = "002e ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 39 51 10 72 23 48 89 51 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 45 33 C0 66 44 89 04 50 48 8B C1 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1116_2 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z"
		size = 339
		refs = "006e ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00d0 memmove 0142 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 0148 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 49 8B E8 45 0F B7 F1 4C 8B 41 10 48 8B FA 48 8B D9 4C 3B C2 0F 82 0F 01 00 00 49 8B C0 48 F7 D0 48 3B C5 0F 86 06 01 00 00 45 33 FF 49 8D 34 28 48 85 ED 0F 84 D4 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 E9 00 00 00 48 39 71 18 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 20 4C 89 79 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 66 44 89 38 48 85 F6 0F 84 8C 00 00 00 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 43 10 4C 2B C7 74 14 48 8D 14 78 4D 03 C0 48 8D 04 2F 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 FD 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 78 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 78 48 8B CD 41 0F B7 C6 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 70 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1117_2 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z"
		size = 339
		refs = "006e ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00d0 memmove 0142 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 0148 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 56 41 57 48 83 EC 20 49 8B E8 45 0F B7 F1 4C 8B 41 10 48 8B FA 48 8B D9 4C 3B C2 0F 82 0F 01 00 00 49 8B C0 48 F7 D0 48 3B C5 0F 86 06 01 00 00 45 33 FF 49 8D 34 28 48 85 ED 0F 84 D4 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 0F 87 E9 00 00 00 48 39 71 18 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 20 4C 89 79 10 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 66 44 89 38 48 85 F6 0F 84 8C 00 00 00 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 43 10 4C 2B C7 74 14 48 8D 14 78 4D 03 C0 48 8D 04 2F 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 FD 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 34 78 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 78 48 8B CD 41 0F B7 C6 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 3C 70 48 8B 6C 24 48 48 8B C3 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5F 41 5E 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1153_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@G@std@@@std@@@2@1@Z"
		size = 97
		refs = "002f ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0054 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 44 24 60 4C 2B C2 49 D1 F8 48 8B D9 4C 3B C8 75 1C 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 48 2B D0 48 D1 FA E8 ?? ?? ?? ?? EB 23 49 2B C1 48 D1 F8 48 83 79 18 08 72 03 48 8B 09 48 2B D1 48 89 44 24 20 48 D1 FA 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_1156_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@V?$_String_const_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@0V?$_String_iterator@V?$_String_val@U?$_Simple_types@_W@std@@@std@@@2@1@Z"
		size = 97
		refs = "002f ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0054 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 44 24 60 4C 2B C2 49 D1 F8 48 8B D9 4C 3B C8 75 1C 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 48 2B D0 48 D1 FA E8 ?? ?? ?? ?? EB 23 49 2B C1 48 D1 F8 48 83 79 18 08 72 03 48 8B 09 48 2B D1 48 89 44 24 20 48 D1 FA 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_40_1154_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 985
		refs = "00a7 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 013e memmove 0171 memcpy 03b9 ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 03cb ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 8B E8 49 8B F9 4C 8B 41 10 4C 8B F2 48 8B D9 4C 3B C2 0F 82 83 03 00 00 49 8B 41 10 4C 8B 64 24 70 49 3B C4 0F 82 77 03 00 00 48 8B 74 24 78 4D 8B F8 4C 2B FA 49 8B C8 49 3B EF 49 0F 47 EF 49 2B C4 48 3B F0 48 0F 47 F0 48 2B CD 48 8B C6 48 F7 D0 48 3B C1 0F 86 4F 03 00 00 4C 2B FD 4C 8D 2C 31 45 33 C9 4D 3B C5 73 42 48 B8 FE FF FF FF FF FF FF 7F 4C 3B E8 0F 87 36 03 00 00 4C 39 6B 18 73 0D 49 8B D5 48 8B CB E8 ?? ?? ?? ?? EB 1C 4D 85 ED 75 17 4C 89 4B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 08 48 3B F5 75 33 48 83 7F 18 08 72 03 48 8B 3F 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 8E 02 00 00 4A 8D 14 67 4C 8D 04 36 4A 8D 0C 70 E9 78 02 00 00 48 3B DF 74 74 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 19 49 8D 04 2E 48 8D 14 42 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 48 83 7F 18 08 72 03 48 8B 3F 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 1A 02 00 00 4C 8D 04 36 4A 8D 14 67 4A 8D 0C 70 E8 ?? ?? ?? ?? E9 04 02 00 00 48 3B F5 73 74 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 74 11 4A 8D 14 61 4A 8D 0C 70 4C 8D 04 36 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 0F 84 A4 01 00 00 49 8D 04 2E 48 8D 14 42 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E9 86 01 00 00 4D 3B E6 77 6C 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 19 49 8D 04 2E 48 8D 14 42 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 23 01 00 00 4A 8D 14 61 E9 90 FE FF FF 49 8D 3C 2E 49 3B FC 77 67 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 15 48 8D 14 78 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 B2 00 00 00 4C 2B E5 4C 03 E6 EB 87 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 15 4A 8D 14 61 4A 8D 0C 70 4C 8D 04 6D 00 00 00 00 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 15 48 8D 14 78 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B C6 4C 2B C5 74 14 49 8D 04 34 4D 03 C0 48 8D 14 42 48 8D 0C 79 E8 ?? ?? ?? ?? 48 83 7B 18 08 4C 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 6C 24 58 33 C9 48 8B 74 24 60 66 42 89 0C 68 48 8B C3 48 8B 5C 24 50 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1157_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z"
		size = 985
		refs = "00a7 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 013e memmove 0171 memcpy 03b9 ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 03cb ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 8B E8 49 8B F9 4C 8B 41 10 4C 8B F2 48 8B D9 4C 3B C2 0F 82 83 03 00 00 49 8B 41 10 4C 8B 64 24 70 49 3B C4 0F 82 77 03 00 00 48 8B 74 24 78 4D 8B F8 4C 2B FA 49 8B C8 49 3B EF 49 0F 47 EF 49 2B C4 48 3B F0 48 0F 47 F0 48 2B CD 48 8B C6 48 F7 D0 48 3B C1 0F 86 4F 03 00 00 4C 2B FD 4C 8D 2C 31 45 33 C9 4D 3B C5 73 42 48 B8 FE FF FF FF FF FF FF 7F 4C 3B E8 0F 87 36 03 00 00 4C 39 6B 18 73 0D 49 8B D5 48 8B CB E8 ?? ?? ?? ?? EB 1C 4D 85 ED 75 17 4C 89 4B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 08 48 3B F5 75 33 48 83 7F 18 08 72 03 48 8B 3F 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 8E 02 00 00 4A 8D 14 67 4C 8D 04 36 4A 8D 0C 70 E9 78 02 00 00 48 3B DF 74 74 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 19 49 8D 04 2E 48 8D 14 42 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 48 83 7F 18 08 72 03 48 8B 3F 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 1A 02 00 00 4C 8D 04 36 4A 8D 14 67 4A 8D 0C 70 E8 ?? ?? ?? ?? E9 04 02 00 00 48 3B F5 73 74 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 74 11 4A 8D 14 61 4A 8D 0C 70 4C 8D 04 36 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 0F 84 A4 01 00 00 49 8D 04 2E 48 8D 14 42 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E9 86 01 00 00 4D 3B E6 77 6C 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 19 49 8D 04 2E 48 8D 14 42 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 23 01 00 00 4A 8D 14 61 E9 90 FE FF FF 49 8D 3C 2E 49 3B FC 77 67 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 15 48 8D 14 78 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 F6 0F 84 B2 00 00 00 4C 2B E5 4C 03 E6 EB 87 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 85 ED 74 15 4A 8D 14 61 4A 8D 0C 70 4C 8D 04 6D 00 00 00 00 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 15 48 8D 14 78 49 8D 04 36 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B C6 4C 2B C5 74 14 49 8D 04 34 4D 03 C0 48 8D 14 42 48 8D 0C 79 E8 ?? ?? ?? ?? 48 83 7B 18 08 4C 89 6B 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 6C 24 58 33 C9 48 8B 74 24 60 66 42 89 0C 68 48 8B C3 48 8B 5C 24 50 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1155_2 {
	meta:
		name = "?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0PEBG0@Z"
		size = 561
		refs = "0087 ?replace@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 0101 memmove 0143 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 01d5 memcpy 021a ?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ 0223 ?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 49 8B E9 49 8B F0 45 33 C9 4C 8B E2 48 8B D9 48 85 ED 74 5F 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 48 3B E8 72 4B 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CD 76 34 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B E8 4C 8B CB 48 8B 44 24 70 48 8B CB 48 D1 FD 48 89 44 24 28 48 89 6C 24 20 E8 ?? ?? ?? ?? E9 67 01 00 00 48 8B 4B 10 49 3B CC 0F 82 79 01 00 00 4C 8B 74 24 70 4C 8B F9 4D 2B FC 49 8B C6 49 3B F7 48 F7 D0 49 0F 47 F7 48 2B CE 48 3B C1 0F 86 5E 01 00 00 4C 2B FE 4C 3B F6 73 3F 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 1C 49 8D 04 34 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 45 33 C9 4C 8B 43 10 49 8B F8 48 2B FE 49 03 FE 4D 85 F6 75 09 48 85 F6 0F 84 D1 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 F2 00 00 00 48 39 7B 18 73 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 EB 1C 48 85 FF 75 20 4C 89 4B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 08 48 85 FF 0F 84 83 00 00 00 49 3B F6 73 3F 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 1C 49 8D 04 34 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 45 33 C9 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 74 13 4F 8D 04 36 48 8B D5 4A 8D 0C 60 E8 ?? ?? ?? ?? 45 33 C9 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 0C 78 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1158_2 {
	meta:
		name = "?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0PEB_W0@Z"
		size = 561
		refs = "0087 ?replace@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0AEBV12@00@Z 0101 memmove 0143 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 01d5 memcpy 021a ?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ 0223 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 30 49 8B E9 49 8B F0 45 33 C9 4C 8B E2 48 8B D9 48 85 ED 74 5F 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 48 3B E8 72 4B 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CD 76 34 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B E8 4C 8B CB 48 8B 44 24 70 48 8B CB 48 D1 FD 48 89 44 24 28 48 89 6C 24 20 E8 ?? ?? ?? ?? E9 67 01 00 00 48 8B 4B 10 49 3B CC 0F 82 79 01 00 00 4C 8B 74 24 70 4C 8B F9 4D 2B FC 49 8B C6 49 3B F7 48 F7 D0 49 0F 47 F7 48 2B CE 48 3B C1 0F 86 5E 01 00 00 4C 2B FE 4C 3B F6 73 3F 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 1C 49 8D 04 34 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 45 33 C9 4C 8B 43 10 49 8B F8 48 2B FE 49 03 FE 4D 85 F6 75 09 48 85 F6 0F 84 D1 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 F2 00 00 00 48 39 7B 18 73 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 EB 1C 48 85 FF 75 20 4C 89 4B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 08 48 85 FF 0F 84 83 00 00 00 49 3B F6 73 3F 48 83 7B 18 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 FF 74 1C 49 8D 04 34 48 8D 14 42 4B 8D 04 34 48 8D 0C 41 4F 8D 04 3F E8 ?? ?? ?? ?? 45 33 C9 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 4D 85 F6 74 13 4F 8D 04 36 48 8B D5 4A 8D 0C 60 E8 ?? ?? ?? ?? 45 33 C9 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 0C 78 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5F 41 5E 41 5C C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_40_1161_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
		size = 39
		refs = "0023 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 10 77 15 48 89 51 10 48 83 79 18 08 72 03 48 8B 09 33 C0 66 89 04 51 C3 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_1163_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 39
		refs = "0023 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 10 77 15 48 89 51 10 48 83 79 18 08 72 03 48 8B 09 33 C0 66 89 04 51 C3 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_1162_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_KG@Z"
		size = 36
		refs = "0020 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 10 77 15 48 89 51 10 48 83 79 18 08 72 03 48 8B 09 33 C0 66 89 04 51 C3 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_1164_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K_W@Z"
		size = 36
		refs = "0020 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 10 77 15 48 89 51 10 48 83 79 18 08 72 03 48 8B 09 33 C0 66 89 04 51 C3 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_58_2 {
	meta:
		name = "??0system_error@std@@QEAA@Verror_code@1@@Z"
		size = 177
		refs = "0017 __security_cookie 0041 ??_C@_00CNPNBAHC@?$AA@ 004a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0066 ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0085 ?_Deallocate@std@@YAXPEAX_K1@Z 008c ??_7system_error@std@@6B@ 009f __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 70 49 C7 43 A8 FE FF FF FF 49 89 5B 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 48 8B DA 48 8B F9 49 C7 43 E0 0F 00 00 00 49 83 63 D8 00 C6 44 24 40 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 49 8D 4B C8 E8 ?? ?? ?? ?? 90 0F 10 03 F3 0F 7F 44 24 30 4C 8D 44 24 40 48 8D 54 24 30 48 8B CF E8 ?? ?? ?? ?? 90 48 8B 54 24 58 48 83 FA 10 72 13 48 FF C2 41 B8 01 00 00 00 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B C7 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_61_124_2 {
	meta:
		name = "?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXAEAV12@@Z"
		size = 181
		refs = "003f memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 79 18 10 48 8B FA 48 8B D9 72 2C 48 83 7A 18 10 72 0E 48 8B 02 4C 8B 01 48 89 01 4C 89 02 EB 74 4C 8B 42 10 48 8B 31 49 83 C0 01 74 05 E8 ?? ?? ?? ?? 48 89 37 EB 5D 48 83 7A 18 10 73 3B 48 3B DF 74 51 48 8D 41 10 48 3B C3 48 1B D2 48 F7 D2 83 E2 10 48 3B D8 77 3C 4C 8B C3 49 F7 D8 48 2B FB 8A 04 1F 8A 0B 88 03 88 0C 1F 48 FF C3 49 8D 04 18 48 3B C2 75 EA EB 1B 4C 8B 41 10 48 8B 32 49 83 C0 01 74 0B 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 89 33 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_163_2 {
	meta:
		name = "?message@_System_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 383
		refs = "0021 __security_cookie 0058 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 0070 memset 00a1 ?_Winerror_message@std@@YAKKPEADK@Z 00cc ??_C@_0O@BFJCFAAK@unknown?5error?$AA@ 00d4 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0106 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010f ?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXXZ 013a ?_Assign_rv@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX$$QEAV12@@Z 0157 ?_Deallocate@std@@YAXPEAX_K1@Z 0166 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 57 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 08 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 41 8B D8 48 8B FA 83 65 C0 00 41 BF 0F 00 00 00 4C 89 7D E8 48 83 65 E0 00 C6 45 D0 00 45 33 C0 BE FF 7F 00 00 8B D6 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 4D D0 48 83 7D E8 10 48 0F 43 4D D0 44 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 75 E0 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 C6 80 FF 7F 00 00 00 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 44 8B C6 8B CB E8 ?? ?? ?? ?? 85 C0 75 31 4C 89 7F 18 48 83 67 10 00 49 83 FF 10 72 05 48 8B 07 EB 03 48 8B C7 C6 00 00 41 B8 0D 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? EB 65 8B D0 48 3B 55 E0 77 18 48 89 55 E0 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 C6 04 02 00 EB 10 48 2B 55 E0 45 33 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 83 67 10 00 4C 89 7F 18 48 83 67 10 00 49 83 FF 10 72 05 48 8B 07 EB 03 48 8B C7 C6 00 00 48 8D 55 D0 48 8B CF E8 ?? ?? ?? ?? 90 48 8B 55 E8 48 83 FA 10 72 12 41 B8 01 00 00 00 48 FF C2 48 8B 4D D0 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 20 49 8B 73 38 49 8B E3 41 5F 5F 5D C3 }
	condition:
		$1
}

rule file_61_173_2 {
	meta:
		name = "?shrink_to_fit@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXXZ"
		size = 186
		refs = "0010 __security_cookie 004c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0061 ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXAEAV12@@Z 009f ?_Deallocate@std@@YAXPEAX_K1@Z 00ab __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 8B 41 10 48 8B D9 48 83 C8 0F 48 3B 41 18 73 77 48 83 65 E0 00 48 8B D1 48 8D 4D D0 48 C7 45 E8 0F 00 00 00 49 83 C9 FF C6 45 D0 00 45 33 C0 E8 ?? ?? ?? ?? 48 8D 45 D0 48 3B D8 74 2E 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 45 E0 48 8B 4B 10 48 89 43 10 48 8B 53 18 48 8B 45 E8 48 89 43 18 48 89 55 E8 48 89 4D E0 EB 04 48 8B 55 E8 48 83 FA 10 72 12 48 8B 4D D0 48 FF C2 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_61_175_2 {
	meta:
		name = "?swap@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXAEAV12@@Z"
		size = 69
		refs = "0016 ?_Swap_bx@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAXAEAV12@@Z"
	strings:
		$1 = { 48 3B CA 74 3F 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8B 43 10 4C 8B 47 10 48 89 47 10 4C 89 43 10 48 8B 43 18 48 8B 4F 18 48 89 47 18 48 89 4B 18 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_75_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 340
		refs = "0076 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00bf ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 0109 memcpy 0146 ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 4D 8B F0 48 8B F2 48 8B D9 48 85 D2 74 56 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C3 48 3B F0 72 42 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CE 76 2B 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4D 8B CE 48 D1 FE 48 8B D3 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? E9 A8 00 00 00 4C 8B 43 10 49 8B C0 48 F7 D0 49 3B C6 0F 86 B0 00 00 00 4B 8D 3C 30 4D 85 F6 0F 84 85 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 0F 87 99 00 00 00 48 39 7B 18 73 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 89 6B 10 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 48 85 FF 74 3F 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4D 85 F6 74 14 48 8B 43 10 4F 8D 04 36 48 8B D6 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 89 2C 78 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 48 8B CB E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_85_80_2 {
	meta:
		name = "?back@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEA_WXZ"
		size = 27
	strings:
		$1 = { 48 83 79 18 08 72 05 48 8B 11 EB 03 48 8B D1 48 8B 41 10 48 FF C8 48 8D 04 42 C3 }
	condition:
		$1
}

rule file_85_108_2 {
	meta:
		name = "_Open_dir"
		size = 365
		refs = "001d __security_cookie 0067 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 007e ??_C@_15PKPONJIK@?$AA?2?$AA?$CK?$AA?$AA@ 0088 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 00b2 __imp_FindFirstFileExW 00f5 _Read_dir 0103 __imp_FindClose 0117 wcscpy_s 0145 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0157 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 56 41 57 48 8D AC 24 50 FE FF FF 48 81 EC B0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 01 00 00 33 DB 48 C7 44 24 48 07 00 00 00 4D 8B E1 4D 8B F8 48 8B F1 48 89 5C 24 40 66 89 5C 24 30 66 39 1A 75 05 44 8B C3 EB 0E 49 83 C8 FF 49 FF C0 66 42 39 1C 42 75 F6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 41 BE 02 00 00 00 48 39 5C 24 40 74 14 45 8B C6 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 7C 24 48 08 48 8D 4C 24 30 89 5C 24 28 4C 8D 44 24 50 48 0F 43 4C 24 30 45 33 C9 33 D2 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 48 8B F8 48 83 F8 FF 75 0C 41 C7 07 A1 00 00 00 66 89 1E EB 6F 66 83 7C 24 7C 2E 41 89 1F 75 33 66 39 5C 24 7E 74 0E 66 83 7C 24 7E 2E 75 24 66 39 5D 80 75 1E 4D 8B C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 66 39 1E 75 39 48 8B CF FF 15 ?? ?? ?? ?? EB 31 4C 8D 44 24 7C BA 04 01 00 00 48 8B CE E8 ?? ?? ?? ?? 8B 44 24 50 A8 10 75 10 25 A7 7B 00 00 F7 D8 1B C0 83 E0 F9 44 8D 70 08 45 89 34 24 48 8B DF 45 33 C0 48 8D 4C 24 30 B2 01 E8 ?? ?? ?? ?? 48 8B C3 48 8B 8D A0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 02 00 00 41 5F 41 5E 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_85_115_2 {
	meta:
		name = "_Statvfs"
		size = 313
		refs = "0018 __security_cookie 0061 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 00a7 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@ 00b0 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 00d6 __imp_GetDiskFreeSpaceExW 0111 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z 0120 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 18 55 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 49 83 C8 FF 48 C7 45 E8 07 00 00 00 33 FF 4C 89 45 A0 48 8B D9 4C 89 45 A8 4C 89 45 B0 48 89 7D E0 66 89 7D D0 66 39 3A 75 05 44 8B C7 EB 0A 49 FF C0 66 42 39 3C 42 75 F6 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 4D E0 48 85 C9 74 30 4C 8B 45 E8 48 8D 45 D0 48 8B 55 D0 49 83 F8 08 48 0F 43 C2 66 83 7C 48 FE 2F 74 32 49 83 F8 08 48 8D 45 D0 48 0F 43 C2 66 83 7C 48 FE 5C 74 1E 41 B8 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 8B 45 E8 48 8B 55 D0 49 83 F8 08 48 8D 4D D0 4C 8D 4D C0 48 0F 43 CA 4C 8D 45 B8 48 8D 55 C8 FF 15 ?? ?? ?? ?? 85 C0 74 18 48 8B 45 B8 48 89 45 A0 48 8B 45 C0 48 89 45 A8 48 8B 45 C8 48 89 45 B0 0F 10 45 A0 48 8D 4D D0 45 33 C0 F2 0F 10 4D B0 B2 01 0F 11 03 F2 0F 11 4B 10 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 10 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_114_40_2 {
	meta:
		name = "??0system_error@std@@QEAA@HAEBVerror_category@1@PEBD@Z"
		size = 202
		refs = "001c __security_cookie 005f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0080 ??0_System_error@std@@IEAA@Verror_code@1@AEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 009d ?_Deallocate@std@@YAXPEAX_K1@Z 00a4 ??_7system_error@std@@6B@ 00b6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 8B EC 48 83 EC 60 48 C7 45 D0 FE FF FF FF 48 89 58 10 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 49 8B F8 8B F2 48 8B D9 48 C7 45 F0 0F 00 00 00 45 33 C0 4C 89 45 E8 44 88 45 D8 45 38 01 74 10 48 83 C8 FF 48 FF C0 45 38 04 01 75 F7 4C 8B C0 49 8B D1 48 8D 4D D8 E8 ?? ?? ?? ?? 90 89 75 C0 48 89 7D C8 0F 28 45 C0 66 0F 7F 45 C0 4C 8D 45 D8 48 8D 55 C0 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 55 F0 48 83 FA 10 72 12 48 FF C2 41 B8 01 00 00 00 48 8B 4D D8 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_0_3 {
	meta:
		name = "??$?BX@__crt_fast_encoded_nullptr_t@@QEBAPEAXXZ"
		size = 28
		refs = "0003 __security_cookie"
		altNames = "??$?B$$A6AXXZ@__crt_fast_encoded_nullptr_t@@QEBAP6AXXZXZ"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? B9 40 00 00 00 8B C2 83 E0 3F 2B C8 33 C0 48 D3 C8 48 33 C2 C3 }
	condition:
		$1
}

rule file_0_13_3 {
	meta:
		name = "?try_get_EventRegister@@YAP6AKPEBU_GUID@@P6AX0KE_K1PEAU_EVENT_FILTER_DESCRIPTOR@@PEAX@Z3PEA_K@ZXZ"
		size = 28
		refs = "0003 ?candidate_modules@?1??try_get_EventRegister@@YAP6AKPEBU_GUID@@P6AX0KE_K1PEAU_EVENT_FILTER_DESCRIPTOR@@PEAX@Z3PEA_K@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0013 ??_C@_0O@BAMBGLIE@EventRegister?$AA@ 0018 ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 33 C9 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_14_3 {
	meta:
		name = "?try_get_EventSetInformation@@YAP6AK_KW4_EVENT_INFO_CLASS@@PEAXK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_EventSetInformation@@YAP6AK_KW4_EVENT_INFO_CLASS@@PEAXK@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0016 ??_C@_0BE@BJEEGHGK@EventSetInformation?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 01 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_15_3 {
	meta:
		name = "?try_get_EventUnregister@@YAP6AK_K@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_EventUnregister@@YAP6AK_K@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0016 ??_C@_0BA@FAKLIPIC@EventUnregister?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 02 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_16_3 {
	meta:
		name = "?try_get_EventWriteTransfer@@YAP6AK_KPEBU_EVENT_DESCRIPTOR@@PEBU_GUID@@2KPEAU_EVENT_DATA_DESCRIPTOR@@@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_EventWriteTransfer@@YAP6AK_KPEBU_EVENT_DESCRIPTOR@@PEBU_GUID@@2KPEAU_EVENT_DATA_DESCRIPTOR@@@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0016 ??_C@_0BD@PKLHJPHD@EventWriteTransfer?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 03 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_17_3 {
	meta:
		name = "?try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0016 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 04 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_18_3 {
	meta:
		name = "?try_get_FlsFree@@YAP6AHK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_FlsFree@@YAP6AHK@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0016 ??_C@_07PEJMOBNF@FlsFree?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 05 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_19_3 {
	meta:
		name = "?try_get_FlsGetValue@@YAP6APEAXK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_FlsGetValue@@YAP6APEAXK@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0016 ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 06 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_20_3 {
	meta:
		name = "?try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0016 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 07 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_21_3 {
	meta:
		name = "?try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ"
		size = 31
		refs = "0003 ?candidate_modules@?1??try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0016 ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 001b ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? B9 08 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_22_3 {
	meta:
		name = "?try_get_first_available_module@@YAPEAUHINSTANCE__@@QEBW4module_id@?A0x679b24ab@@0@Z"
		size = 247
		refs = "002f __ImageBase 0040 ?module_handles@@3PAPEAUHINSTANCE__@@A 0055 ?module_names@?A0x679b24ab@@3QBQEB_WB 0066 __imp_LoadLibraryExW 0074 __imp_GetLastError 00bb __imp_FreeLibrary"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 48 8B EA 48 8B F9 48 3B CA 0F 84 A5 00 00 00 4C 8D 25 ?? ?? ?? ?? 45 33 FF 8B 37 33 C0 F0 4D 0F B1 BC F4 ?? ?? ?? ?? 48 8B D8 74 08 48 83 F8 FF 74 75 EB 6E 4D 8B B4 F4 ?? ?? ?? ?? 33 D2 49 8B CE 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 21 FF 15 ?? ?? ?? ?? 83 F8 57 75 13 45 33 C0 33 D2 49 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 EB 03 49 8B DF 48 85 DB 75 0E 48 83 C8 FF 49 87 84 F4 ?? ?? ?? ?? EB 1E 48 8B C3 49 87 84 F4 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 85 DB 75 2E 48 83 C7 04 48 3B FD 0F 85 65 FF FF FF 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 48 8B C3 EB DC }
	condition:
		$1
}

rule file_0_23_3 {
	meta:
		name = "?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z"
		size = 456
		refs = "002d __ImageBase 003a ?encoded_function_pointers@@3PAPEAXA 0041 __security_cookie 0082 ?module_handles@@3PAPEAUHINSTANCE__@@A 009d ?module_names@?A0x679b24ab@@3QBQEB_WB 00ae __imp_LoadLibraryExW 00c1 __imp_GetLastError 0111 __imp_FreeLibrary 0145 __imp_GetProcAddress"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 FF 44 8B F1 4D 8B E1 33 C0 49 8B E8 4C 8D 0D ?? ?? ?? ?? 4C 8B EA F0 4F 0F B1 BC F1 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 83 CF FF 41 8B C8 49 8B D0 83 E1 3F 48 33 D0 48 D3 CA 48 3B D7 0F 84 48 01 00 00 48 85 D2 74 08 48 8B C2 E9 3D 01 00 00 49 3B EC 0F 84 BE 00 00 00 8B 75 00 33 C0 F0 4D 0F B1 BC F1 ?? ?? ?? ?? 48 8B D8 74 0E 48 3B C7 0F 84 8D 00 00 00 E9 83 00 00 00 4D 8B BC F1 ?? ?? ?? ?? 33 D2 49 8B CF 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 05 45 33 FF EB 24 FF 15 ?? ?? ?? ?? 83 F8 57 75 13 45 33 C0 33 D2 49 8B CF FF 15 ?? ?? ?? ?? 48 8B D8 EB DD 45 33 FF 41 8B DF 4C 8D 0D ?? ?? ?? ?? 48 85 DB 75 0D 48 8B C7 49 87 84 F1 ?? ?? ?? ?? EB 25 48 8B C3 49 87 84 F1 ?? ?? ?? ?? 48 85 C0 74 10 48 8B CB FF 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 85 DB 75 5D 48 83 C5 04 49 3B EC 0F 85 49 FF FF FF 4C 8B 05 ?? ?? ?? ?? 49 8B DF 48 85 DB 74 4A 49 8B D5 48 8B CB FF 15 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 85 C0 74 32 41 8B C8 BA 40 00 00 00 83 E1 3F 2B D1 8A CA 48 8B D0 48 D3 CA 48 8D 0D ?? ?? ?? ?? 49 33 D0 4A 87 94 F1 ?? ?? ?? ?? EB 2D 4C 8B 05 ?? ?? ?? ?? EB B1 B9 40 00 00 00 41 8B C0 83 E0 3F 2B C8 48 D3 CF 48 8D 0D ?? ?? ?? ?? 49 33 F8 4A 87 BC F1 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_0_24_3 {
	meta:
		name = "?try_get_module@@YAPEAUHINSTANCE__@@W4module_id@?A0x679b24ab@@@Z"
		size = 205
		refs = "0022 __ImageBase 002c ?module_handles@@3PAPEAUHINSTANCE__@@A 0043 ?module_names@?A0x679b24ab@@3QBQEB_WB 0054 __imp_LoadLibraryExW 0062 __imp_GetLastError 00ab __imp_FreeLibrary"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 33 ED 8B F9 33 C0 4C 8D 35 ?? ?? ?? ?? F0 49 0F B1 AC FE ?? ?? ?? ?? 74 0D 48 83 C9 FF 48 3B C1 48 0F 44 C5 EB 73 49 8B B4 FE ?? ?? ?? ?? 33 D2 48 8B CE 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 21 FF 15 ?? ?? ?? ?? 83 F8 57 75 13 45 33 C0 33 D2 48 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 EB 03 48 8B DD 48 85 DB 75 10 48 83 C9 FF 49 87 8C FE ?? ?? ?? ?? 33 C0 EB 1C 48 8B C3 49 87 84 FE ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_0_25_3 {
	meta:
		name = "?try_get_proc_address_from_first_available_module@@YAPEAXQEBDQEBW4module_id@?A0x679b24ab@@1@Z"
		size = 264
		refs = "0034 __ImageBase 0042 ?module_handles@@3PAPEAUHINSTANCE__@@A 0057 ?module_names@?A0x679b24ab@@3QBQEB_WB 0068 __imp_LoadLibraryExW 0076 __imp_GetLastError 00bd __imp_FreeLibrary 00e7 __imp_GetProcAddress"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 E4 49 8B E8 48 8B FA 4C 8B F9 49 3B D0 0F 84 A2 00 00 00 4C 8D 2D ?? ?? ?? ?? 8B 37 33 C0 F0 4D 0F B1 A4 F5 ?? ?? ?? ?? 48 8B D8 74 08 48 83 F8 FF 74 75 EB 6E 4D 8B B4 F5 ?? ?? ?? ?? 33 D2 49 8B CE 41 B8 00 08 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 21 FF 15 ?? ?? ?? ?? 83 F8 57 75 13 45 33 C0 33 D2 49 8B CE FF 15 ?? ?? ?? ?? 48 8B D8 EB 03 49 8B DC 48 85 DB 75 0E 48 83 C8 FF 49 87 84 F5 ?? ?? ?? ?? EB 1E 48 8B C3 49 87 84 F5 ?? ?? ?? ?? 48 85 C0 74 09 48 8B CB FF 15 ?? ?? ?? ?? 48 85 DB 75 19 48 83 C7 04 48 3B FD 0F 85 65 FF FF FF 49 8B DC 48 85 DB 75 04 33 C0 EB 0C 49 8B D7 48 8B CB FF 15 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_0_26_3 {
	meta:
		name = "?try_load_library_from_system_directory@@YAPEAUHINSTANCE__@@QEB_W@Z"
		size = 67
		refs = "0013 __imp_LoadLibraryExW 001e __imp_GetLastError"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 41 B8 00 08 00 00 48 8B D9 FF 15 ?? ?? ?? ?? 48 85 C0 75 21 FF 15 ?? ?? ?? ?? 83 F8 57 75 14 45 33 C0 33 D2 48 8B CB 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_0_27_3 {
	meta:
		name = "__vcrt_EventRegister"
		size = 129
		refs = "0025 ?candidate_modules@?1??try_get_EventRegister@@YAP6AKPEBU_GUID@@P6AX0KE_K1PEAU_EVENT_FILTER_DESCRIPTOR@@PEAX@Z3PEA_K@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0036 ??_C@_0O@BAMBGLIE@EventRegister?$AA@ 003d ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 004d _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 49 8B F9 49 8B F0 48 8B EA 4C 8D 0D ?? ?? ?? ?? 4C 8B F1 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 18 48 8B C8 E8 ?? ?? ?? ?? 4C 8B CF 4C 8B C6 48 8B D5 49 8B CE FF D3 EB 05 B8 32 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_0_28_3 {
	meta:
		name = "__vcrt_EventSetInformation"
		size = 130
		refs = "0024 ?candidate_modules@?1??try_get_EventSetInformation@@YAP6AK_KW4_EVENT_INFO_CLASS@@PEAXK@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0035 ??_C@_0BE@BJEEGHGK@EventSetInformation?$AA@ 003f ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 004f _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 41 8B F9 49 8B F0 8B EA 4C 8D 0D ?? ?? ?? ?? 4C 8B F1 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 17 48 8B C8 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 8B D5 49 8B CE FF D3 EB 05 B8 32 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_0_29_3 {
	meta:
		name = "__vcrt_EventUnregister"
		size = 83
		refs = "0010 ?candidate_modules@?1??try_get_EventUnregister@@YAP6AK_K@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0023 ??_C@_0BA@FAKLIPIC@EventUnregister?$AA@ 0028 ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 0038 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 4C 8D 0D ?? ?? ?? ?? B9 02 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0F 48 8B C8 E8 ?? ?? ?? ?? 48 8B CF FF D3 EB 05 B8 32 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_30_3 {
	meta:
		name = "__vcrt_EventWriteTransfer"
		size = 150
		refs = "0025 ?candidate_modules@?1??try_get_EventWriteTransfer@@YAP6AK_KPEBU_EVENT_DESCRIPTOR@@PEBU_GUID@@2KPEAU_EVENT_DATA_DESCRIPTOR@@@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0036 ??_C@_0BD@PKLHJPHD@EventWriteTransfer?$AA@ 0040 ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 0050 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 30 49 8B F9 49 8B F0 48 8B EA 4C 8D 0D ?? ?? ?? ?? 4C 8B F1 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 2A 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 68 4C 8B CF 48 89 4C 24 28 4C 8B C6 8B 4C 24 60 48 8B D5 89 4C 24 20 49 8B CE FF D3 EB 05 B8 32 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5E C3 }
	condition:
		$1
}

rule file_0_31_3 {
	meta:
		name = "__vcrt_FlsAlloc"
		size = 84
		refs = "0010 ?candidate_modules@?1??try_get_FlsAlloc@@YAP6AKP6AXPEAX@Z@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0023 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 0028 ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 0038 _guard_check_icall 0045 __imp_TlsAlloc"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 4C 8D 0D ?? ?? ?? ?? B9 04 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0F 48 8B C8 E8 ?? ?? ?? ?? 48 8B CF FF D3 EB 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_32_3 {
	meta:
		name = "__vcrt_FlsFree"
		size = 84
		refs = "000f ?candidate_modules@?1??try_get_FlsFree@@YAP6AHK@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0022 ??_C@_07PEJMOBNF@FlsFree?$AA@ 0027 ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 0037 _guard_check_icall 0045 __imp_TlsFree"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B D9 4C 8D 0D ?? ?? ?? ?? B9 05 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E 48 8B C8 E8 ?? ?? ?? ?? 8B CB FF D7 EB 08 8B CB FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_33_3 {
	meta:
		name = "__vcrt_FlsGetValue"
		size = 84
		refs = "000f ?candidate_modules@?1??try_get_FlsGetValue@@YAP6APEAXK@ZXZ@4QBW4module_id@?A0x679b24ab@@B 0022 ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 0027 ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 0037 _guard_check_icall 0045 __imp_TlsGetValue"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B D9 4C 8D 0D ?? ?? ?? ?? B9 06 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E 48 8B C8 E8 ?? ?? ?? ?? 8B CB FF D7 EB 08 8B CB FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_34_3 {
	meta:
		name = "__vcrt_FlsSetValue"
		size = 103
		refs = "0015 ?candidate_modules@?1??try_get_FlsSetValue@@YAP6AHKPEAX@ZXZ@4QBW4module_id@?A0x679b24ab@@B 001e ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 002f ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 003f _guard_check_icall 0053 __imp_TlsSetValue"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B DA 4C 8D 0D ?? ?? ?? ?? 8B F9 48 8D 15 ?? ?? ?? ?? B9 07 00 00 00 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 11 48 8B C8 E8 ?? ?? ?? ?? 48 8B D3 8B CF FF D6 EB 0B 48 8B D3 8B CF FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_35_3 {
	meta:
		name = "__vcrt_InitializeCriticalSectionEx"
		size = 119
		refs = "001a ?candidate_modules@?1??try_get_InitializeCriticalSectionEx@@YAP6AHPEAU_RTL_CRITICAL_SECTION@@KK@ZXZ@4QBW4module_id@?A0x679b24ab@@B 002d ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 0037 ?try_get_function@@YAPEAXW4function_id@?A0x679b24ab@@QEBDQEBW4module_id@2@2@Z 0047 _guard_check_icall 005e __imp_InitializeCriticalSectionAndSpinCount"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8B E8 4C 8D 0D ?? ?? ?? ?? 8B DA 4C 8D 05 ?? ?? ?? ?? 48 8B F9 48 8D 15 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 14 48 8B C8 E8 ?? ?? ?? ?? 44 8B C5 8B D3 48 8B CF FF D6 EB 0B 8B D3 48 8B CF FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_0_36_3 {
	meta:
		name = "__vcrt_initialize_winapi_thunks"
		size = 73
		refs = "0003 __security_cookie 001c ?encoded_function_pointers@@3PAPEAXA"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? 45 33 C0 8B C2 B9 40 00 00 00 83 E0 3F 45 8B C8 2B C8 48 8D 05 ?? ?? ?? ?? 49 D3 C9 48 8D 0D ?? ?? ?? ?? 4C 33 CA 48 3B C8 48 1B C9 48 F7 D1 83 E1 09 49 FF C0 4C 89 08 48 8D 40 08 4C 3B C1 75 F1 C3 }
	condition:
		$1
}

rule file_0_37_3 {
	meta:
		name = "__vcrt_uninitialize_winapi_thunks"
		size = 62
		refs = "000c ?module_handles@@3PAPEAUHINSTANCE__@@A 0020 __imp_FreeLibrary"
	strings:
		$1 = { 84 C9 75 39 53 48 83 EC 20 48 8D 1D ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 10 48 83 F9 FF 74 06 FF 15 ?? ?? ?? ?? 48 83 23 00 48 83 C3 08 48 8D 05 ?? ?? ?? ?? 48 3B D8 75 D8 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1_0_3 {
	meta:
		name = "__intrinsic_setjmp"
		size = 160
		altNames = "__intrinsic_setjmpex"
	strings:
		$1 = { 48 89 11 48 89 59 08 48 89 69 18 48 89 71 20 48 89 79 28 4C 89 61 30 4C 89 69 38 4C 89 71 40 4C 89 79 48 4C 8D 44 24 08 4C 89 41 10 4C 8B 04 24 4C 89 41 50 0F AE 59 58 D9 79 5C 66 0F 7F 71 60 66 0F 7F 79 70 66 44 0F 7F 81 80 00 00 00 66 44 0F 7F 89 90 00 00 00 66 44 0F 7F 91 A0 00 00 00 66 44 0F 7F 99 B0 00 00 00 66 44 0F 7F A1 C0 00 00 00 66 44 0F 7F A9 D0 00 00 00 66 44 0F 7F B1 E0 00 00 00 66 44 0F 7F B9 F0 00 00 00 33 C0 C3 CC CC CC CC CC CC 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_2_0_3 {
	meta:
		name = "__vcrt_initialize"
		size = 50
		refs = "0005 __vcrt_initialize_pure_virtual_call_handler 000a __vcrt_initialize_winapi_thunks 000f __vcrt_initialize_locks 001c __vcrt_initialize_ptd 0025 __vcrt_uninitialize_locks"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 32 C0 EB 12 E8 ?? ?? ?? ?? 84 C0 75 07 E8 ?? ?? ?? ?? EB EC B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_1_3 {
	meta:
		name = "__vcrt_thread_attach"
		size = 20
		refs = "0005 __vcrt_getptd_noexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_2_3 {
	meta:
		name = "__vcrt_thread_detach"
		size = 18
		refs = "0007 __vcrt_freeptd"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_3_3 {
	meta:
		name = "__vcrt_uninitialize"
		size = 32
		refs = "0009 __vcrt_uninitialize_ptd 000e __vcrt_uninitialize_locks 0015 __vcrt_uninitialize_winapi_thunks"
	strings:
		$1 = { 48 83 EC 28 84 C9 75 11 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_2_4_3 {
	meta:
		name = "__vcrt_uninitialize_critical"
		size = 16
		refs = "0005 __vcrt_uninitialize_ptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_0_3 {
	meta:
		name = "__DestructExceptionObject"
		size = 133
		refs = "0048 ?_CallMemberFunction0@@YAXPEAXP6AX0@Z@Z 0050 terminate 0071 _guard_check_icall"
	strings:
		$1 = { 48 85 C9 74 7F 48 89 5C 24 08 88 54 24 10 57 48 83 EC 20 81 39 63 73 6D E0 75 5F 83 79 18 04 75 59 8B 41 20 2D 20 05 93 19 83 F8 02 77 4C 48 8B 41 30 48 85 C0 74 43 48 63 50 04 85 D2 74 16 48 03 51 38 48 8B 49 28 E8 ?? ?? ?? ?? 90 EB 2B E8 ?? ?? ?? ?? 90 F6 00 10 74 20 48 8B 41 28 48 8B 38 48 85 FF 74 14 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_3_7_3 {
	meta:
		name = "??8type_info@@QEBA_NAEBV0@@Z"
		size = 27
		refs = "000d __std_type_info_compare"
	strings:
		$1 = { 48 83 EC 28 48 83 C2 08 48 83 C1 08 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_10_3 {
	meta:
		name = "?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z"
		size = 193
		refs = "0039 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 005f __BuildCatchObject 0064 _GetImageBase 00a4 _UnwindNestedFrames"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 56 57 41 54 41 56 41 57 48 83 EC 50 4C 8B BC 24 A0 00 00 00 49 8B E9 4C 8B F2 4C 8D 48 10 4D 8B E0 48 8B D9 4D 8B C7 48 8B D5 49 8B CE E8 ?? ?? ?? ?? 4C 8B 8C 24 B0 00 00 00 48 8B F8 48 8B B4 24 A8 00 00 00 4D 85 C9 74 0E 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 63 4E 0C 4C 8B CF 48 03 C1 4D 8B C4 8A 8C 24 D8 00 00 00 88 4C 24 40 48 8B 8C 24 B8 00 00 00 48 89 6C 24 38 4C 89 7C 24 30 8B 11 49 8B CE 89 54 24 28 48 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_3_11_3 {
	meta:
		name = "?ExFilterRethrow@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEAH@Z"
		size = 134
		refs = "006c __vcrt_getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 4C 8B 09 49 8B D8 41 83 20 00 41 B8 63 73 6D E0 45 39 01 75 5A 41 83 79 18 04 BF 01 00 00 00 41 BA 20 05 93 19 75 1B 41 8B 41 20 41 2B C2 83 F8 02 77 0F 48 8B 42 28 49 39 41 28 8B 0B 0F 44 CF 89 0B 45 39 01 75 28 41 83 79 18 04 75 21 41 8B 49 20 41 2B CA 83 F9 02 77 15 49 83 79 30 00 75 0E E8 ?? ?? ?? ?? 89 78 40 8B C7 89 3B EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_3_12_3 {
	meta:
		name = "?FindHandler@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@EH1@Z"
		size = 1230
		refs = "0049 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 005d ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 006b ?__GetUnwindTryBlock@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 0081 ?__SetState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 0092 ?__SetUnwindTryBlock@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 00e6 __vcrt_getptd 0113 _SetThrowImageBase 016d ?IsInExceptionSpec@@YAEPEAUEHExceptionRecord@@PEBU_s_ESTypeList@@@Z 0185 _GetImageBase 01bc ??_R0?AVbad_exception@std@@@8 01c1 __std_type_info_compare 0238 ?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z 027d _GetThrowImageBase 02c9 __TypeMatch 0339 ?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z 039c ?_ExecutionInCatch@@YAHPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 040f _UnwindNestedFrames 0459 ?FindHandlerForForeignException@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@HH1@Z 0481 terminate 0492 __DestructExceptionObject 049b ??0bad_exception@std@@QEAA@XZ 04a2 _TI2?AVbad_exception@std@@ 04ab _CxxThrowException"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 20 4C 89 40 18 55 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC B0 00 00 00 48 8B 5D 67 4C 8B EA 48 8B F9 45 33 E4 48 8B CB 44 88 65 C7 49 8B D1 44 88 65 C8 4D 8B F9 4D 8B F0 E8 ?? ?? ?? ?? 4C 8D 4D EF 4C 8B C3 49 8B D7 49 8B CD 8B F0 E8 ?? ?? ?? ?? 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? 4C 8B C3 49 8B D7 3B F0 7E 1F 44 8B CE 48 8D 4D EF E8 ?? ?? ?? ?? 44 8B CE 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? EB 0A 49 8B CD E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 8C 1D 04 00 00 3B 73 04 0F 8D 14 04 00 00 81 3F 63 73 6D E0 0F 85 63 03 00 00 83 7F 18 04 0F 85 18 01 00 00 8B 47 20 2D 20 05 93 19 83 F8 02 0F 87 07 01 00 00 4C 39 67 30 0F 85 FD 00 00 00 E8 ?? ?? ?? ?? 4C 39 60 20 0F 84 6B 03 00 00 E8 ?? ?? ?? ?? 48 8B 78 20 E8 ?? ?? ?? ?? 48 8B 4F 38 C6 45 C7 01 4C 8B 70 28 4C 89 75 57 E8 ?? ?? ?? ?? 48 85 FF 0F 84 90 03 00 00 81 3F 63 73 6D E0 75 1D 83 7F 18 04 75 17 8B 47 20 2D 20 05 93 19 83 F8 02 77 0A 4C 39 67 30 0F 84 3B 03 00 00 E8 ?? ?? ?? ?? 4C 39 60 38 0F 84 8E 00 00 00 E8 ?? ?? ?? ?? 4C 8B 70 38 E8 ?? ?? ?? ?? 49 8B D6 48 8B CF 4C 89 60 38 E8 ?? ?? ?? ?? 84 C0 75 69 45 8B FC 45 39 26 0F 8E 05 03 00 00 49 8B F4 E8 ?? ?? ?? ?? 49 63 4E 04 48 03 C6 44 39 64 01 04 74 1B E8 ?? ?? ?? ?? 49 63 4E 04 48 03 C6 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 03 49 8B C4 48 8D 48 08 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 BF 02 00 00 41 FF C7 48 83 C6 14 45 3B 3E 7C AB E9 A8 02 00 00 4C 8B 75 57 81 3F 63 73 6D E0 0F 85 35 02 00 00 83 7F 18 04 0F 85 2B 02 00 00 8B 47 20 2D 20 05 93 19 83 F8 02 0F 87 1A 02 00 00 44 39 63 0C 0F 86 4E 01 00 00 44 8B 45 77 48 8D 45 D7 4C 89 7C 24 30 44 8B CE 48 89 44 24 28 48 8B D3 48 8D 45 CB 49 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4D CB 8B 55 D7 3B CA 0F 83 17 01 00 00 4C 8D 70 10 41 39 76 F0 0F 8F EB 00 00 00 41 3B 76 F4 0F 8F E1 00 00 00 E8 ?? ?? ?? ?? 4D 63 26 4C 03 E0 41 8B 46 FC 89 45 D3 85 C0 0F 8E C1 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 30 48 83 C0 04 48 63 51 0C 48 03 C2 48 89 45 DF E8 ?? ?? ?? ?? 48 8B 4F 30 48 63 51 0C 8B 0C 10 89 4D CF 85 C9 7E 37 E8 ?? ?? ?? ?? 48 8B 4D DF 4C 8B 47 30 48 63 09 48 03 C1 49 8B CC 48 8B D0 48 89 45 E7 E8 ?? ?? ?? ?? 85 C0 75 1C 8B 45 CF 48 83 45 DF 04 FF C8 89 45 CF 85 C0 7F C9 8B 45 D3 FF C8 49 83 C4 14 EB 84 8A 45 6F 4D 8B CF 4C 8B 45 57 49 8B D5 88 44 24 58 48 8B CF 8A 45 C7 88 44 24 50 48 8B 45 7F 48 89 44 24 48 8B 45 77 89 44 24 40 49 8D 46 F0 48 89 44 24 38 48 8B 45 E7 48 89 44 24 30 4C 89 64 24 28 48 89 5C 24 20 C6 45 C8 01 E8 ?? ?? ?? ?? 8B 55 D7 8B 4D CB FF C1 49 83 C6 14 89 4D CB 3B CA 0F 82 FA FE FF FF 45 33 E4 44 38 65 C8 0F 85 B2 00 00 00 8B 03 25 FF FF FF 1F 3D 21 05 93 19 0F 82 A0 00 00 00 44 39 63 20 74 0E E8 ?? ?? ?? ?? 48 63 4B 20 48 03 C1 EB 03 49 8B C4 48 85 C0 75 15 F6 43 24 04 74 7E 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 85 C0 75 6F F6 43 24 04 0F 85 08 01 00 00 44 39 63 20 74 11 E8 ?? ?? ?? ?? 48 8B D0 48 63 43 20 48 03 D0 EB 03 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 3F 4C 8D 4D E7 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? 8A 4D 6F 4C 8B C8 4C 8B 45 57 48 8B D7 88 4C 24 40 49 8B CD 4C 89 7C 24 38 48 89 5C 24 30 83 4C 24 28 FF 4C 89 64 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 39 60 38 74 41 E9 99 00 00 00 44 39 63 0C 76 EA 44 38 65 6F 0F 85 8F 00 00 00 48 8B 45 7F 4D 8B CF 48 89 44 24 38 4D 8B C6 8B 45 77 49 8B D5 89 44 24 30 48 8B CF 89 74 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? EB B4 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC B2 01 48 8B CF E8 ?? ?? ?? ?? 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F7 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_3_13_3 {
	meta:
		name = "?FindHandlerForForeignException@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@HH1@Z"
		size = 618
		refs = "0032 __vcrt_getptd 0051 __imp_EncodePointer 0097 _CallSETranslator 00de ?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z 010c _GetImageBase 022a ?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z 0265 terminate"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 81 39 03 00 00 80 4D 8B F9 49 8B F8 4C 8B E2 48 8B F1 0F 84 1B 02 00 00 E8 ?? ?? ?? ?? 44 8B AC 24 E0 00 00 00 48 8B AC 24 D0 00 00 00 48 83 78 10 00 74 56 33 C9 FF 15 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 39 58 10 74 40 81 3E 4D 4F 43 E0 74 38 81 3E 52 43 43 E0 74 30 48 8B 84 24 E8 00 00 00 4D 8B CF 48 89 44 24 30 4C 8B C7 44 89 6C 24 28 49 8B D4 48 8B CE 48 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 A9 01 00 00 83 7D 0C 00 0F 84 B7 01 00 00 44 8B B4 24 D8 00 00 00 48 8D 44 24 60 4C 89 7C 24 30 45 8B CE 48 89 44 24 28 45 8B C5 48 8D 84 24 B0 00 00 00 48 8B D5 49 8B CC 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 8C 24 B0 00 00 00 3B 4C 24 60 0F 83 59 01 00 00 48 8D 78 0C 44 3B 77 F4 0F 8C 34 01 00 00 44 3B 77 F8 0F 8F 2A 01 00 00 E8 ?? ?? ?? ?? 8B 0F FF C9 48 63 C9 48 8D 14 89 48 8D 0C 90 48 63 47 04 83 7C 08 04 00 74 27 E8 ?? ?? ?? ?? 8B 0F FF C9 48 63 C9 48 8D 14 89 48 8D 0C 90 48 63 47 04 48 63 5C 08 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 85 C0 74 52 E8 ?? ?? ?? ?? 8B 0F FF C9 48 63 C9 48 8D 14 89 48 8D 0C 90 48 63 47 04 83 7C 08 04 00 74 27 E8 ?? ?? ?? ?? 8B 0F FF C9 48 63 C9 48 8D 14 89 48 8D 0C 90 48 63 47 04 48 63 5C 08 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 80 78 10 00 0F 85 84 00 00 00 E8 ?? ?? ?? ?? 8B 0F FF C9 48 63 C9 48 8D 14 89 48 8D 0C 90 48 63 47 04 F6 04 08 40 75 66 E8 ?? ?? ?? ?? 8B 0F 4D 8B CF 4C 8B 84 24 C0 00 00 00 FF C9 C6 44 24 58 00 C6 44 24 50 01 48 63 C9 48 8D 14 89 48 63 4F 04 48 8D 04 90 49 8B D4 48 03 C8 48 8B 84 24 E8 00 00 00 48 89 44 24 48 48 8D 47 F4 44 89 6C 24 40 48 89 44 24 38 48 83 64 24 30 00 48 89 4C 24 28 48 8B CE 48 89 6C 24 20 E8 ?? ?? ?? ?? 8B 8C 24 B0 00 00 00 FF C1 48 83 C7 14 89 8C 24 B0 00 00 00 3B 4C 24 60 0F 82 AB FE FF FF 48 8B 9C 24 B8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_3_14_3 {
	meta:
		name = "?IsInExceptionSpec@@YAEPEAUEHExceptionRecord@@PEBU_s_ESTypeList@@@Z"
		size = 210
		refs = "0035 _GetThrowImageBase 0078 _GetImageBase 008f __TypeMatch 00cd terminate"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B F2 4C 8B E9 48 85 D2 0F 84 A1 00 00 00 45 32 F6 33 FF 39 3A 7E 78 E8 ?? ?? ?? ?? 48 8B D0 49 8B 45 30 4C 63 78 0C 49 83 C7 04 4C 03 FA E8 ?? ?? ?? ?? 48 8B D0 49 8B 45 30 48 63 48 0C 8B 2C 0A 85 ED 7E 44 48 63 C7 4C 8D 24 80 E8 ?? ?? ?? ?? 48 8B D8 49 63 07 48 03 D8 E8 ?? ?? ?? ?? 48 63 4E 04 48 8B D3 4D 8B 45 30 4A 8D 04 A0 48 03 C8 E8 ?? ?? ?? ?? 85 C0 75 0C FF CD 49 83 C7 04 85 ED 7F C8 EB 03 41 B6 01 FF C7 3B 3E 7C 88 48 8B 5C 24 50 41 8A C6 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_3_15_3 {
	meta:
		name = "?Is_bad_exception_allowed@@YAEPEBU_s_ESTypeList@@@Z"
		size = 136
		refs = "0020 _GetImageBase 0056 ??_R0?AVbad_exception@std@@@8 005b __std_type_info_compare"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 48 8B F9 39 29 7E 50 33 F6 E8 ?? ?? ?? ?? 48 63 4F 04 48 03 C6 83 7C 01 04 00 74 1B E8 ?? ?? ?? ?? 48 63 4F 04 48 03 C6 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 8D 48 08 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 21 FF C5 48 83 C6 14 3B 2F 7C B2 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 B0 01 EB E7 }
	condition:
		$1
}

rule file_3_22_3 {
	meta:
		name = "?__RethrowException@@YAXPEAUEHExceptionRecord@@@Z"
		size = 20
		refs = "0010 __imp_RaiseException"
	strings:
		$1 = { 44 8B 41 18 4C 8D 49 20 8B 51 04 8B 09 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_26_3 {
	meta:
		name = "__AdjustPointer"
		size = 35
	strings:
		$1 = { 48 63 02 48 03 C1 83 7A 04 00 7C 16 4C 63 4A 04 48 63 52 08 49 8B 0C 09 4C 63 04 0A 4D 03 C1 49 03 C0 C3 }
	condition:
		$1
}

rule file_3_27_3 {
	meta:
		name = "__BuildCatchObject"
		size = 193
		refs = "002f __BuildCatchObjectHelper 0043 _GetThrowImageBase 005a __AdjustPointer 006e ?_CallMemberFunction2@@YAXPEAXP6AX0@Z0H@Z 009f ?_CallMemberFunction1@@YAXPEAXP6AX0@Z0@Z 00a6 terminate"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 49 8B F9 4C 8B F1 33 DB 41 39 18 7D 05 48 8B F2 EB 07 49 63 70 08 48 03 32 E8 ?? ?? ?? ?? 83 E8 01 74 3C 83 F8 01 75 66 39 5F 18 74 0F E8 ?? ?? ?? ?? 48 8B D8 48 63 47 18 48 03 D8 48 8D 57 08 49 8B 4E 28 E8 ?? ?? ?? ?? 4C 8B C0 41 B9 01 00 00 00 48 8B D3 48 8B CE E8 ?? ?? ?? ?? EB 2F 39 5F 18 74 0F E8 ?? ?? ?? ?? 48 8B D8 48 63 47 18 48 03 D8 48 8D 57 08 49 8B 4E 28 E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CE E8 ?? ?? ?? ?? EB 06 E8 ?? ?? ?? ?? 90 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_3_28_3 {
	meta:
		name = "__BuildCatchObjectHelper"
		size = 480
		refs = "0034 _GetImageBase 0097 ?g_OutOfMemoryExceptionCallback@@3P6APEAXXZEA 00a4 _guard_check_icall 00bd terminate 00fa memmove 011a __AdjustPointer 0137 _GetThrowImageBase"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 55 41 56 41 57 48 83 EC 30 4D 8B F1 49 8B D8 48 8B F2 4C 8B E9 33 FF 45 8B 78 04 45 85 FF 74 0E 4D 63 FF E8 ?? ?? ?? ?? 49 8D 14 07 EB 03 48 8B D7 48 85 D2 0F 84 7A 01 00 00 45 85 FF 74 11 E8 ?? ?? ?? ?? 48 8B C8 48 63 43 04 48 03 C8 EB 03 48 8B CF 40 38 79 10 0F 84 57 01 00 00 39 7B 08 75 08 39 3B 0F 8D 4A 01 00 00 8B 0B 85 C9 78 0A 48 63 43 08 48 03 06 48 8B F0 84 C9 79 33 41 F6 06 10 74 2D 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 21 48 8B CB E8 ?? ?? ?? ?? FF D3 48 85 C0 74 0D 48 85 F6 74 08 48 89 06 48 8B C8 EB 59 E8 ?? ?? ?? ?? F6 C1 08 74 18 49 8B 4D 28 48 85 C9 74 0A 48 85 F6 74 05 48 89 0E EB 3C E8 ?? ?? ?? ?? 41 F6 06 01 74 47 49 8B 55 28 48 85 D2 74 39 48 85 F6 74 34 4D 63 46 14 48 8B CE E8 ?? ?? ?? ?? 41 83 7E 14 08 0F 85 AB 00 00 00 48 39 3E 0F 84 A2 00 00 00 48 8B 0E 49 8D 56 08 E8 ?? ?? ?? ?? 48 89 06 E9 8E 00 00 00 E8 ?? ?? ?? ?? 41 8B 5E 18 85 DB 74 0E 48 63 DB E8 ?? ?? ?? ?? 48 8D 0C 03 EB 03 48 8B CF 48 85 C9 75 30 49 8B 4D 28 48 85 C9 74 22 48 85 F6 74 1D 49 63 5E 14 49 8D 56 08 E8 ?? ?? ?? ?? 48 8B D0 4C 8B C3 48 8B CE E8 ?? ?? ?? ?? EB 40 E8 ?? ?? ?? ?? 49 39 7D 28 74 39 48 85 F6 74 34 85 DB 74 11 E8 ?? ?? ?? ?? 48 8B C8 49 63 46 18 48 03 C8 EB 03 48 8B CF 48 85 C9 74 17 41 8A 06 24 04 F6 D8 1B C9 F7 D9 FF C1 8B F9 89 4C 24 20 8B C7 EB 0E E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 90 33 C0 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 30 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_3_29_3 {
	meta:
		name = "__CxxCallCatchBlock"
		size = 490
		refs = "0031 __vcrt_getptd 007e __except_validate_context_record 00a7 _CreateFrameInfo 00e4 _CallSettingFrame 0123 __DestructExceptionObject 014d __imp_RaiseException 0176 _FindAndUnlinkFrame 019f _IsExceptionObjectToBeDestroyed"
	strings:
		$1 = { 40 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8B F9 45 33 FF 44 89 7C 24 20 44 21 BC 24 B0 00 00 00 4C 21 7C 24 28 4C 21 BC 24 C8 00 00 00 E8 ?? ?? ?? ?? 4C 8B 68 28 4C 89 6C 24 40 E8 ?? ?? ?? ?? 48 8B 40 20 48 89 84 24 C0 00 00 00 48 8B 77 50 48 89 B4 24 B8 00 00 00 48 8B 47 48 48 89 44 24 30 48 8B 5F 40 48 8B 47 30 48 89 44 24 48 4C 8B 77 28 4C 89 74 24 50 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 70 20 E8 ?? ?? ?? ?? 48 89 58 28 E8 ?? ?? ?? ?? 48 8B 50 20 48 8B 52 28 48 8D 4C 24 60 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 38 4C 39 7F 58 74 1C C7 84 24 B0 00 00 00 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 48 70 48 89 8C 24 C8 00 00 00 41 B8 00 01 00 00 49 8B D6 48 8B 4C 24 48 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 28 48 8B BC 24 C0 00 00 00 EB 78 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 83 60 40 00 48 8B B4 24 B8 00 00 00 83 BC 24 B0 00 00 00 00 74 21 B2 01 48 8B CE E8 ?? ?? ?? ?? 48 8B 84 24 C8 00 00 00 4C 8D 48 20 44 8B 40 18 8B 50 04 8B 08 EB 0D 4C 8D 4E 20 44 8B 46 18 8B 56 04 8B 0E FF 15 ?? ?? ?? ?? 44 8B 7C 24 20 48 8B 5C 24 28 4C 8B 6C 24 40 48 8B BC 24 C0 00 00 00 4C 8B 74 24 50 4C 8B 64 24 38 49 8B CC E8 ?? ?? ?? ?? 45 85 FF 75 32 81 3E 63 73 6D E0 75 2A 83 7E 18 04 75 24 8B 46 20 2D 20 05 93 19 83 F8 02 77 17 48 8B 4E 28 E8 ?? ?? ?? ?? 85 C0 74 0A B2 01 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 78 20 E8 ?? ?? ?? ?? 4C 89 68 28 48 8B 44 24 30 48 63 48 1C 49 8B 06 48 C7 04 01 FE FF FF FF 48 8B C3 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_3_30_3 {
	meta:
		name = "__CxxCallCatchBlock$filt$0"
		size = 37
		refs = "0019 ?ExFilterRethrow@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEAH@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 89 4D 58 4C 8D 45 20 48 8B 95 B8 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_3_31_3 {
	meta:
		name = "__CxxCallCatchBlock$fin$1"
		size = 120
		refs = "000f _FindAndUnlinkFrame 0040 _IsExceptionObjectToBeDestroyed 004e __DestructExceptionObject 0054 __vcrt_getptd"
	strings:
		$1 = { 40 53 55 48 83 EC 28 48 8B EA 48 8B 4D 38 E8 ?? ?? ?? ?? 83 7D 20 00 75 3A 48 8B 9D B8 00 00 00 81 3B 63 73 6D E0 75 2B 83 7B 18 04 75 25 8B 43 20 2D 20 05 93 19 83 F8 02 77 18 48 8B 4B 28 E8 ?? ?? ?? ?? 85 C0 74 0B B2 01 48 8B CB E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B 8D C0 00 00 00 48 89 48 20 E8 ?? ?? ?? ?? 48 8B 4D 40 48 89 48 28 48 83 C4 28 5D 5B C3 CC }
	condition:
		$1
}

rule file_3_32_3 {
	meta:
		name = "__CxxDetectRethrow"
		size = 68
		refs = "002f __vcrt_getptd"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 34 48 8B 09 81 39 63 73 6D E0 75 29 83 79 18 04 75 23 8B 41 20 2D 20 05 93 19 83 F8 02 77 16 48 83 79 30 00 75 0F E8 ?? ?? ?? ?? FF 40 30 B8 01 00 00 00 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_33_3 {
	meta:
		name = "__CxxExceptionFilter"
		size = 487
		refs = "0086 __vcrt_getptd 009b _GetImageBase 00ac _SetThrowImageBase 00be __imp_RtlPcToFileHeader 00ce _SetImageBase 00eb _GetThrowImageBase 0136 __TypeMatch 015a __BuildCatchObject 016b _local_unwind"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 54 41 56 41 57 48 83 EC 60 48 89 64 24 38 4D 8B E1 41 8B F0 48 8B FA 48 85 C9 75 07 33 C0 E9 99 01 00 00 48 8B 19 48 85 FF 74 06 80 7A 10 00 75 22 81 3B 4D 4F 43 E0 0F 84 40 01 00 00 81 3B 52 43 43 E0 0F 84 34 01 00 00 40 F6 C6 40 0F 84 2A 01 00 00 81 3B 63 73 6D E0 75 C1 83 7B 18 04 75 BB 8B 43 20 2D 20 05 93 19 83 F8 02 77 AE 48 83 7B 30 00 75 15 E8 ?? ?? ?? ?? 48 83 78 20 00 74 9B E8 ?? ?? ?? ?? 48 8B 58 20 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 30 48 8B 4B 38 E8 ?? ?? ?? ?? 90 48 8D 94 24 80 00 00 00 48 8B CF FF 15 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 2B BC 24 80 00 00 00 89 7C 24 44 89 74 24 40 0F BA EE 1F 89 74 24 40 E8 ?? ?? ?? ?? 48 8B 4B 30 48 63 71 0C 48 83 C0 04 48 03 F0 48 89 74 24 28 E8 ?? ?? ?? ?? 48 8B 4B 30 48 63 51 0C 8B 3C 10 89 7C 24 20 85 FF 7E 65 E8 ?? ?? ?? ?? 4C 8B F0 48 63 06 4C 03 F0 4C 8B 43 30 49 8B D6 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 31 E8 ?? ?? ?? ?? FF 40 30 4D 85 E4 74 13 4D 8B CE 4C 8D 44 24 40 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 48 8D 15 62 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? FF CF 89 7C 24 20 48 83 C6 04 48 89 74 24 28 EB 97 49 8B CF E8 ?? ?? ?? ?? E9 9F FE FF FF 81 3B 63 73 6D E0 75 2A 83 7B 18 04 75 24 8B 43 20 2D 20 05 93 19 83 F8 02 77 17 48 83 7B 30 00 75 10 E8 ?? ?? ?? ?? 48 83 78 20 00 0F 84 6D FE FF FF E8 ?? ?? ?? ?? FF 40 30 B8 01 00 00 00 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_3_34_3 {
	meta:
		name = "__CxxExceptionFilter$fin$0"
		size = 26
		refs = "000e _SetImageBase"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 30 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_3_36_3 {
	meta:
		name = "__CxxRegisterExceptionObject"
		size = 172
		refs = "003d __vcrt_getptd 004d _CreateFrameInfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 85 C9 74 64 48 8B 19 48 85 DB 74 5C 81 3B 63 73 6D E0 75 23 83 7B 18 04 75 1D 8B 43 20 2D 20 05 93 19 83 F8 02 77 10 48 83 7B 30 00 75 09 E8 ?? ?? ?? ?? 48 8B 58 20 48 8B 53 28 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 48 20 48 89 4F 10 E8 ?? ?? ?? ?? 48 8B 48 28 48 89 4F 18 E8 ?? ?? ?? ?? 48 89 58 20 EB 0A 48 83 4A 10 FF 48 83 4A 18 FF E8 ?? ?? ?? ?? FF 48 30 E8 ?? ?? ?? ?? 83 78 30 00 7D 09 E8 ?? ?? ?? ?? 83 60 30 00 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_3_37_3 {
	meta:
		name = "__CxxUnregisterExceptionObject"
		size = 294
		refs = "001b _FindAndUnlinkFrame 0024 __vcrt_getptd 0087 _IsExceptionObjectToBeDestroyed 009b __DestructExceptionObject"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 10 FF 8B FA 48 8B D9 0F 84 01 01 00 00 E8 ?? ?? ?? ?? 85 FF 75 7C E8 ?? ?? ?? ?? 48 8B 48 20 81 39 63 73 6D E0 75 6B E8 ?? ?? ?? ?? 48 8B 48 20 83 79 18 04 75 5C E8 ?? ?? ?? ?? 48 8B 48 20 81 79 20 20 05 93 19 74 24 E8 ?? ?? ?? ?? 48 8B 48 20 81 79 20 21 05 93 19 74 12 E8 ?? ?? ?? ?? 48 8B 48 20 81 79 20 22 05 93 19 75 26 E8 ?? ?? ?? ?? 48 8B 48 20 48 8B 49 28 E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? B2 01 48 8B 48 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 48 20 81 39 63 73 6D E0 75 51 E8 ?? ?? ?? ?? 48 8B 48 20 83 79 18 04 75 42 E8 ?? ?? ?? ?? 48 8B 48 20 81 79 20 20 05 93 19 74 24 E8 ?? ?? ?? ?? 48 8B 48 20 81 79 20 21 05 93 19 74 12 E8 ?? ?? ?? ?? 48 8B 48 20 81 79 20 22 05 93 19 75 0C 85 FF 74 08 E8 ?? ?? ?? ?? FF 48 30 E8 ?? ?? ?? ?? 48 8B 4B 10 48 89 48 20 E8 ?? ?? ?? ?? 48 8B 4B 18 48 89 48 28 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_3_38_3 {
	meta:
		name = "__DestructExceptionObject$filt$0"
		size = 24
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 33 C0 38 45 38 0F 95 C0 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_3_39_3 {
	meta:
		name = "__FrameUnwindFilter"
		size = 74
		refs = "0022 __vcrt_getptd 0045 terminate"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 52 43 43 E0 74 12 81 38 4D 4F 43 E0 74 0A 81 38 63 73 6D E0 75 15 EB 1A E8 ?? ?? ?? ?? 83 78 30 00 7E 08 E8 ?? ?? ?? ?? FF 48 30 33 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? 83 60 30 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_3_40_3 {
	meta:
		name = "__FrameUnwindToState"
		size = 403
		refs = "002f _GetImageBase 0042 ?__GetCurrentState@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 0049 __vcrt_getptd 00cf ?__SetState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 0112 _CallSettingFrame 011c _SetImageBase 014a terminate"
	strings:
		$1 = { 48 8B C4 44 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 8B E1 49 8B F0 4C 8B EA 4C 8B F9 E8 ?? ?? ?? ?? 48 89 44 24 28 4C 8B C6 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? FF 40 30 83 FF FF 0F 84 F6 00 00 00 41 3B FC 0F 8E ED 00 00 00 83 FF FF 0F 8E DE 00 00 00 3B 7E 04 0F 8D D5 00 00 00 4C 63 F7 E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 8B 3C 01 89 7C 24 20 E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 83 7C 01 04 00 74 1C E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 85 C0 74 5E 44 8B CF 4C 8B C6 49 8B D5 49 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 83 7C 01 04 00 74 1C E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 F0 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 41 B8 03 01 00 00 49 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 28 E8 ?? ?? ?? ?? EB 1E 44 8B A4 24 88 00 00 00 48 8B B4 24 80 00 00 00 4C 8B 6C 24 78 4C 8B 7C 24 70 8B 7C 24 20 89 7C 24 24 E9 07 FF FF FF E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 83 78 30 00 7E 08 E8 ?? ?? ?? ?? FF 48 30 83 FF FF 74 0B 41 3B FC 7E 06 E8 ?? ?? ?? ?? CC 44 8B CF 4C 8B C6 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_3_41_3 {
	meta:
		name = "__FrameUnwindToState$filt$0"
		size = 22
		refs = "000a __FrameUnwindFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_3_42_3 {
	meta:
		name = "__FrameUnwindToState$fin$1"
		size = 35
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 83 78 30 00 7E 08 E8 ?? ?? ?? ?? FF 48 30 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_3_43_3 {
	meta:
		name = "__GetPlatformExceptionInfo"
		size = 91
		refs = "000d __vcrt_getptd 003e ??_R0?AVbad_alloc@std@@@8 004d _is_exception_typeof"
	strings:
		$1 = { 40 53 48 83 EC 30 83 21 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B 50 20 48 85 D2 74 39 48 8B 42 30 48 85 C0 74 30 F6 00 10 74 0D 48 8B 42 28 48 8B 00 48 8B 40 F8 EB 20 48 83 64 24 28 00 48 8D 0D ?? ?? ?? ?? 48 89 54 24 20 48 8D 54 24 20 E8 ?? ?? ?? ?? 89 03 33 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_3_44_3 {
	meta:
		name = "__InternalCxxFrameHandler"
		size = 598
		refs = "002c __except_validate_context_record 0031 __vcrt_getptd 00cd ?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z 00f0 __FrameUnwindToState 012a ?__FrameUnwindToEmptyState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 0149 _GetImageBase 0196 _GetThrowImageBase 01bb _guard_check_icall 0225 ?FindHandler@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@EH1@Z 024b terminate"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B F1 4D 8B F1 49 8B C8 4D 8B E8 4C 8B FA E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B BC 24 90 00 00 00 33 DB BD FF FF FF 1F BA 22 05 93 19 41 B8 29 00 00 80 41 B9 26 00 00 80 41 BC 01 00 00 00 39 58 40 75 34 81 3E 63 73 6D E0 74 2C 44 39 06 75 10 83 7E 18 0F 75 0A 48 81 7E 60 20 05 93 19 74 17 44 39 0E 74 12 8B 0F 23 CD 3B CA 72 0A 44 84 67 24 0F 85 95 01 00 00 8B 46 04 A8 66 0F 84 94 00 00 00 39 5F 04 0F 84 81 01 00 00 39 9C 24 98 00 00 00 0F 85 74 01 00 00 83 E0 20 74 3F 44 39 0E 75 3A 4D 8B 85 F8 00 00 00 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 0F 8C 70 01 00 00 3B 47 04 0F 8D 67 01 00 00 44 8B C8 49 8B CF 49 8B D6 4C 8B C7 E8 ?? ?? ?? ?? E9 30 01 00 00 85 C0 74 23 44 39 06 75 1E 44 8B 4E 38 41 83 F9 FF 0F 8C 40 01 00 00 44 3B 4F 04 0F 8D 36 01 00 00 48 8B 4E 28 EB C9 4C 8B C7 49 8B D6 49 8B CF E8 ?? ?? ?? ?? E9 F6 00 00 00 39 5F 0C 75 41 8B 07 23 C5 3D 21 05 93 19 72 20 39 5F 20 74 13 E8 ?? ?? ?? ?? 48 63 4F 20 BA 22 05 93 19 48 03 C1 EB 03 48 8B C3 48 85 C0 75 16 8B 07 23 C5 3B C2 0F 82 BA 00 00 00 F6 47 24 04 0F 84 B0 00 00 00 81 3E 63 73 6D E0 75 6F 83 7E 18 03 72 69 39 56 20 76 64 48 8B 46 30 39 58 08 74 12 E8 ?? ?? ?? ?? 48 8B 4E 30 48 63 69 08 48 03 E8 EB 03 48 8B EB 48 85 ED 74 41 0F B6 9C 24 A8 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B 84 24 A0 00 00 00 4D 8B CE 89 5C 24 38 4D 8B C5 48 89 44 24 30 49 8B D7 8B 84 24 98 00 00 00 48 8B CE 89 44 24 28 48 89 7C 24 20 FF D5 EB 3C 48 8B 84 24 A0 00 00 00 4D 8B CE 48 89 44 24 38 4D 8B C5 8B 84 24 98 00 00 00 49 8B D7 89 44 24 30 48 8B CE 8A 84 24 A8 00 00 00 88 44 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 41 8B C4 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_3_45_3 {
	meta:
		name = "__TypeMatch"
		size = 318
		refs = "002f _GetImageBase 008c _GetThrowImageBase"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 8B 71 04 33 DB 4D 8B F0 48 8B EA 48 8B F9 85 F6 74 0E 48 63 F6 E8 ?? ?? ?? ?? 48 8D 0C 06 EB 03 48 8B CB 48 85 C9 0F 84 D9 00 00 00 85 F6 74 0F 48 63 77 04 E8 ?? ?? ?? ?? 48 8D 0C 06 EB 03 48 8B CB 38 59 10 0F 84 BA 00 00 00 F6 07 80 74 0A F6 45 00 10 0F 85 AB 00 00 00 85 F6 74 11 E8 ?? ?? ?? ?? 48 8B F0 48 63 47 04 48 03 F0 EB 03 48 8B F3 E8 ?? ?? ?? ?? 48 8B C8 48 63 45 04 48 03 C8 48 3B F1 74 4B 39 5F 04 74 11 E8 ?? ?? ?? ?? 48 8B F0 48 63 47 04 48 03 F0 EB 03 48 8B F3 E8 ?? ?? ?? ?? 4C 63 45 04 49 83 C0 10 4C 03 C0 48 8D 46 10 4C 2B C0 0F B6 08 42 0F B6 14 00 2B CA 75 07 48 FF C0 85 D2 75 ED 85 C9 74 04 33 C0 EB 39 B0 02 84 45 00 74 05 F6 07 08 74 24 41 F6 06 01 74 05 F6 07 01 74 19 41 F6 06 04 74 05 F6 07 04 74 0E 41 84 06 74 04 84 07 74 05 BB 01 00 00 00 8B C3 EB 05 B8 01 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_3_46_3 {
	meta:
		name = "__current_exception"
		size = 18
		refs = "0005 __vcrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C0 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_47_3 {
	meta:
		name = "__current_exception_context"
		size = 18
		refs = "0005 __vcrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C0 28 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_48_3 {
	meta:
		name = "__processing_throw"
		size = 18
		refs = "0005 __vcrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C0 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_50_3 {
	meta:
		name = "__uncaught_exception"
		size = 21
		refs = "0005 __vcrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 78 30 00 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_51_3 {
	meta:
		name = "__uncaught_exceptions"
		size = 17
		refs = "0005 __vcrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B 40 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_52_3 {
	meta:
		name = "_is_exception_typeof"
		size = 177
		refs = "00a0 terminate"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C9 48 85 D2 0F 84 99 00 00 00 48 8B 12 48 85 D2 0F 84 87 00 00 00 81 3A 63 73 6D E0 75 79 83 7A 18 04 75 73 8B 42 20 2D 20 05 93 19 83 F8 02 77 66 48 8B 42 30 4C 8B 52 38 48 63 48 0C 4D 8D 42 04 4C 03 C1 42 8B 14 11 85 D2 7E 3C 49 8D 59 10 49 63 00 4D 8D 5A 10 4A 63 4C 10 04 48 8B C3 4C 03 D9 4C 2B DB 0F B6 08 46 0F B6 0C 18 41 2B C9 75 08 48 FF C0 45 85 C9 75 EB 85 C9 74 12 FF CA 49 83 C0 04 85 D2 7F C8 33 C0 48 83 C4 20 5B C3 B8 01 00 00 00 EB F3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_4_0_3 {
	meta:
		name = "?__GetCurrentState@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 39
		refs = "001e ?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z"
	strings:
		$1 = { 48 83 EC 28 4D 63 48 1C 4D 8B D0 48 8B 01 41 8B 04 01 83 F8 FE 75 0B 4C 8B 02 49 8B CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_1_3 {
	meta:
		name = "?__GetUnwindTryBlock@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 41
		refs = "000f ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 4C 24 40 49 8B D8 E8 ?? ?? ?? ?? 48 8B 08 48 63 43 1C 48 89 4C 24 40 8B 44 08 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_3_3 {
	meta:
		name = "?__SetUnwindTryBlock@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z"
		size = 59
		refs = "0016 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B F9 49 8B D8 4C 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 08 48 63 43 1C 48 89 4C 24 40 3B 7C 08 04 7E 04 89 7C 08 04 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_5_3 {
	meta:
		name = "?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z"
		size = 108
		refs = "0061 terminate"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B D8 48 85 C9 74 58 4C 63 51 18 4C 8B 4A 08 44 8B 59 14 4B 8D 04 11 48 85 C0 74 3D 45 33 C0 45 85 DB 74 30 4B 8D 0C C2 4A 63 14 09 49 03 D1 48 3B DA 7C 08 41 FF C0 45 3B C3 72 E8 45 85 C0 74 13 41 8D 48 FF 49 8D 04 C9 42 8B 44 10 04 48 83 C4 20 5B C3 83 C8 FF EB F5 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_5_4_3 {
	meta:
		name = "__vcrt_initialize_pure_virtual_call_handler"
		size = 35
		refs = "0003 __security_cookie 001e __pPurecall"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? B9 40 00 00 00 8B C2 83 E0 3F 2B C8 33 C0 48 D3 C8 48 33 C2 48 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_6_0_3 {
	meta:
		name = "__longjmp_internal"
		size = 236
		refs = "00e6 RtlUnwindEx"
	strings:
		$1 = { 48 81 EC 38 05 00 00 48 85 D2 75 03 48 FF C2 4D 33 D2 4C 39 11 0F 85 88 00 00 00 48 8B C2 48 8B 59 08 48 8B 71 20 48 8B 79 28 4C 8B 61 30 4C 8B 69 38 4C 8B 71 40 4C 8B 79 48 0F AE 51 58 DB E2 D9 69 5C 66 0F 6F 71 60 66 0F 6F 79 70 66 44 0F 6F 81 80 00 00 00 66 44 0F 6F 89 90 00 00 00 66 44 0F 6F 91 A0 00 00 00 66 44 0F 6F 99 B0 00 00 00 66 44 0F 6F A1 C0 00 00 00 66 44 0F 6F A9 D0 00 00 00 66 44 0F 6F B1 E0 00 00 00 66 44 0F 6F B9 F0 00 00 00 48 8B 51 50 48 8B 69 18 48 8B 61 10 FF E2 C7 44 24 30 26 00 00 80 44 89 54 24 34 4C 89 54 24 38 4C 89 54 24 40 4C 89 54 24 28 41 FF C2 44 89 54 24 48 48 89 4C 24 50 48 8D 44 24 60 48 89 44 24 20 4C 8B CA 4C 8D 44 24 30 48 8B 51 50 48 8B 09 E8 ?? ?? ?? ?? EB B7 }
	condition:
		$1
}

rule file_7_2_3 {
	meta:
		name = "??0DName@@QEAA@AEAPEBDD@Z"
		size = 224
		refs = "0072 ?disableFlags@UnDecorator@@0KA 008f ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 21 00 48 8B FA C6 41 08 00 41 8A F0 81 61 08 FF 00 FF FF 48 8B D9 48 8B 12 48 85 D2 0F 84 96 00 00 00 80 3A 00 0F 84 87 00 00 00 45 33 C0 4C 8B 0F 41 8A 09 40 3A CE 74 41 8D 41 DC 3C 3B 77 10 49 BA 01 F2 3F E5 FF FF 7F 08 49 0F A3 C2 72 1B 8D 41 9F 3C 19 76 14 80 C1 80 80 F9 7E 76 0C F7 05 ?? ?? ?? ?? 00 00 01 00 74 35 49 8D 41 01 41 FF C0 48 89 07 80 38 00 75 B4 48 8B CB E8 ?? ?? ?? ?? 48 8B 07 8A 08 84 C9 74 1B 48 FF C0 48 89 07 40 3A CE 74 26 48 83 23 00 C6 43 08 03 EB 1C C6 43 08 02 EB 16 80 7B 08 00 75 10 C6 43 08 01 EB 0A C6 41 08 01 EB 04 C6 41 08 02 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_4_3 {
	meta:
		name = "??0DName@@QEAA@D@Z"
		size = 56
		refs = "002b ?doPchar@DName@@AEAAXPEBDH@Z"
		altNames = "??4DName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 88 54 24 10 53 48 83 EC 20 48 83 21 00 48 8B D9 C6 41 08 00 81 61 08 FF 00 FF FF 84 D2 74 10 41 B8 01 00 00 00 48 8D 54 24 38 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_5_3 {
	meta:
		name = "??0DName@@QEAA@PEAV0@@Z"
		size = 133
		refs = "0025 ?heap@@3V_HeapManager@@A 002a ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0036 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 48 85 D2 74 48 45 33 C0 8D 56 10 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 1D 48 8D 0D ?? ?? ?? ?? 48 89 08 8A 4F 08 80 E9 02 80 F9 01 48 0F 46 FE 48 89 78 08 EB 03 48 8B C6 48 89 03 48 F7 D8 1A C0 F6 D0 24 03 88 43 08 EB 07 40 88 71 08 48 89 31 81 63 08 FF 00 FF FF 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_6_3 {
	meta:
		name = "??0DName@@QEAA@PEBD@Z"
		size = 71
		refs = "003a ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 88 4B 08 81 63 08 FF 00 FF FF 48 89 0B 48 85 D2 74 21 48 8B C2 44 8B C1 38 0A 74 17 48 FF C0 41 FF C0 38 08 75 F6 45 85 C0 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_7_3 {
	meta:
		name = "??0DName@@QEAA@W4DNameStatus@@@Z"
		size = 79
		refs = "0031 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 81 61 08 FF 00 FF FF 8D 42 FE 33 FF 48 8B D9 44 8B C2 8D 4F 01 48 89 3B 3B C1 44 0F 47 C7 44 88 43 08 3B D1 75 11 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 04 C6 43 08 03 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_8_3 {
	meta:
		name = "??0DName@@QEAA@XZ"
		size = 19
	strings:
		$1 = { 48 83 21 00 48 8B C1 C6 41 08 00 81 61 08 FF 00 FF FF C3 }
	condition:
		$1
}

rule file_7_9_3 {
	meta:
		name = "??0DName@@QEAA@_J@Z"
		size = 169
		refs = "0009 __security_cookie 008f ?doPchar@DName@@AEAAXPEBDH@Z 009f __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 45 33 DB 4C 8D 4C 24 35 44 88 59 08 4C 8B C2 81 61 08 FF 00 FF FF 48 8B D9 4C 89 19 45 8A D3 44 88 5C 24 35 48 85 D2 79 06 41 B2 01 49 F7 D8 49 FF C9 48 B8 CD CC CC CC CC CC CC CC 49 F7 E0 48 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A C1 41 80 C0 30 45 88 01 4C 8B C2 48 85 D2 75 D0 45 84 D2 74 07 49 FF C9 41 C6 01 2D 4C 8D 44 24 35 49 8B D1 45 2B C1 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_7_10_3 {
	meta:
		name = "??0DName@@QEAA@_K@Z"
		size = 143
		refs = "0009 __security_cookie 0075 ?doPchar@DName@@AEAAXPEBDH@Z 0085 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 45 33 D2 4C 8D 4C 24 34 44 88 51 08 4C 8B C2 81 61 08 FF 00 FF FF 48 8B D9 4C 89 11 44 88 54 24 34 49 FF C9 48 B8 CD CC CC CC CC CC CC CC 49 F7 E0 48 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A C1 41 80 C0 30 45 88 01 4C 8B C2 48 85 D2 75 D0 4C 8D 44 24 34 49 8B D1 45 2B C1 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_7_12_3 {
	meta:
		name = "??0DNameStatusNode@@AEAA@W4DNameStatus@@@Z"
		size = 33
		refs = "0003 ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 33 C0 83 FA 01 44 8D 40 04 41 0F 44 C0 89 41 0C 48 8B C1 C3 }
	condition:
		$1
}

rule file_7_14_3 {
	meta:
		name = "??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z"
		size = 113
		refs = "0011 ?name@UnDecorator@@0PEBDEB 0018 ?gName@UnDecorator@@0PEBDEB 0027 ?maxStringLength@UnDecorator@@0HA 002e ?outputString@UnDecorator@@0PEADEA 0045 ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 004f ?disableFlags@UnDecorator@@0KA 005b ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 0065 ?pArgList@UnDecorator@@0PEAVReplicator@@EA 006c ?fExplicitTemplateParams@UnDecorator@@0_NA"
	strings:
		$1 = { 41 83 CA FF 48 8D 41 58 44 89 11 44 89 10 4C 89 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 45 33 C0 48 85 D2 74 10 44 89 0D ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? EB 0E 4C 89 05 ?? ?? ?? ?? 44 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 44 24 30 89 05 ?? ?? ?? ?? 48 8B 44 24 28 48 89 05 ?? ?? ?? ?? 48 8B C1 48 89 0D ?? ?? ?? ?? 44 88 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_7_15_3 {
	meta:
		name = "??0charNode@@QEAA@D@Z"
		size = 17
		refs = "0003 ??_7charNode@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 88 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_7_16_3 {
	meta:
		name = "??0pDNameNode@@QEAA@PEAVDName@@@Z"
		size = 38
		refs = "0006 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 45 33 C0 48 8D 05 ?? ?? ?? ?? 48 89 01 48 85 D2 74 09 8A 42 08 2C 02 3C 01 76 03 4C 8B C2 4C 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_7_17_3 {
	meta:
		name = "??0pairNode@@QEAA@PEAVDNameNode@@0@Z"
		size = 26
		refs = "0007 ??_7pairNode@@6B@"
	strings:
		$1 = { 83 49 18 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 48 89 51 08 4C 89 41 10 C3 }
	condition:
		$1
}

rule file_7_18_3 {
	meta:
		name = "??0pcharNode@@QEAA@PEBDH@Z"
		size = 136
		refs = "0015 ??_7pcharNode@@6B@ 0032 ?heap@@3V_HeapManager@@A 003a ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B F8 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B F2 48 8B D9 45 85 C0 74 45 48 85 D2 74 40 48 63 D7 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 89 43 08 48 8B C8 89 7B 10 48 85 C0 74 19 85 FF 74 24 48 2B F0 8B D7 8A 04 0E 88 01 48 FF C1 48 83 EA 01 75 F2 EB 0F 83 63 10 00 EB 09 48 83 61 08 00 83 61 10 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_22_3 {
	meta:
		name = "??4DName@@QEAAAEAV0@PEAV0@@Z"
		size = 134
		refs = "0033 ?heap@@3V_HeapManager@@A 0038 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0044 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B FA 40 88 71 08 48 8B D9 81 61 08 FF 00 FF FF 48 89 31 48 85 D2 74 45 45 33 C0 8D 56 10 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 1D 48 8D 0D ?? ?? ?? ?? 48 89 08 8A 4F 08 80 E9 02 80 F9 01 48 0F 46 FE 48 89 78 08 EB 03 48 8B C6 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 03 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_23_3 {
	meta:
		name = "??4DName@@QEAAAEAV0@PEBD@Z"
		size = 61
		refs = "0030 ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B C2 33 C9 44 8B C1 88 4B 08 81 63 08 FF 00 FF FF 48 89 0B 38 0A 74 0A 48 FF C0 41 FF C0 38 08 75 F6 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_24_3 {
	meta:
		name = "??4DName@@QEAAAEAV0@W4DNameStatus@@@Z"
		size = 60
		refs = "001d ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 81 61 08 FF 00 FF FF 48 8B D9 88 51 08 B9 01 00 00 00 3B D1 75 13 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 48 83 23 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_25_3 {
	meta:
		name = "??AReplicator@@QEBA?AVDName@@H@Z"
		size = 71
		refs = "003a ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 41 83 F8 09 77 22 83 39 FF 74 16 44 3B 01 7F 11 49 63 C0 48 8B 4C C1 08 0F 10 01 F3 0F 7F 02 EB 14 BA 02 00 00 00 EB 05 BA 03 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_26_3 {
	meta:
		name = "??BUnDecorator@@QEAAPEADXZ"
		size = 526
		refs = "0022 ?name@UnDecorator@@0PEBDEB 0055 ?gName@UnDecorator@@0PEBDEB 005f ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0066 ??_C@_04HEJADOOB@CV?3?5?$AA@ 0072 ??0DName@@QEAA@PEBD@Z 0086 ??YDName@@QEAAAEAV0@AEBV0@@Z 009c ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00b9 ?disableFlags@UnDecorator@@0KA 014c ??4DName@@QEAAAEAV0@PEBD@Z 0153 ?outputString@UnDecorator@@0PEADEA 016f _guard_check_icall 017b ?heap@@3V_HeapManager@@A 018d ?maxStringLength@UnDecorator@@0HA 01ba ?getString@DName@@QEBAPEADPEADH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 60 8B 4D C8 B8 00 00 FF FF 21 45 D8 23 C8 48 8B 05 ?? ?? ?? ?? BF 00 10 00 00 48 83 65 C0 00 48 83 65 D0 00 89 4D C8 48 85 C0 0F 84 CD 00 00 00 80 38 3F 0F 85 8F 00 00 00 8A 50 01 80 FA 40 75 3E 48 83 05 ?? ?? ?? ?? 02 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B D8 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D C0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 0F 28 4D C0 EB 55 80 FA 24 75 56 33 D2 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 08 66 0F 6F C1 66 0F 73 D8 08 66 0F 7E C0 88 45 C8 3C 02 74 14 85 3D ?? ?? ?? ?? 75 53 48 8B 05 ?? ?? ?? ?? 80 38 00 74 47 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 08 0F 29 4D C0 EB 27 80 FA 3F 75 E9 48 8B 05 ?? ?? ?? ?? 80 78 02 40 75 DC 81 E1 02 00 FF FF 83 C9 02 48 83 65 C0 00 89 4D C8 0F 28 4D C0 80 7D C8 03 75 07 33 C0 E9 DF 00 00 00 80 7D C8 02 74 1B 85 3D ?? ?? ?? ?? 75 0C 48 8B 05 ?? ?? ?? ?? 80 38 00 75 07 66 0F 7F 4D D0 EB 10 48 8B 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 4F 48 8B 7D D0 48 85 FF 74 13 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 1D ?? ?? ?? ?? FF C0 48 63 F8 48 8B CB 48 83 C7 07 89 05 ?? ?? ?? ?? 48 83 E7 F8 E8 ?? ?? ?? ?? 48 8B CF FF D3 48 89 05 ?? ?? ?? ?? 48 85 C0 74 53 44 8B 05 ?? ?? ?? ?? 48 8D 4D D0 48 8B D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8B C8 8A 10 84 D2 74 25 41 B0 20 48 FF C0 41 3A D0 75 0F 44 88 01 EB 03 48 FF C0 44 38 00 74 F8 EB 02 88 11 8A 10 48 FF C1 84 D2 75 DE 8A 00 88 01 48 8B 05 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_7_27_3 {
	meta:
		name = "??H@YA?AVDName@@DAEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@D@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 49 8B D8 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_7_28_3 {
	meta:
		name = "??H@YA?AVDName@@PEBDAEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@PEBD@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 49 8B D8 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_7_29_3 {
	meta:
		name = "??H@YA?AVDName@@W4DNameStatus@@AEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@W4DNameStatus@@@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 49 8B D8 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_7_30_3 {
	meta:
		name = "??HDName@@QEBA?AV0@AEBV0@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_32_3 {
	meta:
		name = "??HDName@@QEBA?AV0@PEAV0@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@PEAV0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_33_3 {
	meta:
		name = "??HDName@@QEBA?AV0@PEBD@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_31_3 {
	meta:
		name = "??HDName@@QEBA?AV0@D@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 41 8A D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_34_3 {
	meta:
		name = "??HDName@@QEBA?AV0@W4DNameStatus@@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 41 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_35_3 {
	meta:
		name = "??YDName@@QEAAAEAV0@AEBV0@@Z"
		size = 64
		refs = "001a ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0033 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 01 48 8B D9 7F 28 48 83 3A 00 75 0B 0F BE 52 08 E8 ?? ?? ?? ?? EB 17 48 83 39 00 75 09 0F 10 02 F3 0F 7F 01 EB 08 48 8B 12 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_36_3 {
	meta:
		name = "??YDName@@QEAAAEAV0@D@Z"
		size = 132
		refs = "003f ?doPchar@DName@@AEAAXPEBDH@Z 004b ?heap@@3V_HeapManager@@A 0054 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0060 ??_7charNode@@6B@ 0072 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 41 B8 01 00 00 00 40 8A FA 48 8B D9 44 38 41 08 7F 5A 84 D2 74 56 48 83 39 00 75 1F 48 83 21 00 88 54 24 30 48 8D 54 24 30 C6 41 08 00 81 61 08 FF 00 FF FF E8 ?? ?? ?? ?? EB 31 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8D 0D ?? ?? ?? ?? 40 88 78 08 48 89 08 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_37_3 {
	meta:
		name = "??YDName@@QEAAAEAV0@PEAV0@@Z"
		size = 149
		refs = "0028 ??4DName@@QEAAAEAV0@PEAV0@@Z 0039 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0045 ?heap@@3V_HeapManager@@A 004e ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 005a ??_7pDNameNode@@6B@ 007e ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 80 79 08 01 48 8B FA 48 8B D9 7F 67 33 F6 48 85 D2 74 60 48 39 31 75 07 E8 ?? ?? ?? ?? EB 54 8A 42 08 3C 01 76 0A 0F BE D0 E8 ?? ?? ?? ?? EB 43 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 85 C0 74 1D 48 8D 0D ?? ?? ?? ?? 48 89 08 8A 4F 08 80 E9 02 80 F9 01 48 0F 46 FE 48 89 78 08 EB 03 48 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_38_3 {
	meta:
		name = "??YDName@@QEAAAEAV0@PEBD@Z"
		size = 138
		refs = "002c ??4DName@@QEAAAEAV0@PEBD@Z 0038 ?heap@@3V_HeapManager@@A 0041 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0065 ??0pcharNode@@QEAA@PEBDH@Z 0073 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 80 79 08 01 48 8B F2 48 8B F9 7F 5C 33 DB 48 85 D2 74 55 38 1A 74 51 48 39 19 75 07 E8 ?? ?? ?? ?? EB 45 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 18 E8 ?? ?? ?? ?? 48 85 C0 74 22 48 8B CE 44 8B C3 38 1E 74 0A 48 FF C1 41 FF C0 38 19 75 F6 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_39_3 {
	meta:
		name = "??YDName@@QEAAAEAV0@W4DNameStatus@@@Z"
		size = 67
		refs = "0024 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 002f ?append@DName@@AEAAXPEAVDNameNode@@@Z 0036 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 01 48 8B D9 7F 2B 48 83 39 00 74 20 8D 42 FE 83 F8 01 76 18 85 D2 74 19 8B CA E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_40_3 {
	meta:
		name = "??YReplicator@@QEAAAEAV0@AEBVDName@@@Z"
		size = 94
		refs = "0021 ?heap@@3V_HeapManager@@A 002a ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 39 09 48 8B FA 48 8B D9 74 3B 48 83 3A 00 74 35 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 8B C8 48 85 C0 74 09 0F 10 07 F3 0F 7F 00 EB 02 33 C9 48 85 C9 74 0A FF 03 48 63 03 48 89 4C C3 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_41_3 {
	meta:
		name = "??_5DName@@QEAAAEAV0@AEBV0@@Z"
		size = 20
	strings:
		$1 = { 80 79 08 03 74 0A 8A 42 08 3C 01 7E 03 88 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_7_42_3 {
	meta:
		name = "?Constructor@_HeapManager@@QEAAXP6APEAX_K@ZP6AXPEAX@Z@Z"
		size = 22
	strings:
		$1 = { 33 C0 48 89 11 48 89 41 20 48 89 41 10 48 89 41 18 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_7_43_3 {
	meta:
		name = "?Destructor@_HeapManager@@QEAAXXZ"
		size = 83
		refs = "0031 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 08 00 48 8B F9 74 34 48 8B 41 10 48 89 41 18 EB 25 48 8B 47 18 48 8B 5F 08 48 8B 08 48 89 4F 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 18 FF D3 48 8B 47 10 48 89 47 18 48 85 C0 75 D6 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_44_3 {
	meta:
		name = "?UScore@UnDecorator@@SAPEBDW4Tokens@@@Z"
		size = 31
		refs = "0002 ?disableFlags@UnDecorator@@0KA 0010 ?tokenTable@@3QBQEBDB"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? F7 D0 A8 01 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 75 04 48 83 C0 02 C3 }
	condition:
		$1
}

rule file_7_45_3 {
	meta:
		name = "?append@DName@@AEAAXPEAVDNameNode@@@Z"
		size = 99
		refs = "001b ?heap@@3V_HeapManager@@A 0024 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0033 ??_7pairNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 85 D2 74 3F 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 20 E8 ?? ?? ?? ?? 48 85 C0 74 19 48 8B 13 48 8D 0D ?? ?? ?? ?? 83 48 18 FF 48 89 08 48 89 50 08 48 89 78 10 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_46_3 {
	meta:
		name = "?composeDeclaration@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 3737
		refs = "0040 ?getTypeEncoding@UnDecorator@@CAHXZ 0075 ??0DName@@QEAA@W4DNameStatus@@@Z 00a3 ??YDName@@QEAAAEAV0@AEBV0@@Z 0164 ?disableFlags@UnDecorator@@0KA 0184 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 0192 ??0DName@@QEAA@D@Z 01de ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 01f3 ??YDName@@QEAAAEAV0@D@Z 021f ?gName@UnDecorator@@0PEBDEB 0271 ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 027d ??0DName@@QEAA@PEBD@Z 02c2 ??_C@_03OPGICMGF@?$HN?8?5?$AA@ 02d0 ??YDName@@QEAAAEAV0@PEBD@Z 02e5 ??_C@_02IGFCGPIL@?$HN?8?$AA@ 02f9 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 046f ??_C@_00CNPNBAHC@?$AA@ 0499 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 05c4 ?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z 05cb ??_C@_01CLKCMJKC@?5?$AA@ 0622 ?heap@@3V_HeapManager@@A 062b ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 067e ??_C@_0N@CBHHHENL@?$GAvtordispex?$HL?$AA@ 070c ??_C@_0L@GHPFDFH@?$GAvtordisp?$HL?$AA@ 075b ??_C@_0L@HNGCOGAE@?$GAadjustor?$HL?$AA@ 0794 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 083e ?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ 088b ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ 08c9 ?getDispatchTarget@UnDecorator@@CA?AVDName@@XZ 0954 ?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z 09e1 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 09f6 ?getScope@UnDecorator@@CA?AVDName@@XZ 0a98 ??_C@_0CB@KJDOOODE@?$GAlocal?5static?5destructor?5helper?8@ 0ac2 ??_C@_0DB@ILEFOCIJ@?$GAtemplate?5static?5data?5member?5con@ 0b01 ??_C@_0DA@HGFJFBBE@?$GAtemplate?5static?5data?5member?5des@ 0bc6 ?getExternalDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0c2c ??_C@_07PGOEDBHP@static?5?$AA@ 0ccf ??_C@_08NIEOINHE@virtual?5?$AA@ 0d3c ??_C@_09LAPHOOG@private?3?5?$AA@ 0d73 ??_C@_0M@GAIFPFIP@protected?3?5?$AA@ 0da4 ??_C@_08GPDDCMKI@public?3?5?$AA@ 0e0b ??_C@_08KJLFOPNE@?$FLthunk?$FN?3?$AA@ 0e43 ??_C@_0M@DHNBOJMP@extern?5?$CCC?$CC?5?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC F0 00 00 00 8B 5C 24 48 4C 8B EA 48 83 64 24 40 00 81 E3 00 00 FF FF 0F 29 70 B8 48 8B F1 89 5C 24 48 0F 29 78 A8 E8 ?? ?? ?? ?? 49 83 7D 00 00 8B F8 74 13 41 F7 45 08 00 02 00 00 74 09 C7 45 7F 01 00 00 00 EB 04 83 65 7F 00 81 FF FF FF 00 00 75 12 BA 02 00 00 00 48 8B CE E8 ?? ?? ?? ?? E9 F3 0D 00 00 81 FF FE FF 00 00 75 26 BA 01 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 49 8B D5 48 8B CE 0F 10 00 F3 0F 7F 06 E8 ?? ?? ?? ?? E9 C5 0D 00 00 81 FF FD FF 00 00 75 0E 41 0F 10 45 00 F3 0F 7F 06 E9 AF 0D 00 00 44 8B F7 41 81 E6 00 80 00 00 0F 84 51 08 00 00 45 33 FF 44 8B C7 41 81 E0 00 18 00 00 41 BC 00 00 00 00 41 81 F8 00 08 00 00 44 89 45 6F BA 00 10 00 00 41 0F 94 C7 25 00 60 00 00 89 45 77 41 8B C7 41 0F 94 C4 F7 D8 1B C9 81 E1 00 F4 FF FF 03 CA 23 CF 89 4D B7 74 0F 8B C7 25 00 1B 00 00 3B C2 0F 84 F9 07 00 00 85 C9 74 2E 8B D7 81 E2 00 1B 00 00 81 FA 00 11 00 00 0F 84 E1 07 00 00 33 C9 41 8B C6 81 FA 00 12 00 00 0F 94 C1 F7 D8 1B C0 85 C1 0F 85 C7 07 00 00 0F BA E7 0E 73 5A 8B 0D ?? ?? ?? ?? C1 E9 02 0B 0D ?? ?? ?? ?? D1 E9 F7 D1 F6 C1 01 48 8D 4C 24 30 0F 84 B5 00 00 00 E8 ?? ?? ?? ?? B2 20 48 8D 4D A7 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 87 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 45 87 66 0F 7F 44 24 40 8B 5C 24 48 44 8B 45 6F 8B 45 B7 33 C9 85 C0 0F 84 BB 01 00 00 41 81 F8 00 18 00 00 0F 85 AE 01 00 00 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 41 0F 10 45 00 B2 7B 48 8D 4D 87 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 45 87 48 8D 54 24 30 48 8D 4D 87 66 0F 7F 45 87 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8D 4D D7 80 38 00 74 57 80 38 41 74 3A BA 02 00 00 00 EB 50 E8 ?? ?? ?? ?? 80 7C 24 48 03 0F 84 70 FF FF FF 80 78 08 01 44 8B 45 6F 0F 8E 66 FF FF FF 0F B6 40 08 81 E3 00 FF FF FF 0B D8 89 5C 24 48 E9 51 FF FF FF 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? BB 00 10 00 00 85 1D ?? ?? ?? ?? 75 48 B2 2C 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 87 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 45 87 48 8D 15 ?? ?? ?? ?? 48 8D 4D 87 66 0F 7F 45 87 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 0F 84 01 06 00 00 8B C1 C1 E8 04 F7 D0 A8 01 0F 84 F2 05 00 00 85 CB 0F 85 EA 05 00 00 B2 20 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 87 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 45 87 48 8D 4D 87 B2 20 66 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 45 87 48 8D 54 24 40 48 8D 4D 87 66 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 75 87 8B 5D 6F 44 8B 6D 77 E9 49 08 00 00 44 8B 65 CF BA 00 00 FF FF 21 55 FF 44 23 E2 21 55 DF 21 55 EF 21 55 AF 48 89 4D F7 48 89 4D D7 48 89 4D E7 48 89 4D A7 48 89 4D C7 44 89 65 CF 85 C0 0F 84 84 00 00 00 45 85 FF 74 65 8B C7 25 00 07 00 00 3D 00 06 00 00 75 2E B2 01 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 B2 01 66 0F 7F 45 F7 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 D7 EB 13 45 85 FF 74 24 8B C7 25 00 07 00 00 3D 00 05 00 00 75 16 B2 01 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 E7 B2 01 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 28 7C 24 30 33 C9 BA 00 00 FF FF EB 04 0F 28 7D A7 45 85 FF 0F 84 95 00 00 00 8B C7 25 00 07 00 00 3D 00 02 00 00 0F 84 83 00 00 00 8B 05 ?? ?? ?? ?? 4C 8D 4D A7 21 55 AF 4C 8D 05 ?? ?? ?? ?? 83 E0 60 C7 44 24 20 01 00 00 00 3C 60 74 27 21 55 CF 48 8D 4C 24 30 48 83 65 A7 00 48 8D 55 C7 48 83 65 C7 00 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 45 C7 EB 39 21 55 8F 48 8D 55 87 48 89 4D A7 48 89 4D 87 48 8D 4C 24 30 E8 ?? ?? ?? ?? 80 7D CF 03 74 1A 80 7C 24 38 01 7E 13 0F B6 44 24 38 41 81 E4 00 FF FF FF 44 0B E0 44 89 65 CF 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 74 38 C1 E9 04 F7 D1 F6 C1 01 74 2E 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 44 24 40 EB 27 48 8D 4C 24 30 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 16 80 78 08 01 7E 10 0F B6 40 08 81 E3 00 FF FF FF 0B D8 89 5C 24 48 49 83 7D 00 00 74 51 48 83 7C 24 40 00 74 3E F7 05 ?? ?? ?? ?? 00 10 00 00 75 32 B2 20 48 8D 4D 87 E8 ?? ?? ?? ?? 49 8B D5 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 0B 41 0F 10 45 00 F3 0F 7F 44 24 40 81 65 8F 00 00 FF FF 45 33 ED 4C 21 6D 87 44 39 6D 7F 74 5F 33 D2 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B D8 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 10 00 00 74 0A 0F 28 44 24 40 E9 A3 FA FF FF 0F 28 75 87 EB 3E 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 74 11 48 83 20 00 C6 40 08 00 81 60 08 FF 00 FF FF EB 03 45 33 ED 49 8B D5 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 30 83 7D B7 00 0F 84 2B 01 00 00 45 85 FF 0F 84 EB 00 00 00 8B C7 25 00 07 00 00 3D 00 06 00 00 75 7B 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 F7 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 B2 2C 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 55 D7 48 8D 4C 24 30 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 B2 2C 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 66 0F 7F 44 24 30 EB 2C 45 85 FF 74 5D 8B C7 25 00 07 00 00 3D 00 05 00 00 75 4F 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 44 24 30 48 8D 55 E7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 B2 2C 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 11 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 66 0F 7F 7C 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? B2 28 48 8D 4D 87 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 4C 24 30 B2 29 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 45 33 FF 81 7D 6F 00 08 00 00 41 0F 94 C7 45 33 E4 44 39 65 77 41 0F 94 C4 45 85 F6 41 8B C4 41 0F 45 C7 85 C0 74 21 45 85 FF 74 0E 8B C7 25 00 07 00 00 3D 00 02 00 00 74 0E 48 8D 55 C7 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8D 4D 97 C1 E8 13 F7 D0 A8 01 74 14 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 1A 80 78 08 01 7E 14 8B 4C 24 48 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4C 24 48 8B 05 ?? ?? ?? ?? 48 8D 4D 97 C1 E8 08 F7 D0 A8 01 74 14 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 26 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 1A 80 78 08 01 7E 14 8B 4C 24 48 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4C 24 48 48 8D 4D 97 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 1A 80 78 08 01 7E 14 8B 4C 24 48 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4C 24 48 8B 05 ?? ?? ?? ?? C1 E8 02 F7 D0 A8 01 74 15 4D 85 ED 74 10 0F 28 44 24 40 F3 41 0F 7F 45 00 E9 66 FA FF FF 0F 28 74 24 40 8B 5D 6F 44 8B 6D 77 E9 AF 02 00 00 49 8B D5 48 8D 4C 24 40 E8 ?? ?? ?? ?? 41 BB 00 7C 00 00 45 85 F6 0F 85 8E 00 00 00 8B C7 41 23 C3 3D 00 68 00 00 75 12 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? E9 14 05 00 00 45 85 F6 75 6B 8B C7 41 23 C3 3D 00 70 00 00 74 DD 3D 00 60 00 00 75 58 33 D2 48 8D 4D 87 E8 ?? ?? ?? ?? 0F 28 44 24 40 48 8D 4C 24 30 B2 7B 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 55 87 48 8D 4C 24 30 66 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 44 24 30 48 8D 15 ?? ?? ?? ?? 48 8B CE F3 0F 7F 06 E8 ?? ?? ?? ?? E9 A4 04 00 00 8B C7 25 00 FC 00 00 41 3B C3 75 55 0F 28 44 24 40 48 8D 15 ?? ?? ?? ?? 48 8B CE F3 0F 7F 06 E8 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8B D0 48 8B CE E8 ?? ?? ?? ?? B2 7D 48 8B CE E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 85 52 04 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? E9 43 04 00 00 45 33 D2 41 B9 00 00 00 00 8B DF 44 8B EF 81 E3 00 18 00 00 81 FB 00 08 00 00 41 0F 94 C2 41 81 E5 00 60 00 00 41 0F 94 C1 45 85 F6 41 8B C1 41 0F 45 C2 F7 D8 45 1B C0 41 81 E0 00 F4 FF FF 41 81 C0 00 10 00 00 44 23 C7 74 25 33 C9 8B C7 25 00 1B 00 00 41 8B D6 3D 00 10 00 00 0F 94 C1 F7 DA 1B C0 85 C1 74 09 48 8D 15 ?? ?? ?? ?? EB 67 45 85 C0 74 25 33 C9 8B C7 25 00 1B 00 00 41 8B D6 3D 00 11 00 00 0F 94 C1 F7 DA 1B C0 85 C1 74 09 48 8D 15 ?? ?? ?? ?? EB 3D 45 85 F6 45 0F 45 CA 41 F7 D9 1B C0 25 00 F4 FF FF 05 00 10 00 00 85 C7 74 2F 33 C9 8B C7 25 00 1B 00 00 41 8B D6 3D 00 12 00 00 0F 94 C1 F7 DA 1B C0 85 C1 74 13 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 15 45 85 F6 75 10 8B C7 41 23 C3 3D 00 78 00 00 0F 84 E6 FA FF FF 45 33 FF 81 FB 00 08 00 00 41 0F 94 C7 45 33 E4 45 85 ED 41 0F 94 C4 45 85 F6 41 8B C4 41 0F 45 C7 F7 D8 1B C0 25 00 F4 FF FF 05 00 10 00 00 85 C7 74 63 33 C9 8B D7 81 E2 00 1B 00 00 41 8B C6 81 FA 00 11 00 00 0F 94 C1 F7 D8 1B C0 85 C1 75 16 33 C9 41 8B C6 81 FA 00 12 00 00 0F 94 C1 F7 D8 1B C0 85 C1 74 2F 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 EB 11 48 8D 54 24 40 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 30 0F 29 74 24 40 45 85 F6 41 8B C4 41 0F 45 C7 85 C0 0F 84 EF 01 00 00 8B 05 ?? ?? ?? ?? C1 E8 09 F7 D0 A8 01 0F 84 07 01 00 00 45 85 F6 41 8B C4 41 B8 00 07 00 00 41 0F 45 C7 85 C0 74 56 33 C9 8B C7 41 23 C0 3D 00 02 00 00 B8 01 00 00 00 0F 94 C1 45 85 F6 0F 45 C1 85 C0 74 38 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 41 B8 00 07 00 00 0F 29 74 24 40 45 85 F6 74 0C 8B C7 41 23 C0 3D 00 01 00 00 74 5A 45 85 F6 41 8B D4 41 0F 45 D7 8B C2 F7 D8 1B C9 81 E1 00 F4 FF FF 81 C1 00 10 00 00 85 CF 74 6C 85 D2 74 0C 8B C7 41 23 C0 3D 00 05 00 00 74 2A 45 85 F6 41 8B CC 41 0F 45 CF 85 C9 74 4E 8B C7 41 23 C0 3D 00 06 00 00 74 10 85 C9 74 3E 8B C7 41 23 C0 3D 00 04 00 00 75 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 8B 05 ?? ?? ?? ?? C1 E8 07 F7 D0 A8 01 0F 84 C2 00 00 00 45 85 F6 41 8B C4 B2 C0 41 0F 45 C7 85 C0 74 21 33 C9 8B C7 22 C2 3C 40 41 8B C7 0F 94 C1 45 85 F6 0F 45 C1 85 C0 74 09 48 8D 15 ?? ?? ?? ?? EB 66 45 85 F6 41 8B C4 41 0F 45 C7 85 C0 74 29 33 C9 8B C7 22 C2 3C 80 0F 94 C1 33 C0 81 FB 00 10 00 00 0F 94 C0 45 85 F6 0F 45 C1 85 C0 74 09 48 8D 15 ?? ?? ?? ?? EB 2F 45 85 F6 45 0F 45 E7 45 85 E4 74 4E 40 84 FA B9 00 00 00 00 0F 94 C1 33 C0 85 DB 0F 94 C0 45 85 F6 0F 45 C1 85 C0 74 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 33 C9 81 FB 00 08 00 00 0F 94 C1 33 C0 45 85 ED 0F 94 C0 45 85 F6 0F 45 C1 B9 00 10 00 00 F7 D8 1B C0 25 00 F4 FF FF 03 C1 85 C7 74 3A 85 0D ?? ?? ?? ?? 75 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 0F BA E7 10 73 2D 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 F3 0F 7F 36 4C 8D 9C 24 F0 00 00 00 48 8B C6 49 8B 5B 40 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_7_57_3 {
	meta:
		name = "?doPchar@DName@@AEAAXPEBDH@Z"
		size = 169
		refs = "003e ?heap@@3V_HeapManager@@A 004c ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 005f ??0pcharNode@@QEAA@PEBDH@Z 0079 ??_7charNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 39 00 41 8B F8 48 8B F2 48 8B D9 74 11 81 61 08 FF 00 FF FF 48 83 21 00 C6 41 08 03 EB 6A 48 85 F6 74 61 85 FF 74 5D 45 33 C0 48 8D 0D ?? ?? ?? ?? 83 FF 01 74 1E 41 8D 50 18 E8 ?? ?? ?? ?? 48 85 C0 74 30 44 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? EB 22 BA 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 11 8A 0E 48 8D 15 ?? ?? ?? ?? 48 89 10 88 48 08 EB 02 33 C0 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 02 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_60_3 {
	meta:
		name = "?doThisTypes@UnDecorator@@SAHXZ"
		size = 18
		refs = "0002 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 33 C0 83 E1 60 80 F9 60 0F 95 C0 C3 }
	condition:
		$1
}

rule file_7_64_3 {
	meta:
		name = "?getArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 322
		refs = "0033 ?gName@UnDecorator@@0PEBDEB 0057 ??YDName@@QEAAAEAV0@D@Z 007c ?pArgList@UnDecorator@@0PEAVReplicator@@EA 0090 ??AReplicator@@QEBA?AVDName@@H@Z 009b ??YDName@@QEAAAEAV0@AEBV0@@Z 00bd ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 00e3 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 012b ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 83 21 00 48 8B D9 C6 41 08 00 BE 01 00 00 00 81 61 08 FF 00 FF FF 80 79 08 00 0F 85 FF 00 00 00 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 84 EF 00 00 00 80 38 5A 0F 84 E6 00 00 00 85 F6 74 04 33 F6 EB 11 B2 2C 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 B7 00 00 00 44 0F BE 00 41 83 E8 30 41 83 F8 09 77 28 48 8B 0D ?? ?? ?? ?? 48 8D 54 24 40 48 FF C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? EB 6E 48 83 64 24 20 00 48 8D 54 24 20 81 64 24 28 00 00 FF FF 48 8D 4C 24 30 48 8B F8 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 2B C7 48 83 F8 01 7E 16 48 8B 0D ?? ?? ?? ?? 83 39 09 74 0A 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 3B C7 75 16 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 48 8B 05 ?? ?? ?? ?? 80 7B 08 00 0F 84 17 FF FF FF EB 0D BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 68 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_7_65_3 {
	meta:
		name = "?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 250
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0028 ?getArgumentList@UnDecorator@@CA?AVDName@@XZ 0052 ??0DName@@QEAA@W4DNameStatus@@@Z 0063 ??_C@_0M@ELJOJFFH@?0?$DMellipsis?$DO?$AA@ 007e ?disableFlags@UnDecorator@@0KA 008c ??_C@_04EENFHACM@?0?4?4?4?$AA@ 0095 ??YDName@@QEAAAEAV0@PEBD@Z 00b6 ??_C@_0L@EGPHHEKN@?$DMellipsis?$DO?$AA@ 00d1 ??_C@_03KHICJKCI@?4?4?4?$AA@ 00e1 ??_C@_04GKJNKENE@void?$AA@ 00ed ??0DName@@QEAA@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 58 0F 84 C2 00 00 00 80 38 5A 0F 84 8E 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 80 7C 24 28 00 75 66 48 8B 05 ?? ?? ?? ?? 80 38 00 74 5A 80 38 40 74 60 80 38 5A 74 12 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 96 00 00 00 0F 28 44 24 20 48 8D 15 ?? ?? ?? ?? 48 FF C0 66 0F 7F 44 24 20 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 20 8B 05 ?? ?? ?? ?? C1 E8 12 F7 D0 A8 01 48 8D 05 ?? ?? ?? ?? 48 0F 45 D0 E8 ?? ?? ?? ?? 0F 28 44 24 20 F3 0F 7F 03 EB 4D 48 FF C0 48 89 05 ?? ?? ?? ?? EB E9 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? C1 E8 12 F7 D0 A8 01 48 8D 05 ?? ?? ?? ?? 48 0F 45 D0 EB 11 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_7_66_3 {
	meta:
		name = "?getArrayType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 571
		refs = "001e ?gName@UnDecorator@@0PEBDEB 0035 ?getNumberOfDimensions@UnDecorator@@CAHXZ 004c ??0DName@@QEAA@D@Z 0060 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0074 ??YDName@@QEAAAEAV0@D@Z 0098 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 00a1 ??YDName@@QEAAAEAV0@PEBD@Z 00c2 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00e4 ??YDName@@QEAAAEAV0@AEBV0@@Z 0182 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 01c4 ??_C@_02GOGNNPBN@?$CJ?$FL?$AA@ 021a ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 45 33 FF 48 8B F2 4C 8B F1 44 38 38 0F 84 65 01 00 00 E8 ?? ?? ?? ?? 85 C0 8B F8 41 0F 48 FF 85 FF 75 3C B2 5B 48 8D 4D D0 E8 ?? ?? ?? ?? 8D 57 01 48 8D 4D C0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 0F 28 45 C0 48 8D 4D B0 B2 5D 66 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 55 B0 E9 95 01 00 00 81 65 B8 00 00 FF FF F7 46 08 00 08 00 00 4C 89 7D B0 74 74 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? EB 62 8B C7 FF CF 85 C0 74 60 48 8B 05 ?? ?? ?? ?? 44 38 38 74 54 33 D2 48 8D 4D E0 E8 ?? ?? ?? ?? B2 5B 48 8D 4D F0 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 48 8D 4D D0 B2 5D 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D B0 E8 ?? ?? ?? ?? 80 7D B8 01 7E 98 4C 39 3E 74 65 F7 46 08 00 08 00 00 74 0A 0F 10 06 F3 0F 7F 45 D0 EB 3C B2 28 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B D6 48 8D 4D D0 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 48 8D 4D D0 B2 29 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 D0 48 8D 55 B0 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 B0 48 8D 55 B0 48 8D 4D C0 E8 ?? ?? ?? ?? 0F BA 6D C8 0B 0F 10 45 C0 F3 41 0F 7F 06 E9 85 00 00 00 48 8D 4D F0 4C 39 3A 74 3F B2 28 E8 ?? ?? ?? ?? 48 8B D6 48 8D 4D D0 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 D0 EB 0F B2 5B E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 D0 BA 01 00 00 00 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 28 45 D0 48 8D 4D C0 B2 5D 66 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 55 C0 49 8B CE E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B C6 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_7_67_3 {
	meta:
		name = "?getBasedType@UnDecorator@@CA?AVDName@@XZ"
		size = 189
		refs = "0008 ?disableFlags@UnDecorator@@0KA 0012 ?tokenTable@@3QBQEBDB 0026 ??0DName@@QEAA@PEBD@Z 002d ?gName@UnDecorator@@0PEBDEB 0059 ??0DName@@QEAA@W4DNameStatus@@@Z 0065 ?getScopedName@UnDecorator@@CA?AVDName@@XZ 0072 ??YDName@@QEAAAEAV0@AEBV0@@Z 007b ??_C@_04GKJNKENE@void?$AA@ 0085 ??YDName@@QEAAAEAV0@PEBD@Z 0096 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 009d ??_C@_02KCKGHPCA@?$CJ?5?$AA@"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 05 ?? ?? ?? ?? 48 8B D9 48 8B 15 ?? ?? ?? ?? F7 D0 A8 01 75 04 48 83 C2 02 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 80 39 00 74 55 0F BE 01 48 FF C1 48 89 0D ?? ?? ?? ?? 83 F8 30 74 30 83 F8 32 74 12 83 F8 35 75 48 8D 50 CD 48 8B CB E8 ?? ?? ?? ?? EB 55 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB 22 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB 0F BA 01 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 03 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_7_68_3 {
	meta:
		name = "?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 1090
		refs = "0018 ?gName@UnDecorator@@0PEBDEB 007d ??_C@_05KNFBNCOH@float?$AA@ 0086 ??4DName@@QEAAAEAV0@PEBD@Z 0092 ??_C@_04GOKPGOLB@long?$AA@ 009b ??_C@_03JBIPMCLC@int?$AA@ 00a4 ??_C@_05BFKKPKCG@short?$AA@ 00ad ??_C@_04ENMBGAPA@char?$AA@ 0120 ??_C@_06EBGKOKIG@__int8?$AA@ 0137 ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 013e ??_C@_06GCICPBLB@__w64?5?$AA@ 014a ??0DName@@QEAA@PEBD@Z 016a ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 0176 ??_C@_07ICFHOGAF@__int16?$AA@ 019b ??_C@_08GAHOLHEO@__int128?$AA@ 01a4 ??_C@_07LFCOJCAC@__int64?$AA@ 01b0 ??_C@_07OFLPPHGP@__int32?$AA@ 01bc ??_C@_04DDKJGDCM@bool?$AA@ 01f9 ?getECSUDataType@UnDecorator@@CA?AVDName@@XZ 021e ??_C@_07NFANNNEC@UNKNOWN?$AA@ 022a ??_C@_07CLGGIAMF@wchar_t?$AA@ 0236 ??_C@_08IECNCBKG@char32_t?$AA@ 0242 ??_C@_08HBIPOFJB@char16_t?$AA@ 024e ??_C@_09EEKGDCPH@?$DMunknown?$DO?$AA@ 0281 ??_C@_00CNPNBAHC@?$AA@ 0295 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z 02a1 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 02aa ??YDName@@QEAAAEAV0@PEBD@Z 02ba ??_C@_04GKJNKENE@void?$AA@ 02f6 ??_C@_05CJIMAING@long?5?$AA@ 0306 ??_C@_06BNJCAIGJ@double?$AA@ 0343 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 034c ??_C@_07EDHNAJHC@signed?5?$AA@ 036a ??YDName@@QEAAAEAV0@AEBV0@@Z 0384 ??0DName@@QEAA@D@Z 03c0 ??_C@_05BNCCCJPP@const?$AA@ 03d5 ??_C@_09EFNPDFFP@?5volatile?$AA@ 03ec ??_C@_08PABEKFH@volatile?$AA@ 03fc ??_C@_01NBENCBCI@?$CK?$AA@ 041c ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 8B EC 48 83 EC 50 48 8B F9 48 8B F2 48 8B 0D ?? ?? ?? ?? 8A 01 88 45 38 84 C0 0F 84 E9 03 00 00 48 83 65 D0 00 48 FF C1 81 65 D8 00 00 FF FF 83 CB FF 0F B6 C0 48 89 0D ?? ?? ?? ?? C6 45 30 00 83 F8 4E 77 65 0F 84 AF 02 00 00 83 F8 43 0F 82 6D 02 00 00 83 F8 45 76 48 83 F8 47 76 3A 83 F8 49 76 2C 83 F8 4B 76 1E 83 F8 4D 0F 85 50 02 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? E9 8D 02 00 00 48 8D 15 ?? ?? ?? ?? EB E9 48 8D 15 ?? ?? ?? ?? EB E0 48 8D 15 ?? ?? ?? ?? EB D7 48 8D 15 ?? ?? ?? ?? EB CE 83 F8 4F 0F 84 37 02 00 00 0F 86 08 02 00 00 83 F8 53 0F 86 F8 01 00 00 83 F8 58 0F 84 E3 01 00 00 83 F8 5F 0F 85 ED 01 00 00 0F B6 19 48 FF C1 48 89 0D ?? ?? ?? ?? 8B C3 83 FB 4E 0F 87 D0 00 00 00 83 F8 4E 0F 84 BB 00 00 00 83 F8 47 77 79 83 F8 46 73 6B 85 C0 74 4A 83 F8 24 74 21 83 C0 BC 83 F8 01 0F 87 FE 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? E9 ED 01 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B D8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B D3 E9 CD 02 00 00 48 FF C9 BA 01 00 00 00 48 89 0D ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? E9 AC 01 00 00 48 8D 15 ?? ?? ?? ?? EB A8 83 F8 48 0F 82 96 00 00 00 83 F8 49 76 23 83 F8 4B 76 12 83 F8 4D 0F 87 83 00 00 00 48 8D 15 ?? ?? ?? ?? EB 83 48 8D 15 ?? ?? ?? ?? E9 77 FF FF FF 48 8D 15 ?? ?? ?? ?? E9 6B FF FF FF 48 8D 15 ?? ?? ?? ?? E9 5F FF FF FF 83 F8 4F 0F 84 89 00 00 00 83 F8 52 74 78 83 F8 53 74 67 83 F8 55 74 56 83 F8 57 74 45 83 C0 A8 83 F8 01 77 31 48 FF C9 48 89 0D ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 66 48 0F 7E C0 0F 29 45 D0 48 85 C0 0F 85 0D 01 00 00 F3 0F 7F 07 E9 17 02 00 00 48 8D 15 ?? ?? ?? ?? E9 FD FE FF FF 48 8D 15 ?? ?? ?? ?? E9 F1 FE FF FF 48 8D 15 ?? ?? ?? ?? E9 E5 FE FF FF 48 8D 15 ?? ?? ?? ?? E9 D9 FE FF FF 48 8D 15 ?? ?? ?? ?? E9 CD FE FF FF BB FE FF FF FF 0F 10 06 48 83 65 D0 00 81 65 D8 00 00 FF FF F3 0F 7F 45 E0 83 FB FE 0F 85 39 01 00 00 BB 00 08 00 00 4C 8D 0D ?? ?? ?? ?? 09 5D E8 4C 8D 45 E0 48 8D 55 D0 48 8D 4D F0 E8 ?? ?? ?? ?? 85 5D F8 75 10 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 45 F0 E9 5B FF FF FF 48 8D 15 ?? ?? ?? ?? E9 BE FD FF FF 8B D8 83 E3 03 EB 49 48 FF C9 48 89 0D ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 66 48 0F 7E C0 0F 29 45 D0 48 85 C0 75 2E E9 1F FF FF FF 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 83 FB FF 0F 85 40 FF FF FF 8A 5D 30 8A 4D 38 80 F9 43 74 22 8D 41 BB A8 F9 74 12 80 F9 5F 75 44 80 EB 45 80 FB 08 77 3C F6 C3 01 75 37 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D F0 0F 10 00 F3 0F 7F 45 F0 E8 ?? ?? ?? ?? 0F 28 45 F0 66 0F 7F 45 D0 48 83 3E 00 74 2C B2 20 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B D6 48 8D 4D F0 0F 10 00 F3 0F 7F 45 F0 E8 ?? ?? ?? ?? 48 8D 55 F0 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 28 45 D0 E9 60 FE FF FF 48 83 3E 00 75 41 F6 C3 01 74 27 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? F6 C3 02 74 27 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? EB 15 F6 C3 02 74 10 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 8B CF 4C 8D 45 E0 48 8D 55 D0 E8 ?? ?? ?? ?? EB 20 BA 01 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B D6 0F 10 00 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 70 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_7_69_3 {
	meta:
		name = "?getCallIndex@UnDecorator@@CA?AVDName@@XZ"
		size = 25
		refs = "000c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		altNames = "?getGuardNumber@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_70_3 {
	meta:
		name = "?getCallingConvention@UnDecorator@@CA?AVDName@@XZ"
		size = 255
		refs = "000d ?gName@UnDecorator@@0PEBDEB 0041 ??0DName@@QEAA@W4DNameStatus@@@Z 0047 ?disableFlags@UnDecorator@@0KA 0084 ?tokenTable@@3QBQEBDB 00d8 ??4DName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 8B F9 80 38 00 0F 84 CA 00 00 00 0F BE 18 BA 02 00 00 00 48 FF C0 83 EB 41 48 89 05 ?? ?? ?? ?? 83 FB 10 0F 87 B1 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 0F 84 83 00 00 00 83 E3 FE 74 62 83 FB 02 74 54 83 FB 04 74 46 83 FB 06 74 38 83 FB 08 74 2A 83 FB 0C 74 1C 83 FB 0E 74 0E 83 FB 10 75 5B 48 8B 15 ?? ?? ?? ?? EB 3D 48 8B 15 ?? ?? ?? ?? EB 34 48 8B 15 ?? ?? ?? ?? EB 2B 48 8B 15 ?? ?? ?? ?? EB 22 48 8B 15 ?? ?? ?? ?? EB 19 48 8B 15 ?? ?? ?? ?? EB 10 48 8B 15 ?? ?? ?? ?? EB 07 48 8B 15 ?? ?? ?? ?? F7 D1 F6 C1 01 75 04 48 83 C2 02 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 07 EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_7_71_3 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
		size = 1845
		refs = "0037 ?gName@UnDecorator@@0PEBDEB 0073 ?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AEAPEBDAEA_NH@Z 00cc ?disableFlags@UnDecorator@@0KA 0114 ?tokenTable@@3QBQEBDB 0131 ??YDName@@QEAAAEAV0@D@Z 0146 ??YDName@@QEAAAEAV0@PEBD@Z 01f8 ??4DName@@QEAAAEAV0@PEBD@Z 02d5 ??0DName@@QEAA@PEBD@Z 02eb ??YDName@@QEAAAEAV0@AEBV0@@Z 0386 ??_C@_02MOLJINC@?3?3?$AA@ 03c2 ?getScope@UnDecorator@@CA?AVDName@@XZ 03ce ??0DName@@QEAA@W4DNameStatus@@@Z 0462 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 048f ?getBasedType@UnDecorator@@CA?AVDName@@XZ 04ed ??_C@_09GAIEOBLP@volatile?5?$AA@ 0520 ??_C@_06LIJLOJAG@const?5?$AA@ 0553 ??_C@_02KJPKDIBN@?$CG?5?$AA@ 0576 ??_C@_03PCKGMOPB@?$CG?$CG?5?$AA@ 05b6 ??0DName@@QEAA@D@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 20 4C 89 40 18 55 41 54 41 55 41 56 41 57 48 8D 68 A9 48 81 EC 90 00 00 00 33 F6 0F 29 70 C8 0F 29 78 B8 4C 8B F2 48 8B 05 ?? ?? ?? ?? BA 00 00 FF FF 21 55 F7 4D 8B F9 48 8B D9 48 89 75 EF 40 88 75 BF 40 38 30 0F 84 0C 06 00 00 80 38 24 44 8B 65 7F 75 2C 45 8B CC 4C 8D 45 BF 48 8D 55 6F 48 8D 4D DF E8 ?? ?? ?? ?? 48 39 75 DF 74 0D 0F 10 45 DF F3 0F 7F 03 E9 7D 06 00 00 BA 00 00 FF FF 48 8B 05 ?? ?? ?? ?? 4C 8B EE 48 89 75 CF 48 89 75 DF 40 88 75 C0 0F BE 08 B8 16 00 00 00 8B F9 40 88 75 C1 44 8D 40 2B 41 3A C8 41 0F 4D C0 21 55 E7 2B F8 21 55 D7 0F 28 7D CF 8B 15 ?? ?? ?? ?? 8B C7 83 E8 04 0F 84 2B 01 00 00 83 E8 01 0F 84 A7 00 00 00 83 E8 01 0F 84 8C 00 00 00 83 E8 01 74 75 83 F8 01 0F 85 B2 01 00 00 8B C2 D1 E8 F7 D0 A8 01 0F 84 47 01 00 00 F7 D2 48 39 75 DF 74 47 48 8B 3D ?? ?? ?? ?? F6 C2 01 75 04 48 83 C7 02 0F 28 45 DF 48 8D 4D DF B2 20 66 0F 7F 45 DF E8 ?? ?? ?? ?? 0F 28 45 DF 48 8D 4D DF 48 8B D7 66 0F 7F 45 DF E8 ?? ?? ?? ?? 0F 28 45 DF 66 0F 7F 45 DF E9 EC 00 00 00 F6 C2 01 48 8B 15 ?? ?? ?? ?? E9 CE 00 00 00 45 85 E4 0F 84 01 02 00 00 C6 45 C1 01 E9 D7 00 00 00 45 85 E4 0F 84 EF 01 00 00 C6 45 C0 01 E9 C5 00 00 00 8B C2 D1 E8 F7 D0 A8 01 0F 84 B7 00 00 00 F7 D2 4D 85 ED 74 43 48 8B 3D ?? ?? ?? ?? F6 C2 01 75 04 48 83 C7 02 B2 20 66 0F 7F 7D CF 48 8D 4D CF E8 ?? ?? ?? ?? 0F 28 45 CF 48 8D 4D CF 48 8B D7 66 0F 7F 45 CF E8 ?? ?? ?? ?? 0F 28 7D CF 0F 29 7D CF 4C 8B 6D CF EB 61 F6 C2 01 48 8B 15 ?? ?? ?? ?? 75 04 48 83 C2 02 48 8D 4D CF E8 ?? ?? ?? ?? 4C 8B 6D CF 0F 28 7D CF EB 3E 0F B7 05 ?? ?? ?? ?? 0B C2 D1 E8 F7 D0 A8 01 74 39 F7 D2 48 39 75 DF 74 0C 48 8B 3D ?? ?? ?? ?? E9 ED FE FF FF F6 C2 01 48 8B 15 ?? ?? ?? ?? 75 04 48 83 C2 02 48 8D 4D DF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 41 B8 41 00 00 00 48 8B 05 ?? ?? ?? ?? 48 FF C0 48 89 05 ?? ?? ?? ?? 80 38 24 75 2A 45 8B CC 4C 8D 45 BF 48 8D 55 6F 48 8D 4D FF E8 ?? ?? ?? ?? 48 39 75 FF 0F 85 D9 03 00 00 8B 15 ?? ?? ?? ?? 41 B8 41 00 00 00 48 8B 05 ?? ?? ?? ?? B9 16 00 00 00 44 38 00 0F BE 38 41 0F 4D C8 2B F9 E9 23 FE FF FF 48 8B 05 ?? ?? ?? ?? 40 38 30 74 07 48 FF 05 ?? ?? ?? ?? 83 FF 1F 0F 87 A8 00 00 00 48 8B 75 6F 48 8D 4D CF 48 8B D6 E8 ?? ?? ?? ?? 0F 28 45 EF 48 8D 55 CF 48 8D 4D EF 66 0F 7F 45 EF E8 ?? ?? ?? ?? 48 83 7D DF 00 0F 28 75 EF 0F 29 75 CF 74 2E B2 20 66 0F 7F 75 EF 48 8D 4D EF E8 ?? ?? ?? ?? 0F 28 45 EF 48 8D 55 DF 48 8D 4D EF 66 0F 7F 45 EF E8 ?? ?? ?? ?? 0F 28 75 EF 0F 29 75 CF 4D 85 ED 74 2E B2 20 66 0F 7F 7D EF 48 8D 4D EF E8 ?? ?? ?? ?? 0F 28 45 EF 48 8D 55 CF 48 8D 4D EF 66 0F 7F 45 EF E8 ?? ?? ?? ?? 0F 28 75 EF 0F 29 75 CF 45 33 ED 40 F6 C7 10 0F 84 FE 00 00 00 45 85 E4 74 0D BA 02 00 00 00 48 8B CB E9 84 03 00 00 44 38 2E 74 6E 48 8D 15 ?? ?? ?? ?? 48 8D 4D FF E8 ?? ?? ?? ?? 48 8D 55 CF 48 8D 4D EF 0F 10 00 F3 0F 7F 45 EF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8D 4D FF 0F 28 45 EF 66 0F 7F 45 CF 44 38 28 74 07 E8 ?? ?? ?? ?? EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 48 8D 55 CF 48 8D 4D EF F3 0F 7F 45 EF E8 ?? ?? ?? ?? 0F 28 75 EF 0F 29 75 CF EB 46 48 8B 05 ?? ?? ?? ?? 44 38 28 74 5B 48 8D 4D FF E8 ?? ?? ?? ?? 66 0F 6F C6 66 0F 73 D8 08 66 0F 7E C1 88 4D D7 80 F9 03 74 1C 80 78 08 01 7E 16 8B 4D D7 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D D7 0F 28 75 CF 48 8B 05 ?? ?? ?? ?? 8A 08 84 C9 74 14 48 FF C0 48 89 05 ?? ?? ?? ?? 80 F9 40 74 17 E9 19 FF FF FF BA 01 00 00 00 48 8D 4D CF E8 ?? ?? ?? ?? 0F 28 75 CF 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 A8 01 8B C7 74 38 83 E0 0C 3C 0C 75 63 45 85 E4 0F 85 E7 FE FF FF 48 8D 4D FF E8 ?? ?? ?? ?? 48 8D 55 CF 48 8D 4D EF 0F 10 00 F3 0F 7F 45 EF E8 ?? ?? ?? ?? 0F 28 75 EF 0F 29 75 CF EB 32 83 E0 0C 3C 0C 75 2B 48 8D 4D FF E8 ?? ?? ?? ?? 80 7D D7 03 74 1C 80 78 08 01 7E 16 8B 4D D7 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D D7 0F 28 75 CF 40 F6 C7 02 74 2D 48 8D 15 ?? ?? ?? ?? 48 8D 4D FF E8 ?? ?? ?? ?? 48 8D 55 CF 48 8D 4D EF 0F 10 00 F3 0F 7F 45 EF E8 ?? ?? ?? ?? 0F 28 75 EF 0F 29 75 CF 40 F6 C7 01 74 2D 48 8D 15 ?? ?? ?? ?? 48 8D 4D FF E8 ?? ?? ?? ?? 48 8D 55 CF 48 8D 4D EF 0F 10 00 F3 0F 7F 45 EF E8 ?? ?? ?? ?? 0F 28 75 EF 0F 29 75 CF 44 38 6D C0 74 1D 48 8D 15 ?? ?? ?? ?? 66 0F 7F 75 EF 48 8D 4D EF E8 ?? ?? ?? ?? 0F 28 75 EF 0F 29 75 CF 44 38 6D C1 74 1E 48 8D 15 ?? ?? ?? ?? 66 0F 7F 75 EF 48 8D 4D EF E8 ?? ?? ?? ?? 0F 28 45 EF 66 0F 7F 45 CF BF 00 01 00 00 45 85 E4 0F 85 A7 00 00 00 4D 39 2E 74 71 41 85 7E 08 75 46 4D 39 2F 74 41 B2 20 48 8D 4D FF E8 ?? ?? ?? ?? 49 8B D7 48 8D 4D EF 0F 10 00 F3 0F 7F 45 EF E8 ?? ?? ?? ?? 0F 28 45 EF 48 8D 4D EF B2 20 66 0F 7F 45 EF E8 ?? ?? ?? ?? 0F 28 45 EF 49 8B D6 66 0F 7F 45 EF EB 40 41 F7 46 08 00 08 00 00 74 0B 41 0F 10 06 F3 0F 7F 45 CF EB 41 B2 20 48 8D 4D FF E8 ?? ?? ?? ?? 49 8B D6 EB 13 4D 39 2F 74 2C B2 20 48 8D 4D FF E8 ?? ?? ?? ?? 49 8B D7 0F 10 00 F3 0F 7F 45 EF 48 8D 4D EF E8 ?? ?? ?? ?? 48 8D 55 EF 48 8D 4D CF E8 ?? ?? ?? ?? 09 7D D7 44 38 6D BF 74 05 0F BA 6D D7 0D 0F 28 45 CF E9 24 FA FF FF 0F 10 45 FF E9 1B FA FF FF 39 75 7F 0F 85 8E 00 00 00 49 39 36 74 6E BF 00 01 00 00 41 85 7E 08 75 50 49 39 31 74 4B BA 01 00 00 00 48 8D 4D EF E8 ?? ?? ?? ?? 49 8B D7 48 8D 4D FF 0F 10 00 F3 0F 7F 45 FF E8 ?? ?? ?? ?? 0F 28 45 FF 48 8D 4D FF B2 20 66 0F 7F 45 FF E8 ?? ?? ?? ?? 0F 28 45 FF 49 8B D6 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? EB 38 BA 01 00 00 00 48 8D 4D FF E8 ?? ?? ?? ?? 0F 10 00 EB DC 49 39 31 74 16 BA 01 00 00 00 48 8D 4D FF E8 ?? ?? ?? ?? 49 8B D7 0F 10 00 EB C4 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 49 8B 73 38 48 8B C3 49 8B 5B 30 49 8B 7B 48 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_7_72_3 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@XZ"
		size = 70
		refs = "0014 ??_C@_00CNPNBAHC@?$AA@ 0039 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
		altNames = "?getStorageConvention@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 48 8B D9 4D 8D 4B D8 33 C9 4C 8D 05 ?? ?? ?? ?? B8 00 00 FF FF 49 89 4B D8 21 44 24 38 49 8D 53 E8 49 89 4B E8 21 44 24 48 89 4C 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_7_73_3 {
	meta:
		name = "?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
		size = 226
		refs = "0015 ??0DName@@QEAA@PEAV0@@Z 001c ?gName@UnDecorator@@0PEBDEB 003c ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0058 ??_C@_04GKJNKENE@void?$AA@ 0060 ??0DName@@QEAA@PEBD@Z 0069 ??_C@_05BEFAKPML@void?5?$AA@ 0091 ??_C@_00CNPNBAHC@?$AA@ 00a5 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 00bd ??0DName@@QEAA@W4DNameStatus@@@Z 00d0 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 60 48 8B D9 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 33 C9 38 08 0F 84 89 00 00 00 80 38 3F 74 49 80 38 58 74 11 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? E9 8F 00 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 48 39 4D D0 75 11 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 6E 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? EB 49 81 65 E8 00 00 FF FF 4C 8D 4D E0 48 FF C0 48 89 4D E0 89 4C 24 20 4C 8D 05 ?? ?? ?? ?? 48 8D 4D F0 48 89 05 ?? ?? ?? ?? 48 8D 55 D0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 D0 EB 81 BA 01 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 48 8D 55 D0 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_7_74_3 {
	meta:
		name = "?getDecoratedName@UnDecorator@@CA?AVDName@@XZ"
		size = 626
		refs = "0014 ?disableFlags@UnDecorator@@0KA 0032 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 004e ?gName@UnDecorator@@0PEBDEB 0078 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 00a2 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00b5 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 00c5 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0115 ?getScope@UnDecorator@@CA?AVDName@@XZ 0126 ?fExplicitTemplateParams@UnDecorator@@0_NA 0146 ??YDName@@QEAAAEAV0@AEBV0@@Z 017e ??_C@_02MOLJINC@?3?3?$AA@ 0187 ??YDName@@QEAAAEAV0@PEBD@Z 0232 ?composeDeclaration@UnDecorator@@CA?AVDName@@AEBV2@@Z 025b ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 55 48 8B EC 48 83 EC 50 8B 05 ?? ?? ?? ?? 48 8B D9 0F BA E0 0D 73 2A 0F BA F0 0D 48 8D 4D E0 33 D2 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA 2D ?? ?? ?? ?? 0D 0F 10 45 E0 F3 0F 7F 03 E9 14 02 00 00 48 8B 05 ?? ?? ?? ?? B2 3F 8A 08 3A CA 0F 85 EB 01 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 38 10 75 4F 48 FF C0 38 10 75 23 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? EB 0A 48 FF C0 48 89 05 ?? ?? ?? ?? 80 38 00 75 F1 EB A8 80 38 24 48 8D 4D D0 75 09 B2 01 E8 ?? ?? ?? ?? EB 21 45 33 C0 48 89 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 0E 45 33 C0 48 8D 4D D0 B2 01 E8 ?? ?? ?? ?? 48 83 7D D0 00 8B 75 D8 74 0F 0F BA E6 09 73 09 C7 45 20 01 00 00 00 EB 04 83 65 20 00 8B CE C1 E9 0F 83 E1 01 80 7D D8 01 89 4D 18 7E 09 0F 28 45 D0 E9 42 FF FF FF 48 8B 05 ?? ?? ?? ?? F6 00 BF 0F 84 A0 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 83 7D E0 00 0F 84 89 00 00 00 80 3D ?? ?? ?? ?? 00 74 45 0F 28 45 D0 48 8D 55 E0 48 8D 4D D0 66 0F 7F 45 D0 C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 45 D0 66 0F 7F 45 D0 80 38 40 74 4B 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 E0 EB 09 0F 28 45 E0 66 0F 7F 45 E0 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 55 D0 48 8D 4D E0 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 66 0F 7F 45 D0 8B 75 D8 8B 4D 18 8B 55 20 85 D2 74 0E 48 83 7D D0 00 74 07 0F BA EE 09 89 75 D8 41 B8 00 80 00 00 85 C9 74 06 41 0B F0 89 75 D8 48 83 7D D0 00 0F 84 17 FF FF FF B9 00 10 00 00 85 F1 0F 85 0A FF FF FF 48 8B 05 ?? ?? ?? ?? 80 38 00 74 13 80 38 40 74 07 BA 02 00 00 00 EB 52 48 FF 05 ?? ?? ?? ?? 85 0D ?? ?? ?? ?? 74 27 85 D2 75 23 41 85 F0 75 1E 48 83 65 E0 00 48 8D 55 E0 81 65 E8 00 00 FF FF 48 8D 4D F0 E8 ?? ?? ?? ?? E9 BC FE FF FF 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? EB 16 BA 02 00 00 00 84 C9 75 05 BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 78 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_7_75_3 {
	meta:
		name = "?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		size = 348
		refs = "001a ?gName@UnDecorator@@0PEBDEB 0036 ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@ 004f ??0DName@@QEAA@W4DNameStatus@@@Z 00e1 ??0DName@@QEAA@_J@Z 0106 ??0DName@@QEAA@_K@Z 0115 ??0DName@@QEAA@PEBD@Z 0129 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 4C 8B 05 ?? ?? ?? ?? 33 F6 44 8A CA 48 8B F9 41 80 38 51 44 8D 56 01 75 11 4D 03 C2 48 8D 35 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 41 8A 08 84 C9 75 10 41 8B D2 48 8B CF E8 ?? ?? ?? ?? E9 EB 00 00 00 8D 41 D0 3C 09 77 2A 4D 03 C2 0F BE C1 83 E8 2F 4C 89 05 ?? ?? ?? ?? 48 63 D0 48 85 F6 74 09 48 8D 4D D0 E9 85 00 00 00 48 8D 4D F0 E9 AE 00 00 00 33 D2 41 B3 40 EB 2B 84 C9 74 B4 8D 41 BF 3C 0F 77 4C 0F BE C1 48 C1 E2 04 83 E8 41 48 63 C8 48 03 CA 4D 03 C2 48 8B D1 4C 89 05 ?? ?? ?? ?? 41 8A 08 41 3A CB 75 D0 41 8A 00 4D 03 C2 4C 89 05 ?? ?? ?? ?? 41 3A C3 75 15 45 84 C9 74 25 48 85 F6 74 15 48 8D 4D F0 E8 ?? ?? ?? ?? EB 23 BA 02 00 00 00 E9 5A FF FF FF 48 8D 4D D0 E8 ?? ?? ?? ?? EB 40 48 85 F6 74 32 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B D6 48 8D 4D E0 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D C0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 45 C0 EB 09 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 4C 8D 5C 24 60 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_7_76_3 {
	meta:
		name = "?getDispatchTarget@UnDecorator@@CA?AVDName@@XZ"
		size = 98
		refs = "000c ?gName@UnDecorator@@0PEBDEB 0044 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? 80 39 5F 75 35 80 79 01 5F 75 2F 48 83 C1 02 48 89 0D ?? ?? ?? ?? 0F BE 01 48 FF C1 83 E8 41 48 89 0D ?? ?? ?? ?? 83 F8 03 76 0F BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 0F 48 83 23 00 C6 43 08 00 81 63 08 FF 00 FF FF 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_77_3 {
	meta:
		name = "?getDisplacement@UnDecorator@@CA?AVDName@@XZ"
		size = 25
		refs = "000c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 B2 01 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_78_3 {
	meta:
		name = "?getECSUDataType@UnDecorator@@CA?AVDName@@XZ"
		size = 353
		refs = "0019 ?disableFlags@UnDecorator@@0KA 0042 ?gName@UnDecorator@@0PEBDEB 0088 ??_C@_0N@DLIEFKNA@cointerface?5?$AA@ 0091 ??_C@_08KOFANOFK@coclass?5?$AA@ 009f ?getEnumType@UnDecorator@@CA?AVDName@@XZ 00a6 ??_C@_05LJGMCFOG@enum?5?$AA@ 00b2 ??0DName@@QEAA@PEBD@Z 00c6 ??YDName@@QEAAAEAV0@AEBV0@@Z 00d8 ??_C@_06LJBABKPM@class?5?$AA@ 00e1 ??_C@_07DIBCDNGL@struct?5?$AA@ 00ea ??_C@_06MOJHIBMG@union?5?$AA@ 00f3 ??4DName@@QEAAAEAV0@PEBD@Z 0115 ?getScopedName@UnDecorator@@CA?AVDName@@XZ 0140 ??_C@_0P@GCIFDJCJ@?$GAunknown?5ecsu?8?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 50 8B 05 ?? ?? ?? ?? 48 8B F9 44 8B C0 41 C1 E8 0F 41 F7 D0 41 83 E0 01 74 0D 0F BA E0 0C 72 07 BE 01 00 00 00 EB 02 33 F6 48 8B 15 ?? ?? ?? ?? 48 83 65 D0 00 81 65 D8 00 00 FF FF 0F BE 0A 48 FF C2 48 89 15 ?? ?? ?? ?? 85 C9 0F 84 C9 00 00 00 83 E9 54 74 7B 83 E9 01 74 6D 83 E9 01 74 5F 83 E9 01 74 1C 83 E9 01 74 0E 83 F9 01 75 72 48 8D 15 ?? ?? ?? ?? EB 60 48 8D 15 ?? ?? ?? ?? EB 57 48 8D 4D D0 41 8B F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B D8 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 66 0F 7F 45 D0 EB 22 48 8D 15 ?? ?? ?? ?? EB 10 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 83 65 E0 00 81 65 E8 00 00 FF FF 85 F6 74 09 0F 28 45 D0 66 0F 7F 45 E0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 28 45 E0 F3 0F 7F 07 EB 19 48 FF CA 48 8B CF 48 89 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 8B 7C 24 70 48 8B 74 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_7_80_3 {
	meta:
		name = "?getEnumType@UnDecorator@@CA?AVDName@@XZ"
		size = 230
		refs = "0010 ?gName@UnDecorator@@0PEBDEB 004f ??_C@_05CJIMAING@long?5?$AA@ 0058 ??_C@_04LAHKHJMA@int?5?$AA@ 0061 ??_C@_06EHJMALKF@short?5?$AA@ 006a ??_C@_05CIHEBHNO@char?5?$AA@ 0073 ??4DName@@QEAAAEAV0@PEBD@Z 0095 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 009e ??0DName@@QEAA@PEBD@Z 00b3 ??YDName@@QEAAAEAV0@AEBV0@@Z 00d4 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 8B D9 48 83 65 D0 00 81 65 D8 00 00 FF FF 80 38 00 0F 84 A2 00 00 00 8A 00 3C 30 0F 8C 91 00 00 00 3C 31 7E 2D 3C 33 7E 20 3C 34 74 35 3C 35 74 0F 2C 36 3C 01 77 7B 48 8D 15 ?? ?? ?? ?? EB 19 48 8D 15 ?? ?? ?? ?? EB 10 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F BE 00 48 FF 05 ?? ?? ?? ?? 83 C0 CF A9 F9 FF FF FF 75 2B 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 EB 04 0F 28 45 D0 F3 0F 7F 03 EB 11 BA 02 00 00 00 EB 05 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_7_81_3 {
	meta:
		name = "?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AEAPEBDAEA_NH@Z"
		size = 580
		refs = "0021 ?gName@UnDecorator@@0PEBDEB 0090 ??0DName@@QEAA@W4DNameStatus@@@Z 00e0 ?doPchar@DName@@AEAAXPEBDH@Z 00eb ??0DName@@QEAA@_K@Z 0100 ??YDName@@QEAAAEAV0@AEBV0@@Z 0114 ??YDName@@QEAAAEAV0@D@Z 0172 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0193 ??_C@_01FGNFDNOH@?$CF?$AA@ 0205 ??_C@_01JKBOJNNK@?$FO?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 74 24 18 55 48 8B EC 48 83 EC 50 44 8B 55 E8 48 8B D9 48 8B 0D ?? ?? ?? ?? 49 8B F0 48 83 65 E0 00 41 81 E2 00 00 FF FF 41 BE 01 00 00 00 44 89 55 E8 49 03 CE 45 8B D9 48 89 0D ?? ?? ?? ?? 44 0F BE 09 45 8B C1 41 83 E8 41 0F 84 80 01 00 00 45 2B C6 0F 84 37 01 00 00 45 3B C6 0F 84 22 01 00 00 80 39 00 0F 84 11 01 00 00 8A 41 01 84 C0 0F 84 06 01 00 00 45 85 DB 74 12 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? E9 93 01 00 00 41 C1 E1 04 48 83 C1 02 0F BE F0 81 C6 D0 FC FF FF 48 89 0D ?? ?? ?? ?? 41 03 F1 41 3B F6 76 4B 48 83 65 E0 00 48 8D 55 D0 41 81 E2 00 FF FF FF C6 45 D0 2C 41 81 E2 FF 00 FF FF 48 8D 4D E0 45 8B C6 44 89 55 E8 E8 ?? ?? ?? ?? 8B D6 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 48 8B D0 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 B2 3E 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 45 E0 66 0F 7F 45 E0 80 38 24 75 0C 49 03 C6 48 89 05 ?? ?? ?? ?? EB 20 B2 5E 66 0F 7F 45 E0 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8B 05 ?? ?? ?? ?? 66 0F 7F 45 E0 80 38 00 74 0C 49 03 C6 48 89 05 ?? ?? ?? ?? EB 0C 41 8B D6 48 8D 4D E0 E8 ?? ?? ?? ?? 0F BA 6D E8 0E 0F 28 45 E0 F3 0F 7F 03 E9 A4 00 00 00 41 8B D6 E9 FC FE FF FF 48 8D 05 ?? ?? ?? ?? 48 89 02 EB 37 45 85 DB 0F 85 E2 FE FF FF 48 83 65 E0 00 48 8D 55 D0 41 81 E2 00 FF FF FF 44 88 36 41 81 E2 FF 00 FF FF C6 45 D0 3E 45 8B C6 44 89 55 E8 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 01 35 ?? ?? ?? ?? EB 41 45 85 DB 75 32 48 8B 02 80 38 26 75 11 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 0D ?? ?? ?? ?? 48 8B 02 80 38 2A 75 11 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 0D ?? ?? ?? ?? 49 03 CE 48 89 0D ?? ?? ?? ?? 48 83 23 00 C6 43 08 00 81 63 08 FF 00 FF FF 48 8B 74 24 68 48 8B C3 48 8B 5C 24 60 4C 8B 74 24 70 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_7_82_3 {
	meta:
		name = "?getExternalDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 210
		refs = "0023 ?heap@@3V_HeapManager@@A 002c ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0052 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 0067 ??_C@_00CNPNBAHC@?$AA@ 0084 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 0098 ??YDName@@QEAAAEAV0@D@Z 00ad ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 45 33 C0 48 8B F2 48 8B F9 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 48 83 20 00 C6 40 08 00 81 60 08 FF 00 FF FF EB 02 33 DB 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 83 65 D0 00 4C 8D 4D D0 48 83 65 E0 00 4C 8D 05 ?? ?? ?? ?? 83 64 24 20 00 48 8D 55 E0 B8 00 00 FF FF 48 8D 4D F0 21 45 D8 21 45 E8 E8 ?? ?? ?? ?? 0F 28 45 F0 48 8D 4D E0 B2 20 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 48 8B D6 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 4C 8D 5C 24 60 49 8B 73 18 48 8B C7 49 8B 7B 20 F3 0F 7F 03 49 8B 5B 10 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_7_83_3 {
	meta:
		name = "?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 1310
		refs = "002b ?gName@UnDecorator@@0PEBDEB 003e ??0DName@@QEAA@W4DNameStatus@@@Z 0050 ??YDName@@QEAAAEAV0@AEBV0@@Z 00fc ??_C@_02MOLJINC@?3?3?$AA@ 0105 ??0DName@@QEAA@PEBD@Z 0137 ?getScope@UnDecorator@@CA?AVDName@@XZ 0145 ??0DName@@QEAA@D@Z 01c8 ?disableFlags@UnDecorator@@0KA 01cf ??_C@_00CNPNBAHC@?$AA@ 0207 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 0236 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 030d ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 038e ??YDName@@QEAAAEAV0@D@Z 03a1 ?heap@@3V_HeapManager@@A 03aa ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 03d0 ?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z 03d9 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0456 ?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ 04a0 ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 8B F9 33 DB 48 8B 0D ?? ?? ?? ?? 4C 8B E2 38 19 75 23 8D 53 01 48 8D 4D 17 E8 ?? ?? ?? ?? 49 8B D4 0F 10 00 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 A1 04 00 00 8A 01 2C 36 3C 03 76 0F 80 39 5F 74 0A BA 02 00 00 00 E9 82 04 00 00 44 0F BE 31 BE 01 00 00 00 48 03 CE 41 83 EE 36 83 CA FF 48 89 0D ?? ?? ?? ?? 41 83 FE 29 75 28 38 19 74 20 44 0F BE 31 48 03 CE 41 83 EE 3D 48 89 0D ?? ?? ?? ?? 41 8D 46 FC 83 F8 03 76 11 44 8B F2 EB 0C 8B D6 EB 81 41 83 FE 03 44 0F 47 F2 44 3B F2 74 A1 44 8B 7D EF BA 00 00 FF FF 41 0F 10 04 24 44 23 FA 48 89 5D E7 45 8B EE 44 89 7D EF F3 0F 7F 45 D7 41 83 E5 02 0F 84 24 01 00 00 80 39 40 0F 84 B1 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 07 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8D 4D 17 0F 28 45 07 66 0F 7F 45 D7 38 18 74 41 E8 ?? ?? ?? ?? B2 20 48 8D 4D F7 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 07 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 0F 28 45 07 48 8D 55 D7 48 8D 4D 07 66 0F 7F 45 07 E8 ?? ?? ?? ?? 33 DB EB 1C 8B D6 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 07 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 0F 28 45 07 BA 00 00 FF FF 48 8B 0D ?? ?? ?? ?? 66 0F 7F 45 D7 EB 0A 48 03 CE 48 89 0D ?? ?? ?? ?? 8A 01 84 C0 0F 84 00 01 00 00 3C 40 0F 85 A0 FE FF FF 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 21 55 FF 48 03 CE 83 E0 60 48 89 0D ?? ?? ?? ?? 48 89 5D F7 48 8D 4D 17 89 74 24 20 3C 60 0F 84 88 00 00 00 21 55 EF 4C 8D 4D E7 48 8D 55 F7 48 89 5D E7 E8 ?? ?? ?? ?? 0F 28 45 17 66 0F 7F 45 E7 41 F6 C6 04 0F 84 DB 00 00 00 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 40 84 C6 0F 84 A1 00 00 00 48 8D 4D 07 E8 ?? ?? ?? ?? B2 20 48 8D 4D F7 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 17 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 48 8D 55 D7 48 8D 4D 17 66 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 33 DB 66 0F 7F 45 D7 EB 7A 21 55 0F 4C 8D 4D F7 48 8D 55 07 48 89 5D 07 E8 ?? ?? ?? ?? 80 7D EF 03 0F 84 77 FF FF FF 40 38 75 1F 0F 8E 6D FF FF FF 0F B6 45 1F 41 81 E7 00 FF FF FF 44 0B F8 44 89 7D EF E9 56 FF FF FF 8B D6 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 55 D7 E9 73 FD FF FF 48 8D 4D 17 E8 ?? ?? ?? ?? 80 7D DF 03 74 18 40 38 70 08 7E 12 8B 4D DF 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D DF 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 40 84 C6 74 29 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 17 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 66 0F 7F 45 D7 EB 27 48 8D 4D 17 E8 ?? ?? ?? ?? 80 7D DF 03 74 18 40 38 70 08 7E 12 8B 4D DF 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D DF 49 39 1C 24 74 3D B2 28 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 17 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 48 8D 4D 17 B2 29 66 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 66 0F 7F 45 D7 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 74 0F 88 58 08 81 60 08 FF 00 FF FF 48 89 18 EB 03 4C 8B F3 49 8B D6 48 8D 4D 27 E8 ?? ?? ?? ?? 48 8D 4D 07 E8 ?? ?? ?? ?? B2 28 48 8D 4D F7 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D 17 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 45 17 48 8D 4D 17 B2 29 66 0F 7F 45 17 E8 ?? ?? ?? ?? 48 8D 55 17 48 8D 4D D7 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B C1 83 E0 60 3C 60 74 18 45 85 ED 74 13 48 8D 55 E7 48 8D 4D D7 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? C1 E9 13 F7 D1 40 84 CE 48 8D 4D 17 74 13 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D D7 E8 ?? ?? ?? ?? EB 23 E8 ?? ?? ?? ?? 80 7D DF 03 74 18 40 38 70 08 7E 12 8B 4D DF 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D DF 8B 05 ?? ?? ?? ?? 48 8D 4D 17 C1 E8 08 F7 D0 40 84 C6 74 13 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D D7 E8 ?? ?? ?? ?? EB 23 E8 ?? ?? ?? ?? 80 7D DF 03 74 18 40 38 70 08 7E 12 8B 4D DF 0F B6 40 08 81 E1 00 FF FF FF 0B C8 89 4D DF 4D 85 F6 74 13 0F 28 45 D7 F3 41 0F 7F 06 0F 10 4D 27 F3 0F 7F 0F EB 0D BA 03 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 48 8B C7 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_7_85_3 {
	meta:
		name = "?getLastChar@DName@@QEBADXZ"
		size = 53
		refs = "0021 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 39 48 85 FF 75 04 32 C0 EB 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_88_3 {
	meta:
		name = "?getLastChar@pDNameNode@@UEBADXZ"
		size = 60
		refs = "0028 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 08 33 C0 48 85 D2 74 1C 48 8B 3A 48 85 FF 74 14 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_89_3 {
	meta:
		name = "?getLastChar@pairNode@@UEBADXZ"
		size = 86
		refs = "0021 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 10 48 8B F1 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 84 C0 75 18 48 8B 7E 08 48 8B 07 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_90_3 {
	meta:
		name = "?getLastChar@pcharNode@@UEBADXZ"
		size = 23
	strings:
		$1 = { 8B 51 10 33 C0 85 D2 74 0D 8D 42 FF 48 63 D0 48 8B 41 08 8A 04 02 C3 }
	condition:
		$1
}

rule file_7_91_3 {
	meta:
		name = "?getLexicalFrame@UnDecorator@@CA?AVDName@@XZ"
		size = 95
		refs = "0015 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0024 ??0DName@@QEAA@D@Z 003a ??YDName@@QEAAAEAV0@AEBV0@@Z 004d ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B F9 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? B2 60 48 8D 4C 24 40 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 B2 27 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_7_92_3 {
	meta:
		name = "?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
		size = 187
		refs = "0026 _guard_check_icall 005c ?heap@@3V_HeapManager@@A 0067 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 7A 07 48 8B D9 48 83 E7 F8 45 85 C0 74 12 48 8B 19 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 EB 7A 48 85 FF B8 08 00 00 00 48 0F 44 F8 48 8B 41 20 48 3B C7 73 52 BE 00 10 00 00 48 3B FE 76 04 33 C0 EB 57 BA 08 10 00 00 48 8D 0D ?? ?? ?? ?? 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 83 20 00 48 85 C0 74 D7 48 8B 4B 18 48 85 C9 74 05 48 89 01 EB 04 48 89 43 10 48 2B F7 48 89 43 18 48 89 73 20 EB 07 48 2B C7 48 89 41 20 48 8B 43 20 48 83 C0 08 48 03 43 18 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_93_3 {
	meta:
		name = "?getNumberOfDimensions@UnDecorator@@CAHXZ"
		size = 115
		refs = "0003 ?gName@UnDecorator@@0PEBDEB"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 8A 11 84 D2 75 03 33 C0 C3 8D 42 D0 3C 09 77 11 0F BE C2 83 E8 2F 48 FF C1 48 89 0D ?? ?? ?? ?? C3 45 33 C0 41 B1 40 EB 25 84 D2 74 D9 8D 42 BF 3C 0F 77 34 41 C1 E0 04 41 83 C0 BF 0F BE C2 44 03 C0 48 FF C1 48 89 0D ?? ?? ?? ?? 8A 11 41 3A D1 75 D6 8A 01 48 FF C1 48 89 0D ?? ?? ?? ?? 41 3A C1 75 04 41 8B C0 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_7_94_3 {
	meta:
		name = "?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z"
		size = 1875
		refs = "001e ?gName@UnDecorator@@0PEBDEB 0084 __ImageBase 0090 ?nameTable@@3QBQEBDB 0095 ??4DName@@QEAAAEAV0@PEBD@Z 00a7 ??_C@_08LHJFAFGD@operator?$AA@ 00b0 ??0DName@@QEAA@PEBD@Z 00c5 ??YDName@@QEAAAEAV0@AEBV0@@Z 00e6 ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 00f4 ??0DName@@QEAA@D@Z 012d _guard_check_icall 0141 ??YDName@@QEAAAEAV0@D@Z 0186 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 021a ??0DName@@QEAA@W4DNameStatus@@@Z 0316 ??_C@_08OBABFOLI@?$GAstring?8?$AA@ 031f ?getStringEncoding@UnDecorator@@CA?AVDName@@PEADH@Z 0357 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 03c1 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 03ea ?rttiTable@@3QBQEBDB 0460 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 04dd ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 051f ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 0582 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 069d ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 06c6 ?getSymbolName@UnDecorator@@CA?AVDName@@XZ 06d9 ??_C@_02OHHJMEON@?8?8?$AA@ 06e2 ??YDName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 20 4C 89 40 18 55 48 8B EC 48 83 EC 60 48 8B 1D ?? ?? ?? ?? 48 8B F9 48 83 65 C0 00 B9 00 00 FF FF 21 4D C8 33 F6 48 83 65 D0 00 0F BE 03 48 FF C3 21 4D D8 48 89 1D ?? ?? ?? ?? 83 F8 41 0F 8F CE 01 00 00 0F 84 BC 06 00 00 85 C0 0F 84 A7 01 00 00 83 F8 2F 0F 8E DE 02 00 00 83 F8 31 7E 64 83 F8 39 0F 8F D0 02 00 00 0F BE 43 FF 83 E8 32 48 63 D0 48 8D 1D ?? ?? ?? ?? 48 8D 4D C0 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 7D C0 00 0F 84 42 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 E9 18 01 00 00 21 4D D8 48 89 75 D0 84 D2 0F 84 9B 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? B2 3C 48 8D 4D E0 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D C0 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 75 D0 48 85 F6 74 23 48 8B 06 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 3C 3E 75 0B B2 20 48 8D 4D D0 E8 ?? ?? ?? ?? B2 3E 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 45 20 48 85 C0 74 03 C6 00 01 48 8B 1D ?? ?? ?? ?? 80 3B 00 75 06 0F 10 45 D0 EB 7C 48 8B 75 D0 48 FF C3 48 89 1D ?? ?? ?? ?? 45 33 C0 48 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 0F 10 00 48 89 1D ?? ?? ?? ?? 66 48 0F 7E C0 0F 29 45 C0 48 89 45 C0 48 85 C0 74 2E 80 7B FF 31 75 28 B2 7E 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 0F 29 45 C0 48 85 F6 74 11 48 8D 55 D0 48 8D 4D C0 E8 ?? ?? ?? ?? 0F 28 45 C0 F3 0F 7F 07 4C 8D 5C 24 60 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 28 49 8B E3 5D C3 48 FF CB BA 01 00 00 00 48 89 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? EB CE 83 F8 42 0F 84 E6 04 00 00 0F 8E 18 01 00 00 83 F8 5A 0F 8E DC 04 00 00 83 F8 5F 0F 85 06 01 00 00 0F BE 0B 8D 70 A2 48 03 DE 48 89 1D ?? ?? ?? ?? 83 F9 4F 0F 8F 03 01 00 00 83 F9 44 0F 8D 94 04 00 00 83 F9 39 0F 8F 8C 00 00 00 74 5E 85 C9 74 49 83 F9 2F 0F 8E CC 00 00 00 83 F9 36 7E 2F 83 F9 38 0F 8F BE 00 00 00 0F BE 43 FF 83 E8 0E 48 63 D0 48 8D 1D ?? ?? ?? ?? 48 8B CF 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3F FF FF FF 0F BE 43 FF 83 E8 0E E9 C3 FD FF FF 48 2B DE 48 89 1D ?? ?? ?? ?? 8B D6 E9 4A FF FF FF 0F BE 43 FF 48 8D 4D D0 83 E8 0E 48 8D 1D ?? ?? ?? ?? 48 63 D0 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA 6D D8 0F E9 70 FE FF FF 83 F9 3F 74 30 83 F9 40 7E 45 83 F9 42 0F 8E EC 03 00 00 83 F9 43 75 37 44 8B C6 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 0F BA 6D D8 0C E9 3B FE FF FF 0F BE 03 48 03 DE 48 89 1D ?? ?? ?? ?? 85 C0 0F 84 79 FF FF FF 83 F8 30 74 0A BA 02 00 00 00 E9 C5 FE FF FF 45 33 C0 48 8D 15 ?? ?? ?? ?? EB BD 83 F9 54 0F 8F 47 02 00 00 83 F9 53 0F 8D 88 03 00 00 83 E9 50 0F 84 DE 01 00 00 2B CE 0F 84 19 FD FF FF 3B CE 75 C3 0F BE 43 FF 48 8D 4D C0 83 E8 15 48 8D 1D ?? ?? ?? ?? 48 63 D0 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 8A 08 84 C9 75 17 0F 28 45 C0 8B D6 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 24 FE FF FF 0F BE C1 83 C0 D0 0F 88 71 FF FF FF 83 F8 05 0F 83 68 FF FF FF 48 63 D0 48 8D 4D D0 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F BE 01 48 03 CE 48 89 0D ?? ?? ?? ?? 83 F8 30 0F 84 08 01 00 00 83 F8 31 74 30 83 C0 CE 83 F8 02 77 19 0F 28 45 C0 48 8D 55 D0 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 B8 FD FF FF 48 2B CE 48 89 0D ?? ?? ?? ?? E9 80 FE FF FF 0F 28 45 C0 48 8D 55 D0 48 8D 4D C0 66 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? B2 2C 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 55 E0 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? B2 2C 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 55 E0 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? B2 2C 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 55 E0 48 8D 4D C0 E8 ?? ?? ?? ?? 33 D2 48 8D 4D F0 E8 ?? ?? ?? ?? B2 29 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 55 E0 48 8D 4D C0 E8 ?? ?? ?? ?? 0F 28 45 C0 B2 27 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 D6 FC FF FF 33 D2 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 28 45 F0 48 8D 4D E0 B2 20 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 55 C0 48 8D 4D E0 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 E9 CB FE FF FF 0F BE 43 FF 48 8D 4D C0 83 E8 15 48 8D 1D ?? ?? ?? ?? 48 63 D0 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 33 C0 48 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 0F 10 00 66 48 0F 7E C0 0F 11 45 D0 48 85 C0 0F 84 82 FE FF FF F7 45 D8 00 04 00 00 0F 84 75 FE FF FF E9 9A FD FF FF 83 F9 56 0F 8E 4D 01 00 00 83 F9 57 0F 8E 88 FD FF FF 83 F9 59 0F 8E 2F 01 00 00 83 F9 5F 0F 85 76 FD FF FF 0F BE 03 48 03 DE 48 89 1D ?? ?? ?? ?? 83 F8 41 0F 8C 60 FD FF FF 83 F8 44 0F 8E FB 00 00 00 83 F8 46 7E 75 83 F8 4A 0F 8E ED 00 00 00 83 F8 4B 0F 85 40 FD FF FF 0F BE 43 FF 48 8D 4D E0 83 C0 04 48 8D 1D ?? ?? ?? ?? 48 63 D0 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 80 F9 40 74 27 48 03 C6 8A D1 48 8D 4D E0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 8A 08 84 C9 75 D9 80 F9 40 75 0A 48 03 C6 48 89 05 ?? ?? ?? ?? 0F 10 45 E0 E9 80 FB FF FF 0F BE 43 FF 48 8D 4D D0 83 C0 04 48 8D 1D ?? ?? ?? ?? 48 63 D0 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8D 4D F0 80 38 3F 75 29 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 1D 48 03 C6 48 89 05 ?? ?? ?? ?? EB 11 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? E9 7D FA FF FF 0F BE 43 FF 83 C0 04 E9 99 FB FF FF 0F BE 43 FF 83 E8 15 E9 8D FB FF FF 0F BE 43 FF 83 E8 15 E9 6F F9 FF FF BE 01 00 00 00 0F BE 43 FF 48 8D 4D C0 83 E8 39 48 8D 1D ?? ?? ?? ?? 48 63 D0 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 5B F9 FF FF 48 83 7D C0 00 0F 84 9D FA FF FF 0F BA 6D C8 09 E9 93 FA FF FF }
	condition:
		$1
}

rule file_7_95_3 {
	meta:
		name = "?getPointerType@UnDecorator@@CA?AVDName@@AEBV2@0@Z"
		size = 30
		refs = "0009 ??_C@_01NBENCBCI@?$CK?$AA@ 0011 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 0D ?? ?? ?? ?? 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_96_3 {
	meta:
		name = "?getPointerTypeArray@UnDecorator@@CA?AVDName@@AEBV2@0@Z"
		size = 30
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 0011 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 0D ?? ?? ?? ?? 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_97_3 {
	meta:
		name = "?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 605
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 004e ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 005a ??_C@_08PABEKFH@volatile?$AA@ 0063 ??4DName@@QEAAAEAV0@PEBD@Z 0074 ??YDName@@QEAAAEAV0@D@Z 0082 ??_C@_01HNPIGOCE@?$CG?$AA@ 00b3 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z 00d5 ??0DName@@QEAA@W4DNameStatus@@@Z 013b ?getScopedName@UnDecorator@@CA?AVDName@@XZ 0157 ??_C@_0BA@LKIJLKPP@std?3?3nullptr_t?5?$AA@ 0160 ??0DName@@QEAA@PEBD@Z 016c ??_C@_0P@GCOCNKDM@std?3?3nullptr_t?$AA@ 01b7 ??_C@_02PPKAJPJL@?$CG?$CG?$AA@ 01e5 ??_C@_00CNPNBAHC@?$AA@ 01ea ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 020d ?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z 0224 ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0246 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 4C 8B 05 ?? ?? ?? ?? 48 8B FA 48 83 65 E0 00 BA 00 00 FF FF 21 55 E8 48 8B D9 41 0F BE 08 85 C9 0F 84 F2 01 00 00 83 E9 24 74 7F 83 E9 1D 74 3D 83 F9 01 74 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 F3 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 48 83 3F 00 74 0B B2 20 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 0F 10 07 49 FF C0 48 8D 55 E0 4C 89 05 ?? ?? ?? ?? 48 8B CB 0F 11 45 F0 4C 8D 45 F0 66 0F 73 D8 08 66 0F 7E C0 0F BA E8 08 89 45 F8 E8 ?? ?? ?? ?? E9 8E 01 00 00 41 8A 40 01 3C 24 74 1A 84 C0 0F 84 5E 01 00 00 48 8B CB BA 02 00 00 00 E8 ?? ?? ?? ?? E9 6C 01 00 00 49 83 C0 02 4C 89 05 ?? ?? ?? ?? 41 0F BE 08 85 C9 0F 84 35 01 00 00 83 E9 41 0F 84 15 01 00 00 83 E9 01 0F 84 EF 00 00 00 83 E9 01 0F 84 B0 00 00 00 83 E9 0E 0F 84 9B 00 00 00 83 E9 01 74 6E 83 E9 01 74 5A 83 E9 01 74 1C 83 F9 05 48 8B CB 75 9F 49 FF C0 4C 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 01 00 00 49 FF C0 4C 89 05 ?? ?? ?? ?? 48 83 3F 00 74 15 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? E9 CF 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E9 CD 00 00 00 49 FF C0 4C 89 05 ?? ?? ?? ?? E9 40 FF FF FF 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 48 83 3F 00 74 0B B2 20 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? E9 C6 FE FF FF 21 55 E8 4C 8D 4D E0 48 83 65 E0 00 48 8D 4D F0 83 64 24 20 00 49 FF C0 4C 89 05 ?? ?? ?? ?? 48 8B D7 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D0 E9 54 FE FF FF 49 FF C0 48 8B D7 4C 89 05 ?? ?? ?? ?? 48 8B CB 41 B8 01 00 00 00 E8 ?? ?? ?? ?? EB 37 49 FF C0 48 8B D7 48 8B CB 4C 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 BA 01 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 48 8B D7 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_7_98_3 {
	meta:
		name = "?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z"
		size = 294
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 0045 ??_C@_04GKJNKENE@void?$AA@ 004a ??0DName@@QEAA@PEBD@Z 0056 ??_C@_05BEFAKPML@void?5?$AA@ 0094 ?getArrayType@UnDecorator@@CA?AVDName@@AEBV2@@Z 009f ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 00af ??_C@_0M@EALIELKG@cli?3?3array?$DM?$AA@ 00cd ??YDName@@QEAAAEAV0@AEBV0@@Z 00e3 ??_C@_0O@GKABPPIF@cli?3?3pin_ptr?$DM?$AA@ 00fd ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 8B FA 48 8B D9 80 38 00 0F 84 CB 00 00 00 45 85 C0 74 57 80 38 58 75 36 48 FF C0 48 89 05 ?? ?? ?? ?? 48 83 3A 00 75 11 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? E9 99 00 00 00 80 38 5F 75 17 80 78 01 5F 75 11 80 78 02 5A 75 0B 48 83 C0 03 48 89 05 ?? ?? ?? ?? 80 38 59 75 11 48 FF C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 79 48 8D 4D D0 E8 ?? ?? ?? ?? F7 47 08 00 40 00 00 74 2B 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 EB 16 F7 47 08 00 20 00 00 74 09 48 8D 15 ?? ?? ?? ?? EB CA 0F 28 45 D0 F3 0F 7F 03 EB 20 BA 01 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 48 8B D7 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_7_99_3 {
	meta:
		name = "?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
		size = 305
		refs = "001e ?gName@UnDecorator@@0PEBDEB 0058 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 006e ?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z 007f ??0DName@@QEAA@PEBD@Z 009e ??YDName@@QEAAAEAV0@AEBV0@@Z 00bb ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z 00cb ??0DName@@QEAA@W4DNameStatus@@@Z 00d7 ??YDName@@QEAAAEAV0@PEBD@Z 00fd ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 56 41 57 48 8B EC 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 8B F1 33 DB 4D 8B F9 49 8B F8 4C 8B F2 8A 08 84 C9 0F 84 87 00 00 00 8D 41 CA 3C 03 76 36 80 F9 5F 74 31 4C 8B CA 89 5C 24 20 48 8B D7 48 8D 4D F0 4D 8B C7 E8 ?? ?? ?? ?? 41 80 3F 2A 48 8D 55 F0 48 8B CE 0F 94 C3 44 8B C3 E8 ?? ?? ?? ?? E9 9E 00 00 00 49 8B D7 48 8D 4D F0 E8 ?? ?? ?? ?? 49 39 1E 74 1A 48 39 1F 74 09 F7 47 08 00 01 00 00 75 0C 49 8B D6 48 8D 4D F0 E8 ?? ?? ?? ?? 48 39 1F 74 0C 48 8B D7 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? EB 54 BA 01 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 49 8B D7 48 8D 4D F0 E8 ?? ?? ?? ?? 49 39 1E 74 0C 49 8B D6 48 8D 4D F0 E8 ?? ?? ?? ?? 48 39 1F 74 1C 49 39 1E 74 0B B2 20 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B D7 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 45 F0 F3 0F 7F 06 48 8B 5C 24 60 48 8B C6 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_7_101_3 {
	meta:
		name = "?getRestrictionSpec@UnDecorator@@CA?AVDName@@XZ"
		size = 297
		refs = "0013 ?gName@UnDecorator@@0PEBDEB 004d ?disableFlags@UnDecorator@@0KA 0068 ??_C@_01CLKCMJKC@?5?$AA@ 0071 ??YDName@@QEAAAEAV0@PEBD@Z 007e ?tokenTable@@3QBQEBDB 00b1 ??_C@_03DCBBJBAA@amp?$AA@ 00ba ??_C@_03PBJBJNON@cpu?$AA@ 00d1 ??_C@_02KEGNLNML@?0?5?$AA@ 00ea ??0DName@@QEAA@W4DNameStatus@@@Z 00f8 ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 5F 0F 85 E4 00 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 0F BE 30 48 FF C0 83 EE 41 48 89 05 ?? ?? ?? ?? 83 FE 03 0F 87 9E 00 00 00 49 83 63 E8 00 8B 05 ?? ?? ?? ?? 81 64 24 28 00 00 FF FF D1 E8 F7 D0 A8 01 0F 84 97 00 00 00 48 8D 15 ?? ?? ?? ?? 49 8D 4B E8 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? F7 D0 A8 01 75 04 48 83 C2 02 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 F6 74 56 8B FE F7 D7 FF C7 23 FE 8B C7 83 E8 01 74 0E 83 F8 01 75 33 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? F7 D7 23 F7 74 22 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB B9 48 8B CB BA 02 00 00 00 E8 ?? ?? ?? ?? EB 26 B2 29 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 03 EB 0F 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B 74 24 48 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_7_102_3 {
	meta:
		name = "?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
		size = 52
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0020 ??0DName@@QEAA@PEAV0@@Z 0027 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 40 75 11 48 FF C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_103_3 {
	meta:
		name = "?getScope@UnDecorator@@CA?AVDName@@XZ"
		size = 1193
		refs = "0045 ?gName@UnDecorator@@0PEBDEB 0055 ?fExplicitTemplateParams@UnDecorator@@0_NA 005e ?fGetTemplateArgumentList@UnDecorator@@0_NA 0070 ??_C@_02MOLJINC@?3?3?$AA@ 0079 ??0DName@@QEAA@PEBD@Z 008f ??YDName@@QEAAAEAV0@AEBV0@@Z 00a8 ??0DName@@QEAA@D@Z 0124 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 013f ??0DName@@QEAA@AEBV0@@Z 0163 ??YDName@@QEAAAEAV0@D@Z 01a8 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 01d2 ??YDName@@QEAAAEAV0@PEBD@Z 0301 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 033e ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0380 ??0DName@@QEAA@AEAPEBDD@Z 0387 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 03b6 ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 03c5 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 043e ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 044a ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 70 20 55 48 8D 68 C8 48 81 EC 30 01 00 00 45 33 F6 48 8B F9 44 88 71 08 41 8A F6 8B 41 08 25 FF 00 FF FF 4C 89 31 89 41 08 84 C0 0F 85 CD 03 00 00 48 8B 05 ?? ?? ?? ?? F6 00 BF 0F 84 BD 03 00 00 44 38 35 ?? ?? ?? ?? 74 0D 44 38 35 ?? ?? ?? ?? 0F 84 21 04 00 00 4C 39 37 74 61 48 8D 15 ?? ?? ?? ?? 48 8D 4D 80 E8 ?? ?? ?? ?? 48 8B D7 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 07 40 84 F6 74 2D B2 5B 48 8D 4D 90 E8 ?? ?? ?? ?? 48 8B D7 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 41 8A F6 F3 0F 7F 07 48 8B 05 ?? ?? ?? ?? 80 38 3F 0F 85 FA 02 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 0F BE 08 83 E9 24 0F 84 D7 02 00 00 83 E9 01 0F 84 73 02 00 00 83 E9 1A 0F 84 D4 01 00 00 83 E9 02 0F 84 61 02 00 00 83 E9 08 0F 84 73 01 00 00 83 F9 08 74 6C 33 D2 48 8D 4D A0 E8 ?? ?? ?? ?? B2 60 48 8D 4D B0 48 8B D8 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 0F 28 44 24 40 B2 27 66 0F 7F 44 24 20 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 48 8D 4C 24 20 48 8B D7 66 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 E9 79 02 00 00 81 64 24 38 00 00 FF FF 48 FF 05 ?? ?? ?? ?? 4C 89 74 24 30 45 33 C0 48 8D 4C 24 50 B2 01 E8 ?? ?? ?? ?? 44 38 74 24 58 75 4A 0F 28 44 24 50 4C 39 74 24 30 74 36 48 8D 15 ?? ?? ?? ?? 66 0F 7F 44 24 20 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 48 8D 54 24 30 48 8D 4C 24 20 66 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 66 0F 7F 44 24 30 EB 15 8B 44 24 38 25 02 00 FF FF 4C 89 74 24 30 83 C8 02 89 44 24 38 44 38 74 24 38 75 5F 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 85 74 FF FF FF B2 5B 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 48 8D 4C 24 20 B2 5D 66 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 F3 0F 7F 07 48 FF 05 ?? ?? ?? ?? E9 8E 01 00 00 81 67 08 FF 00 FF FF C6 47 08 02 4C 89 37 E9 7B 01 00 00 48 FF 05 ?? ?? ?? ?? 48 8D 4D D0 45 33 C0 B2 01 E8 ?? ?? ?? ?? B2 5D 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 48 8D 4C 24 20 48 8B D7 66 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 40 B6 01 E9 28 01 00 00 48 8B 05 ?? ?? ?? ?? 48 8D 48 01 80 39 5F 75 4F 80 78 02 3F 75 49 48 89 0D ?? ?? ?? ?? 45 33 C0 48 8D 4D E0 33 D2 E8 ?? ?? ?? ?? 48 8B D7 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 07 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 85 D2 00 00 00 E9 33 FF FF FF 48 8D 4D F0 E8 ?? ?? ?? ?? B2 60 48 8D 4D 00 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 28 44 24 20 E9 E5 FD FF FF 41 B0 40 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8B D7 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 07 48 8B 0D ?? ?? ?? ?? 83 39 09 74 47 48 8D 54 24 60 E8 ?? ?? ?? ?? EB 3B 48 FF 0D ?? ?? ?? ?? 48 8D 4D 20 EB 05 48 8D 4C 24 70 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8B D7 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 07 44 38 77 08 E9 2D FC FF FF 48 8B 05 ?? ?? ?? ?? 44 38 30 74 15 80 38 40 74 69 81 67 08 FF 00 FF FF C6 47 08 02 4C 89 37 EB 59 BA 01 00 00 00 4C 39 37 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 45 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F 10 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 0F 28 44 24 40 48 8D 4C 24 40 48 8B D7 66 0F 7F 44 24 40 E8 ?? ?? ?? ?? 0F 28 44 24 40 F3 0F 7F 07 4C 8D 9C 24 30 01 00 00 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 73 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_7_104_3 {
	meta:
		name = "?getScopedName@UnDecorator@@CA?AVDName@@XZ"
		size = 280
		refs = "0029 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 003b ?gName@UnDecorator@@0PEBDEB 0050 ?getScope@UnDecorator@@CA?AVDName@@XZ 0057 ??_C@_02MOLJINC@?3?3?$AA@ 0068 ??YDName@@QEAAAEAV0@PEBD@Z 007d ??YDName@@QEAAAEAV0@AEBV0@@Z 00c6 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 00d1 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 40 48 83 21 00 48 8B D9 C6 41 08 00 45 33 C0 81 61 08 FF 00 FF FF B2 01 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 03 80 7B 08 00 48 8B 05 ?? ?? ?? ?? 75 4F 80 38 00 74 4A 80 38 40 74 4A 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 48 8B D3 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 F3 0F 7F 03 48 8B 05 ?? ?? ?? ?? 80 38 40 75 0C 48 FF C0 48 89 05 ?? ?? ?? ?? EB 69 80 38 00 74 11 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 EB 53 48 83 3B 00 BA 01 00 00 00 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 3E 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 48 8B D3 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 F3 0F 7F 03 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_7_105_3 {
	meta:
		name = "?getSignedDimension@UnDecorator@@CA?AVDName@@XZ"
		size = 124
		refs = "0010 ?gName@UnDecorator@@0PEBDEB 0023 ??0DName@@QEAA@W4DNameStatus@@@Z 003f ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 004e ??0DName@@QEAA@D@Z 0060 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B 0D ?? ?? ?? ?? 8A 01 84 C0 75 0F BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? EB 45 33 D2 3C 3F 75 37 48 FF C1 48 89 0D ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? B2 2D 48 8D 4C 24 30 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_7_107_3 {
	meta:
		name = "?getString@DName@@QEBAPEADPEAD0@Z"
		size = 86
		refs = "0032 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 31 49 8B E8 48 8B FA 48 85 F6 75 05 48 8B C2 EB 1A 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 4C 8B C5 48 8B D7 48 8B CE FF D3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_108_3 {
	meta:
		name = "?getString@DName@@QEBAPEADPEADH@Z"
		size = 175
		refs = "0035 _guard_check_icall 0044 ?heap@@3V_HeapManager@@A 004f ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 48 8B 39 41 8B D8 48 8B F2 4C 8B F1 48 85 FF 74 68 48 85 D2 75 30 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 45 33 C0 48 8D 0D ?? ?? ?? ?? 8D 58 01 48 63 D3 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 3B 4D 8B 36 4D 85 F6 75 05 48 8B C6 EB 21 49 8B 16 48 63 DB 48 8B 7A 10 48 8B CF E8 ?? ?? ?? ?? 4C 8D 46 FF 48 8B D6 4C 03 C3 49 8B CE FF D7 C6 00 00 EB 08 48 85 D2 74 03 C6 02 00 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_7_109_3 {
	meta:
		name = "?getString@DNameStatusNode@@UEBAPEADPEAD0@Z"
		size = 68
		refs = "001c ??_C@_04OKOHEJBO@?5?$DP?$DP?5?$AA@"
	strings:
		$1 = { 83 79 08 01 75 3A 44 2B C2 B9 04 00 00 00 44 3B C1 41 0F 4C C8 85 C9 74 20 4C 8D 0D ?? ?? ?? ?? 44 8B D1 4C 2B CA 4C 8B C2 43 8A 04 01 41 88 00 49 FF C0 49 83 EA 01 75 F0 48 63 C1 48 03 C2 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_7_110_3 {
	meta:
		name = "?getString@charNode@@UEBAPEADPEAD0@Z"
		size = 17
	strings:
		$1 = { 49 3B D0 73 08 8A 41 08 88 02 48 FF C2 48 8B C2 C3 }
	condition:
		$1
}

rule file_7_111_3 {
	meta:
		name = "?getString@pDNameNode@@UEBAPEADPEAD0@Z"
		size = 96
		refs = "0036 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 71 08 49 8B E8 48 8B FA 48 85 F6 74 25 48 8B 36 48 85 F6 74 1D 48 8B 06 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 4C 8B C5 48 8B D7 48 8B CE FF D3 48 8B F8 48 8B 5C 24 30 48 8B C7 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_112_3 {
	meta:
		name = "?getString@pairNode@@UEBAPEADPEAD0@Z"
		size = 129
		refs = "0031 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 83 EC 20 48 8B 79 08 4C 8B F1 49 8B E8 48 8B F2 48 8B 07 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 4C 8B C5 48 8B D6 48 8B CF FF D3 48 8B F0 48 3B C5 73 1E 49 8B 7E 10 48 8B 17 48 8B 5A 10 48 8B CB E8 ?? ?? ?? ?? 4C 8B C5 48 8B D6 48 8B CF FF D3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_7_113_3 {
	meta:
		name = "?getString@pcharNode@@UEBAPEADPEAD0@Z"
		size = 54
	strings:
		$1 = { 44 8B 49 10 44 2B C2 4C 8B 51 08 45 3B C8 45 0F 4F C8 45 85 C9 74 18 48 8B CA 45 8B C1 4C 2B D2 41 8A 04 0A 88 01 48 FF C1 49 83 E8 01 75 F1 49 63 C1 48 03 C2 C3 }
	condition:
		$1
}

rule file_7_114_3 {
	meta:
		name = "?getStringEncoding@UnDecorator@@CA?AVDName@@PEADH@Z"
		size = 191
		refs = "000f ??0DName@@QEAA@PEBD@Z 0016 ?gName@UnDecorator@@0PEBDEB 004c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00b2 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8A 02 48 FF C2 48 89 15 ?? ?? ?? ?? 3C 40 75 7F 8A 02 48 FF C2 48 89 15 ?? ?? ?? ?? 3C 5F 75 6F 48 FF C2 48 8D 4C 24 30 48 89 15 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 8A 08 84 C9 74 2F 80 F9 40 74 10 48 FF C0 48 89 05 ?? ?? ?? ?? 8A 08 84 C9 75 EB 80 38 00 74 15 0F 10 44 24 20 48 FF C0 48 89 05 ?? ?? ?? ?? F3 0F 7F 03 EB 1E 48 FF C8 BA 01 00 00 00 48 89 05 ?? ?? ?? ?? EB 05 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_7_115_3 {
	meta:
		name = "?getStringHelper@@YAPEADPEAD00H@Z"
		size = 45
	strings:
		$1 = { 2B D1 44 3B CA 44 0F 4F CA 45 85 C9 74 18 48 8B D1 45 8B D1 4C 2B C1 41 8A 04 10 88 02 48 FF C2 49 83 EA 01 75 F1 49 63 C1 48 03 C1 C3 }
	condition:
		$1
}

rule file_7_116_3 {
	meta:
		name = "?getSymbolName@UnDecorator@@CA?AVDName@@XZ"
		size = 76
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0020 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 0033 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 003f ?getZName@UnDecorator@@CA?AVDName@@_N0@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 3F 75 24 48 FF C0 80 38 24 75 09 B2 01 E8 ?? ?? ?? ?? EB 1D 45 33 C0 48 89 05 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 0A 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_117_3 {
	meta:
		name = "?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 718
		refs = "0026 __security_cookie 004a ?fGetTemplateArgumentList@UnDecorator@@0_NA 005b ?gName@UnDecorator@@0PEBDEB 008d ?pTemplateArgList@UnDecorator@@0PEAVReplicator@@EA 00a0 ??AReplicator@@QEBA?AVDName@@H@Z 00e8 ??_C@_04GKJNKENE@void?$AA@ 00f8 ??4DName@@QEAAAEAV0@PEBD@Z 0144 ?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ 015a ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0160 ?disableFlags@UnDecorator@@0KA 016d ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 0182 ?getString@DName@@QEBAPEADPEADH@Z 018b atol 019c _guard_check_icall 01c0 ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 01c5 ??0DName@@QEAA@PEBD@Z 01da ??YDName@@QEAAAEAV0@AEBV0@@Z 01e5 ??_C@_01GEODFPGF@?8?$AA@ 01f3 ??YDName@@QEAAAEAV0@PEBD@Z 0216 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0246 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 0262 ??YDName@@QEAAAEAV0@D@Z 027a ??_C@_03KHICJKCI@?4?4?4?$AA@ 02a9 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 33 FF 41 B4 01 40 88 79 08 48 8B F1 81 61 08 FF 00 FF FF 48 89 39 44 88 25 ?? ?? ?? ?? 40 38 79 08 0F 85 3F 02 00 00 48 8B 1D ?? ?? ?? ?? F6 03 BF 45 8A EC 0F 84 2C 02 00 00 44 0F BE 03 44 8A E7 81 65 9F 00 00 FF FF 41 83 E8 30 48 89 7D 97 44 8A F7 41 83 F8 09 77 27 48 8B 0D ?? ?? ?? ?? 48 8D 55 C7 48 FF C3 48 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 97 E9 A0 01 00 00 80 3B 24 4C 8B FB 75 23 80 7B 01 24 75 1D 0F BE 4B 02 83 E9 24 74 4F 83 E9 31 74 37 83 E9 01 74 3F 83 E9 01 74 2A 83 F9 03 74 35 8A 03 3C 58 75 4B 48 FF C3 48 8D 15 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? E9 21 01 00 00 41 B6 01 48 83 C3 03 48 89 1D ?? ?? ?? ?? EB CB 48 83 C3 03 EB 0A 80 7B 03 56 75 BF 48 83 C3 04 48 89 1D ?? ?? ?? ?? E9 60 01 00 00 3C 24 75 1C 48 FF C3 38 03 74 15 48 8D 4D D7 48 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 00 00 00 3C 3F 0F 85 AD 00 00 00 48 8D 4D A7 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 74 4F 48 39 3D ?? ?? ?? ?? 74 46 41 B8 10 00 00 00 48 8D 55 17 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 8B D8 48 8B CF E8 ?? ?? ?? ?? 8B CB FF D7 33 FF 48 85 C0 74 08 48 8B D0 E9 40 FF FF FF 48 8D 4D E7 EB 04 48 8D 4D F7 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 0F 10 00 F3 0F 7F 45 97 E8 ?? ?? ?? ?? 0F 28 45 97 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 66 0F 7F 45 97 E8 ?? ?? ?? ?? 0F 28 45 97 66 0F 7F 45 97 EB 20 81 65 BF 00 00 FF FF 48 8D 55 B7 48 8D 4D 07 48 89 7D B7 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 97 48 8B 1D ?? ?? ?? ?? 48 8B C3 49 2B C7 48 83 F8 01 7E 1C 48 8B 0D ?? ?? ?? ?? 83 39 09 74 10 48 8D 55 97 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 39 7D 97 74 36 45 84 ED 75 0A B2 2C 48 8B CE E8 ?? ?? ?? ?? 48 8D 55 97 48 8B CE E8 ?? ?? ?? ?? 45 84 F6 74 0F 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 40 38 7E 08 0F 84 C8 FD FF FF 40 88 3D ?? ?? ?? ?? 48 8B C6 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_7_118_3 {
	meta:
		name = "?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ"
		size = 933
		refs = "0022 __security_cookie 0038 ?gName@UnDecorator@@0PEBDEB 008c ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 009a ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 00ca ?getString@DName@@QEBAPEADPEADH@Z 00fa ??0DName@@QEAA@PEBD@Z 010d ??YDName@@QEAAAEAV0@D@Z 0121 ??YDName@@QEAAAEAV0@AEBV0@@Z 0135 ??_C@_04HIBGFPH@NULL?$AA@ 0159 ??_C@_01HNPIGOCE@?$CG?$AA@ 0196 ??0DName@@QEAA@D@Z 0269 ??0DName@@QEAA@W4DNameStatus@@@Z 0278 __security_check_cookie 02cb atol 02d1 ?disableFlags@UnDecorator@@0KA 02e0 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 02f5 _guard_check_icall 0314 ??_C@_02DPKJAMEF@?$CFd?$AA@ 0325 sprintf_s 0355 ??_C@_0BL@NGJBLFIL@?$GAgeneric?9method?9parameter?9?$AA@ 037e ??_C@_01GEODFPGF@?8?$AA@ 038a ??YDName@@QEAAAEAV0@PEBD@Z 0396 ??_C@_0BK@OFCNNNKO@?$GAgeneric?9class?9parameter?9?$AA@ 039f ??_C@_0BK@IHCCFNEL@?$GAtemplate?9type?9parameter?9?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 41 56 41 57 48 8D 68 A1 48 81 EC E0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 8B F1 BF 01 00 00 00 48 8B 0D ?? ?? ?? ?? 0F BE 19 48 03 CF 48 89 0D ?? ?? ?? ?? 44 8B F3 83 FB 4A 0F 8F F0 01 00 00 83 FB 46 0F 8D 31 01 00 00 85 DB 0F 84 18 01 00 00 41 83 EE 30 0F 84 01 01 00 00 44 2B F7 0F 84 B1 00 00 00 44 2B F7 74 17 41 83 FE 13 0F 85 D8 01 00 00 48 8B CE E8 ?? ?? ?? ?? E9 D8 01 00 00 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D B7 E8 ?? ?? ?? ?? 40 38 7D 9F 0F 8F D7 00 00 00 40 38 7D BF 0F 8F CD 00 00 00 41 B8 63 00 00 00 48 8D 55 C8 48 8D 4D 97 E8 ?? ?? ?? ?? 48 85 C0 0F 84 89 01 00 00 8A 45 C8 88 45 C7 3C 2D 75 0C 8A 45 C9 88 45 C8 C6 45 C9 2E EB 04 C6 45 C8 2E 48 8D 55 C7 48 8D 4D 87 E8 ?? ?? ?? ?? B2 65 48 8D 4D 97 0F 10 00 F3 0F 7F 45 97 E8 ?? ?? ?? ?? 0F 10 45 97 48 8D 55 B7 48 8B CE F3 0F 7F 06 E8 ?? ?? ?? ?? E9 43 01 00 00 80 39 40 75 1E 48 03 CF 48 8D 15 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? E9 20 01 00 00 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B D8 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8B D3 0F 10 00 EB A8 48 8B CE E8 ?? ?? ?? ?? E9 EF 00 00 00 48 2B CF 48 89 0D ?? ?? ?? ?? 8B D7 E9 D6 00 00 00 B2 7B 48 8D 4D B7 E8 ?? ?? ?? ?? 80 EB 48 80 FB 02 77 20 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D B7 E8 ?? ?? ?? ?? B2 2C 48 8D 4D B7 E8 ?? ?? ?? ?? 41 83 EE 46 74 34 44 2B F7 74 0F 44 2B F7 74 4A 44 2B F7 74 25 44 3B F7 75 55 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D B7 E8 ?? ?? ?? ?? B2 2C 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D B7 E8 ?? ?? ?? ?? B2 2C 48 8D 4D B7 E8 ?? ?? ?? ?? 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8B D0 48 8D 4D B7 E8 ?? ?? ?? ?? 0F 10 45 B7 B2 7D 48 8B CE F3 0F 7F 06 E8 ?? ?? ?? ?? EB 28 41 83 FE 51 74 15 41 83 FE 52 74 59 41 83 FE 53 74 42 41 8D 46 AC 83 F8 02 76 4A BA 02 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 5D C3 48 83 26 00 C6 46 08 00 81 66 08 FF 00 FF FF EB C3 48 8D 4D 87 E8 ?? ?? ?? ?? 41 B8 10 00 00 00 48 8D 55 B7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 4D B7 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 8B D8 74 2E 4C 8B 3D ?? ?? ?? ?? 4D 85 FF 74 22 8B F8 49 8B CF 81 E7 FF 0F 00 00 E8 ?? ?? ?? ?? 8B CF 41 FF D7 48 85 C0 74 08 48 8B D0 E9 35 FE FF FF 81 E3 FF 0F 00 00 4C 8D 05 ?? ?? ?? ?? 44 8B CB 48 8D 4D B7 BA 10 00 00 00 E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D 97 E8 ?? ?? ?? ?? 41 83 EE 52 74 60 41 83 EE 02 74 5A 41 83 EE 01 74 4B 41 83 FE 01 0F 85 0E FF FF FF 48 8D 15 ?? ?? ?? ?? 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D 87 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 10 45 87 48 8D 15 ?? ?? ?? ?? 48 8B CE F3 0F 7F 06 E8 ?? ?? ?? ?? E9 DA FE FF FF 48 8D 15 ?? ?? ?? ?? EB BD 48 8D 15 ?? ?? ?? ?? EB B4 }
	condition:
		$1
}

rule file_7_119_3 {
	meta:
		name = "?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z"
		size = 474
		refs = "001f ?gName@UnDecorator@@0PEBDEB 003f ?pTemplateArgList@UnDecorator@@0PEAVReplicator@@EA 0049 ?pArgList@UnDecorator@@0PEAVReplicator@@EA 0054 ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 00bc ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 00cc ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 00d6 ?fExplicitTemplateParams@UnDecorator@@0_NA 00fe ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 010d ??0DName@@QEAA@D@Z 0123 ??YDName@@QEAAAEAV0@AEBV0@@Z 014b _guard_check_icall 0160 ??YDName@@QEAAAEAV0@D@Z 01b8 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 80 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 44 8A FA 48 8B F9 80 38 3F 0F 85 80 01 00 00 80 78 01 24 0F 85 76 01 00 00 48 8B 0D ?? ?? ?? ?? 83 CA FF 4C 8B 25 ?? ?? ?? ?? 48 83 C0 02 4C 8B 2D ?? ?? ?? ?? 32 DB 48 89 8D D8 00 00 00 48 8D 4C 24 60 48 89 0D ?? ?? ?? ?? 8D 72 02 48 8D 4D C0 89 54 24 60 48 89 0D ?? ?? ?? ?? 48 8D 4D 20 48 89 0D ?? ?? ?? ?? 48 8D 4C 24 30 89 55 C0 89 55 20 40 8A D6 48 89 05 ?? ?? ?? ?? 80 38 3F 88 9D D0 00 00 00 75 1E 48 03 C6 4C 8D 85 D0 00 00 00 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 9D D0 00 00 00 EB 08 44 8A C6 E8 ?? ?? ?? ?? 0F 10 00 0F B6 0D ?? ?? ?? ?? 66 48 0F 7E C0 48 85 C0 0F 11 44 24 20 0F 44 CE 88 0D ?? ?? ?? ?? 84 DB 0F 85 98 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? B2 3C 48 8D 4C 24 50 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 74 24 20 4D 85 F6 74 24 49 8B 06 48 8B 58 08 48 8B CB E8 ?? ?? ?? ?? 49 8B CE FF D3 3C 3E 75 0C B2 20 48 8D 4C 24 20 E8 ?? ?? ?? ?? B2 3E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 45 84 FF 74 16 48 8B 05 ?? ?? ?? ?? 80 38 00 74 0A 48 03 C6 48 89 05 ?? ?? ?? ?? 0F 10 44 24 20 48 8B 85 D8 00 00 00 48 89 05 ?? ?? ?? ?? 4C 89 25 ?? ?? ?? ?? 4C 89 2D ?? ?? ?? ?? F3 0F 7F 07 EB 0A BA 02 00 00 00 E8 ?? ?? ?? ?? 48 8B C7 48 8B 9C 24 C0 01 00 00 48 81 C4 80 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_7_120_3 {
	meta:
		name = "?getThisType@UnDecorator@@CA?AVDName@@XZ"
		size = 71
		refs = "0019 ??_C@_00CNPNBAHC@?$AA@ 003a ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 49 83 63 D8 00 4D 8D 4B D8 49 83 63 E8 00 4C 8D 05 ?? ?? ?? ?? B8 00 00 FF FF C7 44 24 20 01 00 00 00 21 44 24 38 49 8D 53 E8 21 44 24 48 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_7_121_3 {
	meta:
		name = "?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 195
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 004b ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0052 ??_C@_07HDJPLPEK@?5throw?$CI?$AA@ 005e ??0DName@@QEAA@PEBD@Z 0072 ??YDName@@QEAAAEAV0@AEBV0@@Z 009a ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 00ac ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 8B F9 80 38 00 74 57 80 38 5A 75 20 48 83 65 D0 00 48 FF C0 81 65 D8 00 00 FF FF 0F 10 45 D0 48 89 05 ?? ?? ?? ?? F3 0F 7F 01 EB 6A 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B D8 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D D0 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? EB 26 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 4D D0 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 10 45 D0 B2 29 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 8B 7C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_7_122_3 {
	meta:
		name = "?getTypeEncoding@UnDecorator@@CAHXZ"
		size = 866
		refs = "0007 ?gName@UnDecorator@@0PEBDEB 00f3 ?getTypeEncoding@UnDecorator@@CAHXZ"
	strings:
		$1 = { 48 83 EC 28 4C 8B 05 ?? ?? ?? ?? 41 B9 00 40 00 00 41 BB 01 00 00 00 33 D2 41 80 38 5F 75 0D 4D 03 C3 41 8B D1 4C 89 05 ?? ?? ?? ?? 41 8A 00 2C 41 3C 19 0F 86 A4 02 00 00 41 80 38 24 0F 85 CD 01 00 00 4D 03 C3 45 32 D2 4C 89 05 ?? ?? ?? ?? 41 0F BE 08 83 F9 42 0F 8F F1 00 00 00 0F 84 E0 00 00 00 85 C9 0F 84 CB 00 00 00 83 F9 24 0F 85 A0 00 00 00 49 8D 40 01 80 38 50 4C 0F 44 C0 4D 03 C3 4C 89 05 ?? ?? ?? ?? 45 38 10 74 7C 41 8A 00 2C 46 A8 FD 74 26 41 80 38 4A 74 2F 41 80 38 4B 0F 8E 7C 02 00 00 41 80 38 4D 7E 10 41 80 38 4F 7E 19 41 80 38 51 0F 85 66 02 00 00 4D 03 C3 4C 89 05 ?? ?? ?? ?? E9 4B FF FF FF 4D 03 C3 4C 89 05 ?? ?? ?? ?? 41 8A 00 2C 30 3C 09 77 21 41 0F BE 00 83 E8 2F 48 98 4C 03 C0 4C 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA E8 10 E9 5D 02 00 00 BA FF FF 00 00 E9 F7 00 00 00 B8 FE FF 00 00 E9 49 02 00 00 83 F9 2F 0F 8E 06 02 00 00 83 F9 35 7E 67 83 F9 41 0F 85 F8 01 00 00 81 CA 00 90 00 00 E9 CB 00 00 00 BA FE FF 00 00 4D 2B C3 E9 BE 00 00 00 81 CA 00 98 00 00 E9 B3 00 00 00 83 E9 43 0F 84 A4 00 00 00 41 2B CB 0F 84 93 00 00 00 41 2B CB 0F 84 82 00 00 00 83 E9 0D 0F 85 B1 01 00 00 4D 03 C3 45 8A D3 4C 89 05 ?? ?? ?? ?? 41 8A 08 8D 41 D0 3C 05 77 52 45 0F BE 08 81 CA 00 88 00 00 41 83 E9 30 41 F6 DA 41 8B C1 1B C9 81 E1 00 01 00 00 81 C1 00 05 00 00 0B CA 8B D1 0F BA EA 0D 41 22 C3 0F 44 D1 41 83 E1 06 74 17 41 83 F9 02 74 0B 41 83 F9 04 74 36 E9 53 01 00 00 0F BA EA 07 EB 2B 83 CA 40 EB 26 F6 D9 BA FF FF 00 00 1B C0 03 C2 E9 72 01 00 00 81 CA 00 92 00 00 EB 0E 81 CA 00 91 00 00 EB 06 81 CA 00 7C 00 00 4D 03 C3 4C 89 05 ?? ?? ?? ?? E9 4B 01 00 00 41 8A 08 8D 41 D0 3C 08 0F 87 97 00 00 00 4D 03 C3 0F BE C9 4C 89 05 ?? ?? ?? ?? 83 E9 30 74 7B 41 2B CB 74 6C 41 2B CB 74 60 41 2B CB 74 53 41 2B CB 74 44 41 2B CB 74 34 41 2B CB 74 24 41 2B CB 74 14 41 3B CB 0F 85 C7 00 00 00 81 CA 00 78 00 00 E9 F4 00 00 00 81 CA 00 70 00 00 E9 E9 00 00 00 81 CA 00 68 00 00 E9 DE 00 00 00 81 CA 00 60 00 00 E9 D3 00 00 00 BA 00 20 00 00 E9 C9 00 00 00 41 0B D1 E9 C1 00 00 00 33 D2 E9 BA 00 00 00 BA 00 10 00 00 E9 B0 00 00 00 BA 00 08 00 00 E9 A6 00 00 00 80 F9 39 75 14 4D 03 C3 BA FD FF 00 00 4C 89 05 ?? ?? ?? ?? E9 8D 00 00 00 F6 D9 BA FE FF 00 00 1B C0 F7 D8 03 D0 EB 7E 45 0F BE 08 0F BA EA 0F 41 83 E9 41 4D 03 C3 8B CA 4C 89 05 ?? ?? ?? ?? 0F BA EA 0D 41 8B C1 41 22 C3 0F 44 D1 41 83 F9 18 7D 53 8B C2 BA 00 08 00 00 0B D0 41 8B C1 83 E0 18 74 17 83 F8 08 74 0C 83 F8 10 74 10 B8 FF FF 00 00 EB 33 0F BA EA 07 EB 03 83 CA 40 41 83 E1 06 74 22 41 83 F9 02 74 18 41 83 F9 04 74 0C 41 83 F9 06 75 D8 0F BA EA 0A EB 0A 0F BA EA 08 EB 04 0F BA EA 09 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_7_123_3 {
	meta:
		name = "?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ"
		size = 76
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0027 ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 0033 ??0DName@@QEAA@PEBD@Z 003f ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 00 74 24 80 38 41 74 07 BA 02 00 00 00 EB 1D 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_7_125_3 {
	meta:
		name = "?getVdispMapType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 90
		refs = "000c ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 0018 ??YDName@@QEAAAEAV0@PEBD@Z 0022 ?getScope@UnDecorator@@CA?AVDName@@XZ 002d ??YDName@@QEAAAEAV0@AEBV0@@Z 0037 ??YDName@@QEAAAEAV0@D@Z 003e ?gName@UnDecorator@@0PEBDEB"
	strings:
		$1 = { 40 53 48 83 EC 30 0F 10 02 48 8D 15 ?? ?? ?? ?? 48 8B D9 F3 0F 7F 01 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B D0 48 8B CB E8 ?? ?? ?? ?? B2 7D 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 0A 48 FF C0 48 89 05 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_7_126_3 {
	meta:
		name = "?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 461
		refs = "0029 ?gName@UnDecorator@@0PEBDEB 0047 ??_C@_00CNPNBAHC@?$AA@ 0064 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 0078 ??YDName@@QEAAAEAV0@D@Z 008d ??YDName@@QEAAAEAV0@AEBV0@@Z 00b6 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 00be ??YDName@@QEAAAEAV0@PEBD@Z 00dd ?getScope@UnDecorator@@CA?AVDName@@XZ 00eb ??0DName@@QEAA@D@Z 0147 ??_C@_02MDINNEEG@s?5?$AA@ 0164 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 019a ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 60 0F 10 02 48 8B F9 F3 0F 7F 01 80 79 08 01 0F 8F 94 01 00 00 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 54 01 00 00 48 83 65 D0 00 4C 8D 4D D0 48 83 65 E0 00 4C 8D 05 ?? ?? ?? ?? 83 64 24 20 00 48 8D 55 E0 B8 00 00 FF FF 48 8D 4D F0 21 45 D8 21 45 E8 E8 ?? ?? ?? ?? 0F 28 45 F0 48 8D 4D E0 B2 20 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 48 8B D7 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 F3 0F 7F 07 80 7F 08 01 0F 8F 17 01 00 00 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 84 CB 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 7F 08 01 0F 8F A6 00 00 00 F6 00 BF 74 78 48 8D 4D F0 E8 ?? ?? ?? ?? B2 60 48 8D 4D D0 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 48 8D 4D E0 B2 27 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 48 8D 55 E0 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 0A 48 FF C0 48 89 05 ?? ?? ?? ?? 80 7F 08 01 7F 3A 80 38 40 74 85 48 8D 15 ?? ?? ?? ?? E9 6A FF FF FF 80 7F 08 01 7F 23 80 38 00 75 0D BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? B2 7D 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 3C 48 FF C0 48 89 05 ?? ?? ?? ?? EB 30 80 79 08 01 7F 2A BA 01 00 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B D7 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 10 45 E0 F3 0F 7F 07 48 8B 5C 24 70 48 8B C7 48 8B 7C 24 78 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_7_127_3 {
	meta:
		name = "?getZName@UnDecorator@@CA?AVDName@@_N0@Z"
		size = 667
		refs = "0022 __security_cookie 0030 ?gName@UnDecorator@@0PEBDEB 0054 ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 0060 ??AReplicator@@QEBA?AVDName@@H@Z 0085 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00c5 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 00d1 ??_C@_0BE@JAEOCHPE@template?9parameter?9?$AA@ 010c ??_C@_0O@KHGCOMHP@generic?9type?9?$AA@ 014f ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0155 ?disableFlags@UnDecorator@@0KA 0162 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 0178 ?getString@DName@@QEBAPEADPEADH@Z 0181 atol 0192 _guard_check_icall 01a7 ??4DName@@QEAAAEAV0@PEBD@Z 01b7 ??_C@_01NLNLIGKH@?$GA?$AA@ 01c8 ??0DName@@QEAA@PEBD@Z 01dd ??YDName@@QEAAAEAV0@AEBV0@@Z 01e8 ??_C@_01GEODFPGF@?8?$AA@ 01f6 ??YDName@@QEAAAEAV0@PEBD@Z 0241 ??0DName@@QEAA@AEAPEBDD@Z 0263 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 027a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 4C 8B 0D ?? ?? ?? ?? 45 8A D0 44 8A FA 48 8B F1 45 0F BE 01 41 83 E8 30 41 83 F8 09 77 1E 49 FF C1 48 8B D1 48 8B 0D ?? ?? ?? ?? 4C 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 02 00 00 48 83 65 D7 00 41 BB 00 00 FF FF 44 21 5D DF 41 80 39 3F 75 50 33 D2 48 8D 4D 27 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 00 8A 01 48 FF C1 48 89 0D ?? ?? ?? ?? F3 0F 7F 45 D7 3C 40 0F 84 A1 01 00 00 48 FF C9 48 89 0D ?? ?? ?? ?? 8A 01 48 8D 4D D7 F6 D8 1B D2 F7 DA FF C2 E8 ?? ?? ?? ?? E9 7F 01 00 00 4C 8D 35 ?? ?? ?? ?? 49 8B C9 49 8B C6 41 B8 12 00 00 00 83 CB FF 8A 11 84 D2 74 0F 3A 10 75 0B 48 FF C1 48 FF C0 44 03 C3 75 EB 0F B6 09 0F B6 00 3B C8 75 06 49 83 C1 13 EB 3A 4C 8D 35 ?? ?? ?? ?? 49 8B C9 49 8B C6 41 B8 0C 00 00 00 8A 11 84 D2 74 0F 3A 10 75 0B 48 FF C1 48 FF C0 44 03 C3 75 EB 0F B6 09 0F B6 00 3B C8 0F 85 CA 00 00 00 49 83 C1 0D 48 8D 4D 07 4C 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 74 51 48 83 3D ?? ?? ?? ?? 00 74 47 41 B8 10 00 00 00 48 8D 55 27 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 4D 27 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 8B D8 48 8B CF E8 ?? ?? ?? ?? 8B CB FF D7 48 8D 4D D7 48 85 C0 74 11 48 8B D0 E8 ?? ?? ?? ?? E9 9D 00 00 00 48 8D 4D D7 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 49 8B D6 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 55 07 48 8D 4D E7 0F 10 00 F3 0F 7F 45 E7 E8 ?? ?? ?? ?? 0F 28 45 E7 48 8D 15 ?? ?? ?? ?? 48 8D 4D E7 66 0F 7F 45 E7 E8 ?? ?? ?? ?? 48 8D 55 E7 48 8D 4D D7 E8 ?? ?? ?? ?? EB 44 45 84 D2 74 24 41 80 39 40 75 1E 48 83 65 07 00 44 21 5D 0F 0F 28 45 07 49 FF C1 4C 89 0D ?? ?? ?? ?? 66 0F 7F 45 D7 EB 1B 41 B0 40 48 8D 15 ?? ?? ?? ?? 48 8D 4D 17 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 D7 45 84 FF 74 15 48 8B 0D ?? ?? ?? ?? 83 39 09 74 09 48 8D 55 D7 E8 ?? ?? ?? ?? 0F 28 45 D7 F3 0F 7F 06 48 8B C6 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5E 5D C3 }
	condition:
		$1
}

rule file_7_136_3 {
	meta:
		name = "?isUDC@DName@@QEBAHXZ"
		size = 22
	strings:
		$1 = { 33 C0 48 39 01 74 0E F7 41 08 00 02 00 00 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_7_137_3 {
	meta:
		name = "?isUDTThunk@DName@@QEBAHXZ"
		size = 22
	strings:
		$1 = { 33 C0 48 39 01 74 0E F7 41 08 00 04 00 00 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_7_140_3 {
	meta:
		name = "?length@DName@@QEBAHXZ"
		size = 52
		refs = "0020 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 39 48 85 FF 75 04 33 C0 EB 13 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_143_3 {
	meta:
		name = "?length@pDNameNode@@UEBAHXZ"
		size = 59
		refs = "0027 _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 51 08 33 C0 48 85 D2 74 1B 48 8B 3A 48 85 FF 74 13 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_144_3 {
	meta:
		name = "?length@pairNode@@UEBAHXZ"
		size = 106
		refs = "002f _guard_check_icall"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 83 79 18 00 48 8B E9 7D 35 48 8B 79 10 48 8B 71 08 48 8B 07 48 8B 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D3 48 8B 16 8B F8 48 8B 1A 48 8B CB E8 ?? ?? ?? ?? 48 8B CE FF D3 03 F8 89 7D 18 8B 45 18 48 8B 6C 24 38 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_146_3 {
	meta:
		name = "?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
		size = 136
		refs = "0002 ??_B?1??make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z@51 000f ?nodes@?1??make@DNameStatusNode@@SAPEAV2@W4DNameStatus@@@Z@4PAV2@A 0022 ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? A8 01 75 5F 83 C8 01 C7 05 ?? ?? ?? ?? 01 00 00 00 89 05 ?? ?? ?? ?? 33 D2 48 8D 05 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 04 00 00 00 48 C7 05 ?? ?? ?? ?? 02 00 00 00 48 C7 05 ?? ?? ?? ?? 03 00 00 00 83 F9 03 77 12 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 C1 E0 04 48 03 C1 C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_7_155_3 {
	meta:
		name = "?und_memcpy@@YAXPEADPEBDI@Z"
		size = 26
	strings:
		$1 = { 45 85 C0 74 14 48 2B D1 45 8B C0 8A 04 0A 88 01 48 FF C1 49 83 E8 01 75 F2 C3 }
	condition:
		$1
}

rule file_7_156_3 {
	meta:
		name = "?und_strlen@@YAIPEBD@Z"
		size = 17
	strings:
		$1 = { 33 C0 38 01 74 0A 48 FF C1 FF C0 80 39 00 75 F6 C3 }
	condition:
		$1
}

rule file_7_157_3 {
	meta:
		name = "?und_strncmp@@YAIPEBD0I@Z"
		size = 44
	strings:
		$1 = { 45 85 C0 75 03 33 C0 C3 41 83 C9 FF EB 10 8A 01 84 C0 74 0F 3A 02 75 0B 48 FF C1 48 FF C2 45 03 C1 75 EB 0F B6 01 0F B6 0A 2B C1 C3 }
	condition:
		$1
}

rule file_7_159_3 {
	meta:
		name = "__unDName"
		size = 246
		refs = "0033 __vcrt_lock 003b ?heap@@3V_HeapManager@@A 0082 ??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z 008c ??BUnDecorator@@QEAAPEADXZ 00c0 _guard_check_icall 00d5 __vcrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 81 EC E0 00 00 00 49 8B D9 41 8B F8 48 8B F2 4C 8B F1 4D 85 C9 75 07 33 C0 E9 AC 00 00 00 33 C9 E8 ?? ?? ?? ?? 90 48 89 1D ?? ?? ?? ?? 48 8B 84 24 10 01 00 00 48 89 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 0F 57 C0 F3 0F 7F 05 ?? ?? ?? ?? 0F B7 84 24 18 01 00 00 89 44 24 28 48 83 64 24 20 00 44 8B CF 4C 8B C6 49 8B D6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B F0 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 33 48 8B 1D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 85 DB 74 20 48 8B 13 48 89 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B CB FF D7 48 8B 3D ?? ?? ?? ?? EB CD 33 C9 E8 ?? ?? ?? ?? 48 8B C6 4C 8D 9C 24 E0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_7_160_3 {
	meta:
		name = "__unDName$fin$0"
		size = 22
		refs = "0011 __vcrt_unlock"
		altNames = "__unDNameEx$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 33 C9 48 83 C4 30 5D E9 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_161_3 {
	meta:
		name = "__unDNameEx"
		size = 252
		refs = "0033 __vcrt_lock 003b ?heap@@3V_HeapManager@@A 0088 ??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z 0092 ??BUnDecorator@@QEAAPEADXZ 00c6 _guard_check_icall 00db __vcrt_unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 81 EC E0 00 00 00 49 8B D9 41 8B F8 48 8B F2 4C 8B F1 4D 85 C9 75 07 33 C0 E9 B2 00 00 00 33 C9 E8 ?? ?? ?? ?? 90 48 89 1D ?? ?? ?? ?? 48 8B 84 24 10 01 00 00 48 89 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 0F 57 C0 F3 0F 7F 05 ?? ?? ?? ?? 8B 84 24 20 01 00 00 89 44 24 28 48 8B 84 24 18 01 00 00 48 89 44 24 20 44 8B CF 4C 8B C6 49 8B D6 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B F0 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 33 48 8B 1D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 85 DB 74 20 48 8B 13 48 89 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B CB FF D7 48 8B 3D ?? ?? ?? ?? EB CD 33 C9 E8 ?? ?? ?? ?? 48 8B C6 4C 8D 9C 24 E0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5E C3 }
	condition:
		$1
}

rule file_8_0_3 {
	meta:
		name = "wcsrchr"
		size = 174
		refs = "000b __isa_available"
	strings:
		$1 = { 4C 8B C1 44 0F B7 CA 33 C9 83 3D ?? ?? ?? ?? 02 7D 2B 49 8B D0 41 0F B7 00 49 83 C0 02 66 85 C0 75 F3 49 83 E8 02 4C 3B C2 74 06 66 45 39 08 75 F1 66 45 39 08 49 0F 44 C8 48 8B C1 C3 48 8B D1 EB 12 66 45 39 08 49 0F 44 D0 66 41 39 08 74 5A 49 83 C0 02 41 8D 40 01 A8 0E 75 E6 66 41 3B C9 75 24 B8 01 00 FF FF 66 0F 6E C8 EB 04 49 83 C0 10 F3 41 0F 6F 00 66 0F 3A 63 C8 15 75 EF 48 63 C1 49 8D 04 40 C3 41 0F B7 C1 66 0F 6E C8 F3 41 0F 6F 00 66 0F 3A 63 C8 41 73 07 48 63 C1 49 8D 14 40 74 06 49 83 C0 10 EB E4 48 8B C2 C3 }
	condition:
		$1
}

rule file_9_1_3 {
	meta:
		name = "_get_unexpected"
		size = 34
		refs = "0005 __vcrt_getptd 000c terminate"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 78 08 00 48 0F 45 48 08 48 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_9_2_3 {
	meta:
		name = "set_unexpected"
		size = 44
		refs = "000a __vcrt_getptd 0014 terminate"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B D0 48 8D 05 ?? ?? ?? ?? 48 83 7A 08 00 48 0F 45 42 08 48 89 5A 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_9_3_3 {
	meta:
		name = "unexpected"
		size = 36
		refs = "0007 __vcrt_getptd 0018 _guard_check_icall 001f terminate"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B 58 08 48 85 DB 74 0A 48 8B CB E8 ?? ?? ?? ?? FF D3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_10_0_3 {
	meta:
		name = "?_CatchTryBlock@@YAPEBU_s_TryBlockMapEntry@@PEBU_s_FuncInfo@@H@Z"
		size = 83
		refs = "001e __vcrt_getptd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 59 0C 8B FA 48 8B F1 85 DB 74 26 FF CB E8 ?? ?? ?? ?? 48 8D 0C 9B 48 8B 40 60 48 8D 14 88 48 63 46 10 48 03 C2 3B 78 04 7E DD 3B 78 08 7F D8 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_1_3 {
	meta:
		name = "?_ExecutionInCatch@@YAHPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 115
		refs = "001e ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 002e __vcrt_getptd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 48 8B D1 48 8B CE E8 ?? ?? ?? ?? 8B 7E 0C 8B E8 33 DB EB 24 FF CF E8 ?? ?? ?? ?? 48 8D 14 BF 48 8B 40 60 48 8D 0C 90 48 63 46 10 48 03 C1 3B 68 04 7E 05 3B 68 08 7E 07 85 FF 75 D8 48 8B C3 48 8B 6C 24 38 48 85 C0 48 8B 74 24 40 0F 95 C3 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_2_3 {
	meta:
		name = "?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
		size = 201
		refs = "002a ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 0064 __imp_RtlLookupFunctionEntry"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 56 41 57 48 83 EC 20 41 8B 78 0C 4C 8B E1 49 8B C8 49 8B F1 4D 8B F0 4C 8B FA E8 ?? ?? ?? ?? 4D 8B 14 24 8B E8 4C 89 16 85 FF 74 74 49 63 46 10 FF CF 48 8D 14 BF 48 8D 1C 90 49 03 5F 08 3B 6B 04 7E E5 3B 6B 08 7F E0 49 8B 0F 48 8D 54 24 50 45 33 C0 FF 15 ?? ?? ?? ?? 4C 63 43 10 33 C9 4C 03 44 24 50 44 8B 4B 0C 44 8B 10 45 85 C9 74 17 49 8D 50 0C 48 63 02 49 3B C2 74 0B FF C1 48 83 C2 14 41 3B C9 72 ED 41 3B C9 73 9C 49 8B 04 24 48 8D 0C 89 49 63 4C 88 10 48 8B 0C 01 48 89 0E 48 8B 5C 24 58 48 8B C6 48 8B 6C 24 60 48 83 C4 20 41 5F 41 5E 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_10_3_3 {
	meta:
		name = "?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z"
		size = 297
		refs = "0034 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 0124 terminate"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 20 8B 72 0C 48 8B FA 48 8B 6C 24 70 48 8B CF 48 8B D5 45 8B E1 33 DB E8 ?? ?? ?? ?? 44 8B D8 85 F6 0F 84 E0 00 00 00 4C 8B 54 24 68 8B D6 4C 8B 44 24 60 41 83 0A FF 41 83 08 FF 4C 8B 75 08 4C 63 7F 10 44 8D 4A FF 4B 8D 0C 89 49 8D 04 8E 46 3B 5C 38 04 7E 07 46 3B 5C 38 08 7E 08 41 8B D1 45 85 C9 75 DE 85 D2 74 0E 8D 42 FF 48 8D 04 80 49 8D 1C 87 49 03 DE 33 D2 85 F6 74 7E 45 33 C9 48 63 4F 10 48 03 4D 08 49 03 C9 48 85 DB 74 0F 8B 43 04 39 01 7E 22 8B 43 08 39 41 04 7F 1A 44 3B 21 7C 15 44 3B 61 04 7F 0F 41 83 38 FF 75 03 41 89 10 8D 42 01 41 89 02 FF C2 49 83 C1 14 3B D6 72 BD 41 83 38 FF 74 32 41 8B 00 48 8D 0C 80 48 63 47 10 48 8D 04 88 48 03 45 08 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5E 41 5C C3 41 83 20 00 41 83 22 00 33 C0 EB D5 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_10_4_3 {
	meta:
		name = "?__FrameUnwindToEmptyState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 145
		refs = "001e ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 002c ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 003a __vcrt_getptd 007a __FrameUnwindToState"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 56 57 41 56 48 83 EC 20 4C 8D 4C 24 50 49 8B F8 48 8B EA E8 ?? ?? ?? ?? 48 8B D5 48 8B CF 4C 8B F0 E8 ?? ?? ?? ?? 8B 5F 0C 8B F0 EB 24 FF CB E8 ?? ?? ?? ?? 48 8D 14 9B 48 8B 40 60 48 8D 0C 90 48 63 47 10 48 03 C1 3B 70 04 7E 05 3B 70 08 7E 06 85 DB 75 D8 33 C0 48 85 C0 75 06 41 83 C9 FF EB 04 44 8B 48 04 4C 8B C7 48 8B D5 49 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 83 C4 20 41 5E 5F 5E C3 }
	condition:
		$1
}

rule file_10_5_3 {
	meta:
		name = "?__SehTransFilter@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEAH@Z"
		size = 152
		refs = "0021 __vcrt_getptd 0065 __InternalCxxFrameHandler"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F1 49 8B E8 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 58 70 48 8B 1F E8 ?? ?? ?? ?? 48 8B 53 38 4C 8B C6 48 8B 4C 24 78 33 DB 4C 8B 4C 24 70 C7 44 24 38 01 00 00 00 48 89 50 68 48 8B D5 48 89 5C 24 30 89 5C 24 28 48 89 4C 24 20 48 8B 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 8C 24 80 00 00 00 48 8B 6C 24 58 48 8B 74 24 60 48 89 58 70 8D 43 01 48 8B 5C 24 50 C7 01 01 00 00 00 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_10_6_3 {
	meta:
		name = "_CallSETranslator"
		size = 87
		refs = "0029 __vcrt_getptd 0035 _guard_check_icall"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 53 57 48 83 EC 68 48 8B F9 83 60 C8 00 48 89 48 D0 4C 89 40 D8 E8 ?? ?? ?? ?? 48 8B 58 10 48 8B CB E8 ?? ?? ?? ?? 48 8D 54 24 48 8B 0F FF D3 C7 44 24 40 00 00 00 00 EB 00 8B 44 24 40 48 83 C4 68 5F 5B C3 }
	condition:
		$1
}

rule file_10_7_3 {
	meta:
		name = "_CallSETranslator$filt$0"
		size = 76
		refs = "0040 ?__SehTransFilter@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEAH@Z"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 48 8D 45 40 48 89 44 24 30 48 8B 85 A0 00 00 00 48 89 44 24 28 48 8B 85 98 00 00 00 48 89 44 24 20 4C 8B 8D 90 00 00 00 4C 8B 85 88 00 00 00 48 8B 95 80 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_10_8_3 {
	meta:
		name = "_CreateFrameInfo"
		size = 58
		refs = "000d __vcrt_getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 E8 ?? ?? ?? ?? 48 3B 58 58 73 0B E8 ?? ?? ?? ?? 48 8B 48 58 EB 02 33 C9 48 89 4B 08 E8 ?? ?? ?? ?? 48 89 58 58 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_10_9_3 {
	meta:
		name = "_FindAndUnlinkFrame"
		size = 87
		refs = "000e __vcrt_getptd 004c terminate"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 3B 78 58 75 39 E8 ?? ?? ?? ?? 48 8B 58 58 EB 09 48 3B FB 74 0B 48 8B 5B 08 48 85 DB 75 F2 EB 18 E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 5C 24 30 48 89 48 58 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_10_10_3 {
	meta:
		name = "_GetImageBase"
		size = 18
		refs = "0005 __vcrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 40 60 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_10_11_3 {
	meta:
		name = "_GetThrowImageBase"
		size = 18
		refs = "0005 __vcrt_getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 40 68 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_10_12_3 {
	meta:
		name = "_IsExceptionObjectToBeDestroyed"
		size = 47
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 50 58 EB 09 48 39 1A 74 12 48 8B 52 08 48 85 D2 75 F2 8D 42 01 48 83 C4 20 5B C3 33 C0 EB F6 }
	condition:
		$1
}

rule file_10_14_3 {
	meta:
		name = "_SetImageBase"
		size = 24
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 58 60 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_10_15_3 {
	meta:
		name = "_SetThrowImageBase"
		size = 24
		refs = "000a __vcrt_getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 58 68 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_10_16_3 {
	meta:
		name = "_UnwindNestedFrames"
		size = 289
		refs = "0014 __security_cookie 002c ?ExceptionTemplate@?1??_UnwindNestedFrames@@9@4U_EXCEPTION_RECORD@@B 0095 __CxxCallCatchBlock 0105 __imp_RtlUnwindEx 0114 __security_check_cookie"
	strings:
		$1 = { 40 55 48 8D AC 24 50 FB FF FF 48 81 EC B0 05 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 04 00 00 4C 8B 95 F8 04 00 00 48 8D 05 ?? ?? ?? ?? 0F 10 00 4C 8B D9 48 8D 4C 24 30 0F 10 48 10 0F 11 01 0F 10 40 20 0F 11 49 10 0F 10 48 30 0F 11 41 20 0F 10 40 40 0F 11 49 30 0F 10 48 50 0F 11 41 40 0F 10 40 60 0F 11 49 50 0F 10 88 80 00 00 00 0F 11 41 60 0F 10 40 70 48 8B 80 90 00 00 00 0F 11 41 70 0F 11 89 80 00 00 00 48 89 81 90 00 00 00 48 8D 05 ?? ?? ?? ?? 49 8B 0B 48 89 44 24 50 48 8B 85 E0 04 00 00 48 89 44 24 60 48 63 85 E8 04 00 00 48 89 44 24 68 48 8B 85 F0 04 00 00 48 89 44 24 78 0F B6 85 00 05 00 00 48 89 45 88 49 8B 42 40 48 89 44 24 28 48 8D 45 D0 4C 89 4C 24 58 45 33 C9 4C 89 44 24 70 4C 8D 44 24 30 48 89 55 80 49 8B 12 48 89 44 24 20 48 C7 45 90 20 05 93 19 FF 15 ?? ?? ?? ?? 48 8B 8D A0 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 05 00 00 5D C3 }
	condition:
		$1
}

rule file_10_17_3 {
	meta:
		name = "__CxxFrameHandler"
		size = 125
		refs = "001e __vcrt_getptd 0069 __InternalCxxFrameHandler"
		altNames = "__CxxFrameHandler3"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B D9 48 89 54 24 50 49 8B F8 48 8B F1 E8 ?? ?? ?? ?? 48 8B 53 08 48 89 50 60 E8 ?? ?? ?? ?? 48 8B 56 38 48 89 50 68 E8 ?? ?? ?? ?? 48 8B 4B 38 4C 8B CB 4C 8B C7 8B 11 48 8B CE 48 03 50 60 33 C0 89 44 24 38 48 89 44 24 30 89 44 24 28 48 89 54 24 20 48 8D 54 24 50 E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_11_0_3 {
	meta:
		name = "_local_unwind"
		size = 48
		refs = "0018 RtlUnwindEx"
	strings:
		$1 = { 48 81 EC D8 04 00 00 4D 33 C0 4D 33 C9 48 89 64 24 20 4C 89 44 24 28 E8 ?? ?? ?? ?? 48 81 C4 D8 04 00 00 C3 CC CC CC CC CC CC 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_11_1_3 {
	meta:
		name = "_NLG_Notify"
		size = 32
	strings:
		$1 = { 48 89 4C 24 08 48 89 54 24 18 44 89 44 24 10 49 C7 C1 20 05 93 19 EB 08 CC CC CC CC CC CC 66 90 }
	condition:
		$1
}

rule file_11_2_3 {
	meta:
		name = "__NLG_Dispatch2"
		size = 16
	strings:
		$1 = { C3 CC CC CC CC CC CC 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_12_8_3 {
	meta:
		name = "__std_exception_copy"
		size = 141
		refs = "003b malloc 0052 strcpy_s 0067 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 56 48 83 EC 20 80 79 08 00 4C 8B F2 48 8B F1 74 4C 48 8B 01 48 85 C0 74 44 48 83 CF FF 48 FF C7 80 3C 38 00 75 F7 48 8D 4F 01 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1C 4C 8B 06 48 8D 57 01 48 8B C8 E8 ?? ?? ?? ?? 48 8B C3 41 C6 46 08 01 49 89 06 33 DB 48 8B CB E8 ?? ?? ?? ?? EB 0A 48 8B 01 48 89 02 C6 42 08 00 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_12_9_3 {
	meta:
		name = "__std_exception_destroy"
		size = 37
		refs = "0013 free"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 00 48 8B D9 74 08 48 8B 09 E8 ?? ?? ?? ?? C6 43 08 00 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_13_0_3 {
	meta:
		name = "memcpy"
		size = 1077
		refs = "003a __favor 0086 __ImageBase 008e MoveSmall 0097 MoveSmall0 009b MoveSmall1 009f MoveSmall2 00a3 MoveSmall3 00a7 MoveSmall4 00ab MoveSmall5 00af MoveSmall6 00b3 MoveSmall7 00b7 MoveSmall8 00bb MoveSmall9 00bf MoveSmall10 00c3 MoveSmall11 00c7 MoveSmall12 00cb MoveSmall13 00cf MoveSmall14 00d3 MoveSmall15 00d7 MoveSmall16 022b __memcpy_nt_iters"
	strings:
		$1 = { 4C 8B D9 4C 8B D2 49 83 F8 10 0F 86 70 00 00 00 49 83 F8 20 76 4A 48 2B D1 73 0F 49 8B C2 49 03 C0 48 3B C8 0F 8C 36 03 00 00 49 81 F8 80 00 00 00 0F 86 69 02 00 00 0F BA 25 ?? ?? ?? ?? 01 0F 83 AB 01 00 00 49 8B C3 4C 8B DF 48 8B F9 49 8B C8 4C 8B C6 49 8B F2 F3 A4 49 8B F0 49 8B FB C3 0F 10 02 41 0F 10 4C 10 F0 0F 11 01 41 0F 11 4C 08 F0 48 8B C1 C3 66 66 0F 1F 84 00 00 00 00 00 48 8B C1 4C 8D 0D ?? ?? ?? ?? 43 8B 8C 81 ?? ?? ?? ?? 49 03 C9 FF E1 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F 1F 44 00 00 C3 0F B7 0A 66 89 08 C3 48 8B 0A 48 89 08 C3 0F B7 0A 44 0F B6 42 02 66 89 08 44 88 40 02 C3 0F B6 0A 88 08 C3 F3 0F 6F 02 F3 0F 7F 00 C3 66 90 4C 8B 02 0F B7 4A 08 44 0F B6 4A 0A 4C 89 00 66 89 48 08 44 88 48 0A 49 8B CB C3 8B 0A 89 08 C3 8B 0A 44 0F B6 42 04 89 08 44 88 40 04 C3 66 90 8B 0A 44 0F B7 42 04 89 08 66 44 89 40 04 C3 90 8B 0A 44 0F B7 42 04 44 0F B6 4A 06 89 08 66 44 89 40 04 44 88 48 06 C3 4C 8B 02 8B 4A 08 44 0F B6 4A 0C 4C 89 00 89 48 08 44 88 48 0C C3 66 90 4C 8B 02 0F B6 4A 08 4C 89 00 88 48 08 C3 66 90 4C 8B 02 0F B7 4A 08 4C 89 00 66 89 48 08 C3 90 4C 8B 02 8B 4A 08 4C 89 00 89 48 08 C3 0F 1F 00 4C 8B 02 8B 4A 08 44 0F B7 4A 0C 4C 89 00 89 48 08 66 44 89 48 0C C3 66 0F 1F 84 00 00 00 00 00 4C 8B 02 8B 4A 08 44 0F B7 4A 0C 44 0F B6 52 0E 4C 89 00 89 48 08 66 44 89 48 0C 44 88 50 0E C3 0F 10 04 0A 4C 03 C1 48 83 C1 10 41 F6 C3 0F 74 13 0F 28 C8 48 83 E1 F0 0F 10 04 0A 48 83 C1 10 41 0F 11 0B 4C 2B C1 4D 8B C8 49 C1 E9 07 0F 84 88 00 00 00 0F 29 41 F0 4C 3B 0D ?? ?? ?? ?? 76 17 E9 C2 00 00 00 66 66 0F 1F 84 00 00 00 00 00 0F 29 41 E0 0F 29 49 F0 0F 10 04 0A 0F 10 4C 0A 10 48 81 C1 80 00 00 00 0F 29 41 80 0F 29 49 90 0F 10 44 0A A0 0F 10 4C 0A B0 49 FF C9 0F 29 41 A0 0F 29 49 B0 0F 10 44 0A C0 0F 10 4C 0A D0 0F 29 41 C0 0F 29 49 D0 0F 10 44 0A E0 0F 10 4C 0A F0 75 AD 0F 29 41 E0 49 83 E0 7F 0F 28 C1 EB 0C 0F 10 04 0A 48 83 C1 10 49 83 E8 10 4D 8B C8 49 C1 E9 04 74 1C 66 66 66 0F 1F 84 00 00 00 00 00 0F 11 41 F0 0F 10 04 0A 48 83 C1 10 49 FF C9 75 EF 49 83 E0 0F 74 0D 49 8D 04 08 0F 10 4C 02 F0 0F 11 48 F0 0F 11 41 F0 49 8B C3 C3 0F 1F 40 00 0F 2B 41 E0 0F 2B 49 F0 0F 18 84 0A 00 02 00 00 0F 10 04 0A 0F 10 4C 0A 10 48 81 C1 80 00 00 00 0F 2B 41 80 0F 2B 49 90 0F 10 44 0A A0 0F 10 4C 0A B0 49 FF C9 0F 2B 41 A0 0F 2B 49 B0 0F 10 44 0A C0 0F 10 4C 0A D0 0F 18 84 0A 40 02 00 00 0F 2B 41 C0 0F 2B 49 D0 0F 10 44 0A E0 0F 10 4C 0A F0 75 9D 0F AE F8 E9 38 FF FF FF 0F 1F 44 00 00 49 03 C8 0F 10 44 0A F0 48 83 E9 10 49 83 E8 10 F6 C1 0F 74 17 48 8B C1 48 83 E1 F0 0F 10 C8 0F 10 04 0A 0F 11 08 4C 8B C1 4D 2B C3 4D 8B C8 49 C1 E9 07 74 68 0F 29 01 EB 0D 66 0F 1F 44 00 00 0F 29 41 10 0F 29 09 0F 10 44 0A F0 0F 10 4C 0A E0 48 81 E9 80 00 00 00 0F 29 41 70 0F 29 49 60 0F 10 44 0A 50 0F 10 4C 0A 40 49 FF C9 0F 29 41 50 0F 29 49 40 0F 10 44 0A 30 0F 10 4C 0A 20 0F 29 41 30 0F 29 49 20 0F 10 44 0A 10 0F 10 0C 0A 75 AE 0F 29 41 10 49 83 E0 7F 0F 28 C1 4D 8B C8 49 C1 E9 04 74 1A 66 66 0F 1F 84 00 00 00 00 00 0F 11 01 48 83 E9 10 0F 10 04 0A 49 FF C9 75 F0 49 83 E0 0F 74 08 41 0F 10 0A 41 0F 11 0B 0F 11 01 49 8B C3 C3 }
	condition:
		$1
}

rule file_14_0_3 {
	meta:
		name = "_CallSettingFrame"
		size = 64
		refs = "001a _NLG_Notify 0021 __NLG_Return2"
	strings:
		$1 = { 48 83 EC 28 48 89 4C 24 30 48 89 54 24 38 44 89 44 24 40 48 8B 12 48 8B C1 E8 ?? ?? ?? ?? FF D0 E8 ?? ?? ?? ?? 48 8B C8 48 8B 54 24 38 48 8B 12 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_16_0_3 {
	meta:
		name = "_CxxThrowException"
		size = 215
		refs = "0018 ?ExceptionTemplate@?1??_CxxThrowException@@9@4UEHExceptionRecord@@B 0064 _guard_check_icall 007f __imp_RtlPcToFileHeader 00be __imp_RaiseException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 56 48 8B EC 48 83 EC 60 0F 28 05 ?? ?? ?? ?? 48 8B F2 0F 28 0D ?? ?? ?? ?? 4C 8B F1 0F 29 45 C0 0F 28 05 ?? ?? ?? ?? 0F 29 4D D0 0F 28 0D ?? ?? ?? ?? 0F 29 45 E0 0F 29 4D F0 48 85 D2 74 22 F6 02 10 74 1D 48 8B 39 48 8B 47 F8 48 8B 58 40 48 8B 70 30 48 8B CB E8 ?? ?? ?? ?? 48 8D 4F F8 FF D3 48 8D 55 20 4C 89 75 E8 48 8B CE 48 89 75 F0 FF 15 ?? ?? ?? ?? 48 89 45 20 48 8B D0 48 89 45 F8 48 85 F6 74 1B F6 06 08 B9 00 40 99 01 74 05 89 4D E0 EB 0C 8B 45 E0 48 85 D2 0F 44 C1 89 45 E0 44 8B 45 D8 4C 8D 4D E0 8B 55 C4 8B 4D C0 FF 15 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5E 5F 5D C3 }
	condition:
		$1
}

rule file_17_16_3 {
	meta:
		name = "?FindCompleteObject@@YAPEAXPEAPEAX@Z"
		size = 38
	strings:
		$1 = { 48 8B 01 4C 8B 40 F8 48 8B C1 41 8B 50 04 48 2B C2 41 83 78 08 00 74 0D 41 8B 50 08 48 2B CA 48 63 09 48 2B C1 C3 }
	condition:
		$1
}

rule file_17_17_3 {
	meta:
		name = "?FindMITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z"
		size = 394
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 4C 89 48 20 48 89 48 08 56 57 41 54 41 55 41 56 41 57 4C 8B 5C 24 60 33 DB 48 63 42 10 83 CF FF 4D 8B E8 44 8B D3 8B F3 44 8B F3 44 8B C3 4A 63 6C 18 0C 46 8B 64 18 08 49 03 EB 45 85 E4 0F 84 24 01 00 00 4C 8B 7C 24 58 48 63 55 00 41 8B C0 49 03 D3 2B C7 41 3B C6 76 44 48 63 02 49 03 C3 49 3B C7 74 26 49 8D 5F 10 48 83 C0 10 48 2B D8 0F B6 08 44 0F B6 0C 18 41 2B C9 75 08 48 FF C0 45 85 C9 75 EB 33 DB 85 C9 75 13 48 85 F6 0F 85 82 00 00 00 44 8B 72 04 4C 8B D2 41 8B F8 48 63 02 49 03 C3 49 3B C5 74 26 49 8D 5D 10 48 83 C0 10 48 2B D8 0F B6 08 44 0F B6 0C 18 41 2B C9 75 08 48 FF C0 45 85 C9 75 EB 33 DB 85 C9 75 36 4C 8B CB 39 5A 0C 7C 18 4C 63 4A 0C 48 8B 44 24 38 48 63 4A 10 49 8B 04 01 48 63 0C 08 4C 03 C9 48 63 42 08 49 03 C1 48 3B 44 24 50 75 08 4D 85 D2 75 25 48 8B F2 41 FF C0 48 83 C5 04 45 3B C4 73 57 E9 33 FF FF FF F6 42 14 03 75 4C F6 46 14 01 75 46 48 8B C2 EB 43 44 2B C7 45 3B C6 77 32 41 F6 42 14 40 75 0F 85 FF 75 06 F6 42 14 01 75 28 49 8B C2 EB 25 49 63 42 18 4A 63 44 18 0C 49 03 C3 4A 63 0C 80 42 F6 44 19 14 01 4C 0F 45 D3 EB DF 41 F6 42 14 03 74 D2 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 41 5F 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_17_18_3 {
	meta:
		name = "?FindSITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@1_K@Z"
		size = 230
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 56 48 63 41 10 4D 8B D9 33 C9 49 8B E8 4C 8B F2 4E 63 54 08 0C 42 8B 74 08 08 4D 03 D1 85 F6 74 42 4D 8B C2 49 63 18 49 03 DB 48 63 03 49 03 C3 48 3B C5 74 47 48 8D 7D 10 48 83 C0 10 48 2B F8 0F B6 10 44 0F B6 0C 38 41 2B D1 75 08 48 FF C0 45 85 C9 75 EB 85 D2 74 23 FF C1 49 83 C0 04 3B CE 72 C1 33 C0 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 48 8B 7C 24 28 41 5E C3 FF C1 3B CE 73 E1 4D 8D 04 8A 49 63 00 42 F6 44 18 14 04 75 D2 4A 63 04 18 49 03 C3 49 3B C6 74 30 4D 8D 56 10 48 83 C0 10 4C 2B D0 0F B6 10 46 0F B6 0C 10 41 2B D1 75 08 48 FF C0 45 85 C9 75 EB 85 D2 74 0C FF C1 49 83 C0 04 3B CE 72 BB EB 96 48 8B C3 EB 93 }
	condition:
		$1
}

rule file_17_19_3 {
	meta:
		name = "?FindVITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z"
		size = 541
	strings:
		$1 = { 4C 89 4C 24 20 4C 89 44 24 18 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 8B 7C 24 70 45 33 C0 48 63 42 10 41 83 CC FF 48 83 4C 24 50 FF 41 8B F0 45 8B F0 41 8B E8 45 8B D8 45 8B E8 4C 63 7C 38 0C 41 B1 01 8B 44 38 08 4C 03 FF 89 44 24 70 41 8B D8 85 C0 0F 84 B0 01 00 00 49 63 17 8B C3 48 03 D7 41 2B C4 41 3B C5 76 4F 48 63 02 48 8B 4C 24 68 48 03 C7 48 3B C1 74 27 4C 8D 51 10 48 83 C0 10 4C 2B D0 0F B6 08 46 0F B6 04 10 41 2B C8 75 08 48 FF C0 45 85 C0 75 EB 45 33 C0 85 C9 75 18 F6 42 14 03 48 8B C2 44 8B 6A 04 4C 8B DA 48 0F 45 C5 44 8B E3 48 8B E8 48 63 02 48 8B 4C 24 58 48 03 C7 48 3B C1 74 2B 4C 8D 51 10 48 83 C0 10 4C 2B D0 0F B6 08 46 0F B6 04 10 41 2B C8 75 08 48 FF C0 45 85 C0 75 EB 45 33 C0 85 C9 0F 85 E8 00 00 00 83 7A 0C 00 4C 8B 54 24 48 7C 13 4C 63 42 0C 48 63 4A 10 4B 8B 04 10 48 63 0C 08 4C 03 C1 48 63 42 08 49 03 C0 48 3B 44 24 60 0F 85 B5 00 00 00 44 8B C3 45 2B C4 45 3B C5 0F 87 9E 00 00 00 45 84 C9 0F 84 9D 00 00 00 41 F6 43 14 40 75 18 45 33 C0 45 85 E4 75 0C F6 42 14 01 45 0F B6 C9 45 0F 45 C8 B2 01 EB 34 49 63 43 18 48 63 44 38 0C 48 03 C7 4A 63 0C 80 41 B8 00 00 00 00 41 0F B6 C1 8B 54 39 14 C1 EA 02 F6 D2 80 E2 01 F6 44 39 14 01 41 8B C8 0F 44 C8 44 8A C9 45 84 C9 74 48 84 D2 74 44 49 8B D0 45 39 43 0C 7C 13 49 63 53 0C 49 63 4B 10 4A 8B 04 12 48 63 0C 08 48 03 D1 49 63 43 08 48 03 C2 48 85 F6 74 07 48 39 44 24 50 75 43 49 8B F3 48 89 44 24 50 EB 0B F6 42 14 05 4C 0F 44 F2 45 33 C0 FF C3 49 83 C7 04 3B 5C 24 70 0F 82 6E FE FF FF 45 84 C9 74 0A 48 85 F6 74 05 48 8B C6 EB 11 4D 85 F6 74 0A 48 85 ED 74 05 48 8B C5 EB 02 33 C0 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_17_20_3 {
	meta:
		name = "?GetImageBase@@YA_KPEAX@Z"
		size = 20
		refs = "000b __imp_RtlPcToFileHeader"
	strings:
		$1 = { 48 83 EC 28 48 8D 54 24 38 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_17_21_3 {
	meta:
		name = "?PMDtoOffset@@YA_JPEAXAEBUPMD@@@Z"
		size = 35
	strings:
		$1 = { 45 33 C9 44 39 4A 04 7C 13 4C 63 4A 04 4C 63 42 08 49 8B 04 09 4A 63 0C 00 4C 03 C9 48 63 02 49 03 C1 C3 }
	condition:
		$1
}

rule file_17_26_3 {
	meta:
		name = "__RTCastToVoid"
		size = 105
		refs = "0044 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 004e ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QEBD@Z 0055 _TI3?AV__non_rtti_object@std@@ 005f _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 4C 8B C1 48 85 C9 75 04 33 C0 EB 54 48 8B 01 48 8B 48 F8 8B 41 04 49 8B D0 48 2B D0 48 89 54 24 20 83 79 08 00 74 11 8B 49 08 4C 2B C1 49 63 08 48 2B D1 48 89 54 24 20 48 8B C2 EB 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_17_28_3 {
	meta:
		name = "__RTDynamicCast"
		size = 380
		refs = "006d __imp_RtlPcToFileHeader 00a5 ?FindSITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@1_K@Z 00c7 ?FindMITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z 00ce ?FindVITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z 0114 ??_C@_0BC@JNJNLHBP@Bad?5dynamic_cast?$CB?$AA@ 011e ?__construct_from_string_literal@bad_cast@std@@SA?AV12@QEBD@Z 0125 _TI2?AVbad_cast@std@@ 012f _CxxThrowException 0142 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 014c ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QEBD@Z 0153 _TI3?AV__non_rtti_object@std@@"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 60 4D 8B F9 4D 8B E0 4C 63 EA 4C 8B F1 33 DB 48 85 C9 75 07 33 C0 E9 31 01 00 00 48 8B 01 48 8B 70 F8 8B 46 04 49 8B FE 48 2B F8 48 89 7C 24 38 39 5E 08 74 11 8B 46 08 48 2B C8 48 63 01 48 2B F8 48 89 7C 24 38 48 8B CE 39 1E 75 1B 48 8D 94 24 90 00 00 00 FF 15 ?? ?? ?? ?? 48 8B C8 48 89 84 24 90 00 00 00 EB 07 48 63 46 14 48 2B C8 4D 2B F5 4C 2B F7 48 63 46 10 8B 54 08 04 F6 C2 01 75 13 4C 8B C9 4D 8B C7 49 8B D4 48 8B CE E8 ?? ?? ?? ?? EB 27 48 89 4C 24 28 4D 8B CE 4D 8B C4 4C 89 7C 24 20 48 8B CF F6 C2 02 48 8B D6 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 74 29 39 58 0C 7C 13 48 63 58 0C 48 63 48 10 48 8B 04 3B 48 63 0C 08 48 03 D9 48 63 42 08 48 03 D8 48 03 DF 48 89 5C 24 30 EB 31 48 89 5C 24 30 39 9C 24 B0 00 00 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B C3 EB 29 48 83 64 24 30 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_29_3 {
	meta:
		name = "__RTDynamicCast$filt$0"
		size = 32
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 48 8B 01 33 C9 81 38 05 00 00 C0 0F 94 C1 8B C1 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_17_30_3 {
	meta:
		name = "__RTtypeid"
		size = 174
		refs = "000e ??_C@_0CH@OLLMPELC@Attempted?5a?5typeid?5of?5nullptr?5po@ 0018 ?__construct_from_string_literal@bad_typeid@std@@SA?AV12@QEBD@Z 001f _TI2?AVbad_typeid@std@@ 0029 _CxxThrowException 0044 __imp_RtlPcToFileHeader 0065 ??_C@_0CB@EEENAAHH@Bad?5read?5pointer?5?9?5no?5RTTI?5data?$CB@ 006f ?__construct_from_string_literal@__non_rtti_object@std@@SA?AV12@QEBD@Z 0076 _TI3?AV__non_rtti_object@std@@ 0088 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 85 C9 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 8B 01 48 8B 58 F8 48 8B CB 83 3B 00 75 15 48 8D 54 24 50 FF 15 ?? ?? ?? ?? 48 8B C8 48 89 44 24 50 EB 07 48 63 43 14 48 2B C8 48 63 43 0C 48 03 C1 75 46 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_19_2_3 {
	meta:
		name = "??0scoped_get_last_error_reset@?A0xa80d61d6@@QEAA@XZ"
		size = 26
		refs = "000b __imp_GetLastError"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_19_10_3 {
	meta:
		name = "?store_and_initialize_ptd@@YA_NQEAU__vcrt_ptd@@@Z"
		size = 28
		refs = "0009 ?__vcrt_flsindex@@3KA 000e __vcrt_FlsSetValue"
	strings:
		$1 = { 48 83 EC 28 48 8B D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_19_11_3 {
	meta:
		name = "__vcrt_freefls"
		size = 31
		refs = "000c ?__vcrt_startup_thread_ptd@@3U__vcrt_ptd@@A 0016 _free_base"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 11 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_19_12_3 {
	meta:
		name = "__vcrt_freeptd"
		size = 77
		refs = "000b ?__vcrt_flsindex@@3KA 001a __vcrt_FlsGetValue 002a __vcrt_FlsSetValue 0036 ?__vcrt_startup_thread_ptd@@3U__vcrt_ptd@@A 0043 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 0D ?? ?? ?? ?? 83 F9 FF 74 33 48 85 DB 75 0E E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B D8 33 D2 E8 ?? ?? ?? ?? 48 85 DB 74 14 48 8D 05 ?? ?? ?? ?? 48 3B D8 74 08 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_19_13_3 {
	meta:
		name = "__vcrt_getptd"
		size = 25
		refs = "0005 __vcrt_getptd_noexit 0014 abort"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 05 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_19_14_3 {
	meta:
		name = "__vcrt_getptd_noexit"
		size = 184
		refs = "0011 ?__vcrt_flsindex@@3KA 0021 __imp_GetLastError 002e __vcrt_FlsGetValue 004e __vcrt_FlsSetValue 005f _calloc_base 0099 _free_base 00a1 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 3D ?? ?? ?? ?? FF 75 07 33 C0 E9 89 00 00 00 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 48 83 CA FF 33 F6 48 3B C2 74 60 48 85 C0 74 05 48 8B F0 EB 56 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 47 BA 78 00 00 00 8D 4A 89 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B D8 48 85 C0 74 12 48 8B D0 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 0D ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 09 48 8B CB 48 8B DE 48 8B F1 48 8B CB E8 ?? ?? ?? ?? 8B CF FF 15 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_19_15_3 {
	meta:
		name = "__vcrt_initialize_ptd"
		size = 63
		refs = "0007 __vcrt_freefls 000c __vcrt_FlsAlloc 0012 ?__vcrt_flsindex@@3KA 0022 ?__vcrt_startup_thread_ptd@@3U__vcrt_ptd@@A 0029 __vcrt_FlsSetValue 0032 __vcrt_uninitialize_ptd"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F8 FF 75 04 32 C0 EB 1B 48 8D 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB E3 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_19_16_3 {
	meta:
		name = "__vcrt_uninitialize_ptd"
		size = 34
		refs = "0006 ?__vcrt_flsindex@@3KA 0010 __vcrt_FlsFree"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? 83 F9 FF 74 0C E8 ?? ?? ?? ?? 83 0D ?? ?? ?? ?? FF B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_21_0_3 {
	meta:
		name = "longjmp"
		size = 40
		refs = "0010 __except_validate_jump_buffer 0024 __longjmp_internal"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_6_3 {
	meta:
		name = "_get_purecall_handler"
		size = 32
		refs = "0009 __pPurecall 0010 __security_cookie"
	strings:
		$1 = { 33 C9 33 C0 F0 48 0F B1 0D ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B CA 48 33 C2 83 E1 3F 48 D3 C8 C3 }
	condition:
		$1
}

rule file_23_7_3 {
	meta:
		name = "_purecall"
		size = 58
		refs = "000f __pPurecall 0016 __security_cookie 002e _guard_check_icall 0035 abort"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 33 C0 F0 48 0F B1 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 8B CB 48 33 D8 83 E1 3F 48 D3 CB 48 85 DB 74 0A 48 8B CB E8 ?? ?? ?? ?? FF D3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_23_8_3 {
	meta:
		name = "_set_purecall_handler"
		size = 55
		refs = "0003 __security_cookie 0020 __pPurecall"
	strings:
		$1 = { 4C 8B 05 ?? ?? ?? ?? 4C 8B C9 41 8B D0 B9 40 00 00 00 83 E2 3F 2B CA 49 D3 C9 4D 33 C8 4C 87 0D ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 8B C8 49 33 C1 83 E1 3F 48 D3 C8 C3 }
	condition:
		$1
}

rule file_24_0_3 {
	meta:
		name = "strchr"
		size = 138
	strings:
		$1 = { 48 83 EC 18 0F B6 C2 4C 8B C1 44 8B D0 49 83 E0 F0 41 C1 E2 08 83 E1 0F 44 0B D0 0F 57 D2 83 C8 FF 45 33 C9 D3 E0 66 41 0F 6E C2 F2 0F 70 C8 00 66 0F 6F C2 66 41 0F 74 00 66 0F 70 D9 00 66 0F 6F CB 66 41 0F 74 08 66 0F EB C8 66 0F D7 D1 23 D0 75 22 49 83 C0 10 66 0F 6F CB 66 0F 6F C2 66 41 0F 74 08 66 41 0F 74 00 66 0F EB C8 66 0F D7 D1 85 D2 74 DE 0F BC D2 49 03 D0 44 38 12 4C 0F 44 CA 49 8B C1 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_25_0_3 {
	meta:
		name = "__C_specific_handler"
		size = 507
		refs = "003a __except_validate_context_record 00b2 _pDestructExceptionObject 00c1 _IsNonwritableInCurrentImage 00e8 _NLG_Notify 0111 __imp_RtlUnwindEx 0116 __NLG_Return2"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 4D 8B 61 08 48 8B E9 4D 8B 39 49 8B C8 49 8B 59 38 4D 2B FC 4D 8B F1 49 8B F8 4C 8B EA E8 ?? ?? ?? ?? F6 45 04 66 0F 85 E0 00 00 00 41 8B 76 48 48 89 6C 24 30 48 89 7C 24 38 3B 33 0F 83 7A 01 00 00 8B FE 48 03 FF 8B 44 FB 04 4C 3B F8 0F 82 AA 00 00 00 8B 44 FB 08 4C 3B F8 0F 83 9D 00 00 00 83 7C FB 10 00 0F 84 92 00 00 00 83 7C FB 0C 01 74 17 8B 44 FB 0C 48 8D 4C 24 30 49 03 C4 49 8B D5 FF D0 85 C0 78 7D 7E 74 81 7D 00 63 73 6D E0 75 28 48 83 3D ?? ?? ?? ?? 00 74 1E 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0E BA 01 00 00 00 48 8B CD FF 15 ?? ?? ?? ?? 8B 4C FB 10 41 B8 01 00 00 00 49 03 CC 49 8B D5 E8 ?? ?? ?? ?? 49 8B 46 40 4C 8B C5 8B 54 FB 10 49 8B CD 44 8B 4D 00 49 03 D4 48 89 44 24 28 49 8B 46 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF C6 E9 35 FF FF FF 33 C0 E9 B5 00 00 00 49 8B 76 20 41 8B 7E 48 49 2B F4 E9 96 00 00 00 8B CF 48 03 C9 8B 44 CB 04 4C 3B F8 0F 82 82 00 00 00 8B 44 CB 08 4C 3B F8 73 79 44 8B 55 04 41 83 E2 20 74 44 45 33 C9 85 D2 74 38 45 8B C1 4D 03 C0 42 8B 44 C3 04 48 3B F0 72 20 42 8B 44 C3 08 48 3B F0 73 16 8B 44 CB 10 42 39 44 C3 10 75 0B 8B 44 CB 0C 42 39 44 C3 0C 74 08 41 FF C1 44 3B CA 72 C8 44 3B CA 75 37 8B 44 CB 10 85 C0 74 0C 48 3B F0 75 1E 45 85 D2 75 25 EB 17 8D 47 01 49 8B D5 41 89 46 48 44 8B 44 CB 0C B1 01 4D 03 C4 41 FF D0 FF C7 8B 13 3B FA 0F 82 60 FF FF FF B8 01 00 00 00 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_26_24_3 {
	meta:
		name = "__std_type_info_compare"
		size = 39
	strings:
		$1 = { 48 3B CA 74 19 48 83 C2 09 48 8D 41 09 48 2B D0 8A 08 3A 0C 10 75 0A 48 FF C0 84 C9 75 F2 33 C0 C3 1B C0 83 C8 01 C3 }
	condition:
		$1
}

rule file_26_25_3 {
	meta:
		name = "__std_type_info_destroy_list"
		size = 42
		refs = "0008 __imp_InterlockedFlushSList 0018 _free_base"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 15 ?? ?? ?? ?? 48 85 C0 74 13 48 8B 18 48 8B C8 E8 ?? ?? ?? ?? 48 8B C3 48 85 DB 75 ED 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_26_26_3 {
	meta:
		name = "__std_type_info_hash"
		size = 59
	strings:
		$1 = { 48 BA 25 23 22 84 E4 9C F2 CB 48 83 C1 09 EB 1A 0F B6 C0 49 B8 B3 01 00 00 00 01 00 00 48 33 C2 48 8B D0 49 0F AF D0 48 FF C1 8A 01 84 C0 75 E0 48 8B C2 48 C1 E8 20 48 33 C2 C3 }
	condition:
		$1
}

rule file_26_27_3 {
	meta:
		name = "__std_type_info_name"
		size = 286
		refs = "0042 ?<lambda_invoker_cdecl>@<lambda_ef76f8da19e84f0c60b24a81f5fa36d3>@@CAPEAX_K@Z 0049 ?<lambda_invoker_cdecl>@<lambda_c4560dd375471d1680776ed19953e709>@@CAXQEAX@Z 0057 __unDName 0094 _malloc_base 00c8 strcpy_s 00e6 __imp_InterlockedPushEntrySList 00f1 _free_base"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 F6 4C 8B EA 33 C0 48 8B E9 F0 48 0F B1 31 0F 85 CF 00 00 00 B8 00 28 00 00 48 8D 51 09 66 89 44 24 28 4C 8D 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 45 33 C0 33 C9 49 89 43 B8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 8E 00 00 00 48 83 C8 FF 48 FF C0 40 38 34 03 75 F7 48 85 C0 74 12 80 7C 03 FF 20 75 0B 40 88 74 03 FF 48 83 E8 01 75 EE 4C 8D 70 01 49 8D 4E 10 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 4D 4C 8B E0 4C 8D 78 10 33 C0 4C 8B C3 48 89 44 24 30 49 8B D6 48 89 44 24 38 49 8B CF 0F 28 44 24 30 66 41 0F 7F 04 24 E8 ?? ?? ?? ?? 33 C0 F0 4C 0F B1 7D 00 74 05 48 8B F0 EB 12 49 8B D4 49 8B CD 48 8B FE FF 15 ?? ?? ?? ?? 49 8B F7 48 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B C6 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_27_0_3 {
	meta:
		name = "wcschr"
		size = 145
	strings:
		$1 = { 48 83 EC 18 66 0F 6F 14 24 4C 8B C1 0F B7 C2 45 33 C9 66 0F 6E C0 F2 0F 70 C8 00 66 0F 70 D9 00 49 8B C0 25 FF 0F 00 00 48 3D F0 0F 00 00 77 2C F3 41 0F 6F 08 66 0F 6F C2 66 0F EF C2 66 0F 6F D0 66 0F 75 D1 66 0F 75 CB 66 0F EB D1 66 0F D7 C2 85 C0 75 1D B8 10 00 00 00 EB 11 66 41 39 10 74 27 66 45 39 08 74 1D B8 02 00 00 00 4C 03 C0 EB AE 0F BC C8 4C 03 C1 66 41 39 10 4D 0F 44 C8 49 8B C1 EB 07 33 C0 EB 03 49 8B C0 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_29_1_3 {
	meta:
		name = "_set_se_translator"
		size = 45
		refs = "000e __vcrt_getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 58 10 E8 ?? ?? ?? ?? 48 89 78 10 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_31_0_3 {
	meta:
		name = "strstr"
		size = 497
		refs = "0027 __isa_available"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 56 48 83 EC 10 40 8A 2A 48 8B F2 4C 8B C1 40 84 ED 75 08 48 8B C1 E9 BC 01 00 00 83 3D ?? ?? ?? ?? 02 BB F0 0F 00 00 41 BA 01 00 00 00 44 8D 5B 0F 0F 8D D0 00 00 00 40 0F B6 C5 0F 57 D2 8B C8 C1 E1 08 0B C8 66 0F 6E C1 F2 0F 70 C8 00 66 0F 70 D9 00 49 8B C0 49 23 C3 48 3B C3 77 29 F3 41 0F 6F 00 66 0F 6F C8 66 0F 74 C3 66 0F 74 CA 66 0F EB C8 66 0F D7 C1 85 C0 75 06 49 83 C0 10 EB D2 0F BC C0 4C 03 C0 41 80 38 00 0F 84 44 01 00 00 41 3A 28 75 69 49 8B D0 4C 8B CE 49 8B C1 49 23 C3 48 3B C3 77 41 48 8B C2 49 23 C3 48 3B C3 77 36 F3 41 0F 6F 09 F3 0F 6F 02 66 0F 74 C1 66 0F 74 CA 66 0F 74 C2 66 0F EB C1 66 0F D7 C0 85 C0 75 0A 48 83 C2 10 49 83 C1 10 EB BF 0F BC C0 8B C8 48 03 D1 4C 03 C9 41 8A 01 84 C0 0F 84 DD 00 00 00 38 02 75 08 49 03 D2 4D 03 CA EB 9D 4D 03 C2 E9 4C FF FF FF 48 8B C6 49 23 C3 48 3B C3 77 06 F3 0F 6F 02 EB 2B 0F 57 C0 48 8B CE 40 8A D5 41 B9 10 00 00 00 0F BE C2 66 0F 73 D8 01 66 0F 3A 20 C0 0F 84 D2 74 05 49 03 CA 8A 11 4D 2B CA 75 E4 49 8B C0 49 23 C3 48 3B C3 77 59 F3 41 0F 6F 08 66 0F 3A 63 C1 0C 76 06 49 83 C0 10 EB E2 73 72 66 0F 3A 63 C1 0C 48 63 C1 4C 03 C0 49 8B D0 4C 8B CE 48 8B C2 49 23 C3 48 3B C3 77 37 49 8B C1 49 23 C3 48 3B C3 77 2C F3 0F 6F 0A F3 41 0F 6F 11 66 0F 3A 63 D1 0C 71 16 78 32 B8 10 00 00 00 8B C8 EB 21 41 80 38 00 74 28 41 38 28 74 BD 4D 03 C2 EB 8C 41 8A 01 84 C0 74 12 38 02 75 F0 49 8B C2 49 8B CA 48 03 D0 4C 03 C9 EB A5 49 8B C0 EB 02 33 C0 48 8B 5C 24 20 48 8B 6C 24 28 48 83 C4 10 5E C3 }
	condition:
		$1
}

rule file_33_0_3 {
	meta:
		name = "strrchr"
		size = 319
		refs = "0058 __isa_available"
	strings:
		$1 = { 48 83 EC 18 45 33 C0 4C 8B C9 85 D2 75 48 41 83 E1 0F 48 8B D1 48 83 E2 F0 41 8B C9 41 83 C9 FF 0F 57 C9 41 D3 E1 66 0F 6F 02 66 0F 74 C1 66 0F D7 C0 41 23 C1 75 14 48 83 C2 10 66 0F 6F 02 66 0F 74 C1 66 0F D7 C0 85 C0 74 EC 0F BC C0 48 03 C2 E9 A6 00 00 00 83 3D ?? ?? ?? ?? 02 0F 8D B1 00 00 00 0F B6 C2 4D 8B D1 41 83 E1 0F 49 83 E2 F0 8B C8 0F 57 D2 C1 E1 08 0B C8 66 0F 6E C1 41 8B C9 F2 0F 70 C8 00 41 83 C9 FF 41 D3 E1 66 0F 6F C2 66 41 0F 74 02 66 0F D7 C8 66 0F 70 D9 00 66 0F 6F C3 66 41 0F 74 02 66 0F D7 D0 41 23 D1 41 23 C9 75 2E 0F BD CA 66 0F 6F CA 66 0F 6F C3 49 03 CA 85 D2 4C 0F 45 C1 49 83 C2 10 66 41 0F 74 0A 66 41 0F 74 02 66 0F D7 C9 66 0F D7 D0 85 C9 74 D2 8B C1 F7 D8 23 C1 FF C8 23 D0 0F BD CA 49 03 CA 85 D2 4C 0F 45 C1 49 8B C0 48 83 C4 18 C3 41 0F BE 01 3B C2 4D 0F 44 C1 41 80 39 00 74 E8 49 FF C1 41 F6 C1 0F 75 E7 0F B6 C2 66 0F 6E C0 66 41 0F 3A 63 01 40 73 0D 4C 63 C1 4D 03 C1 66 41 0F 3A 63 01 40 74 C0 49 83 C1 10 EB E2 }
	condition:
		$1
}

rule file_34_0_3 {
	meta:
		name = "memcmp"
		size = 199
	strings:
		$1 = { 48 2B D1 49 83 F8 08 72 22 F6 C1 07 74 14 66 90 8A 01 3A 04 0A 75 2C 48 FF C1 49 FF C8 F6 C1 07 75 EE 4D 8B C8 49 C1 E9 03 75 1F 4D 85 C0 74 0F 8A 01 3A 04 0A 75 0C 48 FF C1 49 FF C8 75 F1 48 33 C0 C3 1B C0 83 D8 FF C3 90 49 C1 E9 02 74 37 48 8B 01 48 3B 04 0A 75 5B 48 8B 41 08 48 3B 44 0A 08 75 4C 48 8B 41 10 48 3B 44 0A 10 75 3D 48 8B 41 18 48 3B 44 0A 18 75 2E 48 83 C1 20 49 FF C9 75 CD 49 83 E0 1F 4D 8B C8 49 C1 E9 03 74 9B 48 8B 01 48 3B 04 0A 75 1B 48 83 C1 08 49 FF C9 75 EE 49 83 E0 07 EB 83 48 83 C1 08 48 83 C1 08 48 83 C1 08 48 8B 0C 11 48 0F C8 48 0F C9 48 3B C1 1B C0 83 D8 FF C3 }
	condition:
		$1
}

rule file_35_0_3 {
	meta:
		name = "__vcrt_initialize_locks"
		size = 70
		refs = "000b __vcrt_lock_table 0020 __vcrt_InitializeCriticalSectionEx 002a __vcrt_locks_initialized 003a __vcrt_uninitialize_locks"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 48 8D 15 ?? ?? ?? ?? 45 33 C0 48 8D 0C 9B 48 8D 0C CA BA A0 0F 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 FF 05 ?? ?? ?? ?? FF C3 83 FB 01 72 D3 B0 01 EB 07 E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_35_1_3 {
	meta:
		name = "__vcrt_lock"
		size = 25
		refs = "000a __vcrt_lock_table 0015 __imp_EnterCriticalSection"
	strings:
		$1 = { 48 63 C1 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_3_3 {
	meta:
		name = "__vcrt_unlock"
		size = 25
		refs = "000a __vcrt_lock_table 0015 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 63 C1 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_2_3 {
	meta:
		name = "__vcrt_uninitialize_locks"
		size = 55
		refs = "0008 __vcrt_locks_initialized 0011 __vcrt_lock_table 0021 __imp_DeleteCriticalSection"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 1D ?? ?? ?? ?? EB 1D 48 8D 05 ?? ?? ?? ?? FF CB 48 8D 0C 9B 48 8D 0C C8 FF 15 ?? ?? ?? ?? FF 0D ?? ?? ?? ?? 85 DB 75 DF B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_36_0_3 {
	meta:
		name = "memchr"
		size = 28
	strings:
		$1 = { 4D 85 C0 74 0D 38 11 74 09 48 FF C1 49 83 E8 01 75 F3 49 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_37_0_3 {
	meta:
		name = "wcsstr"
		size = 509
		refs = "0029 __isa_available"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 10 0F B7 3A 33 F6 48 8B DA 4C 8B C1 66 3B F7 75 08 48 8B C1 E9 C6 01 00 00 83 3D ?? ?? ?? ?? 02 41 BA FF 0F 00 00 45 8D 5A F1 0F 8D D9 00 00 00 0F B7 C7 0F 57 D2 66 0F 6E C0 F2 0F 70 C8 00 66 0F 70 D9 00 49 8B C0 49 23 C2 49 3B C3 77 2D F3 41 0F 6F 00 66 0F 6F C8 66 0F 75 C3 66 0F 75 CA 66 0F EB C8 66 0F D7 C1 85 C0 75 06 49 83 C0 10 EB D2 0F BC C8 48 D1 E9 4D 8D 04 48 66 41 3B 30 0F 84 57 01 00 00 66 41 3B 38 75 74 49 8B D0 4C 8B CB 49 8B C1 49 23 C2 49 3B C3 77 47 48 8B C2 49 23 C2 49 3B C3 77 3C F3 41 0F 6F 09 F3 0F 6F 02 66 0F 75 C1 66 0F 75 CA 66 0F 75 C2 66 0F EB C1 66 0F D7 C0 85 C0 75 0A 48 83 C2 10 49 83 C1 10 EB BF 0F BC C0 8B C8 48 D1 E9 48 03 C9 48 03 D1 4C 03 C9 41 0F B7 01 66 3B F0 0F 84 E7 00 00 00 66 39 02 75 0A 48 83 C2 02 49 83 C1 02 EB 92 49 83 C0 02 E9 3B FF FF FF 48 8B C3 49 23 C2 49 3B C3 77 06 F3 0F 6F 02 EB 2E 0F 57 C0 48 8B CB 0F B7 D7 41 B9 08 00 00 00 0F B7 C2 66 0F 73 D8 02 66 0F C4 C0 07 66 3B F2 74 07 48 83 C1 02 0F B7 11 49 83 E9 01 75 E1 49 8B C0 49 23 C2 49 3B C3 77 5B F3 41 0F 6F 08 66 0F 3A 63 C1 0D 76 06 49 83 C0 10 EB E2 73 75 66 0F 3A 63 C1 0D 48 63 C1 4D 8D 04 40 49 8B D0 4C 8B CB 48 8B C2 49 23 C2 49 3B C3 77 3A 49 8B C1 49 23 C2 49 3B C3 77 2F F3 0F 6F 0A F3 41 0F 6F 11 66 0F 3A 63 D1 0D 71 18 78 34 48 83 C2 10 49 83 C1 10 EB CD 66 41 3B 30 74 29 66 41 39 38 74 BB 49 83 C0 02 EB 88 41 0F B7 01 66 3B F0 74 0F 66 39 02 75 EC 48 83 C2 02 49 83 C1 02 EB A3 49 8B C0 EB 02 33 C0 48 8B 5C 24 20 48 8B 74 24 28 48 83 C4 10 5F C3 }
	condition:
		$1
}

rule file_38_0_3 {
	meta:
		name = "memset"
		size = 416
		refs = "0037 __favor 00dc msetTab00 00e0 msetTab01 00e4 msetTab02 00e8 msetTab03 00ec msetTab04 00f0 msetTab05 00f4 msetTab06 00f8 msetTab07 00fc msetTab08 0100 msetTab09 0104 msetTab10 0108 msetTab11 010c msetTab12 0110 msetTab13 0114 msetTab14 0118 msetTab15 011c msetTab16 0126 __ImageBase 012e MsetTab"
	strings:
		$1 = { 4C 8B D9 0F B6 D2 49 B9 01 01 01 01 01 01 01 01 4C 0F AF CA 49 83 F8 10 0F 86 02 01 00 00 66 49 0F 6E C1 66 0F 60 C0 49 81 F8 80 00 00 00 0F 86 7C 00 00 00 0F BA 25 ?? ?? ?? ?? 01 73 22 8B C2 48 8B D7 48 8B F9 49 8B C8 F3 AA 48 8B FA 49 8B C3 C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 0F 11 01 4C 03 C1 48 83 C1 10 48 83 E1 F0 4C 2B C1 4D 8B C8 49 C1 E9 07 74 36 66 0F 1F 44 00 00 0F 29 01 0F 29 41 10 48 81 C1 80 00 00 00 0F 29 41 A0 0F 29 41 B0 49 FF C9 0F 29 41 C0 0F 29 41 D0 0F 29 41 E0 66 0F 29 41 F0 75 D4 49 83 E0 7F 4D 8B C8 49 C1 E9 04 74 13 0F 1F 80 00 00 00 00 0F 11 01 48 83 C1 10 49 FF C9 75 F4 49 83 E0 0F 74 06 41 0F 11 44 08 F0 49 8B C3 C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 49 8B D1 4C 8D 0D ?? ?? ?? ?? 43 8B 84 81 ?? ?? ?? ?? 4C 03 C8 49 03 C8 49 8B C3 41 FF E1 66 90 48 89 51 F1 89 51 F9 66 89 51 FD 88 51 FF C3 90 48 89 51 F4 89 51 FC C3 48 89 51 F7 88 51 FF C3 48 89 51 F3 89 51 FB 88 51 FF C3 0F 1F 44 00 00 48 89 51 F2 89 51 FA 66 89 51 FE C3 48 89 10 C3 48 89 10 66 89 50 08 88 50 0A C3 0F 1F 44 00 00 48 89 10 66 89 50 08 C3 48 89 10 48 89 50 08 C3 }
	condition:
		$1
}

rule file_0_1_4 {
	meta:
		name = "?WinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "0006 __m2mep@?WinMainCRTStartup@@$$FYAHXZ 000c __mep@?WinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_67_4 {
	meta:
		name = "?.cctor@@YMXXZ"
		size = 16
		refs = "0006 __m2mep@?.cctor@@$$FYMXXZ 000c __mep@?.cctor@@$$FYMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_266_1_4 {
	meta:
		name = "??_L@YMXPEAX_K1P6MX0@Z2@Z"
		size = 16
		refs = "0006 __m2mep@??_L@$$FYMXPEAX_K1P6MX0@Z2@Z 000c __mep@??_L@$$FYMXPEAX_K1P6MX0@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_266_3_4 {
	meta:
		name = "??_L@YMXPEAX_KHP6MX0@Z2@Z"
		size = 16
		refs = "0006 __m2mep@??_L@$$FYMXPEAX_KHP6MX0@Z2@Z 000c __mep@??_L@$$FYMXPEAX_KHP6MX0@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_268_4_4 {
	meta:
		name = "??_M@YMXPEAX_K1P6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??_M@$$FYMXPEAX_K1P6MX0@Z@Z 000c __mep@??_M@$$FYMXPEAX_K1P6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_268_6_4 {
	meta:
		name = "??_M@YMXPEAX_KHP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??_M@$$FYMXPEAX_KHP6MX0@Z@Z 000c __mep@??_M@$$FYMXPEAX_KHP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_1_4 {
	meta:
		name = "??_N@YMXPEAX_K1P6MX0@Z2@Z"
		size = 16
		refs = "0006 __m2mep@??_N@$$FYMXPEAX_K1P6MX0@Z2@Z 000c __mep@??_N@$$FYMXPEAX_K1P6MX0@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_3_4 {
	meta:
		name = "??_N@YMXPEAX_KHP6MX0@Z2@Z"
		size = 16
		refs = "0006 __m2mep@??_N@$$FYMXPEAX_KHP6MX0@Z2@Z 000c __mep@??_N@$$FYMXPEAX_KHP6MX0@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_191_1_4 {
	meta:
		name = "??__C@YMXPEAX0_K1P6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??__C@$$FYMXPEAX0_K1P6MX00@ZP6MX0@Z@Z 000c __mep@??__C@$$FYMXPEAX0_K1P6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_191_3_4 {
	meta:
		name = "??__C@YMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??__C@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z 000c __mep@??__C@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_291_1_4 {
	meta:
		name = "??__D@YMXPEAX0_K1P6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??__D@$$FYMXPEAX0_K1P6MX00@ZP6MX0@Z@Z 000c __mep@??__D@$$FYMXPEAX0_K1P6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_291_3_4 {
	meta:
		name = "??__D@YMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??__D@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z 000c __mep@??__D@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_268_7_4 {
	meta:
		name = "?ArrayUnwindFilter@?A0xc01c2e3b@@YAHPEAU_EXCEPTION_POINTERS@@@Z"
		size = 16
		refs = "0006 __m2mep@?ArrayUnwindFilter@?A0xc01c2e3b@@$$FYAHPEAU_EXCEPTION_POINTERS@@@Z 000c __mep@?ArrayUnwindFilter@?A0xc01c2e3b@@$$FYAHPEAU_EXCEPTION_POINTERS@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_4_4 {
	meta:
		name = "?_Facet_Register_m@std@@YAXPEAV_Facet_base@1@@Z"
		size = 16
		refs = "0006 __m2mep@?_Facet_Register_m@std@@$$FYAXPEAV_Facet_base@1@@Z 000c __mep@?_Facet_Register_m@std@@$$FYAXPEAV_Facet_base@1@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_268_2_4 {
	meta:
		name = "?__ArrayUnwind@@YMXPEAX_K1P6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@?__ArrayUnwind@@$$FYMXPEAX_K1P6MX0@Z@Z 000c __mep@?__ArrayUnwind@@$$FYMXPEAX_K1P6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_48_4 {
	meta:
		name = "?__alloc_global_lock@?A0xc2538164@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__alloc_global_lock@?A0xc2538164@@$$FYA_NXZ 000c __mep@?__alloc_global_lock@?A0xc2538164@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_45_4 {
	meta:
		name = "?__dealloc_global_lock@?A0xc2538164@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?__dealloc_global_lock@?A0xc2538164@@$$FYAXXZ 000c __mep@?__dealloc_global_lock@?A0xc2538164@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_43_4 {
	meta:
		name = "?__global_lock@?A0xc2538164@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__global_lock@?A0xc2538164@@$$FYA_NXZ 000c __mep@?__global_lock@?A0xc2538164@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_44_4 {
	meta:
		name = "?__global_unlock@?A0xc2538164@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__global_unlock@?A0xc2538164@@$$FYA_NXZ 000c __mep@?__global_unlock@?A0xc2538164@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_5_4 {
	meta:
		name = "?__init_cmdline@?A0xc0a466e5@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?__init_cmdline@?A0xc0a466e5@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?__init_cmdline@?A0xc0a466e5@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_5_4 {
	meta:
		name = "?__set_managed_app_type@?A0x958a92d6@@YMXXZ"
		size = 16
		refs = "0006 __m2mep@?__set_managed_app_type@?A0x958a92d6@@$$FYMXXZ 000c __mep@?__set_managed_app_type@?A0x958a92d6@@$$FYMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_242_5_4 {
	meta:
		name = "?__winit_cmdline@?A0x4fbb6748@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?__winit_cmdline@?A0x4fbb6748@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?__winit_cmdline@?A0x4fbb6748@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_4_4 {
	meta:
		name = "?_common_init@?A0x36d1f6d1@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x36d1f6d1@@$$FYAXXZ 000c __mep@?_common_init@?A0x36d1f6d1@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_242_6_4 {
	meta:
		name = "?_common_init@?A0x4fbb6748@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x4fbb6748@@$$FYAXXZ 000c __mep@?_common_init@?A0x4fbb6748@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_6_4 {
	meta:
		name = "?_common_init@?A0x958a92d6@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x958a92d6@@$$FYAXXZ 000c __mep@?_common_init@?A0x958a92d6@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_135_4_4 {
	meta:
		name = "?_common_init@?A0x9e393685@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x9e393685@@$$FYAXXZ 000c __mep@?_common_init@?A0x9e393685@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_6_4 {
	meta:
		name = "?_common_init@?A0xc0a466e5@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0xc0a466e5@@$$FYAXXZ 000c __mep@?_common_init@?A0xc0a466e5@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_21_4 {
	meta:
		name = "?_initterm@@YMXPEAP6AXXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm@@$$FYMXPEAP6AXXZ0@Z 000c __mep@?_initterm@@$$FYMXPEAP6AXXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_19_4 {
	meta:
		name = "?_initterm_e@@YMHPEAP6AHXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm_e@@$$FYMHPEAP6AHXZ0@Z 000c __mep@?_initterm_e@@$$FYMHPEAP6AHXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_27_4 {
	meta:
		name = "?_initterm_m@@YMXPEBQ6MPEBXXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm_m@@$$FYMXPEBQ6MPEBXXZ0@Z 000c __mep@?_initterm_m@@$$FYMXPEBQ6MPEBXXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_1_4 {
	meta:
		name = "?_lfind@@YMPEAXPEBX0PEAIIP6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?_lfind@@$$FYMPEAXPEBX0PEAIIP6MH00@Z@Z 000c __mep@?_lfind@@$$FYMPEAXPEBX0PEAIIP6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_3_4 {
	meta:
		name = "?_lfind_s@@YMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z"
		size = 16
		refs = "0006 __m2mep@?_lfind_s@@$$FYMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z 000c __mep@?_lfind_s@@$$FYMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_1_4 {
	meta:
		name = "?_lsearch@@YMPEAXPEBXPEAXPEAIIP6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?_lsearch@@$$FYMPEAXPEBXPEAXPEAIIP6MH00@Z@Z 000c __mep@?_lsearch@@$$FYMPEAXPEBXPEAXPEAIIP6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_3_4 {
	meta:
		name = "?_lsearch_s@@YMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z"
		size = 16
		refs = "0006 __m2mep@?_lsearch_s@@$$FYMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z 000c __mep@?_lsearch_s@@$$FYMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_187_1_4 {
	meta:
		name = "?bsearch@@YMPEAXPEBX0_K1P6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?bsearch@@$$FYMPEAXPEBX0_K1P6MH00@Z@Z 000c __mep@?bsearch@@$$FYMPEAXPEBX0_K1P6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_187_3_4 {
	meta:
		name = "?bsearch_s@@YMPEAXPEBX0_K1P6MHPEAX00@Z2@Z"
		size = 16
		refs = "0006 __m2mep@?bsearch_s@@$$FYMPEAXPEBX0_K1P6MHPEAX00@Z2@Z 000c __mep@?bsearch_s@@$$FYMPEAXPEBX0_K1P6MHPEAX00@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_117_4_4 {
	meta:
		name = "?mainCRTStartup@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?mainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?mainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_67_1_4 {
	meta:
		name = "?mainCRTStartupStrArray@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?mainCRTStartupStrArray@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?mainCRTStartupStrArray@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_3_4 {
	meta:
		name = "?qsort@@YMXPEAX_K1P6MHPEBX2@Z@Z"
		size = 16
		refs = "0006 __m2mep@?qsort@@$$FYMXPEAX_K1P6MHPEBX2@Z@Z 000c __mep@?qsort@@$$FYMXPEAX_K1P6MHPEBX2@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_6_4 {
	meta:
		name = "?qsort_s@@YMXPEAX_K1P6MH0PEBX2@Z0@Z"
		size = 16
		refs = "0006 __m2mep@?qsort_s@@$$FYMXPEAX_K1P6MH0PEBX2@Z0@Z 000c __mep@?qsort_s@@$$FYMXPEAX_K1P6MH0PEBX2@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_8_4 {
	meta:
		name = "?shortsort@?A0xe9d39b9e@@YMXPEAD0_KP6MHPEBX2@Z@Z"
		size = 16
		refs = "0006 __m2mep@?shortsort@?A0xe9d39b9e@@$$FYMXPEAD0_KP6MHPEBX2@Z@Z 000c __mep@?shortsort@?A0xe9d39b9e@@$$FYMXPEAD0_KP6MHPEBX2@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_9_4 {
	meta:
		name = "?shortsort_s@?A0xe9d39b9e@@YMXPEAD0_KP6MHPEAXPEBX3@ZQEAX@Z"
		size = 16
		refs = "0006 __m2mep@?shortsort_s@?A0xe9d39b9e@@$$FYMXPEAD0_KP6MHPEAXPEBX3@ZQEAX@Z 000c __mep@?shortsort_s@?A0xe9d39b9e@@$$FYMXPEAD0_KP6MHPEAXPEBX3@ZQEAX@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_7_4 {
	meta:
		name = "?swap@?A0xe9d39b9e@@YMXPEAD0_K@Z"
		size = 16
		refs = "0006 __m2mep@?swap@?A0xe9d39b9e@@$$FYMXPEAD0_K@Z 000c __mep@?swap@?A0xe9d39b9e@@$$FYMXPEAD0_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_135_1_4 {
	meta:
		name = "?wWinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "0006 __m2mep@?wWinMainCRTStartup@@$$FYAHXZ 000c __mep@?wWinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_242_4_4 {
	meta:
		name = "?wmainCRTStartup@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?wmainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?wmainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_21_4 {
	meta:
		name = "_Init_thread_abort_m"
		size = 16
		refs = "0006 __m2mep@?_Init_thread_abort_m@@$$J0YMXPECH@Z 000c __mep@?_Init_thread_abort_m@@$$J0YMXPECH@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_23_4 {
	meta:
		name = "_Init_thread_footer_m"
		size = 16
		refs = "0006 __m2mep@?_Init_thread_footer_m@@$$J0YMXPECH@Z 000c __mep@?_Init_thread_footer_m@@$$J0YMXPECH@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_19_4 {
	meta:
		name = "_Init_thread_header_m"
		size = 16
		refs = "0006 __m2mep@?_Init_thread_header_m@@$$J0YMXPECH@Z 000c __mep@?_Init_thread_header_m@@$$J0YMXPECH@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_3_4 {
	meta:
		name = "___CxxCallUnwindDelDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindDelDtor@@$$J0YMXP6MXPEAX@Z0@Z 000c __mep@?___CxxCallUnwindDelDtor@@$$J0YMXP6MXPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_1_4 {
	meta:
		name = "___CxxCallUnwindDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindDtor@@$$J0YMXP6MXPEAX@Z0@Z 000c __mep@?___CxxCallUnwindDtor@@$$J0YMXP6MXPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_5_4 {
	meta:
		name = "___CxxCallUnwindVecDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindVecDtor@@$$J0YMXP6MXPEAX_KHP6MX0@Z@Z01H2@Z 000c __mep@?___CxxCallUnwindVecDtor@@$$J0YMXP6MXPEAX_KHP6MX0@Z@Z01H2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_30_4 {
	meta:
		name = "__t2m@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@SMP6MPEBXXZP6MPEBXXZ@Z"
		size = 16
		refs = "0006 __m2mep@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@$$FSMP6MPEBXXZP6MPEBXXZ@Z 000c __mep@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@$$FSMP6MPEBXXZP6MPEBXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_91_4 {
	meta:
		name = "__t2m@??0?$gcroot@PE$AAVString@System@@@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??0?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ 000c __mep@??0?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_101_4 {
	meta:
		name = "__t2m@??0LanguageSupport@<CrtImplementationDetails>@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??0LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ 000c __mep@??0LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_6_4 {
	meta:
		name = "__t2m@??0_Fac_node@std@@QEAA@PEAU01@PEAV_Facet_base@1@@Z"
		size = 16
		refs = "0006 __m2mep@??0_Fac_node@std@@$$FQEAA@PEAU01@PEAV_Facet_base@1@@Z 000c __mep@??0_Fac_node@std@@$$FQEAA@PEAU01@PEAV_Facet_base@1@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_90_4 {
	meta:
		name = "__t2m@??1?$gcroot@PE$AAVString@System@@@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ 000c __mep@??1?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_102_4 {
	meta:
		name = "__t2m@??1LanguageSupport@<CrtImplementationDetails>@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ 000c __mep@??1LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_7_4 {
	meta:
		name = "__t2m@??1_Fac_node@std@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1_Fac_node@std@@$$FQEAA@XZ 000c __mep@??1_Fac_node@std@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_9_4 {
	meta:
		name = "__t2m@??1_Fac_tidy_reg_t@std@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1_Fac_tidy_reg_t@std@@$$FQEAA@XZ 000c __mep@??1_Fac_tidy_reg_t@std@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_89_4 {
	meta:
		name = "__t2m@??4?$gcroot@PE$AAVString@System@@@@QEAMAEAU0@PE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@??4?$gcroot@PE$AAVString@System@@@@$$FQEAMAEAU0@PE$AAVString@System@@@Z 000c __mep@??4?$gcroot@PE$AAVString@System@@@@$$FQEAMAEAU0@PE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_88_4 {
	meta:
		name = "__t2m@??B?$gcroot@PE$AAVString@System@@@@QEBMPE$AAVString@System@@XZ"
		size = 16
		refs = "0006 __m2mep@??B?$gcroot@PE$AAVString@System@@@@$$FQEBMPE$AAVString@System@@XZ 000c __mep@??B?$gcroot@PE$AAVString@System@@@@$$FQEBMPE$AAVString@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_8_4 {
	meta:
		name = "__t2m@??_G_Fac_node@std@@QEAAPEAXI@Z"
		size = 16
		refs = "0006 __m2mep@??_G_Fac_node@std@@$$FQEAAPEAXI@Z 000c __mep@??_G_Fac_node@std@@$$FQEAAPEAXI@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_47_4 {
	meta:
		name = "__t2m@?AddRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?AddRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?AddRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_100_4 {
	meta:
		name = "__t2m@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@AEAMXPE$AAVException@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z 000c __mep@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_76_4 {
	meta:
		name = "__t2m@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@YAXP6AJPEAX@Z0@Z"
		size = 16
		refs = "0006 __m2mep@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z 000c __mep@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_78_4 {
	meta:
		name = "__t2m@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@CAJPEAX@Z"
		size = 16
		refs = "0006 __m2mep@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@$$FCAJPEAX@Z 000c __mep@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@$$FCAJPEAX@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_87_4 {
	meta:
		name = "__t2m@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z"
		size = 16
		refs = "0006 __m2mep@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z 000c __mep@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_41_4 {
	meta:
		name = "__t2m@?Enter@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Enter@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Enter@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_42_4 {
	meta:
		name = "__t2m@?Exit@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Exit@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Exit@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_72_4 {
	meta:
		name = "__t2m@?FromGUID@<CrtImplementationDetails>@@YM?AVGuid@System@@AEBU_GUID@@@Z"
		size = 16
		refs = "0006 __m2mep@?FromGUID@<CrtImplementationDetails>@@$$FYM?AVGuid@System@@AEBU_GUID@@@Z 000c __mep@?FromGUID@<CrtImplementationDetails>@@$$FYM?AVGuid@System@@AEBU_GUID@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_75_4 {
	meta:
		name = "__t2m@?GetDefaultDomain@<CrtImplementationDetails>@@YMPE$AAVAppDomain@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ 000c __mep@?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_29_4 {
	meta:
		name = "__t2m@?Handle@ThisModule@<CrtImplementationDetails>@@CM?AVModuleHandle@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?Handle@ThisModule@<CrtImplementationDetails>@@$$FCM?AVModuleHandle@System@@XZ 000c __mep@?Handle@ThisModule@<CrtImplementationDetails>@@$$FCM?AVModuleHandle@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_80_4 {
	meta:
		name = "__t2m@?HasNative@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?HasNative@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?HasNative@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_79_4 {
	meta:
		name = "__t2m@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_83_4 {
	meta:
		name = "__t2m@?Initialize@DefaultDomain@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Initialize@DefaultDomain@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Initialize@DefaultDomain@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_103_4 {
	meta:
		name = "__t2m@?Initialize@LanguageSupport@<CrtImplementationDetails>@@QEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ 000c __mep@?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_94_4 {
	meta:
		name = "__t2m@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_95_4 {
	meta:
		name = "__t2m@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_97_4 {
	meta:
		name = "__t2m@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_96_4 {
	meta:
		name = "__t2m@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_98_4 {
	meta:
		name = "__t2m@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_93_4 {
	meta:
		name = "__t2m@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_39_4 {
	meta:
		name = "__t2m@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_81_4 {
	meta:
		name = "__t2m@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_82_4 {
	meta:
		name = "__t2m@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_71_4 {
	meta:
		name = "__t2m@?RegisterModuleUninitializer@<CrtImplementationDetails>@@YMXPE$AAVEventHandler@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?RegisterModuleUninitializer@<CrtImplementationDetails>@@$$FYMXPE$AAVEventHandler@System@@@Z 000c __mep@?RegisterModuleUninitializer@<CrtImplementationDetails>@@$$FYMXPE$AAVEventHandler@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_40_4 {
	meta:
		name = "__t2m@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_69_4 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@@Z 000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_70_4 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVString@System@@PE$AAVException@3@@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@PE$AAVException@3@@Z 000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@PE$AAVException@3@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_92_4 {
	meta:
		name = "__t2m@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVException@System@@0@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVException@System@@0@Z 000c __mep@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVException@System@@0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_84_4 {
	meta:
		name = "__t2m@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_86_4 {
	meta:
		name = "__t2m@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_99_4 {
	meta:
		name = "__t2m@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_85_4 {
	meta:
		name = "__t2m@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAJPEAX@Z"
		size = 16
		refs = "0006 __m2mep@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAJPEAX@Z 000c __mep@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAJPEAX@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_73_4 {
	meta:
		name = "__t2m@?__get_default_appdomain@@YAJPEAPEAUIUnknown@@@Z"
		size = 16
		refs = "0006 __m2mep@?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z 000c __mep@?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_74_4 {
	meta:
		name = "__t2m@?__release_appdomain@@YAXPEAUIUnknown@@@Z"
		size = 16
		refs = "0006 __m2mep@?__release_appdomain@@$$FYAXPEAUIUnknown@@@Z 000c __mep@?__release_appdomain@@$$FYAXPEAUIUnknown@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_77_4 {
	meta:
		name = "__t2m@?__scrt_is_safe_for_managed_code@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__scrt_is_safe_for_managed_code@@$$FYA_NXZ 000c __mep@?__scrt_is_safe_for_managed_code@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_35_4 {
	meta:
		name = "__t2m@?_handle@AtExitLock@<CrtImplementationDetails>@@CMPE$AA__ZVGCHandle@InteropServices@Runtime@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?_handle@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AA__ZVGCHandle@InteropServices@Runtime@System@@XZ 000c __mep@?_handle@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AA__ZVGCHandle@InteropServices@Runtime@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_46_4 {
	meta:
		name = "__t2m@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z 000c __mep@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_38_4 {
	meta:
		name = "__t2m@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_37_4 {
	meta:
		name = "__t2m@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@CMPE$AAVObject@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVObject@System@@XZ 000c __mep@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVObject@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_36_4 {
	meta:
		name = "__t2m@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z 000c __mep@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_21_4 {
	meta:
		name = "_app_exit_callback"
		size = 16
		refs = "0006 __m2mep@?_app_exit_callback@@$$J0YMXXZ 000c __mep@?_app_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_15_4 {
	meta:
		name = "_atexit_helper"
		size = 16
		refs = "0006 __m2mep@?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z 000c __mep@?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_19_4 {
	meta:
		name = "_atexit_m"
		size = 16
		refs = "0006 __m2mep@?_atexit_m@@$$J0YMHP6MXXZ@Z 000c __mep@?_atexit_m@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_23_4 {
	meta:
		name = "_atexit_m_appdomain"
		size = 16
		refs = "0006 __m2mep@?_atexit_m_appdomain@@$$J0YMHP6MXXZ@Z 000c __mep@?_atexit_m_appdomain@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_17_4 {
	meta:
		name = "_exit_callback"
		size = 16
		refs = "0006 __m2mep@?_exit_callback@@$$J0YMXXZ 000c __mep@?_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_32_4 {
	meta:
		name = "_initatexit_app_domain"
		size = 16
		refs = "0006 __m2mep@?_initatexit_app_domain@@$$J0YMHXZ 000c __mep@?_initatexit_app_domain@@$$J0YMHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_28_4 {
	meta:
		name = "_initatexit_m"
		size = 16
		refs = "0006 __m2mep@?_initatexit_m@@$$J0YMHXZ 000c __mep@?_initatexit_m@@$$J0YMHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_30_4 {
	meta:
		name = "_onexit_m"
		size = 16
		refs = "0006 __m2mep@?_onexit_m@@$$J0YMP6MHXZP6MHXZ@Z 000c __mep@?_onexit_m@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_34_4 {
	meta:
		name = "_onexit_m_appdomain"
		size = 16
		refs = "0006 __m2mep@?_onexit_m_appdomain@@$$J0YMP6MHXZP6MHXZ@Z 000c __mep@?_onexit_m_appdomain@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_3_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0x36d1f6d1@@YAHXZ"
		size = 67
		refs = "000a __scrt_initialize_onexit_tables 0014 __scrt_default_matherr 001e _matherr 0023 __setusermatherr 0028 _RTC_Initialize 002d ?_common_init@?A0x36d1f6d1@@YAXXZ 003e __scrt_fastfail"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 83 3D ?? ?? ?? ?? 00 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_242_2_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0x4fbb6748@@YAHXZ"
		size = 67
		refs = "000a __scrt_initialize_onexit_tables 0014 __scrt_default_matherr 001e _matherr 0023 __setusermatherr 0028 _RTC_Initialize 002d ?_common_init@?A0x4fbb6748@@YAXXZ 003e __scrt_fastfail"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 83 3D ?? ?? ?? ?? 00 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_67_4_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0x958a92d6@@YAHXZ"
		size = 67
		refs = "000a __scrt_initialize_onexit_tables 0014 __scrt_default_matherr 001e _matherr 0023 __setusermatherr 0028 _RTC_Initialize 002d ?_common_init@?A0x958a92d6@@YAXXZ 003e __scrt_fastfail"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 83 3D ?? ?? ?? ?? 00 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_135_3_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0x9e393685@@YAHXZ"
		size = 67
		refs = "000a __scrt_initialize_onexit_tables 0014 __scrt_default_matherr 001e _matherr 0023 __setusermatherr 0028 _RTC_Initialize 002d ?_common_init@?A0x9e393685@@YAXXZ 003e __scrt_fastfail"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 83 3D ?? ?? ?? ?? 00 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_117_2_4 {
	meta:
		name = "?_mixed_pre_c_init@?A0xc0a466e5@@YAHXZ"
		size = 67
		refs = "000a __scrt_initialize_onexit_tables 0014 __scrt_default_matherr 001e _matherr 0023 __setusermatherr 0028 _RTC_Initialize 002d ?_common_init@?A0xc0a466e5@@YAXXZ 003e __scrt_fastfail"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 83 3D ?? ?? ?? ?? 00 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 B9 07 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_68_12_4 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000EC 0009 0A00008A"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 39 00 00 01 }
	condition:
		$1
}

rule file_68_14_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000012 000e 0A00009A"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_80_16_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000012 000e 0A0000E2"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_94_14_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000012 000e 0A00009B"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_32_29_7 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000017 000e 0A00009B"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_112_28_7 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000016 000e 0A000078"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_68_15_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000EC 0009 0A00008A"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 39 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 39 00 00 01 }
	condition:
		$1
}

rule file_80_14_4 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000E3 0009 0A0000CC"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_80_17_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000E3 0009 0A0000CC"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 3F 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_80_21_4 {
	meta:
		name = "__catch$?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z$0"
		size = 71
		refs = "0001 0A0000D6 0016 11000003 0024 11000001 0043 01000007"
	strings:
		$1 = { 28 ?? ?? ?? ?? 0B DE 00 07 16 32 1D 06 02 06 4C 1F 68 6A 58 4C 29 ?? ?? ?? ?? 0B 06 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 26 07 2A 41 1C 00 00 00 00 00 00 03 00 00 00 26 00 00 00 29 00 00 00 08 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_24_4 {
	meta:
		name = "__catch$?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ$0"
		size = 47
		refs = "0002 0A00003F 0009 0A0000D5"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? DC 06 28 ?? ?? ?? ?? 14 2A 08 2A 00 00 41 1C 00 00 02 00 00 00 0F 00 00 00 16 00 00 00 25 00 00 00 07 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_80_26_4 {
	meta:
		name = "__catch$?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z$0"
		size = 47
		refs = "0009 11000001"
	strings:
		$1 = { 06 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 26 DC 2A 00 00 00 41 1C 00 00 02 00 00 00 25 00 00 00 28 00 00 00 4D 00 00 00 0F 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_80_55_4 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ$0"
		size = 89
		refs = "0001 0A0000A2 000a 0A0000CA 0029 0A0000B2 0031 0A00004C 0036 04000117 003e 0A00004E 0044 0A00004F 004b 0A000048"
	strings:
		$1 = { 7F ?? ?? ?? ?? 11 04 16 6A 28 ?? ?? ?? ?? 0C 08 2D 04 17 0A 2B 09 08 11 04 33 04 17 0D 17 0A DC 06 2D 0A 20 E8 03 00 00 28 ?? ?? ?? ?? 2B CC 02 28 ?? ?? ?? ?? 7E ?? ?? ?? ?? 2C 0E 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2B 0D 28 ?? ?? ?? ?? 16 33 03 07 2B 01 17 0B DE 11 }
	condition:
		$1
}

rule file_80_56_4 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ$2"
		size = 100
		refs = "0004 0A0000A2 000b 0A0000C8 0016 0A00004D 001c 0A000050 0022 04000115 0028 0A000051"
	strings:
		$1 = { 09 2D 0D 7F ?? ?? ?? ?? 16 6A 28 ?? ?? ?? ?? 26 DC 07 2C 06 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 17 80 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2A 00 00 00 41 34 00 00 02 00 00 00 39 00 00 00 02 00 00 00 3B 00 00 00 20 00 00 00 3F 00 00 01 02 00 00 00 36 00 00 00 5E 00 00 00 94 00 00 00 11 00 00 00 3F 00 00 01 }
	condition:
		$1
}

rule file_80_59_4 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z$1"
		size = 64
		refs = "0004 0600001D 0024 01000007 003c 0100000C"
	strings:
		$1 = { 0C 03 14 28 ?? ?? ?? ?? DE 00 2A 00 41 34 00 00 00 00 00 00 00 00 00 00 1E 00 00 00 1E 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 1E 00 00 00 28 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_63_4 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$0"
		size = 22
		refs = "0001 04000114 0006 0A0000C6 0010 0A000053"
	strings:
		$1 = { 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 17 0A DC 02 28 ?? ?? ?? ?? DE 32 }
	condition:
		$1
}

rule file_80_64_4 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$2"
		size = 25
		refs = "0007 06000040 000d 06000045 0013 0600001F"
	strings:
		$1 = { 0B 06 2C 07 02 07 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? DE 19 }
	condition:
		$1
}

rule file_80_65_4 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$3"
		size = 103
		refs = "0007 06000040 000d 06000045 0013 0600001F 004b 01000007 0063 0100000C"
	strings:
		$1 = { 0C 06 2C 07 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 41 4C 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0E 00 00 00 3F 00 00 01 00 00 00 00 07 00 00 00 29 00 00 00 30 00 00 00 19 00 00 00 ?? ?? ?? ?? 00 00 00 00 07 00 00 00 29 00 00 00 49 00 00 00 19 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_12_4 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000E3 0009 0A00008D"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 36 00 00 01 }
	condition:
		$1
}

rule file_94_15_4 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000E3 0009 0A00008D"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 36 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 36 00 00 01 }
	condition:
		$1
}

rule file_143_12_4 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$0"
		size = 95
		refs = "000e 0A0000E7 0016 0A0000E6 001f 0A0000E5 0028 0A0000E8 0050 0A0000D8"
	strings:
		$1 = { 26 12 08 03 4C 1E 6A 5A 1F 0C 6A 58 69 28 ?? ?? ?? ?? 12 07 07 28 ?? ?? ?? ?? 11 07 11 08 28 ?? ?? ?? ?? 13 0D 12 0D 28 ?? ?? ?? ?? 07 59 06 58 0A 12 0D 28 ?? ?? ?? ?? 0B 03 25 4C 1A 6A 58 55 DE 00 06 02 55 06 1E 6A 58 0A 02 13 06 05 07 28 ?? ?? ?? ?? 55 04 06 28 ?? ?? ?? ?? 55 DE 05 }
	condition:
		$1
}

rule file_410_24_7 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$0"
		size = 95
		refs = "000e 0A000095 0016 0A000094 001f 0A000093 0028 0A000096 0050 0A000086"
	strings:
		$1 = { 26 12 08 03 4C 1E 6A 5A 1F 0C 6A 58 69 28 ?? ?? ?? ?? 12 07 07 28 ?? ?? ?? ?? 11 07 11 08 28 ?? ?? ?? ?? 13 0D 12 0D 28 ?? ?? ?? ?? 07 59 06 58 0A 12 0D 28 ?? ?? ?? ?? 0B 03 25 4C 1A 6A 58 55 DE 00 06 02 55 06 1E 6A 58 0A 02 13 06 05 07 28 ?? ?? ?? ?? 55 04 06 28 ?? ?? ?? ?? 55 DE 05 }
	condition:
		$1
}

rule file_143_14_4 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$3"
		size = 100
		refs = "0001 0A000069 0030 01000008"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 06 2D 05 15 13 04 2B 03 16 13 04 11 04 2A 00 00 41 4C 00 00 00 00 00 00 37 00 00 00 6B 00 00 00 A2 00 00 00 42 00 00 00 ?? ?? ?? ?? 00 00 00 00 14 00 00 00 ED 00 00 00 01 01 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 14 00 00 00 F4 00 00 00 08 01 00 00 07 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_55_0_6 {
	meta:
		name = "DllMain"
		size = 35
		refs = "000c _pRawDllMain 0015 __imp_DisableThreadLibraryCalls"
	strings:
		$1 = { 48 83 EC 28 83 FA 01 75 10 48 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_32_27_7 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000E8 0009 0A000082"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 4E 00 00 01 }
	condition:
		$1
}

rule file_32_30_7 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000E8 0009 0A000082"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 4E 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 4E 00 00 01 }
	condition:
		$1
}

rule file_32_36_7 {
	meta:
		name = "__catch$?ForceLoadRuntimeApis@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXXZ$2"
		size = 63
		refs = "0005 0A00009B 0023 02000002"
	strings:
		$1 = { 07 2C 06 07 6F ?? ?? ?? ?? DC 2A 41 34 00 00 00 00 00 00 6A 00 00 00 08 00 00 00 72 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 10 00 00 00 71 00 00 00 81 00 00 00 0A 00 00 00 4E 00 00 01 }
	condition:
		$1
}

rule file_32_56_7 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z$1"
		size = 63
		refs = "0004 06000063 0023 0100000C 003b 01000011"
	strings:
		$1 = { 0B 03 14 28 ?? ?? ?? ?? DE 00 2A 41 34 00 00 00 00 00 00 00 00 00 00 07 00 00 00 07 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 07 00 00 00 11 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_32_60_7 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAMXXZ$0"
		size = 22
		refs = "0004 06000076 000a 0600007B 0010 06000064"
	strings:
		$1 = { 0A 02 06 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? DE 16 }
	condition:
		$1
}

rule file_32_61_7 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAMXXZ$1"
		size = 78
		refs = "0004 06000076 000a 0600007B 0010 06000064 0032 0100000C 004a 01000011"
	strings:
		$1 = { 0B 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 00 00 41 34 00 00 00 00 00 00 00 00 00 00 14 00 00 00 14 00 00 00 16 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 14 00 00 00 2A 00 00 00 16 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_26_7 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000F0 0009 0A00006D"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 3E 00 00 01 }
	condition:
		$1
}

rule file_112_29_7 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000F0 0009 0A00006D"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 3E 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 3E 00 00 01 }
	condition:
		$1
}

rule file_138_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000DB 000e 0A0000BC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_665_59_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000D9 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_764_70_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000E1 000e 0A0000C5"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_895_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000DB 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_898_65_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000F0 000e 0A0000D3"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_943_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000DD 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1002_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000DD 000e 0A0000BC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1065_59_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000D9 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1250_93_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000EC 000e 0A0000CD"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1440_61_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000DB 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1678_57_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000D9 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1920_59_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000DB 000e 0A0000BB"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_138_62_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000DD"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_665_60_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000DB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_71_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000E3"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_943_62_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000DF"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1678_58_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000DB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_138_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000121 0010 0A0000C8 0015 060000D5 001f 060000E2 0032 06000108 0044 060000B6 004c 04000156 0051 0A000043 0066 11000026 006b 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1065_426_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000D9 000a 040001CD 0010 040002B7 0015 060000D5 001f 060000E2 0032 06000295 0044 060000B5 004c 04000152 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_665_427_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000D9 000a 040001D2 0010 040002B7 0015 060000D5 001f 060000E2 0032 06000295 0044 060000B5 004c 04000157 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1920_430_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 040001D5 0010 040002C3 0015 060000D5 001f 060000E2 0032 06000298 0044 060000B5 004c 0400015A 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_898_426_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000F0 000a 04000231 0010 04000316 0015 060000F8 001f 06000106 0032 060001DD 0044 060000D7 004c 040001B4 0051 0A00004F 0066 11000028 006b 0A0000D5"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1678_424_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000D9 000a 040001CE 0010 040002B6 0015 060000D3 001f 060000E0 0032 06000291 0044 060000B3 004c 04000153 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_895_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000244 0010 0A0000D7 0015 060000D5 001f 060000E2 0032 06000113 0044 060000B6 004c 04000151 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_943_399_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DD 000a 04000250 0010 0A0000D8 0015 060000D5 001f 060000E2 0032 06000113 0044 060000B6 004c 04000157 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_873_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 040003C9 0010 0A0000E9 0015 060000F0 001f 060000FE 0032 06000130 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1440_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000246 0010 0A0000D7 0015 060000D5 001f 060000E2 0032 06000113 0044 060000B6 004c 04000153 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1987_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000244 0010 0A0000D8 0015 060000D5 001f 060000E2 0032 06000113 0044 060000B6 004c 0400014C 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1871_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000122 0010 0A0000C8 0015 060000D5 001f 060000E2 0032 06000108 0044 060000B6 004c 04000158 0051 0A000043 0066 11000026 006b 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1002_399_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DD 000a 04000128 0010 0A0000C8 0015 060000D5 001f 060000E2 0032 06000108 0044 060000B6 004c 04000160 0051 0A000043 0066 11000026 006b 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_849_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 040001F8 0010 0A0000D8 0015 060000F0 001f 060000FE 0032 06000124 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_616_7 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMAEBV?$collate@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 0400036B 0010 0400015C 0015 060000E3 001f 060000F1 0032 060001F8 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_1242_7 {
	meta:
		name = "__catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMAEBV?$collate@G@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000476 0010 0400023A 0015 060000F0 001f 060000FE 0032 06000217 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_1239_7 {
	meta:
		name = "__catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMAEBV?$collate@_W@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000477 0010 04000350 0015 060000F0 001f 060000FE 0032 0600026E 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1678_393_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000D9 000a 040002B3 0010 0A0000C1 0015 060000D3 001f 060000E0 0032 0600011E 0044 060000B3 004c 04000153 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_898_415_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000F0 000a 04000312 0010 0A0000D7 0015 060000F8 001f 06000106 0032 06000143 0044 060000D7 004c 040001B4 0051 0A00004F 0066 11000028 006b 0A0000D5"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1920_399_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 040002C0 0010 0A0000C2 0015 060000D5 001f 060000E2 0032 06000120 0044 060000B5 004c 0400015A 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_473_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 04000366 0010 0A0000C9 0015 060000E3 001f 060000F1 0032 06000130 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1065_395_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000D9 000a 040002B4 0010 0A0000C0 0015 060000D5 001f 060000E2 0032 06000120 0044 060000B5 004c 04000152 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_665_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000D9 000a 040002B5 0010 0A0000C1 0015 060000D5 001f 060000E2 0032 06000120 0044 060000B5 004c 04000157 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1440_403_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000197 0010 0A0000C8 0015 060000D5 001f 060000E2 0032 06000148 0044 060000B6 004c 04000153 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1987_402_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000190 0010 0A0000C9 0015 060000D5 001f 060000E2 0032 06000148 0044 060000B6 004c 0400014C 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_852_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 040002BF 0010 0A0000DA 0015 060000F0 001f 060000FE 0032 0600016B 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_895_402_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000195 0010 0A0000C8 0015 060000D5 001f 060000E2 0032 06000148 0044 060000B6 004c 04000151 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_943_406_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DD 000a 0400019D 0010 0A0000C9 0015 060000D5 001f 060000E2 0032 06000148 0044 060000B6 004c 04000157 0051 0A000043 0066 11000026 006b 0A0000BD"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_138_403_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000276 0010 0A0000BB 0015 060000D5 001f 060000E2 0032 06000135 0044 060000B6 004c 04000156 0051 0A000043 0066 11000026 006b 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_828_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000412 0010 0A0000CC 0015 060000F0 001f 060000FE 0032 06000154 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1445_402_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000274 0010 0A0000BB 0015 060000D5 001f 060000E2 0032 06000135 0044 060000B6 004c 04000156 0051 0A000043 0066 11000026 006b 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1871_402_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DB 000a 04000275 0010 0A0000BB 0015 060000D5 001f 060000E2 0032 06000135 0044 060000B6 004c 04000158 0051 0A000043 0066 11000026 006b 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1002_406_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000DD 000a 04000284 0010 0A0000BB 0015 060000D5 001f 060000E2 0032 06000135 0044 060000B6 004c 04000160 0051 0A000043 0066 11000026 006b 0A0000BE"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_478_7 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMAEBV?$messages@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 04000229 0010 04000360 0015 060000E3 001f 060000F1 0032 060001F2 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_861_7 {
	meta:
		name = "__catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMAEBV?$messages@G@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 0400041F 0010 040002B2 0015 060000F0 001f 060000FE 0032 06000211 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_837_7 {
	meta:
		name = "__catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMAEBV?$messages@_W@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000352 0010 04000356 0015 060000F0 001f 060000FE 0032 06000268 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_481_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 040001BA 0010 04000368 0015 060000E3 001f 060000F1 0032 060001EC 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_864_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 040003A7 0010 04000478 0015 060000F0 001f 060000FE 0032 0600020B 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_840_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 040003E7 0010 04000475 0015 060000F0 001f 060000FE 0032 06000262 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_484_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 04000111 0010 0400032D 0015 060000E3 001f 060000F1 0032 060001E7 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_867_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 0400047C 0010 0400040A 0015 060000F0 001f 060000FE 0032 06000206 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_843_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000270 0010 04000483 0015 060000F0 001f 060000FE 0032 0600025D 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_571_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 040000EC 0010 040002C7 0015 060000E3 001f 060000F1 0032 060001DF 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_568_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 040001E2 0010 0400033C 0015 060000E3 001f 060000F1 0032 060001E2 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_1055_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000461 0010 04000175 0015 060000F0 001f 060000FE 0032 060001FE 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_1052_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000168 0010 04000185 0015 060000F0 001f 060000FE 0032 06000201 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_1049_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000480 0010 040003B9 0015 060000F0 001f 060000FE 0032 06000255 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_1046_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000450 0010 04000485 0015 060000F0 001f 060000FE 0032 06000258 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_898_420_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000F0 000a 04000315 0010 04000313 0015 060000F8 001f 06000106 0032 060001FF 0044 060000D7 004c 040001B4 0051 0A00004F 0066 11000028 006b 0A0000D5"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_855_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000432 0010 040001A5 0015 060000F0 001f 060000FE 0032 06000239 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_831_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000473 0010 040003AB 0015 060000F0 001f 060000FE 0032 06000290 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_898_423_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000F0 000a 040002F9 0010 04000244 0015 060000F8 001f 06000106 0032 060001F1 0044 060000D7 004c 040001B4 0051 0A00004F 0066 11000028 006b 0A0000D5"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_858_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000339 0010 0400026C 0015 060000F0 001f 060000FE 0032 0600022B 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_834_7 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 0400047E 0010 040003B1 0015 060000F0 001f 060000FE 0032 06000282 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_898_453_7 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000F0 000a 040000F9 0010 040002AE 0015 060000F8 001f 06000106 0032 060001E5 0044 060000D7 004c 040001B4 0051 0A00004F 0066 11000028 006b 0A0000D5"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_969_7 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMAEBV?$numpunct@G@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000481 0010 04000226 0015 060000F0 001f 060000FE 0032 0600021F 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_966_7 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 0400042D 0010 0400047B 0015 060000F0 001f 060000FE 0032 06000276 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_574_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 04000240 0010 04000369 0015 060000E3 001f 060000F1 0032 060001DC 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_1093_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 0400047D 0010 04000275 0015 060000F0 001f 060000FE 0032 060001FB 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_1090_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 0400047F 0010 04000465 0015 060000F0 001f 060000FE 0032 06000252 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_764_487_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000E1 000a 04000365 0010 0400021C 0015 060000E3 001f 060000F1 0032 060001D2 0044 060000BA 004c 040001CA 0051 0A000044 0066 1100002B 006b 0A0000C7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_870_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 040002CE 0010 040002E9 0015 060000F0 001f 060000FE 0032 060001F1 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1250_846_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 116
		refs = "0002 0A0000EC 000a 04000463 0010 04000484 0015 060000F0 001f 060000FE 0032 06000248 0044 060000C3 004c 04000250 0051 0A000045 0066 11000032 006b 0A0000CF"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 48 06 2C 04 06 0B 2B 41 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 14 12 06 28 ?? ?? ?? ?? 26 12 06 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_138_397_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DD"
		altNames = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_665_428_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_943_400_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1002_400_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_617_7 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMAEBV?$collate@D@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_474_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1678_394_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DB"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_943_407_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1002_407_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_479_7 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMAEBV?$messages@D@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_482_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_485_7 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_572_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_569_7 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_575_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_764_488_7 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000E3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_138_435_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000136 0009 0A000135 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1250_607_7 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000155 0009 0A000154 0013 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_665_440_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000134 0009 0A000133 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1430_299_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000126 0009 0A000125 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1296_307_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00011B 0009 0A00011A 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1287_309_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000163 0009 0A000162 0013 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1250_1035_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000155 0009 0A000154 0013 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1065_439_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000134 0009 0A000133 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1023_545_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000189 0009 0A000188 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1002_438_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000138 0009 0A000137 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_931_299_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000126 0009 0A000125 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_898_472_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000158 0009 0A000157 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_801_339_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00015E 0009 0A00015D 0013 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_764_546_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_722_238_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000108 0009 0A000107 0013 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_717_364_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00013D 0009 0A00013C 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_510_306_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A00014C 0009 0A00014B 0013 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1023_536_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000189 0009 0A000188 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1250_1015_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000155 0009 0A000154 0013 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_722_229_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000108 0009 0A000107 0013 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_138_436_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000135 000b 0A000099 001a 0600009B"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1002_439_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000137 000b 0A000099 001a 0600009B"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1920_444_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000135 000b 0A000099 001a 0600009A"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1678_438_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000133 000b 0A000099 001a 06000098"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1430_300_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000125 000b 0A000091 001a 06000093"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1296_308_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A00011A 000b 0A00008E 001a 06000093"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1287_310_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000162 000b 0A0000B6 001a 0600009B"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1250_1036_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000154 000b 0A00009D 001a 060000A8"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1065_440_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000133 000b 0A000099 001a 0600009A"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1023_546_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000188 000b 0A0000C4 001a 060000A6"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_510_307_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A00014B 000b 0A0000A9 001a 06000093"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_943_439_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000137 000b 0A000099 001a 0600009B"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_931_300_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000125 000b 0A000091 001a 06000093"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_898_473_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000157 000b 0A0000A9 001a 060000BC"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_801_340_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A00015D 000b 0A0000B5 001a 060000CC"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_764_547_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000143 000b 0A00009B 001a 0600009F"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_722_239_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000107 000b 0A000094 001a 06000095"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_717_365_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A00013C 000b 0A00009E 001a 0600009D"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_665_441_7 {
	meta:
		name = "$LN373"
		size = 33
		refs = "0004 0A000133 000b 0A000099 001a 0600009A"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 08 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 17 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_138_437_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000136 0009 0A000135 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1250_613_7 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000155 0009 0A000154 0013 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1002_440_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000138 0009 0A000137 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1678_439_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000134 0009 0A000133 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1430_301_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000126 0009 0A000125 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1296_309_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00011B 0009 0A00011A 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1287_311_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000163 0009 0A000162 0013 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1250_1037_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000155 0009 0A000154 0013 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1065_441_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000134 0009 0A000133 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1023_547_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000189 0009 0A000188 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_510_308_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00014C 0009 0A00014B 0013 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_943_440_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000138 0009 0A000137 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_931_301_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000126 0009 0A000125 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_898_474_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000158 0009 0A000157 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_801_341_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00015E 0009 0A00015D 0013 0A000023"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_764_548_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_722_240_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000108 0009 0A000107 0013 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_717_366_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00013D 0009 0A00013C 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_665_442_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A000134 0009 0A000133 0013 0A00001F"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_138_438_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000135 000b 0A000099 0015 0600020D 001c 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_665_443_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000133 000b 0A000099 0015 06000210 001c 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1920_446_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000135 000b 0A000099 0015 06000213 001c 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1678_440_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000133 000b 0A000099 0015 0600020C 001c 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1430_302_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000125 000b 0A000091 0015 060001CD 001c 0A000040"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1296_310_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A00011A 000b 0A00008E 0015 060001CE 001c 0A00003F"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1287_312_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000162 000b 0A0000B6 0015 0600021B 001c 0A000055"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_1038_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000154 000b 0A00009D 0015 0600035A 001c 0A000045"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1065_442_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000133 000b 0A000099 0015 06000210 001c 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1023_548_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000188 000b 0A0000C4 0015 0600038A 001c 0A00005A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1002_441_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000137 000b 0A000099 0015 06000210 001c 0A000043"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_931_302_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000125 000b 0A000091 0015 060001D2 001c 0A000040"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_898_475_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000157 000b 0A0000A9 0015 0600023F 001c 0A00004F"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_801_342_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A00015D 000b 0A0000B5 0015 06000241 001c 0A000054"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_764_549_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000143 000b 0A00009B 0015 06000263 001c 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_722_241_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A000107 000b 0A000094 0015 0600012B 001c 0A00004A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_717_367_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A00013C 000b 0A00009E 0015 06000258 001c 0A000046"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_510_309_7 {
	meta:
		name = "$LN377"
		size = 34
		refs = "0004 0A00014B 000b 0A0000A9 0015 060001F1 001c 0A00004E"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1023_537_7 {
	meta:
		name = "$LN383"
		size = 34
		refs = "0004 0A000188 000b 0A0000C4 0015 06000379 001c 0A00005A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_1016_7 {
	meta:
		name = "$LN383"
		size = 34
		refs = "0004 0A000154 000b 0A00009D 0015 06000389 001c 0A000045"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_1027_7 {
	meta:
		name = "$LN383"
		size = 34
		refs = "0004 0A000154 000b 0A00009D 0015 06000349 001c 0A000045"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_722_230_7 {
	meta:
		name = "$LN383"
		size = 34
		refs = "0004 0A000107 000b 0A000094 0015 06000129 001c 0A00004A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_138_444_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000038 0035 0600020D"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_665_449_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000038 0035 06000210"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_717_373_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000039 0035 06000258"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_764_555_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000038 0035 06000263"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_943_447_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000038 0035 06000210"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1296_316_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000035 0035 060001CE"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1678_446_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000038 0035 0600020C"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1920_452_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000038 0035 06000213"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_349_44_7 {
	meta:
		name = "$LN13"
		size = 25
		refs = "0002 0A00010B 0009 0A00010A 0013 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1023_630_7 {
	meta:
		name = "$LN6"
		size = 25
		refs = "0002 0A000189 0009 0A000188 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_349_45_7 {
	meta:
		name = "$LN33"
		size = 22
		refs = "0004 0A00010A 000a 0A000094 0010 0A00007D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_349_48_7 {
	meta:
		name = "__catch$?_CallCopyCtor@__ExceptionPtr@@$$FAEBMXPEAX0_KQEBU_s_CatchableType@@@Z$2"
		size = 125
		refs = "0003 0A00003E 0029 11000002"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 2B 22 03 04 05 FE 12 01 FE 17 0E 04 4A 1E 5F 2C 13 04 4C 0B 07 2C 0D 07 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 26 2A 00 00 41 4C 00 00 01 00 00 00 93 00 00 00 07 00 00 00 A9 00 00 00 03 00 00 00 9A 00 00 00 02 00 00 00 93 00 00 00 20 00 00 00 B3 00 00 00 08 00 00 00 25 00 00 01 01 00 00 00 21 00 00 00 4A 00 00 00 84 00 00 00 39 00 00 00 6B 00 00 00 }
	condition:
		$1
}

rule file_349_140_7 {
	meta:
		name = "$LN9"
		size = 22
		refs = "0002 0A00010A 0007 0400013C 0010 0A000021"
		altNames = "$LN11"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 7F ?? ?? ?? ?? 1F 09 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_349_141_7 {
	meta:
		name = "$LN76"
		size = 46
		refs = "0004 0A00010A 000a 0A000094 001c 040001DF 0021 0600012E"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 16 6A 55 02 1E 6A 58 16 6A 55 02 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 17 60 0B DD 75 00 00 00 }
	condition:
		$1
}

rule file_349_145_7 {
	meta:
		name = "$LN17"
		size = 25
		refs = "0002 0A00010B 0009 0A00010A 0013 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_898_340_7 {
	meta:
		name = "$LN10"
		size = 25
		refs = "0002 0A000158 0009 0A000157 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_700_15_7 {
	meta:
		name = "$LN6"
		size = 25
		refs = "0002 0A000066 0009 0A000065 0013 0A000014"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_349_146_7 {
	meta:
		name = "$LN80"
		size = 22
		refs = "0004 0A00010A 000a 0A000094 0010 0A00007D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_349_149_7 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@std@@XZ$5"
		size = 225
		refs = "0003 0A00003E 0026 0600010B 002c 0A000003"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 04 02 0C DE 23 21 00 00 00 00 00 00 00 00 0C DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 00 00 41 AC 00 00 01 00 00 00 89 00 00 00 1F 00 00 00 B7 00 00 00 03 00 00 00 A8 00 00 00 02 00 00 00 89 00 00 00 38 00 00 00 C1 00 00 00 08 00 00 00 25 00 00 01 01 00 00 00 0A 00 00 00 5A 00 00 00 7A 00 00 00 51 00 00 00 64 00 00 00 01 00 00 00 F3 00 00 00 07 00 00 00 09 01 00 00 03 00 00 00 FA 00 00 00 02 00 00 00 F3 00 00 00 20 00 00 00 13 01 00 00 08 00 00 00 25 00 00 01 01 00 00 00 0A 00 00 00 5A 00 00 00 E4 00 00 00 39 00 00 00 CB 00 00 00 04 00 00 00 0A 00 00 00 23 01 00 00 2D 01 00 00 17 00 00 00 25 00 00 01 }
	condition:
		$1
}

rule file_349_159_7 {
	meta:
		name = "$LN6"
		size = 25
		refs = "0002 0A00010B 0009 0A00010A 0013 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_349_160_7 {
	meta:
		name = "$LN131"
		size = 25
		refs = "0004 0A00010A 000b 0A000094 0013 0A00004A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_349_163_7 {
	meta:
		name = "__catch$??$allocate_shared@V__ExceptionPtr@@U?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@_N@std@@$$FYM?AV?$shared_ptr@V__ExceptionPtr@@@0@AEBU?$_StaticAllocator@H@@AEAPEAUEHExceptionRecord@@$$QEA_N@Z$2"
		size = 249
		refs = "0004 0A00003E 0036 0600010B 003d 0A000003"
	strings:
		$1 = { 11 04 07 28 ?? ?? ?? ?? DC DE 00 12 07 16 6A 55 12 07 1E 58 16 6A 55 02 06 1F 10 6A 58 55 02 1E 6A 58 06 55 12 07 16 6A 55 12 07 1E 58 16 6A 55 17 0C DE 0E FE 06 ?? ?? ?? ?? 12 07 28 ?? ?? ?? ?? DC 02 13 05 DE 19 DE 17 08 17 5F 2C 11 08 1F FE 5F 0C FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 05 2A 00 00 41 94 00 00 04 00 00 00 1E 00 00 00 17 00 00 00 35 00 00 00 09 00 00 00 25 00 00 01 01 00 00 00 69 00 00 00 09 00 00 00 81 00 00 00 03 00 00 00 72 00 00 00 02 00 00 00 69 00 00 00 22 00 00 00 8B 00 00 00 09 00 00 00 25 00 00 01 01 00 00 00 17 00 00 00 29 00 00 00 59 00 00 00 3D 00 00 00 40 00 00 00 04 00 00 00 A2 00 00 00 1D 00 00 00 BF 00 00 00 0E 00 00 00 25 00 00 01 04 00 00 00 17 00 00 00 BD 00 00 00 D4 00 00 00 17 00 00 00 25 00 00 01 }
	condition:
		$1
}

rule file_349_166_7 {
	meta:
		name = "$LN76"
		size = 47
		refs = "0004 0A00010A 000b 0A000094 001d 040001DF 0022 0600012E"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 02 16 6A 55 02 1E 6A 58 16 6A 55 02 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 07 17 60 0B DD 78 00 00 00 }
	condition:
		$1
}

rule file_349_170_7 {
	meta:
		name = "$LN19"
		size = 25
		refs = "0002 0A00010B 0009 0A00010A 0013 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1023_623_7 {
	meta:
		name = "$LN12"
		size = 25
		refs = "0002 0A000189 0009 0A000188 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1023_516_7 {
	meta:
		name = "$LN7"
		size = 25
		refs = "0002 0A000189 0009 0A000188 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_349_171_7 {
	meta:
		name = "$LN80"
		size = 23
		refs = "0004 0A00010A 000b 0A000094 0011 0A00007D"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_349_174_7 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@std@@PEBXPEBU_s_ThrowInfo@@_N@Z$5"
		size = 226
		refs = "0004 0A00003E 0027 0600010B 002d 0A000003"
	strings:
		$1 = { 11 04 06 28 ?? ?? ?? ?? DC DE 04 02 0C DE 23 21 00 00 00 00 00 00 00 00 0C DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 00 00 41 AC 00 00 01 00 00 00 E2 00 00 00 1F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 E2 00 00 00 38 00 00 00 1A 01 00 00 09 00 00 00 25 00 00 01 01 00 00 00 0B 00 00 00 B1 00 00 00 D2 00 00 00 53 00 00 00 BC 00 00 00 01 00 00 00 4E 01 00 00 07 00 00 00 64 01 00 00 03 00 00 00 55 01 00 00 02 00 00 00 4E 01 00 00 20 00 00 00 6E 01 00 00 09 00 00 00 25 00 00 01 01 00 00 00 0B 00 00 00 B1 00 00 00 3E 01 00 00 3B 00 00 00 25 01 00 00 04 00 00 00 0B 00 00 00 7E 01 00 00 89 01 00 00 17 00 00 00 25 00 00 01 }
	condition:
		$1
}

rule file_410_26_7 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$3"
		size = 100
		refs = "0001 06000084 0030 0100000D"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 06 2D 05 15 13 04 2B 03 16 13 04 11 04 2A 00 00 41 4C 00 00 00 00 00 00 37 00 00 00 6B 00 00 00 A2 00 00 00 42 00 00 00 ?? ?? ?? ?? 00 00 00 00 14 00 00 00 ED 00 00 00 01 01 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 14 00 00 00 F4 00 00 00 08 01 00 00 07 00 00 00 33 00 00 01 }
	condition:
		$1
}

rule file_510_315_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000041 0035 060001F1"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_801_348_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000045 0035 06000241"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_931_308_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000035 0035 060001D2"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1287_318_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000046 0035 0600021B"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 2C 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_700_16_7 {
	meta:
		name = "$LN26"
		size = 20
		refs = "0004 0A000065 000a 0A000040"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 16 6A 0C DE 25 }
	condition:
		$1
}

rule file_700_19_7 {
	meta:
		name = "__catch$??2@$$FYMPEAX_KAEBUnothrow_t@std@@@Z$2"
		size = 105
		refs = "0003 0A00001F"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2B 02 08 2A 21 00 00 00 00 00 00 00 00 2A 09 2A 00 00 00 41 4C 00 00 01 00 00 00 39 00 00 00 05 00 00 00 4D 00 00 00 03 00 00 00 3E 00 00 00 02 00 00 00 39 00 00 00 1E 00 00 00 57 00 00 00 08 00 00 00 23 00 00 01 01 00 00 00 08 00 00 00 09 00 00 00 2A 00 00 00 37 00 00 00 11 00 00 00 }
	condition:
		$1
}

rule file_722_227_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000108 0009 0A000107 0013 0A000021"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1023_534_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000189 0009 0A000188 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1250_1013_7 {
	meta:
		name = "$LN14"
		size = 25
		refs = "0002 0A000155 0009 0A000154 0013 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_722_228_7 {
	meta:
		name = "$LN379"
		size = 33
		refs = "0004 0A000107 000b 0A000094 001a 06000095"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 18 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1023_535_7 {
	meta:
		name = "$LN379"
		size = 33
		refs = "0004 0A000188 000b 0A0000C4 001a 060000A6"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 18 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1250_1014_7 {
	meta:
		name = "$LN379"
		size = 33
		refs = "0004 0A000154 000b 0A00009D 001a 060000A8"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 09 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 18 6A 17 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_722_236_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 253
		refs = "0004 0A00003F 0037 06000129"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0C 09 11 08 04 18 6A 5A FE 12 02 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DA 00 00 00 12 00 00 00 FB 00 00 00 03 00 00 00 EC 00 00 00 02 00 00 00 DA 00 00 00 2B 00 00 00 05 01 00 00 09 00 00 00 24 00 00 01 01 00 00 00 A2 00 00 00 0F 00 00 00 CA 00 00 00 46 00 00 00 B1 00 00 00 01 00 00 00 A0 00 00 00 72 00 00 00 21 01 00 00 03 00 00 00 12 01 00 00 02 00 00 00 A0 00 00 00 8B 00 00 00 2B 01 00 00 09 00 00 00 24 00 00 01 01 00 00 00 5E 00 00 00 19 00 00 00 90 00 00 00 A6 00 00 00 77 00 00 00 }
	condition:
		$1
}

rule file_722_247_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A00003F 0035 0600012B"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 24 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 24 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_764_448_7 {
	meta:
		name = "$LN11"
		size = 25
		refs = "0002 0A000144 0009 0A000143 0013 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 11 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1250_623_7 {
	meta:
		name = "$LN11"
		size = 25
		refs = "0002 0A000155 0009 0A000154 0013 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 11 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_764_449_7 {
	meta:
		name = "$LN117"
		size = 31
		refs = "0004 0A000143 000b 0A00009B 0012 06000238 0019 0A000044"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 10 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_624_7 {
	meta:
		name = "$LN102"
		size = 31
		refs = "0004 0A000154 000b 0A00009D 0012 060002DE 0019 0A000045"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 10 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_639_7 {
	meta:
		name = "$LN110"
		size = 31
		refs = "0004 0A000154 000b 0A00009D 0012 06000312 0019 0A000045"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 10 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_764_452_7 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 368
		refs = "0004 0A000038 007e 0400004A 0088 04000047 009e 0600006B"
	strings:
		$1 = { 11 10 07 28 ?? ?? ?? ?? DC DE 00 02 1F 44 6A 58 47 13 0E 11 0E 2C 0A 06 1F 50 6A 58 46 13 0D 2B 08 06 1F 51 6A 58 46 13 0D 11 0D 0C 02 1F 38 6A 58 08 54 08 16 32 05 1F 7F 08 30 07 02 1F 38 6A 58 16 54 06 1F 56 6A 58 46 13 0C 06 1F 52 6A 58 46 13 0B 06 1F 53 6A 58 46 13 0A 11 0E 2D 28 18 11 0A 37 23 17 11 0B 37 1E 1A 11 0C 37 19 11 0A 18 5A 11 0B 58 1B 5A 11 0C 58 1A 5A 6E 7F ?? ?? ?? ?? 58 13 09 2B 07 7F ?? ?? ?? ?? 13 09 02 1F 3C 6A 58 13 08 11 08 1A 6A 11 09 1A 6A 28 ?? ?? ?? ?? 26 06 1F 57 6A 58 46 13 07 06 1F 54 6A 58 46 13 06 06 1F 55 6A 58 46 13 05 02 1F 44 6A 58 47 2D 28 18 11 05 37 23 17 11 06 37 1E 1A 11 07 37 19 11 05 18 5A 11 06 58 1B 5A 11 07 58 1A 5A 6E 7F ?? ?? ?? ?? 58 13 04 2B 07 7F ?? ?? ?? ?? 13 04 02 1F 40 6A 58 0D 09 1A 6A 11 04 1A 6A 28 ?? ?? ?? ?? 26 04 2C 19 11 08 7F ?? ?? ?? ?? 1A FE 12 01 FE 17 09 7F ?? ?? ?? ?? 1A FE 12 01 FE 17 2A 00 00 41 4C 00 00 01 00 00 00 90 00 00 00 0F 00 00 00 AE 00 00 00 03 00 00 00 9F 00 00 00 02 00 00 00 90 00 00 00 28 00 00 00 B8 00 00 00 09 00 00 00 28 00 00 01 01 00 00 00 48 00 00 00 1F 00 00 00 80 00 00 00 43 00 00 00 67 00 00 00 }
	condition:
		$1
}

rule file_764_509_7 {
	meta:
		name = "$LN6"
		size = 24
		refs = "0002 0A000144 0008 0A000143 0012 0A00001D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1250_918_7 {
	meta:
		name = "$LN6"
		size = 24
		refs = "0002 0A000155 0008 0A000154 0012 0A00001E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0C 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_764_510_7 {
	meta:
		name = "$LN84"
		size = 30
		refs = "0004 0A000143 000a 0A00009B 0011 0600023B 0018 0A000044"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1023_631_7 {
	meta:
		name = "$LN329"
		size = 30
		refs = "0004 0A000188 000a 0A0000C4 0011 060003BF 0018 0A00005A"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_919_7 {
	meta:
		name = "$LN73"
		size = 30
		refs = "0004 0A000154 000a 0A00009D 0011 060002F4 0018 0A000045"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_929_7 {
	meta:
		name = "$LN81"
		size = 30
		refs = "0004 0A000154 000a 0A00009D 0011 06000315 0018 0A000045"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_764_513_7 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
		size = 87
		refs = "0003 0A000038"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2A 41 4C 00 00 01 00 00 00 5D 00 00 00 0F 00 00 00 7B 00 00 00 03 00 00 00 6C 00 00 00 02 00 00 00 5D 00 00 00 28 00 00 00 85 00 00 00 08 00 00 00 28 00 00 01 01 00 00 00 20 00 00 00 16 00 00 00 4E 00 00 00 41 00 00 00 36 00 00 00 }
	condition:
		$1
}

rule file_801_178_7 {
	meta:
		name = "__catch$?tidy_global@?A0x627c3ff0@@$$J0YMXXZ$0"
		size = 28
		refs = "0002 0A0000F6 000a 0400016F 000f 060001DF"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 16 6A 80 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_801_179_7 {
	meta:
		name = "__catch$?tidy_global@?A0x627c3ff0@@$$J0YMXXZ$2"
		size = 64
		refs = "0005 0A0000F8"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2C 00 00 01 02 00 00 00 09 00 00 00 23 00 00 00 2C 00 00 00 0A 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_801_183_7 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPEAV123@@Z$0"
		size = 96
		refs = "0002 0A0000F6 0034 1100000E 0045 11000007 005a 0A00004D"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 02 1F 18 6A 58 4C 0B 16 6A 07 34 3D 07 17 6A 59 0B 07 1E 6A 5A 02 1F 10 6A 58 4C 58 4C 0C 08 2C 26 08 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 0A 06 13 07 06 2C 0E 06 17 06 4C 4C 29 ?? ?? ?? ?? 13 06 2B 04 16 6A 13 05 2B BE 02 1F 10 6A 58 4C 28 ?? ?? ?? ?? DE 0B }
	condition:
		$1
}

rule file_801_184_7 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPEAV123@@Z$2"
		size = 67
		refs = "0006 0A0000F8"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 2C 00 00 01 02 00 00 00 0A 00 00 00 67 00 00 00 71 00 00 00 0B 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_801_321_7 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPEAV_Locimp@12@_N@Z$0"
		size = 145
		refs = "0002 0A0000F6 000a 0400016F 0018 060001F0 001f 060001E3 0031 0400005F 0036 060001FE 003d 0400017E 0049 11000025 004e 040001E3 007b 06000005"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 7E ?? ?? ?? ?? 0A 7E ?? ?? ?? ?? 2D 6A 16 28 ?? ?? ?? ?? 0A 06 28 ?? ?? ?? ?? 06 1F 20 6A 58 1F 3F 54 06 1F 28 6A 58 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 06 80 ?? ?? ?? ?? 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 7F ?? ?? ?? ?? 13 04 7E ?? ?? ?? ?? 0D 7F ?? ?? ?? ?? 1E 58 09 55 7F ?? ?? ?? ?? 13 06 7F ?? ?? ?? ?? 13 05 DE 0D 11 04 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 02 2C 0C 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_801_322_7 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPEAV_Locimp@12@_N@Z$2"
		size = 88
		refs = "0005 0A0000F8"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 06 2A 41 4C 00 00 02 00 00 00 11 00 00 00 02 00 00 00 13 00 00 00 09 00 00 00 2C 00 00 01 04 00 00 00 67 00 00 00 1F 00 00 00 86 00 00 00 0D 00 00 00 2C 00 00 01 02 00 00 00 0C 00 00 00 98 00 00 00 A4 00 00 00 0A 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_898_66_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000F2"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 2E 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_898_199_7 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPEAV123@PEAVfacet@23@_K@Z$0"
		size = 202
		refs = "0003 0A0000F0 0036 0A00012B 0041 0A0000E4 0082 11000028 00a1 11000012 00b2 11000008"
	strings:
		$1 = { 11 06 28 ?? ?? ?? ?? 17 13 07 DC 1F 28 6A 13 0B 02 1F 18 6A 58 4C 04 35 61 04 17 6A 58 0A 06 1F 28 6A 37 03 06 2B 03 1F 28 6A 0A 02 1F 10 6A 58 4C 06 1E 6A 5A 28 ?? ?? ?? ?? 13 05 11 05 2D 05 28 ?? ?? ?? ?? 02 1F 10 6A 58 11 05 55 02 1F 18 6A 58 4C 13 04 11 04 06 34 20 11 04 1E 6A 5A 02 1F 10 6A 58 4C 58 16 6A 55 02 1F 18 6A 58 02 1F 18 6A 58 4C 17 6A 58 55 2B D3 03 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 04 1E 6A 5A 0D 02 1F 10 6A 58 4C 09 58 4C 0C 08 2C 26 08 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 0B 07 13 0A 07 2C 0E 07 17 07 4C 4C 29 ?? ?? ?? ?? 13 09 2B 04 16 6A 13 08 02 1F 10 6A 58 4C 09 58 03 55 DE 0C }
	condition:
		$1
}

rule file_898_200_7 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPEAV123@PEAVfacet@23@_K@Z$2"
		size = 68
		refs = "0007 0A0000F2"
	strings:
		$1 = { 11 07 2C 07 11 06 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 10 00 00 00 02 00 00 00 12 00 00 00 0B 00 00 00 2E 00 00 01 02 00 00 00 0B 00 00 00 D1 00 00 00 DC 00 00 00 0C 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_898_327_7 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@AEBV12@@Z$0"
		size = 209
		refs = "0003 0A0000F0 000c 0A0000E7 0025 11000012 0036 11000008 004a 0A0000E8 0056 11000028 008c 0A000139"
	strings:
		$1 = { 11 0B 28 ?? ?? ?? ?? 17 13 0C DC 28 ?? ?? ?? ?? 0A 06 03 1E 6A 58 4C 3B B3 00 00 00 06 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 0C 08 13 0F 08 2C 0E 08 17 08 4C 4C 29 ?? ?? ?? ?? 13 0E 2B 04 16 6A 13 0E 03 1E 6A 58 4C 0A 06 28 ?? ?? ?? ?? 06 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 06 1F 20 6A 58 4A 1F 3F 5F 13 0A 11 0A 1F 3F 33 28 06 1F 28 6A 58 13 09 11 09 4C 13 08 11 08 2C 06 11 08 13 07 2B 07 11 09 1E 6A 58 13 07 16 11 07 28 ?? ?? ?? ?? 26 2B 3C 16 0B 07 1B 30 36 17 07 62 17 63 11 0A 5F 2C 26 06 1F 28 6A 58 13 06 11 06 4C 13 05 11 05 2C 06 11 05 13 04 2B 07 11 06 1E 6A 58 13 04 07 11 04 28 ?? ?? ?? ?? 26 07 17 58 0B 2B C6 DE 0E }
	condition:
		$1
}

rule file_898_328_7 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@AEBV12@@Z$2"
		size = 126
		refs = "0009 0A0000F2 0021 06000102 0027 0A000003"
	strings:
		$1 = { 11 0C 2D 02 DE 07 11 0B 28 ?? ?? ?? ?? DC 02 13 0D DE 19 DE 17 09 17 5F 2C 11 09 1F FE 5F 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 0D 2A 00 00 00 41 4C 00 00 02 00 00 00 1F 00 00 00 02 00 00 00 21 00 00 00 0B 00 00 00 2E 00 00 01 02 00 00 00 1A 00 00 00 D8 00 00 00 F2 00 00 00 0E 00 00 00 2E 00 00 01 04 00 00 00 00 00 00 00 07 01 00 00 07 01 00 00 17 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_898_341_7 {
	meta:
		name = "$LN76"
		size = 30
		refs = "0004 0A000157 000a 0A0000A9 0011 06000227 0018 0A00004F"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_614_7 {
	meta:
		name = "$LN82"
		size = 30
		refs = "0004 0A000154 000a 0A00009D 0011 06000323 0018 0A000045"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1250_608_7 {
	meta:
		name = "$LN86"
		size = 30
		refs = "0004 0A000154 000a 0A00009D 0011 06000302 0018 0A000045"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_898_344_7 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 129
		refs = "0003 0A000043"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 12 02 1F 18 6A 58 1F 2E 52 02 1F 19 6A 58 1F 2C 52 2B 15 02 1F 18 6A 58 07 4C 46 52 02 1F 19 6A 58 07 1E 6A 58 4C 46 52 2A 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_898_416_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000F2"
		altNames = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2E 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_898_460_7 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$0"
		size = 65
		refs = "0003 0A0000F0 000e 04000061 0013 060000E5 0020 060001D2 0029 060000EC 0030 0A000003"
	strings:
		$1 = { 11 07 28 ?? ?? ?? ?? 17 13 08 DC 12 09 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 09 1F 3F 02 16 6A 28 ?? ?? ?? ?? 26 DE 0E FE 06 ?? ?? ?? ?? 12 09 28 ?? ?? ?? ?? DC 12 09 28 ?? ?? ?? ?? DD 9A 00 00 00 }
	condition:
		$1
}

rule file_898_461_7 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$2"
		size = 30
		refs = "0007 0A0000F2 0013 0A00010E"
	strings:
		$1 = { 11 08 2C 07 11 07 28 ?? ?? ?? ?? DC 16 13 06 16 13 05 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? DE 0B }
	condition:
		$1
}

rule file_898_462_7 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$4"
		size = 112
		refs = "0003 0A0000F0 001f 0A000023 002f 0A0000E4 0068 11000028"
	strings:
		$1 = { 11 05 28 ?? ?? ?? ?? 17 13 06 DC 02 1F 18 6A 58 4C 13 04 16 6A 11 04 34 55 11 04 1E 6A 5A 28 ?? ?? ?? ?? 0D 02 1F 10 6A 58 09 55 09 2D 05 28 ?? ?? ?? ?? 02 1F 18 6A 58 4C 0A 16 6A 06 34 2F 06 17 6A 59 0A 06 1E 6A 5A 0C 03 1F 10 6A 58 4C 08 58 4C 0B 02 1F 10 6A 58 4C 08 58 07 55 07 2C 0C 07 25 4C 1E 6A 58 4C 29 ?? ?? ?? ?? 2B CC DE 0C }
	condition:
		$1
}

rule file_898_463_7 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$6"
		size = 139
		refs = "0007 0A0000F2"
	strings:
		$1 = { 11 06 2C 07 11 05 28 ?? ?? ?? ?? DC 2A 00 00 41 7C 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0B 00 00 00 2E 00 00 01 04 00 00 00 32 00 00 00 0F 00 00 00 41 00 00 00 0E 00 00 00 2E 00 00 01 02 00 00 00 13 00 00 00 48 00 00 00 5B 00 00 00 0C 00 00 00 2E 00 00 01 02 00 00 00 77 00 00 00 02 00 00 00 79 00 00 00 0B 00 00 00 2E 00 00 01 02 00 00 00 72 00 00 00 77 00 00 00 E9 00 00 00 0C 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_898_481_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000043 0035 0600023F"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1023_554_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A00004A 0035 0600038A"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1023_517_7 {
	meta:
		name = "$LN103"
		size = 38
		refs = "0004 0A000188 000a 0A0000C4 0019 060000A7 0020 0A00005A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 06 17 6A 20 90 00 00 00 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1023_520_7 {
	meta:
		name = "__catch$?_Buynode0@?$_List_alloc@U?$_List_base_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@@std@@$$FQEAMPEAU?$_List_node@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@PEAX@2@PEAU32@0@Z$2"
		size = 88
		refs = "0003 0A00004A"
	strings:
		$1 = { 09 07 28 ?? ?? ?? ?? DC DE 00 06 2A 41 4C 00 00 01 00 00 00 74 00 00 00 17 00 00 00 9A 00 00 00 03 00 00 00 8B 00 00 00 02 00 00 00 74 00 00 00 30 00 00 00 A4 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 21 00 00 00 2B 00 00 00 65 00 00 00 49 00 00 00 4C 00 00 00 }
	condition:
		$1
}

rule file_1023_543_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 253
		refs = "0004 0A00004A 0037 06000379"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0C 09 11 08 04 18 6A 5A FE 12 02 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DA 00 00 00 12 00 00 00 FB 00 00 00 03 00 00 00 EC 00 00 00 02 00 00 00 DA 00 00 00 2B 00 00 00 05 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 A2 00 00 00 0F 00 00 00 CA 00 00 00 46 00 00 00 B1 00 00 00 01 00 00 00 A0 00 00 00 72 00 00 00 21 01 00 00 03 00 00 00 12 01 00 00 02 00 00 00 A0 00 00 00 8B 00 00 00 2B 01 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 5E 00 00 00 19 00 00 00 90 00 00 00 A6 00 00 00 77 00 00 00 }
	condition:
		$1
}

rule file_1023_616_7 {
	meta:
		name = "$LN6"
		size = 25
		refs = "0002 0A000189 0009 0A000188 0013 0A000025"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 07 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1023_617_7 {
	meta:
		name = "$LN136"
		size = 39
		refs = "0004 0A000188 000b 0A0000C4 001a 060000A7 0021 0A00005A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 26 08 17 6A 20 90 00 00 00 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1023_620_7 {
	meta:
		name = "__catch$??$_Buynode@AEBU?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@?$_List_buy@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQEAMPEAU?$_List_node@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@PEAX@1@PEAU21@0AEBU?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@1@@Z$2"
		size = 138
		refs = "0004 0A00004A"
	strings:
		$1 = { 11 05 07 28 ?? ?? ?? ?? DC DE 00 08 2A 00 41 7C 00 00 04 00 00 00 26 00 00 00 16 00 00 00 3C 00 00 00 0E 00 00 00 2E 00 00 01 04 00 00 00 1B 00 00 00 3B 00 00 00 56 00 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 8A 00 00 00 17 00 00 00 B0 00 00 00 03 00 00 00 A1 00 00 00 02 00 00 00 8A 00 00 00 30 00 00 00 BA 00 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 12 00 00 00 4F 00 00 00 7A 00 00 00 4B 00 00 00 61 00 00 00 }
	condition:
		$1
}

rule file_1023_624_7 {
	meta:
		name = "$LN295"
		size = 82
		refs = "0004 0A000188 000a 0A0000C4 003c 06000420 004c 0A00005A"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 12 07 4C 0F 02 4C 33 04 17 0C 2B 02 16 0C 08 D2 2D 04 17 0B 2B 02 16 0B 07 D2 2C 1E 03 13 04 12 04 0F 01 4C 1E 6A 58 4C 55 02 11 04 28 ?? ?? ?? ?? 12 07 12 07 4C 4C 55 2B C6 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1023_627_7 {
	meta:
		name = "__catch$??$_Insert_range@V?$_List_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@@std@@@?$list@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQEAMXV?$_List_unchecked_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@U_Iterator_base0@2@@1@V?$_List_const_iterator@V?$_List_val@U?$_List_simple_types@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@std@@@std@@@1@1Uforward_iterator_tag@1@@Z$2"
		size = 90
		refs = "0003 0A00004A"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 2A 00 00 00 41 4C 00 00 01 00 00 00 62 00 00 00 43 00 00 00 B4 00 00 00 03 00 00 00 A5 00 00 00 02 00 00 00 62 00 00 00 5C 00 00 00 BE 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 0B 00 00 00 2F 00 00 00 53 00 00 00 75 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule file_1023_634_7 {
	meta:
		name = "__catch$??0?$list@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@V?$allocator@U?$pair@V?$_Directory_iterator@U?$integral_constant@_N$0A@@std@@@v1@filesystem@experimental@std@@Vpath@2345@@std@@@2@@std@@$$FQEAM@AEBV01@@Z$2"
		size = 178
		refs = "0003 0A00004A 000e 06000310 0014 0A000004"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 0F DE 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 02 2A 21 00 00 00 00 00 00 00 00 0C DE 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 41 7C 00 00 01 00 00 00 7E 00 00 00 0F 00 00 00 9C 00 00 00 03 00 00 00 8D 00 00 00 02 00 00 00 7E 00 00 00 28 00 00 00 A6 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 1F 00 00 00 37 00 00 00 6F 00 00 00 41 00 00 00 56 00 00 00 04 00 00 00 1F 00 00 00 93 00 00 00 B2 00 00 00 0D 00 00 00 2E 00 00 01 04 00 00 00 C1 00 00 00 0C 00 00 00 CD 00 00 00 0D 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_1065_60_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000DB"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1871_62_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000DD"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1065_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DB"
		altNames = "__catch$??$use_facet@V?$codecvt@DDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@DDU_Mbstatet@@@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1987_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DD"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1871_396_7 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DD"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1987_403_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DD"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1871_403_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000DD"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1065_448_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000038 0035 06000210"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1871_443_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000038 0035 0600020D"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1250_94_7 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000EE"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 2A 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 2A 00 00 01 }
	condition:
		$1
}

rule file_1250_611_7 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 185
		refs = "0003 0A000039 0029 0A000137 0067 0600053D"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 54 1F 2E 13 0A 16 13 05 12 09 16 1E 6A FE 12 04 FE 18 12 05 12 0A 17 6A 12 09 12 06 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 11 05 53 1F 2C 13 08 16 13 04 12 07 16 1E 6A FE 12 04 FE 18 12 04 12 08 17 6A 12 07 12 06 28 ?? ?? ?? ?? 26 02 1F 1A 6A 58 11 04 53 2B 0A 02 16 08 11 06 28 ?? ?? ?? ?? 2A 00 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 2A 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1250_617_7 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 201
		refs = "0003 0A000039 0029 0A000137"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 04 2C 54 1F 2E 13 09 16 13 05 12 08 16 1E 6A FE 12 04 FE 18 12 05 12 09 17 6A 12 08 12 0C 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 11 05 53 1F 2C 13 07 16 13 04 12 06 16 1E 6A FE 12 04 FE 18 12 04 12 07 17 6A 12 06 12 0C 28 ?? ?? ?? ?? 26 02 1F 1A 6A 58 11 04 53 2B 1A 02 1F 18 6A 58 07 1F 58 6A 58 4C 49 53 02 1F 1A 6A 58 07 1F 60 6A 58 4C 49 53 2A 00 41 4C 00 00 01 00 00 00 A7 00 00 00 0F 00 00 00 C5 00 00 00 03 00 00 00 B6 00 00 00 02 00 00 00 A7 00 00 00 28 00 00 00 CF 00 00 00 08 00 00 00 2A 00 00 01 01 00 00 00 2D 00 00 00 52 00 00 00 98 00 00 00 41 00 00 00 7F 00 00 00 }
	condition:
		$1
}

rule file_1250_627_7 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 368
		refs = "0004 0A000039 007e 0400005B 0088 04000055 009e 0600006B"
		altNames = "__catch$?_Init@?$_Mpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
	strings:
		$1 = { 11 10 07 28 ?? ?? ?? ?? DC DE 00 02 1F 44 6A 58 47 13 0E 11 0E 2C 0A 06 1F 50 6A 58 46 13 0D 2B 08 06 1F 51 6A 58 46 13 0D 11 0D 0C 02 1F 38 6A 58 08 54 08 16 32 05 1F 7F 08 30 07 02 1F 38 6A 58 16 54 06 1F 56 6A 58 46 13 0C 06 1F 52 6A 58 46 13 0B 06 1F 53 6A 58 46 13 0A 11 0E 2D 28 18 11 0A 37 23 17 11 0B 37 1E 1A 11 0C 37 19 11 0A 18 5A 11 0B 58 1B 5A 11 0C 58 1A 5A 6E 7F ?? ?? ?? ?? 58 13 09 2B 07 7F ?? ?? ?? ?? 13 09 02 1F 3C 6A 58 13 08 11 08 1A 6A 11 09 1A 6A 28 ?? ?? ?? ?? 26 06 1F 57 6A 58 46 13 07 06 1F 54 6A 58 46 13 06 06 1F 55 6A 58 46 13 05 02 1F 44 6A 58 47 2D 28 18 11 05 37 23 17 11 06 37 1E 1A 11 07 37 19 11 05 18 5A 11 06 58 1B 5A 11 07 58 1A 5A 6E 7F ?? ?? ?? ?? 58 13 04 2B 07 7F ?? ?? ?? ?? 13 04 02 1F 40 6A 58 0D 09 1A 6A 11 04 1A 6A 28 ?? ?? ?? ?? 26 04 2C 19 11 08 7F ?? ?? ?? ?? 1A FE 12 01 FE 17 09 7F ?? ?? ?? ?? 1A FE 12 01 FE 17 2A 00 00 41 4C 00 00 01 00 00 00 90 00 00 00 0F 00 00 00 AE 00 00 00 03 00 00 00 9F 00 00 00 02 00 00 00 90 00 00 00 28 00 00 00 B8 00 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 48 00 00 00 1F 00 00 00 80 00 00 00 43 00 00 00 67 00 00 00 }
	condition:
		$1
}

rule file_1250_829_7 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 76
		refs = "0005 0A0000EE"
		altNames = "__catch$??$use_facet@V?$codecvt@GDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@GDU_Mbstatet@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$codecvt@_WDU_Mbstatet@@@std@@@std@@$$FYMAEBV?$codecvt@_WDU_Mbstatet@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMAEBV?$collate@G@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMAEBV?$collate@_W@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMAEBV?$messages@G@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMAEBV?$messages@_W@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMAEBV?$numpunct@G@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2A 00 00 01 02 00 00 00 09 00 00 00 7B 00 00 00 84 00 00 00 0A 00 00 00 2A 00 00 01 }
	condition:
		$1
}

rule file_1250_922_7 {
	meta:
		name = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
		size = 87
		refs = "0003 0A000039"
		altNames = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2A 41 4C 00 00 01 00 00 00 5D 00 00 00 0F 00 00 00 7B 00 00 00 03 00 00 00 6C 00 00 00 02 00 00 00 5D 00 00 00 28 00 00 00 85 00 00 00 08 00 00 00 2A 00 00 01 01 00 00 00 20 00 00 00 16 00 00 00 4E 00 00 00 41 00 00 00 36 00 00 00 }
	condition:
		$1
}

rule file_1250_1022_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@$$FQEAMX_K0@Z$6"
		size = 253
		refs = "0004 0A000039 0037 06000389"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0C 09 11 08 04 18 6A 5A FE 12 02 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DA 00 00 00 12 00 00 00 FB 00 00 00 03 00 00 00 EC 00 00 00 02 00 00 00 DA 00 00 00 2B 00 00 00 05 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 A2 00 00 00 0F 00 00 00 CA 00 00 00 46 00 00 00 B1 00 00 00 01 00 00 00 A0 00 00 00 72 00 00 00 21 01 00 00 03 00 00 00 12 01 00 00 02 00 00 00 A0 00 00 00 8B 00 00 00 2B 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 5E 00 00 00 19 00 00 00 90 00 00 00 A6 00 00 00 77 00 00 00 }
	condition:
		$1
}

rule file_1250_1033_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 253
		refs = "0004 0A000039 0037 06000349"
	strings:
		$1 = { 11 09 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 22 1E 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 08 2B 03 02 13 08 04 2C 0C 09 11 08 04 18 6A 5A FE 12 02 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1E 6A 06 35 06 02 4C 13 07 2B 03 02 13 07 04 18 6A 5A 11 07 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DA 00 00 00 12 00 00 00 FB 00 00 00 03 00 00 00 EC 00 00 00 02 00 00 00 DA 00 00 00 2B 00 00 00 05 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 A2 00 00 00 0F 00 00 00 CA 00 00 00 46 00 00 00 B1 00 00 00 01 00 00 00 A0 00 00 00 72 00 00 00 21 01 00 00 03 00 00 00 12 01 00 00 02 00 00 00 A0 00 00 00 8B 00 00 00 2B 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 5E 00 00 00 19 00 00 00 90 00 00 00 A6 00 00 00 77 00 00 00 }
	condition:
		$1
}

rule file_1250_1044_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000039 0035 0600035A"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1430_308_7 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 244
		refs = "0004 0A000035 0035 060001CD"
	strings:
		$1 = { 11 08 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 20 1F 10 6A 02 1F 18 6A 58 4C 35 06 02 4C 13 07 2B 03 02 13 07 04 2C 09 09 11 07 04 FE 12 01 FE 17 02 17 16 6A 28 ?? ?? ?? ?? 02 2C 03 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 1F 10 6A 06 35 04 02 4C 2B 01 02 04 58 16 52 2A 00 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 A3 00 00 00 0F 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A1 00 00 00 72 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A1 00 00 00 8B 00 00 00 2C 01 00 00 09 00 00 00 2A 00 00 01 01 00 00 00 5F 00 00 00 19 00 00 00 91 00 00 00 A6 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule file_1296_166_7 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPEAV12@@Z$0"
		size = 91
		refs = "0002 0A0000C6 002d 0400026B 004a 04000191"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 02 1E 6A 58 16 6A 55 02 1E 6A 58 02 1E 6A 58 4C 17 6A 58 55 02 1E 6A 58 4C 0A 06 1E 6A 34 15 06 1E 6A 5A 7F ?? ?? ?? ?? 58 4C 0B 07 2C 06 07 02 2E 02 2B D3 06 1E 6A 5A 7F ?? ?? ?? ?? 58 02 55 7F ?? ?? ?? ?? 02 1E 6A 58 4C 58 25 46 17 58 52 DE 0A }
	condition:
		$1
}

rule file_1296_167_7 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPEAV12@@Z$2"
		size = 65
		refs = "0005 0A0000C8"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 62 00 00 00 6B 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1810_21_7 {
	meta:
		name = "__catch$?__scrt_initialize_type_info@@$$FYMXXZ$0"
		size = 45
		refs = "0002 0A00005D 0007 040000F9 0029 0100000B"
	strings:
		$1 = { 26 7E ?? ?? ?? ?? 80 ?? ?? ?? ?? DE 00 2A 00 00 00 41 1C 00 00 00 00 00 00 00 00 00 00 3B 00 00 00 3B 00 00 00 0D 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}